#!/usr/bin/env node
"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __esm = (fn2, res) => function __init() {
  return fn2 && (res = (0, fn2[__getOwnPropNames(fn2)[0]])(fn2 = 0)), res;
};
var __commonJS = (cb2, mod) => function __require() {
  return mod || (0, cb2[__getOwnPropNames(cb2)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to2, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to2, key) && key !== except)
        __defProp(to2, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to2;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
var __accessCheck = (obj, member, msg) => {
  if (!member.has(obj))
    throw TypeError("Cannot " + msg);
};
var __privateGet = (obj, member, getter) => {
  __accessCheck(obj, member, "read from private field");
  return getter ? getter.call(obj) : member.get(obj);
};
var __privateAdd = (obj, member, value) => {
  if (member.has(obj))
    throw TypeError("Cannot add the same private member more than once");
  member instanceof WeakSet ? member.add(obj) : member.set(obj, value);
};
var __privateSet = (obj, member, value, setter) => {
  __accessCheck(obj, member, "write to private field");
  setter ? setter.call(obj, value) : member.set(obj, value);
  return value;
};
var __privateWrapper = (obj, member, setter, getter) => ({
  set _(value) {
    __privateSet(obj, member, value, setter);
  },
  get _() {
    return __privateGet(obj, member, getter);
  }
});

// ../../node_modules/.pnpm/ms@2.1.2/node_modules/ms/index.js
var require_ms = __commonJS({
  "../../node_modules/.pnpm/ms@2.1.2/node_modules/ms/index.js"(exports2, module2) {
    "use strict";
    var s3 = 1e3;
    var m3 = s3 * 60;
    var h3 = m3 * 60;
    var d3 = h3 * 24;
    var w7 = d3 * 7;
    var y3 = d3 * 365.25;
    module2.exports = function(val, options2) {
      options2 = options2 || {};
      var type = typeof val;
      if (type === "string" && val.length > 0) {
        return parse3(val);
      } else if (type === "number" && isFinite(val)) {
        return options2.long ? fmtLong2(val) : fmtShort2(val);
      }
      throw new Error(
        "val is not a non-empty string or a valid number. val=" + JSON.stringify(val)
      );
    };
    function parse3(str) {
      str = String(str);
      if (str.length > 100) {
        return;
      }
      var match4 = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(
        str
      );
      if (!match4) {
        return;
      }
      var n2 = parseFloat(match4[1]);
      var type = (match4[2] || "ms").toLowerCase();
      switch (type) {
        case "years":
        case "year":
        case "yrs":
        case "yr":
        case "y":
          return n2 * y3;
        case "weeks":
        case "week":
        case "w":
          return n2 * w7;
        case "days":
        case "day":
        case "d":
          return n2 * d3;
        case "hours":
        case "hour":
        case "hrs":
        case "hr":
        case "h":
          return n2 * h3;
        case "minutes":
        case "minute":
        case "mins":
        case "min":
        case "m":
          return n2 * m3;
        case "seconds":
        case "second":
        case "secs":
        case "sec":
        case "s":
          return n2 * s3;
        case "milliseconds":
        case "millisecond":
        case "msecs":
        case "msec":
        case "ms":
          return n2;
        default:
          return void 0;
      }
    }
    function fmtShort2(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d3) {
        return Math.round(ms2 / d3) + "d";
      }
      if (msAbs >= h3) {
        return Math.round(ms2 / h3) + "h";
      }
      if (msAbs >= m3) {
        return Math.round(ms2 / m3) + "m";
      }
      if (msAbs >= s3) {
        return Math.round(ms2 / s3) + "s";
      }
      return ms2 + "ms";
    }
    function fmtLong2(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d3) {
        return plural2(ms2, msAbs, d3, "day");
      }
      if (msAbs >= h3) {
        return plural2(ms2, msAbs, h3, "hour");
      }
      if (msAbs >= m3) {
        return plural2(ms2, msAbs, m3, "minute");
      }
      if (msAbs >= s3) {
        return plural2(ms2, msAbs, s3, "second");
      }
      return ms2 + " ms";
    }
    function plural2(ms2, msAbs, n2, name) {
      var isPlural = msAbs >= n2 * 1.5;
      return Math.round(ms2 / n2) + " " + name + (isPlural ? "s" : "");
    }
  }
});

// ../../node_modules/.pnpm/debug@4.3.4/node_modules/debug/src/common.js
var require_common = __commonJS({
  "../../node_modules/.pnpm/debug@4.3.4/node_modules/debug/src/common.js"(exports2, module2) {
    "use strict";
    function setup(env3) {
      createDebug.debug = createDebug;
      createDebug.default = createDebug;
      createDebug.coerce = coerce;
      createDebug.disable = disable;
      createDebug.enable = enable;
      createDebug.enabled = enabled;
      createDebug.humanize = require_ms();
      createDebug.destroy = destroy;
      Object.keys(env3).forEach((key) => {
        createDebug[key] = env3[key];
      });
      createDebug.names = [];
      createDebug.skips = [];
      createDebug.formatters = {};
      function selectColor(namespace) {
        let hash = 0;
        for (let i4 = 0; i4 < namespace.length; i4++) {
          hash = (hash << 5) - hash + namespace.charCodeAt(i4);
          hash |= 0;
        }
        return createDebug.colors[Math.abs(hash) % createDebug.colors.length];
      }
      createDebug.selectColor = selectColor;
      function createDebug(namespace) {
        let prevTime;
        let enableOverride = null;
        let namespacesCache;
        let enabledCache;
        function debug30(...args3) {
          if (!debug30.enabled) {
            return;
          }
          const self2 = debug30;
          const curr = Number(/* @__PURE__ */ new Date());
          const ms2 = curr - (prevTime || curr);
          self2.diff = ms2;
          self2.prev = prevTime;
          self2.curr = curr;
          prevTime = curr;
          args3[0] = createDebug.coerce(args3[0]);
          if (typeof args3[0] !== "string") {
            args3.unshift("%O");
          }
          let index2 = 0;
          args3[0] = args3[0].replace(/%([a-zA-Z%])/g, (match4, format3) => {
            if (match4 === "%%") {
              return "%";
            }
            index2++;
            const formatter = createDebug.formatters[format3];
            if (typeof formatter === "function") {
              const val = args3[index2];
              match4 = formatter.call(self2, val);
              args3.splice(index2, 1);
              index2--;
            }
            return match4;
          });
          createDebug.formatArgs.call(self2, args3);
          const logFn = self2.log || createDebug.log;
          logFn.apply(self2, args3);
        }
        debug30.namespace = namespace;
        debug30.useColors = createDebug.useColors();
        debug30.color = createDebug.selectColor(namespace);
        debug30.extend = extend;
        debug30.destroy = createDebug.destroy;
        Object.defineProperty(debug30, "enabled", {
          enumerable: true,
          configurable: false,
          get: () => {
            if (enableOverride !== null) {
              return enableOverride;
            }
            if (namespacesCache !== createDebug.namespaces) {
              namespacesCache = createDebug.namespaces;
              enabledCache = createDebug.enabled(namespace);
            }
            return enabledCache;
          },
          set: (v2) => {
            enableOverride = v2;
          }
        });
        if (typeof createDebug.init === "function") {
          createDebug.init(debug30);
        }
        return debug30;
      }
      function extend(namespace, delimiter2) {
        const newDebug = createDebug(this.namespace + (typeof delimiter2 === "undefined" ? ":" : delimiter2) + namespace);
        newDebug.log = this.log;
        return newDebug;
      }
      function enable(namespaces) {
        createDebug.save(namespaces);
        createDebug.namespaces = namespaces;
        createDebug.names = [];
        createDebug.skips = [];
        let i4;
        const split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
        const len = split.length;
        for (i4 = 0; i4 < len; i4++) {
          if (!split[i4]) {
            continue;
          }
          namespaces = split[i4].replace(/\*/g, ".*?");
          if (namespaces[0] === "-") {
            createDebug.skips.push(new RegExp("^" + namespaces.slice(1) + "$"));
          } else {
            createDebug.names.push(new RegExp("^" + namespaces + "$"));
          }
        }
      }
      function disable() {
        const namespaces = [
          ...createDebug.names.map(toNamespace),
          ...createDebug.skips.map(toNamespace).map((namespace) => "-" + namespace)
        ].join(",");
        createDebug.enable("");
        return namespaces;
      }
      function enabled(name) {
        if (name[name.length - 1] === "*") {
          return true;
        }
        let i4;
        let len;
        for (i4 = 0, len = createDebug.skips.length; i4 < len; i4++) {
          if (createDebug.skips[i4].test(name)) {
            return false;
          }
        }
        for (i4 = 0, len = createDebug.names.length; i4 < len; i4++) {
          if (createDebug.names[i4].test(name)) {
            return true;
          }
        }
        return false;
      }
      function toNamespace(regexp) {
        return regexp.toString().substring(2, regexp.toString().length - 2).replace(/\.\*\?$/, "*");
      }
      function coerce(val) {
        if (val instanceof Error) {
          return val.stack || val.message;
        }
        return val;
      }
      function destroy() {
        console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
      }
      createDebug.enable(createDebug.load());
      return createDebug;
    }
    module2.exports = setup;
  }
});

// ../../node_modules/.pnpm/debug@4.3.4/node_modules/debug/src/browser.js
var require_browser = __commonJS({
  "../../node_modules/.pnpm/debug@4.3.4/node_modules/debug/src/browser.js"(exports2, module2) {
    "use strict";
    exports2.formatArgs = formatArgs;
    exports2.save = save;
    exports2.load = load2;
    exports2.useColors = useColors;
    exports2.storage = localstorage();
    exports2.destroy = (() => {
      let warned = false;
      return () => {
        if (!warned) {
          warned = true;
          console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
        }
      };
    })();
    exports2.colors = [
      "#0000CC",
      "#0000FF",
      "#0033CC",
      "#0033FF",
      "#0066CC",
      "#0066FF",
      "#0099CC",
      "#0099FF",
      "#00CC00",
      "#00CC33",
      "#00CC66",
      "#00CC99",
      "#00CCCC",
      "#00CCFF",
      "#3300CC",
      "#3300FF",
      "#3333CC",
      "#3333FF",
      "#3366CC",
      "#3366FF",
      "#3399CC",
      "#3399FF",
      "#33CC00",
      "#33CC33",
      "#33CC66",
      "#33CC99",
      "#33CCCC",
      "#33CCFF",
      "#6600CC",
      "#6600FF",
      "#6633CC",
      "#6633FF",
      "#66CC00",
      "#66CC33",
      "#9900CC",
      "#9900FF",
      "#9933CC",
      "#9933FF",
      "#99CC00",
      "#99CC33",
      "#CC0000",
      "#CC0033",
      "#CC0066",
      "#CC0099",
      "#CC00CC",
      "#CC00FF",
      "#CC3300",
      "#CC3333",
      "#CC3366",
      "#CC3399",
      "#CC33CC",
      "#CC33FF",
      "#CC6600",
      "#CC6633",
      "#CC9900",
      "#CC9933",
      "#CCCC00",
      "#CCCC33",
      "#FF0000",
      "#FF0033",
      "#FF0066",
      "#FF0099",
      "#FF00CC",
      "#FF00FF",
      "#FF3300",
      "#FF3333",
      "#FF3366",
      "#FF3399",
      "#FF33CC",
      "#FF33FF",
      "#FF6600",
      "#FF6633",
      "#FF9900",
      "#FF9933",
      "#FFCC00",
      "#FFCC33"
    ];
    function useColors() {
      if (typeof window !== "undefined" && window.process && (window.process.type === "renderer" || window.process.__nwjs)) {
        return true;
      }
      if (typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)) {
        return false;
      }
      return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || // Is firebug? http://stackoverflow.com/a/398120/376773
      typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || // Is firefox >= v31?
      // https://developer.mozilla.org/en-US/docs/Tools/Web_Console#Styling_messages
      typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || // Double check webkit in userAgent just in case we are in a worker
      typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
    }
    function formatArgs(args3) {
      args3[0] = (this.useColors ? "%c" : "") + this.namespace + (this.useColors ? " %c" : " ") + args3[0] + (this.useColors ? "%c " : " ") + "+" + module2.exports.humanize(this.diff);
      if (!this.useColors) {
        return;
      }
      const c4 = "color: " + this.color;
      args3.splice(1, 0, c4, "color: inherit");
      let index2 = 0;
      let lastC = 0;
      args3[0].replace(/%[a-zA-Z%]/g, (match4) => {
        if (match4 === "%%") {
          return;
        }
        index2++;
        if (match4 === "%c") {
          lastC = index2;
        }
      });
      args3.splice(lastC, 0, c4);
    }
    exports2.log = console.debug || console.log || (() => {
    });
    function save(namespaces) {
      try {
        if (namespaces) {
          exports2.storage.setItem("debug", namespaces);
        } else {
          exports2.storage.removeItem("debug");
        }
      } catch (error2) {
      }
    }
    function load2() {
      let r2;
      try {
        r2 = exports2.storage.getItem("debug");
      } catch (error2) {
      }
      if (!r2 && typeof process !== "undefined" && "env" in process) {
        r2 = process.env.DEBUG;
      }
      return r2;
    }
    function localstorage() {
      try {
        return localStorage;
      } catch (error2) {
      }
    }
    module2.exports = require_common()(exports2);
    var { formatters } = module2.exports;
    formatters.j = function(v2) {
      try {
        return JSON.stringify(v2);
      } catch (error2) {
        return "[UnexpectedJSONParseError]: " + error2.message;
      }
    };
  }
});

// ../../node_modules/.pnpm/has-flag@4.0.0/node_modules/has-flag/index.js
var require_has_flag = __commonJS({
  "../../node_modules/.pnpm/has-flag@4.0.0/node_modules/has-flag/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (flag, argv = process.argv) => {
      const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
      const position = argv.indexOf(prefix + flag);
      const terminatorPosition = argv.indexOf("--");
      return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
    };
  }
});

// ../../node_modules/.pnpm/supports-color@7.2.0/node_modules/supports-color/index.js
var require_supports_color = __commonJS({
  "../../node_modules/.pnpm/supports-color@7.2.0/node_modules/supports-color/index.js"(exports2, module2) {
    "use strict";
    var os7 = require("os");
    var tty2 = require("tty");
    var hasFlag2 = require_has_flag();
    var { env: env3 } = process;
    var forceColor2;
    if (hasFlag2("no-color") || hasFlag2("no-colors") || hasFlag2("color=false") || hasFlag2("color=never")) {
      forceColor2 = 0;
    } else if (hasFlag2("color") || hasFlag2("colors") || hasFlag2("color=true") || hasFlag2("color=always")) {
      forceColor2 = 1;
    }
    if ("FORCE_COLOR" in env3) {
      if (env3.FORCE_COLOR === "true") {
        forceColor2 = 1;
      } else if (env3.FORCE_COLOR === "false") {
        forceColor2 = 0;
      } else {
        forceColor2 = env3.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env3.FORCE_COLOR, 10), 3);
      }
    }
    function translateLevel2(level) {
      if (level === 0) {
        return false;
      }
      return {
        level,
        hasBasic: true,
        has256: level >= 2,
        has16m: level >= 3
      };
    }
    function supportsColor2(haveStream, streamIsTTY) {
      if (forceColor2 === 0) {
        return 0;
      }
      if (hasFlag2("color=16m") || hasFlag2("color=full") || hasFlag2("color=truecolor")) {
        return 3;
      }
      if (hasFlag2("color=256")) {
        return 2;
      }
      if (haveStream && !streamIsTTY && forceColor2 === void 0) {
        return 0;
      }
      const min = forceColor2 || 0;
      if (env3.TERM === "dumb") {
        return min;
      }
      if (process.platform === "win32") {
        const osRelease = os7.release().split(".");
        if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
          return Number(osRelease[2]) >= 14931 ? 3 : 2;
        }
        return 1;
      }
      if ("CI" in env3) {
        if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((sign) => sign in env3) || env3.CI_NAME === "codeship") {
          return 1;
        }
        return min;
      }
      if ("TEAMCITY_VERSION" in env3) {
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env3.TEAMCITY_VERSION) ? 1 : 0;
      }
      if (env3.COLORTERM === "truecolor") {
        return 3;
      }
      if ("TERM_PROGRAM" in env3) {
        const version3 = parseInt((env3.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (env3.TERM_PROGRAM) {
          case "iTerm.app":
            return version3 >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      if (/-256(color)?$/i.test(env3.TERM)) {
        return 2;
      }
      if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env3.TERM)) {
        return 1;
      }
      if ("COLORTERM" in env3) {
        return 1;
      }
      return min;
    }
    function getSupportLevel2(stream4) {
      const level = supportsColor2(stream4, stream4 && stream4.isTTY);
      return translateLevel2(level);
    }
    module2.exports = {
      supportsColor: getSupportLevel2,
      stdout: translateLevel2(supportsColor2(true, tty2.isatty(1))),
      stderr: translateLevel2(supportsColor2(true, tty2.isatty(2)))
    };
  }
});

// ../../node_modules/.pnpm/debug@4.3.4/node_modules/debug/src/node.js
var require_node = __commonJS({
  "../../node_modules/.pnpm/debug@4.3.4/node_modules/debug/src/node.js"(exports2, module2) {
    "use strict";
    var tty2 = require("tty");
    var util4 = require("util");
    exports2.init = init3;
    exports2.log = log4;
    exports2.formatArgs = formatArgs;
    exports2.save = save;
    exports2.load = load2;
    exports2.useColors = useColors;
    exports2.destroy = util4.deprecate(
      () => {
      },
      "Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`."
    );
    exports2.colors = [6, 2, 3, 4, 5, 1];
    try {
      const supportsColor2 = require_supports_color();
      if (supportsColor2 && (supportsColor2.stderr || supportsColor2).level >= 2) {
        exports2.colors = [
          20,
          21,
          26,
          27,
          32,
          33,
          38,
          39,
          40,
          41,
          42,
          43,
          44,
          45,
          56,
          57,
          62,
          63,
          68,
          69,
          74,
          75,
          76,
          77,
          78,
          79,
          80,
          81,
          92,
          93,
          98,
          99,
          112,
          113,
          128,
          129,
          134,
          135,
          148,
          149,
          160,
          161,
          162,
          163,
          164,
          165,
          166,
          167,
          168,
          169,
          170,
          171,
          172,
          173,
          178,
          179,
          184,
          185,
          196,
          197,
          198,
          199,
          200,
          201,
          202,
          203,
          204,
          205,
          206,
          207,
          208,
          209,
          214,
          215,
          220,
          221
        ];
      }
    } catch (error2) {
    }
    exports2.inspectOpts = Object.keys(process.env).filter((key) => {
      return /^debug_/i.test(key);
    }).reduce((obj, key) => {
      const prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, (_3, k) => {
        return k.toUpperCase();
      });
      let val = process.env[key];
      if (/^(yes|on|true|enabled)$/i.test(val)) {
        val = true;
      } else if (/^(no|off|false|disabled)$/i.test(val)) {
        val = false;
      } else if (val === "null") {
        val = null;
      } else {
        val = Number(val);
      }
      obj[prop] = val;
      return obj;
    }, {});
    function useColors() {
      return "colors" in exports2.inspectOpts ? Boolean(exports2.inspectOpts.colors) : tty2.isatty(process.stderr.fd);
    }
    function formatArgs(args3) {
      const { namespace: name, useColors: useColors2 } = this;
      if (useColors2) {
        const c4 = this.color;
        const colorCode = "\x1B[3" + (c4 < 8 ? c4 : "8;5;" + c4);
        const prefix = `  ${colorCode};1m${name} \x1B[0m`;
        args3[0] = prefix + args3[0].split("\n").join("\n" + prefix);
        args3.push(colorCode + "m+" + module2.exports.humanize(this.diff) + "\x1B[0m");
      } else {
        args3[0] = getDate() + name + " " + args3[0];
      }
    }
    function getDate() {
      if (exports2.inspectOpts.hideDate) {
        return "";
      }
      return (/* @__PURE__ */ new Date()).toISOString() + " ";
    }
    function log4(...args3) {
      return process.stderr.write(util4.format(...args3) + "\n");
    }
    function save(namespaces) {
      if (namespaces) {
        process.env.DEBUG = namespaces;
      } else {
        delete process.env.DEBUG;
      }
    }
    function load2() {
      return process.env.DEBUG;
    }
    function init3(debug30) {
      debug30.inspectOpts = {};
      const keys = Object.keys(exports2.inspectOpts);
      for (let i4 = 0; i4 < keys.length; i4++) {
        debug30.inspectOpts[keys[i4]] = exports2.inspectOpts[keys[i4]];
      }
    }
    module2.exports = require_common()(exports2);
    var { formatters } = module2.exports;
    formatters.o = function(v2) {
      this.inspectOpts.colors = this.useColors;
      return util4.inspect(v2, this.inspectOpts).split("\n").map((str) => str.trim()).join(" ");
    };
    formatters.O = function(v2) {
      this.inspectOpts.colors = this.useColors;
      return util4.inspect(v2, this.inspectOpts);
    };
  }
});

// ../../node_modules/.pnpm/debug@4.3.4/node_modules/debug/src/index.js
var require_src = __commonJS({
  "../../node_modules/.pnpm/debug@4.3.4/node_modules/debug/src/index.js"(exports2, module2) {
    "use strict";
    if (typeof process === "undefined" || process.type === "renderer" || process.browser === true || process.__nwjs) {
      module2.exports = require_browser();
    } else {
      module2.exports = require_node();
    }
  }
});

// ../debug/src/index.ts
var src_exports = {};
__export(src_exports, {
  Debug: () => Debug,
  clearLogs: () => clearLogs,
  default: () => src_default,
  getLogs: () => getLogs
});
function debugCall(namespace) {
  const debugNamespace = (0, import_debug.default)(namespace);
  const call = Object.assign((...args3) => {
    debugNamespace.log = call.log;
    if (args3.length !== 0) {
      debugArgsHistory.push([namespace, ...args3]);
    }
    if (debugArgsHistory.length > MAX_LOGS) {
      debugArgsHistory.shift();
    }
    return debugNamespace("", ...args3);
  }, debugNamespace);
  return call;
}
function getLogs(numChars = 7500) {
  const output = debugArgsHistory.map(
    (c4) => c4.map((item2) => {
      if (typeof item2 === "string") {
        return item2;
      }
      return JSON.stringify(item2);
    }).join(" ")
  ).join("\n");
  if (output.length < numChars) {
    return output;
  }
  return output.slice(-numChars);
}
function clearLogs() {
  debugArgsHistory.length = 0;
}
var import_debug, MAX_LOGS, debugArgsHistory, Debug, src_default;
var init_src = __esm({
  "../debug/src/index.ts"() {
    "use strict";
    import_debug = __toESM(require_src());
    MAX_LOGS = 100;
    debugArgsHistory = [];
    if (typeof process !== "undefined" && typeof process.stderr?.write !== "function") {
      import_debug.default.log = console.debug ?? console.log;
    }
    Debug = Object.assign(debugCall, import_debug.default);
    src_default = Debug;
  }
});

// ../../node_modules/.pnpm/kleur@4.1.5/node_modules/kleur/colors.mjs
function init(x, y3) {
  let rgx = new RegExp(`\\x1b\\[${y3}m`, "g");
  let open3 = `\x1B[${x}m`, close = `\x1B[${y3}m`;
  return function(txt) {
    if (!$.enabled || txt == null)
      return txt;
    return open3 + (!!~("" + txt).indexOf(close) ? txt.replace(rgx, close + open3) : txt) + close;
  };
}
var FORCE_COLOR, NODE_DISABLE_COLORS, NO_COLOR, TERM, isTTY, $, reset, bold, dim, italic, underline, inverse, hidden, strikethrough, black, red, green, yellow, blue, magenta, cyan, white, gray, grey, bgBlack, bgRed, bgGreen, bgYellow, bgBlue, bgMagenta, bgCyan, bgWhite;
var init_colors = __esm({
  "../../node_modules/.pnpm/kleur@4.1.5/node_modules/kleur/colors.mjs"() {
    "use strict";
    isTTY = true;
    if (typeof process !== "undefined") {
      ({ FORCE_COLOR, NODE_DISABLE_COLORS, NO_COLOR, TERM } = process.env || {});
      isTTY = process.stdout && process.stdout.isTTY;
    }
    $ = {
      enabled: !NODE_DISABLE_COLORS && NO_COLOR == null && TERM !== "dumb" && (FORCE_COLOR != null && FORCE_COLOR !== "0" || isTTY)
    };
    reset = init(0, 0);
    bold = init(1, 22);
    dim = init(2, 22);
    italic = init(3, 23);
    underline = init(4, 24);
    inverse = init(7, 27);
    hidden = init(8, 28);
    strikethrough = init(9, 29);
    black = init(30, 39);
    red = init(31, 39);
    green = init(32, 39);
    yellow = init(33, 39);
    blue = init(34, 39);
    magenta = init(35, 39);
    cyan = init(36, 39);
    white = init(37, 39);
    gray = init(90, 39);
    grey = init(90, 39);
    bgBlack = init(40, 49);
    bgRed = init(41, 49);
    bgGreen = init(42, 49);
    bgYellow = init(43, 49);
    bgBlue = init(44, 49);
    bgMagenta = init(45, 49);
    bgCyan = init(46, 49);
    bgWhite = init(47, 49);
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/function.js
var require_function = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/function.js"(exports2) {
    "use strict";
    var __spreadArray2 = exports2 && exports2.__spreadArray || function(to2, from, pack) {
      if (pack || arguments.length === 2)
        for (var i4 = 0, l2 = from.length, ar; i4 < l2; i4++) {
          if (ar || !(i4 in from)) {
            if (!ar)
              ar = Array.prototype.slice.call(from, 0, i4);
            ar[i4] = from[i4];
          }
        }
      return to2.concat(ar || Array.prototype.slice.call(from));
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.dual = exports2.getEndomorphismMonoid = exports2.not = exports2.SK = exports2.hole = exports2.pipe = exports2.untupled = exports2.tupled = exports2.absurd = exports2.decrement = exports2.increment = exports2.tuple = exports2.flow = exports2.flip = exports2.constVoid = exports2.constUndefined = exports2.constNull = exports2.constFalse = exports2.constTrue = exports2.constant = exports2.unsafeCoerce = exports2.identity = exports2.apply = exports2.getRing = exports2.getSemiring = exports2.getMonoid = exports2.getSemigroup = exports2.getBooleanAlgebra = void 0;
    var getBooleanAlgebra = function(B) {
      return function() {
        return {
          meet: function(x, y3) {
            return function(a3) {
              return B.meet(x(a3), y3(a3));
            };
          },
          join: function(x, y3) {
            return function(a3) {
              return B.join(x(a3), y3(a3));
            };
          },
          zero: function() {
            return B.zero;
          },
          one: function() {
            return B.one;
          },
          implies: function(x, y3) {
            return function(a3) {
              return B.implies(x(a3), y3(a3));
            };
          },
          not: function(x) {
            return function(a3) {
              return B.not(x(a3));
            };
          }
        };
      };
    };
    exports2.getBooleanAlgebra = getBooleanAlgebra;
    var getSemigroup = function(S2) {
      return function() {
        return {
          concat: function(f4, g2) {
            return function(a3) {
              return S2.concat(f4(a3), g2(a3));
            };
          }
        };
      };
    };
    exports2.getSemigroup = getSemigroup;
    var getMonoid = function(M) {
      var getSemigroupM = (0, exports2.getSemigroup)(M);
      return function() {
        return {
          concat: getSemigroupM().concat,
          empty: function() {
            return M.empty;
          }
        };
      };
    };
    exports2.getMonoid = getMonoid;
    var getSemiring = function(S2) {
      return {
        add: function(f4, g2) {
          return function(x) {
            return S2.add(f4(x), g2(x));
          };
        },
        zero: function() {
          return S2.zero;
        },
        mul: function(f4, g2) {
          return function(x) {
            return S2.mul(f4(x), g2(x));
          };
        },
        one: function() {
          return S2.one;
        }
      };
    };
    exports2.getSemiring = getSemiring;
    var getRing = function(R) {
      var S2 = (0, exports2.getSemiring)(R);
      return {
        add: S2.add,
        mul: S2.mul,
        one: S2.one,
        zero: S2.zero,
        sub: function(f4, g2) {
          return function(x) {
            return R.sub(f4(x), g2(x));
          };
        }
      };
    };
    exports2.getRing = getRing;
    var apply2 = function(a3) {
      return function(f4) {
        return f4(a3);
      };
    };
    exports2.apply = apply2;
    function identity4(a3) {
      return a3;
    }
    exports2.identity = identity4;
    exports2.unsafeCoerce = identity4;
    function constant2(a3) {
      return function() {
        return a3;
      };
    }
    exports2.constant = constant2;
    exports2.constTrue = constant2(true);
    exports2.constFalse = constant2(false);
    exports2.constNull = constant2(null);
    exports2.constUndefined = constant2(void 0);
    exports2.constVoid = exports2.constUndefined;
    function flip(f4) {
      return function() {
        var args3 = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          args3[_i] = arguments[_i];
        }
        if (args3.length > 1) {
          return f4(args3[1], args3[0]);
        }
        return function(a3) {
          return f4(a3)(args3[0]);
        };
      };
    }
    exports2.flip = flip;
    function flow2(ab, bc, cd, de, ef2, fg, gh, hi, ij2) {
      switch (arguments.length) {
        case 1:
          return ab;
        case 2:
          return function() {
            return bc(ab.apply(this, arguments));
          };
        case 3:
          return function() {
            return cd(bc(ab.apply(this, arguments)));
          };
        case 4:
          return function() {
            return de(cd(bc(ab.apply(this, arguments))));
          };
        case 5:
          return function() {
            return ef2(de(cd(bc(ab.apply(this, arguments)))));
          };
        case 6:
          return function() {
            return fg(ef2(de(cd(bc(ab.apply(this, arguments))))));
          };
        case 7:
          return function() {
            return gh(fg(ef2(de(cd(bc(ab.apply(this, arguments)))))));
          };
        case 8:
          return function() {
            return hi(gh(fg(ef2(de(cd(bc(ab.apply(this, arguments))))))));
          };
        case 9:
          return function() {
            return ij2(hi(gh(fg(ef2(de(cd(bc(ab.apply(this, arguments)))))))));
          };
      }
      return;
    }
    exports2.flow = flow2;
    function tuple() {
      var t9 = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        t9[_i] = arguments[_i];
      }
      return t9;
    }
    exports2.tuple = tuple;
    function increment(n2) {
      return n2 + 1;
    }
    exports2.increment = increment;
    function decrement(n2) {
      return n2 - 1;
    }
    exports2.decrement = decrement;
    function absurd(_3) {
      throw new Error("Called `absurd` function which should be uncallable");
    }
    exports2.absurd = absurd;
    function tupled(f4) {
      return function(a3) {
        return f4.apply(void 0, a3);
      };
    }
    exports2.tupled = tupled;
    function untupled(f4) {
      return function() {
        var a3 = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          a3[_i] = arguments[_i];
        }
        return f4(a3);
      };
    }
    exports2.untupled = untupled;
    function pipe9(a3, ab, bc, cd, de, ef2, fg, gh, hi) {
      switch (arguments.length) {
        case 1:
          return a3;
        case 2:
          return ab(a3);
        case 3:
          return bc(ab(a3));
        case 4:
          return cd(bc(ab(a3)));
        case 5:
          return de(cd(bc(ab(a3))));
        case 6:
          return ef2(de(cd(bc(ab(a3)))));
        case 7:
          return fg(ef2(de(cd(bc(ab(a3))))));
        case 8:
          return gh(fg(ef2(de(cd(bc(ab(a3)))))));
        case 9:
          return hi(gh(fg(ef2(de(cd(bc(ab(a3))))))));
        default: {
          var ret = arguments[0];
          for (var i4 = 1; i4 < arguments.length; i4++) {
            ret = arguments[i4](ret);
          }
          return ret;
        }
      }
    }
    exports2.pipe = pipe9;
    exports2.hole = absurd;
    var SK2 = function(_3, b6) {
      return b6;
    };
    exports2.SK = SK2;
    function not(predicate) {
      return function(a3) {
        return !predicate(a3);
      };
    }
    exports2.not = not;
    var getEndomorphismMonoid = function() {
      return {
        concat: function(first, second) {
          return flow2(first, second);
        },
        empty: identity4
      };
    };
    exports2.getEndomorphismMonoid = getEndomorphismMonoid;
    var dual2 = function(arity, body) {
      var isDataFirst = typeof arity === "number" ? function(args3) {
        return args3.length >= arity;
      } : arity;
      return function() {
        var args3 = Array.from(arguments);
        if (isDataFirst(arguments)) {
          return body.apply(this, args3);
        }
        return function(self2) {
          return body.apply(void 0, __spreadArray2([self2], args3, false));
        };
      };
    };
    exports2.dual = dual2;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/internal.js
var require_internal = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/internal.js"(exports2) {
    "use strict";
    var __spreadArray2 = exports2 && exports2.__spreadArray || function(to2, from, pack) {
      if (pack || arguments.length === 2)
        for (var i4 = 0, l2 = from.length, ar; i4 < l2; i4++) {
          if (ar || !(i4 in from)) {
            if (!ar)
              ar = Array.prototype.slice.call(from, 0, i4);
            ar[i4] = from[i4];
          }
        }
      return to2.concat(ar || Array.prototype.slice.call(from));
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.flatMapReader = exports2.flatMapTask = exports2.flatMapIO = exports2.flatMapEither = exports2.flatMapOption = exports2.flatMapNullable = exports2.liftOption = exports2.liftNullable = exports2.fromReadonlyNonEmptyArray = exports2.has = exports2.emptyRecord = exports2.emptyReadonlyArray = exports2.tail = exports2.head = exports2.isNonEmpty = exports2.singleton = exports2.right = exports2.left = exports2.isRight = exports2.isLeft = exports2.some = exports2.none = exports2.isSome = exports2.isNone = void 0;
    var function_1 = require_function();
    var isNone2 = function(fa) {
      return fa._tag === "None";
    };
    exports2.isNone = isNone2;
    var isSome3 = function(fa) {
      return fa._tag === "Some";
    };
    exports2.isSome = isSome3;
    exports2.none = { _tag: "None" };
    var some4 = function(a3) {
      return { _tag: "Some", value: a3 };
    };
    exports2.some = some4;
    var isLeft3 = function(ma2) {
      return ma2._tag === "Left";
    };
    exports2.isLeft = isLeft3;
    var isRight4 = function(ma2) {
      return ma2._tag === "Right";
    };
    exports2.isRight = isRight4;
    var left4 = function(e3) {
      return { _tag: "Left", left: e3 };
    };
    exports2.left = left4;
    var right5 = function(a3) {
      return { _tag: "Right", right: a3 };
    };
    exports2.right = right5;
    var singleton2 = function(a3) {
      return [a3];
    };
    exports2.singleton = singleton2;
    var isNonEmpty2 = function(as7) {
      return as7.length > 0;
    };
    exports2.isNonEmpty = isNonEmpty2;
    var head2 = function(as7) {
      return as7[0];
    };
    exports2.head = head2;
    var tail2 = function(as7) {
      return as7.slice(1);
    };
    exports2.tail = tail2;
    exports2.emptyReadonlyArray = [];
    exports2.emptyRecord = {};
    exports2.has = Object.prototype.hasOwnProperty;
    var fromReadonlyNonEmptyArray = function(as7) {
      return __spreadArray2([as7[0]], as7.slice(1), true);
    };
    exports2.fromReadonlyNonEmptyArray = fromReadonlyNonEmptyArray;
    var liftNullable2 = function(F) {
      return function(f4, onNullable) {
        return function() {
          var a3 = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            a3[_i] = arguments[_i];
          }
          var o2 = f4.apply(void 0, a3);
          return F.fromEither(o2 == null ? (0, exports2.left)(onNullable.apply(void 0, a3)) : (0, exports2.right)(o2));
        };
      };
    };
    exports2.liftNullable = liftNullable2;
    var liftOption2 = function(F) {
      return function(f4, onNone) {
        return function() {
          var a3 = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            a3[_i] = arguments[_i];
          }
          var o2 = f4.apply(void 0, a3);
          return F.fromEither((0, exports2.isNone)(o2) ? (0, exports2.left)(onNone.apply(void 0, a3)) : (0, exports2.right)(o2.value));
        };
      };
    };
    exports2.liftOption = liftOption2;
    var flatMapNullable2 = function(F, M) {
      return (0, function_1.dual)(3, function(self2, f4, onNullable) {
        return M.flatMap(self2, (0, exports2.liftNullable)(F)(f4, onNullable));
      });
    };
    exports2.flatMapNullable = flatMapNullable2;
    var flatMapOption2 = function(F, M) {
      return (0, function_1.dual)(3, function(self2, f4, onNone) {
        return M.flatMap(self2, (0, exports2.liftOption)(F)(f4, onNone));
      });
    };
    exports2.flatMapOption = flatMapOption2;
    var flatMapEither2 = function(F, M) {
      return (0, function_1.dual)(2, function(self2, f4) {
        return M.flatMap(self2, function(a3) {
          return F.fromEither(f4(a3));
        });
      });
    };
    exports2.flatMapEither = flatMapEither2;
    var flatMapIO3 = function(F, M) {
      return (0, function_1.dual)(2, function(self2, f4) {
        return M.flatMap(self2, function(a3) {
          return F.fromIO(f4(a3));
        });
      });
    };
    exports2.flatMapIO = flatMapIO3;
    var flatMapTask2 = function(F, M) {
      return (0, function_1.dual)(2, function(self2, f4) {
        return M.flatMap(self2, function(a3) {
          return F.fromTask(f4(a3));
        });
      });
    };
    exports2.flatMapTask = flatMapTask2;
    var flatMapReader = function(F, M) {
      return (0, function_1.dual)(2, function(self2, f4) {
        return M.flatMap(self2, function(a3) {
          return F.fromReader(f4(a3));
        });
      });
    };
    exports2.flatMapReader = flatMapReader;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Apply.js
var require_Apply = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Apply.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.sequenceS = exports2.sequenceT = exports2.getApplySemigroup = exports2.apS = exports2.apSecond = exports2.apFirst = exports2.ap = void 0;
    var function_1 = require_function();
    var _3 = __importStar(require_internal());
    function ap7(F, G) {
      return function(fa) {
        return function(fab) {
          return F.ap(F.map(fab, function(gab) {
            return function(ga) {
              return G.ap(gab, ga);
            };
          }), fa);
        };
      };
    }
    exports2.ap = ap7;
    function apFirst(A2) {
      return function(second) {
        return function(first) {
          return A2.ap(A2.map(first, function(a3) {
            return function() {
              return a3;
            };
          }), second);
        };
      };
    }
    exports2.apFirst = apFirst;
    function apSecond(A2) {
      return function(second) {
        return function(first) {
          return A2.ap(A2.map(first, function() {
            return function(b6) {
              return b6;
            };
          }), second);
        };
      };
    }
    exports2.apSecond = apSecond;
    function apS(F) {
      return function(name, fb) {
        return function(fa) {
          return F.ap(F.map(fa, function(a3) {
            return function(b6) {
              var _a;
              return Object.assign({}, a3, (_a = {}, _a[name] = b6, _a));
            };
          }), fb);
        };
      };
    }
    exports2.apS = apS;
    function getApplySemigroup(F) {
      return function(S2) {
        return {
          concat: function(first, second) {
            return F.ap(F.map(first, function(x) {
              return function(y3) {
                return S2.concat(x, y3);
              };
            }), second);
          }
        };
      };
    }
    exports2.getApplySemigroup = getApplySemigroup;
    function curried(f4, n2, acc) {
      return function(x) {
        var combined = Array(acc.length + 1);
        for (var i4 = 0; i4 < acc.length; i4++) {
          combined[i4] = acc[i4];
        }
        combined[acc.length] = x;
        return n2 === 0 ? f4.apply(null, combined) : curried(f4, n2 - 1, combined);
      };
    }
    var tupleConstructors = {
      1: function(a3) {
        return [a3];
      },
      2: function(a3) {
        return function(b6) {
          return [a3, b6];
        };
      },
      3: function(a3) {
        return function(b6) {
          return function(c4) {
            return [a3, b6, c4];
          };
        };
      },
      4: function(a3) {
        return function(b6) {
          return function(c4) {
            return function(d3) {
              return [a3, b6, c4, d3];
            };
          };
        };
      },
      5: function(a3) {
        return function(b6) {
          return function(c4) {
            return function(d3) {
              return function(e3) {
                return [a3, b6, c4, d3, e3];
              };
            };
          };
        };
      }
    };
    function getTupleConstructor(len) {
      if (!_3.has.call(tupleConstructors, len)) {
        tupleConstructors[len] = curried(function_1.tuple, len - 1, []);
      }
      return tupleConstructors[len];
    }
    function sequenceT(F) {
      return function() {
        var args3 = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          args3[_i] = arguments[_i];
        }
        var len = args3.length;
        var f4 = getTupleConstructor(len);
        var fas = F.map(args3[0], f4);
        for (var i4 = 1; i4 < len; i4++) {
          fas = F.ap(fas, args3[i4]);
        }
        return fas;
      };
    }
    exports2.sequenceT = sequenceT;
    function getRecordConstructor(keys) {
      var len = keys.length;
      switch (len) {
        case 1:
          return function(a3) {
            var _a;
            return _a = {}, _a[keys[0]] = a3, _a;
          };
        case 2:
          return function(a3) {
            return function(b6) {
              var _a;
              return _a = {}, _a[keys[0]] = a3, _a[keys[1]] = b6, _a;
            };
          };
        case 3:
          return function(a3) {
            return function(b6) {
              return function(c4) {
                var _a;
                return _a = {}, _a[keys[0]] = a3, _a[keys[1]] = b6, _a[keys[2]] = c4, _a;
              };
            };
          };
        case 4:
          return function(a3) {
            return function(b6) {
              return function(c4) {
                return function(d3) {
                  var _a;
                  return _a = {}, _a[keys[0]] = a3, _a[keys[1]] = b6, _a[keys[2]] = c4, _a[keys[3]] = d3, _a;
                };
              };
            };
          };
        case 5:
          return function(a3) {
            return function(b6) {
              return function(c4) {
                return function(d3) {
                  return function(e3) {
                    var _a;
                    return _a = {}, _a[keys[0]] = a3, _a[keys[1]] = b6, _a[keys[2]] = c4, _a[keys[3]] = d3, _a[keys[4]] = e3, _a;
                  };
                };
              };
            };
          };
        default:
          return curried(function() {
            var args3 = [];
            for (var _i = 0; _i < arguments.length; _i++) {
              args3[_i] = arguments[_i];
            }
            var r2 = {};
            for (var i4 = 0; i4 < len; i4++) {
              r2[keys[i4]] = args3[i4];
            }
            return r2;
          }, len - 1, []);
      }
    }
    function sequenceS(F) {
      return function(r2) {
        var keys = Object.keys(r2);
        var len = keys.length;
        var f4 = getRecordConstructor(keys);
        var fr2 = F.map(r2[keys[0]], f4);
        for (var i4 = 1; i4 < len; i4++) {
          fr2 = F.ap(fr2, r2[keys[i4]]);
        }
        return fr2;
      };
    }
    exports2.sequenceS = sequenceS;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Functor.js
var require_Functor = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Functor.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.asUnit = exports2.as = exports2.getFunctorComposition = exports2.let = exports2.bindTo = exports2.flap = exports2.map = void 0;
    var function_1 = require_function();
    function map8(F, G) {
      return function(f4) {
        return function(fa) {
          return F.map(fa, function(ga) {
            return G.map(ga, f4);
          });
        };
      };
    }
    exports2.map = map8;
    function flap2(F) {
      return function(a3) {
        return function(fab) {
          return F.map(fab, function(f4) {
            return f4(a3);
          });
        };
      };
    }
    exports2.flap = flap2;
    function bindTo2(F) {
      return function(name) {
        return function(fa) {
          return F.map(fa, function(a3) {
            var _a;
            return _a = {}, _a[name] = a3, _a;
          });
        };
      };
    }
    exports2.bindTo = bindTo2;
    function let_2(F) {
      return function(name, f4) {
        return function(fa) {
          return F.map(fa, function(a3) {
            var _a;
            return Object.assign({}, a3, (_a = {}, _a[name] = f4(a3), _a));
          });
        };
      };
    }
    exports2.let = let_2;
    function getFunctorComposition(F, G) {
      var _map5 = map8(F, G);
      return {
        map: function(fga, f4) {
          return (0, function_1.pipe)(fga, _map5(f4));
        }
      };
    }
    exports2.getFunctorComposition = getFunctorComposition;
    function as7(F) {
      return function(self2, b6) {
        return F.map(self2, function() {
          return b6;
        });
      };
    }
    exports2.as = as7;
    function asUnit6(F) {
      var asM = as7(F);
      return function(self2) {
        return asM(self2, void 0);
      };
    }
    exports2.asUnit = asUnit6;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Applicative.js
var require_Applicative = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Applicative.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getApplicativeComposition = exports2.getApplicativeMonoid = void 0;
    var Apply_1 = require_Apply();
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    function getApplicativeMonoid(F) {
      var f4 = (0, Apply_1.getApplySemigroup)(F);
      return function(M) {
        return {
          concat: f4(M).concat,
          empty: F.of(M.empty)
        };
      };
    }
    exports2.getApplicativeMonoid = getApplicativeMonoid;
    function getApplicativeComposition(F, G) {
      var map8 = (0, Functor_1.getFunctorComposition)(F, G).map;
      var _ap3 = (0, Apply_1.ap)(F, G);
      return {
        map: map8,
        of: function(a3) {
          return F.of(G.of(a3));
        },
        ap: function(fgab, fga) {
          return (0, function_1.pipe)(fgab, _ap3(fga));
        }
      };
    }
    exports2.getApplicativeComposition = getApplicativeComposition;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Chain.js
var require_Chain = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Chain.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.bind = exports2.tap = exports2.chainFirst = void 0;
    function chainFirst(M) {
      var tapM = tap6(M);
      return function(f4) {
        return function(first) {
          return tapM(first, f4);
        };
      };
    }
    exports2.chainFirst = chainFirst;
    function tap6(M) {
      return function(first, f4) {
        return M.chain(first, function(a3) {
          return M.map(f4(a3), function() {
            return a3;
          });
        });
      };
    }
    exports2.tap = tap6;
    function bind2(M) {
      return function(name, f4) {
        return function(ma2) {
          return M.chain(ma2, function(a3) {
            return M.map(f4(a3), function(b6) {
              var _a;
              return Object.assign({}, a3, (_a = {}, _a[name] = b6, _a));
            });
          });
        };
      };
    }
    exports2.bind = bind2;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/FromEither.js
var require_FromEither = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/FromEither.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.tapEither = exports2.filterOrElse = exports2.chainFirstEitherK = exports2.chainEitherK = exports2.fromEitherK = exports2.chainOptionK = exports2.fromOptionK = exports2.fromPredicate = exports2.fromOption = void 0;
    var Chain_1 = require_Chain();
    var function_1 = require_function();
    var _3 = __importStar(require_internal());
    function fromOption2(F) {
      return function(onNone) {
        return function(ma2) {
          return F.fromEither(_3.isNone(ma2) ? _3.left(onNone()) : _3.right(ma2.value));
        };
      };
    }
    exports2.fromOption = fromOption2;
    function fromPredicate2(F) {
      return function(predicate, onFalse) {
        return function(a3) {
          return F.fromEither(predicate(a3) ? _3.right(a3) : _3.left(onFalse(a3)));
        };
      };
    }
    exports2.fromPredicate = fromPredicate2;
    function fromOptionK2(F) {
      var fromOptionF = fromOption2(F);
      return function(onNone) {
        var from = fromOptionF(onNone);
        return function(f4) {
          return (0, function_1.flow)(f4, from);
        };
      };
    }
    exports2.fromOptionK = fromOptionK2;
    function chainOptionK2(F, M) {
      var fromOptionKF = fromOptionK2(F);
      return function(onNone) {
        var from = fromOptionKF(onNone);
        return function(f4) {
          return function(ma2) {
            return M.chain(ma2, from(f4));
          };
        };
      };
    }
    exports2.chainOptionK = chainOptionK2;
    function fromEitherK2(F) {
      return function(f4) {
        return (0, function_1.flow)(f4, F.fromEither);
      };
    }
    exports2.fromEitherK = fromEitherK2;
    function chainEitherK2(F, M) {
      var fromEitherKF = fromEitherK2(F);
      return function(f4) {
        return function(ma2) {
          return M.chain(ma2, fromEitherKF(f4));
        };
      };
    }
    exports2.chainEitherK = chainEitherK2;
    function chainFirstEitherK(F, M) {
      var tapEitherM = tapEither4(F, M);
      return function(f4) {
        return function(ma2) {
          return tapEitherM(ma2, f4);
        };
      };
    }
    exports2.chainFirstEitherK = chainFirstEitherK;
    function filterOrElse2(F, M) {
      return function(predicate, onFalse) {
        return function(ma2) {
          return M.chain(ma2, function(a3) {
            return F.fromEither(predicate(a3) ? _3.right(a3) : _3.left(onFalse(a3)));
          });
        };
      };
    }
    exports2.filterOrElse = filterOrElse2;
    function tapEither4(F, M) {
      var fromEither3 = fromEitherK2(F);
      var tapM = (0, Chain_1.tap)(M);
      return function(self2, f4) {
        return tapM(self2, fromEither3(f4));
      };
    }
    exports2.tapEither = tapEither4;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Predicate.js
var require_Predicate = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Predicate.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.and = exports2.or = exports2.not = exports2.Contravariant = exports2.getMonoidAll = exports2.getSemigroupAll = exports2.getMonoidAny = exports2.getSemigroupAny = exports2.URI = exports2.contramap = void 0;
    var function_1 = require_function();
    var contramap_ = function(predicate, f4) {
      return (0, function_1.pipe)(predicate, (0, exports2.contramap)(f4));
    };
    var contramap = function(f4) {
      return function(predicate) {
        return (0, function_1.flow)(f4, predicate);
      };
    };
    exports2.contramap = contramap;
    exports2.URI = "Predicate";
    var getSemigroupAny = function() {
      return {
        concat: function(first, second) {
          return (0, function_1.pipe)(first, (0, exports2.or)(second));
        }
      };
    };
    exports2.getSemigroupAny = getSemigroupAny;
    var getMonoidAny = function() {
      return {
        concat: (0, exports2.getSemigroupAny)().concat,
        empty: function_1.constFalse
      };
    };
    exports2.getMonoidAny = getMonoidAny;
    var getSemigroupAll = function() {
      return {
        concat: function(first, second) {
          return (0, function_1.pipe)(first, (0, exports2.and)(second));
        }
      };
    };
    exports2.getSemigroupAll = getSemigroupAll;
    var getMonoidAll = function() {
      return {
        concat: (0, exports2.getSemigroupAll)().concat,
        empty: function_1.constTrue
      };
    };
    exports2.getMonoidAll = getMonoidAll;
    exports2.Contravariant = {
      URI: exports2.URI,
      contramap: contramap_
    };
    var not = function(predicate) {
      return function(a3) {
        return !predicate(a3);
      };
    };
    exports2.not = not;
    var or = function(second) {
      return function(first) {
        return function(a3) {
          return first(a3) || second(a3);
        };
      };
    };
    exports2.or = or;
    var and = function(second) {
      return function(first) {
        return function(a3) {
          return first(a3) && second(a3);
        };
      };
    };
    exports2.and = and;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Magma.js
var require_Magma = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Magma.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.concatAll = exports2.endo = exports2.filterSecond = exports2.filterFirst = exports2.reverse = void 0;
    var reverse = function(M) {
      return {
        concat: function(first, second) {
          return M.concat(second, first);
        }
      };
    };
    exports2.reverse = reverse;
    var filterFirst = function(predicate) {
      return function(M) {
        return {
          concat: function(first, second) {
            return predicate(first) ? M.concat(first, second) : second;
          }
        };
      };
    };
    exports2.filterFirst = filterFirst;
    var filterSecond = function(predicate) {
      return function(M) {
        return {
          concat: function(first, second) {
            return predicate(second) ? M.concat(first, second) : first;
          }
        };
      };
    };
    exports2.filterSecond = filterSecond;
    var endo = function(f4) {
      return function(M) {
        return {
          concat: function(first, second) {
            return M.concat(f4(first), f4(second));
          }
        };
      };
    };
    exports2.endo = endo;
    var concatAll = function(M) {
      return function(startWith) {
        return function(as7) {
          return as7.reduce(function(a3, acc) {
            return M.concat(a3, acc);
          }, startWith);
        };
      };
    };
    exports2.concatAll = concatAll;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Eq.js
var require_Eq = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Eq.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.eqDate = exports2.eqNumber = exports2.eqString = exports2.eqBoolean = exports2.eq = exports2.strictEqual = exports2.getStructEq = exports2.getTupleEq = exports2.Contravariant = exports2.getMonoid = exports2.getSemigroup = exports2.eqStrict = exports2.URI = exports2.contramap = exports2.tuple = exports2.struct = exports2.fromEquals = void 0;
    var function_1 = require_function();
    var fromEquals = function(equals) {
      return {
        equals: function(x, y3) {
          return x === y3 || equals(x, y3);
        }
      };
    };
    exports2.fromEquals = fromEquals;
    var struct = function(eqs) {
      return (0, exports2.fromEquals)(function(first, second) {
        for (var key in eqs) {
          if (!eqs[key].equals(first[key], second[key])) {
            return false;
          }
        }
        return true;
      });
    };
    exports2.struct = struct;
    var tuple = function() {
      var eqs = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        eqs[_i] = arguments[_i];
      }
      return (0, exports2.fromEquals)(function(first, second) {
        return eqs.every(function(E2, i4) {
          return E2.equals(first[i4], second[i4]);
        });
      });
    };
    exports2.tuple = tuple;
    var contramap_ = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.contramap)(f4));
    };
    var contramap = function(f4) {
      return function(fa) {
        return (0, exports2.fromEquals)(function(x, y3) {
          return fa.equals(f4(x), f4(y3));
        });
      };
    };
    exports2.contramap = contramap;
    exports2.URI = "Eq";
    exports2.eqStrict = {
      equals: function(a3, b6) {
        return a3 === b6;
      }
    };
    var empty = {
      equals: function() {
        return true;
      }
    };
    var getSemigroup = function() {
      return {
        concat: function(x, y3) {
          return (0, exports2.fromEquals)(function(a3, b6) {
            return x.equals(a3, b6) && y3.equals(a3, b6);
          });
        }
      };
    };
    exports2.getSemigroup = getSemigroup;
    var getMonoid = function() {
      return {
        concat: (0, exports2.getSemigroup)().concat,
        empty
      };
    };
    exports2.getMonoid = getMonoid;
    exports2.Contravariant = {
      URI: exports2.URI,
      contramap: contramap_
    };
    exports2.getTupleEq = exports2.tuple;
    exports2.getStructEq = exports2.struct;
    exports2.strictEqual = exports2.eqStrict.equals;
    exports2.eq = exports2.Contravariant;
    exports2.eqBoolean = exports2.eqStrict;
    exports2.eqString = exports2.eqStrict;
    exports2.eqNumber = exports2.eqStrict;
    exports2.eqDate = {
      equals: function(first, second) {
        return first.valueOf() === second.valueOf();
      }
    };
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Ord.js
var require_Ord = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Ord.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ordDate = exports2.ordNumber = exports2.ordString = exports2.ordBoolean = exports2.ord = exports2.getDualOrd = exports2.getTupleOrd = exports2.between = exports2.clamp = exports2.max = exports2.min = exports2.geq = exports2.leq = exports2.gt = exports2.lt = exports2.equals = exports2.trivial = exports2.Contravariant = exports2.getMonoid = exports2.getSemigroup = exports2.URI = exports2.contramap = exports2.reverse = exports2.tuple = exports2.fromCompare = exports2.equalsDefault = void 0;
    var Eq_1 = require_Eq();
    var function_1 = require_function();
    var equalsDefault = function(compare3) {
      return function(first, second) {
        return first === second || compare3(first, second) === 0;
      };
    };
    exports2.equalsDefault = equalsDefault;
    var fromCompare = function(compare3) {
      return {
        equals: (0, exports2.equalsDefault)(compare3),
        compare: function(first, second) {
          return first === second ? 0 : compare3(first, second);
        }
      };
    };
    exports2.fromCompare = fromCompare;
    var tuple = function() {
      var ords = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        ords[_i] = arguments[_i];
      }
      return (0, exports2.fromCompare)(function(first, second) {
        var i4 = 0;
        for (; i4 < ords.length - 1; i4++) {
          var r2 = ords[i4].compare(first[i4], second[i4]);
          if (r2 !== 0) {
            return r2;
          }
        }
        return ords[i4].compare(first[i4], second[i4]);
      });
    };
    exports2.tuple = tuple;
    var reverse = function(O2) {
      return (0, exports2.fromCompare)(function(first, second) {
        return O2.compare(second, first);
      });
    };
    exports2.reverse = reverse;
    var contramap_ = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.contramap)(f4));
    };
    var contramap = function(f4) {
      return function(fa) {
        return (0, exports2.fromCompare)(function(first, second) {
          return fa.compare(f4(first), f4(second));
        });
      };
    };
    exports2.contramap = contramap;
    exports2.URI = "Ord";
    var getSemigroup = function() {
      return {
        concat: function(first, second) {
          return (0, exports2.fromCompare)(function(a3, b6) {
            var ox = first.compare(a3, b6);
            return ox !== 0 ? ox : second.compare(a3, b6);
          });
        }
      };
    };
    exports2.getSemigroup = getSemigroup;
    var getMonoid = function() {
      return {
        concat: (0, exports2.getSemigroup)().concat,
        empty: (0, exports2.fromCompare)(function() {
          return 0;
        })
      };
    };
    exports2.getMonoid = getMonoid;
    exports2.Contravariant = {
      URI: exports2.URI,
      contramap: contramap_
    };
    exports2.trivial = {
      equals: function_1.constTrue,
      compare: /* @__PURE__ */ (0, function_1.constant)(0)
    };
    var equals = function(O2) {
      return function(second) {
        return function(first) {
          return first === second || O2.compare(first, second) === 0;
        };
      };
    };
    exports2.equals = equals;
    var lt2 = function(O2) {
      return function(first, second) {
        return O2.compare(first, second) === -1;
      };
    };
    exports2.lt = lt2;
    var gt = function(O2) {
      return function(first, second) {
        return O2.compare(first, second) === 1;
      };
    };
    exports2.gt = gt;
    var leq = function(O2) {
      return function(first, second) {
        return O2.compare(first, second) !== 1;
      };
    };
    exports2.leq = leq;
    var geq = function(O2) {
      return function(first, second) {
        return O2.compare(first, second) !== -1;
      };
    };
    exports2.geq = geq;
    var min = function(O2) {
      return function(first, second) {
        return first === second || O2.compare(first, second) < 1 ? first : second;
      };
    };
    exports2.min = min;
    var max = function(O2) {
      return function(first, second) {
        return first === second || O2.compare(first, second) > -1 ? first : second;
      };
    };
    exports2.max = max;
    var clamp = function(O2) {
      var minO = (0, exports2.min)(O2);
      var maxO = (0, exports2.max)(O2);
      return function(low, hi) {
        return function(a3) {
          return maxO(minO(a3, hi), low);
        };
      };
    };
    exports2.clamp = clamp;
    var between = function(O2) {
      var ltO = (0, exports2.lt)(O2);
      var gtO = (0, exports2.gt)(O2);
      return function(low, hi) {
        return function(a3) {
          return ltO(a3, low) || gtO(a3, hi) ? false : true;
        };
      };
    };
    exports2.between = between;
    exports2.getTupleOrd = exports2.tuple;
    exports2.getDualOrd = exports2.reverse;
    exports2.ord = exports2.Contravariant;
    function compare2(first, second) {
      return first < second ? -1 : first > second ? 1 : 0;
    }
    var strictOrd = {
      equals: Eq_1.eqStrict.equals,
      compare: compare2
    };
    exports2.ordBoolean = strictOrd;
    exports2.ordString = strictOrd;
    exports2.ordNumber = strictOrd;
    exports2.ordDate = (0, function_1.pipe)(
      exports2.ordNumber,
      /* @__PURE__ */ (0, exports2.contramap)(function(date2) {
        return date2.valueOf();
      })
    );
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Semigroup.js
var require_Semigroup = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Semigroup.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.semigroupProduct = exports2.semigroupSum = exports2.semigroupString = exports2.getFunctionSemigroup = exports2.semigroupAny = exports2.semigroupAll = exports2.fold = exports2.getIntercalateSemigroup = exports2.getMeetSemigroup = exports2.getJoinSemigroup = exports2.getDualSemigroup = exports2.getStructSemigroup = exports2.getTupleSemigroup = exports2.getFirstSemigroup = exports2.getLastSemigroup = exports2.getObjectSemigroup = exports2.semigroupVoid = exports2.concatAll = exports2.last = exports2.first = exports2.intercalate = exports2.tuple = exports2.struct = exports2.reverse = exports2.constant = exports2.max = exports2.min = void 0;
    var function_1 = require_function();
    var _3 = __importStar(require_internal());
    var M = __importStar(require_Magma());
    var Or = __importStar(require_Ord());
    var min = function(O2) {
      return {
        concat: Or.min(O2)
      };
    };
    exports2.min = min;
    var max = function(O2) {
      return {
        concat: Or.max(O2)
      };
    };
    exports2.max = max;
    var constant2 = function(a3) {
      return {
        concat: function() {
          return a3;
        }
      };
    };
    exports2.constant = constant2;
    exports2.reverse = M.reverse;
    var struct = function(semigroups) {
      return {
        concat: function(first2, second) {
          var r2 = {};
          for (var k in semigroups) {
            if (_3.has.call(semigroups, k)) {
              r2[k] = semigroups[k].concat(first2[k], second[k]);
            }
          }
          return r2;
        }
      };
    };
    exports2.struct = struct;
    var tuple = function() {
      var semigroups = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        semigroups[_i] = arguments[_i];
      }
      return {
        concat: function(first2, second) {
          return semigroups.map(function(s3, i4) {
            return s3.concat(first2[i4], second[i4]);
          });
        }
      };
    };
    exports2.tuple = tuple;
    var intercalate = function(middle) {
      return function(S2) {
        return {
          concat: function(x, y3) {
            return S2.concat(x, S2.concat(middle, y3));
          }
        };
      };
    };
    exports2.intercalate = intercalate;
    var first = function() {
      return { concat: function_1.identity };
    };
    exports2.first = first;
    var last = function() {
      return { concat: function(_4, y3) {
        return y3;
      } };
    };
    exports2.last = last;
    exports2.concatAll = M.concatAll;
    exports2.semigroupVoid = (0, exports2.constant)(void 0);
    var getObjectSemigroup = function() {
      return {
        concat: function(first2, second) {
          return Object.assign({}, first2, second);
        }
      };
    };
    exports2.getObjectSemigroup = getObjectSemigroup;
    exports2.getLastSemigroup = exports2.last;
    exports2.getFirstSemigroup = exports2.first;
    exports2.getTupleSemigroup = exports2.tuple;
    exports2.getStructSemigroup = exports2.struct;
    exports2.getDualSemigroup = exports2.reverse;
    exports2.getJoinSemigroup = exports2.max;
    exports2.getMeetSemigroup = exports2.min;
    exports2.getIntercalateSemigroup = exports2.intercalate;
    function fold2(S2) {
      var concatAllS = (0, exports2.concatAll)(S2);
      return function(startWith, as7) {
        return as7 === void 0 ? concatAllS(startWith) : concatAllS(startWith)(as7);
      };
    }
    exports2.fold = fold2;
    exports2.semigroupAll = {
      concat: function(x, y3) {
        return x && y3;
      }
    };
    exports2.semigroupAny = {
      concat: function(x, y3) {
        return x || y3;
      }
    };
    exports2.getFunctionSemigroup = function_1.getSemigroup;
    exports2.semigroupString = {
      concat: function(x, y3) {
        return x + y3;
      }
    };
    exports2.semigroupSum = {
      concat: function(x, y3) {
        return x + y3;
      }
    };
    exports2.semigroupProduct = {
      concat: function(x, y3) {
        return x * y3;
      }
    };
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Separated.js
var require_Separated = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Separated.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.right = exports2.left = exports2.flap = exports2.Functor = exports2.Bifunctor = exports2.URI = exports2.bimap = exports2.mapLeft = exports2.map = exports2.separated = void 0;
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    var separated = function(left5, right6) {
      return { left: left5, right: right6 };
    };
    exports2.separated = separated;
    var _map5 = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.map)(f4));
    };
    var _mapLeft = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.mapLeft)(f4));
    };
    var _bimap = function(fa, g2, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.bimap)(g2, f4));
    };
    var map8 = function(f4) {
      return function(fa) {
        return (0, exports2.separated)((0, exports2.left)(fa), f4((0, exports2.right)(fa)));
      };
    };
    exports2.map = map8;
    var mapLeft2 = function(f4) {
      return function(fa) {
        return (0, exports2.separated)(f4((0, exports2.left)(fa)), (0, exports2.right)(fa));
      };
    };
    exports2.mapLeft = mapLeft2;
    var bimap2 = function(f4, g2) {
      return function(fa) {
        return (0, exports2.separated)(f4((0, exports2.left)(fa)), g2((0, exports2.right)(fa)));
      };
    };
    exports2.bimap = bimap2;
    exports2.URI = "Separated";
    exports2.Bifunctor = {
      URI: exports2.URI,
      mapLeft: _mapLeft,
      bimap: _bimap
    };
    exports2.Functor = {
      URI: exports2.URI,
      map: _map5
    };
    exports2.flap = (0, Functor_1.flap)(exports2.Functor);
    var left4 = function(s3) {
      return s3.left;
    };
    exports2.left = left4;
    var right5 = function(s3) {
      return s3.right;
    };
    exports2.right = right5;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Witherable.js
var require_Witherable = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Witherable.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.filterE = exports2.witherDefault = exports2.wiltDefault = void 0;
    var _3 = __importStar(require_internal());
    function wiltDefault(T6, C) {
      return function(F) {
        var traverseF = T6.traverse(F);
        return function(wa2, f4) {
          return F.map(traverseF(wa2, f4), C.separate);
        };
      };
    }
    exports2.wiltDefault = wiltDefault;
    function witherDefault(T6, C) {
      return function(F) {
        var traverseF = T6.traverse(F);
        return function(wa2, f4) {
          return F.map(traverseF(wa2, f4), C.compact);
        };
      };
    }
    exports2.witherDefault = witherDefault;
    function filterE(W) {
      return function(F) {
        var witherF = W.wither(F);
        return function(predicate) {
          return function(ga) {
            return witherF(ga, function(a3) {
              return F.map(predicate(a3), function(b6) {
                return b6 ? _3.some(a3) : _3.none;
              });
            });
          };
        };
      };
    }
    exports2.filterE = filterE;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Zero.js
var require_Zero = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Zero.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.guard = void 0;
    function guard(F, P) {
      return function(b6) {
        return b6 ? P.of(void 0) : F.zero();
      };
    }
    exports2.guard = guard;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Option.js
var require_Option = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Option.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Witherable = exports2.wilt = exports2.wither = exports2.Traversable = exports2.sequence = exports2.traverse = exports2.Filterable = exports2.partitionMap = exports2.partition = exports2.filterMap = exports2.filter = exports2.Compactable = exports2.separate = exports2.compact = exports2.Extend = exports2.extend = exports2.Alternative = exports2.guard = exports2.Zero = exports2.zero = exports2.Alt = exports2.alt = exports2.altW = exports2.orElse = exports2.Foldable = exports2.reduceRight = exports2.foldMap = exports2.reduce = exports2.Monad = exports2.Chain = exports2.flatMap = exports2.Applicative = exports2.Apply = exports2.ap = exports2.Pointed = exports2.of = exports2.asUnit = exports2.as = exports2.Functor = exports2.map = exports2.getMonoid = exports2.getOrd = exports2.getEq = exports2.getShow = exports2.URI = exports2.getRight = exports2.getLeft = exports2.fromPredicate = exports2.some = exports2.none = void 0;
    exports2.getFirstMonoid = exports2.getApplyMonoid = exports2.getApplySemigroup = exports2.option = exports2.mapNullable = exports2.getRefinement = exports2.chainFirst = exports2.chain = exports2.sequenceArray = exports2.traverseArray = exports2.traverseArrayWithIndex = exports2.traverseReadonlyArrayWithIndex = exports2.traverseReadonlyNonEmptyArrayWithIndex = exports2.ApT = exports2.apS = exports2.bind = exports2.let = exports2.bindTo = exports2.Do = exports2.exists = exports2.elem = exports2.toUndefined = exports2.toNullable = exports2.chainNullableK = exports2.fromNullableK = exports2.tryCatchK = exports2.tryCatch = exports2.fromNullable = exports2.chainFirstEitherK = exports2.chainEitherK = exports2.fromEitherK = exports2.duplicate = exports2.tapEither = exports2.tap = exports2.flatten = exports2.apSecond = exports2.apFirst = exports2.flap = exports2.getOrElse = exports2.getOrElseW = exports2.fold = exports2.match = exports2.foldW = exports2.matchW = exports2.isNone = exports2.isSome = exports2.FromEither = exports2.fromEither = exports2.MonadThrow = exports2.throwError = void 0;
    exports2.getLastMonoid = void 0;
    var Applicative_1 = require_Applicative();
    var Apply_1 = require_Apply();
    var chainable = __importStar(require_Chain());
    var FromEither_1 = require_FromEither();
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    var _3 = __importStar(require_internal());
    var Predicate_1 = require_Predicate();
    var Semigroup_1 = require_Semigroup();
    var Separated_1 = require_Separated();
    var Witherable_1 = require_Witherable();
    var Zero_1 = require_Zero();
    exports2.none = _3.none;
    exports2.some = _3.some;
    function fromPredicate2(predicate) {
      return function(a3) {
        return predicate(a3) ? (0, exports2.some)(a3) : exports2.none;
      };
    }
    exports2.fromPredicate = fromPredicate2;
    var getLeft = function(ma2) {
      return ma2._tag === "Right" ? exports2.none : (0, exports2.some)(ma2.left);
    };
    exports2.getLeft = getLeft;
    var getRight2 = function(ma2) {
      return ma2._tag === "Left" ? exports2.none : (0, exports2.some)(ma2.right);
    };
    exports2.getRight = getRight2;
    var _map5 = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.map)(f4));
    };
    var _ap3 = function(fab, fa) {
      return (0, function_1.pipe)(fab, (0, exports2.ap)(fa));
    };
    var _reduce = function(fa, b6, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.reduce)(b6, f4));
    };
    var _foldMap = function(M) {
      var foldMapM = (0, exports2.foldMap)(M);
      return function(fa, f4) {
        return (0, function_1.pipe)(fa, foldMapM(f4));
      };
    };
    var _reduceRight = function(fa, b6, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.reduceRight)(b6, f4));
    };
    var _traverse = function(F) {
      var traverseF = (0, exports2.traverse)(F);
      return function(ta2, f4) {
        return (0, function_1.pipe)(ta2, traverseF(f4));
      };
    };
    var _alt = function(fa, that) {
      return (0, function_1.pipe)(fa, (0, exports2.alt)(that));
    };
    var _filter2 = function(fa, predicate) {
      return (0, function_1.pipe)(fa, (0, exports2.filter)(predicate));
    };
    var _filterMap = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.filterMap)(f4));
    };
    var _extend = function(wa2, f4) {
      return (0, function_1.pipe)(wa2, (0, exports2.extend)(f4));
    };
    var _partition = function(fa, predicate) {
      return (0, function_1.pipe)(fa, (0, exports2.partition)(predicate));
    };
    var _partitionMap = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.partitionMap)(f4));
    };
    exports2.URI = "Option";
    var getShow = function(S2) {
      return {
        show: function(ma2) {
          return (0, exports2.isNone)(ma2) ? "none" : "some(".concat(S2.show(ma2.value), ")");
        }
      };
    };
    exports2.getShow = getShow;
    var getEq = function(E2) {
      return {
        equals: function(x, y3) {
          return x === y3 || ((0, exports2.isNone)(x) ? (0, exports2.isNone)(y3) : (0, exports2.isNone)(y3) ? false : E2.equals(x.value, y3.value));
        }
      };
    };
    exports2.getEq = getEq;
    var getOrd = function(O2) {
      return {
        equals: (0, exports2.getEq)(O2).equals,
        compare: function(x, y3) {
          return x === y3 ? 0 : (0, exports2.isSome)(x) ? (0, exports2.isSome)(y3) ? O2.compare(x.value, y3.value) : 1 : -1;
        }
      };
    };
    exports2.getOrd = getOrd;
    var getMonoid = function(S2) {
      return {
        concat: function(x, y3) {
          return (0, exports2.isNone)(x) ? y3 : (0, exports2.isNone)(y3) ? x : (0, exports2.some)(S2.concat(x.value, y3.value));
        },
        empty: exports2.none
      };
    };
    exports2.getMonoid = getMonoid;
    var map8 = function(f4) {
      return function(fa) {
        return (0, exports2.isNone)(fa) ? exports2.none : (0, exports2.some)(f4(fa.value));
      };
    };
    exports2.map = map8;
    exports2.Functor = {
      URI: exports2.URI,
      map: _map5
    };
    exports2.as = (0, function_1.dual)(2, (0, Functor_1.as)(exports2.Functor));
    exports2.asUnit = (0, Functor_1.asUnit)(exports2.Functor);
    exports2.of = exports2.some;
    exports2.Pointed = {
      URI: exports2.URI,
      of: exports2.of
    };
    var ap7 = function(fa) {
      return function(fab) {
        return (0, exports2.isNone)(fab) ? exports2.none : (0, exports2.isNone)(fa) ? exports2.none : (0, exports2.some)(fab.value(fa.value));
      };
    };
    exports2.ap = ap7;
    exports2.Apply = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3
    };
    exports2.Applicative = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      of: exports2.of
    };
    exports2.flatMap = (0, function_1.dual)(2, function(ma2, f4) {
      return (0, exports2.isNone)(ma2) ? exports2.none : f4(ma2.value);
    });
    exports2.Chain = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      chain: exports2.flatMap
    };
    exports2.Monad = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      of: exports2.of,
      chain: exports2.flatMap
    };
    var reduce2 = function(b6, f4) {
      return function(fa) {
        return (0, exports2.isNone)(fa) ? b6 : f4(b6, fa.value);
      };
    };
    exports2.reduce = reduce2;
    var foldMap = function(M) {
      return function(f4) {
        return function(fa) {
          return (0, exports2.isNone)(fa) ? M.empty : f4(fa.value);
        };
      };
    };
    exports2.foldMap = foldMap;
    var reduceRight2 = function(b6, f4) {
      return function(fa) {
        return (0, exports2.isNone)(fa) ? b6 : f4(fa.value, b6);
      };
    };
    exports2.reduceRight = reduceRight2;
    exports2.Foldable = {
      URI: exports2.URI,
      reduce: _reduce,
      foldMap: _foldMap,
      reduceRight: _reduceRight
    };
    exports2.orElse = (0, function_1.dual)(2, function(self2, that) {
      return (0, exports2.isNone)(self2) ? that() : self2;
    });
    exports2.altW = exports2.orElse;
    exports2.alt = exports2.orElse;
    exports2.Alt = {
      URI: exports2.URI,
      map: _map5,
      alt: _alt
    };
    var zero = function() {
      return exports2.none;
    };
    exports2.zero = zero;
    exports2.Zero = {
      URI: exports2.URI,
      zero: exports2.zero
    };
    exports2.guard = (0, Zero_1.guard)(exports2.Zero, exports2.Pointed);
    exports2.Alternative = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      of: exports2.of,
      alt: _alt,
      zero: exports2.zero
    };
    var extend = function(f4) {
      return function(wa2) {
        return (0, exports2.isNone)(wa2) ? exports2.none : (0, exports2.some)(f4(wa2));
      };
    };
    exports2.extend = extend;
    exports2.Extend = {
      URI: exports2.URI,
      map: _map5,
      extend: _extend
    };
    exports2.compact = (0, exports2.flatMap)(function_1.identity);
    var defaultSeparated = /* @__PURE__ */ (0, Separated_1.separated)(exports2.none, exports2.none);
    var separate = function(ma2) {
      return (0, exports2.isNone)(ma2) ? defaultSeparated : (0, Separated_1.separated)((0, exports2.getLeft)(ma2.value), (0, exports2.getRight)(ma2.value));
    };
    exports2.separate = separate;
    exports2.Compactable = {
      URI: exports2.URI,
      compact: exports2.compact,
      separate: exports2.separate
    };
    var filter2 = function(predicate) {
      return function(fa) {
        return (0, exports2.isNone)(fa) ? exports2.none : predicate(fa.value) ? fa : exports2.none;
      };
    };
    exports2.filter = filter2;
    var filterMap = function(f4) {
      return function(fa) {
        return (0, exports2.isNone)(fa) ? exports2.none : f4(fa.value);
      };
    };
    exports2.filterMap = filterMap;
    var partition = function(predicate) {
      return function(fa) {
        return (0, Separated_1.separated)(_filter2(fa, (0, Predicate_1.not)(predicate)), _filter2(fa, predicate));
      };
    };
    exports2.partition = partition;
    var partitionMap = function(f4) {
      return (0, function_1.flow)((0, exports2.map)(f4), exports2.separate);
    };
    exports2.partitionMap = partitionMap;
    exports2.Filterable = {
      URI: exports2.URI,
      map: _map5,
      compact: exports2.compact,
      separate: exports2.separate,
      filter: _filter2,
      filterMap: _filterMap,
      partition: _partition,
      partitionMap: _partitionMap
    };
    var traverse = function(F) {
      return function(f4) {
        return function(ta2) {
          return (0, exports2.isNone)(ta2) ? F.of(exports2.none) : F.map(f4(ta2.value), exports2.some);
        };
      };
    };
    exports2.traverse = traverse;
    var sequence = function(F) {
      return function(ta2) {
        return (0, exports2.isNone)(ta2) ? F.of(exports2.none) : F.map(ta2.value, exports2.some);
      };
    };
    exports2.sequence = sequence;
    exports2.Traversable = {
      URI: exports2.URI,
      map: _map5,
      reduce: _reduce,
      foldMap: _foldMap,
      reduceRight: _reduceRight,
      traverse: _traverse,
      sequence: exports2.sequence
    };
    var _wither = /* @__PURE__ */ (0, Witherable_1.witherDefault)(exports2.Traversable, exports2.Compactable);
    var _wilt = /* @__PURE__ */ (0, Witherable_1.wiltDefault)(exports2.Traversable, exports2.Compactable);
    var wither = function(F) {
      var _witherF = _wither(F);
      return function(f4) {
        return function(fa) {
          return _witherF(fa, f4);
        };
      };
    };
    exports2.wither = wither;
    var wilt = function(F) {
      var _wiltF = _wilt(F);
      return function(f4) {
        return function(fa) {
          return _wiltF(fa, f4);
        };
      };
    };
    exports2.wilt = wilt;
    exports2.Witherable = {
      URI: exports2.URI,
      map: _map5,
      reduce: _reduce,
      foldMap: _foldMap,
      reduceRight: _reduceRight,
      traverse: _traverse,
      sequence: exports2.sequence,
      compact: exports2.compact,
      separate: exports2.separate,
      filter: _filter2,
      filterMap: _filterMap,
      partition: _partition,
      partitionMap: _partitionMap,
      wither: _wither,
      wilt: _wilt
    };
    var throwError = function() {
      return exports2.none;
    };
    exports2.throwError = throwError;
    exports2.MonadThrow = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      of: exports2.of,
      chain: exports2.flatMap,
      throwError: exports2.throwError
    };
    exports2.fromEither = exports2.getRight;
    exports2.FromEither = {
      URI: exports2.URI,
      fromEither: exports2.fromEither
    };
    exports2.isSome = _3.isSome;
    var isNone2 = function(fa) {
      return fa._tag === "None";
    };
    exports2.isNone = isNone2;
    var matchW2 = function(onNone, onSome) {
      return function(ma2) {
        return (0, exports2.isNone)(ma2) ? onNone() : onSome(ma2.value);
      };
    };
    exports2.matchW = matchW2;
    exports2.foldW = exports2.matchW;
    exports2.match = exports2.matchW;
    exports2.fold = exports2.match;
    var getOrElseW2 = function(onNone) {
      return function(ma2) {
        return (0, exports2.isNone)(ma2) ? onNone() : ma2.value;
      };
    };
    exports2.getOrElseW = getOrElseW2;
    exports2.getOrElse = exports2.getOrElseW;
    exports2.flap = (0, Functor_1.flap)(exports2.Functor);
    exports2.apFirst = (0, Apply_1.apFirst)(exports2.Apply);
    exports2.apSecond = (0, Apply_1.apSecond)(exports2.Apply);
    exports2.flatten = exports2.compact;
    exports2.tap = (0, function_1.dual)(2, chainable.tap(exports2.Chain));
    exports2.tapEither = (0, function_1.dual)(2, (0, FromEither_1.tapEither)(exports2.FromEither, exports2.Chain));
    exports2.duplicate = (0, exports2.extend)(function_1.identity);
    exports2.fromEitherK = (0, FromEither_1.fromEitherK)(exports2.FromEither);
    exports2.chainEitherK = /* @__PURE__ */ (0, FromEither_1.chainEitherK)(exports2.FromEither, exports2.Chain);
    exports2.chainFirstEitherK = exports2.tapEither;
    var fromNullable4 = function(a3) {
      return a3 == null ? exports2.none : (0, exports2.some)(a3);
    };
    exports2.fromNullable = fromNullable4;
    var tryCatch4 = function(f4) {
      try {
        return (0, exports2.some)(f4());
      } catch (e3) {
        return exports2.none;
      }
    };
    exports2.tryCatch = tryCatch4;
    var tryCatchK = function(f4) {
      return function() {
        var a3 = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          a3[_i] = arguments[_i];
        }
        return (0, exports2.tryCatch)(function() {
          return f4.apply(void 0, a3);
        });
      };
    };
    exports2.tryCatchK = tryCatchK;
    var fromNullableK2 = function(f4) {
      return (0, function_1.flow)(f4, exports2.fromNullable);
    };
    exports2.fromNullableK = fromNullableK2;
    var chainNullableK2 = function(f4) {
      return function(ma2) {
        return (0, exports2.isNone)(ma2) ? exports2.none : (0, exports2.fromNullable)(f4(ma2.value));
      };
    };
    exports2.chainNullableK = chainNullableK2;
    exports2.toNullable = (0, exports2.match)(function_1.constNull, function_1.identity);
    exports2.toUndefined = (0, exports2.match)(function_1.constUndefined, function_1.identity);
    function elem(E2) {
      return function(a3, ma2) {
        if (ma2 === void 0) {
          var elemE_1 = elem(E2);
          return function(ma3) {
            return elemE_1(a3, ma3);
          };
        }
        return (0, exports2.isNone)(ma2) ? false : E2.equals(a3, ma2.value);
      };
    }
    exports2.elem = elem;
    var exists5 = function(predicate) {
      return function(ma2) {
        return (0, exports2.isNone)(ma2) ? false : predicate(ma2.value);
      };
    };
    exports2.exists = exists5;
    exports2.Do = (0, exports2.of)(_3.emptyRecord);
    exports2.bindTo = (0, Functor_1.bindTo)(exports2.Functor);
    var let_2 = /* @__PURE__ */ (0, Functor_1.let)(exports2.Functor);
    exports2.let = let_2;
    exports2.bind = chainable.bind(exports2.Chain);
    exports2.apS = (0, Apply_1.apS)(exports2.Apply);
    exports2.ApT = (0, exports2.of)(_3.emptyReadonlyArray);
    var traverseReadonlyNonEmptyArrayWithIndex2 = function(f4) {
      return function(as7) {
        var o2 = f4(0, _3.head(as7));
        if ((0, exports2.isNone)(o2)) {
          return exports2.none;
        }
        var out = [o2.value];
        for (var i4 = 1; i4 < as7.length; i4++) {
          var o_1 = f4(i4, as7[i4]);
          if ((0, exports2.isNone)(o_1)) {
            return exports2.none;
          }
          out.push(o_1.value);
        }
        return (0, exports2.some)(out);
      };
    };
    exports2.traverseReadonlyNonEmptyArrayWithIndex = traverseReadonlyNonEmptyArrayWithIndex2;
    var traverseReadonlyArrayWithIndex = function(f4) {
      var g2 = (0, exports2.traverseReadonlyNonEmptyArrayWithIndex)(f4);
      return function(as7) {
        return _3.isNonEmpty(as7) ? g2(as7) : exports2.ApT;
      };
    };
    exports2.traverseReadonlyArrayWithIndex = traverseReadonlyArrayWithIndex;
    exports2.traverseArrayWithIndex = exports2.traverseReadonlyArrayWithIndex;
    var traverseArray2 = function(f4) {
      return (0, exports2.traverseReadonlyArrayWithIndex)(function(_4, a3) {
        return f4(a3);
      });
    };
    exports2.traverseArray = traverseArray2;
    exports2.sequenceArray = /* @__PURE__ */ (0, exports2.traverseArray)(function_1.identity);
    exports2.chain = exports2.flatMap;
    exports2.chainFirst = exports2.tap;
    function getRefinement(getOption) {
      return function(a3) {
        return (0, exports2.isSome)(getOption(a3));
      };
    }
    exports2.getRefinement = getRefinement;
    exports2.mapNullable = exports2.chainNullableK;
    exports2.option = {
      URI: exports2.URI,
      map: _map5,
      of: exports2.of,
      ap: _ap3,
      chain: exports2.flatMap,
      reduce: _reduce,
      foldMap: _foldMap,
      reduceRight: _reduceRight,
      traverse: _traverse,
      sequence: exports2.sequence,
      zero: exports2.zero,
      alt: _alt,
      extend: _extend,
      compact: exports2.compact,
      separate: exports2.separate,
      filter: _filter2,
      filterMap: _filterMap,
      partition: _partition,
      partitionMap: _partitionMap,
      wither: _wither,
      wilt: _wilt,
      throwError: exports2.throwError
    };
    exports2.getApplySemigroup = (0, Apply_1.getApplySemigroup)(exports2.Apply);
    exports2.getApplyMonoid = (0, Applicative_1.getApplicativeMonoid)(exports2.Applicative);
    var getFirstMonoid = function() {
      return (0, exports2.getMonoid)((0, Semigroup_1.first)());
    };
    exports2.getFirstMonoid = getFirstMonoid;
    var getLastMonoid = function() {
      return (0, exports2.getMonoid)((0, Semigroup_1.last)());
    };
    exports2.getLastMonoid = getLastMonoid;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Compactable.js
var require_Compactable = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Compactable.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getCompactableComposition = exports2.separate = exports2.compact = void 0;
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    var Option_1 = require_Option();
    var S2 = __importStar(require_Separated());
    function compact(F, G) {
      return function(fga) {
        return F.map(fga, G.compact);
      };
    }
    exports2.compact = compact;
    function separate(F, C, G) {
      var _compact = compact(F, C);
      var _map5 = (0, Functor_1.map)(F, G);
      return function(fge2) {
        return S2.separated(_compact((0, function_1.pipe)(fge2, _map5(Option_1.getLeft))), _compact((0, function_1.pipe)(fge2, _map5(Option_1.getRight))));
      };
    }
    exports2.separate = separate;
    function getCompactableComposition(F, G) {
      var map8 = (0, Functor_1.getFunctorComposition)(F, G).map;
      return {
        map: map8,
        compact: compact(F, G),
        separate: separate(F, G, G)
      };
    }
    exports2.getCompactableComposition = getCompactableComposition;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/ChainRec.js
var require_ChainRec = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/ChainRec.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.tailRec = void 0;
    var tailRec = function(startWith, f4) {
      var ab = f4(startWith);
      while (ab._tag === "Left") {
        ab = f4(ab.left);
      }
      return ab.right;
    };
    exports2.tailRec = tailRec;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Either.js
var require_Either = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Either.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.match = exports2.foldW = exports2.matchW = exports2.isRight = exports2.isLeft = exports2.fromOption = exports2.fromPredicate = exports2.FromEither = exports2.MonadThrow = exports2.throwError = exports2.ChainRec = exports2.Extend = exports2.extend = exports2.Alt = exports2.alt = exports2.altW = exports2.Bifunctor = exports2.mapLeft = exports2.bimap = exports2.Traversable = exports2.sequence = exports2.traverse = exports2.Foldable = exports2.reduceRight = exports2.foldMap = exports2.reduce = exports2.Monad = exports2.Chain = exports2.Applicative = exports2.Apply = exports2.ap = exports2.apW = exports2.Pointed = exports2.of = exports2.asUnit = exports2.as = exports2.Functor = exports2.map = exports2.getAltValidation = exports2.getApplicativeValidation = exports2.getWitherable = exports2.getFilterable = exports2.getCompactable = exports2.getSemigroup = exports2.getEq = exports2.getShow = exports2.URI = exports2.flatMap = exports2.right = exports2.left = void 0;
    exports2.chainFirstW = exports2.chainFirst = exports2.chain = exports2.chainW = exports2.sequenceArray = exports2.traverseArray = exports2.traverseArrayWithIndex = exports2.traverseReadonlyArrayWithIndex = exports2.traverseReadonlyNonEmptyArrayWithIndex = exports2.ApT = exports2.apSW = exports2.apS = exports2.bindW = exports2.bind = exports2.let = exports2.bindTo = exports2.Do = exports2.exists = exports2.elem = exports2.toError = exports2.toUnion = exports2.chainNullableK = exports2.fromNullableK = exports2.tryCatchK = exports2.tryCatch = exports2.fromNullable = exports2.orElse = exports2.orElseW = exports2.swap = exports2.filterOrElseW = exports2.filterOrElse = exports2.flatMapOption = exports2.flatMapNullable = exports2.liftOption = exports2.liftNullable = exports2.chainOptionKW = exports2.chainOptionK = exports2.fromOptionK = exports2.duplicate = exports2.flatten = exports2.flattenW = exports2.tap = exports2.apSecondW = exports2.apSecond = exports2.apFirstW = exports2.apFirst = exports2.flap = exports2.getOrElse = exports2.getOrElseW = exports2.fold = void 0;
    exports2.getValidation = exports2.getValidationMonoid = exports2.getValidationSemigroup = exports2.getApplyMonoid = exports2.getApplySemigroup = exports2.either = exports2.stringifyJSON = exports2.parseJSON = void 0;
    var Applicative_1 = require_Applicative();
    var Apply_1 = require_Apply();
    var chainable = __importStar(require_Chain());
    var ChainRec_1 = require_ChainRec();
    var FromEither_1 = require_FromEither();
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    var _3 = __importStar(require_internal());
    var Separated_1 = require_Separated();
    var Witherable_1 = require_Witherable();
    exports2.left = _3.left;
    exports2.right = _3.right;
    exports2.flatMap = (0, function_1.dual)(2, function(ma2, f4) {
      return (0, exports2.isLeft)(ma2) ? ma2 : f4(ma2.right);
    });
    var _map5 = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.map)(f4));
    };
    var _ap3 = function(fab, fa) {
      return (0, function_1.pipe)(fab, (0, exports2.ap)(fa));
    };
    var _reduce = function(fa, b6, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.reduce)(b6, f4));
    };
    var _foldMap = function(M) {
      return function(fa, f4) {
        var foldMapM = (0, exports2.foldMap)(M);
        return (0, function_1.pipe)(fa, foldMapM(f4));
      };
    };
    var _reduceRight = function(fa, b6, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.reduceRight)(b6, f4));
    };
    var _traverse = function(F) {
      var traverseF = (0, exports2.traverse)(F);
      return function(ta2, f4) {
        return (0, function_1.pipe)(ta2, traverseF(f4));
      };
    };
    var _bimap = function(fa, f4, g2) {
      return (0, function_1.pipe)(fa, (0, exports2.bimap)(f4, g2));
    };
    var _mapLeft = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.mapLeft)(f4));
    };
    var _alt = function(fa, that) {
      return (0, function_1.pipe)(fa, (0, exports2.alt)(that));
    };
    var _extend = function(wa2, f4) {
      return (0, function_1.pipe)(wa2, (0, exports2.extend)(f4));
    };
    var _chainRec = function(a3, f4) {
      return (0, ChainRec_1.tailRec)(f4(a3), function(e3) {
        return (0, exports2.isLeft)(e3) ? (0, exports2.right)((0, exports2.left)(e3.left)) : (0, exports2.isLeft)(e3.right) ? (0, exports2.left)(f4(e3.right.left)) : (0, exports2.right)((0, exports2.right)(e3.right.right));
      });
    };
    exports2.URI = "Either";
    var getShow = function(SE, SA) {
      return {
        show: function(ma2) {
          return (0, exports2.isLeft)(ma2) ? "left(".concat(SE.show(ma2.left), ")") : "right(".concat(SA.show(ma2.right), ")");
        }
      };
    };
    exports2.getShow = getShow;
    var getEq = function(EL2, EA2) {
      return {
        equals: function(x, y3) {
          return x === y3 || ((0, exports2.isLeft)(x) ? (0, exports2.isLeft)(y3) && EL2.equals(x.left, y3.left) : (0, exports2.isRight)(y3) && EA2.equals(x.right, y3.right));
        }
      };
    };
    exports2.getEq = getEq;
    var getSemigroup = function(S2) {
      return {
        concat: function(x, y3) {
          return (0, exports2.isLeft)(y3) ? x : (0, exports2.isLeft)(x) ? y3 : (0, exports2.right)(S2.concat(x.right, y3.right));
        }
      };
    };
    exports2.getSemigroup = getSemigroup;
    var getCompactable = function(M) {
      var empty = (0, exports2.left)(M.empty);
      return {
        URI: exports2.URI,
        _E: void 0,
        compact: function(ma2) {
          return (0, exports2.isLeft)(ma2) ? ma2 : ma2.right._tag === "None" ? empty : (0, exports2.right)(ma2.right.value);
        },
        separate: function(ma2) {
          return (0, exports2.isLeft)(ma2) ? (0, Separated_1.separated)(ma2, ma2) : (0, exports2.isLeft)(ma2.right) ? (0, Separated_1.separated)((0, exports2.right)(ma2.right.left), empty) : (0, Separated_1.separated)(empty, (0, exports2.right)(ma2.right.right));
        }
      };
    };
    exports2.getCompactable = getCompactable;
    var getFilterable = function(M) {
      var empty = (0, exports2.left)(M.empty);
      var _a = (0, exports2.getCompactable)(M), compact = _a.compact, separate = _a.separate;
      var filter2 = function(ma2, predicate) {
        return (0, exports2.isLeft)(ma2) ? ma2 : predicate(ma2.right) ? ma2 : empty;
      };
      var partition = function(ma2, p2) {
        return (0, exports2.isLeft)(ma2) ? (0, Separated_1.separated)(ma2, ma2) : p2(ma2.right) ? (0, Separated_1.separated)(empty, (0, exports2.right)(ma2.right)) : (0, Separated_1.separated)((0, exports2.right)(ma2.right), empty);
      };
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        compact,
        separate,
        filter: filter2,
        filterMap: function(ma2, f4) {
          if ((0, exports2.isLeft)(ma2)) {
            return ma2;
          }
          var ob = f4(ma2.right);
          return ob._tag === "None" ? empty : (0, exports2.right)(ob.value);
        },
        partition,
        partitionMap: function(ma2, f4) {
          if ((0, exports2.isLeft)(ma2)) {
            return (0, Separated_1.separated)(ma2, ma2);
          }
          var e3 = f4(ma2.right);
          return (0, exports2.isLeft)(e3) ? (0, Separated_1.separated)((0, exports2.right)(e3.left), empty) : (0, Separated_1.separated)(empty, (0, exports2.right)(e3.right));
        }
      };
    };
    exports2.getFilterable = getFilterable;
    var getWitherable = function(M) {
      var F_2 = (0, exports2.getFilterable)(M);
      var C = (0, exports2.getCompactable)(M);
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        compact: F_2.compact,
        separate: F_2.separate,
        filter: F_2.filter,
        filterMap: F_2.filterMap,
        partition: F_2.partition,
        partitionMap: F_2.partitionMap,
        traverse: _traverse,
        sequence: exports2.sequence,
        reduce: _reduce,
        foldMap: _foldMap,
        reduceRight: _reduceRight,
        wither: (0, Witherable_1.witherDefault)(exports2.Traversable, C),
        wilt: (0, Witherable_1.wiltDefault)(exports2.Traversable, C)
      };
    };
    exports2.getWitherable = getWitherable;
    var getApplicativeValidation = function(SE) {
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        ap: function(fab, fa) {
          return (0, exports2.isLeft)(fab) ? (0, exports2.isLeft)(fa) ? (0, exports2.left)(SE.concat(fab.left, fa.left)) : fab : (0, exports2.isLeft)(fa) ? fa : (0, exports2.right)(fab.right(fa.right));
        },
        of: exports2.of
      };
    };
    exports2.getApplicativeValidation = getApplicativeValidation;
    var getAltValidation = function(SE) {
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        alt: function(me, that) {
          if ((0, exports2.isRight)(me)) {
            return me;
          }
          var ea2 = that();
          return (0, exports2.isLeft)(ea2) ? (0, exports2.left)(SE.concat(me.left, ea2.left)) : ea2;
        }
      };
    };
    exports2.getAltValidation = getAltValidation;
    var map8 = function(f4) {
      return function(fa) {
        return (0, exports2.isLeft)(fa) ? fa : (0, exports2.right)(f4(fa.right));
      };
    };
    exports2.map = map8;
    exports2.Functor = {
      URI: exports2.URI,
      map: _map5
    };
    exports2.as = (0, function_1.dual)(2, (0, Functor_1.as)(exports2.Functor));
    exports2.asUnit = (0, Functor_1.asUnit)(exports2.Functor);
    exports2.of = exports2.right;
    exports2.Pointed = {
      URI: exports2.URI,
      of: exports2.of
    };
    var apW2 = function(fa) {
      return function(fab) {
        return (0, exports2.isLeft)(fab) ? fab : (0, exports2.isLeft)(fa) ? fa : (0, exports2.right)(fab.right(fa.right));
      };
    };
    exports2.apW = apW2;
    exports2.ap = exports2.apW;
    exports2.Apply = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3
    };
    exports2.Applicative = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      of: exports2.of
    };
    exports2.Chain = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      chain: exports2.flatMap
    };
    exports2.Monad = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      of: exports2.of,
      chain: exports2.flatMap
    };
    var reduce2 = function(b6, f4) {
      return function(fa) {
        return (0, exports2.isLeft)(fa) ? b6 : f4(b6, fa.right);
      };
    };
    exports2.reduce = reduce2;
    var foldMap = function(M) {
      return function(f4) {
        return function(fa) {
          return (0, exports2.isLeft)(fa) ? M.empty : f4(fa.right);
        };
      };
    };
    exports2.foldMap = foldMap;
    var reduceRight2 = function(b6, f4) {
      return function(fa) {
        return (0, exports2.isLeft)(fa) ? b6 : f4(fa.right, b6);
      };
    };
    exports2.reduceRight = reduceRight2;
    exports2.Foldable = {
      URI: exports2.URI,
      reduce: _reduce,
      foldMap: _foldMap,
      reduceRight: _reduceRight
    };
    var traverse = function(F) {
      return function(f4) {
        return function(ta2) {
          return (0, exports2.isLeft)(ta2) ? F.of((0, exports2.left)(ta2.left)) : F.map(f4(ta2.right), exports2.right);
        };
      };
    };
    exports2.traverse = traverse;
    var sequence = function(F) {
      return function(ma2) {
        return (0, exports2.isLeft)(ma2) ? F.of((0, exports2.left)(ma2.left)) : F.map(ma2.right, exports2.right);
      };
    };
    exports2.sequence = sequence;
    exports2.Traversable = {
      URI: exports2.URI,
      map: _map5,
      reduce: _reduce,
      foldMap: _foldMap,
      reduceRight: _reduceRight,
      traverse: _traverse,
      sequence: exports2.sequence
    };
    var bimap2 = function(f4, g2) {
      return function(fa) {
        return (0, exports2.isLeft)(fa) ? (0, exports2.left)(f4(fa.left)) : (0, exports2.right)(g2(fa.right));
      };
    };
    exports2.bimap = bimap2;
    var mapLeft2 = function(f4) {
      return function(fa) {
        return (0, exports2.isLeft)(fa) ? (0, exports2.left)(f4(fa.left)) : fa;
      };
    };
    exports2.mapLeft = mapLeft2;
    exports2.Bifunctor = {
      URI: exports2.URI,
      bimap: _bimap,
      mapLeft: _mapLeft
    };
    var altW = function(that) {
      return function(fa) {
        return (0, exports2.isLeft)(fa) ? that() : fa;
      };
    };
    exports2.altW = altW;
    exports2.alt = exports2.altW;
    exports2.Alt = {
      URI: exports2.URI,
      map: _map5,
      alt: _alt
    };
    var extend = function(f4) {
      return function(wa2) {
        return (0, exports2.isLeft)(wa2) ? wa2 : (0, exports2.right)(f4(wa2));
      };
    };
    exports2.extend = extend;
    exports2.Extend = {
      URI: exports2.URI,
      map: _map5,
      extend: _extend
    };
    exports2.ChainRec = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      chain: exports2.flatMap,
      chainRec: _chainRec
    };
    exports2.throwError = exports2.left;
    exports2.MonadThrow = {
      URI: exports2.URI,
      map: _map5,
      ap: _ap3,
      of: exports2.of,
      chain: exports2.flatMap,
      throwError: exports2.throwError
    };
    exports2.FromEither = {
      URI: exports2.URI,
      fromEither: function_1.identity
    };
    exports2.fromPredicate = (0, FromEither_1.fromPredicate)(exports2.FromEither);
    exports2.fromOption = /* @__PURE__ */ (0, FromEither_1.fromOption)(exports2.FromEither);
    exports2.isLeft = _3.isLeft;
    exports2.isRight = _3.isRight;
    var matchW2 = function(onLeft, onRight) {
      return function(ma2) {
        return (0, exports2.isLeft)(ma2) ? onLeft(ma2.left) : onRight(ma2.right);
      };
    };
    exports2.matchW = matchW2;
    exports2.foldW = exports2.matchW;
    exports2.match = exports2.matchW;
    exports2.fold = exports2.match;
    var getOrElseW2 = function(onLeft) {
      return function(ma2) {
        return (0, exports2.isLeft)(ma2) ? onLeft(ma2.left) : ma2.right;
      };
    };
    exports2.getOrElseW = getOrElseW2;
    exports2.getOrElse = exports2.getOrElseW;
    exports2.flap = (0, Functor_1.flap)(exports2.Functor);
    exports2.apFirst = (0, Apply_1.apFirst)(exports2.Apply);
    exports2.apFirstW = exports2.apFirst;
    exports2.apSecond = (0, Apply_1.apSecond)(exports2.Apply);
    exports2.apSecondW = exports2.apSecond;
    exports2.tap = (0, function_1.dual)(2, chainable.tap(exports2.Chain));
    exports2.flattenW = /* @__PURE__ */ (0, exports2.flatMap)(function_1.identity);
    exports2.flatten = exports2.flattenW;
    exports2.duplicate = (0, exports2.extend)(function_1.identity);
    exports2.fromOptionK = /* @__PURE__ */ (0, FromEither_1.fromOptionK)(exports2.FromEither);
    exports2.chainOptionK = (0, FromEither_1.chainOptionK)(exports2.FromEither, exports2.Chain);
    exports2.chainOptionKW = exports2.chainOptionK;
    var _FromEither3 = {
      fromEither: exports2.FromEither.fromEither
    };
    exports2.liftNullable = _3.liftNullable(_FromEither3);
    exports2.liftOption = _3.liftOption(_FromEither3);
    var _FlatMap2 = {
      flatMap: exports2.flatMap
    };
    exports2.flatMapNullable = _3.flatMapNullable(_FromEither3, _FlatMap2);
    exports2.flatMapOption = _3.flatMapOption(_FromEither3, _FlatMap2);
    exports2.filterOrElse = (0, FromEither_1.filterOrElse)(exports2.FromEither, exports2.Chain);
    exports2.filterOrElseW = exports2.filterOrElse;
    var swap3 = function(ma2) {
      return (0, exports2.isLeft)(ma2) ? (0, exports2.right)(ma2.left) : (0, exports2.left)(ma2.right);
    };
    exports2.swap = swap3;
    var orElseW = function(onLeft) {
      return function(ma2) {
        return (0, exports2.isLeft)(ma2) ? onLeft(ma2.left) : ma2;
      };
    };
    exports2.orElseW = orElseW;
    exports2.orElse = exports2.orElseW;
    var fromNullable4 = function(e3) {
      return function(a3) {
        return a3 == null ? (0, exports2.left)(e3) : (0, exports2.right)(a3);
      };
    };
    exports2.fromNullable = fromNullable4;
    var tryCatch4 = function(f4, onThrow) {
      try {
        return (0, exports2.right)(f4());
      } catch (e3) {
        return (0, exports2.left)(onThrow(e3));
      }
    };
    exports2.tryCatch = tryCatch4;
    var tryCatchK = function(f4, onThrow) {
      return function() {
        var a3 = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          a3[_i] = arguments[_i];
        }
        return (0, exports2.tryCatch)(function() {
          return f4.apply(void 0, a3);
        }, onThrow);
      };
    };
    exports2.tryCatchK = tryCatchK;
    var fromNullableK2 = function(e3) {
      var from = (0, exports2.fromNullable)(e3);
      return function(f4) {
        return (0, function_1.flow)(f4, from);
      };
    };
    exports2.fromNullableK = fromNullableK2;
    var chainNullableK2 = function(e3) {
      var from = (0, exports2.fromNullableK)(e3);
      return function(f4) {
        return (0, exports2.flatMap)(from(f4));
      };
    };
    exports2.chainNullableK = chainNullableK2;
    exports2.toUnion = (0, exports2.foldW)(function_1.identity, function_1.identity);
    function toError(e3) {
      return e3 instanceof Error ? e3 : new Error(String(e3));
    }
    exports2.toError = toError;
    function elem(E2) {
      return function(a3, ma2) {
        if (ma2 === void 0) {
          var elemE_1 = elem(E2);
          return function(ma3) {
            return elemE_1(a3, ma3);
          };
        }
        return (0, exports2.isLeft)(ma2) ? false : E2.equals(a3, ma2.right);
      };
    }
    exports2.elem = elem;
    var exists5 = function(predicate) {
      return function(ma2) {
        return (0, exports2.isLeft)(ma2) ? false : predicate(ma2.right);
      };
    };
    exports2.exists = exists5;
    exports2.Do = (0, exports2.of)(_3.emptyRecord);
    exports2.bindTo = (0, Functor_1.bindTo)(exports2.Functor);
    var let_2 = /* @__PURE__ */ (0, Functor_1.let)(exports2.Functor);
    exports2.let = let_2;
    exports2.bind = chainable.bind(exports2.Chain);
    exports2.bindW = exports2.bind;
    exports2.apS = (0, Apply_1.apS)(exports2.Apply);
    exports2.apSW = exports2.apS;
    exports2.ApT = (0, exports2.of)(_3.emptyReadonlyArray);
    var traverseReadonlyNonEmptyArrayWithIndex2 = function(f4) {
      return function(as7) {
        var e3 = f4(0, _3.head(as7));
        if ((0, exports2.isLeft)(e3)) {
          return e3;
        }
        var out = [e3.right];
        for (var i4 = 1; i4 < as7.length; i4++) {
          var e_1 = f4(i4, as7[i4]);
          if ((0, exports2.isLeft)(e_1)) {
            return e_1;
          }
          out.push(e_1.right);
        }
        return (0, exports2.right)(out);
      };
    };
    exports2.traverseReadonlyNonEmptyArrayWithIndex = traverseReadonlyNonEmptyArrayWithIndex2;
    var traverseReadonlyArrayWithIndex = function(f4) {
      var g2 = (0, exports2.traverseReadonlyNonEmptyArrayWithIndex)(f4);
      return function(as7) {
        return _3.isNonEmpty(as7) ? g2(as7) : exports2.ApT;
      };
    };
    exports2.traverseReadonlyArrayWithIndex = traverseReadonlyArrayWithIndex;
    exports2.traverseArrayWithIndex = exports2.traverseReadonlyArrayWithIndex;
    var traverseArray2 = function(f4) {
      return (0, exports2.traverseReadonlyArrayWithIndex)(function(_4, a3) {
        return f4(a3);
      });
    };
    exports2.traverseArray = traverseArray2;
    exports2.sequenceArray = /* @__PURE__ */ (0, exports2.traverseArray)(function_1.identity);
    exports2.chainW = exports2.flatMap;
    exports2.chain = exports2.flatMap;
    exports2.chainFirst = exports2.tap;
    exports2.chainFirstW = exports2.tap;
    function parseJSON(s3, onError) {
      return (0, exports2.tryCatch)(function() {
        return JSON.parse(s3);
      }, onError);
    }
    exports2.parseJSON = parseJSON;
    var stringifyJSON = function(u2, onError) {
      return (0, exports2.tryCatch)(function() {
        var s3 = JSON.stringify(u2);
        if (typeof s3 !== "string") {
          throw new Error("Converting unsupported structure to JSON");
        }
        return s3;
      }, onError);
    };
    exports2.stringifyJSON = stringifyJSON;
    exports2.either = {
      URI: exports2.URI,
      map: _map5,
      of: exports2.of,
      ap: _ap3,
      chain: exports2.flatMap,
      reduce: _reduce,
      foldMap: _foldMap,
      reduceRight: _reduceRight,
      traverse: _traverse,
      sequence: exports2.sequence,
      bimap: _bimap,
      mapLeft: _mapLeft,
      alt: _alt,
      extend: _extend,
      chainRec: _chainRec,
      throwError: exports2.throwError
    };
    exports2.getApplySemigroup = /* @__PURE__ */ (0, Apply_1.getApplySemigroup)(exports2.Apply);
    exports2.getApplyMonoid = /* @__PURE__ */ (0, Applicative_1.getApplicativeMonoid)(exports2.Applicative);
    var getValidationSemigroup = function(SE, SA) {
      return (0, Apply_1.getApplySemigroup)((0, exports2.getApplicativeValidation)(SE))(SA);
    };
    exports2.getValidationSemigroup = getValidationSemigroup;
    var getValidationMonoid = function(SE, MA) {
      return (0, Applicative_1.getApplicativeMonoid)((0, exports2.getApplicativeValidation)(SE))(MA);
    };
    exports2.getValidationMonoid = getValidationMonoid;
    function getValidation(SE) {
      var ap7 = (0, exports2.getApplicativeValidation)(SE).ap;
      var alt2 = (0, exports2.getAltValidation)(SE).alt;
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        of: exports2.of,
        chain: exports2.flatMap,
        bimap: _bimap,
        mapLeft: _mapLeft,
        reduce: _reduce,
        foldMap: _foldMap,
        reduceRight: _reduceRight,
        extend: _extend,
        traverse: _traverse,
        sequence: exports2.sequence,
        chainRec: _chainRec,
        throwError: exports2.throwError,
        ap: ap7,
        alt: alt2
      };
    }
    exports2.getValidation = getValidation;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/EitherT.js
var require_EitherT = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/EitherT.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getEitherM = exports2.toUnion = exports2.swap = exports2.orLeft = exports2.tapError = exports2.orElseFirst = exports2.orElse = exports2.getOrElse = exports2.matchE = exports2.match = exports2.altValidation = exports2.mapError = exports2.mapLeft = exports2.mapBoth = exports2.bimap = exports2.alt = exports2.flatMap = exports2.chain = exports2.ap = exports2.map = exports2.chainNullableK = exports2.fromNullableK = exports2.fromNullable = exports2.leftF = exports2.rightF = exports2.left = exports2.right = void 0;
    var Apply_1 = require_Apply();
    var E2 = __importStar(require_Either());
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    function right5(F) {
      return (0, function_1.flow)(E2.right, F.of);
    }
    exports2.right = right5;
    function left4(F) {
      return (0, function_1.flow)(E2.left, F.of);
    }
    exports2.left = left4;
    function rightF2(F) {
      return function(fa) {
        return F.map(fa, E2.right);
      };
    }
    exports2.rightF = rightF2;
    function leftF2(F) {
      return function(fe2) {
        return F.map(fe2, E2.left);
      };
    }
    exports2.leftF = leftF2;
    function fromNullable4(F) {
      return function(e3) {
        return (0, function_1.flow)(E2.fromNullable(e3), F.of);
      };
    }
    exports2.fromNullable = fromNullable4;
    function fromNullableK2(F) {
      var fromNullableF = fromNullable4(F);
      return function(e3) {
        var fromNullableFE = fromNullableF(e3);
        return function(f4) {
          return (0, function_1.flow)(f4, fromNullableFE);
        };
      };
    }
    exports2.fromNullableK = fromNullableK2;
    function chainNullableK2(M) {
      var chainM = chain4(M);
      var fromNullableKM = fromNullableK2(M);
      return function(e3) {
        var fromNullableKMe = fromNullableKM(e3);
        return function(f4) {
          return chainM(fromNullableKMe(f4));
        };
      };
    }
    exports2.chainNullableK = chainNullableK2;
    function map8(F) {
      return (0, Functor_1.map)(F, E2.Functor);
    }
    exports2.map = map8;
    function ap7(F) {
      return (0, Apply_1.ap)(F, E2.Apply);
    }
    exports2.ap = ap7;
    function chain4(M) {
      var flatMapM = flatMap6(M);
      return function(f4) {
        return function(ma2) {
          return flatMapM(ma2, f4);
        };
      };
    }
    exports2.chain = chain4;
    function flatMap6(M) {
      return function(ma2, f4) {
        return M.chain(ma2, function(e3) {
          return E2.isLeft(e3) ? M.of(e3) : f4(e3.right);
        });
      };
    }
    exports2.flatMap = flatMap6;
    function alt2(M) {
      return function(second) {
        return function(first) {
          return M.chain(first, function(e3) {
            return E2.isLeft(e3) ? second() : M.of(e3);
          });
        };
      };
    }
    exports2.alt = alt2;
    function bimap2(F) {
      var mapBothF = mapBoth3(F);
      return function(f4, g2) {
        return function(self2) {
          return mapBothF(self2, f4, g2);
        };
      };
    }
    exports2.bimap = bimap2;
    function mapBoth3(F) {
      return function(self2, f4, g2) {
        return F.map(self2, E2.bimap(f4, g2));
      };
    }
    exports2.mapBoth = mapBoth3;
    function mapLeft2(F) {
      var mapErrorF = mapError3(F);
      return function(f4) {
        return function(self2) {
          return mapErrorF(self2, f4);
        };
      };
    }
    exports2.mapLeft = mapLeft2;
    function mapError3(F) {
      return function(self2, f4) {
        return F.map(self2, E2.mapLeft(f4));
      };
    }
    exports2.mapError = mapError3;
    function altValidation2(M, S2) {
      return function(second) {
        return function(first) {
          return M.chain(first, E2.match(function(e1) {
            return M.map(second(), E2.mapLeft(function(e22) {
              return S2.concat(e1, e22);
            }));
          }, right5(M)));
        };
      };
    }
    exports2.altValidation = altValidation2;
    function match4(F) {
      return function(onLeft, onRight) {
        return function(ma2) {
          return F.map(ma2, E2.match(onLeft, onRight));
        };
      };
    }
    exports2.match = match4;
    function matchE2(M) {
      return function(onLeft, onRight) {
        return function(ma2) {
          return M.chain(ma2, E2.match(onLeft, onRight));
        };
      };
    }
    exports2.matchE = matchE2;
    function getOrElse2(M) {
      return function(onLeft) {
        return function(ma2) {
          return M.chain(ma2, E2.match(onLeft, M.of));
        };
      };
    }
    exports2.getOrElse = getOrElse2;
    function orElse3(M) {
      return function(onLeft) {
        return function(ma2) {
          return M.chain(ma2, function(e3) {
            return E2.isLeft(e3) ? onLeft(e3.left) : M.of(e3);
          });
        };
      };
    }
    exports2.orElse = orElse3;
    function orElseFirst(M) {
      var tapErrorM = tapError3(M);
      return function(onLeft) {
        return function(ma2) {
          return tapErrorM(ma2, onLeft);
        };
      };
    }
    exports2.orElseFirst = orElseFirst;
    function tapError3(M) {
      var orElseM = orElse3(M);
      return function(ma2, onLeft) {
        return (0, function_1.pipe)(ma2, orElseM(function(e3) {
          return M.map(onLeft(e3), function(eb2) {
            return E2.isLeft(eb2) ? eb2 : E2.left(e3);
          });
        }));
      };
    }
    exports2.tapError = tapError3;
    function orLeft2(M) {
      return function(onLeft) {
        return function(ma2) {
          return M.chain(ma2, E2.match(function(e3) {
            return M.map(onLeft(e3), E2.left);
          }, function(a3) {
            return M.of(E2.right(a3));
          }));
        };
      };
    }
    exports2.orLeft = orLeft2;
    function swap3(F) {
      return function(ma2) {
        return F.map(ma2, E2.swap);
      };
    }
    exports2.swap = swap3;
    function toUnion3(F) {
      return function(fa) {
        return F.map(fa, E2.toUnion);
      };
    }
    exports2.toUnion = toUnion3;
    function getEitherM(M) {
      var _ap3 = ap7(M);
      var _map5 = map8(M);
      var _chain = chain4(M);
      var _alt = alt2(M);
      var _bimap = bimap2(M);
      var _mapLeft = mapLeft2(M);
      var _fold = matchE2(M);
      var _getOrElse = getOrElse2(M);
      var _orElse = orElse3(M);
      return {
        map: function(fa, f4) {
          return (0, function_1.pipe)(fa, _map5(f4));
        },
        ap: function(fab, fa) {
          return (0, function_1.pipe)(fab, _ap3(fa));
        },
        of: right5(M),
        chain: function(ma2, f4) {
          return (0, function_1.pipe)(ma2, _chain(f4));
        },
        alt: function(fa, that) {
          return (0, function_1.pipe)(fa, _alt(that));
        },
        bimap: function(fea, f4, g2) {
          return (0, function_1.pipe)(fea, _bimap(f4, g2));
        },
        mapLeft: function(fea, f4) {
          return (0, function_1.pipe)(fea, _mapLeft(f4));
        },
        fold: function(fa, onLeft, onRight) {
          return (0, function_1.pipe)(fa, _fold(onLeft, onRight));
        },
        getOrElse: function(fa, onLeft) {
          return (0, function_1.pipe)(fa, _getOrElse(onLeft));
        },
        orElse: function(fa, f4) {
          return (0, function_1.pipe)(fa, _orElse(f4));
        },
        swap: swap3(M),
        rightM: rightF2(M),
        leftM: leftF2(M),
        left: left4(M)
      };
    }
    exports2.getEitherM = getEitherM;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Filterable.js
var require_Filterable = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Filterable.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getFilterableComposition = exports2.partitionMap = exports2.partition = exports2.filterMap = exports2.filter = void 0;
    var Compactable_1 = require_Compactable();
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    var Option_1 = require_Option();
    var Predicate_1 = require_Predicate();
    var Separated_1 = require_Separated();
    function filter2(F, G) {
      return function(predicate) {
        return function(fga) {
          return F.map(fga, function(ga) {
            return G.filter(ga, predicate);
          });
        };
      };
    }
    exports2.filter = filter2;
    function filterMap(F, G) {
      return function(f4) {
        return function(fga) {
          return F.map(fga, function(ga) {
            return G.filterMap(ga, f4);
          });
        };
      };
    }
    exports2.filterMap = filterMap;
    function partition(F, G) {
      var _filter2 = filter2(F, G);
      return function(predicate) {
        var left4 = _filter2((0, Predicate_1.not)(predicate));
        var right5 = _filter2(predicate);
        return function(fgb) {
          return (0, Separated_1.separated)(left4(fgb), right5(fgb));
        };
      };
    }
    exports2.partition = partition;
    function partitionMap(F, G) {
      var _filterMap = filterMap(F, G);
      return function(f4) {
        return function(fga) {
          return (0, Separated_1.separated)((0, function_1.pipe)(fga, _filterMap(function(a3) {
            return (0, Option_1.getLeft)(f4(a3));
          })), (0, function_1.pipe)(fga, _filterMap(function(a3) {
            return (0, Option_1.getRight)(f4(a3));
          })));
        };
      };
    }
    exports2.partitionMap = partitionMap;
    function getFilterableComposition(F, G) {
      var map8 = (0, Functor_1.getFunctorComposition)(F, G).map;
      var _compact = (0, Compactable_1.compact)(F, G);
      var _separate = (0, Compactable_1.separate)(F, G, G);
      var _filter2 = filter2(F, G);
      var _filterMap = filterMap(F, G);
      var _partition = partition(F, G);
      var _partitionMap = partitionMap(F, G);
      return {
        map: map8,
        compact: _compact,
        separate: _separate,
        filter: function(fga, f4) {
          return (0, function_1.pipe)(fga, _filter2(f4));
        },
        filterMap: function(fga, f4) {
          return (0, function_1.pipe)(fga, _filterMap(f4));
        },
        partition: function(fga, p2) {
          return (0, function_1.pipe)(fga, _partition(p2));
        },
        partitionMap: function(fga, f4) {
          return (0, function_1.pipe)(fga, _partitionMap(f4));
        }
      };
    }
    exports2.getFilterableComposition = getFilterableComposition;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/FromIO.js
var require_FromIO = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/FromIO.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.tapIO = exports2.chainFirstIOK = exports2.chainIOK = exports2.fromIOK = void 0;
    var Chain_1 = require_Chain();
    var function_1 = require_function();
    function fromIOK2(F) {
      return function(f4) {
        return (0, function_1.flow)(f4, F.fromIO);
      };
    }
    exports2.fromIOK = fromIOK2;
    function chainIOK(F, M) {
      return function(f4) {
        var g2 = (0, function_1.flow)(f4, F.fromIO);
        return function(first) {
          return M.chain(first, g2);
        };
      };
    }
    exports2.chainIOK = chainIOK;
    function chainFirstIOK(F, M) {
      var tapIOM = tapIO4(F, M);
      return function(f4) {
        return function(first) {
          return tapIOM(first, f4);
        };
      };
    }
    exports2.chainFirstIOK = chainFirstIOK;
    function tapIO4(F, M) {
      var chainFirstM = (0, Chain_1.tap)(M);
      return function(self2, f4) {
        return chainFirstM(self2, (0, function_1.flow)(f4, F.fromIO));
      };
    }
    exports2.tapIO = tapIO4;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/FromTask.js
var require_FromTask = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/FromTask.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.tapTask = exports2.chainFirstTaskK = exports2.chainTaskK = exports2.fromTaskK = void 0;
    var Chain_1 = require_Chain();
    var function_1 = require_function();
    function fromTaskK2(F) {
      return function(f4) {
        return (0, function_1.flow)(f4, F.fromTask);
      };
    }
    exports2.fromTaskK = fromTaskK2;
    function chainTaskK(F, M) {
      return function(f4) {
        var g2 = (0, function_1.flow)(f4, F.fromTask);
        return function(first) {
          return M.chain(first, g2);
        };
      };
    }
    exports2.chainTaskK = chainTaskK;
    function chainFirstTaskK(F, M) {
      var tapTaskM = tapTask3(F, M);
      return function(f4) {
        return function(first) {
          return tapTaskM(first, f4);
        };
      };
    }
    exports2.chainFirstTaskK = chainFirstTaskK;
    function tapTask3(F, M) {
      var tapM = (0, Chain_1.tap)(M);
      return function(self2, f4) {
        return tapM(self2, (0, function_1.flow)(f4, F.fromTask));
      };
    }
    exports2.tapTask = tapTask3;
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Task.js
var require_Task = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/Task.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.sequenceSeqArray = exports2.traverseSeqArray = exports2.traverseSeqArrayWithIndex = exports2.sequenceArray = exports2.traverseArray = exports2.traverseArrayWithIndex = exports2.traverseReadonlyArrayWithIndexSeq = exports2.traverseReadonlyNonEmptyArrayWithIndexSeq = exports2.traverseReadonlyArrayWithIndex = exports2.traverseReadonlyNonEmptyArrayWithIndex = exports2.ApT = exports2.apS = exports2.bind = exports2.let = exports2.bindTo = exports2.Do = exports2.never = exports2.FromTask = exports2.chainFirstIOK = exports2.chainIOK = exports2.fromIOK = exports2.tapIO = exports2.tap = exports2.flatMapIO = exports2.FromIO = exports2.MonadTask = exports2.fromTask = exports2.MonadIO = exports2.Monad = exports2.Chain = exports2.ApplicativeSeq = exports2.ApplySeq = exports2.ApplicativePar = exports2.apSecond = exports2.apFirst = exports2.ApplyPar = exports2.Pointed = exports2.flap = exports2.asUnit = exports2.as = exports2.Functor = exports2.getRaceMonoid = exports2.URI = exports2.flatten = exports2.flatMap = exports2.of = exports2.ap = exports2.map = exports2.delay = exports2.fromIO = void 0;
    exports2.getMonoid = exports2.getSemigroup = exports2.taskSeq = exports2.task = exports2.chainFirst = exports2.chain = void 0;
    var Applicative_1 = require_Applicative();
    var Apply_1 = require_Apply();
    var chainable = __importStar(require_Chain());
    var FromIO_1 = require_FromIO();
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    var _3 = __importStar(require_internal());
    var fromIO3 = function(ma2) {
      return function() {
        return Promise.resolve().then(ma2);
      };
    };
    exports2.fromIO = fromIO3;
    function delay(millis) {
      return function(ma2) {
        return function() {
          return new Promise(function(resolve3) {
            setTimeout(function() {
              Promise.resolve().then(ma2).then(resolve3);
            }, millis);
          });
        };
      };
    }
    exports2.delay = delay;
    var _map5 = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.map)(f4));
    };
    var _apPar3 = function(fab, fa) {
      return (0, function_1.pipe)(fab, (0, exports2.ap)(fa));
    };
    var _apSeq = function(fab, fa) {
      return (0, exports2.flatMap)(fab, function(f4) {
        return (0, function_1.pipe)(fa, (0, exports2.map)(f4));
      });
    };
    var map8 = function(f4) {
      return function(fa) {
        return function() {
          return Promise.resolve().then(fa).then(f4);
        };
      };
    };
    exports2.map = map8;
    var ap7 = function(fa) {
      return function(fab) {
        return function() {
          return Promise.all([Promise.resolve().then(fab), Promise.resolve().then(fa)]).then(function(_a) {
            var f4 = _a[0], a3 = _a[1];
            return f4(a3);
          });
        };
      };
    };
    exports2.ap = ap7;
    var of3 = function(a3) {
      return function() {
        return Promise.resolve(a3);
      };
    };
    exports2.of = of3;
    exports2.flatMap = (0, function_1.dual)(2, function(ma2, f4) {
      return function() {
        return Promise.resolve().then(ma2).then(function(a3) {
          return f4(a3)();
        });
      };
    });
    exports2.flatten = (0, exports2.flatMap)(function_1.identity);
    exports2.URI = "Task";
    function getRaceMonoid() {
      return {
        concat: function(x, y3) {
          return function() {
            return Promise.race([Promise.resolve().then(x), Promise.resolve().then(y3)]);
          };
        },
        empty: exports2.never
      };
    }
    exports2.getRaceMonoid = getRaceMonoid;
    exports2.Functor = {
      URI: exports2.URI,
      map: _map5
    };
    exports2.as = (0, function_1.dual)(2, (0, Functor_1.as)(exports2.Functor));
    exports2.asUnit = (0, Functor_1.asUnit)(exports2.Functor);
    exports2.flap = (0, Functor_1.flap)(exports2.Functor);
    exports2.Pointed = {
      URI: exports2.URI,
      of: exports2.of
    };
    exports2.ApplyPar = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3
    };
    exports2.apFirst = (0, Apply_1.apFirst)(exports2.ApplyPar);
    exports2.apSecond = (0, Apply_1.apSecond)(exports2.ApplyPar);
    exports2.ApplicativePar = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3,
      of: exports2.of
    };
    exports2.ApplySeq = {
      URI: exports2.URI,
      map: _map5,
      ap: _apSeq
    };
    exports2.ApplicativeSeq = {
      URI: exports2.URI,
      map: _map5,
      ap: _apSeq,
      of: exports2.of
    };
    exports2.Chain = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3,
      chain: exports2.flatMap
    };
    exports2.Monad = {
      URI: exports2.URI,
      map: _map5,
      of: exports2.of,
      ap: _apPar3,
      chain: exports2.flatMap
    };
    exports2.MonadIO = {
      URI: exports2.URI,
      map: _map5,
      of: exports2.of,
      ap: _apPar3,
      chain: exports2.flatMap,
      fromIO: exports2.fromIO
    };
    exports2.fromTask = function_1.identity;
    exports2.MonadTask = {
      URI: exports2.URI,
      map: _map5,
      of: exports2.of,
      ap: _apPar3,
      chain: exports2.flatMap,
      fromIO: exports2.fromIO,
      fromTask: exports2.fromTask
    };
    exports2.FromIO = {
      URI: exports2.URI,
      fromIO: exports2.fromIO
    };
    var _FlatMap2 = {
      flatMap: exports2.flatMap
    };
    var _FromIO3 = {
      fromIO: exports2.FromIO.fromIO
    };
    exports2.flatMapIO = _3.flatMapIO(_FromIO3, _FlatMap2);
    exports2.tap = (0, function_1.dual)(2, chainable.tap(exports2.Chain));
    exports2.tapIO = (0, function_1.dual)(2, (0, FromIO_1.tapIO)(exports2.FromIO, exports2.Chain));
    exports2.fromIOK = /* @__PURE__ */ (0, FromIO_1.fromIOK)(exports2.FromIO);
    exports2.chainIOK = exports2.flatMapIO;
    exports2.chainFirstIOK = exports2.tapIO;
    exports2.FromTask = {
      URI: exports2.URI,
      fromIO: exports2.fromIO,
      fromTask: exports2.fromTask
    };
    var never = function() {
      return new Promise(function(_4) {
        return void 0;
      });
    };
    exports2.never = never;
    exports2.Do = (0, exports2.of)(_3.emptyRecord);
    exports2.bindTo = (0, Functor_1.bindTo)(exports2.Functor);
    var let_2 = /* @__PURE__ */ (0, Functor_1.let)(exports2.Functor);
    exports2.let = let_2;
    exports2.bind = chainable.bind(exports2.Chain);
    exports2.apS = (0, Apply_1.apS)(exports2.ApplyPar);
    exports2.ApT = (0, exports2.of)(_3.emptyReadonlyArray);
    var traverseReadonlyNonEmptyArrayWithIndex2 = function(f4) {
      return function(as7) {
        return function() {
          return Promise.all(as7.map(function(a3, i4) {
            return Promise.resolve().then(function() {
              return f4(i4, a3)();
            });
          }));
        };
      };
    };
    exports2.traverseReadonlyNonEmptyArrayWithIndex = traverseReadonlyNonEmptyArrayWithIndex2;
    var traverseReadonlyArrayWithIndex = function(f4) {
      var g2 = (0, exports2.traverseReadonlyNonEmptyArrayWithIndex)(f4);
      return function(as7) {
        return _3.isNonEmpty(as7) ? g2(as7) : exports2.ApT;
      };
    };
    exports2.traverseReadonlyArrayWithIndex = traverseReadonlyArrayWithIndex;
    var traverseReadonlyNonEmptyArrayWithIndexSeq = function(f4) {
      return function(as7) {
        return function() {
          return _3.tail(as7).reduce(function(acc, a3, i4) {
            return acc.then(function(bs) {
              return Promise.resolve().then(f4(i4 + 1, a3)).then(function(b6) {
                bs.push(b6);
                return bs;
              });
            });
          }, Promise.resolve().then(f4(0, _3.head(as7))).then(_3.singleton));
        };
      };
    };
    exports2.traverseReadonlyNonEmptyArrayWithIndexSeq = traverseReadonlyNonEmptyArrayWithIndexSeq;
    var traverseReadonlyArrayWithIndexSeq = function(f4) {
      var g2 = (0, exports2.traverseReadonlyNonEmptyArrayWithIndexSeq)(f4);
      return function(as7) {
        return _3.isNonEmpty(as7) ? g2(as7) : exports2.ApT;
      };
    };
    exports2.traverseReadonlyArrayWithIndexSeq = traverseReadonlyArrayWithIndexSeq;
    exports2.traverseArrayWithIndex = exports2.traverseReadonlyArrayWithIndex;
    var traverseArray2 = function(f4) {
      return (0, exports2.traverseReadonlyArrayWithIndex)(function(_4, a3) {
        return f4(a3);
      });
    };
    exports2.traverseArray = traverseArray2;
    exports2.sequenceArray = /* @__PURE__ */ (0, exports2.traverseArray)(function_1.identity);
    exports2.traverseSeqArrayWithIndex = exports2.traverseReadonlyArrayWithIndexSeq;
    var traverseSeqArray = function(f4) {
      return (0, exports2.traverseReadonlyArrayWithIndexSeq)(function(_4, a3) {
        return f4(a3);
      });
    };
    exports2.traverseSeqArray = traverseSeqArray;
    exports2.sequenceSeqArray = /* @__PURE__ */ (0, exports2.traverseSeqArray)(function_1.identity);
    exports2.chain = exports2.flatMap;
    exports2.chainFirst = exports2.tap;
    exports2.task = {
      URI: exports2.URI,
      map: _map5,
      of: exports2.of,
      ap: _apPar3,
      chain: exports2.flatMap,
      fromIO: exports2.fromIO,
      fromTask: exports2.fromTask
    };
    exports2.taskSeq = {
      URI: exports2.URI,
      map: _map5,
      of: exports2.of,
      ap: _apSeq,
      chain: exports2.flatMap,
      fromIO: exports2.fromIO,
      fromTask: exports2.fromTask
    };
    exports2.getSemigroup = (0, Apply_1.getApplySemigroup)(exports2.ApplySeq);
    exports2.getMonoid = (0, Applicative_1.getApplicativeMonoid)(exports2.ApplicativeSeq);
  }
});

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/TaskEither.js
var require_TaskEither = __commonJS({
  "../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/lib/TaskEither.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __awaiter2 = exports2 && exports2.__awaiter || function(thisArg, _arguments, P, generator) {
      function adopt(value) {
        return value instanceof P ? value : new P(function(resolve3) {
          resolve3(value);
        });
      }
      return new (P || (P = Promise))(function(resolve3, reject2) {
        function fulfilled(value) {
          try {
            step(generator.next(value));
          } catch (e3) {
            reject2(e3);
          }
        }
        function rejected(value) {
          try {
            step(generator["throw"](value));
          } catch (e3) {
            reject2(e3);
          }
        }
        function step(result) {
          result.done ? resolve3(result.value) : adopt(result.value).then(fulfilled, rejected);
        }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
      });
    };
    var __generator2 = exports2 && exports2.__generator || function(thisArg, body) {
      var _4 = { label: 0, sent: function() {
        if (t9[0] & 1)
          throw t9[1];
        return t9[1];
      }, trys: [], ops: [] }, f4, y3, t9, g2;
      return g2 = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g2[Symbol.iterator] = function() {
        return this;
      }), g2;
      function verb(n2) {
        return function(v2) {
          return step([n2, v2]);
        };
      }
      function step(op) {
        if (f4)
          throw new TypeError("Generator is already executing.");
        while (g2 && (g2 = 0, op[0] && (_4 = 0)), _4)
          try {
            if (f4 = 1, y3 && (t9 = op[0] & 2 ? y3["return"] : op[0] ? y3["throw"] || ((t9 = y3["return"]) && t9.call(y3), 0) : y3.next) && !(t9 = t9.call(y3, op[1])).done)
              return t9;
            if (y3 = 0, t9)
              op = [op[0] & 2, t9.value];
            switch (op[0]) {
              case 0:
              case 1:
                t9 = op;
                break;
              case 4:
                _4.label++;
                return { value: op[1], done: false };
              case 5:
                _4.label++;
                y3 = op[1];
                op = [0];
                continue;
              case 7:
                op = _4.ops.pop();
                _4.trys.pop();
                continue;
              default:
                if (!(t9 = _4.trys, t9 = t9.length > 0 && t9[t9.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _4 = 0;
                  continue;
                }
                if (op[0] === 3 && (!t9 || op[1] > t9[0] && op[1] < t9[3])) {
                  _4.label = op[1];
                  break;
                }
                if (op[0] === 6 && _4.label < t9[1]) {
                  _4.label = t9[1];
                  t9 = op;
                  break;
                }
                if (t9 && _4.label < t9[2]) {
                  _4.label = t9[2];
                  _4.ops.push(op);
                  break;
                }
                if (t9[2])
                  _4.ops.pop();
                _4.trys.pop();
                continue;
            }
            op = body.call(thisArg, _4);
          } catch (e3) {
            op = [6, e3];
            y3 = 0;
          } finally {
            f4 = t9 = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.throwError = exports2.of = exports2.altW = exports2.alt = exports2.flatten = exports2.flattenW = exports2.flatMap = exports2.apW = exports2.ap = exports2.mapLeft = exports2.mapError = exports2.bimap = exports2.mapBoth = exports2.map = exports2.fromIOEitherK = exports2.chainTaskOptionK = exports2.chainTaskOptionKW = exports2.fromTaskOptionK = exports2.swap = exports2.orLeft = exports2.orElseFirstTaskK = exports2.orElseFirstIOK = exports2.tapError = exports2.orElseW = exports2.orElse = exports2.chainNullableK = exports2.fromNullableK = exports2.fromNullable = exports2.toUnion = exports2.tryCatchK = exports2.tryCatch = exports2.getOrElseW = exports2.getOrElse = exports2.foldW = exports2.matchEW = exports2.fold = exports2.matchE = exports2.matchW = exports2.match = exports2.fromTaskOption = exports2.fromIOEither = exports2.fromEither = exports2.fromTask = exports2.fromIO = exports2.leftIO = exports2.rightIO = exports2.leftTask = exports2.rightTask = exports2.right = exports2.left = void 0;
    exports2.fromPredicate = exports2.chainFirstEitherKW = exports2.chainFirstEitherK = exports2.chainEitherKW = exports2.chainEitherK = exports2.flatMapTaskOption = exports2.flatMapIOEither = exports2.flatMapTask = exports2.flatMapIO = exports2.flatMapEither = exports2.flatMapOption = exports2.flatMapNullable = exports2.liftOption = exports2.liftNullable = exports2.chainOptionKW = exports2.chainOptionK = exports2.fromOptionK = exports2.fromOption = exports2.Alt = exports2.Bifunctor = exports2.tapTask = exports2.tapIO = exports2.tapEither = exports2.tap = exports2.FromTask = exports2.FromIO = exports2.FromEither = exports2.MonadThrow = exports2.MonadTask = exports2.MonadIO = exports2.Monad = exports2.Chain = exports2.ApplicativeSeq = exports2.ApplySeq = exports2.ApplicativePar = exports2.apSecondW = exports2.apSecond = exports2.apFirstW = exports2.apFirst = exports2.ApplyPar = exports2.Pointed = exports2.flap = exports2.asUnit = exports2.as = exports2.Functor = exports2.getFilterable = exports2.getCompactable = exports2.getAltTaskValidation = exports2.getApplicativeTaskValidation = exports2.URI = void 0;
    exports2.getTaskValidation = exports2.getSemigroup = exports2.getApplyMonoid = exports2.getApplySemigroup = exports2.taskEitherSeq = exports2.taskEither = exports2.orElseFirstW = exports2.orElseFirst = exports2.chainFirstW = exports2.chainFirst = exports2.chainW = exports2.chain = exports2.sequenceSeqArray = exports2.traverseSeqArray = exports2.traverseSeqArrayWithIndex = exports2.sequenceArray = exports2.traverseArray = exports2.traverseArrayWithIndex = exports2.traverseReadonlyArrayWithIndexSeq = exports2.traverseReadonlyNonEmptyArrayWithIndexSeq = exports2.traverseReadonlyArrayWithIndex = exports2.traverseReadonlyNonEmptyArrayWithIndex = exports2.ApT = exports2.apSW = exports2.apS = exports2.bindW = exports2.bind = exports2.let = exports2.bindTo = exports2.Do = exports2.bracketW = exports2.bracket = exports2.taskify = exports2.chainIOEitherK = exports2.chainIOEitherKW = exports2.chainFirstTaskK = exports2.chainTaskK = exports2.fromTaskK = exports2.chainFirstIOK = exports2.chainIOK = exports2.fromIOK = exports2.fromEitherK = exports2.filterOrElseW = exports2.filterOrElse = void 0;
    var Applicative_1 = require_Applicative();
    var Apply_1 = require_Apply();
    var chainable = __importStar(require_Chain());
    var Compactable_1 = require_Compactable();
    var E2 = __importStar(require_Either());
    var ET = __importStar(require_EitherT());
    var Filterable_1 = require_Filterable();
    var FromEither_1 = require_FromEither();
    var FromIO_1 = require_FromIO();
    var FromTask_1 = require_FromTask();
    var function_1 = require_function();
    var Functor_1 = require_Functor();
    var _3 = __importStar(require_internal());
    var T6 = __importStar(require_Task());
    exports2.left = ET.left(T6.Pointed);
    exports2.right = ET.right(T6.Pointed);
    exports2.rightTask = ET.rightF(T6.Functor);
    exports2.leftTask = ET.leftF(T6.Functor);
    exports2.rightIO = (0, function_1.flow)(T6.fromIO, exports2.rightTask);
    exports2.leftIO = (0, function_1.flow)(T6.fromIO, exports2.leftTask);
    exports2.fromIO = exports2.rightIO;
    exports2.fromTask = exports2.rightTask;
    exports2.fromEither = T6.of;
    exports2.fromIOEither = T6.fromIO;
    var fromTaskOption = function(onNone) {
      return T6.map(E2.fromOption(onNone));
    };
    exports2.fromTaskOption = fromTaskOption;
    exports2.match = /* @__PURE__ */ ET.match(T6.Functor);
    exports2.matchW = exports2.match;
    exports2.matchE = ET.matchE(T6.Monad);
    exports2.fold = exports2.matchE;
    exports2.matchEW = exports2.matchE;
    exports2.foldW = exports2.matchEW;
    exports2.getOrElse = /* @__PURE__ */ ET.getOrElse(T6.Monad);
    exports2.getOrElseW = exports2.getOrElse;
    var tryCatch4 = function(f4, onRejected) {
      return function() {
        return __awaiter2(void 0, void 0, void 0, function() {
          var reason_1;
          return __generator2(this, function(_a) {
            switch (_a.label) {
              case 0:
                _a.trys.push([0, 2, , 3]);
                return [4, f4().then(_3.right)];
              case 1:
                return [2, _a.sent()];
              case 2:
                reason_1 = _a.sent();
                return [2, _3.left(onRejected(reason_1))];
              case 3:
                return [
                  2
                  /*return*/
                ];
            }
          });
        });
      };
    };
    exports2.tryCatch = tryCatch4;
    var tryCatchK = function(f4, onRejected) {
      return function() {
        var a3 = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          a3[_i] = arguments[_i];
        }
        return (0, exports2.tryCatch)(function() {
          return f4.apply(void 0, a3);
        }, onRejected);
      };
    };
    exports2.tryCatchK = tryCatchK;
    exports2.toUnion = ET.toUnion(T6.Functor);
    exports2.fromNullable = ET.fromNullable(T6.Pointed);
    exports2.fromNullableK = ET.fromNullableK(T6.Pointed);
    exports2.chainNullableK = /* @__PURE__ */ ET.chainNullableK(T6.Monad);
    exports2.orElse = /* @__PURE__ */ ET.orElse(T6.Monad);
    exports2.orElseW = exports2.orElse;
    exports2.tapError = (0, function_1.dual)(2, ET.tapError(T6.Monad));
    var orElseFirstIOK = function(onLeft) {
      return (0, exports2.tapError)((0, exports2.fromIOK)(onLeft));
    };
    exports2.orElseFirstIOK = orElseFirstIOK;
    var orElseFirstTaskK = function(onLeft) {
      return (0, exports2.tapError)((0, exports2.fromTaskK)(onLeft));
    };
    exports2.orElseFirstTaskK = orElseFirstTaskK;
    exports2.orLeft = /* @__PURE__ */ ET.orLeft(T6.Monad);
    exports2.swap = ET.swap(T6.Functor);
    var fromTaskOptionK = function(onNone) {
      var from = (0, exports2.fromTaskOption)(onNone);
      return function(f4) {
        return (0, function_1.flow)(f4, from);
      };
    };
    exports2.fromTaskOptionK = fromTaskOptionK;
    var chainTaskOptionKW = function(onNone) {
      return function(f4) {
        return function(ma2) {
          return (0, exports2.flatMap)(ma2, (0, exports2.fromTaskOptionK)(onNone)(f4));
        };
      };
    };
    exports2.chainTaskOptionKW = chainTaskOptionKW;
    exports2.chainTaskOptionK = exports2.chainTaskOptionKW;
    var fromIOEitherK = function(f4) {
      return (0, function_1.flow)(f4, exports2.fromIOEither);
    };
    exports2.fromIOEitherK = fromIOEitherK;
    var _map5 = function(fa, f4) {
      return (0, function_1.pipe)(fa, (0, exports2.map)(f4));
    };
    var _apPar3 = function(fab, fa) {
      return (0, function_1.pipe)(fab, (0, exports2.ap)(fa));
    };
    var _apSeq = function(fab, fa) {
      return (0, exports2.flatMap)(fab, function(f4) {
        return (0, function_1.pipe)(fa, (0, exports2.map)(f4));
      });
    };
    var _alt = function(fa, that) {
      return (0, function_1.pipe)(fa, (0, exports2.alt)(that));
    };
    exports2.map = ET.map(T6.Functor);
    exports2.mapBoth = (0, function_1.dual)(3, ET.mapBoth(T6.Functor));
    exports2.bimap = exports2.mapBoth;
    exports2.mapError = (0, function_1.dual)(2, ET.mapError(T6.Functor));
    exports2.mapLeft = exports2.mapError;
    exports2.ap = /* @__PURE__ */ ET.ap(T6.ApplyPar);
    exports2.apW = exports2.ap;
    exports2.flatMap = (0, function_1.dual)(2, ET.flatMap(T6.Monad));
    exports2.flattenW = /* @__PURE__ */ (0, exports2.flatMap)(function_1.identity);
    exports2.flatten = exports2.flattenW;
    exports2.alt = /* @__PURE__ */ ET.alt(T6.Monad);
    exports2.altW = exports2.alt;
    exports2.of = exports2.right;
    exports2.throwError = exports2.left;
    exports2.URI = "TaskEither";
    function getApplicativeTaskValidation(A2, S2) {
      var ap7 = (0, Apply_1.ap)(A2, E2.getApplicativeValidation(S2));
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        ap: function(fab, fa) {
          return (0, function_1.pipe)(fab, ap7(fa));
        },
        of: exports2.of
      };
    }
    exports2.getApplicativeTaskValidation = getApplicativeTaskValidation;
    function getAltTaskValidation(S2) {
      var alt2 = ET.altValidation(T6.Monad, S2);
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        alt: function(fa, that) {
          return (0, function_1.pipe)(fa, alt2(that));
        }
      };
    }
    exports2.getAltTaskValidation = getAltTaskValidation;
    var getCompactable = function(M) {
      var C = E2.getCompactable(M);
      return {
        URI: exports2.URI,
        _E: void 0,
        compact: (0, Compactable_1.compact)(T6.Functor, C),
        separate: (0, Compactable_1.separate)(T6.Functor, C, E2.Functor)
      };
    };
    exports2.getCompactable = getCompactable;
    function getFilterable(M) {
      var F = E2.getFilterable(M);
      var C = (0, exports2.getCompactable)(M);
      var filter2 = (0, Filterable_1.filter)(T6.Functor, F);
      var filterMap = (0, Filterable_1.filterMap)(T6.Functor, F);
      var partition = (0, Filterable_1.partition)(T6.Functor, F);
      var partitionMap = (0, Filterable_1.partitionMap)(T6.Functor, F);
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        compact: C.compact,
        separate: C.separate,
        filter: function(fa, predicate) {
          return (0, function_1.pipe)(fa, filter2(predicate));
        },
        filterMap: function(fa, f4) {
          return (0, function_1.pipe)(fa, filterMap(f4));
        },
        partition: function(fa, predicate) {
          return (0, function_1.pipe)(fa, partition(predicate));
        },
        partitionMap: function(fa, f4) {
          return (0, function_1.pipe)(fa, partitionMap(f4));
        }
      };
    }
    exports2.getFilterable = getFilterable;
    exports2.Functor = {
      URI: exports2.URI,
      map: _map5
    };
    exports2.as = (0, function_1.dual)(2, (0, Functor_1.as)(exports2.Functor));
    exports2.asUnit = (0, Functor_1.asUnit)(exports2.Functor);
    exports2.flap = (0, Functor_1.flap)(exports2.Functor);
    exports2.Pointed = {
      URI: exports2.URI,
      of: exports2.of
    };
    exports2.ApplyPar = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3
    };
    exports2.apFirst = (0, Apply_1.apFirst)(exports2.ApplyPar);
    exports2.apFirstW = exports2.apFirst;
    exports2.apSecond = (0, Apply_1.apSecond)(exports2.ApplyPar);
    exports2.apSecondW = exports2.apSecond;
    exports2.ApplicativePar = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3,
      of: exports2.of
    };
    exports2.ApplySeq = {
      URI: exports2.URI,
      map: _map5,
      ap: _apSeq
    };
    exports2.ApplicativeSeq = {
      URI: exports2.URI,
      map: _map5,
      ap: _apSeq,
      of: exports2.of
    };
    exports2.Chain = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3,
      chain: exports2.flatMap
    };
    exports2.Monad = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3,
      chain: exports2.flatMap,
      of: exports2.of
    };
    exports2.MonadIO = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3,
      chain: exports2.flatMap,
      of: exports2.of,
      fromIO: exports2.fromIO
    };
    exports2.MonadTask = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3,
      chain: exports2.flatMap,
      of: exports2.of,
      fromIO: exports2.fromIO,
      fromTask: exports2.fromTask
    };
    exports2.MonadThrow = {
      URI: exports2.URI,
      map: _map5,
      ap: _apPar3,
      chain: exports2.flatMap,
      of: exports2.of,
      throwError: exports2.throwError
    };
    exports2.FromEither = {
      URI: exports2.URI,
      fromEither: exports2.fromEither
    };
    exports2.FromIO = {
      URI: exports2.URI,
      fromIO: exports2.fromIO
    };
    exports2.FromTask = {
      URI: exports2.URI,
      fromIO: exports2.fromIO,
      fromTask: exports2.fromTask
    };
    exports2.tap = (0, function_1.dual)(2, chainable.tap(exports2.Chain));
    exports2.tapEither = (0, function_1.dual)(2, (0, FromEither_1.tapEither)(exports2.FromEither, exports2.Chain));
    exports2.tapIO = (0, function_1.dual)(2, (0, FromIO_1.tapIO)(exports2.FromIO, exports2.Chain));
    exports2.tapTask = (0, function_1.dual)(2, (0, FromTask_1.tapTask)(exports2.FromTask, exports2.Chain));
    exports2.Bifunctor = {
      URI: exports2.URI,
      bimap: exports2.mapBoth,
      mapLeft: exports2.mapError
    };
    exports2.Alt = {
      URI: exports2.URI,
      map: _map5,
      alt: _alt
    };
    exports2.fromOption = /* @__PURE__ */ (0, FromEither_1.fromOption)(exports2.FromEither);
    exports2.fromOptionK = /* @__PURE__ */ (0, FromEither_1.fromOptionK)(exports2.FromEither);
    exports2.chainOptionK = (0, FromEither_1.chainOptionK)(exports2.FromEither, exports2.Chain);
    exports2.chainOptionKW = exports2.chainOptionK;
    var _FromEither3 = {
      fromEither: exports2.FromEither.fromEither
    };
    exports2.liftNullable = _3.liftNullable(_FromEither3);
    exports2.liftOption = _3.liftOption(_FromEither3);
    var _FlatMap2 = {
      flatMap: exports2.flatMap
    };
    var _FromIO3 = {
      fromIO: exports2.FromIO.fromIO
    };
    var _FromTask = {
      fromTask: exports2.fromTask
    };
    exports2.flatMapNullable = _3.flatMapNullable(_FromEither3, _FlatMap2);
    exports2.flatMapOption = _3.flatMapOption(_FromEither3, _FlatMap2);
    exports2.flatMapEither = _3.flatMapEither(_FromEither3, _FlatMap2);
    exports2.flatMapIO = _3.flatMapIO(_FromIO3, _FlatMap2);
    exports2.flatMapTask = _3.flatMapTask(_FromTask, _FlatMap2);
    exports2.flatMapIOEither = (0, function_1.dual)(2, function(self2, f4) {
      return (0, exports2.flatMap)(self2, (0, exports2.fromIOEitherK)(f4));
    });
    exports2.flatMapTaskOption = (0, function_1.dual)(3, function(self2, f4, onNone) {
      return (0, exports2.flatMap)(self2, function(a3) {
        return (0, exports2.fromTaskOption)(function() {
          return onNone(a3);
        })(f4(a3));
      });
    });
    exports2.chainEitherK = exports2.flatMapEither;
    exports2.chainEitherKW = exports2.flatMapEither;
    exports2.chainFirstEitherK = exports2.tapEither;
    exports2.chainFirstEitherKW = exports2.tapEither;
    exports2.fromPredicate = (0, FromEither_1.fromPredicate)(exports2.FromEither);
    exports2.filterOrElse = (0, FromEither_1.filterOrElse)(exports2.FromEither, exports2.Chain);
    exports2.filterOrElseW = exports2.filterOrElse;
    exports2.fromEitherK = (0, FromEither_1.fromEitherK)(exports2.FromEither);
    exports2.fromIOK = (0, FromIO_1.fromIOK)(exports2.FromIO);
    exports2.chainIOK = exports2.flatMapIO;
    exports2.chainFirstIOK = exports2.tapIO;
    exports2.fromTaskK = (0, FromTask_1.fromTaskK)(exports2.FromTask);
    exports2.chainTaskK = exports2.flatMapTask;
    exports2.chainFirstTaskK = exports2.tapTask;
    exports2.chainIOEitherKW = exports2.flatMapIOEither;
    exports2.chainIOEitherK = exports2.flatMapIOEither;
    function taskify(f4) {
      return function() {
        var args3 = Array.prototype.slice.call(arguments);
        return function() {
          return new Promise(function(resolve3) {
            var cbResolver = function(e3, r2) {
              return e3 != null ? resolve3(_3.left(e3)) : resolve3(_3.right(r2));
            };
            f4.apply(null, args3.concat(cbResolver));
          });
        };
      };
    }
    exports2.taskify = taskify;
    var bracket = function(acquire, use, release) {
      return (0, exports2.bracketW)(acquire, use, release);
    };
    exports2.bracket = bracket;
    var bracketW = function(acquire, use, release) {
      return (0, exports2.flatMap)(acquire, function(a3) {
        return T6.flatMap(use(a3), function(e3) {
          return (0, exports2.flatMap)(release(a3, e3), function() {
            return T6.of(e3);
          });
        });
      });
    };
    exports2.bracketW = bracketW;
    exports2.Do = (0, exports2.of)(_3.emptyRecord);
    exports2.bindTo = (0, Functor_1.bindTo)(exports2.Functor);
    var let_2 = /* @__PURE__ */ (0, Functor_1.let)(exports2.Functor);
    exports2.let = let_2;
    exports2.bind = chainable.bind(exports2.Chain);
    exports2.bindW = exports2.bind;
    exports2.apS = (0, Apply_1.apS)(exports2.ApplyPar);
    exports2.apSW = exports2.apS;
    exports2.ApT = (0, exports2.of)(_3.emptyReadonlyArray);
    var traverseReadonlyNonEmptyArrayWithIndex2 = function(f4) {
      return (0, function_1.flow)(T6.traverseReadonlyNonEmptyArrayWithIndex(f4), T6.map(E2.traverseReadonlyNonEmptyArrayWithIndex(function_1.SK)));
    };
    exports2.traverseReadonlyNonEmptyArrayWithIndex = traverseReadonlyNonEmptyArrayWithIndex2;
    var traverseReadonlyArrayWithIndex = function(f4) {
      var g2 = (0, exports2.traverseReadonlyNonEmptyArrayWithIndex)(f4);
      return function(as7) {
        return _3.isNonEmpty(as7) ? g2(as7) : exports2.ApT;
      };
    };
    exports2.traverseReadonlyArrayWithIndex = traverseReadonlyArrayWithIndex;
    var traverseReadonlyNonEmptyArrayWithIndexSeq = function(f4) {
      return function(as7) {
        return function() {
          return _3.tail(as7).reduce(function(acc, a3, i4) {
            return acc.then(function(ebs) {
              return _3.isLeft(ebs) ? acc : f4(i4 + 1, a3)().then(function(eb2) {
                if (_3.isLeft(eb2)) {
                  return eb2;
                }
                ebs.right.push(eb2.right);
                return ebs;
              });
            });
          }, f4(0, _3.head(as7))().then(E2.map(_3.singleton)));
        };
      };
    };
    exports2.traverseReadonlyNonEmptyArrayWithIndexSeq = traverseReadonlyNonEmptyArrayWithIndexSeq;
    var traverseReadonlyArrayWithIndexSeq = function(f4) {
      var g2 = (0, exports2.traverseReadonlyNonEmptyArrayWithIndexSeq)(f4);
      return function(as7) {
        return _3.isNonEmpty(as7) ? g2(as7) : exports2.ApT;
      };
    };
    exports2.traverseReadonlyArrayWithIndexSeq = traverseReadonlyArrayWithIndexSeq;
    exports2.traverseArrayWithIndex = exports2.traverseReadonlyArrayWithIndex;
    var traverseArray2 = function(f4) {
      return (0, exports2.traverseReadonlyArrayWithIndex)(function(_4, a3) {
        return f4(a3);
      });
    };
    exports2.traverseArray = traverseArray2;
    exports2.sequenceArray = /* @__PURE__ */ (0, exports2.traverseArray)(function_1.identity);
    exports2.traverseSeqArrayWithIndex = exports2.traverseReadonlyArrayWithIndexSeq;
    var traverseSeqArray = function(f4) {
      return (0, exports2.traverseReadonlyArrayWithIndexSeq)(function(_4, a3) {
        return f4(a3);
      });
    };
    exports2.traverseSeqArray = traverseSeqArray;
    exports2.sequenceSeqArray = /* @__PURE__ */ (0, exports2.traverseSeqArray)(function_1.identity);
    exports2.chain = exports2.flatMap;
    exports2.chainW = exports2.flatMap;
    exports2.chainFirst = exports2.tap;
    exports2.chainFirstW = exports2.tap;
    exports2.orElseFirst = exports2.tapError;
    exports2.orElseFirstW = exports2.tapError;
    exports2.taskEither = {
      URI: exports2.URI,
      bimap: exports2.mapBoth,
      mapLeft: exports2.mapError,
      map: _map5,
      of: exports2.of,
      ap: _apPar3,
      chain: exports2.flatMap,
      alt: _alt,
      fromIO: exports2.fromIO,
      fromTask: exports2.fromTask,
      throwError: exports2.throwError
    };
    exports2.taskEitherSeq = {
      URI: exports2.URI,
      bimap: exports2.mapBoth,
      mapLeft: exports2.mapError,
      map: _map5,
      of: exports2.of,
      ap: _apSeq,
      chain: exports2.flatMap,
      alt: _alt,
      fromIO: exports2.fromIO,
      fromTask: exports2.fromTask,
      throwError: exports2.throwError
    };
    exports2.getApplySemigroup = /* @__PURE__ */ (0, Apply_1.getApplySemigroup)(exports2.ApplySeq);
    exports2.getApplyMonoid = /* @__PURE__ */ (0, Applicative_1.getApplicativeMonoid)(exports2.ApplicativeSeq);
    var getSemigroup = function(S2) {
      return (0, Apply_1.getApplySemigroup)(T6.ApplySeq)(E2.getSemigroup(S2));
    };
    exports2.getSemigroup = getSemigroup;
    function getTaskValidation(SE) {
      var applicativeTaskValidation = getApplicativeTaskValidation(T6.ApplicativePar, SE);
      var altTaskValidation = getAltTaskValidation(SE);
      return {
        URI: exports2.URI,
        _E: void 0,
        map: _map5,
        ap: applicativeTaskValidation.ap,
        of: exports2.of,
        chain: exports2.flatMap,
        bimap: exports2.mapBoth,
        mapLeft: exports2.mapError,
        alt: altTaskValidation.alt,
        fromIO: exports2.fromIO,
        fromTask: exports2.fromTask,
        throwError: exports2.throwError
      };
    }
    exports2.getTaskValidation = getTaskValidation;
  }
});

// ../../node_modules/.pnpm/array-union@2.1.0/node_modules/array-union/index.js
var require_array_union = __commonJS({
  "../../node_modules/.pnpm/array-union@2.1.0/node_modules/array-union/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (...arguments_) => {
      return [...new Set([].concat(...arguments_))];
    };
  }
});

// ../../node_modules/.pnpm/merge2@1.4.1/node_modules/merge2/index.js
var require_merge2 = __commonJS({
  "../../node_modules/.pnpm/merge2@1.4.1/node_modules/merge2/index.js"(exports2, module2) {
    "use strict";
    var Stream2 = require("stream");
    var PassThrough3 = Stream2.PassThrough;
    var slice = Array.prototype.slice;
    module2.exports = merge2;
    function merge2() {
      const streamsQueue = [];
      const args3 = slice.call(arguments);
      let merging = false;
      let options2 = args3[args3.length - 1];
      if (options2 && !Array.isArray(options2) && options2.pipe == null) {
        args3.pop();
      } else {
        options2 = {};
      }
      const doEnd = options2.end !== false;
      const doPipeError = options2.pipeError === true;
      if (options2.objectMode == null) {
        options2.objectMode = true;
      }
      if (options2.highWaterMark == null) {
        options2.highWaterMark = 64 * 1024;
      }
      const mergedStream = PassThrough3(options2);
      function addStream() {
        for (let i4 = 0, len = arguments.length; i4 < len; i4++) {
          streamsQueue.push(pauseStreams(arguments[i4], options2));
        }
        mergeStream2();
        return this;
      }
      function mergeStream2() {
        if (merging) {
          return;
        }
        merging = true;
        let streams = streamsQueue.shift();
        if (!streams) {
          process.nextTick(endStream);
          return;
        }
        if (!Array.isArray(streams)) {
          streams = [streams];
        }
        let pipesCount = streams.length + 1;
        function next() {
          if (--pipesCount > 0) {
            return;
          }
          merging = false;
          mergeStream2();
        }
        function pipe9(stream4) {
          function onend() {
            stream4.removeListener("merge2UnpipeEnd", onend);
            stream4.removeListener("end", onend);
            if (doPipeError) {
              stream4.removeListener("error", onerror);
            }
            next();
          }
          function onerror(err) {
            mergedStream.emit("error", err);
          }
          if (stream4._readableState.endEmitted) {
            return next();
          }
          stream4.on("merge2UnpipeEnd", onend);
          stream4.on("end", onend);
          if (doPipeError) {
            stream4.on("error", onerror);
          }
          stream4.pipe(mergedStream, { end: false });
          stream4.resume();
        }
        for (let i4 = 0; i4 < streams.length; i4++) {
          pipe9(streams[i4]);
        }
        next();
      }
      function endStream() {
        merging = false;
        mergedStream.emit("queueDrain");
        if (doEnd) {
          mergedStream.end();
        }
      }
      mergedStream.setMaxListeners(0);
      mergedStream.add = addStream;
      mergedStream.on("unpipe", function(stream4) {
        stream4.emit("merge2UnpipeEnd");
      });
      if (args3.length) {
        addStream.apply(null, args3);
      }
      return mergedStream;
    }
    function pauseStreams(streams, options2) {
      if (!Array.isArray(streams)) {
        if (!streams._readableState && streams.pipe) {
          streams = streams.pipe(PassThrough3(options2));
        }
        if (!streams._readableState || !streams.pause || !streams.pipe) {
          throw new Error("Only readable stream can be merged.");
        }
        streams.pause();
      } else {
        for (let i4 = 0, len = streams.length; i4 < len; i4++) {
          streams[i4] = pauseStreams(streams[i4], options2);
        }
      }
      return streams;
    }
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/array.js
var require_array = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/array.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.splitWhen = exports2.flatten = void 0;
    function flatten(items) {
      return items.reduce((collection, item2) => [].concat(collection, item2), []);
    }
    exports2.flatten = flatten;
    function splitWhen(items, predicate) {
      const result = [[]];
      let groupIndex = 0;
      for (const item2 of items) {
        if (predicate(item2)) {
          groupIndex++;
          result[groupIndex] = [];
        } else {
          result[groupIndex].push(item2);
        }
      }
      return result;
    }
    exports2.splitWhen = splitWhen;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/errno.js
var require_errno = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/errno.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isEnoentCodeError = void 0;
    function isEnoentCodeError(error2) {
      return error2.code === "ENOENT";
    }
    exports2.isEnoentCodeError = isEnoentCodeError;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/fs.js
var require_fs = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/fs.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.createDirentFromStats = void 0;
    var DirentFromStats = class {
      constructor(name, stats) {
        this.name = name;
        this.isBlockDevice = stats.isBlockDevice.bind(stats);
        this.isCharacterDevice = stats.isCharacterDevice.bind(stats);
        this.isDirectory = stats.isDirectory.bind(stats);
        this.isFIFO = stats.isFIFO.bind(stats);
        this.isFile = stats.isFile.bind(stats);
        this.isSocket = stats.isSocket.bind(stats);
        this.isSymbolicLink = stats.isSymbolicLink.bind(stats);
      }
    };
    function createDirentFromStats(name, stats) {
      return new DirentFromStats(name, stats);
    }
    exports2.createDirentFromStats = createDirentFromStats;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/path.js
var require_path = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/path.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.convertPosixPathToPattern = exports2.convertWindowsPathToPattern = exports2.convertPathToPattern = exports2.escapePosixPath = exports2.escapeWindowsPath = exports2.escape = exports2.removeLeadingDotSegment = exports2.makeAbsolute = exports2.unixify = void 0;
    var os7 = require("os");
    var path39 = require("path");
    var IS_WINDOWS_PLATFORM = os7.platform() === "win32";
    var LEADING_DOT_SEGMENT_CHARACTERS_COUNT = 2;
    var POSIX_UNESCAPED_GLOB_SYMBOLS_RE = /(\\?)([()*?[\]{|}]|^!|[!+@](?=\()|\\(?![!()*+?@[\]{|}]))/g;
    var WINDOWS_UNESCAPED_GLOB_SYMBOLS_RE = /(\\?)([(){}]|^!|[!+@](?=\())/g;
    var DOS_DEVICE_PATH_RE = /^\\\\([.?])/;
    var WINDOWS_BACKSLASHES_RE = /\\(?![!()+@{}])/g;
    function unixify(filepath) {
      return filepath.replace(/\\/g, "/");
    }
    exports2.unixify = unixify;
    function makeAbsolute(cwd, filepath) {
      return path39.resolve(cwd, filepath);
    }
    exports2.makeAbsolute = makeAbsolute;
    function removeLeadingDotSegment(entry) {
      if (entry.charAt(0) === ".") {
        const secondCharactery = entry.charAt(1);
        if (secondCharactery === "/" || secondCharactery === "\\") {
          return entry.slice(LEADING_DOT_SEGMENT_CHARACTERS_COUNT);
        }
      }
      return entry;
    }
    exports2.removeLeadingDotSegment = removeLeadingDotSegment;
    exports2.escape = IS_WINDOWS_PLATFORM ? escapeWindowsPath : escapePosixPath;
    function escapeWindowsPath(pattern) {
      return pattern.replace(WINDOWS_UNESCAPED_GLOB_SYMBOLS_RE, "\\$2");
    }
    exports2.escapeWindowsPath = escapeWindowsPath;
    function escapePosixPath(pattern) {
      return pattern.replace(POSIX_UNESCAPED_GLOB_SYMBOLS_RE, "\\$2");
    }
    exports2.escapePosixPath = escapePosixPath;
    exports2.convertPathToPattern = IS_WINDOWS_PLATFORM ? convertWindowsPathToPattern : convertPosixPathToPattern;
    function convertWindowsPathToPattern(filepath) {
      return escapeWindowsPath(filepath).replace(DOS_DEVICE_PATH_RE, "//$1").replace(WINDOWS_BACKSLASHES_RE, "/");
    }
    exports2.convertWindowsPathToPattern = convertWindowsPathToPattern;
    function convertPosixPathToPattern(filepath) {
      return escapePosixPath(filepath);
    }
    exports2.convertPosixPathToPattern = convertPosixPathToPattern;
  }
});

// ../../node_modules/.pnpm/is-extglob@2.1.1/node_modules/is-extglob/index.js
var require_is_extglob = __commonJS({
  "../../node_modules/.pnpm/is-extglob@2.1.1/node_modules/is-extglob/index.js"(exports2, module2) {
    "use strict";
    module2.exports = function isExtglob(str) {
      if (typeof str !== "string" || str === "") {
        return false;
      }
      var match4;
      while (match4 = /(\\).|([@?!+*]\(.*\))/g.exec(str)) {
        if (match4[2])
          return true;
        str = str.slice(match4.index + match4[0].length);
      }
      return false;
    };
  }
});

// ../../node_modules/.pnpm/is-glob@4.0.3/node_modules/is-glob/index.js
var require_is_glob = __commonJS({
  "../../node_modules/.pnpm/is-glob@4.0.3/node_modules/is-glob/index.js"(exports2, module2) {
    "use strict";
    var isExtglob = require_is_extglob();
    var chars2 = { "{": "}", "(": ")", "[": "]" };
    var strictCheck = function(str) {
      if (str[0] === "!") {
        return true;
      }
      var index2 = 0;
      var pipeIndex = -2;
      var closeSquareIndex = -2;
      var closeCurlyIndex = -2;
      var closeParenIndex = -2;
      var backSlashIndex = -2;
      while (index2 < str.length) {
        if (str[index2] === "*") {
          return true;
        }
        if (str[index2 + 1] === "?" && /[\].+)]/.test(str[index2])) {
          return true;
        }
        if (closeSquareIndex !== -1 && str[index2] === "[" && str[index2 + 1] !== "]") {
          if (closeSquareIndex < index2) {
            closeSquareIndex = str.indexOf("]", index2);
          }
          if (closeSquareIndex > index2) {
            if (backSlashIndex === -1 || backSlashIndex > closeSquareIndex) {
              return true;
            }
            backSlashIndex = str.indexOf("\\", index2);
            if (backSlashIndex === -1 || backSlashIndex > closeSquareIndex) {
              return true;
            }
          }
        }
        if (closeCurlyIndex !== -1 && str[index2] === "{" && str[index2 + 1] !== "}") {
          closeCurlyIndex = str.indexOf("}", index2);
          if (closeCurlyIndex > index2) {
            backSlashIndex = str.indexOf("\\", index2);
            if (backSlashIndex === -1 || backSlashIndex > closeCurlyIndex) {
              return true;
            }
          }
        }
        if (closeParenIndex !== -1 && str[index2] === "(" && str[index2 + 1] === "?" && /[:!=]/.test(str[index2 + 2]) && str[index2 + 3] !== ")") {
          closeParenIndex = str.indexOf(")", index2);
          if (closeParenIndex > index2) {
            backSlashIndex = str.indexOf("\\", index2);
            if (backSlashIndex === -1 || backSlashIndex > closeParenIndex) {
              return true;
            }
          }
        }
        if (pipeIndex !== -1 && str[index2] === "(" && str[index2 + 1] !== "|") {
          if (pipeIndex < index2) {
            pipeIndex = str.indexOf("|", index2);
          }
          if (pipeIndex !== -1 && str[pipeIndex + 1] !== ")") {
            closeParenIndex = str.indexOf(")", pipeIndex);
            if (closeParenIndex > pipeIndex) {
              backSlashIndex = str.indexOf("\\", pipeIndex);
              if (backSlashIndex === -1 || backSlashIndex > closeParenIndex) {
                return true;
              }
            }
          }
        }
        if (str[index2] === "\\") {
          var open3 = str[index2 + 1];
          index2 += 2;
          var close = chars2[open3];
          if (close) {
            var n2 = str.indexOf(close, index2);
            if (n2 !== -1) {
              index2 = n2 + 1;
            }
          }
          if (str[index2] === "!") {
            return true;
          }
        } else {
          index2++;
        }
      }
      return false;
    };
    var relaxedCheck = function(str) {
      if (str[0] === "!") {
        return true;
      }
      var index2 = 0;
      while (index2 < str.length) {
        if (/[*?{}()[\]]/.test(str[index2])) {
          return true;
        }
        if (str[index2] === "\\") {
          var open3 = str[index2 + 1];
          index2 += 2;
          var close = chars2[open3];
          if (close) {
            var n2 = str.indexOf(close, index2);
            if (n2 !== -1) {
              index2 = n2 + 1;
            }
          }
          if (str[index2] === "!") {
            return true;
          }
        } else {
          index2++;
        }
      }
      return false;
    };
    module2.exports = function isGlob(str, options2) {
      if (typeof str !== "string" || str === "") {
        return false;
      }
      if (isExtglob(str)) {
        return true;
      }
      var check3 = strictCheck;
      if (options2 && options2.strict === false) {
        check3 = relaxedCheck;
      }
      return check3(str);
    };
  }
});

// ../../node_modules/.pnpm/glob-parent@5.1.2/node_modules/glob-parent/index.js
var require_glob_parent = __commonJS({
  "../../node_modules/.pnpm/glob-parent@5.1.2/node_modules/glob-parent/index.js"(exports2, module2) {
    "use strict";
    var isGlob = require_is_glob();
    var pathPosixDirname = require("path").posix.dirname;
    var isWin32 = require("os").platform() === "win32";
    var slash = "/";
    var backslash = /\\/g;
    var enclosure = /[\{\[].*[\}\]]$/;
    var globby3 = /(^|[^\\])([\{\[]|\([^\)]+$)/;
    var escaped = /\\([\!\*\?\|\[\]\(\)\{\}])/g;
    module2.exports = function globParent(str, opts2) {
      var options2 = Object.assign({ flipBackslashes: true }, opts2);
      if (options2.flipBackslashes && isWin32 && str.indexOf(slash) < 0) {
        str = str.replace(backslash, slash);
      }
      if (enclosure.test(str)) {
        str += slash;
      }
      str += "a";
      do {
        str = pathPosixDirname(str);
      } while (isGlob(str) || globby3.test(str));
      return str.replace(escaped, "$1");
    };
  }
});

// ../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/utils.js
var require_utils = __commonJS({
  "../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/utils.js"(exports2) {
    "use strict";
    exports2.isInteger = (num) => {
      if (typeof num === "number") {
        return Number.isInteger(num);
      }
      if (typeof num === "string" && num.trim() !== "") {
        return Number.isInteger(Number(num));
      }
      return false;
    };
    exports2.find = (node, type) => node.nodes.find((node2) => node2.type === type);
    exports2.exceedsLimit = (min, max, step = 1, limit) => {
      if (limit === false)
        return false;
      if (!exports2.isInteger(min) || !exports2.isInteger(max))
        return false;
      return (Number(max) - Number(min)) / Number(step) >= limit;
    };
    exports2.escapeNode = (block, n2 = 0, type) => {
      let node = block.nodes[n2];
      if (!node)
        return;
      if (type && node.type === type || node.type === "open" || node.type === "close") {
        if (node.escaped !== true) {
          node.value = "\\" + node.value;
          node.escaped = true;
        }
      }
    };
    exports2.encloseBrace = (node) => {
      if (node.type !== "brace")
        return false;
      if (node.commas >> 0 + node.ranges >> 0 === 0) {
        node.invalid = true;
        return true;
      }
      return false;
    };
    exports2.isInvalidBrace = (block) => {
      if (block.type !== "brace")
        return false;
      if (block.invalid === true || block.dollar)
        return true;
      if (block.commas >> 0 + block.ranges >> 0 === 0) {
        block.invalid = true;
        return true;
      }
      if (block.open !== true || block.close !== true) {
        block.invalid = true;
        return true;
      }
      return false;
    };
    exports2.isOpenOrClose = (node) => {
      if (node.type === "open" || node.type === "close") {
        return true;
      }
      return node.open === true || node.close === true;
    };
    exports2.reduce = (nodes) => nodes.reduce((acc, node) => {
      if (node.type === "text")
        acc.push(node.value);
      if (node.type === "range")
        node.type = "text";
      return acc;
    }, []);
    exports2.flatten = (...args3) => {
      const result = [];
      const flat = (arr) => {
        for (let i4 = 0; i4 < arr.length; i4++) {
          let ele = arr[i4];
          Array.isArray(ele) ? flat(ele, result) : ele !== void 0 && result.push(ele);
        }
        return result;
      };
      flat(args3);
      return result;
    };
  }
});

// ../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/stringify.js
var require_stringify = __commonJS({
  "../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/stringify.js"(exports2, module2) {
    "use strict";
    var utils = require_utils();
    module2.exports = (ast, options2 = {}) => {
      let stringify = (node, parent2 = {}) => {
        let invalidBlock = options2.escapeInvalid && utils.isInvalidBrace(parent2);
        let invalidNode = node.invalid === true && options2.escapeInvalid === true;
        let output = "";
        if (node.value) {
          if ((invalidBlock || invalidNode) && utils.isOpenOrClose(node)) {
            return "\\" + node.value;
          }
          return node.value;
        }
        if (node.value) {
          return node.value;
        }
        if (node.nodes) {
          for (let child of node.nodes) {
            output += stringify(child);
          }
        }
        return output;
      };
      return stringify(ast);
    };
  }
});

// ../../node_modules/.pnpm/is-number@7.0.0/node_modules/is-number/index.js
var require_is_number = __commonJS({
  "../../node_modules/.pnpm/is-number@7.0.0/node_modules/is-number/index.js"(exports2, module2) {
    "use strict";
    module2.exports = function(num) {
      if (typeof num === "number") {
        return num - num === 0;
      }
      if (typeof num === "string" && num.trim() !== "") {
        return Number.isFinite ? Number.isFinite(+num) : isFinite(+num);
      }
      return false;
    };
  }
});

// ../../node_modules/.pnpm/to-regex-range@5.0.1/node_modules/to-regex-range/index.js
var require_to_regex_range = __commonJS({
  "../../node_modules/.pnpm/to-regex-range@5.0.1/node_modules/to-regex-range/index.js"(exports2, module2) {
    "use strict";
    var isNumber2 = require_is_number();
    var toRegexRange = (min, max, options2) => {
      if (isNumber2(min) === false) {
        throw new TypeError("toRegexRange: expected the first argument to be a number");
      }
      if (max === void 0 || min === max) {
        return String(min);
      }
      if (isNumber2(max) === false) {
        throw new TypeError("toRegexRange: expected the second argument to be a number.");
      }
      let opts2 = { relaxZeros: true, ...options2 };
      if (typeof opts2.strictZeros === "boolean") {
        opts2.relaxZeros = opts2.strictZeros === false;
      }
      let relax = String(opts2.relaxZeros);
      let shorthand = String(opts2.shorthand);
      let capture = String(opts2.capture);
      let wrap3 = String(opts2.wrap);
      let cacheKey = min + ":" + max + "=" + relax + shorthand + capture + wrap3;
      if (toRegexRange.cache.hasOwnProperty(cacheKey)) {
        return toRegexRange.cache[cacheKey].result;
      }
      let a3 = Math.min(min, max);
      let b6 = Math.max(min, max);
      if (Math.abs(a3 - b6) === 1) {
        let result = min + "|" + max;
        if (opts2.capture) {
          return `(${result})`;
        }
        if (opts2.wrap === false) {
          return result;
        }
        return `(?:${result})`;
      }
      let isPadded = hasPadding(min) || hasPadding(max);
      let state = { min, max, a: a3, b: b6 };
      let positives = [];
      let negatives = [];
      if (isPadded) {
        state.isPadded = isPadded;
        state.maxLen = String(state.max).length;
      }
      if (a3 < 0) {
        let newMin = b6 < 0 ? Math.abs(b6) : 1;
        negatives = splitToPatterns(newMin, Math.abs(a3), state, opts2);
        a3 = state.a = 0;
      }
      if (b6 >= 0) {
        positives = splitToPatterns(a3, b6, state, opts2);
      }
      state.negatives = negatives;
      state.positives = positives;
      state.result = collatePatterns(negatives, positives, opts2);
      if (opts2.capture === true) {
        state.result = `(${state.result})`;
      } else if (opts2.wrap !== false && positives.length + negatives.length > 1) {
        state.result = `(?:${state.result})`;
      }
      toRegexRange.cache[cacheKey] = state;
      return state.result;
    };
    function collatePatterns(neg, pos2, options2) {
      let onlyNegative = filterPatterns(neg, pos2, "-", false, options2) || [];
      let onlyPositive = filterPatterns(pos2, neg, "", false, options2) || [];
      let intersected = filterPatterns(neg, pos2, "-?", true, options2) || [];
      let subpatterns = onlyNegative.concat(intersected).concat(onlyPositive);
      return subpatterns.join("|");
    }
    function splitToRanges(min, max) {
      let nines = 1;
      let zeros = 1;
      let stop = countNines(min, nines);
      let stops = /* @__PURE__ */ new Set([max]);
      while (min <= stop && stop <= max) {
        stops.add(stop);
        nines += 1;
        stop = countNines(min, nines);
      }
      stop = countZeros(max + 1, zeros) - 1;
      while (min < stop && stop <= max) {
        stops.add(stop);
        zeros += 1;
        stop = countZeros(max + 1, zeros) - 1;
      }
      stops = [...stops];
      stops.sort(compare2);
      return stops;
    }
    function rangeToPattern(start, stop, options2) {
      if (start === stop) {
        return { pattern: start, count: [], digits: 0 };
      }
      let zipped = zip(start, stop);
      let digits = zipped.length;
      let pattern = "";
      let count = 0;
      for (let i4 = 0; i4 < digits; i4++) {
        let [startDigit, stopDigit] = zipped[i4];
        if (startDigit === stopDigit) {
          pattern += startDigit;
        } else if (startDigit !== "0" || stopDigit !== "9") {
          pattern += toCharacterClass(startDigit, stopDigit, options2);
        } else {
          count++;
        }
      }
      if (count) {
        pattern += options2.shorthand === true ? "\\d" : "[0-9]";
      }
      return { pattern, count: [count], digits };
    }
    function splitToPatterns(min, max, tok, options2) {
      let ranges = splitToRanges(min, max);
      let tokens = [];
      let start = min;
      let prev;
      for (let i4 = 0; i4 < ranges.length; i4++) {
        let max2 = ranges[i4];
        let obj = rangeToPattern(String(start), String(max2), options2);
        let zeros = "";
        if (!tok.isPadded && prev && prev.pattern === obj.pattern) {
          if (prev.count.length > 1) {
            prev.count.pop();
          }
          prev.count.push(obj.count[0]);
          prev.string = prev.pattern + toQuantifier(prev.count);
          start = max2 + 1;
          continue;
        }
        if (tok.isPadded) {
          zeros = padZeros(max2, tok, options2);
        }
        obj.string = zeros + obj.pattern + toQuantifier(obj.count);
        tokens.push(obj);
        start = max2 + 1;
        prev = obj;
      }
      return tokens;
    }
    function filterPatterns(arr, comparison, prefix, intersection, options2) {
      let result = [];
      for (let ele of arr) {
        let { string } = ele;
        if (!intersection && !contains(comparison, "string", string)) {
          result.push(prefix + string);
        }
        if (intersection && contains(comparison, "string", string)) {
          result.push(prefix + string);
        }
      }
      return result;
    }
    function zip(a3, b6) {
      let arr = [];
      for (let i4 = 0; i4 < a3.length; i4++)
        arr.push([a3[i4], b6[i4]]);
      return arr;
    }
    function compare2(a3, b6) {
      return a3 > b6 ? 1 : b6 > a3 ? -1 : 0;
    }
    function contains(arr, key, val) {
      return arr.some((ele) => ele[key] === val);
    }
    function countNines(min, len) {
      return Number(String(min).slice(0, -len) + "9".repeat(len));
    }
    function countZeros(integer, zeros) {
      return integer - integer % Math.pow(10, zeros);
    }
    function toQuantifier(digits) {
      let [start = 0, stop = ""] = digits;
      if (stop || start > 1) {
        return `{${start + (stop ? "," + stop : "")}}`;
      }
      return "";
    }
    function toCharacterClass(a3, b6, options2) {
      return `[${a3}${b6 - a3 === 1 ? "" : "-"}${b6}]`;
    }
    function hasPadding(str) {
      return /^-?(0+)\d/.test(str);
    }
    function padZeros(value, tok, options2) {
      if (!tok.isPadded) {
        return value;
      }
      let diff = Math.abs(tok.maxLen - String(value).length);
      let relax = options2.relaxZeros !== false;
      switch (diff) {
        case 0:
          return "";
        case 1:
          return relax ? "0?" : "0";
        case 2:
          return relax ? "0{0,2}" : "00";
        default: {
          return relax ? `0{0,${diff}}` : `0{${diff}}`;
        }
      }
    }
    toRegexRange.cache = {};
    toRegexRange.clearCache = () => toRegexRange.cache = {};
    module2.exports = toRegexRange;
  }
});

// ../../node_modules/.pnpm/fill-range@7.0.1/node_modules/fill-range/index.js
var require_fill_range = __commonJS({
  "../../node_modules/.pnpm/fill-range@7.0.1/node_modules/fill-range/index.js"(exports2, module2) {
    "use strict";
    var util4 = require("util");
    var toRegexRange = require_to_regex_range();
    var isObject = (val) => val !== null && typeof val === "object" && !Array.isArray(val);
    var transform2 = (toNumber) => {
      return (value) => toNumber === true ? Number(value) : String(value);
    };
    var isValidValue = (value) => {
      return typeof value === "number" || typeof value === "string" && value !== "";
    };
    var isNumber2 = (num) => Number.isInteger(+num);
    var zeros = (input) => {
      let value = `${input}`;
      let index2 = -1;
      if (value[0] === "-")
        value = value.slice(1);
      if (value === "0")
        return false;
      while (value[++index2] === "0")
        ;
      return index2 > 0;
    };
    var stringify = (start, end, options2) => {
      if (typeof start === "string" || typeof end === "string") {
        return true;
      }
      return options2.stringify === true;
    };
    var pad = (input, maxLength, toNumber) => {
      if (maxLength > 0) {
        let dash = input[0] === "-" ? "-" : "";
        if (dash)
          input = input.slice(1);
        input = dash + input.padStart(dash ? maxLength - 1 : maxLength, "0");
      }
      if (toNumber === false) {
        return String(input);
      }
      return input;
    };
    var toMaxLen = (input, maxLength) => {
      let negative = input[0] === "-" ? "-" : "";
      if (negative) {
        input = input.slice(1);
        maxLength--;
      }
      while (input.length < maxLength)
        input = "0" + input;
      return negative ? "-" + input : input;
    };
    var toSequence = (parts, options2) => {
      parts.negatives.sort((a3, b6) => a3 < b6 ? -1 : a3 > b6 ? 1 : 0);
      parts.positives.sort((a3, b6) => a3 < b6 ? -1 : a3 > b6 ? 1 : 0);
      let prefix = options2.capture ? "" : "?:";
      let positives = "";
      let negatives = "";
      let result;
      if (parts.positives.length) {
        positives = parts.positives.join("|");
      }
      if (parts.negatives.length) {
        negatives = `-(${prefix}${parts.negatives.join("|")})`;
      }
      if (positives && negatives) {
        result = `${positives}|${negatives}`;
      } else {
        result = positives || negatives;
      }
      if (options2.wrap) {
        return `(${prefix}${result})`;
      }
      return result;
    };
    var toRange = (a3, b6, isNumbers, options2) => {
      if (isNumbers) {
        return toRegexRange(a3, b6, { wrap: false, ...options2 });
      }
      let start = String.fromCharCode(a3);
      if (a3 === b6)
        return start;
      let stop = String.fromCharCode(b6);
      return `[${start}-${stop}]`;
    };
    var toRegex = (start, end, options2) => {
      if (Array.isArray(start)) {
        let wrap3 = options2.wrap === true;
        let prefix = options2.capture ? "" : "?:";
        return wrap3 ? `(${prefix}${start.join("|")})` : start.join("|");
      }
      return toRegexRange(start, end, options2);
    };
    var rangeError = (...args3) => {
      return new RangeError("Invalid range arguments: " + util4.inspect(...args3));
    };
    var invalidRange = (start, end, options2) => {
      if (options2.strictRanges === true)
        throw rangeError([start, end]);
      return [];
    };
    var invalidStep = (step, options2) => {
      if (options2.strictRanges === true) {
        throw new TypeError(`Expected step "${step}" to be a number`);
      }
      return [];
    };
    var fillNumbers = (start, end, step = 1, options2 = {}) => {
      let a3 = Number(start);
      let b6 = Number(end);
      if (!Number.isInteger(a3) || !Number.isInteger(b6)) {
        if (options2.strictRanges === true)
          throw rangeError([start, end]);
        return [];
      }
      if (a3 === 0)
        a3 = 0;
      if (b6 === 0)
        b6 = 0;
      let descending = a3 > b6;
      let startString = String(start);
      let endString = String(end);
      let stepString = String(step);
      step = Math.max(Math.abs(step), 1);
      let padded = zeros(startString) || zeros(endString) || zeros(stepString);
      let maxLen = padded ? Math.max(startString.length, endString.length, stepString.length) : 0;
      let toNumber = padded === false && stringify(start, end, options2) === false;
      let format3 = options2.transform || transform2(toNumber);
      if (options2.toRegex && step === 1) {
        return toRange(toMaxLen(start, maxLen), toMaxLen(end, maxLen), true, options2);
      }
      let parts = { negatives: [], positives: [] };
      let push = (num) => parts[num < 0 ? "negatives" : "positives"].push(Math.abs(num));
      let range2 = [];
      let index2 = 0;
      while (descending ? a3 >= b6 : a3 <= b6) {
        if (options2.toRegex === true && step > 1) {
          push(a3);
        } else {
          range2.push(pad(format3(a3, index2), maxLen, toNumber));
        }
        a3 = descending ? a3 - step : a3 + step;
        index2++;
      }
      if (options2.toRegex === true) {
        return step > 1 ? toSequence(parts, options2) : toRegex(range2, null, { wrap: false, ...options2 });
      }
      return range2;
    };
    var fillLetters = (start, end, step = 1, options2 = {}) => {
      if (!isNumber2(start) && start.length > 1 || !isNumber2(end) && end.length > 1) {
        return invalidRange(start, end, options2);
      }
      let format3 = options2.transform || ((val) => String.fromCharCode(val));
      let a3 = `${start}`.charCodeAt(0);
      let b6 = `${end}`.charCodeAt(0);
      let descending = a3 > b6;
      let min = Math.min(a3, b6);
      let max = Math.max(a3, b6);
      if (options2.toRegex && step === 1) {
        return toRange(min, max, false, options2);
      }
      let range2 = [];
      let index2 = 0;
      while (descending ? a3 >= b6 : a3 <= b6) {
        range2.push(format3(a3, index2));
        a3 = descending ? a3 - step : a3 + step;
        index2++;
      }
      if (options2.toRegex === true) {
        return toRegex(range2, null, { wrap: false, options: options2 });
      }
      return range2;
    };
    var fill = (start, end, step, options2 = {}) => {
      if (end == null && isValidValue(start)) {
        return [start];
      }
      if (!isValidValue(start) || !isValidValue(end)) {
        return invalidRange(start, end, options2);
      }
      if (typeof step === "function") {
        return fill(start, end, 1, { transform: step });
      }
      if (isObject(step)) {
        return fill(start, end, 0, step);
      }
      let opts2 = { ...options2 };
      if (opts2.capture === true)
        opts2.wrap = true;
      step = step || opts2.step || 1;
      if (!isNumber2(step)) {
        if (step != null && !isObject(step))
          return invalidStep(step, opts2);
        return fill(start, end, 1, step);
      }
      if (isNumber2(start) && isNumber2(end)) {
        return fillNumbers(start, end, step, opts2);
      }
      return fillLetters(start, end, Math.max(Math.abs(step), 1), opts2);
    };
    module2.exports = fill;
  }
});

// ../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/compile.js
var require_compile = __commonJS({
  "../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/compile.js"(exports2, module2) {
    "use strict";
    var fill = require_fill_range();
    var utils = require_utils();
    var compile = (ast, options2 = {}) => {
      let walk = (node, parent2 = {}) => {
        let invalidBlock = utils.isInvalidBrace(parent2);
        let invalidNode = node.invalid === true && options2.escapeInvalid === true;
        let invalid = invalidBlock === true || invalidNode === true;
        let prefix = options2.escapeInvalid === true ? "\\" : "";
        let output = "";
        if (node.isOpen === true) {
          return prefix + node.value;
        }
        if (node.isClose === true) {
          return prefix + node.value;
        }
        if (node.type === "open") {
          return invalid ? prefix + node.value : "(";
        }
        if (node.type === "close") {
          return invalid ? prefix + node.value : ")";
        }
        if (node.type === "comma") {
          return node.prev.type === "comma" ? "" : invalid ? node.value : "|";
        }
        if (node.value) {
          return node.value;
        }
        if (node.nodes && node.ranges > 0) {
          let args3 = utils.reduce(node.nodes);
          let range2 = fill(...args3, { ...options2, wrap: false, toRegex: true });
          if (range2.length !== 0) {
            return args3.length > 1 && range2.length > 1 ? `(${range2})` : range2;
          }
        }
        if (node.nodes) {
          for (let child of node.nodes) {
            output += walk(child, node);
          }
        }
        return output;
      };
      return walk(ast);
    };
    module2.exports = compile;
  }
});

// ../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/expand.js
var require_expand = __commonJS({
  "../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/expand.js"(exports2, module2) {
    "use strict";
    var fill = require_fill_range();
    var stringify = require_stringify();
    var utils = require_utils();
    var append = (queue2 = "", stash = "", enclose = false) => {
      let result = [];
      queue2 = [].concat(queue2);
      stash = [].concat(stash);
      if (!stash.length)
        return queue2;
      if (!queue2.length) {
        return enclose ? utils.flatten(stash).map((ele) => `{${ele}}`) : stash;
      }
      for (let item2 of queue2) {
        if (Array.isArray(item2)) {
          for (let value of item2) {
            result.push(append(value, stash, enclose));
          }
        } else {
          for (let ele of stash) {
            if (enclose === true && typeof ele === "string")
              ele = `{${ele}}`;
            result.push(Array.isArray(ele) ? append(item2, ele, enclose) : item2 + ele);
          }
        }
      }
      return utils.flatten(result);
    };
    var expand = (ast, options2 = {}) => {
      let rangeLimit = options2.rangeLimit === void 0 ? 1e3 : options2.rangeLimit;
      let walk = (node, parent2 = {}) => {
        node.queue = [];
        let p2 = parent2;
        let q = parent2.queue;
        while (p2.type !== "brace" && p2.type !== "root" && p2.parent) {
          p2 = p2.parent;
          q = p2.queue;
        }
        if (node.invalid || node.dollar) {
          q.push(append(q.pop(), stringify(node, options2)));
          return;
        }
        if (node.type === "brace" && node.invalid !== true && node.nodes.length === 2) {
          q.push(append(q.pop(), ["{}"]));
          return;
        }
        if (node.nodes && node.ranges > 0) {
          let args3 = utils.reduce(node.nodes);
          if (utils.exceedsLimit(...args3, options2.step, rangeLimit)) {
            throw new RangeError("expanded array length exceeds range limit. Use options.rangeLimit to increase or disable the limit.");
          }
          let range2 = fill(...args3, options2);
          if (range2.length === 0) {
            range2 = stringify(node, options2);
          }
          q.push(append(q.pop(), range2));
          node.nodes = [];
          return;
        }
        let enclose = utils.encloseBrace(node);
        let queue2 = node.queue;
        let block = node;
        while (block.type !== "brace" && block.type !== "root" && block.parent) {
          block = block.parent;
          queue2 = block.queue;
        }
        for (let i4 = 0; i4 < node.nodes.length; i4++) {
          let child = node.nodes[i4];
          if (child.type === "comma" && node.type === "brace") {
            if (i4 === 1)
              queue2.push("");
            queue2.push("");
            continue;
          }
          if (child.type === "close") {
            q.push(append(q.pop(), queue2, enclose));
            continue;
          }
          if (child.value && child.type !== "open") {
            queue2.push(append(queue2.pop(), child.value));
            continue;
          }
          if (child.nodes) {
            walk(child, node);
          }
        }
        return queue2;
      };
      return utils.flatten(walk(ast));
    };
    module2.exports = expand;
  }
});

// ../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/constants.js
var require_constants = __commonJS({
  "../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/constants.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      MAX_LENGTH: 1024 * 64,
      // Digits
      CHAR_0: "0",
      /* 0 */
      CHAR_9: "9",
      /* 9 */
      // Alphabet chars.
      CHAR_UPPERCASE_A: "A",
      /* A */
      CHAR_LOWERCASE_A: "a",
      /* a */
      CHAR_UPPERCASE_Z: "Z",
      /* Z */
      CHAR_LOWERCASE_Z: "z",
      /* z */
      CHAR_LEFT_PARENTHESES: "(",
      /* ( */
      CHAR_RIGHT_PARENTHESES: ")",
      /* ) */
      CHAR_ASTERISK: "*",
      /* * */
      // Non-alphabetic chars.
      CHAR_AMPERSAND: "&",
      /* & */
      CHAR_AT: "@",
      /* @ */
      CHAR_BACKSLASH: "\\",
      /* \ */
      CHAR_BACKTICK: "`",
      /* ` */
      CHAR_CARRIAGE_RETURN: "\r",
      /* \r */
      CHAR_CIRCUMFLEX_ACCENT: "^",
      /* ^ */
      CHAR_COLON: ":",
      /* : */
      CHAR_COMMA: ",",
      /* , */
      CHAR_DOLLAR: "$",
      /* . */
      CHAR_DOT: ".",
      /* . */
      CHAR_DOUBLE_QUOTE: '"',
      /* " */
      CHAR_EQUAL: "=",
      /* = */
      CHAR_EXCLAMATION_MARK: "!",
      /* ! */
      CHAR_FORM_FEED: "\f",
      /* \f */
      CHAR_FORWARD_SLASH: "/",
      /* / */
      CHAR_HASH: "#",
      /* # */
      CHAR_HYPHEN_MINUS: "-",
      /* - */
      CHAR_LEFT_ANGLE_BRACKET: "<",
      /* < */
      CHAR_LEFT_CURLY_BRACE: "{",
      /* { */
      CHAR_LEFT_SQUARE_BRACKET: "[",
      /* [ */
      CHAR_LINE_FEED: "\n",
      /* \n */
      CHAR_NO_BREAK_SPACE: "\xA0",
      /* \u00A0 */
      CHAR_PERCENT: "%",
      /* % */
      CHAR_PLUS: "+",
      /* + */
      CHAR_QUESTION_MARK: "?",
      /* ? */
      CHAR_RIGHT_ANGLE_BRACKET: ">",
      /* > */
      CHAR_RIGHT_CURLY_BRACE: "}",
      /* } */
      CHAR_RIGHT_SQUARE_BRACKET: "]",
      /* ] */
      CHAR_SEMICOLON: ";",
      /* ; */
      CHAR_SINGLE_QUOTE: "'",
      /* ' */
      CHAR_SPACE: " ",
      /*   */
      CHAR_TAB: "	",
      /* \t */
      CHAR_UNDERSCORE: "_",
      /* _ */
      CHAR_VERTICAL_LINE: "|",
      /* | */
      CHAR_ZERO_WIDTH_NOBREAK_SPACE: "\uFEFF"
      /* \uFEFF */
    };
  }
});

// ../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/parse.js
var require_parse = __commonJS({
  "../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/lib/parse.js"(exports2, module2) {
    "use strict";
    var stringify = require_stringify();
    var {
      MAX_LENGTH: MAX_LENGTH2,
      CHAR_BACKSLASH,
      /* \ */
      CHAR_BACKTICK,
      /* ` */
      CHAR_COMMA,
      /* , */
      CHAR_DOT,
      /* . */
      CHAR_LEFT_PARENTHESES,
      /* ( */
      CHAR_RIGHT_PARENTHESES,
      /* ) */
      CHAR_LEFT_CURLY_BRACE,
      /* { */
      CHAR_RIGHT_CURLY_BRACE,
      /* } */
      CHAR_LEFT_SQUARE_BRACKET,
      /* [ */
      CHAR_RIGHT_SQUARE_BRACKET,
      /* ] */
      CHAR_DOUBLE_QUOTE,
      /* " */
      CHAR_SINGLE_QUOTE,
      /* ' */
      CHAR_NO_BREAK_SPACE,
      CHAR_ZERO_WIDTH_NOBREAK_SPACE
    } = require_constants();
    var parse3 = (input, options2 = {}) => {
      if (typeof input !== "string") {
        throw new TypeError("Expected a string");
      }
      let opts2 = options2 || {};
      let max = typeof opts2.maxLength === "number" ? Math.min(MAX_LENGTH2, opts2.maxLength) : MAX_LENGTH2;
      if (input.length > max) {
        throw new SyntaxError(`Input length (${input.length}), exceeds max characters (${max})`);
      }
      let ast = { type: "root", input, nodes: [] };
      let stack2 = [ast];
      let block = ast;
      let prev = ast;
      let brackets = 0;
      let length = input.length;
      let index2 = 0;
      let depth = 0;
      let value;
      let memo = {};
      const advance = () => input[index2++];
      const push = (node) => {
        if (node.type === "text" && prev.type === "dot") {
          prev.type = "text";
        }
        if (prev && prev.type === "text" && node.type === "text") {
          prev.value += node.value;
          return;
        }
        block.nodes.push(node);
        node.parent = block;
        node.prev = prev;
        prev = node;
        return node;
      };
      push({ type: "bos" });
      while (index2 < length) {
        block = stack2[stack2.length - 1];
        value = advance();
        if (value === CHAR_ZERO_WIDTH_NOBREAK_SPACE || value === CHAR_NO_BREAK_SPACE) {
          continue;
        }
        if (value === CHAR_BACKSLASH) {
          push({ type: "text", value: (options2.keepEscaping ? value : "") + advance() });
          continue;
        }
        if (value === CHAR_RIGHT_SQUARE_BRACKET) {
          push({ type: "text", value: "\\" + value });
          continue;
        }
        if (value === CHAR_LEFT_SQUARE_BRACKET) {
          brackets++;
          let closed = true;
          let next;
          while (index2 < length && (next = advance())) {
            value += next;
            if (next === CHAR_LEFT_SQUARE_BRACKET) {
              brackets++;
              continue;
            }
            if (next === CHAR_BACKSLASH) {
              value += advance();
              continue;
            }
            if (next === CHAR_RIGHT_SQUARE_BRACKET) {
              brackets--;
              if (brackets === 0) {
                break;
              }
            }
          }
          push({ type: "text", value });
          continue;
        }
        if (value === CHAR_LEFT_PARENTHESES) {
          block = push({ type: "paren", nodes: [] });
          stack2.push(block);
          push({ type: "text", value });
          continue;
        }
        if (value === CHAR_RIGHT_PARENTHESES) {
          if (block.type !== "paren") {
            push({ type: "text", value });
            continue;
          }
          block = stack2.pop();
          push({ type: "text", value });
          block = stack2[stack2.length - 1];
          continue;
        }
        if (value === CHAR_DOUBLE_QUOTE || value === CHAR_SINGLE_QUOTE || value === CHAR_BACKTICK) {
          let open3 = value;
          let next;
          if (options2.keepQuotes !== true) {
            value = "";
          }
          while (index2 < length && (next = advance())) {
            if (next === CHAR_BACKSLASH) {
              value += next + advance();
              continue;
            }
            if (next === open3) {
              if (options2.keepQuotes === true)
                value += next;
              break;
            }
            value += next;
          }
          push({ type: "text", value });
          continue;
        }
        if (value === CHAR_LEFT_CURLY_BRACE) {
          depth++;
          let dollar = prev.value && prev.value.slice(-1) === "$" || block.dollar === true;
          let brace = {
            type: "brace",
            open: true,
            close: false,
            dollar,
            depth,
            commas: 0,
            ranges: 0,
            nodes: []
          };
          block = push(brace);
          stack2.push(block);
          push({ type: "open", value });
          continue;
        }
        if (value === CHAR_RIGHT_CURLY_BRACE) {
          if (block.type !== "brace") {
            push({ type: "text", value });
            continue;
          }
          let type = "close";
          block = stack2.pop();
          block.close = true;
          push({ type, value });
          depth--;
          block = stack2[stack2.length - 1];
          continue;
        }
        if (value === CHAR_COMMA && depth > 0) {
          if (block.ranges > 0) {
            block.ranges = 0;
            let open3 = block.nodes.shift();
            block.nodes = [open3, { type: "text", value: stringify(block) }];
          }
          push({ type: "comma", value });
          block.commas++;
          continue;
        }
        if (value === CHAR_DOT && depth > 0 && block.commas === 0) {
          let siblings = block.nodes;
          if (depth === 0 || siblings.length === 0) {
            push({ type: "text", value });
            continue;
          }
          if (prev.type === "dot") {
            block.range = [];
            prev.value += value;
            prev.type = "range";
            if (block.nodes.length !== 3 && block.nodes.length !== 5) {
              block.invalid = true;
              block.ranges = 0;
              prev.type = "text";
              continue;
            }
            block.ranges++;
            block.args = [];
            continue;
          }
          if (prev.type === "range") {
            siblings.pop();
            let before = siblings[siblings.length - 1];
            before.value += prev.value + value;
            prev = before;
            block.ranges--;
            continue;
          }
          push({ type: "dot", value });
          continue;
        }
        push({ type: "text", value });
      }
      do {
        block = stack2.pop();
        if (block.type !== "root") {
          block.nodes.forEach((node) => {
            if (!node.nodes) {
              if (node.type === "open")
                node.isOpen = true;
              if (node.type === "close")
                node.isClose = true;
              if (!node.nodes)
                node.type = "text";
              node.invalid = true;
            }
          });
          let parent2 = stack2[stack2.length - 1];
          let index3 = parent2.nodes.indexOf(block);
          parent2.nodes.splice(index3, 1, ...block.nodes);
        }
      } while (stack2.length > 0);
      push({ type: "eos" });
      return ast;
    };
    module2.exports = parse3;
  }
});

// ../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/index.js
var require_braces = __commonJS({
  "../../node_modules/.pnpm/braces@3.0.2/node_modules/braces/index.js"(exports2, module2) {
    "use strict";
    var stringify = require_stringify();
    var compile = require_compile();
    var expand = require_expand();
    var parse3 = require_parse();
    var braces = (input, options2 = {}) => {
      let output = [];
      if (Array.isArray(input)) {
        for (let pattern of input) {
          let result = braces.create(pattern, options2);
          if (Array.isArray(result)) {
            output.push(...result);
          } else {
            output.push(result);
          }
        }
      } else {
        output = [].concat(braces.create(input, options2));
      }
      if (options2 && options2.expand === true && options2.nodupes === true) {
        output = [...new Set(output)];
      }
      return output;
    };
    braces.parse = (input, options2 = {}) => parse3(input, options2);
    braces.stringify = (input, options2 = {}) => {
      if (typeof input === "string") {
        return stringify(braces.parse(input, options2), options2);
      }
      return stringify(input, options2);
    };
    braces.compile = (input, options2 = {}) => {
      if (typeof input === "string") {
        input = braces.parse(input, options2);
      }
      return compile(input, options2);
    };
    braces.expand = (input, options2 = {}) => {
      if (typeof input === "string") {
        input = braces.parse(input, options2);
      }
      let result = expand(input, options2);
      if (options2.noempty === true) {
        result = result.filter(Boolean);
      }
      if (options2.nodupes === true) {
        result = [...new Set(result)];
      }
      return result;
    };
    braces.create = (input, options2 = {}) => {
      if (input === "" || input.length < 3) {
        return [input];
      }
      return options2.expand !== true ? braces.compile(input, options2) : braces.expand(input, options2);
    };
    module2.exports = braces;
  }
});

// ../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/constants.js
var require_constants2 = __commonJS({
  "../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/constants.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var WIN_SLASH = "\\\\/";
    var WIN_NO_SLASH = `[^${WIN_SLASH}]`;
    var DOT_LITERAL = "\\.";
    var PLUS_LITERAL = "\\+";
    var QMARK_LITERAL = "\\?";
    var SLASH_LITERAL = "\\/";
    var ONE_CHAR = "(?=.)";
    var QMARK = "[^/]";
    var END_ANCHOR = `(?:${SLASH_LITERAL}|$)`;
    var START_ANCHOR = `(?:^|${SLASH_LITERAL})`;
    var DOTS_SLASH = `${DOT_LITERAL}{1,2}${END_ANCHOR}`;
    var NO_DOT = `(?!${DOT_LITERAL})`;
    var NO_DOTS = `(?!${START_ANCHOR}${DOTS_SLASH})`;
    var NO_DOT_SLASH = `(?!${DOT_LITERAL}{0,1}${END_ANCHOR})`;
    var NO_DOTS_SLASH = `(?!${DOTS_SLASH})`;
    var QMARK_NO_DOT = `[^.${SLASH_LITERAL}]`;
    var STAR = `${QMARK}*?`;
    var POSIX_CHARS = {
      DOT_LITERAL,
      PLUS_LITERAL,
      QMARK_LITERAL,
      SLASH_LITERAL,
      ONE_CHAR,
      QMARK,
      END_ANCHOR,
      DOTS_SLASH,
      NO_DOT,
      NO_DOTS,
      NO_DOT_SLASH,
      NO_DOTS_SLASH,
      QMARK_NO_DOT,
      STAR,
      START_ANCHOR
    };
    var WINDOWS_CHARS = {
      ...POSIX_CHARS,
      SLASH_LITERAL: `[${WIN_SLASH}]`,
      QMARK: WIN_NO_SLASH,
      STAR: `${WIN_NO_SLASH}*?`,
      DOTS_SLASH: `${DOT_LITERAL}{1,2}(?:[${WIN_SLASH}]|$)`,
      NO_DOT: `(?!${DOT_LITERAL})`,
      NO_DOTS: `(?!(?:^|[${WIN_SLASH}])${DOT_LITERAL}{1,2}(?:[${WIN_SLASH}]|$))`,
      NO_DOT_SLASH: `(?!${DOT_LITERAL}{0,1}(?:[${WIN_SLASH}]|$))`,
      NO_DOTS_SLASH: `(?!${DOT_LITERAL}{1,2}(?:[${WIN_SLASH}]|$))`,
      QMARK_NO_DOT: `[^.${WIN_SLASH}]`,
      START_ANCHOR: `(?:^|[${WIN_SLASH}])`,
      END_ANCHOR: `(?:[${WIN_SLASH}]|$)`
    };
    var POSIX_REGEX_SOURCE = {
      alnum: "a-zA-Z0-9",
      alpha: "a-zA-Z",
      ascii: "\\x00-\\x7F",
      blank: " \\t",
      cntrl: "\\x00-\\x1F\\x7F",
      digit: "0-9",
      graph: "\\x21-\\x7E",
      lower: "a-z",
      print: "\\x20-\\x7E ",
      punct: "\\-!\"#$%&'()\\*+,./:;<=>?@[\\]^_`{|}~",
      space: " \\t\\r\\n\\v\\f",
      upper: "A-Z",
      word: "A-Za-z0-9_",
      xdigit: "A-Fa-f0-9"
    };
    module2.exports = {
      MAX_LENGTH: 1024 * 64,
      POSIX_REGEX_SOURCE,
      // regular expressions
      REGEX_BACKSLASH: /\\(?![*+?^${}(|)[\]])/g,
      REGEX_NON_SPECIAL_CHARS: /^[^@![\].,$*+?^{}()|\\/]+/,
      REGEX_SPECIAL_CHARS: /[-*+?.^${}(|)[\]]/,
      REGEX_SPECIAL_CHARS_BACKREF: /(\\?)((\W)(\3*))/g,
      REGEX_SPECIAL_CHARS_GLOBAL: /([-*+?.^${}(|)[\]])/g,
      REGEX_REMOVE_BACKSLASH: /(?:\[.*?[^\\]\]|\\(?=.))/g,
      // Replace globs with equivalent patterns to reduce parsing time.
      REPLACEMENTS: {
        "***": "*",
        "**/**": "**",
        "**/**/**": "**"
      },
      // Digits
      CHAR_0: 48,
      /* 0 */
      CHAR_9: 57,
      /* 9 */
      // Alphabet chars.
      CHAR_UPPERCASE_A: 65,
      /* A */
      CHAR_LOWERCASE_A: 97,
      /* a */
      CHAR_UPPERCASE_Z: 90,
      /* Z */
      CHAR_LOWERCASE_Z: 122,
      /* z */
      CHAR_LEFT_PARENTHESES: 40,
      /* ( */
      CHAR_RIGHT_PARENTHESES: 41,
      /* ) */
      CHAR_ASTERISK: 42,
      /* * */
      // Non-alphabetic chars.
      CHAR_AMPERSAND: 38,
      /* & */
      CHAR_AT: 64,
      /* @ */
      CHAR_BACKWARD_SLASH: 92,
      /* \ */
      CHAR_CARRIAGE_RETURN: 13,
      /* \r */
      CHAR_CIRCUMFLEX_ACCENT: 94,
      /* ^ */
      CHAR_COLON: 58,
      /* : */
      CHAR_COMMA: 44,
      /* , */
      CHAR_DOT: 46,
      /* . */
      CHAR_DOUBLE_QUOTE: 34,
      /* " */
      CHAR_EQUAL: 61,
      /* = */
      CHAR_EXCLAMATION_MARK: 33,
      /* ! */
      CHAR_FORM_FEED: 12,
      /* \f */
      CHAR_FORWARD_SLASH: 47,
      /* / */
      CHAR_GRAVE_ACCENT: 96,
      /* ` */
      CHAR_HASH: 35,
      /* # */
      CHAR_HYPHEN_MINUS: 45,
      /* - */
      CHAR_LEFT_ANGLE_BRACKET: 60,
      /* < */
      CHAR_LEFT_CURLY_BRACE: 123,
      /* { */
      CHAR_LEFT_SQUARE_BRACKET: 91,
      /* [ */
      CHAR_LINE_FEED: 10,
      /* \n */
      CHAR_NO_BREAK_SPACE: 160,
      /* \u00A0 */
      CHAR_PERCENT: 37,
      /* % */
      CHAR_PLUS: 43,
      /* + */
      CHAR_QUESTION_MARK: 63,
      /* ? */
      CHAR_RIGHT_ANGLE_BRACKET: 62,
      /* > */
      CHAR_RIGHT_CURLY_BRACE: 125,
      /* } */
      CHAR_RIGHT_SQUARE_BRACKET: 93,
      /* ] */
      CHAR_SEMICOLON: 59,
      /* ; */
      CHAR_SINGLE_QUOTE: 39,
      /* ' */
      CHAR_SPACE: 32,
      /*   */
      CHAR_TAB: 9,
      /* \t */
      CHAR_UNDERSCORE: 95,
      /* _ */
      CHAR_VERTICAL_LINE: 124,
      /* | */
      CHAR_ZERO_WIDTH_NOBREAK_SPACE: 65279,
      /* \uFEFF */
      SEP: path39.sep,
      /**
       * Create EXTGLOB_CHARS
       */
      extglobChars(chars2) {
        return {
          "!": { type: "negate", open: "(?:(?!(?:", close: `))${chars2.STAR})` },
          "?": { type: "qmark", open: "(?:", close: ")?" },
          "+": { type: "plus", open: "(?:", close: ")+" },
          "*": { type: "star", open: "(?:", close: ")*" },
          "@": { type: "at", open: "(?:", close: ")" }
        };
      },
      /**
       * Create GLOB_CHARS
       */
      globChars(win32) {
        return win32 === true ? WINDOWS_CHARS : POSIX_CHARS;
      }
    };
  }
});

// ../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/utils.js
var require_utils2 = __commonJS({
  "../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/utils.js"(exports2) {
    "use strict";
    var path39 = require("path");
    var win32 = process.platform === "win32";
    var {
      REGEX_BACKSLASH,
      REGEX_REMOVE_BACKSLASH,
      REGEX_SPECIAL_CHARS,
      REGEX_SPECIAL_CHARS_GLOBAL
    } = require_constants2();
    exports2.isObject = (val) => val !== null && typeof val === "object" && !Array.isArray(val);
    exports2.hasRegexChars = (str) => REGEX_SPECIAL_CHARS.test(str);
    exports2.isRegexChar = (str) => str.length === 1 && exports2.hasRegexChars(str);
    exports2.escapeRegex = (str) => str.replace(REGEX_SPECIAL_CHARS_GLOBAL, "\\$1");
    exports2.toPosixSlashes = (str) => str.replace(REGEX_BACKSLASH, "/");
    exports2.removeBackslashes = (str) => {
      return str.replace(REGEX_REMOVE_BACKSLASH, (match4) => {
        return match4 === "\\" ? "" : match4;
      });
    };
    exports2.supportsLookbehinds = () => {
      const segs = process.version.slice(1).split(".").map(Number);
      if (segs.length === 3 && segs[0] >= 9 || segs[0] === 8 && segs[1] >= 10) {
        return true;
      }
      return false;
    };
    exports2.isWindows = (options2) => {
      if (options2 && typeof options2.windows === "boolean") {
        return options2.windows;
      }
      return win32 === true || path39.sep === "\\";
    };
    exports2.escapeLast = (input, char, lastIdx) => {
      const idx = input.lastIndexOf(char, lastIdx);
      if (idx === -1)
        return input;
      if (input[idx - 1] === "\\")
        return exports2.escapeLast(input, char, idx - 1);
      return `${input.slice(0, idx)}\\${input.slice(idx)}`;
    };
    exports2.removePrefix = (input, state = {}) => {
      let output = input;
      if (output.startsWith("./")) {
        output = output.slice(2);
        state.prefix = "./";
      }
      return output;
    };
    exports2.wrapOutput = (input, state = {}, options2 = {}) => {
      const prepend = options2.contains ? "" : "^";
      const append = options2.contains ? "" : "$";
      let output = `${prepend}(?:${input})${append}`;
      if (state.negated === true) {
        output = `(?:^(?!${output}).*$)`;
      }
      return output;
    };
  }
});

// ../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/scan.js
var require_scan = __commonJS({
  "../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/scan.js"(exports2, module2) {
    "use strict";
    var utils = require_utils2();
    var {
      CHAR_ASTERISK,
      /* * */
      CHAR_AT,
      /* @ */
      CHAR_BACKWARD_SLASH,
      /* \ */
      CHAR_COMMA,
      /* , */
      CHAR_DOT,
      /* . */
      CHAR_EXCLAMATION_MARK,
      /* ! */
      CHAR_FORWARD_SLASH,
      /* / */
      CHAR_LEFT_CURLY_BRACE,
      /* { */
      CHAR_LEFT_PARENTHESES,
      /* ( */
      CHAR_LEFT_SQUARE_BRACKET,
      /* [ */
      CHAR_PLUS,
      /* + */
      CHAR_QUESTION_MARK,
      /* ? */
      CHAR_RIGHT_CURLY_BRACE,
      /* } */
      CHAR_RIGHT_PARENTHESES,
      /* ) */
      CHAR_RIGHT_SQUARE_BRACKET
      /* ] */
    } = require_constants2();
    var isPathSeparator = (code) => {
      return code === CHAR_FORWARD_SLASH || code === CHAR_BACKWARD_SLASH;
    };
    var depth = (token) => {
      if (token.isPrefix !== true) {
        token.depth = token.isGlobstar ? Infinity : 1;
      }
    };
    var scan = (input, options2) => {
      const opts2 = options2 || {};
      const length = input.length - 1;
      const scanToEnd = opts2.parts === true || opts2.scanToEnd === true;
      const slashes = [];
      const tokens = [];
      const parts = [];
      let str = input;
      let index2 = -1;
      let start = 0;
      let lastIndex = 0;
      let isBrace = false;
      let isBracket = false;
      let isGlob = false;
      let isExtglob = false;
      let isGlobstar = false;
      let braceEscaped = false;
      let backslashes = false;
      let negated = false;
      let negatedExtglob = false;
      let finished = false;
      let braces = 0;
      let prev;
      let code;
      let token = { value: "", depth: 0, isGlob: false };
      const eos = () => index2 >= length;
      const peek = () => str.charCodeAt(index2 + 1);
      const advance = () => {
        prev = code;
        return str.charCodeAt(++index2);
      };
      while (index2 < length) {
        code = advance();
        let next;
        if (code === CHAR_BACKWARD_SLASH) {
          backslashes = token.backslashes = true;
          code = advance();
          if (code === CHAR_LEFT_CURLY_BRACE) {
            braceEscaped = true;
          }
          continue;
        }
        if (braceEscaped === true || code === CHAR_LEFT_CURLY_BRACE) {
          braces++;
          while (eos() !== true && (code = advance())) {
            if (code === CHAR_BACKWARD_SLASH) {
              backslashes = token.backslashes = true;
              advance();
              continue;
            }
            if (code === CHAR_LEFT_CURLY_BRACE) {
              braces++;
              continue;
            }
            if (braceEscaped !== true && code === CHAR_DOT && (code = advance()) === CHAR_DOT) {
              isBrace = token.isBrace = true;
              isGlob = token.isGlob = true;
              finished = true;
              if (scanToEnd === true) {
                continue;
              }
              break;
            }
            if (braceEscaped !== true && code === CHAR_COMMA) {
              isBrace = token.isBrace = true;
              isGlob = token.isGlob = true;
              finished = true;
              if (scanToEnd === true) {
                continue;
              }
              break;
            }
            if (code === CHAR_RIGHT_CURLY_BRACE) {
              braces--;
              if (braces === 0) {
                braceEscaped = false;
                isBrace = token.isBrace = true;
                finished = true;
                break;
              }
            }
          }
          if (scanToEnd === true) {
            continue;
          }
          break;
        }
        if (code === CHAR_FORWARD_SLASH) {
          slashes.push(index2);
          tokens.push(token);
          token = { value: "", depth: 0, isGlob: false };
          if (finished === true)
            continue;
          if (prev === CHAR_DOT && index2 === start + 1) {
            start += 2;
            continue;
          }
          lastIndex = index2 + 1;
          continue;
        }
        if (opts2.noext !== true) {
          const isExtglobChar = code === CHAR_PLUS || code === CHAR_AT || code === CHAR_ASTERISK || code === CHAR_QUESTION_MARK || code === CHAR_EXCLAMATION_MARK;
          if (isExtglobChar === true && peek() === CHAR_LEFT_PARENTHESES) {
            isGlob = token.isGlob = true;
            isExtglob = token.isExtglob = true;
            finished = true;
            if (code === CHAR_EXCLAMATION_MARK && index2 === start) {
              negatedExtglob = true;
            }
            if (scanToEnd === true) {
              while (eos() !== true && (code = advance())) {
                if (code === CHAR_BACKWARD_SLASH) {
                  backslashes = token.backslashes = true;
                  code = advance();
                  continue;
                }
                if (code === CHAR_RIGHT_PARENTHESES) {
                  isGlob = token.isGlob = true;
                  finished = true;
                  break;
                }
              }
              continue;
            }
            break;
          }
        }
        if (code === CHAR_ASTERISK) {
          if (prev === CHAR_ASTERISK)
            isGlobstar = token.isGlobstar = true;
          isGlob = token.isGlob = true;
          finished = true;
          if (scanToEnd === true) {
            continue;
          }
          break;
        }
        if (code === CHAR_QUESTION_MARK) {
          isGlob = token.isGlob = true;
          finished = true;
          if (scanToEnd === true) {
            continue;
          }
          break;
        }
        if (code === CHAR_LEFT_SQUARE_BRACKET) {
          while (eos() !== true && (next = advance())) {
            if (next === CHAR_BACKWARD_SLASH) {
              backslashes = token.backslashes = true;
              advance();
              continue;
            }
            if (next === CHAR_RIGHT_SQUARE_BRACKET) {
              isBracket = token.isBracket = true;
              isGlob = token.isGlob = true;
              finished = true;
              break;
            }
          }
          if (scanToEnd === true) {
            continue;
          }
          break;
        }
        if (opts2.nonegate !== true && code === CHAR_EXCLAMATION_MARK && index2 === start) {
          negated = token.negated = true;
          start++;
          continue;
        }
        if (opts2.noparen !== true && code === CHAR_LEFT_PARENTHESES) {
          isGlob = token.isGlob = true;
          if (scanToEnd === true) {
            while (eos() !== true && (code = advance())) {
              if (code === CHAR_LEFT_PARENTHESES) {
                backslashes = token.backslashes = true;
                code = advance();
                continue;
              }
              if (code === CHAR_RIGHT_PARENTHESES) {
                finished = true;
                break;
              }
            }
            continue;
          }
          break;
        }
        if (isGlob === true) {
          finished = true;
          if (scanToEnd === true) {
            continue;
          }
          break;
        }
      }
      if (opts2.noext === true) {
        isExtglob = false;
        isGlob = false;
      }
      let base = str;
      let prefix = "";
      let glob = "";
      if (start > 0) {
        prefix = str.slice(0, start);
        str = str.slice(start);
        lastIndex -= start;
      }
      if (base && isGlob === true && lastIndex > 0) {
        base = str.slice(0, lastIndex);
        glob = str.slice(lastIndex);
      } else if (isGlob === true) {
        base = "";
        glob = str;
      } else {
        base = str;
      }
      if (base && base !== "" && base !== "/" && base !== str) {
        if (isPathSeparator(base.charCodeAt(base.length - 1))) {
          base = base.slice(0, -1);
        }
      }
      if (opts2.unescape === true) {
        if (glob)
          glob = utils.removeBackslashes(glob);
        if (base && backslashes === true) {
          base = utils.removeBackslashes(base);
        }
      }
      const state = {
        prefix,
        input,
        start,
        base,
        glob,
        isBrace,
        isBracket,
        isGlob,
        isExtglob,
        isGlobstar,
        negated,
        negatedExtglob
      };
      if (opts2.tokens === true) {
        state.maxDepth = 0;
        if (!isPathSeparator(code)) {
          tokens.push(token);
        }
        state.tokens = tokens;
      }
      if (opts2.parts === true || opts2.tokens === true) {
        let prevIndex;
        for (let idx = 0; idx < slashes.length; idx++) {
          const n2 = prevIndex ? prevIndex + 1 : start;
          const i4 = slashes[idx];
          const value = input.slice(n2, i4);
          if (opts2.tokens) {
            if (idx === 0 && start !== 0) {
              tokens[idx].isPrefix = true;
              tokens[idx].value = prefix;
            } else {
              tokens[idx].value = value;
            }
            depth(tokens[idx]);
            state.maxDepth += tokens[idx].depth;
          }
          if (idx !== 0 || value !== "") {
            parts.push(value);
          }
          prevIndex = i4;
        }
        if (prevIndex && prevIndex + 1 < input.length) {
          const value = input.slice(prevIndex + 1);
          parts.push(value);
          if (opts2.tokens) {
            tokens[tokens.length - 1].value = value;
            depth(tokens[tokens.length - 1]);
            state.maxDepth += tokens[tokens.length - 1].depth;
          }
        }
        state.slashes = slashes;
        state.parts = parts;
      }
      return state;
    };
    module2.exports = scan;
  }
});

// ../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/parse.js
var require_parse2 = __commonJS({
  "../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/parse.js"(exports2, module2) {
    "use strict";
    var constants3 = require_constants2();
    var utils = require_utils2();
    var {
      MAX_LENGTH: MAX_LENGTH2,
      POSIX_REGEX_SOURCE,
      REGEX_NON_SPECIAL_CHARS,
      REGEX_SPECIAL_CHARS_BACKREF,
      REPLACEMENTS
    } = constants3;
    var expandRange = (args3, options2) => {
      if (typeof options2.expandRange === "function") {
        return options2.expandRange(...args3, options2);
      }
      args3.sort();
      const value = `[${args3.join("-")}]`;
      try {
        new RegExp(value);
      } catch (ex2) {
        return args3.map((v2) => utils.escapeRegex(v2)).join("..");
      }
      return value;
    };
    var syntaxError = (type, char) => {
      return `Missing ${type}: "${char}" - use "\\\\${char}" to match literal characters`;
    };
    var parse3 = (input, options2) => {
      if (typeof input !== "string") {
        throw new TypeError("Expected a string");
      }
      input = REPLACEMENTS[input] || input;
      const opts2 = { ...options2 };
      const max = typeof opts2.maxLength === "number" ? Math.min(MAX_LENGTH2, opts2.maxLength) : MAX_LENGTH2;
      let len = input.length;
      if (len > max) {
        throw new SyntaxError(`Input length: ${len}, exceeds maximum allowed length: ${max}`);
      }
      const bos = { type: "bos", value: "", output: opts2.prepend || "" };
      const tokens = [bos];
      const capture = opts2.capture ? "" : "?:";
      const win32 = utils.isWindows(options2);
      const PLATFORM_CHARS = constants3.globChars(win32);
      const EXTGLOB_CHARS = constants3.extglobChars(PLATFORM_CHARS);
      const {
        DOT_LITERAL,
        PLUS_LITERAL,
        SLASH_LITERAL,
        ONE_CHAR,
        DOTS_SLASH,
        NO_DOT,
        NO_DOT_SLASH,
        NO_DOTS_SLASH,
        QMARK,
        QMARK_NO_DOT,
        STAR,
        START_ANCHOR
      } = PLATFORM_CHARS;
      const globstar = (opts3) => {
        return `(${capture}(?:(?!${START_ANCHOR}${opts3.dot ? DOTS_SLASH : DOT_LITERAL}).)*?)`;
      };
      const nodot = opts2.dot ? "" : NO_DOT;
      const qmarkNoDot = opts2.dot ? QMARK : QMARK_NO_DOT;
      let star = opts2.bash === true ? globstar(opts2) : STAR;
      if (opts2.capture) {
        star = `(${star})`;
      }
      if (typeof opts2.noext === "boolean") {
        opts2.noextglob = opts2.noext;
      }
      const state = {
        input,
        index: -1,
        start: 0,
        dot: opts2.dot === true,
        consumed: "",
        output: "",
        prefix: "",
        backtrack: false,
        negated: false,
        brackets: 0,
        braces: 0,
        parens: 0,
        quotes: 0,
        globstar: false,
        tokens
      };
      input = utils.removePrefix(input, state);
      len = input.length;
      const extglobs = [];
      const braces = [];
      const stack2 = [];
      let prev = bos;
      let value;
      const eos = () => state.index === len - 1;
      const peek = state.peek = (n2 = 1) => input[state.index + n2];
      const advance = state.advance = () => input[++state.index] || "";
      const remaining = () => input.slice(state.index + 1);
      const consume = (value2 = "", num = 0) => {
        state.consumed += value2;
        state.index += num;
      };
      const append = (token) => {
        state.output += token.output != null ? token.output : token.value;
        consume(token.value);
      };
      const negate = () => {
        let count = 1;
        while (peek() === "!" && (peek(2) !== "(" || peek(3) === "?")) {
          advance();
          state.start++;
          count++;
        }
        if (count % 2 === 0) {
          return false;
        }
        state.negated = true;
        state.start++;
        return true;
      };
      const increment = (type) => {
        state[type]++;
        stack2.push(type);
      };
      const decrement = (type) => {
        state[type]--;
        stack2.pop();
      };
      const push = (tok) => {
        if (prev.type === "globstar") {
          const isBrace = state.braces > 0 && (tok.type === "comma" || tok.type === "brace");
          const isExtglob = tok.extglob === true || extglobs.length && (tok.type === "pipe" || tok.type === "paren");
          if (tok.type !== "slash" && tok.type !== "paren" && !isBrace && !isExtglob) {
            state.output = state.output.slice(0, -prev.output.length);
            prev.type = "star";
            prev.value = "*";
            prev.output = star;
            state.output += prev.output;
          }
        }
        if (extglobs.length && tok.type !== "paren") {
          extglobs[extglobs.length - 1].inner += tok.value;
        }
        if (tok.value || tok.output)
          append(tok);
        if (prev && prev.type === "text" && tok.type === "text") {
          prev.value += tok.value;
          prev.output = (prev.output || "") + tok.value;
          return;
        }
        tok.prev = prev;
        tokens.push(tok);
        prev = tok;
      };
      const extglobOpen = (type, value2) => {
        const token = { ...EXTGLOB_CHARS[value2], conditions: 1, inner: "" };
        token.prev = prev;
        token.parens = state.parens;
        token.output = state.output;
        const output = (opts2.capture ? "(" : "") + token.open;
        increment("parens");
        push({ type, value: value2, output: state.output ? "" : ONE_CHAR });
        push({ type: "paren", extglob: true, value: advance(), output });
        extglobs.push(token);
      };
      const extglobClose = (token) => {
        let output = token.close + (opts2.capture ? ")" : "");
        let rest;
        if (token.type === "negate") {
          let extglobStar = star;
          if (token.inner && token.inner.length > 1 && token.inner.includes("/")) {
            extglobStar = globstar(opts2);
          }
          if (extglobStar !== star || eos() || /^\)+$/.test(remaining())) {
            output = token.close = `)$))${extglobStar}`;
          }
          if (token.inner.includes("*") && (rest = remaining()) && /^\.[^\\/.]+$/.test(rest)) {
            const expression = parse3(rest, { ...options2, fastpaths: false }).output;
            output = token.close = `)${expression})${extglobStar})`;
          }
          if (token.prev.type === "bos") {
            state.negatedExtglob = true;
          }
        }
        push({ type: "paren", extglob: true, value, output });
        decrement("parens");
      };
      if (opts2.fastpaths !== false && !/(^[*!]|[/()[\]{}"])/.test(input)) {
        let backslashes = false;
        let output = input.replace(REGEX_SPECIAL_CHARS_BACKREF, (m3, esc, chars2, first, rest, index2) => {
          if (first === "\\") {
            backslashes = true;
            return m3;
          }
          if (first === "?") {
            if (esc) {
              return esc + first + (rest ? QMARK.repeat(rest.length) : "");
            }
            if (index2 === 0) {
              return qmarkNoDot + (rest ? QMARK.repeat(rest.length) : "");
            }
            return QMARK.repeat(chars2.length);
          }
          if (first === ".") {
            return DOT_LITERAL.repeat(chars2.length);
          }
          if (first === "*") {
            if (esc) {
              return esc + first + (rest ? star : "");
            }
            return star;
          }
          return esc ? m3 : `\\${m3}`;
        });
        if (backslashes === true) {
          if (opts2.unescape === true) {
            output = output.replace(/\\/g, "");
          } else {
            output = output.replace(/\\+/g, (m3) => {
              return m3.length % 2 === 0 ? "\\\\" : m3 ? "\\" : "";
            });
          }
        }
        if (output === input && opts2.contains === true) {
          state.output = input;
          return state;
        }
        state.output = utils.wrapOutput(output, state, options2);
        return state;
      }
      while (!eos()) {
        value = advance();
        if (value === "\0") {
          continue;
        }
        if (value === "\\") {
          const next = peek();
          if (next === "/" && opts2.bash !== true) {
            continue;
          }
          if (next === "." || next === ";") {
            continue;
          }
          if (!next) {
            value += "\\";
            push({ type: "text", value });
            continue;
          }
          const match4 = /^\\+/.exec(remaining());
          let slashes = 0;
          if (match4 && match4[0].length > 2) {
            slashes = match4[0].length;
            state.index += slashes;
            if (slashes % 2 !== 0) {
              value += "\\";
            }
          }
          if (opts2.unescape === true) {
            value = advance();
          } else {
            value += advance();
          }
          if (state.brackets === 0) {
            push({ type: "text", value });
            continue;
          }
        }
        if (state.brackets > 0 && (value !== "]" || prev.value === "[" || prev.value === "[^")) {
          if (opts2.posix !== false && value === ":") {
            const inner = prev.value.slice(1);
            if (inner.includes("[")) {
              prev.posix = true;
              if (inner.includes(":")) {
                const idx = prev.value.lastIndexOf("[");
                const pre = prev.value.slice(0, idx);
                const rest2 = prev.value.slice(idx + 2);
                const posix2 = POSIX_REGEX_SOURCE[rest2];
                if (posix2) {
                  prev.value = pre + posix2;
                  state.backtrack = true;
                  advance();
                  if (!bos.output && tokens.indexOf(prev) === 1) {
                    bos.output = ONE_CHAR;
                  }
                  continue;
                }
              }
            }
          }
          if (value === "[" && peek() !== ":" || value === "-" && peek() === "]") {
            value = `\\${value}`;
          }
          if (value === "]" && (prev.value === "[" || prev.value === "[^")) {
            value = `\\${value}`;
          }
          if (opts2.posix === true && value === "!" && prev.value === "[") {
            value = "^";
          }
          prev.value += value;
          append({ value });
          continue;
        }
        if (state.quotes === 1 && value !== '"') {
          value = utils.escapeRegex(value);
          prev.value += value;
          append({ value });
          continue;
        }
        if (value === '"') {
          state.quotes = state.quotes === 1 ? 0 : 1;
          if (opts2.keepQuotes === true) {
            push({ type: "text", value });
          }
          continue;
        }
        if (value === "(") {
          increment("parens");
          push({ type: "paren", value });
          continue;
        }
        if (value === ")") {
          if (state.parens === 0 && opts2.strictBrackets === true) {
            throw new SyntaxError(syntaxError("opening", "("));
          }
          const extglob = extglobs[extglobs.length - 1];
          if (extglob && state.parens === extglob.parens + 1) {
            extglobClose(extglobs.pop());
            continue;
          }
          push({ type: "paren", value, output: state.parens ? ")" : "\\)" });
          decrement("parens");
          continue;
        }
        if (value === "[") {
          if (opts2.nobracket === true || !remaining().includes("]")) {
            if (opts2.nobracket !== true && opts2.strictBrackets === true) {
              throw new SyntaxError(syntaxError("closing", "]"));
            }
            value = `\\${value}`;
          } else {
            increment("brackets");
          }
          push({ type: "bracket", value });
          continue;
        }
        if (value === "]") {
          if (opts2.nobracket === true || prev && prev.type === "bracket" && prev.value.length === 1) {
            push({ type: "text", value, output: `\\${value}` });
            continue;
          }
          if (state.brackets === 0) {
            if (opts2.strictBrackets === true) {
              throw new SyntaxError(syntaxError("opening", "["));
            }
            push({ type: "text", value, output: `\\${value}` });
            continue;
          }
          decrement("brackets");
          const prevValue = prev.value.slice(1);
          if (prev.posix !== true && prevValue[0] === "^" && !prevValue.includes("/")) {
            value = `/${value}`;
          }
          prev.value += value;
          append({ value });
          if (opts2.literalBrackets === false || utils.hasRegexChars(prevValue)) {
            continue;
          }
          const escaped = utils.escapeRegex(prev.value);
          state.output = state.output.slice(0, -prev.value.length);
          if (opts2.literalBrackets === true) {
            state.output += escaped;
            prev.value = escaped;
            continue;
          }
          prev.value = `(${capture}${escaped}|${prev.value})`;
          state.output += prev.value;
          continue;
        }
        if (value === "{" && opts2.nobrace !== true) {
          increment("braces");
          const open3 = {
            type: "brace",
            value,
            output: "(",
            outputIndex: state.output.length,
            tokensIndex: state.tokens.length
          };
          braces.push(open3);
          push(open3);
          continue;
        }
        if (value === "}") {
          const brace = braces[braces.length - 1];
          if (opts2.nobrace === true || !brace) {
            push({ type: "text", value, output: value });
            continue;
          }
          let output = ")";
          if (brace.dots === true) {
            const arr = tokens.slice();
            const range2 = [];
            for (let i4 = arr.length - 1; i4 >= 0; i4--) {
              tokens.pop();
              if (arr[i4].type === "brace") {
                break;
              }
              if (arr[i4].type !== "dots") {
                range2.unshift(arr[i4].value);
              }
            }
            output = expandRange(range2, opts2);
            state.backtrack = true;
          }
          if (brace.comma !== true && brace.dots !== true) {
            const out = state.output.slice(0, brace.outputIndex);
            const toks = state.tokens.slice(brace.tokensIndex);
            brace.value = brace.output = "\\{";
            value = output = "\\}";
            state.output = out;
            for (const t9 of toks) {
              state.output += t9.output || t9.value;
            }
          }
          push({ type: "brace", value, output });
          decrement("braces");
          braces.pop();
          continue;
        }
        if (value === "|") {
          if (extglobs.length > 0) {
            extglobs[extglobs.length - 1].conditions++;
          }
          push({ type: "text", value });
          continue;
        }
        if (value === ",") {
          let output = value;
          const brace = braces[braces.length - 1];
          if (brace && stack2[stack2.length - 1] === "braces") {
            brace.comma = true;
            output = "|";
          }
          push({ type: "comma", value, output });
          continue;
        }
        if (value === "/") {
          if (prev.type === "dot" && state.index === state.start + 1) {
            state.start = state.index + 1;
            state.consumed = "";
            state.output = "";
            tokens.pop();
            prev = bos;
            continue;
          }
          push({ type: "slash", value, output: SLASH_LITERAL });
          continue;
        }
        if (value === ".") {
          if (state.braces > 0 && prev.type === "dot") {
            if (prev.value === ".")
              prev.output = DOT_LITERAL;
            const brace = braces[braces.length - 1];
            prev.type = "dots";
            prev.output += value;
            prev.value += value;
            brace.dots = true;
            continue;
          }
          if (state.braces + state.parens === 0 && prev.type !== "bos" && prev.type !== "slash") {
            push({ type: "text", value, output: DOT_LITERAL });
            continue;
          }
          push({ type: "dot", value, output: DOT_LITERAL });
          continue;
        }
        if (value === "?") {
          const isGroup = prev && prev.value === "(";
          if (!isGroup && opts2.noextglob !== true && peek() === "(" && peek(2) !== "?") {
            extglobOpen("qmark", value);
            continue;
          }
          if (prev && prev.type === "paren") {
            const next = peek();
            let output = value;
            if (next === "<" && !utils.supportsLookbehinds()) {
              throw new Error("Node.js v10 or higher is required for regex lookbehinds");
            }
            if (prev.value === "(" && !/[!=<:]/.test(next) || next === "<" && !/<([!=]|\w+>)/.test(remaining())) {
              output = `\\${value}`;
            }
            push({ type: "text", value, output });
            continue;
          }
          if (opts2.dot !== true && (prev.type === "slash" || prev.type === "bos")) {
            push({ type: "qmark", value, output: QMARK_NO_DOT });
            continue;
          }
          push({ type: "qmark", value, output: QMARK });
          continue;
        }
        if (value === "!") {
          if (opts2.noextglob !== true && peek() === "(") {
            if (peek(2) !== "?" || !/[!=<:]/.test(peek(3))) {
              extglobOpen("negate", value);
              continue;
            }
          }
          if (opts2.nonegate !== true && state.index === 0) {
            negate();
            continue;
          }
        }
        if (value === "+") {
          if (opts2.noextglob !== true && peek() === "(" && peek(2) !== "?") {
            extglobOpen("plus", value);
            continue;
          }
          if (prev && prev.value === "(" || opts2.regex === false) {
            push({ type: "plus", value, output: PLUS_LITERAL });
            continue;
          }
          if (prev && (prev.type === "bracket" || prev.type === "paren" || prev.type === "brace") || state.parens > 0) {
            push({ type: "plus", value });
            continue;
          }
          push({ type: "plus", value: PLUS_LITERAL });
          continue;
        }
        if (value === "@") {
          if (opts2.noextglob !== true && peek() === "(" && peek(2) !== "?") {
            push({ type: "at", extglob: true, value, output: "" });
            continue;
          }
          push({ type: "text", value });
          continue;
        }
        if (value !== "*") {
          if (value === "$" || value === "^") {
            value = `\\${value}`;
          }
          const match4 = REGEX_NON_SPECIAL_CHARS.exec(remaining());
          if (match4) {
            value += match4[0];
            state.index += match4[0].length;
          }
          push({ type: "text", value });
          continue;
        }
        if (prev && (prev.type === "globstar" || prev.star === true)) {
          prev.type = "star";
          prev.star = true;
          prev.value += value;
          prev.output = star;
          state.backtrack = true;
          state.globstar = true;
          consume(value);
          continue;
        }
        let rest = remaining();
        if (opts2.noextglob !== true && /^\([^?]/.test(rest)) {
          extglobOpen("star", value);
          continue;
        }
        if (prev.type === "star") {
          if (opts2.noglobstar === true) {
            consume(value);
            continue;
          }
          const prior = prev.prev;
          const before = prior.prev;
          const isStart = prior.type === "slash" || prior.type === "bos";
          const afterStar = before && (before.type === "star" || before.type === "globstar");
          if (opts2.bash === true && (!isStart || rest[0] && rest[0] !== "/")) {
            push({ type: "star", value, output: "" });
            continue;
          }
          const isBrace = state.braces > 0 && (prior.type === "comma" || prior.type === "brace");
          const isExtglob = extglobs.length && (prior.type === "pipe" || prior.type === "paren");
          if (!isStart && prior.type !== "paren" && !isBrace && !isExtglob) {
            push({ type: "star", value, output: "" });
            continue;
          }
          while (rest.slice(0, 3) === "/**") {
            const after = input[state.index + 4];
            if (after && after !== "/") {
              break;
            }
            rest = rest.slice(3);
            consume("/**", 3);
          }
          if (prior.type === "bos" && eos()) {
            prev.type = "globstar";
            prev.value += value;
            prev.output = globstar(opts2);
            state.output = prev.output;
            state.globstar = true;
            consume(value);
            continue;
          }
          if (prior.type === "slash" && prior.prev.type !== "bos" && !afterStar && eos()) {
            state.output = state.output.slice(0, -(prior.output + prev.output).length);
            prior.output = `(?:${prior.output}`;
            prev.type = "globstar";
            prev.output = globstar(opts2) + (opts2.strictSlashes ? ")" : "|$)");
            prev.value += value;
            state.globstar = true;
            state.output += prior.output + prev.output;
            consume(value);
            continue;
          }
          if (prior.type === "slash" && prior.prev.type !== "bos" && rest[0] === "/") {
            const end = rest[1] !== void 0 ? "|$" : "";
            state.output = state.output.slice(0, -(prior.output + prev.output).length);
            prior.output = `(?:${prior.output}`;
            prev.type = "globstar";
            prev.output = `${globstar(opts2)}${SLASH_LITERAL}|${SLASH_LITERAL}${end})`;
            prev.value += value;
            state.output += prior.output + prev.output;
            state.globstar = true;
            consume(value + advance());
            push({ type: "slash", value: "/", output: "" });
            continue;
          }
          if (prior.type === "bos" && rest[0] === "/") {
            prev.type = "globstar";
            prev.value += value;
            prev.output = `(?:^|${SLASH_LITERAL}|${globstar(opts2)}${SLASH_LITERAL})`;
            state.output = prev.output;
            state.globstar = true;
            consume(value + advance());
            push({ type: "slash", value: "/", output: "" });
            continue;
          }
          state.output = state.output.slice(0, -prev.output.length);
          prev.type = "globstar";
          prev.output = globstar(opts2);
          prev.value += value;
          state.output += prev.output;
          state.globstar = true;
          consume(value);
          continue;
        }
        const token = { type: "star", value, output: star };
        if (opts2.bash === true) {
          token.output = ".*?";
          if (prev.type === "bos" || prev.type === "slash") {
            token.output = nodot + token.output;
          }
          push(token);
          continue;
        }
        if (prev && (prev.type === "bracket" || prev.type === "paren") && opts2.regex === true) {
          token.output = value;
          push(token);
          continue;
        }
        if (state.index === state.start || prev.type === "slash" || prev.type === "dot") {
          if (prev.type === "dot") {
            state.output += NO_DOT_SLASH;
            prev.output += NO_DOT_SLASH;
          } else if (opts2.dot === true) {
            state.output += NO_DOTS_SLASH;
            prev.output += NO_DOTS_SLASH;
          } else {
            state.output += nodot;
            prev.output += nodot;
          }
          if (peek() !== "*") {
            state.output += ONE_CHAR;
            prev.output += ONE_CHAR;
          }
        }
        push(token);
      }
      while (state.brackets > 0) {
        if (opts2.strictBrackets === true)
          throw new SyntaxError(syntaxError("closing", "]"));
        state.output = utils.escapeLast(state.output, "[");
        decrement("brackets");
      }
      while (state.parens > 0) {
        if (opts2.strictBrackets === true)
          throw new SyntaxError(syntaxError("closing", ")"));
        state.output = utils.escapeLast(state.output, "(");
        decrement("parens");
      }
      while (state.braces > 0) {
        if (opts2.strictBrackets === true)
          throw new SyntaxError(syntaxError("closing", "}"));
        state.output = utils.escapeLast(state.output, "{");
        decrement("braces");
      }
      if (opts2.strictSlashes !== true && (prev.type === "star" || prev.type === "bracket")) {
        push({ type: "maybe_slash", value: "", output: `${SLASH_LITERAL}?` });
      }
      if (state.backtrack === true) {
        state.output = "";
        for (const token of state.tokens) {
          state.output += token.output != null ? token.output : token.value;
          if (token.suffix) {
            state.output += token.suffix;
          }
        }
      }
      return state;
    };
    parse3.fastpaths = (input, options2) => {
      const opts2 = { ...options2 };
      const max = typeof opts2.maxLength === "number" ? Math.min(MAX_LENGTH2, opts2.maxLength) : MAX_LENGTH2;
      const len = input.length;
      if (len > max) {
        throw new SyntaxError(`Input length: ${len}, exceeds maximum allowed length: ${max}`);
      }
      input = REPLACEMENTS[input] || input;
      const win32 = utils.isWindows(options2);
      const {
        DOT_LITERAL,
        SLASH_LITERAL,
        ONE_CHAR,
        DOTS_SLASH,
        NO_DOT,
        NO_DOTS,
        NO_DOTS_SLASH,
        STAR,
        START_ANCHOR
      } = constants3.globChars(win32);
      const nodot = opts2.dot ? NO_DOTS : NO_DOT;
      const slashDot = opts2.dot ? NO_DOTS_SLASH : NO_DOT;
      const capture = opts2.capture ? "" : "?:";
      const state = { negated: false, prefix: "" };
      let star = opts2.bash === true ? ".*?" : STAR;
      if (opts2.capture) {
        star = `(${star})`;
      }
      const globstar = (opts3) => {
        if (opts3.noglobstar === true)
          return star;
        return `(${capture}(?:(?!${START_ANCHOR}${opts3.dot ? DOTS_SLASH : DOT_LITERAL}).)*?)`;
      };
      const create = (str) => {
        switch (str) {
          case "*":
            return `${nodot}${ONE_CHAR}${star}`;
          case ".*":
            return `${DOT_LITERAL}${ONE_CHAR}${star}`;
          case "*.*":
            return `${nodot}${star}${DOT_LITERAL}${ONE_CHAR}${star}`;
          case "*/*":
            return `${nodot}${star}${SLASH_LITERAL}${ONE_CHAR}${slashDot}${star}`;
          case "**":
            return nodot + globstar(opts2);
          case "**/*":
            return `(?:${nodot}${globstar(opts2)}${SLASH_LITERAL})?${slashDot}${ONE_CHAR}${star}`;
          case "**/*.*":
            return `(?:${nodot}${globstar(opts2)}${SLASH_LITERAL})?${slashDot}${star}${DOT_LITERAL}${ONE_CHAR}${star}`;
          case "**/.*":
            return `(?:${nodot}${globstar(opts2)}${SLASH_LITERAL})?${DOT_LITERAL}${ONE_CHAR}${star}`;
          default: {
            const match4 = /^(.*?)\.(\w+)$/.exec(str);
            if (!match4)
              return;
            const source2 = create(match4[1]);
            if (!source2)
              return;
            return source2 + DOT_LITERAL + match4[2];
          }
        }
      };
      const output = utils.removePrefix(input, state);
      let source = create(output);
      if (source && opts2.strictSlashes !== true) {
        source += `${SLASH_LITERAL}?`;
      }
      return source;
    };
    module2.exports = parse3;
  }
});

// ../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/picomatch.js
var require_picomatch = __commonJS({
  "../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/lib/picomatch.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var scan = require_scan();
    var parse3 = require_parse2();
    var utils = require_utils2();
    var constants3 = require_constants2();
    var isObject = (val) => val && typeof val === "object" && !Array.isArray(val);
    var picomatch = (glob, options2, returnState = false) => {
      if (Array.isArray(glob)) {
        const fns = glob.map((input) => picomatch(input, options2, returnState));
        const arrayMatcher = (str) => {
          for (const isMatch of fns) {
            const state2 = isMatch(str);
            if (state2)
              return state2;
          }
          return false;
        };
        return arrayMatcher;
      }
      const isState = isObject(glob) && glob.tokens && glob.input;
      if (glob === "" || typeof glob !== "string" && !isState) {
        throw new TypeError("Expected pattern to be a non-empty string");
      }
      const opts2 = options2 || {};
      const posix2 = utils.isWindows(options2);
      const regex2 = isState ? picomatch.compileRe(glob, options2) : picomatch.makeRe(glob, options2, false, true);
      const state = regex2.state;
      delete regex2.state;
      let isIgnored = () => false;
      if (opts2.ignore) {
        const ignoreOpts = { ...options2, ignore: null, onMatch: null, onResult: null };
        isIgnored = picomatch(opts2.ignore, ignoreOpts, returnState);
      }
      const matcher = (input, returnObject = false) => {
        const { isMatch, match: match4, output } = picomatch.test(input, regex2, options2, { glob, posix: posix2 });
        const result = { glob, state, regex: regex2, posix: posix2, input, output, match: match4, isMatch };
        if (typeof opts2.onResult === "function") {
          opts2.onResult(result);
        }
        if (isMatch === false) {
          result.isMatch = false;
          return returnObject ? result : false;
        }
        if (isIgnored(input)) {
          if (typeof opts2.onIgnore === "function") {
            opts2.onIgnore(result);
          }
          result.isMatch = false;
          return returnObject ? result : false;
        }
        if (typeof opts2.onMatch === "function") {
          opts2.onMatch(result);
        }
        return returnObject ? result : true;
      };
      if (returnState) {
        matcher.state = state;
      }
      return matcher;
    };
    picomatch.test = (input, regex2, options2, { glob, posix: posix2 } = {}) => {
      if (typeof input !== "string") {
        throw new TypeError("Expected input to be a string");
      }
      if (input === "") {
        return { isMatch: false, output: "" };
      }
      const opts2 = options2 || {};
      const format3 = opts2.format || (posix2 ? utils.toPosixSlashes : null);
      let match4 = input === glob;
      let output = match4 && format3 ? format3(input) : input;
      if (match4 === false) {
        output = format3 ? format3(input) : input;
        match4 = output === glob;
      }
      if (match4 === false || opts2.capture === true) {
        if (opts2.matchBase === true || opts2.basename === true) {
          match4 = picomatch.matchBase(input, regex2, options2, posix2);
        } else {
          match4 = regex2.exec(output);
        }
      }
      return { isMatch: Boolean(match4), match: match4, output };
    };
    picomatch.matchBase = (input, glob, options2, posix2 = utils.isWindows(options2)) => {
      const regex2 = glob instanceof RegExp ? glob : picomatch.makeRe(glob, options2);
      return regex2.test(path39.basename(input));
    };
    picomatch.isMatch = (str, patterns, options2) => picomatch(patterns, options2)(str);
    picomatch.parse = (pattern, options2) => {
      if (Array.isArray(pattern))
        return pattern.map((p2) => picomatch.parse(p2, options2));
      return parse3(pattern, { ...options2, fastpaths: false });
    };
    picomatch.scan = (input, options2) => scan(input, options2);
    picomatch.compileRe = (state, options2, returnOutput = false, returnState = false) => {
      if (returnOutput === true) {
        return state.output;
      }
      const opts2 = options2 || {};
      const prepend = opts2.contains ? "" : "^";
      const append = opts2.contains ? "" : "$";
      let source = `${prepend}(?:${state.output})${append}`;
      if (state && state.negated === true) {
        source = `^(?!${source}).*$`;
      }
      const regex2 = picomatch.toRegex(source, options2);
      if (returnState === true) {
        regex2.state = state;
      }
      return regex2;
    };
    picomatch.makeRe = (input, options2 = {}, returnOutput = false, returnState = false) => {
      if (!input || typeof input !== "string") {
        throw new TypeError("Expected a non-empty string");
      }
      let parsed = { negated: false, fastpaths: true };
      if (options2.fastpaths !== false && (input[0] === "." || input[0] === "*")) {
        parsed.output = parse3.fastpaths(input, options2);
      }
      if (!parsed.output) {
        parsed = parse3(input, options2);
      }
      return picomatch.compileRe(parsed, options2, returnOutput, returnState);
    };
    picomatch.toRegex = (source, options2) => {
      try {
        const opts2 = options2 || {};
        return new RegExp(source, opts2.flags || (opts2.nocase ? "i" : ""));
      } catch (err) {
        if (options2 && options2.debug === true)
          throw err;
        return /$^/;
      }
    };
    picomatch.constants = constants3;
    module2.exports = picomatch;
  }
});

// ../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/index.js
var require_picomatch2 = __commonJS({
  "../../node_modules/.pnpm/picomatch@2.3.1/node_modules/picomatch/index.js"(exports2, module2) {
    "use strict";
    module2.exports = require_picomatch();
  }
});

// ../../node_modules/.pnpm/micromatch@4.0.5/node_modules/micromatch/index.js
var require_micromatch = __commonJS({
  "../../node_modules/.pnpm/micromatch@4.0.5/node_modules/micromatch/index.js"(exports2, module2) {
    "use strict";
    var util4 = require("util");
    var braces = require_braces();
    var picomatch = require_picomatch2();
    var utils = require_utils2();
    var isEmptyString = (val) => val === "" || val === "./";
    var micromatch = (list, patterns, options2) => {
      patterns = [].concat(patterns);
      list = [].concat(list);
      let omit = /* @__PURE__ */ new Set();
      let keep = /* @__PURE__ */ new Set();
      let items = /* @__PURE__ */ new Set();
      let negatives = 0;
      let onResult = (state) => {
        items.add(state.output);
        if (options2 && options2.onResult) {
          options2.onResult(state);
        }
      };
      for (let i4 = 0; i4 < patterns.length; i4++) {
        let isMatch = picomatch(String(patterns[i4]), { ...options2, onResult }, true);
        let negated = isMatch.state.negated || isMatch.state.negatedExtglob;
        if (negated)
          negatives++;
        for (let item2 of list) {
          let matched = isMatch(item2, true);
          let match4 = negated ? !matched.isMatch : matched.isMatch;
          if (!match4)
            continue;
          if (negated) {
            omit.add(matched.output);
          } else {
            omit.delete(matched.output);
            keep.add(matched.output);
          }
        }
      }
      let result = negatives === patterns.length ? [...items] : [...keep];
      let matches = result.filter((item2) => !omit.has(item2));
      if (options2 && matches.length === 0) {
        if (options2.failglob === true) {
          throw new Error(`No matches found for "${patterns.join(", ")}"`);
        }
        if (options2.nonull === true || options2.nullglob === true) {
          return options2.unescape ? patterns.map((p2) => p2.replace(/\\/g, "")) : patterns;
        }
      }
      return matches;
    };
    micromatch.match = micromatch;
    micromatch.matcher = (pattern, options2) => picomatch(pattern, options2);
    micromatch.isMatch = (str, patterns, options2) => picomatch(patterns, options2)(str);
    micromatch.any = micromatch.isMatch;
    micromatch.not = (list, patterns, options2 = {}) => {
      patterns = [].concat(patterns).map(String);
      let result = /* @__PURE__ */ new Set();
      let items = [];
      let onResult = (state) => {
        if (options2.onResult)
          options2.onResult(state);
        items.push(state.output);
      };
      let matches = new Set(micromatch(list, patterns, { ...options2, onResult }));
      for (let item2 of items) {
        if (!matches.has(item2)) {
          result.add(item2);
        }
      }
      return [...result];
    };
    micromatch.contains = (str, pattern, options2) => {
      if (typeof str !== "string") {
        throw new TypeError(`Expected a string: "${util4.inspect(str)}"`);
      }
      if (Array.isArray(pattern)) {
        return pattern.some((p2) => micromatch.contains(str, p2, options2));
      }
      if (typeof pattern === "string") {
        if (isEmptyString(str) || isEmptyString(pattern)) {
          return false;
        }
        if (str.includes(pattern) || str.startsWith("./") && str.slice(2).includes(pattern)) {
          return true;
        }
      }
      return micromatch.isMatch(str, pattern, { ...options2, contains: true });
    };
    micromatch.matchKeys = (obj, patterns, options2) => {
      if (!utils.isObject(obj)) {
        throw new TypeError("Expected the first argument to be an object");
      }
      let keys = micromatch(Object.keys(obj), patterns, options2);
      let res = {};
      for (let key of keys)
        res[key] = obj[key];
      return res;
    };
    micromatch.some = (list, patterns, options2) => {
      let items = [].concat(list);
      for (let pattern of [].concat(patterns)) {
        let isMatch = picomatch(String(pattern), options2);
        if (items.some((item2) => isMatch(item2))) {
          return true;
        }
      }
      return false;
    };
    micromatch.every = (list, patterns, options2) => {
      let items = [].concat(list);
      for (let pattern of [].concat(patterns)) {
        let isMatch = picomatch(String(pattern), options2);
        if (!items.every((item2) => isMatch(item2))) {
          return false;
        }
      }
      return true;
    };
    micromatch.all = (str, patterns, options2) => {
      if (typeof str !== "string") {
        throw new TypeError(`Expected a string: "${util4.inspect(str)}"`);
      }
      return [].concat(patterns).every((p2) => picomatch(p2, options2)(str));
    };
    micromatch.capture = (glob, input, options2) => {
      let posix2 = utils.isWindows(options2);
      let regex2 = picomatch.makeRe(String(glob), { ...options2, capture: true });
      let match4 = regex2.exec(posix2 ? utils.toPosixSlashes(input) : input);
      if (match4) {
        return match4.slice(1).map((v2) => v2 === void 0 ? "" : v2);
      }
    };
    micromatch.makeRe = (...args3) => picomatch.makeRe(...args3);
    micromatch.scan = (...args3) => picomatch.scan(...args3);
    micromatch.parse = (patterns, options2) => {
      let res = [];
      for (let pattern of [].concat(patterns || [])) {
        for (let str of braces(String(pattern), options2)) {
          res.push(picomatch.parse(str, options2));
        }
      }
      return res;
    };
    micromatch.braces = (pattern, options2) => {
      if (typeof pattern !== "string")
        throw new TypeError("Expected a string");
      if (options2 && options2.nobrace === true || !/\{.*\}/.test(pattern)) {
        return [pattern];
      }
      return braces(pattern, options2);
    };
    micromatch.braceExpand = (pattern, options2) => {
      if (typeof pattern !== "string")
        throw new TypeError("Expected a string");
      return micromatch.braces(pattern, { ...options2, expand: true });
    };
    module2.exports = micromatch;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/pattern.js
var require_pattern = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/pattern.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.removeDuplicateSlashes = exports2.matchAny = exports2.convertPatternsToRe = exports2.makeRe = exports2.getPatternParts = exports2.expandBraceExpansion = exports2.expandPatternsWithBraceExpansion = exports2.isAffectDepthOfReadingPattern = exports2.endsWithSlashGlobStar = exports2.hasGlobStar = exports2.getBaseDirectory = exports2.isPatternRelatedToParentDirectory = exports2.getPatternsOutsideCurrentDirectory = exports2.getPatternsInsideCurrentDirectory = exports2.getPositivePatterns = exports2.getNegativePatterns = exports2.isPositivePattern = exports2.isNegativePattern = exports2.convertToNegativePattern = exports2.convertToPositivePattern = exports2.isDynamicPattern = exports2.isStaticPattern = void 0;
    var path39 = require("path");
    var globParent = require_glob_parent();
    var micromatch = require_micromatch();
    var GLOBSTAR = "**";
    var ESCAPE_SYMBOL = "\\";
    var COMMON_GLOB_SYMBOLS_RE = /[*?]|^!/;
    var REGEX_CHARACTER_CLASS_SYMBOLS_RE = /\[[^[]*]/;
    var REGEX_GROUP_SYMBOLS_RE = /(?:^|[^!*+?@])\([^(]*\|[^|]*\)/;
    var GLOB_EXTENSION_SYMBOLS_RE = /[!*+?@]\([^(]*\)/;
    var BRACE_EXPANSION_SEPARATORS_RE = /,|\.\./;
    var DOUBLE_SLASH_RE = /(?!^)\/{2,}/g;
    function isStaticPattern(pattern, options2 = {}) {
      return !isDynamicPattern(pattern, options2);
    }
    exports2.isStaticPattern = isStaticPattern;
    function isDynamicPattern(pattern, options2 = {}) {
      if (pattern === "") {
        return false;
      }
      if (options2.caseSensitiveMatch === false || pattern.includes(ESCAPE_SYMBOL)) {
        return true;
      }
      if (COMMON_GLOB_SYMBOLS_RE.test(pattern) || REGEX_CHARACTER_CLASS_SYMBOLS_RE.test(pattern) || REGEX_GROUP_SYMBOLS_RE.test(pattern)) {
        return true;
      }
      if (options2.extglob !== false && GLOB_EXTENSION_SYMBOLS_RE.test(pattern)) {
        return true;
      }
      if (options2.braceExpansion !== false && hasBraceExpansion(pattern)) {
        return true;
      }
      return false;
    }
    exports2.isDynamicPattern = isDynamicPattern;
    function hasBraceExpansion(pattern) {
      const openingBraceIndex = pattern.indexOf("{");
      if (openingBraceIndex === -1) {
        return false;
      }
      const closingBraceIndex = pattern.indexOf("}", openingBraceIndex + 1);
      if (closingBraceIndex === -1) {
        return false;
      }
      const braceContent = pattern.slice(openingBraceIndex, closingBraceIndex);
      return BRACE_EXPANSION_SEPARATORS_RE.test(braceContent);
    }
    function convertToPositivePattern(pattern) {
      return isNegativePattern(pattern) ? pattern.slice(1) : pattern;
    }
    exports2.convertToPositivePattern = convertToPositivePattern;
    function convertToNegativePattern(pattern) {
      return "!" + pattern;
    }
    exports2.convertToNegativePattern = convertToNegativePattern;
    function isNegativePattern(pattern) {
      return pattern.startsWith("!") && pattern[1] !== "(";
    }
    exports2.isNegativePattern = isNegativePattern;
    function isPositivePattern(pattern) {
      return !isNegativePattern(pattern);
    }
    exports2.isPositivePattern = isPositivePattern;
    function getNegativePatterns(patterns) {
      return patterns.filter(isNegativePattern);
    }
    exports2.getNegativePatterns = getNegativePatterns;
    function getPositivePatterns(patterns) {
      return patterns.filter(isPositivePattern);
    }
    exports2.getPositivePatterns = getPositivePatterns;
    function getPatternsInsideCurrentDirectory(patterns) {
      return patterns.filter((pattern) => !isPatternRelatedToParentDirectory(pattern));
    }
    exports2.getPatternsInsideCurrentDirectory = getPatternsInsideCurrentDirectory;
    function getPatternsOutsideCurrentDirectory(patterns) {
      return patterns.filter(isPatternRelatedToParentDirectory);
    }
    exports2.getPatternsOutsideCurrentDirectory = getPatternsOutsideCurrentDirectory;
    function isPatternRelatedToParentDirectory(pattern) {
      return pattern.startsWith("..") || pattern.startsWith("./..");
    }
    exports2.isPatternRelatedToParentDirectory = isPatternRelatedToParentDirectory;
    function getBaseDirectory(pattern) {
      return globParent(pattern, { flipBackslashes: false });
    }
    exports2.getBaseDirectory = getBaseDirectory;
    function hasGlobStar(pattern) {
      return pattern.includes(GLOBSTAR);
    }
    exports2.hasGlobStar = hasGlobStar;
    function endsWithSlashGlobStar(pattern) {
      return pattern.endsWith("/" + GLOBSTAR);
    }
    exports2.endsWithSlashGlobStar = endsWithSlashGlobStar;
    function isAffectDepthOfReadingPattern(pattern) {
      const basename = path39.basename(pattern);
      return endsWithSlashGlobStar(pattern) || isStaticPattern(basename);
    }
    exports2.isAffectDepthOfReadingPattern = isAffectDepthOfReadingPattern;
    function expandPatternsWithBraceExpansion(patterns) {
      return patterns.reduce((collection, pattern) => {
        return collection.concat(expandBraceExpansion(pattern));
      }, []);
    }
    exports2.expandPatternsWithBraceExpansion = expandPatternsWithBraceExpansion;
    function expandBraceExpansion(pattern) {
      const patterns = micromatch.braces(pattern, { expand: true, nodupes: true });
      patterns.sort((a3, b6) => a3.length - b6.length);
      return patterns.filter((pattern2) => pattern2 !== "");
    }
    exports2.expandBraceExpansion = expandBraceExpansion;
    function getPatternParts(pattern, options2) {
      let { parts } = micromatch.scan(pattern, Object.assign(Object.assign({}, options2), { parts: true }));
      if (parts.length === 0) {
        parts = [pattern];
      }
      if (parts[0].startsWith("/")) {
        parts[0] = parts[0].slice(1);
        parts.unshift("");
      }
      return parts;
    }
    exports2.getPatternParts = getPatternParts;
    function makeRe(pattern, options2) {
      return micromatch.makeRe(pattern, options2);
    }
    exports2.makeRe = makeRe;
    function convertPatternsToRe(patterns, options2) {
      return patterns.map((pattern) => makeRe(pattern, options2));
    }
    exports2.convertPatternsToRe = convertPatternsToRe;
    function matchAny(entry, patternsRe) {
      return patternsRe.some((patternRe) => patternRe.test(entry));
    }
    exports2.matchAny = matchAny;
    function removeDuplicateSlashes(pattern) {
      return pattern.replace(DOUBLE_SLASH_RE, "/");
    }
    exports2.removeDuplicateSlashes = removeDuplicateSlashes;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/stream.js
var require_stream = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/stream.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.merge = void 0;
    var merge2 = require_merge2();
    function merge(streams) {
      const mergedStream = merge2(streams);
      streams.forEach((stream4) => {
        stream4.once("error", (error2) => mergedStream.emit("error", error2));
      });
      mergedStream.once("close", () => propagateCloseEventToSources(streams));
      mergedStream.once("end", () => propagateCloseEventToSources(streams));
      return mergedStream;
    }
    exports2.merge = merge;
    function propagateCloseEventToSources(streams) {
      streams.forEach((stream4) => stream4.emit("close"));
    }
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/string.js
var require_string = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/string.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isEmpty = exports2.isString = void 0;
    function isString(input) {
      return typeof input === "string";
    }
    exports2.isString = isString;
    function isEmpty(input) {
      return input === "";
    }
    exports2.isEmpty = isEmpty;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/index.js
var require_utils3 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/utils/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.string = exports2.stream = exports2.pattern = exports2.path = exports2.fs = exports2.errno = exports2.array = void 0;
    var array = require_array();
    exports2.array = array;
    var errno = require_errno();
    exports2.errno = errno;
    var fs42 = require_fs();
    exports2.fs = fs42;
    var path39 = require_path();
    exports2.path = path39;
    var pattern = require_pattern();
    exports2.pattern = pattern;
    var stream4 = require_stream();
    exports2.stream = stream4;
    var string = require_string();
    exports2.string = string;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/managers/tasks.js
var require_tasks = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/managers/tasks.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.convertPatternGroupToTask = exports2.convertPatternGroupsToTasks = exports2.groupPatternsByBaseDirectory = exports2.getNegativePatternsAsPositive = exports2.getPositivePatterns = exports2.convertPatternsToTasks = exports2.generate = void 0;
    var utils = require_utils3();
    function generate(input, settings) {
      const patterns = processPatterns(input, settings);
      const ignore = processPatterns(settings.ignore, settings);
      const positivePatterns = getPositivePatterns(patterns);
      const negativePatterns = getNegativePatternsAsPositive(patterns, ignore);
      const staticPatterns = positivePatterns.filter((pattern) => utils.pattern.isStaticPattern(pattern, settings));
      const dynamicPatterns = positivePatterns.filter((pattern) => utils.pattern.isDynamicPattern(pattern, settings));
      const staticTasks = convertPatternsToTasks(
        staticPatterns,
        negativePatterns,
        /* dynamic */
        false
      );
      const dynamicTasks = convertPatternsToTasks(
        dynamicPatterns,
        negativePatterns,
        /* dynamic */
        true
      );
      return staticTasks.concat(dynamicTasks);
    }
    exports2.generate = generate;
    function processPatterns(input, settings) {
      let patterns = input;
      if (settings.braceExpansion) {
        patterns = utils.pattern.expandPatternsWithBraceExpansion(patterns);
      }
      if (settings.baseNameMatch) {
        patterns = patterns.map((pattern) => pattern.includes("/") ? pattern : `**/${pattern}`);
      }
      return patterns.map((pattern) => utils.pattern.removeDuplicateSlashes(pattern));
    }
    function convertPatternsToTasks(positive, negative, dynamic) {
      const tasks = [];
      const patternsOutsideCurrentDirectory = utils.pattern.getPatternsOutsideCurrentDirectory(positive);
      const patternsInsideCurrentDirectory = utils.pattern.getPatternsInsideCurrentDirectory(positive);
      const outsideCurrentDirectoryGroup = groupPatternsByBaseDirectory(patternsOutsideCurrentDirectory);
      const insideCurrentDirectoryGroup = groupPatternsByBaseDirectory(patternsInsideCurrentDirectory);
      tasks.push(...convertPatternGroupsToTasks(outsideCurrentDirectoryGroup, negative, dynamic));
      if ("." in insideCurrentDirectoryGroup) {
        tasks.push(convertPatternGroupToTask(".", patternsInsideCurrentDirectory, negative, dynamic));
      } else {
        tasks.push(...convertPatternGroupsToTasks(insideCurrentDirectoryGroup, negative, dynamic));
      }
      return tasks;
    }
    exports2.convertPatternsToTasks = convertPatternsToTasks;
    function getPositivePatterns(patterns) {
      return utils.pattern.getPositivePatterns(patterns);
    }
    exports2.getPositivePatterns = getPositivePatterns;
    function getNegativePatternsAsPositive(patterns, ignore) {
      const negative = utils.pattern.getNegativePatterns(patterns).concat(ignore);
      const positive = negative.map(utils.pattern.convertToPositivePattern);
      return positive;
    }
    exports2.getNegativePatternsAsPositive = getNegativePatternsAsPositive;
    function groupPatternsByBaseDirectory(patterns) {
      const group = {};
      return patterns.reduce((collection, pattern) => {
        const base = utils.pattern.getBaseDirectory(pattern);
        if (base in collection) {
          collection[base].push(pattern);
        } else {
          collection[base] = [pattern];
        }
        return collection;
      }, group);
    }
    exports2.groupPatternsByBaseDirectory = groupPatternsByBaseDirectory;
    function convertPatternGroupsToTasks(positive, negative, dynamic) {
      return Object.keys(positive).map((base) => {
        return convertPatternGroupToTask(base, positive[base], negative, dynamic);
      });
    }
    exports2.convertPatternGroupsToTasks = convertPatternGroupsToTasks;
    function convertPatternGroupToTask(base, positive, negative, dynamic) {
      return {
        dynamic,
        positive,
        negative,
        base,
        patterns: [].concat(positive, negative.map(utils.pattern.convertToNegativePattern))
      };
    }
    exports2.convertPatternGroupToTask = convertPatternGroupToTask;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/providers/async.js
var require_async = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/providers/async.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.read = void 0;
    function read(path39, settings, callback) {
      settings.fs.lstat(path39, (lstatError, lstat) => {
        if (lstatError !== null) {
          callFailureCallback(callback, lstatError);
          return;
        }
        if (!lstat.isSymbolicLink() || !settings.followSymbolicLink) {
          callSuccessCallback(callback, lstat);
          return;
        }
        settings.fs.stat(path39, (statError, stat) => {
          if (statError !== null) {
            if (settings.throwErrorOnBrokenSymbolicLink) {
              callFailureCallback(callback, statError);
              return;
            }
            callSuccessCallback(callback, lstat);
            return;
          }
          if (settings.markSymbolicLink) {
            stat.isSymbolicLink = () => true;
          }
          callSuccessCallback(callback, stat);
        });
      });
    }
    exports2.read = read;
    function callFailureCallback(callback, error2) {
      callback(error2);
    }
    function callSuccessCallback(callback, result) {
      callback(null, result);
    }
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/providers/sync.js
var require_sync = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/providers/sync.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.read = void 0;
    function read(path39, settings) {
      const lstat = settings.fs.lstatSync(path39);
      if (!lstat.isSymbolicLink() || !settings.followSymbolicLink) {
        return lstat;
      }
      try {
        const stat = settings.fs.statSync(path39);
        if (settings.markSymbolicLink) {
          stat.isSymbolicLink = () => true;
        }
        return stat;
      } catch (error2) {
        if (!settings.throwErrorOnBrokenSymbolicLink) {
          return lstat;
        }
        throw error2;
      }
    }
    exports2.read = read;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/adapters/fs.js
var require_fs2 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/adapters/fs.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.createFileSystemAdapter = exports2.FILE_SYSTEM_ADAPTER = void 0;
    var fs42 = require("fs");
    exports2.FILE_SYSTEM_ADAPTER = {
      lstat: fs42.lstat,
      stat: fs42.stat,
      lstatSync: fs42.lstatSync,
      statSync: fs42.statSync
    };
    function createFileSystemAdapter(fsMethods) {
      if (fsMethods === void 0) {
        return exports2.FILE_SYSTEM_ADAPTER;
      }
      return Object.assign(Object.assign({}, exports2.FILE_SYSTEM_ADAPTER), fsMethods);
    }
    exports2.createFileSystemAdapter = createFileSystemAdapter;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/settings.js
var require_settings = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/settings.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var fs42 = require_fs2();
    var Settings = class {
      constructor(_options = {}) {
        this._options = _options;
        this.followSymbolicLink = this._getValue(this._options.followSymbolicLink, true);
        this.fs = fs42.createFileSystemAdapter(this._options.fs);
        this.markSymbolicLink = this._getValue(this._options.markSymbolicLink, false);
        this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, true);
      }
      _getValue(option, value) {
        return option !== null && option !== void 0 ? option : value;
      }
    };
    exports2.default = Settings;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/index.js
var require_out = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.stat@2.0.5/node_modules/@nodelib/fs.stat/out/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.statSync = exports2.stat = exports2.Settings = void 0;
    var async = require_async();
    var sync2 = require_sync();
    var settings_1 = require_settings();
    exports2.Settings = settings_1.default;
    function stat(path39, optionsOrSettingsOrCallback, callback) {
      if (typeof optionsOrSettingsOrCallback === "function") {
        async.read(path39, getSettings(), optionsOrSettingsOrCallback);
        return;
      }
      async.read(path39, getSettings(optionsOrSettingsOrCallback), callback);
    }
    exports2.stat = stat;
    function statSync(path39, optionsOrSettings) {
      const settings = getSettings(optionsOrSettings);
      return sync2.read(path39, settings);
    }
    exports2.statSync = statSync;
    function getSettings(settingsOrOptions = {}) {
      if (settingsOrOptions instanceof settings_1.default) {
        return settingsOrOptions;
      }
      return new settings_1.default(settingsOrOptions);
    }
  }
});

// ../../node_modules/.pnpm/queue-microtask@1.2.3/node_modules/queue-microtask/index.js
var require_queue_microtask = __commonJS({
  "../../node_modules/.pnpm/queue-microtask@1.2.3/node_modules/queue-microtask/index.js"(exports2, module2) {
    "use strict";
    var promise;
    module2.exports = typeof queueMicrotask === "function" ? queueMicrotask.bind(typeof window !== "undefined" ? window : global) : (cb2) => (promise || (promise = Promise.resolve())).then(cb2).catch((err) => setTimeout(() => {
      throw err;
    }, 0));
  }
});

// ../../node_modules/.pnpm/run-parallel@1.2.0/node_modules/run-parallel/index.js
var require_run_parallel = __commonJS({
  "../../node_modules/.pnpm/run-parallel@1.2.0/node_modules/run-parallel/index.js"(exports2, module2) {
    "use strict";
    module2.exports = runParallel;
    var queueMicrotask2 = require_queue_microtask();
    function runParallel(tasks, cb2) {
      let results, pending, keys;
      let isSync = true;
      if (Array.isArray(tasks)) {
        results = [];
        pending = tasks.length;
      } else {
        keys = Object.keys(tasks);
        results = {};
        pending = keys.length;
      }
      function done(err) {
        function end() {
          if (cb2)
            cb2(err, results);
          cb2 = null;
        }
        if (isSync)
          queueMicrotask2(end);
        else
          end();
      }
      function each2(i4, err, result) {
        results[i4] = result;
        if (--pending === 0 || err) {
          done(err);
        }
      }
      if (!pending) {
        done(null);
      } else if (keys) {
        keys.forEach(function(key) {
          tasks[key](function(err, result) {
            each2(key, err, result);
          });
        });
      } else {
        tasks.forEach(function(task, i4) {
          task(function(err, result) {
            each2(i4, err, result);
          });
        });
      }
      isSync = false;
    }
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/constants.js
var require_constants3 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IS_SUPPORT_READDIR_WITH_FILE_TYPES = void 0;
    var NODE_PROCESS_VERSION_PARTS = process.versions.node.split(".");
    if (NODE_PROCESS_VERSION_PARTS[0] === void 0 || NODE_PROCESS_VERSION_PARTS[1] === void 0) {
      throw new Error(`Unexpected behavior. The 'process.versions.node' variable has invalid value: ${process.versions.node}`);
    }
    var MAJOR_VERSION = Number.parseInt(NODE_PROCESS_VERSION_PARTS[0], 10);
    var MINOR_VERSION = Number.parseInt(NODE_PROCESS_VERSION_PARTS[1], 10);
    var SUPPORTED_MAJOR_VERSION = 10;
    var SUPPORTED_MINOR_VERSION = 10;
    var IS_MATCHED_BY_MAJOR = MAJOR_VERSION > SUPPORTED_MAJOR_VERSION;
    var IS_MATCHED_BY_MAJOR_AND_MINOR = MAJOR_VERSION === SUPPORTED_MAJOR_VERSION && MINOR_VERSION >= SUPPORTED_MINOR_VERSION;
    exports2.IS_SUPPORT_READDIR_WITH_FILE_TYPES = IS_MATCHED_BY_MAJOR || IS_MATCHED_BY_MAJOR_AND_MINOR;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/utils/fs.js
var require_fs3 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/utils/fs.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.createDirentFromStats = void 0;
    var DirentFromStats = class {
      constructor(name, stats) {
        this.name = name;
        this.isBlockDevice = stats.isBlockDevice.bind(stats);
        this.isCharacterDevice = stats.isCharacterDevice.bind(stats);
        this.isDirectory = stats.isDirectory.bind(stats);
        this.isFIFO = stats.isFIFO.bind(stats);
        this.isFile = stats.isFile.bind(stats);
        this.isSocket = stats.isSocket.bind(stats);
        this.isSymbolicLink = stats.isSymbolicLink.bind(stats);
      }
    };
    function createDirentFromStats(name, stats) {
      return new DirentFromStats(name, stats);
    }
    exports2.createDirentFromStats = createDirentFromStats;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/utils/index.js
var require_utils4 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/utils/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.fs = void 0;
    var fs42 = require_fs3();
    exports2.fs = fs42;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/providers/common.js
var require_common2 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/providers/common.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.joinPathSegments = void 0;
    function joinPathSegments(a3, b6, separator) {
      if (a3.endsWith(separator)) {
        return a3 + b6;
      }
      return a3 + separator + b6;
    }
    exports2.joinPathSegments = joinPathSegments;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/providers/async.js
var require_async2 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/providers/async.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.readdir = exports2.readdirWithFileTypes = exports2.read = void 0;
    var fsStat = require_out();
    var rpl = require_run_parallel();
    var constants_1 = require_constants3();
    var utils = require_utils4();
    var common = require_common2();
    function read(directory, settings, callback) {
      if (!settings.stats && constants_1.IS_SUPPORT_READDIR_WITH_FILE_TYPES) {
        readdirWithFileTypes(directory, settings, callback);
        return;
      }
      readdir(directory, settings, callback);
    }
    exports2.read = read;
    function readdirWithFileTypes(directory, settings, callback) {
      settings.fs.readdir(directory, { withFileTypes: true }, (readdirError, dirents) => {
        if (readdirError !== null) {
          callFailureCallback(callback, readdirError);
          return;
        }
        const entries = dirents.map((dirent) => ({
          dirent,
          name: dirent.name,
          path: common.joinPathSegments(directory, dirent.name, settings.pathSegmentSeparator)
        }));
        if (!settings.followSymbolicLinks) {
          callSuccessCallback(callback, entries);
          return;
        }
        const tasks = entries.map((entry) => makeRplTaskEntry(entry, settings));
        rpl(tasks, (rplError, rplEntries) => {
          if (rplError !== null) {
            callFailureCallback(callback, rplError);
            return;
          }
          callSuccessCallback(callback, rplEntries);
        });
      });
    }
    exports2.readdirWithFileTypes = readdirWithFileTypes;
    function makeRplTaskEntry(entry, settings) {
      return (done) => {
        if (!entry.dirent.isSymbolicLink()) {
          done(null, entry);
          return;
        }
        settings.fs.stat(entry.path, (statError, stats) => {
          if (statError !== null) {
            if (settings.throwErrorOnBrokenSymbolicLink) {
              done(statError);
              return;
            }
            done(null, entry);
            return;
          }
          entry.dirent = utils.fs.createDirentFromStats(entry.name, stats);
          done(null, entry);
        });
      };
    }
    function readdir(directory, settings, callback) {
      settings.fs.readdir(directory, (readdirError, names) => {
        if (readdirError !== null) {
          callFailureCallback(callback, readdirError);
          return;
        }
        const tasks = names.map((name) => {
          const path39 = common.joinPathSegments(directory, name, settings.pathSegmentSeparator);
          return (done) => {
            fsStat.stat(path39, settings.fsStatSettings, (error2, stats) => {
              if (error2 !== null) {
                done(error2);
                return;
              }
              const entry = {
                name,
                path: path39,
                dirent: utils.fs.createDirentFromStats(name, stats)
              };
              if (settings.stats) {
                entry.stats = stats;
              }
              done(null, entry);
            });
          };
        });
        rpl(tasks, (rplError, entries) => {
          if (rplError !== null) {
            callFailureCallback(callback, rplError);
            return;
          }
          callSuccessCallback(callback, entries);
        });
      });
    }
    exports2.readdir = readdir;
    function callFailureCallback(callback, error2) {
      callback(error2);
    }
    function callSuccessCallback(callback, result) {
      callback(null, result);
    }
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/providers/sync.js
var require_sync2 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/providers/sync.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.readdir = exports2.readdirWithFileTypes = exports2.read = void 0;
    var fsStat = require_out();
    var constants_1 = require_constants3();
    var utils = require_utils4();
    var common = require_common2();
    function read(directory, settings) {
      if (!settings.stats && constants_1.IS_SUPPORT_READDIR_WITH_FILE_TYPES) {
        return readdirWithFileTypes(directory, settings);
      }
      return readdir(directory, settings);
    }
    exports2.read = read;
    function readdirWithFileTypes(directory, settings) {
      const dirents = settings.fs.readdirSync(directory, { withFileTypes: true });
      return dirents.map((dirent) => {
        const entry = {
          dirent,
          name: dirent.name,
          path: common.joinPathSegments(directory, dirent.name, settings.pathSegmentSeparator)
        };
        if (entry.dirent.isSymbolicLink() && settings.followSymbolicLinks) {
          try {
            const stats = settings.fs.statSync(entry.path);
            entry.dirent = utils.fs.createDirentFromStats(entry.name, stats);
          } catch (error2) {
            if (settings.throwErrorOnBrokenSymbolicLink) {
              throw error2;
            }
          }
        }
        return entry;
      });
    }
    exports2.readdirWithFileTypes = readdirWithFileTypes;
    function readdir(directory, settings) {
      const names = settings.fs.readdirSync(directory);
      return names.map((name) => {
        const entryPath = common.joinPathSegments(directory, name, settings.pathSegmentSeparator);
        const stats = fsStat.statSync(entryPath, settings.fsStatSettings);
        const entry = {
          name,
          path: entryPath,
          dirent: utils.fs.createDirentFromStats(name, stats)
        };
        if (settings.stats) {
          entry.stats = stats;
        }
        return entry;
      });
    }
    exports2.readdir = readdir;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/adapters/fs.js
var require_fs4 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/adapters/fs.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.createFileSystemAdapter = exports2.FILE_SYSTEM_ADAPTER = void 0;
    var fs42 = require("fs");
    exports2.FILE_SYSTEM_ADAPTER = {
      lstat: fs42.lstat,
      stat: fs42.stat,
      lstatSync: fs42.lstatSync,
      statSync: fs42.statSync,
      readdir: fs42.readdir,
      readdirSync: fs42.readdirSync
    };
    function createFileSystemAdapter(fsMethods) {
      if (fsMethods === void 0) {
        return exports2.FILE_SYSTEM_ADAPTER;
      }
      return Object.assign(Object.assign({}, exports2.FILE_SYSTEM_ADAPTER), fsMethods);
    }
    exports2.createFileSystemAdapter = createFileSystemAdapter;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/settings.js
var require_settings2 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/settings.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var path39 = require("path");
    var fsStat = require_out();
    var fs42 = require_fs4();
    var Settings = class {
      constructor(_options = {}) {
        this._options = _options;
        this.followSymbolicLinks = this._getValue(this._options.followSymbolicLinks, false);
        this.fs = fs42.createFileSystemAdapter(this._options.fs);
        this.pathSegmentSeparator = this._getValue(this._options.pathSegmentSeparator, path39.sep);
        this.stats = this._getValue(this._options.stats, false);
        this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, true);
        this.fsStatSettings = new fsStat.Settings({
          followSymbolicLink: this.followSymbolicLinks,
          fs: this.fs,
          throwErrorOnBrokenSymbolicLink: this.throwErrorOnBrokenSymbolicLink
        });
      }
      _getValue(option, value) {
        return option !== null && option !== void 0 ? option : value;
      }
    };
    exports2.default = Settings;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/index.js
var require_out2 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.scandir@2.1.5/node_modules/@nodelib/fs.scandir/out/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Settings = exports2.scandirSync = exports2.scandir = void 0;
    var async = require_async2();
    var sync2 = require_sync2();
    var settings_1 = require_settings2();
    exports2.Settings = settings_1.default;
    function scandir(path39, optionsOrSettingsOrCallback, callback) {
      if (typeof optionsOrSettingsOrCallback === "function") {
        async.read(path39, getSettings(), optionsOrSettingsOrCallback);
        return;
      }
      async.read(path39, getSettings(optionsOrSettingsOrCallback), callback);
    }
    exports2.scandir = scandir;
    function scandirSync(path39, optionsOrSettings) {
      const settings = getSettings(optionsOrSettings);
      return sync2.read(path39, settings);
    }
    exports2.scandirSync = scandirSync;
    function getSettings(settingsOrOptions = {}) {
      if (settingsOrOptions instanceof settings_1.default) {
        return settingsOrOptions;
      }
      return new settings_1.default(settingsOrOptions);
    }
  }
});

// ../../node_modules/.pnpm/reusify@1.0.4/node_modules/reusify/reusify.js
var require_reusify = __commonJS({
  "../../node_modules/.pnpm/reusify@1.0.4/node_modules/reusify/reusify.js"(exports2, module2) {
    "use strict";
    function reusify(Constructor) {
      var head2 = new Constructor();
      var tail2 = head2;
      function get() {
        var current = head2;
        if (current.next) {
          head2 = current.next;
        } else {
          head2 = new Constructor();
          tail2 = head2;
        }
        current.next = null;
        return current;
      }
      function release(obj) {
        tail2.next = obj;
        tail2 = obj;
      }
      return {
        get,
        release
      };
    }
    module2.exports = reusify;
  }
});

// ../../node_modules/.pnpm/fastq@1.15.0/node_modules/fastq/queue.js
var require_queue = __commonJS({
  "../../node_modules/.pnpm/fastq@1.15.0/node_modules/fastq/queue.js"(exports2, module2) {
    "use strict";
    var reusify = require_reusify();
    function fastqueue(context, worker, concurrency) {
      if (typeof context === "function") {
        concurrency = worker;
        worker = context;
        context = null;
      }
      if (concurrency < 1) {
        throw new Error("fastqueue concurrency must be greater than 1");
      }
      var cache = reusify(Task);
      var queueHead = null;
      var queueTail = null;
      var _running = 0;
      var errorHandler = null;
      var self2 = {
        push,
        drain: noop2,
        saturated: noop2,
        pause,
        paused: false,
        concurrency,
        running,
        resume,
        idle,
        length,
        getQueue,
        unshift,
        empty: noop2,
        kill,
        killAndDrain,
        error: error2
      };
      return self2;
      function running() {
        return _running;
      }
      function pause() {
        self2.paused = true;
      }
      function length() {
        var current = queueHead;
        var counter = 0;
        while (current) {
          current = current.next;
          counter++;
        }
        return counter;
      }
      function getQueue() {
        var current = queueHead;
        var tasks = [];
        while (current) {
          tasks.push(current.value);
          current = current.next;
        }
        return tasks;
      }
      function resume() {
        if (!self2.paused)
          return;
        self2.paused = false;
        for (var i4 = 0; i4 < self2.concurrency; i4++) {
          _running++;
          release();
        }
      }
      function idle() {
        return _running === 0 && self2.length() === 0;
      }
      function push(value, done) {
        var current = cache.get();
        current.context = context;
        current.release = release;
        current.value = value;
        current.callback = done || noop2;
        current.errorHandler = errorHandler;
        if (_running === self2.concurrency || self2.paused) {
          if (queueTail) {
            queueTail.next = current;
            queueTail = current;
          } else {
            queueHead = current;
            queueTail = current;
            self2.saturated();
          }
        } else {
          _running++;
          worker.call(context, current.value, current.worked);
        }
      }
      function unshift(value, done) {
        var current = cache.get();
        current.context = context;
        current.release = release;
        current.value = value;
        current.callback = done || noop2;
        if (_running === self2.concurrency || self2.paused) {
          if (queueHead) {
            current.next = queueHead;
            queueHead = current;
          } else {
            queueHead = current;
            queueTail = current;
            self2.saturated();
          }
        } else {
          _running++;
          worker.call(context, current.value, current.worked);
        }
      }
      function release(holder) {
        if (holder) {
          cache.release(holder);
        }
        var next = queueHead;
        if (next) {
          if (!self2.paused) {
            if (queueTail === queueHead) {
              queueTail = null;
            }
            queueHead = next.next;
            next.next = null;
            worker.call(context, next.value, next.worked);
            if (queueTail === null) {
              self2.empty();
            }
          } else {
            _running--;
          }
        } else if (--_running === 0) {
          self2.drain();
        }
      }
      function kill() {
        queueHead = null;
        queueTail = null;
        self2.drain = noop2;
      }
      function killAndDrain() {
        queueHead = null;
        queueTail = null;
        self2.drain();
        self2.drain = noop2;
      }
      function error2(handler) {
        errorHandler = handler;
      }
    }
    function noop2() {
    }
    function Task() {
      this.value = null;
      this.callback = noop2;
      this.next = null;
      this.release = noop2;
      this.context = null;
      this.errorHandler = null;
      var self2 = this;
      this.worked = function worked(err, result) {
        var callback = self2.callback;
        var errorHandler = self2.errorHandler;
        var val = self2.value;
        self2.value = null;
        self2.callback = noop2;
        if (self2.errorHandler) {
          errorHandler(err, val);
        }
        callback.call(self2.context, err, result);
        self2.release(self2);
      };
    }
    function queueAsPromised(context, worker, concurrency) {
      if (typeof context === "function") {
        concurrency = worker;
        worker = context;
        context = null;
      }
      function asyncWrapper(arg3, cb2) {
        worker.call(this, arg3).then(function(res) {
          cb2(null, res);
        }, cb2);
      }
      var queue2 = fastqueue(context, asyncWrapper, concurrency);
      var pushCb = queue2.push;
      var unshiftCb = queue2.unshift;
      queue2.push = push;
      queue2.unshift = unshift;
      queue2.drained = drained;
      return queue2;
      function push(value) {
        var p2 = new Promise(function(resolve3, reject2) {
          pushCb(value, function(err, result) {
            if (err) {
              reject2(err);
              return;
            }
            resolve3(result);
          });
        });
        p2.catch(noop2);
        return p2;
      }
      function unshift(value) {
        var p2 = new Promise(function(resolve3, reject2) {
          unshiftCb(value, function(err, result) {
            if (err) {
              reject2(err);
              return;
            }
            resolve3(result);
          });
        });
        p2.catch(noop2);
        return p2;
      }
      function drained() {
        if (queue2.idle()) {
          return new Promise(function(resolve3) {
            resolve3();
          });
        }
        var previousDrain = queue2.drain;
        var p2 = new Promise(function(resolve3) {
          queue2.drain = function() {
            previousDrain();
            resolve3();
          };
        });
        return p2;
      }
    }
    module2.exports = fastqueue;
    module2.exports.promise = queueAsPromised;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/readers/common.js
var require_common3 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/readers/common.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.joinPathSegments = exports2.replacePathSegmentSeparator = exports2.isAppliedFilter = exports2.isFatalError = void 0;
    function isFatalError(settings, error2) {
      if (settings.errorFilter === null) {
        return true;
      }
      return !settings.errorFilter(error2);
    }
    exports2.isFatalError = isFatalError;
    function isAppliedFilter(filter2, value) {
      return filter2 === null || filter2(value);
    }
    exports2.isAppliedFilter = isAppliedFilter;
    function replacePathSegmentSeparator(filepath, separator) {
      return filepath.split(/[/\\]/).join(separator);
    }
    exports2.replacePathSegmentSeparator = replacePathSegmentSeparator;
    function joinPathSegments(a3, b6, separator) {
      if (a3 === "") {
        return b6;
      }
      if (a3.endsWith(separator)) {
        return a3 + b6;
      }
      return a3 + separator + b6;
    }
    exports2.joinPathSegments = joinPathSegments;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/readers/reader.js
var require_reader = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/readers/reader.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var common = require_common3();
    var Reader = class {
      constructor(_root, _settings) {
        this._root = _root;
        this._settings = _settings;
        this._root = common.replacePathSegmentSeparator(_root, _settings.pathSegmentSeparator);
      }
    };
    exports2.default = Reader;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/readers/async.js
var require_async3 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/readers/async.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var events_1 = require("events");
    var fsScandir = require_out2();
    var fastq = require_queue();
    var common = require_common3();
    var reader_1 = require_reader();
    var AsyncReader = class extends reader_1.default {
      constructor(_root, _settings) {
        super(_root, _settings);
        this._settings = _settings;
        this._scandir = fsScandir.scandir;
        this._emitter = new events_1.EventEmitter();
        this._queue = fastq(this._worker.bind(this), this._settings.concurrency);
        this._isFatalError = false;
        this._isDestroyed = false;
        this._queue.drain = () => {
          if (!this._isFatalError) {
            this._emitter.emit("end");
          }
        };
      }
      read() {
        this._isFatalError = false;
        this._isDestroyed = false;
        setImmediate(() => {
          this._pushToQueue(this._root, this._settings.basePath);
        });
        return this._emitter;
      }
      get isDestroyed() {
        return this._isDestroyed;
      }
      destroy() {
        if (this._isDestroyed) {
          throw new Error("The reader is already destroyed");
        }
        this._isDestroyed = true;
        this._queue.killAndDrain();
      }
      onEntry(callback) {
        this._emitter.on("entry", callback);
      }
      onError(callback) {
        this._emitter.once("error", callback);
      }
      onEnd(callback) {
        this._emitter.once("end", callback);
      }
      _pushToQueue(directory, base) {
        const queueItem = { directory, base };
        this._queue.push(queueItem, (error2) => {
          if (error2 !== null) {
            this._handleError(error2);
          }
        });
      }
      _worker(item2, done) {
        this._scandir(item2.directory, this._settings.fsScandirSettings, (error2, entries) => {
          if (error2 !== null) {
            done(error2, void 0);
            return;
          }
          for (const entry of entries) {
            this._handleEntry(entry, item2.base);
          }
          done(null, void 0);
        });
      }
      _handleError(error2) {
        if (this._isDestroyed || !common.isFatalError(this._settings, error2)) {
          return;
        }
        this._isFatalError = true;
        this._isDestroyed = true;
        this._emitter.emit("error", error2);
      }
      _handleEntry(entry, base) {
        if (this._isDestroyed || this._isFatalError) {
          return;
        }
        const fullpath = entry.path;
        if (base !== void 0) {
          entry.path = common.joinPathSegments(base, entry.name, this._settings.pathSegmentSeparator);
        }
        if (common.isAppliedFilter(this._settings.entryFilter, entry)) {
          this._emitEntry(entry);
        }
        if (entry.dirent.isDirectory() && common.isAppliedFilter(this._settings.deepFilter, entry)) {
          this._pushToQueue(fullpath, base === void 0 ? void 0 : entry.path);
        }
      }
      _emitEntry(entry) {
        this._emitter.emit("entry", entry);
      }
    };
    exports2.default = AsyncReader;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/providers/async.js
var require_async4 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/providers/async.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var async_1 = require_async3();
    var AsyncProvider = class {
      constructor(_root, _settings) {
        this._root = _root;
        this._settings = _settings;
        this._reader = new async_1.default(this._root, this._settings);
        this._storage = [];
      }
      read(callback) {
        this._reader.onError((error2) => {
          callFailureCallback(callback, error2);
        });
        this._reader.onEntry((entry) => {
          this._storage.push(entry);
        });
        this._reader.onEnd(() => {
          callSuccessCallback(callback, this._storage);
        });
        this._reader.read();
      }
    };
    exports2.default = AsyncProvider;
    function callFailureCallback(callback, error2) {
      callback(error2);
    }
    function callSuccessCallback(callback, entries) {
      callback(null, entries);
    }
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/providers/stream.js
var require_stream2 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/providers/stream.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var stream_1 = require("stream");
    var async_1 = require_async3();
    var StreamProvider = class {
      constructor(_root, _settings) {
        this._root = _root;
        this._settings = _settings;
        this._reader = new async_1.default(this._root, this._settings);
        this._stream = new stream_1.Readable({
          objectMode: true,
          read: () => {
          },
          destroy: () => {
            if (!this._reader.isDestroyed) {
              this._reader.destroy();
            }
          }
        });
      }
      read() {
        this._reader.onError((error2) => {
          this._stream.emit("error", error2);
        });
        this._reader.onEntry((entry) => {
          this._stream.push(entry);
        });
        this._reader.onEnd(() => {
          this._stream.push(null);
        });
        this._reader.read();
        return this._stream;
      }
    };
    exports2.default = StreamProvider;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/readers/sync.js
var require_sync3 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/readers/sync.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var fsScandir = require_out2();
    var common = require_common3();
    var reader_1 = require_reader();
    var SyncReader = class extends reader_1.default {
      constructor() {
        super(...arguments);
        this._scandir = fsScandir.scandirSync;
        this._storage = [];
        this._queue = /* @__PURE__ */ new Set();
      }
      read() {
        this._pushToQueue(this._root, this._settings.basePath);
        this._handleQueue();
        return this._storage;
      }
      _pushToQueue(directory, base) {
        this._queue.add({ directory, base });
      }
      _handleQueue() {
        for (const item2 of this._queue.values()) {
          this._handleDirectory(item2.directory, item2.base);
        }
      }
      _handleDirectory(directory, base) {
        try {
          const entries = this._scandir(directory, this._settings.fsScandirSettings);
          for (const entry of entries) {
            this._handleEntry(entry, base);
          }
        } catch (error2) {
          this._handleError(error2);
        }
      }
      _handleError(error2) {
        if (!common.isFatalError(this._settings, error2)) {
          return;
        }
        throw error2;
      }
      _handleEntry(entry, base) {
        const fullpath = entry.path;
        if (base !== void 0) {
          entry.path = common.joinPathSegments(base, entry.name, this._settings.pathSegmentSeparator);
        }
        if (common.isAppliedFilter(this._settings.entryFilter, entry)) {
          this._pushToStorage(entry);
        }
        if (entry.dirent.isDirectory() && common.isAppliedFilter(this._settings.deepFilter, entry)) {
          this._pushToQueue(fullpath, base === void 0 ? void 0 : entry.path);
        }
      }
      _pushToStorage(entry) {
        this._storage.push(entry);
      }
    };
    exports2.default = SyncReader;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/providers/sync.js
var require_sync4 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/providers/sync.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var sync_1 = require_sync3();
    var SyncProvider = class {
      constructor(_root, _settings) {
        this._root = _root;
        this._settings = _settings;
        this._reader = new sync_1.default(this._root, this._settings);
      }
      read() {
        return this._reader.read();
      }
    };
    exports2.default = SyncProvider;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/settings.js
var require_settings3 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/settings.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var path39 = require("path");
    var fsScandir = require_out2();
    var Settings = class {
      constructor(_options = {}) {
        this._options = _options;
        this.basePath = this._getValue(this._options.basePath, void 0);
        this.concurrency = this._getValue(this._options.concurrency, Number.POSITIVE_INFINITY);
        this.deepFilter = this._getValue(this._options.deepFilter, null);
        this.entryFilter = this._getValue(this._options.entryFilter, null);
        this.errorFilter = this._getValue(this._options.errorFilter, null);
        this.pathSegmentSeparator = this._getValue(this._options.pathSegmentSeparator, path39.sep);
        this.fsScandirSettings = new fsScandir.Settings({
          followSymbolicLinks: this._options.followSymbolicLinks,
          fs: this._options.fs,
          pathSegmentSeparator: this._options.pathSegmentSeparator,
          stats: this._options.stats,
          throwErrorOnBrokenSymbolicLink: this._options.throwErrorOnBrokenSymbolicLink
        });
      }
      _getValue(option, value) {
        return option !== null && option !== void 0 ? option : value;
      }
    };
    exports2.default = Settings;
  }
});

// ../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/index.js
var require_out3 = __commonJS({
  "../../node_modules/.pnpm/@nodelib+fs.walk@1.2.8/node_modules/@nodelib/fs.walk/out/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Settings = exports2.walkStream = exports2.walkSync = exports2.walk = void 0;
    var async_1 = require_async4();
    var stream_1 = require_stream2();
    var sync_1 = require_sync4();
    var settings_1 = require_settings3();
    exports2.Settings = settings_1.default;
    function walk(directory, optionsOrSettingsOrCallback, callback) {
      if (typeof optionsOrSettingsOrCallback === "function") {
        new async_1.default(directory, getSettings()).read(optionsOrSettingsOrCallback);
        return;
      }
      new async_1.default(directory, getSettings(optionsOrSettingsOrCallback)).read(callback);
    }
    exports2.walk = walk;
    function walkSync(directory, optionsOrSettings) {
      const settings = getSettings(optionsOrSettings);
      const provider = new sync_1.default(directory, settings);
      return provider.read();
    }
    exports2.walkSync = walkSync;
    function walkStream(directory, optionsOrSettings) {
      const settings = getSettings(optionsOrSettings);
      const provider = new stream_1.default(directory, settings);
      return provider.read();
    }
    exports2.walkStream = walkStream;
    function getSettings(settingsOrOptions = {}) {
      if (settingsOrOptions instanceof settings_1.default) {
        return settingsOrOptions;
      }
      return new settings_1.default(settingsOrOptions);
    }
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/readers/reader.js
var require_reader2 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/readers/reader.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var path39 = require("path");
    var fsStat = require_out();
    var utils = require_utils3();
    var Reader = class {
      constructor(_settings) {
        this._settings = _settings;
        this._fsStatSettings = new fsStat.Settings({
          followSymbolicLink: this._settings.followSymbolicLinks,
          fs: this._settings.fs,
          throwErrorOnBrokenSymbolicLink: this._settings.followSymbolicLinks
        });
      }
      _getFullEntryPath(filepath) {
        return path39.resolve(this._settings.cwd, filepath);
      }
      _makeEntry(stats, pattern) {
        const entry = {
          name: pattern,
          path: pattern,
          dirent: utils.fs.createDirentFromStats(pattern, stats)
        };
        if (this._settings.stats) {
          entry.stats = stats;
        }
        return entry;
      }
      _isFatalError(error2) {
        return !utils.errno.isEnoentCodeError(error2) && !this._settings.suppressErrors;
      }
    };
    exports2.default = Reader;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/readers/stream.js
var require_stream3 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/readers/stream.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var stream_1 = require("stream");
    var fsStat = require_out();
    var fsWalk = require_out3();
    var reader_1 = require_reader2();
    var ReaderStream = class extends reader_1.default {
      constructor() {
        super(...arguments);
        this._walkStream = fsWalk.walkStream;
        this._stat = fsStat.stat;
      }
      dynamic(root, options2) {
        return this._walkStream(root, options2);
      }
      static(patterns, options2) {
        const filepaths = patterns.map(this._getFullEntryPath, this);
        const stream4 = new stream_1.PassThrough({ objectMode: true });
        stream4._write = (index2, _enc, done) => {
          return this._getEntry(filepaths[index2], patterns[index2], options2).then((entry) => {
            if (entry !== null && options2.entryFilter(entry)) {
              stream4.push(entry);
            }
            if (index2 === filepaths.length - 1) {
              stream4.end();
            }
            done();
          }).catch(done);
        };
        for (let i4 = 0; i4 < filepaths.length; i4++) {
          stream4.write(i4);
        }
        return stream4;
      }
      _getEntry(filepath, pattern, options2) {
        return this._getStat(filepath).then((stats) => this._makeEntry(stats, pattern)).catch((error2) => {
          if (options2.errorFilter(error2)) {
            return null;
          }
          throw error2;
        });
      }
      _getStat(filepath) {
        return new Promise((resolve3, reject2) => {
          this._stat(filepath, this._fsStatSettings, (error2, stats) => {
            return error2 === null ? resolve3(stats) : reject2(error2);
          });
        });
      }
    };
    exports2.default = ReaderStream;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/readers/async.js
var require_async5 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/readers/async.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var fsWalk = require_out3();
    var reader_1 = require_reader2();
    var stream_1 = require_stream3();
    var ReaderAsync = class extends reader_1.default {
      constructor() {
        super(...arguments);
        this._walkAsync = fsWalk.walk;
        this._readerStream = new stream_1.default(this._settings);
      }
      dynamic(root, options2) {
        return new Promise((resolve3, reject2) => {
          this._walkAsync(root, options2, (error2, entries) => {
            if (error2 === null) {
              resolve3(entries);
            } else {
              reject2(error2);
            }
          });
        });
      }
      async static(patterns, options2) {
        const entries = [];
        const stream4 = this._readerStream.static(patterns, options2);
        return new Promise((resolve3, reject2) => {
          stream4.once("error", reject2);
          stream4.on("data", (entry) => entries.push(entry));
          stream4.once("end", () => resolve3(entries));
        });
      }
    };
    exports2.default = ReaderAsync;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/matchers/matcher.js
var require_matcher = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/matchers/matcher.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var utils = require_utils3();
    var Matcher = class {
      constructor(_patterns, _settings, _micromatchOptions) {
        this._patterns = _patterns;
        this._settings = _settings;
        this._micromatchOptions = _micromatchOptions;
        this._storage = [];
        this._fillStorage();
      }
      _fillStorage() {
        for (const pattern of this._patterns) {
          const segments = this._getPatternSegments(pattern);
          const sections = this._splitSegmentsIntoSections(segments);
          this._storage.push({
            complete: sections.length <= 1,
            pattern,
            segments,
            sections
          });
        }
      }
      _getPatternSegments(pattern) {
        const parts = utils.pattern.getPatternParts(pattern, this._micromatchOptions);
        return parts.map((part) => {
          const dynamic = utils.pattern.isDynamicPattern(part, this._settings);
          if (!dynamic) {
            return {
              dynamic: false,
              pattern: part
            };
          }
          return {
            dynamic: true,
            pattern: part,
            patternRe: utils.pattern.makeRe(part, this._micromatchOptions)
          };
        });
      }
      _splitSegmentsIntoSections(segments) {
        return utils.array.splitWhen(segments, (segment) => segment.dynamic && utils.pattern.hasGlobStar(segment.pattern));
      }
    };
    exports2.default = Matcher;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/matchers/partial.js
var require_partial = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/matchers/partial.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var matcher_1 = require_matcher();
    var PartialMatcher = class extends matcher_1.default {
      match(filepath) {
        const parts = filepath.split("/");
        const levels = parts.length;
        const patterns = this._storage.filter((info2) => !info2.complete || info2.segments.length > levels);
        for (const pattern of patterns) {
          const section = pattern.sections[0];
          if (!pattern.complete && levels > section.length) {
            return true;
          }
          const match4 = parts.every((part, index2) => {
            const segment = pattern.segments[index2];
            if (segment.dynamic && segment.patternRe.test(part)) {
              return true;
            }
            if (!segment.dynamic && segment.pattern === part) {
              return true;
            }
            return false;
          });
          if (match4) {
            return true;
          }
        }
        return false;
      }
    };
    exports2.default = PartialMatcher;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/filters/deep.js
var require_deep = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/filters/deep.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var utils = require_utils3();
    var partial_1 = require_partial();
    var DeepFilter = class {
      constructor(_settings, _micromatchOptions) {
        this._settings = _settings;
        this._micromatchOptions = _micromatchOptions;
      }
      getFilter(basePath2, positive, negative) {
        const matcher = this._getMatcher(positive);
        const negativeRe = this._getNegativePatternsRe(negative);
        return (entry) => this._filter(basePath2, entry, matcher, negativeRe);
      }
      _getMatcher(patterns) {
        return new partial_1.default(patterns, this._settings, this._micromatchOptions);
      }
      _getNegativePatternsRe(patterns) {
        const affectDepthOfReadingPatterns = patterns.filter(utils.pattern.isAffectDepthOfReadingPattern);
        return utils.pattern.convertPatternsToRe(affectDepthOfReadingPatterns, this._micromatchOptions);
      }
      _filter(basePath2, entry, matcher, negativeRe) {
        if (this._isSkippedByDeep(basePath2, entry.path)) {
          return false;
        }
        if (this._isSkippedSymbolicLink(entry)) {
          return false;
        }
        const filepath = utils.path.removeLeadingDotSegment(entry.path);
        if (this._isSkippedByPositivePatterns(filepath, matcher)) {
          return false;
        }
        return this._isSkippedByNegativePatterns(filepath, negativeRe);
      }
      _isSkippedByDeep(basePath2, entryPath) {
        if (this._settings.deep === Infinity) {
          return false;
        }
        return this._getEntryLevel(basePath2, entryPath) >= this._settings.deep;
      }
      _getEntryLevel(basePath2, entryPath) {
        const entryPathDepth = entryPath.split("/").length;
        if (basePath2 === "") {
          return entryPathDepth;
        }
        const basePathDepth = basePath2.split("/").length;
        return entryPathDepth - basePathDepth;
      }
      _isSkippedSymbolicLink(entry) {
        return !this._settings.followSymbolicLinks && entry.dirent.isSymbolicLink();
      }
      _isSkippedByPositivePatterns(entryPath, matcher) {
        return !this._settings.baseNameMatch && !matcher.match(entryPath);
      }
      _isSkippedByNegativePatterns(entryPath, patternsRe) {
        return !utils.pattern.matchAny(entryPath, patternsRe);
      }
    };
    exports2.default = DeepFilter;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/filters/entry.js
var require_entry = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/filters/entry.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var utils = require_utils3();
    var EntryFilter = class {
      constructor(_settings, _micromatchOptions) {
        this._settings = _settings;
        this._micromatchOptions = _micromatchOptions;
        this.index = /* @__PURE__ */ new Map();
      }
      getFilter(positive, negative) {
        const positiveRe = utils.pattern.convertPatternsToRe(positive, this._micromatchOptions);
        const negativeRe = utils.pattern.convertPatternsToRe(negative, Object.assign(Object.assign({}, this._micromatchOptions), { dot: true }));
        return (entry) => this._filter(entry, positiveRe, negativeRe);
      }
      _filter(entry, positiveRe, negativeRe) {
        const filepath = utils.path.removeLeadingDotSegment(entry.path);
        if (this._settings.unique && this._isDuplicateEntry(filepath)) {
          return false;
        }
        if (this._onlyFileFilter(entry) || this._onlyDirectoryFilter(entry)) {
          return false;
        }
        if (this._isSkippedByAbsoluteNegativePatterns(filepath, negativeRe)) {
          return false;
        }
        const isDirectory = entry.dirent.isDirectory();
        const isMatched = this._isMatchToPatterns(filepath, positiveRe, isDirectory) && !this._isMatchToPatterns(filepath, negativeRe, isDirectory);
        if (this._settings.unique && isMatched) {
          this._createIndexRecord(filepath);
        }
        return isMatched;
      }
      _isDuplicateEntry(filepath) {
        return this.index.has(filepath);
      }
      _createIndexRecord(filepath) {
        this.index.set(filepath, void 0);
      }
      _onlyFileFilter(entry) {
        return this._settings.onlyFiles && !entry.dirent.isFile();
      }
      _onlyDirectoryFilter(entry) {
        return this._settings.onlyDirectories && !entry.dirent.isDirectory();
      }
      _isSkippedByAbsoluteNegativePatterns(entryPath, patternsRe) {
        if (!this._settings.absolute) {
          return false;
        }
        const fullpath = utils.path.makeAbsolute(this._settings.cwd, entryPath);
        return utils.pattern.matchAny(fullpath, patternsRe);
      }
      _isMatchToPatterns(filepath, patternsRe, isDirectory) {
        const isMatched = utils.pattern.matchAny(filepath, patternsRe);
        if (!isMatched && isDirectory) {
          return utils.pattern.matchAny(filepath + "/", patternsRe);
        }
        return isMatched;
      }
    };
    exports2.default = EntryFilter;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/filters/error.js
var require_error = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/filters/error.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var utils = require_utils3();
    var ErrorFilter = class {
      constructor(_settings) {
        this._settings = _settings;
      }
      getFilter() {
        return (error2) => this._isNonFatalError(error2);
      }
      _isNonFatalError(error2) {
        return utils.errno.isEnoentCodeError(error2) || this._settings.suppressErrors;
      }
    };
    exports2.default = ErrorFilter;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/transformers/entry.js
var require_entry2 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/transformers/entry.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var utils = require_utils3();
    var EntryTransformer = class {
      constructor(_settings) {
        this._settings = _settings;
      }
      getTransformer() {
        return (entry) => this._transform(entry);
      }
      _transform(entry) {
        let filepath = entry.path;
        if (this._settings.absolute) {
          filepath = utils.path.makeAbsolute(this._settings.cwd, filepath);
          filepath = utils.path.unixify(filepath);
        }
        if (this._settings.markDirectories && entry.dirent.isDirectory()) {
          filepath += "/";
        }
        if (!this._settings.objectMode) {
          return filepath;
        }
        return Object.assign(Object.assign({}, entry), { path: filepath });
      }
    };
    exports2.default = EntryTransformer;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/provider.js
var require_provider = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/provider.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var path39 = require("path");
    var deep_1 = require_deep();
    var entry_1 = require_entry();
    var error_1 = require_error();
    var entry_2 = require_entry2();
    var Provider = class {
      constructor(_settings) {
        this._settings = _settings;
        this.errorFilter = new error_1.default(this._settings);
        this.entryFilter = new entry_1.default(this._settings, this._getMicromatchOptions());
        this.deepFilter = new deep_1.default(this._settings, this._getMicromatchOptions());
        this.entryTransformer = new entry_2.default(this._settings);
      }
      _getRootDirectory(task) {
        return path39.resolve(this._settings.cwd, task.base);
      }
      _getReaderOptions(task) {
        const basePath2 = task.base === "." ? "" : task.base;
        return {
          basePath: basePath2,
          pathSegmentSeparator: "/",
          concurrency: this._settings.concurrency,
          deepFilter: this.deepFilter.getFilter(basePath2, task.positive, task.negative),
          entryFilter: this.entryFilter.getFilter(task.positive, task.negative),
          errorFilter: this.errorFilter.getFilter(),
          followSymbolicLinks: this._settings.followSymbolicLinks,
          fs: this._settings.fs,
          stats: this._settings.stats,
          throwErrorOnBrokenSymbolicLink: this._settings.throwErrorOnBrokenSymbolicLink,
          transform: this.entryTransformer.getTransformer()
        };
      }
      _getMicromatchOptions() {
        return {
          dot: this._settings.dot,
          matchBase: this._settings.baseNameMatch,
          nobrace: !this._settings.braceExpansion,
          nocase: !this._settings.caseSensitiveMatch,
          noext: !this._settings.extglob,
          noglobstar: !this._settings.globstar,
          posix: true,
          strictSlashes: false
        };
      }
    };
    exports2.default = Provider;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/async.js
var require_async6 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/async.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var async_1 = require_async5();
    var provider_1 = require_provider();
    var ProviderAsync = class extends provider_1.default {
      constructor() {
        super(...arguments);
        this._reader = new async_1.default(this._settings);
      }
      async read(task) {
        const root = this._getRootDirectory(task);
        const options2 = this._getReaderOptions(task);
        const entries = await this.api(root, task, options2);
        return entries.map((entry) => options2.transform(entry));
      }
      api(root, task, options2) {
        if (task.dynamic) {
          return this._reader.dynamic(root, options2);
        }
        return this._reader.static(task.patterns, options2);
      }
    };
    exports2.default = ProviderAsync;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/stream.js
var require_stream4 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/stream.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var stream_1 = require("stream");
    var stream_2 = require_stream3();
    var provider_1 = require_provider();
    var ProviderStream = class extends provider_1.default {
      constructor() {
        super(...arguments);
        this._reader = new stream_2.default(this._settings);
      }
      read(task) {
        const root = this._getRootDirectory(task);
        const options2 = this._getReaderOptions(task);
        const source = this.api(root, task, options2);
        const destination = new stream_1.Readable({ objectMode: true, read: () => {
        } });
        source.once("error", (error2) => destination.emit("error", error2)).on("data", (entry) => destination.emit("data", options2.transform(entry))).once("end", () => destination.emit("end"));
        destination.once("close", () => source.destroy());
        return destination;
      }
      api(root, task, options2) {
        if (task.dynamic) {
          return this._reader.dynamic(root, options2);
        }
        return this._reader.static(task.patterns, options2);
      }
    };
    exports2.default = ProviderStream;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/readers/sync.js
var require_sync5 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/readers/sync.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var fsStat = require_out();
    var fsWalk = require_out3();
    var reader_1 = require_reader2();
    var ReaderSync = class extends reader_1.default {
      constructor() {
        super(...arguments);
        this._walkSync = fsWalk.walkSync;
        this._statSync = fsStat.statSync;
      }
      dynamic(root, options2) {
        return this._walkSync(root, options2);
      }
      static(patterns, options2) {
        const entries = [];
        for (const pattern of patterns) {
          const filepath = this._getFullEntryPath(pattern);
          const entry = this._getEntry(filepath, pattern, options2);
          if (entry === null || !options2.entryFilter(entry)) {
            continue;
          }
          entries.push(entry);
        }
        return entries;
      }
      _getEntry(filepath, pattern, options2) {
        try {
          const stats = this._getStat(filepath);
          return this._makeEntry(stats, pattern);
        } catch (error2) {
          if (options2.errorFilter(error2)) {
            return null;
          }
          throw error2;
        }
      }
      _getStat(filepath) {
        return this._statSync(filepath, this._fsStatSettings);
      }
    };
    exports2.default = ReaderSync;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/sync.js
var require_sync6 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/providers/sync.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var sync_1 = require_sync5();
    var provider_1 = require_provider();
    var ProviderSync = class extends provider_1.default {
      constructor() {
        super(...arguments);
        this._reader = new sync_1.default(this._settings);
      }
      read(task) {
        const root = this._getRootDirectory(task);
        const options2 = this._getReaderOptions(task);
        const entries = this.api(root, task, options2);
        return entries.map(options2.transform);
      }
      api(root, task, options2) {
        if (task.dynamic) {
          return this._reader.dynamic(root, options2);
        }
        return this._reader.static(task.patterns, options2);
      }
    };
    exports2.default = ProviderSync;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/settings.js
var require_settings4 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/settings.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DEFAULT_FILE_SYSTEM_ADAPTER = void 0;
    var fs42 = require("fs");
    var os7 = require("os");
    var CPU_COUNT = Math.max(os7.cpus().length, 1);
    exports2.DEFAULT_FILE_SYSTEM_ADAPTER = {
      lstat: fs42.lstat,
      lstatSync: fs42.lstatSync,
      stat: fs42.stat,
      statSync: fs42.statSync,
      readdir: fs42.readdir,
      readdirSync: fs42.readdirSync
    };
    var Settings = class {
      constructor(_options = {}) {
        this._options = _options;
        this.absolute = this._getValue(this._options.absolute, false);
        this.baseNameMatch = this._getValue(this._options.baseNameMatch, false);
        this.braceExpansion = this._getValue(this._options.braceExpansion, true);
        this.caseSensitiveMatch = this._getValue(this._options.caseSensitiveMatch, true);
        this.concurrency = this._getValue(this._options.concurrency, CPU_COUNT);
        this.cwd = this._getValue(this._options.cwd, process.cwd());
        this.deep = this._getValue(this._options.deep, Infinity);
        this.dot = this._getValue(this._options.dot, false);
        this.extglob = this._getValue(this._options.extglob, true);
        this.followSymbolicLinks = this._getValue(this._options.followSymbolicLinks, true);
        this.fs = this._getFileSystemMethods(this._options.fs);
        this.globstar = this._getValue(this._options.globstar, true);
        this.ignore = this._getValue(this._options.ignore, []);
        this.markDirectories = this._getValue(this._options.markDirectories, false);
        this.objectMode = this._getValue(this._options.objectMode, false);
        this.onlyDirectories = this._getValue(this._options.onlyDirectories, false);
        this.onlyFiles = this._getValue(this._options.onlyFiles, true);
        this.stats = this._getValue(this._options.stats, false);
        this.suppressErrors = this._getValue(this._options.suppressErrors, false);
        this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, false);
        this.unique = this._getValue(this._options.unique, true);
        if (this.onlyDirectories) {
          this.onlyFiles = false;
        }
        if (this.stats) {
          this.objectMode = true;
        }
        this.ignore = [].concat(this.ignore);
      }
      _getValue(option, value) {
        return option === void 0 ? value : option;
      }
      _getFileSystemMethods(methods = {}) {
        return Object.assign(Object.assign({}, exports2.DEFAULT_FILE_SYSTEM_ADAPTER), methods);
      }
    };
    exports2.default = Settings;
  }
});

// ../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/index.js
var require_out4 = __commonJS({
  "../../node_modules/.pnpm/fast-glob@3.3.1/node_modules/fast-glob/out/index.js"(exports2, module2) {
    "use strict";
    var taskManager = require_tasks();
    var async_1 = require_async6();
    var stream_1 = require_stream4();
    var sync_1 = require_sync6();
    var settings_1 = require_settings4();
    var utils = require_utils3();
    async function FastGlob(source, options2) {
      assertPatternsInput(source);
      const works = getWorks(source, async_1.default, options2);
      const result = await Promise.all(works);
      return utils.array.flatten(result);
    }
    (function(FastGlob2) {
      FastGlob2.glob = FastGlob2;
      FastGlob2.globSync = sync2;
      FastGlob2.globStream = stream4;
      FastGlob2.async = FastGlob2;
      function sync2(source, options2) {
        assertPatternsInput(source);
        const works = getWorks(source, sync_1.default, options2);
        return utils.array.flatten(works);
      }
      FastGlob2.sync = sync2;
      function stream4(source, options2) {
        assertPatternsInput(source);
        const works = getWorks(source, stream_1.default, options2);
        return utils.stream.merge(works);
      }
      FastGlob2.stream = stream4;
      function generateTasks(source, options2) {
        assertPatternsInput(source);
        const patterns = [].concat(source);
        const settings = new settings_1.default(options2);
        return taskManager.generate(patterns, settings);
      }
      FastGlob2.generateTasks = generateTasks;
      function isDynamicPattern(source, options2) {
        assertPatternsInput(source);
        const settings = new settings_1.default(options2);
        return utils.pattern.isDynamicPattern(source, settings);
      }
      FastGlob2.isDynamicPattern = isDynamicPattern;
      function escapePath(source) {
        assertPatternsInput(source);
        return utils.path.escape(source);
      }
      FastGlob2.escapePath = escapePath;
      function convertPathToPattern(source) {
        assertPatternsInput(source);
        return utils.path.convertPathToPattern(source);
      }
      FastGlob2.convertPathToPattern = convertPathToPattern;
      let posix2;
      (function(posix3) {
        function escapePath2(source) {
          assertPatternsInput(source);
          return utils.path.escapePosixPath(source);
        }
        posix3.escapePath = escapePath2;
        function convertPathToPattern2(source) {
          assertPatternsInput(source);
          return utils.path.convertPosixPathToPattern(source);
        }
        posix3.convertPathToPattern = convertPathToPattern2;
      })(posix2 = FastGlob2.posix || (FastGlob2.posix = {}));
      let win32;
      (function(win322) {
        function escapePath2(source) {
          assertPatternsInput(source);
          return utils.path.escapeWindowsPath(source);
        }
        win322.escapePath = escapePath2;
        function convertPathToPattern2(source) {
          assertPatternsInput(source);
          return utils.path.convertWindowsPathToPattern(source);
        }
        win322.convertPathToPattern = convertPathToPattern2;
      })(win32 = FastGlob2.win32 || (FastGlob2.win32 = {}));
    })(FastGlob || (FastGlob = {}));
    function getWorks(source, _Provider, options2) {
      const patterns = [].concat(source);
      const settings = new settings_1.default(options2);
      const tasks = taskManager.generate(patterns, settings);
      const provider = new _Provider(settings);
      return tasks.map(provider.read, provider);
    }
    function assertPatternsInput(input) {
      const source = [].concat(input);
      const isValidSource = source.every((item2) => utils.string.isString(item2) && !utils.string.isEmpty(item2));
      if (!isValidSource) {
        throw new TypeError("Patterns must be a string (non empty) or an array of strings");
      }
    }
    module2.exports = FastGlob;
  }
});

// ../../node_modules/.pnpm/path-type@4.0.0/node_modules/path-type/index.js
var require_path_type = __commonJS({
  "../../node_modules/.pnpm/path-type@4.0.0/node_modules/path-type/index.js"(exports2) {
    "use strict";
    var { promisify: promisify9 } = require("util");
    var fs42 = require("fs");
    async function isType(fsStatType, statsMethodName, filePath) {
      if (typeof filePath !== "string") {
        throw new TypeError(`Expected a string, got ${typeof filePath}`);
      }
      try {
        const stats = await promisify9(fs42[fsStatType])(filePath);
        return stats[statsMethodName]();
      } catch (error2) {
        if (error2.code === "ENOENT") {
          return false;
        }
        throw error2;
      }
    }
    function isTypeSync(fsStatType, statsMethodName, filePath) {
      if (typeof filePath !== "string") {
        throw new TypeError(`Expected a string, got ${typeof filePath}`);
      }
      try {
        return fs42[fsStatType](filePath)[statsMethodName]();
      } catch (error2) {
        if (error2.code === "ENOENT") {
          return false;
        }
        throw error2;
      }
    }
    exports2.isFile = isType.bind(null, "stat", "isFile");
    exports2.isDirectory = isType.bind(null, "stat", "isDirectory");
    exports2.isSymlink = isType.bind(null, "lstat", "isSymbolicLink");
    exports2.isFileSync = isTypeSync.bind(null, "statSync", "isFile");
    exports2.isDirectorySync = isTypeSync.bind(null, "statSync", "isDirectory");
    exports2.isSymlinkSync = isTypeSync.bind(null, "lstatSync", "isSymbolicLink");
  }
});

// ../../node_modules/.pnpm/dir-glob@3.0.1/node_modules/dir-glob/index.js
var require_dir_glob = __commonJS({
  "../../node_modules/.pnpm/dir-glob@3.0.1/node_modules/dir-glob/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var pathType = require_path_type();
    var getExtensions = (extensions) => extensions.length > 1 ? `{${extensions.join(",")}}` : extensions[0];
    var getPath = (filepath, cwd) => {
      const pth = filepath[0] === "!" ? filepath.slice(1) : filepath;
      return path39.isAbsolute(pth) ? pth : path39.join(cwd, pth);
    };
    var addExtensions = (file2, extensions) => {
      if (path39.extname(file2)) {
        return `**/${file2}`;
      }
      return `**/${file2}.${getExtensions(extensions)}`;
    };
    var getGlob = (directory, options2) => {
      if (options2.files && !Array.isArray(options2.files)) {
        throw new TypeError(`Expected \`files\` to be of type \`Array\` but received type \`${typeof options2.files}\``);
      }
      if (options2.extensions && !Array.isArray(options2.extensions)) {
        throw new TypeError(`Expected \`extensions\` to be of type \`Array\` but received type \`${typeof options2.extensions}\``);
      }
      if (options2.files && options2.extensions) {
        return options2.files.map((x) => path39.posix.join(directory, addExtensions(x, options2.extensions)));
      }
      if (options2.files) {
        return options2.files.map((x) => path39.posix.join(directory, `**/${x}`));
      }
      if (options2.extensions) {
        return [path39.posix.join(directory, `**/*.${getExtensions(options2.extensions)}`)];
      }
      return [path39.posix.join(directory, "**")];
    };
    module2.exports = async (input, options2) => {
      options2 = {
        cwd: process.cwd(),
        ...options2
      };
      if (typeof options2.cwd !== "string") {
        throw new TypeError(`Expected \`cwd\` to be of type \`string\` but received type \`${typeof options2.cwd}\``);
      }
      const globs = await Promise.all([].concat(input).map(async (x) => {
        const isDirectory = await pathType.isDirectory(getPath(x, options2.cwd));
        return isDirectory ? getGlob(x, options2) : x;
      }));
      return [].concat.apply([], globs);
    };
    module2.exports.sync = (input, options2) => {
      options2 = {
        cwd: process.cwd(),
        ...options2
      };
      if (typeof options2.cwd !== "string") {
        throw new TypeError(`Expected \`cwd\` to be of type \`string\` but received type \`${typeof options2.cwd}\``);
      }
      const globs = [].concat(input).map((x) => pathType.isDirectorySync(getPath(x, options2.cwd)) ? getGlob(x, options2) : x);
      return [].concat.apply([], globs);
    };
  }
});

// ../../node_modules/.pnpm/ignore@5.2.4/node_modules/ignore/index.js
var require_ignore = __commonJS({
  "../../node_modules/.pnpm/ignore@5.2.4/node_modules/ignore/index.js"(exports2, module2) {
    "use strict";
    function makeArray(subject) {
      return Array.isArray(subject) ? subject : [subject];
    }
    var EMPTY = "";
    var SPACE = " ";
    var ESCAPE = "\\";
    var REGEX_TEST_BLANK_LINE = /^\s+$/;
    var REGEX_INVALID_TRAILING_BACKSLASH = /(?:[^\\]|^)\\$/;
    var REGEX_REPLACE_LEADING_EXCAPED_EXCLAMATION = /^\\!/;
    var REGEX_REPLACE_LEADING_EXCAPED_HASH = /^\\#/;
    var REGEX_SPLITALL_CRLF = /\r?\n/g;
    var REGEX_TEST_INVALID_PATH = /^\.*\/|^\.+$/;
    var SLASH = "/";
    var TMP_KEY_IGNORE = "node-ignore";
    if (typeof Symbol !== "undefined") {
      TMP_KEY_IGNORE = Symbol.for("node-ignore");
    }
    var KEY_IGNORE = TMP_KEY_IGNORE;
    var define2 = (object, key, value) => Object.defineProperty(object, key, { value });
    var REGEX_REGEXP_RANGE = /([0-z])-([0-z])/g;
    var RETURN_FALSE = () => false;
    var sanitizeRange = (range2) => range2.replace(
      REGEX_REGEXP_RANGE,
      (match4, from, to2) => from.charCodeAt(0) <= to2.charCodeAt(0) ? match4 : EMPTY
    );
    var cleanRangeBackSlash = (slashes) => {
      const { length } = slashes;
      return slashes.slice(0, length - length % 2);
    };
    var REPLACERS = [
      // > Trailing spaces are ignored unless they are quoted with backslash ("\")
      [
        // (a\ ) -> (a )
        // (a  ) -> (a)
        // (a \ ) -> (a  )
        /\\?\s+$/,
        (match4) => match4.indexOf("\\") === 0 ? SPACE : EMPTY
      ],
      // replace (\ ) with ' '
      [
        /\\\s/g,
        () => SPACE
      ],
      // Escape metacharacters
      // which is written down by users but means special for regular expressions.
      // > There are 12 characters with special meanings:
      // > - the backslash \,
      // > - the caret ^,
      // > - the dollar sign $,
      // > - the period or dot .,
      // > - the vertical bar or pipe symbol |,
      // > - the question mark ?,
      // > - the asterisk or star *,
      // > - the plus sign +,
      // > - the opening parenthesis (,
      // > - the closing parenthesis ),
      // > - and the opening square bracket [,
      // > - the opening curly brace {,
      // > These special characters are often called "metacharacters".
      [
        /[\\$.|*+(){^]/g,
        (match4) => `\\${match4}`
      ],
      [
        // > a question mark (?) matches a single character
        /(?!\\)\?/g,
        () => "[^/]"
      ],
      // leading slash
      [
        // > A leading slash matches the beginning of the pathname.
        // > For example, "/*.c" matches "cat-file.c" but not "mozilla-sha1/sha1.c".
        // A leading slash matches the beginning of the pathname
        /^\//,
        () => "^"
      ],
      // replace special metacharacter slash after the leading slash
      [
        /\//g,
        () => "\\/"
      ],
      [
        // > A leading "**" followed by a slash means match in all directories.
        // > For example, "**/foo" matches file or directory "foo" anywhere,
        // > the same as pattern "foo".
        // > "**/foo/bar" matches file or directory "bar" anywhere that is directly
        // >   under directory "foo".
        // Notice that the '*'s have been replaced as '\\*'
        /^\^*\\\*\\\*\\\//,
        // '**/foo' <-> 'foo'
        () => "^(?:.*\\/)?"
      ],
      // starting
      [
        // there will be no leading '/'
        //   (which has been replaced by section "leading slash")
        // If starts with '**', adding a '^' to the regular expression also works
        /^(?=[^^])/,
        function startingReplacer() {
          return !/\/(?!$)/.test(this) ? "(?:^|\\/)" : "^";
        }
      ],
      // two globstars
      [
        // Use lookahead assertions so that we could match more than one `'/**'`
        /\\\/\\\*\\\*(?=\\\/|$)/g,
        // Zero, one or several directories
        // should not use '*', or it will be replaced by the next replacer
        // Check if it is not the last `'/**'`
        (_3, index2, str) => index2 + 6 < str.length ? "(?:\\/[^\\/]+)*" : "\\/.+"
      ],
      // normal intermediate wildcards
      [
        // Never replace escaped '*'
        // ignore rule '\*' will match the path '*'
        // 'abc.*/' -> go
        // 'abc.*'  -> skip this rule,
        //    coz trailing single wildcard will be handed by [trailing wildcard]
        /(^|[^\\]+)(\\\*)+(?=.+)/g,
        // '*.js' matches '.js'
        // '*.js' doesn't match 'abc'
        (_3, p1, p2) => {
          const unescaped = p2.replace(/\\\*/g, "[^\\/]*");
          return p1 + unescaped;
        }
      ],
      [
        // unescape, revert step 3 except for back slash
        // For example, if a user escape a '\\*',
        // after step 3, the result will be '\\\\\\*'
        /\\\\\\(?=[$.|*+(){^])/g,
        () => ESCAPE
      ],
      [
        // '\\\\' -> '\\'
        /\\\\/g,
        () => ESCAPE
      ],
      [
        // > The range notation, e.g. [a-zA-Z],
        // > can be used to match one of the characters in a range.
        // `\` is escaped by step 3
        /(\\)?\[([^\]/]*?)(\\*)($|\])/g,
        (match4, leadEscape, range2, endEscape, close) => leadEscape === ESCAPE ? `\\[${range2}${cleanRangeBackSlash(endEscape)}${close}` : close === "]" ? endEscape.length % 2 === 0 ? `[${sanitizeRange(range2)}${endEscape}]` : "[]" : "[]"
      ],
      // ending
      [
        // 'js' will not match 'js.'
        // 'ab' will not match 'abc'
        /(?:[^*])$/,
        // WTF!
        // https://git-scm.com/docs/gitignore
        // changes in [2.22.1](https://git-scm.com/docs/gitignore/2.22.1)
        // which re-fixes #24, #38
        // > If there is a separator at the end of the pattern then the pattern
        // > will only match directories, otherwise the pattern can match both
        // > files and directories.
        // 'js*' will not match 'a.js'
        // 'js/' will not match 'a.js'
        // 'js' will match 'a.js' and 'a.js/'
        (match4) => /\/$/.test(match4) ? `${match4}$` : `${match4}(?=$|\\/$)`
      ],
      // trailing wildcard
      [
        /(\^|\\\/)?\\\*$/,
        (_3, p1) => {
          const prefix = p1 ? `${p1}[^/]+` : "[^/]*";
          return `${prefix}(?=$|\\/$)`;
        }
      ]
    ];
    var regexCache = /* @__PURE__ */ Object.create(null);
    var makeRegex = (pattern, ignoreCase) => {
      let source = regexCache[pattern];
      if (!source) {
        source = REPLACERS.reduce(
          (prev, current) => prev.replace(current[0], current[1].bind(pattern)),
          pattern
        );
        regexCache[pattern] = source;
      }
      return ignoreCase ? new RegExp(source, "i") : new RegExp(source);
    };
    var isString = (subject) => typeof subject === "string";
    var checkPattern = (pattern) => pattern && isString(pattern) && !REGEX_TEST_BLANK_LINE.test(pattern) && !REGEX_INVALID_TRAILING_BACKSLASH.test(pattern) && pattern.indexOf("#") !== 0;
    var splitPattern = (pattern) => pattern.split(REGEX_SPLITALL_CRLF);
    var IgnoreRule = class {
      constructor(origin, pattern, negative, regex2) {
        this.origin = origin;
        this.pattern = pattern;
        this.negative = negative;
        this.regex = regex2;
      }
    };
    var createRule = (pattern, ignoreCase) => {
      const origin = pattern;
      let negative = false;
      if (pattern.indexOf("!") === 0) {
        negative = true;
        pattern = pattern.substr(1);
      }
      pattern = pattern.replace(REGEX_REPLACE_LEADING_EXCAPED_EXCLAMATION, "!").replace(REGEX_REPLACE_LEADING_EXCAPED_HASH, "#");
      const regex2 = makeRegex(pattern, ignoreCase);
      return new IgnoreRule(
        origin,
        pattern,
        negative,
        regex2
      );
    };
    var throwError = (message2, Ctor) => {
      throw new Ctor(message2);
    };
    var checkPath2 = (path39, originalPath, doThrow) => {
      if (!isString(path39)) {
        return doThrow(
          `path must be a string, but got \`${originalPath}\``,
          TypeError
        );
      }
      if (!path39) {
        return doThrow(`path must not be empty`, TypeError);
      }
      if (checkPath2.isNotRelative(path39)) {
        const r2 = "`path.relative()`d";
        return doThrow(
          `path should be a ${r2} string, but got "${originalPath}"`,
          RangeError
        );
      }
      return true;
    };
    var isNotRelative = (path39) => REGEX_TEST_INVALID_PATH.test(path39);
    checkPath2.isNotRelative = isNotRelative;
    checkPath2.convert = (p2) => p2;
    var Ignore = class {
      constructor({
        ignorecase = true,
        ignoreCase = ignorecase,
        allowRelativePaths = false
      } = {}) {
        define2(this, KEY_IGNORE, true);
        this._rules = [];
        this._ignoreCase = ignoreCase;
        this._allowRelativePaths = allowRelativePaths;
        this._initCache();
      }
      _initCache() {
        this._ignoreCache = /* @__PURE__ */ Object.create(null);
        this._testCache = /* @__PURE__ */ Object.create(null);
      }
      _addPattern(pattern) {
        if (pattern && pattern[KEY_IGNORE]) {
          this._rules = this._rules.concat(pattern._rules);
          this._added = true;
          return;
        }
        if (checkPattern(pattern)) {
          const rule = createRule(pattern, this._ignoreCase);
          this._added = true;
          this._rules.push(rule);
        }
      }
      // @param {Array<string> | string | Ignore} pattern
      add(pattern) {
        this._added = false;
        makeArray(
          isString(pattern) ? splitPattern(pattern) : pattern
        ).forEach(this._addPattern, this);
        if (this._added) {
          this._initCache();
        }
        return this;
      }
      // legacy
      addPattern(pattern) {
        return this.add(pattern);
      }
      //          |           ignored : unignored
      // negative |   0:0   |   0:1   |   1:0   |   1:1
      // -------- | ------- | ------- | ------- | --------
      //     0    |  TEST   |  TEST   |  SKIP   |    X
      //     1    |  TESTIF |  SKIP   |  TEST   |    X
      // - SKIP: always skip
      // - TEST: always test
      // - TESTIF: only test if checkUnignored
      // - X: that never happen
      // @param {boolean} whether should check if the path is unignored,
      //   setting `checkUnignored` to `false` could reduce additional
      //   path matching.
      // @returns {TestResult} true if a file is ignored
      _testOne(path39, checkUnignored) {
        let ignored = false;
        let unignored = false;
        this._rules.forEach((rule) => {
          const { negative } = rule;
          if (unignored === negative && ignored !== unignored || negative && !ignored && !unignored && !checkUnignored) {
            return;
          }
          const matched = rule.regex.test(path39);
          if (matched) {
            ignored = !negative;
            unignored = negative;
          }
        });
        return {
          ignored,
          unignored
        };
      }
      // @returns {TestResult}
      _test(originalPath, cache, checkUnignored, slices) {
        const path39 = originalPath && checkPath2.convert(originalPath);
        checkPath2(
          path39,
          originalPath,
          this._allowRelativePaths ? RETURN_FALSE : throwError
        );
        return this._t(path39, cache, checkUnignored, slices);
      }
      _t(path39, cache, checkUnignored, slices) {
        if (path39 in cache) {
          return cache[path39];
        }
        if (!slices) {
          slices = path39.split(SLASH);
        }
        slices.pop();
        if (!slices.length) {
          return cache[path39] = this._testOne(path39, checkUnignored);
        }
        const parent2 = this._t(
          slices.join(SLASH) + SLASH,
          cache,
          checkUnignored,
          slices
        );
        return cache[path39] = parent2.ignored ? parent2 : this._testOne(path39, checkUnignored);
      }
      ignores(path39) {
        return this._test(path39, this._ignoreCache, false).ignored;
      }
      createFilter() {
        return (path39) => !this.ignores(path39);
      }
      filter(paths2) {
        return makeArray(paths2).filter(this.createFilter());
      }
      // @returns {TestResult}
      test(path39) {
        return this._test(path39, this._testCache, true);
      }
    };
    var factory2 = (options2) => new Ignore(options2);
    var isPathValid = (path39) => checkPath2(path39 && checkPath2.convert(path39), path39, RETURN_FALSE);
    factory2.isPathValid = isPathValid;
    factory2.default = factory2;
    module2.exports = factory2;
    if (
      // Detect `process` so that it can run in browsers.
      typeof process !== "undefined" && (process.env && process.env.IGNORE_TEST_WIN32 || process.platform === "win32")
    ) {
      const makePosix = (str) => /^\\\\\?\\/.test(str) || /["<>|\u0000-\u001F]+/u.test(str) ? str : str.replace(/\\/g, "/");
      checkPath2.convert = makePosix;
      const REGIX_IS_WINDOWS_PATH_ABSOLUTE = /^[a-z]:\//i;
      checkPath2.isNotRelative = (path39) => REGIX_IS_WINDOWS_PATH_ABSOLUTE.test(path39) || isNotRelative(path39);
    }
  }
});

// ../../node_modules/.pnpm/slash@3.0.0/node_modules/slash/index.js
var require_slash = __commonJS({
  "../../node_modules/.pnpm/slash@3.0.0/node_modules/slash/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (path39) => {
      const isExtendedLengthPath = /^\\\\\?\\/.test(path39);
      const hasNonAscii = /[^\u0000-\u0080]+/.test(path39);
      if (isExtendedLengthPath || hasNonAscii) {
        return path39;
      }
      return path39.replace(/\\/g, "/");
    };
  }
});

// ../../node_modules/.pnpm/globby@11.1.0/node_modules/globby/gitignore.js
var require_gitignore = __commonJS({
  "../../node_modules/.pnpm/globby@11.1.0/node_modules/globby/gitignore.js"(exports2, module2) {
    "use strict";
    var { promisify: promisify9 } = require("util");
    var fs42 = require("fs");
    var path39 = require("path");
    var fastGlob = require_out4();
    var gitIgnore = require_ignore();
    var slash = require_slash();
    var DEFAULT_IGNORE = [
      "**/node_modules/**",
      "**/flow-typed/**",
      "**/coverage/**",
      "**/.git"
    ];
    var readFileP = promisify9(fs42.readFile);
    var mapGitIgnorePatternTo = (base) => (ignore) => {
      if (ignore.startsWith("!")) {
        return "!" + path39.posix.join(base, ignore.slice(1));
      }
      return path39.posix.join(base, ignore);
    };
    var parseGitIgnore = (content, options2) => {
      const base = slash(path39.relative(options2.cwd, path39.dirname(options2.fileName)));
      return content.split(/\r?\n/).filter(Boolean).filter((line) => !line.startsWith("#")).map(mapGitIgnorePatternTo(base));
    };
    var reduceIgnore = (files) => {
      const ignores = gitIgnore();
      for (const file2 of files) {
        ignores.add(parseGitIgnore(file2.content, {
          cwd: file2.cwd,
          fileName: file2.filePath
        }));
      }
      return ignores;
    };
    var ensureAbsolutePathForCwd = (cwd, p2) => {
      cwd = slash(cwd);
      if (path39.isAbsolute(p2)) {
        if (slash(p2).startsWith(cwd)) {
          return p2;
        }
        throw new Error(`Path ${p2} is not in cwd ${cwd}`);
      }
      return path39.join(cwd, p2);
    };
    var getIsIgnoredPredecate = (ignores, cwd) => {
      return (p2) => ignores.ignores(slash(path39.relative(cwd, ensureAbsolutePathForCwd(cwd, p2.path || p2))));
    };
    var getFile = async (file2, cwd) => {
      const filePath = path39.join(cwd, file2);
      const content = await readFileP(filePath, "utf8");
      return {
        cwd,
        filePath,
        content
      };
    };
    var getFileSync = (file2, cwd) => {
      const filePath = path39.join(cwd, file2);
      const content = fs42.readFileSync(filePath, "utf8");
      return {
        cwd,
        filePath,
        content
      };
    };
    var normalizeOptions = ({
      ignore = [],
      cwd = slash(process.cwd())
    } = {}) => {
      return { ignore, cwd };
    };
    module2.exports = async (options2) => {
      options2 = normalizeOptions(options2);
      const paths2 = await fastGlob("**/.gitignore", {
        ignore: DEFAULT_IGNORE.concat(options2.ignore),
        cwd: options2.cwd
      });
      const files = await Promise.all(paths2.map((file2) => getFile(file2, options2.cwd)));
      const ignores = reduceIgnore(files);
      return getIsIgnoredPredecate(ignores, options2.cwd);
    };
    module2.exports.sync = (options2) => {
      options2 = normalizeOptions(options2);
      const paths2 = fastGlob.sync("**/.gitignore", {
        ignore: DEFAULT_IGNORE.concat(options2.ignore),
        cwd: options2.cwd
      });
      const files = paths2.map((file2) => getFileSync(file2, options2.cwd));
      const ignores = reduceIgnore(files);
      return getIsIgnoredPredecate(ignores, options2.cwd);
    };
  }
});

// ../../node_modules/.pnpm/globby@11.1.0/node_modules/globby/stream-utils.js
var require_stream_utils = __commonJS({
  "../../node_modules/.pnpm/globby@11.1.0/node_modules/globby/stream-utils.js"(exports2, module2) {
    "use strict";
    var { Transform } = require("stream");
    var ObjectTransform = class extends Transform {
      constructor() {
        super({
          objectMode: true
        });
      }
    };
    var FilterStream = class extends ObjectTransform {
      constructor(filter2) {
        super();
        this._filter = filter2;
      }
      _transform(data, encoding, callback) {
        if (this._filter(data)) {
          this.push(data);
        }
        callback();
      }
    };
    var UniqueStream = class extends ObjectTransform {
      constructor() {
        super();
        this._pushed = /* @__PURE__ */ new Set();
      }
      _transform(data, encoding, callback) {
        if (!this._pushed.has(data)) {
          this.push(data);
          this._pushed.add(data);
        }
        callback();
      }
    };
    module2.exports = {
      FilterStream,
      UniqueStream
    };
  }
});

// ../../node_modules/.pnpm/globby@11.1.0/node_modules/globby/index.js
var require_globby = __commonJS({
  "../../node_modules/.pnpm/globby@11.1.0/node_modules/globby/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var arrayUnion = require_array_union();
    var merge2 = require_merge2();
    var fastGlob = require_out4();
    var dirGlob = require_dir_glob();
    var gitignore = require_gitignore();
    var { FilterStream, UniqueStream } = require_stream_utils();
    var DEFAULT_FILTER = () => false;
    var isNegative = (pattern) => pattern[0] === "!";
    var assertPatternsInput = (patterns) => {
      if (!patterns.every((pattern) => typeof pattern === "string")) {
        throw new TypeError("Patterns must be a string or an array of strings");
      }
    };
    var checkCwdOption = (options2 = {}) => {
      if (!options2.cwd) {
        return;
      }
      let stat;
      try {
        stat = fs42.statSync(options2.cwd);
      } catch {
        return;
      }
      if (!stat.isDirectory()) {
        throw new Error("The `cwd` option must be a path to a directory");
      }
    };
    var getPathString = (p2) => p2.stats instanceof fs42.Stats ? p2.path : p2;
    var generateGlobTasks = (patterns, taskOptions) => {
      patterns = arrayUnion([].concat(patterns));
      assertPatternsInput(patterns);
      checkCwdOption(taskOptions);
      const globTasks = [];
      taskOptions = {
        ignore: [],
        expandDirectories: true,
        ...taskOptions
      };
      for (const [index2, pattern] of patterns.entries()) {
        if (isNegative(pattern)) {
          continue;
        }
        const ignore = patterns.slice(index2).filter((pattern2) => isNegative(pattern2)).map((pattern2) => pattern2.slice(1));
        const options2 = {
          ...taskOptions,
          ignore: taskOptions.ignore.concat(ignore)
        };
        globTasks.push({ pattern, options: options2 });
      }
      return globTasks;
    };
    var globDirs = (task, fn2) => {
      let options2 = {};
      if (task.options.cwd) {
        options2.cwd = task.options.cwd;
      }
      if (Array.isArray(task.options.expandDirectories)) {
        options2 = {
          ...options2,
          files: task.options.expandDirectories
        };
      } else if (typeof task.options.expandDirectories === "object") {
        options2 = {
          ...options2,
          ...task.options.expandDirectories
        };
      }
      return fn2(task.pattern, options2);
    };
    var getPattern = (task, fn2) => task.options.expandDirectories ? globDirs(task, fn2) : [task.pattern];
    var getFilterSync = (options2) => {
      return options2 && options2.gitignore ? gitignore.sync({ cwd: options2.cwd, ignore: options2.ignore }) : DEFAULT_FILTER;
    };
    var globToTask = (task) => (glob) => {
      const { options: options2 } = task;
      if (options2.ignore && Array.isArray(options2.ignore) && options2.expandDirectories) {
        options2.ignore = dirGlob.sync(options2.ignore);
      }
      return {
        pattern: glob,
        options: options2
      };
    };
    module2.exports = async (patterns, options2) => {
      const globTasks = generateGlobTasks(patterns, options2);
      const getFilter = async () => {
        return options2 && options2.gitignore ? gitignore({ cwd: options2.cwd, ignore: options2.ignore }) : DEFAULT_FILTER;
      };
      const getTasks = async () => {
        const tasks2 = await Promise.all(globTasks.map(async (task) => {
          const globs = await getPattern(task, dirGlob);
          return Promise.all(globs.map(globToTask(task)));
        }));
        return arrayUnion(...tasks2);
      };
      const [filter2, tasks] = await Promise.all([getFilter(), getTasks()]);
      const paths2 = await Promise.all(tasks.map((task) => fastGlob(task.pattern, task.options)));
      return arrayUnion(...paths2).filter((path_) => !filter2(getPathString(path_)));
    };
    module2.exports.sync = (patterns, options2) => {
      const globTasks = generateGlobTasks(patterns, options2);
      const tasks = [];
      for (const task of globTasks) {
        const newTask = getPattern(task, dirGlob.sync).map(globToTask(task));
        tasks.push(...newTask);
      }
      const filter2 = getFilterSync(options2);
      let matches = [];
      for (const task of tasks) {
        matches = arrayUnion(matches, fastGlob.sync(task.pattern, task.options));
      }
      return matches.filter((path_) => !filter2(path_));
    };
    module2.exports.stream = (patterns, options2) => {
      const globTasks = generateGlobTasks(patterns, options2);
      const tasks = [];
      for (const task of globTasks) {
        const newTask = getPattern(task, dirGlob.sync).map(globToTask(task));
        tasks.push(...newTask);
      }
      const filter2 = getFilterSync(options2);
      const filterStream = new FilterStream((p2) => !filter2(p2));
      const uniqueStream = new UniqueStream();
      return merge2(tasks.map((task) => fastGlob.stream(task.pattern, task.options))).pipe(filterStream).pipe(uniqueStream);
    };
    module2.exports.generateGlobTasks = generateGlobTasks;
    module2.exports.hasMagic = (patterns, options2) => [].concat(patterns).some((pattern) => fastGlob.isDynamicPattern(pattern, options2));
    module2.exports.gitignore = gitignore;
  }
});

// ../../node_modules/.pnpm/@prisma+prisma-schema-wasm@5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e/node_modules/@prisma/prisma-schema-wasm/src/prisma_schema_build.js
var require_prisma_schema_build = __commonJS({
  "../../node_modules/.pnpm/@prisma+prisma-schema-wasm@5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e/node_modules/@prisma/prisma-schema-wasm/src/prisma_schema_build.js"(exports2, module2) {
    "use strict";
    var imports = {};
    imports["__wbindgen_placeholder__"] = module2.exports;
    var wasm2;
    var { TextDecoder, TextEncoder } = require("util");
    var cachedTextDecoder = new TextDecoder("utf-8", { ignoreBOM: true, fatal: true });
    cachedTextDecoder.decode();
    var cachedUint8Memory0 = null;
    function getUint8Memory0() {
      if (cachedUint8Memory0 === null || cachedUint8Memory0.byteLength === 0) {
        cachedUint8Memory0 = new Uint8Array(wasm2.memory.buffer);
      }
      return cachedUint8Memory0;
    }
    function getStringFromWasm0(ptr, len) {
      return cachedTextDecoder.decode(getUint8Memory0().subarray(ptr, ptr + len));
    }
    var heap = new Array(128).fill(void 0);
    heap.push(void 0, null, true, false);
    var heap_next = heap.length;
    function addHeapObject(obj) {
      if (heap_next === heap.length)
        heap.push(heap.length + 1);
      const idx = heap_next;
      heap_next = heap[idx];
      heap[idx] = obj;
      return idx;
    }
    var WASM_VECTOR_LEN = 0;
    var cachedTextEncoder = new TextEncoder("utf-8");
    var encodeString = typeof cachedTextEncoder.encodeInto === "function" ? function(arg3, view) {
      return cachedTextEncoder.encodeInto(arg3, view);
    } : function(arg3, view) {
      const buf = cachedTextEncoder.encode(arg3);
      view.set(buf);
      return {
        read: arg3.length,
        written: buf.length
      };
    };
    function passStringToWasm0(arg3, malloc, realloc) {
      if (realloc === void 0) {
        const buf = cachedTextEncoder.encode(arg3);
        const ptr2 = malloc(buf.length);
        getUint8Memory0().subarray(ptr2, ptr2 + buf.length).set(buf);
        WASM_VECTOR_LEN = buf.length;
        return ptr2;
      }
      let len = arg3.length;
      let ptr = malloc(len);
      const mem = getUint8Memory0();
      let offset = 0;
      for (; offset < len; offset++) {
        const code = arg3.charCodeAt(offset);
        if (code > 127)
          break;
        mem[ptr + offset] = code;
      }
      if (offset !== len) {
        if (offset !== 0) {
          arg3 = arg3.slice(offset);
        }
        ptr = realloc(ptr, len, len = offset + arg3.length * 3);
        const view = getUint8Memory0().subarray(ptr + offset, ptr + len);
        const ret = encodeString(arg3, view);
        offset += ret.written;
      }
      WASM_VECTOR_LEN = offset;
      return ptr;
    }
    var cachedInt32Memory0 = null;
    function getInt32Memory0() {
      if (cachedInt32Memory0 === null || cachedInt32Memory0.byteLength === 0) {
        cachedInt32Memory0 = new Int32Array(wasm2.memory.buffer);
      }
      return cachedInt32Memory0;
    }
    module2.exports.format = function(schema, params) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(schema, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        const ptr1 = passStringToWasm0(params, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len1 = WASM_VECTOR_LEN;
        wasm2.format(retptr, ptr0, len0, ptr1, len1);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        return getStringFromWasm0(r0, r1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(r0, r1);
      }
    };
    function getObject(idx) {
      return heap[idx];
    }
    function dropObject(idx) {
      if (idx < 132)
        return;
      heap[idx] = heap_next;
      heap_next = idx;
    }
    function takeObject(idx) {
      const ret = getObject(idx);
      dropObject(idx);
      return ret;
    }
    module2.exports.get_config = function(params) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(params, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        wasm2.get_config(retptr, ptr0, len0);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        var r2 = getInt32Memory0()[retptr / 4 + 2];
        var r3 = getInt32Memory0()[retptr / 4 + 3];
        var ptr1 = r0;
        var len1 = r1;
        if (r3) {
          ptr1 = 0;
          len1 = 0;
          throw takeObject(r2);
        }
        return getStringFromWasm0(ptr1, len1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(ptr1, len1);
      }
    };
    module2.exports.get_dmmf = function(params) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(params, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        wasm2.get_dmmf(retptr, ptr0, len0);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        var r2 = getInt32Memory0()[retptr / 4 + 2];
        var r3 = getInt32Memory0()[retptr / 4 + 3];
        var ptr1 = r0;
        var len1 = r1;
        if (r3) {
          ptr1 = 0;
          len1 = 0;
          throw takeObject(r2);
        }
        return getStringFromWasm0(ptr1, len1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(ptr1, len1);
      }
    };
    module2.exports.lint = function(input) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(input, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        wasm2.lint(retptr, ptr0, len0);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        return getStringFromWasm0(r0, r1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(r0, r1);
      }
    };
    module2.exports.validate = function(params) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(params, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        wasm2.validate(retptr, ptr0, len0);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        if (r1) {
          throw takeObject(r0);
        }
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
      }
    };
    module2.exports.native_types = function(input) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(input, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        wasm2.native_types(retptr, ptr0, len0);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        return getStringFromWasm0(r0, r1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(r0, r1);
      }
    };
    module2.exports.referential_actions = function(input) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(input, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        wasm2.referential_actions(retptr, ptr0, len0);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        return getStringFromWasm0(r0, r1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(r0, r1);
      }
    };
    module2.exports.preview_features = function() {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        wasm2.preview_features(retptr);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        return getStringFromWasm0(r0, r1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(r0, r1);
      }
    };
    module2.exports.text_document_completion = function(schema, params) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(schema, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        const ptr1 = passStringToWasm0(params, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len1 = WASM_VECTOR_LEN;
        wasm2.text_document_completion(retptr, ptr0, len0, ptr1, len1);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        return getStringFromWasm0(r0, r1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(r0, r1);
      }
    };
    module2.exports.code_actions = function(schema, params) {
      try {
        const retptr = wasm2.__wbindgen_add_to_stack_pointer(-16);
        const ptr0 = passStringToWasm0(schema, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len0 = WASM_VECTOR_LEN;
        const ptr1 = passStringToWasm0(params, wasm2.__wbindgen_malloc, wasm2.__wbindgen_realloc);
        const len1 = WASM_VECTOR_LEN;
        wasm2.code_actions(retptr, ptr0, len0, ptr1, len1);
        var r0 = getInt32Memory0()[retptr / 4 + 0];
        var r1 = getInt32Memory0()[retptr / 4 + 1];
        return getStringFromWasm0(r0, r1);
      } finally {
        wasm2.__wbindgen_add_to_stack_pointer(16);
        wasm2.__wbindgen_free(r0, r1);
      }
    };
    module2.exports.debug_panic = function() {
      wasm2.debug_panic();
    };
    module2.exports.__wbindgen_error_new = function(arg0, arg1) {
      const ret = new Error(getStringFromWasm0(arg0, arg1));
      return addHeapObject(ret);
    };
    module2.exports.__wbg_setmessage_e113e9fee2d41bd4 = function(arg0, arg1) {
      global.PRISMA_WASM_PANIC_REGISTRY.set_message(getStringFromWasm0(arg0, arg1));
    };
    module2.exports.__wbindgen_throw = function(arg0, arg1) {
      throw new Error(getStringFromWasm0(arg0, arg1));
    };
    var path39 = require("path").join(__dirname, "prisma_schema_build_bg.wasm");
    var bytes = require("fs").readFileSync(path39);
    var wasmModule = new WebAssembly.Module(bytes);
    var wasmInstance = new WebAssembly.Instance(wasmModule, imports);
    wasm2 = wasmInstance.exports;
    module2.exports.__wasm = wasm2;
  }
});

// ../internals/package.json
var require_package = __commonJS({
  "../internals/package.json"(exports2, module2) {
    module2.exports = {
      name: "@prisma/internals",
      version: "5.3.0-integration-chore-upgrade-esm-deps.1",
      description: "This package is intended for Prisma's internal use",
      main: "dist/index.js",
      types: "dist/index.d.ts",
      repository: {
        type: "git",
        url: "https://github.com/prisma/prisma.git",
        directory: "packages/internals"
      },
      homepage: "https://www.prisma.io",
      author: "Tim Suchanek <suchanek@prisma.io>",
      bugs: "https://github.com/prisma/prisma/issues",
      license: "Apache-2.0",
      scripts: {
        dev: "DEV=true node -r esbuild-register helpers/build.ts",
        build: "node -r esbuild-register helpers/build.ts",
        test: "jest --silent",
        prepublishOnly: "pnpm run build"
      },
      files: [
        "README.md",
        "dist",
        "!**/libquery_engine*",
        "!dist/get-generators/engines/*",
        "scripts"
      ],
      devDependencies: {
        "@swc/core": "1.2.204",
        "@swc/jest": "0.2.29",
        "@types/jest": "29.5.4",
        "@types/node": "18.17.5",
        "@types/resolve": "1.20.2",
        esbuild: "0.19.2",
        jest: "29.6.3",
        "jest-junit": "16.0.0",
        "mock-stdin": "1.0.0",
        "ts-node": "10.9.1",
        typescript: "4.9.5",
        yarn: "1.22.19"
      },
      dependencies: {
        "@antfu/ni": "0.21.5",
        "@opentelemetry/api": "1.4.1",
        "@prisma/debug": "workspace:*",
        "@prisma/engines": "workspace:*",
        "@prisma/fetch-engine": "workspace:*",
        "@prisma/generator-helper": "workspace:*",
        "@prisma/get-platform": "workspace:*",
        "@prisma/prisma-schema-wasm": "5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e",
        archiver: "5.3.1",
        arg: "5.0.2",
        "checkpoint-client": "1.1.27",
        "cli-truncate": "2.1.0",
        dotenv: "16.0.3",
        "escape-string-regexp": "4.0.0",
        execa: "5.1.1",
        "find-up": "5.0.0",
        "fp-ts": "2.16.1",
        "fs-extra": "11.1.1",
        "fs-jetpack": "5.1.0",
        "global-dirs": "3.0.1",
        globby: "11.1.0",
        "indent-string": "4.0.0",
        "is-windows": "1.0.2",
        "is-wsl": "2.2.0",
        kleur: "4.1.5",
        "new-github-issue-url": "0.2.1",
        "node-fetch": "2.6.12",
        "npm-packlist": "5.1.3",
        open: "7.4.2",
        "p-map": "6.0.0",
        prompts: "2.4.2",
        "read-pkg-up": "7.0.1",
        "replace-string": "3.1.0",
        resolve: "1.22.4",
        "string-width": "4.2.3",
        "strip-ansi": "6.0.1",
        "strip-indent": "3.0.0",
        "temp-dir": "2.0.0",
        tempy: "1.0.1",
        "terminal-link": "2.1.1",
        tmp: "0.2.1",
        "ts-pattern": "4.3.0"
      },
      sideEffects: false
    };
  }
});

// ../get-platform/src/assertNodeAPISupported.ts
function assertNodeAPISupported() {
  const customLibraryPath = process.env.PRISMA_QUERY_ENGINE_LIBRARY;
  const customLibraryExists = customLibraryPath && import_fs.default.existsSync(customLibraryPath);
  if (!customLibraryExists && process.arch === "ia32") {
    throw new Error(
      `The default query engine type (Node-API, "library") is currently not supported for 32bit Node. Please set \`engineType = "binary"\` in the "generator" block of your "schema.prisma" file (or use the environment variables "PRISMA_CLIENT_ENGINE_TYPE=binary" and/or "PRISMA_CLI_QUERY_ENGINE_TYPE=binary".)`
    );
  }
}
var import_fs;
var init_assertNodeAPISupported = __esm({
  "../get-platform/src/assertNodeAPISupported.ts"() {
    "use strict";
    import_fs = __toESM(require("fs"));
  }
});

// ../get-platform/src/getNodeAPIName.ts
function getNodeAPIName2(platform2, type) {
  const isUrl = type === "url";
  if (platform2.includes("windows")) {
    return isUrl ? `query_engine.dll.node` : `query_engine-${platform2}.dll.node`;
  } else if (platform2.includes("darwin")) {
    return isUrl ? `${NODE_API_QUERY_ENGINE_URL_BASE}.dylib.node` : `${NODE_API_QUERY_ENGINE_URL_BASE}-${platform2}.dylib.node`;
  } else {
    return isUrl ? `${NODE_API_QUERY_ENGINE_URL_BASE}.so.node` : `${NODE_API_QUERY_ENGINE_URL_BASE}-${platform2}.so.node`;
  }
}
var NODE_API_QUERY_ENGINE_URL_BASE;
var init_getNodeAPIName = __esm({
  "../get-platform/src/getNodeAPIName.ts"() {
    "use strict";
    NODE_API_QUERY_ENGINE_URL_BASE = "libquery_engine";
  }
});

// ../../node_modules/.pnpm/ts-pattern@4.3.0/node_modules/ts-pattern/dist/index.js
function o(t9) {
  var e3;
  return (e3 = {})[n] = function() {
    return { match: function(n2) {
      var e4 = {}, r2 = function(n3, t10) {
        e4[n3] = t10;
      };
      return void 0 === n2 ? (i(t9).forEach(function(n3) {
        return r2(n3, void 0);
      }), { matched: true, selections: e4 }) : { matched: u(t9, n2, r2), selections: e4 };
    }, getSelectionKeys: function() {
      return i(t9);
    }, matcherType: "optional" };
  }, e3;
}
function a(t9) {
  var e3;
  return (e3 = {})[n] = function() {
    return { match: function(n2) {
      if (!Array.isArray(n2))
        return { matched: false };
      var e4 = {};
      if (0 === n2.length)
        return i(t9).forEach(function(n3) {
          e4[n3] = [];
        }), { matched: true, selections: e4 };
      var r2 = function(n3, t10) {
        e4[n3] = (e4[n3] || []).concat([t10]);
      };
      return { matched: n2.every(function(n3) {
        return u(t9, n3, r2);
      }), selections: e4 };
    }, getSelectionKeys: function() {
      return i(t9);
    } };
  }, e3;
}
function f() {
  var t9, e3 = [].slice.call(arguments);
  return (t9 = {})[n] = function() {
    return { match: function(n2) {
      var t10 = {}, r2 = function(n3, e4) {
        t10[n3] = e4;
      };
      return { matched: e3.every(function(t11) {
        return u(t11, n2, r2);
      }), selections: t10 };
    }, getSelectionKeys: function() {
      return c(e3, i);
    }, matcherType: "and" };
  }, t9;
}
function s2() {
  var t9, e3 = [].slice.call(arguments);
  return (t9 = {})[n] = function() {
    return { match: function(n2) {
      var t10 = {}, r2 = function(n3, e4) {
        t10[n3] = e4;
      };
      return c(e3, i).forEach(function(n3) {
        return r2(n3, void 0);
      }), { matched: e3.some(function(t11) {
        return u(t11, n2, r2);
      }), selections: t10 };
    }, getSelectionKeys: function() {
      return c(e3, i);
    }, matcherType: "or" };
  }, t9;
}
function l(t9) {
  var e3;
  return (e3 = {})[n] = function() {
    return { match: function(n2) {
      return { matched: !u(t9, n2, function() {
      }) };
    }, getSelectionKeys: function() {
      return [];
    }, matcherType: "not" };
  }, e3;
}
function h2(t9) {
  var e3;
  return (e3 = {})[n] = function() {
    return { match: function(n2) {
      return { matched: Boolean(t9(n2)) };
    } };
  }, e3;
}
function v() {
  var e3, r2 = [].slice.call(arguments), c4 = "string" == typeof r2[0] ? r2[0] : void 0, o2 = 2 === r2.length ? r2[1] : "string" == typeof r2[0] ? void 0 : r2[0];
  return (e3 = {})[n] = function() {
    return { match: function(n2) {
      var e4, r3 = ((e4 = {})[null != c4 ? c4 : t3] = n2, e4);
      return { matched: void 0 === o2 || u(o2, n2, function(n3, t9) {
        r3[n3] = t9;
      }), selections: r3 };
    }, getSelectionKeys: function() {
      return [null != c4 ? c4 : t3].concat(void 0 === o2 ? [] : i(o2));
    } };
  }, e3;
}
function K(n2) {
  return new O(n2, []);
}
var n, t3, e, r, u, i, c, y2, m2, d2, g, p, b2, w2, A, S, O;
var init_dist = __esm({
  "../../node_modules/.pnpm/ts-pattern@4.3.0/node_modules/ts-pattern/dist/index.js"() {
    "use strict";
    n = Symbol("@ts-pattern/matcher");
    t3 = "@ts-pattern/anonymous-select-key";
    e = function(n2) {
      return Boolean(n2 && "object" == typeof n2);
    };
    r = function(t9) {
      return t9 && !!t9[n];
    };
    u = function t6(u2, i4, c4) {
      if (e(u2)) {
        if (r(u2)) {
          var o2 = u2[n]().match(i4), a3 = o2.matched, f4 = o2.selections;
          return a3 && f4 && Object.keys(f4).forEach(function(n2) {
            return c4(n2, f4[n2]);
          }), a3;
        }
        if (!e(i4))
          return false;
        if (Array.isArray(u2))
          return !!Array.isArray(i4) && u2.length === i4.length && u2.every(function(n2, e3) {
            return t6(n2, i4[e3], c4);
          });
        if (u2 instanceof Map)
          return i4 instanceof Map && Array.from(u2.keys()).every(function(n2) {
            return t6(u2.get(n2), i4.get(n2), c4);
          });
        if (u2 instanceof Set) {
          if (!(i4 instanceof Set))
            return false;
          if (0 === u2.size)
            return 0 === i4.size;
          if (1 === u2.size) {
            var s3 = Array.from(u2.values())[0];
            return r(s3) ? Array.from(i4.values()).every(function(n2) {
              return t6(s3, n2, c4);
            }) : i4.has(s3);
          }
          return Array.from(u2.values()).every(function(n2) {
            return i4.has(n2);
          });
        }
        return Object.keys(u2).every(function(e3) {
          var o3, a4 = u2[e3];
          return (e3 in i4 || r(o3 = a4) && "optional" === o3[n]().matcherType) && t6(a4, i4[e3], c4);
        });
      }
      return Object.is(i4, u2);
    };
    i = function t7(u2) {
      var i4, o2, a3;
      return e(u2) ? r(u2) ? null != (i4 = null == (o2 = (a3 = u2[n]()).getSelectionKeys) ? void 0 : o2.call(a3)) ? i4 : [] : Array.isArray(u2) ? c(u2, t7) : c(Object.values(u2), t7) : [];
    };
    c = function(n2, t9) {
      return n2.reduce(function(n3, e3) {
        return n3.concat(t9(e3));
      }, []);
    };
    y2 = h2(function(n2) {
      return true;
    });
    m2 = y2;
    d2 = h2(function(n2) {
      return "string" == typeof n2;
    });
    g = h2(function(n2) {
      return "number" == typeof n2;
    });
    p = h2(function(n2) {
      return "boolean" == typeof n2;
    });
    b2 = h2(function(n2) {
      return "bigint" == typeof n2;
    });
    w2 = h2(function(n2) {
      return "symbol" == typeof n2;
    });
    A = h2(function(n2) {
      return null == n2;
    });
    S = { __proto__: null, optional: o, array: a, intersection: f, union: s2, not: l, when: h2, select: v, any: y2, _: m2, string: d2, number: g, boolean: p, bigint: b2, symbol: w2, nullish: A, instanceOf: function(n2) {
      return h2(function(n3) {
        return function(t9) {
          return t9 instanceof n3;
        };
      }(n2));
    }, typed: function() {
      return { array: a, optional: o, intersection: f, union: s2, not: l, select: v, when: h2 };
    } };
    O = /* @__PURE__ */ function() {
      function n2(n3, t9) {
        this.value = void 0, this.cases = void 0, this.value = n3, this.cases = t9;
      }
      var e3 = n2.prototype;
      return e3.with = function() {
        var e4 = [].slice.call(arguments), r2 = e4[e4.length - 1], i4 = [e4[0]], c4 = [];
        return 3 === e4.length && "function" == typeof e4[1] ? (i4.push(e4[0]), c4.push(e4[1])) : e4.length > 2 && i4.push.apply(i4, e4.slice(1, e4.length - 1)), new n2(this.value, this.cases.concat([{ match: function(n3) {
          var e6 = {}, r3 = Boolean(i4.some(function(t9) {
            return u(t9, n3, function(n6, t10) {
              e6[n6] = t10;
            });
          }) && c4.every(function(t9) {
            return t9(n3);
          }));
          return { matched: r3, value: r3 && Object.keys(e6).length ? t3 in e6 ? e6[t3] : e6 : n3 };
        }, handler: r2 }]));
      }, e3.when = function(t9, e4) {
        return new n2(this.value, this.cases.concat([{ match: function(n3) {
          return { matched: Boolean(t9(n3)), value: n3 };
        }, handler: e4 }]));
      }, e3.otherwise = function(t9) {
        return new n2(this.value, this.cases.concat([{ match: function(n3) {
          return { matched: true, value: n3 };
        }, handler: t9 }])).run();
      }, e3.exhaustive = function() {
        return this.run();
      }, e3.run = function() {
        for (var n3 = this.value, t9 = void 0, e4 = 0; e4 < this.cases.length; e4++) {
          var r2 = this.cases[e4], u2 = r2.match(this.value);
          if (u2.matched) {
            n3 = u2.value, t9 = r2.handler;
            break;
          }
        }
        if (!t9) {
          var i4;
          try {
            i4 = JSON.stringify(this.value);
          } catch (n6) {
            i4 = this.value;
          }
          throw new Error("Pattern matching error: no pattern matches value " + i4);
        }
        return t9(n3, this.value);
      }, n2;
    }();
  }
});

// ../../node_modules/.pnpm/ansi-escapes@4.3.2/node_modules/ansi-escapes/index.js
var require_ansi_escapes = __commonJS({
  "../../node_modules/.pnpm/ansi-escapes@4.3.2/node_modules/ansi-escapes/index.js"(exports2, module2) {
    "use strict";
    var ansiEscapes2 = module2.exports;
    module2.exports.default = ansiEscapes2;
    var ESC2 = "\x1B[";
    var OSC2 = "\x1B]";
    var BEL2 = "\x07";
    var SEP2 = ";";
    var isTerminalApp2 = process.env.TERM_PROGRAM === "Apple_Terminal";
    ansiEscapes2.cursorTo = (x, y3) => {
      if (typeof x !== "number") {
        throw new TypeError("The `x` argument is required");
      }
      if (typeof y3 !== "number") {
        return ESC2 + (x + 1) + "G";
      }
      return ESC2 + (y3 + 1) + ";" + (x + 1) + "H";
    };
    ansiEscapes2.cursorMove = (x, y3) => {
      if (typeof x !== "number") {
        throw new TypeError("The `x` argument is required");
      }
      let ret = "";
      if (x < 0) {
        ret += ESC2 + -x + "D";
      } else if (x > 0) {
        ret += ESC2 + x + "C";
      }
      if (y3 < 0) {
        ret += ESC2 + -y3 + "A";
      } else if (y3 > 0) {
        ret += ESC2 + y3 + "B";
      }
      return ret;
    };
    ansiEscapes2.cursorUp = (count = 1) => ESC2 + count + "A";
    ansiEscapes2.cursorDown = (count = 1) => ESC2 + count + "B";
    ansiEscapes2.cursorForward = (count = 1) => ESC2 + count + "C";
    ansiEscapes2.cursorBackward = (count = 1) => ESC2 + count + "D";
    ansiEscapes2.cursorLeft = ESC2 + "G";
    ansiEscapes2.cursorSavePosition = isTerminalApp2 ? "\x1B7" : ESC2 + "s";
    ansiEscapes2.cursorRestorePosition = isTerminalApp2 ? "\x1B8" : ESC2 + "u";
    ansiEscapes2.cursorGetPosition = ESC2 + "6n";
    ansiEscapes2.cursorNextLine = ESC2 + "E";
    ansiEscapes2.cursorPrevLine = ESC2 + "F";
    ansiEscapes2.cursorHide = ESC2 + "?25l";
    ansiEscapes2.cursorShow = ESC2 + "?25h";
    ansiEscapes2.eraseLines = (count) => {
      let clear2 = "";
      for (let i4 = 0; i4 < count; i4++) {
        clear2 += ansiEscapes2.eraseLine + (i4 < count - 1 ? ansiEscapes2.cursorUp() : "");
      }
      if (count) {
        clear2 += ansiEscapes2.cursorLeft;
      }
      return clear2;
    };
    ansiEscapes2.eraseEndLine = ESC2 + "K";
    ansiEscapes2.eraseStartLine = ESC2 + "1K";
    ansiEscapes2.eraseLine = ESC2 + "2K";
    ansiEscapes2.eraseDown = ESC2 + "J";
    ansiEscapes2.eraseUp = ESC2 + "1J";
    ansiEscapes2.eraseScreen = ESC2 + "2J";
    ansiEscapes2.scrollUp = ESC2 + "S";
    ansiEscapes2.scrollDown = ESC2 + "T";
    ansiEscapes2.clearScreen = "\x1Bc";
    ansiEscapes2.clearTerminal = process.platform === "win32" ? `${ansiEscapes2.eraseScreen}${ESC2}0f` : (
      // 1. Erases the screen (Only done in case `2` is not supported)
      // 2. Erases the whole screen including scrollback buffer
      // 3. Moves cursor to the top-left position
      // More info: https://www.real-world-systems.com/docs/ANSIcode.html
      `${ansiEscapes2.eraseScreen}${ESC2}3J${ESC2}H`
    );
    ansiEscapes2.beep = BEL2;
    ansiEscapes2.link = (text2, url2) => {
      return [
        OSC2,
        "8",
        SEP2,
        SEP2,
        url2,
        BEL2,
        text2,
        OSC2,
        "8",
        SEP2,
        SEP2,
        BEL2
      ].join("");
    };
    ansiEscapes2.image = (buffer, options2 = {}) => {
      let ret = `${OSC2}1337;File=inline=1`;
      if (options2.width) {
        ret += `;width=${options2.width}`;
      }
      if (options2.height) {
        ret += `;height=${options2.height}`;
      }
      if (options2.preserveAspectRatio === false) {
        ret += ";preserveAspectRatio=0";
      }
      return ret + ":" + buffer.toString("base64") + BEL2;
    };
    ansiEscapes2.iTerm = {
      setCwd: (cwd = process.cwd()) => `${OSC2}50;CurrentDir=${cwd}${BEL2}`,
      annotation: (message2, options2 = {}) => {
        let ret = `${OSC2}1337;`;
        const hasX = typeof options2.x !== "undefined";
        const hasY = typeof options2.y !== "undefined";
        if ((hasX || hasY) && !(hasX && hasY && typeof options2.length !== "undefined")) {
          throw new Error("`x`, `y` and `length` must be defined when `x` or `y` is defined");
        }
        message2 = message2.replace(/\|/g, "");
        ret += options2.isHidden ? "AddHiddenAnnotation=" : "AddAnnotation=";
        if (options2.length > 0) {
          ret += (hasX ? [message2, options2.length, options2.x, options2.y] : [options2.length, message2]).join("|");
        } else {
          ret += message2;
        }
        return ret + BEL2;
      }
    };
  }
});

// ../../node_modules/.pnpm/supports-hyperlinks@2.3.0/node_modules/supports-hyperlinks/index.js
var require_supports_hyperlinks = __commonJS({
  "../../node_modules/.pnpm/supports-hyperlinks@2.3.0/node_modules/supports-hyperlinks/index.js"(exports2, module2) {
    "use strict";
    var supportsColor2 = require_supports_color();
    var hasFlag2 = require_has_flag();
    function parseVersion2(versionString) {
      if (/^\d{3,4}$/.test(versionString)) {
        const m3 = /(\d{1,2})(\d{2})/.exec(versionString);
        return {
          major: 0,
          minor: parseInt(m3[1], 10),
          patch: parseInt(m3[2], 10)
        };
      }
      const versions = (versionString || "").split(".").map((n2) => parseInt(n2, 10));
      return {
        major: versions[0],
        minor: versions[1],
        patch: versions[2]
      };
    }
    function supportsHyperlink2(stream4) {
      const { env: env3 } = process;
      if ("FORCE_HYPERLINK" in env3) {
        return !(env3.FORCE_HYPERLINK.length > 0 && parseInt(env3.FORCE_HYPERLINK, 10) === 0);
      }
      if (hasFlag2("no-hyperlink") || hasFlag2("no-hyperlinks") || hasFlag2("hyperlink=false") || hasFlag2("hyperlink=never")) {
        return false;
      }
      if (hasFlag2("hyperlink=true") || hasFlag2("hyperlink=always")) {
        return true;
      }
      if ("NETLIFY" in env3) {
        return true;
      }
      if (!supportsColor2.supportsColor(stream4)) {
        return false;
      }
      if (stream4 && !stream4.isTTY) {
        return false;
      }
      if (process.platform === "win32") {
        return false;
      }
      if ("CI" in env3) {
        return false;
      }
      if ("TEAMCITY_VERSION" in env3) {
        return false;
      }
      if ("TERM_PROGRAM" in env3) {
        const version3 = parseVersion2(env3.TERM_PROGRAM_VERSION);
        switch (env3.TERM_PROGRAM) {
          case "iTerm.app":
            if (version3.major === 3) {
              return version3.minor >= 1;
            }
            return version3.major > 3;
          case "WezTerm":
            return version3.major >= 20200620;
          case "vscode":
            return version3.major > 1 || version3.major === 1 && version3.minor >= 72;
        }
      }
      if ("VTE_VERSION" in env3) {
        if (env3.VTE_VERSION === "0.50.0") {
          return false;
        }
        const version3 = parseVersion2(env3.VTE_VERSION);
        return version3.major > 0 || version3.minor >= 50;
      }
      return false;
    }
    module2.exports = {
      supportsHyperlink: supportsHyperlink2,
      stdout: supportsHyperlink2(process.stdout),
      stderr: supportsHyperlink2(process.stderr)
    };
  }
});

// ../../node_modules/.pnpm/terminal-link@2.1.1/node_modules/terminal-link/index.js
var require_terminal_link = __commonJS({
  "../../node_modules/.pnpm/terminal-link@2.1.1/node_modules/terminal-link/index.js"(exports2, module2) {
    "use strict";
    var ansiEscapes2 = require_ansi_escapes();
    var supportsHyperlinks2 = require_supports_hyperlinks();
    var terminalLink4 = (text2, url2, { target = "stdout", ...options2 } = {}) => {
      if (!supportsHyperlinks2[target]) {
        if (options2.fallback === false) {
          return text2;
        }
        return typeof options2.fallback === "function" ? options2.fallback(text2, url2) : `${text2} (\u200B${url2}\u200B)`;
      }
      return ansiEscapes2.link(text2, url2);
    };
    module2.exports = (text2, url2, options2 = {}) => terminalLink4(text2, url2, options2);
    module2.exports.stderr = (text2, url2, options2 = {}) => terminalLink4(text2, url2, { target: "stderr", ...options2 });
    module2.exports.isSupported = supportsHyperlinks2.stdout;
    module2.exports.stderr.isSupported = supportsHyperlinks2.stderr;
  }
});

// ../get-platform/src/link.ts
function link2(url2) {
  return (0, import_terminal_link.default)(url2, url2, {
    fallback: underline
  });
}
var import_terminal_link;
var init_link = __esm({
  "../get-platform/src/link.ts"() {
    "use strict";
    init_colors();
    import_terminal_link = __toESM(require_terminal_link());
  }
});

// ../get-platform/src/logger.ts
function warn2(message2, ...optionalParams) {
  if (should2.warn()) {
    console.warn(`${tags2.warn} ${message2}`, ...optionalParams);
  }
}
var tags2, should2;
var init_logger = __esm({
  "../get-platform/src/logger.ts"() {
    "use strict";
    init_colors();
    tags2 = {
      warn: yellow("prisma:warn")
    };
    should2 = {
      warn: () => !process.env.PRISMA_DISABLE_WARNINGS
    };
  }
});

// ../get-platform/src/getPlatform.ts
async function getos() {
  const platform2 = import_os.default.platform();
  const arch = process.arch;
  if (platform2 === "freebsd") {
    const version3 = await getCommandOutput(`freebsd-version`);
    if (version3 && version3.trim().length > 0) {
      const regex2 = /^(\d+)\.?/;
      const match4 = regex2.exec(version3);
      if (match4) {
        return {
          platform: "freebsd",
          targetDistro: `freebsd${match4[1]}`,
          arch
        };
      }
    }
  }
  if (platform2 !== "linux") {
    return {
      platform: platform2,
      arch
    };
  }
  const distroInfo = await resolveDistro();
  const archFromUname = await getArchFromUname();
  const libsslSpecificPaths = computeLibSSLSpecificPaths({ arch, archFromUname, familyDistro: distroInfo.familyDistro });
  const { libssl } = await getSSLVersion(libsslSpecificPaths);
  return {
    platform: "linux",
    libssl,
    arch,
    archFromUname,
    ...distroInfo
  };
}
function parseDistro(osReleaseInput) {
  const idRegex = /^ID="?([^"\n]*)"?$/im;
  const idLikeRegex = /^ID_LIKE="?([^"\n]*)"?$/im;
  const idMatch = idRegex.exec(osReleaseInput);
  const id2 = idMatch && idMatch[1] && idMatch[1].toLowerCase() || "";
  const idLikeMatch = idLikeRegex.exec(osReleaseInput);
  const idLike = idLikeMatch && idLikeMatch[1] && idLikeMatch[1].toLowerCase() || "";
  const distroInfo = K({ id: id2, idLike }).with(
    { id: "alpine" },
    ({ id: originalDistro }) => ({
      targetDistro: "musl",
      familyDistro: originalDistro,
      originalDistro
    })
  ).with(
    { id: "raspbian" },
    ({ id: originalDistro }) => ({
      targetDistro: "arm",
      familyDistro: "debian",
      originalDistro
    })
  ).with(
    { id: "nixos" },
    ({ id: originalDistro }) => ({
      targetDistro: "nixos",
      originalDistro,
      familyDistro: "nixos"
    })
  ).with(
    { id: "debian" },
    { id: "ubuntu" },
    ({ id: originalDistro }) => ({
      targetDistro: "debian",
      familyDistro: "debian",
      originalDistro
    })
  ).with(
    { id: "rhel" },
    { id: "centos" },
    { id: "fedora" },
    ({ id: originalDistro }) => ({
      targetDistro: "rhel",
      familyDistro: "rhel",
      originalDistro
    })
  ).when(
    ({ idLike: idLike2 }) => idLike2.includes("debian") || idLike2.includes("ubuntu"),
    ({ id: originalDistro }) => ({
      targetDistro: "debian",
      familyDistro: "debian",
      originalDistro
    })
  ).when(
    ({ idLike: idLike2 }) => id2 === "arch" || idLike2.includes("arch"),
    ({ id: originalDistro }) => ({
      targetDistro: "debian",
      familyDistro: "arch",
      originalDistro
    })
  ).when(
    ({ idLike: idLike2 }) => idLike2.includes("centos") || idLike2.includes("fedora") || idLike2.includes("rhel") || idLike2.includes("suse"),
    ({ id: originalDistro }) => ({
      targetDistro: "rhel",
      familyDistro: "rhel",
      originalDistro
    })
  ).otherwise(({ id: originalDistro }) => {
    return {
      targetDistro: void 0,
      familyDistro: void 0,
      originalDistro
    };
  });
  debug3(`Found distro info:
${JSON.stringify(distroInfo, null, 2)}`);
  return distroInfo;
}
async function resolveDistro() {
  const osReleaseFile = "/etc/os-release";
  try {
    const osReleaseInput = await import_promises3.default.readFile(osReleaseFile, { encoding: "utf-8" });
    return parseDistro(osReleaseInput);
  } catch (_3) {
    return {
      targetDistro: void 0,
      familyDistro: void 0,
      originalDistro: void 0
    };
  }
}
function parseOpenSSLVersion(input) {
  const match4 = /^OpenSSL\s(\d+\.\d+)\.\d+/.exec(input);
  if (match4) {
    const partialVersion = `${match4[1]}.x`;
    return sanitiseSSLVersion(partialVersion);
  }
  return void 0;
}
function parseLibSSLVersion(input) {
  const match4 = /libssl\.so\.(\d)(\.\d)?/.exec(input);
  if (match4) {
    const partialVersion = `${match4[1]}${match4[2] ?? ".0"}.x`;
    return sanitiseSSLVersion(partialVersion);
  }
  return void 0;
}
function sanitiseSSLVersion(version3) {
  const sanitisedVersion = (() => {
    if (isLibssl1x(version3)) {
      return version3;
    }
    const versionSplit = version3.split(".");
    versionSplit[1] = "0";
    return versionSplit.join(".");
  })();
  if (supportedLibSSLVersions.includes(sanitisedVersion)) {
    return sanitisedVersion;
  }
  return void 0;
}
function computeLibSSLSpecificPaths(args3) {
  return K(args3).with({ familyDistro: "musl" }, () => {
    debug3('Trying platform-specific paths for "alpine"');
    return ["/lib"];
  }).with({ familyDistro: "debian" }, ({ archFromUname }) => {
    debug3('Trying platform-specific paths for "debian" (and "ubuntu")');
    return [`/usr/lib/${archFromUname}-linux-gnu`, `/lib/${archFromUname}-linux-gnu`];
  }).with({ familyDistro: "rhel" }, () => {
    debug3('Trying platform-specific paths for "rhel"');
    return ["/lib64", "/usr/lib64"];
  }).otherwise(({ familyDistro, arch, archFromUname }) => {
    debug3(`Don't know any platform-specific paths for "${familyDistro}" on ${arch} (${archFromUname})`);
    return [];
  });
}
async function getSSLVersion(libsslSpecificPaths) {
  const excludeLibssl0x = 'grep -v "libssl.so.0"';
  const libsslFilenameFromSpecificPath = await findLibSSLInLocations(libsslSpecificPaths);
  if (libsslFilenameFromSpecificPath) {
    debug3(`Found libssl.so file using platform-specific paths: ${libsslFilenameFromSpecificPath}`);
    const libsslVersion = parseLibSSLVersion(libsslFilenameFromSpecificPath);
    debug3(`The parsed libssl version is: ${libsslVersion}`);
    if (libsslVersion) {
      return { libssl: libsslVersion, strategy: "libssl-specific-path" };
    }
  }
  debug3('Falling back to "ldconfig" and other generic paths');
  let libsslFilename = await getCommandOutput(
    /**
     * The `ldconfig -p` returns the dynamic linker cache paths, where libssl.so files are likely to be included.
     * Each line looks like this:
     * 	libssl.so (libc6,hard-float) => /usr/lib/arm-linux-gnueabihf/libssl.so.1.1
     * But we're only interested in the filename, so we use sed to remove everything before the `=>` separator,
     * and then we remove the path and keep only the filename.
     * The second sed commands uses `|` as a separator because the paths may contain `/`, which would result in the
     * `unknown option to 's'` error (see https://stackoverflow.com/a/9366940/6174476) - which would silently
     * fail with error code 0.
     */
    `ldconfig -p | sed "s/.*=>s*//" | sed "s|.*/||" | grep libssl | sort | ${excludeLibssl0x}`
  );
  if (!libsslFilename) {
    libsslFilename = await findLibSSLInLocations(["/lib64", "/usr/lib64", "/lib"]);
  }
  if (libsslFilename) {
    debug3(`Found libssl.so file using "ldconfig" or other generic paths: ${libsslFilename}`);
    const libsslVersion = parseLibSSLVersion(libsslFilename);
    debug3(`The parsed libssl version is: ${libsslVersion}`);
    if (libsslVersion) {
      return { libssl: libsslVersion, strategy: "ldconfig" };
    }
  }
  const openSSLVersionLine = await getCommandOutput("openssl version -v");
  if (openSSLVersionLine) {
    debug3(`Found openssl binary with version: ${openSSLVersionLine}`);
    const openSSLVersion = parseOpenSSLVersion(openSSLVersionLine);
    debug3(`The parsed openssl version is: ${openSSLVersion}`);
    if (openSSLVersion) {
      return { libssl: openSSLVersion, strategy: "openssl-binary" };
    }
  }
  debug3(`Couldn't find any version of libssl or OpenSSL in the system`);
  return {};
}
async function findLibSSLInLocations(directories) {
  for (const dir3 of directories) {
    const libssl = await findLibSSL(dir3);
    if (libssl) {
      return libssl;
    }
  }
  return void 0;
}
async function findLibSSL(directory) {
  try {
    const dirContents = await import_promises3.default.readdir(directory);
    return dirContents.find((value) => value.startsWith("libssl.so.") && !value.startsWith("libssl.so.0"));
  } catch (e3) {
    if (e3.code === "ENOENT") {
      return void 0;
    }
    throw e3;
  }
}
async function getPlatform2() {
  const { binaryTarget } = await getPlatformInfoMemoized();
  return binaryTarget;
}
function isPlatformInfoDefined(args3) {
  return args3.binaryTarget !== void 0;
}
async function getPlatformInfo() {
  const { memoized: _3, ...rest } = await getPlatformInfoMemoized();
  return rest;
}
async function getPlatformInfoMemoized() {
  if (isPlatformInfoDefined(memoizedPlatformWithInfo)) {
    return Promise.resolve({ ...memoizedPlatformWithInfo, memoized: true });
  }
  const args3 = await getos();
  const binaryTarget = getPlatformInternal(args3);
  memoizedPlatformWithInfo = { ...args3, binaryTarget };
  return { ...memoizedPlatformWithInfo, memoized: false };
}
function getPlatformInternal(args3) {
  const { platform: platform2, arch, archFromUname, libssl, targetDistro, familyDistro, originalDistro } = args3;
  if (platform2 === "linux" && !["x64", "arm64"].includes(arch)) {
    warn2(
      `Prisma only officially supports Linux on amd64 (x86_64) and arm64 (aarch64) system architectures. If you are using your own custom Prisma engines, you can ignore this warning, as long as you've compiled the engines for your system architecture "${archFromUname}".`
    );
  }
  const defaultLibssl = "1.1.x";
  if (platform2 === "linux" && libssl === void 0) {
    const additionalMessage = K({ familyDistro }).with({ familyDistro: "debian" }, () => {
      return "Please manually install OpenSSL via `apt-get update -y && apt-get install -y openssl` and try installing Prisma again. If you're running Prisma on Docker, add this command to your Dockerfile, or switch to an image that already has OpenSSL installed.";
    }).otherwise(() => {
      return "Please manually install OpenSSL and try installing Prisma again.";
    });
    warn2(
      `Prisma failed to detect the libssl/openssl version to use, and may not work as expected. Defaulting to "openssl-${defaultLibssl}".
${additionalMessage}`
    );
  }
  const defaultDistro = "debian";
  if (platform2 === "linux" && targetDistro === void 0) {
    warn2(
      `Prisma doesn't know which engines to download for the Linux distro "${originalDistro}". Falling back to Prisma engines built "${defaultDistro}".
Please report your experience by creating an issue at ${link2(
        "https://github.com/prisma/prisma/issues"
      )} so we can add your distro to the list of known supported distros.`
    );
  }
  if (platform2 === "darwin" && arch === "arm64") {
    return "darwin-arm64";
  }
  if (platform2 === "darwin") {
    return "darwin";
  }
  if (platform2 === "win32") {
    return "windows";
  }
  if (platform2 === "freebsd") {
    return targetDistro;
  }
  if (platform2 === "openbsd") {
    return "openbsd";
  }
  if (platform2 === "netbsd") {
    return "netbsd";
  }
  if (platform2 === "linux" && targetDistro === "nixos") {
    return "linux-nixos";
  }
  if (platform2 === "linux" && arch === "arm64") {
    const baseName = targetDistro === "musl" ? "linux-musl-arm64" : "linux-arm64";
    return `${baseName}-openssl-${libssl || defaultLibssl}`;
  }
  if (platform2 === "linux" && arch === "arm") {
    return `linux-arm-openssl-${libssl || defaultLibssl}`;
  }
  if (platform2 === "linux" && targetDistro === "musl") {
    const base = "linux-musl";
    if (!libssl) {
      return base;
    }
    if (isLibssl1x(libssl)) {
      return base;
    } else {
      return `${base}-openssl-${libssl}`;
    }
  }
  if (platform2 === "linux" && targetDistro && libssl) {
    return `${targetDistro}-openssl-${libssl}`;
  }
  if (platform2 !== "linux") {
    warn2(`Prisma detected unknown OS "${platform2}" and may not work as expected. Defaulting to "linux".`);
  }
  if (libssl) {
    return `${defaultDistro}-openssl-${libssl}`;
  }
  if (targetDistro) {
    return `${targetDistro}-openssl-${defaultLibssl}`;
  }
  return `${defaultDistro}-openssl-${defaultLibssl}`;
}
async function discardError(runPromise) {
  try {
    return await runPromise();
  } catch (e3) {
    return void 0;
  }
}
function getCommandOutput(command) {
  return discardError(async () => {
    const result = await exec(command);
    debug3(`Command "${command}" successfully returned "${result.stdout}"`);
    return result.stdout;
  });
}
async function getArchFromUname() {
  if (typeof import_os.default["machine"] === "function") {
    return import_os.default["machine"]();
  }
  const arch = await getCommandOutput("uname -m");
  return arch?.trim();
}
function isLibssl1x(libssl) {
  return libssl.startsWith("1.");
}
var import_child_process, import_promises3, import_os, import_util, exec, debug3, supportedLibSSLVersions, memoizedPlatformWithInfo;
var init_getPlatform = __esm({
  "../get-platform/src/getPlatform.ts"() {
    "use strict";
    init_src();
    import_child_process = __toESM(require("child_process"));
    import_promises3 = __toESM(require("fs/promises"));
    import_os = __toESM(require("os"));
    init_dist();
    import_util = require("util");
    init_link();
    init_logger();
    exec = (0, import_util.promisify)(import_child_process.default.exec);
    debug3 = src_default("prisma:get-platform");
    supportedLibSSLVersions = ["1.0.x", "1.1.x", "3.0.x"];
    memoizedPlatformWithInfo = {};
  }
});

// ../get-platform/src/platforms.ts
var platforms;
var init_platforms = __esm({
  "../get-platform/src/platforms.ts"() {
    "use strict";
    platforms = [
      "darwin",
      "darwin-arm64",
      "debian-openssl-1.0.x",
      "debian-openssl-1.1.x",
      "debian-openssl-3.0.x",
      "rhel-openssl-1.0.x",
      "rhel-openssl-1.1.x",
      "rhel-openssl-3.0.x",
      "linux-arm64-openssl-1.1.x",
      "linux-arm64-openssl-1.0.x",
      "linux-arm64-openssl-3.0.x",
      "linux-arm-openssl-1.1.x",
      "linux-arm-openssl-1.0.x",
      "linux-arm-openssl-3.0.x",
      "linux-musl",
      "linux-musl-openssl-3.0.x",
      "linux-musl-arm64-openssl-1.1.x",
      "linux-musl-arm64-openssl-3.0.x",
      "linux-nixos",
      "linux-static-x64",
      "linux-static-arm64",
      "windows",
      "freebsd11",
      "freebsd12",
      "freebsd13",
      "openbsd",
      "netbsd",
      "arm"
    ];
  }
});

// ../../node_modules/.pnpm/isexe@2.0.0/node_modules/isexe/windows.js
var require_windows = __commonJS({
  "../../node_modules/.pnpm/isexe@2.0.0/node_modules/isexe/windows.js"(exports2, module2) {
    "use strict";
    module2.exports = isexe2;
    isexe2.sync = sync2;
    var fs42 = require("fs");
    function checkPathExt(path39, options2) {
      var pathext = options2.pathExt !== void 0 ? options2.pathExt : process.env.PATHEXT;
      if (!pathext) {
        return true;
      }
      pathext = pathext.split(";");
      if (pathext.indexOf("") !== -1) {
        return true;
      }
      for (var i4 = 0; i4 < pathext.length; i4++) {
        var p2 = pathext[i4].toLowerCase();
        if (p2 && path39.substr(-p2.length).toLowerCase() === p2) {
          return true;
        }
      }
      return false;
    }
    function checkStat(stat, path39, options2) {
      if (!stat.isSymbolicLink() && !stat.isFile()) {
        return false;
      }
      return checkPathExt(path39, options2);
    }
    function isexe2(path39, options2, cb2) {
      fs42.stat(path39, function(er, stat) {
        cb2(er, er ? false : checkStat(stat, path39, options2));
      });
    }
    function sync2(path39, options2) {
      return checkStat(fs42.statSync(path39), path39, options2);
    }
  }
});

// ../../node_modules/.pnpm/isexe@2.0.0/node_modules/isexe/mode.js
var require_mode = __commonJS({
  "../../node_modules/.pnpm/isexe@2.0.0/node_modules/isexe/mode.js"(exports2, module2) {
    "use strict";
    module2.exports = isexe2;
    isexe2.sync = sync2;
    var fs42 = require("fs");
    function isexe2(path39, options2, cb2) {
      fs42.stat(path39, function(er, stat) {
        cb2(er, er ? false : checkStat(stat, options2));
      });
    }
    function sync2(path39, options2) {
      return checkStat(fs42.statSync(path39), options2);
    }
    function checkStat(stat, options2) {
      return stat.isFile() && checkMode(stat, options2);
    }
    function checkMode(stat, options2) {
      var mod = stat.mode;
      var uid = stat.uid;
      var gid = stat.gid;
      var myUid = options2.uid !== void 0 ? options2.uid : process.getuid && process.getuid();
      var myGid = options2.gid !== void 0 ? options2.gid : process.getgid && process.getgid();
      var u2 = parseInt("100", 8);
      var g2 = parseInt("010", 8);
      var o2 = parseInt("001", 8);
      var ug = u2 | g2;
      var ret = mod & o2 || mod & g2 && gid === myGid || mod & u2 && uid === myUid || mod & ug && myUid === 0;
      return ret;
    }
  }
});

// ../../node_modules/.pnpm/isexe@2.0.0/node_modules/isexe/index.js
var require_isexe = __commonJS({
  "../../node_modules/.pnpm/isexe@2.0.0/node_modules/isexe/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var core2;
    if (process.platform === "win32" || global.TESTING_WINDOWS) {
      core2 = require_windows();
    } else {
      core2 = require_mode();
    }
    module2.exports = isexe2;
    isexe2.sync = sync2;
    function isexe2(path39, options2, cb2) {
      if (typeof options2 === "function") {
        cb2 = options2;
        options2 = {};
      }
      if (!cb2) {
        if (typeof Promise !== "function") {
          throw new TypeError("callback not provided");
        }
        return new Promise(function(resolve3, reject2) {
          isexe2(path39, options2 || {}, function(er, is2) {
            if (er) {
              reject2(er);
            } else {
              resolve3(is2);
            }
          });
        });
      }
      core2(path39, options2 || {}, function(er, is2) {
        if (er) {
          if (er.code === "EACCES" || options2 && options2.ignoreErrors) {
            er = null;
            is2 = false;
          }
        }
        cb2(er, is2);
      });
    }
    function sync2(path39, options2) {
      try {
        return core2.sync(path39, options2 || {});
      } catch (er) {
        if (options2 && options2.ignoreErrors || er.code === "EACCES") {
          return false;
        } else {
          throw er;
        }
      }
    }
  }
});

// ../../node_modules/.pnpm/which@2.0.2/node_modules/which/which.js
var require_which = __commonJS({
  "../../node_modules/.pnpm/which@2.0.2/node_modules/which/which.js"(exports2, module2) {
    "use strict";
    var isWindows3 = process.platform === "win32" || process.env.OSTYPE === "cygwin" || process.env.OSTYPE === "msys";
    var path39 = require("path");
    var COLON2 = isWindows3 ? ";" : ":";
    var isexe2 = require_isexe();
    var getNotFoundError2 = (cmd) => Object.assign(new Error(`not found: ${cmd}`), { code: "ENOENT" });
    var getPathInfo2 = (cmd, opt) => {
      const colon = opt.colon || COLON2;
      const pathEnv = cmd.match(/\//) || isWindows3 && cmd.match(/\\/) ? [""] : [
        // windows always checks the cwd first
        ...isWindows3 ? [process.cwd()] : [],
        ...(opt.path || process.env.PATH || /* istanbul ignore next: very unusual */
        "").split(colon)
      ];
      const pathExtExe = isWindows3 ? opt.pathExt || process.env.PATHEXT || ".EXE;.CMD;.BAT;.COM" : "";
      const pathExt = isWindows3 ? pathExtExe.split(colon) : [""];
      if (isWindows3) {
        if (cmd.indexOf(".") !== -1 && pathExt[0] !== "")
          pathExt.unshift("");
      }
      return {
        pathEnv,
        pathExt,
        pathExtExe
      };
    };
    var which2 = (cmd, opt, cb2) => {
      if (typeof opt === "function") {
        cb2 = opt;
        opt = {};
      }
      if (!opt)
        opt = {};
      const { pathEnv, pathExt, pathExtExe } = getPathInfo2(cmd, opt);
      const found = [];
      const step = (i4) => new Promise((resolve3, reject2) => {
        if (i4 === pathEnv.length)
          return opt.all && found.length ? resolve3(found) : reject2(getNotFoundError2(cmd));
        const ppRaw = pathEnv[i4];
        const pathPart = /^".*"$/.test(ppRaw) ? ppRaw.slice(1, -1) : ppRaw;
        const pCmd = path39.join(pathPart, cmd);
        const p2 = !pathPart && /^\.[\\\/]/.test(cmd) ? cmd.slice(0, 2) + pCmd : pCmd;
        resolve3(subStep(p2, i4, 0));
      });
      const subStep = (p2, i4, ii) => new Promise((resolve3, reject2) => {
        if (ii === pathExt.length)
          return resolve3(step(i4 + 1));
        const ext = pathExt[ii];
        isexe2(p2 + ext, { pathExt: pathExtExe }, (er, is2) => {
          if (!er && is2) {
            if (opt.all)
              found.push(p2 + ext);
            else
              return resolve3(p2 + ext);
          }
          return resolve3(subStep(p2, i4, ii + 1));
        });
      });
      return cb2 ? step(0).then((res) => cb2(null, res), cb2) : step(0);
    };
    var whichSync2 = (cmd, opt) => {
      opt = opt || {};
      const { pathEnv, pathExt, pathExtExe } = getPathInfo2(cmd, opt);
      const found = [];
      for (let i4 = 0; i4 < pathEnv.length; i4++) {
        const ppRaw = pathEnv[i4];
        const pathPart = /^".*"$/.test(ppRaw) ? ppRaw.slice(1, -1) : ppRaw;
        const pCmd = path39.join(pathPart, cmd);
        const p2 = !pathPart && /^\.[\\\/]/.test(cmd) ? cmd.slice(0, 2) + pCmd : pCmd;
        for (let j2 = 0; j2 < pathExt.length; j2++) {
          const cur = p2 + pathExt[j2];
          try {
            const is2 = isexe2.sync(cur, { pathExt: pathExtExe });
            if (is2) {
              if (opt.all)
                found.push(cur);
              else
                return cur;
            }
          } catch (ex2) {
          }
        }
      }
      if (opt.all && found.length)
        return found;
      if (opt.nothrow)
        return null;
      throw getNotFoundError2(cmd);
    };
    module2.exports = which2;
    which2.sync = whichSync2;
  }
});

// ../../node_modules/.pnpm/path-key@3.1.1/node_modules/path-key/index.js
var require_path_key = __commonJS({
  "../../node_modules/.pnpm/path-key@3.1.1/node_modules/path-key/index.js"(exports2, module2) {
    "use strict";
    var pathKey2 = (options2 = {}) => {
      const environment = options2.env || process.env;
      const platform2 = options2.platform || process.platform;
      if (platform2 !== "win32") {
        return "PATH";
      }
      return Object.keys(environment).reverse().find((key) => key.toUpperCase() === "PATH") || "Path";
    };
    module2.exports = pathKey2;
    module2.exports.default = pathKey2;
  }
});

// ../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/util/resolveCommand.js
var require_resolveCommand = __commonJS({
  "../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/util/resolveCommand.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var which2 = require_which();
    var getPathKey2 = require_path_key();
    function resolveCommandAttempt2(parsed, withoutPathExt) {
      const env3 = parsed.options.env || process.env;
      const cwd = process.cwd();
      const hasCustomCwd = parsed.options.cwd != null;
      const shouldSwitchCwd = hasCustomCwd && process.chdir !== void 0 && !process.chdir.disabled;
      if (shouldSwitchCwd) {
        try {
          process.chdir(parsed.options.cwd);
        } catch (err) {
        }
      }
      let resolved;
      try {
        resolved = which2.sync(parsed.command, {
          path: env3[getPathKey2({ env: env3 })],
          pathExt: withoutPathExt ? path39.delimiter : void 0
        });
      } catch (e3) {
      } finally {
        if (shouldSwitchCwd) {
          process.chdir(cwd);
        }
      }
      if (resolved) {
        resolved = path39.resolve(hasCustomCwd ? parsed.options.cwd : "", resolved);
      }
      return resolved;
    }
    function resolveCommand2(parsed) {
      return resolveCommandAttempt2(parsed) || resolveCommandAttempt2(parsed, true);
    }
    module2.exports = resolveCommand2;
  }
});

// ../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/util/escape.js
var require_escape = __commonJS({
  "../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/util/escape.js"(exports2, module2) {
    "use strict";
    var metaCharsRegExp2 = /([()\][%!^"`<>&|;, *?])/g;
    function escapeCommand2(arg3) {
      arg3 = arg3.replace(metaCharsRegExp2, "^$1");
      return arg3;
    }
    function escapeArgument2(arg3, doubleEscapeMetaChars) {
      arg3 = `${arg3}`;
      arg3 = arg3.replace(/(\\*)"/g, '$1$1\\"');
      arg3 = arg3.replace(/(\\*)$/, "$1$1");
      arg3 = `"${arg3}"`;
      arg3 = arg3.replace(metaCharsRegExp2, "^$1");
      if (doubleEscapeMetaChars) {
        arg3 = arg3.replace(metaCharsRegExp2, "^$1");
      }
      return arg3;
    }
    module2.exports.command = escapeCommand2;
    module2.exports.argument = escapeArgument2;
  }
});

// ../../node_modules/.pnpm/shebang-regex@3.0.0/node_modules/shebang-regex/index.js
var require_shebang_regex = __commonJS({
  "../../node_modules/.pnpm/shebang-regex@3.0.0/node_modules/shebang-regex/index.js"(exports2, module2) {
    "use strict";
    module2.exports = /^#!(.*)/;
  }
});

// ../../node_modules/.pnpm/shebang-command@2.0.0/node_modules/shebang-command/index.js
var require_shebang_command = __commonJS({
  "../../node_modules/.pnpm/shebang-command@2.0.0/node_modules/shebang-command/index.js"(exports2, module2) {
    "use strict";
    var shebangRegex2 = require_shebang_regex();
    module2.exports = (string = "") => {
      const match4 = string.match(shebangRegex2);
      if (!match4) {
        return null;
      }
      const [path39, argument] = match4[0].replace(/#! ?/, "").split(" ");
      const binary = path39.split("/").pop();
      if (binary === "env") {
        return argument;
      }
      return argument ? `${binary} ${argument}` : binary;
    };
  }
});

// ../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/util/readShebang.js
var require_readShebang = __commonJS({
  "../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/util/readShebang.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var shebangCommand2 = require_shebang_command();
    function readShebang2(command) {
      const size = 150;
      const buffer = Buffer.alloc(size);
      let fd;
      try {
        fd = fs42.openSync(command, "r");
        fs42.readSync(fd, buffer, 0, size, 0);
        fs42.closeSync(fd);
      } catch (e3) {
      }
      return shebangCommand2(buffer.toString());
    }
    module2.exports = readShebang2;
  }
});

// ../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/parse.js
var require_parse3 = __commonJS({
  "../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/parse.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var resolveCommand2 = require_resolveCommand();
    var escape3 = require_escape();
    var readShebang2 = require_readShebang();
    var isWin = process.platform === "win32";
    var isExecutableRegExp2 = /\.(?:com|exe)$/i;
    var isCmdShimRegExp2 = /node_modules[\\/].bin[\\/][^\\/]+\.cmd$/i;
    function detectShebang2(parsed) {
      parsed.file = resolveCommand2(parsed);
      const shebang = parsed.file && readShebang2(parsed.file);
      if (shebang) {
        parsed.args.unshift(parsed.file);
        parsed.command = shebang;
        return resolveCommand2(parsed);
      }
      return parsed.file;
    }
    function parseNonShell2(parsed) {
      if (!isWin) {
        return parsed;
      }
      const commandFile = detectShebang2(parsed);
      const needsShell = !isExecutableRegExp2.test(commandFile);
      if (parsed.options.forceShell || needsShell) {
        const needsDoubleEscapeMetaChars = isCmdShimRegExp2.test(commandFile);
        parsed.command = path39.normalize(parsed.command);
        parsed.command = escape3.command(parsed.command);
        parsed.args = parsed.args.map((arg3) => escape3.argument(arg3, needsDoubleEscapeMetaChars));
        const shellCommand = [parsed.command].concat(parsed.args).join(" ");
        parsed.args = ["/d", "/s", "/c", `"${shellCommand}"`];
        parsed.command = process.env.comspec || "cmd.exe";
        parsed.options.windowsVerbatimArguments = true;
      }
      return parsed;
    }
    function parse3(command, args3, options2) {
      if (args3 && !Array.isArray(args3)) {
        options2 = args3;
        args3 = null;
      }
      args3 = args3 ? args3.slice(0) : [];
      options2 = Object.assign({}, options2);
      const parsed = {
        command,
        args: args3,
        options: options2,
        file: void 0,
        original: {
          command,
          args: args3
        }
      };
      return options2.shell ? parsed : parseNonShell2(parsed);
    }
    module2.exports = parse3;
  }
});

// ../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/enoent.js
var require_enoent = __commonJS({
  "../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/lib/enoent.js"(exports2, module2) {
    "use strict";
    var isWin = process.platform === "win32";
    function notFoundError2(original, syscall) {
      return Object.assign(new Error(`${syscall} ${original.command} ENOENT`), {
        code: "ENOENT",
        errno: "ENOENT",
        syscall: `${syscall} ${original.command}`,
        path: original.command,
        spawnargs: original.args
      });
    }
    function hookChildProcess2(cp3, parsed) {
      if (!isWin) {
        return;
      }
      const originalEmit = cp3.emit;
      cp3.emit = function(name, arg1) {
        if (name === "exit") {
          const err = verifyENOENT2(arg1, parsed, "spawn");
          if (err) {
            return originalEmit.call(cp3, "error", err);
          }
        }
        return originalEmit.apply(cp3, arguments);
      };
    }
    function verifyENOENT2(status, parsed) {
      if (isWin && status === 1 && !parsed.file) {
        return notFoundError2(parsed.original, "spawn");
      }
      return null;
    }
    function verifyENOENTSync2(status, parsed) {
      if (isWin && status === 1 && !parsed.file) {
        return notFoundError2(parsed.original, "spawnSync");
      }
      return null;
    }
    module2.exports = {
      hookChildProcess: hookChildProcess2,
      verifyENOENT: verifyENOENT2,
      verifyENOENTSync: verifyENOENTSync2,
      notFoundError: notFoundError2
    };
  }
});

// ../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/index.js
var require_cross_spawn = __commonJS({
  "../../node_modules/.pnpm/cross-spawn@7.0.3/node_modules/cross-spawn/index.js"(exports2, module2) {
    "use strict";
    var cp3 = require("child_process");
    var parse3 = require_parse3();
    var enoent2 = require_enoent();
    function spawn5(command, args3, options2) {
      const parsed = parse3(command, args3, options2);
      const spawned = cp3.spawn(parsed.command, parsed.args, parsed.options);
      enoent2.hookChildProcess(spawned, parsed);
      return spawned;
    }
    function spawnSync2(command, args3, options2) {
      const parsed = parse3(command, args3, options2);
      const result = cp3.spawnSync(parsed.command, parsed.args, parsed.options);
      result.error = result.error || enoent2.verifyENOENTSync(result.status, parsed);
      return result;
    }
    module2.exports = spawn5;
    module2.exports.spawn = spawn5;
    module2.exports.sync = spawnSync2;
    module2.exports._parse = parse3;
    module2.exports._enoent = enoent2;
  }
});

// ../../node_modules/.pnpm/strip-final-newline@2.0.0/node_modules/strip-final-newline/index.js
var require_strip_final_newline = __commonJS({
  "../../node_modules/.pnpm/strip-final-newline@2.0.0/node_modules/strip-final-newline/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (input) => {
      const LF = typeof input === "string" ? "\n" : "\n".charCodeAt();
      const CR = typeof input === "string" ? "\r" : "\r".charCodeAt();
      if (input[input.length - 1] === LF) {
        input = input.slice(0, input.length - 1);
      }
      if (input[input.length - 1] === CR) {
        input = input.slice(0, input.length - 1);
      }
      return input;
    };
  }
});

// ../../node_modules/.pnpm/npm-run-path@4.0.1/node_modules/npm-run-path/index.js
var require_npm_run_path = __commonJS({
  "../../node_modules/.pnpm/npm-run-path@4.0.1/node_modules/npm-run-path/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var pathKey2 = require_path_key();
    var npmRunPath2 = (options2) => {
      options2 = {
        cwd: process.cwd(),
        path: process.env[pathKey2()],
        execPath: process.execPath,
        ...options2
      };
      let previous;
      let cwdPath = path39.resolve(options2.cwd);
      const result = [];
      while (previous !== cwdPath) {
        result.push(path39.join(cwdPath, "node_modules/.bin"));
        previous = cwdPath;
        cwdPath = path39.resolve(cwdPath, "..");
      }
      const execPathDir = path39.resolve(options2.cwd, options2.execPath, "..");
      result.push(execPathDir);
      return result.concat(options2.path).join(path39.delimiter);
    };
    module2.exports = npmRunPath2;
    module2.exports.default = npmRunPath2;
    module2.exports.env = (options2) => {
      options2 = {
        env: process.env,
        ...options2
      };
      const env3 = { ...options2.env };
      const path40 = pathKey2({ env: env3 });
      options2.path = env3[path40];
      env3[path40] = module2.exports(options2);
      return env3;
    };
  }
});

// ../../node_modules/.pnpm/mimic-fn@2.1.0/node_modules/mimic-fn/index.js
var require_mimic_fn = __commonJS({
  "../../node_modules/.pnpm/mimic-fn@2.1.0/node_modules/mimic-fn/index.js"(exports2, module2) {
    "use strict";
    var mimicFn = (to2, from) => {
      for (const prop of Reflect.ownKeys(from)) {
        Object.defineProperty(to2, prop, Object.getOwnPropertyDescriptor(from, prop));
      }
      return to2;
    };
    module2.exports = mimicFn;
    module2.exports.default = mimicFn;
  }
});

// ../../node_modules/.pnpm/onetime@5.1.2/node_modules/onetime/index.js
var require_onetime = __commonJS({
  "../../node_modules/.pnpm/onetime@5.1.2/node_modules/onetime/index.js"(exports2, module2) {
    "use strict";
    var mimicFn = require_mimic_fn();
    var calledFunctions2 = /* @__PURE__ */ new WeakMap();
    var onetime2 = (function_, options2 = {}) => {
      if (typeof function_ !== "function") {
        throw new TypeError("Expected a function");
      }
      let returnValue;
      let callCount = 0;
      const functionName = function_.displayName || function_.name || "<anonymous>";
      const onetime3 = function(...arguments_) {
        calledFunctions2.set(onetime3, ++callCount);
        if (callCount === 1) {
          returnValue = function_.apply(this, arguments_);
          function_ = null;
        } else if (options2.throw === true) {
          throw new Error(`Function \`${functionName}\` can only be called once`);
        }
        return returnValue;
      };
      mimicFn(onetime3, function_);
      calledFunctions2.set(onetime3, callCount);
      return onetime3;
    };
    module2.exports = onetime2;
    module2.exports.default = onetime2;
    module2.exports.callCount = (function_) => {
      if (!calledFunctions2.has(function_)) {
        throw new Error(`The given function \`${function_.name}\` is not wrapped by the \`onetime\` package`);
      }
      return calledFunctions2.get(function_);
    };
  }
});

// ../../node_modules/.pnpm/human-signals@2.1.0/node_modules/human-signals/build/src/core.js
var require_core = __commonJS({
  "../../node_modules/.pnpm/human-signals@2.1.0/node_modules/human-signals/build/src/core.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SIGNALS = void 0;
    var SIGNALS2 = [
      {
        name: "SIGHUP",
        number: 1,
        action: "terminate",
        description: "Terminal closed",
        standard: "posix"
      },
      {
        name: "SIGINT",
        number: 2,
        action: "terminate",
        description: "User interruption with CTRL-C",
        standard: "ansi"
      },
      {
        name: "SIGQUIT",
        number: 3,
        action: "core",
        description: "User interruption with CTRL-\\",
        standard: "posix"
      },
      {
        name: "SIGILL",
        number: 4,
        action: "core",
        description: "Invalid machine instruction",
        standard: "ansi"
      },
      {
        name: "SIGTRAP",
        number: 5,
        action: "core",
        description: "Debugger breakpoint",
        standard: "posix"
      },
      {
        name: "SIGABRT",
        number: 6,
        action: "core",
        description: "Aborted",
        standard: "ansi"
      },
      {
        name: "SIGIOT",
        number: 6,
        action: "core",
        description: "Aborted",
        standard: "bsd"
      },
      {
        name: "SIGBUS",
        number: 7,
        action: "core",
        description: "Bus error due to misaligned, non-existing address or paging error",
        standard: "bsd"
      },
      {
        name: "SIGEMT",
        number: 7,
        action: "terminate",
        description: "Command should be emulated but is not implemented",
        standard: "other"
      },
      {
        name: "SIGFPE",
        number: 8,
        action: "core",
        description: "Floating point arithmetic error",
        standard: "ansi"
      },
      {
        name: "SIGKILL",
        number: 9,
        action: "terminate",
        description: "Forced termination",
        standard: "posix",
        forced: true
      },
      {
        name: "SIGUSR1",
        number: 10,
        action: "terminate",
        description: "Application-specific signal",
        standard: "posix"
      },
      {
        name: "SIGSEGV",
        number: 11,
        action: "core",
        description: "Segmentation fault",
        standard: "ansi"
      },
      {
        name: "SIGUSR2",
        number: 12,
        action: "terminate",
        description: "Application-specific signal",
        standard: "posix"
      },
      {
        name: "SIGPIPE",
        number: 13,
        action: "terminate",
        description: "Broken pipe or socket",
        standard: "posix"
      },
      {
        name: "SIGALRM",
        number: 14,
        action: "terminate",
        description: "Timeout or timer",
        standard: "posix"
      },
      {
        name: "SIGTERM",
        number: 15,
        action: "terminate",
        description: "Termination",
        standard: "ansi"
      },
      {
        name: "SIGSTKFLT",
        number: 16,
        action: "terminate",
        description: "Stack is empty or overflowed",
        standard: "other"
      },
      {
        name: "SIGCHLD",
        number: 17,
        action: "ignore",
        description: "Child process terminated, paused or unpaused",
        standard: "posix"
      },
      {
        name: "SIGCLD",
        number: 17,
        action: "ignore",
        description: "Child process terminated, paused or unpaused",
        standard: "other"
      },
      {
        name: "SIGCONT",
        number: 18,
        action: "unpause",
        description: "Unpaused",
        standard: "posix",
        forced: true
      },
      {
        name: "SIGSTOP",
        number: 19,
        action: "pause",
        description: "Paused",
        standard: "posix",
        forced: true
      },
      {
        name: "SIGTSTP",
        number: 20,
        action: "pause",
        description: 'Paused using CTRL-Z or "suspend"',
        standard: "posix"
      },
      {
        name: "SIGTTIN",
        number: 21,
        action: "pause",
        description: "Background process cannot read terminal input",
        standard: "posix"
      },
      {
        name: "SIGBREAK",
        number: 21,
        action: "terminate",
        description: "User interruption with CTRL-BREAK",
        standard: "other"
      },
      {
        name: "SIGTTOU",
        number: 22,
        action: "pause",
        description: "Background process cannot write to terminal output",
        standard: "posix"
      },
      {
        name: "SIGURG",
        number: 23,
        action: "ignore",
        description: "Socket received out-of-band data",
        standard: "bsd"
      },
      {
        name: "SIGXCPU",
        number: 24,
        action: "core",
        description: "Process timed out",
        standard: "bsd"
      },
      {
        name: "SIGXFSZ",
        number: 25,
        action: "core",
        description: "File too big",
        standard: "bsd"
      },
      {
        name: "SIGVTALRM",
        number: 26,
        action: "terminate",
        description: "Timeout or timer",
        standard: "bsd"
      },
      {
        name: "SIGPROF",
        number: 27,
        action: "terminate",
        description: "Timeout or timer",
        standard: "bsd"
      },
      {
        name: "SIGWINCH",
        number: 28,
        action: "ignore",
        description: "Terminal window size changed",
        standard: "bsd"
      },
      {
        name: "SIGIO",
        number: 29,
        action: "terminate",
        description: "I/O is available",
        standard: "other"
      },
      {
        name: "SIGPOLL",
        number: 29,
        action: "terminate",
        description: "Watched event",
        standard: "other"
      },
      {
        name: "SIGINFO",
        number: 29,
        action: "ignore",
        description: "Request for process information",
        standard: "other"
      },
      {
        name: "SIGPWR",
        number: 30,
        action: "terminate",
        description: "Device running out of power",
        standard: "systemv"
      },
      {
        name: "SIGSYS",
        number: 31,
        action: "core",
        description: "Invalid system call",
        standard: "other"
      },
      {
        name: "SIGUNUSED",
        number: 31,
        action: "terminate",
        description: "Invalid system call",
        standard: "other"
      }
    ];
    exports2.SIGNALS = SIGNALS2;
  }
});

// ../../node_modules/.pnpm/human-signals@2.1.0/node_modules/human-signals/build/src/realtime.js
var require_realtime = __commonJS({
  "../../node_modules/.pnpm/human-signals@2.1.0/node_modules/human-signals/build/src/realtime.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SIGRTMAX = exports2.getRealtimeSignals = void 0;
    var getRealtimeSignals2 = function() {
      const length = SIGRTMAX2 - SIGRTMIN2 + 1;
      return Array.from({ length }, getRealtimeSignal2);
    };
    exports2.getRealtimeSignals = getRealtimeSignals2;
    var getRealtimeSignal2 = function(value, index2) {
      return {
        name: `SIGRT${index2 + 1}`,
        number: SIGRTMIN2 + index2,
        action: "terminate",
        description: "Application-specific signal (realtime)",
        standard: "posix"
      };
    };
    var SIGRTMIN2 = 34;
    var SIGRTMAX2 = 64;
    exports2.SIGRTMAX = SIGRTMAX2;
  }
});

// ../../node_modules/.pnpm/human-signals@2.1.0/node_modules/human-signals/build/src/signals.js
var require_signals = __commonJS({
  "../../node_modules/.pnpm/human-signals@2.1.0/node_modules/human-signals/build/src/signals.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getSignals = void 0;
    var _os = require("os");
    var _core = require_core();
    var _realtime = require_realtime();
    var getSignals2 = function() {
      const realtimeSignals = (0, _realtime.getRealtimeSignals)();
      const signals = [..._core.SIGNALS, ...realtimeSignals].map(normalizeSignal2);
      return signals;
    };
    exports2.getSignals = getSignals2;
    var normalizeSignal2 = function({
      name,
      number: defaultNumber,
      description,
      action: action2,
      forced = false,
      standard
    }) {
      const {
        signals: { [name]: constantSignal }
      } = _os.constants;
      const supported = constantSignal !== void 0;
      const number2 = supported ? constantSignal : defaultNumber;
      return { name, number: number2, description, supported, action: action2, forced, standard };
    };
  }
});

// ../../node_modules/.pnpm/human-signals@2.1.0/node_modules/human-signals/build/src/main.js
var require_main = __commonJS({
  "../../node_modules/.pnpm/human-signals@2.1.0/node_modules/human-signals/build/src/main.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.signalsByNumber = exports2.signalsByName = void 0;
    var _os = require("os");
    var _signals = require_signals();
    var _realtime = require_realtime();
    var getSignalsByName2 = function() {
      const signals = (0, _signals.getSignals)();
      return signals.reduce(getSignalByName2, {});
    };
    var getSignalByName2 = function(signalByNameMemo, { name, number: number2, description, supported, action: action2, forced, standard }) {
      return {
        ...signalByNameMemo,
        [name]: { name, number: number2, description, supported, action: action2, forced, standard }
      };
    };
    var signalsByName2 = getSignalsByName2();
    exports2.signalsByName = signalsByName2;
    var getSignalsByNumber2 = function() {
      const signals = (0, _signals.getSignals)();
      const length = _realtime.SIGRTMAX + 1;
      const signalsA = Array.from({ length }, (value, number2) => getSignalByNumber2(number2, signals));
      return Object.assign({}, ...signalsA);
    };
    var getSignalByNumber2 = function(number2, signals) {
      const signal = findSignalByNumber2(number2, signals);
      if (signal === void 0) {
        return {};
      }
      const { name, description, supported, action: action2, forced, standard } = signal;
      return {
        [number2]: {
          name,
          number: number2,
          description,
          supported,
          action: action2,
          forced,
          standard
        }
      };
    };
    var findSignalByNumber2 = function(number2, signals) {
      const signal = signals.find(({ name }) => _os.constants.signals[name] === number2);
      if (signal !== void 0) {
        return signal;
      }
      return signals.find((signalA) => signalA.number === number2);
    };
    var signalsByNumber = getSignalsByNumber2();
    exports2.signalsByNumber = signalsByNumber;
  }
});

// ../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/error.js
var require_error2 = __commonJS({
  "../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/error.js"(exports2, module2) {
    "use strict";
    var { signalsByName: signalsByName2 } = require_main();
    var getErrorPrefix2 = ({ timedOut, timeout: timeout2, errorCode, signal, signalDescription, exitCode, isCanceled }) => {
      if (timedOut) {
        return `timed out after ${timeout2} milliseconds`;
      }
      if (isCanceled) {
        return "was canceled";
      }
      if (errorCode !== void 0) {
        return `failed with ${errorCode}`;
      }
      if (signal !== void 0) {
        return `was killed with ${signal} (${signalDescription})`;
      }
      if (exitCode !== void 0) {
        return `failed with exit code ${exitCode}`;
      }
      return "failed";
    };
    var makeError2 = ({
      stdout,
      stderr,
      all,
      error: error2,
      signal,
      exitCode,
      command,
      escapedCommand,
      timedOut,
      isCanceled,
      killed,
      parsed: { options: { timeout: timeout2 } }
    }) => {
      exitCode = exitCode === null ? void 0 : exitCode;
      signal = signal === null ? void 0 : signal;
      const signalDescription = signal === void 0 ? void 0 : signalsByName2[signal].description;
      const errorCode = error2 && error2.code;
      const prefix = getErrorPrefix2({ timedOut, timeout: timeout2, errorCode, signal, signalDescription, exitCode, isCanceled });
      const execaMessage = `Command ${prefix}: ${command}`;
      const isError4 = Object.prototype.toString.call(error2) === "[object Error]";
      const shortMessage = isError4 ? `${execaMessage}
${error2.message}` : execaMessage;
      const message2 = [shortMessage, stderr, stdout].filter(Boolean).join("\n");
      if (isError4) {
        error2.originalMessage = error2.message;
        error2.message = message2;
      } else {
        error2 = new Error(message2);
      }
      error2.shortMessage = shortMessage;
      error2.command = command;
      error2.escapedCommand = escapedCommand;
      error2.exitCode = exitCode;
      error2.signal = signal;
      error2.signalDescription = signalDescription;
      error2.stdout = stdout;
      error2.stderr = stderr;
      if (all !== void 0) {
        error2.all = all;
      }
      if ("bufferedData" in error2) {
        delete error2.bufferedData;
      }
      error2.failed = true;
      error2.timedOut = Boolean(timedOut);
      error2.isCanceled = isCanceled;
      error2.killed = killed && !timedOut;
      return error2;
    };
    module2.exports = makeError2;
  }
});

// ../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/stdio.js
var require_stdio = __commonJS({
  "../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/stdio.js"(exports2, module2) {
    "use strict";
    var aliases3 = ["stdin", "stdout", "stderr"];
    var hasAlias2 = (options2) => aliases3.some((alias) => options2[alias] !== void 0);
    var normalizeStdio2 = (options2) => {
      if (!options2) {
        return;
      }
      const { stdio } = options2;
      if (stdio === void 0) {
        return aliases3.map((alias) => options2[alias]);
      }
      if (hasAlias2(options2)) {
        throw new Error(`It's not possible to provide \`stdio\` in combination with one of ${aliases3.map((alias) => `\`${alias}\``).join(", ")}`);
      }
      if (typeof stdio === "string") {
        return stdio;
      }
      if (!Array.isArray(stdio)) {
        throw new TypeError(`Expected \`stdio\` to be of type \`string\` or \`Array\`, got \`${typeof stdio}\``);
      }
      const length = Math.max(stdio.length, aliases3.length);
      return Array.from({ length }, (value, index2) => stdio[index2]);
    };
    module2.exports = normalizeStdio2;
    module2.exports.node = (options2) => {
      const stdio = normalizeStdio2(options2);
      if (stdio === "ipc") {
        return "ipc";
      }
      if (stdio === void 0 || typeof stdio === "string") {
        return [stdio, stdio, stdio, "ipc"];
      }
      if (stdio.includes("ipc")) {
        return stdio;
      }
      return [...stdio, "ipc"];
    };
  }
});

// ../../node_modules/.pnpm/signal-exit@3.0.7/node_modules/signal-exit/signals.js
var require_signals2 = __commonJS({
  "../../node_modules/.pnpm/signal-exit@3.0.7/node_modules/signal-exit/signals.js"(exports2, module2) {
    "use strict";
    module2.exports = [
      "SIGABRT",
      "SIGALRM",
      "SIGHUP",
      "SIGINT",
      "SIGTERM"
    ];
    if (process.platform !== "win32") {
      module2.exports.push(
        "SIGVTALRM",
        "SIGXCPU",
        "SIGXFSZ",
        "SIGUSR2",
        "SIGTRAP",
        "SIGSYS",
        "SIGQUIT",
        "SIGIOT"
        // should detect profiler and enable/disable accordingly.
        // see #21
        // 'SIGPROF'
      );
    }
    if (process.platform === "linux") {
      module2.exports.push(
        "SIGIO",
        "SIGPOLL",
        "SIGPWR",
        "SIGSTKFLT",
        "SIGUNUSED"
      );
    }
  }
});

// ../../node_modules/.pnpm/signal-exit@3.0.7/node_modules/signal-exit/index.js
var require_signal_exit = __commonJS({
  "../../node_modules/.pnpm/signal-exit@3.0.7/node_modules/signal-exit/index.js"(exports2, module2) {
    "use strict";
    var process2 = global.process;
    var processOk2 = function(process3) {
      return process3 && typeof process3 === "object" && typeof process3.removeListener === "function" && typeof process3.emit === "function" && typeof process3.reallyExit === "function" && typeof process3.listeners === "function" && typeof process3.kill === "function" && typeof process3.pid === "number" && typeof process3.on === "function";
    };
    if (!processOk2(process2)) {
      module2.exports = function() {
        return function() {
        };
      };
    } else {
      assert = require("assert");
      signals = require_signals2();
      isWin = /^win/i.test(process2.platform);
      EE = require("events");
      if (typeof EE !== "function") {
        EE = EE.EventEmitter;
      }
      if (process2.__signal_exit_emitter__) {
        emitter = process2.__signal_exit_emitter__;
      } else {
        emitter = process2.__signal_exit_emitter__ = new EE();
        emitter.count = 0;
        emitter.emitted = {};
      }
      if (!emitter.infinite) {
        emitter.setMaxListeners(Infinity);
        emitter.infinite = true;
      }
      module2.exports = function(cb2, opts2) {
        if (!processOk2(global.process)) {
          return function() {
          };
        }
        assert.equal(typeof cb2, "function", "a callback must be provided for exit handler");
        if (loaded === false) {
          load2();
        }
        var ev = "exit";
        if (opts2 && opts2.alwaysLast) {
          ev = "afterexit";
        }
        var remove2 = function() {
          emitter.removeListener(ev, cb2);
          if (emitter.listeners("exit").length === 0 && emitter.listeners("afterexit").length === 0) {
            unload();
          }
        };
        emitter.on(ev, cb2);
        return remove2;
      };
      unload = function unload2() {
        if (!loaded || !processOk2(global.process)) {
          return;
        }
        loaded = false;
        signals.forEach(function(sig) {
          try {
            process2.removeListener(sig, sigListeners[sig]);
          } catch (er) {
          }
        });
        process2.emit = originalProcessEmit;
        process2.reallyExit = originalProcessReallyExit;
        emitter.count -= 1;
      };
      module2.exports.unload = unload;
      emit = function emit2(event, code, signal) {
        if (emitter.emitted[event]) {
          return;
        }
        emitter.emitted[event] = true;
        emitter.emit(event, code, signal);
      };
      sigListeners = {};
      signals.forEach(function(sig) {
        sigListeners[sig] = function listener() {
          if (!processOk2(global.process)) {
            return;
          }
          var listeners = process2.listeners(sig);
          if (listeners.length === emitter.count) {
            unload();
            emit("exit", null, sig);
            emit("afterexit", null, sig);
            if (isWin && sig === "SIGHUP") {
              sig = "SIGINT";
            }
            process2.kill(process2.pid, sig);
          }
        };
      });
      module2.exports.signals = function() {
        return signals;
      };
      loaded = false;
      load2 = function load3() {
        if (loaded || !processOk2(global.process)) {
          return;
        }
        loaded = true;
        emitter.count += 1;
        signals = signals.filter(function(sig) {
          try {
            process2.on(sig, sigListeners[sig]);
            return true;
          } catch (er) {
            return false;
          }
        });
        process2.emit = processEmit;
        process2.reallyExit = processReallyExit;
      };
      module2.exports.load = load2;
      originalProcessReallyExit = process2.reallyExit;
      processReallyExit = function processReallyExit2(code) {
        if (!processOk2(global.process)) {
          return;
        }
        process2.exitCode = code || /* istanbul ignore next */
        0;
        emit("exit", process2.exitCode, null);
        emit("afterexit", process2.exitCode, null);
        originalProcessReallyExit.call(process2, process2.exitCode);
      };
      originalProcessEmit = process2.emit;
      processEmit = function processEmit2(ev, arg3) {
        if (ev === "exit" && processOk2(global.process)) {
          if (arg3 !== void 0) {
            process2.exitCode = arg3;
          }
          var ret = originalProcessEmit.apply(this, arguments);
          emit("exit", process2.exitCode, null);
          emit("afterexit", process2.exitCode, null);
          return ret;
        } else {
          return originalProcessEmit.apply(this, arguments);
        }
      };
    }
    var assert;
    var signals;
    var isWin;
    var EE;
    var emitter;
    var unload;
    var emit;
    var sigListeners;
    var loaded;
    var load2;
    var originalProcessReallyExit;
    var processReallyExit;
    var originalProcessEmit;
    var processEmit;
  }
});

// ../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/kill.js
var require_kill = __commonJS({
  "../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/kill.js"(exports2, module2) {
    "use strict";
    var os7 = require("os");
    var onExit2 = require_signal_exit();
    var DEFAULT_FORCE_KILL_TIMEOUT2 = 1e3 * 5;
    var spawnedKill2 = (kill, signal = "SIGTERM", options2 = {}) => {
      const killResult = kill(signal);
      setKillTimeout2(kill, signal, options2, killResult);
      return killResult;
    };
    var setKillTimeout2 = (kill, signal, options2, killResult) => {
      if (!shouldForceKill2(signal, options2, killResult)) {
        return;
      }
      const timeout2 = getForceKillAfterTimeout2(options2);
      const t9 = setTimeout(() => {
        kill("SIGKILL");
      }, timeout2);
      if (t9.unref) {
        t9.unref();
      }
    };
    var shouldForceKill2 = (signal, { forceKillAfterTimeout }, killResult) => {
      return isSigterm2(signal) && forceKillAfterTimeout !== false && killResult;
    };
    var isSigterm2 = (signal) => {
      return signal === os7.constants.signals.SIGTERM || typeof signal === "string" && signal.toUpperCase() === "SIGTERM";
    };
    var getForceKillAfterTimeout2 = ({ forceKillAfterTimeout = true }) => {
      if (forceKillAfterTimeout === true) {
        return DEFAULT_FORCE_KILL_TIMEOUT2;
      }
      if (!Number.isFinite(forceKillAfterTimeout) || forceKillAfterTimeout < 0) {
        throw new TypeError(`Expected the \`forceKillAfterTimeout\` option to be a non-negative integer, got \`${forceKillAfterTimeout}\` (${typeof forceKillAfterTimeout})`);
      }
      return forceKillAfterTimeout;
    };
    var spawnedCancel2 = (spawned, context) => {
      const killResult = spawned.kill();
      if (killResult) {
        context.isCanceled = true;
      }
    };
    var timeoutKill2 = (spawned, signal, reject2) => {
      spawned.kill(signal);
      reject2(Object.assign(new Error("Timed out"), { timedOut: true, signal }));
    };
    var setupTimeout2 = (spawned, { timeout: timeout2, killSignal = "SIGTERM" }, spawnedPromise) => {
      if (timeout2 === 0 || timeout2 === void 0) {
        return spawnedPromise;
      }
      let timeoutId;
      const timeoutPromise = new Promise((resolve3, reject2) => {
        timeoutId = setTimeout(() => {
          timeoutKill2(spawned, killSignal, reject2);
        }, timeout2);
      });
      const safeSpawnedPromise = spawnedPromise.finally(() => {
        clearTimeout(timeoutId);
      });
      return Promise.race([timeoutPromise, safeSpawnedPromise]);
    };
    var validateTimeout2 = ({ timeout: timeout2 }) => {
      if (timeout2 !== void 0 && (!Number.isFinite(timeout2) || timeout2 < 0)) {
        throw new TypeError(`Expected the \`timeout\` option to be a non-negative integer, got \`${timeout2}\` (${typeof timeout2})`);
      }
    };
    var setExitHandler2 = async (spawned, { cleanup, detached }, timedPromise) => {
      if (!cleanup || detached) {
        return timedPromise;
      }
      const removeExitHandler = onExit2(() => {
        spawned.kill();
      });
      return timedPromise.finally(() => {
        removeExitHandler();
      });
    };
    module2.exports = {
      spawnedKill: spawnedKill2,
      spawnedCancel: spawnedCancel2,
      setupTimeout: setupTimeout2,
      validateTimeout: validateTimeout2,
      setExitHandler: setExitHandler2
    };
  }
});

// ../../node_modules/.pnpm/is-stream@2.0.1/node_modules/is-stream/index.js
var require_is_stream = __commonJS({
  "../../node_modules/.pnpm/is-stream@2.0.1/node_modules/is-stream/index.js"(exports2, module2) {
    "use strict";
    var isStream2 = (stream4) => stream4 !== null && typeof stream4 === "object" && typeof stream4.pipe === "function";
    isStream2.writable = (stream4) => isStream2(stream4) && stream4.writable !== false && typeof stream4._write === "function" && typeof stream4._writableState === "object";
    isStream2.readable = (stream4) => isStream2(stream4) && stream4.readable !== false && typeof stream4._read === "function" && typeof stream4._readableState === "object";
    isStream2.duplex = (stream4) => isStream2.writable(stream4) && isStream2.readable(stream4);
    isStream2.transform = (stream4) => isStream2.duplex(stream4) && typeof stream4._transform === "function";
    module2.exports = isStream2;
  }
});

// ../../node_modules/.pnpm/get-stream@6.0.1/node_modules/get-stream/buffer-stream.js
var require_buffer_stream = __commonJS({
  "../../node_modules/.pnpm/get-stream@6.0.1/node_modules/get-stream/buffer-stream.js"(exports2, module2) {
    "use strict";
    var { PassThrough: PassThroughStream2 } = require("stream");
    module2.exports = (options2) => {
      options2 = { ...options2 };
      const { array } = options2;
      let { encoding } = options2;
      const isBuffer = encoding === "buffer";
      let objectMode = false;
      if (array) {
        objectMode = !(encoding || isBuffer);
      } else {
        encoding = encoding || "utf8";
      }
      if (isBuffer) {
        encoding = null;
      }
      const stream4 = new PassThroughStream2({ objectMode });
      if (encoding) {
        stream4.setEncoding(encoding);
      }
      let length = 0;
      const chunks = [];
      stream4.on("data", (chunk) => {
        chunks.push(chunk);
        if (objectMode) {
          length = chunks.length;
        } else {
          length += chunk.length;
        }
      });
      stream4.getBufferedValue = () => {
        if (array) {
          return chunks;
        }
        return isBuffer ? Buffer.concat(chunks, length) : chunks.join("");
      };
      stream4.getBufferedLength = () => length;
      return stream4;
    };
  }
});

// ../../node_modules/.pnpm/get-stream@6.0.1/node_modules/get-stream/index.js
var require_get_stream = __commonJS({
  "../../node_modules/.pnpm/get-stream@6.0.1/node_modules/get-stream/index.js"(exports2, module2) {
    "use strict";
    var { constants: BufferConstants2 } = require("buffer");
    var stream4 = require("stream");
    var { promisify: promisify9 } = require("util");
    var bufferStream2 = require_buffer_stream();
    var streamPipelinePromisified2 = promisify9(stream4.pipeline);
    var MaxBufferError2 = class extends Error {
      constructor() {
        super("maxBuffer exceeded");
        this.name = "MaxBufferError";
      }
    };
    async function getStream2(inputStream, options2) {
      if (!inputStream) {
        throw new Error("Expected a stream");
      }
      options2 = {
        maxBuffer: Infinity,
        ...options2
      };
      const { maxBuffer } = options2;
      const stream5 = bufferStream2(options2);
      await new Promise((resolve3, reject2) => {
        const rejectPromise = (error2) => {
          if (error2 && stream5.getBufferedLength() <= BufferConstants2.MAX_LENGTH) {
            error2.bufferedData = stream5.getBufferedValue();
          }
          reject2(error2);
        };
        (async () => {
          try {
            await streamPipelinePromisified2(inputStream, stream5);
            resolve3();
          } catch (error2) {
            rejectPromise(error2);
          }
        })();
        stream5.on("data", () => {
          if (stream5.getBufferedLength() > maxBuffer) {
            rejectPromise(new MaxBufferError2());
          }
        });
      });
      return stream5.getBufferedValue();
    }
    module2.exports = getStream2;
    module2.exports.buffer = (stream5, options2) => getStream2(stream5, { ...options2, encoding: "buffer" });
    module2.exports.array = (stream5, options2) => getStream2(stream5, { ...options2, array: true });
    module2.exports.MaxBufferError = MaxBufferError2;
  }
});

// ../../node_modules/.pnpm/merge-stream@2.0.0/node_modules/merge-stream/index.js
var require_merge_stream = __commonJS({
  "../../node_modules/.pnpm/merge-stream@2.0.0/node_modules/merge-stream/index.js"(exports2, module2) {
    "use strict";
    var { PassThrough: PassThrough3 } = require("stream");
    module2.exports = function() {
      var sources = [];
      var output = new PassThrough3({ objectMode: true });
      output.setMaxListeners(0);
      output.add = add;
      output.isEmpty = isEmpty;
      output.on("unpipe", remove2);
      Array.prototype.slice.call(arguments).forEach(add);
      return output;
      function add(source) {
        if (Array.isArray(source)) {
          source.forEach(add);
          return this;
        }
        sources.push(source);
        source.once("end", remove2.bind(null, source));
        source.once("error", output.emit.bind(output, "error"));
        source.pipe(output, { end: false });
        return this;
      }
      function isEmpty() {
        return sources.length == 0;
      }
      function remove2(source) {
        sources = sources.filter(function(it2) {
          return it2 !== source;
        });
        if (!sources.length && output.readable) {
          output.end();
        }
      }
    };
  }
});

// ../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/stream.js
var require_stream5 = __commonJS({
  "../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/stream.js"(exports2, module2) {
    "use strict";
    var isStream2 = require_is_stream();
    var getStream2 = require_get_stream();
    var mergeStream2 = require_merge_stream();
    var handleInput2 = (spawned, input) => {
      if (input === void 0 || spawned.stdin === void 0) {
        return;
      }
      if (isStream2(input)) {
        input.pipe(spawned.stdin);
      } else {
        spawned.stdin.end(input);
      }
    };
    var makeAllStream2 = (spawned, { all }) => {
      if (!all || !spawned.stdout && !spawned.stderr) {
        return;
      }
      const mixed = mergeStream2();
      if (spawned.stdout) {
        mixed.add(spawned.stdout);
      }
      if (spawned.stderr) {
        mixed.add(spawned.stderr);
      }
      return mixed;
    };
    var getBufferedData2 = async (stream4, streamPromise) => {
      if (!stream4) {
        return;
      }
      stream4.destroy();
      try {
        return await streamPromise;
      } catch (error2) {
        return error2.bufferedData;
      }
    };
    var getStreamPromise2 = (stream4, { encoding, buffer, maxBuffer }) => {
      if (!stream4 || !buffer) {
        return;
      }
      if (encoding) {
        return getStream2(stream4, { encoding, maxBuffer });
      }
      return getStream2.buffer(stream4, { maxBuffer });
    };
    var getSpawnedResult2 = async ({ stdout, stderr, all }, { encoding, buffer, maxBuffer }, processDone) => {
      const stdoutPromise = getStreamPromise2(stdout, { encoding, buffer, maxBuffer });
      const stderrPromise = getStreamPromise2(stderr, { encoding, buffer, maxBuffer });
      const allPromise = getStreamPromise2(all, { encoding, buffer, maxBuffer: maxBuffer * 2 });
      try {
        return await Promise.all([processDone, stdoutPromise, stderrPromise, allPromise]);
      } catch (error2) {
        return Promise.all([
          { error: error2, signal: error2.signal, timedOut: error2.timedOut },
          getBufferedData2(stdout, stdoutPromise),
          getBufferedData2(stderr, stderrPromise),
          getBufferedData2(all, allPromise)
        ]);
      }
    };
    var validateInputSync = ({ input }) => {
      if (isStream2(input)) {
        throw new TypeError("The `input` option cannot be a stream in sync mode");
      }
    };
    module2.exports = {
      handleInput: handleInput2,
      makeAllStream: makeAllStream2,
      getSpawnedResult: getSpawnedResult2,
      validateInputSync
    };
  }
});

// ../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/promise.js
var require_promise = __commonJS({
  "../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/promise.js"(exports2, module2) {
    "use strict";
    var nativePromisePrototype2 = (/* @__PURE__ */ (async () => {
    })()).constructor.prototype;
    var descriptors2 = ["then", "catch", "finally"].map((property) => [
      property,
      Reflect.getOwnPropertyDescriptor(nativePromisePrototype2, property)
    ]);
    var mergePromise2 = (spawned, promise) => {
      for (const [property, descriptor] of descriptors2) {
        const value = typeof promise === "function" ? (...args3) => Reflect.apply(descriptor.value, promise(), args3) : descriptor.value.bind(promise);
        Reflect.defineProperty(spawned, property, { ...descriptor, value });
      }
      return spawned;
    };
    var getSpawnedPromise2 = (spawned) => {
      return new Promise((resolve3, reject2) => {
        spawned.on("exit", (exitCode, signal) => {
          resolve3({ exitCode, signal });
        });
        spawned.on("error", (error2) => {
          reject2(error2);
        });
        if (spawned.stdin) {
          spawned.stdin.on("error", (error2) => {
            reject2(error2);
          });
        }
      });
    };
    module2.exports = {
      mergePromise: mergePromise2,
      getSpawnedPromise: getSpawnedPromise2
    };
  }
});

// ../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/command.js
var require_command = __commonJS({
  "../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/lib/command.js"(exports2, module2) {
    "use strict";
    var normalizeArgs2 = (file2, args3 = []) => {
      if (!Array.isArray(args3)) {
        return [file2];
      }
      return [file2, ...args3];
    };
    var NO_ESCAPE_REGEXP2 = /^[\w.-]+$/;
    var DOUBLE_QUOTES_REGEXP2 = /"/g;
    var escapeArg2 = (arg3) => {
      if (typeof arg3 !== "string" || NO_ESCAPE_REGEXP2.test(arg3)) {
        return arg3;
      }
      return `"${arg3.replace(DOUBLE_QUOTES_REGEXP2, '\\"')}"`;
    };
    var joinCommand2 = (file2, args3) => {
      return normalizeArgs2(file2, args3).join(" ");
    };
    var getEscapedCommand2 = (file2, args3) => {
      return normalizeArgs2(file2, args3).map((arg3) => escapeArg2(arg3)).join(" ");
    };
    var SPACES_REGEXP2 = / +/g;
    var parseCommand2 = (command) => {
      const tokens = [];
      for (const token of command.trim().split(SPACES_REGEXP2)) {
        const previousToken = tokens[tokens.length - 1];
        if (previousToken && previousToken.endsWith("\\")) {
          tokens[tokens.length - 1] = `${previousToken.slice(0, -1)} ${token}`;
        } else {
          tokens.push(token);
        }
      }
      return tokens;
    };
    module2.exports = {
      joinCommand: joinCommand2,
      getEscapedCommand: getEscapedCommand2,
      parseCommand: parseCommand2
    };
  }
});

// ../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/index.js
var require_execa = __commonJS({
  "../../node_modules/.pnpm/execa@5.1.1/node_modules/execa/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var childProcess2 = require("child_process");
    var crossSpawn2 = require_cross_spawn();
    var stripFinalNewline2 = require_strip_final_newline();
    var npmRunPath2 = require_npm_run_path();
    var onetime2 = require_onetime();
    var makeError2 = require_error2();
    var normalizeStdio2 = require_stdio();
    var { spawnedKill: spawnedKill2, spawnedCancel: spawnedCancel2, setupTimeout: setupTimeout2, validateTimeout: validateTimeout2, setExitHandler: setExitHandler2 } = require_kill();
    var { handleInput: handleInput2, getSpawnedResult: getSpawnedResult2, makeAllStream: makeAllStream2, validateInputSync } = require_stream5();
    var { mergePromise: mergePromise2, getSpawnedPromise: getSpawnedPromise2 } = require_promise();
    var { joinCommand: joinCommand2, parseCommand: parseCommand2, getEscapedCommand: getEscapedCommand2 } = require_command();
    var DEFAULT_MAX_BUFFER2 = 1e3 * 1e3 * 100;
    var getEnv2 = ({ env: envOption, extendEnv, preferLocal, localDir, execPath }) => {
      const env3 = extendEnv ? { ...process.env, ...envOption } : envOption;
      if (preferLocal) {
        return npmRunPath2.env({ env: env3, cwd: localDir, execPath });
      }
      return env3;
    };
    var handleArguments2 = (file2, args3, options2 = {}) => {
      const parsed = crossSpawn2._parse(file2, args3, options2);
      file2 = parsed.command;
      args3 = parsed.args;
      options2 = parsed.options;
      options2 = {
        maxBuffer: DEFAULT_MAX_BUFFER2,
        buffer: true,
        stripFinalNewline: true,
        extendEnv: true,
        preferLocal: false,
        localDir: options2.cwd || process.cwd(),
        execPath: process.execPath,
        encoding: "utf8",
        reject: true,
        cleanup: true,
        all: false,
        windowsHide: true,
        ...options2
      };
      options2.env = getEnv2(options2);
      options2.stdio = normalizeStdio2(options2);
      if (process.platform === "win32" && path39.basename(file2, ".exe") === "cmd") {
        args3.unshift("/q");
      }
      return { file: file2, args: args3, options: options2, parsed };
    };
    var handleOutput2 = (options2, value, error2) => {
      if (typeof value !== "string" && !Buffer.isBuffer(value)) {
        return error2 === void 0 ? void 0 : "";
      }
      if (options2.stripFinalNewline) {
        return stripFinalNewline2(value);
      }
      return value;
    };
    var execa9 = (file2, args3, options2) => {
      const parsed = handleArguments2(file2, args3, options2);
      const command = joinCommand2(file2, args3);
      const escapedCommand = getEscapedCommand2(file2, args3);
      validateTimeout2(parsed.options);
      let spawned;
      try {
        spawned = childProcess2.spawn(parsed.file, parsed.args, parsed.options);
      } catch (error2) {
        const dummySpawned = new childProcess2.ChildProcess();
        const errorPromise = Promise.reject(makeError2({
          error: error2,
          stdout: "",
          stderr: "",
          all: "",
          command,
          escapedCommand,
          parsed,
          timedOut: false,
          isCanceled: false,
          killed: false
        }));
        return mergePromise2(dummySpawned, errorPromise);
      }
      const spawnedPromise = getSpawnedPromise2(spawned);
      const timedPromise = setupTimeout2(spawned, parsed.options, spawnedPromise);
      const processDone = setExitHandler2(spawned, parsed.options, timedPromise);
      const context = { isCanceled: false };
      spawned.kill = spawnedKill2.bind(null, spawned.kill.bind(spawned));
      spawned.cancel = spawnedCancel2.bind(null, spawned, context);
      const handlePromise2 = async () => {
        const [{ error: error2, exitCode, signal, timedOut }, stdoutResult, stderrResult, allResult] = await getSpawnedResult2(spawned, parsed.options, processDone);
        const stdout = handleOutput2(parsed.options, stdoutResult);
        const stderr = handleOutput2(parsed.options, stderrResult);
        const all = handleOutput2(parsed.options, allResult);
        if (error2 || exitCode !== 0 || signal !== null) {
          const returnedError = makeError2({
            error: error2,
            exitCode,
            signal,
            stdout,
            stderr,
            all,
            command,
            escapedCommand,
            parsed,
            timedOut,
            isCanceled: context.isCanceled,
            killed: spawned.killed
          });
          if (!parsed.options.reject) {
            return returnedError;
          }
          throw returnedError;
        }
        return {
          command,
          escapedCommand,
          exitCode: 0,
          stdout,
          stderr,
          all,
          failed: false,
          timedOut: false,
          isCanceled: false,
          killed: false
        };
      };
      const handlePromiseOnce = onetime2(handlePromise2);
      handleInput2(spawned, parsed.options.input);
      spawned.all = makeAllStream2(spawned, parsed.options);
      return mergePromise2(spawned, handlePromiseOnce);
    };
    module2.exports = execa9;
    module2.exports.sync = (file2, args3, options2) => {
      const parsed = handleArguments2(file2, args3, options2);
      const command = joinCommand2(file2, args3);
      const escapedCommand = getEscapedCommand2(file2, args3);
      validateInputSync(parsed.options);
      let result;
      try {
        result = childProcess2.spawnSync(parsed.file, parsed.args, parsed.options);
      } catch (error2) {
        throw makeError2({
          error: error2,
          stdout: "",
          stderr: "",
          all: "",
          command,
          escapedCommand,
          parsed,
          timedOut: false,
          isCanceled: false,
          killed: false
        });
      }
      const stdout = handleOutput2(parsed.options, result.stdout, result.error);
      const stderr = handleOutput2(parsed.options, result.stderr, result.error);
      if (result.error || result.status !== 0 || result.signal !== null) {
        const error2 = makeError2({
          stdout,
          stderr,
          error: result.error,
          signal: result.signal,
          exitCode: result.status,
          command,
          escapedCommand,
          parsed,
          timedOut: result.error && result.error.code === "ETIMEDOUT",
          isCanceled: false,
          killed: result.signal !== null
        });
        if (!parsed.options.reject) {
          return error2;
        }
        throw error2;
      }
      return {
        command,
        escapedCommand,
        exitCode: 0,
        stdout,
        stderr,
        failed: false,
        timedOut: false,
        isCanceled: false,
        killed: false
      };
    };
    module2.exports.command = (command, options2) => {
      const [file2, ...args3] = parseCommand2(command);
      return execa9(file2, args3, options2);
    };
    module2.exports.commandSync = (command, options2) => {
      const [file2, ...args3] = parseCommand2(command);
      return execa9.sync(file2, args3, options2);
    };
    module2.exports.node = (scriptPath, args3, options2 = {}) => {
      if (args3 && !Array.isArray(args3) && typeof args3 === "object") {
        options2 = args3;
        args3 = [];
      }
      const stdio = normalizeStdio2.node(options2);
      const defaultExecArgv = process.execArgv.filter((arg3) => !arg3.startsWith("--inspect"));
      const {
        nodePath = process.execPath,
        nodeOptions = defaultExecArgv
      } = options2;
      return execa9(
        nodePath,
        [
          ...nodeOptions,
          scriptPath,
          ...Array.isArray(args3) ? args3 : []
        ],
        {
          ...options2,
          stdin: void 0,
          stdout: void 0,
          stderr: void 0,
          stdio,
          shell: false
        }
      );
    };
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/promisify.js
var require_promisify = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/promisify.js"(exports2, module2) {
    "use strict";
    module2.exports = (fn2) => {
      return function() {
        const length = arguments.length;
        const args3 = new Array(length);
        for (let i4 = 0; i4 < length; i4 += 1) {
          args3[i4] = arguments[i4];
        }
        return new Promise((resolve3, reject2) => {
          args3.push((err, data) => {
            if (err) {
              reject2(err);
            } else {
              resolve3(data);
            }
          });
          fn2.apply(null, args3);
        });
      };
    };
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/fs.js
var require_fs5 = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/fs.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var promisify9 = require_promisify();
    var isCallbackMethod = (key) => {
      return [
        typeof fs42[key] === "function",
        !key.match(/Sync$/),
        !key.match(/^[A-Z]/),
        !key.match(/^create/),
        !key.match(/^(un)?watch/)
      ].every(Boolean);
    };
    var adaptMethod = (name) => {
      const original = fs42[name];
      return promisify9(original);
    };
    var adaptAllMethods = () => {
      const adapted = {};
      Object.keys(fs42).forEach((key) => {
        if (isCallbackMethod(key)) {
          if (key === "exists") {
            adapted.exists = () => {
              throw new Error("fs.exists() is deprecated");
            };
          } else {
            adapted[key] = adaptMethod(key);
          }
        } else {
          adapted[key] = fs42[key];
        }
      });
      return adapted;
    };
    module2.exports = adaptAllMethods();
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/validate.js
var require_validate = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/validate.js"(exports2, module2) {
    "use strict";
    var prettyPrintTypes = (types) => {
      const addArticle = (str) => {
        const vowels = ["a", "e", "i", "o", "u"];
        if (vowels.indexOf(str[0]) !== -1) {
          return `an ${str}`;
        }
        return `a ${str}`;
      };
      return types.map(addArticle).join(" or ");
    };
    var isArrayOfNotation = (typeDefinition) => {
      return /array of /.test(typeDefinition);
    };
    var extractTypeFromArrayOfNotation = (typeDefinition) => {
      return typeDefinition.split(" of ")[1];
    };
    var isValidTypeDefinition = (typeStr) => {
      if (isArrayOfNotation(typeStr)) {
        return isValidTypeDefinition(extractTypeFromArrayOfNotation(typeStr));
      }
      return [
        "string",
        "number",
        "boolean",
        "array",
        "object",
        "buffer",
        "null",
        "undefined",
        "function"
      ].some((validType) => {
        return validType === typeStr;
      });
    };
    var detectType = (value) => {
      if (value === null) {
        return "null";
      }
      if (Array.isArray(value)) {
        return "array";
      }
      if (Buffer.isBuffer(value)) {
        return "buffer";
      }
      return typeof value;
    };
    var onlyUniqueValuesInArrayFilter = (value, index2, self2) => {
      return self2.indexOf(value) === index2;
    };
    var detectTypeDeep = (value) => {
      let type = detectType(value);
      let typesInArray;
      if (type === "array") {
        typesInArray = value.map((element) => {
          return detectType(element);
        }).filter(onlyUniqueValuesInArrayFilter);
        type += ` of ${typesInArray.join(", ")}`;
      }
      return type;
    };
    var validateArray = (argumentValue, typeToCheck) => {
      const allowedTypeInArray = extractTypeFromArrayOfNotation(typeToCheck);
      if (detectType(argumentValue) !== "array") {
        return false;
      }
      return argumentValue.every((element) => {
        return detectType(element) === allowedTypeInArray;
      });
    };
    var validateArgument = (methodName, argumentName, argumentValue, argumentMustBe) => {
      const isOneOfAllowedTypes = argumentMustBe.some((type) => {
        if (!isValidTypeDefinition(type)) {
          throw new Error(`Unknown type "${type}"`);
        }
        if (isArrayOfNotation(type)) {
          return validateArray(argumentValue, type);
        }
        return type === detectType(argumentValue);
      });
      if (!isOneOfAllowedTypes) {
        throw new Error(
          `Argument "${argumentName}" passed to ${methodName} must be ${prettyPrintTypes(
            argumentMustBe
          )}. Received ${detectTypeDeep(argumentValue)}`
        );
      }
    };
    var validateOptions = (methodName, optionsObjName, obj, allowedOptions) => {
      if (obj !== void 0) {
        validateArgument(methodName, optionsObjName, obj, ["object"]);
        Object.keys(obj).forEach((key) => {
          const argName = `${optionsObjName}.${key}`;
          if (allowedOptions[key] !== void 0) {
            validateArgument(methodName, argName, obj[key], allowedOptions[key]);
          } else {
            throw new Error(
              `Unknown argument "${argName}" passed to ${methodName}`
            );
          }
        });
      }
    };
    module2.exports = {
      argument: validateArgument,
      options: validateOptions
    };
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/mode.js
var require_mode2 = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/mode.js"(exports2) {
    "use strict";
    exports2.normalizeFileMode = (mode2) => {
      let modeAsString;
      if (typeof mode2 === "number") {
        modeAsString = mode2.toString(8);
      } else {
        modeAsString = mode2;
      }
      return modeAsString.substring(modeAsString.length - 3);
    };
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/remove.js
var require_remove = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/remove.js"(exports2) {
    "use strict";
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var validateInput = (methodName, path39) => {
      const methodSignature = `${methodName}([path])`;
      validate3.argument(methodSignature, "path", path39, ["string", "undefined"]);
    };
    var removeSync = (path39) => {
      fs42.rmSync(path39, {
        recursive: true,
        force: true,
        maxRetries: 3
      });
    };
    var removeAsync = (path39) => {
      return fs42.rm(path39, {
        recursive: true,
        force: true,
        maxRetries: 3
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = removeSync;
    exports2.async = removeAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/dir.js
var require_dir = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/dir.js"(exports2) {
    "use strict";
    var pathUtil = require("path");
    var fs42 = require_fs5();
    var modeUtil = require_mode2();
    var validate3 = require_validate();
    var remove2 = require_remove();
    var validateInput = (methodName, path39, criteria) => {
      const methodSignature = `${methodName}(path, [criteria])`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.options(methodSignature, "criteria", criteria, {
        empty: ["boolean"],
        mode: ["string", "number"]
      });
    };
    var getCriteriaDefaults = (passedCriteria) => {
      const criteria = passedCriteria || {};
      if (typeof criteria.empty !== "boolean") {
        criteria.empty = false;
      }
      if (criteria.mode !== void 0) {
        criteria.mode = modeUtil.normalizeFileMode(criteria.mode);
      }
      return criteria;
    };
    var generatePathOccupiedByNotDirectoryError = (path39) => {
      return new Error(
        `Path ${path39} exists but is not a directory. Halting jetpack.dir() call for safety reasons.`
      );
    };
    var checkWhatAlreadyOccupiesPathSync = (path39) => {
      let stat;
      try {
        stat = fs42.statSync(path39);
      } catch (err) {
        if (err.code !== "ENOENT") {
          throw err;
        }
      }
      if (stat && !stat.isDirectory()) {
        throw generatePathOccupiedByNotDirectoryError(path39);
      }
      return stat;
    };
    var createBrandNewDirectorySync = (path39, opts2) => {
      const options2 = opts2 || {};
      try {
        fs42.mkdirSync(path39, options2.mode);
      } catch (err) {
        if (err.code === "ENOENT") {
          createBrandNewDirectorySync(pathUtil.dirname(path39), options2);
          fs42.mkdirSync(path39, options2.mode);
        } else if (err.code === "EEXIST") {
        } else {
          throw err;
        }
      }
    };
    var checkExistingDirectoryFulfillsCriteriaSync = (path39, stat, criteria) => {
      const checkMode = () => {
        const mode2 = modeUtil.normalizeFileMode(stat.mode);
        if (criteria.mode !== void 0 && criteria.mode !== mode2) {
          fs42.chmodSync(path39, criteria.mode);
        }
      };
      const checkEmptiness = () => {
        if (criteria.empty) {
          const list = fs42.readdirSync(path39);
          list.forEach((filename) => {
            remove2.sync(pathUtil.resolve(path39, filename));
          });
        }
      };
      checkMode();
      checkEmptiness();
    };
    var dirSync = (path39, passedCriteria) => {
      const criteria = getCriteriaDefaults(passedCriteria);
      const stat = checkWhatAlreadyOccupiesPathSync(path39);
      if (stat) {
        checkExistingDirectoryFulfillsCriteriaSync(path39, stat, criteria);
      } else {
        createBrandNewDirectorySync(path39, criteria);
      }
    };
    var checkWhatAlreadyOccupiesPathAsync = (path39) => {
      return new Promise((resolve3, reject2) => {
        fs42.stat(path39).then((stat) => {
          if (stat.isDirectory()) {
            resolve3(stat);
          } else {
            reject2(generatePathOccupiedByNotDirectoryError(path39));
          }
        }).catch((err) => {
          if (err.code === "ENOENT") {
            resolve3(void 0);
          } else {
            reject2(err);
          }
        });
      });
    };
    var emptyAsync = (path39) => {
      return new Promise((resolve3, reject2) => {
        fs42.readdir(path39).then((list) => {
          const doOne = (index2) => {
            if (index2 === list.length) {
              resolve3();
            } else {
              const subPath = pathUtil.resolve(path39, list[index2]);
              remove2.async(subPath).then(() => {
                doOne(index2 + 1);
              });
            }
          };
          doOne(0);
        }).catch(reject2);
      });
    };
    var checkExistingDirectoryFulfillsCriteriaAsync = (path39, stat, criteria) => {
      return new Promise((resolve3, reject2) => {
        const checkMode = () => {
          const mode2 = modeUtil.normalizeFileMode(stat.mode);
          if (criteria.mode !== void 0 && criteria.mode !== mode2) {
            return fs42.chmod(path39, criteria.mode);
          }
          return Promise.resolve();
        };
        const checkEmptiness = () => {
          if (criteria.empty) {
            return emptyAsync(path39);
          }
          return Promise.resolve();
        };
        checkMode().then(checkEmptiness).then(resolve3, reject2);
      });
    };
    var createBrandNewDirectoryAsync = (path39, opts2) => {
      const options2 = opts2 || {};
      return new Promise((resolve3, reject2) => {
        fs42.mkdir(path39, options2.mode).then(resolve3).catch((err) => {
          if (err.code === "ENOENT") {
            createBrandNewDirectoryAsync(pathUtil.dirname(path39), options2).then(() => {
              return fs42.mkdir(path39, options2.mode);
            }).then(resolve3).catch((err2) => {
              if (err2.code === "EEXIST") {
                resolve3();
              } else {
                reject2(err2);
              }
            });
          } else if (err.code === "EEXIST") {
            resolve3();
          } else {
            reject2(err);
          }
        });
      });
    };
    var dirAsync = (path39, passedCriteria) => {
      return new Promise((resolve3, reject2) => {
        const criteria = getCriteriaDefaults(passedCriteria);
        checkWhatAlreadyOccupiesPathAsync(path39).then((stat) => {
          if (stat !== void 0) {
            return checkExistingDirectoryFulfillsCriteriaAsync(
              path39,
              stat,
              criteria
            );
          }
          return createBrandNewDirectoryAsync(path39, criteria);
        }).then(resolve3, reject2);
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = dirSync;
    exports2.createSync = createBrandNewDirectorySync;
    exports2.async = dirAsync;
    exports2.createAsync = createBrandNewDirectoryAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/write.js
var require_write = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/write.js"(exports2) {
    "use strict";
    var pathUtil = require("path");
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var dir3 = require_dir();
    var validateInput = (methodName, path39, data, options2) => {
      const methodSignature = `${methodName}(path, data, [options])`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.argument(methodSignature, "data", data, [
        "string",
        "buffer",
        "object",
        "array"
      ]);
      validate3.options(methodSignature, "options", options2, {
        mode: ["string", "number"],
        atomic: ["boolean"],
        jsonIndent: ["number"]
      });
    };
    var newExt = ".__new__";
    var serializeToJsonMaybe = (data, jsonIndent) => {
      let indent4 = jsonIndent;
      if (typeof indent4 !== "number") {
        indent4 = 2;
      }
      if (typeof data === "object" && !Buffer.isBuffer(data) && data !== null) {
        return JSON.stringify(data, null, indent4);
      }
      return data;
    };
    var writeFileSync = (path39, data, options2) => {
      try {
        fs42.writeFileSync(path39, data, options2);
      } catch (err) {
        if (err.code === "ENOENT") {
          dir3.createSync(pathUtil.dirname(path39));
          fs42.writeFileSync(path39, data, options2);
        } else {
          throw err;
        }
      }
    };
    var writeAtomicSync = (path39, data, options2) => {
      writeFileSync(path39 + newExt, data, options2);
      fs42.renameSync(path39 + newExt, path39);
    };
    var writeSync = (path39, data, options2) => {
      const opts2 = options2 || {};
      const processedData = serializeToJsonMaybe(data, opts2.jsonIndent);
      let writeStrategy = writeFileSync;
      if (opts2.atomic) {
        writeStrategy = writeAtomicSync;
      }
      writeStrategy(path39, processedData, { mode: opts2.mode });
    };
    var writeFileAsync = (path39, data, options2) => {
      return new Promise((resolve3, reject2) => {
        fs42.writeFile(path39, data, options2).then(resolve3).catch((err) => {
          if (err.code === "ENOENT") {
            dir3.createAsync(pathUtil.dirname(path39)).then(() => {
              return fs42.writeFile(path39, data, options2);
            }).then(resolve3, reject2);
          } else {
            reject2(err);
          }
        });
      });
    };
    var writeAtomicAsync = (path39, data, options2) => {
      return new Promise((resolve3, reject2) => {
        writeFileAsync(path39 + newExt, data, options2).then(() => {
          return fs42.rename(path39 + newExt, path39);
        }).then(resolve3, reject2);
      });
    };
    var writeAsync = (path39, data, options2) => {
      const opts2 = options2 || {};
      const processedData = serializeToJsonMaybe(data, opts2.jsonIndent);
      let writeStrategy = writeFileAsync;
      if (opts2.atomic) {
        writeStrategy = writeAtomicAsync;
      }
      return writeStrategy(path39, processedData, { mode: opts2.mode });
    };
    exports2.validateInput = validateInput;
    exports2.sync = writeSync;
    exports2.async = writeAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/append.js
var require_append = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/append.js"(exports2) {
    "use strict";
    var fs42 = require_fs5();
    var write = require_write();
    var validate3 = require_validate();
    var validateInput = (methodName, path39, data, options2) => {
      const methodSignature = `${methodName}(path, data, [options])`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.argument(methodSignature, "data", data, ["string", "buffer"]);
      validate3.options(methodSignature, "options", options2, {
        mode: ["string", "number"]
      });
    };
    var appendSync = (path39, data, options2) => {
      try {
        fs42.appendFileSync(path39, data, options2);
      } catch (err) {
        if (err.code === "ENOENT") {
          write.sync(path39, data, options2);
        } else {
          throw err;
        }
      }
    };
    var appendAsync = (path39, data, options2) => {
      return new Promise((resolve3, reject2) => {
        fs42.appendFile(path39, data, options2).then(resolve3).catch((err) => {
          if (err.code === "ENOENT") {
            write.async(path39, data, options2).then(resolve3, reject2);
          } else {
            reject2(err);
          }
        });
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = appendSync;
    exports2.async = appendAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/file.js
var require_file = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/file.js"(exports2) {
    "use strict";
    var fs42 = require_fs5();
    var modeUtil = require_mode2();
    var validate3 = require_validate();
    var write = require_write();
    var validateInput = (methodName, path39, criteria) => {
      const methodSignature = `${methodName}(path, [criteria])`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.options(methodSignature, "criteria", criteria, {
        content: ["string", "buffer", "object", "array"],
        jsonIndent: ["number"],
        mode: ["string", "number"]
      });
    };
    var getCriteriaDefaults = (passedCriteria) => {
      const criteria = passedCriteria || {};
      if (criteria.mode !== void 0) {
        criteria.mode = modeUtil.normalizeFileMode(criteria.mode);
      }
      return criteria;
    };
    var generatePathOccupiedByNotFileError = (path39) => {
      return new Error(
        `Path ${path39} exists but is not a file. Halting jetpack.file() call for safety reasons.`
      );
    };
    var checkWhatAlreadyOccupiesPathSync = (path39) => {
      let stat;
      try {
        stat = fs42.statSync(path39);
      } catch (err) {
        if (err.code !== "ENOENT") {
          throw err;
        }
      }
      if (stat && !stat.isFile()) {
        throw generatePathOccupiedByNotFileError(path39);
      }
      return stat;
    };
    var checkExistingFileFulfillsCriteriaSync = (path39, stat, criteria) => {
      const mode2 = modeUtil.normalizeFileMode(stat.mode);
      const checkContent = () => {
        if (criteria.content !== void 0) {
          write.sync(path39, criteria.content, {
            mode: mode2,
            jsonIndent: criteria.jsonIndent
          });
          return true;
        }
        return false;
      };
      const checkMode = () => {
        if (criteria.mode !== void 0 && criteria.mode !== mode2) {
          fs42.chmodSync(path39, criteria.mode);
        }
      };
      const contentReplaced = checkContent();
      if (!contentReplaced) {
        checkMode();
      }
    };
    var createBrandNewFileSync = (path39, criteria) => {
      let content = "";
      if (criteria.content !== void 0) {
        content = criteria.content;
      }
      write.sync(path39, content, {
        mode: criteria.mode,
        jsonIndent: criteria.jsonIndent
      });
    };
    var fileSync = (path39, passedCriteria) => {
      const criteria = getCriteriaDefaults(passedCriteria);
      const stat = checkWhatAlreadyOccupiesPathSync(path39);
      if (stat !== void 0) {
        checkExistingFileFulfillsCriteriaSync(path39, stat, criteria);
      } else {
        createBrandNewFileSync(path39, criteria);
      }
    };
    var checkWhatAlreadyOccupiesPathAsync = (path39) => {
      return new Promise((resolve3, reject2) => {
        fs42.stat(path39).then((stat) => {
          if (stat.isFile()) {
            resolve3(stat);
          } else {
            reject2(generatePathOccupiedByNotFileError(path39));
          }
        }).catch((err) => {
          if (err.code === "ENOENT") {
            resolve3(void 0);
          } else {
            reject2(err);
          }
        });
      });
    };
    var checkExistingFileFulfillsCriteriaAsync = (path39, stat, criteria) => {
      const mode2 = modeUtil.normalizeFileMode(stat.mode);
      const checkContent = () => {
        return new Promise((resolve3, reject2) => {
          if (criteria.content !== void 0) {
            write.async(path39, criteria.content, {
              mode: mode2,
              jsonIndent: criteria.jsonIndent
            }).then(() => {
              resolve3(true);
            }).catch(reject2);
          } else {
            resolve3(false);
          }
        });
      };
      const checkMode = () => {
        if (criteria.mode !== void 0 && criteria.mode !== mode2) {
          return fs42.chmod(path39, criteria.mode);
        }
        return void 0;
      };
      return checkContent().then((contentReplaced) => {
        if (!contentReplaced) {
          return checkMode();
        }
        return void 0;
      });
    };
    var createBrandNewFileAsync = (path39, criteria) => {
      let content = "";
      if (criteria.content !== void 0) {
        content = criteria.content;
      }
      return write.async(path39, content, {
        mode: criteria.mode,
        jsonIndent: criteria.jsonIndent
      });
    };
    var fileAsync = (path39, passedCriteria) => {
      return new Promise((resolve3, reject2) => {
        const criteria = getCriteriaDefaults(passedCriteria);
        checkWhatAlreadyOccupiesPathAsync(path39).then((stat) => {
          if (stat !== void 0) {
            return checkExistingFileFulfillsCriteriaAsync(path39, stat, criteria);
          }
          return createBrandNewFileAsync(path39, criteria);
        }).then(resolve3, reject2);
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = fileSync;
    exports2.async = fileAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/inspect.js
var require_inspect = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/inspect.js"(exports2) {
    "use strict";
    var crypto4 = require("crypto");
    var pathUtil = require("path");
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var supportedChecksumAlgorithms = ["md5", "sha1", "sha256", "sha512"];
    var symlinkOptions = ["report", "follow"];
    var validateInput = (methodName, path39, options2) => {
      const methodSignature = `${methodName}(path, [options])`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.options(methodSignature, "options", options2, {
        checksum: ["string"],
        mode: ["boolean"],
        times: ["boolean"],
        absolutePath: ["boolean"],
        symlinks: ["string"]
      });
      if (options2 && options2.checksum !== void 0 && supportedChecksumAlgorithms.indexOf(options2.checksum) === -1) {
        throw new Error(
          `Argument "options.checksum" passed to ${methodSignature} must have one of values: ${supportedChecksumAlgorithms.join(
            ", "
          )}`
        );
      }
      if (options2 && options2.symlinks !== void 0 && symlinkOptions.indexOf(options2.symlinks) === -1) {
        throw new Error(
          `Argument "options.symlinks" passed to ${methodSignature} must have one of values: ${symlinkOptions.join(
            ", "
          )}`
        );
      }
    };
    var createInspectObj = (path39, options2, stat) => {
      const obj = {};
      obj.name = pathUtil.basename(path39);
      if (stat.isFile()) {
        obj.type = "file";
        obj.size = stat.size;
      } else if (stat.isDirectory()) {
        obj.type = "dir";
      } else if (stat.isSymbolicLink()) {
        obj.type = "symlink";
      } else {
        obj.type = "other";
      }
      if (options2.mode) {
        obj.mode = stat.mode;
      }
      if (options2.times) {
        obj.accessTime = stat.atime;
        obj.modifyTime = stat.mtime;
        obj.changeTime = stat.ctime;
        obj.birthTime = stat.birthtime;
      }
      if (options2.absolutePath) {
        obj.absolutePath = path39;
      }
      return obj;
    };
    var fileChecksum = (path39, algo) => {
      const hash = crypto4.createHash(algo);
      const data = fs42.readFileSync(path39);
      hash.update(data);
      return hash.digest("hex");
    };
    var addExtraFieldsSync = (path39, inspectObj, options2) => {
      if (inspectObj.type === "file" && options2.checksum) {
        inspectObj[options2.checksum] = fileChecksum(path39, options2.checksum);
      } else if (inspectObj.type === "symlink") {
        inspectObj.pointsAt = fs42.readlinkSync(path39);
      }
    };
    var inspectSync = (path39, options2) => {
      let statOperation = fs42.lstatSync;
      let stat;
      const opts2 = options2 || {};
      if (opts2.symlinks === "follow") {
        statOperation = fs42.statSync;
      }
      try {
        stat = statOperation(path39);
      } catch (err) {
        if (err.code === "ENOENT") {
          return void 0;
        }
        throw err;
      }
      const inspectObj = createInspectObj(path39, opts2, stat);
      addExtraFieldsSync(path39, inspectObj, opts2);
      return inspectObj;
    };
    var fileChecksumAsync = (path39, algo) => {
      return new Promise((resolve3, reject2) => {
        const hash = crypto4.createHash(algo);
        const s3 = fs42.createReadStream(path39);
        s3.on("data", (data) => {
          hash.update(data);
        });
        s3.on("end", () => {
          resolve3(hash.digest("hex"));
        });
        s3.on("error", reject2);
      });
    };
    var addExtraFieldsAsync = (path39, inspectObj, options2) => {
      if (inspectObj.type === "file" && options2.checksum) {
        return fileChecksumAsync(path39, options2.checksum).then((checksum) => {
          inspectObj[options2.checksum] = checksum;
          return inspectObj;
        });
      } else if (inspectObj.type === "symlink") {
        return fs42.readlink(path39).then((linkPath) => {
          inspectObj.pointsAt = linkPath;
          return inspectObj;
        });
      }
      return Promise.resolve(inspectObj);
    };
    var inspectAsync = (path39, options2) => {
      return new Promise((resolve3, reject2) => {
        let statOperation = fs42.lstat;
        const opts2 = options2 || {};
        if (opts2.symlinks === "follow") {
          statOperation = fs42.stat;
        }
        statOperation(path39).then((stat) => {
          const inspectObj = createInspectObj(path39, opts2, stat);
          addExtraFieldsAsync(path39, inspectObj, opts2).then(resolve3, reject2);
        }).catch((err) => {
          if (err.code === "ENOENT") {
            resolve3(void 0);
          } else {
            reject2(err);
          }
        });
      });
    };
    exports2.supportedChecksumAlgorithms = supportedChecksumAlgorithms;
    exports2.symlinkOptions = symlinkOptions;
    exports2.validateInput = validateInput;
    exports2.sync = inspectSync;
    exports2.async = inspectAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/list.js
var require_list = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/list.js"(exports2) {
    "use strict";
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var validateInput = (methodName, path39) => {
      const methodSignature = `${methodName}(path)`;
      validate3.argument(methodSignature, "path", path39, ["string", "undefined"]);
    };
    var listSync = (path39) => {
      try {
        return fs42.readdirSync(path39);
      } catch (err) {
        if (err.code === "ENOENT") {
          return void 0;
        }
        throw err;
      }
    };
    var listAsync = (path39) => {
      return new Promise((resolve3, reject2) => {
        fs42.readdir(path39).then((list) => {
          resolve3(list);
        }).catch((err) => {
          if (err.code === "ENOENT") {
            resolve3(void 0);
          } else {
            reject2(err);
          }
        });
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = listSync;
    exports2.async = listAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/tree_walker.js
var require_tree_walker = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/tree_walker.js"(exports2) {
    "use strict";
    var fs42 = require("fs");
    var pathUtil = require("path");
    var inspect = require_inspect();
    var list = require_list();
    var fileType = (dirent) => {
      if (dirent.isDirectory()) {
        return "dir";
      }
      if (dirent.isFile()) {
        return "file";
      }
      if (dirent.isSymbolicLink()) {
        return "symlink";
      }
      return "other";
    };
    var initialWalkSync = (path39, options2, callback) => {
      if (options2.maxLevelsDeep === void 0) {
        options2.maxLevelsDeep = Infinity;
      }
      const performInspectOnEachNode = options2.inspectOptions !== void 0;
      if (options2.symlinks) {
        if (options2.inspectOptions === void 0) {
          options2.inspectOptions = { symlinks: options2.symlinks };
        } else {
          options2.inspectOptions.symlinks = options2.symlinks;
        }
      }
      const walkSync = (path40, currentLevel) => {
        fs42.readdirSync(path40, { withFileTypes: true }).forEach((direntItem) => {
          const withFileTypesNotSupported = typeof direntItem === "string";
          let fileItemPath;
          if (withFileTypesNotSupported) {
            fileItemPath = pathUtil.join(path40, direntItem);
          } else {
            fileItemPath = pathUtil.join(path40, direntItem.name);
          }
          let fileItem;
          if (performInspectOnEachNode) {
            fileItem = inspect.sync(fileItemPath, options2.inspectOptions);
          } else if (withFileTypesNotSupported) {
            const inspectObject = inspect.sync(
              fileItemPath,
              options2.inspectOptions
            );
            fileItem = { name: inspectObject.name, type: inspectObject.type };
          } else {
            const type = fileType(direntItem);
            if (type === "symlink" && options2.symlinks === "follow") {
              const symlinkPointsTo = fs42.statSync(fileItemPath);
              fileItem = { name: direntItem.name, type: fileType(symlinkPointsTo) };
            } else {
              fileItem = { name: direntItem.name, type };
            }
          }
          if (fileItem !== void 0) {
            callback(fileItemPath, fileItem);
            if (fileItem.type === "dir" && currentLevel < options2.maxLevelsDeep) {
              walkSync(fileItemPath, currentLevel + 1);
            }
          }
        });
      };
      const item2 = inspect.sync(path39, options2.inspectOptions);
      if (item2) {
        if (performInspectOnEachNode) {
          callback(path39, item2);
        } else {
          callback(path39, { name: item2.name, type: item2.type });
        }
        if (item2.type === "dir") {
          walkSync(path39, 1);
        }
      } else {
        callback(path39, void 0);
      }
    };
    var maxConcurrentOperations = 5;
    var initialWalkAsync = (path39, options2, callback, doneCallback) => {
      if (options2.maxLevelsDeep === void 0) {
        options2.maxLevelsDeep = Infinity;
      }
      const performInspectOnEachNode = options2.inspectOptions !== void 0;
      if (options2.symlinks) {
        if (options2.inspectOptions === void 0) {
          options2.inspectOptions = { symlinks: options2.symlinks };
        } else {
          options2.inspectOptions.symlinks = options2.symlinks;
        }
      }
      const concurrentOperationsQueue = [];
      let nowDoingConcurrentOperations = 0;
      const checkConcurrentOperations = () => {
        if (concurrentOperationsQueue.length === 0 && nowDoingConcurrentOperations === 0) {
          doneCallback();
        } else if (concurrentOperationsQueue.length > 0 && nowDoingConcurrentOperations < maxConcurrentOperations) {
          const operation = concurrentOperationsQueue.pop();
          nowDoingConcurrentOperations += 1;
          operation();
        }
      };
      const whenConcurrencySlotAvailable = (operation) => {
        concurrentOperationsQueue.push(operation);
        checkConcurrentOperations();
      };
      const concurrentOperationDone = () => {
        nowDoingConcurrentOperations -= 1;
        checkConcurrentOperations();
      };
      const walkAsync = (path40, currentLevel) => {
        const goDeeperIfDir = (fileItemPath, fileItem) => {
          if (fileItem.type === "dir" && currentLevel < options2.maxLevelsDeep) {
            walkAsync(fileItemPath, currentLevel + 1);
          }
        };
        whenConcurrencySlotAvailable(() => {
          fs42.readdir(path40, { withFileTypes: true }, (err, files) => {
            if (err) {
              doneCallback(err);
            } else {
              files.forEach((direntItem) => {
                const withFileTypesNotSupported = typeof direntItem === "string";
                let fileItemPath;
                if (withFileTypesNotSupported) {
                  fileItemPath = pathUtil.join(path40, direntItem);
                } else {
                  fileItemPath = pathUtil.join(path40, direntItem.name);
                }
                if (performInspectOnEachNode || withFileTypesNotSupported) {
                  whenConcurrencySlotAvailable(() => {
                    inspect.async(fileItemPath, options2.inspectOptions).then((fileItem) => {
                      if (fileItem !== void 0) {
                        if (performInspectOnEachNode) {
                          callback(fileItemPath, fileItem);
                        } else {
                          callback(fileItemPath, {
                            name: fileItem.name,
                            type: fileItem.type
                          });
                        }
                        goDeeperIfDir(fileItemPath, fileItem);
                      }
                      concurrentOperationDone();
                    }).catch((err2) => {
                      doneCallback(err2);
                    });
                  });
                } else {
                  const type = fileType(direntItem);
                  if (type === "symlink" && options2.symlinks === "follow") {
                    whenConcurrencySlotAvailable(() => {
                      fs42.stat(fileItemPath, (err2, symlinkPointsTo) => {
                        if (err2) {
                          doneCallback(err2);
                        } else {
                          const fileItem = {
                            name: direntItem.name,
                            type: fileType(symlinkPointsTo)
                          };
                          callback(fileItemPath, fileItem);
                          goDeeperIfDir(fileItemPath, fileItem);
                          concurrentOperationDone();
                        }
                      });
                    });
                  } else {
                    const fileItem = { name: direntItem.name, type };
                    callback(fileItemPath, fileItem);
                    goDeeperIfDir(fileItemPath, fileItem);
                  }
                }
              });
              concurrentOperationDone();
            }
          });
        });
      };
      inspect.async(path39, options2.inspectOptions).then((item2) => {
        if (item2) {
          if (performInspectOnEachNode) {
            callback(path39, item2);
          } else {
            callback(path39, { name: item2.name, type: item2.type });
          }
          if (item2.type === "dir") {
            walkAsync(path39, 1);
          } else {
            doneCallback();
          }
        } else {
          callback(path39, void 0);
          doneCallback();
        }
      }).catch((err) => {
        doneCallback(err);
      });
    };
    exports2.sync = initialWalkSync;
    exports2.async = initialWalkAsync;
  }
});

// ../../node_modules/.pnpm/minimatch@5.1.0/node_modules/minimatch/lib/path.js
var require_path2 = __commonJS({
  "../../node_modules/.pnpm/minimatch@5.1.0/node_modules/minimatch/lib/path.js"(exports2, module2) {
    "use strict";
    var isWindows3 = typeof process === "object" && process && process.platform === "win32";
    module2.exports = isWindows3 ? { sep: "\\" } : { sep: "/" };
  }
});

// ../../node_modules/.pnpm/balanced-match@1.0.2/node_modules/balanced-match/index.js
var require_balanced_match = __commonJS({
  "../../node_modules/.pnpm/balanced-match@1.0.2/node_modules/balanced-match/index.js"(exports2, module2) {
    "use strict";
    module2.exports = balanced;
    function balanced(a3, b6, str) {
      if (a3 instanceof RegExp)
        a3 = maybeMatch(a3, str);
      if (b6 instanceof RegExp)
        b6 = maybeMatch(b6, str);
      var r2 = range2(a3, b6, str);
      return r2 && {
        start: r2[0],
        end: r2[1],
        pre: str.slice(0, r2[0]),
        body: str.slice(r2[0] + a3.length, r2[1]),
        post: str.slice(r2[1] + b6.length)
      };
    }
    function maybeMatch(reg, str) {
      var m3 = str.match(reg);
      return m3 ? m3[0] : null;
    }
    balanced.range = range2;
    function range2(a3, b6, str) {
      var begs, beg, left4, right5, result;
      var ai = str.indexOf(a3);
      var bi2 = str.indexOf(b6, ai + 1);
      var i4 = ai;
      if (ai >= 0 && bi2 > 0) {
        if (a3 === b6) {
          return [ai, bi2];
        }
        begs = [];
        left4 = str.length;
        while (i4 >= 0 && !result) {
          if (i4 == ai) {
            begs.push(i4);
            ai = str.indexOf(a3, i4 + 1);
          } else if (begs.length == 1) {
            result = [begs.pop(), bi2];
          } else {
            beg = begs.pop();
            if (beg < left4) {
              left4 = beg;
              right5 = bi2;
            }
            bi2 = str.indexOf(b6, i4 + 1);
          }
          i4 = ai < bi2 && ai >= 0 ? ai : bi2;
        }
        if (begs.length) {
          result = [left4, right5];
        }
      }
      return result;
    }
  }
});

// ../../node_modules/.pnpm/brace-expansion@2.0.1/node_modules/brace-expansion/index.js
var require_brace_expansion = __commonJS({
  "../../node_modules/.pnpm/brace-expansion@2.0.1/node_modules/brace-expansion/index.js"(exports2, module2) {
    "use strict";
    var balanced = require_balanced_match();
    module2.exports = expandTop;
    var escSlash = "\0SLASH" + Math.random() + "\0";
    var escOpen = "\0OPEN" + Math.random() + "\0";
    var escClose = "\0CLOSE" + Math.random() + "\0";
    var escComma = "\0COMMA" + Math.random() + "\0";
    var escPeriod = "\0PERIOD" + Math.random() + "\0";
    function numeric2(str) {
      return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0);
    }
    function escapeBraces(str) {
      return str.split("\\\\").join(escSlash).split("\\{").join(escOpen).split("\\}").join(escClose).split("\\,").join(escComma).split("\\.").join(escPeriod);
    }
    function unescapeBraces(str) {
      return str.split(escSlash).join("\\").split(escOpen).join("{").split(escClose).join("}").split(escComma).join(",").split(escPeriod).join(".");
    }
    function parseCommaParts(str) {
      if (!str)
        return [""];
      var parts = [];
      var m3 = balanced("{", "}", str);
      if (!m3)
        return str.split(",");
      var pre = m3.pre;
      var body = m3.body;
      var post = m3.post;
      var p2 = pre.split(",");
      p2[p2.length - 1] += "{" + body + "}";
      var postParts = parseCommaParts(post);
      if (post.length) {
        p2[p2.length - 1] += postParts.shift();
        p2.push.apply(p2, postParts);
      }
      parts.push.apply(parts, p2);
      return parts;
    }
    function expandTop(str) {
      if (!str)
        return [];
      if (str.substr(0, 2) === "{}") {
        str = "\\{\\}" + str.substr(2);
      }
      return expand(escapeBraces(str), true).map(unescapeBraces);
    }
    function embrace(str) {
      return "{" + str + "}";
    }
    function isPadded(el) {
      return /^-?0\d/.test(el);
    }
    function lte(i4, y3) {
      return i4 <= y3;
    }
    function gte2(i4, y3) {
      return i4 >= y3;
    }
    function expand(str, isTop) {
      var expansions = [];
      var m3 = balanced("{", "}", str);
      if (!m3)
        return [str];
      var pre = m3.pre;
      var post = m3.post.length ? expand(m3.post, false) : [""];
      if (/\$$/.test(m3.pre)) {
        for (var k = 0; k < post.length; k++) {
          var expansion = pre + "{" + m3.body + "}" + post[k];
          expansions.push(expansion);
        }
      } else {
        var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m3.body);
        var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m3.body);
        var isSequence = isNumericSequence || isAlphaSequence;
        var isOptions = m3.body.indexOf(",") >= 0;
        if (!isSequence && !isOptions) {
          if (m3.post.match(/,.*\}/)) {
            str = m3.pre + "{" + m3.body + escClose + m3.post;
            return expand(str);
          }
          return [str];
        }
        var n2;
        if (isSequence) {
          n2 = m3.body.split(/\.\./);
        } else {
          n2 = parseCommaParts(m3.body);
          if (n2.length === 1) {
            n2 = expand(n2[0], false).map(embrace);
            if (n2.length === 1) {
              return post.map(function(p2) {
                return m3.pre + n2[0] + p2;
              });
            }
          }
        }
        var N;
        if (isSequence) {
          var x = numeric2(n2[0]);
          var y3 = numeric2(n2[1]);
          var width2 = Math.max(n2[0].length, n2[1].length);
          var incr = n2.length == 3 ? Math.abs(numeric2(n2[2])) : 1;
          var test = lte;
          var reverse = y3 < x;
          if (reverse) {
            incr *= -1;
            test = gte2;
          }
          var pad = n2.some(isPadded);
          N = [];
          for (var i4 = x; test(i4, y3); i4 += incr) {
            var c4;
            if (isAlphaSequence) {
              c4 = String.fromCharCode(i4);
              if (c4 === "\\")
                c4 = "";
            } else {
              c4 = String(i4);
              if (pad) {
                var need = width2 - c4.length;
                if (need > 0) {
                  var z2 = new Array(need + 1).join("0");
                  if (i4 < 0)
                    c4 = "-" + z2 + c4.slice(1);
                  else
                    c4 = z2 + c4;
                }
              }
            }
            N.push(c4);
          }
        } else {
          N = [];
          for (var j2 = 0; j2 < n2.length; j2++) {
            N.push.apply(N, expand(n2[j2], false));
          }
        }
        for (var j2 = 0; j2 < N.length; j2++) {
          for (var k = 0; k < post.length; k++) {
            var expansion = pre + N[j2] + post[k];
            if (!isTop || isSequence || expansion)
              expansions.push(expansion);
          }
        }
      }
      return expansions;
    }
  }
});

// ../../node_modules/.pnpm/minimatch@5.1.0/node_modules/minimatch/minimatch.js
var require_minimatch = __commonJS({
  "../../node_modules/.pnpm/minimatch@5.1.0/node_modules/minimatch/minimatch.js"(exports2, module2) {
    "use strict";
    var minimatch = module2.exports = (p2, pattern, options2 = {}) => {
      assertValidPattern(pattern);
      if (!options2.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options2).match(p2);
    };
    module2.exports = minimatch;
    var path39 = require_path2();
    minimatch.sep = path39.sep;
    var GLOBSTAR = Symbol("globstar **");
    minimatch.GLOBSTAR = GLOBSTAR;
    var expand = require_brace_expansion();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var charSet = (s3) => s3.split("").reduce((set, c4) => {
      set[c4] = true;
      return set;
    }, {});
    var reSpecials = charSet("().*{}+?[]^$\\!");
    var addPatternStartSet = charSet("[.(");
    var slashSplit = /\/+/;
    minimatch.filter = (pattern, options2 = {}) => (p2, i4, list) => minimatch(p2, pattern, options2);
    var ext = (a3, b6 = {}) => {
      const t9 = {};
      Object.keys(a3).forEach((k) => t9[k] = a3[k]);
      Object.keys(b6).forEach((k) => t9[k] = b6[k]);
      return t9;
    };
    minimatch.defaults = (def) => {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      const orig = minimatch;
      const m3 = (p2, pattern, options2) => orig(p2, pattern, ext(def, options2));
      m3.Minimatch = class Minimatch extends orig.Minimatch {
        constructor(pattern, options2) {
          super(pattern, ext(def, options2));
        }
      };
      m3.Minimatch.defaults = (options2) => orig.defaults(ext(def, options2)).Minimatch;
      m3.filter = (pattern, options2) => orig.filter(pattern, ext(def, options2));
      m3.defaults = (options2) => orig.defaults(ext(def, options2));
      m3.makeRe = (pattern, options2) => orig.makeRe(pattern, ext(def, options2));
      m3.braceExpand = (pattern, options2) => orig.braceExpand(pattern, ext(def, options2));
      m3.match = (list, pattern, options2) => orig.match(list, pattern, ext(def, options2));
      return m3;
    };
    minimatch.braceExpand = (pattern, options2) => braceExpand(pattern, options2);
    var braceExpand = (pattern, options2 = {}) => {
      assertValidPattern(pattern);
      if (options2.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    };
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = (pattern) => {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    var SUBPARSE = Symbol("subparse");
    minimatch.makeRe = (pattern, options2) => new Minimatch(pattern, options2 || {}).makeRe();
    minimatch.match = (list, pattern, options2 = {}) => {
      const mm2 = new Minimatch(pattern, options2);
      list = list.filter((f4) => mm2.match(f4));
      if (mm2.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    var globUnescape = (s3) => s3.replace(/\\(.)/g, "$1");
    var regExpEscape = (s3) => s3.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var Minimatch = class {
      constructor(pattern, options2) {
        assertValidPattern(pattern);
        if (!options2)
          options2 = {};
        this.options = options2;
        this.set = [];
        this.pattern = pattern;
        this.windowsPathsNoEscape = !!options2.windowsPathsNoEscape || options2.allowWindowsEscape === false;
        if (this.windowsPathsNoEscape) {
          this.pattern = this.pattern.replace(/\\/g, "/");
        }
        this.regexp = null;
        this.negate = false;
        this.comment = false;
        this.empty = false;
        this.partial = !!options2.partial;
        this.make();
      }
      debug() {
      }
      make() {
        const pattern = this.pattern;
        const options2 = this.options;
        if (!options2.nocomment && pattern.charAt(0) === "#") {
          this.comment = true;
          return;
        }
        if (!pattern) {
          this.empty = true;
          return;
        }
        this.parseNegate();
        let set = this.globSet = this.braceExpand();
        if (options2.debug)
          this.debug = (...args3) => console.error(...args3);
        this.debug(this.pattern, set);
        set = this.globParts = set.map((s3) => s3.split(slashSplit));
        this.debug(this.pattern, set);
        set = set.map((s3, si, set2) => s3.map(this.parse, this));
        this.debug(this.pattern, set);
        set = set.filter((s3) => s3.indexOf(false) === -1);
        this.debug(this.pattern, set);
        this.set = set;
      }
      parseNegate() {
        if (this.options.nonegate)
          return;
        const pattern = this.pattern;
        let negate = false;
        let negateOffset = 0;
        for (let i4 = 0; i4 < pattern.length && pattern.charAt(i4) === "!"; i4++) {
          negate = !negate;
          negateOffset++;
        }
        if (negateOffset)
          this.pattern = pattern.substr(negateOffset);
        this.negate = negate;
      }
      // set partial to true to test if, for example,
      // "/a/b" matches the start of "/*/b/*/d"
      // Partial means, if you run out of file before you run
      // out of pattern, then that's fine, as long as all
      // the parts match.
      matchOne(file2, pattern, partial) {
        var options2 = this.options;
        this.debug(
          "matchOne",
          { "this": this, file: file2, pattern }
        );
        this.debug("matchOne", file2.length, pattern.length);
        for (var fi2 = 0, pi = 0, fl2 = file2.length, pl2 = pattern.length; fi2 < fl2 && pi < pl2; fi2++, pi++) {
          this.debug("matchOne loop");
          var p2 = pattern[pi];
          var f4 = file2[fi2];
          this.debug(pattern, p2, f4);
          if (p2 === false)
            return false;
          if (p2 === GLOBSTAR) {
            this.debug("GLOBSTAR", [pattern, p2, f4]);
            var fr2 = fi2;
            var pr2 = pi + 1;
            if (pr2 === pl2) {
              this.debug("** at the end");
              for (; fi2 < fl2; fi2++) {
                if (file2[fi2] === "." || file2[fi2] === ".." || !options2.dot && file2[fi2].charAt(0) === ".")
                  return false;
              }
              return true;
            }
            while (fr2 < fl2) {
              var swallowee = file2[fr2];
              this.debug("\nglobstar while", file2, fr2, pattern, pr2, swallowee);
              if (this.matchOne(file2.slice(fr2), pattern.slice(pr2), partial)) {
                this.debug("globstar found match!", fr2, fl2, swallowee);
                return true;
              } else {
                if (swallowee === "." || swallowee === ".." || !options2.dot && swallowee.charAt(0) === ".") {
                  this.debug("dot detected!", file2, fr2, pattern, pr2);
                  break;
                }
                this.debug("globstar swallow a segment, and continue");
                fr2++;
              }
            }
            if (partial) {
              this.debug("\n>>> no match, partial?", file2, fr2, pattern, pr2);
              if (fr2 === fl2)
                return true;
            }
            return false;
          }
          var hit;
          if (typeof p2 === "string") {
            hit = f4 === p2;
            this.debug("string match", p2, f4, hit);
          } else {
            hit = f4.match(p2);
            this.debug("pattern match", p2, f4, hit);
          }
          if (!hit)
            return false;
        }
        if (fi2 === fl2 && pi === pl2) {
          return true;
        } else if (fi2 === fl2) {
          return partial;
        } else if (pi === pl2) {
          return fi2 === fl2 - 1 && file2[fi2] === "";
        }
        throw new Error("wtf?");
      }
      braceExpand() {
        return braceExpand(this.pattern, this.options);
      }
      parse(pattern, isSub) {
        assertValidPattern(pattern);
        const options2 = this.options;
        if (pattern === "**") {
          if (!options2.noglobstar)
            return GLOBSTAR;
          else
            pattern = "*";
        }
        if (pattern === "")
          return "";
        let re2 = "";
        let hasMagic = !!options2.nocase;
        let escaping = false;
        const patternListStack = [];
        const negativeLists = [];
        let stateChar;
        let inClass = false;
        let reClassStart = -1;
        let classStart = -1;
        let cs2;
        let pl2;
        let sp;
        const patternStart = pattern.charAt(0) === "." ? "" : options2.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const clearStateChar = () => {
          if (stateChar) {
            switch (stateChar) {
              case "*":
                re2 += star;
                hasMagic = true;
                break;
              case "?":
                re2 += qmark;
                hasMagic = true;
                break;
              default:
                re2 += "\\" + stateChar;
                break;
            }
            this.debug("clearStateChar %j %j", stateChar, re2);
            stateChar = false;
          }
        };
        for (let i4 = 0, c4; i4 < pattern.length && (c4 = pattern.charAt(i4)); i4++) {
          this.debug("%s	%s %s %j", pattern, i4, re2, c4);
          if (escaping) {
            if (c4 === "/") {
              return false;
            }
            if (reSpecials[c4]) {
              re2 += "\\";
            }
            re2 += c4;
            escaping = false;
            continue;
          }
          switch (c4) {
            case "/": {
              return false;
            }
            case "\\":
              clearStateChar();
              escaping = true;
              continue;
            case "?":
            case "*":
            case "+":
            case "@":
            case "!":
              this.debug("%s	%s %s %j <-- stateChar", pattern, i4, re2, c4);
              if (inClass) {
                this.debug("  in class");
                if (c4 === "!" && i4 === classStart + 1)
                  c4 = "^";
                re2 += c4;
                continue;
              }
              this.debug("call clearStateChar %j", stateChar);
              clearStateChar();
              stateChar = c4;
              if (options2.noext)
                clearStateChar();
              continue;
            case "(":
              if (inClass) {
                re2 += "(";
                continue;
              }
              if (!stateChar) {
                re2 += "\\(";
                continue;
              }
              patternListStack.push({
                type: stateChar,
                start: i4 - 1,
                reStart: re2.length,
                open: plTypes[stateChar].open,
                close: plTypes[stateChar].close
              });
              re2 += stateChar === "!" ? "(?:(?!(?:" : "(?:";
              this.debug("plType %j %j", stateChar, re2);
              stateChar = false;
              continue;
            case ")":
              if (inClass || !patternListStack.length) {
                re2 += "\\)";
                continue;
              }
              clearStateChar();
              hasMagic = true;
              pl2 = patternListStack.pop();
              re2 += pl2.close;
              if (pl2.type === "!") {
                negativeLists.push(pl2);
              }
              pl2.reEnd = re2.length;
              continue;
            case "|":
              if (inClass || !patternListStack.length) {
                re2 += "\\|";
                continue;
              }
              clearStateChar();
              re2 += "|";
              continue;
            case "[":
              clearStateChar();
              if (inClass) {
                re2 += "\\" + c4;
                continue;
              }
              inClass = true;
              classStart = i4;
              reClassStart = re2.length;
              re2 += c4;
              continue;
            case "]":
              if (i4 === classStart + 1 || !inClass) {
                re2 += "\\" + c4;
                continue;
              }
              cs2 = pattern.substring(classStart + 1, i4);
              try {
                RegExp("[" + cs2 + "]");
              } catch (er) {
                sp = this.parse(cs2, SUBPARSE);
                re2 = re2.substr(0, reClassStart) + "\\[" + sp[0] + "\\]";
                hasMagic = hasMagic || sp[1];
                inClass = false;
                continue;
              }
              hasMagic = true;
              inClass = false;
              re2 += c4;
              continue;
            default:
              clearStateChar();
              if (reSpecials[c4] && !(c4 === "^" && inClass)) {
                re2 += "\\";
              }
              re2 += c4;
              break;
          }
        }
        if (inClass) {
          cs2 = pattern.substr(classStart + 1);
          sp = this.parse(cs2, SUBPARSE);
          re2 = re2.substr(0, reClassStart) + "\\[" + sp[0];
          hasMagic = hasMagic || sp[1];
        }
        for (pl2 = patternListStack.pop(); pl2; pl2 = patternListStack.pop()) {
          let tail2;
          tail2 = re2.slice(pl2.reStart + pl2.open.length);
          this.debug("setting tail", re2, pl2);
          tail2 = tail2.replace(/((?:\\{2}){0,64})(\\?)\|/g, (_3, $1, $22) => {
            if (!$22) {
              $22 = "\\";
            }
            return $1 + $1 + $22 + "|";
          });
          this.debug("tail=%j\n   %s", tail2, tail2, pl2, re2);
          const t9 = pl2.type === "*" ? star : pl2.type === "?" ? qmark : "\\" + pl2.type;
          hasMagic = true;
          re2 = re2.slice(0, pl2.reStart) + t9 + "\\(" + tail2;
        }
        clearStateChar();
        if (escaping) {
          re2 += "\\\\";
        }
        const addPatternStart = addPatternStartSet[re2.charAt(0)];
        for (let n2 = negativeLists.length - 1; n2 > -1; n2--) {
          const nl = negativeLists[n2];
          const nlBefore = re2.slice(0, nl.reStart);
          const nlFirst = re2.slice(nl.reStart, nl.reEnd - 8);
          let nlAfter = re2.slice(nl.reEnd);
          const nlLast = re2.slice(nl.reEnd - 8, nl.reEnd) + nlAfter;
          const openParensBefore = nlBefore.split("(").length - 1;
          let cleanAfter = nlAfter;
          for (let i4 = 0; i4 < openParensBefore; i4++) {
            cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
          }
          nlAfter = cleanAfter;
          const dollar = nlAfter === "" && isSub !== SUBPARSE ? "$" : "";
          re2 = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        }
        if (re2 !== "" && hasMagic) {
          re2 = "(?=.)" + re2;
        }
        if (addPatternStart) {
          re2 = patternStart + re2;
        }
        if (isSub === SUBPARSE) {
          return [re2, hasMagic];
        }
        if (!hasMagic) {
          return globUnescape(pattern);
        }
        const flags = options2.nocase ? "i" : "";
        try {
          return Object.assign(new RegExp("^" + re2 + "$", flags), {
            _glob: pattern,
            _src: re2
          });
        } catch (er) {
          return new RegExp("$.");
        }
      }
      makeRe() {
        if (this.regexp || this.regexp === false)
          return this.regexp;
        const set = this.set;
        if (!set.length) {
          this.regexp = false;
          return this.regexp;
        }
        const options2 = this.options;
        const twoStar = options2.noglobstar ? star : options2.dot ? twoStarDot : twoStarNoDot;
        const flags = options2.nocase ? "i" : "";
        let re2 = set.map((pattern) => {
          pattern = pattern.map(
            (p2) => typeof p2 === "string" ? regExpEscape(p2) : p2 === GLOBSTAR ? GLOBSTAR : p2._src
          ).reduce((set2, p2) => {
            if (!(set2[set2.length - 1] === GLOBSTAR && p2 === GLOBSTAR)) {
              set2.push(p2);
            }
            return set2;
          }, []);
          pattern.forEach((p2, i4) => {
            if (p2 !== GLOBSTAR || pattern[i4 - 1] === GLOBSTAR) {
              return;
            }
            if (i4 === 0) {
              if (pattern.length > 1) {
                pattern[i4 + 1] = "(?:\\/|" + twoStar + "\\/)?" + pattern[i4 + 1];
              } else {
                pattern[i4] = twoStar;
              }
            } else if (i4 === pattern.length - 1) {
              pattern[i4 - 1] += "(?:\\/|" + twoStar + ")?";
            } else {
              pattern[i4 - 1] += "(?:\\/|\\/" + twoStar + "\\/)" + pattern[i4 + 1];
              pattern[i4 + 1] = GLOBSTAR;
            }
          });
          return pattern.filter((p2) => p2 !== GLOBSTAR).join("/");
        }).join("|");
        re2 = "^(?:" + re2 + ")$";
        if (this.negate)
          re2 = "^(?!" + re2 + ").*$";
        try {
          this.regexp = new RegExp(re2, flags);
        } catch (ex2) {
          this.regexp = false;
        }
        return this.regexp;
      }
      match(f4, partial = this.partial) {
        this.debug("match", f4, this.pattern);
        if (this.comment)
          return false;
        if (this.empty)
          return f4 === "";
        if (f4 === "/" && partial)
          return true;
        const options2 = this.options;
        if (path39.sep !== "/") {
          f4 = f4.split(path39.sep).join("/");
        }
        f4 = f4.split(slashSplit);
        this.debug(this.pattern, "split", f4);
        const set = this.set;
        this.debug(this.pattern, "set", set);
        let filename;
        for (let i4 = f4.length - 1; i4 >= 0; i4--) {
          filename = f4[i4];
          if (filename)
            break;
        }
        for (let i4 = 0; i4 < set.length; i4++) {
          const pattern = set[i4];
          let file2 = f4;
          if (options2.matchBase && pattern.length === 1) {
            file2 = [filename];
          }
          const hit = this.matchOne(file2, pattern, partial);
          if (hit) {
            if (options2.flipNegate)
              return true;
            return !this.negate;
          }
        }
        if (options2.flipNegate)
          return false;
        return this.negate;
      }
      static defaults(def) {
        return minimatch.defaults(def).Minimatch;
      }
    };
    minimatch.Minimatch = Minimatch;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/matcher.js
var require_matcher2 = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/utils/matcher.js"(exports2) {
    "use strict";
    var Minimatch = require_minimatch().Minimatch;
    var convertPatternToAbsolutePath = (basePath2, pattern) => {
      const hasSlash = pattern.indexOf("/") !== -1;
      const isAbsolute = /^!?\//.test(pattern);
      const isNegated = /^!/.test(pattern);
      let separator;
      if (!isAbsolute && hasSlash) {
        const patternWithoutFirstCharacters = pattern.replace(/^!/, "").replace(/^\.\//, "");
        if (/\/$/.test(basePath2)) {
          separator = "";
        } else {
          separator = "/";
        }
        if (isNegated) {
          return `!${basePath2}${separator}${patternWithoutFirstCharacters}`;
        }
        return `${basePath2}${separator}${patternWithoutFirstCharacters}`;
      }
      return pattern;
    };
    exports2.create = (basePath2, patterns, ignoreCase) => {
      let normalizedPatterns;
      if (typeof patterns === "string") {
        normalizedPatterns = [patterns];
      } else {
        normalizedPatterns = patterns;
      }
      const matchers = normalizedPatterns.map((pattern) => {
        return convertPatternToAbsolutePath(basePath2, pattern);
      }).map((pattern) => {
        return new Minimatch(pattern, {
          matchBase: true,
          nocomment: true,
          nocase: ignoreCase || false,
          dot: true,
          windowsPathsNoEscape: true
        });
      });
      const performMatch = (absolutePath) => {
        let mode2 = "matching";
        let weHaveMatch = false;
        let currentMatcher;
        let i4;
        for (i4 = 0; i4 < matchers.length; i4 += 1) {
          currentMatcher = matchers[i4];
          if (currentMatcher.negate) {
            mode2 = "negation";
            if (i4 === 0) {
              weHaveMatch = true;
            }
          }
          if (mode2 === "negation" && weHaveMatch && !currentMatcher.match(absolutePath)) {
            return false;
          }
          if (mode2 === "matching" && !weHaveMatch) {
            weHaveMatch = currentMatcher.match(absolutePath);
          }
        }
        return weHaveMatch;
      };
      return performMatch;
    };
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/find.js
var require_find = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/find.js"(exports2) {
    "use strict";
    var pathUtil = require("path");
    var treeWalker = require_tree_walker();
    var inspect = require_inspect();
    var matcher = require_matcher2();
    var validate3 = require_validate();
    var validateInput = (methodName, path39, options2) => {
      const methodSignature = `${methodName}([path], options)`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.options(methodSignature, "options", options2, {
        matching: ["string", "array of string"],
        filter: ["function"],
        files: ["boolean"],
        directories: ["boolean"],
        recursive: ["boolean"],
        ignoreCase: ["boolean"]
      });
    };
    var normalizeOptions = (options2) => {
      const opts2 = options2 || {};
      if (opts2.matching === void 0) {
        opts2.matching = "*";
      }
      if (opts2.files === void 0) {
        opts2.files = true;
      }
      if (opts2.ignoreCase === void 0) {
        opts2.ignoreCase = false;
      }
      if (opts2.directories === void 0) {
        opts2.directories = false;
      }
      if (opts2.recursive === void 0) {
        opts2.recursive = true;
      }
      return opts2;
    };
    var processFoundPaths = (foundPaths, cwd) => {
      return foundPaths.map((path39) => {
        return pathUtil.relative(cwd, path39);
      });
    };
    var generatePathDoesntExistError = (path39) => {
      const err = new Error(`Path you want to find stuff in doesn't exist ${path39}`);
      err.code = "ENOENT";
      return err;
    };
    var generatePathNotDirectoryError = (path39) => {
      const err = new Error(
        `Path you want to find stuff in must be a directory ${path39}`
      );
      err.code = "ENOTDIR";
      return err;
    };
    var findSync = (path39, options2) => {
      const foundAbsolutePaths = [];
      const matchesAnyOfGlobs = matcher.create(
        path39,
        options2.matching,
        options2.ignoreCase
      );
      let maxLevelsDeep = Infinity;
      if (options2.recursive === false) {
        maxLevelsDeep = 1;
      }
      treeWalker.sync(
        path39,
        {
          maxLevelsDeep,
          symlinks: "follow",
          inspectOptions: { times: true, absolutePath: true }
        },
        (itemPath, item2) => {
          if (item2 && itemPath !== path39 && matchesAnyOfGlobs(itemPath)) {
            const weHaveMatch = item2.type === "file" && options2.files === true || item2.type === "dir" && options2.directories === true;
            if (weHaveMatch) {
              if (options2.filter) {
                const passedThroughFilter = options2.filter(item2);
                if (passedThroughFilter) {
                  foundAbsolutePaths.push(itemPath);
                }
              } else {
                foundAbsolutePaths.push(itemPath);
              }
            }
          }
        }
      );
      foundAbsolutePaths.sort();
      return processFoundPaths(foundAbsolutePaths, options2.cwd);
    };
    var findSyncInit = (path39, options2) => {
      const entryPointInspect = inspect.sync(path39, { symlinks: "follow" });
      if (entryPointInspect === void 0) {
        throw generatePathDoesntExistError(path39);
      } else if (entryPointInspect.type !== "dir") {
        throw generatePathNotDirectoryError(path39);
      }
      return findSync(path39, normalizeOptions(options2));
    };
    var findAsync = (path39, options2) => {
      return new Promise((resolve3, reject2) => {
        const foundAbsolutePaths = [];
        const matchesAnyOfGlobs = matcher.create(
          path39,
          options2.matching,
          options2.ignoreCase
        );
        let maxLevelsDeep = Infinity;
        if (options2.recursive === false) {
          maxLevelsDeep = 1;
        }
        let waitingForFiltersToFinish = 0;
        let treeWalkerDone = false;
        const maybeDone = () => {
          if (treeWalkerDone && waitingForFiltersToFinish === 0) {
            foundAbsolutePaths.sort();
            resolve3(processFoundPaths(foundAbsolutePaths, options2.cwd));
          }
        };
        treeWalker.async(
          path39,
          {
            maxLevelsDeep,
            symlinks: "follow",
            inspectOptions: { times: true, absolutePath: true }
          },
          (itemPath, item2) => {
            if (item2 && itemPath !== path39 && matchesAnyOfGlobs(itemPath)) {
              const weHaveMatch = item2.type === "file" && options2.files === true || item2.type === "dir" && options2.directories === true;
              if (weHaveMatch) {
                if (options2.filter) {
                  const passedThroughFilter = options2.filter(item2);
                  const isPromise = typeof passedThroughFilter.then === "function";
                  if (isPromise) {
                    waitingForFiltersToFinish += 1;
                    passedThroughFilter.then((passedThroughFilterResult) => {
                      if (passedThroughFilterResult) {
                        foundAbsolutePaths.push(itemPath);
                      }
                      waitingForFiltersToFinish -= 1;
                      maybeDone();
                    }).catch((err) => {
                      reject2(err);
                    });
                  } else if (passedThroughFilter) {
                    foundAbsolutePaths.push(itemPath);
                  }
                } else {
                  foundAbsolutePaths.push(itemPath);
                }
              }
            }
          },
          (err) => {
            if (err) {
              reject2(err);
            } else {
              treeWalkerDone = true;
              maybeDone();
            }
          }
        );
      });
    };
    var findAsyncInit = (path39, options2) => {
      return inspect.async(path39, { symlinks: "follow" }).then((entryPointInspect) => {
        if (entryPointInspect === void 0) {
          throw generatePathDoesntExistError(path39);
        } else if (entryPointInspect.type !== "dir") {
          throw generatePathNotDirectoryError(path39);
        }
        return findAsync(path39, normalizeOptions(options2));
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = findSyncInit;
    exports2.async = findAsyncInit;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/inspect_tree.js
var require_inspect_tree = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/inspect_tree.js"(exports2) {
    "use strict";
    var crypto4 = require("crypto");
    var pathUtil = require("path");
    var inspect = require_inspect();
    var list = require_list();
    var validate3 = require_validate();
    var treeWalker = require_tree_walker();
    var validateInput = (methodName, path39, options2) => {
      const methodSignature = `${methodName}(path, [options])`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.options(methodSignature, "options", options2, {
        checksum: ["string"],
        relativePath: ["boolean"],
        times: ["boolean"],
        symlinks: ["string"]
      });
      if (options2 && options2.checksum !== void 0 && inspect.supportedChecksumAlgorithms.indexOf(options2.checksum) === -1) {
        throw new Error(
          `Argument "options.checksum" passed to ${methodSignature} must have one of values: ${inspect.supportedChecksumAlgorithms.join(
            ", "
          )}`
        );
      }
      if (options2 && options2.symlinks !== void 0 && inspect.symlinkOptions.indexOf(options2.symlinks) === -1) {
        throw new Error(
          `Argument "options.symlinks" passed to ${methodSignature} must have one of values: ${inspect.symlinkOptions.join(
            ", "
          )}`
        );
      }
    };
    var relativePathInTree = (parentInspectObj, inspectObj) => {
      if (parentInspectObj === void 0) {
        return ".";
      }
      return parentInspectObj.relativePath + "/" + inspectObj.name;
    };
    var checksumOfDir = (inspectList, algo) => {
      const hash = crypto4.createHash(algo);
      inspectList.forEach((inspectObj) => {
        hash.update(inspectObj.name + inspectObj[algo]);
      });
      return hash.digest("hex");
    };
    var calculateTreeDependentProperties = (parentInspectObj, inspectObj, options2) => {
      if (options2.relativePath) {
        inspectObj.relativePath = relativePathInTree(parentInspectObj, inspectObj);
      }
      if (inspectObj.type === "dir") {
        inspectObj.children.forEach((childInspectObj) => {
          calculateTreeDependentProperties(inspectObj, childInspectObj, options2);
        });
        inspectObj.size = 0;
        inspectObj.children.sort((a3, b6) => {
          if (a3.type === "dir" && b6.type === "file") {
            return -1;
          }
          if (a3.type === "file" && b6.type === "dir") {
            return 1;
          }
          return a3.name.localeCompare(b6.name);
        });
        inspectObj.children.forEach((child) => {
          inspectObj.size += child.size || 0;
        });
        if (options2.checksum) {
          inspectObj[options2.checksum] = checksumOfDir(
            inspectObj.children,
            options2.checksum
          );
        }
      }
    };
    var findParentInTree = (treeNode, pathChain, item2) => {
      const name = pathChain[0];
      if (pathChain.length > 1) {
        const itemInTreeForPathChain = treeNode.children.find((child) => {
          return child.name === name;
        });
        return findParentInTree(itemInTreeForPathChain, pathChain.slice(1), item2);
      }
      return treeNode;
    };
    var inspectTreeSync = (path39, opts2) => {
      const options2 = opts2 || {};
      let tree;
      treeWalker.sync(path39, { inspectOptions: options2 }, (itemPath, item2) => {
        if (item2) {
          if (item2.type === "dir") {
            item2.children = [];
          }
          const relativePath = pathUtil.relative(path39, itemPath);
          if (relativePath === "") {
            tree = item2;
          } else {
            const parentItem = findParentInTree(
              tree,
              relativePath.split(pathUtil.sep),
              item2
            );
            parentItem.children.push(item2);
          }
        }
      });
      if (tree) {
        calculateTreeDependentProperties(void 0, tree, options2);
      }
      return tree;
    };
    var inspectTreeAsync = (path39, opts2) => {
      const options2 = opts2 || {};
      let tree;
      return new Promise((resolve3, reject2) => {
        treeWalker.async(
          path39,
          { inspectOptions: options2 },
          (itemPath, item2) => {
            if (item2) {
              if (item2.type === "dir") {
                item2.children = [];
              }
              const relativePath = pathUtil.relative(path39, itemPath);
              if (relativePath === "") {
                tree = item2;
              } else {
                const parentItem = findParentInTree(
                  tree,
                  relativePath.split(pathUtil.sep),
                  item2
                );
                parentItem.children.push(item2);
              }
            }
          },
          (err) => {
            if (err) {
              reject2(err);
            } else {
              if (tree) {
                calculateTreeDependentProperties(void 0, tree, options2);
              }
              resolve3(tree);
            }
          }
        );
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = inspectTreeSync;
    exports2.async = inspectTreeAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/exists.js
var require_exists = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/exists.js"(exports2) {
    "use strict";
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var validateInput = (methodName, path39) => {
      const methodSignature = `${methodName}(path)`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
    };
    var existsSync2 = (path39) => {
      try {
        const stat = fs42.statSync(path39);
        if (stat.isDirectory()) {
          return "dir";
        } else if (stat.isFile()) {
          return "file";
        }
        return "other";
      } catch (err) {
        if (err.code !== "ENOENT") {
          throw err;
        }
      }
      return false;
    };
    var existsAsync = (path39) => {
      return new Promise((resolve3, reject2) => {
        fs42.stat(path39).then((stat) => {
          if (stat.isDirectory()) {
            resolve3("dir");
          } else if (stat.isFile()) {
            resolve3("file");
          } else {
            resolve3("other");
          }
        }).catch((err) => {
          if (err.code === "ENOENT") {
            resolve3(false);
          } else {
            reject2(err);
          }
        });
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = existsSync2;
    exports2.async = existsAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/copy.js
var require_copy = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/copy.js"(exports2) {
    "use strict";
    var pathUtil = require("path");
    var fs42 = require_fs5();
    var dir3 = require_dir();
    var exists5 = require_exists();
    var inspect = require_inspect();
    var write = require_write();
    var matcher = require_matcher2();
    var fileMode = require_mode2();
    var treeWalker = require_tree_walker();
    var validate3 = require_validate();
    var validateInput = (methodName, from, to2, options2) => {
      const methodSignature = `${methodName}(from, to, [options])`;
      validate3.argument(methodSignature, "from", from, ["string"]);
      validate3.argument(methodSignature, "to", to2, ["string"]);
      validate3.options(methodSignature, "options", options2, {
        overwrite: ["boolean", "function"],
        matching: ["string", "array of string"],
        ignoreCase: ["boolean"]
      });
    };
    var parseOptions2 = (options2, from) => {
      const opts2 = options2 || {};
      const parsedOptions = {};
      if (opts2.ignoreCase === void 0) {
        opts2.ignoreCase = false;
      }
      parsedOptions.overwrite = opts2.overwrite;
      if (opts2.matching) {
        parsedOptions.allowedToCopy = matcher.create(
          from,
          opts2.matching,
          opts2.ignoreCase
        );
      } else {
        parsedOptions.allowedToCopy = () => {
          return true;
        };
      }
      return parsedOptions;
    };
    var generateNoSourceError = (path39) => {
      const err = new Error(`Path to copy doesn't exist ${path39}`);
      err.code = "ENOENT";
      return err;
    };
    var generateDestinationExistsError = (path39) => {
      const err = new Error(`Destination path already exists ${path39}`);
      err.code = "EEXIST";
      return err;
    };
    var inspectOptions = {
      mode: true,
      symlinks: "report",
      times: true,
      absolutePath: true
    };
    var shouldThrowDestinationExistsError = (context) => {
      return typeof context.opts.overwrite !== "function" && context.opts.overwrite !== true;
    };
    var checksBeforeCopyingSync = (from, to2, opts2) => {
      if (!exists5.sync(from)) {
        throw generateNoSourceError(from);
      }
      if (exists5.sync(to2) && !opts2.overwrite) {
        throw generateDestinationExistsError(to2);
      }
    };
    var canOverwriteItSync = (context) => {
      if (typeof context.opts.overwrite === "function") {
        const destInspectData = inspect.sync(context.destPath, inspectOptions);
        return context.opts.overwrite(context.srcInspectData, destInspectData);
      }
      return context.opts.overwrite === true;
    };
    var copyFileSync = (srcPath, destPath, mode2, context) => {
      const data = fs42.readFileSync(srcPath);
      try {
        fs42.writeFileSync(destPath, data, { mode: mode2, flag: "wx" });
      } catch (err) {
        if (err.code === "ENOENT") {
          write.sync(destPath, data, { mode: mode2 });
        } else if (err.code === "EEXIST") {
          if (canOverwriteItSync(context)) {
            fs42.writeFileSync(destPath, data, { mode: mode2 });
          } else if (shouldThrowDestinationExistsError(context)) {
            throw generateDestinationExistsError(context.destPath);
          }
        } else {
          throw err;
        }
      }
    };
    var copySymlinkSync = (from, to2) => {
      const symlinkPointsAt = fs42.readlinkSync(from);
      try {
        fs42.symlinkSync(symlinkPointsAt, to2);
      } catch (err) {
        if (err.code === "EEXIST") {
          fs42.unlinkSync(to2);
          fs42.symlinkSync(symlinkPointsAt, to2);
        } else {
          throw err;
        }
      }
    };
    var copyItemSync = (srcPath, srcInspectData, destPath, opts2) => {
      const context = { srcPath, destPath, srcInspectData, opts: opts2 };
      const mode2 = fileMode.normalizeFileMode(srcInspectData.mode);
      if (srcInspectData.type === "dir") {
        dir3.createSync(destPath, { mode: mode2 });
      } else if (srcInspectData.type === "file") {
        copyFileSync(srcPath, destPath, mode2, context);
      } else if (srcInspectData.type === "symlink") {
        copySymlinkSync(srcPath, destPath);
      }
    };
    var copySync = (from, to2, options2) => {
      const opts2 = parseOptions2(options2, from);
      checksBeforeCopyingSync(from, to2, opts2);
      treeWalker.sync(from, { inspectOptions }, (srcPath, srcInspectData) => {
        const rel = pathUtil.relative(from, srcPath);
        const destPath = pathUtil.resolve(to2, rel);
        if (opts2.allowedToCopy(srcPath, destPath, srcInspectData)) {
          copyItemSync(srcPath, srcInspectData, destPath, opts2);
        }
      });
    };
    var checksBeforeCopyingAsync = (from, to2, opts2) => {
      return exists5.async(from).then((srcPathExists) => {
        if (!srcPathExists) {
          throw generateNoSourceError(from);
        } else {
          return exists5.async(to2);
        }
      }).then((destPathExists) => {
        if (destPathExists && !opts2.overwrite) {
          throw generateDestinationExistsError(to2);
        }
      });
    };
    var canOverwriteItAsync = (context) => {
      return new Promise((resolve3, reject2) => {
        if (typeof context.opts.overwrite === "function") {
          inspect.async(context.destPath, inspectOptions).then((destInspectData) => {
            resolve3(
              context.opts.overwrite(context.srcInspectData, destInspectData)
            );
          }).catch(reject2);
        } else {
          resolve3(context.opts.overwrite === true);
        }
      });
    };
    var copyFileAsync = (srcPath, destPath, mode2, context, runOptions) => {
      return new Promise((resolve3, reject2) => {
        const runOpts = runOptions || {};
        let flags = "wx";
        if (runOpts.overwrite) {
          flags = "w";
        }
        const readStream = fs42.createReadStream(srcPath);
        const writeStream = fs42.createWriteStream(destPath, { mode: mode2, flags });
        readStream.on("error", reject2);
        writeStream.on("error", (err) => {
          readStream.resume();
          if (err.code === "ENOENT") {
            dir3.createAsync(pathUtil.dirname(destPath)).then(() => {
              copyFileAsync(srcPath, destPath, mode2, context).then(
                resolve3,
                reject2
              );
            }).catch(reject2);
          } else if (err.code === "EEXIST") {
            canOverwriteItAsync(context).then((canOverwite) => {
              if (canOverwite) {
                copyFileAsync(srcPath, destPath, mode2, context, {
                  overwrite: true
                }).then(resolve3, reject2);
              } else if (shouldThrowDestinationExistsError(context)) {
                reject2(generateDestinationExistsError(destPath));
              } else {
                resolve3();
              }
            }).catch(reject2);
          } else {
            reject2(err);
          }
        });
        writeStream.on("finish", resolve3);
        readStream.pipe(writeStream);
      });
    };
    var copySymlinkAsync = (from, to2) => {
      return fs42.readlink(from).then((symlinkPointsAt) => {
        return new Promise((resolve3, reject2) => {
          fs42.symlink(symlinkPointsAt, to2).then(resolve3).catch((err) => {
            if (err.code === "EEXIST") {
              fs42.unlink(to2).then(() => {
                return fs42.symlink(symlinkPointsAt, to2);
              }).then(resolve3, reject2);
            } else {
              reject2(err);
            }
          });
        });
      });
    };
    var copyItemAsync = (srcPath, srcInspectData, destPath, opts2) => {
      const context = { srcPath, destPath, srcInspectData, opts: opts2 };
      const mode2 = fileMode.normalizeFileMode(srcInspectData.mode);
      if (srcInspectData.type === "dir") {
        return dir3.createAsync(destPath, { mode: mode2 });
      } else if (srcInspectData.type === "file") {
        return copyFileAsync(srcPath, destPath, mode2, context);
      } else if (srcInspectData.type === "symlink") {
        return copySymlinkAsync(srcPath, destPath);
      }
      return Promise.resolve();
    };
    var copyAsync = (from, to2, options2) => {
      return new Promise((resolve3, reject2) => {
        const opts2 = parseOptions2(options2, from);
        checksBeforeCopyingAsync(from, to2, opts2).then(() => {
          let allFilesDelivered = false;
          let filesInProgress = 0;
          treeWalker.async(
            from,
            { inspectOptions },
            (srcPath, item2) => {
              if (item2) {
                const rel = pathUtil.relative(from, srcPath);
                const destPath = pathUtil.resolve(to2, rel);
                if (opts2.allowedToCopy(srcPath, item2, destPath)) {
                  filesInProgress += 1;
                  copyItemAsync(srcPath, item2, destPath, opts2).then(() => {
                    filesInProgress -= 1;
                    if (allFilesDelivered && filesInProgress === 0) {
                      resolve3();
                    }
                  }).catch(reject2);
                }
              }
            },
            (err) => {
              if (err) {
                reject2(err);
              } else {
                allFilesDelivered = true;
                if (allFilesDelivered && filesInProgress === 0) {
                  resolve3();
                }
              }
            }
          );
        }).catch(reject2);
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = copySync;
    exports2.async = copyAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/move.js
var require_move = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/move.js"(exports2) {
    "use strict";
    var pathUtil = require("path");
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var copy = require_copy();
    var dir3 = require_dir();
    var exists5 = require_exists();
    var remove2 = require_remove();
    var validateInput = (methodName, from, to2, options2) => {
      const methodSignature = `${methodName}(from, to, [options])`;
      validate3.argument(methodSignature, "from", from, ["string"]);
      validate3.argument(methodSignature, "to", to2, ["string"]);
      validate3.options(methodSignature, "options", options2, {
        overwrite: ["boolean"]
      });
    };
    var parseOptions2 = (options2) => {
      const opts2 = options2 || {};
      return opts2;
    };
    var generateDestinationExistsError = (path39) => {
      const err = new Error(`Destination path already exists ${path39}`);
      err.code = "EEXIST";
      return err;
    };
    var generateSourceDoesntExistError = (path39) => {
      const err = new Error(`Path to move doesn't exist ${path39}`);
      err.code = "ENOENT";
      return err;
    };
    var moveSync = (from, to2, options2) => {
      const opts2 = parseOptions2(options2);
      if (exists5.sync(to2) !== false && opts2.overwrite !== true) {
        throw generateDestinationExistsError(to2);
      }
      try {
        fs42.renameSync(from, to2);
      } catch (err) {
        if (err.code === "EISDIR" || err.code === "EPERM") {
          remove2.sync(to2);
          fs42.renameSync(from, to2);
        } else if (err.code === "EXDEV") {
          copy.sync(from, to2, { overwrite: true });
          remove2.sync(from);
        } else if (err.code === "ENOENT") {
          if (!exists5.sync(from)) {
            throw generateSourceDoesntExistError(from);
          }
          dir3.createSync(pathUtil.dirname(to2));
          fs42.renameSync(from, to2);
        } else {
          throw err;
        }
      }
    };
    var ensureDestinationPathExistsAsync = (to2) => {
      return new Promise((resolve3, reject2) => {
        const destDir = pathUtil.dirname(to2);
        exists5.async(destDir).then((dstExists) => {
          if (!dstExists) {
            dir3.createAsync(destDir).then(resolve3, reject2);
          } else {
            reject2();
          }
        }).catch(reject2);
      });
    };
    var moveAsync = (from, to2, options2) => {
      const opts2 = parseOptions2(options2);
      return new Promise((resolve3, reject2) => {
        exists5.async(to2).then((destinationExists) => {
          if (destinationExists !== false && opts2.overwrite !== true) {
            reject2(generateDestinationExistsError(to2));
          } else {
            fs42.rename(from, to2).then(resolve3).catch((err) => {
              if (err.code === "EISDIR" || err.code === "EPERM") {
                remove2.async(to2).then(() => fs42.rename(from, to2)).then(resolve3, reject2);
              } else if (err.code === "EXDEV") {
                copy.async(from, to2, { overwrite: true }).then(() => remove2.async(from)).then(resolve3, reject2);
              } else if (err.code === "ENOENT") {
                exists5.async(from).then((srcExists) => {
                  if (!srcExists) {
                    reject2(generateSourceDoesntExistError(from));
                  } else {
                    ensureDestinationPathExistsAsync(to2).then(() => {
                      return fs42.rename(from, to2);
                    }).then(resolve3, reject2);
                  }
                }).catch(reject2);
              } else {
                reject2(err);
              }
            });
          }
        });
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = moveSync;
    exports2.async = moveAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/read.js
var require_read = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/read.js"(exports2) {
    "use strict";
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var supportedReturnAs = ["utf8", "buffer", "json", "jsonWithDates"];
    var validateInput = (methodName, path39, returnAs) => {
      const methodSignature = `${methodName}(path, returnAs)`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.argument(methodSignature, "returnAs", returnAs, [
        "string",
        "undefined"
      ]);
      if (returnAs && supportedReturnAs.indexOf(returnAs) === -1) {
        throw new Error(
          `Argument "returnAs" passed to ${methodSignature} must have one of values: ${supportedReturnAs.join(
            ", "
          )}`
        );
      }
    };
    var jsonDateParser = (key, value) => {
      const reISO = /^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}(?:\.\d*))(?:Z|(\+|-)([\d|:]*))?$/;
      if (typeof value === "string") {
        if (reISO.exec(value)) {
          return new Date(value);
        }
      }
      return value;
    };
    var makeNicerJsonParsingError = (path39, err) => {
      const nicerError = new Error(
        `JSON parsing failed while reading ${path39} [${err}]`
      );
      nicerError.originalError = err;
      return nicerError;
    };
    var readSync = (path39, returnAs) => {
      const retAs = returnAs || "utf8";
      let data;
      let encoding = "utf8";
      if (retAs === "buffer") {
        encoding = null;
      }
      try {
        data = fs42.readFileSync(path39, { encoding });
      } catch (err) {
        if (err.code === "ENOENT") {
          return void 0;
        }
        throw err;
      }
      try {
        if (retAs === "json") {
          data = JSON.parse(data);
        } else if (retAs === "jsonWithDates") {
          data = JSON.parse(data, jsonDateParser);
        }
      } catch (err) {
        throw makeNicerJsonParsingError(path39, err);
      }
      return data;
    };
    var readAsync = (path39, returnAs) => {
      return new Promise((resolve3, reject2) => {
        const retAs = returnAs || "utf8";
        let encoding = "utf8";
        if (retAs === "buffer") {
          encoding = null;
        }
        fs42.readFile(path39, { encoding }).then((data) => {
          try {
            if (retAs === "json") {
              resolve3(JSON.parse(data));
            } else if (retAs === "jsonWithDates") {
              resolve3(JSON.parse(data, jsonDateParser));
            } else {
              resolve3(data);
            }
          } catch (err) {
            reject2(makeNicerJsonParsingError(path39, err));
          }
        }).catch((err) => {
          if (err.code === "ENOENT") {
            resolve3(void 0);
          } else {
            reject2(err);
          }
        });
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = readSync;
    exports2.async = readAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/rename.js
var require_rename = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/rename.js"(exports2) {
    "use strict";
    var pathUtil = require("path");
    var move = require_move();
    var validate3 = require_validate();
    var validateInput = (methodName, path39, newName, options2) => {
      const methodSignature = `${methodName}(path, newName, [options])`;
      validate3.argument(methodSignature, "path", path39, ["string"]);
      validate3.argument(methodSignature, "newName", newName, ["string"]);
      validate3.options(methodSignature, "options", options2, {
        overwrite: ["boolean"]
      });
      if (pathUtil.basename(newName) !== newName) {
        throw new Error(
          `Argument "newName" passed to ${methodSignature} should be a filename, not a path. Received "${newName}"`
        );
      }
    };
    var renameSync = (path39, newName, options2) => {
      const newPath = pathUtil.join(pathUtil.dirname(path39), newName);
      move.sync(path39, newPath, options2);
    };
    var renameAsync = (path39, newName, options2) => {
      const newPath = pathUtil.join(pathUtil.dirname(path39), newName);
      return move.async(path39, newPath, options2);
    };
    exports2.validateInput = validateInput;
    exports2.sync = renameSync;
    exports2.async = renameAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/symlink.js
var require_symlink = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/symlink.js"(exports2) {
    "use strict";
    var pathUtil = require("path");
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var dir3 = require_dir();
    var validateInput = (methodName, symlinkValue, path39) => {
      const methodSignature = `${methodName}(symlinkValue, path)`;
      validate3.argument(methodSignature, "symlinkValue", symlinkValue, ["string"]);
      validate3.argument(methodSignature, "path", path39, ["string"]);
    };
    var symlinkSync = (symlinkValue, path39) => {
      try {
        fs42.symlinkSync(symlinkValue, path39);
      } catch (err) {
        if (err.code === "ENOENT") {
          dir3.createSync(pathUtil.dirname(path39));
          fs42.symlinkSync(symlinkValue, path39);
        } else {
          throw err;
        }
      }
    };
    var symlinkAsync = (symlinkValue, path39) => {
      return new Promise((resolve3, reject2) => {
        fs42.symlink(symlinkValue, path39).then(resolve3).catch((err) => {
          if (err.code === "ENOENT") {
            dir3.createAsync(pathUtil.dirname(path39)).then(() => {
              return fs42.symlink(symlinkValue, path39);
            }).then(resolve3, reject2);
          } else {
            reject2(err);
          }
        });
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = symlinkSync;
    exports2.async = symlinkAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/streams.js
var require_streams = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/streams.js"(exports2) {
    "use strict";
    var fs42 = require("fs");
    exports2.createWriteStream = fs42.createWriteStream;
    exports2.createReadStream = fs42.createReadStream;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/tmp_dir.js
var require_tmp_dir = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/tmp_dir.js"(exports2) {
    "use strict";
    var pathUtil = require("path");
    var os7 = require("os");
    var crypto4 = require("crypto");
    var dir3 = require_dir();
    var fs42 = require_fs5();
    var validate3 = require_validate();
    var validateInput = (methodName, options2) => {
      const methodSignature = `${methodName}([options])`;
      validate3.options(methodSignature, "options", options2, {
        prefix: ["string"],
        basePath: ["string"]
      });
    };
    var getOptionsDefaults = (passedOptions, cwdPath) => {
      passedOptions = passedOptions || {};
      const options2 = {};
      if (typeof passedOptions.prefix !== "string") {
        options2.prefix = "";
      } else {
        options2.prefix = passedOptions.prefix;
      }
      if (typeof passedOptions.basePath === "string") {
        options2.basePath = pathUtil.resolve(cwdPath, passedOptions.basePath);
      } else {
        options2.basePath = os7.tmpdir();
      }
      return options2;
    };
    var randomStringLength = 32;
    var tmpDirSync = (cwdPath, passedOptions) => {
      const options2 = getOptionsDefaults(passedOptions, cwdPath);
      const randomString = crypto4.randomBytes(randomStringLength / 2).toString("hex");
      const dirPath = pathUtil.join(
        options2.basePath,
        options2.prefix + randomString
      );
      try {
        fs42.mkdirSync(dirPath);
      } catch (err) {
        if (err.code === "ENOENT") {
          dir3.sync(dirPath);
        } else {
          throw err;
        }
      }
      return dirPath;
    };
    var tmpDirAsync = (cwdPath, passedOptions) => {
      return new Promise((resolve3, reject2) => {
        const options2 = getOptionsDefaults(passedOptions, cwdPath);
        crypto4.randomBytes(randomStringLength / 2, (err, bytes) => {
          if (err) {
            reject2(err);
          } else {
            const randomString = bytes.toString("hex");
            const dirPath = pathUtil.join(
              options2.basePath,
              options2.prefix + randomString
            );
            fs42.mkdir(dirPath, (err2) => {
              if (err2) {
                if (err2.code === "ENOENT") {
                  dir3.async(dirPath).then(() => {
                    resolve3(dirPath);
                  }, reject2);
                } else {
                  reject2(err2);
                }
              } else {
                resolve3(dirPath);
              }
            });
          }
        });
      });
    };
    exports2.validateInput = validateInput;
    exports2.sync = tmpDirSync;
    exports2.async = tmpDirAsync;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/jetpack.js
var require_jetpack = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/lib/jetpack.js"(exports2, module2) {
    "use strict";
    var util4 = require("util");
    var pathUtil = require("path");
    var append = require_append();
    var dir3 = require_dir();
    var file2 = require_file();
    var find2 = require_find();
    var inspect = require_inspect();
    var inspectTree = require_inspect_tree();
    var copy = require_copy();
    var exists5 = require_exists();
    var list = require_list();
    var move = require_move();
    var read = require_read();
    var remove2 = require_remove();
    var rename = require_rename();
    var symlink = require_symlink();
    var streams = require_streams();
    var tmpDir = require_tmp_dir();
    var write = require_write();
    var jetpackContext = (cwdPath) => {
      const getCwdPath = () => {
        return cwdPath || process.cwd();
      };
      const cwd = function() {
        if (arguments.length === 0) {
          return getCwdPath();
        }
        const args3 = Array.prototype.slice.call(arguments);
        const pathParts = [getCwdPath()].concat(args3);
        return jetpackContext(pathUtil.resolve.apply(null, pathParts));
      };
      const resolvePath = (path39) => {
        return pathUtil.resolve(getCwdPath(), path39);
      };
      const getPath = function() {
        Array.prototype.unshift.call(arguments, getCwdPath());
        return pathUtil.resolve.apply(null, arguments);
      };
      const normalizeOptions = (options2) => {
        const opts2 = options2 || {};
        opts2.cwd = getCwdPath();
        return opts2;
      };
      const api = {
        cwd,
        path: getPath,
        append: (path39, data, options2) => {
          append.validateInput("append", path39, data, options2);
          append.sync(resolvePath(path39), data, options2);
        },
        appendAsync: (path39, data, options2) => {
          append.validateInput("appendAsync", path39, data, options2);
          return append.async(resolvePath(path39), data, options2);
        },
        copy: (from, to2, options2) => {
          copy.validateInput("copy", from, to2, options2);
          copy.sync(resolvePath(from), resolvePath(to2), options2);
        },
        copyAsync: (from, to2, options2) => {
          copy.validateInput("copyAsync", from, to2, options2);
          return copy.async(resolvePath(from), resolvePath(to2), options2);
        },
        createWriteStream: (path39, options2) => {
          return streams.createWriteStream(resolvePath(path39), options2);
        },
        createReadStream: (path39, options2) => {
          return streams.createReadStream(resolvePath(path39), options2);
        },
        dir: (path39, criteria) => {
          dir3.validateInput("dir", path39, criteria);
          const normalizedPath = resolvePath(path39);
          dir3.sync(normalizedPath, criteria);
          return cwd(normalizedPath);
        },
        dirAsync: (path39, criteria) => {
          dir3.validateInput("dirAsync", path39, criteria);
          return new Promise((resolve3, reject2) => {
            const normalizedPath = resolvePath(path39);
            dir3.async(normalizedPath, criteria).then(() => {
              resolve3(cwd(normalizedPath));
            }, reject2);
          });
        },
        exists: (path39) => {
          exists5.validateInput("exists", path39);
          return exists5.sync(resolvePath(path39));
        },
        existsAsync: (path39) => {
          exists5.validateInput("existsAsync", path39);
          return exists5.async(resolvePath(path39));
        },
        file: (path39, criteria) => {
          file2.validateInput("file", path39, criteria);
          file2.sync(resolvePath(path39), criteria);
          return api;
        },
        fileAsync: (path39, criteria) => {
          file2.validateInput("fileAsync", path39, criteria);
          return new Promise((resolve3, reject2) => {
            file2.async(resolvePath(path39), criteria).then(() => {
              resolve3(api);
            }, reject2);
          });
        },
        find: (startPath, options2) => {
          if (typeof options2 === "undefined" && typeof startPath === "object") {
            options2 = startPath;
            startPath = ".";
          }
          find2.validateInput("find", startPath, options2);
          return find2.sync(resolvePath(startPath), normalizeOptions(options2));
        },
        findAsync: (startPath, options2) => {
          if (typeof options2 === "undefined" && typeof startPath === "object") {
            options2 = startPath;
            startPath = ".";
          }
          find2.validateInput("findAsync", startPath, options2);
          return find2.async(resolvePath(startPath), normalizeOptions(options2));
        },
        inspect: (path39, fieldsToInclude) => {
          inspect.validateInput("inspect", path39, fieldsToInclude);
          return inspect.sync(resolvePath(path39), fieldsToInclude);
        },
        inspectAsync: (path39, fieldsToInclude) => {
          inspect.validateInput("inspectAsync", path39, fieldsToInclude);
          return inspect.async(resolvePath(path39), fieldsToInclude);
        },
        inspectTree: (path39, options2) => {
          inspectTree.validateInput("inspectTree", path39, options2);
          return inspectTree.sync(resolvePath(path39), options2);
        },
        inspectTreeAsync: (path39, options2) => {
          inspectTree.validateInput("inspectTreeAsync", path39, options2);
          return inspectTree.async(resolvePath(path39), options2);
        },
        list: (path39) => {
          list.validateInput("list", path39);
          return list.sync(resolvePath(path39 || "."));
        },
        listAsync: (path39) => {
          list.validateInput("listAsync", path39);
          return list.async(resolvePath(path39 || "."));
        },
        move: (from, to2, options2) => {
          move.validateInput("move", from, to2, options2);
          move.sync(resolvePath(from), resolvePath(to2), options2);
        },
        moveAsync: (from, to2, options2) => {
          move.validateInput("moveAsync", from, to2, options2);
          return move.async(resolvePath(from), resolvePath(to2), options2);
        },
        read: (path39, returnAs) => {
          read.validateInput("read", path39, returnAs);
          return read.sync(resolvePath(path39), returnAs);
        },
        readAsync: (path39, returnAs) => {
          read.validateInput("readAsync", path39, returnAs);
          return read.async(resolvePath(path39), returnAs);
        },
        remove: (path39) => {
          remove2.validateInput("remove", path39);
          remove2.sync(resolvePath(path39 || "."));
        },
        removeAsync: (path39) => {
          remove2.validateInput("removeAsync", path39);
          return remove2.async(resolvePath(path39 || "."));
        },
        rename: (path39, newName, options2) => {
          rename.validateInput("rename", path39, newName, options2);
          rename.sync(resolvePath(path39), newName, options2);
        },
        renameAsync: (path39, newName, options2) => {
          rename.validateInput("renameAsync", path39, newName, options2);
          return rename.async(resolvePath(path39), newName, options2);
        },
        symlink: (symlinkValue, path39) => {
          symlink.validateInput("symlink", symlinkValue, path39);
          symlink.sync(symlinkValue, resolvePath(path39));
        },
        symlinkAsync: (symlinkValue, path39) => {
          symlink.validateInput("symlinkAsync", symlinkValue, path39);
          return symlink.async(symlinkValue, resolvePath(path39));
        },
        tmpDir: (options2) => {
          tmpDir.validateInput("tmpDir", options2);
          const pathOfCreatedDirectory = tmpDir.sync(getCwdPath(), options2);
          return cwd(pathOfCreatedDirectory);
        },
        tmpDirAsync: (options2) => {
          tmpDir.validateInput("tmpDirAsync", options2);
          return new Promise((resolve3, reject2) => {
            tmpDir.async(getCwdPath(), options2).then((pathOfCreatedDirectory) => {
              resolve3(cwd(pathOfCreatedDirectory));
            }, reject2);
          });
        },
        write: (path39, data, options2) => {
          write.validateInput("write", path39, data, options2);
          write.sync(resolvePath(path39), data, options2);
        },
        writeAsync: (path39, data, options2) => {
          write.validateInput("writeAsync", path39, data, options2);
          return write.async(resolvePath(path39), data, options2);
        }
      };
      if (util4.inspect.custom !== void 0) {
        api[util4.inspect.custom] = () => {
          return `[fs-jetpack CWD: ${getCwdPath()}]`;
        };
      }
      return api;
    };
    module2.exports = jetpackContext;
  }
});

// ../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/main.js
var require_main2 = __commonJS({
  "../../node_modules/.pnpm/fs-jetpack@5.1.0/node_modules/fs-jetpack/main.js"(exports2, module2) {
    "use strict";
    var jetpack = require_jetpack();
    module2.exports = jetpack();
  }
});

// ../../node_modules/.pnpm/crypto-random-string@2.0.0/node_modules/crypto-random-string/index.js
var require_crypto_random_string = __commonJS({
  "../../node_modules/.pnpm/crypto-random-string@2.0.0/node_modules/crypto-random-string/index.js"(exports2, module2) {
    "use strict";
    var crypto4 = require("crypto");
    module2.exports = (length) => {
      if (!Number.isFinite(length)) {
        throw new TypeError("Expected a finite number");
      }
      return crypto4.randomBytes(Math.ceil(length / 2)).toString("hex").slice(0, length);
    };
  }
});

// ../../node_modules/.pnpm/unique-string@2.0.0/node_modules/unique-string/index.js
var require_unique_string = __commonJS({
  "../../node_modules/.pnpm/unique-string@2.0.0/node_modules/unique-string/index.js"(exports2, module2) {
    "use strict";
    var cryptoRandomString = require_crypto_random_string();
    module2.exports = () => cryptoRandomString(32);
  }
});

// ../../node_modules/.pnpm/temp-dir@2.0.0/node_modules/temp-dir/index.js
var require_temp_dir = __commonJS({
  "../../node_modules/.pnpm/temp-dir@2.0.0/node_modules/temp-dir/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var os7 = require("os");
    var tempDirectorySymbol = Symbol.for("__RESOLVED_TEMP_DIRECTORY__");
    if (!global[tempDirectorySymbol]) {
      Object.defineProperty(global, tempDirectorySymbol, {
        value: fs42.realpathSync(os7.tmpdir())
      });
    }
    module2.exports = global[tempDirectorySymbol];
  }
});

// ../../node_modules/.pnpm/graceful-fs@4.2.10/node_modules/graceful-fs/polyfills.js
var require_polyfills = __commonJS({
  "../../node_modules/.pnpm/graceful-fs@4.2.10/node_modules/graceful-fs/polyfills.js"(exports2, module2) {
    "use strict";
    var constants3 = require("constants");
    var origCwd = process.cwd;
    var cwd = null;
    var platform2 = process.env.GRACEFUL_FS_PLATFORM || process.platform;
    process.cwd = function() {
      if (!cwd)
        cwd = origCwd.call(process);
      return cwd;
    };
    try {
      process.cwd();
    } catch (er) {
    }
    if (typeof process.chdir === "function") {
      chdir = process.chdir;
      process.chdir = function(d3) {
        cwd = null;
        chdir.call(process, d3);
      };
      if (Object.setPrototypeOf)
        Object.setPrototypeOf(process.chdir, chdir);
    }
    var chdir;
    module2.exports = patch;
    function patch(fs42) {
      if (constants3.hasOwnProperty("O_SYMLINK") && process.version.match(/^v0\.6\.[0-2]|^v0\.5\./)) {
        patchLchmod(fs42);
      }
      if (!fs42.lutimes) {
        patchLutimes(fs42);
      }
      fs42.chown = chownFix(fs42.chown);
      fs42.fchown = chownFix(fs42.fchown);
      fs42.lchown = chownFix(fs42.lchown);
      fs42.chmod = chmodFix(fs42.chmod);
      fs42.fchmod = chmodFix(fs42.fchmod);
      fs42.lchmod = chmodFix(fs42.lchmod);
      fs42.chownSync = chownFixSync(fs42.chownSync);
      fs42.fchownSync = chownFixSync(fs42.fchownSync);
      fs42.lchownSync = chownFixSync(fs42.lchownSync);
      fs42.chmodSync = chmodFixSync(fs42.chmodSync);
      fs42.fchmodSync = chmodFixSync(fs42.fchmodSync);
      fs42.lchmodSync = chmodFixSync(fs42.lchmodSync);
      fs42.stat = statFix(fs42.stat);
      fs42.fstat = statFix(fs42.fstat);
      fs42.lstat = statFix(fs42.lstat);
      fs42.statSync = statFixSync(fs42.statSync);
      fs42.fstatSync = statFixSync(fs42.fstatSync);
      fs42.lstatSync = statFixSync(fs42.lstatSync);
      if (fs42.chmod && !fs42.lchmod) {
        fs42.lchmod = function(path39, mode2, cb2) {
          if (cb2)
            process.nextTick(cb2);
        };
        fs42.lchmodSync = function() {
        };
      }
      if (fs42.chown && !fs42.lchown) {
        fs42.lchown = function(path39, uid, gid, cb2) {
          if (cb2)
            process.nextTick(cb2);
        };
        fs42.lchownSync = function() {
        };
      }
      if (platform2 === "win32") {
        fs42.rename = typeof fs42.rename !== "function" ? fs42.rename : function(fs$rename) {
          function rename(from, to2, cb2) {
            var start = Date.now();
            var backoff = 0;
            fs$rename(from, to2, function CB(er) {
              if (er && (er.code === "EACCES" || er.code === "EPERM") && Date.now() - start < 6e4) {
                setTimeout(function() {
                  fs42.stat(to2, function(stater, st) {
                    if (stater && stater.code === "ENOENT")
                      fs$rename(from, to2, CB);
                    else
                      cb2(er);
                  });
                }, backoff);
                if (backoff < 100)
                  backoff += 10;
                return;
              }
              if (cb2)
                cb2(er);
            });
          }
          if (Object.setPrototypeOf)
            Object.setPrototypeOf(rename, fs$rename);
          return rename;
        }(fs42.rename);
      }
      fs42.read = typeof fs42.read !== "function" ? fs42.read : function(fs$read) {
        function read(fd, buffer, offset, length, position, callback_) {
          var callback;
          if (callback_ && typeof callback_ === "function") {
            var eagCounter = 0;
            callback = function(er, _3, __) {
              if (er && er.code === "EAGAIN" && eagCounter < 10) {
                eagCounter++;
                return fs$read.call(fs42, fd, buffer, offset, length, position, callback);
              }
              callback_.apply(this, arguments);
            };
          }
          return fs$read.call(fs42, fd, buffer, offset, length, position, callback);
        }
        if (Object.setPrototypeOf)
          Object.setPrototypeOf(read, fs$read);
        return read;
      }(fs42.read);
      fs42.readSync = typeof fs42.readSync !== "function" ? fs42.readSync : function(fs$readSync) {
        return function(fd, buffer, offset, length, position) {
          var eagCounter = 0;
          while (true) {
            try {
              return fs$readSync.call(fs42, fd, buffer, offset, length, position);
            } catch (er) {
              if (er.code === "EAGAIN" && eagCounter < 10) {
                eagCounter++;
                continue;
              }
              throw er;
            }
          }
        };
      }(fs42.readSync);
      function patchLchmod(fs43) {
        fs43.lchmod = function(path39, mode2, callback) {
          fs43.open(
            path39,
            constants3.O_WRONLY | constants3.O_SYMLINK,
            mode2,
            function(err, fd) {
              if (err) {
                if (callback)
                  callback(err);
                return;
              }
              fs43.fchmod(fd, mode2, function(err2) {
                fs43.close(fd, function(err22) {
                  if (callback)
                    callback(err2 || err22);
                });
              });
            }
          );
        };
        fs43.lchmodSync = function(path39, mode2) {
          var fd = fs43.openSync(path39, constants3.O_WRONLY | constants3.O_SYMLINK, mode2);
          var threw = true;
          var ret;
          try {
            ret = fs43.fchmodSync(fd, mode2);
            threw = false;
          } finally {
            if (threw) {
              try {
                fs43.closeSync(fd);
              } catch (er) {
              }
            } else {
              fs43.closeSync(fd);
            }
          }
          return ret;
        };
      }
      function patchLutimes(fs43) {
        if (constants3.hasOwnProperty("O_SYMLINK") && fs43.futimes) {
          fs43.lutimes = function(path39, at, mt, cb2) {
            fs43.open(path39, constants3.O_SYMLINK, function(er, fd) {
              if (er) {
                if (cb2)
                  cb2(er);
                return;
              }
              fs43.futimes(fd, at, mt, function(er2) {
                fs43.close(fd, function(er22) {
                  if (cb2)
                    cb2(er2 || er22);
                });
              });
            });
          };
          fs43.lutimesSync = function(path39, at, mt) {
            var fd = fs43.openSync(path39, constants3.O_SYMLINK);
            var ret;
            var threw = true;
            try {
              ret = fs43.futimesSync(fd, at, mt);
              threw = false;
            } finally {
              if (threw) {
                try {
                  fs43.closeSync(fd);
                } catch (er) {
                }
              } else {
                fs43.closeSync(fd);
              }
            }
            return ret;
          };
        } else if (fs43.futimes) {
          fs43.lutimes = function(_a, _b2, _c, cb2) {
            if (cb2)
              process.nextTick(cb2);
          };
          fs43.lutimesSync = function() {
          };
        }
      }
      function chmodFix(orig) {
        if (!orig)
          return orig;
        return function(target, mode2, cb2) {
          return orig.call(fs42, target, mode2, function(er) {
            if (chownErOk(er))
              er = null;
            if (cb2)
              cb2.apply(this, arguments);
          });
        };
      }
      function chmodFixSync(orig) {
        if (!orig)
          return orig;
        return function(target, mode2) {
          try {
            return orig.call(fs42, target, mode2);
          } catch (er) {
            if (!chownErOk(er))
              throw er;
          }
        };
      }
      function chownFix(orig) {
        if (!orig)
          return orig;
        return function(target, uid, gid, cb2) {
          return orig.call(fs42, target, uid, gid, function(er) {
            if (chownErOk(er))
              er = null;
            if (cb2)
              cb2.apply(this, arguments);
          });
        };
      }
      function chownFixSync(orig) {
        if (!orig)
          return orig;
        return function(target, uid, gid) {
          try {
            return orig.call(fs42, target, uid, gid);
          } catch (er) {
            if (!chownErOk(er))
              throw er;
          }
        };
      }
      function statFix(orig) {
        if (!orig)
          return orig;
        return function(target, options2, cb2) {
          if (typeof options2 === "function") {
            cb2 = options2;
            options2 = null;
          }
          function callback(er, stats) {
            if (stats) {
              if (stats.uid < 0)
                stats.uid += 4294967296;
              if (stats.gid < 0)
                stats.gid += 4294967296;
            }
            if (cb2)
              cb2.apply(this, arguments);
          }
          return options2 ? orig.call(fs42, target, options2, callback) : orig.call(fs42, target, callback);
        };
      }
      function statFixSync(orig) {
        if (!orig)
          return orig;
        return function(target, options2) {
          var stats = options2 ? orig.call(fs42, target, options2) : orig.call(fs42, target);
          if (stats) {
            if (stats.uid < 0)
              stats.uid += 4294967296;
            if (stats.gid < 0)
              stats.gid += 4294967296;
          }
          return stats;
        };
      }
      function chownErOk(er) {
        if (!er)
          return true;
        if (er.code === "ENOSYS")
          return true;
        var nonroot = !process.getuid || process.getuid() !== 0;
        if (nonroot) {
          if (er.code === "EINVAL" || er.code === "EPERM")
            return true;
        }
        return false;
      }
    }
  }
});

// ../../node_modules/.pnpm/graceful-fs@4.2.10/node_modules/graceful-fs/legacy-streams.js
var require_legacy_streams = __commonJS({
  "../../node_modules/.pnpm/graceful-fs@4.2.10/node_modules/graceful-fs/legacy-streams.js"(exports2, module2) {
    "use strict";
    var Stream2 = require("stream").Stream;
    module2.exports = legacy;
    function legacy(fs42) {
      return {
        ReadStream,
        WriteStream
      };
      function ReadStream(path39, options2) {
        if (!(this instanceof ReadStream))
          return new ReadStream(path39, options2);
        Stream2.call(this);
        var self2 = this;
        this.path = path39;
        this.fd = null;
        this.readable = true;
        this.paused = false;
        this.flags = "r";
        this.mode = 438;
        this.bufferSize = 64 * 1024;
        options2 = options2 || {};
        var keys = Object.keys(options2);
        for (var index2 = 0, length = keys.length; index2 < length; index2++) {
          var key = keys[index2];
          this[key] = options2[key];
        }
        if (this.encoding)
          this.setEncoding(this.encoding);
        if (this.start !== void 0) {
          if ("number" !== typeof this.start) {
            throw TypeError("start must be a Number");
          }
          if (this.end === void 0) {
            this.end = Infinity;
          } else if ("number" !== typeof this.end) {
            throw TypeError("end must be a Number");
          }
          if (this.start > this.end) {
            throw new Error("start must be <= end");
          }
          this.pos = this.start;
        }
        if (this.fd !== null) {
          process.nextTick(function() {
            self2._read();
          });
          return;
        }
        fs42.open(this.path, this.flags, this.mode, function(err, fd) {
          if (err) {
            self2.emit("error", err);
            self2.readable = false;
            return;
          }
          self2.fd = fd;
          self2.emit("open", fd);
          self2._read();
        });
      }
      function WriteStream(path39, options2) {
        if (!(this instanceof WriteStream))
          return new WriteStream(path39, options2);
        Stream2.call(this);
        this.path = path39;
        this.fd = null;
        this.writable = true;
        this.flags = "w";
        this.encoding = "binary";
        this.mode = 438;
        this.bytesWritten = 0;
        options2 = options2 || {};
        var keys = Object.keys(options2);
        for (var index2 = 0, length = keys.length; index2 < length; index2++) {
          var key = keys[index2];
          this[key] = options2[key];
        }
        if (this.start !== void 0) {
          if ("number" !== typeof this.start) {
            throw TypeError("start must be a Number");
          }
          if (this.start < 0) {
            throw new Error("start must be >= zero");
          }
          this.pos = this.start;
        }
        this.busy = false;
        this._queue = [];
        if (this.fd === null) {
          this._open = fs42.open;
          this._queue.push([this._open, this.path, this.flags, this.mode, void 0]);
          this.flush();
        }
      }
    }
  }
});

// ../../node_modules/.pnpm/graceful-fs@4.2.10/node_modules/graceful-fs/clone.js
var require_clone = __commonJS({
  "../../node_modules/.pnpm/graceful-fs@4.2.10/node_modules/graceful-fs/clone.js"(exports2, module2) {
    "use strict";
    module2.exports = clone2;
    var getPrototypeOf = Object.getPrototypeOf || function(obj) {
      return obj.__proto__;
    };
    function clone2(obj) {
      if (obj === null || typeof obj !== "object")
        return obj;
      if (obj instanceof Object)
        var copy = { __proto__: getPrototypeOf(obj) };
      else
        var copy = /* @__PURE__ */ Object.create(null);
      Object.getOwnPropertyNames(obj).forEach(function(key) {
        Object.defineProperty(copy, key, Object.getOwnPropertyDescriptor(obj, key));
      });
      return copy;
    }
  }
});

// ../../node_modules/.pnpm/graceful-fs@4.2.10/node_modules/graceful-fs/graceful-fs.js
var require_graceful_fs = __commonJS({
  "../../node_modules/.pnpm/graceful-fs@4.2.10/node_modules/graceful-fs/graceful-fs.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var polyfills = require_polyfills();
    var legacy = require_legacy_streams();
    var clone2 = require_clone();
    var util4 = require("util");
    var gracefulQueue;
    var previousSymbol;
    if (typeof Symbol === "function" && typeof Symbol.for === "function") {
      gracefulQueue = Symbol.for("graceful-fs.queue");
      previousSymbol = Symbol.for("graceful-fs.previous");
    } else {
      gracefulQueue = "___graceful-fs.queue";
      previousSymbol = "___graceful-fs.previous";
    }
    function noop2() {
    }
    function publishQueue(context, queue3) {
      Object.defineProperty(context, gracefulQueue, {
        get: function() {
          return queue3;
        }
      });
    }
    var debug30 = noop2;
    if (util4.debuglog)
      debug30 = util4.debuglog("gfs4");
    else if (/\bgfs4\b/i.test(process.env.NODE_DEBUG || ""))
      debug30 = function() {
        var m3 = util4.format.apply(util4, arguments);
        m3 = "GFS4: " + m3.split(/\n/).join("\nGFS4: ");
        console.error(m3);
      };
    if (!fs42[gracefulQueue]) {
      queue2 = global[gracefulQueue] || [];
      publishQueue(fs42, queue2);
      fs42.close = function(fs$close) {
        function close(fd, cb2) {
          return fs$close.call(fs42, fd, function(err) {
            if (!err) {
              resetQueue();
            }
            if (typeof cb2 === "function")
              cb2.apply(this, arguments);
          });
        }
        Object.defineProperty(close, previousSymbol, {
          value: fs$close
        });
        return close;
      }(fs42.close);
      fs42.closeSync = function(fs$closeSync) {
        function closeSync(fd) {
          fs$closeSync.apply(fs42, arguments);
          resetQueue();
        }
        Object.defineProperty(closeSync, previousSymbol, {
          value: fs$closeSync
        });
        return closeSync;
      }(fs42.closeSync);
      if (/\bgfs4\b/i.test(process.env.NODE_DEBUG || "")) {
        process.on("exit", function() {
          debug30(fs42[gracefulQueue]);
          require("assert").equal(fs42[gracefulQueue].length, 0);
        });
      }
    }
    var queue2;
    if (!global[gracefulQueue]) {
      publishQueue(global, fs42[gracefulQueue]);
    }
    module2.exports = patch(clone2(fs42));
    if (process.env.TEST_GRACEFUL_FS_GLOBAL_PATCH && !fs42.__patched) {
      module2.exports = patch(fs42);
      fs42.__patched = true;
    }
    function patch(fs43) {
      polyfills(fs43);
      fs43.gracefulify = patch;
      fs43.createReadStream = createReadStream2;
      fs43.createWriteStream = createWriteStream2;
      var fs$readFile = fs43.readFile;
      fs43.readFile = readFile;
      function readFile(path39, options2, cb2) {
        if (typeof options2 === "function")
          cb2 = options2, options2 = null;
        return go$readFile(path39, options2, cb2);
        function go$readFile(path40, options3, cb3, startTime) {
          return fs$readFile(path40, options3, function(err) {
            if (err && (err.code === "EMFILE" || err.code === "ENFILE"))
              enqueue([go$readFile, [path40, options3, cb3], err, startTime || Date.now(), Date.now()]);
            else {
              if (typeof cb3 === "function")
                cb3.apply(this, arguments);
            }
          });
        }
      }
      var fs$writeFile = fs43.writeFile;
      fs43.writeFile = writeFile3;
      function writeFile3(path39, data, options2, cb2) {
        if (typeof options2 === "function")
          cb2 = options2, options2 = null;
        return go$writeFile(path39, data, options2, cb2);
        function go$writeFile(path40, data2, options3, cb3, startTime) {
          return fs$writeFile(path40, data2, options3, function(err) {
            if (err && (err.code === "EMFILE" || err.code === "ENFILE"))
              enqueue([go$writeFile, [path40, data2, options3, cb3], err, startTime || Date.now(), Date.now()]);
            else {
              if (typeof cb3 === "function")
                cb3.apply(this, arguments);
            }
          });
        }
      }
      var fs$appendFile = fs43.appendFile;
      if (fs$appendFile)
        fs43.appendFile = appendFile;
      function appendFile(path39, data, options2, cb2) {
        if (typeof options2 === "function")
          cb2 = options2, options2 = null;
        return go$appendFile(path39, data, options2, cb2);
        function go$appendFile(path40, data2, options3, cb3, startTime) {
          return fs$appendFile(path40, data2, options3, function(err) {
            if (err && (err.code === "EMFILE" || err.code === "ENFILE"))
              enqueue([go$appendFile, [path40, data2, options3, cb3], err, startTime || Date.now(), Date.now()]);
            else {
              if (typeof cb3 === "function")
                cb3.apply(this, arguments);
            }
          });
        }
      }
      var fs$copyFile = fs43.copyFile;
      if (fs$copyFile)
        fs43.copyFile = copyFile;
      function copyFile(src2, dest, flags, cb2) {
        if (typeof flags === "function") {
          cb2 = flags;
          flags = 0;
        }
        return go$copyFile(src2, dest, flags, cb2);
        function go$copyFile(src3, dest2, flags2, cb3, startTime) {
          return fs$copyFile(src3, dest2, flags2, function(err) {
            if (err && (err.code === "EMFILE" || err.code === "ENFILE"))
              enqueue([go$copyFile, [src3, dest2, flags2, cb3], err, startTime || Date.now(), Date.now()]);
            else {
              if (typeof cb3 === "function")
                cb3.apply(this, arguments);
            }
          });
        }
      }
      var fs$readdir = fs43.readdir;
      fs43.readdir = readdir;
      var noReaddirOptionVersions = /^v[0-5]\./;
      function readdir(path39, options2, cb2) {
        if (typeof options2 === "function")
          cb2 = options2, options2 = null;
        var go$readdir = noReaddirOptionVersions.test(process.version) ? function go$readdir2(path40, options3, cb3, startTime) {
          return fs$readdir(path40, fs$readdirCallback(
            path40,
            options3,
            cb3,
            startTime
          ));
        } : function go$readdir2(path40, options3, cb3, startTime) {
          return fs$readdir(path40, options3, fs$readdirCallback(
            path40,
            options3,
            cb3,
            startTime
          ));
        };
        return go$readdir(path39, options2, cb2);
        function fs$readdirCallback(path40, options3, cb3, startTime) {
          return function(err, files) {
            if (err && (err.code === "EMFILE" || err.code === "ENFILE"))
              enqueue([
                go$readdir,
                [path40, options3, cb3],
                err,
                startTime || Date.now(),
                Date.now()
              ]);
            else {
              if (files && files.sort)
                files.sort();
              if (typeof cb3 === "function")
                cb3.call(this, err, files);
            }
          };
        }
      }
      if (process.version.substr(0, 4) === "v0.8") {
        var legStreams = legacy(fs43);
        ReadStream = legStreams.ReadStream;
        WriteStream = legStreams.WriteStream;
      }
      var fs$ReadStream = fs43.ReadStream;
      if (fs$ReadStream) {
        ReadStream.prototype = Object.create(fs$ReadStream.prototype);
        ReadStream.prototype.open = ReadStream$open;
      }
      var fs$WriteStream = fs43.WriteStream;
      if (fs$WriteStream) {
        WriteStream.prototype = Object.create(fs$WriteStream.prototype);
        WriteStream.prototype.open = WriteStream$open;
      }
      Object.defineProperty(fs43, "ReadStream", {
        get: function() {
          return ReadStream;
        },
        set: function(val) {
          ReadStream = val;
        },
        enumerable: true,
        configurable: true
      });
      Object.defineProperty(fs43, "WriteStream", {
        get: function() {
          return WriteStream;
        },
        set: function(val) {
          WriteStream = val;
        },
        enumerable: true,
        configurable: true
      });
      var FileReadStream = ReadStream;
      Object.defineProperty(fs43, "FileReadStream", {
        get: function() {
          return FileReadStream;
        },
        set: function(val) {
          FileReadStream = val;
        },
        enumerable: true,
        configurable: true
      });
      var FileWriteStream = WriteStream;
      Object.defineProperty(fs43, "FileWriteStream", {
        get: function() {
          return FileWriteStream;
        },
        set: function(val) {
          FileWriteStream = val;
        },
        enumerable: true,
        configurable: true
      });
      function ReadStream(path39, options2) {
        if (this instanceof ReadStream)
          return fs$ReadStream.apply(this, arguments), this;
        else
          return ReadStream.apply(Object.create(ReadStream.prototype), arguments);
      }
      function ReadStream$open() {
        var that = this;
        open3(that.path, that.flags, that.mode, function(err, fd) {
          if (err) {
            if (that.autoClose)
              that.destroy();
            that.emit("error", err);
          } else {
            that.fd = fd;
            that.emit("open", fd);
            that.read();
          }
        });
      }
      function WriteStream(path39, options2) {
        if (this instanceof WriteStream)
          return fs$WriteStream.apply(this, arguments), this;
        else
          return WriteStream.apply(Object.create(WriteStream.prototype), arguments);
      }
      function WriteStream$open() {
        var that = this;
        open3(that.path, that.flags, that.mode, function(err, fd) {
          if (err) {
            that.destroy();
            that.emit("error", err);
          } else {
            that.fd = fd;
            that.emit("open", fd);
          }
        });
      }
      function createReadStream2(path39, options2) {
        return new fs43.ReadStream(path39, options2);
      }
      function createWriteStream2(path39, options2) {
        return new fs43.WriteStream(path39, options2);
      }
      var fs$open = fs43.open;
      fs43.open = open3;
      function open3(path39, flags, mode2, cb2) {
        if (typeof mode2 === "function")
          cb2 = mode2, mode2 = null;
        return go$open(path39, flags, mode2, cb2);
        function go$open(path40, flags2, mode3, cb3, startTime) {
          return fs$open(path40, flags2, mode3, function(err, fd) {
            if (err && (err.code === "EMFILE" || err.code === "ENFILE"))
              enqueue([go$open, [path40, flags2, mode3, cb3], err, startTime || Date.now(), Date.now()]);
            else {
              if (typeof cb3 === "function")
                cb3.apply(this, arguments);
            }
          });
        }
      }
      return fs43;
    }
    function enqueue(elem) {
      debug30("ENQUEUE", elem[0].name, elem[1]);
      fs42[gracefulQueue].push(elem);
      retry3();
    }
    var retryTimer;
    function resetQueue() {
      var now = Date.now();
      for (var i4 = 0; i4 < fs42[gracefulQueue].length; ++i4) {
        if (fs42[gracefulQueue][i4].length > 2) {
          fs42[gracefulQueue][i4][3] = now;
          fs42[gracefulQueue][i4][4] = now;
        }
      }
      retry3();
    }
    function retry3() {
      clearTimeout(retryTimer);
      retryTimer = void 0;
      if (fs42[gracefulQueue].length === 0)
        return;
      var elem = fs42[gracefulQueue].shift();
      var fn2 = elem[0];
      var args3 = elem[1];
      var err = elem[2];
      var startTime = elem[3];
      var lastTime = elem[4];
      if (startTime === void 0) {
        debug30("RETRY", fn2.name, args3);
        fn2.apply(null, args3);
      } else if (Date.now() - startTime >= 6e4) {
        debug30("TIMEOUT", fn2.name, args3);
        var cb2 = args3.pop();
        if (typeof cb2 === "function")
          cb2.call(null, err);
      } else {
        var sinceAttempt = Date.now() - lastTime;
        var sinceStart = Math.max(lastTime - startTime, 1);
        var desiredDelay = Math.min(sinceStart * 1.2, 100);
        if (sinceAttempt >= desiredDelay) {
          debug30("RETRY", fn2.name, args3);
          fn2.apply(null, args3.concat([startTime]));
        } else {
          fs42[gracefulQueue].push(elem);
        }
      }
      if (retryTimer === void 0) {
        retryTimer = setTimeout(retry3, 0);
      }
    }
  }
});

// ../../node_modules/.pnpm/is-path-cwd@2.2.0/node_modules/is-path-cwd/index.js
var require_is_path_cwd = __commonJS({
  "../../node_modules/.pnpm/is-path-cwd@2.2.0/node_modules/is-path-cwd/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    module2.exports = (path_) => {
      let cwd = process.cwd();
      path_ = path39.resolve(path_);
      if (process.platform === "win32") {
        cwd = cwd.toLowerCase();
        path_ = path_.toLowerCase();
      }
      return path_ === cwd;
    };
  }
});

// ../../node_modules/.pnpm/is-path-inside@3.0.3/node_modules/is-path-inside/index.js
var require_is_path_inside = __commonJS({
  "../../node_modules/.pnpm/is-path-inside@3.0.3/node_modules/is-path-inside/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    module2.exports = (childPath2, parentPath) => {
      const relation = path39.relative(parentPath, childPath2);
      return Boolean(
        relation && relation !== ".." && !relation.startsWith(`..${path39.sep}`) && relation !== path39.resolve(childPath2)
      );
    };
  }
});

// ../../node_modules/.pnpm/fs.realpath@1.0.0/node_modules/fs.realpath/old.js
var require_old = __commonJS({
  "../../node_modules/.pnpm/fs.realpath@1.0.0/node_modules/fs.realpath/old.js"(exports2) {
    "use strict";
    var pathModule = require("path");
    var isWindows3 = process.platform === "win32";
    var fs42 = require("fs");
    var DEBUG = process.env.NODE_DEBUG && /fs/.test(process.env.NODE_DEBUG);
    function rethrow() {
      var callback;
      if (DEBUG) {
        var backtrace = new Error();
        callback = debugCallback;
      } else
        callback = missingCallback;
      return callback;
      function debugCallback(err) {
        if (err) {
          backtrace.message = err.message;
          err = backtrace;
          missingCallback(err);
        }
      }
      function missingCallback(err) {
        if (err) {
          if (process.throwDeprecation)
            throw err;
          else if (!process.noDeprecation) {
            var msg = "fs: missing callback " + (err.stack || err.message);
            if (process.traceDeprecation)
              console.trace(msg);
            else
              console.error(msg);
          }
        }
      }
    }
    function maybeCallback(cb2) {
      return typeof cb2 === "function" ? cb2 : rethrow();
    }
    var normalize = pathModule.normalize;
    if (isWindows3) {
      nextPartRe = /(.*?)(?:[\/\\]+|$)/g;
    } else {
      nextPartRe = /(.*?)(?:[\/]+|$)/g;
    }
    var nextPartRe;
    if (isWindows3) {
      splitRootRe = /^(?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/][^\\\/]+)?[\\\/]*/;
    } else {
      splitRootRe = /^[\/]*/;
    }
    var splitRootRe;
    exports2.realpathSync = function realpathSync(p2, cache) {
      p2 = pathModule.resolve(p2);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p2)) {
        return cache[p2];
      }
      var original = p2, seenLinks = {}, knownHard = {};
      var pos2;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m3 = splitRootRe.exec(p2);
        pos2 = m3[0].length;
        current = m3[0];
        base = m3[0];
        previous = "";
        if (isWindows3 && !knownHard[base]) {
          fs42.lstatSync(base);
          knownHard[base] = true;
        }
      }
      while (pos2 < p2.length) {
        nextPartRe.lastIndex = pos2;
        var result = nextPartRe.exec(p2);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos2 = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          continue;
        }
        var resolvedLink;
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          resolvedLink = cache[base];
        } else {
          var stat = fs42.lstatSync(base);
          if (!stat.isSymbolicLink()) {
            knownHard[base] = true;
            if (cache)
              cache[base] = base;
            continue;
          }
          var linkTarget = null;
          if (!isWindows3) {
            var id2 = stat.dev.toString(32) + ":" + stat.ino.toString(32);
            if (seenLinks.hasOwnProperty(id2)) {
              linkTarget = seenLinks[id2];
            }
          }
          if (linkTarget === null) {
            fs42.statSync(base);
            linkTarget = fs42.readlinkSync(base);
          }
          resolvedLink = pathModule.resolve(previous, linkTarget);
          if (cache)
            cache[base] = resolvedLink;
          if (!isWindows3)
            seenLinks[id2] = linkTarget;
        }
        p2 = pathModule.resolve(resolvedLink, p2.slice(pos2));
        start();
      }
      if (cache)
        cache[original] = p2;
      return p2;
    };
    exports2.realpath = function realpath(p2, cache, cb2) {
      if (typeof cb2 !== "function") {
        cb2 = maybeCallback(cache);
        cache = null;
      }
      p2 = pathModule.resolve(p2);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p2)) {
        return process.nextTick(cb2.bind(null, null, cache[p2]));
      }
      var original = p2, seenLinks = {}, knownHard = {};
      var pos2;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m3 = splitRootRe.exec(p2);
        pos2 = m3[0].length;
        current = m3[0];
        base = m3[0];
        previous = "";
        if (isWindows3 && !knownHard[base]) {
          fs42.lstat(base, function(err) {
            if (err)
              return cb2(err);
            knownHard[base] = true;
            LOOP();
          });
        } else {
          process.nextTick(LOOP);
        }
      }
      function LOOP() {
        if (pos2 >= p2.length) {
          if (cache)
            cache[original] = p2;
          return cb2(null, p2);
        }
        nextPartRe.lastIndex = pos2;
        var result = nextPartRe.exec(p2);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos2 = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          return process.nextTick(LOOP);
        }
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          return gotResolvedLink(cache[base]);
        }
        return fs42.lstat(base, gotStat);
      }
      function gotStat(err, stat) {
        if (err)
          return cb2(err);
        if (!stat.isSymbolicLink()) {
          knownHard[base] = true;
          if (cache)
            cache[base] = base;
          return process.nextTick(LOOP);
        }
        if (!isWindows3) {
          var id2 = stat.dev.toString(32) + ":" + stat.ino.toString(32);
          if (seenLinks.hasOwnProperty(id2)) {
            return gotTarget(null, seenLinks[id2], base);
          }
        }
        fs42.stat(base, function(err2) {
          if (err2)
            return cb2(err2);
          fs42.readlink(base, function(err3, target) {
            if (!isWindows3)
              seenLinks[id2] = target;
            gotTarget(err3, target);
          });
        });
      }
      function gotTarget(err, target, base2) {
        if (err)
          return cb2(err);
        var resolvedLink = pathModule.resolve(previous, target);
        if (cache)
          cache[base2] = resolvedLink;
        gotResolvedLink(resolvedLink);
      }
      function gotResolvedLink(resolvedLink) {
        p2 = pathModule.resolve(resolvedLink, p2.slice(pos2));
        start();
      }
    };
  }
});

// ../../node_modules/.pnpm/fs.realpath@1.0.0/node_modules/fs.realpath/index.js
var require_fs6 = __commonJS({
  "../../node_modules/.pnpm/fs.realpath@1.0.0/node_modules/fs.realpath/index.js"(exports2, module2) {
    "use strict";
    module2.exports = realpath;
    realpath.realpath = realpath;
    realpath.sync = realpathSync;
    realpath.realpathSync = realpathSync;
    realpath.monkeypatch = monkeypatch;
    realpath.unmonkeypatch = unmonkeypatch;
    var fs42 = require("fs");
    var origRealpath = fs42.realpath;
    var origRealpathSync = fs42.realpathSync;
    var version3 = process.version;
    var ok2 = /^v[0-5]\./.test(version3);
    var old = require_old();
    function newError(er) {
      return er && er.syscall === "realpath" && (er.code === "ELOOP" || er.code === "ENOMEM" || er.code === "ENAMETOOLONG");
    }
    function realpath(p2, cache, cb2) {
      if (ok2) {
        return origRealpath(p2, cache, cb2);
      }
      if (typeof cache === "function") {
        cb2 = cache;
        cache = null;
      }
      origRealpath(p2, cache, function(er, result) {
        if (newError(er)) {
          old.realpath(p2, cache, cb2);
        } else {
          cb2(er, result);
        }
      });
    }
    function realpathSync(p2, cache) {
      if (ok2) {
        return origRealpathSync(p2, cache);
      }
      try {
        return origRealpathSync(p2, cache);
      } catch (er) {
        if (newError(er)) {
          return old.realpathSync(p2, cache);
        } else {
          throw er;
        }
      }
    }
    function monkeypatch() {
      fs42.realpath = realpath;
      fs42.realpathSync = realpathSync;
    }
    function unmonkeypatch() {
      fs42.realpath = origRealpath;
      fs42.realpathSync = origRealpathSync;
    }
  }
});

// ../../node_modules/.pnpm/concat-map@0.0.1/node_modules/concat-map/index.js
var require_concat_map = __commonJS({
  "../../node_modules/.pnpm/concat-map@0.0.1/node_modules/concat-map/index.js"(exports2, module2) {
    "use strict";
    module2.exports = function(xs2, fn2) {
      var res = [];
      for (var i4 = 0; i4 < xs2.length; i4++) {
        var x = fn2(xs2[i4], i4);
        if (isArray(x))
          res.push.apply(res, x);
        else
          res.push(x);
      }
      return res;
    };
    var isArray = Array.isArray || function(xs2) {
      return Object.prototype.toString.call(xs2) === "[object Array]";
    };
  }
});

// ../../node_modules/.pnpm/brace-expansion@1.1.11/node_modules/brace-expansion/index.js
var require_brace_expansion2 = __commonJS({
  "../../node_modules/.pnpm/brace-expansion@1.1.11/node_modules/brace-expansion/index.js"(exports2, module2) {
    "use strict";
    var concatMap = require_concat_map();
    var balanced = require_balanced_match();
    module2.exports = expandTop;
    var escSlash = "\0SLASH" + Math.random() + "\0";
    var escOpen = "\0OPEN" + Math.random() + "\0";
    var escClose = "\0CLOSE" + Math.random() + "\0";
    var escComma = "\0COMMA" + Math.random() + "\0";
    var escPeriod = "\0PERIOD" + Math.random() + "\0";
    function numeric2(str) {
      return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0);
    }
    function escapeBraces(str) {
      return str.split("\\\\").join(escSlash).split("\\{").join(escOpen).split("\\}").join(escClose).split("\\,").join(escComma).split("\\.").join(escPeriod);
    }
    function unescapeBraces(str) {
      return str.split(escSlash).join("\\").split(escOpen).join("{").split(escClose).join("}").split(escComma).join(",").split(escPeriod).join(".");
    }
    function parseCommaParts(str) {
      if (!str)
        return [""];
      var parts = [];
      var m3 = balanced("{", "}", str);
      if (!m3)
        return str.split(",");
      var pre = m3.pre;
      var body = m3.body;
      var post = m3.post;
      var p2 = pre.split(",");
      p2[p2.length - 1] += "{" + body + "}";
      var postParts = parseCommaParts(post);
      if (post.length) {
        p2[p2.length - 1] += postParts.shift();
        p2.push.apply(p2, postParts);
      }
      parts.push.apply(parts, p2);
      return parts;
    }
    function expandTop(str) {
      if (!str)
        return [];
      if (str.substr(0, 2) === "{}") {
        str = "\\{\\}" + str.substr(2);
      }
      return expand(escapeBraces(str), true).map(unescapeBraces);
    }
    function embrace(str) {
      return "{" + str + "}";
    }
    function isPadded(el) {
      return /^-?0\d/.test(el);
    }
    function lte(i4, y3) {
      return i4 <= y3;
    }
    function gte2(i4, y3) {
      return i4 >= y3;
    }
    function expand(str, isTop) {
      var expansions = [];
      var m3 = balanced("{", "}", str);
      if (!m3 || /\$$/.test(m3.pre))
        return [str];
      var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m3.body);
      var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m3.body);
      var isSequence = isNumericSequence || isAlphaSequence;
      var isOptions = m3.body.indexOf(",") >= 0;
      if (!isSequence && !isOptions) {
        if (m3.post.match(/,.*\}/)) {
          str = m3.pre + "{" + m3.body + escClose + m3.post;
          return expand(str);
        }
        return [str];
      }
      var n2;
      if (isSequence) {
        n2 = m3.body.split(/\.\./);
      } else {
        n2 = parseCommaParts(m3.body);
        if (n2.length === 1) {
          n2 = expand(n2[0], false).map(embrace);
          if (n2.length === 1) {
            var post = m3.post.length ? expand(m3.post, false) : [""];
            return post.map(function(p2) {
              return m3.pre + n2[0] + p2;
            });
          }
        }
      }
      var pre = m3.pre;
      var post = m3.post.length ? expand(m3.post, false) : [""];
      var N;
      if (isSequence) {
        var x = numeric2(n2[0]);
        var y3 = numeric2(n2[1]);
        var width2 = Math.max(n2[0].length, n2[1].length);
        var incr = n2.length == 3 ? Math.abs(numeric2(n2[2])) : 1;
        var test = lte;
        var reverse = y3 < x;
        if (reverse) {
          incr *= -1;
          test = gte2;
        }
        var pad = n2.some(isPadded);
        N = [];
        for (var i4 = x; test(i4, y3); i4 += incr) {
          var c4;
          if (isAlphaSequence) {
            c4 = String.fromCharCode(i4);
            if (c4 === "\\")
              c4 = "";
          } else {
            c4 = String(i4);
            if (pad) {
              var need = width2 - c4.length;
              if (need > 0) {
                var z2 = new Array(need + 1).join("0");
                if (i4 < 0)
                  c4 = "-" + z2 + c4.slice(1);
                else
                  c4 = z2 + c4;
              }
            }
          }
          N.push(c4);
        }
      } else {
        N = concatMap(n2, function(el) {
          return expand(el, false);
        });
      }
      for (var j2 = 0; j2 < N.length; j2++) {
        for (var k = 0; k < post.length; k++) {
          var expansion = pre + N[j2] + post[k];
          if (!isTop || isSequence || expansion)
            expansions.push(expansion);
        }
      }
      return expansions;
    }
  }
});

// ../../node_modules/.pnpm/minimatch@3.1.2/node_modules/minimatch/minimatch.js
var require_minimatch2 = __commonJS({
  "../../node_modules/.pnpm/minimatch@3.1.2/node_modules/minimatch/minimatch.js"(exports2, module2) {
    "use strict";
    module2.exports = minimatch;
    minimatch.Minimatch = Minimatch;
    var path39 = function() {
      try {
        return require("path");
      } catch (e3) {
      }
    }() || {
      sep: "/"
    };
    minimatch.sep = path39.sep;
    var GLOBSTAR = minimatch.GLOBSTAR = Minimatch.GLOBSTAR = {};
    var expand = require_brace_expansion2();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var reSpecials = charSet("().*{}+?[]^$\\!");
    function charSet(s3) {
      return s3.split("").reduce(function(set, c4) {
        set[c4] = true;
        return set;
      }, {});
    }
    var slashSplit = /\/+/;
    minimatch.filter = filter2;
    function filter2(pattern, options2) {
      options2 = options2 || {};
      return function(p2, i4, list) {
        return minimatch(p2, pattern, options2);
      };
    }
    function ext(a3, b6) {
      b6 = b6 || {};
      var t9 = {};
      Object.keys(a3).forEach(function(k) {
        t9[k] = a3[k];
      });
      Object.keys(b6).forEach(function(k) {
        t9[k] = b6[k];
      });
      return t9;
    }
    minimatch.defaults = function(def) {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      var orig = minimatch;
      var m3 = function minimatch2(p2, pattern, options2) {
        return orig(p2, pattern, ext(def, options2));
      };
      m3.Minimatch = function Minimatch2(pattern, options2) {
        return new orig.Minimatch(pattern, ext(def, options2));
      };
      m3.Minimatch.defaults = function defaults(options2) {
        return orig.defaults(ext(def, options2)).Minimatch;
      };
      m3.filter = function filter3(pattern, options2) {
        return orig.filter(pattern, ext(def, options2));
      };
      m3.defaults = function defaults(options2) {
        return orig.defaults(ext(def, options2));
      };
      m3.makeRe = function makeRe2(pattern, options2) {
        return orig.makeRe(pattern, ext(def, options2));
      };
      m3.braceExpand = function braceExpand2(pattern, options2) {
        return orig.braceExpand(pattern, ext(def, options2));
      };
      m3.match = function(list, pattern, options2) {
        return orig.match(list, pattern, ext(def, options2));
      };
      return m3;
    };
    Minimatch.defaults = function(def) {
      return minimatch.defaults(def).Minimatch;
    };
    function minimatch(p2, pattern, options2) {
      assertValidPattern(pattern);
      if (!options2)
        options2 = {};
      if (!options2.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options2).match(p2);
    }
    function Minimatch(pattern, options2) {
      if (!(this instanceof Minimatch)) {
        return new Minimatch(pattern, options2);
      }
      assertValidPattern(pattern);
      if (!options2)
        options2 = {};
      pattern = pattern.trim();
      if (!options2.allowWindowsEscape && path39.sep !== "/") {
        pattern = pattern.split(path39.sep).join("/");
      }
      this.options = options2;
      this.set = [];
      this.pattern = pattern;
      this.regexp = null;
      this.negate = false;
      this.comment = false;
      this.empty = false;
      this.partial = !!options2.partial;
      this.make();
    }
    Minimatch.prototype.debug = function() {
    };
    Minimatch.prototype.make = make;
    function make() {
      var pattern = this.pattern;
      var options2 = this.options;
      if (!options2.nocomment && pattern.charAt(0) === "#") {
        this.comment = true;
        return;
      }
      if (!pattern) {
        this.empty = true;
        return;
      }
      this.parseNegate();
      var set = this.globSet = this.braceExpand();
      if (options2.debug)
        this.debug = function debug30() {
          console.error.apply(console, arguments);
        };
      this.debug(this.pattern, set);
      set = this.globParts = set.map(function(s3) {
        return s3.split(slashSplit);
      });
      this.debug(this.pattern, set);
      set = set.map(function(s3, si, set2) {
        return s3.map(this.parse, this);
      }, this);
      this.debug(this.pattern, set);
      set = set.filter(function(s3) {
        return s3.indexOf(false) === -1;
      });
      this.debug(this.pattern, set);
      this.set = set;
    }
    Minimatch.prototype.parseNegate = parseNegate;
    function parseNegate() {
      var pattern = this.pattern;
      var negate = false;
      var options2 = this.options;
      var negateOffset = 0;
      if (options2.nonegate)
        return;
      for (var i4 = 0, l2 = pattern.length; i4 < l2 && pattern.charAt(i4) === "!"; i4++) {
        negate = !negate;
        negateOffset++;
      }
      if (negateOffset)
        this.pattern = pattern.substr(negateOffset);
      this.negate = negate;
    }
    minimatch.braceExpand = function(pattern, options2) {
      return braceExpand(pattern, options2);
    };
    Minimatch.prototype.braceExpand = braceExpand;
    function braceExpand(pattern, options2) {
      if (!options2) {
        if (this instanceof Minimatch) {
          options2 = this.options;
        } else {
          options2 = {};
        }
      }
      pattern = typeof pattern === "undefined" ? this.pattern : pattern;
      assertValidPattern(pattern);
      if (options2.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    }
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = function(pattern) {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    Minimatch.prototype.parse = parse3;
    var SUBPARSE = {};
    function parse3(pattern, isSub) {
      assertValidPattern(pattern);
      var options2 = this.options;
      if (pattern === "**") {
        if (!options2.noglobstar)
          return GLOBSTAR;
        else
          pattern = "*";
      }
      if (pattern === "")
        return "";
      var re2 = "";
      var hasMagic = !!options2.nocase;
      var escaping = false;
      var patternListStack = [];
      var negativeLists = [];
      var stateChar;
      var inClass = false;
      var reClassStart = -1;
      var classStart = -1;
      var patternStart = pattern.charAt(0) === "." ? "" : options2.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
      var self2 = this;
      function clearStateChar() {
        if (stateChar) {
          switch (stateChar) {
            case "*":
              re2 += star;
              hasMagic = true;
              break;
            case "?":
              re2 += qmark;
              hasMagic = true;
              break;
            default:
              re2 += "\\" + stateChar;
              break;
          }
          self2.debug("clearStateChar %j %j", stateChar, re2);
          stateChar = false;
        }
      }
      for (var i4 = 0, len = pattern.length, c4; i4 < len && (c4 = pattern.charAt(i4)); i4++) {
        this.debug("%s	%s %s %j", pattern, i4, re2, c4);
        if (escaping && reSpecials[c4]) {
          re2 += "\\" + c4;
          escaping = false;
          continue;
        }
        switch (c4) {
          case "/": {
            return false;
          }
          case "\\":
            clearStateChar();
            escaping = true;
            continue;
          case "?":
          case "*":
          case "+":
          case "@":
          case "!":
            this.debug("%s	%s %s %j <-- stateChar", pattern, i4, re2, c4);
            if (inClass) {
              this.debug("  in class");
              if (c4 === "!" && i4 === classStart + 1)
                c4 = "^";
              re2 += c4;
              continue;
            }
            self2.debug("call clearStateChar %j", stateChar);
            clearStateChar();
            stateChar = c4;
            if (options2.noext)
              clearStateChar();
            continue;
          case "(":
            if (inClass) {
              re2 += "(";
              continue;
            }
            if (!stateChar) {
              re2 += "\\(";
              continue;
            }
            patternListStack.push({
              type: stateChar,
              start: i4 - 1,
              reStart: re2.length,
              open: plTypes[stateChar].open,
              close: plTypes[stateChar].close
            });
            re2 += stateChar === "!" ? "(?:(?!(?:" : "(?:";
            this.debug("plType %j %j", stateChar, re2);
            stateChar = false;
            continue;
          case ")":
            if (inClass || !patternListStack.length) {
              re2 += "\\)";
              continue;
            }
            clearStateChar();
            hasMagic = true;
            var pl2 = patternListStack.pop();
            re2 += pl2.close;
            if (pl2.type === "!") {
              negativeLists.push(pl2);
            }
            pl2.reEnd = re2.length;
            continue;
          case "|":
            if (inClass || !patternListStack.length || escaping) {
              re2 += "\\|";
              escaping = false;
              continue;
            }
            clearStateChar();
            re2 += "|";
            continue;
          case "[":
            clearStateChar();
            if (inClass) {
              re2 += "\\" + c4;
              continue;
            }
            inClass = true;
            classStart = i4;
            reClassStart = re2.length;
            re2 += c4;
            continue;
          case "]":
            if (i4 === classStart + 1 || !inClass) {
              re2 += "\\" + c4;
              escaping = false;
              continue;
            }
            var cs2 = pattern.substring(classStart + 1, i4);
            try {
              RegExp("[" + cs2 + "]");
            } catch (er) {
              var sp = this.parse(cs2, SUBPARSE);
              re2 = re2.substr(0, reClassStart) + "\\[" + sp[0] + "\\]";
              hasMagic = hasMagic || sp[1];
              inClass = false;
              continue;
            }
            hasMagic = true;
            inClass = false;
            re2 += c4;
            continue;
          default:
            clearStateChar();
            if (escaping) {
              escaping = false;
            } else if (reSpecials[c4] && !(c4 === "^" && inClass)) {
              re2 += "\\";
            }
            re2 += c4;
        }
      }
      if (inClass) {
        cs2 = pattern.substr(classStart + 1);
        sp = this.parse(cs2, SUBPARSE);
        re2 = re2.substr(0, reClassStart) + "\\[" + sp[0];
        hasMagic = hasMagic || sp[1];
      }
      for (pl2 = patternListStack.pop(); pl2; pl2 = patternListStack.pop()) {
        var tail2 = re2.slice(pl2.reStart + pl2.open.length);
        this.debug("setting tail", re2, pl2);
        tail2 = tail2.replace(/((?:\\{2}){0,64})(\\?)\|/g, function(_3, $1, $22) {
          if (!$22) {
            $22 = "\\";
          }
          return $1 + $1 + $22 + "|";
        });
        this.debug("tail=%j\n   %s", tail2, tail2, pl2, re2);
        var t9 = pl2.type === "*" ? star : pl2.type === "?" ? qmark : "\\" + pl2.type;
        hasMagic = true;
        re2 = re2.slice(0, pl2.reStart) + t9 + "\\(" + tail2;
      }
      clearStateChar();
      if (escaping) {
        re2 += "\\\\";
      }
      var addPatternStart = false;
      switch (re2.charAt(0)) {
        case "[":
        case ".":
        case "(":
          addPatternStart = true;
      }
      for (var n2 = negativeLists.length - 1; n2 > -1; n2--) {
        var nl = negativeLists[n2];
        var nlBefore = re2.slice(0, nl.reStart);
        var nlFirst = re2.slice(nl.reStart, nl.reEnd - 8);
        var nlLast = re2.slice(nl.reEnd - 8, nl.reEnd);
        var nlAfter = re2.slice(nl.reEnd);
        nlLast += nlAfter;
        var openParensBefore = nlBefore.split("(").length - 1;
        var cleanAfter = nlAfter;
        for (i4 = 0; i4 < openParensBefore; i4++) {
          cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
        }
        nlAfter = cleanAfter;
        var dollar = "";
        if (nlAfter === "" && isSub !== SUBPARSE) {
          dollar = "$";
        }
        var newRe = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        re2 = newRe;
      }
      if (re2 !== "" && hasMagic) {
        re2 = "(?=.)" + re2;
      }
      if (addPatternStart) {
        re2 = patternStart + re2;
      }
      if (isSub === SUBPARSE) {
        return [re2, hasMagic];
      }
      if (!hasMagic) {
        return globUnescape(pattern);
      }
      var flags = options2.nocase ? "i" : "";
      try {
        var regExp = new RegExp("^" + re2 + "$", flags);
      } catch (er) {
        return new RegExp("$.");
      }
      regExp._glob = pattern;
      regExp._src = re2;
      return regExp;
    }
    minimatch.makeRe = function(pattern, options2) {
      return new Minimatch(pattern, options2 || {}).makeRe();
    };
    Minimatch.prototype.makeRe = makeRe;
    function makeRe() {
      if (this.regexp || this.regexp === false)
        return this.regexp;
      var set = this.set;
      if (!set.length) {
        this.regexp = false;
        return this.regexp;
      }
      var options2 = this.options;
      var twoStar = options2.noglobstar ? star : options2.dot ? twoStarDot : twoStarNoDot;
      var flags = options2.nocase ? "i" : "";
      var re2 = set.map(function(pattern) {
        return pattern.map(function(p2) {
          return p2 === GLOBSTAR ? twoStar : typeof p2 === "string" ? regExpEscape(p2) : p2._src;
        }).join("\\/");
      }).join("|");
      re2 = "^(?:" + re2 + ")$";
      if (this.negate)
        re2 = "^(?!" + re2 + ").*$";
      try {
        this.regexp = new RegExp(re2, flags);
      } catch (ex2) {
        this.regexp = false;
      }
      return this.regexp;
    }
    minimatch.match = function(list, pattern, options2) {
      options2 = options2 || {};
      var mm2 = new Minimatch(pattern, options2);
      list = list.filter(function(f4) {
        return mm2.match(f4);
      });
      if (mm2.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    Minimatch.prototype.match = function match4(f4, partial) {
      if (typeof partial === "undefined")
        partial = this.partial;
      this.debug("match", f4, this.pattern);
      if (this.comment)
        return false;
      if (this.empty)
        return f4 === "";
      if (f4 === "/" && partial)
        return true;
      var options2 = this.options;
      if (path39.sep !== "/") {
        f4 = f4.split(path39.sep).join("/");
      }
      f4 = f4.split(slashSplit);
      this.debug(this.pattern, "split", f4);
      var set = this.set;
      this.debug(this.pattern, "set", set);
      var filename;
      var i4;
      for (i4 = f4.length - 1; i4 >= 0; i4--) {
        filename = f4[i4];
        if (filename)
          break;
      }
      for (i4 = 0; i4 < set.length; i4++) {
        var pattern = set[i4];
        var file2 = f4;
        if (options2.matchBase && pattern.length === 1) {
          file2 = [filename];
        }
        var hit = this.matchOne(file2, pattern, partial);
        if (hit) {
          if (options2.flipNegate)
            return true;
          return !this.negate;
        }
      }
      if (options2.flipNegate)
        return false;
      return this.negate;
    };
    Minimatch.prototype.matchOne = function(file2, pattern, partial) {
      var options2 = this.options;
      this.debug(
        "matchOne",
        { "this": this, file: file2, pattern }
      );
      this.debug("matchOne", file2.length, pattern.length);
      for (var fi2 = 0, pi = 0, fl2 = file2.length, pl2 = pattern.length; fi2 < fl2 && pi < pl2; fi2++, pi++) {
        this.debug("matchOne loop");
        var p2 = pattern[pi];
        var f4 = file2[fi2];
        this.debug(pattern, p2, f4);
        if (p2 === false)
          return false;
        if (p2 === GLOBSTAR) {
          this.debug("GLOBSTAR", [pattern, p2, f4]);
          var fr2 = fi2;
          var pr2 = pi + 1;
          if (pr2 === pl2) {
            this.debug("** at the end");
            for (; fi2 < fl2; fi2++) {
              if (file2[fi2] === "." || file2[fi2] === ".." || !options2.dot && file2[fi2].charAt(0) === ".")
                return false;
            }
            return true;
          }
          while (fr2 < fl2) {
            var swallowee = file2[fr2];
            this.debug("\nglobstar while", file2, fr2, pattern, pr2, swallowee);
            if (this.matchOne(file2.slice(fr2), pattern.slice(pr2), partial)) {
              this.debug("globstar found match!", fr2, fl2, swallowee);
              return true;
            } else {
              if (swallowee === "." || swallowee === ".." || !options2.dot && swallowee.charAt(0) === ".") {
                this.debug("dot detected!", file2, fr2, pattern, pr2);
                break;
              }
              this.debug("globstar swallow a segment, and continue");
              fr2++;
            }
          }
          if (partial) {
            this.debug("\n>>> no match, partial?", file2, fr2, pattern, pr2);
            if (fr2 === fl2)
              return true;
          }
          return false;
        }
        var hit;
        if (typeof p2 === "string") {
          hit = f4 === p2;
          this.debug("string match", p2, f4, hit);
        } else {
          hit = f4.match(p2);
          this.debug("pattern match", p2, f4, hit);
        }
        if (!hit)
          return false;
      }
      if (fi2 === fl2 && pi === pl2) {
        return true;
      } else if (fi2 === fl2) {
        return partial;
      } else if (pi === pl2) {
        return fi2 === fl2 - 1 && file2[fi2] === "";
      }
      throw new Error("wtf?");
    };
    function globUnescape(s3) {
      return s3.replace(/\\(.)/g, "$1");
    }
    function regExpEscape(s3) {
      return s3.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    }
  }
});

// ../../node_modules/.pnpm/inherits@2.0.4/node_modules/inherits/inherits_browser.js
var require_inherits_browser = __commonJS({
  "../../node_modules/.pnpm/inherits@2.0.4/node_modules/inherits/inherits_browser.js"(exports2, module2) {
    "use strict";
    if (typeof Object.create === "function") {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          ctor.prototype = Object.create(superCtor.prototype, {
            constructor: {
              value: ctor,
              enumerable: false,
              writable: true,
              configurable: true
            }
          });
        }
      };
    } else {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          var TempCtor = function() {
          };
          TempCtor.prototype = superCtor.prototype;
          ctor.prototype = new TempCtor();
          ctor.prototype.constructor = ctor;
        }
      };
    }
  }
});

// ../../node_modules/.pnpm/inherits@2.0.4/node_modules/inherits/inherits.js
var require_inherits = __commonJS({
  "../../node_modules/.pnpm/inherits@2.0.4/node_modules/inherits/inherits.js"(exports2, module2) {
    "use strict";
    try {
      util4 = require("util");
      if (typeof util4.inherits !== "function")
        throw "";
      module2.exports = util4.inherits;
    } catch (e3) {
      module2.exports = require_inherits_browser();
    }
    var util4;
  }
});

// ../../node_modules/.pnpm/path-is-absolute@1.0.1/node_modules/path-is-absolute/index.js
var require_path_is_absolute = __commonJS({
  "../../node_modules/.pnpm/path-is-absolute@1.0.1/node_modules/path-is-absolute/index.js"(exports2, module2) {
    "use strict";
    function posix2(path39) {
      return path39.charAt(0) === "/";
    }
    function win32(path39) {
      var splitDeviceRe = /^([a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?([\\\/])?([\s\S]*?)$/;
      var result = splitDeviceRe.exec(path39);
      var device = result[1] || "";
      var isUnc = Boolean(device && device.charAt(1) !== ":");
      return Boolean(result[2] || isUnc);
    }
    module2.exports = process.platform === "win32" ? win32 : posix2;
    module2.exports.posix = posix2;
    module2.exports.win32 = win32;
  }
});

// ../../node_modules/.pnpm/glob@7.2.3/node_modules/glob/common.js
var require_common4 = __commonJS({
  "../../node_modules/.pnpm/glob@7.2.3/node_modules/glob/common.js"(exports2) {
    "use strict";
    exports2.setopts = setopts;
    exports2.ownProp = ownProp;
    exports2.makeAbs = makeAbs;
    exports2.finish = finish;
    exports2.mark = mark;
    exports2.isIgnored = isIgnored;
    exports2.childrenIgnored = childrenIgnored;
    function ownProp(obj, field) {
      return Object.prototype.hasOwnProperty.call(obj, field);
    }
    var fs42 = require("fs");
    var path39 = require("path");
    var minimatch = require_minimatch2();
    var isAbsolute = require_path_is_absolute();
    var Minimatch = minimatch.Minimatch;
    function alphasort(a3, b6) {
      return a3.localeCompare(b6, "en");
    }
    function setupIgnores(self2, options2) {
      self2.ignore = options2.ignore || [];
      if (!Array.isArray(self2.ignore))
        self2.ignore = [self2.ignore];
      if (self2.ignore.length) {
        self2.ignore = self2.ignore.map(ignoreMap);
      }
    }
    function ignoreMap(pattern) {
      var gmatcher = null;
      if (pattern.slice(-3) === "/**") {
        var gpattern = pattern.replace(/(\/\*\*)+$/, "");
        gmatcher = new Minimatch(gpattern, { dot: true });
      }
      return {
        matcher: new Minimatch(pattern, { dot: true }),
        gmatcher
      };
    }
    function setopts(self2, pattern, options2) {
      if (!options2)
        options2 = {};
      if (options2.matchBase && -1 === pattern.indexOf("/")) {
        if (options2.noglobstar) {
          throw new Error("base matching requires globstar");
        }
        pattern = "**/" + pattern;
      }
      self2.silent = !!options2.silent;
      self2.pattern = pattern;
      self2.strict = options2.strict !== false;
      self2.realpath = !!options2.realpath;
      self2.realpathCache = options2.realpathCache || /* @__PURE__ */ Object.create(null);
      self2.follow = !!options2.follow;
      self2.dot = !!options2.dot;
      self2.mark = !!options2.mark;
      self2.nodir = !!options2.nodir;
      if (self2.nodir)
        self2.mark = true;
      self2.sync = !!options2.sync;
      self2.nounique = !!options2.nounique;
      self2.nonull = !!options2.nonull;
      self2.nosort = !!options2.nosort;
      self2.nocase = !!options2.nocase;
      self2.stat = !!options2.stat;
      self2.noprocess = !!options2.noprocess;
      self2.absolute = !!options2.absolute;
      self2.fs = options2.fs || fs42;
      self2.maxLength = options2.maxLength || Infinity;
      self2.cache = options2.cache || /* @__PURE__ */ Object.create(null);
      self2.statCache = options2.statCache || /* @__PURE__ */ Object.create(null);
      self2.symlinks = options2.symlinks || /* @__PURE__ */ Object.create(null);
      setupIgnores(self2, options2);
      self2.changedCwd = false;
      var cwd = process.cwd();
      if (!ownProp(options2, "cwd"))
        self2.cwd = cwd;
      else {
        self2.cwd = path39.resolve(options2.cwd);
        self2.changedCwd = self2.cwd !== cwd;
      }
      self2.root = options2.root || path39.resolve(self2.cwd, "/");
      self2.root = path39.resolve(self2.root);
      if (process.platform === "win32")
        self2.root = self2.root.replace(/\\/g, "/");
      self2.cwdAbs = isAbsolute(self2.cwd) ? self2.cwd : makeAbs(self2, self2.cwd);
      if (process.platform === "win32")
        self2.cwdAbs = self2.cwdAbs.replace(/\\/g, "/");
      self2.nomount = !!options2.nomount;
      options2.nonegate = true;
      options2.nocomment = true;
      options2.allowWindowsEscape = false;
      self2.minimatch = new Minimatch(pattern, options2);
      self2.options = self2.minimatch.options;
    }
    function finish(self2) {
      var nou = self2.nounique;
      var all = nou ? [] : /* @__PURE__ */ Object.create(null);
      for (var i4 = 0, l2 = self2.matches.length; i4 < l2; i4++) {
        var matches = self2.matches[i4];
        if (!matches || Object.keys(matches).length === 0) {
          if (self2.nonull) {
            var literal = self2.minimatch.globSet[i4];
            if (nou)
              all.push(literal);
            else
              all[literal] = true;
          }
        } else {
          var m3 = Object.keys(matches);
          if (nou)
            all.push.apply(all, m3);
          else
            m3.forEach(function(m6) {
              all[m6] = true;
            });
        }
      }
      if (!nou)
        all = Object.keys(all);
      if (!self2.nosort)
        all = all.sort(alphasort);
      if (self2.mark) {
        for (var i4 = 0; i4 < all.length; i4++) {
          all[i4] = self2._mark(all[i4]);
        }
        if (self2.nodir) {
          all = all.filter(function(e3) {
            var notDir = !/\/$/.test(e3);
            var c4 = self2.cache[e3] || self2.cache[makeAbs(self2, e3)];
            if (notDir && c4)
              notDir = c4 !== "DIR" && !Array.isArray(c4);
            return notDir;
          });
        }
      }
      if (self2.ignore.length)
        all = all.filter(function(m6) {
          return !isIgnored(self2, m6);
        });
      self2.found = all;
    }
    function mark(self2, p2) {
      var abs = makeAbs(self2, p2);
      var c4 = self2.cache[abs];
      var m3 = p2;
      if (c4) {
        var isDir = c4 === "DIR" || Array.isArray(c4);
        var slash = p2.slice(-1) === "/";
        if (isDir && !slash)
          m3 += "/";
        else if (!isDir && slash)
          m3 = m3.slice(0, -1);
        if (m3 !== p2) {
          var mabs = makeAbs(self2, m3);
          self2.statCache[mabs] = self2.statCache[abs];
          self2.cache[mabs] = self2.cache[abs];
        }
      }
      return m3;
    }
    function makeAbs(self2, f4) {
      var abs = f4;
      if (f4.charAt(0) === "/") {
        abs = path39.join(self2.root, f4);
      } else if (isAbsolute(f4) || f4 === "") {
        abs = f4;
      } else if (self2.changedCwd) {
        abs = path39.resolve(self2.cwd, f4);
      } else {
        abs = path39.resolve(f4);
      }
      if (process.platform === "win32")
        abs = abs.replace(/\\/g, "/");
      return abs;
    }
    function isIgnored(self2, path40) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item2) {
        return item2.matcher.match(path40) || !!(item2.gmatcher && item2.gmatcher.match(path40));
      });
    }
    function childrenIgnored(self2, path40) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item2) {
        return !!(item2.gmatcher && item2.gmatcher.match(path40));
      });
    }
  }
});

// ../../node_modules/.pnpm/glob@7.2.3/node_modules/glob/sync.js
var require_sync7 = __commonJS({
  "../../node_modules/.pnpm/glob@7.2.3/node_modules/glob/sync.js"(exports2, module2) {
    "use strict";
    module2.exports = globSync;
    globSync.GlobSync = GlobSync;
    var rp = require_fs6();
    var minimatch = require_minimatch2();
    var Minimatch = minimatch.Minimatch;
    var Glob = require_glob().Glob;
    var util4 = require("util");
    var path39 = require("path");
    var assert = require("assert");
    var isAbsolute = require_path_is_absolute();
    var common = require_common4();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    function globSync(pattern, options2) {
      if (typeof options2 === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      return new GlobSync(pattern, options2).found;
    }
    function GlobSync(pattern, options2) {
      if (!pattern)
        throw new Error("must provide pattern");
      if (typeof options2 === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      if (!(this instanceof GlobSync))
        return new GlobSync(pattern, options2);
      setopts(this, pattern, options2);
      if (this.noprocess)
        return this;
      var n2 = this.minimatch.set.length;
      this.matches = new Array(n2);
      for (var i4 = 0; i4 < n2; i4++) {
        this._process(this.minimatch.set[i4], i4, false);
      }
      this._finish();
    }
    GlobSync.prototype._finish = function() {
      assert.ok(this instanceof GlobSync);
      if (this.realpath) {
        var self2 = this;
        this.matches.forEach(function(matchset, index2) {
          var set = self2.matches[index2] = /* @__PURE__ */ Object.create(null);
          for (var p2 in matchset) {
            try {
              p2 = self2._makeAbs(p2);
              var real = rp.realpathSync(p2, self2.realpathCache);
              set[real] = true;
            } catch (er) {
              if (er.syscall === "stat")
                set[self2._makeAbs(p2)] = true;
              else
                throw er;
            }
          }
        });
      }
      common.finish(this);
    };
    GlobSync.prototype._process = function(pattern, index2, inGlobStar) {
      assert.ok(this instanceof GlobSync);
      var n2 = 0;
      while (typeof pattern[n2] === "string") {
        n2++;
      }
      var prefix;
      switch (n2) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index2);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n2).join("/");
          break;
      }
      var remain = pattern.slice(n2);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p2) {
        return typeof p2 === "string" ? p2 : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return;
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index2, inGlobStar);
      else
        this._processReaddir(prefix, read, abs, remain, index2, inGlobStar);
    };
    GlobSync.prototype._processReaddir = function(prefix, read, abs, remain, index2, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i4 = 0; i4 < entries.length; i4++) {
        var e3 = entries[i4];
        if (e3.charAt(0) !== "." || dotOk) {
          var m3;
          if (negate && !prefix) {
            m3 = !e3.match(pn);
          } else {
            m3 = e3.match(pn);
          }
          if (m3)
            matchedEntries.push(e3);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return;
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index2])
          this.matches[index2] = /* @__PURE__ */ Object.create(null);
        for (var i4 = 0; i4 < len; i4++) {
          var e3 = matchedEntries[i4];
          if (prefix) {
            if (prefix.slice(-1) !== "/")
              e3 = prefix + "/" + e3;
            else
              e3 = prefix + e3;
          }
          if (e3.charAt(0) === "/" && !this.nomount) {
            e3 = path39.join(this.root, e3);
          }
          this._emitMatch(index2, e3);
        }
        return;
      }
      remain.shift();
      for (var i4 = 0; i4 < len; i4++) {
        var e3 = matchedEntries[i4];
        var newPattern;
        if (prefix)
          newPattern = [prefix, e3];
        else
          newPattern = [e3];
        this._process(newPattern.concat(remain), index2, inGlobStar);
      }
    };
    GlobSync.prototype._emitMatch = function(index2, e3) {
      if (isIgnored(this, e3))
        return;
      var abs = this._makeAbs(e3);
      if (this.mark)
        e3 = this._mark(e3);
      if (this.absolute) {
        e3 = abs;
      }
      if (this.matches[index2][e3])
        return;
      if (this.nodir) {
        var c4 = this.cache[abs];
        if (c4 === "DIR" || Array.isArray(c4))
          return;
      }
      this.matches[index2][e3] = true;
      if (this.stat)
        this._stat(e3);
    };
    GlobSync.prototype._readdirInGlobStar = function(abs) {
      if (this.follow)
        return this._readdir(abs, false);
      var entries;
      var lstat;
      var stat;
      try {
        lstat = this.fs.lstatSync(abs);
      } catch (er) {
        if (er.code === "ENOENT") {
          return null;
        }
      }
      var isSym = lstat && lstat.isSymbolicLink();
      this.symlinks[abs] = isSym;
      if (!isSym && lstat && !lstat.isDirectory())
        this.cache[abs] = "FILE";
      else
        entries = this._readdir(abs, false);
      return entries;
    };
    GlobSync.prototype._readdir = function(abs, inGlobStar) {
      var entries;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs);
      if (ownProp(this.cache, abs)) {
        var c4 = this.cache[abs];
        if (!c4 || c4 === "FILE")
          return null;
        if (Array.isArray(c4))
          return c4;
      }
      try {
        return this._readdirEntries(abs, this.fs.readdirSync(abs));
      } catch (er) {
        this._readdirError(abs, er);
        return null;
      }
    };
    GlobSync.prototype._readdirEntries = function(abs, entries) {
      if (!this.mark && !this.stat) {
        for (var i4 = 0; i4 < entries.length; i4++) {
          var e3 = entries[i4];
          if (abs === "/")
            e3 = abs + e3;
          else
            e3 = abs + "/" + e3;
          this.cache[e3] = true;
        }
      }
      this.cache[abs] = entries;
      return entries;
    };
    GlobSync.prototype._readdirError = function(f4, er) {
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f4);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error2 = new Error(er.code + " invalid cwd " + this.cwd);
            error2.path = this.cwd;
            error2.code = er.code;
            throw error2;
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f4)] = false;
          break;
        default:
          this.cache[this._makeAbs(f4)] = false;
          if (this.strict)
            throw er;
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
    };
    GlobSync.prototype._processGlobStar = function(prefix, read, abs, remain, index2, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index2, false);
      var len = entries.length;
      var isSym = this.symlinks[abs];
      if (isSym && inGlobStar)
        return;
      for (var i4 = 0; i4 < len; i4++) {
        var e3 = entries[i4];
        if (e3.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i4], remainWithoutGlobStar);
        this._process(instead, index2, true);
        var below = gspref.concat(entries[i4], remain);
        this._process(below, index2, true);
      }
    };
    GlobSync.prototype._processSimple = function(prefix, index2) {
      var exists5 = this._stat(prefix);
      if (!this.matches[index2])
        this.matches[index2] = /* @__PURE__ */ Object.create(null);
      if (!exists5)
        return;
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path39.join(this.root, prefix);
        } else {
          prefix = path39.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index2, prefix);
    };
    GlobSync.prototype._stat = function(f4) {
      var abs = this._makeAbs(f4);
      var needDir = f4.slice(-1) === "/";
      if (f4.length > this.maxLength)
        return false;
      if (!this.stat && ownProp(this.cache, abs)) {
        var c4 = this.cache[abs];
        if (Array.isArray(c4))
          c4 = "DIR";
        if (!needDir || c4 === "DIR")
          return c4;
        if (needDir && c4 === "FILE")
          return false;
      }
      var exists5;
      var stat = this.statCache[abs];
      if (!stat) {
        var lstat;
        try {
          lstat = this.fs.lstatSync(abs);
        } catch (er) {
          if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
            this.statCache[abs] = false;
            return false;
          }
        }
        if (lstat && lstat.isSymbolicLink()) {
          try {
            stat = this.fs.statSync(abs);
          } catch (er) {
            stat = lstat;
          }
        } else {
          stat = lstat;
        }
      }
      this.statCache[abs] = stat;
      var c4 = true;
      if (stat)
        c4 = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c4;
      if (needDir && c4 === "FILE")
        return false;
      return c4;
    };
    GlobSync.prototype._mark = function(p2) {
      return common.mark(this, p2);
    };
    GlobSync.prototype._makeAbs = function(f4) {
      return common.makeAbs(this, f4);
    };
  }
});

// ../../node_modules/.pnpm/wrappy@1.0.2/node_modules/wrappy/wrappy.js
var require_wrappy = __commonJS({
  "../../node_modules/.pnpm/wrappy@1.0.2/node_modules/wrappy/wrappy.js"(exports2, module2) {
    "use strict";
    module2.exports = wrappy;
    function wrappy(fn2, cb2) {
      if (fn2 && cb2)
        return wrappy(fn2)(cb2);
      if (typeof fn2 !== "function")
        throw new TypeError("need wrapper function");
      Object.keys(fn2).forEach(function(k) {
        wrapper[k] = fn2[k];
      });
      return wrapper;
      function wrapper() {
        var args3 = new Array(arguments.length);
        for (var i4 = 0; i4 < args3.length; i4++) {
          args3[i4] = arguments[i4];
        }
        var ret = fn2.apply(this, args3);
        var cb3 = args3[args3.length - 1];
        if (typeof ret === "function" && ret !== cb3) {
          Object.keys(cb3).forEach(function(k) {
            ret[k] = cb3[k];
          });
        }
        return ret;
      }
    }
  }
});

// ../../node_modules/.pnpm/once@1.4.0/node_modules/once/once.js
var require_once = __commonJS({
  "../../node_modules/.pnpm/once@1.4.0/node_modules/once/once.js"(exports2, module2) {
    "use strict";
    var wrappy = require_wrappy();
    module2.exports = wrappy(once2);
    module2.exports.strict = wrappy(onceStrict);
    once2.proto = once2(function() {
      Object.defineProperty(Function.prototype, "once", {
        value: function() {
          return once2(this);
        },
        configurable: true
      });
      Object.defineProperty(Function.prototype, "onceStrict", {
        value: function() {
          return onceStrict(this);
        },
        configurable: true
      });
    });
    function once2(fn2) {
      var f4 = function() {
        if (f4.called)
          return f4.value;
        f4.called = true;
        return f4.value = fn2.apply(this, arguments);
      };
      f4.called = false;
      return f4;
    }
    function onceStrict(fn2) {
      var f4 = function() {
        if (f4.called)
          throw new Error(f4.onceError);
        f4.called = true;
        return f4.value = fn2.apply(this, arguments);
      };
      var name = fn2.name || "Function wrapped with `once`";
      f4.onceError = name + " shouldn't be called more than once";
      f4.called = false;
      return f4;
    }
  }
});

// ../../node_modules/.pnpm/inflight@1.0.6/node_modules/inflight/inflight.js
var require_inflight = __commonJS({
  "../../node_modules/.pnpm/inflight@1.0.6/node_modules/inflight/inflight.js"(exports2, module2) {
    "use strict";
    var wrappy = require_wrappy();
    var reqs = /* @__PURE__ */ Object.create(null);
    var once2 = require_once();
    module2.exports = wrappy(inflight);
    function inflight(key, cb2) {
      if (reqs[key]) {
        reqs[key].push(cb2);
        return null;
      } else {
        reqs[key] = [cb2];
        return makeres(key);
      }
    }
    function makeres(key) {
      return once2(function RES() {
        var cbs = reqs[key];
        var len = cbs.length;
        var args3 = slice(arguments);
        try {
          for (var i4 = 0; i4 < len; i4++) {
            cbs[i4].apply(null, args3);
          }
        } finally {
          if (cbs.length > len) {
            cbs.splice(0, len);
            process.nextTick(function() {
              RES.apply(null, args3);
            });
          } else {
            delete reqs[key];
          }
        }
      });
    }
    function slice(args3) {
      var length = args3.length;
      var array = [];
      for (var i4 = 0; i4 < length; i4++)
        array[i4] = args3[i4];
      return array;
    }
  }
});

// ../../node_modules/.pnpm/glob@7.2.3/node_modules/glob/glob.js
var require_glob = __commonJS({
  "../../node_modules/.pnpm/glob@7.2.3/node_modules/glob/glob.js"(exports2, module2) {
    "use strict";
    module2.exports = glob;
    var rp = require_fs6();
    var minimatch = require_minimatch2();
    var Minimatch = minimatch.Minimatch;
    var inherits = require_inherits();
    var EE = require("events").EventEmitter;
    var path39 = require("path");
    var assert = require("assert");
    var isAbsolute = require_path_is_absolute();
    var globSync = require_sync7();
    var common = require_common4();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var inflight = require_inflight();
    var util4 = require("util");
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    var once2 = require_once();
    function glob(pattern, options2, cb2) {
      if (typeof options2 === "function")
        cb2 = options2, options2 = {};
      if (!options2)
        options2 = {};
      if (options2.sync) {
        if (cb2)
          throw new TypeError("callback provided to sync glob");
        return globSync(pattern, options2);
      }
      return new Glob(pattern, options2, cb2);
    }
    glob.sync = globSync;
    var GlobSync = glob.GlobSync = globSync.GlobSync;
    glob.glob = glob;
    function extend(origin, add) {
      if (add === null || typeof add !== "object") {
        return origin;
      }
      var keys = Object.keys(add);
      var i4 = keys.length;
      while (i4--) {
        origin[keys[i4]] = add[keys[i4]];
      }
      return origin;
    }
    glob.hasMagic = function(pattern, options_) {
      var options2 = extend({}, options_);
      options2.noprocess = true;
      var g2 = new Glob(pattern, options2);
      var set = g2.minimatch.set;
      if (!pattern)
        return false;
      if (set.length > 1)
        return true;
      for (var j2 = 0; j2 < set[0].length; j2++) {
        if (typeof set[0][j2] !== "string")
          return true;
      }
      return false;
    };
    glob.Glob = Glob;
    inherits(Glob, EE);
    function Glob(pattern, options2, cb2) {
      if (typeof options2 === "function") {
        cb2 = options2;
        options2 = null;
      }
      if (options2 && options2.sync) {
        if (cb2)
          throw new TypeError("callback provided to sync glob");
        return new GlobSync(pattern, options2);
      }
      if (!(this instanceof Glob))
        return new Glob(pattern, options2, cb2);
      setopts(this, pattern, options2);
      this._didRealPath = false;
      var n2 = this.minimatch.set.length;
      this.matches = new Array(n2);
      if (typeof cb2 === "function") {
        cb2 = once2(cb2);
        this.on("error", cb2);
        this.on("end", function(matches) {
          cb2(null, matches);
        });
      }
      var self2 = this;
      this._processing = 0;
      this._emitQueue = [];
      this._processQueue = [];
      this.paused = false;
      if (this.noprocess)
        return this;
      if (n2 === 0)
        return done();
      var sync2 = true;
      for (var i4 = 0; i4 < n2; i4++) {
        this._process(this.minimatch.set[i4], i4, false, done);
      }
      sync2 = false;
      function done() {
        --self2._processing;
        if (self2._processing <= 0) {
          if (sync2) {
            process.nextTick(function() {
              self2._finish();
            });
          } else {
            self2._finish();
          }
        }
      }
    }
    Glob.prototype._finish = function() {
      assert(this instanceof Glob);
      if (this.aborted)
        return;
      if (this.realpath && !this._didRealpath)
        return this._realpath();
      common.finish(this);
      this.emit("end", this.found);
    };
    Glob.prototype._realpath = function() {
      if (this._didRealpath)
        return;
      this._didRealpath = true;
      var n2 = this.matches.length;
      if (n2 === 0)
        return this._finish();
      var self2 = this;
      for (var i4 = 0; i4 < this.matches.length; i4++)
        this._realpathSet(i4, next);
      function next() {
        if (--n2 === 0)
          self2._finish();
      }
    };
    Glob.prototype._realpathSet = function(index2, cb2) {
      var matchset = this.matches[index2];
      if (!matchset)
        return cb2();
      var found = Object.keys(matchset);
      var self2 = this;
      var n2 = found.length;
      if (n2 === 0)
        return cb2();
      var set = this.matches[index2] = /* @__PURE__ */ Object.create(null);
      found.forEach(function(p2, i4) {
        p2 = self2._makeAbs(p2);
        rp.realpath(p2, self2.realpathCache, function(er, real) {
          if (!er)
            set[real] = true;
          else if (er.syscall === "stat")
            set[p2] = true;
          else
            self2.emit("error", er);
          if (--n2 === 0) {
            self2.matches[index2] = set;
            cb2();
          }
        });
      });
    };
    Glob.prototype._mark = function(p2) {
      return common.mark(this, p2);
    };
    Glob.prototype._makeAbs = function(f4) {
      return common.makeAbs(this, f4);
    };
    Glob.prototype.abort = function() {
      this.aborted = true;
      this.emit("abort");
    };
    Glob.prototype.pause = function() {
      if (!this.paused) {
        this.paused = true;
        this.emit("pause");
      }
    };
    Glob.prototype.resume = function() {
      if (this.paused) {
        this.emit("resume");
        this.paused = false;
        if (this._emitQueue.length) {
          var eq2 = this._emitQueue.slice(0);
          this._emitQueue.length = 0;
          for (var i4 = 0; i4 < eq2.length; i4++) {
            var e3 = eq2[i4];
            this._emitMatch(e3[0], e3[1]);
          }
        }
        if (this._processQueue.length) {
          var pq2 = this._processQueue.slice(0);
          this._processQueue.length = 0;
          for (var i4 = 0; i4 < pq2.length; i4++) {
            var p2 = pq2[i4];
            this._processing--;
            this._process(p2[0], p2[1], p2[2], p2[3]);
          }
        }
      }
    };
    Glob.prototype._process = function(pattern, index2, inGlobStar, cb2) {
      assert(this instanceof Glob);
      assert(typeof cb2 === "function");
      if (this.aborted)
        return;
      this._processing++;
      if (this.paused) {
        this._processQueue.push([pattern, index2, inGlobStar, cb2]);
        return;
      }
      var n2 = 0;
      while (typeof pattern[n2] === "string") {
        n2++;
      }
      var prefix;
      switch (n2) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index2, cb2);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n2).join("/");
          break;
      }
      var remain = pattern.slice(n2);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p2) {
        return typeof p2 === "string" ? p2 : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return cb2();
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index2, inGlobStar, cb2);
      else
        this._processReaddir(prefix, read, abs, remain, index2, inGlobStar, cb2);
    };
    Glob.prototype._processReaddir = function(prefix, read, abs, remain, index2, inGlobStar, cb2) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        return self2._processReaddir2(prefix, read, abs, remain, index2, inGlobStar, entries, cb2);
      });
    };
    Glob.prototype._processReaddir2 = function(prefix, read, abs, remain, index2, inGlobStar, entries, cb2) {
      if (!entries)
        return cb2();
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i4 = 0; i4 < entries.length; i4++) {
        var e3 = entries[i4];
        if (e3.charAt(0) !== "." || dotOk) {
          var m3;
          if (negate && !prefix) {
            m3 = !e3.match(pn);
          } else {
            m3 = e3.match(pn);
          }
          if (m3)
            matchedEntries.push(e3);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return cb2();
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index2])
          this.matches[index2] = /* @__PURE__ */ Object.create(null);
        for (var i4 = 0; i4 < len; i4++) {
          var e3 = matchedEntries[i4];
          if (prefix) {
            if (prefix !== "/")
              e3 = prefix + "/" + e3;
            else
              e3 = prefix + e3;
          }
          if (e3.charAt(0) === "/" && !this.nomount) {
            e3 = path39.join(this.root, e3);
          }
          this._emitMatch(index2, e3);
        }
        return cb2();
      }
      remain.shift();
      for (var i4 = 0; i4 < len; i4++) {
        var e3 = matchedEntries[i4];
        var newPattern;
        if (prefix) {
          if (prefix !== "/")
            e3 = prefix + "/" + e3;
          else
            e3 = prefix + e3;
        }
        this._process([e3].concat(remain), index2, inGlobStar, cb2);
      }
      cb2();
    };
    Glob.prototype._emitMatch = function(index2, e3) {
      if (this.aborted)
        return;
      if (isIgnored(this, e3))
        return;
      if (this.paused) {
        this._emitQueue.push([index2, e3]);
        return;
      }
      var abs = isAbsolute(e3) ? e3 : this._makeAbs(e3);
      if (this.mark)
        e3 = this._mark(e3);
      if (this.absolute)
        e3 = abs;
      if (this.matches[index2][e3])
        return;
      if (this.nodir) {
        var c4 = this.cache[abs];
        if (c4 === "DIR" || Array.isArray(c4))
          return;
      }
      this.matches[index2][e3] = true;
      var st = this.statCache[abs];
      if (st)
        this.emit("stat", e3, st);
      this.emit("match", e3);
    };
    Glob.prototype._readdirInGlobStar = function(abs, cb2) {
      if (this.aborted)
        return;
      if (this.follow)
        return this._readdir(abs, false, cb2);
      var lstatkey = "lstat\0" + abs;
      var self2 = this;
      var lstatcb = inflight(lstatkey, lstatcb_);
      if (lstatcb)
        self2.fs.lstat(abs, lstatcb);
      function lstatcb_(er, lstat) {
        if (er && er.code === "ENOENT")
          return cb2();
        var isSym = lstat && lstat.isSymbolicLink();
        self2.symlinks[abs] = isSym;
        if (!isSym && lstat && !lstat.isDirectory()) {
          self2.cache[abs] = "FILE";
          cb2();
        } else
          self2._readdir(abs, false, cb2);
      }
    };
    Glob.prototype._readdir = function(abs, inGlobStar, cb2) {
      if (this.aborted)
        return;
      cb2 = inflight("readdir\0" + abs + "\0" + inGlobStar, cb2);
      if (!cb2)
        return;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs, cb2);
      if (ownProp(this.cache, abs)) {
        var c4 = this.cache[abs];
        if (!c4 || c4 === "FILE")
          return cb2();
        if (Array.isArray(c4))
          return cb2(null, c4);
      }
      var self2 = this;
      self2.fs.readdir(abs, readdirCb(this, abs, cb2));
    };
    function readdirCb(self2, abs, cb2) {
      return function(er, entries) {
        if (er)
          self2._readdirError(abs, er, cb2);
        else
          self2._readdirEntries(abs, entries, cb2);
      };
    }
    Glob.prototype._readdirEntries = function(abs, entries, cb2) {
      if (this.aborted)
        return;
      if (!this.mark && !this.stat) {
        for (var i4 = 0; i4 < entries.length; i4++) {
          var e3 = entries[i4];
          if (abs === "/")
            e3 = abs + e3;
          else
            e3 = abs + "/" + e3;
          this.cache[e3] = true;
        }
      }
      this.cache[abs] = entries;
      return cb2(null, entries);
    };
    Glob.prototype._readdirError = function(f4, er, cb2) {
      if (this.aborted)
        return;
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f4);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error2 = new Error(er.code + " invalid cwd " + this.cwd);
            error2.path = this.cwd;
            error2.code = er.code;
            this.emit("error", error2);
            this.abort();
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f4)] = false;
          break;
        default:
          this.cache[this._makeAbs(f4)] = false;
          if (this.strict) {
            this.emit("error", er);
            this.abort();
          }
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
      return cb2();
    };
    Glob.prototype._processGlobStar = function(prefix, read, abs, remain, index2, inGlobStar, cb2) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        self2._processGlobStar2(prefix, read, abs, remain, index2, inGlobStar, entries, cb2);
      });
    };
    Glob.prototype._processGlobStar2 = function(prefix, read, abs, remain, index2, inGlobStar, entries, cb2) {
      if (!entries)
        return cb2();
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index2, false, cb2);
      var isSym = this.symlinks[abs];
      var len = entries.length;
      if (isSym && inGlobStar)
        return cb2();
      for (var i4 = 0; i4 < len; i4++) {
        var e3 = entries[i4];
        if (e3.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i4], remainWithoutGlobStar);
        this._process(instead, index2, true, cb2);
        var below = gspref.concat(entries[i4], remain);
        this._process(below, index2, true, cb2);
      }
      cb2();
    };
    Glob.prototype._processSimple = function(prefix, index2, cb2) {
      var self2 = this;
      this._stat(prefix, function(er, exists5) {
        self2._processSimple2(prefix, index2, er, exists5, cb2);
      });
    };
    Glob.prototype._processSimple2 = function(prefix, index2, er, exists5, cb2) {
      if (!this.matches[index2])
        this.matches[index2] = /* @__PURE__ */ Object.create(null);
      if (!exists5)
        return cb2();
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path39.join(this.root, prefix);
        } else {
          prefix = path39.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index2, prefix);
      cb2();
    };
    Glob.prototype._stat = function(f4, cb2) {
      var abs = this._makeAbs(f4);
      var needDir = f4.slice(-1) === "/";
      if (f4.length > this.maxLength)
        return cb2();
      if (!this.stat && ownProp(this.cache, abs)) {
        var c4 = this.cache[abs];
        if (Array.isArray(c4))
          c4 = "DIR";
        if (!needDir || c4 === "DIR")
          return cb2(null, c4);
        if (needDir && c4 === "FILE")
          return cb2();
      }
      var exists5;
      var stat = this.statCache[abs];
      if (stat !== void 0) {
        if (stat === false)
          return cb2(null, stat);
        else {
          var type = stat.isDirectory() ? "DIR" : "FILE";
          if (needDir && type === "FILE")
            return cb2();
          else
            return cb2(null, type, stat);
        }
      }
      var self2 = this;
      var statcb = inflight("stat\0" + abs, lstatcb_);
      if (statcb)
        self2.fs.lstat(abs, statcb);
      function lstatcb_(er, lstat) {
        if (lstat && lstat.isSymbolicLink()) {
          return self2.fs.stat(abs, function(er2, stat2) {
            if (er2)
              self2._stat2(f4, abs, null, lstat, cb2);
            else
              self2._stat2(f4, abs, er2, stat2, cb2);
          });
        } else {
          self2._stat2(f4, abs, er, lstat, cb2);
        }
      }
    };
    Glob.prototype._stat2 = function(f4, abs, er, stat, cb2) {
      if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
        this.statCache[abs] = false;
        return cb2();
      }
      var needDir = f4.slice(-1) === "/";
      this.statCache[abs] = stat;
      if (abs.slice(-1) === "/" && stat && !stat.isDirectory())
        return cb2(null, false, stat);
      var c4 = true;
      if (stat)
        c4 = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c4;
      if (needDir && c4 === "FILE")
        return cb2();
      return cb2(null, c4, stat);
    };
  }
});

// ../../node_modules/.pnpm/rimraf@3.0.2/node_modules/rimraf/rimraf.js
var require_rimraf = __commonJS({
  "../../node_modules/.pnpm/rimraf@3.0.2/node_modules/rimraf/rimraf.js"(exports2, module2) {
    "use strict";
    var assert = require("assert");
    var path39 = require("path");
    var fs42 = require("fs");
    var glob = void 0;
    try {
      glob = require_glob();
    } catch (_err) {
    }
    var defaultGlobOpts = {
      nosort: true,
      silent: true
    };
    var timeout2 = 0;
    var isWindows3 = process.platform === "win32";
    var defaults = (options2) => {
      const methods = [
        "unlink",
        "chmod",
        "stat",
        "lstat",
        "rmdir",
        "readdir"
      ];
      methods.forEach((m3) => {
        options2[m3] = options2[m3] || fs42[m3];
        m3 = m3 + "Sync";
        options2[m3] = options2[m3] || fs42[m3];
      });
      options2.maxBusyTries = options2.maxBusyTries || 3;
      options2.emfileWait = options2.emfileWait || 1e3;
      if (options2.glob === false) {
        options2.disableGlob = true;
      }
      if (options2.disableGlob !== true && glob === void 0) {
        throw Error("glob dependency not found, set `options.disableGlob = true` if intentional");
      }
      options2.disableGlob = options2.disableGlob || false;
      options2.glob = options2.glob || defaultGlobOpts;
    };
    var rimraf3 = (p2, options2, cb2) => {
      if (typeof options2 === "function") {
        cb2 = options2;
        options2 = {};
      }
      assert(p2, "rimraf: missing path");
      assert.equal(typeof p2, "string", "rimraf: path should be a string");
      assert.equal(typeof cb2, "function", "rimraf: callback function required");
      assert(options2, "rimraf: invalid options argument provided");
      assert.equal(typeof options2, "object", "rimraf: options should be object");
      defaults(options2);
      let busyTries = 0;
      let errState = null;
      let n2 = 0;
      const next = (er) => {
        errState = errState || er;
        if (--n2 === 0)
          cb2(errState);
      };
      const afterGlob = (er, results) => {
        if (er)
          return cb2(er);
        n2 = results.length;
        if (n2 === 0)
          return cb2();
        results.forEach((p4) => {
          const CB = (er2) => {
            if (er2) {
              if ((er2.code === "EBUSY" || er2.code === "ENOTEMPTY" || er2.code === "EPERM") && busyTries < options2.maxBusyTries) {
                busyTries++;
                return setTimeout(() => rimraf_(p4, options2, CB), busyTries * 100);
              }
              if (er2.code === "EMFILE" && timeout2 < options2.emfileWait) {
                return setTimeout(() => rimraf_(p4, options2, CB), timeout2++);
              }
              if (er2.code === "ENOENT")
                er2 = null;
            }
            timeout2 = 0;
            next(er2);
          };
          rimraf_(p4, options2, CB);
        });
      };
      if (options2.disableGlob || !glob.hasMagic(p2))
        return afterGlob(null, [p2]);
      options2.lstat(p2, (er, stat) => {
        if (!er)
          return afterGlob(null, [p2]);
        glob(p2, options2.glob, afterGlob);
      });
    };
    var rimraf_ = (p2, options2, cb2) => {
      assert(p2);
      assert(options2);
      assert(typeof cb2 === "function");
      options2.lstat(p2, (er, st) => {
        if (er && er.code === "ENOENT")
          return cb2(null);
        if (er && er.code === "EPERM" && isWindows3)
          fixWinEPERM(p2, options2, er, cb2);
        if (st && st.isDirectory())
          return rmdir(p2, options2, er, cb2);
        options2.unlink(p2, (er2) => {
          if (er2) {
            if (er2.code === "ENOENT")
              return cb2(null);
            if (er2.code === "EPERM")
              return isWindows3 ? fixWinEPERM(p2, options2, er2, cb2) : rmdir(p2, options2, er2, cb2);
            if (er2.code === "EISDIR")
              return rmdir(p2, options2, er2, cb2);
          }
          return cb2(er2);
        });
      });
    };
    var fixWinEPERM = (p2, options2, er, cb2) => {
      assert(p2);
      assert(options2);
      assert(typeof cb2 === "function");
      options2.chmod(p2, 438, (er2) => {
        if (er2)
          cb2(er2.code === "ENOENT" ? null : er);
        else
          options2.stat(p2, (er3, stats) => {
            if (er3)
              cb2(er3.code === "ENOENT" ? null : er);
            else if (stats.isDirectory())
              rmdir(p2, options2, er, cb2);
            else
              options2.unlink(p2, cb2);
          });
      });
    };
    var fixWinEPERMSync = (p2, options2, er) => {
      assert(p2);
      assert(options2);
      try {
        options2.chmodSync(p2, 438);
      } catch (er2) {
        if (er2.code === "ENOENT")
          return;
        else
          throw er;
      }
      let stats;
      try {
        stats = options2.statSync(p2);
      } catch (er3) {
        if (er3.code === "ENOENT")
          return;
        else
          throw er;
      }
      if (stats.isDirectory())
        rmdirSync(p2, options2, er);
      else
        options2.unlinkSync(p2);
    };
    var rmdir = (p2, options2, originalEr, cb2) => {
      assert(p2);
      assert(options2);
      assert(typeof cb2 === "function");
      options2.rmdir(p2, (er) => {
        if (er && (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM"))
          rmkids(p2, options2, cb2);
        else if (er && er.code === "ENOTDIR")
          cb2(originalEr);
        else
          cb2(er);
      });
    };
    var rmkids = (p2, options2, cb2) => {
      assert(p2);
      assert(options2);
      assert(typeof cb2 === "function");
      options2.readdir(p2, (er, files) => {
        if (er)
          return cb2(er);
        let n2 = files.length;
        if (n2 === 0)
          return options2.rmdir(p2, cb2);
        let errState;
        files.forEach((f4) => {
          rimraf3(path39.join(p2, f4), options2, (er2) => {
            if (errState)
              return;
            if (er2)
              return cb2(errState = er2);
            if (--n2 === 0)
              options2.rmdir(p2, cb2);
          });
        });
      });
    };
    var rimrafSync = (p2, options2) => {
      options2 = options2 || {};
      defaults(options2);
      assert(p2, "rimraf: missing path");
      assert.equal(typeof p2, "string", "rimraf: path should be a string");
      assert(options2, "rimraf: missing options");
      assert.equal(typeof options2, "object", "rimraf: options should be object");
      let results;
      if (options2.disableGlob || !glob.hasMagic(p2)) {
        results = [p2];
      } else {
        try {
          options2.lstatSync(p2);
          results = [p2];
        } catch (er) {
          results = glob.sync(p2, options2.glob);
        }
      }
      if (!results.length)
        return;
      for (let i4 = 0; i4 < results.length; i4++) {
        const p4 = results[i4];
        let st;
        try {
          st = options2.lstatSync(p4);
        } catch (er) {
          if (er.code === "ENOENT")
            return;
          if (er.code === "EPERM" && isWindows3)
            fixWinEPERMSync(p4, options2, er);
        }
        try {
          if (st && st.isDirectory())
            rmdirSync(p4, options2, null);
          else
            options2.unlinkSync(p4);
        } catch (er) {
          if (er.code === "ENOENT")
            return;
          if (er.code === "EPERM")
            return isWindows3 ? fixWinEPERMSync(p4, options2, er) : rmdirSync(p4, options2, er);
          if (er.code !== "EISDIR")
            throw er;
          rmdirSync(p4, options2, er);
        }
      }
    };
    var rmdirSync = (p2, options2, originalEr) => {
      assert(p2);
      assert(options2);
      try {
        options2.rmdirSync(p2);
      } catch (er) {
        if (er.code === "ENOENT")
          return;
        if (er.code === "ENOTDIR")
          throw originalEr;
        if (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM")
          rmkidsSync(p2, options2);
      }
    };
    var rmkidsSync = (p2, options2) => {
      assert(p2);
      assert(options2);
      options2.readdirSync(p2).forEach((f4) => rimrafSync(path39.join(p2, f4), options2));
      const retries = isWindows3 ? 100 : 1;
      let i4 = 0;
      do {
        let threw = true;
        try {
          const ret = options2.rmdirSync(p2, options2);
          threw = false;
          return ret;
        } finally {
          if (++i4 < retries && threw)
            continue;
        }
      } while (true);
    };
    module2.exports = rimraf3;
    rimraf3.sync = rimrafSync;
  }
});

// ../../node_modules/.pnpm/indent-string@4.0.0/node_modules/indent-string/index.js
var require_indent_string = __commonJS({
  "../../node_modules/.pnpm/indent-string@4.0.0/node_modules/indent-string/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (string, count = 1, options2) => {
      options2 = {
        indent: " ",
        includeEmptyLines: false,
        ...options2
      };
      if (typeof string !== "string") {
        throw new TypeError(
          `Expected \`input\` to be a \`string\`, got \`${typeof string}\``
        );
      }
      if (typeof count !== "number") {
        throw new TypeError(
          `Expected \`count\` to be a \`number\`, got \`${typeof count}\``
        );
      }
      if (typeof options2.indent !== "string") {
        throw new TypeError(
          `Expected \`options.indent\` to be a \`string\`, got \`${typeof options2.indent}\``
        );
      }
      if (count === 0) {
        return string;
      }
      const regex2 = options2.includeEmptyLines ? /^/gm : /^(?!\s*$)/gm;
      return string.replace(regex2, options2.indent.repeat(count));
    };
  }
});

// ../../node_modules/.pnpm/clean-stack@2.2.0/node_modules/clean-stack/index.js
var require_clean_stack = __commonJS({
  "../../node_modules/.pnpm/clean-stack@2.2.0/node_modules/clean-stack/index.js"(exports2, module2) {
    "use strict";
    var os7 = require("os");
    var extractPathRegex = /\s+at.*(?:\(|\s)(.*)\)?/;
    var pathRegex = /^(?:(?:(?:node|(?:internal\/[\w/]*|.*node_modules\/(?:babel-polyfill|pirates)\/.*)?\w+)\.js:\d+:\d+)|native)/;
    var homeDir = typeof os7.homedir === "undefined" ? "" : os7.homedir();
    module2.exports = (stack2, options2) => {
      options2 = Object.assign({ pretty: false }, options2);
      return stack2.replace(/\\/g, "/").split("\n").filter((line) => {
        const pathMatches = line.match(extractPathRegex);
        if (pathMatches === null || !pathMatches[1]) {
          return true;
        }
        const match4 = pathMatches[1];
        if (match4.includes(".app/Contents/Resources/electron.asar") || match4.includes(".app/Contents/Resources/default_app.asar")) {
          return false;
        }
        return !pathRegex.test(match4);
      }).filter((line) => line.trim() !== "").map((line) => {
        if (options2.pretty) {
          return line.replace(extractPathRegex, (m3, p1) => m3.replace(p1, p1.replace(homeDir, "~")));
        }
        return line;
      }).join("\n");
    };
  }
});

// ../../node_modules/.pnpm/aggregate-error@3.1.0/node_modules/aggregate-error/index.js
var require_aggregate_error = __commonJS({
  "../../node_modules/.pnpm/aggregate-error@3.1.0/node_modules/aggregate-error/index.js"(exports2, module2) {
    "use strict";
    var indentString = require_indent_string();
    var cleanStack = require_clean_stack();
    var cleanInternalStack = (stack2) => stack2.replace(/\s+at .*aggregate-error\/index.js:\d+:\d+\)?/g, "");
    var AggregateError2 = class extends Error {
      constructor(errors) {
        if (!Array.isArray(errors)) {
          throw new TypeError(`Expected input to be an Array, got ${typeof errors}`);
        }
        errors = [...errors].map((error2) => {
          if (error2 instanceof Error) {
            return error2;
          }
          if (error2 !== null && typeof error2 === "object") {
            return Object.assign(new Error(error2.message), error2);
          }
          return new Error(error2);
        });
        let message2 = errors.map((error2) => {
          return typeof error2.stack === "string" ? cleanInternalStack(cleanStack(error2.stack)) : String(error2);
        }).join("\n");
        message2 = "\n" + indentString(message2, 4);
        super(message2);
        this.name = "AggregateError";
        Object.defineProperty(this, "_errors", { value: errors });
      }
      *[Symbol.iterator]() {
        for (const error2 of this._errors) {
          yield error2;
        }
      }
    };
    module2.exports = AggregateError2;
  }
});

// ../../node_modules/.pnpm/p-map@4.0.0/node_modules/p-map/index.js
var require_p_map = __commonJS({
  "../../node_modules/.pnpm/p-map@4.0.0/node_modules/p-map/index.js"(exports2, module2) {
    "use strict";
    var AggregateError2 = require_aggregate_error();
    module2.exports = async (iterable, mapper, {
      concurrency = Infinity,
      stopOnError = true
    } = {}) => {
      return new Promise((resolve3, reject2) => {
        if (typeof mapper !== "function") {
          throw new TypeError("Mapper function is required");
        }
        if (!((Number.isSafeInteger(concurrency) || concurrency === Infinity) && concurrency >= 1)) {
          throw new TypeError(`Expected \`concurrency\` to be an integer from 1 and up or \`Infinity\`, got \`${concurrency}\` (${typeof concurrency})`);
        }
        const result = [];
        const errors = [];
        const iterator = iterable[Symbol.iterator]();
        let isRejected = false;
        let isIterableDone = false;
        let resolvingCount = 0;
        let currentIndex = 0;
        const next = () => {
          if (isRejected) {
            return;
          }
          const nextItem = iterator.next();
          const index2 = currentIndex;
          currentIndex++;
          if (nextItem.done) {
            isIterableDone = true;
            if (resolvingCount === 0) {
              if (!stopOnError && errors.length !== 0) {
                reject2(new AggregateError2(errors));
              } else {
                resolve3(result);
              }
            }
            return;
          }
          resolvingCount++;
          (async () => {
            try {
              const element = await nextItem.value;
              result[index2] = await mapper(element, index2);
              resolvingCount--;
              next();
            } catch (error2) {
              if (stopOnError) {
                isRejected = true;
                reject2(error2);
              } else {
                errors.push(error2);
                resolvingCount--;
                next();
              }
            }
          })();
        };
        for (let i4 = 0; i4 < concurrency; i4++) {
          next();
          if (isIterableDone) {
            break;
          }
        }
      });
    };
  }
});

// ../../node_modules/.pnpm/del@6.1.1/node_modules/del/index.js
var require_del = __commonJS({
  "../../node_modules/.pnpm/del@6.1.1/node_modules/del/index.js"(exports2, module2) {
    "use strict";
    var { promisify: promisify9 } = require("util");
    var path39 = require("path");
    var globby3 = require_globby();
    var isGlob = require_is_glob();
    var slash = require_slash();
    var gracefulFs = require_graceful_fs();
    var isPathCwd = require_is_path_cwd();
    var isPathInside = require_is_path_inside();
    var rimraf3 = require_rimraf();
    var pMap2 = require_p_map();
    var rimrafP = promisify9(rimraf3);
    var rimrafOptions = {
      glob: false,
      unlink: gracefulFs.unlink,
      unlinkSync: gracefulFs.unlinkSync,
      chmod: gracefulFs.chmod,
      chmodSync: gracefulFs.chmodSync,
      stat: gracefulFs.stat,
      statSync: gracefulFs.statSync,
      lstat: gracefulFs.lstat,
      lstatSync: gracefulFs.lstatSync,
      rmdir: gracefulFs.rmdir,
      rmdirSync: gracefulFs.rmdirSync,
      readdir: gracefulFs.readdir,
      readdirSync: gracefulFs.readdirSync
    };
    function safeCheck(file2, cwd) {
      if (isPathCwd(file2)) {
        throw new Error("Cannot delete the current working directory. Can be overridden with the `force` option.");
      }
      if (!isPathInside(file2, cwd)) {
        throw new Error("Cannot delete files/directories outside the current working directory. Can be overridden with the `force` option.");
      }
    }
    function normalizePatterns(patterns) {
      patterns = Array.isArray(patterns) ? patterns : [patterns];
      patterns = patterns.map((pattern) => {
        if (process.platform === "win32" && isGlob(pattern) === false) {
          return slash(pattern);
        }
        return pattern;
      });
      return patterns;
    }
    module2.exports = async (patterns, { force, dryRun, cwd = process.cwd(), onProgress = () => {
    }, ...options2 } = {}) => {
      options2 = {
        expandDirectories: false,
        onlyFiles: false,
        followSymbolicLinks: false,
        cwd,
        ...options2
      };
      patterns = normalizePatterns(patterns);
      const files = (await globby3(patterns, options2)).sort((a3, b6) => b6.localeCompare(a3));
      if (files.length === 0) {
        onProgress({
          totalCount: 0,
          deletedCount: 0,
          percent: 1
        });
      }
      let deletedCount = 0;
      const mapper = async (file2) => {
        file2 = path39.resolve(cwd, file2);
        if (!force) {
          safeCheck(file2, cwd);
        }
        if (!dryRun) {
          await rimrafP(file2, rimrafOptions);
        }
        deletedCount += 1;
        onProgress({
          totalCount: files.length,
          deletedCount,
          percent: deletedCount / files.length
        });
        return file2;
      };
      const removedFiles = await pMap2(files, mapper, options2);
      removedFiles.sort((a3, b6) => a3.localeCompare(b6));
      return removedFiles;
    };
    module2.exports.sync = (patterns, { force, dryRun, cwd = process.cwd(), ...options2 } = {}) => {
      options2 = {
        expandDirectories: false,
        onlyFiles: false,
        followSymbolicLinks: false,
        cwd,
        ...options2
      };
      patterns = normalizePatterns(patterns);
      const files = globby3.sync(patterns, options2).sort((a3, b6) => b6.localeCompare(a3));
      const removedFiles = files.map((file2) => {
        file2 = path39.resolve(cwd, file2);
        if (!force) {
          safeCheck(file2, cwd);
        }
        if (!dryRun) {
          rimraf3.sync(file2, rimrafOptions);
        }
        return file2;
      });
      removedFiles.sort((a3, b6) => a3.localeCompare(b6));
      return removedFiles;
    };
  }
});

// ../../node_modules/.pnpm/tempy@1.0.1/node_modules/tempy/index.js
var require_tempy = __commonJS({
  "../../node_modules/.pnpm/tempy@1.0.1/node_modules/tempy/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var path39 = require("path");
    var uniqueString = require_unique_string();
    var tempDir3 = require_temp_dir();
    var isStream2 = require_is_stream();
    var del3 = require_del();
    var stream4 = require("stream");
    var { promisify: promisify9 } = require("util");
    var pipeline = promisify9(stream4.pipeline);
    var { writeFile: writeFile3 } = fs42.promises;
    var getPath = (prefix = "") => path39.join(tempDir3, prefix + uniqueString());
    var writeStream = async (filePath, data) => pipeline(data, fs42.createWriteStream(filePath));
    var createTask = (tempyFunction, { extraArguments = 0 } = {}) => async (...arguments_) => {
      const [callback, options2] = arguments_.slice(extraArguments);
      const result = await tempyFunction(...arguments_.slice(0, extraArguments), options2);
      try {
        return await callback(result);
      } finally {
        await del3(result, { force: true });
      }
    };
    module2.exports.file = (options2) => {
      options2 = {
        ...options2
      };
      if (options2.name) {
        if (options2.extension !== void 0 && options2.extension !== null) {
          throw new Error("The `name` and `extension` options are mutually exclusive");
        }
        return path39.join(module2.exports.directory(), options2.name);
      }
      return getPath() + (options2.extension === void 0 || options2.extension === null ? "" : "." + options2.extension.replace(/^\./, ""));
    };
    module2.exports.file.task = createTask(module2.exports.file);
    module2.exports.directory = ({ prefix = "" } = {}) => {
      const directory = getPath(prefix);
      fs42.mkdirSync(directory);
      return directory;
    };
    module2.exports.directory.task = createTask(module2.exports.directory);
    module2.exports.write = async (data, options2) => {
      const filename = module2.exports.file(options2);
      const write = isStream2(data) ? writeStream : writeFile3;
      await write(filename, data);
      return filename;
    };
    module2.exports.write.task = createTask(module2.exports.write, { extraArguments: 1 });
    module2.exports.writeSync = (data, options2) => {
      const filename = module2.exports.file(options2);
      fs42.writeFileSync(filename, data);
      return filename;
    };
    Object.defineProperty(module2.exports, "root", {
      get() {
        return tempDir3;
      }
    });
  }
});

// ../get-platform/src/test-utils/jestContext.ts
function factory(ctx) {
  return {
    add(contextContributor) {
      const newCtx = contextContributor(ctx);
      return factory(newCtx);
    },
    assemble() {
      return ctx;
    }
  };
}
var import_execa, import_fs_jetpack, import_path4, import_tempy, jestContext, jestConsoleContext, jestProcessContext;
var init_jestContext = __esm({
  "../get-platform/src/test-utils/jestContext.ts"() {
    "use strict";
    import_execa = __toESM(require_execa());
    import_fs_jetpack = __toESM(require_main2());
    import_path4 = __toESM(require("path"));
    import_tempy = __toESM(require_tempy());
    jestContext = {
      new: function(ctx = {}) {
        const c4 = ctx;
        beforeEach(() => {
          const originalCwd = process.cwd();
          c4.tmpDir = import_tempy.default.directory();
          c4.fs = import_fs_jetpack.default.cwd(c4.tmpDir);
          c4.fixture = (name) => {
            c4.fs.copy(import_path4.default.join(originalCwd, "src", "__tests__", "fixtures", name), ".", {
              overwrite: true
            });
            c4.fs.symlink(import_path4.default.join(originalCwd, "..", "client"), import_path4.default.join(c4.fs.cwd(), "node_modules", "@prisma", "client"));
          };
          c4.mocked = c4.mocked ?? {
            cwd: process.cwd()
          };
          c4.cli = (...input) => {
            return import_execa.default.node(import_path4.default.join(originalCwd, "../cli/build/index.js"), input, {
              cwd: c4.fs.cwd(),
              stdio: "pipe",
              all: true
            });
          };
          process.chdir(c4.tmpDir);
        });
        afterEach(() => {
          process.chdir(c4.mocked.cwd);
        });
        return factory(ctx);
      }
    };
    jestConsoleContext = () => (c4) => {
      const ctx = c4;
      beforeEach(() => {
        ctx.mocked["console.error"] = jest.spyOn(console, "error").mockImplementation(() => {
        });
        ctx.mocked["console.log"] = jest.spyOn(console, "log").mockImplementation(() => {
        });
        ctx.mocked["console.info"] = jest.spyOn(console, "info").mockImplementation(() => {
        });
        ctx.mocked["console.warn"] = jest.spyOn(console, "warn").mockImplementation(() => {
        });
      });
      afterEach(() => {
        ctx.mocked["console.error"].mockRestore();
        ctx.mocked["console.log"].mockRestore();
        ctx.mocked["console.info"].mockRestore();
        ctx.mocked["console.warn"].mockRestore();
      });
      return ctx;
    };
    jestProcessContext = () => (c4) => {
      const ctx = c4;
      beforeEach(() => {
        ctx.mocked["process.stderr.write"] = jest.spyOn(process.stderr, "write").mockImplementation(() => true);
        ctx.mocked["process.stdout.write"] = jest.spyOn(process.stdout, "write").mockImplementation(() => true);
      });
      afterEach(() => {
        ctx.mocked["process.stderr.write"].mockRestore();
        ctx.mocked["process.stdout.write"].mockRestore();
      });
      return ctx;
    };
  }
});

// ../get-platform/src/test-utils/index.ts
var init_test_utils = __esm({
  "../get-platform/src/test-utils/index.ts"() {
    "use strict";
    init_jestContext();
  }
});

// ../get-platform/src/index.ts
var src_exports2 = {};
__export(src_exports2, {
  assertNodeAPISupported: () => assertNodeAPISupported,
  getNodeAPIName: () => getNodeAPIName2,
  getPlatform: () => getPlatform2,
  getPlatformInfo: () => getPlatformInfo,
  getos: () => getos,
  jestConsoleContext: () => jestConsoleContext,
  jestContext: () => jestContext,
  jestProcessContext: () => jestProcessContext,
  link: () => link2,
  platforms: () => platforms
});
var init_src2 = __esm({
  "../get-platform/src/index.ts"() {
    "use strict";
    init_assertNodeAPISupported();
    init_getNodeAPIName();
    init_getPlatform();
    init_link();
    init_platforms();
    init_test_utils();
  }
});

// ../../node_modules/.pnpm/yocto-queue@0.1.0/node_modules/yocto-queue/index.js
var require_yocto_queue = __commonJS({
  "../../node_modules/.pnpm/yocto-queue@0.1.0/node_modules/yocto-queue/index.js"(exports2, module2) {
    "use strict";
    var Node2 = class {
      /// value;
      /// next;
      constructor(value) {
        this.value = value;
        this.next = void 0;
      }
    };
    var Queue2 = class {
      // TODO: Use private class fields when targeting Node.js 12.
      // #_head;
      // #_tail;
      // #_size;
      constructor() {
        this.clear();
      }
      enqueue(value) {
        const node = new Node2(value);
        if (this._head) {
          this._tail.next = node;
          this._tail = node;
        } else {
          this._head = node;
          this._tail = node;
        }
        this._size++;
      }
      dequeue() {
        const current = this._head;
        if (!current) {
          return;
        }
        this._head = this._head.next;
        this._size--;
        return current.value;
      }
      clear() {
        this._head = void 0;
        this._tail = void 0;
        this._size = 0;
      }
      get size() {
        return this._size;
      }
      *[Symbol.iterator]() {
        let current = this._head;
        while (current) {
          yield current.value;
          current = current.next;
        }
      }
    };
    module2.exports = Queue2;
  }
});

// ../../node_modules/.pnpm/p-limit@3.1.0/node_modules/p-limit/index.js
var require_p_limit = __commonJS({
  "../../node_modules/.pnpm/p-limit@3.1.0/node_modules/p-limit/index.js"(exports2, module2) {
    "use strict";
    var Queue2 = require_yocto_queue();
    var pLimit2 = (concurrency) => {
      if (!((Number.isInteger(concurrency) || concurrency === Infinity) && concurrency > 0)) {
        throw new TypeError("Expected `concurrency` to be a number from 1 and up");
      }
      const queue2 = new Queue2();
      let activeCount = 0;
      const next = () => {
        activeCount--;
        if (queue2.size > 0) {
          queue2.dequeue()();
        }
      };
      const run2 = async (fn2, resolve3, ...args3) => {
        activeCount++;
        const result = (async () => fn2(...args3))();
        resolve3(result);
        try {
          await result;
        } catch {
        }
        next();
      };
      const enqueue = (fn2, resolve3, ...args3) => {
        queue2.enqueue(run2.bind(null, fn2, resolve3, ...args3));
        (async () => {
          await Promise.resolve();
          if (activeCount < concurrency && queue2.size > 0) {
            queue2.dequeue()();
          }
        })();
      };
      const generator = (fn2, ...args3) => new Promise((resolve3) => {
        enqueue(fn2, resolve3, ...args3);
      });
      Object.defineProperties(generator, {
        activeCount: {
          get: () => activeCount
        },
        pendingCount: {
          get: () => queue2.size
        },
        clearQueue: {
          value: () => {
            queue2.clear();
          }
        }
      });
      return generator;
    };
    module2.exports = pLimit2;
  }
});

// ../../node_modules/.pnpm/p-locate@5.0.0/node_modules/p-locate/index.js
var require_p_locate = __commonJS({
  "../../node_modules/.pnpm/p-locate@5.0.0/node_modules/p-locate/index.js"(exports2, module2) {
    "use strict";
    var pLimit2 = require_p_limit();
    var EndError2 = class extends Error {
      constructor(value) {
        super();
        this.value = value;
      }
    };
    var testElement2 = async (element, tester) => tester(await element);
    var finder2 = async (element) => {
      const values = await Promise.all(element);
      if (values[1] === true) {
        throw new EndError2(values[0]);
      }
      return false;
    };
    var pLocate2 = async (iterable, tester, options2) => {
      options2 = {
        concurrency: Infinity,
        preserveOrder: true,
        ...options2
      };
      const limit = pLimit2(options2.concurrency);
      const items = [...iterable].map((element) => [element, limit(testElement2, element, tester)]);
      const checkLimit = pLimit2(options2.preserveOrder ? 1 : Infinity);
      try {
        await Promise.all(items.map((element) => checkLimit(finder2, element)));
      } catch (error2) {
        if (error2 instanceof EndError2) {
          return error2.value;
        }
        throw error2;
      }
    };
    module2.exports = pLocate2;
  }
});

// ../../node_modules/.pnpm/locate-path@6.0.0/node_modules/locate-path/index.js
var require_locate_path = __commonJS({
  "../../node_modules/.pnpm/locate-path@6.0.0/node_modules/locate-path/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var fs42 = require("fs");
    var { promisify: promisify9 } = require("util");
    var pLocate2 = require_p_locate();
    var fsStat = promisify9(fs42.stat);
    var fsLStat = promisify9(fs42.lstat);
    var typeMappings2 = {
      directory: "isDirectory",
      file: "isFile"
    };
    function checkType2({ type }) {
      if (type in typeMappings2) {
        return;
      }
      throw new Error(`Invalid type specified: ${type}`);
    }
    var matchType2 = (type, stat) => type === void 0 || stat[typeMappings2[type]]();
    module2.exports = async (paths2, options2) => {
      options2 = {
        cwd: process.cwd(),
        type: "file",
        allowSymlinks: true,
        ...options2
      };
      checkType2(options2);
      const statFn = options2.allowSymlinks ? fsStat : fsLStat;
      return pLocate2(paths2, async (path_) => {
        try {
          const stat = await statFn(path39.resolve(options2.cwd, path_));
          return matchType2(options2.type, stat);
        } catch {
          return false;
        }
      }, options2);
    };
    module2.exports.sync = (paths2, options2) => {
      options2 = {
        cwd: process.cwd(),
        allowSymlinks: true,
        type: "file",
        ...options2
      };
      checkType2(options2);
      const statFn = options2.allowSymlinks ? fs42.statSync : fs42.lstatSync;
      for (const path_ of paths2) {
        try {
          const stat = statFn(path39.resolve(options2.cwd, path_));
          if (matchType2(options2.type, stat)) {
            return path_;
          }
        } catch {
        }
      }
    };
  }
});

// ../../node_modules/.pnpm/path-exists@4.0.0/node_modules/path-exists/index.js
var require_path_exists = __commonJS({
  "../../node_modules/.pnpm/path-exists@4.0.0/node_modules/path-exists/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var { promisify: promisify9 } = require("util");
    var pAccess = promisify9(fs42.access);
    module2.exports = async (path39) => {
      try {
        await pAccess(path39);
        return true;
      } catch (_3) {
        return false;
      }
    };
    module2.exports.sync = (path39) => {
      try {
        fs42.accessSync(path39);
        return true;
      } catch (_3) {
        return false;
      }
    };
  }
});

// ../../node_modules/.pnpm/find-up@5.0.0/node_modules/find-up/index.js
var require_find_up = __commonJS({
  "../../node_modules/.pnpm/find-up@5.0.0/node_modules/find-up/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var locatePath2 = require_locate_path();
    var pathExists = require_path_exists();
    var stop = Symbol("findUp.stop");
    module2.exports = async (name, options2 = {}) => {
      let directory = path39.resolve(options2.cwd || "");
      const { root } = path39.parse(directory);
      const paths2 = [].concat(name);
      const runMatcher = async (locateOptions) => {
        if (typeof name !== "function") {
          return locatePath2(paths2, locateOptions);
        }
        const foundPath = await name(locateOptions.cwd);
        if (typeof foundPath === "string") {
          return locatePath2([foundPath], locateOptions);
        }
        return foundPath;
      };
      while (true) {
        const foundPath = await runMatcher({ ...options2, cwd: directory });
        if (foundPath === stop) {
          return;
        }
        if (foundPath) {
          return path39.resolve(directory, foundPath);
        }
        if (directory === root) {
          return;
        }
        directory = path39.dirname(directory);
      }
    };
    module2.exports.sync = (name, options2 = {}) => {
      let directory = path39.resolve(options2.cwd || "");
      const { root } = path39.parse(directory);
      const paths2 = [].concat(name);
      const runMatcher = (locateOptions) => {
        if (typeof name !== "function") {
          return locatePath2.sync(paths2, locateOptions);
        }
        const foundPath = name(locateOptions.cwd);
        if (typeof foundPath === "string") {
          return locatePath2.sync([foundPath], locateOptions);
        }
        return foundPath;
      };
      while (true) {
        const foundPath = runMatcher({ ...options2, cwd: directory });
        if (foundPath === stop) {
          return;
        }
        if (foundPath) {
          return path39.resolve(directory, foundPath);
        }
        if (directory === root) {
          return;
        }
        directory = path39.dirname(directory);
      }
    };
    module2.exports.exists = pathExists;
    module2.exports.sync.exists = pathExists.sync;
    module2.exports.stop = stop;
  }
});

// ../../node_modules/.pnpm/p-try@2.2.0/node_modules/p-try/index.js
var require_p_try = __commonJS({
  "../../node_modules/.pnpm/p-try@2.2.0/node_modules/p-try/index.js"(exports2, module2) {
    "use strict";
    var pTry = (fn2, ...arguments_) => new Promise((resolve3) => {
      resolve3(fn2(...arguments_));
    });
    module2.exports = pTry;
    module2.exports.default = pTry;
  }
});

// ../../node_modules/.pnpm/p-limit@2.3.0/node_modules/p-limit/index.js
var require_p_limit2 = __commonJS({
  "../../node_modules/.pnpm/p-limit@2.3.0/node_modules/p-limit/index.js"(exports2, module2) {
    "use strict";
    var pTry = require_p_try();
    var pLimit2 = (concurrency) => {
      if (!((Number.isInteger(concurrency) || concurrency === Infinity) && concurrency > 0)) {
        return Promise.reject(new TypeError("Expected `concurrency` to be a number from 1 and up"));
      }
      const queue2 = [];
      let activeCount = 0;
      const next = () => {
        activeCount--;
        if (queue2.length > 0) {
          queue2.shift()();
        }
      };
      const run2 = (fn2, resolve3, ...args3) => {
        activeCount++;
        const result = pTry(fn2, ...args3);
        resolve3(result);
        result.then(next, next);
      };
      const enqueue = (fn2, resolve3, ...args3) => {
        if (activeCount < concurrency) {
          run2(fn2, resolve3, ...args3);
        } else {
          queue2.push(run2.bind(null, fn2, resolve3, ...args3));
        }
      };
      const generator = (fn2, ...args3) => new Promise((resolve3) => enqueue(fn2, resolve3, ...args3));
      Object.defineProperties(generator, {
        activeCount: {
          get: () => activeCount
        },
        pendingCount: {
          get: () => queue2.length
        },
        clearQueue: {
          value: () => {
            queue2.length = 0;
          }
        }
      });
      return generator;
    };
    module2.exports = pLimit2;
    module2.exports.default = pLimit2;
  }
});

// ../../node_modules/.pnpm/p-locate@4.1.0/node_modules/p-locate/index.js
var require_p_locate2 = __commonJS({
  "../../node_modules/.pnpm/p-locate@4.1.0/node_modules/p-locate/index.js"(exports2, module2) {
    "use strict";
    var pLimit2 = require_p_limit2();
    var EndError2 = class extends Error {
      constructor(value) {
        super();
        this.value = value;
      }
    };
    var testElement2 = async (element, tester) => tester(await element);
    var finder2 = async (element) => {
      const values = await Promise.all(element);
      if (values[1] === true) {
        throw new EndError2(values[0]);
      }
      return false;
    };
    var pLocate2 = async (iterable, tester, options2) => {
      options2 = {
        concurrency: Infinity,
        preserveOrder: true,
        ...options2
      };
      const limit = pLimit2(options2.concurrency);
      const items = [...iterable].map((element) => [element, limit(testElement2, element, tester)]);
      const checkLimit = pLimit2(options2.preserveOrder ? 1 : Infinity);
      try {
        await Promise.all(items.map((element) => checkLimit(finder2, element)));
      } catch (error2) {
        if (error2 instanceof EndError2) {
          return error2.value;
        }
        throw error2;
      }
    };
    module2.exports = pLocate2;
    module2.exports.default = pLocate2;
  }
});

// ../../node_modules/.pnpm/locate-path@5.0.0/node_modules/locate-path/index.js
var require_locate_path2 = __commonJS({
  "../../node_modules/.pnpm/locate-path@5.0.0/node_modules/locate-path/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var fs42 = require("fs");
    var { promisify: promisify9 } = require("util");
    var pLocate2 = require_p_locate2();
    var fsStat = promisify9(fs42.stat);
    var fsLStat = promisify9(fs42.lstat);
    var typeMappings2 = {
      directory: "isDirectory",
      file: "isFile"
    };
    function checkType2({ type }) {
      if (type in typeMappings2) {
        return;
      }
      throw new Error(`Invalid type specified: ${type}`);
    }
    var matchType2 = (type, stat) => type === void 0 || stat[typeMappings2[type]]();
    module2.exports = async (paths2, options2) => {
      options2 = {
        cwd: process.cwd(),
        type: "file",
        allowSymlinks: true,
        ...options2
      };
      checkType2(options2);
      const statFn = options2.allowSymlinks ? fsStat : fsLStat;
      return pLocate2(paths2, async (path_) => {
        try {
          const stat = await statFn(path39.resolve(options2.cwd, path_));
          return matchType2(options2.type, stat);
        } catch (_3) {
          return false;
        }
      }, options2);
    };
    module2.exports.sync = (paths2, options2) => {
      options2 = {
        cwd: process.cwd(),
        allowSymlinks: true,
        type: "file",
        ...options2
      };
      checkType2(options2);
      const statFn = options2.allowSymlinks ? fs42.statSync : fs42.lstatSync;
      for (const path_ of paths2) {
        try {
          const stat = statFn(path39.resolve(options2.cwd, path_));
          if (matchType2(options2.type, stat)) {
            return path_;
          }
        } catch (_3) {
        }
      }
    };
  }
});

// ../../node_modules/.pnpm/find-up@4.1.0/node_modules/find-up/index.js
var require_find_up2 = __commonJS({
  "../../node_modules/.pnpm/find-up@4.1.0/node_modules/find-up/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var locatePath2 = require_locate_path2();
    var pathExists = require_path_exists();
    var stop = Symbol("findUp.stop");
    module2.exports = async (name, options2 = {}) => {
      let directory = path39.resolve(options2.cwd || "");
      const { root } = path39.parse(directory);
      const paths2 = [].concat(name);
      const runMatcher = async (locateOptions) => {
        if (typeof name !== "function") {
          return locatePath2(paths2, locateOptions);
        }
        const foundPath = await name(locateOptions.cwd);
        if (typeof foundPath === "string") {
          return locatePath2([foundPath], locateOptions);
        }
        return foundPath;
      };
      while (true) {
        const foundPath = await runMatcher({ ...options2, cwd: directory });
        if (foundPath === stop) {
          return;
        }
        if (foundPath) {
          return path39.resolve(directory, foundPath);
        }
        if (directory === root) {
          return;
        }
        directory = path39.dirname(directory);
      }
    };
    module2.exports.sync = (name, options2 = {}) => {
      let directory = path39.resolve(options2.cwd || "");
      const { root } = path39.parse(directory);
      const paths2 = [].concat(name);
      const runMatcher = (locateOptions) => {
        if (typeof name !== "function") {
          return locatePath2.sync(paths2, locateOptions);
        }
        const foundPath = name(locateOptions.cwd);
        if (typeof foundPath === "string") {
          return locatePath2.sync([foundPath], locateOptions);
        }
        return foundPath;
      };
      while (true) {
        const foundPath = runMatcher({ ...options2, cwd: directory });
        if (foundPath === stop) {
          return;
        }
        if (foundPath) {
          return path39.resolve(directory, foundPath);
        }
        if (directory === root) {
          return;
        }
        directory = path39.dirname(directory);
      }
    };
    module2.exports.exists = pathExists;
    module2.exports.sync.exists = pathExists.sync;
    module2.exports.stop = stop;
  }
});

// ../../node_modules/.pnpm/is-arrayish@0.2.1/node_modules/is-arrayish/index.js
var require_is_arrayish = __commonJS({
  "../../node_modules/.pnpm/is-arrayish@0.2.1/node_modules/is-arrayish/index.js"(exports2, module2) {
    "use strict";
    module2.exports = function isArrayish(obj) {
      if (!obj) {
        return false;
      }
      return obj instanceof Array || Array.isArray(obj) || obj.length >= 0 && obj.splice instanceof Function;
    };
  }
});

// ../../node_modules/.pnpm/error-ex@1.3.2/node_modules/error-ex/index.js
var require_error_ex = __commonJS({
  "../../node_modules/.pnpm/error-ex@1.3.2/node_modules/error-ex/index.js"(exports2, module2) {
    "use strict";
    var util4 = require("util");
    var isArrayish = require_is_arrayish();
    var errorEx = function errorEx2(name, properties) {
      if (!name || name.constructor !== String) {
        properties = name || {};
        name = Error.name;
      }
      var errorExError = function ErrorEXError(message2) {
        if (!this) {
          return new ErrorEXError(message2);
        }
        message2 = message2 instanceof Error ? message2.message : message2 || this.message;
        Error.call(this, message2);
        Error.captureStackTrace(this, errorExError);
        this.name = name;
        Object.defineProperty(this, "message", {
          configurable: true,
          enumerable: false,
          get: function() {
            var newMessage = message2.split(/\r?\n/g);
            for (var key in properties) {
              if (!properties.hasOwnProperty(key)) {
                continue;
              }
              var modifier = properties[key];
              if ("message" in modifier) {
                newMessage = modifier.message(this[key], newMessage) || newMessage;
                if (!isArrayish(newMessage)) {
                  newMessage = [newMessage];
                }
              }
            }
            return newMessage.join("\n");
          },
          set: function(v2) {
            message2 = v2;
          }
        });
        var overwrittenStack = null;
        var stackDescriptor = Object.getOwnPropertyDescriptor(this, "stack");
        var stackGetter = stackDescriptor.get;
        var stackValue = stackDescriptor.value;
        delete stackDescriptor.value;
        delete stackDescriptor.writable;
        stackDescriptor.set = function(newstack) {
          overwrittenStack = newstack;
        };
        stackDescriptor.get = function() {
          var stack2 = (overwrittenStack || (stackGetter ? stackGetter.call(this) : stackValue)).split(/\r?\n+/g);
          if (!overwrittenStack) {
            stack2[0] = this.name + ": " + this.message;
          }
          var lineCount = 1;
          for (var key in properties) {
            if (!properties.hasOwnProperty(key)) {
              continue;
            }
            var modifier = properties[key];
            if ("line" in modifier) {
              var line = modifier.line(this[key]);
              if (line) {
                stack2.splice(lineCount++, 0, "    " + line);
              }
            }
            if ("stack" in modifier) {
              modifier.stack(this[key], stack2);
            }
          }
          return stack2.join("\n");
        };
        Object.defineProperty(this, "stack", stackDescriptor);
      };
      if (Object.setPrototypeOf) {
        Object.setPrototypeOf(errorExError.prototype, Error.prototype);
        Object.setPrototypeOf(errorExError, Error);
      } else {
        util4.inherits(errorExError, Error);
      }
      return errorExError;
    };
    errorEx.append = function(str, def) {
      return {
        message: function(v2, message2) {
          v2 = v2 || def;
          if (v2) {
            message2[0] += " " + str.replace("%s", v2.toString());
          }
          return message2;
        }
      };
    };
    errorEx.line = function(str, def) {
      return {
        line: function(v2) {
          v2 = v2 || def;
          if (v2) {
            return str.replace("%s", v2.toString());
          }
          return null;
        }
      };
    };
    module2.exports = errorEx;
  }
});

// ../../node_modules/.pnpm/json-parse-even-better-errors@2.3.1/node_modules/json-parse-even-better-errors/index.js
var require_json_parse_even_better_errors = __commonJS({
  "../../node_modules/.pnpm/json-parse-even-better-errors@2.3.1/node_modules/json-parse-even-better-errors/index.js"(exports2, module2) {
    "use strict";
    var hexify = (char) => {
      const h3 = char.charCodeAt(0).toString(16).toUpperCase();
      return "0x" + (h3.length % 2 ? "0" : "") + h3;
    };
    var parseError = (e3, txt, context) => {
      if (!txt) {
        return {
          message: e3.message + " while parsing empty string",
          position: 0
        };
      }
      const badToken = e3.message.match(/^Unexpected token (.) .*position\s+(\d+)/i);
      const errIdx = badToken ? +badToken[2] : e3.message.match(/^Unexpected end of JSON.*/i) ? txt.length - 1 : null;
      const msg = badToken ? e3.message.replace(/^Unexpected token ./, `Unexpected token ${JSON.stringify(badToken[1])} (${hexify(badToken[1])})`) : e3.message;
      if (errIdx !== null && errIdx !== void 0) {
        const start = errIdx <= context ? 0 : errIdx - context;
        const end = errIdx + context >= txt.length ? txt.length : errIdx + context;
        const slice = (start === 0 ? "" : "...") + txt.slice(start, end) + (end === txt.length ? "" : "...");
        const near = txt === slice ? "" : "near ";
        return {
          message: msg + ` while parsing ${near}${JSON.stringify(slice)}`,
          position: errIdx
        };
      } else {
        return {
          message: msg + ` while parsing '${txt.slice(0, context * 2)}'`,
          position: 0
        };
      }
    };
    var JSONParseError = class extends SyntaxError {
      constructor(er, txt, context, caller) {
        context = context || 20;
        const metadata = parseError(er, txt, context);
        super(metadata.message);
        Object.assign(this, metadata);
        this.code = "EJSONPARSE";
        this.systemError = er;
        Error.captureStackTrace(this, caller || this.constructor);
      }
      get name() {
        return this.constructor.name;
      }
      set name(n2) {
      }
      get [Symbol.toStringTag]() {
        return this.constructor.name;
      }
    };
    var kIndent = Symbol.for("indent");
    var kNewline = Symbol.for("newline");
    var formatRE = /^\s*[{\[]((?:\r?\n)+)([\s\t]*)/;
    var emptyRE = /^(?:\{\}|\[\])((?:\r?\n)+)?$/;
    var parseJson = (txt, reviver, context) => {
      const parseText = stripBOM(txt);
      context = context || 20;
      try {
        const [, newline = "\n", indent4 = "  "] = parseText.match(emptyRE) || parseText.match(formatRE) || [, "", ""];
        const result = JSON.parse(parseText, reviver);
        if (result && typeof result === "object") {
          result[kNewline] = newline;
          result[kIndent] = indent4;
        }
        return result;
      } catch (e3) {
        if (typeof txt !== "string" && !Buffer.isBuffer(txt)) {
          const isEmptyArray = Array.isArray(txt) && txt.length === 0;
          throw Object.assign(new TypeError(
            `Cannot parse ${isEmptyArray ? "an empty array" : String(txt)}`
          ), {
            code: "EJSONPARSE",
            systemError: e3
          });
        }
        throw new JSONParseError(e3, parseText, context, parseJson);
      }
    };
    var stripBOM = (txt) => String(txt).replace(/^\uFEFF/, "");
    module2.exports = parseJson;
    parseJson.JSONParseError = JSONParseError;
    parseJson.noExceptions = (txt, reviver) => {
      try {
        return JSON.parse(stripBOM(txt), reviver);
      } catch (e3) {
      }
    };
  }
});

// ../../node_modules/.pnpm/lines-and-columns@1.2.4/node_modules/lines-and-columns/build/index.js
var require_build = __commonJS({
  "../../node_modules/.pnpm/lines-and-columns@1.2.4/node_modules/lines-and-columns/build/index.js"(exports2) {
    "use strict";
    exports2.__esModule = true;
    exports2.LinesAndColumns = void 0;
    var LF = "\n";
    var CR = "\r";
    var LinesAndColumns = (
      /** @class */
      function() {
        function LinesAndColumns2(string) {
          this.string = string;
          var offsets = [0];
          for (var offset = 0; offset < string.length; ) {
            switch (string[offset]) {
              case LF:
                offset += LF.length;
                offsets.push(offset);
                break;
              case CR:
                offset += CR.length;
                if (string[offset] === LF) {
                  offset += LF.length;
                }
                offsets.push(offset);
                break;
              default:
                offset++;
                break;
            }
          }
          this.offsets = offsets;
        }
        LinesAndColumns2.prototype.locationForIndex = function(index2) {
          if (index2 < 0 || index2 > this.string.length) {
            return null;
          }
          var line = 0;
          var offsets = this.offsets;
          while (offsets[line + 1] <= index2) {
            line++;
          }
          var column = index2 - offsets[line];
          return { line, column };
        };
        LinesAndColumns2.prototype.indexForLocation = function(location) {
          var line = location.line, column = location.column;
          if (line < 0 || line >= this.offsets.length) {
            return null;
          }
          if (column < 0 || column > this.lengthOfLine(line)) {
            return null;
          }
          return this.offsets[line] + column;
        };
        LinesAndColumns2.prototype.lengthOfLine = function(line) {
          var offset = this.offsets[line];
          var nextOffset = line === this.offsets.length - 1 ? this.string.length : this.offsets[line + 1];
          return nextOffset - offset;
        };
        return LinesAndColumns2;
      }()
    );
    exports2.LinesAndColumns = LinesAndColumns;
    exports2["default"] = LinesAndColumns;
  }
});

// ../../node_modules/.pnpm/js-tokens@4.0.0/node_modules/js-tokens/index.js
var require_js_tokens = __commonJS({
  "../../node_modules/.pnpm/js-tokens@4.0.0/node_modules/js-tokens/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", {
      value: true
    });
    exports2.default = /((['"])(?:(?!\2|\\).|\\(?:\r\n|[\s\S]))*(\2)?|`(?:[^`\\$]|\\[\s\S]|\$(?!\{)|\$\{(?:[^{}]|\{[^}]*\}?)*\}?)*(`)?)|(\/\/.*)|(\/\*(?:[^*]|\*(?!\/))*(\*\/)?)|(\/(?!\*)(?:\[(?:(?![\]\\]).|\\.)*\]|(?![\/\]\\]).|\\.)+\/(?:(?!\s*(?:\b|[\u0080-\uFFFF$\\'"~({]|[+\-!](?!=)|\.?\d))|[gmiyus]{1,6}\b(?![\u0080-\uFFFF$\\]|\s*(?:[+\-*%&|^<>!=?({]|\/(?![\/*])))))|(0[xX][\da-fA-F]+|0[oO][0-7]+|0[bB][01]+|(?:\d*\.\d+|\d+\.?)(?:[eE][+-]?\d+)?)|((?!\d)(?:(?!\s)[$\w\u0080-\uFFFF]|\\u[\da-fA-F]{4}|\\u\{[\da-fA-F]+\})+)|(--|\+\+|&&|\|\||=>|\.{3}|(?:[+\-\/%&|^]|\*{1,2}|<{1,2}|>{1,3}|!=?|={1,2})=?|[?~.,:;[\](){}])|(\s+)|(^$|[\s\S])/g;
    exports2.matchToToken = function(match4) {
      var token = { type: "invalid", value: match4[0], closed: void 0 };
      if (match4[1])
        token.type = "string", token.closed = !!(match4[3] || match4[4]);
      else if (match4[5])
        token.type = "comment";
      else if (match4[6])
        token.type = "comment", token.closed = !!match4[7];
      else if (match4[8])
        token.type = "regex";
      else if (match4[9])
        token.type = "number";
      else if (match4[10])
        token.type = "name";
      else if (match4[11])
        token.type = "punctuator";
      else if (match4[12])
        token.type = "whitespace";
      return token;
    };
  }
});

// ../../node_modules/.pnpm/@babel+helper-validator-identifier@7.19.1/node_modules/@babel/helper-validator-identifier/lib/identifier.js
var require_identifier = __commonJS({
  "../../node_modules/.pnpm/@babel+helper-validator-identifier@7.19.1/node_modules/@babel/helper-validator-identifier/lib/identifier.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", {
      value: true
    });
    exports2.isIdentifierChar = isIdentifierChar;
    exports2.isIdentifierName = isIdentifierName;
    exports2.isIdentifierStart = isIdentifierStart;
    var nonASCIIidentifierStartChars = "\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D5F-\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1878\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u31A0-\u31BF\u31F0-\u31FF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC";
    var nonASCIIidentifierChars = "\u200C\u200D\xB7\u0300-\u036F\u0387\u0483-\u0487\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u0610-\u061A\u064B-\u0669\u0670\u06D6-\u06DC\u06DF-\u06E4\u06E7\u06E8\u06EA-\u06ED\u06F0-\u06F9\u0711\u0730-\u074A\u07A6-\u07B0\u07C0-\u07C9\u07EB-\u07F3\u07FD\u0816-\u0819\u081B-\u0823\u0825-\u0827\u0829-\u082D\u0859-\u085B\u0898-\u089F\u08CA-\u08E1\u08E3-\u0903\u093A-\u093C\u093E-\u094F\u0951-\u0957\u0962\u0963\u0966-\u096F\u0981-\u0983\u09BC\u09BE-\u09C4\u09C7\u09C8\u09CB-\u09CD\u09D7\u09E2\u09E3\u09E6-\u09EF\u09FE\u0A01-\u0A03\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A66-\u0A71\u0A75\u0A81-\u0A83\u0ABC\u0ABE-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AE2\u0AE3\u0AE6-\u0AEF\u0AFA-\u0AFF\u0B01-\u0B03\u0B3C\u0B3E-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B55-\u0B57\u0B62\u0B63\u0B66-\u0B6F\u0B82\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD7\u0BE6-\u0BEF\u0C00-\u0C04\u0C3C\u0C3E-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C62\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0CBC\u0CBE-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CE2\u0CE3\u0CE6-\u0CEF\u0CF3\u0D00-\u0D03\u0D3B\u0D3C\u0D3E-\u0D44\u0D46-\u0D48\u0D4A-\u0D4D\u0D57\u0D62\u0D63\u0D66-\u0D6F\u0D81-\u0D83\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E31\u0E34-\u0E3A\u0E47-\u0E4E\u0E50-\u0E59\u0EB1\u0EB4-\u0EBC\u0EC8-\u0ECE\u0ED0-\u0ED9\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E\u0F3F\u0F71-\u0F84\u0F86\u0F87\u0F8D-\u0F97\u0F99-\u0FBC\u0FC6\u102B-\u103E\u1040-\u1049\u1056-\u1059\u105E-\u1060\u1062-\u1064\u1067-\u106D\u1071-\u1074\u1082-\u108D\u108F-\u109D\u135D-\u135F\u1369-\u1371\u1712-\u1715\u1732-\u1734\u1752\u1753\u1772\u1773\u17B4-\u17D3\u17DD\u17E0-\u17E9\u180B-\u180D\u180F-\u1819\u18A9\u1920-\u192B\u1930-\u193B\u1946-\u194F\u19D0-\u19DA\u1A17-\u1A1B\u1A55-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AB0-\u1ABD\u1ABF-\u1ACE\u1B00-\u1B04\u1B34-\u1B44\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1B82\u1BA1-\u1BAD\u1BB0-\u1BB9\u1BE6-\u1BF3\u1C24-\u1C37\u1C40-\u1C49\u1C50-\u1C59\u1CD0-\u1CD2\u1CD4-\u1CE8\u1CED\u1CF4\u1CF7-\u1CF9\u1DC0-\u1DFF\u203F\u2040\u2054\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2CEF-\u2CF1\u2D7F\u2DE0-\u2DFF\u302A-\u302F\u3099\u309A\uA620-\uA629\uA66F\uA674-\uA67D\uA69E\uA69F\uA6F0\uA6F1\uA802\uA806\uA80B\uA823-\uA827\uA82C\uA880\uA881\uA8B4-\uA8C5\uA8D0-\uA8D9\uA8E0-\uA8F1\uA8FF-\uA909\uA926-\uA92D\uA947-\uA953\uA980-\uA983\uA9B3-\uA9C0\uA9D0-\uA9D9\uA9E5\uA9F0-\uA9F9\uAA29-\uAA36\uAA43\uAA4C\uAA4D\uAA50-\uAA59\uAA7B-\uAA7D\uAAB0\uAAB2-\uAAB4\uAAB7\uAAB8\uAABE\uAABF\uAAC1\uAAEB-\uAAEF\uAAF5\uAAF6\uABE3-\uABEA\uABEC\uABED\uABF0-\uABF9\uFB1E\uFE00-\uFE0F\uFE20-\uFE2F\uFE33\uFE34\uFE4D-\uFE4F\uFF10-\uFF19\uFF3F";
    var nonASCIIidentifierStart = new RegExp("[" + nonASCIIidentifierStartChars + "]");
    var nonASCIIidentifier = new RegExp("[" + nonASCIIidentifierStartChars + nonASCIIidentifierChars + "]");
    nonASCIIidentifierStartChars = nonASCIIidentifierChars = null;
    var astralIdentifierStartCodes = [0, 11, 2, 25, 2, 18, 2, 1, 2, 14, 3, 13, 35, 122, 70, 52, 268, 28, 4, 48, 48, 31, 14, 29, 6, 37, 11, 29, 3, 35, 5, 7, 2, 4, 43, 157, 19, 35, 5, 35, 5, 39, 9, 51, 13, 10, 2, 14, 2, 6, 2, 1, 2, 10, 2, 14, 2, 6, 2, 1, 68, 310, 10, 21, 11, 7, 25, 5, 2, 41, 2, 8, 70, 5, 3, 0, 2, 43, 2, 1, 4, 0, 3, 22, 11, 22, 10, 30, 66, 18, 2, 1, 11, 21, 11, 25, 71, 55, 7, 1, 65, 0, 16, 3, 2, 2, 2, 28, 43, 28, 4, 28, 36, 7, 2, 27, 28, 53, 11, 21, 11, 18, 14, 17, 111, 72, 56, 50, 14, 50, 14, 35, 349, 41, 7, 1, 79, 28, 11, 0, 9, 21, 43, 17, 47, 20, 28, 22, 13, 52, 58, 1, 3, 0, 14, 44, 33, 24, 27, 35, 30, 0, 3, 0, 9, 34, 4, 0, 13, 47, 15, 3, 22, 0, 2, 0, 36, 17, 2, 24, 20, 1, 64, 6, 2, 0, 2, 3, 2, 14, 2, 9, 8, 46, 39, 7, 3, 1, 3, 21, 2, 6, 2, 1, 2, 4, 4, 0, 19, 0, 13, 4, 159, 52, 19, 3, 21, 2, 31, 47, 21, 1, 2, 0, 185, 46, 42, 3, 37, 47, 21, 0, 60, 42, 14, 0, 72, 26, 38, 6, 186, 43, 117, 63, 32, 7, 3, 0, 3, 7, 2, 1, 2, 23, 16, 0, 2, 0, 95, 7, 3, 38, 17, 0, 2, 0, 29, 0, 11, 39, 8, 0, 22, 0, 12, 45, 20, 0, 19, 72, 264, 8, 2, 36, 18, 0, 50, 29, 113, 6, 2, 1, 2, 37, 22, 0, 26, 5, 2, 1, 2, 31, 15, 0, 328, 18, 16, 0, 2, 12, 2, 33, 125, 0, 80, 921, 103, 110, 18, 195, 2637, 96, 16, 1071, 18, 5, 4026, 582, 8634, 568, 8, 30, 18, 78, 18, 29, 19, 47, 17, 3, 32, 20, 6, 18, 689, 63, 129, 74, 6, 0, 67, 12, 65, 1, 2, 0, 29, 6135, 9, 1237, 43, 8, 8936, 3, 2, 6, 2, 1, 2, 290, 16, 0, 30, 2, 3, 0, 15, 3, 9, 395, 2309, 106, 6, 12, 4, 8, 8, 9, 5991, 84, 2, 70, 2, 1, 3, 0, 3, 1, 3, 3, 2, 11, 2, 0, 2, 6, 2, 64, 2, 3, 3, 7, 2, 6, 2, 27, 2, 3, 2, 4, 2, 0, 4, 6, 2, 339, 3, 24, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 7, 1845, 30, 7, 5, 262, 61, 147, 44, 11, 6, 17, 0, 322, 29, 19, 43, 485, 27, 757, 6, 2, 3, 2, 1, 2, 14, 2, 196, 60, 67, 8, 0, 1205, 3, 2, 26, 2, 1, 2, 0, 3, 0, 2, 9, 2, 3, 2, 0, 2, 0, 7, 0, 5, 0, 2, 0, 2, 0, 2, 2, 2, 1, 2, 0, 3, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 1, 2, 0, 3, 3, 2, 6, 2, 3, 2, 3, 2, 0, 2, 9, 2, 16, 6, 2, 2, 4, 2, 16, 4421, 42719, 33, 4153, 7, 221, 3, 5761, 15, 7472, 3104, 541, 1507, 4938, 6, 4191];
    var astralIdentifierCodes = [509, 0, 227, 0, 150, 4, 294, 9, 1368, 2, 2, 1, 6, 3, 41, 2, 5, 0, 166, 1, 574, 3, 9, 9, 370, 1, 81, 2, 71, 10, 50, 3, 123, 2, 54, 14, 32, 10, 3, 1, 11, 3, 46, 10, 8, 0, 46, 9, 7, 2, 37, 13, 2, 9, 6, 1, 45, 0, 13, 2, 49, 13, 9, 3, 2, 11, 83, 11, 7, 0, 3, 0, 158, 11, 6, 9, 7, 3, 56, 1, 2, 6, 3, 1, 3, 2, 10, 0, 11, 1, 3, 6, 4, 4, 193, 17, 10, 9, 5, 0, 82, 19, 13, 9, 214, 6, 3, 8, 28, 1, 83, 16, 16, 9, 82, 12, 9, 9, 84, 14, 5, 9, 243, 14, 166, 9, 71, 5, 2, 1, 3, 3, 2, 0, 2, 1, 13, 9, 120, 6, 3, 6, 4, 0, 29, 9, 41, 6, 2, 3, 9, 0, 10, 10, 47, 15, 406, 7, 2, 7, 17, 9, 57, 21, 2, 13, 123, 5, 4, 0, 2, 1, 2, 6, 2, 0, 9, 9, 49, 4, 2, 1, 2, 4, 9, 9, 330, 3, 10, 1, 2, 0, 49, 6, 4, 4, 14, 9, 5351, 0, 7, 14, 13835, 9, 87, 9, 39, 4, 60, 6, 26, 9, 1014, 0, 2, 54, 8, 3, 82, 0, 12, 1, 19628, 1, 4706, 45, 3, 22, 543, 4, 4, 5, 9, 7, 3, 6, 31, 3, 149, 2, 1418, 49, 513, 54, 5, 49, 9, 0, 15, 0, 23, 4, 2, 14, 1361, 6, 2, 16, 3, 6, 2, 1, 2, 4, 101, 0, 161, 6, 10, 9, 357, 0, 62, 13, 499, 13, 983, 6, 110, 6, 6, 9, 4759, 9, 787719, 239];
    function isInAstralSet(code, set) {
      let pos2 = 65536;
      for (let i4 = 0, length = set.length; i4 < length; i4 += 2) {
        pos2 += set[i4];
        if (pos2 > code)
          return false;
        pos2 += set[i4 + 1];
        if (pos2 >= code)
          return true;
      }
      return false;
    }
    function isIdentifierStart(code) {
      if (code < 65)
        return code === 36;
      if (code <= 90)
        return true;
      if (code < 97)
        return code === 95;
      if (code <= 122)
        return true;
      if (code <= 65535) {
        return code >= 170 && nonASCIIidentifierStart.test(String.fromCharCode(code));
      }
      return isInAstralSet(code, astralIdentifierStartCodes);
    }
    function isIdentifierChar(code) {
      if (code < 48)
        return code === 36;
      if (code < 58)
        return true;
      if (code < 65)
        return false;
      if (code <= 90)
        return true;
      if (code < 97)
        return code === 95;
      if (code <= 122)
        return true;
      if (code <= 65535) {
        return code >= 170 && nonASCIIidentifier.test(String.fromCharCode(code));
      }
      return isInAstralSet(code, astralIdentifierStartCodes) || isInAstralSet(code, astralIdentifierCodes);
    }
    function isIdentifierName(name) {
      let isFirst = true;
      for (let i4 = 0; i4 < name.length; i4++) {
        let cp3 = name.charCodeAt(i4);
        if ((cp3 & 64512) === 55296 && i4 + 1 < name.length) {
          const trail = name.charCodeAt(++i4);
          if ((trail & 64512) === 56320) {
            cp3 = 65536 + ((cp3 & 1023) << 10) + (trail & 1023);
          }
        }
        if (isFirst) {
          isFirst = false;
          if (!isIdentifierStart(cp3)) {
            return false;
          }
        } else if (!isIdentifierChar(cp3)) {
          return false;
        }
      }
      return !isFirst;
    }
  }
});

// ../../node_modules/.pnpm/@babel+helper-validator-identifier@7.19.1/node_modules/@babel/helper-validator-identifier/lib/keyword.js
var require_keyword = __commonJS({
  "../../node_modules/.pnpm/@babel+helper-validator-identifier@7.19.1/node_modules/@babel/helper-validator-identifier/lib/keyword.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", {
      value: true
    });
    exports2.isKeyword = isKeyword;
    exports2.isReservedWord = isReservedWord;
    exports2.isStrictBindOnlyReservedWord = isStrictBindOnlyReservedWord;
    exports2.isStrictBindReservedWord = isStrictBindReservedWord;
    exports2.isStrictReservedWord = isStrictReservedWord;
    var reservedWords = {
      keyword: ["break", "case", "catch", "continue", "debugger", "default", "do", "else", "finally", "for", "function", "if", "return", "switch", "throw", "try", "var", "const", "while", "with", "new", "this", "super", "class", "extends", "export", "import", "null", "true", "false", "in", "instanceof", "typeof", "void", "delete"],
      strict: ["implements", "interface", "let", "package", "private", "protected", "public", "static", "yield"],
      strictBind: ["eval", "arguments"]
    };
    var keywords = new Set(reservedWords.keyword);
    var reservedWordsStrictSet = new Set(reservedWords.strict);
    var reservedWordsStrictBindSet = new Set(reservedWords.strictBind);
    function isReservedWord(word, inModule) {
      return inModule && word === "await" || word === "enum";
    }
    function isStrictReservedWord(word, inModule) {
      return isReservedWord(word, inModule) || reservedWordsStrictSet.has(word);
    }
    function isStrictBindOnlyReservedWord(word) {
      return reservedWordsStrictBindSet.has(word);
    }
    function isStrictBindReservedWord(word, inModule) {
      return isStrictReservedWord(word, inModule) || isStrictBindOnlyReservedWord(word);
    }
    function isKeyword(word) {
      return keywords.has(word);
    }
  }
});

// ../../node_modules/.pnpm/@babel+helper-validator-identifier@7.19.1/node_modules/@babel/helper-validator-identifier/lib/index.js
var require_lib = __commonJS({
  "../../node_modules/.pnpm/@babel+helper-validator-identifier@7.19.1/node_modules/@babel/helper-validator-identifier/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", {
      value: true
    });
    Object.defineProperty(exports2, "isIdentifierChar", {
      enumerable: true,
      get: function() {
        return _identifier.isIdentifierChar;
      }
    });
    Object.defineProperty(exports2, "isIdentifierName", {
      enumerable: true,
      get: function() {
        return _identifier.isIdentifierName;
      }
    });
    Object.defineProperty(exports2, "isIdentifierStart", {
      enumerable: true,
      get: function() {
        return _identifier.isIdentifierStart;
      }
    });
    Object.defineProperty(exports2, "isKeyword", {
      enumerable: true,
      get: function() {
        return _keyword.isKeyword;
      }
    });
    Object.defineProperty(exports2, "isReservedWord", {
      enumerable: true,
      get: function() {
        return _keyword.isReservedWord;
      }
    });
    Object.defineProperty(exports2, "isStrictBindOnlyReservedWord", {
      enumerable: true,
      get: function() {
        return _keyword.isStrictBindOnlyReservedWord;
      }
    });
    Object.defineProperty(exports2, "isStrictBindReservedWord", {
      enumerable: true,
      get: function() {
        return _keyword.isStrictBindReservedWord;
      }
    });
    Object.defineProperty(exports2, "isStrictReservedWord", {
      enumerable: true,
      get: function() {
        return _keyword.isStrictReservedWord;
      }
    });
    var _identifier = require_identifier();
    var _keyword = require_keyword();
  }
});

// ../../node_modules/.pnpm/escape-string-regexp@1.0.5/node_modules/escape-string-regexp/index.js
var require_escape_string_regexp = __commonJS({
  "../../node_modules/.pnpm/escape-string-regexp@1.0.5/node_modules/escape-string-regexp/index.js"(exports2, module2) {
    "use strict";
    var matchOperatorsRe = /[|\\{}()[\]^$+*?.]/g;
    module2.exports = function(str) {
      if (typeof str !== "string") {
        throw new TypeError("Expected a string");
      }
      return str.replace(matchOperatorsRe, "\\$&");
    };
  }
});

// ../../node_modules/.pnpm/color-name@1.1.3/node_modules/color-name/index.js
var require_color_name = __commonJS({
  "../../node_modules/.pnpm/color-name@1.1.3/node_modules/color-name/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      "aliceblue": [240, 248, 255],
      "antiquewhite": [250, 235, 215],
      "aqua": [0, 255, 255],
      "aquamarine": [127, 255, 212],
      "azure": [240, 255, 255],
      "beige": [245, 245, 220],
      "bisque": [255, 228, 196],
      "black": [0, 0, 0],
      "blanchedalmond": [255, 235, 205],
      "blue": [0, 0, 255],
      "blueviolet": [138, 43, 226],
      "brown": [165, 42, 42],
      "burlywood": [222, 184, 135],
      "cadetblue": [95, 158, 160],
      "chartreuse": [127, 255, 0],
      "chocolate": [210, 105, 30],
      "coral": [255, 127, 80],
      "cornflowerblue": [100, 149, 237],
      "cornsilk": [255, 248, 220],
      "crimson": [220, 20, 60],
      "cyan": [0, 255, 255],
      "darkblue": [0, 0, 139],
      "darkcyan": [0, 139, 139],
      "darkgoldenrod": [184, 134, 11],
      "darkgray": [169, 169, 169],
      "darkgreen": [0, 100, 0],
      "darkgrey": [169, 169, 169],
      "darkkhaki": [189, 183, 107],
      "darkmagenta": [139, 0, 139],
      "darkolivegreen": [85, 107, 47],
      "darkorange": [255, 140, 0],
      "darkorchid": [153, 50, 204],
      "darkred": [139, 0, 0],
      "darksalmon": [233, 150, 122],
      "darkseagreen": [143, 188, 143],
      "darkslateblue": [72, 61, 139],
      "darkslategray": [47, 79, 79],
      "darkslategrey": [47, 79, 79],
      "darkturquoise": [0, 206, 209],
      "darkviolet": [148, 0, 211],
      "deeppink": [255, 20, 147],
      "deepskyblue": [0, 191, 255],
      "dimgray": [105, 105, 105],
      "dimgrey": [105, 105, 105],
      "dodgerblue": [30, 144, 255],
      "firebrick": [178, 34, 34],
      "floralwhite": [255, 250, 240],
      "forestgreen": [34, 139, 34],
      "fuchsia": [255, 0, 255],
      "gainsboro": [220, 220, 220],
      "ghostwhite": [248, 248, 255],
      "gold": [255, 215, 0],
      "goldenrod": [218, 165, 32],
      "gray": [128, 128, 128],
      "green": [0, 128, 0],
      "greenyellow": [173, 255, 47],
      "grey": [128, 128, 128],
      "honeydew": [240, 255, 240],
      "hotpink": [255, 105, 180],
      "indianred": [205, 92, 92],
      "indigo": [75, 0, 130],
      "ivory": [255, 255, 240],
      "khaki": [240, 230, 140],
      "lavender": [230, 230, 250],
      "lavenderblush": [255, 240, 245],
      "lawngreen": [124, 252, 0],
      "lemonchiffon": [255, 250, 205],
      "lightblue": [173, 216, 230],
      "lightcoral": [240, 128, 128],
      "lightcyan": [224, 255, 255],
      "lightgoldenrodyellow": [250, 250, 210],
      "lightgray": [211, 211, 211],
      "lightgreen": [144, 238, 144],
      "lightgrey": [211, 211, 211],
      "lightpink": [255, 182, 193],
      "lightsalmon": [255, 160, 122],
      "lightseagreen": [32, 178, 170],
      "lightskyblue": [135, 206, 250],
      "lightslategray": [119, 136, 153],
      "lightslategrey": [119, 136, 153],
      "lightsteelblue": [176, 196, 222],
      "lightyellow": [255, 255, 224],
      "lime": [0, 255, 0],
      "limegreen": [50, 205, 50],
      "linen": [250, 240, 230],
      "magenta": [255, 0, 255],
      "maroon": [128, 0, 0],
      "mediumaquamarine": [102, 205, 170],
      "mediumblue": [0, 0, 205],
      "mediumorchid": [186, 85, 211],
      "mediumpurple": [147, 112, 219],
      "mediumseagreen": [60, 179, 113],
      "mediumslateblue": [123, 104, 238],
      "mediumspringgreen": [0, 250, 154],
      "mediumturquoise": [72, 209, 204],
      "mediumvioletred": [199, 21, 133],
      "midnightblue": [25, 25, 112],
      "mintcream": [245, 255, 250],
      "mistyrose": [255, 228, 225],
      "moccasin": [255, 228, 181],
      "navajowhite": [255, 222, 173],
      "navy": [0, 0, 128],
      "oldlace": [253, 245, 230],
      "olive": [128, 128, 0],
      "olivedrab": [107, 142, 35],
      "orange": [255, 165, 0],
      "orangered": [255, 69, 0],
      "orchid": [218, 112, 214],
      "palegoldenrod": [238, 232, 170],
      "palegreen": [152, 251, 152],
      "paleturquoise": [175, 238, 238],
      "palevioletred": [219, 112, 147],
      "papayawhip": [255, 239, 213],
      "peachpuff": [255, 218, 185],
      "peru": [205, 133, 63],
      "pink": [255, 192, 203],
      "plum": [221, 160, 221],
      "powderblue": [176, 224, 230],
      "purple": [128, 0, 128],
      "rebeccapurple": [102, 51, 153],
      "red": [255, 0, 0],
      "rosybrown": [188, 143, 143],
      "royalblue": [65, 105, 225],
      "saddlebrown": [139, 69, 19],
      "salmon": [250, 128, 114],
      "sandybrown": [244, 164, 96],
      "seagreen": [46, 139, 87],
      "seashell": [255, 245, 238],
      "sienna": [160, 82, 45],
      "silver": [192, 192, 192],
      "skyblue": [135, 206, 235],
      "slateblue": [106, 90, 205],
      "slategray": [112, 128, 144],
      "slategrey": [112, 128, 144],
      "snow": [255, 250, 250],
      "springgreen": [0, 255, 127],
      "steelblue": [70, 130, 180],
      "tan": [210, 180, 140],
      "teal": [0, 128, 128],
      "thistle": [216, 191, 216],
      "tomato": [255, 99, 71],
      "turquoise": [64, 224, 208],
      "violet": [238, 130, 238],
      "wheat": [245, 222, 179],
      "white": [255, 255, 255],
      "whitesmoke": [245, 245, 245],
      "yellow": [255, 255, 0],
      "yellowgreen": [154, 205, 50]
    };
  }
});

// ../../node_modules/.pnpm/color-convert@1.9.3/node_modules/color-convert/conversions.js
var require_conversions = __commonJS({
  "../../node_modules/.pnpm/color-convert@1.9.3/node_modules/color-convert/conversions.js"(exports2, module2) {
    "use strict";
    var cssKeywords = require_color_name();
    var reverseKeywords = {};
    for (key in cssKeywords) {
      if (cssKeywords.hasOwnProperty(key)) {
        reverseKeywords[cssKeywords[key]] = key;
      }
    }
    var key;
    var convert2 = module2.exports = {
      rgb: { channels: 3, labels: "rgb" },
      hsl: { channels: 3, labels: "hsl" },
      hsv: { channels: 3, labels: "hsv" },
      hwb: { channels: 3, labels: "hwb" },
      cmyk: { channels: 4, labels: "cmyk" },
      xyz: { channels: 3, labels: "xyz" },
      lab: { channels: 3, labels: "lab" },
      lch: { channels: 3, labels: "lch" },
      hex: { channels: 1, labels: ["hex"] },
      keyword: { channels: 1, labels: ["keyword"] },
      ansi16: { channels: 1, labels: ["ansi16"] },
      ansi256: { channels: 1, labels: ["ansi256"] },
      hcg: { channels: 3, labels: ["h", "c", "g"] },
      apple: { channels: 3, labels: ["r16", "g16", "b16"] },
      gray: { channels: 1, labels: ["gray"] }
    };
    for (model in convert2) {
      if (convert2.hasOwnProperty(model)) {
        if (!("channels" in convert2[model])) {
          throw new Error("missing channels property: " + model);
        }
        if (!("labels" in convert2[model])) {
          throw new Error("missing channel labels property: " + model);
        }
        if (convert2[model].labels.length !== convert2[model].channels) {
          throw new Error("channel and label counts mismatch: " + model);
        }
        channels = convert2[model].channels;
        labels = convert2[model].labels;
        delete convert2[model].channels;
        delete convert2[model].labels;
        Object.defineProperty(convert2[model], "channels", { value: channels });
        Object.defineProperty(convert2[model], "labels", { value: labels });
      }
    }
    var channels;
    var labels;
    var model;
    convert2.rgb.hsl = function(rgb) {
      var r2 = rgb[0] / 255;
      var g2 = rgb[1] / 255;
      var b6 = rgb[2] / 255;
      var min = Math.min(r2, g2, b6);
      var max = Math.max(r2, g2, b6);
      var delta = max - min;
      var h3;
      var s3;
      var l2;
      if (max === min) {
        h3 = 0;
      } else if (r2 === max) {
        h3 = (g2 - b6) / delta;
      } else if (g2 === max) {
        h3 = 2 + (b6 - r2) / delta;
      } else if (b6 === max) {
        h3 = 4 + (r2 - g2) / delta;
      }
      h3 = Math.min(h3 * 60, 360);
      if (h3 < 0) {
        h3 += 360;
      }
      l2 = (min + max) / 2;
      if (max === min) {
        s3 = 0;
      } else if (l2 <= 0.5) {
        s3 = delta / (max + min);
      } else {
        s3 = delta / (2 - max - min);
      }
      return [h3, s3 * 100, l2 * 100];
    };
    convert2.rgb.hsv = function(rgb) {
      var rdif;
      var gdif;
      var bdif;
      var h3;
      var s3;
      var r2 = rgb[0] / 255;
      var g2 = rgb[1] / 255;
      var b6 = rgb[2] / 255;
      var v2 = Math.max(r2, g2, b6);
      var diff = v2 - Math.min(r2, g2, b6);
      var diffc = function(c4) {
        return (v2 - c4) / 6 / diff + 1 / 2;
      };
      if (diff === 0) {
        h3 = s3 = 0;
      } else {
        s3 = diff / v2;
        rdif = diffc(r2);
        gdif = diffc(g2);
        bdif = diffc(b6);
        if (r2 === v2) {
          h3 = bdif - gdif;
        } else if (g2 === v2) {
          h3 = 1 / 3 + rdif - bdif;
        } else if (b6 === v2) {
          h3 = 2 / 3 + gdif - rdif;
        }
        if (h3 < 0) {
          h3 += 1;
        } else if (h3 > 1) {
          h3 -= 1;
        }
      }
      return [
        h3 * 360,
        s3 * 100,
        v2 * 100
      ];
    };
    convert2.rgb.hwb = function(rgb) {
      var r2 = rgb[0];
      var g2 = rgb[1];
      var b6 = rgb[2];
      var h3 = convert2.rgb.hsl(rgb)[0];
      var w7 = 1 / 255 * Math.min(r2, Math.min(g2, b6));
      b6 = 1 - 1 / 255 * Math.max(r2, Math.max(g2, b6));
      return [h3, w7 * 100, b6 * 100];
    };
    convert2.rgb.cmyk = function(rgb) {
      var r2 = rgb[0] / 255;
      var g2 = rgb[1] / 255;
      var b6 = rgb[2] / 255;
      var c4;
      var m3;
      var y3;
      var k;
      k = Math.min(1 - r2, 1 - g2, 1 - b6);
      c4 = (1 - r2 - k) / (1 - k) || 0;
      m3 = (1 - g2 - k) / (1 - k) || 0;
      y3 = (1 - b6 - k) / (1 - k) || 0;
      return [c4 * 100, m3 * 100, y3 * 100, k * 100];
    };
    function comparativeDistance(x, y3) {
      return Math.pow(x[0] - y3[0], 2) + Math.pow(x[1] - y3[1], 2) + Math.pow(x[2] - y3[2], 2);
    }
    convert2.rgb.keyword = function(rgb) {
      var reversed = reverseKeywords[rgb];
      if (reversed) {
        return reversed;
      }
      var currentClosestDistance = Infinity;
      var currentClosestKeyword;
      for (var keyword in cssKeywords) {
        if (cssKeywords.hasOwnProperty(keyword)) {
          var value = cssKeywords[keyword];
          var distance = comparativeDistance(rgb, value);
          if (distance < currentClosestDistance) {
            currentClosestDistance = distance;
            currentClosestKeyword = keyword;
          }
        }
      }
      return currentClosestKeyword;
    };
    convert2.keyword.rgb = function(keyword) {
      return cssKeywords[keyword];
    };
    convert2.rgb.xyz = function(rgb) {
      var r2 = rgb[0] / 255;
      var g2 = rgb[1] / 255;
      var b6 = rgb[2] / 255;
      r2 = r2 > 0.04045 ? Math.pow((r2 + 0.055) / 1.055, 2.4) : r2 / 12.92;
      g2 = g2 > 0.04045 ? Math.pow((g2 + 0.055) / 1.055, 2.4) : g2 / 12.92;
      b6 = b6 > 0.04045 ? Math.pow((b6 + 0.055) / 1.055, 2.4) : b6 / 12.92;
      var x = r2 * 0.4124 + g2 * 0.3576 + b6 * 0.1805;
      var y3 = r2 * 0.2126 + g2 * 0.7152 + b6 * 0.0722;
      var z2 = r2 * 0.0193 + g2 * 0.1192 + b6 * 0.9505;
      return [x * 100, y3 * 100, z2 * 100];
    };
    convert2.rgb.lab = function(rgb) {
      var xyz = convert2.rgb.xyz(rgb);
      var x = xyz[0];
      var y3 = xyz[1];
      var z2 = xyz[2];
      var l2;
      var a3;
      var b6;
      x /= 95.047;
      y3 /= 100;
      z2 /= 108.883;
      x = x > 8856e-6 ? Math.pow(x, 1 / 3) : 7.787 * x + 16 / 116;
      y3 = y3 > 8856e-6 ? Math.pow(y3, 1 / 3) : 7.787 * y3 + 16 / 116;
      z2 = z2 > 8856e-6 ? Math.pow(z2, 1 / 3) : 7.787 * z2 + 16 / 116;
      l2 = 116 * y3 - 16;
      a3 = 500 * (x - y3);
      b6 = 200 * (y3 - z2);
      return [l2, a3, b6];
    };
    convert2.hsl.rgb = function(hsl) {
      var h3 = hsl[0] / 360;
      var s3 = hsl[1] / 100;
      var l2 = hsl[2] / 100;
      var t1;
      var t22;
      var t32;
      var rgb;
      var val;
      if (s3 === 0) {
        val = l2 * 255;
        return [val, val, val];
      }
      if (l2 < 0.5) {
        t22 = l2 * (1 + s3);
      } else {
        t22 = l2 + s3 - l2 * s3;
      }
      t1 = 2 * l2 - t22;
      rgb = [0, 0, 0];
      for (var i4 = 0; i4 < 3; i4++) {
        t32 = h3 + 1 / 3 * -(i4 - 1);
        if (t32 < 0) {
          t32++;
        }
        if (t32 > 1) {
          t32--;
        }
        if (6 * t32 < 1) {
          val = t1 + (t22 - t1) * 6 * t32;
        } else if (2 * t32 < 1) {
          val = t22;
        } else if (3 * t32 < 2) {
          val = t1 + (t22 - t1) * (2 / 3 - t32) * 6;
        } else {
          val = t1;
        }
        rgb[i4] = val * 255;
      }
      return rgb;
    };
    convert2.hsl.hsv = function(hsl) {
      var h3 = hsl[0];
      var s3 = hsl[1] / 100;
      var l2 = hsl[2] / 100;
      var smin = s3;
      var lmin = Math.max(l2, 0.01);
      var sv;
      var v2;
      l2 *= 2;
      s3 *= l2 <= 1 ? l2 : 2 - l2;
      smin *= lmin <= 1 ? lmin : 2 - lmin;
      v2 = (l2 + s3) / 2;
      sv = l2 === 0 ? 2 * smin / (lmin + smin) : 2 * s3 / (l2 + s3);
      return [h3, sv * 100, v2 * 100];
    };
    convert2.hsv.rgb = function(hsv) {
      var h3 = hsv[0] / 60;
      var s3 = hsv[1] / 100;
      var v2 = hsv[2] / 100;
      var hi = Math.floor(h3) % 6;
      var f4 = h3 - Math.floor(h3);
      var p2 = 255 * v2 * (1 - s3);
      var q = 255 * v2 * (1 - s3 * f4);
      var t9 = 255 * v2 * (1 - s3 * (1 - f4));
      v2 *= 255;
      switch (hi) {
        case 0:
          return [v2, t9, p2];
        case 1:
          return [q, v2, p2];
        case 2:
          return [p2, v2, t9];
        case 3:
          return [p2, q, v2];
        case 4:
          return [t9, p2, v2];
        case 5:
          return [v2, p2, q];
      }
    };
    convert2.hsv.hsl = function(hsv) {
      var h3 = hsv[0];
      var s3 = hsv[1] / 100;
      var v2 = hsv[2] / 100;
      var vmin = Math.max(v2, 0.01);
      var lmin;
      var sl;
      var l2;
      l2 = (2 - s3) * v2;
      lmin = (2 - s3) * vmin;
      sl = s3 * vmin;
      sl /= lmin <= 1 ? lmin : 2 - lmin;
      sl = sl || 0;
      l2 /= 2;
      return [h3, sl * 100, l2 * 100];
    };
    convert2.hwb.rgb = function(hwb) {
      var h3 = hwb[0] / 360;
      var wh2 = hwb[1] / 100;
      var bl2 = hwb[2] / 100;
      var ratio = wh2 + bl2;
      var i4;
      var v2;
      var f4;
      var n2;
      if (ratio > 1) {
        wh2 /= ratio;
        bl2 /= ratio;
      }
      i4 = Math.floor(6 * h3);
      v2 = 1 - bl2;
      f4 = 6 * h3 - i4;
      if ((i4 & 1) !== 0) {
        f4 = 1 - f4;
      }
      n2 = wh2 + f4 * (v2 - wh2);
      var r2;
      var g2;
      var b6;
      switch (i4) {
        default:
        case 6:
        case 0:
          r2 = v2;
          g2 = n2;
          b6 = wh2;
          break;
        case 1:
          r2 = n2;
          g2 = v2;
          b6 = wh2;
          break;
        case 2:
          r2 = wh2;
          g2 = v2;
          b6 = n2;
          break;
        case 3:
          r2 = wh2;
          g2 = n2;
          b6 = v2;
          break;
        case 4:
          r2 = n2;
          g2 = wh2;
          b6 = v2;
          break;
        case 5:
          r2 = v2;
          g2 = wh2;
          b6 = n2;
          break;
      }
      return [r2 * 255, g2 * 255, b6 * 255];
    };
    convert2.cmyk.rgb = function(cmyk) {
      var c4 = cmyk[0] / 100;
      var m3 = cmyk[1] / 100;
      var y3 = cmyk[2] / 100;
      var k = cmyk[3] / 100;
      var r2;
      var g2;
      var b6;
      r2 = 1 - Math.min(1, c4 * (1 - k) + k);
      g2 = 1 - Math.min(1, m3 * (1 - k) + k);
      b6 = 1 - Math.min(1, y3 * (1 - k) + k);
      return [r2 * 255, g2 * 255, b6 * 255];
    };
    convert2.xyz.rgb = function(xyz) {
      var x = xyz[0] / 100;
      var y3 = xyz[1] / 100;
      var z2 = xyz[2] / 100;
      var r2;
      var g2;
      var b6;
      r2 = x * 3.2406 + y3 * -1.5372 + z2 * -0.4986;
      g2 = x * -0.9689 + y3 * 1.8758 + z2 * 0.0415;
      b6 = x * 0.0557 + y3 * -0.204 + z2 * 1.057;
      r2 = r2 > 31308e-7 ? 1.055 * Math.pow(r2, 1 / 2.4) - 0.055 : r2 * 12.92;
      g2 = g2 > 31308e-7 ? 1.055 * Math.pow(g2, 1 / 2.4) - 0.055 : g2 * 12.92;
      b6 = b6 > 31308e-7 ? 1.055 * Math.pow(b6, 1 / 2.4) - 0.055 : b6 * 12.92;
      r2 = Math.min(Math.max(0, r2), 1);
      g2 = Math.min(Math.max(0, g2), 1);
      b6 = Math.min(Math.max(0, b6), 1);
      return [r2 * 255, g2 * 255, b6 * 255];
    };
    convert2.xyz.lab = function(xyz) {
      var x = xyz[0];
      var y3 = xyz[1];
      var z2 = xyz[2];
      var l2;
      var a3;
      var b6;
      x /= 95.047;
      y3 /= 100;
      z2 /= 108.883;
      x = x > 8856e-6 ? Math.pow(x, 1 / 3) : 7.787 * x + 16 / 116;
      y3 = y3 > 8856e-6 ? Math.pow(y3, 1 / 3) : 7.787 * y3 + 16 / 116;
      z2 = z2 > 8856e-6 ? Math.pow(z2, 1 / 3) : 7.787 * z2 + 16 / 116;
      l2 = 116 * y3 - 16;
      a3 = 500 * (x - y3);
      b6 = 200 * (y3 - z2);
      return [l2, a3, b6];
    };
    convert2.lab.xyz = function(lab) {
      var l2 = lab[0];
      var a3 = lab[1];
      var b6 = lab[2];
      var x;
      var y3;
      var z2;
      y3 = (l2 + 16) / 116;
      x = a3 / 500 + y3;
      z2 = y3 - b6 / 200;
      var y22 = Math.pow(y3, 3);
      var x2 = Math.pow(x, 3);
      var z22 = Math.pow(z2, 3);
      y3 = y22 > 8856e-6 ? y22 : (y3 - 16 / 116) / 7.787;
      x = x2 > 8856e-6 ? x2 : (x - 16 / 116) / 7.787;
      z2 = z22 > 8856e-6 ? z22 : (z2 - 16 / 116) / 7.787;
      x *= 95.047;
      y3 *= 100;
      z2 *= 108.883;
      return [x, y3, z2];
    };
    convert2.lab.lch = function(lab) {
      var l2 = lab[0];
      var a3 = lab[1];
      var b6 = lab[2];
      var hr;
      var h3;
      var c4;
      hr = Math.atan2(b6, a3);
      h3 = hr * 360 / 2 / Math.PI;
      if (h3 < 0) {
        h3 += 360;
      }
      c4 = Math.sqrt(a3 * a3 + b6 * b6);
      return [l2, c4, h3];
    };
    convert2.lch.lab = function(lch) {
      var l2 = lch[0];
      var c4 = lch[1];
      var h3 = lch[2];
      var a3;
      var b6;
      var hr;
      hr = h3 / 360 * 2 * Math.PI;
      a3 = c4 * Math.cos(hr);
      b6 = c4 * Math.sin(hr);
      return [l2, a3, b6];
    };
    convert2.rgb.ansi16 = function(args3) {
      var r2 = args3[0];
      var g2 = args3[1];
      var b6 = args3[2];
      var value = 1 in arguments ? arguments[1] : convert2.rgb.hsv(args3)[2];
      value = Math.round(value / 50);
      if (value === 0) {
        return 30;
      }
      var ansi = 30 + (Math.round(b6 / 255) << 2 | Math.round(g2 / 255) << 1 | Math.round(r2 / 255));
      if (value === 2) {
        ansi += 60;
      }
      return ansi;
    };
    convert2.hsv.ansi16 = function(args3) {
      return convert2.rgb.ansi16(convert2.hsv.rgb(args3), args3[2]);
    };
    convert2.rgb.ansi256 = function(args3) {
      var r2 = args3[0];
      var g2 = args3[1];
      var b6 = args3[2];
      if (r2 === g2 && g2 === b6) {
        if (r2 < 8) {
          return 16;
        }
        if (r2 > 248) {
          return 231;
        }
        return Math.round((r2 - 8) / 247 * 24) + 232;
      }
      var ansi = 16 + 36 * Math.round(r2 / 255 * 5) + 6 * Math.round(g2 / 255 * 5) + Math.round(b6 / 255 * 5);
      return ansi;
    };
    convert2.ansi16.rgb = function(args3) {
      var color2 = args3 % 10;
      if (color2 === 0 || color2 === 7) {
        if (args3 > 50) {
          color2 += 3.5;
        }
        color2 = color2 / 10.5 * 255;
        return [color2, color2, color2];
      }
      var mult = (~~(args3 > 50) + 1) * 0.5;
      var r2 = (color2 & 1) * mult * 255;
      var g2 = (color2 >> 1 & 1) * mult * 255;
      var b6 = (color2 >> 2 & 1) * mult * 255;
      return [r2, g2, b6];
    };
    convert2.ansi256.rgb = function(args3) {
      if (args3 >= 232) {
        var c4 = (args3 - 232) * 10 + 8;
        return [c4, c4, c4];
      }
      args3 -= 16;
      var rem;
      var r2 = Math.floor(args3 / 36) / 5 * 255;
      var g2 = Math.floor((rem = args3 % 36) / 6) / 5 * 255;
      var b6 = rem % 6 / 5 * 255;
      return [r2, g2, b6];
    };
    convert2.rgb.hex = function(args3) {
      var integer = ((Math.round(args3[0]) & 255) << 16) + ((Math.round(args3[1]) & 255) << 8) + (Math.round(args3[2]) & 255);
      var string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert2.hex.rgb = function(args3) {
      var match4 = args3.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
      if (!match4) {
        return [0, 0, 0];
      }
      var colorString = match4[0];
      if (match4[0].length === 3) {
        colorString = colorString.split("").map(function(char) {
          return char + char;
        }).join("");
      }
      var integer = parseInt(colorString, 16);
      var r2 = integer >> 16 & 255;
      var g2 = integer >> 8 & 255;
      var b6 = integer & 255;
      return [r2, g2, b6];
    };
    convert2.rgb.hcg = function(rgb) {
      var r2 = rgb[0] / 255;
      var g2 = rgb[1] / 255;
      var b6 = rgb[2] / 255;
      var max = Math.max(Math.max(r2, g2), b6);
      var min = Math.min(Math.min(r2, g2), b6);
      var chroma = max - min;
      var grayscale;
      var hue;
      if (chroma < 1) {
        grayscale = min / (1 - chroma);
      } else {
        grayscale = 0;
      }
      if (chroma <= 0) {
        hue = 0;
      } else if (max === r2) {
        hue = (g2 - b6) / chroma % 6;
      } else if (max === g2) {
        hue = 2 + (b6 - r2) / chroma;
      } else {
        hue = 4 + (r2 - g2) / chroma + 4;
      }
      hue /= 6;
      hue %= 1;
      return [hue * 360, chroma * 100, grayscale * 100];
    };
    convert2.hsl.hcg = function(hsl) {
      var s3 = hsl[1] / 100;
      var l2 = hsl[2] / 100;
      var c4 = 1;
      var f4 = 0;
      if (l2 < 0.5) {
        c4 = 2 * s3 * l2;
      } else {
        c4 = 2 * s3 * (1 - l2);
      }
      if (c4 < 1) {
        f4 = (l2 - 0.5 * c4) / (1 - c4);
      }
      return [hsl[0], c4 * 100, f4 * 100];
    };
    convert2.hsv.hcg = function(hsv) {
      var s3 = hsv[1] / 100;
      var v2 = hsv[2] / 100;
      var c4 = s3 * v2;
      var f4 = 0;
      if (c4 < 1) {
        f4 = (v2 - c4) / (1 - c4);
      }
      return [hsv[0], c4 * 100, f4 * 100];
    };
    convert2.hcg.rgb = function(hcg) {
      var h3 = hcg[0] / 360;
      var c4 = hcg[1] / 100;
      var g2 = hcg[2] / 100;
      if (c4 === 0) {
        return [g2 * 255, g2 * 255, g2 * 255];
      }
      var pure = [0, 0, 0];
      var hi = h3 % 1 * 6;
      var v2 = hi % 1;
      var w7 = 1 - v2;
      var mg2 = 0;
      switch (Math.floor(hi)) {
        case 0:
          pure[0] = 1;
          pure[1] = v2;
          pure[2] = 0;
          break;
        case 1:
          pure[0] = w7;
          pure[1] = 1;
          pure[2] = 0;
          break;
        case 2:
          pure[0] = 0;
          pure[1] = 1;
          pure[2] = v2;
          break;
        case 3:
          pure[0] = 0;
          pure[1] = w7;
          pure[2] = 1;
          break;
        case 4:
          pure[0] = v2;
          pure[1] = 0;
          pure[2] = 1;
          break;
        default:
          pure[0] = 1;
          pure[1] = 0;
          pure[2] = w7;
      }
      mg2 = (1 - c4) * g2;
      return [
        (c4 * pure[0] + mg2) * 255,
        (c4 * pure[1] + mg2) * 255,
        (c4 * pure[2] + mg2) * 255
      ];
    };
    convert2.hcg.hsv = function(hcg) {
      var c4 = hcg[1] / 100;
      var g2 = hcg[2] / 100;
      var v2 = c4 + g2 * (1 - c4);
      var f4 = 0;
      if (v2 > 0) {
        f4 = c4 / v2;
      }
      return [hcg[0], f4 * 100, v2 * 100];
    };
    convert2.hcg.hsl = function(hcg) {
      var c4 = hcg[1] / 100;
      var g2 = hcg[2] / 100;
      var l2 = g2 * (1 - c4) + 0.5 * c4;
      var s3 = 0;
      if (l2 > 0 && l2 < 0.5) {
        s3 = c4 / (2 * l2);
      } else if (l2 >= 0.5 && l2 < 1) {
        s3 = c4 / (2 * (1 - l2));
      }
      return [hcg[0], s3 * 100, l2 * 100];
    };
    convert2.hcg.hwb = function(hcg) {
      var c4 = hcg[1] / 100;
      var g2 = hcg[2] / 100;
      var v2 = c4 + g2 * (1 - c4);
      return [hcg[0], (v2 - c4) * 100, (1 - v2) * 100];
    };
    convert2.hwb.hcg = function(hwb) {
      var w7 = hwb[1] / 100;
      var b6 = hwb[2] / 100;
      var v2 = 1 - b6;
      var c4 = v2 - w7;
      var g2 = 0;
      if (c4 < 1) {
        g2 = (v2 - c4) / (1 - c4);
      }
      return [hwb[0], c4 * 100, g2 * 100];
    };
    convert2.apple.rgb = function(apple) {
      return [apple[0] / 65535 * 255, apple[1] / 65535 * 255, apple[2] / 65535 * 255];
    };
    convert2.rgb.apple = function(rgb) {
      return [rgb[0] / 255 * 65535, rgb[1] / 255 * 65535, rgb[2] / 255 * 65535];
    };
    convert2.gray.rgb = function(args3) {
      return [args3[0] / 100 * 255, args3[0] / 100 * 255, args3[0] / 100 * 255];
    };
    convert2.gray.hsl = convert2.gray.hsv = function(args3) {
      return [0, 0, args3[0]];
    };
    convert2.gray.hwb = function(gray2) {
      return [0, 100, gray2[0]];
    };
    convert2.gray.cmyk = function(gray2) {
      return [0, 0, 0, gray2[0]];
    };
    convert2.gray.lab = function(gray2) {
      return [gray2[0], 0, 0];
    };
    convert2.gray.hex = function(gray2) {
      var val = Math.round(gray2[0] / 100 * 255) & 255;
      var integer = (val << 16) + (val << 8) + val;
      var string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert2.rgb.gray = function(rgb) {
      var val = (rgb[0] + rgb[1] + rgb[2]) / 3;
      return [val / 255 * 100];
    };
  }
});

// ../../node_modules/.pnpm/color-convert@1.9.3/node_modules/color-convert/route.js
var require_route = __commonJS({
  "../../node_modules/.pnpm/color-convert@1.9.3/node_modules/color-convert/route.js"(exports2, module2) {
    "use strict";
    var conversions = require_conversions();
    function buildGraph() {
      var graph = {};
      var models = Object.keys(conversions);
      for (var len = models.length, i4 = 0; i4 < len; i4++) {
        graph[models[i4]] = {
          // http://jsperf.com/1-vs-infinity
          // micro-opt, but this is simple.
          distance: -1,
          parent: null
        };
      }
      return graph;
    }
    function deriveBFS(fromModel) {
      var graph = buildGraph();
      var queue2 = [fromModel];
      graph[fromModel].distance = 0;
      while (queue2.length) {
        var current = queue2.pop();
        var adjacents = Object.keys(conversions[current]);
        for (var len = adjacents.length, i4 = 0; i4 < len; i4++) {
          var adjacent = adjacents[i4];
          var node = graph[adjacent];
          if (node.distance === -1) {
            node.distance = graph[current].distance + 1;
            node.parent = current;
            queue2.unshift(adjacent);
          }
        }
      }
      return graph;
    }
    function link4(from, to2) {
      return function(args3) {
        return to2(from(args3));
      };
    }
    function wrapConversion(toModel, graph) {
      var path39 = [graph[toModel].parent, toModel];
      var fn2 = conversions[graph[toModel].parent][toModel];
      var cur = graph[toModel].parent;
      while (graph[cur].parent) {
        path39.unshift(graph[cur].parent);
        fn2 = link4(conversions[graph[cur].parent][cur], fn2);
        cur = graph[cur].parent;
      }
      fn2.conversion = path39;
      return fn2;
    }
    module2.exports = function(fromModel) {
      var graph = deriveBFS(fromModel);
      var conversion = {};
      var models = Object.keys(graph);
      for (var len = models.length, i4 = 0; i4 < len; i4++) {
        var toModel = models[i4];
        var node = graph[toModel];
        if (node.parent === null) {
          continue;
        }
        conversion[toModel] = wrapConversion(toModel, graph);
      }
      return conversion;
    };
  }
});

// ../../node_modules/.pnpm/color-convert@1.9.3/node_modules/color-convert/index.js
var require_color_convert = __commonJS({
  "../../node_modules/.pnpm/color-convert@1.9.3/node_modules/color-convert/index.js"(exports2, module2) {
    "use strict";
    var conversions = require_conversions();
    var route = require_route();
    var convert2 = {};
    var models = Object.keys(conversions);
    function wrapRaw(fn2) {
      var wrappedFn = function(args3) {
        if (args3 === void 0 || args3 === null) {
          return args3;
        }
        if (arguments.length > 1) {
          args3 = Array.prototype.slice.call(arguments);
        }
        return fn2(args3);
      };
      if ("conversion" in fn2) {
        wrappedFn.conversion = fn2.conversion;
      }
      return wrappedFn;
    }
    function wrapRounded(fn2) {
      var wrappedFn = function(args3) {
        if (args3 === void 0 || args3 === null) {
          return args3;
        }
        if (arguments.length > 1) {
          args3 = Array.prototype.slice.call(arguments);
        }
        var result = fn2(args3);
        if (typeof result === "object") {
          for (var len = result.length, i4 = 0; i4 < len; i4++) {
            result[i4] = Math.round(result[i4]);
          }
        }
        return result;
      };
      if ("conversion" in fn2) {
        wrappedFn.conversion = fn2.conversion;
      }
      return wrappedFn;
    }
    models.forEach(function(fromModel) {
      convert2[fromModel] = {};
      Object.defineProperty(convert2[fromModel], "channels", { value: conversions[fromModel].channels });
      Object.defineProperty(convert2[fromModel], "labels", { value: conversions[fromModel].labels });
      var routes = route(fromModel);
      var routeModels = Object.keys(routes);
      routeModels.forEach(function(toModel) {
        var fn2 = routes[toModel];
        convert2[fromModel][toModel] = wrapRounded(fn2);
        convert2[fromModel][toModel].raw = wrapRaw(fn2);
      });
    });
    module2.exports = convert2;
  }
});

// ../../node_modules/.pnpm/ansi-styles@3.2.1/node_modules/ansi-styles/index.js
var require_ansi_styles = __commonJS({
  "../../node_modules/.pnpm/ansi-styles@3.2.1/node_modules/ansi-styles/index.js"(exports2, module2) {
    "use strict";
    var colorConvert = require_color_convert();
    var wrapAnsi16 = (fn2, offset) => function() {
      const code = fn2.apply(colorConvert, arguments);
      return `\x1B[${code + offset}m`;
    };
    var wrapAnsi256 = (fn2, offset) => function() {
      const code = fn2.apply(colorConvert, arguments);
      return `\x1B[${38 + offset};5;${code}m`;
    };
    var wrapAnsi16m = (fn2, offset) => function() {
      const rgb = fn2.apply(colorConvert, arguments);
      return `\x1B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
    };
    function assembleStyles() {
      const codes = /* @__PURE__ */ new Map();
      const styles2 = {
        modifier: {
          reset: [0, 0],
          // 21 isn't widely supported and 22 does the same thing
          bold: [1, 22],
          dim: [2, 22],
          italic: [3, 23],
          underline: [4, 24],
          inverse: [7, 27],
          hidden: [8, 28],
          strikethrough: [9, 29]
        },
        color: {
          black: [30, 39],
          red: [31, 39],
          green: [32, 39],
          yellow: [33, 39],
          blue: [34, 39],
          magenta: [35, 39],
          cyan: [36, 39],
          white: [37, 39],
          gray: [90, 39],
          // Bright color
          redBright: [91, 39],
          greenBright: [92, 39],
          yellowBright: [93, 39],
          blueBright: [94, 39],
          magentaBright: [95, 39],
          cyanBright: [96, 39],
          whiteBright: [97, 39]
        },
        bgColor: {
          bgBlack: [40, 49],
          bgRed: [41, 49],
          bgGreen: [42, 49],
          bgYellow: [43, 49],
          bgBlue: [44, 49],
          bgMagenta: [45, 49],
          bgCyan: [46, 49],
          bgWhite: [47, 49],
          // Bright color
          bgBlackBright: [100, 49],
          bgRedBright: [101, 49],
          bgGreenBright: [102, 49],
          bgYellowBright: [103, 49],
          bgBlueBright: [104, 49],
          bgMagentaBright: [105, 49],
          bgCyanBright: [106, 49],
          bgWhiteBright: [107, 49]
        }
      };
      styles2.color.grey = styles2.color.gray;
      for (const groupName of Object.keys(styles2)) {
        const group = styles2[groupName];
        for (const styleName of Object.keys(group)) {
          const style2 = group[styleName];
          styles2[styleName] = {
            open: `\x1B[${style2[0]}m`,
            close: `\x1B[${style2[1]}m`
          };
          group[styleName] = styles2[styleName];
          codes.set(style2[0], style2[1]);
        }
        Object.defineProperty(styles2, groupName, {
          value: group,
          enumerable: false
        });
        Object.defineProperty(styles2, "codes", {
          value: codes,
          enumerable: false
        });
      }
      const ansi2ansi = (n2) => n2;
      const rgb2rgb = (r2, g2, b6) => [r2, g2, b6];
      styles2.color.close = "\x1B[39m";
      styles2.bgColor.close = "\x1B[49m";
      styles2.color.ansi = {
        ansi: wrapAnsi16(ansi2ansi, 0)
      };
      styles2.color.ansi256 = {
        ansi256: wrapAnsi256(ansi2ansi, 0)
      };
      styles2.color.ansi16m = {
        rgb: wrapAnsi16m(rgb2rgb, 0)
      };
      styles2.bgColor.ansi = {
        ansi: wrapAnsi16(ansi2ansi, 10)
      };
      styles2.bgColor.ansi256 = {
        ansi256: wrapAnsi256(ansi2ansi, 10)
      };
      styles2.bgColor.ansi16m = {
        rgb: wrapAnsi16m(rgb2rgb, 10)
      };
      for (let key of Object.keys(colorConvert)) {
        if (typeof colorConvert[key] !== "object") {
          continue;
        }
        const suite = colorConvert[key];
        if (key === "ansi16") {
          key = "ansi";
        }
        if ("ansi16" in suite) {
          styles2.color.ansi[key] = wrapAnsi16(suite.ansi16, 0);
          styles2.bgColor.ansi[key] = wrapAnsi16(suite.ansi16, 10);
        }
        if ("ansi256" in suite) {
          styles2.color.ansi256[key] = wrapAnsi256(suite.ansi256, 0);
          styles2.bgColor.ansi256[key] = wrapAnsi256(suite.ansi256, 10);
        }
        if ("rgb" in suite) {
          styles2.color.ansi16m[key] = wrapAnsi16m(suite.rgb, 0);
          styles2.bgColor.ansi16m[key] = wrapAnsi16m(suite.rgb, 10);
        }
      }
      return styles2;
    }
    Object.defineProperty(module2, "exports", {
      enumerable: true,
      get: assembleStyles
    });
  }
});

// ../../node_modules/.pnpm/has-flag@3.0.0/node_modules/has-flag/index.js
var require_has_flag2 = __commonJS({
  "../../node_modules/.pnpm/has-flag@3.0.0/node_modules/has-flag/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (flag, argv) => {
      argv = argv || process.argv;
      const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
      const pos2 = argv.indexOf(prefix + flag);
      const terminatorPos = argv.indexOf("--");
      return pos2 !== -1 && (terminatorPos === -1 ? true : pos2 < terminatorPos);
    };
  }
});

// ../../node_modules/.pnpm/supports-color@5.5.0/node_modules/supports-color/index.js
var require_supports_color2 = __commonJS({
  "../../node_modules/.pnpm/supports-color@5.5.0/node_modules/supports-color/index.js"(exports2, module2) {
    "use strict";
    var os7 = require("os");
    var hasFlag2 = require_has_flag2();
    var env3 = process.env;
    var forceColor2;
    if (hasFlag2("no-color") || hasFlag2("no-colors") || hasFlag2("color=false")) {
      forceColor2 = false;
    } else if (hasFlag2("color") || hasFlag2("colors") || hasFlag2("color=true") || hasFlag2("color=always")) {
      forceColor2 = true;
    }
    if ("FORCE_COLOR" in env3) {
      forceColor2 = env3.FORCE_COLOR.length === 0 || parseInt(env3.FORCE_COLOR, 10) !== 0;
    }
    function translateLevel2(level) {
      if (level === 0) {
        return false;
      }
      return {
        level,
        hasBasic: true,
        has256: level >= 2,
        has16m: level >= 3
      };
    }
    function supportsColor2(stream4) {
      if (forceColor2 === false) {
        return 0;
      }
      if (hasFlag2("color=16m") || hasFlag2("color=full") || hasFlag2("color=truecolor")) {
        return 3;
      }
      if (hasFlag2("color=256")) {
        return 2;
      }
      if (stream4 && !stream4.isTTY && forceColor2 !== true) {
        return 0;
      }
      const min = forceColor2 ? 1 : 0;
      if (process.platform === "win32") {
        const osRelease = os7.release().split(".");
        if (Number(process.versions.node.split(".")[0]) >= 8 && Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
          return Number(osRelease[2]) >= 14931 ? 3 : 2;
        }
        return 1;
      }
      if ("CI" in env3) {
        if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI"].some((sign) => sign in env3) || env3.CI_NAME === "codeship") {
          return 1;
        }
        return min;
      }
      if ("TEAMCITY_VERSION" in env3) {
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env3.TEAMCITY_VERSION) ? 1 : 0;
      }
      if (env3.COLORTERM === "truecolor") {
        return 3;
      }
      if ("TERM_PROGRAM" in env3) {
        const version3 = parseInt((env3.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (env3.TERM_PROGRAM) {
          case "iTerm.app":
            return version3 >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      if (/-256(color)?$/i.test(env3.TERM)) {
        return 2;
      }
      if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env3.TERM)) {
        return 1;
      }
      if ("COLORTERM" in env3) {
        return 1;
      }
      if (env3.TERM === "dumb") {
        return min;
      }
      return min;
    }
    function getSupportLevel2(stream4) {
      const level = supportsColor2(stream4);
      return translateLevel2(level);
    }
    module2.exports = {
      supportsColor: getSupportLevel2,
      stdout: getSupportLevel2(process.stdout),
      stderr: getSupportLevel2(process.stderr)
    };
  }
});

// ../../node_modules/.pnpm/chalk@2.4.2/node_modules/chalk/templates.js
var require_templates = __commonJS({
  "../../node_modules/.pnpm/chalk@2.4.2/node_modules/chalk/templates.js"(exports2, module2) {
    "use strict";
    var TEMPLATE_REGEX = /(?:\\(u[a-f\d]{4}|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
    var STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
    var STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
    var ESCAPE_REGEX = /\\(u[a-f\d]{4}|x[a-f\d]{2}|.)|([^\\])/gi;
    var ESCAPES = /* @__PURE__ */ new Map([
      ["n", "\n"],
      ["r", "\r"],
      ["t", "	"],
      ["b", "\b"],
      ["f", "\f"],
      ["v", "\v"],
      ["0", "\0"],
      ["\\", "\\"],
      ["e", "\x1B"],
      ["a", "\x07"]
    ]);
    function unescape2(c4) {
      if (c4[0] === "u" && c4.length === 5 || c4[0] === "x" && c4.length === 3) {
        return String.fromCharCode(parseInt(c4.slice(1), 16));
      }
      return ESCAPES.get(c4) || c4;
    }
    function parseArguments(name, args3) {
      const results = [];
      const chunks = args3.trim().split(/\s*,\s*/g);
      let matches;
      for (const chunk of chunks) {
        if (!isNaN(chunk)) {
          results.push(Number(chunk));
        } else if (matches = chunk.match(STRING_REGEX)) {
          results.push(matches[2].replace(ESCAPE_REGEX, (m3, escape3, chr) => escape3 ? unescape2(escape3) : chr));
        } else {
          throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
        }
      }
      return results;
    }
    function parseStyle(style2) {
      STYLE_REGEX.lastIndex = 0;
      const results = [];
      let matches;
      while ((matches = STYLE_REGEX.exec(style2)) !== null) {
        const name = matches[1];
        if (matches[2]) {
          const args3 = parseArguments(name, matches[2]);
          results.push([name].concat(args3));
        } else {
          results.push([name]);
        }
      }
      return results;
    }
    function buildStyle(chalk, styles2) {
      const enabled = {};
      for (const layer of styles2) {
        for (const style2 of layer.styles) {
          enabled[style2[0]] = layer.inverse ? null : style2.slice(1);
        }
      }
      let current = chalk;
      for (const styleName of Object.keys(enabled)) {
        if (Array.isArray(enabled[styleName])) {
          if (!(styleName in current)) {
            throw new Error(`Unknown Chalk style: ${styleName}`);
          }
          if (enabled[styleName].length > 0) {
            current = current[styleName].apply(current, enabled[styleName]);
          } else {
            current = current[styleName];
          }
        }
      }
      return current;
    }
    module2.exports = (chalk, tmp2) => {
      const styles2 = [];
      const chunks = [];
      let chunk = [];
      tmp2.replace(TEMPLATE_REGEX, (m3, escapeChar, inverse2, style2, close, chr) => {
        if (escapeChar) {
          chunk.push(unescape2(escapeChar));
        } else if (style2) {
          const str = chunk.join("");
          chunk = [];
          chunks.push(styles2.length === 0 ? str : buildStyle(chalk, styles2)(str));
          styles2.push({ inverse: inverse2, styles: parseStyle(style2) });
        } else if (close) {
          if (styles2.length === 0) {
            throw new Error("Found extraneous } in Chalk template literal");
          }
          chunks.push(buildStyle(chalk, styles2)(chunk.join("")));
          chunk = [];
          styles2.pop();
        } else {
          chunk.push(chr);
        }
      });
      chunks.push(chunk.join(""));
      if (styles2.length > 0) {
        const errMsg = `Chalk template literal is missing ${styles2.length} closing bracket${styles2.length === 1 ? "" : "s"} (\`}\`)`;
        throw new Error(errMsg);
      }
      return chunks.join("");
    };
  }
});

// ../../node_modules/.pnpm/chalk@2.4.2/node_modules/chalk/index.js
var require_chalk = __commonJS({
  "../../node_modules/.pnpm/chalk@2.4.2/node_modules/chalk/index.js"(exports2, module2) {
    "use strict";
    var escapeStringRegexp = require_escape_string_regexp();
    var ansiStyles = require_ansi_styles();
    var stdoutColor = require_supports_color2().stdout;
    var template = require_templates();
    var isSimpleWindowsTerm = process.platform === "win32" && !(process.env.TERM || "").toLowerCase().startsWith("xterm");
    var levelMapping = ["ansi", "ansi", "ansi256", "ansi16m"];
    var skipModels = /* @__PURE__ */ new Set(["gray"]);
    var styles2 = /* @__PURE__ */ Object.create(null);
    function applyOptions(obj, options2) {
      options2 = options2 || {};
      const scLevel = stdoutColor ? stdoutColor.level : 0;
      obj.level = options2.level === void 0 ? scLevel : options2.level;
      obj.enabled = "enabled" in options2 ? options2.enabled : obj.level > 0;
    }
    function Chalk(options2) {
      if (!this || !(this instanceof Chalk) || this.template) {
        const chalk = {};
        applyOptions(chalk, options2);
        chalk.template = function() {
          const args3 = [].slice.call(arguments);
          return chalkTag.apply(null, [chalk.template].concat(args3));
        };
        Object.setPrototypeOf(chalk, Chalk.prototype);
        Object.setPrototypeOf(chalk.template, chalk);
        chalk.template.constructor = Chalk;
        return chalk.template;
      }
      applyOptions(this, options2);
    }
    if (isSimpleWindowsTerm) {
      ansiStyles.blue.open = "\x1B[94m";
    }
    for (const key of Object.keys(ansiStyles)) {
      ansiStyles[key].closeRe = new RegExp(escapeStringRegexp(ansiStyles[key].close), "g");
      styles2[key] = {
        get() {
          const codes = ansiStyles[key];
          return build.call(this, this._styles ? this._styles.concat(codes) : [codes], this._empty, key);
        }
      };
    }
    styles2.visible = {
      get() {
        return build.call(this, this._styles || [], true, "visible");
      }
    };
    ansiStyles.color.closeRe = new RegExp(escapeStringRegexp(ansiStyles.color.close), "g");
    for (const model of Object.keys(ansiStyles.color.ansi)) {
      if (skipModels.has(model)) {
        continue;
      }
      styles2[model] = {
        get() {
          const level = this.level;
          return function() {
            const open3 = ansiStyles.color[levelMapping[level]][model].apply(null, arguments);
            const codes = {
              open: open3,
              close: ansiStyles.color.close,
              closeRe: ansiStyles.color.closeRe
            };
            return build.call(this, this._styles ? this._styles.concat(codes) : [codes], this._empty, model);
          };
        }
      };
    }
    ansiStyles.bgColor.closeRe = new RegExp(escapeStringRegexp(ansiStyles.bgColor.close), "g");
    for (const model of Object.keys(ansiStyles.bgColor.ansi)) {
      if (skipModels.has(model)) {
        continue;
      }
      const bgModel = "bg" + model[0].toUpperCase() + model.slice(1);
      styles2[bgModel] = {
        get() {
          const level = this.level;
          return function() {
            const open3 = ansiStyles.bgColor[levelMapping[level]][model].apply(null, arguments);
            const codes = {
              open: open3,
              close: ansiStyles.bgColor.close,
              closeRe: ansiStyles.bgColor.closeRe
            };
            return build.call(this, this._styles ? this._styles.concat(codes) : [codes], this._empty, model);
          };
        }
      };
    }
    var proto = Object.defineProperties(() => {
    }, styles2);
    function build(_styles, _empty, key) {
      const builder = function() {
        return applyStyle.apply(builder, arguments);
      };
      builder._styles = _styles;
      builder._empty = _empty;
      const self2 = this;
      Object.defineProperty(builder, "level", {
        enumerable: true,
        get() {
          return self2.level;
        },
        set(level) {
          self2.level = level;
        }
      });
      Object.defineProperty(builder, "enabled", {
        enumerable: true,
        get() {
          return self2.enabled;
        },
        set(enabled) {
          self2.enabled = enabled;
        }
      });
      builder.hasGrey = this.hasGrey || key === "gray" || key === "grey";
      builder.__proto__ = proto;
      return builder;
    }
    function applyStyle() {
      const args3 = arguments;
      const argsLen = args3.length;
      let str = String(arguments[0]);
      if (argsLen === 0) {
        return "";
      }
      if (argsLen > 1) {
        for (let a3 = 1; a3 < argsLen; a3++) {
          str += " " + args3[a3];
        }
      }
      if (!this.enabled || this.level <= 0 || !str) {
        return this._empty ? "" : str;
      }
      const originalDim = ansiStyles.dim.open;
      if (isSimpleWindowsTerm && this.hasGrey) {
        ansiStyles.dim.open = "";
      }
      for (const code of this._styles.slice().reverse()) {
        str = code.open + str.replace(code.closeRe, code.open) + code.close;
        str = str.replace(/\r?\n/g, `${code.close}$&${code.open}`);
      }
      ansiStyles.dim.open = originalDim;
      return str;
    }
    function chalkTag(chalk, strings) {
      if (!Array.isArray(strings)) {
        return [].slice.call(arguments, 1).join(" ");
      }
      const args3 = [].slice.call(arguments, 2);
      const parts = [strings.raw[0]];
      for (let i4 = 1; i4 < strings.length; i4++) {
        parts.push(String(args3[i4 - 1]).replace(/[{}\\]/g, "\\$&"));
        parts.push(String(strings.raw[i4]));
      }
      return template(chalk, parts.join(""));
    }
    Object.defineProperties(Chalk.prototype, styles2);
    module2.exports = Chalk();
    module2.exports.supportsColor = stdoutColor;
    module2.exports.default = module2.exports;
  }
});

// ../../node_modules/.pnpm/@babel+highlight@7.18.6/node_modules/@babel/highlight/lib/index.js
var require_lib2 = __commonJS({
  "../../node_modules/.pnpm/@babel+highlight@7.18.6/node_modules/@babel/highlight/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", {
      value: true
    });
    exports2.default = highlight2;
    exports2.getChalk = getChalk;
    exports2.shouldHighlight = shouldHighlight;
    var _jsTokens = require_js_tokens();
    var _helperValidatorIdentifier = require_lib();
    var _chalk = require_chalk();
    var sometimesKeywords = /* @__PURE__ */ new Set(["as", "async", "from", "get", "of", "set"]);
    function getDefs(chalk) {
      return {
        keyword: chalk.cyan,
        capitalized: chalk.yellow,
        jsxIdentifier: chalk.yellow,
        punctuator: chalk.yellow,
        number: chalk.magenta,
        string: chalk.green,
        regex: chalk.magenta,
        comment: chalk.grey,
        invalid: chalk.white.bgRed.bold
      };
    }
    var NEWLINE = /\r\n|[\n\r\u2028\u2029]/;
    var BRACKET = /^[()[\]{}]$/;
    var tokenize;
    {
      const JSX_TAG = /^[a-z][\w-]*$/i;
      const getTokenType = function(token, offset, text2) {
        if (token.type === "name") {
          if ((0, _helperValidatorIdentifier.isKeyword)(token.value) || (0, _helperValidatorIdentifier.isStrictReservedWord)(token.value, true) || sometimesKeywords.has(token.value)) {
            return "keyword";
          }
          if (JSX_TAG.test(token.value) && (text2[offset - 1] === "<" || text2.slice(offset - 2, offset) == "</")) {
            return "jsxIdentifier";
          }
          if (token.value[0] !== token.value[0].toLowerCase()) {
            return "capitalized";
          }
        }
        if (token.type === "punctuator" && BRACKET.test(token.value)) {
          return "bracket";
        }
        if (token.type === "invalid" && (token.value === "@" || token.value === "#")) {
          return "punctuator";
        }
        return token.type;
      };
      tokenize = function* (text2) {
        let match4;
        while (match4 = _jsTokens.default.exec(text2)) {
          const token = _jsTokens.matchToToken(match4);
          yield {
            type: getTokenType(token, match4.index, text2),
            value: token.value
          };
        }
      };
    }
    function highlightTokens(defs, text2) {
      let highlighted = "";
      for (const {
        type,
        value
      } of tokenize(text2)) {
        const colorize = defs[type];
        if (colorize) {
          highlighted += value.split(NEWLINE).map((str) => colorize(str)).join("\n");
        } else {
          highlighted += value;
        }
      }
      return highlighted;
    }
    function shouldHighlight(options2) {
      return !!_chalk.supportsColor || options2.forceColor;
    }
    function getChalk(options2) {
      return options2.forceColor ? new _chalk.constructor({
        enabled: true,
        level: 1
      }) : _chalk;
    }
    function highlight2(code, options2 = {}) {
      if (code !== "" && shouldHighlight(options2)) {
        const chalk = getChalk(options2);
        const defs = getDefs(chalk);
        return highlightTokens(defs, code);
      } else {
        return code;
      }
    }
  }
});

// ../../node_modules/.pnpm/@babel+code-frame@7.21.4/node_modules/@babel/code-frame/lib/index.js
var require_lib3 = __commonJS({
  "../../node_modules/.pnpm/@babel+code-frame@7.21.4/node_modules/@babel/code-frame/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", {
      value: true
    });
    exports2.codeFrameColumns = codeFrameColumns;
    exports2.default = _default;
    var _highlight = require_lib2();
    var deprecationWarningShown = false;
    function getDefs(chalk) {
      return {
        gutter: chalk.grey,
        marker: chalk.red.bold,
        message: chalk.red.bold
      };
    }
    var NEWLINE = /\r\n|[\n\r\u2028\u2029]/;
    function getMarkerLines(loc, source, opts2) {
      const startLoc = Object.assign({
        column: 0,
        line: -1
      }, loc.start);
      const endLoc = Object.assign({}, startLoc, loc.end);
      const {
        linesAbove = 2,
        linesBelow = 3
      } = opts2 || {};
      const startLine = startLoc.line;
      const startColumn = startLoc.column;
      const endLine = endLoc.line;
      const endColumn = endLoc.column;
      let start = Math.max(startLine - (linesAbove + 1), 0);
      let end = Math.min(source.length, endLine + linesBelow);
      if (startLine === -1) {
        start = 0;
      }
      if (endLine === -1) {
        end = source.length;
      }
      const lineDiff = endLine - startLine;
      const markerLines = {};
      if (lineDiff) {
        for (let i4 = 0; i4 <= lineDiff; i4++) {
          const lineNumber = i4 + startLine;
          if (!startColumn) {
            markerLines[lineNumber] = true;
          } else if (i4 === 0) {
            const sourceLength = source[lineNumber - 1].length;
            markerLines[lineNumber] = [startColumn, sourceLength - startColumn + 1];
          } else if (i4 === lineDiff) {
            markerLines[lineNumber] = [0, endColumn];
          } else {
            const sourceLength = source[lineNumber - i4].length;
            markerLines[lineNumber] = [0, sourceLength];
          }
        }
      } else {
        if (startColumn === endColumn) {
          if (startColumn) {
            markerLines[startLine] = [startColumn, 0];
          } else {
            markerLines[startLine] = true;
          }
        } else {
          markerLines[startLine] = [startColumn, endColumn - startColumn];
        }
      }
      return {
        start,
        end,
        markerLines
      };
    }
    function codeFrameColumns(rawLines, loc, opts2 = {}) {
      const highlighted = (opts2.highlightCode || opts2.forceColor) && (0, _highlight.shouldHighlight)(opts2);
      const chalk = (0, _highlight.getChalk)(opts2);
      const defs = getDefs(chalk);
      const maybeHighlight = (chalkFn, string) => {
        return highlighted ? chalkFn(string) : string;
      };
      const lines2 = rawLines.split(NEWLINE);
      const {
        start,
        end,
        markerLines
      } = getMarkerLines(loc, lines2, opts2);
      const hasColumns = loc.start && typeof loc.start.column === "number";
      const numberMaxWidth = String(end).length;
      const highlightedLines = highlighted ? (0, _highlight.default)(rawLines, opts2) : rawLines;
      let frame = highlightedLines.split(NEWLINE, end).slice(start, end).map((line, index2) => {
        const number2 = start + 1 + index2;
        const paddedNumber = ` ${number2}`.slice(-numberMaxWidth);
        const gutter = ` ${paddedNumber} |`;
        const hasMarker = markerLines[number2];
        const lastMarkerLine = !markerLines[number2 + 1];
        if (hasMarker) {
          let markerLine = "";
          if (Array.isArray(hasMarker)) {
            const markerSpacing = line.slice(0, Math.max(hasMarker[0] - 1, 0)).replace(/[^\t]/g, " ");
            const numberOfMarkers = hasMarker[1] || 1;
            markerLine = ["\n ", maybeHighlight(defs.gutter, gutter.replace(/\d/g, " ")), " ", markerSpacing, maybeHighlight(defs.marker, "^").repeat(numberOfMarkers)].join("");
            if (lastMarkerLine && opts2.message) {
              markerLine += " " + maybeHighlight(defs.message, opts2.message);
            }
          }
          return [maybeHighlight(defs.marker, ">"), maybeHighlight(defs.gutter, gutter), line.length > 0 ? ` ${line}` : "", markerLine].join("");
        } else {
          return ` ${maybeHighlight(defs.gutter, gutter)}${line.length > 0 ? ` ${line}` : ""}`;
        }
      }).join("\n");
      if (opts2.message && !hasColumns) {
        frame = `${" ".repeat(numberMaxWidth + 1)}${opts2.message}
${frame}`;
      }
      if (highlighted) {
        return chalk.reset(frame);
      } else {
        return frame;
      }
    }
    function _default(rawLines, lineNumber, colNumber, opts2 = {}) {
      if (!deprecationWarningShown) {
        deprecationWarningShown = true;
        const message2 = "Passing lineNumber and colNumber is deprecated to @babel/code-frame. Please use `codeFrameColumns`.";
        if (process.emitWarning) {
          process.emitWarning(message2, "DeprecationWarning");
        } else {
          const deprecationError = new Error(message2);
          deprecationError.name = "DeprecationWarning";
          console.warn(new Error(message2));
        }
      }
      colNumber = Math.max(colNumber, 0);
      const location = {
        start: {
          column: colNumber,
          line: lineNumber
        }
      };
      return codeFrameColumns(rawLines, location, opts2);
    }
  }
});

// ../../node_modules/.pnpm/parse-json@5.2.0/node_modules/parse-json/index.js
var require_parse_json = __commonJS({
  "../../node_modules/.pnpm/parse-json@5.2.0/node_modules/parse-json/index.js"(exports2, module2) {
    "use strict";
    var errorEx = require_error_ex();
    var fallback2 = require_json_parse_even_better_errors();
    var { default: LinesAndColumns } = require_build();
    var { codeFrameColumns } = require_lib3();
    var JSONError = errorEx("JSONError", {
      fileName: errorEx.append("in %s"),
      codeFrame: errorEx.append("\n\n%s\n")
    });
    var parseJson = (string, reviver, filename) => {
      if (typeof reviver === "string") {
        filename = reviver;
        reviver = null;
      }
      try {
        try {
          return JSON.parse(string, reviver);
        } catch (error2) {
          fallback2(string, reviver);
          throw error2;
        }
      } catch (error2) {
        error2.message = error2.message.replace(/\n/g, "");
        const indexMatch = error2.message.match(/in JSON at position (\d+) while parsing/);
        const jsonError = new JSONError(error2);
        if (filename) {
          jsonError.fileName = filename;
        }
        if (indexMatch && indexMatch.length > 0) {
          const lines2 = new LinesAndColumns(string);
          const index2 = Number(indexMatch[1]);
          const location = lines2.locationForIndex(index2);
          const codeFrame = codeFrameColumns(
            string,
            { start: { line: location.line + 1, column: location.column + 1 } },
            { highlightCode: true }
          );
          jsonError.codeFrame = codeFrame;
        }
        throw jsonError;
      }
    };
    parseJson.JSONError = JSONError;
    module2.exports = parseJson;
  }
});

// ../../node_modules/.pnpm/semver@5.7.1/node_modules/semver/semver.js
var require_semver = __commonJS({
  "../../node_modules/.pnpm/semver@5.7.1/node_modules/semver/semver.js"(exports2, module2) {
    "use strict";
    exports2 = module2.exports = SemVer2;
    var debug30;
    if (typeof process === "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG)) {
      debug30 = function() {
        var args3 = Array.prototype.slice.call(arguments, 0);
        args3.unshift("SEMVER");
        console.log.apply(console, args3);
      };
    } else {
      debug30 = function() {
      };
    }
    exports2.SEMVER_SPEC_VERSION = "2.0.0";
    var MAX_LENGTH2 = 256;
    var MAX_SAFE_INTEGER2 = Number.MAX_SAFE_INTEGER || /* istanbul ignore next */
    9007199254740991;
    var MAX_SAFE_COMPONENT_LENGTH2 = 16;
    var re2 = exports2.re = [];
    var src2 = exports2.src = [];
    var R = 0;
    var NUMERICIDENTIFIER = R++;
    src2[NUMERICIDENTIFIER] = "0|[1-9]\\d*";
    var NUMERICIDENTIFIERLOOSE = R++;
    src2[NUMERICIDENTIFIERLOOSE] = "[0-9]+";
    var NONNUMERICIDENTIFIER = R++;
    src2[NONNUMERICIDENTIFIER] = "\\d*[a-zA-Z-][a-zA-Z0-9-]*";
    var MAINVERSION = R++;
    src2[MAINVERSION] = "(" + src2[NUMERICIDENTIFIER] + ")\\.(" + src2[NUMERICIDENTIFIER] + ")\\.(" + src2[NUMERICIDENTIFIER] + ")";
    var MAINVERSIONLOOSE = R++;
    src2[MAINVERSIONLOOSE] = "(" + src2[NUMERICIDENTIFIERLOOSE] + ")\\.(" + src2[NUMERICIDENTIFIERLOOSE] + ")\\.(" + src2[NUMERICIDENTIFIERLOOSE] + ")";
    var PRERELEASEIDENTIFIER = R++;
    src2[PRERELEASEIDENTIFIER] = "(?:" + src2[NUMERICIDENTIFIER] + "|" + src2[NONNUMERICIDENTIFIER] + ")";
    var PRERELEASEIDENTIFIERLOOSE = R++;
    src2[PRERELEASEIDENTIFIERLOOSE] = "(?:" + src2[NUMERICIDENTIFIERLOOSE] + "|" + src2[NONNUMERICIDENTIFIER] + ")";
    var PRERELEASE = R++;
    src2[PRERELEASE] = "(?:-(" + src2[PRERELEASEIDENTIFIER] + "(?:\\." + src2[PRERELEASEIDENTIFIER] + ")*))";
    var PRERELEASELOOSE = R++;
    src2[PRERELEASELOOSE] = "(?:-?(" + src2[PRERELEASEIDENTIFIERLOOSE] + "(?:\\." + src2[PRERELEASEIDENTIFIERLOOSE] + ")*))";
    var BUILDIDENTIFIER = R++;
    src2[BUILDIDENTIFIER] = "[0-9A-Za-z-]+";
    var BUILD = R++;
    src2[BUILD] = "(?:\\+(" + src2[BUILDIDENTIFIER] + "(?:\\." + src2[BUILDIDENTIFIER] + ")*))";
    var FULL = R++;
    var FULLPLAIN = "v?" + src2[MAINVERSION] + src2[PRERELEASE] + "?" + src2[BUILD] + "?";
    src2[FULL] = "^" + FULLPLAIN + "$";
    var LOOSEPLAIN = "[v=\\s]*" + src2[MAINVERSIONLOOSE] + src2[PRERELEASELOOSE] + "?" + src2[BUILD] + "?";
    var LOOSE = R++;
    src2[LOOSE] = "^" + LOOSEPLAIN + "$";
    var GTLT = R++;
    src2[GTLT] = "((?:<|>)?=?)";
    var XRANGEIDENTIFIERLOOSE = R++;
    src2[XRANGEIDENTIFIERLOOSE] = src2[NUMERICIDENTIFIERLOOSE] + "|x|X|\\*";
    var XRANGEIDENTIFIER = R++;
    src2[XRANGEIDENTIFIER] = src2[NUMERICIDENTIFIER] + "|x|X|\\*";
    var XRANGEPLAIN = R++;
    src2[XRANGEPLAIN] = "[v=\\s]*(" + src2[XRANGEIDENTIFIER] + ")(?:\\.(" + src2[XRANGEIDENTIFIER] + ")(?:\\.(" + src2[XRANGEIDENTIFIER] + ")(?:" + src2[PRERELEASE] + ")?" + src2[BUILD] + "?)?)?";
    var XRANGEPLAINLOOSE = R++;
    src2[XRANGEPLAINLOOSE] = "[v=\\s]*(" + src2[XRANGEIDENTIFIERLOOSE] + ")(?:\\.(" + src2[XRANGEIDENTIFIERLOOSE] + ")(?:\\.(" + src2[XRANGEIDENTIFIERLOOSE] + ")(?:" + src2[PRERELEASELOOSE] + ")?" + src2[BUILD] + "?)?)?";
    var XRANGE = R++;
    src2[XRANGE] = "^" + src2[GTLT] + "\\s*" + src2[XRANGEPLAIN] + "$";
    var XRANGELOOSE = R++;
    src2[XRANGELOOSE] = "^" + src2[GTLT] + "\\s*" + src2[XRANGEPLAINLOOSE] + "$";
    var COERCE = R++;
    src2[COERCE] = "(?:^|[^\\d])(\\d{1," + MAX_SAFE_COMPONENT_LENGTH2 + "})(?:\\.(\\d{1," + MAX_SAFE_COMPONENT_LENGTH2 + "}))?(?:\\.(\\d{1," + MAX_SAFE_COMPONENT_LENGTH2 + "}))?(?:$|[^\\d])";
    var LONETILDE = R++;
    src2[LONETILDE] = "(?:~>?)";
    var TILDETRIM = R++;
    src2[TILDETRIM] = "(\\s*)" + src2[LONETILDE] + "\\s+";
    re2[TILDETRIM] = new RegExp(src2[TILDETRIM], "g");
    var tildeTrimReplace = "$1~";
    var TILDE = R++;
    src2[TILDE] = "^" + src2[LONETILDE] + src2[XRANGEPLAIN] + "$";
    var TILDELOOSE = R++;
    src2[TILDELOOSE] = "^" + src2[LONETILDE] + src2[XRANGEPLAINLOOSE] + "$";
    var LONECARET = R++;
    src2[LONECARET] = "(?:\\^)";
    var CARETTRIM = R++;
    src2[CARETTRIM] = "(\\s*)" + src2[LONECARET] + "\\s+";
    re2[CARETTRIM] = new RegExp(src2[CARETTRIM], "g");
    var caretTrimReplace = "$1^";
    var CARET = R++;
    src2[CARET] = "^" + src2[LONECARET] + src2[XRANGEPLAIN] + "$";
    var CARETLOOSE = R++;
    src2[CARETLOOSE] = "^" + src2[LONECARET] + src2[XRANGEPLAINLOOSE] + "$";
    var COMPARATORLOOSE = R++;
    src2[COMPARATORLOOSE] = "^" + src2[GTLT] + "\\s*(" + LOOSEPLAIN + ")$|^$";
    var COMPARATOR = R++;
    src2[COMPARATOR] = "^" + src2[GTLT] + "\\s*(" + FULLPLAIN + ")$|^$";
    var COMPARATORTRIM = R++;
    src2[COMPARATORTRIM] = "(\\s*)" + src2[GTLT] + "\\s*(" + LOOSEPLAIN + "|" + src2[XRANGEPLAIN] + ")";
    re2[COMPARATORTRIM] = new RegExp(src2[COMPARATORTRIM], "g");
    var comparatorTrimReplace = "$1$2$3";
    var HYPHENRANGE = R++;
    src2[HYPHENRANGE] = "^\\s*(" + src2[XRANGEPLAIN] + ")\\s+-\\s+(" + src2[XRANGEPLAIN] + ")\\s*$";
    var HYPHENRANGELOOSE = R++;
    src2[HYPHENRANGELOOSE] = "^\\s*(" + src2[XRANGEPLAINLOOSE] + ")\\s+-\\s+(" + src2[XRANGEPLAINLOOSE] + ")\\s*$";
    var STAR = R++;
    src2[STAR] = "(<|>)?=?\\s*\\*";
    for (i4 = 0; i4 < R; i4++) {
      debug30(i4, src2[i4]);
      if (!re2[i4]) {
        re2[i4] = new RegExp(src2[i4]);
      }
    }
    var i4;
    exports2.parse = parse3;
    function parse3(version3, options2) {
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      if (version3 instanceof SemVer2) {
        return version3;
      }
      if (typeof version3 !== "string") {
        return null;
      }
      if (version3.length > MAX_LENGTH2) {
        return null;
      }
      var r2 = options2.loose ? re2[LOOSE] : re2[FULL];
      if (!r2.test(version3)) {
        return null;
      }
      try {
        return new SemVer2(version3, options2);
      } catch (er) {
        return null;
      }
    }
    exports2.valid = valid;
    function valid(version3, options2) {
      var v2 = parse3(version3, options2);
      return v2 ? v2.version : null;
    }
    exports2.clean = clean;
    function clean(version3, options2) {
      var s3 = parse3(version3.trim().replace(/^[=v]+/, ""), options2);
      return s3 ? s3.version : null;
    }
    exports2.SemVer = SemVer2;
    function SemVer2(version3, options2) {
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      if (version3 instanceof SemVer2) {
        if (version3.loose === options2.loose) {
          return version3;
        } else {
          version3 = version3.version;
        }
      } else if (typeof version3 !== "string") {
        throw new TypeError("Invalid Version: " + version3);
      }
      if (version3.length > MAX_LENGTH2) {
        throw new TypeError("version is longer than " + MAX_LENGTH2 + " characters");
      }
      if (!(this instanceof SemVer2)) {
        return new SemVer2(version3, options2);
      }
      debug30("SemVer", version3, options2);
      this.options = options2;
      this.loose = !!options2.loose;
      var m3 = version3.trim().match(options2.loose ? re2[LOOSE] : re2[FULL]);
      if (!m3) {
        throw new TypeError("Invalid Version: " + version3);
      }
      this.raw = version3;
      this.major = +m3[1];
      this.minor = +m3[2];
      this.patch = +m3[3];
      if (this.major > MAX_SAFE_INTEGER2 || this.major < 0) {
        throw new TypeError("Invalid major version");
      }
      if (this.minor > MAX_SAFE_INTEGER2 || this.minor < 0) {
        throw new TypeError("Invalid minor version");
      }
      if (this.patch > MAX_SAFE_INTEGER2 || this.patch < 0) {
        throw new TypeError("Invalid patch version");
      }
      if (!m3[4]) {
        this.prerelease = [];
      } else {
        this.prerelease = m3[4].split(".").map(function(id2) {
          if (/^[0-9]+$/.test(id2)) {
            var num = +id2;
            if (num >= 0 && num < MAX_SAFE_INTEGER2) {
              return num;
            }
          }
          return id2;
        });
      }
      this.build = m3[5] ? m3[5].split(".") : [];
      this.format();
    }
    SemVer2.prototype.format = function() {
      this.version = this.major + "." + this.minor + "." + this.patch;
      if (this.prerelease.length) {
        this.version += "-" + this.prerelease.join(".");
      }
      return this.version;
    };
    SemVer2.prototype.toString = function() {
      return this.version;
    };
    SemVer2.prototype.compare = function(other) {
      debug30("SemVer.compare", this.version, this.options, other);
      if (!(other instanceof SemVer2)) {
        other = new SemVer2(other, this.options);
      }
      return this.compareMain(other) || this.comparePre(other);
    };
    SemVer2.prototype.compareMain = function(other) {
      if (!(other instanceof SemVer2)) {
        other = new SemVer2(other, this.options);
      }
      return compareIdentifiers2(this.major, other.major) || compareIdentifiers2(this.minor, other.minor) || compareIdentifiers2(this.patch, other.patch);
    };
    SemVer2.prototype.comparePre = function(other) {
      if (!(other instanceof SemVer2)) {
        other = new SemVer2(other, this.options);
      }
      if (this.prerelease.length && !other.prerelease.length) {
        return -1;
      } else if (!this.prerelease.length && other.prerelease.length) {
        return 1;
      } else if (!this.prerelease.length && !other.prerelease.length) {
        return 0;
      }
      var i7 = 0;
      do {
        var a3 = this.prerelease[i7];
        var b6 = other.prerelease[i7];
        debug30("prerelease compare", i7, a3, b6);
        if (a3 === void 0 && b6 === void 0) {
          return 0;
        } else if (b6 === void 0) {
          return 1;
        } else if (a3 === void 0) {
          return -1;
        } else if (a3 === b6) {
          continue;
        } else {
          return compareIdentifiers2(a3, b6);
        }
      } while (++i7);
    };
    SemVer2.prototype.inc = function(release, identifier) {
      switch (release) {
        case "premajor":
          this.prerelease.length = 0;
          this.patch = 0;
          this.minor = 0;
          this.major++;
          this.inc("pre", identifier);
          break;
        case "preminor":
          this.prerelease.length = 0;
          this.patch = 0;
          this.minor++;
          this.inc("pre", identifier);
          break;
        case "prepatch":
          this.prerelease.length = 0;
          this.inc("patch", identifier);
          this.inc("pre", identifier);
          break;
        case "prerelease":
          if (this.prerelease.length === 0) {
            this.inc("patch", identifier);
          }
          this.inc("pre", identifier);
          break;
        case "major":
          if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
            this.major++;
          }
          this.minor = 0;
          this.patch = 0;
          this.prerelease = [];
          break;
        case "minor":
          if (this.patch !== 0 || this.prerelease.length === 0) {
            this.minor++;
          }
          this.patch = 0;
          this.prerelease = [];
          break;
        case "patch":
          if (this.prerelease.length === 0) {
            this.patch++;
          }
          this.prerelease = [];
          break;
        case "pre":
          if (this.prerelease.length === 0) {
            this.prerelease = [0];
          } else {
            var i7 = this.prerelease.length;
            while (--i7 >= 0) {
              if (typeof this.prerelease[i7] === "number") {
                this.prerelease[i7]++;
                i7 = -2;
              }
            }
            if (i7 === -1) {
              this.prerelease.push(0);
            }
          }
          if (identifier) {
            if (this.prerelease[0] === identifier) {
              if (isNaN(this.prerelease[1])) {
                this.prerelease = [identifier, 0];
              }
            } else {
              this.prerelease = [identifier, 0];
            }
          }
          break;
        default:
          throw new Error("invalid increment argument: " + release);
      }
      this.format();
      this.raw = this.version;
      return this;
    };
    exports2.inc = inc;
    function inc(version3, release, loose, identifier) {
      if (typeof loose === "string") {
        identifier = loose;
        loose = void 0;
      }
      try {
        return new SemVer2(version3, loose).inc(release, identifier).version;
      } catch (er) {
        return null;
      }
    }
    exports2.diff = diff;
    function diff(version1, version22) {
      if (eq2(version1, version22)) {
        return null;
      } else {
        var v1 = parse3(version1);
        var v2 = parse3(version22);
        var prefix = "";
        if (v1.prerelease.length || v2.prerelease.length) {
          prefix = "pre";
          var defaultResult = "prerelease";
        }
        for (var key in v1) {
          if (key === "major" || key === "minor" || key === "patch") {
            if (v1[key] !== v2[key]) {
              return prefix + key;
            }
          }
        }
        return defaultResult;
      }
    }
    exports2.compareIdentifiers = compareIdentifiers2;
    var numeric2 = /^[0-9]+$/;
    function compareIdentifiers2(a3, b6) {
      var anum = numeric2.test(a3);
      var bnum = numeric2.test(b6);
      if (anum && bnum) {
        a3 = +a3;
        b6 = +b6;
      }
      return a3 === b6 ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a3 < b6 ? -1 : 1;
    }
    exports2.rcompareIdentifiers = rcompareIdentifiers2;
    function rcompareIdentifiers2(a3, b6) {
      return compareIdentifiers2(b6, a3);
    }
    exports2.major = major;
    function major(a3, loose) {
      return new SemVer2(a3, loose).major;
    }
    exports2.minor = minor;
    function minor(a3, loose) {
      return new SemVer2(a3, loose).minor;
    }
    exports2.patch = patch;
    function patch(a3, loose) {
      return new SemVer2(a3, loose).patch;
    }
    exports2.compare = compare2;
    function compare2(a3, b6, loose) {
      return new SemVer2(a3, loose).compare(new SemVer2(b6, loose));
    }
    exports2.compareLoose = compareLoose;
    function compareLoose(a3, b6) {
      return compare2(a3, b6, true);
    }
    exports2.rcompare = rcompare;
    function rcompare(a3, b6, loose) {
      return compare2(b6, a3, loose);
    }
    exports2.sort = sort;
    function sort(list, loose) {
      return list.sort(function(a3, b6) {
        return exports2.compare(a3, b6, loose);
      });
    }
    exports2.rsort = rsort;
    function rsort(list, loose) {
      return list.sort(function(a3, b6) {
        return exports2.rcompare(a3, b6, loose);
      });
    }
    exports2.gt = gt;
    function gt(a3, b6, loose) {
      return compare2(a3, b6, loose) > 0;
    }
    exports2.lt = lt2;
    function lt2(a3, b6, loose) {
      return compare2(a3, b6, loose) < 0;
    }
    exports2.eq = eq2;
    function eq2(a3, b6, loose) {
      return compare2(a3, b6, loose) === 0;
    }
    exports2.neq = neq;
    function neq(a3, b6, loose) {
      return compare2(a3, b6, loose) !== 0;
    }
    exports2.gte = gte2;
    function gte2(a3, b6, loose) {
      return compare2(a3, b6, loose) >= 0;
    }
    exports2.lte = lte;
    function lte(a3, b6, loose) {
      return compare2(a3, b6, loose) <= 0;
    }
    exports2.cmp = cmp;
    function cmp(a3, op, b6, loose) {
      switch (op) {
        case "===":
          if (typeof a3 === "object")
            a3 = a3.version;
          if (typeof b6 === "object")
            b6 = b6.version;
          return a3 === b6;
        case "!==":
          if (typeof a3 === "object")
            a3 = a3.version;
          if (typeof b6 === "object")
            b6 = b6.version;
          return a3 !== b6;
        case "":
        case "=":
        case "==":
          return eq2(a3, b6, loose);
        case "!=":
          return neq(a3, b6, loose);
        case ">":
          return gt(a3, b6, loose);
        case ">=":
          return gte2(a3, b6, loose);
        case "<":
          return lt2(a3, b6, loose);
        case "<=":
          return lte(a3, b6, loose);
        default:
          throw new TypeError("Invalid operator: " + op);
      }
    }
    exports2.Comparator = Comparator;
    function Comparator(comp, options2) {
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      if (comp instanceof Comparator) {
        if (comp.loose === !!options2.loose) {
          return comp;
        } else {
          comp = comp.value;
        }
      }
      if (!(this instanceof Comparator)) {
        return new Comparator(comp, options2);
      }
      debug30("comparator", comp, options2);
      this.options = options2;
      this.loose = !!options2.loose;
      this.parse(comp);
      if (this.semver === ANY) {
        this.value = "";
      } else {
        this.value = this.operator + this.semver.version;
      }
      debug30("comp", this);
    }
    var ANY = {};
    Comparator.prototype.parse = function(comp) {
      var r2 = this.options.loose ? re2[COMPARATORLOOSE] : re2[COMPARATOR];
      var m3 = comp.match(r2);
      if (!m3) {
        throw new TypeError("Invalid comparator: " + comp);
      }
      this.operator = m3[1];
      if (this.operator === "=") {
        this.operator = "";
      }
      if (!m3[2]) {
        this.semver = ANY;
      } else {
        this.semver = new SemVer2(m3[2], this.options.loose);
      }
    };
    Comparator.prototype.toString = function() {
      return this.value;
    };
    Comparator.prototype.test = function(version3) {
      debug30("Comparator.test", version3, this.options.loose);
      if (this.semver === ANY) {
        return true;
      }
      if (typeof version3 === "string") {
        version3 = new SemVer2(version3, this.options);
      }
      return cmp(version3, this.operator, this.semver, this.options);
    };
    Comparator.prototype.intersects = function(comp, options2) {
      if (!(comp instanceof Comparator)) {
        throw new TypeError("a Comparator is required");
      }
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      var rangeTmp;
      if (this.operator === "") {
        rangeTmp = new Range(comp.value, options2);
        return satisfies(this.value, rangeTmp, options2);
      } else if (comp.operator === "") {
        rangeTmp = new Range(this.value, options2);
        return satisfies(comp.semver, rangeTmp, options2);
      }
      var sameDirectionIncreasing = (this.operator === ">=" || this.operator === ">") && (comp.operator === ">=" || comp.operator === ">");
      var sameDirectionDecreasing = (this.operator === "<=" || this.operator === "<") && (comp.operator === "<=" || comp.operator === "<");
      var sameSemVer = this.semver.version === comp.semver.version;
      var differentDirectionsInclusive = (this.operator === ">=" || this.operator === "<=") && (comp.operator === ">=" || comp.operator === "<=");
      var oppositeDirectionsLessThan = cmp(this.semver, "<", comp.semver, options2) && ((this.operator === ">=" || this.operator === ">") && (comp.operator === "<=" || comp.operator === "<"));
      var oppositeDirectionsGreaterThan = cmp(this.semver, ">", comp.semver, options2) && ((this.operator === "<=" || this.operator === "<") && (comp.operator === ">=" || comp.operator === ">"));
      return sameDirectionIncreasing || sameDirectionDecreasing || sameSemVer && differentDirectionsInclusive || oppositeDirectionsLessThan || oppositeDirectionsGreaterThan;
    };
    exports2.Range = Range;
    function Range(range2, options2) {
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      if (range2 instanceof Range) {
        if (range2.loose === !!options2.loose && range2.includePrerelease === !!options2.includePrerelease) {
          return range2;
        } else {
          return new Range(range2.raw, options2);
        }
      }
      if (range2 instanceof Comparator) {
        return new Range(range2.value, options2);
      }
      if (!(this instanceof Range)) {
        return new Range(range2, options2);
      }
      this.options = options2;
      this.loose = !!options2.loose;
      this.includePrerelease = !!options2.includePrerelease;
      this.raw = range2;
      this.set = range2.split(/\s*\|\|\s*/).map(function(range3) {
        return this.parseRange(range3.trim());
      }, this).filter(function(c4) {
        return c4.length;
      });
      if (!this.set.length) {
        throw new TypeError("Invalid SemVer Range: " + range2);
      }
      this.format();
    }
    Range.prototype.format = function() {
      this.range = this.set.map(function(comps) {
        return comps.join(" ").trim();
      }).join("||").trim();
      return this.range;
    };
    Range.prototype.toString = function() {
      return this.range;
    };
    Range.prototype.parseRange = function(range2) {
      var loose = this.options.loose;
      range2 = range2.trim();
      var hr = loose ? re2[HYPHENRANGELOOSE] : re2[HYPHENRANGE];
      range2 = range2.replace(hr, hyphenReplace);
      debug30("hyphen replace", range2);
      range2 = range2.replace(re2[COMPARATORTRIM], comparatorTrimReplace);
      debug30("comparator trim", range2, re2[COMPARATORTRIM]);
      range2 = range2.replace(re2[TILDETRIM], tildeTrimReplace);
      range2 = range2.replace(re2[CARETTRIM], caretTrimReplace);
      range2 = range2.split(/\s+/).join(" ");
      var compRe = loose ? re2[COMPARATORLOOSE] : re2[COMPARATOR];
      var set = range2.split(" ").map(function(comp) {
        return parseComparator(comp, this.options);
      }, this).join(" ").split(/\s+/);
      if (this.options.loose) {
        set = set.filter(function(comp) {
          return !!comp.match(compRe);
        });
      }
      set = set.map(function(comp) {
        return new Comparator(comp, this.options);
      }, this);
      return set;
    };
    Range.prototype.intersects = function(range2, options2) {
      if (!(range2 instanceof Range)) {
        throw new TypeError("a Range is required");
      }
      return this.set.some(function(thisComparators) {
        return thisComparators.every(function(thisComparator) {
          return range2.set.some(function(rangeComparators) {
            return rangeComparators.every(function(rangeComparator) {
              return thisComparator.intersects(rangeComparator, options2);
            });
          });
        });
      });
    };
    exports2.toComparators = toComparators;
    function toComparators(range2, options2) {
      return new Range(range2, options2).set.map(function(comp) {
        return comp.map(function(c4) {
          return c4.value;
        }).join(" ").trim().split(" ");
      });
    }
    function parseComparator(comp, options2) {
      debug30("comp", comp, options2);
      comp = replaceCarets(comp, options2);
      debug30("caret", comp);
      comp = replaceTildes(comp, options2);
      debug30("tildes", comp);
      comp = replaceXRanges(comp, options2);
      debug30("xrange", comp);
      comp = replaceStars(comp, options2);
      debug30("stars", comp);
      return comp;
    }
    function isX(id2) {
      return !id2 || id2.toLowerCase() === "x" || id2 === "*";
    }
    function replaceTildes(comp, options2) {
      return comp.trim().split(/\s+/).map(function(comp2) {
        return replaceTilde(comp2, options2);
      }).join(" ");
    }
    function replaceTilde(comp, options2) {
      var r2 = options2.loose ? re2[TILDELOOSE] : re2[TILDE];
      return comp.replace(r2, function(_3, M, m3, p2, pr2) {
        debug30("tilde", comp, _3, M, m3, p2, pr2);
        var ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m3)) {
          ret = ">=" + M + ".0.0 <" + (+M + 1) + ".0.0";
        } else if (isX(p2)) {
          ret = ">=" + M + "." + m3 + ".0 <" + M + "." + (+m3 + 1) + ".0";
        } else if (pr2) {
          debug30("replaceTilde pr", pr2);
          ret = ">=" + M + "." + m3 + "." + p2 + "-" + pr2 + " <" + M + "." + (+m3 + 1) + ".0";
        } else {
          ret = ">=" + M + "." + m3 + "." + p2 + " <" + M + "." + (+m3 + 1) + ".0";
        }
        debug30("tilde return", ret);
        return ret;
      });
    }
    function replaceCarets(comp, options2) {
      return comp.trim().split(/\s+/).map(function(comp2) {
        return replaceCaret(comp2, options2);
      }).join(" ");
    }
    function replaceCaret(comp, options2) {
      debug30("caret", comp, options2);
      var r2 = options2.loose ? re2[CARETLOOSE] : re2[CARET];
      return comp.replace(r2, function(_3, M, m3, p2, pr2) {
        debug30("caret", comp, _3, M, m3, p2, pr2);
        var ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m3)) {
          ret = ">=" + M + ".0.0 <" + (+M + 1) + ".0.0";
        } else if (isX(p2)) {
          if (M === "0") {
            ret = ">=" + M + "." + m3 + ".0 <" + M + "." + (+m3 + 1) + ".0";
          } else {
            ret = ">=" + M + "." + m3 + ".0 <" + (+M + 1) + ".0.0";
          }
        } else if (pr2) {
          debug30("replaceCaret pr", pr2);
          if (M === "0") {
            if (m3 === "0") {
              ret = ">=" + M + "." + m3 + "." + p2 + "-" + pr2 + " <" + M + "." + m3 + "." + (+p2 + 1);
            } else {
              ret = ">=" + M + "." + m3 + "." + p2 + "-" + pr2 + " <" + M + "." + (+m3 + 1) + ".0";
            }
          } else {
            ret = ">=" + M + "." + m3 + "." + p2 + "-" + pr2 + " <" + (+M + 1) + ".0.0";
          }
        } else {
          debug30("no pr");
          if (M === "0") {
            if (m3 === "0") {
              ret = ">=" + M + "." + m3 + "." + p2 + " <" + M + "." + m3 + "." + (+p2 + 1);
            } else {
              ret = ">=" + M + "." + m3 + "." + p2 + " <" + M + "." + (+m3 + 1) + ".0";
            }
          } else {
            ret = ">=" + M + "." + m3 + "." + p2 + " <" + (+M + 1) + ".0.0";
          }
        }
        debug30("caret return", ret);
        return ret;
      });
    }
    function replaceXRanges(comp, options2) {
      debug30("replaceXRanges", comp, options2);
      return comp.split(/\s+/).map(function(comp2) {
        return replaceXRange(comp2, options2);
      }).join(" ");
    }
    function replaceXRange(comp, options2) {
      comp = comp.trim();
      var r2 = options2.loose ? re2[XRANGELOOSE] : re2[XRANGE];
      return comp.replace(r2, function(ret, gtlt, M, m3, p2, pr2) {
        debug30("xRange", comp, ret, gtlt, M, m3, p2, pr2);
        var xM2 = isX(M);
        var xm2 = xM2 || isX(m3);
        var xp = xm2 || isX(p2);
        var anyX = xp;
        if (gtlt === "=" && anyX) {
          gtlt = "";
        }
        if (xM2) {
          if (gtlt === ">" || gtlt === "<") {
            ret = "<0.0.0";
          } else {
            ret = "*";
          }
        } else if (gtlt && anyX) {
          if (xm2) {
            m3 = 0;
          }
          p2 = 0;
          if (gtlt === ">") {
            gtlt = ">=";
            if (xm2) {
              M = +M + 1;
              m3 = 0;
              p2 = 0;
            } else {
              m3 = +m3 + 1;
              p2 = 0;
            }
          } else if (gtlt === "<=") {
            gtlt = "<";
            if (xm2) {
              M = +M + 1;
            } else {
              m3 = +m3 + 1;
            }
          }
          ret = gtlt + M + "." + m3 + "." + p2;
        } else if (xm2) {
          ret = ">=" + M + ".0.0 <" + (+M + 1) + ".0.0";
        } else if (xp) {
          ret = ">=" + M + "." + m3 + ".0 <" + M + "." + (+m3 + 1) + ".0";
        }
        debug30("xRange return", ret);
        return ret;
      });
    }
    function replaceStars(comp, options2) {
      debug30("replaceStars", comp, options2);
      return comp.trim().replace(re2[STAR], "");
    }
    function hyphenReplace($0, from, fM2, fm, fp, fpr, fb, to2, tM2, tm2, tp2, tpr, tb) {
      if (isX(fM2)) {
        from = "";
      } else if (isX(fm)) {
        from = ">=" + fM2 + ".0.0";
      } else if (isX(fp)) {
        from = ">=" + fM2 + "." + fm + ".0";
      } else {
        from = ">=" + from;
      }
      if (isX(tM2)) {
        to2 = "";
      } else if (isX(tm2)) {
        to2 = "<" + (+tM2 + 1) + ".0.0";
      } else if (isX(tp2)) {
        to2 = "<" + tM2 + "." + (+tm2 + 1) + ".0";
      } else if (tpr) {
        to2 = "<=" + tM2 + "." + tm2 + "." + tp2 + "-" + tpr;
      } else {
        to2 = "<=" + to2;
      }
      return (from + " " + to2).trim();
    }
    Range.prototype.test = function(version3) {
      if (!version3) {
        return false;
      }
      if (typeof version3 === "string") {
        version3 = new SemVer2(version3, this.options);
      }
      for (var i7 = 0; i7 < this.set.length; i7++) {
        if (testSet(this.set[i7], version3, this.options)) {
          return true;
        }
      }
      return false;
    };
    function testSet(set, version3, options2) {
      for (var i7 = 0; i7 < set.length; i7++) {
        if (!set[i7].test(version3)) {
          return false;
        }
      }
      if (version3.prerelease.length && !options2.includePrerelease) {
        for (i7 = 0; i7 < set.length; i7++) {
          debug30(set[i7].semver);
          if (set[i7].semver === ANY) {
            continue;
          }
          if (set[i7].semver.prerelease.length > 0) {
            var allowed = set[i7].semver;
            if (allowed.major === version3.major && allowed.minor === version3.minor && allowed.patch === version3.patch) {
              return true;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.satisfies = satisfies;
    function satisfies(version3, range2, options2) {
      try {
        range2 = new Range(range2, options2);
      } catch (er) {
        return false;
      }
      return range2.test(version3);
    }
    exports2.maxSatisfying = maxSatisfying;
    function maxSatisfying(versions, range2, options2) {
      var max = null;
      var maxSV = null;
      try {
        var rangeObj = new Range(range2, options2);
      } catch (er) {
        return null;
      }
      versions.forEach(function(v2) {
        if (rangeObj.test(v2)) {
          if (!max || maxSV.compare(v2) === -1) {
            max = v2;
            maxSV = new SemVer2(max, options2);
          }
        }
      });
      return max;
    }
    exports2.minSatisfying = minSatisfying;
    function minSatisfying(versions, range2, options2) {
      var min = null;
      var minSV = null;
      try {
        var rangeObj = new Range(range2, options2);
      } catch (er) {
        return null;
      }
      versions.forEach(function(v2) {
        if (rangeObj.test(v2)) {
          if (!min || minSV.compare(v2) === 1) {
            min = v2;
            minSV = new SemVer2(min, options2);
          }
        }
      });
      return min;
    }
    exports2.minVersion = minVersion;
    function minVersion(range2, loose) {
      range2 = new Range(range2, loose);
      var minver = new SemVer2("0.0.0");
      if (range2.test(minver)) {
        return minver;
      }
      minver = new SemVer2("0.0.0-0");
      if (range2.test(minver)) {
        return minver;
      }
      minver = null;
      for (var i7 = 0; i7 < range2.set.length; ++i7) {
        var comparators = range2.set[i7];
        comparators.forEach(function(comparator) {
          var compver = new SemVer2(comparator.semver.version);
          switch (comparator.operator) {
            case ">":
              if (compver.prerelease.length === 0) {
                compver.patch++;
              } else {
                compver.prerelease.push(0);
              }
              compver.raw = compver.format();
            case "":
            case ">=":
              if (!minver || gt(minver, compver)) {
                minver = compver;
              }
              break;
            case "<":
            case "<=":
              break;
            default:
              throw new Error("Unexpected operation: " + comparator.operator);
          }
        });
      }
      if (minver && range2.test(minver)) {
        return minver;
      }
      return null;
    }
    exports2.validRange = validRange;
    function validRange(range2, options2) {
      try {
        return new Range(range2, options2).range || "*";
      } catch (er) {
        return null;
      }
    }
    exports2.ltr = ltr;
    function ltr(version3, range2, options2) {
      return outside(version3, range2, "<", options2);
    }
    exports2.gtr = gtr;
    function gtr(version3, range2, options2) {
      return outside(version3, range2, ">", options2);
    }
    exports2.outside = outside;
    function outside(version3, range2, hilo, options2) {
      version3 = new SemVer2(version3, options2);
      range2 = new Range(range2, options2);
      var gtfn, ltefn, ltfn, comp, ecomp;
      switch (hilo) {
        case ">":
          gtfn = gt;
          ltefn = lte;
          ltfn = lt2;
          comp = ">";
          ecomp = ">=";
          break;
        case "<":
          gtfn = lt2;
          ltefn = gte2;
          ltfn = gt;
          comp = "<";
          ecomp = "<=";
          break;
        default:
          throw new TypeError('Must provide a hilo val of "<" or ">"');
      }
      if (satisfies(version3, range2, options2)) {
        return false;
      }
      for (var i7 = 0; i7 < range2.set.length; ++i7) {
        var comparators = range2.set[i7];
        var high = null;
        var low = null;
        comparators.forEach(function(comparator) {
          if (comparator.semver === ANY) {
            comparator = new Comparator(">=0.0.0");
          }
          high = high || comparator;
          low = low || comparator;
          if (gtfn(comparator.semver, high.semver, options2)) {
            high = comparator;
          } else if (ltfn(comparator.semver, low.semver, options2)) {
            low = comparator;
          }
        });
        if (high.operator === comp || high.operator === ecomp) {
          return false;
        }
        if ((!low.operator || low.operator === comp) && ltefn(version3, low.semver)) {
          return false;
        } else if (low.operator === ecomp && ltfn(version3, low.semver)) {
          return false;
        }
      }
      return true;
    }
    exports2.prerelease = prerelease;
    function prerelease(version3, options2) {
      var parsed = parse3(version3, options2);
      return parsed && parsed.prerelease.length ? parsed.prerelease : null;
    }
    exports2.intersects = intersects;
    function intersects(r1, r2, options2) {
      r1 = new Range(r1, options2);
      r2 = new Range(r2, options2);
      return r1.intersects(r2);
    }
    exports2.coerce = coerce;
    function coerce(version3) {
      if (version3 instanceof SemVer2) {
        return version3;
      }
      if (typeof version3 !== "string") {
        return null;
      }
      var match4 = version3.match(re2[COERCE]);
      if (match4 == null) {
        return null;
      }
      return parse3(match4[1] + "." + (match4[2] || "0") + "." + (match4[3] || "0"));
    }
  }
});

// ../../node_modules/.pnpm/spdx-license-ids@3.0.13/node_modules/spdx-license-ids/index.json
var require_spdx_license_ids = __commonJS({
  "../../node_modules/.pnpm/spdx-license-ids@3.0.13/node_modules/spdx-license-ids/index.json"(exports2, module2) {
    module2.exports = [
      "0BSD",
      "AAL",
      "ADSL",
      "AFL-1.1",
      "AFL-1.2",
      "AFL-2.0",
      "AFL-2.1",
      "AFL-3.0",
      "AGPL-1.0-only",
      "AGPL-1.0-or-later",
      "AGPL-3.0-only",
      "AGPL-3.0-or-later",
      "AMDPLPA",
      "AML",
      "AMPAS",
      "ANTLR-PD",
      "ANTLR-PD-fallback",
      "APAFML",
      "APL-1.0",
      "APSL-1.0",
      "APSL-1.1",
      "APSL-1.2",
      "APSL-2.0",
      "Abstyles",
      "AdaCore-doc",
      "Adobe-2006",
      "Adobe-Glyph",
      "Afmparse",
      "Aladdin",
      "Apache-1.0",
      "Apache-1.1",
      "Apache-2.0",
      "App-s2p",
      "Arphic-1999",
      "Artistic-1.0",
      "Artistic-1.0-Perl",
      "Artistic-1.0-cl8",
      "Artistic-2.0",
      "BSD-1-Clause",
      "BSD-2-Clause",
      "BSD-2-Clause-Patent",
      "BSD-2-Clause-Views",
      "BSD-3-Clause",
      "BSD-3-Clause-Attribution",
      "BSD-3-Clause-Clear",
      "BSD-3-Clause-LBNL",
      "BSD-3-Clause-Modification",
      "BSD-3-Clause-No-Military-License",
      "BSD-3-Clause-No-Nuclear-License",
      "BSD-3-Clause-No-Nuclear-License-2014",
      "BSD-3-Clause-No-Nuclear-Warranty",
      "BSD-3-Clause-Open-MPI",
      "BSD-4-Clause",
      "BSD-4-Clause-Shortened",
      "BSD-4-Clause-UC",
      "BSD-4.3RENO",
      "BSD-4.3TAHOE",
      "BSD-Advertising-Acknowledgement",
      "BSD-Attribution-HPND-disclaimer",
      "BSD-Protection",
      "BSD-Source-Code",
      "BSL-1.0",
      "BUSL-1.1",
      "Baekmuk",
      "Bahyph",
      "Barr",
      "Beerware",
      "BitTorrent-1.0",
      "BitTorrent-1.1",
      "Bitstream-Charter",
      "Bitstream-Vera",
      "BlueOak-1.0.0",
      "Borceux",
      "Brian-Gladman-3-Clause",
      "C-UDA-1.0",
      "CAL-1.0",
      "CAL-1.0-Combined-Work-Exception",
      "CATOSL-1.1",
      "CC-BY-1.0",
      "CC-BY-2.0",
      "CC-BY-2.5",
      "CC-BY-2.5-AU",
      "CC-BY-3.0",
      "CC-BY-3.0-AT",
      "CC-BY-3.0-DE",
      "CC-BY-3.0-IGO",
      "CC-BY-3.0-NL",
      "CC-BY-3.0-US",
      "CC-BY-4.0",
      "CC-BY-NC-1.0",
      "CC-BY-NC-2.0",
      "CC-BY-NC-2.5",
      "CC-BY-NC-3.0",
      "CC-BY-NC-3.0-DE",
      "CC-BY-NC-4.0",
      "CC-BY-NC-ND-1.0",
      "CC-BY-NC-ND-2.0",
      "CC-BY-NC-ND-2.5",
      "CC-BY-NC-ND-3.0",
      "CC-BY-NC-ND-3.0-DE",
      "CC-BY-NC-ND-3.0-IGO",
      "CC-BY-NC-ND-4.0",
      "CC-BY-NC-SA-1.0",
      "CC-BY-NC-SA-2.0",
      "CC-BY-NC-SA-2.0-DE",
      "CC-BY-NC-SA-2.0-FR",
      "CC-BY-NC-SA-2.0-UK",
      "CC-BY-NC-SA-2.5",
      "CC-BY-NC-SA-3.0",
      "CC-BY-NC-SA-3.0-DE",
      "CC-BY-NC-SA-3.0-IGO",
      "CC-BY-NC-SA-4.0",
      "CC-BY-ND-1.0",
      "CC-BY-ND-2.0",
      "CC-BY-ND-2.5",
      "CC-BY-ND-3.0",
      "CC-BY-ND-3.0-DE",
      "CC-BY-ND-4.0",
      "CC-BY-SA-1.0",
      "CC-BY-SA-2.0",
      "CC-BY-SA-2.0-UK",
      "CC-BY-SA-2.1-JP",
      "CC-BY-SA-2.5",
      "CC-BY-SA-3.0",
      "CC-BY-SA-3.0-AT",
      "CC-BY-SA-3.0-DE",
      "CC-BY-SA-4.0",
      "CC-PDDC",
      "CC0-1.0",
      "CDDL-1.0",
      "CDDL-1.1",
      "CDL-1.0",
      "CDLA-Permissive-1.0",
      "CDLA-Permissive-2.0",
      "CDLA-Sharing-1.0",
      "CECILL-1.0",
      "CECILL-1.1",
      "CECILL-2.0",
      "CECILL-2.1",
      "CECILL-B",
      "CECILL-C",
      "CERN-OHL-1.1",
      "CERN-OHL-1.2",
      "CERN-OHL-P-2.0",
      "CERN-OHL-S-2.0",
      "CERN-OHL-W-2.0",
      "CFITSIO",
      "CMU-Mach",
      "CNRI-Jython",
      "CNRI-Python",
      "CNRI-Python-GPL-Compatible",
      "COIL-1.0",
      "CPAL-1.0",
      "CPL-1.0",
      "CPOL-1.02",
      "CUA-OPL-1.0",
      "Caldera",
      "ClArtistic",
      "Clips",
      "Community-Spec-1.0",
      "Condor-1.1",
      "Cornell-Lossless-JPEG",
      "Crossword",
      "CrystalStacker",
      "Cube",
      "D-FSL-1.0",
      "DL-DE-BY-2.0",
      "DOC",
      "DRL-1.0",
      "DSDP",
      "Dotseqn",
      "ECL-1.0",
      "ECL-2.0",
      "EFL-1.0",
      "EFL-2.0",
      "EPICS",
      "EPL-1.0",
      "EPL-2.0",
      "EUDatagrid",
      "EUPL-1.0",
      "EUPL-1.1",
      "EUPL-1.2",
      "Elastic-2.0",
      "Entessa",
      "ErlPL-1.1",
      "Eurosym",
      "FDK-AAC",
      "FSFAP",
      "FSFUL",
      "FSFULLR",
      "FSFULLRWD",
      "FTL",
      "Fair",
      "Frameworx-1.0",
      "FreeBSD-DOC",
      "FreeImage",
      "GD",
      "GFDL-1.1-invariants-only",
      "GFDL-1.1-invariants-or-later",
      "GFDL-1.1-no-invariants-only",
      "GFDL-1.1-no-invariants-or-later",
      "GFDL-1.1-only",
      "GFDL-1.1-or-later",
      "GFDL-1.2-invariants-only",
      "GFDL-1.2-invariants-or-later",
      "GFDL-1.2-no-invariants-only",
      "GFDL-1.2-no-invariants-or-later",
      "GFDL-1.2-only",
      "GFDL-1.2-or-later",
      "GFDL-1.3-invariants-only",
      "GFDL-1.3-invariants-or-later",
      "GFDL-1.3-no-invariants-only",
      "GFDL-1.3-no-invariants-or-later",
      "GFDL-1.3-only",
      "GFDL-1.3-or-later",
      "GL2PS",
      "GLWTPL",
      "GPL-1.0-only",
      "GPL-1.0-or-later",
      "GPL-2.0-only",
      "GPL-2.0-or-later",
      "GPL-3.0-only",
      "GPL-3.0-or-later",
      "Giftware",
      "Glide",
      "Glulxe",
      "Graphics-Gems",
      "HP-1986",
      "HPND",
      "HPND-Markus-Kuhn",
      "HPND-export-US",
      "HPND-sell-variant",
      "HPND-sell-variant-MIT-disclaimer",
      "HTMLTIDY",
      "HaskellReport",
      "Hippocratic-2.1",
      "IBM-pibs",
      "ICU",
      "IEC-Code-Components-EULA",
      "IJG",
      "IJG-short",
      "IPA",
      "IPL-1.0",
      "ISC",
      "ImageMagick",
      "Imlib2",
      "Info-ZIP",
      "Intel",
      "Intel-ACPI",
      "Interbase-1.0",
      "JPL-image",
      "JPNIC",
      "JSON",
      "Jam",
      "JasPer-2.0",
      "Kazlib",
      "Knuth-CTAN",
      "LAL-1.2",
      "LAL-1.3",
      "LGPL-2.0-only",
      "LGPL-2.0-or-later",
      "LGPL-2.1-only",
      "LGPL-2.1-or-later",
      "LGPL-3.0-only",
      "LGPL-3.0-or-later",
      "LGPLLR",
      "LOOP",
      "LPL-1.0",
      "LPL-1.02",
      "LPPL-1.0",
      "LPPL-1.1",
      "LPPL-1.2",
      "LPPL-1.3a",
      "LPPL-1.3c",
      "LZMA-SDK-9.11-to-9.20",
      "LZMA-SDK-9.22",
      "Latex2e",
      "Leptonica",
      "LiLiQ-P-1.1",
      "LiLiQ-R-1.1",
      "LiLiQ-Rplus-1.1",
      "Libpng",
      "Linux-OpenIB",
      "Linux-man-pages-copyleft",
      "MIT",
      "MIT-0",
      "MIT-CMU",
      "MIT-Modern-Variant",
      "MIT-Wu",
      "MIT-advertising",
      "MIT-enna",
      "MIT-feh",
      "MIT-open-group",
      "MITNFA",
      "MPL-1.0",
      "MPL-1.1",
      "MPL-2.0",
      "MPL-2.0-no-copyleft-exception",
      "MS-LPL",
      "MS-PL",
      "MS-RL",
      "MTLL",
      "MakeIndex",
      "Martin-Birgmeier",
      "Minpack",
      "MirOS",
      "Motosoto",
      "MulanPSL-1.0",
      "MulanPSL-2.0",
      "Multics",
      "Mup",
      "NAIST-2003",
      "NASA-1.3",
      "NBPL-1.0",
      "NCGL-UK-2.0",
      "NCSA",
      "NGPL",
      "NICTA-1.0",
      "NIST-PD",
      "NIST-PD-fallback",
      "NLOD-1.0",
      "NLOD-2.0",
      "NLPL",
      "NOSL",
      "NPL-1.0",
      "NPL-1.1",
      "NPOSL-3.0",
      "NRL",
      "NTP",
      "NTP-0",
      "Naumen",
      "Net-SNMP",
      "NetCDF",
      "Newsletr",
      "Nokia",
      "Noweb",
      "O-UDA-1.0",
      "OCCT-PL",
      "OCLC-2.0",
      "ODC-By-1.0",
      "ODbL-1.0",
      "OFFIS",
      "OFL-1.0",
      "OFL-1.0-RFN",
      "OFL-1.0-no-RFN",
      "OFL-1.1",
      "OFL-1.1-RFN",
      "OFL-1.1-no-RFN",
      "OGC-1.0",
      "OGDL-Taiwan-1.0",
      "OGL-Canada-2.0",
      "OGL-UK-1.0",
      "OGL-UK-2.0",
      "OGL-UK-3.0",
      "OGTSL",
      "OLDAP-1.1",
      "OLDAP-1.2",
      "OLDAP-1.3",
      "OLDAP-1.4",
      "OLDAP-2.0",
      "OLDAP-2.0.1",
      "OLDAP-2.1",
      "OLDAP-2.2",
      "OLDAP-2.2.1",
      "OLDAP-2.2.2",
      "OLDAP-2.3",
      "OLDAP-2.4",
      "OLDAP-2.5",
      "OLDAP-2.6",
      "OLDAP-2.7",
      "OLDAP-2.8",
      "OML",
      "OPL-1.0",
      "OPUBL-1.0",
      "OSET-PL-2.1",
      "OSL-1.0",
      "OSL-1.1",
      "OSL-2.0",
      "OSL-2.1",
      "OSL-3.0",
      "OpenPBS-2.3",
      "OpenSSL",
      "PDDL-1.0",
      "PHP-3.0",
      "PHP-3.01",
      "PSF-2.0",
      "Parity-6.0.0",
      "Parity-7.0.0",
      "Plexus",
      "PolyForm-Noncommercial-1.0.0",
      "PolyForm-Small-Business-1.0.0",
      "PostgreSQL",
      "Python-2.0",
      "Python-2.0.1",
      "QPL-1.0",
      "QPL-1.0-INRIA-2004",
      "Qhull",
      "RHeCos-1.1",
      "RPL-1.1",
      "RPL-1.5",
      "RPSL-1.0",
      "RSA-MD",
      "RSCPL",
      "Rdisc",
      "Ruby",
      "SAX-PD",
      "SCEA",
      "SGI-B-1.0",
      "SGI-B-1.1",
      "SGI-B-2.0",
      "SHL-0.5",
      "SHL-0.51",
      "SISSL",
      "SISSL-1.2",
      "SMLNJ",
      "SMPPL",
      "SNIA",
      "SPL-1.0",
      "SSH-OpenSSH",
      "SSH-short",
      "SSPL-1.0",
      "SWL",
      "Saxpath",
      "SchemeReport",
      "Sendmail",
      "Sendmail-8.23",
      "SimPL-2.0",
      "Sleepycat",
      "Spencer-86",
      "Spencer-94",
      "Spencer-99",
      "SugarCRM-1.1.3",
      "SunPro",
      "Symlinks",
      "TAPR-OHL-1.0",
      "TCL",
      "TCP-wrappers",
      "TMate",
      "TORQUE-1.1",
      "TOSL",
      "TPDL",
      "TPL-1.0",
      "TTWL",
      "TU-Berlin-1.0",
      "TU-Berlin-2.0",
      "UCAR",
      "UCL-1.0",
      "UPL-1.0",
      "Unicode-DFS-2015",
      "Unicode-DFS-2016",
      "Unicode-TOU",
      "Unlicense",
      "VOSTROM",
      "VSL-1.0",
      "Vim",
      "W3C",
      "W3C-19980720",
      "W3C-20150513",
      "WTFPL",
      "Watcom-1.0",
      "Wsuipa",
      "X11",
      "X11-distribute-modifications-variant",
      "XFree86-1.1",
      "XSkat",
      "Xerox",
      "Xnet",
      "YPL-1.0",
      "YPL-1.1",
      "ZPL-1.1",
      "ZPL-2.0",
      "ZPL-2.1",
      "Zed",
      "Zend-2.0",
      "Zimbra-1.3",
      "Zimbra-1.4",
      "Zlib",
      "blessing",
      "bzip2-1.0.6",
      "checkmk",
      "copyleft-next-0.3.0",
      "copyleft-next-0.3.1",
      "curl",
      "diffmark",
      "dvipdfm",
      "eGenix",
      "etalab-2.0",
      "gSOAP-1.3b",
      "gnuplot",
      "iMatix",
      "libpng-2.0",
      "libselinux-1.0",
      "libtiff",
      "libutil-David-Nugent",
      "mpi-permissive",
      "mpich2",
      "mplus",
      "psfrag",
      "psutils",
      "snprintf",
      "w3m",
      "xinetd",
      "xlock",
      "xpp",
      "zlib-acknowledgement"
    ];
  }
});

// ../../node_modules/.pnpm/spdx-exceptions@2.3.0/node_modules/spdx-exceptions/index.json
var require_spdx_exceptions = __commonJS({
  "../../node_modules/.pnpm/spdx-exceptions@2.3.0/node_modules/spdx-exceptions/index.json"(exports2, module2) {
    module2.exports = [
      "389-exception",
      "Autoconf-exception-2.0",
      "Autoconf-exception-3.0",
      "Bison-exception-2.2",
      "Bootloader-exception",
      "Classpath-exception-2.0",
      "CLISP-exception-2.0",
      "DigiRule-FOSS-exception",
      "eCos-exception-2.0",
      "Fawkes-Runtime-exception",
      "FLTK-exception",
      "Font-exception-2.0",
      "freertos-exception-2.0",
      "GCC-exception-2.0",
      "GCC-exception-3.1",
      "gnu-javamail-exception",
      "GPL-3.0-linking-exception",
      "GPL-3.0-linking-source-exception",
      "GPL-CC-1.0",
      "i2p-gpl-java-exception",
      "Libtool-exception",
      "Linux-syscall-note",
      "LLVM-exception",
      "LZMA-exception",
      "mif-exception",
      "Nokia-Qt-exception-1.1",
      "OCaml-LGPL-linking-exception",
      "OCCT-exception-1.0",
      "OpenJDK-assembly-exception-1.0",
      "openvpn-openssl-exception",
      "PS-or-PDF-font-exception-20170817",
      "Qt-GPL-exception-1.0",
      "Qt-LGPL-exception-1.1",
      "Qwt-exception-1.0",
      "Swift-exception",
      "u-boot-exception-2.0",
      "Universal-FOSS-exception-1.0",
      "WxWindows-exception-3.1"
    ];
  }
});

// ../../node_modules/.pnpm/spdx-expression-parse@3.0.1/node_modules/spdx-expression-parse/scan.js
var require_scan2 = __commonJS({
  "../../node_modules/.pnpm/spdx-expression-parse@3.0.1/node_modules/spdx-expression-parse/scan.js"(exports2, module2) {
    "use strict";
    var licenses = [].concat(require_spdx_license_ids()).concat(require_spdx_license_ids());
    var exceptions = require_spdx_exceptions();
    module2.exports = function(source) {
      var index2 = 0;
      function hasMore() {
        return index2 < source.length;
      }
      function read(value) {
        if (value instanceof RegExp) {
          var chars2 = source.slice(index2);
          var match4 = chars2.match(value);
          if (match4) {
            index2 += match4[0].length;
            return match4[0];
          }
        } else {
          if (source.indexOf(value, index2) === index2) {
            index2 += value.length;
            return value;
          }
        }
      }
      function skipWhitespace() {
        read(/[ ]*/);
      }
      function operator() {
        var string;
        var possibilities = ["WITH", "AND", "OR", "(", ")", ":", "+"];
        for (var i4 = 0; i4 < possibilities.length; i4++) {
          string = read(possibilities[i4]);
          if (string) {
            break;
          }
        }
        if (string === "+" && index2 > 1 && source[index2 - 2] === " ") {
          throw new Error("Space before `+`");
        }
        return string && {
          type: "OPERATOR",
          string
        };
      }
      function idstring() {
        return read(/[A-Za-z0-9-.]+/);
      }
      function expectIdstring() {
        var string = idstring();
        if (!string) {
          throw new Error("Expected idstring at offset " + index2);
        }
        return string;
      }
      function documentRef() {
        if (read("DocumentRef-")) {
          var string = expectIdstring();
          return { type: "DOCUMENTREF", string };
        }
      }
      function licenseRef() {
        if (read("LicenseRef-")) {
          var string = expectIdstring();
          return { type: "LICENSEREF", string };
        }
      }
      function identifier() {
        var begin = index2;
        var string = idstring();
        if (licenses.indexOf(string) !== -1) {
          return {
            type: "LICENSE",
            string
          };
        } else if (exceptions.indexOf(string) !== -1) {
          return {
            type: "EXCEPTION",
            string
          };
        }
        index2 = begin;
      }
      function parseToken() {
        return operator() || documentRef() || licenseRef() || identifier();
      }
      var tokens = [];
      while (hasMore()) {
        skipWhitespace();
        if (!hasMore()) {
          break;
        }
        var token = parseToken();
        if (!token) {
          throw new Error("Unexpected `" + source[index2] + "` at offset " + index2);
        }
        tokens.push(token);
      }
      return tokens;
    };
  }
});

// ../../node_modules/.pnpm/spdx-expression-parse@3.0.1/node_modules/spdx-expression-parse/parse.js
var require_parse4 = __commonJS({
  "../../node_modules/.pnpm/spdx-expression-parse@3.0.1/node_modules/spdx-expression-parse/parse.js"(exports2, module2) {
    "use strict";
    module2.exports = function(tokens) {
      var index2 = 0;
      function hasMore() {
        return index2 < tokens.length;
      }
      function token() {
        return hasMore() ? tokens[index2] : null;
      }
      function next() {
        if (!hasMore()) {
          throw new Error();
        }
        index2++;
      }
      function parseOperator(operator) {
        var t9 = token();
        if (t9 && t9.type === "OPERATOR" && operator === t9.string) {
          next();
          return t9.string;
        }
      }
      function parseWith() {
        if (parseOperator("WITH")) {
          var t9 = token();
          if (t9 && t9.type === "EXCEPTION") {
            next();
            return t9.string;
          }
          throw new Error("Expected exception after `WITH`");
        }
      }
      function parseLicenseRef() {
        var begin = index2;
        var string = "";
        var t9 = token();
        if (t9.type === "DOCUMENTREF") {
          next();
          string += "DocumentRef-" + t9.string + ":";
          if (!parseOperator(":")) {
            throw new Error("Expected `:` after `DocumentRef-...`");
          }
        }
        t9 = token();
        if (t9.type === "LICENSEREF") {
          next();
          string += "LicenseRef-" + t9.string;
          return { license: string };
        }
        index2 = begin;
      }
      function parseLicense() {
        var t9 = token();
        if (t9 && t9.type === "LICENSE") {
          next();
          var node2 = { license: t9.string };
          if (parseOperator("+")) {
            node2.plus = true;
          }
          var exception = parseWith();
          if (exception) {
            node2.exception = exception;
          }
          return node2;
        }
      }
      function parseParenthesizedExpression() {
        var left4 = parseOperator("(");
        if (!left4) {
          return;
        }
        var expr = parseExpression();
        if (!parseOperator(")")) {
          throw new Error("Expected `)`");
        }
        return expr;
      }
      function parseAtom() {
        return parseParenthesizedExpression() || parseLicenseRef() || parseLicense();
      }
      function makeBinaryOpParser(operator, nextParser) {
        return function parseBinaryOp() {
          var left4 = nextParser();
          if (!left4) {
            return;
          }
          if (!parseOperator(operator)) {
            return left4;
          }
          var right5 = parseBinaryOp();
          if (!right5) {
            throw new Error("Expected expression");
          }
          return {
            left: left4,
            conjunction: operator.toLowerCase(),
            right: right5
          };
        };
      }
      var parseAnd = makeBinaryOpParser("AND", parseAtom);
      var parseExpression = makeBinaryOpParser("OR", parseAnd);
      var node = parseExpression();
      if (!node || hasMore()) {
        throw new Error("Syntax error");
      }
      return node;
    };
  }
});

// ../../node_modules/.pnpm/spdx-expression-parse@3.0.1/node_modules/spdx-expression-parse/index.js
var require_spdx_expression_parse = __commonJS({
  "../../node_modules/.pnpm/spdx-expression-parse@3.0.1/node_modules/spdx-expression-parse/index.js"(exports2, module2) {
    "use strict";
    var scan = require_scan2();
    var parse3 = require_parse4();
    module2.exports = function(source) {
      return parse3(scan(source));
    };
  }
});

// ../../node_modules/.pnpm/spdx-correct@3.1.1/node_modules/spdx-correct/index.js
var require_spdx_correct = __commonJS({
  "../../node_modules/.pnpm/spdx-correct@3.1.1/node_modules/spdx-correct/index.js"(exports2, module2) {
    "use strict";
    var parse3 = require_spdx_expression_parse();
    var spdxLicenseIds = require_spdx_license_ids();
    function valid(string) {
      try {
        parse3(string);
        return true;
      } catch (error2) {
        return false;
      }
    }
    var transpositions = [
      ["APGL", "AGPL"],
      ["Gpl", "GPL"],
      ["GLP", "GPL"],
      ["APL", "Apache"],
      ["ISD", "ISC"],
      ["GLP", "GPL"],
      ["IST", "ISC"],
      ["Claude", "Clause"],
      [" or later", "+"],
      [" International", ""],
      ["GNU", "GPL"],
      ["GUN", "GPL"],
      ["+", ""],
      ["GNU GPL", "GPL"],
      ["GNU/GPL", "GPL"],
      ["GNU GLP", "GPL"],
      ["GNU General Public License", "GPL"],
      ["Gnu public license", "GPL"],
      ["GNU Public License", "GPL"],
      ["GNU GENERAL PUBLIC LICENSE", "GPL"],
      ["MTI", "MIT"],
      ["Mozilla Public License", "MPL"],
      ["Universal Permissive License", "UPL"],
      ["WTH", "WTF"],
      ["-License", ""]
    ];
    var TRANSPOSED = 0;
    var CORRECT = 1;
    var transforms = [
      // e.g. 'mit'
      function(argument) {
        return argument.toUpperCase();
      },
      // e.g. 'MIT '
      function(argument) {
        return argument.trim();
      },
      // e.g. 'M.I.T.'
      function(argument) {
        return argument.replace(/\./g, "");
      },
      // e.g. 'Apache- 2.0'
      function(argument) {
        return argument.replace(/\s+/g, "");
      },
      // e.g. 'CC BY 4.0''
      function(argument) {
        return argument.replace(/\s+/g, "-");
      },
      // e.g. 'LGPLv2.1'
      function(argument) {
        return argument.replace("v", "-");
      },
      // e.g. 'Apache 2.0'
      function(argument) {
        return argument.replace(/,?\s*(\d)/, "-$1");
      },
      // e.g. 'GPL 2'
      function(argument) {
        return argument.replace(/,?\s*(\d)/, "-$1.0");
      },
      // e.g. 'Apache Version 2.0'
      function(argument) {
        return argument.replace(/,?\s*(V\.|v\.|V|v|Version|version)\s*(\d)/, "-$2");
      },
      // e.g. 'Apache Version 2'
      function(argument) {
        return argument.replace(/,?\s*(V\.|v\.|V|v|Version|version)\s*(\d)/, "-$2.0");
      },
      // e.g. 'ZLIB'
      function(argument) {
        return argument[0].toUpperCase() + argument.slice(1);
      },
      // e.g. 'MPL/2.0'
      function(argument) {
        return argument.replace("/", "-");
      },
      // e.g. 'Apache 2'
      function(argument) {
        return argument.replace(/\s*V\s*(\d)/, "-$1").replace(/(\d)$/, "$1.0");
      },
      // e.g. 'GPL-2.0', 'GPL-3.0'
      function(argument) {
        if (argument.indexOf("3.0") !== -1) {
          return argument + "-or-later";
        } else {
          return argument + "-only";
        }
      },
      // e.g. 'GPL-2.0-'
      function(argument) {
        return argument + "only";
      },
      // e.g. 'GPL2'
      function(argument) {
        return argument.replace(/(\d)$/, "-$1.0");
      },
      // e.g. 'BSD 3'
      function(argument) {
        return argument.replace(/(-| )?(\d)$/, "-$2-Clause");
      },
      // e.g. 'BSD clause 3'
      function(argument) {
        return argument.replace(/(-| )clause(-| )(\d)/, "-$3-Clause");
      },
      // e.g. 'New BSD license'
      function(argument) {
        return argument.replace(/\b(Modified|New|Revised)(-| )?BSD((-| )License)?/i, "BSD-3-Clause");
      },
      // e.g. 'Simplified BSD license'
      function(argument) {
        return argument.replace(/\bSimplified(-| )?BSD((-| )License)?/i, "BSD-2-Clause");
      },
      // e.g. 'Free BSD license'
      function(argument) {
        return argument.replace(/\b(Free|Net)(-| )?BSD((-| )License)?/i, "BSD-2-Clause-$1BSD");
      },
      // e.g. 'Clear BSD license'
      function(argument) {
        return argument.replace(/\bClear(-| )?BSD((-| )License)?/i, "BSD-3-Clause-Clear");
      },
      // e.g. 'Old BSD License'
      function(argument) {
        return argument.replace(/\b(Old|Original)(-| )?BSD((-| )License)?/i, "BSD-4-Clause");
      },
      // e.g. 'BY-NC-4.0'
      function(argument) {
        return "CC-" + argument;
      },
      // e.g. 'BY-NC'
      function(argument) {
        return "CC-" + argument + "-4.0";
      },
      // e.g. 'Attribution-NonCommercial'
      function(argument) {
        return argument.replace("Attribution", "BY").replace("NonCommercial", "NC").replace("NoDerivatives", "ND").replace(/ (\d)/, "-$1").replace(/ ?International/, "");
      },
      // e.g. 'Attribution-NonCommercial'
      function(argument) {
        return "CC-" + argument.replace("Attribution", "BY").replace("NonCommercial", "NC").replace("NoDerivatives", "ND").replace(/ (\d)/, "-$1").replace(/ ?International/, "") + "-4.0";
      }
    ];
    var licensesWithVersions = spdxLicenseIds.map(function(id2) {
      var match4 = /^(.*)-\d+\.\d+$/.exec(id2);
      return match4 ? [match4[0], match4[1]] : [id2, null];
    }).reduce(function(objectMap, item2) {
      var key = item2[1];
      objectMap[key] = objectMap[key] || [];
      objectMap[key].push(item2[0]);
      return objectMap;
    }, {});
    var licensesWithOneVersion = Object.keys(licensesWithVersions).map(function makeEntries(key) {
      return [key, licensesWithVersions[key]];
    }).filter(function identifySoleVersions(item2) {
      return (
        // Licenses has just one valid version suffix.
        item2[1].length === 1 && item2[0] !== null && // APL will be considered Apache, rather than APL-1.0
        item2[0] !== "APL"
      );
    }).map(function createLastResorts(item2) {
      return [item2[0], item2[1][0]];
    });
    licensesWithVersions = void 0;
    var lastResorts = [
      ["UNLI", "Unlicense"],
      ["WTF", "WTFPL"],
      ["2 CLAUSE", "BSD-2-Clause"],
      ["2-CLAUSE", "BSD-2-Clause"],
      ["3 CLAUSE", "BSD-3-Clause"],
      ["3-CLAUSE", "BSD-3-Clause"],
      ["AFFERO", "AGPL-3.0-or-later"],
      ["AGPL", "AGPL-3.0-or-later"],
      ["APACHE", "Apache-2.0"],
      ["ARTISTIC", "Artistic-2.0"],
      ["Affero", "AGPL-3.0-or-later"],
      ["BEER", "Beerware"],
      ["BOOST", "BSL-1.0"],
      ["BSD", "BSD-2-Clause"],
      ["CDDL", "CDDL-1.1"],
      ["ECLIPSE", "EPL-1.0"],
      ["FUCK", "WTFPL"],
      ["GNU", "GPL-3.0-or-later"],
      ["LGPL", "LGPL-3.0-or-later"],
      ["GPLV1", "GPL-1.0-only"],
      ["GPL-1", "GPL-1.0-only"],
      ["GPLV2", "GPL-2.0-only"],
      ["GPL-2", "GPL-2.0-only"],
      ["GPL", "GPL-3.0-or-later"],
      ["MIT +NO-FALSE-ATTRIBS", "MITNFA"],
      ["MIT", "MIT"],
      ["MPL", "MPL-2.0"],
      ["X11", "X11"],
      ["ZLIB", "Zlib"]
    ].concat(licensesWithOneVersion);
    var SUBSTRING = 0;
    var IDENTIFIER = 1;
    var validTransformation = function(identifier) {
      for (var i4 = 0; i4 < transforms.length; i4++) {
        var transformed = transforms[i4](identifier).trim();
        if (transformed !== identifier && valid(transformed)) {
          return transformed;
        }
      }
      return null;
    };
    var validLastResort = function(identifier) {
      var upperCased = identifier.toUpperCase();
      for (var i4 = 0; i4 < lastResorts.length; i4++) {
        var lastResort = lastResorts[i4];
        if (upperCased.indexOf(lastResort[SUBSTRING]) > -1) {
          return lastResort[IDENTIFIER];
        }
      }
      return null;
    };
    var anyCorrection = function(identifier, check3) {
      for (var i4 = 0; i4 < transpositions.length; i4++) {
        var transposition = transpositions[i4];
        var transposed = transposition[TRANSPOSED];
        if (identifier.indexOf(transposed) > -1) {
          var corrected = identifier.replace(
            transposed,
            transposition[CORRECT]
          );
          var checked = check3(corrected);
          if (checked !== null) {
            return checked;
          }
        }
      }
      return null;
    };
    module2.exports = function(identifier, options2) {
      options2 = options2 || {};
      var upgrade = options2.upgrade === void 0 ? true : !!options2.upgrade;
      function postprocess(value) {
        return upgrade ? upgradeGPLs(value) : value;
      }
      var validArugment = typeof identifier === "string" && identifier.trim().length !== 0;
      if (!validArugment) {
        throw Error("Invalid argument. Expected non-empty string.");
      }
      identifier = identifier.trim();
      if (valid(identifier)) {
        return postprocess(identifier);
      }
      var noPlus = identifier.replace(/\+$/, "").trim();
      if (valid(noPlus)) {
        return postprocess(noPlus);
      }
      var transformed = validTransformation(identifier);
      if (transformed !== null) {
        return postprocess(transformed);
      }
      transformed = anyCorrection(identifier, function(argument) {
        if (valid(argument)) {
          return argument;
        }
        return validTransformation(argument);
      });
      if (transformed !== null) {
        return postprocess(transformed);
      }
      transformed = validLastResort(identifier);
      if (transformed !== null) {
        return postprocess(transformed);
      }
      transformed = anyCorrection(identifier, validLastResort);
      if (transformed !== null) {
        return postprocess(transformed);
      }
      return null;
    };
    function upgradeGPLs(value) {
      if ([
        "GPL-1.0",
        "LGPL-1.0",
        "AGPL-1.0",
        "GPL-2.0",
        "LGPL-2.0",
        "AGPL-2.0",
        "LGPL-2.1"
      ].indexOf(value) !== -1) {
        return value + "-only";
      } else if ([
        "GPL-1.0+",
        "GPL-2.0+",
        "GPL-3.0+",
        "LGPL-2.0+",
        "LGPL-2.1+",
        "LGPL-3.0+",
        "AGPL-1.0+",
        "AGPL-3.0+"
      ].indexOf(value) !== -1) {
        return value.replace(/\+$/, "-or-later");
      } else if (["GPL-3.0", "LGPL-3.0", "AGPL-3.0"].indexOf(value) !== -1) {
        return value + "-or-later";
      } else {
        return value;
      }
    }
  }
});

// ../../node_modules/.pnpm/validate-npm-package-license@3.0.4/node_modules/validate-npm-package-license/index.js
var require_validate_npm_package_license = __commonJS({
  "../../node_modules/.pnpm/validate-npm-package-license@3.0.4/node_modules/validate-npm-package-license/index.js"(exports2, module2) {
    "use strict";
    var parse3 = require_spdx_expression_parse();
    var correct = require_spdx_correct();
    var genericWarning = 'license should be a valid SPDX license expression (without "LicenseRef"), "UNLICENSED", or "SEE LICENSE IN <filename>"';
    var fileReferenceRE = /^SEE LICEN[CS]E IN (.+)$/;
    function startsWith(prefix, string) {
      return string.slice(0, prefix.length) === prefix;
    }
    function usesLicenseRef(ast) {
      if (ast.hasOwnProperty("license")) {
        var license = ast.license;
        return startsWith("LicenseRef", license) || startsWith("DocumentRef", license);
      } else {
        return usesLicenseRef(ast.left) || usesLicenseRef(ast.right);
      }
    }
    module2.exports = function(argument) {
      var ast;
      try {
        ast = parse3(argument);
      } catch (e3) {
        var match4;
        if (argument === "UNLICENSED" || argument === "UNLICENCED") {
          return {
            validForOldPackages: true,
            validForNewPackages: true,
            unlicensed: true
          };
        } else if (match4 = fileReferenceRE.exec(argument)) {
          return {
            validForOldPackages: true,
            validForNewPackages: true,
            inFile: match4[1]
          };
        } else {
          var result = {
            validForOldPackages: false,
            validForNewPackages: false,
            warnings: [genericWarning]
          };
          if (argument.trim().length !== 0) {
            var corrected = correct(argument);
            if (corrected) {
              result.warnings.push(
                'license is similar to the valid expression "' + corrected + '"'
              );
            }
          }
          return result;
        }
      }
      if (usesLicenseRef(ast)) {
        return {
          validForNewPackages: false,
          validForOldPackages: false,
          spdx: true,
          warnings: [genericWarning]
        };
      } else {
        return {
          validForNewPackages: true,
          validForOldPackages: true,
          spdx: true
        };
      }
    };
  }
});

// ../../node_modules/.pnpm/hosted-git-info@2.8.9/node_modules/hosted-git-info/git-host-info.js
var require_git_host_info = __commonJS({
  "../../node_modules/.pnpm/hosted-git-info@2.8.9/node_modules/hosted-git-info/git-host-info.js"(exports2, module2) {
    "use strict";
    var gitHosts = module2.exports = {
      github: {
        // First two are insecure and generally shouldn't be used any more, but
        // they are still supported.
        "protocols": ["git", "http", "git+ssh", "git+https", "ssh", "https"],
        "domain": "github.com",
        "treepath": "tree",
        "filetemplate": "https://{auth@}raw.githubusercontent.com/{user}/{project}/{committish}/{path}",
        "bugstemplate": "https://{domain}/{user}/{project}/issues",
        "gittemplate": "git://{auth@}{domain}/{user}/{project}.git{#committish}",
        "tarballtemplate": "https://codeload.{domain}/{user}/{project}/tar.gz/{committish}"
      },
      bitbucket: {
        "protocols": ["git+ssh", "git+https", "ssh", "https"],
        "domain": "bitbucket.org",
        "treepath": "src",
        "tarballtemplate": "https://{domain}/{user}/{project}/get/{committish}.tar.gz"
      },
      gitlab: {
        "protocols": ["git+ssh", "git+https", "ssh", "https"],
        "domain": "gitlab.com",
        "treepath": "tree",
        "bugstemplate": "https://{domain}/{user}/{project}/issues",
        "httpstemplate": "git+https://{auth@}{domain}/{user}/{projectPath}.git{#committish}",
        "tarballtemplate": "https://{domain}/{user}/{project}/repository/archive.tar.gz?ref={committish}",
        "pathmatch": /^[/]([^/]+)[/]((?!.*(\/-\/|\/repository\/archive\.tar\.gz\?=.*|\/repository\/[^/]+\/archive.tar.gz$)).*?)(?:[.]git|[/])?$/
      },
      gist: {
        "protocols": ["git", "git+ssh", "git+https", "ssh", "https"],
        "domain": "gist.github.com",
        "pathmatch": /^[/](?:([^/]+)[/])?([a-z0-9]{32,})(?:[.]git)?$/,
        "filetemplate": "https://gist.githubusercontent.com/{user}/{project}/raw{/committish}/{path}",
        "bugstemplate": "https://{domain}/{project}",
        "gittemplate": "git://{domain}/{project}.git{#committish}",
        "sshtemplate": "git@{domain}:/{project}.git{#committish}",
        "sshurltemplate": "git+ssh://git@{domain}/{project}.git{#committish}",
        "browsetemplate": "https://{domain}/{project}{/committish}",
        "browsefiletemplate": "https://{domain}/{project}{/committish}{#path}",
        "docstemplate": "https://{domain}/{project}{/committish}",
        "httpstemplate": "git+https://{domain}/{project}.git{#committish}",
        "shortcuttemplate": "{type}:{project}{#committish}",
        "pathtemplate": "{project}{#committish}",
        "tarballtemplate": "https://codeload.github.com/gist/{project}/tar.gz/{committish}",
        "hashformat": function(fragment) {
          return "file-" + formatHashFragment(fragment);
        }
      }
    };
    var gitHostDefaults = {
      "sshtemplate": "git@{domain}:{user}/{project}.git{#committish}",
      "sshurltemplate": "git+ssh://git@{domain}/{user}/{project}.git{#committish}",
      "browsetemplate": "https://{domain}/{user}/{project}{/tree/committish}",
      "browsefiletemplate": "https://{domain}/{user}/{project}/{treepath}/{committish}/{path}{#fragment}",
      "docstemplate": "https://{domain}/{user}/{project}{/tree/committish}#readme",
      "httpstemplate": "git+https://{auth@}{domain}/{user}/{project}.git{#committish}",
      "filetemplate": "https://{domain}/{user}/{project}/raw/{committish}/{path}",
      "shortcuttemplate": "{type}:{user}/{project}{#committish}",
      "pathtemplate": "{user}/{project}{#committish}",
      "pathmatch": /^[/]([^/]+)[/]([^/]+?)(?:[.]git|[/])?$/,
      "hashformat": formatHashFragment
    };
    Object.keys(gitHosts).forEach(function(name) {
      Object.keys(gitHostDefaults).forEach(function(key) {
        if (gitHosts[name][key])
          return;
        gitHosts[name][key] = gitHostDefaults[key];
      });
      gitHosts[name].protocols_re = RegExp("^(" + gitHosts[name].protocols.map(function(protocol) {
        return protocol.replace(/([\\+*{}()[\]$^|])/g, "\\$1");
      }).join("|") + "):$");
    });
    function formatHashFragment(fragment) {
      return fragment.toLowerCase().replace(/^\W+|\/|\W+$/g, "").replace(/\W+/g, "-");
    }
  }
});

// ../../node_modules/.pnpm/hosted-git-info@2.8.9/node_modules/hosted-git-info/git-host.js
var require_git_host = __commonJS({
  "../../node_modules/.pnpm/hosted-git-info@2.8.9/node_modules/hosted-git-info/git-host.js"(exports2, module2) {
    "use strict";
    var gitHosts = require_git_host_info();
    var extend = Object.assign || function _extend(target, source) {
      if (source === null || typeof source !== "object")
        return target;
      var keys = Object.keys(source);
      var i4 = keys.length;
      while (i4--) {
        target[keys[i4]] = source[keys[i4]];
      }
      return target;
    };
    module2.exports = GitHost;
    function GitHost(type, user, auth, project, committish, defaultRepresentation, opts2) {
      var gitHostInfo = this;
      gitHostInfo.type = type;
      Object.keys(gitHosts[type]).forEach(function(key) {
        gitHostInfo[key] = gitHosts[type][key];
      });
      gitHostInfo.user = user;
      gitHostInfo.auth = auth;
      gitHostInfo.project = project;
      gitHostInfo.committish = committish;
      gitHostInfo.default = defaultRepresentation;
      gitHostInfo.opts = opts2 || {};
    }
    GitHost.prototype.hash = function() {
      return this.committish ? "#" + this.committish : "";
    };
    GitHost.prototype._fill = function(template, opts2) {
      if (!template)
        return;
      var vars = extend({}, opts2);
      vars.path = vars.path ? vars.path.replace(/^[/]+/g, "") : "";
      opts2 = extend(extend({}, this.opts), opts2);
      var self2 = this;
      Object.keys(this).forEach(function(key) {
        if (self2[key] != null && vars[key] == null)
          vars[key] = self2[key];
      });
      var rawAuth = vars.auth;
      var rawcommittish = vars.committish;
      var rawFragment = vars.fragment;
      var rawPath = vars.path;
      var rawProject = vars.project;
      Object.keys(vars).forEach(function(key) {
        var value = vars[key];
        if ((key === "path" || key === "project") && typeof value === "string") {
          vars[key] = value.split("/").map(function(pathComponent) {
            return encodeURIComponent(pathComponent);
          }).join("/");
        } else {
          vars[key] = encodeURIComponent(value);
        }
      });
      vars["auth@"] = rawAuth ? rawAuth + "@" : "";
      vars["#fragment"] = rawFragment ? "#" + this.hashformat(rawFragment) : "";
      vars.fragment = vars.fragment ? vars.fragment : "";
      vars["#path"] = rawPath ? "#" + this.hashformat(rawPath) : "";
      vars["/path"] = vars.path ? "/" + vars.path : "";
      vars.projectPath = rawProject.split("/").map(encodeURIComponent).join("/");
      if (opts2.noCommittish) {
        vars["#committish"] = "";
        vars["/tree/committish"] = "";
        vars["/committish"] = "";
        vars.committish = "";
      } else {
        vars["#committish"] = rawcommittish ? "#" + rawcommittish : "";
        vars["/tree/committish"] = vars.committish ? "/" + vars.treepath + "/" + vars.committish : "";
        vars["/committish"] = vars.committish ? "/" + vars.committish : "";
        vars.committish = vars.committish || "master";
      }
      var res = template;
      Object.keys(vars).forEach(function(key) {
        res = res.replace(new RegExp("[{]" + key + "[}]", "g"), vars[key]);
      });
      if (opts2.noGitPlus) {
        return res.replace(/^git[+]/, "");
      } else {
        return res;
      }
    };
    GitHost.prototype.ssh = function(opts2) {
      return this._fill(this.sshtemplate, opts2);
    };
    GitHost.prototype.sshurl = function(opts2) {
      return this._fill(this.sshurltemplate, opts2);
    };
    GitHost.prototype.browse = function(P, F, opts2) {
      if (typeof P === "string") {
        if (typeof F !== "string") {
          opts2 = F;
          F = null;
        }
        return this._fill(this.browsefiletemplate, extend({
          fragment: F,
          path: P
        }, opts2));
      } else {
        return this._fill(this.browsetemplate, P);
      }
    };
    GitHost.prototype.docs = function(opts2) {
      return this._fill(this.docstemplate, opts2);
    };
    GitHost.prototype.bugs = function(opts2) {
      return this._fill(this.bugstemplate, opts2);
    };
    GitHost.prototype.https = function(opts2) {
      return this._fill(this.httpstemplate, opts2);
    };
    GitHost.prototype.git = function(opts2) {
      return this._fill(this.gittemplate, opts2);
    };
    GitHost.prototype.shortcut = function(opts2) {
      return this._fill(this.shortcuttemplate, opts2);
    };
    GitHost.prototype.path = function(opts2) {
      return this._fill(this.pathtemplate, opts2);
    };
    GitHost.prototype.tarball = function(opts_) {
      var opts2 = extend({}, opts_, { noCommittish: false });
      return this._fill(this.tarballtemplate, opts2);
    };
    GitHost.prototype.file = function(P, opts2) {
      return this._fill(this.filetemplate, extend({ path: P }, opts2));
    };
    GitHost.prototype.getDefaultRepresentation = function() {
      return this.default;
    };
    GitHost.prototype.toString = function(opts2) {
      if (this.default && typeof this[this.default] === "function")
        return this[this.default](opts2);
      return this.sshurl(opts2);
    };
  }
});

// ../../node_modules/.pnpm/hosted-git-info@2.8.9/node_modules/hosted-git-info/index.js
var require_hosted_git_info = __commonJS({
  "../../node_modules/.pnpm/hosted-git-info@2.8.9/node_modules/hosted-git-info/index.js"(exports2, module2) {
    "use strict";
    var url2 = require("url");
    var gitHosts = require_git_host_info();
    var GitHost = module2.exports = require_git_host();
    var protocolToRepresentationMap = {
      "git+ssh:": "sshurl",
      "git+https:": "https",
      "ssh:": "sshurl",
      "git:": "git"
    };
    function protocolToRepresentation(protocol) {
      return protocolToRepresentationMap[protocol] || protocol.slice(0, -1);
    }
    var authProtocols = {
      "git:": true,
      "https:": true,
      "git+https:": true,
      "http:": true,
      "git+http:": true
    };
    var cache = {};
    module2.exports.fromUrl = function(giturl, opts2) {
      if (typeof giturl !== "string")
        return;
      var key = giturl + JSON.stringify(opts2 || {});
      if (!(key in cache)) {
        cache[key] = fromUrl(giturl, opts2);
      }
      return cache[key];
    };
    function fromUrl(giturl, opts2) {
      if (giturl == null || giturl === "")
        return;
      var url3 = fixupUnqualifiedGist(
        isGitHubShorthand(giturl) ? "github:" + giturl : giturl
      );
      var parsed = parseGitUrl(url3);
      var shortcutMatch = url3.match(/^([^:]+):(?:[^@]+@)?(?:([^/]*)\/)?([^#]+)/);
      var matches = Object.keys(gitHosts).map(function(gitHostName) {
        try {
          var gitHostInfo = gitHosts[gitHostName];
          var auth = null;
          if (parsed.auth && authProtocols[parsed.protocol]) {
            auth = parsed.auth;
          }
          var committish = parsed.hash ? decodeURIComponent(parsed.hash.substr(1)) : null;
          var user = null;
          var project = null;
          var defaultRepresentation = null;
          if (shortcutMatch && shortcutMatch[1] === gitHostName) {
            user = shortcutMatch[2] && decodeURIComponent(shortcutMatch[2]);
            project = decodeURIComponent(shortcutMatch[3].replace(/\.git$/, ""));
            defaultRepresentation = "shortcut";
          } else {
            if (parsed.host && parsed.host !== gitHostInfo.domain && parsed.host.replace(/^www[.]/, "") !== gitHostInfo.domain)
              return;
            if (!gitHostInfo.protocols_re.test(parsed.protocol))
              return;
            if (!parsed.path)
              return;
            var pathmatch = gitHostInfo.pathmatch;
            var matched = parsed.path.match(pathmatch);
            if (!matched)
              return;
            if (matched[1] !== null && matched[1] !== void 0) {
              user = decodeURIComponent(matched[1].replace(/^:/, ""));
            }
            project = decodeURIComponent(matched[2]);
            defaultRepresentation = protocolToRepresentation(parsed.protocol);
          }
          return new GitHost(gitHostName, user, auth, project, committish, defaultRepresentation, opts2);
        } catch (ex2) {
          if (ex2 instanceof URIError) {
          } else
            throw ex2;
        }
      }).filter(function(gitHostInfo) {
        return gitHostInfo;
      });
      if (matches.length !== 1)
        return;
      return matches[0];
    }
    function isGitHubShorthand(arg3) {
      return /^[^:@%/\s.-][^:@%/\s]*[/][^:@\s/%]+(?:#.*)?$/.test(arg3);
    }
    function fixupUnqualifiedGist(giturl) {
      var parsed = url2.parse(giturl);
      if (parsed.protocol === "gist:" && parsed.host && !parsed.path) {
        return parsed.protocol + "/" + parsed.host;
      } else {
        return giturl;
      }
    }
    function parseGitUrl(giturl) {
      var matched = giturl.match(/^([^@]+)@([^:/]+):[/]?((?:[^/]+[/])?[^/]+?)(?:[.]git)?(#.*)?$/);
      if (!matched) {
        var legacy = url2.parse(giturl);
        if (legacy.auth && typeof url2.URL === "function") {
          var authmatch = giturl.match(/[^@]+@[^:/]+/);
          if (authmatch) {
            var whatwg = new url2.URL(authmatch[0]);
            legacy.auth = whatwg.username || "";
            if (whatwg.password)
              legacy.auth += ":" + whatwg.password;
          }
        }
        return legacy;
      }
      return {
        protocol: "git+ssh:",
        slashes: true,
        auth: matched[1],
        host: matched[2],
        port: null,
        hostname: matched[2],
        hash: matched[4],
        search: null,
        query: null,
        pathname: "/" + matched[3],
        path: "/" + matched[3],
        href: "git+ssh://" + matched[1] + "@" + matched[2] + "/" + matched[3] + (matched[4] || "")
      };
    }
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/homedir.js
var require_homedir = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/homedir.js"(exports2, module2) {
    "use strict";
    var os7 = require("os");
    module2.exports = os7.homedir || function homedir2() {
      var home2 = process.env.HOME;
      var user = process.env.LOGNAME || process.env.USER || process.env.LNAME || process.env.USERNAME;
      if (process.platform === "win32") {
        return process.env.USERPROFILE || process.env.HOMEDRIVE + process.env.HOMEPATH || home2 || null;
      }
      if (process.platform === "darwin") {
        return home2 || (user ? "/Users/" + user : null);
      }
      if (process.platform === "linux") {
        return home2 || (process.getuid() === 0 ? "/root" : user ? "/home/" + user : null);
      }
      return home2 || null;
    };
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/caller.js
var require_caller = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/caller.js"(exports2, module2) {
    "use strict";
    module2.exports = function() {
      var origPrepareStackTrace = Error.prepareStackTrace;
      Error.prepareStackTrace = function(_3, stack3) {
        return stack3;
      };
      var stack2 = new Error().stack;
      Error.prepareStackTrace = origPrepareStackTrace;
      return stack2[2].getFileName();
    };
  }
});

// ../../node_modules/.pnpm/path-parse@1.0.7/node_modules/path-parse/index.js
var require_path_parse = __commonJS({
  "../../node_modules/.pnpm/path-parse@1.0.7/node_modules/path-parse/index.js"(exports2, module2) {
    "use strict";
    var isWindows3 = process.platform === "win32";
    var splitWindowsRe = /^(((?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?[\\\/]?)(?:[^\\\/]*[\\\/])*)((\.{1,2}|[^\\\/]+?|)(\.[^.\/\\]*|))[\\\/]*$/;
    var win32 = {};
    function win32SplitPath(filename) {
      return splitWindowsRe.exec(filename).slice(1);
    }
    win32.parse = function(pathString) {
      if (typeof pathString !== "string") {
        throw new TypeError(
          "Parameter 'pathString' must be a string, not " + typeof pathString
        );
      }
      var allParts = win32SplitPath(pathString);
      if (!allParts || allParts.length !== 5) {
        throw new TypeError("Invalid path '" + pathString + "'");
      }
      return {
        root: allParts[1],
        dir: allParts[0] === allParts[1] ? allParts[0] : allParts[0].slice(0, -1),
        base: allParts[2],
        ext: allParts[4],
        name: allParts[3]
      };
    };
    var splitPathRe = /^((\/?)(?:[^\/]*\/)*)((\.{1,2}|[^\/]+?|)(\.[^.\/]*|))[\/]*$/;
    var posix2 = {};
    function posixSplitPath(filename) {
      return splitPathRe.exec(filename).slice(1);
    }
    posix2.parse = function(pathString) {
      if (typeof pathString !== "string") {
        throw new TypeError(
          "Parameter 'pathString' must be a string, not " + typeof pathString
        );
      }
      var allParts = posixSplitPath(pathString);
      if (!allParts || allParts.length !== 5) {
        throw new TypeError("Invalid path '" + pathString + "'");
      }
      return {
        root: allParts[1],
        dir: allParts[0].slice(0, -1),
        base: allParts[2],
        ext: allParts[4],
        name: allParts[3]
      };
    };
    if (isWindows3)
      module2.exports = win32.parse;
    else
      module2.exports = posix2.parse;
    module2.exports.posix = posix2.parse;
    module2.exports.win32 = win32.parse;
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/node-modules-paths.js
var require_node_modules_paths = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/node-modules-paths.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var parse3 = path39.parse || require_path_parse();
    var getNodeModulesDirs = function getNodeModulesDirs2(absoluteStart, modules) {
      var prefix = "/";
      if (/^([A-Za-z]:)/.test(absoluteStart)) {
        prefix = "";
      } else if (/^\\\\/.test(absoluteStart)) {
        prefix = "\\\\";
      }
      var paths2 = [absoluteStart];
      var parsed = parse3(absoluteStart);
      while (parsed.dir !== paths2[paths2.length - 1]) {
        paths2.push(parsed.dir);
        parsed = parse3(parsed.dir);
      }
      return paths2.reduce(function(dirs, aPath) {
        return dirs.concat(modules.map(function(moduleDir) {
          return path39.resolve(prefix, aPath, moduleDir);
        }));
      }, []);
    };
    module2.exports = function nodeModulesPaths(start, opts2, request2) {
      var modules = opts2 && opts2.moduleDirectory ? [].concat(opts2.moduleDirectory) : ["node_modules"];
      if (opts2 && typeof opts2.paths === "function") {
        return opts2.paths(
          request2,
          start,
          function() {
            return getNodeModulesDirs(start, modules);
          },
          opts2
        );
      }
      var dirs = getNodeModulesDirs(start, modules);
      return opts2 && opts2.paths ? dirs.concat(opts2.paths) : dirs;
    };
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/normalize-options.js
var require_normalize_options = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/normalize-options.js"(exports2, module2) {
    "use strict";
    module2.exports = function(x, opts2) {
      return opts2 || {};
    };
  }
});

// ../../node_modules/.pnpm/function-bind@1.1.1/node_modules/function-bind/implementation.js
var require_implementation = __commonJS({
  "../../node_modules/.pnpm/function-bind@1.1.1/node_modules/function-bind/implementation.js"(exports2, module2) {
    "use strict";
    var ERROR_MESSAGE = "Function.prototype.bind called on incompatible ";
    var slice = Array.prototype.slice;
    var toStr = Object.prototype.toString;
    var funcType = "[object Function]";
    module2.exports = function bind2(that) {
      var target = this;
      if (typeof target !== "function" || toStr.call(target) !== funcType) {
        throw new TypeError(ERROR_MESSAGE + target);
      }
      var args3 = slice.call(arguments, 1);
      var bound;
      var binder = function() {
        if (this instanceof bound) {
          var result = target.apply(
            this,
            args3.concat(slice.call(arguments))
          );
          if (Object(result) === result) {
            return result;
          }
          return this;
        } else {
          return target.apply(
            that,
            args3.concat(slice.call(arguments))
          );
        }
      };
      var boundLength = Math.max(0, target.length - args3.length);
      var boundArgs = [];
      for (var i4 = 0; i4 < boundLength; i4++) {
        boundArgs.push("$" + i4);
      }
      bound = Function("binder", "return function (" + boundArgs.join(",") + "){ return binder.apply(this,arguments); }")(binder);
      if (target.prototype) {
        var Empty = function Empty2() {
        };
        Empty.prototype = target.prototype;
        bound.prototype = new Empty();
        Empty.prototype = null;
      }
      return bound;
    };
  }
});

// ../../node_modules/.pnpm/function-bind@1.1.1/node_modules/function-bind/index.js
var require_function_bind = __commonJS({
  "../../node_modules/.pnpm/function-bind@1.1.1/node_modules/function-bind/index.js"(exports2, module2) {
    "use strict";
    var implementation = require_implementation();
    module2.exports = Function.prototype.bind || implementation;
  }
});

// ../../node_modules/.pnpm/has@1.0.3/node_modules/has/src/index.js
var require_src2 = __commonJS({
  "../../node_modules/.pnpm/has@1.0.3/node_modules/has/src/index.js"(exports2, module2) {
    "use strict";
    var bind2 = require_function_bind();
    module2.exports = bind2.call(Function.call, Object.prototype.hasOwnProperty);
  }
});

// ../../node_modules/.pnpm/is-core-module@2.13.0/node_modules/is-core-module/core.json
var require_core2 = __commonJS({
  "../../node_modules/.pnpm/is-core-module@2.13.0/node_modules/is-core-module/core.json"(exports2, module2) {
    module2.exports = {
      assert: true,
      "node:assert": [">= 14.18 && < 15", ">= 16"],
      "assert/strict": ">= 15",
      "node:assert/strict": ">= 16",
      async_hooks: ">= 8",
      "node:async_hooks": [">= 14.18 && < 15", ">= 16"],
      buffer_ieee754: ">= 0.5 && < 0.9.7",
      buffer: true,
      "node:buffer": [">= 14.18 && < 15", ">= 16"],
      child_process: true,
      "node:child_process": [">= 14.18 && < 15", ">= 16"],
      cluster: ">= 0.5",
      "node:cluster": [">= 14.18 && < 15", ">= 16"],
      console: true,
      "node:console": [">= 14.18 && < 15", ">= 16"],
      constants: true,
      "node:constants": [">= 14.18 && < 15", ">= 16"],
      crypto: true,
      "node:crypto": [">= 14.18 && < 15", ">= 16"],
      _debug_agent: ">= 1 && < 8",
      _debugger: "< 8",
      dgram: true,
      "node:dgram": [">= 14.18 && < 15", ">= 16"],
      diagnostics_channel: [">= 14.17 && < 15", ">= 15.1"],
      "node:diagnostics_channel": [">= 14.18 && < 15", ">= 16"],
      dns: true,
      "node:dns": [">= 14.18 && < 15", ">= 16"],
      "dns/promises": ">= 15",
      "node:dns/promises": ">= 16",
      domain: ">= 0.7.12",
      "node:domain": [">= 14.18 && < 15", ">= 16"],
      events: true,
      "node:events": [">= 14.18 && < 15", ">= 16"],
      freelist: "< 6",
      fs: true,
      "node:fs": [">= 14.18 && < 15", ">= 16"],
      "fs/promises": [">= 10 && < 10.1", ">= 14"],
      "node:fs/promises": [">= 14.18 && < 15", ">= 16"],
      _http_agent: ">= 0.11.1",
      "node:_http_agent": [">= 14.18 && < 15", ">= 16"],
      _http_client: ">= 0.11.1",
      "node:_http_client": [">= 14.18 && < 15", ">= 16"],
      _http_common: ">= 0.11.1",
      "node:_http_common": [">= 14.18 && < 15", ">= 16"],
      _http_incoming: ">= 0.11.1",
      "node:_http_incoming": [">= 14.18 && < 15", ">= 16"],
      _http_outgoing: ">= 0.11.1",
      "node:_http_outgoing": [">= 14.18 && < 15", ">= 16"],
      _http_server: ">= 0.11.1",
      "node:_http_server": [">= 14.18 && < 15", ">= 16"],
      http: true,
      "node:http": [">= 14.18 && < 15", ">= 16"],
      http2: ">= 8.8",
      "node:http2": [">= 14.18 && < 15", ">= 16"],
      https: true,
      "node:https": [">= 14.18 && < 15", ">= 16"],
      inspector: ">= 8",
      "node:inspector": [">= 14.18 && < 15", ">= 16"],
      "inspector/promises": [">= 19"],
      "node:inspector/promises": [">= 19"],
      _linklist: "< 8",
      module: true,
      "node:module": [">= 14.18 && < 15", ">= 16"],
      net: true,
      "node:net": [">= 14.18 && < 15", ">= 16"],
      "node-inspect/lib/_inspect": ">= 7.6 && < 12",
      "node-inspect/lib/internal/inspect_client": ">= 7.6 && < 12",
      "node-inspect/lib/internal/inspect_repl": ">= 7.6 && < 12",
      os: true,
      "node:os": [">= 14.18 && < 15", ">= 16"],
      path: true,
      "node:path": [">= 14.18 && < 15", ">= 16"],
      "path/posix": ">= 15.3",
      "node:path/posix": ">= 16",
      "path/win32": ">= 15.3",
      "node:path/win32": ">= 16",
      perf_hooks: ">= 8.5",
      "node:perf_hooks": [">= 14.18 && < 15", ">= 16"],
      process: ">= 1",
      "node:process": [">= 14.18 && < 15", ">= 16"],
      punycode: ">= 0.5",
      "node:punycode": [">= 14.18 && < 15", ">= 16"],
      querystring: true,
      "node:querystring": [">= 14.18 && < 15", ">= 16"],
      readline: true,
      "node:readline": [">= 14.18 && < 15", ">= 16"],
      "readline/promises": ">= 17",
      "node:readline/promises": ">= 17",
      repl: true,
      "node:repl": [">= 14.18 && < 15", ">= 16"],
      smalloc: ">= 0.11.5 && < 3",
      _stream_duplex: ">= 0.9.4",
      "node:_stream_duplex": [">= 14.18 && < 15", ">= 16"],
      _stream_transform: ">= 0.9.4",
      "node:_stream_transform": [">= 14.18 && < 15", ">= 16"],
      _stream_wrap: ">= 1.4.1",
      "node:_stream_wrap": [">= 14.18 && < 15", ">= 16"],
      _stream_passthrough: ">= 0.9.4",
      "node:_stream_passthrough": [">= 14.18 && < 15", ">= 16"],
      _stream_readable: ">= 0.9.4",
      "node:_stream_readable": [">= 14.18 && < 15", ">= 16"],
      _stream_writable: ">= 0.9.4",
      "node:_stream_writable": [">= 14.18 && < 15", ">= 16"],
      stream: true,
      "node:stream": [">= 14.18 && < 15", ">= 16"],
      "stream/consumers": ">= 16.7",
      "node:stream/consumers": ">= 16.7",
      "stream/promises": ">= 15",
      "node:stream/promises": ">= 16",
      "stream/web": ">= 16.5",
      "node:stream/web": ">= 16.5",
      string_decoder: true,
      "node:string_decoder": [">= 14.18 && < 15", ">= 16"],
      sys: [">= 0.4 && < 0.7", ">= 0.8"],
      "node:sys": [">= 14.18 && < 15", ">= 16"],
      "test/reporters": ">= 19.9 && < 20.2",
      "node:test/reporters": [">= 18.17 && < 19", ">= 19.9", ">= 20"],
      "node:test": [">= 16.17 && < 17", ">= 18"],
      timers: true,
      "node:timers": [">= 14.18 && < 15", ">= 16"],
      "timers/promises": ">= 15",
      "node:timers/promises": ">= 16",
      _tls_common: ">= 0.11.13",
      "node:_tls_common": [">= 14.18 && < 15", ">= 16"],
      _tls_legacy: ">= 0.11.3 && < 10",
      _tls_wrap: ">= 0.11.3",
      "node:_tls_wrap": [">= 14.18 && < 15", ">= 16"],
      tls: true,
      "node:tls": [">= 14.18 && < 15", ">= 16"],
      trace_events: ">= 10",
      "node:trace_events": [">= 14.18 && < 15", ">= 16"],
      tty: true,
      "node:tty": [">= 14.18 && < 15", ">= 16"],
      url: true,
      "node:url": [">= 14.18 && < 15", ">= 16"],
      util: true,
      "node:util": [">= 14.18 && < 15", ">= 16"],
      "util/types": ">= 15.3",
      "node:util/types": ">= 16",
      "v8/tools/arguments": ">= 10 && < 12",
      "v8/tools/codemap": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/consarray": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/csvparser": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/logreader": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/profile_view": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/splaytree": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      v8: ">= 1",
      "node:v8": [">= 14.18 && < 15", ">= 16"],
      vm: true,
      "node:vm": [">= 14.18 && < 15", ">= 16"],
      wasi: [">= 13.4 && < 13.5", ">= 18.17 && < 19", ">= 20"],
      "node:wasi": [">= 18.17 && < 19", ">= 20"],
      worker_threads: ">= 11.7",
      "node:worker_threads": [">= 14.18 && < 15", ">= 16"],
      zlib: ">= 0.5",
      "node:zlib": [">= 14.18 && < 15", ">= 16"]
    };
  }
});

// ../../node_modules/.pnpm/is-core-module@2.13.0/node_modules/is-core-module/index.js
var require_is_core_module = __commonJS({
  "../../node_modules/.pnpm/is-core-module@2.13.0/node_modules/is-core-module/index.js"(exports2, module2) {
    "use strict";
    var has = require_src2();
    function specifierIncluded(current, specifier) {
      var nodeParts = current.split(".");
      var parts = specifier.split(" ");
      var op = parts.length > 1 ? parts[0] : "=";
      var versionParts = (parts.length > 1 ? parts[1] : parts[0]).split(".");
      for (var i4 = 0; i4 < 3; ++i4) {
        var cur = parseInt(nodeParts[i4] || 0, 10);
        var ver = parseInt(versionParts[i4] || 0, 10);
        if (cur === ver) {
          continue;
        }
        if (op === "<") {
          return cur < ver;
        }
        if (op === ">=") {
          return cur >= ver;
        }
        return false;
      }
      return op === ">=";
    }
    function matchesRange(current, range2) {
      var specifiers = range2.split(/ ?&& ?/);
      if (specifiers.length === 0) {
        return false;
      }
      for (var i4 = 0; i4 < specifiers.length; ++i4) {
        if (!specifierIncluded(current, specifiers[i4])) {
          return false;
        }
      }
      return true;
    }
    function versionIncluded(nodeVersion, specifierValue) {
      if (typeof specifierValue === "boolean") {
        return specifierValue;
      }
      var current = typeof nodeVersion === "undefined" ? process.versions && process.versions.node : nodeVersion;
      if (typeof current !== "string") {
        throw new TypeError(typeof nodeVersion === "undefined" ? "Unable to determine current node version" : "If provided, a valid node version is required");
      }
      if (specifierValue && typeof specifierValue === "object") {
        for (var i4 = 0; i4 < specifierValue.length; ++i4) {
          if (matchesRange(current, specifierValue[i4])) {
            return true;
          }
        }
        return false;
      }
      return matchesRange(current, specifierValue);
    }
    var data = require_core2();
    module2.exports = function isCore(x, nodeVersion) {
      return has(data, x) && versionIncluded(nodeVersion, data[x]);
    };
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/async.js
var require_async7 = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/async.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var getHomedir = require_homedir();
    var path39 = require("path");
    var caller = require_caller();
    var nodeModulesPaths = require_node_modules_paths();
    var normalizeOptions = require_normalize_options();
    var isCore = require_is_core_module();
    var realpathFS = process.platform !== "win32" && fs42.realpath && typeof fs42.realpath.native === "function" ? fs42.realpath.native : fs42.realpath;
    var homedir2 = getHomedir();
    var defaultPaths = function() {
      return [
        path39.join(homedir2, ".node_modules"),
        path39.join(homedir2, ".node_libraries")
      ];
    };
    var defaultIsFile = function isFile(file2, cb2) {
      fs42.stat(file2, function(err, stat) {
        if (!err) {
          return cb2(null, stat.isFile() || stat.isFIFO());
        }
        if (err.code === "ENOENT" || err.code === "ENOTDIR")
          return cb2(null, false);
        return cb2(err);
      });
    };
    var defaultIsDir = function isDirectory(dir3, cb2) {
      fs42.stat(dir3, function(err, stat) {
        if (!err) {
          return cb2(null, stat.isDirectory());
        }
        if (err.code === "ENOENT" || err.code === "ENOTDIR")
          return cb2(null, false);
        return cb2(err);
      });
    };
    var defaultRealpath = function realpath(x, cb2) {
      realpathFS(x, function(realpathErr, realPath2) {
        if (realpathErr && realpathErr.code !== "ENOENT")
          cb2(realpathErr);
        else
          cb2(null, realpathErr ? x : realPath2);
      });
    };
    var maybeRealpath = function maybeRealpath2(realpath, x, opts2, cb2) {
      if (opts2 && opts2.preserveSymlinks === false) {
        realpath(x, cb2);
      } else {
        cb2(null, x);
      }
    };
    var defaultReadPackage = function defaultReadPackage2(readFile, pkgfile, cb2) {
      readFile(pkgfile, function(readFileErr, body) {
        if (readFileErr)
          cb2(readFileErr);
        else {
          try {
            var pkg2 = JSON.parse(body);
            cb2(null, pkg2);
          } catch (jsonErr) {
            cb2(null);
          }
        }
      });
    };
    var getPackageCandidates = function getPackageCandidates2(x, start, opts2) {
      var dirs = nodeModulesPaths(start, opts2, x);
      for (var i4 = 0; i4 < dirs.length; i4++) {
        dirs[i4] = path39.join(dirs[i4], x);
      }
      return dirs;
    };
    module2.exports = function resolve3(x, options2, callback) {
      var cb2 = callback;
      var opts2 = options2;
      if (typeof options2 === "function") {
        cb2 = opts2;
        opts2 = {};
      }
      if (typeof x !== "string") {
        var err = new TypeError("Path must be a string.");
        return process.nextTick(function() {
          cb2(err);
        });
      }
      opts2 = normalizeOptions(x, opts2);
      var isFile = opts2.isFile || defaultIsFile;
      var isDirectory = opts2.isDirectory || defaultIsDir;
      var readFile = opts2.readFile || fs42.readFile;
      var realpath = opts2.realpath || defaultRealpath;
      var readPackage = opts2.readPackage || defaultReadPackage;
      if (opts2.readFile && opts2.readPackage) {
        var conflictErr = new TypeError("`readFile` and `readPackage` are mutually exclusive.");
        return process.nextTick(function() {
          cb2(conflictErr);
        });
      }
      var packageIterator = opts2.packageIterator;
      var extensions = opts2.extensions || [".js"];
      var includeCoreModules = opts2.includeCoreModules !== false;
      var basedir = opts2.basedir || path39.dirname(caller());
      var parent2 = opts2.filename || basedir;
      opts2.paths = opts2.paths || defaultPaths();
      var absoluteStart = path39.resolve(basedir);
      maybeRealpath(
        realpath,
        absoluteStart,
        opts2,
        function(err2, realStart) {
          if (err2)
            cb2(err2);
          else
            init3(realStart);
        }
      );
      var res;
      function init3(basedir2) {
        if (/^(?:\.\.?(?:\/|$)|\/|([A-Za-z]:)?[/\\])/.test(x)) {
          res = path39.resolve(basedir2, x);
          if (x === "." || x === ".." || x.slice(-1) === "/")
            res += "/";
          if (/\/$/.test(x) && res === basedir2) {
            loadAsDirectory(res, opts2.package, onfile);
          } else
            loadAsFile(res, opts2.package, onfile);
        } else if (includeCoreModules && isCore(x)) {
          return cb2(null, x);
        } else
          loadNodeModules(x, basedir2, function(err2, n2, pkg2) {
            if (err2)
              cb2(err2);
            else if (n2) {
              return maybeRealpath(realpath, n2, opts2, function(err3, realN) {
                if (err3) {
                  cb2(err3);
                } else {
                  cb2(null, realN, pkg2);
                }
              });
            } else {
              var moduleError = new Error("Cannot find module '" + x + "' from '" + parent2 + "'");
              moduleError.code = "MODULE_NOT_FOUND";
              cb2(moduleError);
            }
          });
      }
      function onfile(err2, m3, pkg2) {
        if (err2)
          cb2(err2);
        else if (m3)
          cb2(null, m3, pkg2);
        else
          loadAsDirectory(res, function(err3, d3, pkg3) {
            if (err3)
              cb2(err3);
            else if (d3) {
              maybeRealpath(realpath, d3, opts2, function(err4, realD) {
                if (err4) {
                  cb2(err4);
                } else {
                  cb2(null, realD, pkg3);
                }
              });
            } else {
              var moduleError = new Error("Cannot find module '" + x + "' from '" + parent2 + "'");
              moduleError.code = "MODULE_NOT_FOUND";
              cb2(moduleError);
            }
          });
      }
      function loadAsFile(x2, thePackage, callback2) {
        var loadAsFilePackage = thePackage;
        var cb3 = callback2;
        if (typeof loadAsFilePackage === "function") {
          cb3 = loadAsFilePackage;
          loadAsFilePackage = void 0;
        }
        var exts = [""].concat(extensions);
        load2(exts, x2, loadAsFilePackage);
        function load2(exts2, x3, loadPackage) {
          if (exts2.length === 0)
            return cb3(null, void 0, loadPackage);
          var file2 = x3 + exts2[0];
          var pkg2 = loadPackage;
          if (pkg2)
            onpkg(null, pkg2);
          else
            loadpkg(path39.dirname(file2), onpkg);
          function onpkg(err2, pkg_, dir3) {
            pkg2 = pkg_;
            if (err2)
              return cb3(err2);
            if (dir3 && pkg2 && opts2.pathFilter) {
              var rfile = path39.relative(dir3, file2);
              var rel = rfile.slice(0, rfile.length - exts2[0].length);
              var r2 = opts2.pathFilter(pkg2, x3, rel);
              if (r2)
                return load2(
                  [""].concat(extensions.slice()),
                  path39.resolve(dir3, r2),
                  pkg2
                );
            }
            isFile(file2, onex);
          }
          function onex(err2, ex2) {
            if (err2)
              return cb3(err2);
            if (ex2)
              return cb3(null, file2, pkg2);
            load2(exts2.slice(1), x3, pkg2);
          }
        }
      }
      function loadpkg(dir3, cb3) {
        if (dir3 === "" || dir3 === "/")
          return cb3(null);
        if (process.platform === "win32" && /^\w:[/\\]*$/.test(dir3)) {
          return cb3(null);
        }
        if (/[/\\]node_modules[/\\]*$/.test(dir3))
          return cb3(null);
        maybeRealpath(realpath, dir3, opts2, function(unwrapErr, pkgdir) {
          if (unwrapErr)
            return loadpkg(path39.dirname(dir3), cb3);
          var pkgfile = path39.join(pkgdir, "package.json");
          isFile(pkgfile, function(err2, ex2) {
            if (!ex2)
              return loadpkg(path39.dirname(dir3), cb3);
            readPackage(readFile, pkgfile, function(err3, pkgParam) {
              if (err3)
                cb3(err3);
              var pkg2 = pkgParam;
              if (pkg2 && opts2.packageFilter) {
                pkg2 = opts2.packageFilter(pkg2, pkgfile);
              }
              cb3(null, pkg2, dir3);
            });
          });
        });
      }
      function loadAsDirectory(x2, loadAsDirectoryPackage, callback2) {
        var cb3 = callback2;
        var fpkg = loadAsDirectoryPackage;
        if (typeof fpkg === "function") {
          cb3 = fpkg;
          fpkg = opts2.package;
        }
        maybeRealpath(realpath, x2, opts2, function(unwrapErr, pkgdir) {
          if (unwrapErr)
            return cb3(unwrapErr);
          var pkgfile = path39.join(pkgdir, "package.json");
          isFile(pkgfile, function(err2, ex2) {
            if (err2)
              return cb3(err2);
            if (!ex2)
              return loadAsFile(path39.join(x2, "index"), fpkg, cb3);
            readPackage(readFile, pkgfile, function(err3, pkgParam) {
              if (err3)
                return cb3(err3);
              var pkg2 = pkgParam;
              if (pkg2 && opts2.packageFilter) {
                pkg2 = opts2.packageFilter(pkg2, pkgfile);
              }
              if (pkg2 && pkg2.main) {
                if (typeof pkg2.main !== "string") {
                  var mainError = new TypeError("package \u201C" + pkg2.name + "\u201D `main` must be a string");
                  mainError.code = "INVALID_PACKAGE_MAIN";
                  return cb3(mainError);
                }
                if (pkg2.main === "." || pkg2.main === "./") {
                  pkg2.main = "index";
                }
                loadAsFile(path39.resolve(x2, pkg2.main), pkg2, function(err4, m3, pkg3) {
                  if (err4)
                    return cb3(err4);
                  if (m3)
                    return cb3(null, m3, pkg3);
                  if (!pkg3)
                    return loadAsFile(path39.join(x2, "index"), pkg3, cb3);
                  var dir3 = path39.resolve(x2, pkg3.main);
                  loadAsDirectory(dir3, pkg3, function(err5, n2, pkg4) {
                    if (err5)
                      return cb3(err5);
                    if (n2)
                      return cb3(null, n2, pkg4);
                    loadAsFile(path39.join(x2, "index"), pkg4, cb3);
                  });
                });
                return;
              }
              loadAsFile(path39.join(x2, "/index"), pkg2, cb3);
            });
          });
        });
      }
      function processDirs(cb3, dirs) {
        if (dirs.length === 0)
          return cb3(null, void 0);
        var dir3 = dirs[0];
        isDirectory(path39.dirname(dir3), isdir);
        function isdir(err2, isdir2) {
          if (err2)
            return cb3(err2);
          if (!isdir2)
            return processDirs(cb3, dirs.slice(1));
          loadAsFile(dir3, opts2.package, onfile2);
        }
        function onfile2(err2, m3, pkg2) {
          if (err2)
            return cb3(err2);
          if (m3)
            return cb3(null, m3, pkg2);
          loadAsDirectory(dir3, opts2.package, ondir);
        }
        function ondir(err2, n2, pkg2) {
          if (err2)
            return cb3(err2);
          if (n2)
            return cb3(null, n2, pkg2);
          processDirs(cb3, dirs.slice(1));
        }
      }
      function loadNodeModules(x2, start, cb3) {
        var thunk = function() {
          return getPackageCandidates(x2, start, opts2);
        };
        processDirs(
          cb3,
          packageIterator ? packageIterator(x2, start, thunk, opts2) : thunk()
        );
      }
    };
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/core.json
var require_core3 = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/core.json"(exports2, module2) {
    module2.exports = {
      assert: true,
      "node:assert": [">= 14.18 && < 15", ">= 16"],
      "assert/strict": ">= 15",
      "node:assert/strict": ">= 16",
      async_hooks: ">= 8",
      "node:async_hooks": [">= 14.18 && < 15", ">= 16"],
      buffer_ieee754: ">= 0.5 && < 0.9.7",
      buffer: true,
      "node:buffer": [">= 14.18 && < 15", ">= 16"],
      child_process: true,
      "node:child_process": [">= 14.18 && < 15", ">= 16"],
      cluster: ">= 0.5",
      "node:cluster": [">= 14.18 && < 15", ">= 16"],
      console: true,
      "node:console": [">= 14.18 && < 15", ">= 16"],
      constants: true,
      "node:constants": [">= 14.18 && < 15", ">= 16"],
      crypto: true,
      "node:crypto": [">= 14.18 && < 15", ">= 16"],
      _debug_agent: ">= 1 && < 8",
      _debugger: "< 8",
      dgram: true,
      "node:dgram": [">= 14.18 && < 15", ">= 16"],
      diagnostics_channel: [">= 14.17 && < 15", ">= 15.1"],
      "node:diagnostics_channel": [">= 14.18 && < 15", ">= 16"],
      dns: true,
      "node:dns": [">= 14.18 && < 15", ">= 16"],
      "dns/promises": ">= 15",
      "node:dns/promises": ">= 16",
      domain: ">= 0.7.12",
      "node:domain": [">= 14.18 && < 15", ">= 16"],
      events: true,
      "node:events": [">= 14.18 && < 15", ">= 16"],
      freelist: "< 6",
      fs: true,
      "node:fs": [">= 14.18 && < 15", ">= 16"],
      "fs/promises": [">= 10 && < 10.1", ">= 14"],
      "node:fs/promises": [">= 14.18 && < 15", ">= 16"],
      _http_agent: ">= 0.11.1",
      "node:_http_agent": [">= 14.18 && < 15", ">= 16"],
      _http_client: ">= 0.11.1",
      "node:_http_client": [">= 14.18 && < 15", ">= 16"],
      _http_common: ">= 0.11.1",
      "node:_http_common": [">= 14.18 && < 15", ">= 16"],
      _http_incoming: ">= 0.11.1",
      "node:_http_incoming": [">= 14.18 && < 15", ">= 16"],
      _http_outgoing: ">= 0.11.1",
      "node:_http_outgoing": [">= 14.18 && < 15", ">= 16"],
      _http_server: ">= 0.11.1",
      "node:_http_server": [">= 14.18 && < 15", ">= 16"],
      http: true,
      "node:http": [">= 14.18 && < 15", ">= 16"],
      http2: ">= 8.8",
      "node:http2": [">= 14.18 && < 15", ">= 16"],
      https: true,
      "node:https": [">= 14.18 && < 15", ">= 16"],
      inspector: ">= 8",
      "node:inspector": [">= 14.18 && < 15", ">= 16"],
      "inspector/promises": [">= 19"],
      "node:inspector/promises": [">= 19"],
      _linklist: "< 8",
      module: true,
      "node:module": [">= 14.18 && < 15", ">= 16"],
      net: true,
      "node:net": [">= 14.18 && < 15", ">= 16"],
      "node-inspect/lib/_inspect": ">= 7.6 && < 12",
      "node-inspect/lib/internal/inspect_client": ">= 7.6 && < 12",
      "node-inspect/lib/internal/inspect_repl": ">= 7.6 && < 12",
      os: true,
      "node:os": [">= 14.18 && < 15", ">= 16"],
      path: true,
      "node:path": [">= 14.18 && < 15", ">= 16"],
      "path/posix": ">= 15.3",
      "node:path/posix": ">= 16",
      "path/win32": ">= 15.3",
      "node:path/win32": ">= 16",
      perf_hooks: ">= 8.5",
      "node:perf_hooks": [">= 14.18 && < 15", ">= 16"],
      process: ">= 1",
      "node:process": [">= 14.18 && < 15", ">= 16"],
      punycode: ">= 0.5",
      "node:punycode": [">= 14.18 && < 15", ">= 16"],
      querystring: true,
      "node:querystring": [">= 14.18 && < 15", ">= 16"],
      readline: true,
      "node:readline": [">= 14.18 && < 15", ">= 16"],
      "readline/promises": ">= 17",
      "node:readline/promises": ">= 17",
      repl: true,
      "node:repl": [">= 14.18 && < 15", ">= 16"],
      smalloc: ">= 0.11.5 && < 3",
      _stream_duplex: ">= 0.9.4",
      "node:_stream_duplex": [">= 14.18 && < 15", ">= 16"],
      _stream_transform: ">= 0.9.4",
      "node:_stream_transform": [">= 14.18 && < 15", ">= 16"],
      _stream_wrap: ">= 1.4.1",
      "node:_stream_wrap": [">= 14.18 && < 15", ">= 16"],
      _stream_passthrough: ">= 0.9.4",
      "node:_stream_passthrough": [">= 14.18 && < 15", ">= 16"],
      _stream_readable: ">= 0.9.4",
      "node:_stream_readable": [">= 14.18 && < 15", ">= 16"],
      _stream_writable: ">= 0.9.4",
      "node:_stream_writable": [">= 14.18 && < 15", ">= 16"],
      stream: true,
      "node:stream": [">= 14.18 && < 15", ">= 16"],
      "stream/consumers": ">= 16.7",
      "node:stream/consumers": ">= 16.7",
      "stream/promises": ">= 15",
      "node:stream/promises": ">= 16",
      "stream/web": ">= 16.5",
      "node:stream/web": ">= 16.5",
      string_decoder: true,
      "node:string_decoder": [">= 14.18 && < 15", ">= 16"],
      sys: [">= 0.4 && < 0.7", ">= 0.8"],
      "node:sys": [">= 14.18 && < 15", ">= 16"],
      "test/reporters": ">= 19.9 && < 20.2",
      "node:test/reporters": [">= 18.17 && < 19", ">= 19.9", ">= 20"],
      "node:test": [">= 16.17 && < 17", ">= 18"],
      timers: true,
      "node:timers": [">= 14.18 && < 15", ">= 16"],
      "timers/promises": ">= 15",
      "node:timers/promises": ">= 16",
      _tls_common: ">= 0.11.13",
      "node:_tls_common": [">= 14.18 && < 15", ">= 16"],
      _tls_legacy: ">= 0.11.3 && < 10",
      _tls_wrap: ">= 0.11.3",
      "node:_tls_wrap": [">= 14.18 && < 15", ">= 16"],
      tls: true,
      "node:tls": [">= 14.18 && < 15", ">= 16"],
      trace_events: ">= 10",
      "node:trace_events": [">= 14.18 && < 15", ">= 16"],
      tty: true,
      "node:tty": [">= 14.18 && < 15", ">= 16"],
      url: true,
      "node:url": [">= 14.18 && < 15", ">= 16"],
      util: true,
      "node:util": [">= 14.18 && < 15", ">= 16"],
      "util/types": ">= 15.3",
      "node:util/types": ">= 16",
      "v8/tools/arguments": ">= 10 && < 12",
      "v8/tools/codemap": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/consarray": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/csvparser": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/logreader": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/profile_view": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      "v8/tools/splaytree": [">= 4.4 && < 5", ">= 5.2 && < 12"],
      v8: ">= 1",
      "node:v8": [">= 14.18 && < 15", ">= 16"],
      vm: true,
      "node:vm": [">= 14.18 && < 15", ">= 16"],
      wasi: [">= 13.4 && < 13.5", ">= 18.17 && < 19", ">= 20"],
      "node:wasi": [">= 18.17 && < 19", ">= 20"],
      worker_threads: ">= 11.7",
      "node:worker_threads": [">= 14.18 && < 15", ">= 16"],
      zlib: ">= 0.5",
      "node:zlib": [">= 14.18 && < 15", ">= 16"]
    };
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/core.js
var require_core4 = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/core.js"(exports2, module2) {
    "use strict";
    var isCoreModule = require_is_core_module();
    var data = require_core3();
    var core2 = {};
    for (mod in data) {
      if (Object.prototype.hasOwnProperty.call(data, mod)) {
        core2[mod] = isCoreModule(mod);
      }
    }
    var mod;
    module2.exports = core2;
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/is-core.js
var require_is_core = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/is-core.js"(exports2, module2) {
    "use strict";
    var isCoreModule = require_is_core_module();
    module2.exports = function isCore(x) {
      return isCoreModule(x);
    };
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/sync.js
var require_sync8 = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/lib/sync.js"(exports2, module2) {
    "use strict";
    var isCore = require_is_core_module();
    var fs42 = require("fs");
    var path39 = require("path");
    var getHomedir = require_homedir();
    var caller = require_caller();
    var nodeModulesPaths = require_node_modules_paths();
    var normalizeOptions = require_normalize_options();
    var realpathFS = process.platform !== "win32" && fs42.realpathSync && typeof fs42.realpathSync.native === "function" ? fs42.realpathSync.native : fs42.realpathSync;
    var homedir2 = getHomedir();
    var defaultPaths = function() {
      return [
        path39.join(homedir2, ".node_modules"),
        path39.join(homedir2, ".node_libraries")
      ];
    };
    var defaultIsFile = function isFile(file2) {
      try {
        var stat = fs42.statSync(file2, { throwIfNoEntry: false });
      } catch (e3) {
        if (e3 && (e3.code === "ENOENT" || e3.code === "ENOTDIR"))
          return false;
        throw e3;
      }
      return !!stat && (stat.isFile() || stat.isFIFO());
    };
    var defaultIsDir = function isDirectory(dir3) {
      try {
        var stat = fs42.statSync(dir3, { throwIfNoEntry: false });
      } catch (e3) {
        if (e3 && (e3.code === "ENOENT" || e3.code === "ENOTDIR"))
          return false;
        throw e3;
      }
      return !!stat && stat.isDirectory();
    };
    var defaultRealpathSync = function realpathSync(x) {
      try {
        return realpathFS(x);
      } catch (realpathErr) {
        if (realpathErr.code !== "ENOENT") {
          throw realpathErr;
        }
      }
      return x;
    };
    var maybeRealpathSync = function maybeRealpathSync2(realpathSync, x, opts2) {
      if (opts2 && opts2.preserveSymlinks === false) {
        return realpathSync(x);
      }
      return x;
    };
    var defaultReadPackageSync = function defaultReadPackageSync2(readFileSync, pkgfile) {
      var body = readFileSync(pkgfile);
      try {
        var pkg2 = JSON.parse(body);
        return pkg2;
      } catch (jsonErr) {
      }
    };
    var getPackageCandidates = function getPackageCandidates2(x, start, opts2) {
      var dirs = nodeModulesPaths(start, opts2, x);
      for (var i4 = 0; i4 < dirs.length; i4++) {
        dirs[i4] = path39.join(dirs[i4], x);
      }
      return dirs;
    };
    module2.exports = function resolveSync(x, options2) {
      if (typeof x !== "string") {
        throw new TypeError("Path must be a string.");
      }
      var opts2 = normalizeOptions(x, options2);
      var isFile = opts2.isFile || defaultIsFile;
      var readFileSync = opts2.readFileSync || fs42.readFileSync;
      var isDirectory = opts2.isDirectory || defaultIsDir;
      var realpathSync = opts2.realpathSync || defaultRealpathSync;
      var readPackageSync = opts2.readPackageSync || defaultReadPackageSync;
      if (opts2.readFileSync && opts2.readPackageSync) {
        throw new TypeError("`readFileSync` and `readPackageSync` are mutually exclusive.");
      }
      var packageIterator = opts2.packageIterator;
      var extensions = opts2.extensions || [".js"];
      var includeCoreModules = opts2.includeCoreModules !== false;
      var basedir = opts2.basedir || path39.dirname(caller());
      var parent2 = opts2.filename || basedir;
      opts2.paths = opts2.paths || defaultPaths();
      var absoluteStart = maybeRealpathSync(realpathSync, path39.resolve(basedir), opts2);
      if (/^(?:\.\.?(?:\/|$)|\/|([A-Za-z]:)?[/\\])/.test(x)) {
        var res = path39.resolve(absoluteStart, x);
        if (x === "." || x === ".." || x.slice(-1) === "/")
          res += "/";
        var m3 = loadAsFileSync(res) || loadAsDirectorySync(res);
        if (m3)
          return maybeRealpathSync(realpathSync, m3, opts2);
      } else if (includeCoreModules && isCore(x)) {
        return x;
      } else {
        var n2 = loadNodeModulesSync(x, absoluteStart);
        if (n2)
          return maybeRealpathSync(realpathSync, n2, opts2);
      }
      var err = new Error("Cannot find module '" + x + "' from '" + parent2 + "'");
      err.code = "MODULE_NOT_FOUND";
      throw err;
      function loadAsFileSync(x2) {
        var pkg2 = loadpkg(path39.dirname(x2));
        if (pkg2 && pkg2.dir && pkg2.pkg && opts2.pathFilter) {
          var rfile = path39.relative(pkg2.dir, x2);
          var r2 = opts2.pathFilter(pkg2.pkg, x2, rfile);
          if (r2) {
            x2 = path39.resolve(pkg2.dir, r2);
          }
        }
        if (isFile(x2)) {
          return x2;
        }
        for (var i4 = 0; i4 < extensions.length; i4++) {
          var file2 = x2 + extensions[i4];
          if (isFile(file2)) {
            return file2;
          }
        }
      }
      function loadpkg(dir3) {
        if (dir3 === "" || dir3 === "/")
          return;
        if (process.platform === "win32" && /^\w:[/\\]*$/.test(dir3)) {
          return;
        }
        if (/[/\\]node_modules[/\\]*$/.test(dir3))
          return;
        var pkgfile = path39.join(maybeRealpathSync(realpathSync, dir3, opts2), "package.json");
        if (!isFile(pkgfile)) {
          return loadpkg(path39.dirname(dir3));
        }
        var pkg2 = readPackageSync(readFileSync, pkgfile);
        if (pkg2 && opts2.packageFilter) {
          pkg2 = opts2.packageFilter(
            pkg2,
            /*pkgfile,*/
            dir3
          );
        }
        return { pkg: pkg2, dir: dir3 };
      }
      function loadAsDirectorySync(x2) {
        var pkgfile = path39.join(maybeRealpathSync(realpathSync, x2, opts2), "/package.json");
        if (isFile(pkgfile)) {
          try {
            var pkg2 = readPackageSync(readFileSync, pkgfile);
          } catch (e3) {
          }
          if (pkg2 && opts2.packageFilter) {
            pkg2 = opts2.packageFilter(
              pkg2,
              /*pkgfile,*/
              x2
            );
          }
          if (pkg2 && pkg2.main) {
            if (typeof pkg2.main !== "string") {
              var mainError = new TypeError("package \u201C" + pkg2.name + "\u201D `main` must be a string");
              mainError.code = "INVALID_PACKAGE_MAIN";
              throw mainError;
            }
            if (pkg2.main === "." || pkg2.main === "./") {
              pkg2.main = "index";
            }
            try {
              var m6 = loadAsFileSync(path39.resolve(x2, pkg2.main));
              if (m6)
                return m6;
              var n3 = loadAsDirectorySync(path39.resolve(x2, pkg2.main));
              if (n3)
                return n3;
            } catch (e3) {
            }
          }
        }
        return loadAsFileSync(path39.join(x2, "/index"));
      }
      function loadNodeModulesSync(x2, start) {
        var thunk = function() {
          return getPackageCandidates(x2, start, opts2);
        };
        var dirs = packageIterator ? packageIterator(x2, start, thunk, opts2) : thunk();
        for (var i4 = 0; i4 < dirs.length; i4++) {
          var dir3 = dirs[i4];
          if (isDirectory(path39.dirname(dir3))) {
            var m6 = loadAsFileSync(dir3);
            if (m6)
              return m6;
            var n3 = loadAsDirectorySync(dir3);
            if (n3)
              return n3;
          }
        }
      }
    };
  }
});

// ../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/index.js
var require_resolve = __commonJS({
  "../../node_modules/.pnpm/resolve@1.22.4/node_modules/resolve/index.js"(exports2, module2) {
    "use strict";
    var async = require_async7();
    async.core = require_core4();
    async.isCore = require_is_core();
    async.sync = require_sync8();
    module2.exports = async;
  }
});

// ../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/extract_description.js
var require_extract_description = __commonJS({
  "../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/extract_description.js"(exports2, module2) {
    "use strict";
    module2.exports = extractDescription;
    function extractDescription(d3) {
      if (!d3)
        return;
      if (d3 === "ERROR: No README data found!")
        return;
      d3 = d3.trim().split("\n");
      for (var s3 = 0; d3[s3] && d3[s3].trim().match(/^(#|$)/); s3++)
        ;
      var l2 = d3.length;
      for (var e3 = s3 + 1; e3 < l2 && d3[e3].trim(); e3++)
        ;
      return d3.slice(s3, e3).join(" ").trim();
    }
  }
});

// ../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/typos.json
var require_typos = __commonJS({
  "../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/typos.json"(exports2, module2) {
    module2.exports = {
      topLevel: {
        dependancies: "dependencies",
        dependecies: "dependencies",
        depdenencies: "dependencies",
        devEependencies: "devDependencies",
        depends: "dependencies",
        "dev-dependencies": "devDependencies",
        devDependences: "devDependencies",
        devDepenencies: "devDependencies",
        devdependencies: "devDependencies",
        repostitory: "repository",
        repo: "repository",
        prefereGlobal: "preferGlobal",
        hompage: "homepage",
        hampage: "homepage",
        autohr: "author",
        autor: "author",
        contributers: "contributors",
        publicationConfig: "publishConfig",
        script: "scripts"
      },
      bugs: { web: "url", name: "url" },
      script: { server: "start", tests: "test" }
    };
  }
});

// ../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/fixer.js
var require_fixer = __commonJS({
  "../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/fixer.js"(exports2, module2) {
    "use strict";
    var semver2 = require_semver();
    var validateLicense = require_validate_npm_package_license();
    var hostedGitInfo = require_hosted_git_info();
    var isBuiltinModule = require_resolve().isCore;
    var depTypes = ["dependencies", "devDependencies", "optionalDependencies"];
    var extractDescription = require_extract_description();
    var url2 = require("url");
    var typos = require_typos();
    var fixer = module2.exports = {
      // default warning function
      warn: function() {
      },
      fixRepositoryField: function(data) {
        if (data.repositories) {
          this.warn("repositories");
          data.repository = data.repositories[0];
        }
        if (!data.repository)
          return this.warn("missingRepository");
        if (typeof data.repository === "string") {
          data.repository = {
            type: "git",
            url: data.repository
          };
        }
        var r2 = data.repository.url || "";
        if (r2) {
          var hosted = hostedGitInfo.fromUrl(r2);
          if (hosted) {
            r2 = data.repository.url = hosted.getDefaultRepresentation() == "shortcut" ? hosted.https() : hosted.toString();
          }
        }
        if (r2.match(/github.com\/[^\/]+\/[^\/]+\.git\.git$/)) {
          this.warn("brokenGitUrl", r2);
        }
      },
      fixTypos: function(data) {
        Object.keys(typos.topLevel).forEach(function(d3) {
          if (data.hasOwnProperty(d3)) {
            this.warn("typo", d3, typos.topLevel[d3]);
          }
        }, this);
      },
      fixScriptsField: function(data) {
        if (!data.scripts)
          return;
        if (typeof data.scripts !== "object") {
          this.warn("nonObjectScripts");
          delete data.scripts;
          return;
        }
        Object.keys(data.scripts).forEach(function(k) {
          if (typeof data.scripts[k] !== "string") {
            this.warn("nonStringScript");
            delete data.scripts[k];
          } else if (typos.script[k] && !data.scripts[typos.script[k]]) {
            this.warn("typo", k, typos.script[k], "scripts");
          }
        }, this);
      },
      fixFilesField: function(data) {
        var files = data.files;
        if (files && !Array.isArray(files)) {
          this.warn("nonArrayFiles");
          delete data.files;
        } else if (data.files) {
          data.files = data.files.filter(function(file2) {
            if (!file2 || typeof file2 !== "string") {
              this.warn("invalidFilename", file2);
              return false;
            } else {
              return true;
            }
          }, this);
        }
      },
      fixBinField: function(data) {
        if (!data.bin)
          return;
        if (typeof data.bin === "string") {
          var b6 = {};
          var match4;
          if (match4 = data.name.match(/^@[^/]+[/](.*)$/)) {
            b6[match4[1]] = data.bin;
          } else {
            b6[data.name] = data.bin;
          }
          data.bin = b6;
        }
      },
      fixManField: function(data) {
        if (!data.man)
          return;
        if (typeof data.man === "string") {
          data.man = [data.man];
        }
      },
      fixBundleDependenciesField: function(data) {
        var bdd = "bundledDependencies";
        var bd = "bundleDependencies";
        if (data[bdd] && !data[bd]) {
          data[bd] = data[bdd];
          delete data[bdd];
        }
        if (data[bd] && !Array.isArray(data[bd])) {
          this.warn("nonArrayBundleDependencies");
          delete data[bd];
        } else if (data[bd]) {
          data[bd] = data[bd].filter(function(bd2) {
            if (!bd2 || typeof bd2 !== "string") {
              this.warn("nonStringBundleDependency", bd2);
              return false;
            } else {
              if (!data.dependencies) {
                data.dependencies = {};
              }
              if (!data.dependencies.hasOwnProperty(bd2)) {
                this.warn("nonDependencyBundleDependency", bd2);
                data.dependencies[bd2] = "*";
              }
              return true;
            }
          }, this);
        }
      },
      fixDependencies: function(data, strict) {
        var loose = !strict;
        objectifyDeps(data, this.warn);
        addOptionalDepsToDeps(data, this.warn);
        this.fixBundleDependenciesField(data);
        ["dependencies", "devDependencies"].forEach(function(deps) {
          if (!(deps in data))
            return;
          if (!data[deps] || typeof data[deps] !== "object") {
            this.warn("nonObjectDependencies", deps);
            delete data[deps];
            return;
          }
          Object.keys(data[deps]).forEach(function(d3) {
            var r2 = data[deps][d3];
            if (typeof r2 !== "string") {
              this.warn("nonStringDependency", d3, JSON.stringify(r2));
              delete data[deps][d3];
            }
            var hosted = hostedGitInfo.fromUrl(data[deps][d3]);
            if (hosted)
              data[deps][d3] = hosted.toString();
          }, this);
        }, this);
      },
      fixModulesField: function(data) {
        if (data.modules) {
          this.warn("deprecatedModules");
          delete data.modules;
        }
      },
      fixKeywordsField: function(data) {
        if (typeof data.keywords === "string") {
          data.keywords = data.keywords.split(/,\s+/);
        }
        if (data.keywords && !Array.isArray(data.keywords)) {
          delete data.keywords;
          this.warn("nonArrayKeywords");
        } else if (data.keywords) {
          data.keywords = data.keywords.filter(function(kw2) {
            if (typeof kw2 !== "string" || !kw2) {
              this.warn("nonStringKeyword");
              return false;
            } else {
              return true;
            }
          }, this);
        }
      },
      fixVersionField: function(data, strict) {
        var loose = !strict;
        if (!data.version) {
          data.version = "";
          return true;
        }
        if (!semver2.valid(data.version, loose)) {
          throw new Error('Invalid version: "' + data.version + '"');
        }
        data.version = semver2.clean(data.version, loose);
        return true;
      },
      fixPeople: function(data) {
        modifyPeople(data, unParsePerson);
        modifyPeople(data, parsePerson);
      },
      fixNameField: function(data, options2) {
        if (typeof options2 === "boolean")
          options2 = { strict: options2 };
        else if (typeof options2 === "undefined")
          options2 = {};
        var strict = options2.strict;
        if (!data.name && !strict) {
          data.name = "";
          return;
        }
        if (typeof data.name !== "string") {
          throw new Error("name field must be a string.");
        }
        if (!strict)
          data.name = data.name.trim();
        ensureValidName(data.name, strict, options2.allowLegacyCase);
        if (isBuiltinModule(data.name))
          this.warn("conflictingName", data.name);
      },
      fixDescriptionField: function(data) {
        if (data.description && typeof data.description !== "string") {
          this.warn("nonStringDescription");
          delete data.description;
        }
        if (data.readme && !data.description)
          data.description = extractDescription(data.readme);
        if (data.description === void 0)
          delete data.description;
        if (!data.description)
          this.warn("missingDescription");
      },
      fixReadmeField: function(data) {
        if (!data.readme) {
          this.warn("missingReadme");
          data.readme = "ERROR: No README data found!";
        }
      },
      fixBugsField: function(data) {
        if (!data.bugs && data.repository && data.repository.url) {
          var hosted = hostedGitInfo.fromUrl(data.repository.url);
          if (hosted && hosted.bugs()) {
            data.bugs = { url: hosted.bugs() };
          }
        } else if (data.bugs) {
          var emailRe = /^.+@.*\..+$/;
          if (typeof data.bugs == "string") {
            if (emailRe.test(data.bugs))
              data.bugs = { email: data.bugs };
            else if (url2.parse(data.bugs).protocol)
              data.bugs = { url: data.bugs };
            else
              this.warn("nonEmailUrlBugsString");
          } else {
            bugsTypos(data.bugs, this.warn);
            var oldBugs = data.bugs;
            data.bugs = {};
            if (oldBugs.url) {
              if (typeof oldBugs.url == "string" && url2.parse(oldBugs.url).protocol)
                data.bugs.url = oldBugs.url;
              else
                this.warn("nonUrlBugsUrlField");
            }
            if (oldBugs.email) {
              if (typeof oldBugs.email == "string" && emailRe.test(oldBugs.email))
                data.bugs.email = oldBugs.email;
              else
                this.warn("nonEmailBugsEmailField");
            }
          }
          if (!data.bugs.email && !data.bugs.url) {
            delete data.bugs;
            this.warn("emptyNormalizedBugs");
          }
        }
      },
      fixHomepageField: function(data) {
        if (!data.homepage && data.repository && data.repository.url) {
          var hosted = hostedGitInfo.fromUrl(data.repository.url);
          if (hosted && hosted.docs())
            data.homepage = hosted.docs();
        }
        if (!data.homepage)
          return;
        if (typeof data.homepage !== "string") {
          this.warn("nonUrlHomepage");
          return delete data.homepage;
        }
        if (!url2.parse(data.homepage).protocol) {
          data.homepage = "http://" + data.homepage;
        }
      },
      fixLicenseField: function(data) {
        if (!data.license) {
          return this.warn("missingLicense");
        } else {
          if (typeof data.license !== "string" || data.license.length < 1 || data.license.trim() === "") {
            this.warn("invalidLicense");
          } else {
            if (!validateLicense(data.license).validForNewPackages)
              this.warn("invalidLicense");
          }
        }
      }
    };
    function isValidScopedPackageName(spec) {
      if (spec.charAt(0) !== "@")
        return false;
      var rest = spec.slice(1).split("/");
      if (rest.length !== 2)
        return false;
      return rest[0] && rest[1] && rest[0] === encodeURIComponent(rest[0]) && rest[1] === encodeURIComponent(rest[1]);
    }
    function isCorrectlyEncodedName(spec) {
      return !spec.match(/[\/@\s\+%:]/) && spec === encodeURIComponent(spec);
    }
    function ensureValidName(name, strict, allowLegacyCase) {
      if (name.charAt(0) === "." || !(isValidScopedPackageName(name) || isCorrectlyEncodedName(name)) || strict && !allowLegacyCase && name !== name.toLowerCase() || name.toLowerCase() === "node_modules" || name.toLowerCase() === "favicon.ico") {
        throw new Error("Invalid name: " + JSON.stringify(name));
      }
    }
    function modifyPeople(data, fn2) {
      if (data.author)
        data.author = fn2(data.author);
      ["maintainers", "contributors"].forEach(function(set) {
        if (!Array.isArray(data[set]))
          return;
        data[set] = data[set].map(fn2);
      });
      return data;
    }
    function unParsePerson(person) {
      if (typeof person === "string")
        return person;
      var name = person.name || "";
      var u2 = person.url || person.web;
      var url3 = u2 ? " (" + u2 + ")" : "";
      var e3 = person.email || person.mail;
      var email = e3 ? " <" + e3 + ">" : "";
      return name + email + url3;
    }
    function parsePerson(person) {
      if (typeof person !== "string")
        return person;
      var name = person.match(/^([^\(<]+)/);
      var url3 = person.match(/\(([^\)]+)\)/);
      var email = person.match(/<([^>]+)>/);
      var obj = {};
      if (name && name[0].trim())
        obj.name = name[0].trim();
      if (email)
        obj.email = email[1];
      if (url3)
        obj.url = url3[1];
      return obj;
    }
    function addOptionalDepsToDeps(data, warn3) {
      var o2 = data.optionalDependencies;
      if (!o2)
        return;
      var d3 = data.dependencies || {};
      Object.keys(o2).forEach(function(k) {
        d3[k] = o2[k];
      });
      data.dependencies = d3;
    }
    function depObjectify(deps, type, warn3) {
      if (!deps)
        return {};
      if (typeof deps === "string") {
        deps = deps.trim().split(/[\n\r\s\t ,]+/);
      }
      if (!Array.isArray(deps))
        return deps;
      warn3("deprecatedArrayDependencies", type);
      var o2 = {};
      deps.filter(function(d3) {
        return typeof d3 === "string";
      }).forEach(function(d3) {
        d3 = d3.trim().split(/(:?[@\s><=])/);
        var dn = d3.shift();
        var dv = d3.join("");
        dv = dv.trim();
        dv = dv.replace(/^@/, "");
        o2[dn] = dv;
      });
      return o2;
    }
    function objectifyDeps(data, warn3) {
      depTypes.forEach(function(type) {
        if (!data[type])
          return;
        data[type] = depObjectify(data[type], type, warn3);
      });
    }
    function bugsTypos(bugs, warn3) {
      if (!bugs)
        return;
      Object.keys(bugs).forEach(function(k) {
        if (typos.bugs[k]) {
          warn3("typo", k, typos.bugs[k], "bugs");
          bugs[typos.bugs[k]] = bugs[k];
          delete bugs[k];
        }
      });
    }
  }
});

// ../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/warning_messages.json
var require_warning_messages = __commonJS({
  "../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/warning_messages.json"(exports2, module2) {
    module2.exports = {
      repositories: "'repositories' (plural) Not supported. Please pick one as the 'repository' field",
      missingRepository: "No repository field.",
      brokenGitUrl: "Probably broken git url: %s",
      nonObjectScripts: "scripts must be an object",
      nonStringScript: "script values must be string commands",
      nonArrayFiles: "Invalid 'files' member",
      invalidFilename: "Invalid filename in 'files' list: %s",
      nonArrayBundleDependencies: "Invalid 'bundleDependencies' list. Must be array of package names",
      nonStringBundleDependency: "Invalid bundleDependencies member: %s",
      nonDependencyBundleDependency: "Non-dependency in bundleDependencies: %s",
      nonObjectDependencies: "%s field must be an object",
      nonStringDependency: "Invalid dependency: %s %s",
      deprecatedArrayDependencies: "specifying %s as array is deprecated",
      deprecatedModules: "modules field is deprecated",
      nonArrayKeywords: "keywords should be an array of strings",
      nonStringKeyword: "keywords should be an array of strings",
      conflictingName: "%s is also the name of a node core module.",
      nonStringDescription: "'description' field should be a string",
      missingDescription: "No description",
      missingReadme: "No README data",
      missingLicense: "No license field.",
      nonEmailUrlBugsString: "Bug string field must be url, email, or {email,url}",
      nonUrlBugsUrlField: "bugs.url field must be a string url. Deleted.",
      nonEmailBugsEmailField: "bugs.email field must be a string email. Deleted.",
      emptyNormalizedBugs: "Normalized value of bugs field is an empty object. Deleted.",
      nonUrlHomepage: "homepage field must be a string url. Deleted.",
      invalidLicense: "license should be a valid SPDX license expression",
      typo: "%s should probably be %s."
    };
  }
});

// ../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/make_warning.js
var require_make_warning = __commonJS({
  "../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/make_warning.js"(exports2, module2) {
    "use strict";
    var util4 = require("util");
    var messages = require_warning_messages();
    module2.exports = function() {
      var args3 = Array.prototype.slice.call(arguments, 0);
      var warningName = args3.shift();
      if (warningName == "typo") {
        return makeTypoWarning.apply(null, args3);
      } else {
        var msgTemplate = messages[warningName] ? messages[warningName] : warningName + ": '%s'";
        args3.unshift(msgTemplate);
        return util4.format.apply(null, args3);
      }
    };
    function makeTypoWarning(providedName, probableName, field) {
      if (field) {
        providedName = field + "['" + providedName + "']";
        probableName = field + "['" + probableName + "']";
      }
      return util4.format(messages.typo, providedName, probableName);
    }
  }
});

// ../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/normalize.js
var require_normalize = __commonJS({
  "../../node_modules/.pnpm/normalize-package-data@2.5.0/node_modules/normalize-package-data/lib/normalize.js"(exports2, module2) {
    "use strict";
    module2.exports = normalize;
    var fixer = require_fixer();
    normalize.fixer = fixer;
    var makeWarning = require_make_warning();
    var fieldsToFix = [
      "name",
      "version",
      "description",
      "repository",
      "modules",
      "scripts",
      "files",
      "bin",
      "man",
      "bugs",
      "keywords",
      "readme",
      "homepage",
      "license"
    ];
    var otherThingsToFix = ["dependencies", "people", "typos"];
    var thingsToFix = fieldsToFix.map(function(fieldName) {
      return ucFirst(fieldName) + "Field";
    });
    thingsToFix = thingsToFix.concat(otherThingsToFix);
    function normalize(data, warn3, strict) {
      if (warn3 === true)
        warn3 = null, strict = true;
      if (!strict)
        strict = false;
      if (!warn3 || data.private)
        warn3 = function(msg) {
        };
      if (data.scripts && data.scripts.install === "node-gyp rebuild" && !data.scripts.preinstall) {
        data.gypfile = true;
      }
      fixer.warn = function() {
        warn3(makeWarning.apply(null, arguments));
      };
      thingsToFix.forEach(function(thingName) {
        fixer["fix" + ucFirst(thingName)](data, strict);
      });
      data._id = data.name + "@" + data.version;
    }
    function ucFirst(string) {
      return string.charAt(0).toUpperCase() + string.slice(1);
    }
  }
});

// ../../node_modules/.pnpm/read-pkg@5.2.0/node_modules/read-pkg/index.js
var require_read_pkg = __commonJS({
  "../../node_modules/.pnpm/read-pkg@5.2.0/node_modules/read-pkg/index.js"(exports2, module2) {
    "use strict";
    var { promisify: promisify9 } = require("util");
    var fs42 = require("fs");
    var path39 = require("path");
    var parseJson = require_parse_json();
    var readFileAsync = promisify9(fs42.readFile);
    module2.exports = async (options2) => {
      options2 = {
        cwd: process.cwd(),
        normalize: true,
        ...options2
      };
      const filePath = path39.resolve(options2.cwd, "package.json");
      const json = parseJson(await readFileAsync(filePath, "utf8"));
      if (options2.normalize) {
        require_normalize()(json);
      }
      return json;
    };
    module2.exports.sync = (options2) => {
      options2 = {
        cwd: process.cwd(),
        normalize: true,
        ...options2
      };
      const filePath = path39.resolve(options2.cwd, "package.json");
      const json = parseJson(fs42.readFileSync(filePath, "utf8"));
      if (options2.normalize) {
        require_normalize()(json);
      }
      return json;
    };
  }
});

// ../../node_modules/.pnpm/read-pkg-up@7.0.1/node_modules/read-pkg-up/index.js
var require_read_pkg_up = __commonJS({
  "../../node_modules/.pnpm/read-pkg-up@7.0.1/node_modules/read-pkg-up/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var findUp3 = require_find_up2();
    var readPkg = require_read_pkg();
    module2.exports = async (options2) => {
      const filePath = await findUp3("package.json", options2);
      if (!filePath) {
        return;
      }
      return {
        packageJson: await readPkg({ ...options2, cwd: path39.dirname(filePath) }),
        path: filePath
      };
    };
    module2.exports.sync = (options2) => {
      const filePath = findUp3.sync("package.json", options2);
      if (!filePath) {
        return;
      }
      return {
        packageJson: readPkg.sync({ ...options2, cwd: path39.dirname(filePath) }),
        path: filePath
      };
    };
  }
});

// ../../node_modules/.pnpm/dotenv@16.0.3/node_modules/dotenv/package.json
var require_package2 = __commonJS({
  "../../node_modules/.pnpm/dotenv@16.0.3/node_modules/dotenv/package.json"(exports2, module2) {
    module2.exports = {
      name: "dotenv",
      version: "16.0.3",
      description: "Loads environment variables from .env file",
      main: "lib/main.js",
      types: "lib/main.d.ts",
      exports: {
        ".": {
          require: "./lib/main.js",
          types: "./lib/main.d.ts",
          default: "./lib/main.js"
        },
        "./config": "./config.js",
        "./config.js": "./config.js",
        "./lib/env-options": "./lib/env-options.js",
        "./lib/env-options.js": "./lib/env-options.js",
        "./lib/cli-options": "./lib/cli-options.js",
        "./lib/cli-options.js": "./lib/cli-options.js",
        "./package.json": "./package.json"
      },
      scripts: {
        "dts-check": "tsc --project tests/types/tsconfig.json",
        lint: "standard",
        "lint-readme": "standard-markdown",
        pretest: "npm run lint && npm run dts-check",
        test: "tap tests/*.js --100 -Rspec",
        prerelease: "npm test",
        release: "standard-version"
      },
      repository: {
        type: "git",
        url: "git://github.com/motdotla/dotenv.git"
      },
      keywords: [
        "dotenv",
        "env",
        ".env",
        "environment",
        "variables",
        "config",
        "settings"
      ],
      readmeFilename: "README.md",
      license: "BSD-2-Clause",
      devDependencies: {
        "@types/node": "^17.0.9",
        decache: "^4.6.1",
        dtslint: "^3.7.0",
        sinon: "^12.0.1",
        standard: "^16.0.4",
        "standard-markdown": "^7.1.0",
        "standard-version": "^9.3.2",
        tap: "^15.1.6",
        tar: "^6.1.11",
        typescript: "^4.5.4"
      },
      engines: {
        node: ">=12"
      }
    };
  }
});

// ../../node_modules/.pnpm/dotenv@16.0.3/node_modules/dotenv/lib/main.js
var require_main3 = __commonJS({
  "../../node_modules/.pnpm/dotenv@16.0.3/node_modules/dotenv/lib/main.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var path39 = require("path");
    var os7 = require("os");
    var packageJson6 = require_package2();
    var version3 = packageJson6.version;
    var LINE = /(?:^|^)\s*(?:export\s+)?([\w.-]+)(?:\s*=\s*?|:\s+?)(\s*'(?:\\'|[^'])*'|\s*"(?:\\"|[^"])*"|\s*`(?:\\`|[^`])*`|[^#\r\n]+)?\s*(?:#.*)?(?:$|$)/mg;
    function parse3(src2) {
      const obj = {};
      let lines2 = src2.toString();
      lines2 = lines2.replace(/\r\n?/mg, "\n");
      let match4;
      while ((match4 = LINE.exec(lines2)) != null) {
        const key = match4[1];
        let value = match4[2] || "";
        value = value.trim();
        const maybeQuote = value[0];
        value = value.replace(/^(['"`])([\s\S]*)\1$/mg, "$2");
        if (maybeQuote === '"') {
          value = value.replace(/\\n/g, "\n");
          value = value.replace(/\\r/g, "\r");
        }
        obj[key] = value;
      }
      return obj;
    }
    function _log(message2) {
      console.log(`[dotenv@${version3}][DEBUG] ${message2}`);
    }
    function _resolveHome(envPath) {
      return envPath[0] === "~" ? path39.join(os7.homedir(), envPath.slice(1)) : envPath;
    }
    function config2(options2) {
      let dotenvPath = path39.resolve(process.cwd(), ".env");
      let encoding = "utf8";
      const debug30 = Boolean(options2 && options2.debug);
      const override2 = Boolean(options2 && options2.override);
      if (options2) {
        if (options2.path != null) {
          dotenvPath = _resolveHome(options2.path);
        }
        if (options2.encoding != null) {
          encoding = options2.encoding;
        }
      }
      try {
        const parsed = DotenvModule.parse(fs42.readFileSync(dotenvPath, { encoding }));
        Object.keys(parsed).forEach(function(key) {
          if (!Object.prototype.hasOwnProperty.call(process.env, key)) {
            process.env[key] = parsed[key];
          } else {
            if (override2 === true) {
              process.env[key] = parsed[key];
            }
            if (debug30) {
              if (override2 === true) {
                _log(`"${key}" is already defined in \`process.env\` and WAS overwritten`);
              } else {
                _log(`"${key}" is already defined in \`process.env\` and was NOT overwritten`);
              }
            }
          }
        });
        return { parsed };
      } catch (e3) {
        if (debug30) {
          _log(`Failed to load ${dotenvPath} ${e3.message}`);
        }
        return { error: e3 };
      }
    }
    var DotenvModule = {
      config: config2,
      parse: parse3
    };
    module2.exports.config = DotenvModule.config;
    module2.exports.parse = DotenvModule.parse;
    module2.exports = DotenvModule;
  }
});

// ../../node_modules/.pnpm/arg@5.0.2/node_modules/arg/index.js
var require_arg = __commonJS({
  "../../node_modules/.pnpm/arg@5.0.2/node_modules/arg/index.js"(exports2, module2) {
    "use strict";
    var flagSymbol = Symbol("arg flag");
    var ArgError2 = class _ArgError extends Error {
      constructor(msg, code) {
        super(msg);
        this.name = "ArgError";
        this.code = code;
        Object.setPrototypeOf(this, _ArgError.prototype);
      }
    };
    function arg3(opts2, {
      argv = process.argv.slice(2),
      permissive = false,
      stopAtPositional = false
    } = {}) {
      if (!opts2) {
        throw new ArgError2(
          "argument specification object is required",
          "ARG_CONFIG_NO_SPEC"
        );
      }
      const result = { _: [] };
      const aliases3 = {};
      const handlers = {};
      for (const key of Object.keys(opts2)) {
        if (!key) {
          throw new ArgError2(
            "argument key cannot be an empty string",
            "ARG_CONFIG_EMPTY_KEY"
          );
        }
        if (key[0] !== "-") {
          throw new ArgError2(
            `argument key must start with '-' but found: '${key}'`,
            "ARG_CONFIG_NONOPT_KEY"
          );
        }
        if (key.length === 1) {
          throw new ArgError2(
            `argument key must have a name; singular '-' keys are not allowed: ${key}`,
            "ARG_CONFIG_NONAME_KEY"
          );
        }
        if (typeof opts2[key] === "string") {
          aliases3[key] = opts2[key];
          continue;
        }
        let type = opts2[key];
        let isFlag = false;
        if (Array.isArray(type) && type.length === 1 && typeof type[0] === "function") {
          const [fn2] = type;
          type = (value, name, prev = []) => {
            prev.push(fn2(value, name, prev[prev.length - 1]));
            return prev;
          };
          isFlag = fn2 === Boolean || fn2[flagSymbol] === true;
        } else if (typeof type === "function") {
          isFlag = type === Boolean || type[flagSymbol] === true;
        } else {
          throw new ArgError2(
            `type missing or not a function or valid array type: ${key}`,
            "ARG_CONFIG_VAD_TYPE"
          );
        }
        if (key[1] !== "-" && key.length > 2) {
          throw new ArgError2(
            `short argument keys (with a single hyphen) must have only one character: ${key}`,
            "ARG_CONFIG_SHORTOPT_TOOLONG"
          );
        }
        handlers[key] = [type, isFlag];
      }
      for (let i4 = 0, len = argv.length; i4 < len; i4++) {
        const wholeArg = argv[i4];
        if (stopAtPositional && result._.length > 0) {
          result._ = result._.concat(argv.slice(i4));
          break;
        }
        if (wholeArg === "--") {
          result._ = result._.concat(argv.slice(i4 + 1));
          break;
        }
        if (wholeArg.length > 1 && wholeArg[0] === "-") {
          const separatedArguments = wholeArg[1] === "-" || wholeArg.length === 2 ? [wholeArg] : wholeArg.slice(1).split("").map((a3) => `-${a3}`);
          for (let j2 = 0; j2 < separatedArguments.length; j2++) {
            const arg4 = separatedArguments[j2];
            const [originalArgName, argStr] = arg4[1] === "-" ? arg4.split(/=(.*)/, 2) : [arg4, void 0];
            let argName = originalArgName;
            while (argName in aliases3) {
              argName = aliases3[argName];
            }
            if (!(argName in handlers)) {
              if (permissive) {
                result._.push(arg4);
                continue;
              } else {
                throw new ArgError2(
                  `unknown or unexpected option: ${originalArgName}`,
                  "ARG_UNKNOWN_OPTION"
                );
              }
            }
            const [type, isFlag] = handlers[argName];
            if (!isFlag && j2 + 1 < separatedArguments.length) {
              throw new ArgError2(
                `option requires argument (but was followed by another short argument): ${originalArgName}`,
                "ARG_MISSING_REQUIRED_SHORTARG"
              );
            }
            if (isFlag) {
              result[argName] = type(true, argName, result[argName]);
            } else if (argStr === void 0) {
              if (argv.length < i4 + 2 || argv[i4 + 1].length > 1 && argv[i4 + 1][0] === "-" && !(argv[i4 + 1].match(/^-?\d*(\.(?=\d))?\d*$/) && (type === Number || // eslint-disable-next-line no-undef
              typeof BigInt !== "undefined" && type === BigInt))) {
                const extended = originalArgName === argName ? "" : ` (alias for ${argName})`;
                throw new ArgError2(
                  `option requires argument: ${originalArgName}${extended}`,
                  "ARG_MISSING_REQUIRED_LONGARG"
                );
              }
              result[argName] = type(argv[i4 + 1], argName, result[argName]);
              ++i4;
            } else {
              result[argName] = type(argStr, argName, result[argName]);
            }
          }
        } else {
          result._.push(wholeArg);
        }
      }
      return result;
    }
    arg3.flag = (fn2) => {
      fn2[flagSymbol] = true;
      return fn2;
    };
    arg3.COUNT = arg3.flag((v2, name, existingCount) => (existingCount || 0) + 1);
    arg3.ArgError = ArgError2;
    module2.exports = arg3;
  }
});

// ../../node_modules/.pnpm/min-indent@1.0.1/node_modules/min-indent/index.js
var require_min_indent = __commonJS({
  "../../node_modules/.pnpm/min-indent@1.0.1/node_modules/min-indent/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (string) => {
      const match4 = string.match(/^[ \t]*(?=\S)/gm);
      if (!match4) {
        return 0;
      }
      return match4.reduce((r2, a3) => Math.min(r2, a3.length), Infinity);
    };
  }
});

// ../../node_modules/.pnpm/strip-indent@3.0.0/node_modules/strip-indent/index.js
var require_strip_indent = __commonJS({
  "../../node_modules/.pnpm/strip-indent@3.0.0/node_modules/strip-indent/index.js"(exports2, module2) {
    "use strict";
    var minIndent = require_min_indent();
    module2.exports = (string) => {
      const indent4 = minIndent(string);
      if (indent4 === 0) {
        return string;
      }
      const regex2 = new RegExp(`^[ \\t]{${indent4}}`, "gm");
      return string.replace(regex2, "");
    };
  }
});

// ../fetch-engine/src/BinaryType.ts
var BinaryType2;
var init_BinaryType = __esm({
  "../fetch-engine/src/BinaryType.ts"() {
    "use strict";
    BinaryType2 = /* @__PURE__ */ ((BinaryType3) => {
      BinaryType3["QueryEngineBinary"] = "query-engine";
      BinaryType3["QueryEngineLibrary"] = "libquery-engine";
      BinaryType3["SchemaEngineBinary"] = "schema-engine";
      return BinaryType3;
    })(BinaryType2 || {});
  }
});

// ../../node_modules/.pnpm/universalify@2.0.0/node_modules/universalify/index.js
var require_universalify = __commonJS({
  "../../node_modules/.pnpm/universalify@2.0.0/node_modules/universalify/index.js"(exports2) {
    "use strict";
    exports2.fromCallback = function(fn2) {
      return Object.defineProperty(function(...args3) {
        if (typeof args3[args3.length - 1] === "function")
          fn2.apply(this, args3);
        else {
          return new Promise((resolve3, reject2) => {
            fn2.call(
              this,
              ...args3,
              (err, res) => err != null ? reject2(err) : resolve3(res)
            );
          });
        }
      }, "name", { value: fn2.name });
    };
    exports2.fromPromise = function(fn2) {
      return Object.defineProperty(function(...args3) {
        const cb2 = args3[args3.length - 1];
        if (typeof cb2 !== "function")
          return fn2.apply(this, args3);
        else
          fn2.apply(this, args3.slice(0, -1)).then((r2) => cb2(null, r2), cb2);
      }, "name", { value: fn2.name });
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/fs/index.js
var require_fs7 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/fs/index.js"(exports2) {
    "use strict";
    var u2 = require_universalify().fromCallback;
    var fs42 = require_graceful_fs();
    var api = [
      "access",
      "appendFile",
      "chmod",
      "chown",
      "close",
      "copyFile",
      "fchmod",
      "fchown",
      "fdatasync",
      "fstat",
      "fsync",
      "ftruncate",
      "futimes",
      "lchmod",
      "lchown",
      "link",
      "lstat",
      "mkdir",
      "mkdtemp",
      "open",
      "opendir",
      "readdir",
      "readFile",
      "readlink",
      "realpath",
      "rename",
      "rm",
      "rmdir",
      "stat",
      "symlink",
      "truncate",
      "unlink",
      "utimes",
      "writeFile"
    ].filter((key) => {
      return typeof fs42[key] === "function";
    });
    Object.assign(exports2, fs42);
    api.forEach((method) => {
      exports2[method] = u2(fs42[method]);
    });
    exports2.exists = function(filename, callback) {
      if (typeof callback === "function") {
        return fs42.exists(filename, callback);
      }
      return new Promise((resolve3) => {
        return fs42.exists(filename, resolve3);
      });
    };
    exports2.read = function(fd, buffer, offset, length, position, callback) {
      if (typeof callback === "function") {
        return fs42.read(fd, buffer, offset, length, position, callback);
      }
      return new Promise((resolve3, reject2) => {
        fs42.read(fd, buffer, offset, length, position, (err, bytesRead, buffer2) => {
          if (err)
            return reject2(err);
          resolve3({ bytesRead, buffer: buffer2 });
        });
      });
    };
    exports2.write = function(fd, buffer, ...args3) {
      if (typeof args3[args3.length - 1] === "function") {
        return fs42.write(fd, buffer, ...args3);
      }
      return new Promise((resolve3, reject2) => {
        fs42.write(fd, buffer, ...args3, (err, bytesWritten, buffer2) => {
          if (err)
            return reject2(err);
          resolve3({ bytesWritten, buffer: buffer2 });
        });
      });
    };
    exports2.readv = function(fd, buffers, ...args3) {
      if (typeof args3[args3.length - 1] === "function") {
        return fs42.readv(fd, buffers, ...args3);
      }
      return new Promise((resolve3, reject2) => {
        fs42.readv(fd, buffers, ...args3, (err, bytesRead, buffers2) => {
          if (err)
            return reject2(err);
          resolve3({ bytesRead, buffers: buffers2 });
        });
      });
    };
    exports2.writev = function(fd, buffers, ...args3) {
      if (typeof args3[args3.length - 1] === "function") {
        return fs42.writev(fd, buffers, ...args3);
      }
      return new Promise((resolve3, reject2) => {
        fs42.writev(fd, buffers, ...args3, (err, bytesWritten, buffers2) => {
          if (err)
            return reject2(err);
          resolve3({ bytesWritten, buffers: buffers2 });
        });
      });
    };
    if (typeof fs42.realpath.native === "function") {
      exports2.realpath.native = u2(fs42.realpath.native);
    } else {
      process.emitWarning(
        "fs.realpath.native is not a function. Is fs being monkey-patched?",
        "Warning",
        "fs-extra-WARN0003"
      );
    }
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/mkdirs/utils.js
var require_utils5 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/mkdirs/utils.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    module2.exports.checkPath = function checkPath2(pth) {
      if (process.platform === "win32") {
        const pathHasInvalidWinCharacters = /[<>:"|?*]/.test(pth.replace(path39.parse(pth).root, ""));
        if (pathHasInvalidWinCharacters) {
          const error2 = new Error(`Path contains invalid characters: ${pth}`);
          error2.code = "EINVAL";
          throw error2;
        }
      }
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/mkdirs/make-dir.js
var require_make_dir = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/mkdirs/make-dir.js"(exports2, module2) {
    "use strict";
    var fs42 = require_fs7();
    var { checkPath: checkPath2 } = require_utils5();
    var getMode = (options2) => {
      const defaults = { mode: 511 };
      if (typeof options2 === "number")
        return options2;
      return { ...defaults, ...options2 }.mode;
    };
    module2.exports.makeDir = async (dir3, options2) => {
      checkPath2(dir3);
      return fs42.mkdir(dir3, {
        mode: getMode(options2),
        recursive: true
      });
    };
    module2.exports.makeDirSync = (dir3, options2) => {
      checkPath2(dir3);
      return fs42.mkdirSync(dir3, {
        mode: getMode(options2),
        recursive: true
      });
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/mkdirs/index.js
var require_mkdirs = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/mkdirs/index.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromPromise;
    var { makeDir: _makeDir, makeDirSync } = require_make_dir();
    var makeDir2 = u2(_makeDir);
    module2.exports = {
      mkdirs: makeDir2,
      mkdirsSync: makeDirSync,
      // alias
      mkdirp: makeDir2,
      mkdirpSync: makeDirSync,
      ensureDir: makeDir2,
      ensureDirSync: makeDirSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/path-exists/index.js
var require_path_exists2 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/path-exists/index.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromPromise;
    var fs42 = require_fs7();
    function pathExists(path39) {
      return fs42.access(path39).then(() => true).catch(() => false);
    }
    module2.exports = {
      pathExists: u2(pathExists),
      pathExistsSync: fs42.existsSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/util/utimes.js
var require_utimes = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/util/utimes.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    function utimesMillis(path39, atime, mtime, callback) {
      fs42.open(path39, "r+", (err, fd) => {
        if (err)
          return callback(err);
        fs42.futimes(fd, atime, mtime, (futimesErr) => {
          fs42.close(fd, (closeErr) => {
            if (callback)
              callback(futimesErr || closeErr);
          });
        });
      });
    }
    function utimesMillisSync(path39, atime, mtime) {
      const fd = fs42.openSync(path39, "r+");
      fs42.futimesSync(fd, atime, mtime);
      return fs42.closeSync(fd);
    }
    module2.exports = {
      utimesMillis,
      utimesMillisSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/util/stat.js
var require_stat = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/util/stat.js"(exports2, module2) {
    "use strict";
    var fs42 = require_fs7();
    var path39 = require("path");
    var util4 = require("util");
    function getStats(src2, dest, opts2) {
      const statFunc = opts2.dereference ? (file2) => fs42.stat(file2, { bigint: true }) : (file2) => fs42.lstat(file2, { bigint: true });
      return Promise.all([
        statFunc(src2),
        statFunc(dest).catch((err) => {
          if (err.code === "ENOENT")
            return null;
          throw err;
        })
      ]).then(([srcStat, destStat]) => ({ srcStat, destStat }));
    }
    function getStatsSync(src2, dest, opts2) {
      let destStat;
      const statFunc = opts2.dereference ? (file2) => fs42.statSync(file2, { bigint: true }) : (file2) => fs42.lstatSync(file2, { bigint: true });
      const srcStat = statFunc(src2);
      try {
        destStat = statFunc(dest);
      } catch (err) {
        if (err.code === "ENOENT")
          return { srcStat, destStat: null };
        throw err;
      }
      return { srcStat, destStat };
    }
    function checkPaths(src2, dest, funcName, opts2, cb2) {
      util4.callbackify(getStats)(src2, dest, opts2, (err, stats) => {
        if (err)
          return cb2(err);
        const { srcStat, destStat } = stats;
        if (destStat) {
          if (areIdentical(srcStat, destStat)) {
            const srcBaseName = path39.basename(src2);
            const destBaseName = path39.basename(dest);
            if (funcName === "move" && srcBaseName !== destBaseName && srcBaseName.toLowerCase() === destBaseName.toLowerCase()) {
              return cb2(null, { srcStat, destStat, isChangingCase: true });
            }
            return cb2(new Error("Source and destination must not be the same."));
          }
          if (srcStat.isDirectory() && !destStat.isDirectory()) {
            return cb2(new Error(`Cannot overwrite non-directory '${dest}' with directory '${src2}'.`));
          }
          if (!srcStat.isDirectory() && destStat.isDirectory()) {
            return cb2(new Error(`Cannot overwrite directory '${dest}' with non-directory '${src2}'.`));
          }
        }
        if (srcStat.isDirectory() && isSrcSubdir(src2, dest)) {
          return cb2(new Error(errMsg(src2, dest, funcName)));
        }
        return cb2(null, { srcStat, destStat });
      });
    }
    function checkPathsSync(src2, dest, funcName, opts2) {
      const { srcStat, destStat } = getStatsSync(src2, dest, opts2);
      if (destStat) {
        if (areIdentical(srcStat, destStat)) {
          const srcBaseName = path39.basename(src2);
          const destBaseName = path39.basename(dest);
          if (funcName === "move" && srcBaseName !== destBaseName && srcBaseName.toLowerCase() === destBaseName.toLowerCase()) {
            return { srcStat, destStat, isChangingCase: true };
          }
          throw new Error("Source and destination must not be the same.");
        }
        if (srcStat.isDirectory() && !destStat.isDirectory()) {
          throw new Error(`Cannot overwrite non-directory '${dest}' with directory '${src2}'.`);
        }
        if (!srcStat.isDirectory() && destStat.isDirectory()) {
          throw new Error(`Cannot overwrite directory '${dest}' with non-directory '${src2}'.`);
        }
      }
      if (srcStat.isDirectory() && isSrcSubdir(src2, dest)) {
        throw new Error(errMsg(src2, dest, funcName));
      }
      return { srcStat, destStat };
    }
    function checkParentPaths(src2, srcStat, dest, funcName, cb2) {
      const srcParent = path39.resolve(path39.dirname(src2));
      const destParent = path39.resolve(path39.dirname(dest));
      if (destParent === srcParent || destParent === path39.parse(destParent).root)
        return cb2();
      fs42.stat(destParent, { bigint: true }, (err, destStat) => {
        if (err) {
          if (err.code === "ENOENT")
            return cb2();
          return cb2(err);
        }
        if (areIdentical(srcStat, destStat)) {
          return cb2(new Error(errMsg(src2, dest, funcName)));
        }
        return checkParentPaths(src2, srcStat, destParent, funcName, cb2);
      });
    }
    function checkParentPathsSync(src2, srcStat, dest, funcName) {
      const srcParent = path39.resolve(path39.dirname(src2));
      const destParent = path39.resolve(path39.dirname(dest));
      if (destParent === srcParent || destParent === path39.parse(destParent).root)
        return;
      let destStat;
      try {
        destStat = fs42.statSync(destParent, { bigint: true });
      } catch (err) {
        if (err.code === "ENOENT")
          return;
        throw err;
      }
      if (areIdentical(srcStat, destStat)) {
        throw new Error(errMsg(src2, dest, funcName));
      }
      return checkParentPathsSync(src2, srcStat, destParent, funcName);
    }
    function areIdentical(srcStat, destStat) {
      return destStat.ino && destStat.dev && destStat.ino === srcStat.ino && destStat.dev === srcStat.dev;
    }
    function isSrcSubdir(src2, dest) {
      const srcArr = path39.resolve(src2).split(path39.sep).filter((i4) => i4);
      const destArr = path39.resolve(dest).split(path39.sep).filter((i4) => i4);
      return srcArr.reduce((acc, cur, i4) => acc && destArr[i4] === cur, true);
    }
    function errMsg(src2, dest, funcName) {
      return `Cannot ${funcName} '${src2}' to a subdirectory of itself, '${dest}'.`;
    }
    module2.exports = {
      checkPaths,
      checkPathsSync,
      checkParentPaths,
      checkParentPathsSync,
      isSrcSubdir,
      areIdentical
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/copy/copy.js
var require_copy2 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/copy/copy.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    var path39 = require("path");
    var mkdirs = require_mkdirs().mkdirs;
    var pathExists = require_path_exists2().pathExists;
    var utimesMillis = require_utimes().utimesMillis;
    var stat = require_stat();
    function copy(src2, dest, opts2, cb2) {
      if (typeof opts2 === "function" && !cb2) {
        cb2 = opts2;
        opts2 = {};
      } else if (typeof opts2 === "function") {
        opts2 = { filter: opts2 };
      }
      cb2 = cb2 || function() {
      };
      opts2 = opts2 || {};
      opts2.clobber = "clobber" in opts2 ? !!opts2.clobber : true;
      opts2.overwrite = "overwrite" in opts2 ? !!opts2.overwrite : opts2.clobber;
      if (opts2.preserveTimestamps && process.arch === "ia32") {
        process.emitWarning(
          "Using the preserveTimestamps option in 32-bit node is not recommended;\n\n	see https://github.com/jprichardson/node-fs-extra/issues/269",
          "Warning",
          "fs-extra-WARN0001"
        );
      }
      stat.checkPaths(src2, dest, "copy", opts2, (err, stats) => {
        if (err)
          return cb2(err);
        const { srcStat, destStat } = stats;
        stat.checkParentPaths(src2, srcStat, dest, "copy", (err2) => {
          if (err2)
            return cb2(err2);
          runFilter(src2, dest, opts2, (err3, include) => {
            if (err3)
              return cb2(err3);
            if (!include)
              return cb2();
            checkParentDir(destStat, src2, dest, opts2, cb2);
          });
        });
      });
    }
    function checkParentDir(destStat, src2, dest, opts2, cb2) {
      const destParent = path39.dirname(dest);
      pathExists(destParent, (err, dirExists) => {
        if (err)
          return cb2(err);
        if (dirExists)
          return getStats(destStat, src2, dest, opts2, cb2);
        mkdirs(destParent, (err2) => {
          if (err2)
            return cb2(err2);
          return getStats(destStat, src2, dest, opts2, cb2);
        });
      });
    }
    function runFilter(src2, dest, opts2, cb2) {
      if (!opts2.filter)
        return cb2(null, true);
      Promise.resolve(opts2.filter(src2, dest)).then((include) => cb2(null, include), (error2) => cb2(error2));
    }
    function getStats(destStat, src2, dest, opts2, cb2) {
      const stat2 = opts2.dereference ? fs42.stat : fs42.lstat;
      stat2(src2, (err, srcStat) => {
        if (err)
          return cb2(err);
        if (srcStat.isDirectory())
          return onDir(srcStat, destStat, src2, dest, opts2, cb2);
        else if (srcStat.isFile() || srcStat.isCharacterDevice() || srcStat.isBlockDevice())
          return onFile(srcStat, destStat, src2, dest, opts2, cb2);
        else if (srcStat.isSymbolicLink())
          return onLink(destStat, src2, dest, opts2, cb2);
        else if (srcStat.isSocket())
          return cb2(new Error(`Cannot copy a socket file: ${src2}`));
        else if (srcStat.isFIFO())
          return cb2(new Error(`Cannot copy a FIFO pipe: ${src2}`));
        return cb2(new Error(`Unknown file: ${src2}`));
      });
    }
    function onFile(srcStat, destStat, src2, dest, opts2, cb2) {
      if (!destStat)
        return copyFile(srcStat, src2, dest, opts2, cb2);
      return mayCopyFile(srcStat, src2, dest, opts2, cb2);
    }
    function mayCopyFile(srcStat, src2, dest, opts2, cb2) {
      if (opts2.overwrite) {
        fs42.unlink(dest, (err) => {
          if (err)
            return cb2(err);
          return copyFile(srcStat, src2, dest, opts2, cb2);
        });
      } else if (opts2.errorOnExist) {
        return cb2(new Error(`'${dest}' already exists`));
      } else
        return cb2();
    }
    function copyFile(srcStat, src2, dest, opts2, cb2) {
      fs42.copyFile(src2, dest, (err) => {
        if (err)
          return cb2(err);
        if (opts2.preserveTimestamps)
          return handleTimestampsAndMode(srcStat.mode, src2, dest, cb2);
        return setDestMode(dest, srcStat.mode, cb2);
      });
    }
    function handleTimestampsAndMode(srcMode, src2, dest, cb2) {
      if (fileIsNotWritable(srcMode)) {
        return makeFileWritable(dest, srcMode, (err) => {
          if (err)
            return cb2(err);
          return setDestTimestampsAndMode(srcMode, src2, dest, cb2);
        });
      }
      return setDestTimestampsAndMode(srcMode, src2, dest, cb2);
    }
    function fileIsNotWritable(srcMode) {
      return (srcMode & 128) === 0;
    }
    function makeFileWritable(dest, srcMode, cb2) {
      return setDestMode(dest, srcMode | 128, cb2);
    }
    function setDestTimestampsAndMode(srcMode, src2, dest, cb2) {
      setDestTimestamps(src2, dest, (err) => {
        if (err)
          return cb2(err);
        return setDestMode(dest, srcMode, cb2);
      });
    }
    function setDestMode(dest, srcMode, cb2) {
      return fs42.chmod(dest, srcMode, cb2);
    }
    function setDestTimestamps(src2, dest, cb2) {
      fs42.stat(src2, (err, updatedSrcStat) => {
        if (err)
          return cb2(err);
        return utimesMillis(dest, updatedSrcStat.atime, updatedSrcStat.mtime, cb2);
      });
    }
    function onDir(srcStat, destStat, src2, dest, opts2, cb2) {
      if (!destStat)
        return mkDirAndCopy(srcStat.mode, src2, dest, opts2, cb2);
      return copyDir(src2, dest, opts2, cb2);
    }
    function mkDirAndCopy(srcMode, src2, dest, opts2, cb2) {
      fs42.mkdir(dest, (err) => {
        if (err)
          return cb2(err);
        copyDir(src2, dest, opts2, (err2) => {
          if (err2)
            return cb2(err2);
          return setDestMode(dest, srcMode, cb2);
        });
      });
    }
    function copyDir(src2, dest, opts2, cb2) {
      fs42.readdir(src2, (err, items) => {
        if (err)
          return cb2(err);
        return copyDirItems(items, src2, dest, opts2, cb2);
      });
    }
    function copyDirItems(items, src2, dest, opts2, cb2) {
      const item2 = items.pop();
      if (!item2)
        return cb2();
      return copyDirItem(items, item2, src2, dest, opts2, cb2);
    }
    function copyDirItem(items, item2, src2, dest, opts2, cb2) {
      const srcItem = path39.join(src2, item2);
      const destItem = path39.join(dest, item2);
      runFilter(srcItem, destItem, opts2, (err, include) => {
        if (err)
          return cb2(err);
        if (!include)
          return copyDirItems(items, src2, dest, opts2, cb2);
        stat.checkPaths(srcItem, destItem, "copy", opts2, (err2, stats) => {
          if (err2)
            return cb2(err2);
          const { destStat } = stats;
          getStats(destStat, srcItem, destItem, opts2, (err3) => {
            if (err3)
              return cb2(err3);
            return copyDirItems(items, src2, dest, opts2, cb2);
          });
        });
      });
    }
    function onLink(destStat, src2, dest, opts2, cb2) {
      fs42.readlink(src2, (err, resolvedSrc) => {
        if (err)
          return cb2(err);
        if (opts2.dereference) {
          resolvedSrc = path39.resolve(process.cwd(), resolvedSrc);
        }
        if (!destStat) {
          return fs42.symlink(resolvedSrc, dest, cb2);
        } else {
          fs42.readlink(dest, (err2, resolvedDest) => {
            if (err2) {
              if (err2.code === "EINVAL" || err2.code === "UNKNOWN")
                return fs42.symlink(resolvedSrc, dest, cb2);
              return cb2(err2);
            }
            if (opts2.dereference) {
              resolvedDest = path39.resolve(process.cwd(), resolvedDest);
            }
            if (stat.isSrcSubdir(resolvedSrc, resolvedDest)) {
              return cb2(new Error(`Cannot copy '${resolvedSrc}' to a subdirectory of itself, '${resolvedDest}'.`));
            }
            if (stat.isSrcSubdir(resolvedDest, resolvedSrc)) {
              return cb2(new Error(`Cannot overwrite '${resolvedDest}' with '${resolvedSrc}'.`));
            }
            return copyLink(resolvedSrc, dest, cb2);
          });
        }
      });
    }
    function copyLink(resolvedSrc, dest, cb2) {
      fs42.unlink(dest, (err) => {
        if (err)
          return cb2(err);
        return fs42.symlink(resolvedSrc, dest, cb2);
      });
    }
    module2.exports = copy;
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/copy/copy-sync.js
var require_copy_sync = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/copy/copy-sync.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    var path39 = require("path");
    var mkdirsSync = require_mkdirs().mkdirsSync;
    var utimesMillisSync = require_utimes().utimesMillisSync;
    var stat = require_stat();
    function copySync(src2, dest, opts2) {
      if (typeof opts2 === "function") {
        opts2 = { filter: opts2 };
      }
      opts2 = opts2 || {};
      opts2.clobber = "clobber" in opts2 ? !!opts2.clobber : true;
      opts2.overwrite = "overwrite" in opts2 ? !!opts2.overwrite : opts2.clobber;
      if (opts2.preserveTimestamps && process.arch === "ia32") {
        process.emitWarning(
          "Using the preserveTimestamps option in 32-bit node is not recommended;\n\n	see https://github.com/jprichardson/node-fs-extra/issues/269",
          "Warning",
          "fs-extra-WARN0002"
        );
      }
      const { srcStat, destStat } = stat.checkPathsSync(src2, dest, "copy", opts2);
      stat.checkParentPathsSync(src2, srcStat, dest, "copy");
      if (opts2.filter && !opts2.filter(src2, dest))
        return;
      const destParent = path39.dirname(dest);
      if (!fs42.existsSync(destParent))
        mkdirsSync(destParent);
      return getStats(destStat, src2, dest, opts2);
    }
    function getStats(destStat, src2, dest, opts2) {
      const statSync = opts2.dereference ? fs42.statSync : fs42.lstatSync;
      const srcStat = statSync(src2);
      if (srcStat.isDirectory())
        return onDir(srcStat, destStat, src2, dest, opts2);
      else if (srcStat.isFile() || srcStat.isCharacterDevice() || srcStat.isBlockDevice())
        return onFile(srcStat, destStat, src2, dest, opts2);
      else if (srcStat.isSymbolicLink())
        return onLink(destStat, src2, dest, opts2);
      else if (srcStat.isSocket())
        throw new Error(`Cannot copy a socket file: ${src2}`);
      else if (srcStat.isFIFO())
        throw new Error(`Cannot copy a FIFO pipe: ${src2}`);
      throw new Error(`Unknown file: ${src2}`);
    }
    function onFile(srcStat, destStat, src2, dest, opts2) {
      if (!destStat)
        return copyFile(srcStat, src2, dest, opts2);
      return mayCopyFile(srcStat, src2, dest, opts2);
    }
    function mayCopyFile(srcStat, src2, dest, opts2) {
      if (opts2.overwrite) {
        fs42.unlinkSync(dest);
        return copyFile(srcStat, src2, dest, opts2);
      } else if (opts2.errorOnExist) {
        throw new Error(`'${dest}' already exists`);
      }
    }
    function copyFile(srcStat, src2, dest, opts2) {
      fs42.copyFileSync(src2, dest);
      if (opts2.preserveTimestamps)
        handleTimestamps(srcStat.mode, src2, dest);
      return setDestMode(dest, srcStat.mode);
    }
    function handleTimestamps(srcMode, src2, dest) {
      if (fileIsNotWritable(srcMode))
        makeFileWritable(dest, srcMode);
      return setDestTimestamps(src2, dest);
    }
    function fileIsNotWritable(srcMode) {
      return (srcMode & 128) === 0;
    }
    function makeFileWritable(dest, srcMode) {
      return setDestMode(dest, srcMode | 128);
    }
    function setDestMode(dest, srcMode) {
      return fs42.chmodSync(dest, srcMode);
    }
    function setDestTimestamps(src2, dest) {
      const updatedSrcStat = fs42.statSync(src2);
      return utimesMillisSync(dest, updatedSrcStat.atime, updatedSrcStat.mtime);
    }
    function onDir(srcStat, destStat, src2, dest, opts2) {
      if (!destStat)
        return mkDirAndCopy(srcStat.mode, src2, dest, opts2);
      return copyDir(src2, dest, opts2);
    }
    function mkDirAndCopy(srcMode, src2, dest, opts2) {
      fs42.mkdirSync(dest);
      copyDir(src2, dest, opts2);
      return setDestMode(dest, srcMode);
    }
    function copyDir(src2, dest, opts2) {
      fs42.readdirSync(src2).forEach((item2) => copyDirItem(item2, src2, dest, opts2));
    }
    function copyDirItem(item2, src2, dest, opts2) {
      const srcItem = path39.join(src2, item2);
      const destItem = path39.join(dest, item2);
      if (opts2.filter && !opts2.filter(srcItem, destItem))
        return;
      const { destStat } = stat.checkPathsSync(srcItem, destItem, "copy", opts2);
      return getStats(destStat, srcItem, destItem, opts2);
    }
    function onLink(destStat, src2, dest, opts2) {
      let resolvedSrc = fs42.readlinkSync(src2);
      if (opts2.dereference) {
        resolvedSrc = path39.resolve(process.cwd(), resolvedSrc);
      }
      if (!destStat) {
        return fs42.symlinkSync(resolvedSrc, dest);
      } else {
        let resolvedDest;
        try {
          resolvedDest = fs42.readlinkSync(dest);
        } catch (err) {
          if (err.code === "EINVAL" || err.code === "UNKNOWN")
            return fs42.symlinkSync(resolvedSrc, dest);
          throw err;
        }
        if (opts2.dereference) {
          resolvedDest = path39.resolve(process.cwd(), resolvedDest);
        }
        if (stat.isSrcSubdir(resolvedSrc, resolvedDest)) {
          throw new Error(`Cannot copy '${resolvedSrc}' to a subdirectory of itself, '${resolvedDest}'.`);
        }
        if (stat.isSrcSubdir(resolvedDest, resolvedSrc)) {
          throw new Error(`Cannot overwrite '${resolvedDest}' with '${resolvedSrc}'.`);
        }
        return copyLink(resolvedSrc, dest);
      }
    }
    function copyLink(resolvedSrc, dest) {
      fs42.unlinkSync(dest);
      return fs42.symlinkSync(resolvedSrc, dest);
    }
    module2.exports = copySync;
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/copy/index.js
var require_copy3 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/copy/index.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromCallback;
    module2.exports = {
      copy: u2(require_copy2()),
      copySync: require_copy_sync()
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/remove/index.js
var require_remove2 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/remove/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    var u2 = require_universalify().fromCallback;
    function remove2(path39, callback) {
      fs42.rm(path39, { recursive: true, force: true }, callback);
    }
    function removeSync(path39) {
      fs42.rmSync(path39, { recursive: true, force: true });
    }
    module2.exports = {
      remove: u2(remove2),
      removeSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/empty/index.js
var require_empty = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/empty/index.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromPromise;
    var fs42 = require_fs7();
    var path39 = require("path");
    var mkdir = require_mkdirs();
    var remove2 = require_remove2();
    var emptyDir = u2(async function emptyDir2(dir3) {
      let items;
      try {
        items = await fs42.readdir(dir3);
      } catch {
        return mkdir.mkdirs(dir3);
      }
      return Promise.all(items.map((item2) => remove2.remove(path39.join(dir3, item2))));
    });
    function emptyDirSync(dir3) {
      let items;
      try {
        items = fs42.readdirSync(dir3);
      } catch {
        return mkdir.mkdirsSync(dir3);
      }
      items.forEach((item2) => {
        item2 = path39.join(dir3, item2);
        remove2.removeSync(item2);
      });
    }
    module2.exports = {
      emptyDirSync,
      emptydirSync: emptyDirSync,
      emptyDir,
      emptydir: emptyDir
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/file.js
var require_file2 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/file.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromCallback;
    var path39 = require("path");
    var fs42 = require_graceful_fs();
    var mkdir = require_mkdirs();
    function createFile(file2, callback) {
      function makeFile() {
        fs42.writeFile(file2, "", (err) => {
          if (err)
            return callback(err);
          callback();
        });
      }
      fs42.stat(file2, (err, stats) => {
        if (!err && stats.isFile())
          return callback();
        const dir3 = path39.dirname(file2);
        fs42.stat(dir3, (err2, stats2) => {
          if (err2) {
            if (err2.code === "ENOENT") {
              return mkdir.mkdirs(dir3, (err3) => {
                if (err3)
                  return callback(err3);
                makeFile();
              });
            }
            return callback(err2);
          }
          if (stats2.isDirectory())
            makeFile();
          else {
            fs42.readdir(dir3, (err3) => {
              if (err3)
                return callback(err3);
            });
          }
        });
      });
    }
    function createFileSync(file2) {
      let stats;
      try {
        stats = fs42.statSync(file2);
      } catch {
      }
      if (stats && stats.isFile())
        return;
      const dir3 = path39.dirname(file2);
      try {
        if (!fs42.statSync(dir3).isDirectory()) {
          fs42.readdirSync(dir3);
        }
      } catch (err) {
        if (err && err.code === "ENOENT")
          mkdir.mkdirsSync(dir3);
        else
          throw err;
      }
      fs42.writeFileSync(file2, "");
    }
    module2.exports = {
      createFile: u2(createFile),
      createFileSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/link.js
var require_link = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/link.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromCallback;
    var path39 = require("path");
    var fs42 = require_graceful_fs();
    var mkdir = require_mkdirs();
    var pathExists = require_path_exists2().pathExists;
    var { areIdentical } = require_stat();
    function createLink(srcpath, dstpath, callback) {
      function makeLink(srcpath2, dstpath2) {
        fs42.link(srcpath2, dstpath2, (err) => {
          if (err)
            return callback(err);
          callback(null);
        });
      }
      fs42.lstat(dstpath, (_3, dstStat) => {
        fs42.lstat(srcpath, (err, srcStat) => {
          if (err) {
            err.message = err.message.replace("lstat", "ensureLink");
            return callback(err);
          }
          if (dstStat && areIdentical(srcStat, dstStat))
            return callback(null);
          const dir3 = path39.dirname(dstpath);
          pathExists(dir3, (err2, dirExists) => {
            if (err2)
              return callback(err2);
            if (dirExists)
              return makeLink(srcpath, dstpath);
            mkdir.mkdirs(dir3, (err3) => {
              if (err3)
                return callback(err3);
              makeLink(srcpath, dstpath);
            });
          });
        });
      });
    }
    function createLinkSync(srcpath, dstpath) {
      let dstStat;
      try {
        dstStat = fs42.lstatSync(dstpath);
      } catch {
      }
      try {
        const srcStat = fs42.lstatSync(srcpath);
        if (dstStat && areIdentical(srcStat, dstStat))
          return;
      } catch (err) {
        err.message = err.message.replace("lstat", "ensureLink");
        throw err;
      }
      const dir3 = path39.dirname(dstpath);
      const dirExists = fs42.existsSync(dir3);
      if (dirExists)
        return fs42.linkSync(srcpath, dstpath);
      mkdir.mkdirsSync(dir3);
      return fs42.linkSync(srcpath, dstpath);
    }
    module2.exports = {
      createLink: u2(createLink),
      createLinkSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/symlink-paths.js
var require_symlink_paths = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/symlink-paths.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var fs42 = require_graceful_fs();
    var pathExists = require_path_exists2().pathExists;
    function symlinkPaths(srcpath, dstpath, callback) {
      if (path39.isAbsolute(srcpath)) {
        return fs42.lstat(srcpath, (err) => {
          if (err) {
            err.message = err.message.replace("lstat", "ensureSymlink");
            return callback(err);
          }
          return callback(null, {
            toCwd: srcpath,
            toDst: srcpath
          });
        });
      } else {
        const dstdir = path39.dirname(dstpath);
        const relativeToDst = path39.join(dstdir, srcpath);
        return pathExists(relativeToDst, (err, exists5) => {
          if (err)
            return callback(err);
          if (exists5) {
            return callback(null, {
              toCwd: relativeToDst,
              toDst: srcpath
            });
          } else {
            return fs42.lstat(srcpath, (err2) => {
              if (err2) {
                err2.message = err2.message.replace("lstat", "ensureSymlink");
                return callback(err2);
              }
              return callback(null, {
                toCwd: srcpath,
                toDst: path39.relative(dstdir, srcpath)
              });
            });
          }
        });
      }
    }
    function symlinkPathsSync(srcpath, dstpath) {
      let exists5;
      if (path39.isAbsolute(srcpath)) {
        exists5 = fs42.existsSync(srcpath);
        if (!exists5)
          throw new Error("absolute srcpath does not exist");
        return {
          toCwd: srcpath,
          toDst: srcpath
        };
      } else {
        const dstdir = path39.dirname(dstpath);
        const relativeToDst = path39.join(dstdir, srcpath);
        exists5 = fs42.existsSync(relativeToDst);
        if (exists5) {
          return {
            toCwd: relativeToDst,
            toDst: srcpath
          };
        } else {
          exists5 = fs42.existsSync(srcpath);
          if (!exists5)
            throw new Error("relative srcpath does not exist");
          return {
            toCwd: srcpath,
            toDst: path39.relative(dstdir, srcpath)
          };
        }
      }
    }
    module2.exports = {
      symlinkPaths,
      symlinkPathsSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/symlink-type.js
var require_symlink_type = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/symlink-type.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    function symlinkType(srcpath, type, callback) {
      callback = typeof type === "function" ? type : callback;
      type = typeof type === "function" ? false : type;
      if (type)
        return callback(null, type);
      fs42.lstat(srcpath, (err, stats) => {
        if (err)
          return callback(null, "file");
        type = stats && stats.isDirectory() ? "dir" : "file";
        callback(null, type);
      });
    }
    function symlinkTypeSync(srcpath, type) {
      let stats;
      if (type)
        return type;
      try {
        stats = fs42.lstatSync(srcpath);
      } catch {
        return "file";
      }
      return stats && stats.isDirectory() ? "dir" : "file";
    }
    module2.exports = {
      symlinkType,
      symlinkTypeSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/symlink.js
var require_symlink2 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/symlink.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromCallback;
    var path39 = require("path");
    var fs42 = require_fs7();
    var _mkdirs = require_mkdirs();
    var mkdirs = _mkdirs.mkdirs;
    var mkdirsSync = _mkdirs.mkdirsSync;
    var _symlinkPaths = require_symlink_paths();
    var symlinkPaths = _symlinkPaths.symlinkPaths;
    var symlinkPathsSync = _symlinkPaths.symlinkPathsSync;
    var _symlinkType = require_symlink_type();
    var symlinkType = _symlinkType.symlinkType;
    var symlinkTypeSync = _symlinkType.symlinkTypeSync;
    var pathExists = require_path_exists2().pathExists;
    var { areIdentical } = require_stat();
    function createSymlink(srcpath, dstpath, type, callback) {
      callback = typeof type === "function" ? type : callback;
      type = typeof type === "function" ? false : type;
      fs42.lstat(dstpath, (err, stats) => {
        if (!err && stats.isSymbolicLink()) {
          Promise.all([
            fs42.stat(srcpath),
            fs42.stat(dstpath)
          ]).then(([srcStat, dstStat]) => {
            if (areIdentical(srcStat, dstStat))
              return callback(null);
            _createSymlink(srcpath, dstpath, type, callback);
          });
        } else
          _createSymlink(srcpath, dstpath, type, callback);
      });
    }
    function _createSymlink(srcpath, dstpath, type, callback) {
      symlinkPaths(srcpath, dstpath, (err, relative2) => {
        if (err)
          return callback(err);
        srcpath = relative2.toDst;
        symlinkType(relative2.toCwd, type, (err2, type2) => {
          if (err2)
            return callback(err2);
          const dir3 = path39.dirname(dstpath);
          pathExists(dir3, (err3, dirExists) => {
            if (err3)
              return callback(err3);
            if (dirExists)
              return fs42.symlink(srcpath, dstpath, type2, callback);
            mkdirs(dir3, (err4) => {
              if (err4)
                return callback(err4);
              fs42.symlink(srcpath, dstpath, type2, callback);
            });
          });
        });
      });
    }
    function createSymlinkSync(srcpath, dstpath, type) {
      let stats;
      try {
        stats = fs42.lstatSync(dstpath);
      } catch {
      }
      if (stats && stats.isSymbolicLink()) {
        const srcStat = fs42.statSync(srcpath);
        const dstStat = fs42.statSync(dstpath);
        if (areIdentical(srcStat, dstStat))
          return;
      }
      const relative2 = symlinkPathsSync(srcpath, dstpath);
      srcpath = relative2.toDst;
      type = symlinkTypeSync(relative2.toCwd, type);
      const dir3 = path39.dirname(dstpath);
      const exists5 = fs42.existsSync(dir3);
      if (exists5)
        return fs42.symlinkSync(srcpath, dstpath, type);
      mkdirsSync(dir3);
      return fs42.symlinkSync(srcpath, dstpath, type);
    }
    module2.exports = {
      createSymlink: u2(createSymlink),
      createSymlinkSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/index.js
var require_ensure = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/ensure/index.js"(exports2, module2) {
    "use strict";
    var { createFile, createFileSync } = require_file2();
    var { createLink, createLinkSync } = require_link();
    var { createSymlink, createSymlinkSync } = require_symlink2();
    module2.exports = {
      // file
      createFile,
      createFileSync,
      ensureFile: createFile,
      ensureFileSync: createFileSync,
      // link
      createLink,
      createLinkSync,
      ensureLink: createLink,
      ensureLinkSync: createLinkSync,
      // symlink
      createSymlink,
      createSymlinkSync,
      ensureSymlink: createSymlink,
      ensureSymlinkSync: createSymlinkSync
    };
  }
});

// ../../node_modules/.pnpm/jsonfile@6.1.0/node_modules/jsonfile/utils.js
var require_utils6 = __commonJS({
  "../../node_modules/.pnpm/jsonfile@6.1.0/node_modules/jsonfile/utils.js"(exports2, module2) {
    "use strict";
    function stringify(obj, { EOL = "\n", finalEOL = true, replacer = null, spaces } = {}) {
      const EOF = finalEOL ? EOL : "";
      const str = JSON.stringify(obj, replacer, spaces);
      return str.replace(/\n/g, EOL) + EOF;
    }
    function stripBom(content) {
      if (Buffer.isBuffer(content))
        content = content.toString("utf8");
      return content.replace(/^\uFEFF/, "");
    }
    module2.exports = { stringify, stripBom };
  }
});

// ../../node_modules/.pnpm/jsonfile@6.1.0/node_modules/jsonfile/index.js
var require_jsonfile = __commonJS({
  "../../node_modules/.pnpm/jsonfile@6.1.0/node_modules/jsonfile/index.js"(exports2, module2) {
    "use strict";
    var _fs;
    try {
      _fs = require_graceful_fs();
    } catch (_3) {
      _fs = require("fs");
    }
    var universalify = require_universalify();
    var { stringify, stripBom } = require_utils6();
    async function _readFile(file2, options2 = {}) {
      if (typeof options2 === "string") {
        options2 = { encoding: options2 };
      }
      const fs42 = options2.fs || _fs;
      const shouldThrow = "throws" in options2 ? options2.throws : true;
      let data = await universalify.fromCallback(fs42.readFile)(file2, options2);
      data = stripBom(data);
      let obj;
      try {
        obj = JSON.parse(data, options2 ? options2.reviver : null);
      } catch (err) {
        if (shouldThrow) {
          err.message = `${file2}: ${err.message}`;
          throw err;
        } else {
          return null;
        }
      }
      return obj;
    }
    var readFile = universalify.fromPromise(_readFile);
    function readFileSync(file2, options2 = {}) {
      if (typeof options2 === "string") {
        options2 = { encoding: options2 };
      }
      const fs42 = options2.fs || _fs;
      const shouldThrow = "throws" in options2 ? options2.throws : true;
      try {
        let content = fs42.readFileSync(file2, options2);
        content = stripBom(content);
        return JSON.parse(content, options2.reviver);
      } catch (err) {
        if (shouldThrow) {
          err.message = `${file2}: ${err.message}`;
          throw err;
        } else {
          return null;
        }
      }
    }
    async function _writeFile(file2, obj, options2 = {}) {
      const fs42 = options2.fs || _fs;
      const str = stringify(obj, options2);
      await universalify.fromCallback(fs42.writeFile)(file2, str, options2);
    }
    var writeFile3 = universalify.fromPromise(_writeFile);
    function writeFileSync(file2, obj, options2 = {}) {
      const fs42 = options2.fs || _fs;
      const str = stringify(obj, options2);
      return fs42.writeFileSync(file2, str, options2);
    }
    var jsonfile = {
      readFile,
      readFileSync,
      writeFile: writeFile3,
      writeFileSync
    };
    module2.exports = jsonfile;
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/json/jsonfile.js
var require_jsonfile2 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/json/jsonfile.js"(exports2, module2) {
    "use strict";
    var jsonFile = require_jsonfile();
    module2.exports = {
      // jsonfile exports
      readJson: jsonFile.readFile,
      readJsonSync: jsonFile.readFileSync,
      writeJson: jsonFile.writeFile,
      writeJsonSync: jsonFile.writeFileSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/output-file/index.js
var require_output_file = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/output-file/index.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromCallback;
    var fs42 = require_graceful_fs();
    var path39 = require("path");
    var mkdir = require_mkdirs();
    var pathExists = require_path_exists2().pathExists;
    function outputFile(file2, data, encoding, callback) {
      if (typeof encoding === "function") {
        callback = encoding;
        encoding = "utf8";
      }
      const dir3 = path39.dirname(file2);
      pathExists(dir3, (err, itDoes) => {
        if (err)
          return callback(err);
        if (itDoes)
          return fs42.writeFile(file2, data, encoding, callback);
        mkdir.mkdirs(dir3, (err2) => {
          if (err2)
            return callback(err2);
          fs42.writeFile(file2, data, encoding, callback);
        });
      });
    }
    function outputFileSync(file2, ...args3) {
      const dir3 = path39.dirname(file2);
      if (fs42.existsSync(dir3)) {
        return fs42.writeFileSync(file2, ...args3);
      }
      mkdir.mkdirsSync(dir3);
      fs42.writeFileSync(file2, ...args3);
    }
    module2.exports = {
      outputFile: u2(outputFile),
      outputFileSync
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/json/output-json.js
var require_output_json = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/json/output-json.js"(exports2, module2) {
    "use strict";
    var { stringify } = require_utils6();
    var { outputFile } = require_output_file();
    async function outputJson(file2, data, options2 = {}) {
      const str = stringify(data, options2);
      await outputFile(file2, str, options2);
    }
    module2.exports = outputJson;
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/json/output-json-sync.js
var require_output_json_sync = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/json/output-json-sync.js"(exports2, module2) {
    "use strict";
    var { stringify } = require_utils6();
    var { outputFileSync } = require_output_file();
    function outputJsonSync(file2, data, options2) {
      const str = stringify(data, options2);
      outputFileSync(file2, str, options2);
    }
    module2.exports = outputJsonSync;
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/json/index.js
var require_json = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/json/index.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromPromise;
    var jsonFile = require_jsonfile2();
    jsonFile.outputJson = u2(require_output_json());
    jsonFile.outputJsonSync = require_output_json_sync();
    jsonFile.outputJSON = jsonFile.outputJson;
    jsonFile.outputJSONSync = jsonFile.outputJsonSync;
    jsonFile.writeJSON = jsonFile.writeJson;
    jsonFile.writeJSONSync = jsonFile.writeJsonSync;
    jsonFile.readJSON = jsonFile.readJson;
    jsonFile.readJSONSync = jsonFile.readJsonSync;
    module2.exports = jsonFile;
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/move/move.js
var require_move2 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/move/move.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    var path39 = require("path");
    var copy = require_copy3().copy;
    var remove2 = require_remove2().remove;
    var mkdirp = require_mkdirs().mkdirp;
    var pathExists = require_path_exists2().pathExists;
    var stat = require_stat();
    function move(src2, dest, opts2, cb2) {
      if (typeof opts2 === "function") {
        cb2 = opts2;
        opts2 = {};
      }
      opts2 = opts2 || {};
      const overwrite = opts2.overwrite || opts2.clobber || false;
      stat.checkPaths(src2, dest, "move", opts2, (err, stats) => {
        if (err)
          return cb2(err);
        const { srcStat, isChangingCase = false } = stats;
        stat.checkParentPaths(src2, srcStat, dest, "move", (err2) => {
          if (err2)
            return cb2(err2);
          if (isParentRoot(dest))
            return doRename(src2, dest, overwrite, isChangingCase, cb2);
          mkdirp(path39.dirname(dest), (err3) => {
            if (err3)
              return cb2(err3);
            return doRename(src2, dest, overwrite, isChangingCase, cb2);
          });
        });
      });
    }
    function isParentRoot(dest) {
      const parent2 = path39.dirname(dest);
      const parsedPath = path39.parse(parent2);
      return parsedPath.root === parent2;
    }
    function doRename(src2, dest, overwrite, isChangingCase, cb2) {
      if (isChangingCase)
        return rename(src2, dest, overwrite, cb2);
      if (overwrite) {
        return remove2(dest, (err) => {
          if (err)
            return cb2(err);
          return rename(src2, dest, overwrite, cb2);
        });
      }
      pathExists(dest, (err, destExists) => {
        if (err)
          return cb2(err);
        if (destExists)
          return cb2(new Error("dest already exists."));
        return rename(src2, dest, overwrite, cb2);
      });
    }
    function rename(src2, dest, overwrite, cb2) {
      fs42.rename(src2, dest, (err) => {
        if (!err)
          return cb2();
        if (err.code !== "EXDEV")
          return cb2(err);
        return moveAcrossDevice(src2, dest, overwrite, cb2);
      });
    }
    function moveAcrossDevice(src2, dest, overwrite, cb2) {
      const opts2 = {
        overwrite,
        errorOnExist: true,
        preserveTimestamps: true
      };
      copy(src2, dest, opts2, (err) => {
        if (err)
          return cb2(err);
        return remove2(src2, cb2);
      });
    }
    module2.exports = move;
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/move/move-sync.js
var require_move_sync = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/move/move-sync.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    var path39 = require("path");
    var copySync = require_copy3().copySync;
    var removeSync = require_remove2().removeSync;
    var mkdirpSync = require_mkdirs().mkdirpSync;
    var stat = require_stat();
    function moveSync(src2, dest, opts2) {
      opts2 = opts2 || {};
      const overwrite = opts2.overwrite || opts2.clobber || false;
      const { srcStat, isChangingCase = false } = stat.checkPathsSync(src2, dest, "move", opts2);
      stat.checkParentPathsSync(src2, srcStat, dest, "move");
      if (!isParentRoot(dest))
        mkdirpSync(path39.dirname(dest));
      return doRename(src2, dest, overwrite, isChangingCase);
    }
    function isParentRoot(dest) {
      const parent2 = path39.dirname(dest);
      const parsedPath = path39.parse(parent2);
      return parsedPath.root === parent2;
    }
    function doRename(src2, dest, overwrite, isChangingCase) {
      if (isChangingCase)
        return rename(src2, dest, overwrite);
      if (overwrite) {
        removeSync(dest);
        return rename(src2, dest, overwrite);
      }
      if (fs42.existsSync(dest))
        throw new Error("dest already exists.");
      return rename(src2, dest, overwrite);
    }
    function rename(src2, dest, overwrite) {
      try {
        fs42.renameSync(src2, dest);
      } catch (err) {
        if (err.code !== "EXDEV")
          throw err;
        return moveAcrossDevice(src2, dest, overwrite);
      }
    }
    function moveAcrossDevice(src2, dest, overwrite) {
      const opts2 = {
        overwrite,
        errorOnExist: true,
        preserveTimestamps: true
      };
      copySync(src2, dest, opts2);
      return removeSync(src2);
    }
    module2.exports = moveSync;
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/move/index.js
var require_move3 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/move/index.js"(exports2, module2) {
    "use strict";
    var u2 = require_universalify().fromCallback;
    module2.exports = {
      move: u2(require_move2()),
      moveSync: require_move_sync()
    };
  }
});

// ../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/index.js
var require_lib4 = __commonJS({
  "../../node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      // Export promiseified graceful-fs:
      ...require_fs7(),
      // Export extra methods:
      ...require_copy3(),
      ...require_empty(),
      ...require_ensure(),
      ...require_json(),
      ...require_mkdirs(),
      ...require_move3(),
      ...require_output_file(),
      ...require_path_exists2(),
      ...require_remove2()
    };
  }
});

// ../../node_modules/.pnpm/p-map@2.1.0/node_modules/p-map/index.js
var require_p_map2 = __commonJS({
  "../../node_modules/.pnpm/p-map@2.1.0/node_modules/p-map/index.js"(exports2, module2) {
    "use strict";
    var pMap2 = (iterable, mapper, options2) => new Promise((resolve3, reject2) => {
      options2 = Object.assign({
        concurrency: Infinity
      }, options2);
      if (typeof mapper !== "function") {
        throw new TypeError("Mapper function is required");
      }
      const { concurrency } = options2;
      if (!(typeof concurrency === "number" && concurrency >= 1)) {
        throw new TypeError(`Expected \`concurrency\` to be a number from 1 and up, got \`${concurrency}\` (${typeof concurrency})`);
      }
      const ret = [];
      const iterator = iterable[Symbol.iterator]();
      let isRejected = false;
      let isIterableDone = false;
      let resolvingCount = 0;
      let currentIndex = 0;
      const next = () => {
        if (isRejected) {
          return;
        }
        const nextItem = iterator.next();
        const i4 = currentIndex;
        currentIndex++;
        if (nextItem.done) {
          isIterableDone = true;
          if (resolvingCount === 0) {
            resolve3(ret);
          }
          return;
        }
        resolvingCount++;
        Promise.resolve(nextItem.value).then((element) => mapper(element, i4)).then(
          (value) => {
            ret[i4] = value;
            resolvingCount--;
            next();
          },
          (error2) => {
            isRejected = true;
            reject2(error2);
          }
        );
      };
      for (let i4 = 0; i4 < concurrency; i4++) {
        next();
        if (isIterableDone) {
          break;
        }
      }
    });
    module2.exports = pMap2;
    module2.exports.default = pMap2;
  }
});

// ../../node_modules/.pnpm/p-filter@2.1.0/node_modules/p-filter/index.js
var require_p_filter = __commonJS({
  "../../node_modules/.pnpm/p-filter@2.1.0/node_modules/p-filter/index.js"(exports2, module2) {
    "use strict";
    var pMap2 = require_p_map2();
    var pFilter2 = async (iterable, filterer, options2) => {
      const values = await pMap2(
        iterable,
        (element, index2) => Promise.all([filterer(element, index2), element]),
        options2
      );
      return values.filter((value) => Boolean(value[0])).map((value) => value[1]);
    };
    module2.exports = pFilter2;
    module2.exports.default = pFilter2;
  }
});

// ../fetch-engine/src/chmodPlusX.ts
function chmodPlusX2(file2) {
  if (process.platform === "win32")
    return;
  const s3 = import_fs8.default.statSync(file2);
  const newMode = s3.mode | 64 | 8 | 1;
  if (s3.mode === newMode) {
    return;
  }
  const base8 = newMode.toString(8).slice(-3);
  import_fs8.default.chmodSync(file2, base8);
}
var import_fs8;
var init_chmodPlusX = __esm({
  "../fetch-engine/src/chmodPlusX.ts"() {
    "use strict";
    import_fs8 = __toESM(require("fs"));
  }
});

// ../../node_modules/.pnpm/p-map@6.0.0/node_modules/p-map/index.js
async function pMap(iterable, mapper, {
  concurrency = Number.POSITIVE_INFINITY,
  stopOnError = true,
  signal
} = {}) {
  return new Promise((resolve3, reject_) => {
    if (iterable[Symbol.iterator] === void 0 && iterable[Symbol.asyncIterator] === void 0) {
      throw new TypeError(`Expected \`input\` to be either an \`Iterable\` or \`AsyncIterable\`, got (${typeof iterable})`);
    }
    if (typeof mapper !== "function") {
      throw new TypeError("Mapper function is required");
    }
    if (!((Number.isSafeInteger(concurrency) || concurrency === Number.POSITIVE_INFINITY) && concurrency >= 1)) {
      throw new TypeError(`Expected \`concurrency\` to be an integer from 1 and up or \`Infinity\`, got \`${concurrency}\` (${typeof concurrency})`);
    }
    const result = [];
    const errors = [];
    const skippedIndexesMap = /* @__PURE__ */ new Map();
    let isRejected = false;
    let isResolved = false;
    let isIterableDone = false;
    let resolvingCount = 0;
    let currentIndex = 0;
    const iterator = iterable[Symbol.iterator] === void 0 ? iterable[Symbol.asyncIterator]() : iterable[Symbol.iterator]();
    const reject2 = (reason) => {
      isRejected = true;
      isResolved = true;
      reject_(reason);
    };
    if (signal) {
      if (signal.aborted) {
        reject2(getAbortedReason(signal));
      }
      signal.addEventListener("abort", () => {
        reject2(getAbortedReason(signal));
      });
    }
    const next = async () => {
      if (isResolved) {
        return;
      }
      const nextItem = await iterator.next();
      const index2 = currentIndex;
      currentIndex++;
      if (nextItem.done) {
        isIterableDone = true;
        if (resolvingCount === 0 && !isResolved) {
          if (!stopOnError && errors.length > 0) {
            reject2(new AggregateError(errors));
            return;
          }
          isResolved = true;
          if (skippedIndexesMap.size === 0) {
            resolve3(result);
            return;
          }
          const pureResult = [];
          for (const [index3, value] of result.entries()) {
            if (skippedIndexesMap.get(index3) === pMapSkip) {
              continue;
            }
            pureResult.push(value);
          }
          resolve3(pureResult);
        }
        return;
      }
      resolvingCount++;
      (async () => {
        try {
          const element = await nextItem.value;
          if (isResolved) {
            return;
          }
          const value = await mapper(element, index2);
          if (value === pMapSkip) {
            skippedIndexesMap.set(index2, value);
          }
          result[index2] = value;
          resolvingCount--;
          await next();
        } catch (error2) {
          if (stopOnError) {
            reject2(error2);
          } else {
            errors.push(error2);
            resolvingCount--;
            try {
              await next();
            } catch (error3) {
              reject2(error3);
            }
          }
        }
      })();
    };
    (async () => {
      for (let index2 = 0; index2 < concurrency; index2++) {
        try {
          await next();
        } catch (error2) {
          reject2(error2);
          break;
        }
        if (isIterableDone || isRejected) {
          break;
        }
      }
    })();
  });
}
var AbortError, getDOMException, getAbortedReason, pMapSkip;
var init_p_map = __esm({
  "../../node_modules/.pnpm/p-map@6.0.0/node_modules/p-map/index.js"() {
    "use strict";
    AbortError = class extends Error {
      constructor(message2) {
        super();
        this.name = "AbortError";
        this.message = message2;
      }
    };
    getDOMException = (errorMessage) => globalThis.DOMException === void 0 ? new AbortError(errorMessage) : new DOMException(errorMessage);
    getAbortedReason = (signal) => {
      const reason = signal.reason === void 0 ? getDOMException("This operation was aborted.") : signal.reason;
      return reason instanceof Error ? reason : getDOMException(reason);
    };
    pMapSkip = Symbol("skip");
  }
});

// ../../node_modules/.pnpm/commondir@1.0.1/node_modules/commondir/index.js
var require_commondir = __commonJS({
  "../../node_modules/.pnpm/commondir@1.0.1/node_modules/commondir/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    module2.exports = function(basedir, relfiles) {
      if (relfiles) {
        var files = relfiles.map(function(r2) {
          return path39.resolve(basedir, r2);
        });
      } else {
        var files = basedir;
      }
      var res = files.slice(1).reduce(function(ps, file2) {
        if (!file2.match(/^([A-Za-z]:)?\/|\\/)) {
          throw new Error("relative path without a basedir");
        }
        var xs2 = file2.split(/\/+|\\+/);
        for (var i4 = 0; ps[i4] === xs2[i4] && i4 < Math.min(ps.length, xs2.length); i4++)
          ;
        return ps.slice(0, i4);
      }, files[0].split(/\/+|\\+/));
      return res.length > 1 ? res.join("/") : "/";
    };
  }
});

// ../../node_modules/.pnpm/pkg-dir@4.2.0/node_modules/pkg-dir/index.js
var require_pkg_dir = __commonJS({
  "../../node_modules/.pnpm/pkg-dir@4.2.0/node_modules/pkg-dir/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var findUp3 = require_find_up2();
    var pkgDir = async (cwd) => {
      const filePath = await findUp3("package.json", { cwd });
      return filePath && path39.dirname(filePath);
    };
    module2.exports = pkgDir;
    module2.exports.default = pkgDir;
    module2.exports.sync = (cwd) => {
      const filePath = findUp3.sync("package.json", { cwd });
      return filePath && path39.dirname(filePath);
    };
  }
});

// ../../node_modules/.pnpm/semver@6.3.1/node_modules/semver/semver.js
var require_semver2 = __commonJS({
  "../../node_modules/.pnpm/semver@6.3.1/node_modules/semver/semver.js"(exports2, module2) {
    "use strict";
    exports2 = module2.exports = SemVer2;
    var debug30;
    if (typeof process === "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG)) {
      debug30 = function() {
        var args3 = Array.prototype.slice.call(arguments, 0);
        args3.unshift("SEMVER");
        console.log.apply(console, args3);
      };
    } else {
      debug30 = function() {
      };
    }
    exports2.SEMVER_SPEC_VERSION = "2.0.0";
    var MAX_LENGTH2 = 256;
    var MAX_SAFE_INTEGER2 = Number.MAX_SAFE_INTEGER || /* istanbul ignore next */
    9007199254740991;
    var MAX_SAFE_COMPONENT_LENGTH2 = 16;
    var MAX_SAFE_BUILD_LENGTH2 = MAX_LENGTH2 - 6;
    var re2 = exports2.re = [];
    var safeRe = exports2.safeRe = [];
    var src2 = exports2.src = [];
    var t9 = exports2.tokens = {};
    var R = 0;
    function tok(n2) {
      t9[n2] = R++;
    }
    var LETTERDASHNUMBER = "[a-zA-Z0-9-]";
    var safeRegexReplacements = [
      ["\\s", 1],
      ["\\d", MAX_LENGTH2],
      [LETTERDASHNUMBER, MAX_SAFE_BUILD_LENGTH2]
    ];
    function makeSafeRe(value) {
      for (var i7 = 0; i7 < safeRegexReplacements.length; i7++) {
        var token = safeRegexReplacements[i7][0];
        var max = safeRegexReplacements[i7][1];
        value = value.split(token + "*").join(token + "{0," + max + "}").split(token + "+").join(token + "{1," + max + "}");
      }
      return value;
    }
    tok("NUMERICIDENTIFIER");
    src2[t9.NUMERICIDENTIFIER] = "0|[1-9]\\d*";
    tok("NUMERICIDENTIFIERLOOSE");
    src2[t9.NUMERICIDENTIFIERLOOSE] = "\\d+";
    tok("NONNUMERICIDENTIFIER");
    src2[t9.NONNUMERICIDENTIFIER] = "\\d*[a-zA-Z-]" + LETTERDASHNUMBER + "*";
    tok("MAINVERSION");
    src2[t9.MAINVERSION] = "(" + src2[t9.NUMERICIDENTIFIER] + ")\\.(" + src2[t9.NUMERICIDENTIFIER] + ")\\.(" + src2[t9.NUMERICIDENTIFIER] + ")";
    tok("MAINVERSIONLOOSE");
    src2[t9.MAINVERSIONLOOSE] = "(" + src2[t9.NUMERICIDENTIFIERLOOSE] + ")\\.(" + src2[t9.NUMERICIDENTIFIERLOOSE] + ")\\.(" + src2[t9.NUMERICIDENTIFIERLOOSE] + ")";
    tok("PRERELEASEIDENTIFIER");
    src2[t9.PRERELEASEIDENTIFIER] = "(?:" + src2[t9.NUMERICIDENTIFIER] + "|" + src2[t9.NONNUMERICIDENTIFIER] + ")";
    tok("PRERELEASEIDENTIFIERLOOSE");
    src2[t9.PRERELEASEIDENTIFIERLOOSE] = "(?:" + src2[t9.NUMERICIDENTIFIERLOOSE] + "|" + src2[t9.NONNUMERICIDENTIFIER] + ")";
    tok("PRERELEASE");
    src2[t9.PRERELEASE] = "(?:-(" + src2[t9.PRERELEASEIDENTIFIER] + "(?:\\." + src2[t9.PRERELEASEIDENTIFIER] + ")*))";
    tok("PRERELEASELOOSE");
    src2[t9.PRERELEASELOOSE] = "(?:-?(" + src2[t9.PRERELEASEIDENTIFIERLOOSE] + "(?:\\." + src2[t9.PRERELEASEIDENTIFIERLOOSE] + ")*))";
    tok("BUILDIDENTIFIER");
    src2[t9.BUILDIDENTIFIER] = LETTERDASHNUMBER + "+";
    tok("BUILD");
    src2[t9.BUILD] = "(?:\\+(" + src2[t9.BUILDIDENTIFIER] + "(?:\\." + src2[t9.BUILDIDENTIFIER] + ")*))";
    tok("FULL");
    tok("FULLPLAIN");
    src2[t9.FULLPLAIN] = "v?" + src2[t9.MAINVERSION] + src2[t9.PRERELEASE] + "?" + src2[t9.BUILD] + "?";
    src2[t9.FULL] = "^" + src2[t9.FULLPLAIN] + "$";
    tok("LOOSEPLAIN");
    src2[t9.LOOSEPLAIN] = "[v=\\s]*" + src2[t9.MAINVERSIONLOOSE] + src2[t9.PRERELEASELOOSE] + "?" + src2[t9.BUILD] + "?";
    tok("LOOSE");
    src2[t9.LOOSE] = "^" + src2[t9.LOOSEPLAIN] + "$";
    tok("GTLT");
    src2[t9.GTLT] = "((?:<|>)?=?)";
    tok("XRANGEIDENTIFIERLOOSE");
    src2[t9.XRANGEIDENTIFIERLOOSE] = src2[t9.NUMERICIDENTIFIERLOOSE] + "|x|X|\\*";
    tok("XRANGEIDENTIFIER");
    src2[t9.XRANGEIDENTIFIER] = src2[t9.NUMERICIDENTIFIER] + "|x|X|\\*";
    tok("XRANGEPLAIN");
    src2[t9.XRANGEPLAIN] = "[v=\\s]*(" + src2[t9.XRANGEIDENTIFIER] + ")(?:\\.(" + src2[t9.XRANGEIDENTIFIER] + ")(?:\\.(" + src2[t9.XRANGEIDENTIFIER] + ")(?:" + src2[t9.PRERELEASE] + ")?" + src2[t9.BUILD] + "?)?)?";
    tok("XRANGEPLAINLOOSE");
    src2[t9.XRANGEPLAINLOOSE] = "[v=\\s]*(" + src2[t9.XRANGEIDENTIFIERLOOSE] + ")(?:\\.(" + src2[t9.XRANGEIDENTIFIERLOOSE] + ")(?:\\.(" + src2[t9.XRANGEIDENTIFIERLOOSE] + ")(?:" + src2[t9.PRERELEASELOOSE] + ")?" + src2[t9.BUILD] + "?)?)?";
    tok("XRANGE");
    src2[t9.XRANGE] = "^" + src2[t9.GTLT] + "\\s*" + src2[t9.XRANGEPLAIN] + "$";
    tok("XRANGELOOSE");
    src2[t9.XRANGELOOSE] = "^" + src2[t9.GTLT] + "\\s*" + src2[t9.XRANGEPLAINLOOSE] + "$";
    tok("COERCE");
    src2[t9.COERCE] = "(^|[^\\d])(\\d{1," + MAX_SAFE_COMPONENT_LENGTH2 + "})(?:\\.(\\d{1," + MAX_SAFE_COMPONENT_LENGTH2 + "}))?(?:\\.(\\d{1," + MAX_SAFE_COMPONENT_LENGTH2 + "}))?(?:$|[^\\d])";
    tok("COERCERTL");
    re2[t9.COERCERTL] = new RegExp(src2[t9.COERCE], "g");
    safeRe[t9.COERCERTL] = new RegExp(makeSafeRe(src2[t9.COERCE]), "g");
    tok("LONETILDE");
    src2[t9.LONETILDE] = "(?:~>?)";
    tok("TILDETRIM");
    src2[t9.TILDETRIM] = "(\\s*)" + src2[t9.LONETILDE] + "\\s+";
    re2[t9.TILDETRIM] = new RegExp(src2[t9.TILDETRIM], "g");
    safeRe[t9.TILDETRIM] = new RegExp(makeSafeRe(src2[t9.TILDETRIM]), "g");
    var tildeTrimReplace = "$1~";
    tok("TILDE");
    src2[t9.TILDE] = "^" + src2[t9.LONETILDE] + src2[t9.XRANGEPLAIN] + "$";
    tok("TILDELOOSE");
    src2[t9.TILDELOOSE] = "^" + src2[t9.LONETILDE] + src2[t9.XRANGEPLAINLOOSE] + "$";
    tok("LONECARET");
    src2[t9.LONECARET] = "(?:\\^)";
    tok("CARETTRIM");
    src2[t9.CARETTRIM] = "(\\s*)" + src2[t9.LONECARET] + "\\s+";
    re2[t9.CARETTRIM] = new RegExp(src2[t9.CARETTRIM], "g");
    safeRe[t9.CARETTRIM] = new RegExp(makeSafeRe(src2[t9.CARETTRIM]), "g");
    var caretTrimReplace = "$1^";
    tok("CARET");
    src2[t9.CARET] = "^" + src2[t9.LONECARET] + src2[t9.XRANGEPLAIN] + "$";
    tok("CARETLOOSE");
    src2[t9.CARETLOOSE] = "^" + src2[t9.LONECARET] + src2[t9.XRANGEPLAINLOOSE] + "$";
    tok("COMPARATORLOOSE");
    src2[t9.COMPARATORLOOSE] = "^" + src2[t9.GTLT] + "\\s*(" + src2[t9.LOOSEPLAIN] + ")$|^$";
    tok("COMPARATOR");
    src2[t9.COMPARATOR] = "^" + src2[t9.GTLT] + "\\s*(" + src2[t9.FULLPLAIN] + ")$|^$";
    tok("COMPARATORTRIM");
    src2[t9.COMPARATORTRIM] = "(\\s*)" + src2[t9.GTLT] + "\\s*(" + src2[t9.LOOSEPLAIN] + "|" + src2[t9.XRANGEPLAIN] + ")";
    re2[t9.COMPARATORTRIM] = new RegExp(src2[t9.COMPARATORTRIM], "g");
    safeRe[t9.COMPARATORTRIM] = new RegExp(makeSafeRe(src2[t9.COMPARATORTRIM]), "g");
    var comparatorTrimReplace = "$1$2$3";
    tok("HYPHENRANGE");
    src2[t9.HYPHENRANGE] = "^\\s*(" + src2[t9.XRANGEPLAIN] + ")\\s+-\\s+(" + src2[t9.XRANGEPLAIN] + ")\\s*$";
    tok("HYPHENRANGELOOSE");
    src2[t9.HYPHENRANGELOOSE] = "^\\s*(" + src2[t9.XRANGEPLAINLOOSE] + ")\\s+-\\s+(" + src2[t9.XRANGEPLAINLOOSE] + ")\\s*$";
    tok("STAR");
    src2[t9.STAR] = "(<|>)?=?\\s*\\*";
    for (i4 = 0; i4 < R; i4++) {
      debug30(i4, src2[i4]);
      if (!re2[i4]) {
        re2[i4] = new RegExp(src2[i4]);
        safeRe[i4] = new RegExp(makeSafeRe(src2[i4]));
      }
    }
    var i4;
    exports2.parse = parse3;
    function parse3(version3, options2) {
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      if (version3 instanceof SemVer2) {
        return version3;
      }
      if (typeof version3 !== "string") {
        return null;
      }
      if (version3.length > MAX_LENGTH2) {
        return null;
      }
      var r2 = options2.loose ? safeRe[t9.LOOSE] : safeRe[t9.FULL];
      if (!r2.test(version3)) {
        return null;
      }
      try {
        return new SemVer2(version3, options2);
      } catch (er) {
        return null;
      }
    }
    exports2.valid = valid;
    function valid(version3, options2) {
      var v2 = parse3(version3, options2);
      return v2 ? v2.version : null;
    }
    exports2.clean = clean;
    function clean(version3, options2) {
      var s3 = parse3(version3.trim().replace(/^[=v]+/, ""), options2);
      return s3 ? s3.version : null;
    }
    exports2.SemVer = SemVer2;
    function SemVer2(version3, options2) {
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      if (version3 instanceof SemVer2) {
        if (version3.loose === options2.loose) {
          return version3;
        } else {
          version3 = version3.version;
        }
      } else if (typeof version3 !== "string") {
        throw new TypeError("Invalid Version: " + version3);
      }
      if (version3.length > MAX_LENGTH2) {
        throw new TypeError("version is longer than " + MAX_LENGTH2 + " characters");
      }
      if (!(this instanceof SemVer2)) {
        return new SemVer2(version3, options2);
      }
      debug30("SemVer", version3, options2);
      this.options = options2;
      this.loose = !!options2.loose;
      var m3 = version3.trim().match(options2.loose ? safeRe[t9.LOOSE] : safeRe[t9.FULL]);
      if (!m3) {
        throw new TypeError("Invalid Version: " + version3);
      }
      this.raw = version3;
      this.major = +m3[1];
      this.minor = +m3[2];
      this.patch = +m3[3];
      if (this.major > MAX_SAFE_INTEGER2 || this.major < 0) {
        throw new TypeError("Invalid major version");
      }
      if (this.minor > MAX_SAFE_INTEGER2 || this.minor < 0) {
        throw new TypeError("Invalid minor version");
      }
      if (this.patch > MAX_SAFE_INTEGER2 || this.patch < 0) {
        throw new TypeError("Invalid patch version");
      }
      if (!m3[4]) {
        this.prerelease = [];
      } else {
        this.prerelease = m3[4].split(".").map(function(id2) {
          if (/^[0-9]+$/.test(id2)) {
            var num = +id2;
            if (num >= 0 && num < MAX_SAFE_INTEGER2) {
              return num;
            }
          }
          return id2;
        });
      }
      this.build = m3[5] ? m3[5].split(".") : [];
      this.format();
    }
    SemVer2.prototype.format = function() {
      this.version = this.major + "." + this.minor + "." + this.patch;
      if (this.prerelease.length) {
        this.version += "-" + this.prerelease.join(".");
      }
      return this.version;
    };
    SemVer2.prototype.toString = function() {
      return this.version;
    };
    SemVer2.prototype.compare = function(other) {
      debug30("SemVer.compare", this.version, this.options, other);
      if (!(other instanceof SemVer2)) {
        other = new SemVer2(other, this.options);
      }
      return this.compareMain(other) || this.comparePre(other);
    };
    SemVer2.prototype.compareMain = function(other) {
      if (!(other instanceof SemVer2)) {
        other = new SemVer2(other, this.options);
      }
      return compareIdentifiers2(this.major, other.major) || compareIdentifiers2(this.minor, other.minor) || compareIdentifiers2(this.patch, other.patch);
    };
    SemVer2.prototype.comparePre = function(other) {
      if (!(other instanceof SemVer2)) {
        other = new SemVer2(other, this.options);
      }
      if (this.prerelease.length && !other.prerelease.length) {
        return -1;
      } else if (!this.prerelease.length && other.prerelease.length) {
        return 1;
      } else if (!this.prerelease.length && !other.prerelease.length) {
        return 0;
      }
      var i7 = 0;
      do {
        var a3 = this.prerelease[i7];
        var b6 = other.prerelease[i7];
        debug30("prerelease compare", i7, a3, b6);
        if (a3 === void 0 && b6 === void 0) {
          return 0;
        } else if (b6 === void 0) {
          return 1;
        } else if (a3 === void 0) {
          return -1;
        } else if (a3 === b6) {
          continue;
        } else {
          return compareIdentifiers2(a3, b6);
        }
      } while (++i7);
    };
    SemVer2.prototype.compareBuild = function(other) {
      if (!(other instanceof SemVer2)) {
        other = new SemVer2(other, this.options);
      }
      var i7 = 0;
      do {
        var a3 = this.build[i7];
        var b6 = other.build[i7];
        debug30("prerelease compare", i7, a3, b6);
        if (a3 === void 0 && b6 === void 0) {
          return 0;
        } else if (b6 === void 0) {
          return 1;
        } else if (a3 === void 0) {
          return -1;
        } else if (a3 === b6) {
          continue;
        } else {
          return compareIdentifiers2(a3, b6);
        }
      } while (++i7);
    };
    SemVer2.prototype.inc = function(release, identifier) {
      switch (release) {
        case "premajor":
          this.prerelease.length = 0;
          this.patch = 0;
          this.minor = 0;
          this.major++;
          this.inc("pre", identifier);
          break;
        case "preminor":
          this.prerelease.length = 0;
          this.patch = 0;
          this.minor++;
          this.inc("pre", identifier);
          break;
        case "prepatch":
          this.prerelease.length = 0;
          this.inc("patch", identifier);
          this.inc("pre", identifier);
          break;
        case "prerelease":
          if (this.prerelease.length === 0) {
            this.inc("patch", identifier);
          }
          this.inc("pre", identifier);
          break;
        case "major":
          if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
            this.major++;
          }
          this.minor = 0;
          this.patch = 0;
          this.prerelease = [];
          break;
        case "minor":
          if (this.patch !== 0 || this.prerelease.length === 0) {
            this.minor++;
          }
          this.patch = 0;
          this.prerelease = [];
          break;
        case "patch":
          if (this.prerelease.length === 0) {
            this.patch++;
          }
          this.prerelease = [];
          break;
        case "pre":
          if (this.prerelease.length === 0) {
            this.prerelease = [0];
          } else {
            var i7 = this.prerelease.length;
            while (--i7 >= 0) {
              if (typeof this.prerelease[i7] === "number") {
                this.prerelease[i7]++;
                i7 = -2;
              }
            }
            if (i7 === -1) {
              this.prerelease.push(0);
            }
          }
          if (identifier) {
            if (this.prerelease[0] === identifier) {
              if (isNaN(this.prerelease[1])) {
                this.prerelease = [identifier, 0];
              }
            } else {
              this.prerelease = [identifier, 0];
            }
          }
          break;
        default:
          throw new Error("invalid increment argument: " + release);
      }
      this.format();
      this.raw = this.version;
      return this;
    };
    exports2.inc = inc;
    function inc(version3, release, loose, identifier) {
      if (typeof loose === "string") {
        identifier = loose;
        loose = void 0;
      }
      try {
        return new SemVer2(version3, loose).inc(release, identifier).version;
      } catch (er) {
        return null;
      }
    }
    exports2.diff = diff;
    function diff(version1, version22) {
      if (eq2(version1, version22)) {
        return null;
      } else {
        var v1 = parse3(version1);
        var v2 = parse3(version22);
        var prefix = "";
        if (v1.prerelease.length || v2.prerelease.length) {
          prefix = "pre";
          var defaultResult = "prerelease";
        }
        for (var key in v1) {
          if (key === "major" || key === "minor" || key === "patch") {
            if (v1[key] !== v2[key]) {
              return prefix + key;
            }
          }
        }
        return defaultResult;
      }
    }
    exports2.compareIdentifiers = compareIdentifiers2;
    var numeric2 = /^[0-9]+$/;
    function compareIdentifiers2(a3, b6) {
      var anum = numeric2.test(a3);
      var bnum = numeric2.test(b6);
      if (anum && bnum) {
        a3 = +a3;
        b6 = +b6;
      }
      return a3 === b6 ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a3 < b6 ? -1 : 1;
    }
    exports2.rcompareIdentifiers = rcompareIdentifiers2;
    function rcompareIdentifiers2(a3, b6) {
      return compareIdentifiers2(b6, a3);
    }
    exports2.major = major;
    function major(a3, loose) {
      return new SemVer2(a3, loose).major;
    }
    exports2.minor = minor;
    function minor(a3, loose) {
      return new SemVer2(a3, loose).minor;
    }
    exports2.patch = patch;
    function patch(a3, loose) {
      return new SemVer2(a3, loose).patch;
    }
    exports2.compare = compare2;
    function compare2(a3, b6, loose) {
      return new SemVer2(a3, loose).compare(new SemVer2(b6, loose));
    }
    exports2.compareLoose = compareLoose;
    function compareLoose(a3, b6) {
      return compare2(a3, b6, true);
    }
    exports2.compareBuild = compareBuild;
    function compareBuild(a3, b6, loose) {
      var versionA = new SemVer2(a3, loose);
      var versionB = new SemVer2(b6, loose);
      return versionA.compare(versionB) || versionA.compareBuild(versionB);
    }
    exports2.rcompare = rcompare;
    function rcompare(a3, b6, loose) {
      return compare2(b6, a3, loose);
    }
    exports2.sort = sort;
    function sort(list, loose) {
      return list.sort(function(a3, b6) {
        return exports2.compareBuild(a3, b6, loose);
      });
    }
    exports2.rsort = rsort;
    function rsort(list, loose) {
      return list.sort(function(a3, b6) {
        return exports2.compareBuild(b6, a3, loose);
      });
    }
    exports2.gt = gt;
    function gt(a3, b6, loose) {
      return compare2(a3, b6, loose) > 0;
    }
    exports2.lt = lt2;
    function lt2(a3, b6, loose) {
      return compare2(a3, b6, loose) < 0;
    }
    exports2.eq = eq2;
    function eq2(a3, b6, loose) {
      return compare2(a3, b6, loose) === 0;
    }
    exports2.neq = neq;
    function neq(a3, b6, loose) {
      return compare2(a3, b6, loose) !== 0;
    }
    exports2.gte = gte2;
    function gte2(a3, b6, loose) {
      return compare2(a3, b6, loose) >= 0;
    }
    exports2.lte = lte;
    function lte(a3, b6, loose) {
      return compare2(a3, b6, loose) <= 0;
    }
    exports2.cmp = cmp;
    function cmp(a3, op, b6, loose) {
      switch (op) {
        case "===":
          if (typeof a3 === "object")
            a3 = a3.version;
          if (typeof b6 === "object")
            b6 = b6.version;
          return a3 === b6;
        case "!==":
          if (typeof a3 === "object")
            a3 = a3.version;
          if (typeof b6 === "object")
            b6 = b6.version;
          return a3 !== b6;
        case "":
        case "=":
        case "==":
          return eq2(a3, b6, loose);
        case "!=":
          return neq(a3, b6, loose);
        case ">":
          return gt(a3, b6, loose);
        case ">=":
          return gte2(a3, b6, loose);
        case "<":
          return lt2(a3, b6, loose);
        case "<=":
          return lte(a3, b6, loose);
        default:
          throw new TypeError("Invalid operator: " + op);
      }
    }
    exports2.Comparator = Comparator;
    function Comparator(comp, options2) {
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      if (comp instanceof Comparator) {
        if (comp.loose === !!options2.loose) {
          return comp;
        } else {
          comp = comp.value;
        }
      }
      if (!(this instanceof Comparator)) {
        return new Comparator(comp, options2);
      }
      comp = comp.trim().split(/\s+/).join(" ");
      debug30("comparator", comp, options2);
      this.options = options2;
      this.loose = !!options2.loose;
      this.parse(comp);
      if (this.semver === ANY) {
        this.value = "";
      } else {
        this.value = this.operator + this.semver.version;
      }
      debug30("comp", this);
    }
    var ANY = {};
    Comparator.prototype.parse = function(comp) {
      var r2 = this.options.loose ? safeRe[t9.COMPARATORLOOSE] : safeRe[t9.COMPARATOR];
      var m3 = comp.match(r2);
      if (!m3) {
        throw new TypeError("Invalid comparator: " + comp);
      }
      this.operator = m3[1] !== void 0 ? m3[1] : "";
      if (this.operator === "=") {
        this.operator = "";
      }
      if (!m3[2]) {
        this.semver = ANY;
      } else {
        this.semver = new SemVer2(m3[2], this.options.loose);
      }
    };
    Comparator.prototype.toString = function() {
      return this.value;
    };
    Comparator.prototype.test = function(version3) {
      debug30("Comparator.test", version3, this.options.loose);
      if (this.semver === ANY || version3 === ANY) {
        return true;
      }
      if (typeof version3 === "string") {
        try {
          version3 = new SemVer2(version3, this.options);
        } catch (er) {
          return false;
        }
      }
      return cmp(version3, this.operator, this.semver, this.options);
    };
    Comparator.prototype.intersects = function(comp, options2) {
      if (!(comp instanceof Comparator)) {
        throw new TypeError("a Comparator is required");
      }
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      var rangeTmp;
      if (this.operator === "") {
        if (this.value === "") {
          return true;
        }
        rangeTmp = new Range(comp.value, options2);
        return satisfies(this.value, rangeTmp, options2);
      } else if (comp.operator === "") {
        if (comp.value === "") {
          return true;
        }
        rangeTmp = new Range(this.value, options2);
        return satisfies(comp.semver, rangeTmp, options2);
      }
      var sameDirectionIncreasing = (this.operator === ">=" || this.operator === ">") && (comp.operator === ">=" || comp.operator === ">");
      var sameDirectionDecreasing = (this.operator === "<=" || this.operator === "<") && (comp.operator === "<=" || comp.operator === "<");
      var sameSemVer = this.semver.version === comp.semver.version;
      var differentDirectionsInclusive = (this.operator === ">=" || this.operator === "<=") && (comp.operator === ">=" || comp.operator === "<=");
      var oppositeDirectionsLessThan = cmp(this.semver, "<", comp.semver, options2) && ((this.operator === ">=" || this.operator === ">") && (comp.operator === "<=" || comp.operator === "<"));
      var oppositeDirectionsGreaterThan = cmp(this.semver, ">", comp.semver, options2) && ((this.operator === "<=" || this.operator === "<") && (comp.operator === ">=" || comp.operator === ">"));
      return sameDirectionIncreasing || sameDirectionDecreasing || sameSemVer && differentDirectionsInclusive || oppositeDirectionsLessThan || oppositeDirectionsGreaterThan;
    };
    exports2.Range = Range;
    function Range(range2, options2) {
      if (!options2 || typeof options2 !== "object") {
        options2 = {
          loose: !!options2,
          includePrerelease: false
        };
      }
      if (range2 instanceof Range) {
        if (range2.loose === !!options2.loose && range2.includePrerelease === !!options2.includePrerelease) {
          return range2;
        } else {
          return new Range(range2.raw, options2);
        }
      }
      if (range2 instanceof Comparator) {
        return new Range(range2.value, options2);
      }
      if (!(this instanceof Range)) {
        return new Range(range2, options2);
      }
      this.options = options2;
      this.loose = !!options2.loose;
      this.includePrerelease = !!options2.includePrerelease;
      this.raw = range2.trim().split(/\s+/).join(" ");
      this.set = this.raw.split("||").map(function(range3) {
        return this.parseRange(range3.trim());
      }, this).filter(function(c4) {
        return c4.length;
      });
      if (!this.set.length) {
        throw new TypeError("Invalid SemVer Range: " + this.raw);
      }
      this.format();
    }
    Range.prototype.format = function() {
      this.range = this.set.map(function(comps) {
        return comps.join(" ").trim();
      }).join("||").trim();
      return this.range;
    };
    Range.prototype.toString = function() {
      return this.range;
    };
    Range.prototype.parseRange = function(range2) {
      var loose = this.options.loose;
      var hr = loose ? safeRe[t9.HYPHENRANGELOOSE] : safeRe[t9.HYPHENRANGE];
      range2 = range2.replace(hr, hyphenReplace);
      debug30("hyphen replace", range2);
      range2 = range2.replace(safeRe[t9.COMPARATORTRIM], comparatorTrimReplace);
      debug30("comparator trim", range2, safeRe[t9.COMPARATORTRIM]);
      range2 = range2.replace(safeRe[t9.TILDETRIM], tildeTrimReplace);
      range2 = range2.replace(safeRe[t9.CARETTRIM], caretTrimReplace);
      range2 = range2.split(/\s+/).join(" ");
      var compRe = loose ? safeRe[t9.COMPARATORLOOSE] : safeRe[t9.COMPARATOR];
      var set = range2.split(" ").map(function(comp) {
        return parseComparator(comp, this.options);
      }, this).join(" ").split(/\s+/);
      if (this.options.loose) {
        set = set.filter(function(comp) {
          return !!comp.match(compRe);
        });
      }
      set = set.map(function(comp) {
        return new Comparator(comp, this.options);
      }, this);
      return set;
    };
    Range.prototype.intersects = function(range2, options2) {
      if (!(range2 instanceof Range)) {
        throw new TypeError("a Range is required");
      }
      return this.set.some(function(thisComparators) {
        return isSatisfiable(thisComparators, options2) && range2.set.some(function(rangeComparators) {
          return isSatisfiable(rangeComparators, options2) && thisComparators.every(function(thisComparator) {
            return rangeComparators.every(function(rangeComparator) {
              return thisComparator.intersects(rangeComparator, options2);
            });
          });
        });
      });
    };
    function isSatisfiable(comparators, options2) {
      var result = true;
      var remainingComparators = comparators.slice();
      var testComparator = remainingComparators.pop();
      while (result && remainingComparators.length) {
        result = remainingComparators.every(function(otherComparator) {
          return testComparator.intersects(otherComparator, options2);
        });
        testComparator = remainingComparators.pop();
      }
      return result;
    }
    exports2.toComparators = toComparators;
    function toComparators(range2, options2) {
      return new Range(range2, options2).set.map(function(comp) {
        return comp.map(function(c4) {
          return c4.value;
        }).join(" ").trim().split(" ");
      });
    }
    function parseComparator(comp, options2) {
      debug30("comp", comp, options2);
      comp = replaceCarets(comp, options2);
      debug30("caret", comp);
      comp = replaceTildes(comp, options2);
      debug30("tildes", comp);
      comp = replaceXRanges(comp, options2);
      debug30("xrange", comp);
      comp = replaceStars(comp, options2);
      debug30("stars", comp);
      return comp;
    }
    function isX(id2) {
      return !id2 || id2.toLowerCase() === "x" || id2 === "*";
    }
    function replaceTildes(comp, options2) {
      return comp.trim().split(/\s+/).map(function(comp2) {
        return replaceTilde(comp2, options2);
      }).join(" ");
    }
    function replaceTilde(comp, options2) {
      var r2 = options2.loose ? safeRe[t9.TILDELOOSE] : safeRe[t9.TILDE];
      return comp.replace(r2, function(_3, M, m3, p2, pr2) {
        debug30("tilde", comp, _3, M, m3, p2, pr2);
        var ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m3)) {
          ret = ">=" + M + ".0.0 <" + (+M + 1) + ".0.0";
        } else if (isX(p2)) {
          ret = ">=" + M + "." + m3 + ".0 <" + M + "." + (+m3 + 1) + ".0";
        } else if (pr2) {
          debug30("replaceTilde pr", pr2);
          ret = ">=" + M + "." + m3 + "." + p2 + "-" + pr2 + " <" + M + "." + (+m3 + 1) + ".0";
        } else {
          ret = ">=" + M + "." + m3 + "." + p2 + " <" + M + "." + (+m3 + 1) + ".0";
        }
        debug30("tilde return", ret);
        return ret;
      });
    }
    function replaceCarets(comp, options2) {
      return comp.trim().split(/\s+/).map(function(comp2) {
        return replaceCaret(comp2, options2);
      }).join(" ");
    }
    function replaceCaret(comp, options2) {
      debug30("caret", comp, options2);
      var r2 = options2.loose ? safeRe[t9.CARETLOOSE] : safeRe[t9.CARET];
      return comp.replace(r2, function(_3, M, m3, p2, pr2) {
        debug30("caret", comp, _3, M, m3, p2, pr2);
        var ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m3)) {
          ret = ">=" + M + ".0.0 <" + (+M + 1) + ".0.0";
        } else if (isX(p2)) {
          if (M === "0") {
            ret = ">=" + M + "." + m3 + ".0 <" + M + "." + (+m3 + 1) + ".0";
          } else {
            ret = ">=" + M + "." + m3 + ".0 <" + (+M + 1) + ".0.0";
          }
        } else if (pr2) {
          debug30("replaceCaret pr", pr2);
          if (M === "0") {
            if (m3 === "0") {
              ret = ">=" + M + "." + m3 + "." + p2 + "-" + pr2 + " <" + M + "." + m3 + "." + (+p2 + 1);
            } else {
              ret = ">=" + M + "." + m3 + "." + p2 + "-" + pr2 + " <" + M + "." + (+m3 + 1) + ".0";
            }
          } else {
            ret = ">=" + M + "." + m3 + "." + p2 + "-" + pr2 + " <" + (+M + 1) + ".0.0";
          }
        } else {
          debug30("no pr");
          if (M === "0") {
            if (m3 === "0") {
              ret = ">=" + M + "." + m3 + "." + p2 + " <" + M + "." + m3 + "." + (+p2 + 1);
            } else {
              ret = ">=" + M + "." + m3 + "." + p2 + " <" + M + "." + (+m3 + 1) + ".0";
            }
          } else {
            ret = ">=" + M + "." + m3 + "." + p2 + " <" + (+M + 1) + ".0.0";
          }
        }
        debug30("caret return", ret);
        return ret;
      });
    }
    function replaceXRanges(comp, options2) {
      debug30("replaceXRanges", comp, options2);
      return comp.split(/\s+/).map(function(comp2) {
        return replaceXRange(comp2, options2);
      }).join(" ");
    }
    function replaceXRange(comp, options2) {
      comp = comp.trim();
      var r2 = options2.loose ? safeRe[t9.XRANGELOOSE] : safeRe[t9.XRANGE];
      return comp.replace(r2, function(ret, gtlt, M, m3, p2, pr2) {
        debug30("xRange", comp, ret, gtlt, M, m3, p2, pr2);
        var xM2 = isX(M);
        var xm2 = xM2 || isX(m3);
        var xp = xm2 || isX(p2);
        var anyX = xp;
        if (gtlt === "=" && anyX) {
          gtlt = "";
        }
        pr2 = options2.includePrerelease ? "-0" : "";
        if (xM2) {
          if (gtlt === ">" || gtlt === "<") {
            ret = "<0.0.0-0";
          } else {
            ret = "*";
          }
        } else if (gtlt && anyX) {
          if (xm2) {
            m3 = 0;
          }
          p2 = 0;
          if (gtlt === ">") {
            gtlt = ">=";
            if (xm2) {
              M = +M + 1;
              m3 = 0;
              p2 = 0;
            } else {
              m3 = +m3 + 1;
              p2 = 0;
            }
          } else if (gtlt === "<=") {
            gtlt = "<";
            if (xm2) {
              M = +M + 1;
            } else {
              m3 = +m3 + 1;
            }
          }
          ret = gtlt + M + "." + m3 + "." + p2 + pr2;
        } else if (xm2) {
          ret = ">=" + M + ".0.0" + pr2 + " <" + (+M + 1) + ".0.0" + pr2;
        } else if (xp) {
          ret = ">=" + M + "." + m3 + ".0" + pr2 + " <" + M + "." + (+m3 + 1) + ".0" + pr2;
        }
        debug30("xRange return", ret);
        return ret;
      });
    }
    function replaceStars(comp, options2) {
      debug30("replaceStars", comp, options2);
      return comp.trim().replace(safeRe[t9.STAR], "");
    }
    function hyphenReplace($0, from, fM2, fm, fp, fpr, fb, to2, tM2, tm2, tp2, tpr, tb) {
      if (isX(fM2)) {
        from = "";
      } else if (isX(fm)) {
        from = ">=" + fM2 + ".0.0";
      } else if (isX(fp)) {
        from = ">=" + fM2 + "." + fm + ".0";
      } else {
        from = ">=" + from;
      }
      if (isX(tM2)) {
        to2 = "";
      } else if (isX(tm2)) {
        to2 = "<" + (+tM2 + 1) + ".0.0";
      } else if (isX(tp2)) {
        to2 = "<" + tM2 + "." + (+tm2 + 1) + ".0";
      } else if (tpr) {
        to2 = "<=" + tM2 + "." + tm2 + "." + tp2 + "-" + tpr;
      } else {
        to2 = "<=" + to2;
      }
      return (from + " " + to2).trim();
    }
    Range.prototype.test = function(version3) {
      if (!version3) {
        return false;
      }
      if (typeof version3 === "string") {
        try {
          version3 = new SemVer2(version3, this.options);
        } catch (er) {
          return false;
        }
      }
      for (var i7 = 0; i7 < this.set.length; i7++) {
        if (testSet(this.set[i7], version3, this.options)) {
          return true;
        }
      }
      return false;
    };
    function testSet(set, version3, options2) {
      for (var i7 = 0; i7 < set.length; i7++) {
        if (!set[i7].test(version3)) {
          return false;
        }
      }
      if (version3.prerelease.length && !options2.includePrerelease) {
        for (i7 = 0; i7 < set.length; i7++) {
          debug30(set[i7].semver);
          if (set[i7].semver === ANY) {
            continue;
          }
          if (set[i7].semver.prerelease.length > 0) {
            var allowed = set[i7].semver;
            if (allowed.major === version3.major && allowed.minor === version3.minor && allowed.patch === version3.patch) {
              return true;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.satisfies = satisfies;
    function satisfies(version3, range2, options2) {
      try {
        range2 = new Range(range2, options2);
      } catch (er) {
        return false;
      }
      return range2.test(version3);
    }
    exports2.maxSatisfying = maxSatisfying;
    function maxSatisfying(versions, range2, options2) {
      var max = null;
      var maxSV = null;
      try {
        var rangeObj = new Range(range2, options2);
      } catch (er) {
        return null;
      }
      versions.forEach(function(v2) {
        if (rangeObj.test(v2)) {
          if (!max || maxSV.compare(v2) === -1) {
            max = v2;
            maxSV = new SemVer2(max, options2);
          }
        }
      });
      return max;
    }
    exports2.minSatisfying = minSatisfying;
    function minSatisfying(versions, range2, options2) {
      var min = null;
      var minSV = null;
      try {
        var rangeObj = new Range(range2, options2);
      } catch (er) {
        return null;
      }
      versions.forEach(function(v2) {
        if (rangeObj.test(v2)) {
          if (!min || minSV.compare(v2) === 1) {
            min = v2;
            minSV = new SemVer2(min, options2);
          }
        }
      });
      return min;
    }
    exports2.minVersion = minVersion;
    function minVersion(range2, loose) {
      range2 = new Range(range2, loose);
      var minver = new SemVer2("0.0.0");
      if (range2.test(minver)) {
        return minver;
      }
      minver = new SemVer2("0.0.0-0");
      if (range2.test(minver)) {
        return minver;
      }
      minver = null;
      for (var i7 = 0; i7 < range2.set.length; ++i7) {
        var comparators = range2.set[i7];
        comparators.forEach(function(comparator) {
          var compver = new SemVer2(comparator.semver.version);
          switch (comparator.operator) {
            case ">":
              if (compver.prerelease.length === 0) {
                compver.patch++;
              } else {
                compver.prerelease.push(0);
              }
              compver.raw = compver.format();
            case "":
            case ">=":
              if (!minver || gt(minver, compver)) {
                minver = compver;
              }
              break;
            case "<":
            case "<=":
              break;
            default:
              throw new Error("Unexpected operation: " + comparator.operator);
          }
        });
      }
      if (minver && range2.test(minver)) {
        return minver;
      }
      return null;
    }
    exports2.validRange = validRange;
    function validRange(range2, options2) {
      try {
        return new Range(range2, options2).range || "*";
      } catch (er) {
        return null;
      }
    }
    exports2.ltr = ltr;
    function ltr(version3, range2, options2) {
      return outside(version3, range2, "<", options2);
    }
    exports2.gtr = gtr;
    function gtr(version3, range2, options2) {
      return outside(version3, range2, ">", options2);
    }
    exports2.outside = outside;
    function outside(version3, range2, hilo, options2) {
      version3 = new SemVer2(version3, options2);
      range2 = new Range(range2, options2);
      var gtfn, ltefn, ltfn, comp, ecomp;
      switch (hilo) {
        case ">":
          gtfn = gt;
          ltefn = lte;
          ltfn = lt2;
          comp = ">";
          ecomp = ">=";
          break;
        case "<":
          gtfn = lt2;
          ltefn = gte2;
          ltfn = gt;
          comp = "<";
          ecomp = "<=";
          break;
        default:
          throw new TypeError('Must provide a hilo val of "<" or ">"');
      }
      if (satisfies(version3, range2, options2)) {
        return false;
      }
      for (var i7 = 0; i7 < range2.set.length; ++i7) {
        var comparators = range2.set[i7];
        var high = null;
        var low = null;
        comparators.forEach(function(comparator) {
          if (comparator.semver === ANY) {
            comparator = new Comparator(">=0.0.0");
          }
          high = high || comparator;
          low = low || comparator;
          if (gtfn(comparator.semver, high.semver, options2)) {
            high = comparator;
          } else if (ltfn(comparator.semver, low.semver, options2)) {
            low = comparator;
          }
        });
        if (high.operator === comp || high.operator === ecomp) {
          return false;
        }
        if ((!low.operator || low.operator === comp) && ltefn(version3, low.semver)) {
          return false;
        } else if (low.operator === ecomp && ltfn(version3, low.semver)) {
          return false;
        }
      }
      return true;
    }
    exports2.prerelease = prerelease;
    function prerelease(version3, options2) {
      var parsed = parse3(version3, options2);
      return parsed && parsed.prerelease.length ? parsed.prerelease : null;
    }
    exports2.intersects = intersects;
    function intersects(r1, r2, options2) {
      r1 = new Range(r1, options2);
      r2 = new Range(r2, options2);
      return r1.intersects(r2);
    }
    exports2.coerce = coerce;
    function coerce(version3, options2) {
      if (version3 instanceof SemVer2) {
        return version3;
      }
      if (typeof version3 === "number") {
        version3 = String(version3);
      }
      if (typeof version3 !== "string") {
        return null;
      }
      options2 = options2 || {};
      var match4 = null;
      if (!options2.rtl) {
        match4 = version3.match(safeRe[t9.COERCE]);
      } else {
        var next;
        while ((next = safeRe[t9.COERCERTL].exec(version3)) && (!match4 || match4.index + match4[0].length !== version3.length)) {
          if (!match4 || next.index + next[0].length !== match4.index + match4[0].length) {
            match4 = next;
          }
          safeRe[t9.COERCERTL].lastIndex = next.index + next[1].length + next[2].length;
        }
        safeRe[t9.COERCERTL].lastIndex = -1;
      }
      if (match4 === null) {
        return null;
      }
      return parse3(match4[2] + "." + (match4[3] || "0") + "." + (match4[4] || "0"), options2);
    }
  }
});

// ../../node_modules/.pnpm/make-dir@3.1.0/node_modules/make-dir/index.js
var require_make_dir2 = __commonJS({
  "../../node_modules/.pnpm/make-dir@3.1.0/node_modules/make-dir/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var path39 = require("path");
    var { promisify: promisify9 } = require("util");
    var semver2 = require_semver2();
    var useNativeRecursiveOption2 = semver2.satisfies(process.version, ">=10.12.0");
    var checkPath2 = (pth) => {
      if (process.platform === "win32") {
        const pathHasInvalidWinCharacters = /[<>:"|?*]/.test(pth.replace(path39.parse(pth).root, ""));
        if (pathHasInvalidWinCharacters) {
          const error2 = new Error(`Path contains invalid characters: ${pth}`);
          error2.code = "EINVAL";
          throw error2;
        }
      }
    };
    var processOptions2 = (options2) => {
      const defaults = {
        mode: 511,
        fs: fs42
      };
      return {
        ...defaults,
        ...options2
      };
    };
    var permissionError2 = (pth) => {
      const error2 = new Error(`operation not permitted, mkdir '${pth}'`);
      error2.code = "EPERM";
      error2.errno = -4048;
      error2.path = pth;
      error2.syscall = "mkdir";
      return error2;
    };
    var makeDir2 = async (input, options2) => {
      checkPath2(input);
      options2 = processOptions2(options2);
      const mkdir = promisify9(options2.fs.mkdir);
      const stat = promisify9(options2.fs.stat);
      if (useNativeRecursiveOption2 && options2.fs.mkdir === fs42.mkdir) {
        const pth = path39.resolve(input);
        await mkdir(pth, {
          mode: options2.mode,
          recursive: true
        });
        return pth;
      }
      const make = async (pth) => {
        try {
          await mkdir(pth, options2.mode);
          return pth;
        } catch (error2) {
          if (error2.code === "EPERM") {
            throw error2;
          }
          if (error2.code === "ENOENT") {
            if (path39.dirname(pth) === pth) {
              throw permissionError2(pth);
            }
            if (error2.message.includes("null bytes")) {
              throw error2;
            }
            await make(path39.dirname(pth));
            return make(pth);
          }
          try {
            const stats = await stat(pth);
            if (!stats.isDirectory()) {
              throw new Error("The path is not a directory");
            }
          } catch (_3) {
            throw error2;
          }
          return pth;
        }
      };
      return make(path39.resolve(input));
    };
    module2.exports = makeDir2;
    module2.exports.sync = (input, options2) => {
      checkPath2(input);
      options2 = processOptions2(options2);
      if (useNativeRecursiveOption2 && options2.fs.mkdirSync === fs42.mkdirSync) {
        const pth = path39.resolve(input);
        fs42.mkdirSync(pth, {
          mode: options2.mode,
          recursive: true
        });
        return pth;
      }
      const make = (pth) => {
        try {
          options2.fs.mkdirSync(pth, options2.mode);
        } catch (error2) {
          if (error2.code === "EPERM") {
            throw error2;
          }
          if (error2.code === "ENOENT") {
            if (path39.dirname(pth) === pth) {
              throw permissionError2(pth);
            }
            if (error2.message.includes("null bytes")) {
              throw error2;
            }
            make(path39.dirname(pth));
            return make(pth);
          }
          try {
            if (!options2.fs.statSync(pth).isDirectory()) {
              throw new Error("The path is not a directory");
            }
          } catch (_3) {
            throw error2;
          }
        }
        return pth;
      };
      return make(path39.resolve(input));
    };
  }
});

// ../../node_modules/.pnpm/find-cache-dir@3.3.2/node_modules/find-cache-dir/index.js
var require_find_cache_dir = __commonJS({
  "../../node_modules/.pnpm/find-cache-dir@3.3.2/node_modules/find-cache-dir/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var fs42 = require("fs");
    var commonDir = require_commondir();
    var pkgDir = require_pkg_dir();
    var makeDir2 = require_make_dir2();
    var { env: env3, cwd } = process;
    var isWritable = (path40) => {
      try {
        fs42.accessSync(path40, fs42.constants.W_OK);
        return true;
      } catch (_3) {
        return false;
      }
    };
    function useDirectory(directory, options2) {
      if (options2.create) {
        makeDir2.sync(directory);
      }
      if (options2.thunk) {
        return (...arguments_) => path39.join(directory, ...arguments_);
      }
      return directory;
    }
    function getNodeModuleDirectory(directory) {
      const nodeModules = path39.join(directory, "node_modules");
      if (!isWritable(nodeModules) && (fs42.existsSync(nodeModules) || !isWritable(path39.join(directory)))) {
        return;
      }
      return nodeModules;
    }
    module2.exports = (options2 = {}) => {
      if (env3.CACHE_DIR && !["true", "false", "1", "0"].includes(env3.CACHE_DIR)) {
        return useDirectory(path39.join(env3.CACHE_DIR, options2.name), options2);
      }
      let { cwd: directory = cwd() } = options2;
      if (options2.files) {
        directory = commonDir(directory, options2.files);
      }
      directory = pkgDir.sync(directory);
      if (!directory) {
        return;
      }
      const nodeModules = getNodeModuleDirectory(directory);
      if (!nodeModules) {
        return void 0;
      }
      return useDirectory(path39.join(directory, "node_modules", ".cache", options2.name), options2);
    };
  }
});

// ../fetch-engine/src/utils.ts
async function getRootCacheDir() {
  if (import_os2.default.platform() === "win32") {
    const cacheDir = (0, import_find_cache_dir.default)({ name: "prisma", create: true });
    if (cacheDir) {
      return cacheDir;
    }
    if (process.env.APPDATA) {
      return import_path10.default.join(process.env.APPDATA, "Prisma");
    }
  }
  if (process.env.AWS_LAMBDA_FUNCTION_VERSION) {
    try {
      await (0, import_fs_extra.ensureDir)(`/tmp/prisma-download`);
      return `/tmp/prisma-download`;
    } catch (e3) {
      return null;
    }
  }
  return import_path10.default.join(import_os2.default.homedir(), ".cache/prisma");
}
async function getCacheDir(channel2, version3, platform2) {
  const rootCacheDir = await getRootCacheDir();
  if (!rootCacheDir) {
    return null;
  }
  const cacheDir = import_path10.default.join(rootCacheDir, channel2, version3, platform2);
  try {
    if (!import_fs9.default.existsSync(cacheDir)) {
      await (0, import_fs_extra.ensureDir)(cacheDir);
    }
  } catch (e3) {
    debug8("The following error is being caught and just there for debugging:");
    debug8(e3);
    return null;
  }
  return cacheDir;
}
function getDownloadUrl({
  channel: channel2,
  version: version3,
  platform: platform2,
  binaryName,
  extension = ".gz"
}) {
  const baseUrl = process.env.PRISMA_BINARIES_MIRROR || // TODO: remove this
  process.env.PRISMA_ENGINES_MIRROR || "https://binaries.prisma.sh";
  const finalExtension = platform2 === "windows" && "libquery-engine" /* QueryEngineLibrary */ !== binaryName ? `.exe${extension}` : extension;
  if (binaryName === "libquery-engine" /* QueryEngineLibrary */) {
    binaryName = getNodeAPIName2(platform2, "url");
  }
  return `${baseUrl}/${channel2}/${version3}/${platform2}/${binaryName}${finalExtension}`;
}
async function overwriteFile(sourcePath, targetPath) {
  await removeFileIfExists(targetPath);
  await import_fs9.default.promises.copyFile(sourcePath, targetPath);
}
async function removeFileIfExists(filePath) {
  try {
    await import_fs9.default.promises.unlink(filePath);
  } catch (e3) {
    if (e3.code !== "ENOENT") {
      throw e3;
    }
  }
}
var import_find_cache_dir, import_fs9, import_fs_extra, import_os2, import_path10, debug8;
var init_utils = __esm({
  "../fetch-engine/src/utils.ts"() {
    "use strict";
    init_src();
    init_src2();
    import_find_cache_dir = __toESM(require_find_cache_dir());
    import_fs9 = __toESM(require("fs"));
    import_fs_extra = __toESM(require_lib4());
    import_os2 = __toESM(require("os"));
    import_path10 = __toESM(require("path"));
    debug8 = src_default("prisma:fetch-engine:cache-dir");
  }
});

// ../fetch-engine/src/cleanupCache.ts
async function cleanupCache(n2 = 5) {
  try {
    const rootCacheDir = await getRootCacheDir();
    if (!rootCacheDir) {
      debug9("no rootCacheDir found");
      return;
    }
    const channel2 = "master";
    const cacheDir = import_path11.default.join(rootCacheDir, channel2);
    const dirs = await import_fs10.default.promises.readdir(cacheDir);
    const dirsWithMeta = await Promise.all(
      dirs.map(async (dirName) => {
        const dir3 = import_path11.default.join(cacheDir, dirName);
        const statResult = await import_fs10.default.promises.stat(dir3);
        return {
          dir: dir3,
          created: statResult.birthtime
        };
      })
    );
    dirsWithMeta.sort((a3, b6) => a3.created < b6.created ? 1 : -1);
    const dirsToRemove = dirsWithMeta.slice(n2);
    await pMap(dirsToRemove, (dir3) => del(dir3.dir), { concurrency: 20 });
  } catch (e3) {
  }
}
var import_fs10, import_path11, import_rimraf, import_util3, debug9, del;
var init_cleanupCache = __esm({
  "../fetch-engine/src/cleanupCache.ts"() {
    "use strict";
    init_src();
    import_fs10 = __toESM(require("fs"));
    init_p_map();
    import_path11 = __toESM(require("path"));
    import_rimraf = __toESM(require_rimraf());
    import_util3 = require("util");
    init_utils();
    debug9 = src_default("cleanupCache");
    del = (0, import_util3.promisify)(import_rimraf.default);
  }
});

// ../../node_modules/.pnpm/hasha@5.2.2/node_modules/hasha/index.js
var require_hasha = __commonJS({
  "../../node_modules/.pnpm/hasha@5.2.2/node_modules/hasha/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var path39 = require("path");
    var crypto4 = require("crypto");
    var isStream2 = require_is_stream();
    var { Worker } = (() => {
      try {
        return require("worker_threads");
      } catch (_3) {
        return {};
      }
    })();
    var worker;
    var taskIdCounter = 0;
    var tasks = /* @__PURE__ */ new Map();
    var recreateWorkerError = (sourceError) => {
      const error2 = new Error(sourceError.message);
      for (const [key, value] of Object.entries(sourceError)) {
        if (key !== "message") {
          error2[key] = value;
        }
      }
      return error2;
    };
    var createWorker = () => {
      worker = new Worker(path39.join(__dirname, "thread.js"));
      worker.on("message", (message2) => {
        const task = tasks.get(message2.id);
        tasks.delete(message2.id);
        if (tasks.size === 0) {
          worker.unref();
        }
        if (message2.error === void 0) {
          task.resolve(message2.value);
        } else {
          task.reject(recreateWorkerError(message2.error));
        }
      });
      worker.on("error", (error2) => {
        throw error2;
      });
    };
    var taskWorker = (method, args3, transferList) => new Promise((resolve3, reject2) => {
      const id2 = taskIdCounter++;
      tasks.set(id2, { resolve: resolve3, reject: reject2 });
      if (worker === void 0) {
        createWorker();
      }
      worker.ref();
      worker.postMessage({ id: id2, method, args: args3 }, transferList);
    });
    var hasha2 = (input, options2 = {}) => {
      let outputEncoding = options2.encoding || "hex";
      if (outputEncoding === "buffer") {
        outputEncoding = void 0;
      }
      const hash = crypto4.createHash(options2.algorithm || "sha512");
      const update = (buffer) => {
        const inputEncoding = typeof buffer === "string" ? "utf8" : void 0;
        hash.update(buffer, inputEncoding);
      };
      if (Array.isArray(input)) {
        input.forEach(update);
      } else {
        update(input);
      }
      return hash.digest(outputEncoding);
    };
    hasha2.stream = (options2 = {}) => {
      let outputEncoding = options2.encoding || "hex";
      if (outputEncoding === "buffer") {
        outputEncoding = void 0;
      }
      const stream4 = crypto4.createHash(options2.algorithm || "sha512");
      stream4.setEncoding(outputEncoding);
      return stream4;
    };
    hasha2.fromStream = async (stream4, options2 = {}) => {
      if (!isStream2(stream4)) {
        throw new TypeError("Expected a stream");
      }
      return new Promise((resolve3, reject2) => {
        stream4.on("error", reject2).pipe(hasha2.stream(options2)).on("error", reject2).on("finish", function() {
          resolve3(this.read());
        });
      });
    };
    if (Worker === void 0) {
      hasha2.fromFile = async (filePath, options2) => hasha2.fromStream(fs42.createReadStream(filePath), options2);
      hasha2.async = async (input, options2) => hasha2(input, options2);
    } else {
      hasha2.fromFile = async (filePath, { algorithm = "sha512", encoding = "hex" } = {}) => {
        const hash = await taskWorker("hashFile", [algorithm, filePath]);
        if (encoding === "buffer") {
          return Buffer.from(hash);
        }
        return Buffer.from(hash).toString(encoding);
      };
      hasha2.async = async (input, { algorithm = "sha512", encoding = "hex" } = {}) => {
        if (encoding === "buffer") {
          encoding = void 0;
        }
        const hash = await taskWorker("hash", [algorithm, input]);
        if (encoding === void 0) {
          return Buffer.from(hash);
        }
        return Buffer.from(hash).toString(encoding);
      };
    }
    hasha2.fromFileSync = (filePath, options2) => hasha2(fs42.readFileSync(filePath), options2);
    module2.exports = hasha2;
  }
});

// ../../node_modules/.pnpm/safer-buffer@2.1.2/node_modules/safer-buffer/safer.js
var require_safer = __commonJS({
  "../../node_modules/.pnpm/safer-buffer@2.1.2/node_modules/safer-buffer/safer.js"(exports2, module2) {
    "use strict";
    var buffer = require("buffer");
    var Buffer2 = buffer.Buffer;
    var safer = {};
    var key;
    for (key in buffer) {
      if (!buffer.hasOwnProperty(key))
        continue;
      if (key === "SlowBuffer" || key === "Buffer")
        continue;
      safer[key] = buffer[key];
    }
    var Safer = safer.Buffer = {};
    for (key in Buffer2) {
      if (!Buffer2.hasOwnProperty(key))
        continue;
      if (key === "allocUnsafe" || key === "allocUnsafeSlow")
        continue;
      Safer[key] = Buffer2[key];
    }
    safer.Buffer.prototype = Buffer2.prototype;
    if (!Safer.from || Safer.from === Uint8Array.from) {
      Safer.from = function(value, encodingOrOffset, length) {
        if (typeof value === "number") {
          throw new TypeError('The "value" argument must not be of type number. Received type ' + typeof value);
        }
        if (value && typeof value.length === "undefined") {
          throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type " + typeof value);
        }
        return Buffer2(value, encodingOrOffset, length);
      };
    }
    if (!Safer.alloc) {
      Safer.alloc = function(size, fill, encoding) {
        if (typeof size !== "number") {
          throw new TypeError('The "size" argument must be of type number. Received type ' + typeof size);
        }
        if (size < 0 || size >= 2 * (1 << 30)) {
          throw new RangeError('The value "' + size + '" is invalid for option "size"');
        }
        var buf = Buffer2(size);
        if (!fill || fill.length === 0) {
          buf.fill(0);
        } else if (typeof encoding === "string") {
          buf.fill(fill, encoding);
        } else {
          buf.fill(fill);
        }
        return buf;
      };
    }
    if (!safer.kStringMaxLength) {
      try {
        safer.kStringMaxLength = process.binding("buffer").kStringMaxLength;
      } catch (e3) {
      }
    }
    if (!safer.constants) {
      safer.constants = {
        MAX_LENGTH: safer.kMaxLength
      };
      if (safer.kStringMaxLength) {
        safer.constants.MAX_STRING_LENGTH = safer.kStringMaxLength;
      }
    }
    module2.exports = safer;
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/lib/bom-handling.js
var require_bom_handling = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/lib/bom-handling.js"(exports2) {
    "use strict";
    var BOMChar = "\uFEFF";
    exports2.PrependBOM = PrependBOMWrapper;
    function PrependBOMWrapper(encoder, options2) {
      this.encoder = encoder;
      this.addBOM = true;
    }
    PrependBOMWrapper.prototype.write = function(str) {
      if (this.addBOM) {
        str = BOMChar + str;
        this.addBOM = false;
      }
      return this.encoder.write(str);
    };
    PrependBOMWrapper.prototype.end = function() {
      return this.encoder.end();
    };
    exports2.StripBOM = StripBOMWrapper;
    function StripBOMWrapper(decoder, options2) {
      this.decoder = decoder;
      this.pass = false;
      this.options = options2 || {};
    }
    StripBOMWrapper.prototype.write = function(buf) {
      var res = this.decoder.write(buf);
      if (this.pass || !res)
        return res;
      if (res[0] === BOMChar) {
        res = res.slice(1);
        if (typeof this.options.stripBOM === "function")
          this.options.stripBOM();
      }
      this.pass = true;
      return res;
    };
    StripBOMWrapper.prototype.end = function() {
      return this.decoder.end();
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/internal.js
var require_internal2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/internal.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    module2.exports = {
      // Encodings
      utf8: { type: "_internal", bomAware: true },
      cesu8: { type: "_internal", bomAware: true },
      unicode11utf8: "utf8",
      ucs2: { type: "_internal", bomAware: true },
      utf16le: "ucs2",
      binary: { type: "_internal" },
      base64: { type: "_internal" },
      hex: { type: "_internal" },
      // Codec.
      _internal: InternalCodec
    };
    function InternalCodec(codecOptions, iconv) {
      this.enc = codecOptions.encodingName;
      this.bomAware = codecOptions.bomAware;
      if (this.enc === "base64")
        this.encoder = InternalEncoderBase64;
      else if (this.enc === "cesu8") {
        this.enc = "utf8";
        this.encoder = InternalEncoderCesu8;
        if (Buffer2.from("eda0bdedb2a9", "hex").toString() !== "\u{1F4A9}") {
          this.decoder = InternalDecoderCesu8;
          this.defaultCharUnicode = iconv.defaultCharUnicode;
        }
      }
    }
    InternalCodec.prototype.encoder = InternalEncoder;
    InternalCodec.prototype.decoder = InternalDecoder;
    var StringDecoder = require("string_decoder").StringDecoder;
    if (!StringDecoder.prototype.end)
      StringDecoder.prototype.end = function() {
      };
    function InternalDecoder(options2, codec) {
      this.decoder = new StringDecoder(codec.enc);
    }
    InternalDecoder.prototype.write = function(buf) {
      if (!Buffer2.isBuffer(buf)) {
        buf = Buffer2.from(buf);
      }
      return this.decoder.write(buf);
    };
    InternalDecoder.prototype.end = function() {
      return this.decoder.end();
    };
    function InternalEncoder(options2, codec) {
      this.enc = codec.enc;
    }
    InternalEncoder.prototype.write = function(str) {
      return Buffer2.from(str, this.enc);
    };
    InternalEncoder.prototype.end = function() {
    };
    function InternalEncoderBase64(options2, codec) {
      this.prevStr = "";
    }
    InternalEncoderBase64.prototype.write = function(str) {
      str = this.prevStr + str;
      var completeQuads = str.length - str.length % 4;
      this.prevStr = str.slice(completeQuads);
      str = str.slice(0, completeQuads);
      return Buffer2.from(str, "base64");
    };
    InternalEncoderBase64.prototype.end = function() {
      return Buffer2.from(this.prevStr, "base64");
    };
    function InternalEncoderCesu8(options2, codec) {
    }
    InternalEncoderCesu8.prototype.write = function(str) {
      var buf = Buffer2.alloc(str.length * 3), bufIdx = 0;
      for (var i4 = 0; i4 < str.length; i4++) {
        var charCode = str.charCodeAt(i4);
        if (charCode < 128)
          buf[bufIdx++] = charCode;
        else if (charCode < 2048) {
          buf[bufIdx++] = 192 + (charCode >>> 6);
          buf[bufIdx++] = 128 + (charCode & 63);
        } else {
          buf[bufIdx++] = 224 + (charCode >>> 12);
          buf[bufIdx++] = 128 + (charCode >>> 6 & 63);
          buf[bufIdx++] = 128 + (charCode & 63);
        }
      }
      return buf.slice(0, bufIdx);
    };
    InternalEncoderCesu8.prototype.end = function() {
    };
    function InternalDecoderCesu8(options2, codec) {
      this.acc = 0;
      this.contBytes = 0;
      this.accBytes = 0;
      this.defaultCharUnicode = codec.defaultCharUnicode;
    }
    InternalDecoderCesu8.prototype.write = function(buf) {
      var acc = this.acc, contBytes = this.contBytes, accBytes = this.accBytes, res = "";
      for (var i4 = 0; i4 < buf.length; i4++) {
        var curByte = buf[i4];
        if ((curByte & 192) !== 128) {
          if (contBytes > 0) {
            res += this.defaultCharUnicode;
            contBytes = 0;
          }
          if (curByte < 128) {
            res += String.fromCharCode(curByte);
          } else if (curByte < 224) {
            acc = curByte & 31;
            contBytes = 1;
            accBytes = 1;
          } else if (curByte < 240) {
            acc = curByte & 15;
            contBytes = 2;
            accBytes = 1;
          } else {
            res += this.defaultCharUnicode;
          }
        } else {
          if (contBytes > 0) {
            acc = acc << 6 | curByte & 63;
            contBytes--;
            accBytes++;
            if (contBytes === 0) {
              if (accBytes === 2 && acc < 128 && acc > 0)
                res += this.defaultCharUnicode;
              else if (accBytes === 3 && acc < 2048)
                res += this.defaultCharUnicode;
              else
                res += String.fromCharCode(acc);
            }
          } else {
            res += this.defaultCharUnicode;
          }
        }
      }
      this.acc = acc;
      this.contBytes = contBytes;
      this.accBytes = accBytes;
      return res;
    };
    InternalDecoderCesu8.prototype.end = function() {
      var res = 0;
      if (this.contBytes > 0)
        res += this.defaultCharUnicode;
      return res;
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/utf32.js
var require_utf32 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/utf32.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2._utf32 = Utf32Codec;
    function Utf32Codec(codecOptions, iconv) {
      this.iconv = iconv;
      this.bomAware = true;
      this.isLE = codecOptions.isLE;
    }
    exports2.utf32le = { type: "_utf32", isLE: true };
    exports2.utf32be = { type: "_utf32", isLE: false };
    exports2.ucs4le = "utf32le";
    exports2.ucs4be = "utf32be";
    Utf32Codec.prototype.encoder = Utf32Encoder;
    Utf32Codec.prototype.decoder = Utf32Decoder;
    function Utf32Encoder(options2, codec) {
      this.isLE = codec.isLE;
      this.highSurrogate = 0;
    }
    Utf32Encoder.prototype.write = function(str) {
      var src2 = Buffer2.from(str, "ucs2");
      var dst = Buffer2.alloc(src2.length * 2);
      var write32 = this.isLE ? dst.writeUInt32LE : dst.writeUInt32BE;
      var offset = 0;
      for (var i4 = 0; i4 < src2.length; i4 += 2) {
        var code = src2.readUInt16LE(i4);
        var isHighSurrogate = 55296 <= code && code < 56320;
        var isLowSurrogate = 56320 <= code && code < 57344;
        if (this.highSurrogate) {
          if (isHighSurrogate || !isLowSurrogate) {
            write32.call(dst, this.highSurrogate, offset);
            offset += 4;
          } else {
            var codepoint = (this.highSurrogate - 55296 << 10 | code - 56320) + 65536;
            write32.call(dst, codepoint, offset);
            offset += 4;
            this.highSurrogate = 0;
            continue;
          }
        }
        if (isHighSurrogate)
          this.highSurrogate = code;
        else {
          write32.call(dst, code, offset);
          offset += 4;
          this.highSurrogate = 0;
        }
      }
      if (offset < dst.length)
        dst = dst.slice(0, offset);
      return dst;
    };
    Utf32Encoder.prototype.end = function() {
      if (!this.highSurrogate)
        return;
      var buf = Buffer2.alloc(4);
      if (this.isLE)
        buf.writeUInt32LE(this.highSurrogate, 0);
      else
        buf.writeUInt32BE(this.highSurrogate, 0);
      this.highSurrogate = 0;
      return buf;
    };
    function Utf32Decoder(options2, codec) {
      this.isLE = codec.isLE;
      this.badChar = codec.iconv.defaultCharUnicode.charCodeAt(0);
      this.overflow = [];
    }
    Utf32Decoder.prototype.write = function(src2) {
      if (src2.length === 0)
        return "";
      var i4 = 0;
      var codepoint = 0;
      var dst = Buffer2.alloc(src2.length + 4);
      var offset = 0;
      var isLE = this.isLE;
      var overflow = this.overflow;
      var badChar = this.badChar;
      if (overflow.length > 0) {
        for (; i4 < src2.length && overflow.length < 4; i4++)
          overflow.push(src2[i4]);
        if (overflow.length === 4) {
          if (isLE) {
            codepoint = overflow[i4] | overflow[i4 + 1] << 8 | overflow[i4 + 2] << 16 | overflow[i4 + 3] << 24;
          } else {
            codepoint = overflow[i4 + 3] | overflow[i4 + 2] << 8 | overflow[i4 + 1] << 16 | overflow[i4] << 24;
          }
          overflow.length = 0;
          offset = _writeCodepoint(dst, offset, codepoint, badChar);
        }
      }
      for (; i4 < src2.length - 3; i4 += 4) {
        if (isLE) {
          codepoint = src2[i4] | src2[i4 + 1] << 8 | src2[i4 + 2] << 16 | src2[i4 + 3] << 24;
        } else {
          codepoint = src2[i4 + 3] | src2[i4 + 2] << 8 | src2[i4 + 1] << 16 | src2[i4] << 24;
        }
        offset = _writeCodepoint(dst, offset, codepoint, badChar);
      }
      for (; i4 < src2.length; i4++) {
        overflow.push(src2[i4]);
      }
      return dst.slice(0, offset).toString("ucs2");
    };
    function _writeCodepoint(dst, offset, codepoint, badChar) {
      if (codepoint < 0 || codepoint > 1114111) {
        codepoint = badChar;
      }
      if (codepoint >= 65536) {
        codepoint -= 65536;
        var high = 55296 | codepoint >> 10;
        dst[offset++] = high & 255;
        dst[offset++] = high >> 8;
        var codepoint = 56320 | codepoint & 1023;
      }
      dst[offset++] = codepoint & 255;
      dst[offset++] = codepoint >> 8;
      return offset;
    }
    Utf32Decoder.prototype.end = function() {
      this.overflow.length = 0;
    };
    exports2.utf32 = Utf32AutoCodec;
    exports2.ucs4 = "utf32";
    function Utf32AutoCodec(options2, iconv) {
      this.iconv = iconv;
    }
    Utf32AutoCodec.prototype.encoder = Utf32AutoEncoder;
    Utf32AutoCodec.prototype.decoder = Utf32AutoDecoder;
    function Utf32AutoEncoder(options2, codec) {
      options2 = options2 || {};
      if (options2.addBOM === void 0)
        options2.addBOM = true;
      this.encoder = codec.iconv.getEncoder(options2.defaultEncoding || "utf-32le", options2);
    }
    Utf32AutoEncoder.prototype.write = function(str) {
      return this.encoder.write(str);
    };
    Utf32AutoEncoder.prototype.end = function() {
      return this.encoder.end();
    };
    function Utf32AutoDecoder(options2, codec) {
      this.decoder = null;
      this.initialBufs = [];
      this.initialBufsLen = 0;
      this.options = options2 || {};
      this.iconv = codec.iconv;
    }
    Utf32AutoDecoder.prototype.write = function(buf) {
      if (!this.decoder) {
        this.initialBufs.push(buf);
        this.initialBufsLen += buf.length;
        if (this.initialBufsLen < 32)
          return "";
        var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var resStr = "";
        for (var i4 = 0; i4 < this.initialBufs.length; i4++)
          resStr += this.decoder.write(this.initialBufs[i4]);
        this.initialBufs.length = this.initialBufsLen = 0;
        return resStr;
      }
      return this.decoder.write(buf);
    };
    Utf32AutoDecoder.prototype.end = function() {
      if (!this.decoder) {
        var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var resStr = "";
        for (var i4 = 0; i4 < this.initialBufs.length; i4++)
          resStr += this.decoder.write(this.initialBufs[i4]);
        var trail = this.decoder.end();
        if (trail)
          resStr += trail;
        this.initialBufs.length = this.initialBufsLen = 0;
        return resStr;
      }
      return this.decoder.end();
    };
    function detectEncoding(bufs, defaultEncoding) {
      var b6 = [];
      var charsProcessed = 0;
      var invalidLE = 0, invalidBE = 0;
      var bmpCharsLE = 0, bmpCharsBE = 0;
      outer_loop:
        for (var i4 = 0; i4 < bufs.length; i4++) {
          var buf = bufs[i4];
          for (var j2 = 0; j2 < buf.length; j2++) {
            b6.push(buf[j2]);
            if (b6.length === 4) {
              if (charsProcessed === 0) {
                if (b6[0] === 255 && b6[1] === 254 && b6[2] === 0 && b6[3] === 0) {
                  return "utf-32le";
                }
                if (b6[0] === 0 && b6[1] === 0 && b6[2] === 254 && b6[3] === 255) {
                  return "utf-32be";
                }
              }
              if (b6[0] !== 0 || b6[1] > 16)
                invalidBE++;
              if (b6[3] !== 0 || b6[2] > 16)
                invalidLE++;
              if (b6[0] === 0 && b6[1] === 0 && (b6[2] !== 0 || b6[3] !== 0))
                bmpCharsBE++;
              if ((b6[0] !== 0 || b6[1] !== 0) && b6[2] === 0 && b6[3] === 0)
                bmpCharsLE++;
              b6.length = 0;
              charsProcessed++;
              if (charsProcessed >= 100) {
                break outer_loop;
              }
            }
          }
        }
      if (bmpCharsBE - invalidBE > bmpCharsLE - invalidLE)
        return "utf-32be";
      if (bmpCharsBE - invalidBE < bmpCharsLE - invalidLE)
        return "utf-32le";
      return defaultEncoding || "utf-32le";
    }
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/utf16.js
var require_utf16 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/utf16.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2.utf16be = Utf16BECodec;
    function Utf16BECodec() {
    }
    Utf16BECodec.prototype.encoder = Utf16BEEncoder;
    Utf16BECodec.prototype.decoder = Utf16BEDecoder;
    Utf16BECodec.prototype.bomAware = true;
    function Utf16BEEncoder() {
    }
    Utf16BEEncoder.prototype.write = function(str) {
      var buf = Buffer2.from(str, "ucs2");
      for (var i4 = 0; i4 < buf.length; i4 += 2) {
        var tmp2 = buf[i4];
        buf[i4] = buf[i4 + 1];
        buf[i4 + 1] = tmp2;
      }
      return buf;
    };
    Utf16BEEncoder.prototype.end = function() {
    };
    function Utf16BEDecoder() {
      this.overflowByte = -1;
    }
    Utf16BEDecoder.prototype.write = function(buf) {
      if (buf.length == 0)
        return "";
      var buf2 = Buffer2.alloc(buf.length + 1), i4 = 0, j2 = 0;
      if (this.overflowByte !== -1) {
        buf2[0] = buf[0];
        buf2[1] = this.overflowByte;
        i4 = 1;
        j2 = 2;
      }
      for (; i4 < buf.length - 1; i4 += 2, j2 += 2) {
        buf2[j2] = buf[i4 + 1];
        buf2[j2 + 1] = buf[i4];
      }
      this.overflowByte = i4 == buf.length - 1 ? buf[buf.length - 1] : -1;
      return buf2.slice(0, j2).toString("ucs2");
    };
    Utf16BEDecoder.prototype.end = function() {
      this.overflowByte = -1;
    };
    exports2.utf16 = Utf16Codec;
    function Utf16Codec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf16Codec.prototype.encoder = Utf16Encoder;
    Utf16Codec.prototype.decoder = Utf16Decoder;
    function Utf16Encoder(options2, codec) {
      options2 = options2 || {};
      if (options2.addBOM === void 0)
        options2.addBOM = true;
      this.encoder = codec.iconv.getEncoder("utf-16le", options2);
    }
    Utf16Encoder.prototype.write = function(str) {
      return this.encoder.write(str);
    };
    Utf16Encoder.prototype.end = function() {
      return this.encoder.end();
    };
    function Utf16Decoder(options2, codec) {
      this.decoder = null;
      this.initialBufs = [];
      this.initialBufsLen = 0;
      this.options = options2 || {};
      this.iconv = codec.iconv;
    }
    Utf16Decoder.prototype.write = function(buf) {
      if (!this.decoder) {
        this.initialBufs.push(buf);
        this.initialBufsLen += buf.length;
        if (this.initialBufsLen < 16)
          return "";
        var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var resStr = "";
        for (var i4 = 0; i4 < this.initialBufs.length; i4++)
          resStr += this.decoder.write(this.initialBufs[i4]);
        this.initialBufs.length = this.initialBufsLen = 0;
        return resStr;
      }
      return this.decoder.write(buf);
    };
    Utf16Decoder.prototype.end = function() {
      if (!this.decoder) {
        var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var resStr = "";
        for (var i4 = 0; i4 < this.initialBufs.length; i4++)
          resStr += this.decoder.write(this.initialBufs[i4]);
        var trail = this.decoder.end();
        if (trail)
          resStr += trail;
        this.initialBufs.length = this.initialBufsLen = 0;
        return resStr;
      }
      return this.decoder.end();
    };
    function detectEncoding(bufs, defaultEncoding) {
      var b6 = [];
      var charsProcessed = 0;
      var asciiCharsLE = 0, asciiCharsBE = 0;
      outer_loop:
        for (var i4 = 0; i4 < bufs.length; i4++) {
          var buf = bufs[i4];
          for (var j2 = 0; j2 < buf.length; j2++) {
            b6.push(buf[j2]);
            if (b6.length === 2) {
              if (charsProcessed === 0) {
                if (b6[0] === 255 && b6[1] === 254)
                  return "utf-16le";
                if (b6[0] === 254 && b6[1] === 255)
                  return "utf-16be";
              }
              if (b6[0] === 0 && b6[1] !== 0)
                asciiCharsBE++;
              if (b6[0] !== 0 && b6[1] === 0)
                asciiCharsLE++;
              b6.length = 0;
              charsProcessed++;
              if (charsProcessed >= 100) {
                break outer_loop;
              }
            }
          }
        }
      if (asciiCharsBE > asciiCharsLE)
        return "utf-16be";
      if (asciiCharsBE < asciiCharsLE)
        return "utf-16le";
      return defaultEncoding || "utf-16le";
    }
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/utf7.js
var require_utf7 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/utf7.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2.utf7 = Utf7Codec;
    exports2.unicode11utf7 = "utf7";
    function Utf7Codec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf7Codec.prototype.encoder = Utf7Encoder;
    Utf7Codec.prototype.decoder = Utf7Decoder;
    Utf7Codec.prototype.bomAware = true;
    var nonDirectChars = /[^A-Za-z0-9'\(\),-\.\/:\? \n\r\t]+/g;
    function Utf7Encoder(options2, codec) {
      this.iconv = codec.iconv;
    }
    Utf7Encoder.prototype.write = function(str) {
      return Buffer2.from(str.replace(nonDirectChars, function(chunk) {
        return "+" + (chunk === "+" ? "" : this.iconv.encode(chunk, "utf16-be").toString("base64").replace(/=+$/, "")) + "-";
      }.bind(this)));
    };
    Utf7Encoder.prototype.end = function() {
    };
    function Utf7Decoder(options2, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = "";
    }
    var base64Regex = /[A-Za-z0-9\/+]/;
    var base64Chars = [];
    for (i4 = 0; i4 < 256; i4++)
      base64Chars[i4] = base64Regex.test(String.fromCharCode(i4));
    var i4;
    var plusChar = "+".charCodeAt(0);
    var minusChar = "-".charCodeAt(0);
    var andChar = "&".charCodeAt(0);
    Utf7Decoder.prototype.write = function(buf) {
      var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
      for (var i7 = 0; i7 < buf.length; i7++) {
        if (!inBase64) {
          if (buf[i7] == plusChar) {
            res += this.iconv.decode(buf.slice(lastI, i7), "ascii");
            lastI = i7 + 1;
            inBase64 = true;
          }
        } else {
          if (!base64Chars[buf[i7]]) {
            if (i7 == lastI && buf[i7] == minusChar) {
              res += "+";
            } else {
              var b64str = base64Accum + this.iconv.decode(buf.slice(lastI, i7), "ascii");
              res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
            }
            if (buf[i7] != minusChar)
              i7--;
            lastI = i7 + 1;
            inBase64 = false;
            base64Accum = "";
          }
        }
      }
      if (!inBase64) {
        res += this.iconv.decode(buf.slice(lastI), "ascii");
      } else {
        var b64str = base64Accum + this.iconv.decode(buf.slice(lastI), "ascii");
        var canBeDecoded = b64str.length - b64str.length % 8;
        base64Accum = b64str.slice(canBeDecoded);
        b64str = b64str.slice(0, canBeDecoded);
        res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
      }
      this.inBase64 = inBase64;
      this.base64Accum = base64Accum;
      return res;
    };
    Utf7Decoder.prototype.end = function() {
      var res = "";
      if (this.inBase64 && this.base64Accum.length > 0)
        res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
      this.inBase64 = false;
      this.base64Accum = "";
      return res;
    };
    exports2.utf7imap = Utf7IMAPCodec;
    function Utf7IMAPCodec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf7IMAPCodec.prototype.encoder = Utf7IMAPEncoder;
    Utf7IMAPCodec.prototype.decoder = Utf7IMAPDecoder;
    Utf7IMAPCodec.prototype.bomAware = true;
    function Utf7IMAPEncoder(options2, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = Buffer2.alloc(6);
      this.base64AccumIdx = 0;
    }
    Utf7IMAPEncoder.prototype.write = function(str) {
      var inBase64 = this.inBase64, base64Accum = this.base64Accum, base64AccumIdx = this.base64AccumIdx, buf = Buffer2.alloc(str.length * 5 + 10), bufIdx = 0;
      for (var i7 = 0; i7 < str.length; i7++) {
        var uChar = str.charCodeAt(i7);
        if (32 <= uChar && uChar <= 126) {
          if (inBase64) {
            if (base64AccumIdx > 0) {
              bufIdx += buf.write(base64Accum.slice(0, base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
              base64AccumIdx = 0;
            }
            buf[bufIdx++] = minusChar;
            inBase64 = false;
          }
          if (!inBase64) {
            buf[bufIdx++] = uChar;
            if (uChar === andChar)
              buf[bufIdx++] = minusChar;
          }
        } else {
          if (!inBase64) {
            buf[bufIdx++] = andChar;
            inBase64 = true;
          }
          if (inBase64) {
            base64Accum[base64AccumIdx++] = uChar >> 8;
            base64Accum[base64AccumIdx++] = uChar & 255;
            if (base64AccumIdx == base64Accum.length) {
              bufIdx += buf.write(base64Accum.toString("base64").replace(/\//g, ","), bufIdx);
              base64AccumIdx = 0;
            }
          }
        }
      }
      this.inBase64 = inBase64;
      this.base64AccumIdx = base64AccumIdx;
      return buf.slice(0, bufIdx);
    };
    Utf7IMAPEncoder.prototype.end = function() {
      var buf = Buffer2.alloc(10), bufIdx = 0;
      if (this.inBase64) {
        if (this.base64AccumIdx > 0) {
          bufIdx += buf.write(this.base64Accum.slice(0, this.base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
          this.base64AccumIdx = 0;
        }
        buf[bufIdx++] = minusChar;
        this.inBase64 = false;
      }
      return buf.slice(0, bufIdx);
    };
    function Utf7IMAPDecoder(options2, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = "";
    }
    var base64IMAPChars = base64Chars.slice();
    base64IMAPChars[",".charCodeAt(0)] = true;
    Utf7IMAPDecoder.prototype.write = function(buf) {
      var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
      for (var i7 = 0; i7 < buf.length; i7++) {
        if (!inBase64) {
          if (buf[i7] == andChar) {
            res += this.iconv.decode(buf.slice(lastI, i7), "ascii");
            lastI = i7 + 1;
            inBase64 = true;
          }
        } else {
          if (!base64IMAPChars[buf[i7]]) {
            if (i7 == lastI && buf[i7] == minusChar) {
              res += "&";
            } else {
              var b64str = base64Accum + this.iconv.decode(buf.slice(lastI, i7), "ascii").replace(/,/g, "/");
              res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
            }
            if (buf[i7] != minusChar)
              i7--;
            lastI = i7 + 1;
            inBase64 = false;
            base64Accum = "";
          }
        }
      }
      if (!inBase64) {
        res += this.iconv.decode(buf.slice(lastI), "ascii");
      } else {
        var b64str = base64Accum + this.iconv.decode(buf.slice(lastI), "ascii").replace(/,/g, "/");
        var canBeDecoded = b64str.length - b64str.length % 8;
        base64Accum = b64str.slice(canBeDecoded);
        b64str = b64str.slice(0, canBeDecoded);
        res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
      }
      this.inBase64 = inBase64;
      this.base64Accum = base64Accum;
      return res;
    };
    Utf7IMAPDecoder.prototype.end = function() {
      var res = "";
      if (this.inBase64 && this.base64Accum.length > 0)
        res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
      this.inBase64 = false;
      this.base64Accum = "";
      return res;
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/sbcs-codec.js
var require_sbcs_codec = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/sbcs-codec.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2._sbcs = SBCSCodec;
    function SBCSCodec(codecOptions, iconv) {
      if (!codecOptions)
        throw new Error("SBCS codec is called without the data.");
      if (!codecOptions.chars || codecOptions.chars.length !== 128 && codecOptions.chars.length !== 256)
        throw new Error("Encoding '" + codecOptions.type + "' has incorrect 'chars' (must be of len 128 or 256)");
      if (codecOptions.chars.length === 128) {
        var asciiString = "";
        for (var i4 = 0; i4 < 128; i4++)
          asciiString += String.fromCharCode(i4);
        codecOptions.chars = asciiString + codecOptions.chars;
      }
      this.decodeBuf = Buffer2.from(codecOptions.chars, "ucs2");
      var encodeBuf = Buffer2.alloc(65536, iconv.defaultCharSingleByte.charCodeAt(0));
      for (var i4 = 0; i4 < codecOptions.chars.length; i4++)
        encodeBuf[codecOptions.chars.charCodeAt(i4)] = i4;
      this.encodeBuf = encodeBuf;
    }
    SBCSCodec.prototype.encoder = SBCSEncoder;
    SBCSCodec.prototype.decoder = SBCSDecoder;
    function SBCSEncoder(options2, codec) {
      this.encodeBuf = codec.encodeBuf;
    }
    SBCSEncoder.prototype.write = function(str) {
      var buf = Buffer2.alloc(str.length);
      for (var i4 = 0; i4 < str.length; i4++)
        buf[i4] = this.encodeBuf[str.charCodeAt(i4)];
      return buf;
    };
    SBCSEncoder.prototype.end = function() {
    };
    function SBCSDecoder(options2, codec) {
      this.decodeBuf = codec.decodeBuf;
    }
    SBCSDecoder.prototype.write = function(buf) {
      var decodeBuf = this.decodeBuf;
      var newBuf = Buffer2.alloc(buf.length * 2);
      var idx1 = 0, idx2 = 0;
      for (var i4 = 0; i4 < buf.length; i4++) {
        idx1 = buf[i4] * 2;
        idx2 = i4 * 2;
        newBuf[idx2] = decodeBuf[idx1];
        newBuf[idx2 + 1] = decodeBuf[idx1 + 1];
      }
      return newBuf.toString("ucs2");
    };
    SBCSDecoder.prototype.end = function() {
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/sbcs-data.js
var require_sbcs_data = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/sbcs-data.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      // Not supported by iconv, not sure why.
      "10029": "maccenteuro",
      "maccenteuro": {
        "type": "_sbcs",
        "chars": "\xC4\u0100\u0101\xC9\u0104\xD6\xDC\xE1\u0105\u010C\xE4\u010D\u0106\u0107\xE9\u0179\u017A\u010E\xED\u010F\u0112\u0113\u0116\xF3\u0117\xF4\xF6\xF5\xFA\u011A\u011B\xFC\u2020\xB0\u0118\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\u0119\xA8\u2260\u0123\u012E\u012F\u012A\u2264\u2265\u012B\u0136\u2202\u2211\u0142\u013B\u013C\u013D\u013E\u0139\u013A\u0145\u0146\u0143\xAC\u221A\u0144\u0147\u2206\xAB\xBB\u2026\xA0\u0148\u0150\xD5\u0151\u014C\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\u014D\u0154\u0155\u0158\u2039\u203A\u0159\u0156\u0157\u0160\u201A\u201E\u0161\u015A\u015B\xC1\u0164\u0165\xCD\u017D\u017E\u016A\xD3\xD4\u016B\u016E\xDA\u016F\u0170\u0171\u0172\u0173\xDD\xFD\u0137\u017B\u0141\u017C\u0122\u02C7"
      },
      "808": "cp808",
      "ibm808": "cp808",
      "cp808": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0404\u0454\u0407\u0457\u040E\u045E\xB0\u2219\xB7\u221A\u2116\u20AC\u25A0\xA0"
      },
      "mik": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2514\u2534\u252C\u251C\u2500\u253C\u2563\u2551\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2510\u2591\u2592\u2593\u2502\u2524\u2116\xA7\u2557\u255D\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "cp720": {
        "type": "_sbcs",
        "chars": "\x80\x81\xE9\xE2\x84\xE0\x86\xE7\xEA\xEB\xE8\xEF\xEE\x8D\x8E\x8F\x90\u0651\u0652\xF4\xA4\u0640\xFB\xF9\u0621\u0622\u0623\u0624\xA3\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0636\u0637\u0638\u0639\u063A\u0641\xB5\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u2261\u064B\u064C\u064D\u064E\u064F\u0650\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      // Aliases of generated encodings.
      "ascii8bit": "ascii",
      "usascii": "ascii",
      "ansix34": "ascii",
      "ansix341968": "ascii",
      "ansix341986": "ascii",
      "csascii": "ascii",
      "cp367": "ascii",
      "ibm367": "ascii",
      "isoir6": "ascii",
      "iso646us": "ascii",
      "iso646irv": "ascii",
      "us": "ascii",
      "latin1": "iso88591",
      "latin2": "iso88592",
      "latin3": "iso88593",
      "latin4": "iso88594",
      "latin5": "iso88599",
      "latin6": "iso885910",
      "latin7": "iso885913",
      "latin8": "iso885914",
      "latin9": "iso885915",
      "latin10": "iso885916",
      "csisolatin1": "iso88591",
      "csisolatin2": "iso88592",
      "csisolatin3": "iso88593",
      "csisolatin4": "iso88594",
      "csisolatincyrillic": "iso88595",
      "csisolatinarabic": "iso88596",
      "csisolatingreek": "iso88597",
      "csisolatinhebrew": "iso88598",
      "csisolatin5": "iso88599",
      "csisolatin6": "iso885910",
      "l1": "iso88591",
      "l2": "iso88592",
      "l3": "iso88593",
      "l4": "iso88594",
      "l5": "iso88599",
      "l6": "iso885910",
      "l7": "iso885913",
      "l8": "iso885914",
      "l9": "iso885915",
      "l10": "iso885916",
      "isoir14": "iso646jp",
      "isoir57": "iso646cn",
      "isoir100": "iso88591",
      "isoir101": "iso88592",
      "isoir109": "iso88593",
      "isoir110": "iso88594",
      "isoir144": "iso88595",
      "isoir127": "iso88596",
      "isoir126": "iso88597",
      "isoir138": "iso88598",
      "isoir148": "iso88599",
      "isoir157": "iso885910",
      "isoir166": "tis620",
      "isoir179": "iso885913",
      "isoir199": "iso885914",
      "isoir203": "iso885915",
      "isoir226": "iso885916",
      "cp819": "iso88591",
      "ibm819": "iso88591",
      "cyrillic": "iso88595",
      "arabic": "iso88596",
      "arabic8": "iso88596",
      "ecma114": "iso88596",
      "asmo708": "iso88596",
      "greek": "iso88597",
      "greek8": "iso88597",
      "ecma118": "iso88597",
      "elot928": "iso88597",
      "hebrew": "iso88598",
      "hebrew8": "iso88598",
      "turkish": "iso88599",
      "turkish8": "iso88599",
      "thai": "iso885911",
      "thai8": "iso885911",
      "celtic": "iso885914",
      "celtic8": "iso885914",
      "isoceltic": "iso885914",
      "tis6200": "tis620",
      "tis62025291": "tis620",
      "tis62025330": "tis620",
      "10000": "macroman",
      "10006": "macgreek",
      "10007": "maccyrillic",
      "10079": "maciceland",
      "10081": "macturkish",
      "cspc8codepage437": "cp437",
      "cspc775baltic": "cp775",
      "cspc850multilingual": "cp850",
      "cspcp852": "cp852",
      "cspc862latinhebrew": "cp862",
      "cpgr": "cp869",
      "msee": "cp1250",
      "mscyrl": "cp1251",
      "msansi": "cp1252",
      "msgreek": "cp1253",
      "msturk": "cp1254",
      "mshebr": "cp1255",
      "msarab": "cp1256",
      "winbaltrim": "cp1257",
      "cp20866": "koi8r",
      "20866": "koi8r",
      "ibm878": "koi8r",
      "cskoi8r": "koi8r",
      "cp21866": "koi8u",
      "21866": "koi8u",
      "ibm1168": "koi8u",
      "strk10482002": "rk1048",
      "tcvn5712": "tcvn",
      "tcvn57121": "tcvn",
      "gb198880": "iso646cn",
      "cn": "iso646cn",
      "csiso14jisc6220ro": "iso646jp",
      "jisc62201969ro": "iso646jp",
      "jp": "iso646jp",
      "cshproman8": "hproman8",
      "r8": "hproman8",
      "roman8": "hproman8",
      "xroman8": "hproman8",
      "ibm1051": "hproman8",
      "mac": "macintosh",
      "csmacintosh": "macintosh"
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/sbcs-data-generated.js
var require_sbcs_data_generated = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/sbcs-data-generated.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      "437": "cp437",
      "737": "cp737",
      "775": "cp775",
      "850": "cp850",
      "852": "cp852",
      "855": "cp855",
      "856": "cp856",
      "857": "cp857",
      "858": "cp858",
      "860": "cp860",
      "861": "cp861",
      "862": "cp862",
      "863": "cp863",
      "864": "cp864",
      "865": "cp865",
      "866": "cp866",
      "869": "cp869",
      "874": "windows874",
      "922": "cp922",
      "1046": "cp1046",
      "1124": "cp1124",
      "1125": "cp1125",
      "1129": "cp1129",
      "1133": "cp1133",
      "1161": "cp1161",
      "1162": "cp1162",
      "1163": "cp1163",
      "1250": "windows1250",
      "1251": "windows1251",
      "1252": "windows1252",
      "1253": "windows1253",
      "1254": "windows1254",
      "1255": "windows1255",
      "1256": "windows1256",
      "1257": "windows1257",
      "1258": "windows1258",
      "28591": "iso88591",
      "28592": "iso88592",
      "28593": "iso88593",
      "28594": "iso88594",
      "28595": "iso88595",
      "28596": "iso88596",
      "28597": "iso88597",
      "28598": "iso88598",
      "28599": "iso88599",
      "28600": "iso885910",
      "28601": "iso885911",
      "28603": "iso885913",
      "28604": "iso885914",
      "28605": "iso885915",
      "28606": "iso885916",
      "windows874": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\uFFFD\uFFFD\uFFFD\u2026\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "win874": "windows874",
      "cp874": "windows874",
      "windows1250": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\uFFFD\u201E\u2026\u2020\u2021\uFFFD\u2030\u0160\u2039\u015A\u0164\u017D\u0179\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0161\u203A\u015B\u0165\u017E\u017A\xA0\u02C7\u02D8\u0141\xA4\u0104\xA6\xA7\xA8\xA9\u015E\xAB\xAC\xAD\xAE\u017B\xB0\xB1\u02DB\u0142\xB4\xB5\xB6\xB7\xB8\u0105\u015F\xBB\u013D\u02DD\u013E\u017C\u0154\xC1\xC2\u0102\xC4\u0139\u0106\xC7\u010C\xC9\u0118\xCB\u011A\xCD\xCE\u010E\u0110\u0143\u0147\xD3\xD4\u0150\xD6\xD7\u0158\u016E\xDA\u0170\xDC\xDD\u0162\xDF\u0155\xE1\xE2\u0103\xE4\u013A\u0107\xE7\u010D\xE9\u0119\xEB\u011B\xED\xEE\u010F\u0111\u0144\u0148\xF3\xF4\u0151\xF6\xF7\u0159\u016F\xFA\u0171\xFC\xFD\u0163\u02D9"
      },
      "win1250": "windows1250",
      "cp1250": "windows1250",
      "windows1251": {
        "type": "_sbcs",
        "chars": "\u0402\u0403\u201A\u0453\u201E\u2026\u2020\u2021\u20AC\u2030\u0409\u2039\u040A\u040C\u040B\u040F\u0452\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0459\u203A\u045A\u045C\u045B\u045F\xA0\u040E\u045E\u0408\xA4\u0490\xA6\xA7\u0401\xA9\u0404\xAB\xAC\xAD\xAE\u0407\xB0\xB1\u0406\u0456\u0491\xB5\xB6\xB7\u0451\u2116\u0454\xBB\u0458\u0405\u0455\u0457\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "win1251": "windows1251",
      "cp1251": "windows1251",
      "windows1252": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\uFFFD\u017D\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\uFFFD\u017E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "win1252": "windows1252",
      "cp1252": "windows1252",
      "windows1253": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\uFFFD\u2030\uFFFD\u2039\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\xA0\u0385\u0386\xA3\xA4\xA5\xA6\xA7\xA8\xA9\uFFFD\xAB\xAC\xAD\xAE\u2015\xB0\xB1\xB2\xB3\u0384\xB5\xB6\xB7\u0388\u0389\u038A\xBB\u038C\xBD\u038E\u038F\u0390\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\uFFFD\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03AA\u03AB\u03AC\u03AD\u03AE\u03AF\u03B0\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C2\u03C3\u03C4\u03C5\u03C6\u03C7\u03C8\u03C9\u03CA\u03CB\u03CC\u03CD\u03CE\uFFFD"
      },
      "win1253": "windows1253",
      "cp1253": "windows1253",
      "windows1254": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\uFFFD\uFFFD\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u011E\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u0130\u015E\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u011F\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u0131\u015F\xFF"
      },
      "win1254": "windows1254",
      "cp1254": "windows1254",
      "windows1255": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\uFFFD\u2039\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\xA0\xA1\xA2\xA3\u20AA\xA5\xA6\xA7\xA8\xA9\xD7\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xF7\xBB\xBC\xBD\xBE\xBF\u05B0\u05B1\u05B2\u05B3\u05B4\u05B5\u05B6\u05B7\u05B8\u05B9\u05BA\u05BB\u05BC\u05BD\u05BE\u05BF\u05C0\u05C1\u05C2\u05C3\u05F0\u05F1\u05F2\u05F3\u05F4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\uFFFD\u200E\u200F\uFFFD"
      },
      "win1255": "windows1255",
      "cp1255": "windows1255",
      "windows1256": {
        "type": "_sbcs",
        "chars": "\u20AC\u067E\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0679\u2039\u0152\u0686\u0698\u0688\u06AF\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u06A9\u2122\u0691\u203A\u0153\u200C\u200D\u06BA\xA0\u060C\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\u06BE\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\u061B\xBB\xBC\xBD\xBE\u061F\u06C1\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\xD7\u0637\u0638\u0639\u063A\u0640\u0641\u0642\u0643\xE0\u0644\xE2\u0645\u0646\u0647\u0648\xE7\xE8\xE9\xEA\xEB\u0649\u064A\xEE\xEF\u064B\u064C\u064D\u064E\xF4\u064F\u0650\xF7\u0651\xF9\u0652\xFB\xFC\u200E\u200F\u06D2"
      },
      "win1256": "windows1256",
      "cp1256": "windows1256",
      "windows1257": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\uFFFD\u201E\u2026\u2020\u2021\uFFFD\u2030\uFFFD\u2039\uFFFD\xA8\u02C7\xB8\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\xAF\u02DB\uFFFD\xA0\uFFFD\xA2\xA3\xA4\uFFFD\xA6\xA7\xD8\xA9\u0156\xAB\xAC\xAD\xAE\xC6\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xF8\xB9\u0157\xBB\xBC\xBD\xBE\xE6\u0104\u012E\u0100\u0106\xC4\xC5\u0118\u0112\u010C\xC9\u0179\u0116\u0122\u0136\u012A\u013B\u0160\u0143\u0145\xD3\u014C\xD5\xD6\xD7\u0172\u0141\u015A\u016A\xDC\u017B\u017D\xDF\u0105\u012F\u0101\u0107\xE4\xE5\u0119\u0113\u010D\xE9\u017A\u0117\u0123\u0137\u012B\u013C\u0161\u0144\u0146\xF3\u014D\xF5\xF6\xF7\u0173\u0142\u015B\u016B\xFC\u017C\u017E\u02D9"
      },
      "win1257": "windows1257",
      "cp1257": "windows1257",
      "windows1258": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\uFFFD\u2039\u0152\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\uFFFD\u203A\u0153\uFFFD\uFFFD\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "win1258": "windows1258",
      "cp1258": "windows1258",
      "iso88591": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "cp28591": "iso88591",
      "iso88592": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u02D8\u0141\xA4\u013D\u015A\xA7\xA8\u0160\u015E\u0164\u0179\xAD\u017D\u017B\xB0\u0105\u02DB\u0142\xB4\u013E\u015B\u02C7\xB8\u0161\u015F\u0165\u017A\u02DD\u017E\u017C\u0154\xC1\xC2\u0102\xC4\u0139\u0106\xC7\u010C\xC9\u0118\xCB\u011A\xCD\xCE\u010E\u0110\u0143\u0147\xD3\xD4\u0150\xD6\xD7\u0158\u016E\xDA\u0170\xDC\xDD\u0162\xDF\u0155\xE1\xE2\u0103\xE4\u013A\u0107\xE7\u010D\xE9\u0119\xEB\u011B\xED\xEE\u010F\u0111\u0144\u0148\xF3\xF4\u0151\xF6\xF7\u0159\u016F\xFA\u0171\xFC\xFD\u0163\u02D9"
      },
      "cp28592": "iso88592",
      "iso88593": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0126\u02D8\xA3\xA4\uFFFD\u0124\xA7\xA8\u0130\u015E\u011E\u0134\xAD\uFFFD\u017B\xB0\u0127\xB2\xB3\xB4\xB5\u0125\xB7\xB8\u0131\u015F\u011F\u0135\xBD\uFFFD\u017C\xC0\xC1\xC2\uFFFD\xC4\u010A\u0108\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\uFFFD\xD1\xD2\xD3\xD4\u0120\xD6\xD7\u011C\xD9\xDA\xDB\xDC\u016C\u015C\xDF\xE0\xE1\xE2\uFFFD\xE4\u010B\u0109\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\uFFFD\xF1\xF2\xF3\xF4\u0121\xF6\xF7\u011D\xF9\xFA\xFB\xFC\u016D\u015D\u02D9"
      },
      "cp28593": "iso88593",
      "iso88594": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0138\u0156\xA4\u0128\u013B\xA7\xA8\u0160\u0112\u0122\u0166\xAD\u017D\xAF\xB0\u0105\u02DB\u0157\xB4\u0129\u013C\u02C7\xB8\u0161\u0113\u0123\u0167\u014A\u017E\u014B\u0100\xC1\xC2\xC3\xC4\xC5\xC6\u012E\u010C\xC9\u0118\xCB\u0116\xCD\xCE\u012A\u0110\u0145\u014C\u0136\xD4\xD5\xD6\xD7\xD8\u0172\xDA\xDB\xDC\u0168\u016A\xDF\u0101\xE1\xE2\xE3\xE4\xE5\xE6\u012F\u010D\xE9\u0119\xEB\u0117\xED\xEE\u012B\u0111\u0146\u014D\u0137\xF4\xF5\xF6\xF7\xF8\u0173\xFA\xFB\xFC\u0169\u016B\u02D9"
      },
      "cp28594": "iso88594",
      "iso88595": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0401\u0402\u0403\u0404\u0405\u0406\u0407\u0408\u0409\u040A\u040B\u040C\xAD\u040E\u040F\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2116\u0451\u0452\u0453\u0454\u0455\u0456\u0457\u0458\u0459\u045A\u045B\u045C\xA7\u045E\u045F"
      },
      "cp28595": "iso88595",
      "iso88596": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\uFFFD\uFFFD\xA4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u060C\xAD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u061B\uFFFD\uFFFD\uFFFD\u061F\uFFFD\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u0637\u0638\u0639\u063A\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0640\u0641\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u064B\u064C\u064D\u064E\u064F\u0650\u0651\u0652\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "cp28596": "iso88596",
      "iso88597": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u2018\u2019\xA3\u20AC\u20AF\xA6\xA7\xA8\xA9\u037A\xAB\xAC\xAD\uFFFD\u2015\xB0\xB1\xB2\xB3\u0384\u0385\u0386\xB7\u0388\u0389\u038A\xBB\u038C\xBD\u038E\u038F\u0390\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\uFFFD\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03AA\u03AB\u03AC\u03AD\u03AE\u03AF\u03B0\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C2\u03C3\u03C4\u03C5\u03C6\u03C7\u03C8\u03C9\u03CA\u03CB\u03CC\u03CD\u03CE\uFFFD"
      },
      "cp28597": "iso88597",
      "iso88598": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xD7\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xF7\xBB\xBC\xBD\xBE\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2017\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\uFFFD\u200E\u200F\uFFFD"
      },
      "cp28598": "iso88598",
      "iso88599": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u011E\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u0130\u015E\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u011F\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u0131\u015F\xFF"
      },
      "cp28599": "iso88599",
      "iso885910": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0112\u0122\u012A\u0128\u0136\xA7\u013B\u0110\u0160\u0166\u017D\xAD\u016A\u014A\xB0\u0105\u0113\u0123\u012B\u0129\u0137\xB7\u013C\u0111\u0161\u0167\u017E\u2015\u016B\u014B\u0100\xC1\xC2\xC3\xC4\xC5\xC6\u012E\u010C\xC9\u0118\xCB\u0116\xCD\xCE\xCF\xD0\u0145\u014C\xD3\xD4\xD5\xD6\u0168\xD8\u0172\xDA\xDB\xDC\xDD\xDE\xDF\u0101\xE1\xE2\xE3\xE4\xE5\xE6\u012F\u010D\xE9\u0119\xEB\u0117\xED\xEE\xEF\xF0\u0146\u014D\xF3\xF4\xF5\xF6\u0169\xF8\u0173\xFA\xFB\xFC\xFD\xFE\u0138"
      },
      "cp28600": "iso885910",
      "iso885911": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "cp28601": "iso885911",
      "iso885913": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u201D\xA2\xA3\xA4\u201E\xA6\xA7\xD8\xA9\u0156\xAB\xAC\xAD\xAE\xC6\xB0\xB1\xB2\xB3\u201C\xB5\xB6\xB7\xF8\xB9\u0157\xBB\xBC\xBD\xBE\xE6\u0104\u012E\u0100\u0106\xC4\xC5\u0118\u0112\u010C\xC9\u0179\u0116\u0122\u0136\u012A\u013B\u0160\u0143\u0145\xD3\u014C\xD5\xD6\xD7\u0172\u0141\u015A\u016A\xDC\u017B\u017D\xDF\u0105\u012F\u0101\u0107\xE4\xE5\u0119\u0113\u010D\xE9\u017A\u0117\u0123\u0137\u012B\u013C\u0161\u0144\u0146\xF3\u014D\xF5\xF6\xF7\u0173\u0142\u015B\u016B\xFC\u017C\u017E\u2019"
      },
      "cp28603": "iso885913",
      "iso885914": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u1E02\u1E03\xA3\u010A\u010B\u1E0A\xA7\u1E80\xA9\u1E82\u1E0B\u1EF2\xAD\xAE\u0178\u1E1E\u1E1F\u0120\u0121\u1E40\u1E41\xB6\u1E56\u1E81\u1E57\u1E83\u1E60\u1EF3\u1E84\u1E85\u1E61\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0174\xD1\xD2\xD3\xD4\xD5\xD6\u1E6A\xD8\xD9\xDA\xDB\xDC\xDD\u0176\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0175\xF1\xF2\xF3\xF4\xF5\xF6\u1E6B\xF8\xF9\xFA\xFB\xFC\xFD\u0177\xFF"
      },
      "cp28604": "iso885914",
      "iso885915": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\u20AC\xA5\u0160\xA7\u0161\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u017D\xB5\xB6\xB7\u017E\xB9\xBA\xBB\u0152\u0153\u0178\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "cp28605": "iso885915",
      "iso885916": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0105\u0141\u20AC\u201E\u0160\xA7\u0161\xA9\u0218\xAB\u0179\xAD\u017A\u017B\xB0\xB1\u010C\u0142\u017D\u201D\xB6\xB7\u017E\u010D\u0219\xBB\u0152\u0153\u0178\u017C\xC0\xC1\xC2\u0102\xC4\u0106\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0110\u0143\xD2\xD3\xD4\u0150\xD6\u015A\u0170\xD9\xDA\xDB\xDC\u0118\u021A\xDF\xE0\xE1\xE2\u0103\xE4\u0107\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0111\u0144\xF2\xF3\xF4\u0151\xF6\u015B\u0171\xF9\xFA\xFB\xFC\u0119\u021B\xFF"
      },
      "cp28606": "iso885916",
      "cp437": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xA2\xA3\xA5\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm437": "cp437",
      "csibm437": "cp437",
      "cp737": {
        "type": "_sbcs",
        "chars": "\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C3\u03C2\u03C4\u03C5\u03C6\u03C7\u03C8\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03C9\u03AC\u03AD\u03AE\u03CA\u03AF\u03CC\u03CD\u03CB\u03CE\u0386\u0388\u0389\u038A\u038C\u038E\u038F\xB1\u2265\u2264\u03AA\u03AB\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm737": "cp737",
      "csibm737": "cp737",
      "cp775": {
        "type": "_sbcs",
        "chars": "\u0106\xFC\xE9\u0101\xE4\u0123\xE5\u0107\u0142\u0113\u0156\u0157\u012B\u0179\xC4\xC5\xC9\xE6\xC6\u014D\xF6\u0122\xA2\u015A\u015B\xD6\xDC\xF8\xA3\xD8\xD7\xA4\u0100\u012A\xF3\u017B\u017C\u017A\u201D\xA6\xA9\xAE\xAC\xBD\xBC\u0141\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u0104\u010C\u0118\u0116\u2563\u2551\u2557\u255D\u012E\u0160\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u0172\u016A\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u017D\u0105\u010D\u0119\u0117\u012F\u0161\u0173\u016B\u017E\u2518\u250C\u2588\u2584\u258C\u2590\u2580\xD3\xDF\u014C\u0143\xF5\xD5\xB5\u0144\u0136\u0137\u013B\u013C\u0146\u0112\u0145\u2019\xAD\xB1\u201C\xBE\xB6\xA7\xF7\u201E\xB0\u2219\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm775": "cp775",
      "csibm775": "cp775",
      "cp850": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\xD7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xF0\xD0\xCA\xCB\xC8\u0131\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\xFE\xDE\xDA\xDB\xD9\xFD\xDD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm850": "cp850",
      "csibm850": "cp850",
      "cp852": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\u016F\u0107\xE7\u0142\xEB\u0150\u0151\xEE\u0179\xC4\u0106\xC9\u0139\u013A\xF4\xF6\u013D\u013E\u015A\u015B\xD6\xDC\u0164\u0165\u0141\xD7\u010D\xE1\xED\xF3\xFA\u0104\u0105\u017D\u017E\u0118\u0119\xAC\u017A\u010C\u015F\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\u011A\u015E\u2563\u2551\u2557\u255D\u017B\u017C\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u0102\u0103\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\u0111\u0110\u010E\xCB\u010F\u0147\xCD\xCE\u011B\u2518\u250C\u2588\u2584\u0162\u016E\u2580\xD3\xDF\xD4\u0143\u0144\u0148\u0160\u0161\u0154\xDA\u0155\u0170\xFD\xDD\u0163\xB4\xAD\u02DD\u02DB\u02C7\u02D8\xA7\xF7\xB8\xB0\xA8\u02D9\u0171\u0158\u0159\u25A0\xA0"
      },
      "ibm852": "cp852",
      "csibm852": "cp852",
      "cp855": {
        "type": "_sbcs",
        "chars": "\u0452\u0402\u0453\u0403\u0451\u0401\u0454\u0404\u0455\u0405\u0456\u0406\u0457\u0407\u0458\u0408\u0459\u0409\u045A\u040A\u045B\u040B\u045C\u040C\u045E\u040E\u045F\u040F\u044E\u042E\u044A\u042A\u0430\u0410\u0431\u0411\u0446\u0426\u0434\u0414\u0435\u0415\u0444\u0424\u0433\u0413\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u0445\u0425\u0438\u0418\u2563\u2551\u2557\u255D\u0439\u0419\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u043A\u041A\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\u043B\u041B\u043C\u041C\u043D\u041D\u043E\u041E\u043F\u2518\u250C\u2588\u2584\u041F\u044F\u2580\u042F\u0440\u0420\u0441\u0421\u0442\u0422\u0443\u0423\u0436\u0416\u0432\u0412\u044C\u042C\u2116\xAD\u044B\u042B\u0437\u0417\u0448\u0428\u044D\u042D\u0449\u0429\u0447\u0427\xA7\u25A0\xA0"
      },
      "ibm855": "cp855",
      "csibm855": "cp855",
      "cp856": {
        "type": "_sbcs",
        "chars": "\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\xA3\uFFFD\xD7\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xAE\xAC\xBD\xBC\uFFFD\xAB\xBB\u2591\u2592\u2593\u2502\u2524\uFFFD\uFFFD\uFFFD\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\uFFFD\uFFFD\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2518\u250C\u2588\u2584\xA6\uFFFD\u2580\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xB5\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm856": "cp856",
      "csibm856": "cp856",
      "cp857": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\u0131\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\u0130\xD6\xDC\xF8\xA3\xD8\u015E\u015F\xE1\xED\xF3\xFA\xF1\xD1\u011E\u011F\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xBA\xAA\xCA\xCB\xC8\uFFFD\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\uFFFD\xD7\xDA\xDB\xD9\xEC\xFF\xAF\xB4\xAD\xB1\uFFFD\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm857": "cp857",
      "csibm857": "cp857",
      "cp858": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\xD7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xF0\xD0\xCA\xCB\xC8\u20AC\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\xFE\xDE\xDA\xDB\xD9\xFD\xDD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm858": "cp858",
      "csibm858": "cp858",
      "cp860": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE3\xE0\xC1\xE7\xEA\xCA\xE8\xCD\xD4\xEC\xC3\xC2\xC9\xC0\xC8\xF4\xF5\xF2\xDA\xF9\xCC\xD5\xDC\xA2\xA3\xD9\u20A7\xD3\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xD2\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm860": "cp860",
      "csibm860": "cp860",
      "cp861": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xD0\xF0\xDE\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xFE\xFB\xDD\xFD\xD6\xDC\xF8\xA3\xD8\u20A7\u0192\xE1\xED\xF3\xFA\xC1\xCD\xD3\xDA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm861": "cp861",
      "csibm861": "cp861",
      "cp862": {
        "type": "_sbcs",
        "chars": "\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\xA2\xA3\xA5\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm862": "cp862",
      "csibm862": "cp862",
      "cp863": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xC2\xE0\xB6\xE7\xEA\xEB\xE8\xEF\xEE\u2017\xC0\xA7\xC9\xC8\xCA\xF4\xCB\xCF\xFB\xF9\xA4\xD4\xDC\xA2\xA3\xD9\xDB\u0192\xA6\xB4\xF3\xFA\xA8\xB8\xB3\xAF\xCE\u2310\xAC\xBD\xBC\xBE\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm863": "cp863",
      "csibm863": "cp863",
      "cp864": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#$\u066A&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\xB0\xB7\u2219\u221A\u2592\u2500\u2502\u253C\u2524\u252C\u251C\u2534\u2510\u250C\u2514\u2518\u03B2\u221E\u03C6\xB1\xBD\xBC\u2248\xAB\xBB\uFEF7\uFEF8\uFFFD\uFFFD\uFEFB\uFEFC\uFFFD\xA0\xAD\uFE82\xA3\xA4\uFE84\uFFFD\uFFFD\uFE8E\uFE8F\uFE95\uFE99\u060C\uFE9D\uFEA1\uFEA5\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669\uFED1\u061B\uFEB1\uFEB5\uFEB9\u061F\xA2\uFE80\uFE81\uFE83\uFE85\uFECA\uFE8B\uFE8D\uFE91\uFE93\uFE97\uFE9B\uFE9F\uFEA3\uFEA7\uFEA9\uFEAB\uFEAD\uFEAF\uFEB3\uFEB7\uFEBB\uFEBF\uFEC1\uFEC5\uFECB\uFECF\xA6\xAC\xF7\xD7\uFEC9\u0640\uFED3\uFED7\uFEDB\uFEDF\uFEE3\uFEE7\uFEEB\uFEED\uFEEF\uFEF3\uFEBD\uFECC\uFECE\uFECD\uFEE1\uFE7D\u0651\uFEE5\uFEE9\uFEEC\uFEF0\uFEF2\uFED0\uFED5\uFEF5\uFEF6\uFEDD\uFED9\uFEF1\u25A0\uFFFD"
      },
      "ibm864": "cp864",
      "csibm864": "cp864",
      "cp865": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xA4\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm865": "cp865",
      "csibm865": "cp865",
      "cp866": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0404\u0454\u0407\u0457\u040E\u045E\xB0\u2219\xB7\u221A\u2116\xA4\u25A0\xA0"
      },
      "ibm866": "cp866",
      "csibm866": "cp866",
      "cp869": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0386\uFFFD\xB7\xAC\xA6\u2018\u2019\u0388\u2015\u0389\u038A\u03AA\u038C\uFFFD\uFFFD\u038E\u03AB\xA9\u038F\xB2\xB3\u03AC\xA3\u03AD\u03AE\u03AF\u03CA\u0390\u03CC\u03CD\u0391\u0392\u0393\u0394\u0395\u0396\u0397\xBD\u0398\u0399\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u039A\u039B\u039C\u039D\u2563\u2551\u2557\u255D\u039E\u039F\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u03A0\u03A1\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03B1\u03B2\u03B3\u2518\u250C\u2588\u2584\u03B4\u03B5\u2580\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C3\u03C2\u03C4\u0384\xAD\xB1\u03C5\u03C6\u03C7\xA7\u03C8\u0385\xB0\xA8\u03C9\u03CB\u03B0\u03CE\u25A0\xA0"
      },
      "ibm869": "cp869",
      "csibm869": "cp869",
      "cp922": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\u203E\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0160\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\u017D\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0161\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\u017E\xFF"
      },
      "ibm922": "cp922",
      "csibm922": "cp922",
      "cp1046": {
        "type": "_sbcs",
        "chars": "\uFE88\xD7\xF7\uF8F6\uF8F5\uF8F4\uF8F7\uFE71\x88\u25A0\u2502\u2500\u2510\u250C\u2514\u2518\uFE79\uFE7B\uFE7D\uFE7F\uFE77\uFE8A\uFEF0\uFEF3\uFEF2\uFECE\uFECF\uFED0\uFEF6\uFEF8\uFEFA\uFEFC\xA0\uF8FA\uF8F9\uF8F8\xA4\uF8FB\uFE8B\uFE91\uFE97\uFE9B\uFE9F\uFEA3\u060C\xAD\uFEA7\uFEB3\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669\uFEB7\u061B\uFEBB\uFEBF\uFECA\u061F\uFECB\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u0637\uFEC7\u0639\u063A\uFECC\uFE82\uFE84\uFE8E\uFED3\u0640\u0641\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u064B\u064C\u064D\u064E\u064F\u0650\u0651\u0652\uFED7\uFEDB\uFEDF\uF8FC\uFEF5\uFEF7\uFEF9\uFEFB\uFEE3\uFEE7\uFEEC\uFEE9\uFFFD"
      },
      "ibm1046": "cp1046",
      "csibm1046": "cp1046",
      "cp1124": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0401\u0402\u0490\u0404\u0405\u0406\u0407\u0408\u0409\u040A\u040B\u040C\xAD\u040E\u040F\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2116\u0451\u0452\u0491\u0454\u0455\u0456\u0457\u0458\u0459\u045A\u045B\u045C\xA7\u045E\u045F"
      },
      "ibm1124": "cp1124",
      "csibm1124": "cp1124",
      "cp1125": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0490\u0491\u0404\u0454\u0406\u0456\u0407\u0457\xB7\u221A\u2116\xA4\u25A0\xA0"
      },
      "ibm1125": "cp1125",
      "csibm1125": "cp1125",
      "cp1129": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\u0153\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u0178\xB5\xB6\xB7\u0152\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "ibm1129": "cp1129",
      "csibm1129": "cp1129",
      "cp1133": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E81\u0E82\u0E84\u0E87\u0E88\u0EAA\u0E8A\u0E8D\u0E94\u0E95\u0E96\u0E97\u0E99\u0E9A\u0E9B\u0E9C\u0E9D\u0E9E\u0E9F\u0EA1\u0EA2\u0EA3\u0EA5\u0EA7\u0EAB\u0EAD\u0EAE\uFFFD\uFFFD\uFFFD\u0EAF\u0EB0\u0EB2\u0EB3\u0EB4\u0EB5\u0EB6\u0EB7\u0EB8\u0EB9\u0EBC\u0EB1\u0EBB\u0EBD\uFFFD\uFFFD\uFFFD\u0EC0\u0EC1\u0EC2\u0EC3\u0EC4\u0EC8\u0EC9\u0ECA\u0ECB\u0ECC\u0ECD\u0EC6\uFFFD\u0EDC\u0EDD\u20AD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0ED0\u0ED1\u0ED2\u0ED3\u0ED4\u0ED5\u0ED6\u0ED7\u0ED8\u0ED9\uFFFD\uFFFD\xA2\xAC\xA6\uFFFD"
      },
      "ibm1133": "cp1133",
      "csibm1133": "cp1133",
      "cp1161": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0E48\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\u0E49\u0E4A\u0E4B\u20AC\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\xA2\xAC\xA6\xA0"
      },
      "ibm1161": "cp1161",
      "csibm1161": "cp1161",
      "cp1162": {
        "type": "_sbcs",
        "chars": "\u20AC\x81\x82\x83\x84\u2026\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "ibm1162": "cp1162",
      "csibm1162": "cp1162",
      "cp1163": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\u20AC\xA5\xA6\xA7\u0153\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u0178\xB5\xB6\xB7\u0152\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "ibm1163": "cp1163",
      "csibm1163": "cp1163",
      "maccroatian": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\u0160\u2122\xB4\xA8\u2260\u017D\xD8\u221E\xB1\u2264\u2265\u2206\xB5\u2202\u2211\u220F\u0161\u222B\xAA\xBA\u2126\u017E\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u0106\xAB\u010C\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u0110\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\uFFFD\xA9\u2044\xA4\u2039\u203A\xC6\xBB\u2013\xB7\u201A\u201E\u2030\xC2\u0107\xC1\u010D\xC8\xCD\xCE\xCF\xCC\xD3\xD4\u0111\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u03C0\xCB\u02DA\xB8\xCA\xE6\u02C7"
      },
      "maccyrillic": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u2020\xB0\xA2\xA3\xA7\u2022\xB6\u0406\xAE\xA9\u2122\u0402\u0452\u2260\u0403\u0453\u221E\xB1\u2264\u2265\u0456\xB5\u2202\u0408\u0404\u0454\u0407\u0457\u0409\u0459\u040A\u045A\u0458\u0405\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\u040B\u045B\u040C\u045C\u0455\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u201E\u040E\u045E\u040F\u045F\u2116\u0401\u0451\u044F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\xA4"
      },
      "macgreek": {
        "type": "_sbcs",
        "chars": "\xC4\xB9\xB2\xC9\xB3\xD6\xDC\u0385\xE0\xE2\xE4\u0384\xA8\xE7\xE9\xE8\xEA\xEB\xA3\u2122\xEE\xEF\u2022\xBD\u2030\xF4\xF6\xA6\xAD\xF9\xFB\xFC\u2020\u0393\u0394\u0398\u039B\u039E\u03A0\xDF\xAE\xA9\u03A3\u03AA\xA7\u2260\xB0\u0387\u0391\xB1\u2264\u2265\xA5\u0392\u0395\u0396\u0397\u0399\u039A\u039C\u03A6\u03AB\u03A8\u03A9\u03AC\u039D\xAC\u039F\u03A1\u2248\u03A4\xAB\xBB\u2026\xA0\u03A5\u03A7\u0386\u0388\u0153\u2013\u2015\u201C\u201D\u2018\u2019\xF7\u0389\u038A\u038C\u038E\u03AD\u03AE\u03AF\u03CC\u038F\u03CD\u03B1\u03B2\u03C8\u03B4\u03B5\u03C6\u03B3\u03B7\u03B9\u03BE\u03BA\u03BB\u03BC\u03BD\u03BF\u03C0\u03CE\u03C1\u03C3\u03C4\u03B8\u03C9\u03C2\u03C7\u03C5\u03B6\u03CA\u03CB\u0390\u03B0\uFFFD"
      },
      "maciceland": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\xDD\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\xD0\xF0\xDE\xFE\xFD\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macroman": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\uFB01\uFB02\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macromania": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\u0102\u015E\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\u0103\u015F\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\u0162\u0163\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macthai": {
        "type": "_sbcs",
        "chars": "\xAB\xBB\u2026\uF88C\uF88F\uF892\uF895\uF898\uF88B\uF88E\uF891\uF894\uF897\u201C\u201D\uF899\uFFFD\u2022\uF884\uF889\uF885\uF886\uF887\uF888\uF88A\uF88D\uF890\uF893\uF896\u2018\u2019\uFFFD\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFEFF\u200B\u2013\u2014\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u2122\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\xAE\xA9\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "macturkish": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u011E\u011F\u0130\u0131\u015E\u015F\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\uFFFD\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macukraine": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u2020\xB0\u0490\xA3\xA7\u2022\xB6\u0406\xAE\xA9\u2122\u0402\u0452\u2260\u0403\u0453\u221E\xB1\u2264\u2265\u0456\xB5\u0491\u0408\u0404\u0454\u0407\u0457\u0409\u0459\u040A\u045A\u0458\u0405\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\u040B\u045B\u040C\u045C\u0455\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u201E\u040E\u045E\u040F\u045F\u2116\u0401\u0451\u044F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\xA4"
      },
      "koi8r": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u2553\u2554\u2555\u2556\u2557\u2558\u2559\u255A\u255B\u255C\u255D\u255E\u255F\u2560\u2561\u0401\u2562\u2563\u2564\u2565\u2566\u2567\u2568\u2569\u256A\u256B\u256C\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8u": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u0454\u2554\u0456\u0457\u2557\u2558\u2559\u255A\u255B\u0491\u255D\u255E\u255F\u2560\u2561\u0401\u0404\u2563\u0406\u0407\u2566\u2567\u2568\u2569\u256A\u0490\u256C\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8ru": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u0454\u2554\u0456\u0457\u2557\u2558\u2559\u255A\u255B\u0491\u045E\u255E\u255F\u2560\u2561\u0401\u0404\u2563\u0406\u0407\u2566\u2567\u2568\u2569\u256A\u0490\u040E\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8t": {
        "type": "_sbcs",
        "chars": "\u049B\u0493\u201A\u0492\u201E\u2026\u2020\u2021\uFFFD\u2030\u04B3\u2039\u04B2\u04B7\u04B6\uFFFD\u049A\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u04EF\u04EE\u0451\xA4\u04E3\xA6\xA7\uFFFD\uFFFD\uFFFD\xAB\xAC\xAD\xAE\uFFFD\xB0\xB1\xB2\u0401\uFFFD\u04E2\xB6\xB7\uFFFD\u2116\uFFFD\xBB\uFFFD\uFFFD\uFFFD\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "armscii8": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\u0587\u0589)(\xBB\xAB\u2014.\u055D,-\u058A\u2026\u055C\u055B\u055E\u0531\u0561\u0532\u0562\u0533\u0563\u0534\u0564\u0535\u0565\u0536\u0566\u0537\u0567\u0538\u0568\u0539\u0569\u053A\u056A\u053B\u056B\u053C\u056C\u053D\u056D\u053E\u056E\u053F\u056F\u0540\u0570\u0541\u0571\u0542\u0572\u0543\u0573\u0544\u0574\u0545\u0575\u0546\u0576\u0547\u0577\u0548\u0578\u0549\u0579\u054A\u057A\u054B\u057B\u054C\u057C\u054D\u057D\u054E\u057E\u054F\u057F\u0550\u0580\u0551\u0581\u0552\u0582\u0553\u0583\u0554\u0584\u0555\u0585\u0556\u0586\u055A\uFFFD"
      },
      "rk1048": {
        "type": "_sbcs",
        "chars": "\u0402\u0403\u201A\u0453\u201E\u2026\u2020\u2021\u20AC\u2030\u0409\u2039\u040A\u049A\u04BA\u040F\u0452\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0459\u203A\u045A\u049B\u04BB\u045F\xA0\u04B0\u04B1\u04D8\xA4\u04E8\xA6\xA7\u0401\xA9\u0492\xAB\xAC\xAD\xAE\u04AE\xB0\xB1\u0406\u0456\u04E9\xB5\xB6\xB7\u0451\u2116\u0493\xBB\u04D9\u04A2\u04A3\u04AF\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "tcvn": {
        "type": "_sbcs",
        "chars": "\0\xDA\u1EE4\u1EEA\u1EEC\u1EEE\x07\b	\n\v\f\r\u1EE8\u1EF0\u1EF2\u1EF6\u1EF8\xDD\u1EF4\x1B !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\xC0\u1EA2\xC3\xC1\u1EA0\u1EB6\u1EAC\xC8\u1EBA\u1EBC\xC9\u1EB8\u1EC6\xCC\u1EC8\u0128\xCD\u1ECA\xD2\u1ECE\xD5\xD3\u1ECC\u1ED8\u1EDC\u1EDE\u1EE0\u1EDA\u1EE2\xD9\u1EE6\u0168\xA0\u0102\xC2\xCA\xD4\u01A0\u01AF\u0110\u0103\xE2\xEA\xF4\u01A1\u01B0\u0111\u1EB0\u0300\u0309\u0303\u0301\u0323\xE0\u1EA3\xE3\xE1\u1EA1\u1EB2\u1EB1\u1EB3\u1EB5\u1EAF\u1EB4\u1EAE\u1EA6\u1EA8\u1EAA\u1EA4\u1EC0\u1EB7\u1EA7\u1EA9\u1EAB\u1EA5\u1EAD\xE8\u1EC2\u1EBB\u1EBD\xE9\u1EB9\u1EC1\u1EC3\u1EC5\u1EBF\u1EC7\xEC\u1EC9\u1EC4\u1EBE\u1ED2\u0129\xED\u1ECB\xF2\u1ED4\u1ECF\xF5\xF3\u1ECD\u1ED3\u1ED5\u1ED7\u1ED1\u1ED9\u1EDD\u1EDF\u1EE1\u1EDB\u1EE3\xF9\u1ED6\u1EE7\u0169\xFA\u1EE5\u1EEB\u1EED\u1EEF\u1EE9\u1EF1\u1EF3\u1EF7\u1EF9\xFD\u1EF5\u1ED0"
      },
      "georgianacademy": {
        "type": "_sbcs",
        "chars": "\x80\x81\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\x9D\x9E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\u10D0\u10D1\u10D2\u10D3\u10D4\u10D5\u10D6\u10D7\u10D8\u10D9\u10DA\u10DB\u10DC\u10DD\u10DE\u10DF\u10E0\u10E1\u10E2\u10E3\u10E4\u10E5\u10E6\u10E7\u10E8\u10E9\u10EA\u10EB\u10EC\u10ED\u10EE\u10EF\u10F0\u10F1\u10F2\u10F3\u10F4\u10F5\u10F6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "georgianps": {
        "type": "_sbcs",
        "chars": "\x80\x81\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\x9D\x9E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\u10D0\u10D1\u10D2\u10D3\u10D4\u10D5\u10D6\u10F1\u10D7\u10D8\u10D9\u10DA\u10DB\u10DC\u10F2\u10DD\u10DE\u10DF\u10E0\u10E1\u10E2\u10F3\u10E3\u10E4\u10E5\u10E6\u10E7\u10E8\u10E9\u10EA\u10EB\u10EC\u10ED\u10EE\u10F4\u10EF\u10F0\u10F5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "pt154": {
        "type": "_sbcs",
        "chars": "\u0496\u0492\u04EE\u0493\u201E\u2026\u04B6\u04AE\u04B2\u04AF\u04A0\u04E2\u04A2\u049A\u04BA\u04B8\u0497\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u04B3\u04B7\u04A1\u04E3\u04A3\u049B\u04BB\u04B9\xA0\u040E\u045E\u0408\u04E8\u0498\u04B0\xA7\u0401\xA9\u04D8\xAB\xAC\u04EF\xAE\u049C\xB0\u04B1\u0406\u0456\u0499\u04E9\xB6\xB7\u0451\u2116\u04D9\xBB\u0458\u04AA\u04AB\u049D\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "viscii": {
        "type": "_sbcs",
        "chars": "\0\u1EB2\u1EB4\u1EAA\x07\b	\n\v\f\r\u1EF6\u1EF8\x1B\u1EF4 !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\u1EA0\u1EAE\u1EB0\u1EB6\u1EA4\u1EA6\u1EA8\u1EAC\u1EBC\u1EB8\u1EBE\u1EC0\u1EC2\u1EC4\u1EC6\u1ED0\u1ED2\u1ED4\u1ED6\u1ED8\u1EE2\u1EDA\u1EDC\u1EDE\u1ECA\u1ECE\u1ECC\u1EC8\u1EE6\u0168\u1EE4\u1EF2\xD5\u1EAF\u1EB1\u1EB7\u1EA5\u1EA7\u1EA9\u1EAD\u1EBD\u1EB9\u1EBF\u1EC1\u1EC3\u1EC5\u1EC7\u1ED1\u1ED3\u1ED5\u1ED7\u1EE0\u01A0\u1ED9\u1EDD\u1EDF\u1ECB\u1EF0\u1EE8\u1EEA\u1EEC\u01A1\u1EDB\u01AF\xC0\xC1\xC2\xC3\u1EA2\u0102\u1EB3\u1EB5\xC8\xC9\xCA\u1EBA\xCC\xCD\u0128\u1EF3\u0110\u1EE9\xD2\xD3\xD4\u1EA1\u1EF7\u1EEB\u1EED\xD9\xDA\u1EF9\u1EF5\xDD\u1EE1\u01B0\xE0\xE1\xE2\xE3\u1EA3\u0103\u1EEF\u1EAB\xE8\xE9\xEA\u1EBB\xEC\xED\u0129\u1EC9\u0111\u1EF1\xF2\xF3\xF4\xF5\u1ECF\u1ECD\u1EE5\xF9\xFA\u0169\u1EE7\xFD\u1EE3\u1EEE"
      },
      "iso646cn": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#\xA5%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}\u203E\x7F\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "iso646jp": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\xA5]^_`abcdefghijklmnopqrstuvwxyz{|}\u203E\x7F\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "hproman8": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xC0\xC2\xC8\xCA\xCB\xCE\xCF\xB4\u02CB\u02C6\xA8\u02DC\xD9\xDB\u20A4\xAF\xDD\xFD\xB0\xC7\xE7\xD1\xF1\xA1\xBF\xA4\xA3\xA5\xA7\u0192\xA2\xE2\xEA\xF4\xFB\xE1\xE9\xF3\xFA\xE0\xE8\xF2\xF9\xE4\xEB\xF6\xFC\xC5\xEE\xD8\xC6\xE5\xED\xF8\xE6\xC4\xEC\xD6\xDC\xC9\xEF\xDF\xD4\xC1\xC3\xE3\xD0\xF0\xCD\xCC\xD3\xD2\xD5\xF5\u0160\u0161\xDA\u0178\xFF\xDE\xFE\xB7\xB5\xB6\xBE\u2014\xBC\xBD\xAA\xBA\xAB\u25A0\xBB\xB1\uFFFD"
      },
      "macintosh": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\uFB01\uFB02\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "ascii": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "tis620": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      }
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/dbcs-codec.js
var require_dbcs_codec = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/dbcs-codec.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2._dbcs = DBCSCodec;
    var UNASSIGNED = -1;
    var GB18030_CODE = -2;
    var SEQ_START = -10;
    var NODE_START = -1e3;
    var UNASSIGNED_NODE = new Array(256);
    var DEF_CHAR = -1;
    for (i4 = 0; i4 < 256; i4++)
      UNASSIGNED_NODE[i4] = UNASSIGNED;
    var i4;
    function DBCSCodec(codecOptions, iconv) {
      this.encodingName = codecOptions.encodingName;
      if (!codecOptions)
        throw new Error("DBCS codec is called without the data.");
      if (!codecOptions.table)
        throw new Error("Encoding '" + this.encodingName + "' has no data.");
      var mappingTable = codecOptions.table();
      this.decodeTables = [];
      this.decodeTables[0] = UNASSIGNED_NODE.slice(0);
      this.decodeTableSeq = [];
      for (var i7 = 0; i7 < mappingTable.length; i7++)
        this._addDecodeChunk(mappingTable[i7]);
      if (typeof codecOptions.gb18030 === "function") {
        this.gb18030 = codecOptions.gb18030();
        var commonThirdByteNodeIdx = this.decodeTables.length;
        this.decodeTables.push(UNASSIGNED_NODE.slice(0));
        var commonFourthByteNodeIdx = this.decodeTables.length;
        this.decodeTables.push(UNASSIGNED_NODE.slice(0));
        var firstByteNode = this.decodeTables[0];
        for (var i7 = 129; i7 <= 254; i7++) {
          var secondByteNode = this.decodeTables[NODE_START - firstByteNode[i7]];
          for (var j2 = 48; j2 <= 57; j2++) {
            if (secondByteNode[j2] === UNASSIGNED) {
              secondByteNode[j2] = NODE_START - commonThirdByteNodeIdx;
            } else if (secondByteNode[j2] > NODE_START) {
              throw new Error("gb18030 decode tables conflict at byte 2");
            }
            var thirdByteNode = this.decodeTables[NODE_START - secondByteNode[j2]];
            for (var k = 129; k <= 254; k++) {
              if (thirdByteNode[k] === UNASSIGNED) {
                thirdByteNode[k] = NODE_START - commonFourthByteNodeIdx;
              } else if (thirdByteNode[k] === NODE_START - commonFourthByteNodeIdx) {
                continue;
              } else if (thirdByteNode[k] > NODE_START) {
                throw new Error("gb18030 decode tables conflict at byte 3");
              }
              var fourthByteNode = this.decodeTables[NODE_START - thirdByteNode[k]];
              for (var l2 = 48; l2 <= 57; l2++) {
                if (fourthByteNode[l2] === UNASSIGNED)
                  fourthByteNode[l2] = GB18030_CODE;
              }
            }
          }
        }
      }
      this.defaultCharUnicode = iconv.defaultCharUnicode;
      this.encodeTable = [];
      this.encodeTableSeq = [];
      var skipEncodeChars = {};
      if (codecOptions.encodeSkipVals)
        for (var i7 = 0; i7 < codecOptions.encodeSkipVals.length; i7++) {
          var val = codecOptions.encodeSkipVals[i7];
          if (typeof val === "number")
            skipEncodeChars[val] = true;
          else
            for (var j2 = val.from; j2 <= val.to; j2++)
              skipEncodeChars[j2] = true;
        }
      this._fillEncodeTable(0, 0, skipEncodeChars);
      if (codecOptions.encodeAdd) {
        for (var uChar in codecOptions.encodeAdd)
          if (Object.prototype.hasOwnProperty.call(codecOptions.encodeAdd, uChar))
            this._setEncodeChar(uChar.charCodeAt(0), codecOptions.encodeAdd[uChar]);
      }
      this.defCharSB = this.encodeTable[0][iconv.defaultCharSingleByte.charCodeAt(0)];
      if (this.defCharSB === UNASSIGNED)
        this.defCharSB = this.encodeTable[0]["?"];
      if (this.defCharSB === UNASSIGNED)
        this.defCharSB = "?".charCodeAt(0);
    }
    DBCSCodec.prototype.encoder = DBCSEncoder;
    DBCSCodec.prototype.decoder = DBCSDecoder;
    DBCSCodec.prototype._getDecodeTrieNode = function(addr) {
      var bytes = [];
      for (; addr > 0; addr >>>= 8)
        bytes.push(addr & 255);
      if (bytes.length == 0)
        bytes.push(0);
      var node = this.decodeTables[0];
      for (var i7 = bytes.length - 1; i7 > 0; i7--) {
        var val = node[bytes[i7]];
        if (val == UNASSIGNED) {
          node[bytes[i7]] = NODE_START - this.decodeTables.length;
          this.decodeTables.push(node = UNASSIGNED_NODE.slice(0));
        } else if (val <= NODE_START) {
          node = this.decodeTables[NODE_START - val];
        } else
          throw new Error("Overwrite byte in " + this.encodingName + ", addr: " + addr.toString(16));
      }
      return node;
    };
    DBCSCodec.prototype._addDecodeChunk = function(chunk) {
      var curAddr = parseInt(chunk[0], 16);
      var writeTable = this._getDecodeTrieNode(curAddr);
      curAddr = curAddr & 255;
      for (var k = 1; k < chunk.length; k++) {
        var part = chunk[k];
        if (typeof part === "string") {
          for (var l2 = 0; l2 < part.length; ) {
            var code = part.charCodeAt(l2++);
            if (55296 <= code && code < 56320) {
              var codeTrail = part.charCodeAt(l2++);
              if (56320 <= codeTrail && codeTrail < 57344)
                writeTable[curAddr++] = 65536 + (code - 55296) * 1024 + (codeTrail - 56320);
              else
                throw new Error("Incorrect surrogate pair in " + this.encodingName + " at chunk " + chunk[0]);
            } else if (4080 < code && code <= 4095) {
              var len = 4095 - code + 2;
              var seq2 = [];
              for (var m3 = 0; m3 < len; m3++)
                seq2.push(part.charCodeAt(l2++));
              writeTable[curAddr++] = SEQ_START - this.decodeTableSeq.length;
              this.decodeTableSeq.push(seq2);
            } else
              writeTable[curAddr++] = code;
          }
        } else if (typeof part === "number") {
          var charCode = writeTable[curAddr - 1] + 1;
          for (var l2 = 0; l2 < part; l2++)
            writeTable[curAddr++] = charCode++;
        } else
          throw new Error("Incorrect type '" + typeof part + "' given in " + this.encodingName + " at chunk " + chunk[0]);
      }
      if (curAddr > 255)
        throw new Error("Incorrect chunk in " + this.encodingName + " at addr " + chunk[0] + ": too long" + curAddr);
    };
    DBCSCodec.prototype._getEncodeBucket = function(uCode) {
      var high = uCode >> 8;
      if (this.encodeTable[high] === void 0)
        this.encodeTable[high] = UNASSIGNED_NODE.slice(0);
      return this.encodeTable[high];
    };
    DBCSCodec.prototype._setEncodeChar = function(uCode, dbcsCode) {
      var bucket = this._getEncodeBucket(uCode);
      var low = uCode & 255;
      if (bucket[low] <= SEQ_START)
        this.encodeTableSeq[SEQ_START - bucket[low]][DEF_CHAR] = dbcsCode;
      else if (bucket[low] == UNASSIGNED)
        bucket[low] = dbcsCode;
    };
    DBCSCodec.prototype._setEncodeSequence = function(seq2, dbcsCode) {
      var uCode = seq2[0];
      var bucket = this._getEncodeBucket(uCode);
      var low = uCode & 255;
      var node;
      if (bucket[low] <= SEQ_START) {
        node = this.encodeTableSeq[SEQ_START - bucket[low]];
      } else {
        node = {};
        if (bucket[low] !== UNASSIGNED)
          node[DEF_CHAR] = bucket[low];
        bucket[low] = SEQ_START - this.encodeTableSeq.length;
        this.encodeTableSeq.push(node);
      }
      for (var j2 = 1; j2 < seq2.length - 1; j2++) {
        var oldVal = node[uCode];
        if (typeof oldVal === "object")
          node = oldVal;
        else {
          node = node[uCode] = {};
          if (oldVal !== void 0)
            node[DEF_CHAR] = oldVal;
        }
      }
      uCode = seq2[seq2.length - 1];
      node[uCode] = dbcsCode;
    };
    DBCSCodec.prototype._fillEncodeTable = function(nodeIdx, prefix, skipEncodeChars) {
      var node = this.decodeTables[nodeIdx];
      var hasValues = false;
      var subNodeEmpty = {};
      for (var i7 = 0; i7 < 256; i7++) {
        var uCode = node[i7];
        var mbCode = prefix + i7;
        if (skipEncodeChars[mbCode])
          continue;
        if (uCode >= 0) {
          this._setEncodeChar(uCode, mbCode);
          hasValues = true;
        } else if (uCode <= NODE_START) {
          var subNodeIdx = NODE_START - uCode;
          if (!subNodeEmpty[subNodeIdx]) {
            var newPrefix = mbCode << 8 >>> 0;
            if (this._fillEncodeTable(subNodeIdx, newPrefix, skipEncodeChars))
              hasValues = true;
            else
              subNodeEmpty[subNodeIdx] = true;
          }
        } else if (uCode <= SEQ_START) {
          this._setEncodeSequence(this.decodeTableSeq[SEQ_START - uCode], mbCode);
          hasValues = true;
        }
      }
      return hasValues;
    };
    function DBCSEncoder(options2, codec) {
      this.leadSurrogate = -1;
      this.seqObj = void 0;
      this.encodeTable = codec.encodeTable;
      this.encodeTableSeq = codec.encodeTableSeq;
      this.defaultCharSingleByte = codec.defCharSB;
      this.gb18030 = codec.gb18030;
    }
    DBCSEncoder.prototype.write = function(str) {
      var newBuf = Buffer2.alloc(str.length * (this.gb18030 ? 4 : 3)), leadSurrogate = this.leadSurrogate, seqObj = this.seqObj, nextChar = -1, i7 = 0, j2 = 0;
      while (true) {
        if (nextChar === -1) {
          if (i7 == str.length)
            break;
          var uCode = str.charCodeAt(i7++);
        } else {
          var uCode = nextChar;
          nextChar = -1;
        }
        if (55296 <= uCode && uCode < 57344) {
          if (uCode < 56320) {
            if (leadSurrogate === -1) {
              leadSurrogate = uCode;
              continue;
            } else {
              leadSurrogate = uCode;
              uCode = UNASSIGNED;
            }
          } else {
            if (leadSurrogate !== -1) {
              uCode = 65536 + (leadSurrogate - 55296) * 1024 + (uCode - 56320);
              leadSurrogate = -1;
            } else {
              uCode = UNASSIGNED;
            }
          }
        } else if (leadSurrogate !== -1) {
          nextChar = uCode;
          uCode = UNASSIGNED;
          leadSurrogate = -1;
        }
        var dbcsCode = UNASSIGNED;
        if (seqObj !== void 0 && uCode != UNASSIGNED) {
          var resCode = seqObj[uCode];
          if (typeof resCode === "object") {
            seqObj = resCode;
            continue;
          } else if (typeof resCode == "number") {
            dbcsCode = resCode;
          } else if (resCode == void 0) {
            resCode = seqObj[DEF_CHAR];
            if (resCode !== void 0) {
              dbcsCode = resCode;
              nextChar = uCode;
            } else {
            }
          }
          seqObj = void 0;
        } else if (uCode >= 0) {
          var subtable = this.encodeTable[uCode >> 8];
          if (subtable !== void 0)
            dbcsCode = subtable[uCode & 255];
          if (dbcsCode <= SEQ_START) {
            seqObj = this.encodeTableSeq[SEQ_START - dbcsCode];
            continue;
          }
          if (dbcsCode == UNASSIGNED && this.gb18030) {
            var idx = findIdx(this.gb18030.uChars, uCode);
            if (idx != -1) {
              var dbcsCode = this.gb18030.gbChars[idx] + (uCode - this.gb18030.uChars[idx]);
              newBuf[j2++] = 129 + Math.floor(dbcsCode / 12600);
              dbcsCode = dbcsCode % 12600;
              newBuf[j2++] = 48 + Math.floor(dbcsCode / 1260);
              dbcsCode = dbcsCode % 1260;
              newBuf[j2++] = 129 + Math.floor(dbcsCode / 10);
              dbcsCode = dbcsCode % 10;
              newBuf[j2++] = 48 + dbcsCode;
              continue;
            }
          }
        }
        if (dbcsCode === UNASSIGNED)
          dbcsCode = this.defaultCharSingleByte;
        if (dbcsCode < 256) {
          newBuf[j2++] = dbcsCode;
        } else if (dbcsCode < 65536) {
          newBuf[j2++] = dbcsCode >> 8;
          newBuf[j2++] = dbcsCode & 255;
        } else if (dbcsCode < 16777216) {
          newBuf[j2++] = dbcsCode >> 16;
          newBuf[j2++] = dbcsCode >> 8 & 255;
          newBuf[j2++] = dbcsCode & 255;
        } else {
          newBuf[j2++] = dbcsCode >>> 24;
          newBuf[j2++] = dbcsCode >>> 16 & 255;
          newBuf[j2++] = dbcsCode >>> 8 & 255;
          newBuf[j2++] = dbcsCode & 255;
        }
      }
      this.seqObj = seqObj;
      this.leadSurrogate = leadSurrogate;
      return newBuf.slice(0, j2);
    };
    DBCSEncoder.prototype.end = function() {
      if (this.leadSurrogate === -1 && this.seqObj === void 0)
        return;
      var newBuf = Buffer2.alloc(10), j2 = 0;
      if (this.seqObj) {
        var dbcsCode = this.seqObj[DEF_CHAR];
        if (dbcsCode !== void 0) {
          if (dbcsCode < 256) {
            newBuf[j2++] = dbcsCode;
          } else {
            newBuf[j2++] = dbcsCode >> 8;
            newBuf[j2++] = dbcsCode & 255;
          }
        } else {
        }
        this.seqObj = void 0;
      }
      if (this.leadSurrogate !== -1) {
        newBuf[j2++] = this.defaultCharSingleByte;
        this.leadSurrogate = -1;
      }
      return newBuf.slice(0, j2);
    };
    DBCSEncoder.prototype.findIdx = findIdx;
    function DBCSDecoder(options2, codec) {
      this.nodeIdx = 0;
      this.prevBytes = [];
      this.decodeTables = codec.decodeTables;
      this.decodeTableSeq = codec.decodeTableSeq;
      this.defaultCharUnicode = codec.defaultCharUnicode;
      this.gb18030 = codec.gb18030;
    }
    DBCSDecoder.prototype.write = function(buf) {
      var newBuf = Buffer2.alloc(buf.length * 2), nodeIdx = this.nodeIdx, prevBytes = this.prevBytes, prevOffset = this.prevBytes.length, seqStart = -this.prevBytes.length, uCode;
      for (var i7 = 0, j2 = 0; i7 < buf.length; i7++) {
        var curByte = i7 >= 0 ? buf[i7] : prevBytes[i7 + prevOffset];
        var uCode = this.decodeTables[nodeIdx][curByte];
        if (uCode >= 0) {
        } else if (uCode === UNASSIGNED) {
          uCode = this.defaultCharUnicode.charCodeAt(0);
          i7 = seqStart;
        } else if (uCode === GB18030_CODE) {
          if (i7 >= 3) {
            var ptr = (buf[i7 - 3] - 129) * 12600 + (buf[i7 - 2] - 48) * 1260 + (buf[i7 - 1] - 129) * 10 + (curByte - 48);
          } else {
            var ptr = (prevBytes[i7 - 3 + prevOffset] - 129) * 12600 + ((i7 - 2 >= 0 ? buf[i7 - 2] : prevBytes[i7 - 2 + prevOffset]) - 48) * 1260 + ((i7 - 1 >= 0 ? buf[i7 - 1] : prevBytes[i7 - 1 + prevOffset]) - 129) * 10 + (curByte - 48);
          }
          var idx = findIdx(this.gb18030.gbChars, ptr);
          uCode = this.gb18030.uChars[idx] + ptr - this.gb18030.gbChars[idx];
        } else if (uCode <= NODE_START) {
          nodeIdx = NODE_START - uCode;
          continue;
        } else if (uCode <= SEQ_START) {
          var seq2 = this.decodeTableSeq[SEQ_START - uCode];
          for (var k = 0; k < seq2.length - 1; k++) {
            uCode = seq2[k];
            newBuf[j2++] = uCode & 255;
            newBuf[j2++] = uCode >> 8;
          }
          uCode = seq2[seq2.length - 1];
        } else
          throw new Error("iconv-lite internal error: invalid decoding table value " + uCode + " at " + nodeIdx + "/" + curByte);
        if (uCode >= 65536) {
          uCode -= 65536;
          var uCodeLead = 55296 | uCode >> 10;
          newBuf[j2++] = uCodeLead & 255;
          newBuf[j2++] = uCodeLead >> 8;
          uCode = 56320 | uCode & 1023;
        }
        newBuf[j2++] = uCode & 255;
        newBuf[j2++] = uCode >> 8;
        nodeIdx = 0;
        seqStart = i7 + 1;
      }
      this.nodeIdx = nodeIdx;
      this.prevBytes = seqStart >= 0 ? Array.prototype.slice.call(buf, seqStart) : prevBytes.slice(seqStart + prevOffset).concat(Array.prototype.slice.call(buf));
      return newBuf.slice(0, j2).toString("ucs2");
    };
    DBCSDecoder.prototype.end = function() {
      var ret = "";
      while (this.prevBytes.length > 0) {
        ret += this.defaultCharUnicode;
        var bytesArr = this.prevBytes.slice(1);
        this.prevBytes = [];
        this.nodeIdx = 0;
        if (bytesArr.length > 0)
          ret += this.write(bytesArr);
      }
      this.prevBytes = [];
      this.nodeIdx = 0;
      return ret;
    };
    function findIdx(table, val) {
      if (table[0] > val)
        return -1;
      var l2 = 0, r2 = table.length;
      while (l2 < r2 - 1) {
        var mid = l2 + (r2 - l2 + 1 >> 1);
        if (table[mid] <= val)
          l2 = mid;
        else
          r2 = mid;
      }
      return l2;
    }
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/shiftjis.json
var require_shiftjis = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/shiftjis.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 128],
      ["a1", "\uFF61", 62],
      ["8140", "\u3000\u3001\u3002\uFF0C\uFF0E\u30FB\uFF1A\uFF1B\uFF1F\uFF01\u309B\u309C\xB4\uFF40\xA8\uFF3E\uFFE3\uFF3F\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\u2015\u2010\uFF0F\uFF3C\uFF5E\u2225\uFF5C\u2026\u2025\u2018\u2019\u201C\u201D\uFF08\uFF09\u3014\u3015\uFF3B\uFF3D\uFF5B\uFF5D\u3008", 9, "\uFF0B\uFF0D\xB1\xD7"],
      ["8180", "\xF7\uFF1D\u2260\uFF1C\uFF1E\u2266\u2267\u221E\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFFE5\uFF04\uFFE0\uFFE1\uFF05\uFF03\uFF06\uFF0A\uFF20\xA7\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u203B\u3012\u2192\u2190\u2191\u2193\u3013"],
      ["81b8", "\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229"],
      ["81c8", "\u2227\u2228\uFFE2\u21D2\u21D4\u2200\u2203"],
      ["81da", "\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C"],
      ["81f0", "\u212B\u2030\u266F\u266D\u266A\u2020\u2021\xB6"],
      ["81fc", "\u25EF"],
      ["824f", "\uFF10", 9],
      ["8260", "\uFF21", 25],
      ["8281", "\uFF41", 25],
      ["829f", "\u3041", 82],
      ["8340", "\u30A1", 62],
      ["8380", "\u30E0", 22],
      ["839f", "\u0391", 16, "\u03A3", 6],
      ["83bf", "\u03B1", 16, "\u03C3", 6],
      ["8440", "\u0410", 5, "\u0401\u0416", 25],
      ["8470", "\u0430", 5, "\u0451\u0436", 7],
      ["8480", "\u043E", 17],
      ["849f", "\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542"],
      ["8740", "\u2460", 19, "\u2160", 9],
      ["875f", "\u3349\u3314\u3322\u334D\u3318\u3327\u3303\u3336\u3351\u3357\u330D\u3326\u3323\u332B\u334A\u333B\u339C\u339D\u339E\u338E\u338F\u33C4\u33A1"],
      ["877e", "\u337B"],
      ["8780", "\u301D\u301F\u2116\u33CD\u2121\u32A4", 4, "\u3231\u3232\u3239\u337E\u337D\u337C\u2252\u2261\u222B\u222E\u2211\u221A\u22A5\u2220\u221F\u22BF\u2235\u2229\u222A"],
      ["889f", "\u4E9C\u5516\u5A03\u963F\u54C0\u611B\u6328\u59F6\u9022\u8475\u831C\u7A50\u60AA\u63E1\u6E25\u65ED\u8466\u82A6\u9BF5\u6893\u5727\u65A1\u6271\u5B9B\u59D0\u867B\u98F4\u7D62\u7DBE\u9B8E\u6216\u7C9F\u88B7\u5B89\u5EB5\u6309\u6697\u6848\u95C7\u978D\u674F\u4EE5\u4F0A\u4F4D\u4F9D\u5049\u56F2\u5937\u59D4\u5A01\u5C09\u60DF\u610F\u6170\u6613\u6905\u70BA\u754F\u7570\u79FB\u7DAD\u7DEF\u80C3\u840E\u8863\u8B02\u9055\u907A\u533B\u4E95\u4EA5\u57DF\u80B2\u90C1\u78EF\u4E00\u58F1\u6EA2\u9038\u7A32\u8328\u828B\u9C2F\u5141\u5370\u54BD\u54E1\u56E0\u59FB\u5F15\u98F2\u6DEB\u80E4\u852D"],
      ["8940", "\u9662\u9670\u96A0\u97FB\u540B\u53F3\u5B87\u70CF\u7FBD\u8FC2\u96E8\u536F\u9D5C\u7ABA\u4E11\u7893\u81FC\u6E26\u5618\u5504\u6B1D\u851A\u9C3B\u59E5\u53A9\u6D66\u74DC\u958F\u5642\u4E91\u904B\u96F2\u834F\u990C\u53E1\u55B6\u5B30\u5F71\u6620\u66F3\u6804\u6C38\u6CF3\u6D29\u745B\u76C8\u7A4E\u9834\u82F1\u885B\u8A60\u92ED\u6DB2\u75AB\u76CA\u99C5\u60A6\u8B01\u8D8A\u95B2\u698E\u53AD\u5186"],
      ["8980", "\u5712\u5830\u5944\u5BB4\u5EF6\u6028\u63A9\u63F4\u6CBF\u6F14\u708E\u7114\u7159\u71D5\u733F\u7E01\u8276\u82D1\u8597\u9060\u925B\u9D1B\u5869\u65BC\u6C5A\u7525\u51F9\u592E\u5965\u5F80\u5FDC\u62BC\u65FA\u6A2A\u6B27\u6BB4\u738B\u7FC1\u8956\u9D2C\u9D0E\u9EC4\u5CA1\u6C96\u837B\u5104\u5C4B\u61B6\u81C6\u6876\u7261\u4E59\u4FFA\u5378\u6069\u6E29\u7A4F\u97F3\u4E0B\u5316\u4EEE\u4F55\u4F3D\u4FA1\u4F73\u52A0\u53EF\u5609\u590F\u5AC1\u5BB6\u5BE1\u79D1\u6687\u679C\u67B6\u6B4C\u6CB3\u706B\u73C2\u798D\u79BE\u7A3C\u7B87\u82B1\u82DB\u8304\u8377\u83EF\u83D3\u8766\u8AB2\u5629\u8CA8\u8FE6\u904E\u971E\u868A\u4FC4\u5CE8\u6211\u7259\u753B\u81E5\u82BD\u86FE\u8CC0\u96C5\u9913\u99D5\u4ECB\u4F1A\u89E3\u56DE\u584A\u58CA\u5EFB\u5FEB\u602A\u6094\u6062\u61D0\u6212\u62D0\u6539"],
      ["8a40", "\u9B41\u6666\u68B0\u6D77\u7070\u754C\u7686\u7D75\u82A5\u87F9\u958B\u968E\u8C9D\u51F1\u52BE\u5916\u54B3\u5BB3\u5D16\u6168\u6982\u6DAF\u788D\u84CB\u8857\u8A72\u93A7\u9AB8\u6D6C\u99A8\u86D9\u57A3\u67FF\u86CE\u920E\u5283\u5687\u5404\u5ED3\u62E1\u64B9\u683C\u6838\u6BBB\u7372\u78BA\u7A6B\u899A\u89D2\u8D6B\u8F03\u90ED\u95A3\u9694\u9769\u5B66\u5CB3\u697D\u984D\u984E\u639B\u7B20\u6A2B"],
      ["8a80", "\u6A7F\u68B6\u9C0D\u6F5F\u5272\u559D\u6070\u62EC\u6D3B\u6E07\u6ED1\u845B\u8910\u8F44\u4E14\u9C39\u53F6\u691B\u6A3A\u9784\u682A\u515C\u7AC3\u84B2\u91DC\u938C\u565B\u9D28\u6822\u8305\u8431\u7CA5\u5208\u82C5\u74E6\u4E7E\u4F83\u51A0\u5BD2\u520A\u52D8\u52E7\u5DFB\u559A\u582A\u59E6\u5B8C\u5B98\u5BDB\u5E72\u5E79\u60A3\u611F\u6163\u61BE\u63DB\u6562\u67D1\u6853\u68FA\u6B3E\u6B53\u6C57\u6F22\u6F97\u6F45\u74B0\u7518\u76E3\u770B\u7AFF\u7BA1\u7C21\u7DE9\u7F36\u7FF0\u809D\u8266\u839E\u89B3\u8ACC\u8CAB\u9084\u9451\u9593\u9591\u95A2\u9665\u97D3\u9928\u8218\u4E38\u542B\u5CB8\u5DCC\u73A9\u764C\u773C\u5CA9\u7FEB\u8D0B\u96C1\u9811\u9854\u9858\u4F01\u4F0E\u5371\u559C\u5668\u57FA\u5947\u5B09\u5BC4\u5C90\u5E0C\u5E7E\u5FCC\u63EE\u673A\u65D7\u65E2\u671F\u68CB\u68C4"],
      ["8b40", "\u6A5F\u5E30\u6BC5\u6C17\u6C7D\u757F\u7948\u5B63\u7A00\u7D00\u5FBD\u898F\u8A18\u8CB4\u8D77\u8ECC\u8F1D\u98E2\u9A0E\u9B3C\u4E80\u507D\u5100\u5993\u5B9C\u622F\u6280\u64EC\u6B3A\u72A0\u7591\u7947\u7FA9\u87FB\u8ABC\u8B70\u63AC\u83CA\u97A0\u5409\u5403\u55AB\u6854\u6A58\u8A70\u7827\u6775\u9ECD\u5374\u5BA2\u811A\u8650\u9006\u4E18\u4E45\u4EC7\u4F11\u53CA\u5438\u5BAE\u5F13\u6025\u6551"],
      ["8b80", "\u673D\u6C42\u6C72\u6CE3\u7078\u7403\u7A76\u7AAE\u7B08\u7D1A\u7CFE\u7D66\u65E7\u725B\u53BB\u5C45\u5DE8\u62D2\u62E0\u6319\u6E20\u865A\u8A31\u8DDD\u92F8\u6F01\u79A6\u9B5A\u4EA8\u4EAB\u4EAC\u4F9B\u4FA0\u50D1\u5147\u7AF6\u5171\u51F6\u5354\u5321\u537F\u53EB\u55AC\u5883\u5CE1\u5F37\u5F4A\u602F\u6050\u606D\u631F\u6559\u6A4B\u6CC1\u72C2\u72ED\u77EF\u80F8\u8105\u8208\u854E\u90F7\u93E1\u97FF\u9957\u9A5A\u4EF0\u51DD\u5C2D\u6681\u696D\u5C40\u66F2\u6975\u7389\u6850\u7C81\u50C5\u52E4\u5747\u5DFE\u9326\u65A4\u6B23\u6B3D\u7434\u7981\u79BD\u7B4B\u7DCA\u82B9\u83CC\u887F\u895F\u8B39\u8FD1\u91D1\u541F\u9280\u4E5D\u5036\u53E5\u533A\u72D7\u7396\u77E9\u82E6\u8EAF\u99C6\u99C8\u99D2\u5177\u611A\u865E\u55B0\u7A7A\u5076\u5BD3\u9047\u9685\u4E32\u6ADB\u91E7\u5C51\u5C48"],
      ["8c40", "\u6398\u7A9F\u6C93\u9774\u8F61\u7AAA\u718A\u9688\u7C82\u6817\u7E70\u6851\u936C\u52F2\u541B\u85AB\u8A13\u7FA4\u8ECD\u90E1\u5366\u8888\u7941\u4FC2\u50BE\u5211\u5144\u5553\u572D\u73EA\u578B\u5951\u5F62\u5F84\u6075\u6176\u6167\u61A9\u63B2\u643A\u656C\u666F\u6842\u6E13\u7566\u7A3D\u7CFB\u7D4C\u7D99\u7E4B\u7F6B\u830E\u834A\u86CD\u8A08\u8A63\u8B66\u8EFD\u981A\u9D8F\u82B8\u8FCE\u9BE8"],
      ["8c80", "\u5287\u621F\u6483\u6FC0\u9699\u6841\u5091\u6B20\u6C7A\u6F54\u7A74\u7D50\u8840\u8A23\u6708\u4EF6\u5039\u5026\u5065\u517C\u5238\u5263\u55A7\u570F\u5805\u5ACC\u5EFA\u61B2\u61F8\u62F3\u6372\u691C\u6A29\u727D\u72AC\u732E\u7814\u786F\u7D79\u770C\u80A9\u898B\u8B19\u8CE2\u8ED2\u9063\u9375\u967A\u9855\u9A13\u9E78\u5143\u539F\u53B3\u5E7B\u5F26\u6E1B\u6E90\u7384\u73FE\u7D43\u8237\u8A00\u8AFA\u9650\u4E4E\u500B\u53E4\u547C\u56FA\u59D1\u5B64\u5DF1\u5EAB\u5F27\u6238\u6545\u67AF\u6E56\u72D0\u7CCA\u88B4\u80A1\u80E1\u83F0\u864E\u8A87\u8DE8\u9237\u96C7\u9867\u9F13\u4E94\u4E92\u4F0D\u5348\u5449\u543E\u5A2F\u5F8C\u5FA1\u609F\u68A7\u6A8E\u745A\u7881\u8A9E\u8AA4\u8B77\u9190\u4E5E\u9BC9\u4EA4\u4F7C\u4FAF\u5019\u5016\u5149\u516C\u529F\u52B9\u52FE\u539A\u53E3\u5411"],
      ["8d40", "\u540E\u5589\u5751\u57A2\u597D\u5B54\u5B5D\u5B8F\u5DE5\u5DE7\u5DF7\u5E78\u5E83\u5E9A\u5EB7\u5F18\u6052\u614C\u6297\u62D8\u63A7\u653B\u6602\u6643\u66F4\u676D\u6821\u6897\u69CB\u6C5F\u6D2A\u6D69\u6E2F\u6E9D\u7532\u7687\u786C\u7A3F\u7CE0\u7D05\u7D18\u7D5E\u7DB1\u8015\u8003\u80AF\u80B1\u8154\u818F\u822A\u8352\u884C\u8861\u8B1B\u8CA2\u8CFC\u90CA\u9175\u9271\u783F\u92FC\u95A4\u964D"],
      ["8d80", "\u9805\u9999\u9AD8\u9D3B\u525B\u52AB\u53F7\u5408\u58D5\u62F7\u6FE0\u8C6A\u8F5F\u9EB9\u514B\u523B\u544A\u56FD\u7A40\u9177\u9D60\u9ED2\u7344\u6F09\u8170\u7511\u5FFD\u60DA\u9AA8\u72DB\u8FBC\u6B64\u9803\u4ECA\u56F0\u5764\u58BE\u5A5A\u6068\u61C7\u660F\u6606\u6839\u68B1\u6DF7\u75D5\u7D3A\u826E\u9B42\u4E9B\u4F50\u53C9\u5506\u5D6F\u5DE6\u5DEE\u67FB\u6C99\u7473\u7802\u8A50\u9396\u88DF\u5750\u5EA7\u632B\u50B5\u50AC\u518D\u6700\u54C9\u585E\u59BB\u5BB0\u5F69\u624D\u63A1\u683D\u6B73\u6E08\u707D\u91C7\u7280\u7815\u7826\u796D\u658E\u7D30\u83DC\u88C1\u8F09\u969B\u5264\u5728\u6750\u7F6A\u8CA1\u51B4\u5742\u962A\u583A\u698A\u80B4\u54B2\u5D0E\u57FC\u7895\u9DFA\u4F5C\u524A\u548B\u643E\u6628\u6714\u67F5\u7A84\u7B56\u7D22\u932F\u685C\u9BAD\u7B39\u5319\u518A\u5237"],
      ["8e40", "\u5BDF\u62F6\u64AE\u64E6\u672D\u6BBA\u85A9\u96D1\u7690\u9BD6\u634C\u9306\u9BAB\u76BF\u6652\u4E09\u5098\u53C2\u5C71\u60E8\u6492\u6563\u685F\u71E6\u73CA\u7523\u7B97\u7E82\u8695\u8B83\u8CDB\u9178\u9910\u65AC\u66AB\u6B8B\u4ED5\u4ED4\u4F3A\u4F7F\u523A\u53F8\u53F2\u55E3\u56DB\u58EB\u59CB\u59C9\u59FF\u5B50\u5C4D\u5E02\u5E2B\u5FD7\u601D\u6307\u652F\u5B5C\u65AF\u65BD\u65E8\u679D\u6B62"],
      ["8e80", "\u6B7B\u6C0F\u7345\u7949\u79C1\u7CF8\u7D19\u7D2B\u80A2\u8102\u81F3\u8996\u8A5E\u8A69\u8A66\u8A8C\u8AEE\u8CC7\u8CDC\u96CC\u98FC\u6B6F\u4E8B\u4F3C\u4F8D\u5150\u5B57\u5BFA\u6148\u6301\u6642\u6B21\u6ECB\u6CBB\u723E\u74BD\u75D4\u78C1\u793A\u800C\u8033\u81EA\u8494\u8F9E\u6C50\u9E7F\u5F0F\u8B58\u9D2B\u7AFA\u8EF8\u5B8D\u96EB\u4E03\u53F1\u57F7\u5931\u5AC9\u5BA4\u6089\u6E7F\u6F06\u75BE\u8CEA\u5B9F\u8500\u7BE0\u5072\u67F4\u829D\u5C61\u854A\u7E1E\u820E\u5199\u5C04\u6368\u8D66\u659C\u716E\u793E\u7D17\u8005\u8B1D\u8ECA\u906E\u86C7\u90AA\u501F\u52FA\u5C3A\u6753\u707C\u7235\u914C\u91C8\u932B\u82E5\u5BC2\u5F31\u60F9\u4E3B\u53D6\u5B88\u624B\u6731\u6B8A\u72E9\u73E0\u7A2E\u816B\u8DA3\u9152\u9996\u5112\u53D7\u546A\u5BFF\u6388\u6A39\u7DAC\u9700\u56DA\u53CE\u5468"],
      ["8f40", "\u5B97\u5C31\u5DDE\u4FEE\u6101\u62FE\u6D32\u79C0\u79CB\u7D42\u7E4D\u7FD2\u81ED\u821F\u8490\u8846\u8972\u8B90\u8E74\u8F2F\u9031\u914B\u916C\u96C6\u919C\u4EC0\u4F4F\u5145\u5341\u5F93\u620E\u67D4\u6C41\u6E0B\u7363\u7E26\u91CD\u9283\u53D4\u5919\u5BBF\u6DD1\u795D\u7E2E\u7C9B\u587E\u719F\u51FA\u8853\u8FF0\u4FCA\u5CFB\u6625\u77AC\u7AE3\u821C\u99FF\u51C6\u5FAA\u65EC\u696F\u6B89\u6DF3"],
      ["8f80", "\u6E96\u6F64\u76FE\u7D14\u5DE1\u9075\u9187\u9806\u51E6\u521D\u6240\u6691\u66D9\u6E1A\u5EB6\u7DD2\u7F72\u66F8\u85AF\u85F7\u8AF8\u52A9\u53D9\u5973\u5E8F\u5F90\u6055\u92E4\u9664\u50B7\u511F\u52DD\u5320\u5347\u53EC\u54E8\u5546\u5531\u5617\u5968\u59BE\u5A3C\u5BB5\u5C06\u5C0F\u5C11\u5C1A\u5E84\u5E8A\u5EE0\u5F70\u627F\u6284\u62DB\u638C\u6377\u6607\u660C\u662D\u6676\u677E\u68A2\u6A1F\u6A35\u6CBC\u6D88\u6E09\u6E58\u713C\u7126\u7167\u75C7\u7701\u785D\u7901\u7965\u79F0\u7AE0\u7B11\u7CA7\u7D39\u8096\u83D6\u848B\u8549\u885D\u88F3\u8A1F\u8A3C\u8A54\u8A73\u8C61\u8CDE\u91A4\u9266\u937E\u9418\u969C\u9798\u4E0A\u4E08\u4E1E\u4E57\u5197\u5270\u57CE\u5834\u58CC\u5B22\u5E38\u60C5\u64FE\u6761\u6756\u6D44\u72B6\u7573\u7A63\u84B8\u8B72\u91B8\u9320\u5631\u57F4\u98FE"],
      ["9040", "\u62ED\u690D\u6B96\u71ED\u7E54\u8077\u8272\u89E6\u98DF\u8755\u8FB1\u5C3B\u4F38\u4FE1\u4FB5\u5507\u5A20\u5BDD\u5BE9\u5FC3\u614E\u632F\u65B0\u664B\u68EE\u699B\u6D78\u6DF1\u7533\u75B9\u771F\u795E\u79E6\u7D33\u81E3\u82AF\u85AA\u89AA\u8A3A\u8EAB\u8F9B\u9032\u91DD\u9707\u4EBA\u4EC1\u5203\u5875\u58EC\u5C0B\u751A\u5C3D\u814E\u8A0A\u8FC5\u9663\u976D\u7B25\u8ACF\u9808\u9162\u56F3\u53A8"],
      ["9080", "\u9017\u5439\u5782\u5E25\u63A8\u6C34\u708A\u7761\u7C8B\u7FE0\u8870\u9042\u9154\u9310\u9318\u968F\u745E\u9AC4\u5D07\u5D69\u6570\u67A2\u8DA8\u96DB\u636E\u6749\u6919\u83C5\u9817\u96C0\u88FE\u6F84\u647A\u5BF8\u4E16\u702C\u755D\u662F\u51C4\u5236\u52E2\u59D3\u5F81\u6027\u6210\u653F\u6574\u661F\u6674\u68F2\u6816\u6B63\u6E05\u7272\u751F\u76DB\u7CBE\u8056\u58F0\u88FD\u897F\u8AA0\u8A93\u8ACB\u901D\u9192\u9752\u9759\u6589\u7A0E\u8106\u96BB\u5E2D\u60DC\u621A\u65A5\u6614\u6790\u77F3\u7A4D\u7C4D\u7E3E\u810A\u8CAC\u8D64\u8DE1\u8E5F\u78A9\u5207\u62D9\u63A5\u6442\u6298\u8A2D\u7A83\u7BC0\u8AAC\u96EA\u7D76\u820C\u8749\u4ED9\u5148\u5343\u5360\u5BA3\u5C02\u5C16\u5DDD\u6226\u6247\u64B0\u6813\u6834\u6CC9\u6D45\u6D17\u67D3\u6F5C\u714E\u717D\u65CB\u7A7F\u7BAD\u7DDA"],
      ["9140", "\u7E4A\u7FA8\u817A\u821B\u8239\u85A6\u8A6E\u8CCE\u8DF5\u9078\u9077\u92AD\u9291\u9583\u9BAE\u524D\u5584\u6F38\u7136\u5168\u7985\u7E55\u81B3\u7CCE\u564C\u5851\u5CA8\u63AA\u66FE\u66FD\u695A\u72D9\u758F\u758E\u790E\u7956\u79DF\u7C97\u7D20\u7D44\u8607\u8A34\u963B\u9061\u9F20\u50E7\u5275\u53CC\u53E2\u5009\u55AA\u58EE\u594F\u723D\u5B8B\u5C64\u531D\u60E3\u60F3\u635C\u6383\u633F\u63BB"],
      ["9180", "\u64CD\u65E9\u66F9\u5DE3\u69CD\u69FD\u6F15\u71E5\u4E89\u75E9\u76F8\u7A93\u7CDF\u7DCF\u7D9C\u8061\u8349\u8358\u846C\u84BC\u85FB\u88C5\u8D70\u9001\u906D\u9397\u971C\u9A12\u50CF\u5897\u618E\u81D3\u8535\u8D08\u9020\u4FC3\u5074\u5247\u5373\u606F\u6349\u675F\u6E2C\u8DB3\u901F\u4FD7\u5C5E\u8CCA\u65CF\u7D9A\u5352\u8896\u5176\u63C3\u5B58\u5B6B\u5C0A\u640D\u6751\u905C\u4ED6\u591A\u592A\u6C70\u8A51\u553E\u5815\u59A5\u60F0\u6253\u67C1\u8235\u6955\u9640\u99C4\u9A28\u4F53\u5806\u5BFE\u8010\u5CB1\u5E2F\u5F85\u6020\u614B\u6234\u66FF\u6CF0\u6EDE\u80CE\u817F\u82D4\u888B\u8CB8\u9000\u902E\u968A\u9EDB\u9BDB\u4EE3\u53F0\u5927\u7B2C\u918D\u984C\u9DF9\u6EDD\u7027\u5353\u5544\u5B85\u6258\u629E\u62D3\u6CA2\u6FEF\u7422\u8A17\u9438\u6FC1\u8AFE\u8338\u51E7\u86F8\u53EA"],
      ["9240", "\u53E9\u4F46\u9054\u8FB0\u596A\u8131\u5DFD\u7AEA\u8FBF\u68DA\u8C37\u72F8\u9C48\u6A3D\u8AB0\u4E39\u5358\u5606\u5766\u62C5\u63A2\u65E6\u6B4E\u6DE1\u6E5B\u70AD\u77ED\u7AEF\u7BAA\u7DBB\u803D\u80C6\u86CB\u8A95\u935B\u56E3\u58C7\u5F3E\u65AD\u6696\u6A80\u6BB5\u7537\u8AC7\u5024\u77E5\u5730\u5F1B\u6065\u667A\u6C60\u75F4\u7A1A\u7F6E\u81F4\u8718\u9045\u99B3\u7BC9\u755C\u7AF9\u7B51\u84C4"],
      ["9280", "\u9010\u79E9\u7A92\u8336\u5AE1\u7740\u4E2D\u4EF2\u5B99\u5FE0\u62BD\u663C\u67F1\u6CE8\u866B\u8877\u8A3B\u914E\u92F3\u99D0\u6A17\u7026\u732A\u82E7\u8457\u8CAF\u4E01\u5146\u51CB\u558B\u5BF5\u5E16\u5E33\u5E81\u5F14\u5F35\u5F6B\u5FB4\u61F2\u6311\u66A2\u671D\u6F6E\u7252\u753A\u773A\u8074\u8139\u8178\u8776\u8ABF\u8ADC\u8D85\u8DF3\u929A\u9577\u9802\u9CE5\u52C5\u6357\u76F4\u6715\u6C88\u73CD\u8CC3\u93AE\u9673\u6D25\u589C\u690E\u69CC\u8FFD\u939A\u75DB\u901A\u585A\u6802\u63B4\u69FB\u4F43\u6F2C\u67D8\u8FBB\u8526\u7DB4\u9354\u693F\u6F70\u576A\u58F7\u5B2C\u7D2C\u722A\u540A\u91E3\u9DB4\u4EAD\u4F4E\u505C\u5075\u5243\u8C9E\u5448\u5824\u5B9A\u5E1D\u5E95\u5EAD\u5EF7\u5F1F\u608C\u62B5\u633A\u63D0\u68AF\u6C40\u7887\u798E\u7A0B\u7DE0\u8247\u8A02\u8AE6\u8E44\u9013"],
      ["9340", "\u90B8\u912D\u91D8\u9F0E\u6CE5\u6458\u64E2\u6575\u6EF4\u7684\u7B1B\u9069\u93D1\u6EBA\u54F2\u5FB9\u64A4\u8F4D\u8FED\u9244\u5178\u586B\u5929\u5C55\u5E97\u6DFB\u7E8F\u751C\u8CBC\u8EE2\u985B\u70B9\u4F1D\u6BBF\u6FB1\u7530\u96FB\u514E\u5410\u5835\u5857\u59AC\u5C60\u5F92\u6597\u675C\u6E21\u767B\u83DF\u8CED\u9014\u90FD\u934D\u7825\u783A\u52AA\u5EA6\u571F\u5974\u6012\u5012\u515A\u51AC"],
      ["9380", "\u51CD\u5200\u5510\u5854\u5858\u5957\u5B95\u5CF6\u5D8B\u60BC\u6295\u642D\u6771\u6843\u68BC\u68DF\u76D7\u6DD8\u6E6F\u6D9B\u706F\u71C8\u5F53\u75D8\u7977\u7B49\u7B54\u7B52\u7CD6\u7D71\u5230\u8463\u8569\u85E4\u8A0E\u8B04\u8C46\u8E0F\u9003\u900F\u9419\u9676\u982D\u9A30\u95D8\u50CD\u52D5\u540C\u5802\u5C0E\u61A7\u649E\u6D1E\u77B3\u7AE5\u80F4\u8404\u9053\u9285\u5CE0\u9D07\u533F\u5F97\u5FB3\u6D9C\u7279\u7763\u79BF\u7BE4\u6BD2\u72EC\u8AAD\u6803\u6A61\u51F8\u7A81\u6934\u5C4A\u9CF6\u82EB\u5BC5\u9149\u701E\u5678\u5C6F\u60C7\u6566\u6C8C\u8C5A\u9041\u9813\u5451\u66C7\u920D\u5948\u90A3\u5185\u4E4D\u51EA\u8599\u8B0E\u7058\u637A\u934B\u6962\u99B4\u7E04\u7577\u5357\u6960\u8EDF\u96E3\u6C5D\u4E8C\u5C3C\u5F10\u8FE9\u5302\u8CD1\u8089\u8679\u5EFF\u65E5\u4E73\u5165"],
      ["9440", "\u5982\u5C3F\u97EE\u4EFB\u598A\u5FCD\u8A8D\u6FE1\u79B0\u7962\u5BE7\u8471\u732B\u71B1\u5E74\u5FF5\u637B\u649A\u71C3\u7C98\u4E43\u5EFC\u4E4B\u57DC\u56A2\u60A9\u6FC3\u7D0D\u80FD\u8133\u81BF\u8FB2\u8997\u86A4\u5DF4\u628A\u64AD\u8987\u6777\u6CE2\u6D3E\u7436\u7834\u5A46\u7F75\u82AD\u99AC\u4FF3\u5EC3\u62DD\u6392\u6557\u676F\u76C3\u724C\u80CC\u80BA\u8F29\u914D\u500D\u57F9\u5A92\u6885"],
      ["9480", "\u6973\u7164\u72FD\u8CB7\u58F2\u8CE0\u966A\u9019\u877F\u79E4\u77E7\u8429\u4F2F\u5265\u535A\u62CD\u67CF\u6CCA\u767D\u7B94\u7C95\u8236\u8584\u8FEB\u66DD\u6F20\u7206\u7E1B\u83AB\u99C1\u9EA6\u51FD\u7BB1\u7872\u7BB8\u8087\u7B48\u6AE8\u5E61\u808C\u7551\u7560\u516B\u9262\u6E8C\u767A\u9197\u9AEA\u4F10\u7F70\u629C\u7B4F\u95A5\u9CE9\u567A\u5859\u86E4\u96BC\u4F34\u5224\u534A\u53CD\u53DB\u5E06\u642C\u6591\u677F\u6C3E\u6C4E\u7248\u72AF\u73ED\u7554\u7E41\u822C\u85E9\u8CA9\u7BC4\u91C6\u7169\u9812\u98EF\u633D\u6669\u756A\u76E4\u78D0\u8543\u86EE\u532A\u5351\u5426\u5983\u5E87\u5F7C\u60B2\u6249\u6279\u62AB\u6590\u6BD4\u6CCC\u75B2\u76AE\u7891\u79D8\u7DCB\u7F77\u80A5\u88AB\u8AB9\u8CBB\u907F\u975E\u98DB\u6A0B\u7C38\u5099\u5C3E\u5FAE\u6787\u6BD8\u7435\u7709\u7F8E"],
      ["9540", "\u9F3B\u67CA\u7A17\u5339\u758B\u9AED\u5F66\u819D\u83F1\u8098\u5F3C\u5FC5\u7562\u7B46\u903C\u6867\u59EB\u5A9B\u7D10\u767E\u8B2C\u4FF5\u5F6A\u6A19\u6C37\u6F02\u74E2\u7968\u8868\u8A55\u8C79\u5EDF\u63CF\u75C5\u79D2\u82D7\u9328\u92F2\u849C\u86ED\u9C2D\u54C1\u5F6C\u658C\u6D5C\u7015\u8CA7\u8CD3\u983B\u654F\u74F6\u4E0D\u4ED8\u57E0\u592B\u5A66\u5BCC\u51A8\u5E03\u5E9C\u6016\u6276\u6577"],
      ["9580", "\u65A7\u666E\u6D6E\u7236\u7B26\u8150\u819A\u8299\u8B5C\u8CA0\u8CE6\u8D74\u961C\u9644\u4FAE\u64AB\u6B66\u821E\u8461\u856A\u90E8\u5C01\u6953\u98A8\u847A\u8557\u4F0F\u526F\u5FA9\u5E45\u670D\u798F\u8179\u8907\u8986\u6DF5\u5F17\u6255\u6CB8\u4ECF\u7269\u9B92\u5206\u543B\u5674\u58B3\u61A4\u626E\u711A\u596E\u7C89\u7CDE\u7D1B\u96F0\u6587\u805E\u4E19\u4F75\u5175\u5840\u5E63\u5E73\u5F0A\u67C4\u4E26\u853D\u9589\u965B\u7C73\u9801\u50FB\u58C1\u7656\u78A7\u5225\u77A5\u8511\u7B86\u504F\u5909\u7247\u7BC7\u7DE8\u8FBA\u8FD4\u904D\u4FBF\u52C9\u5A29\u5F01\u97AD\u4FDD\u8217\u92EA\u5703\u6355\u6B69\u752B\u88DC\u8F14\u7A42\u52DF\u5893\u6155\u620A\u66AE\u6BCD\u7C3F\u83E9\u5023\u4FF8\u5305\u5446\u5831\u5949\u5B9D\u5CF0\u5CEF\u5D29\u5E96\u62B1\u6367\u653E\u65B9\u670B"],
      ["9640", "\u6CD5\u6CE1\u70F9\u7832\u7E2B\u80DE\u82B3\u840C\u84EC\u8702\u8912\u8A2A\u8C4A\u90A6\u92D2\u98FD\u9CF3\u9D6C\u4E4F\u4EA1\u508D\u5256\u574A\u59A8\u5E3D\u5FD8\u5FD9\u623F\u66B4\u671B\u67D0\u68D2\u5192\u7D21\u80AA\u81A8\u8B00\u8C8C\u8CBF\u927E\u9632\u5420\u982C\u5317\u50D5\u535C\u58A8\u64B2\u6734\u7267\u7766\u7A46\u91E6\u52C3\u6CA1\u6B86\u5800\u5E4C\u5954\u672C\u7FFB\u51E1\u76C6"],
      ["9680", "\u6469\u78E8\u9B54\u9EBB\u57CB\u59B9\u6627\u679A\u6BCE\u54E9\u69D9\u5E55\u819C\u6795\u9BAA\u67FE\u9C52\u685D\u4EA6\u4FE3\u53C8\u62B9\u672B\u6CAB\u8FC4\u4FAD\u7E6D\u9EBF\u4E07\u6162\u6E80\u6F2B\u8513\u5473\u672A\u9B45\u5DF3\u7B95\u5CAC\u5BC6\u871C\u6E4A\u84D1\u7A14\u8108\u5999\u7C8D\u6C11\u7720\u52D9\u5922\u7121\u725F\u77DB\u9727\u9D61\u690B\u5A7F\u5A18\u51A5\u540D\u547D\u660E\u76DF\u8FF7\u9298\u9CF4\u59EA\u725D\u6EC5\u514D\u68C9\u7DBF\u7DEC\u9762\u9EBA\u6478\u6A21\u8302\u5984\u5B5F\u6BDB\u731B\u76F2\u7DB2\u8017\u8499\u5132\u6728\u9ED9\u76EE\u6762\u52FF\u9905\u5C24\u623B\u7C7E\u8CB0\u554F\u60B6\u7D0B\u9580\u5301\u4E5F\u51B6\u591C\u723A\u8036\u91CE\u5F25\u77E2\u5384\u5F79\u7D04\u85AC\u8A33\u8E8D\u9756\u67F3\u85AE\u9453\u6109\u6108\u6CB9\u7652"],
      ["9740", "\u8AED\u8F38\u552F\u4F51\u512A\u52C7\u53CB\u5BA5\u5E7D\u60A0\u6182\u63D6\u6709\u67DA\u6E67\u6D8C\u7336\u7337\u7531\u7950\u88D5\u8A98\u904A\u9091\u90F5\u96C4\u878D\u5915\u4E88\u4F59\u4E0E\u8A89\u8F3F\u9810\u50AD\u5E7C\u5996\u5BB9\u5EB8\u63DA\u63FA\u64C1\u66DC\u694A\u69D8\u6D0B\u6EB6\u7194\u7528\u7AAF\u7F8A\u8000\u8449\u84C9\u8981\u8B21\u8E0A\u9065\u967D\u990A\u617E\u6291\u6B32"],
      ["9780", "\u6C83\u6D74\u7FCC\u7FFC\u6DC0\u7F85\u87BA\u88F8\u6765\u83B1\u983C\u96F7\u6D1B\u7D61\u843D\u916A\u4E71\u5375\u5D50\u6B04\u6FEB\u85CD\u862D\u89A7\u5229\u540F\u5C65\u674E\u68A8\u7406\u7483\u75E2\u88CF\u88E1\u91CC\u96E2\u9678\u5F8B\u7387\u7ACB\u844E\u63A0\u7565\u5289\u6D41\u6E9C\u7409\u7559\u786B\u7C92\u9686\u7ADC\u9F8D\u4FB6\u616E\u65C5\u865C\u4E86\u4EAE\u50DA\u4E21\u51CC\u5BEE\u6599\u6881\u6DBC\u731F\u7642\u77AD\u7A1C\u7CE7\u826F\u8AD2\u907C\u91CF\u9675\u9818\u529B\u7DD1\u502B\u5398\u6797\u6DCB\u71D0\u7433\u81E8\u8F2A\u96A3\u9C57\u9E9F\u7460\u5841\u6D99\u7D2F\u985E\u4EE4\u4F36\u4F8B\u51B7\u52B1\u5DBA\u601C\u73B2\u793C\u82D3\u9234\u96B7\u96F6\u970A\u9E97\u9F62\u66A6\u6B74\u5217\u52A3\u70C8\u88C2\u5EC9\u604B\u6190\u6F23\u7149\u7C3E\u7DF4\u806F"],
      ["9840", "\u84EE\u9023\u932C\u5442\u9B6F\u6AD3\u7089\u8CC2\u8DEF\u9732\u52B4\u5A41\u5ECA\u5F04\u6717\u697C\u6994\u6D6A\u6F0F\u7262\u72FC\u7BED\u8001\u807E\u874B\u90CE\u516D\u9E93\u7984\u808B\u9332\u8AD6\u502D\u548C\u8A71\u6B6A\u8CC4\u8107\u60D1\u67A0\u9DF2\u4E99\u4E98\u9C10\u8A6B\u85C1\u8568\u6900\u6E7E\u7897\u8155"],
      ["989f", "\u5F0C\u4E10\u4E15\u4E2A\u4E31\u4E36\u4E3C\u4E3F\u4E42\u4E56\u4E58\u4E82\u4E85\u8C6B\u4E8A\u8212\u5F0D\u4E8E\u4E9E\u4E9F\u4EA0\u4EA2\u4EB0\u4EB3\u4EB6\u4ECE\u4ECD\u4EC4\u4EC6\u4EC2\u4ED7\u4EDE\u4EED\u4EDF\u4EF7\u4F09\u4F5A\u4F30\u4F5B\u4F5D\u4F57\u4F47\u4F76\u4F88\u4F8F\u4F98\u4F7B\u4F69\u4F70\u4F91\u4F6F\u4F86\u4F96\u5118\u4FD4\u4FDF\u4FCE\u4FD8\u4FDB\u4FD1\u4FDA\u4FD0\u4FE4\u4FE5\u501A\u5028\u5014\u502A\u5025\u5005\u4F1C\u4FF6\u5021\u5029\u502C\u4FFE\u4FEF\u5011\u5006\u5043\u5047\u6703\u5055\u5050\u5048\u505A\u5056\u506C\u5078\u5080\u509A\u5085\u50B4\u50B2"],
      ["9940", "\u50C9\u50CA\u50B3\u50C2\u50D6\u50DE\u50E5\u50ED\u50E3\u50EE\u50F9\u50F5\u5109\u5101\u5102\u5116\u5115\u5114\u511A\u5121\u513A\u5137\u513C\u513B\u513F\u5140\u5152\u514C\u5154\u5162\u7AF8\u5169\u516A\u516E\u5180\u5182\u56D8\u518C\u5189\u518F\u5191\u5193\u5195\u5196\u51A4\u51A6\u51A2\u51A9\u51AA\u51AB\u51B3\u51B1\u51B2\u51B0\u51B5\u51BD\u51C5\u51C9\u51DB\u51E0\u8655\u51E9\u51ED"],
      ["9980", "\u51F0\u51F5\u51FE\u5204\u520B\u5214\u520E\u5227\u522A\u522E\u5233\u5239\u524F\u5244\u524B\u524C\u525E\u5254\u526A\u5274\u5269\u5273\u527F\u527D\u528D\u5294\u5292\u5271\u5288\u5291\u8FA8\u8FA7\u52AC\u52AD\u52BC\u52B5\u52C1\u52CD\u52D7\u52DE\u52E3\u52E6\u98ED\u52E0\u52F3\u52F5\u52F8\u52F9\u5306\u5308\u7538\u530D\u5310\u530F\u5315\u531A\u5323\u532F\u5331\u5333\u5338\u5340\u5346\u5345\u4E17\u5349\u534D\u51D6\u535E\u5369\u536E\u5918\u537B\u5377\u5382\u5396\u53A0\u53A6\u53A5\u53AE\u53B0\u53B6\u53C3\u7C12\u96D9\u53DF\u66FC\u71EE\u53EE\u53E8\u53ED\u53FA\u5401\u543D\u5440\u542C\u542D\u543C\u542E\u5436\u5429\u541D\u544E\u548F\u5475\u548E\u545F\u5471\u5477\u5470\u5492\u547B\u5480\u5476\u5484\u5490\u5486\u54C7\u54A2\u54B8\u54A5\u54AC\u54C4\u54C8\u54A8"],
      ["9a40", "\u54AB\u54C2\u54A4\u54BE\u54BC\u54D8\u54E5\u54E6\u550F\u5514\u54FD\u54EE\u54ED\u54FA\u54E2\u5539\u5540\u5563\u554C\u552E\u555C\u5545\u5556\u5557\u5538\u5533\u555D\u5599\u5580\u54AF\u558A\u559F\u557B\u557E\u5598\u559E\u55AE\u557C\u5583\u55A9\u5587\u55A8\u55DA\u55C5\u55DF\u55C4\u55DC\u55E4\u55D4\u5614\u55F7\u5616\u55FE\u55FD\u561B\u55F9\u564E\u5650\u71DF\u5634\u5636\u5632\u5638"],
      ["9a80", "\u566B\u5664\u562F\u566C\u566A\u5686\u5680\u568A\u56A0\u5694\u568F\u56A5\u56AE\u56B6\u56B4\u56C2\u56BC\u56C1\u56C3\u56C0\u56C8\u56CE\u56D1\u56D3\u56D7\u56EE\u56F9\u5700\u56FF\u5704\u5709\u5708\u570B\u570D\u5713\u5718\u5716\u55C7\u571C\u5726\u5737\u5738\u574E\u573B\u5740\u574F\u5769\u57C0\u5788\u5761\u577F\u5789\u5793\u57A0\u57B3\u57A4\u57AA\u57B0\u57C3\u57C6\u57D4\u57D2\u57D3\u580A\u57D6\u57E3\u580B\u5819\u581D\u5872\u5821\u5862\u584B\u5870\u6BC0\u5852\u583D\u5879\u5885\u58B9\u589F\u58AB\u58BA\u58DE\u58BB\u58B8\u58AE\u58C5\u58D3\u58D1\u58D7\u58D9\u58D8\u58E5\u58DC\u58E4\u58DF\u58EF\u58FA\u58F9\u58FB\u58FC\u58FD\u5902\u590A\u5910\u591B\u68A6\u5925\u592C\u592D\u5932\u5938\u593E\u7AD2\u5955\u5950\u594E\u595A\u5958\u5962\u5960\u5967\u596C\u5969"],
      ["9b40", "\u5978\u5981\u599D\u4F5E\u4FAB\u59A3\u59B2\u59C6\u59E8\u59DC\u598D\u59D9\u59DA\u5A25\u5A1F\u5A11\u5A1C\u5A09\u5A1A\u5A40\u5A6C\u5A49\u5A35\u5A36\u5A62\u5A6A\u5A9A\u5ABC\u5ABE\u5ACB\u5AC2\u5ABD\u5AE3\u5AD7\u5AE6\u5AE9\u5AD6\u5AFA\u5AFB\u5B0C\u5B0B\u5B16\u5B32\u5AD0\u5B2A\u5B36\u5B3E\u5B43\u5B45\u5B40\u5B51\u5B55\u5B5A\u5B5B\u5B65\u5B69\u5B70\u5B73\u5B75\u5B78\u6588\u5B7A\u5B80"],
      ["9b80", "\u5B83\u5BA6\u5BB8\u5BC3\u5BC7\u5BC9\u5BD4\u5BD0\u5BE4\u5BE6\u5BE2\u5BDE\u5BE5\u5BEB\u5BF0\u5BF6\u5BF3\u5C05\u5C07\u5C08\u5C0D\u5C13\u5C20\u5C22\u5C28\u5C38\u5C39\u5C41\u5C46\u5C4E\u5C53\u5C50\u5C4F\u5B71\u5C6C\u5C6E\u4E62\u5C76\u5C79\u5C8C\u5C91\u5C94\u599B\u5CAB\u5CBB\u5CB6\u5CBC\u5CB7\u5CC5\u5CBE\u5CC7\u5CD9\u5CE9\u5CFD\u5CFA\u5CED\u5D8C\u5CEA\u5D0B\u5D15\u5D17\u5D5C\u5D1F\u5D1B\u5D11\u5D14\u5D22\u5D1A\u5D19\u5D18\u5D4C\u5D52\u5D4E\u5D4B\u5D6C\u5D73\u5D76\u5D87\u5D84\u5D82\u5DA2\u5D9D\u5DAC\u5DAE\u5DBD\u5D90\u5DB7\u5DBC\u5DC9\u5DCD\u5DD3\u5DD2\u5DD6\u5DDB\u5DEB\u5DF2\u5DF5\u5E0B\u5E1A\u5E19\u5E11\u5E1B\u5E36\u5E37\u5E44\u5E43\u5E40\u5E4E\u5E57\u5E54\u5E5F\u5E62\u5E64\u5E47\u5E75\u5E76\u5E7A\u9EBC\u5E7F\u5EA0\u5EC1\u5EC2\u5EC8\u5ED0\u5ECF"],
      ["9c40", "\u5ED6\u5EE3\u5EDD\u5EDA\u5EDB\u5EE2\u5EE1\u5EE8\u5EE9\u5EEC\u5EF1\u5EF3\u5EF0\u5EF4\u5EF8\u5EFE\u5F03\u5F09\u5F5D\u5F5C\u5F0B\u5F11\u5F16\u5F29\u5F2D\u5F38\u5F41\u5F48\u5F4C\u5F4E\u5F2F\u5F51\u5F56\u5F57\u5F59\u5F61\u5F6D\u5F73\u5F77\u5F83\u5F82\u5F7F\u5F8A\u5F88\u5F91\u5F87\u5F9E\u5F99\u5F98\u5FA0\u5FA8\u5FAD\u5FBC\u5FD6\u5FFB\u5FE4\u5FF8\u5FF1\u5FDD\u60B3\u5FFF\u6021\u6060"],
      ["9c80", "\u6019\u6010\u6029\u600E\u6031\u601B\u6015\u602B\u6026\u600F\u603A\u605A\u6041\u606A\u6077\u605F\u604A\u6046\u604D\u6063\u6043\u6064\u6042\u606C\u606B\u6059\u6081\u608D\u60E7\u6083\u609A\u6084\u609B\u6096\u6097\u6092\u60A7\u608B\u60E1\u60B8\u60E0\u60D3\u60B4\u5FF0\u60BD\u60C6\u60B5\u60D8\u614D\u6115\u6106\u60F6\u60F7\u6100\u60F4\u60FA\u6103\u6121\u60FB\u60F1\u610D\u610E\u6147\u613E\u6128\u6127\u614A\u613F\u613C\u612C\u6134\u613D\u6142\u6144\u6173\u6177\u6158\u6159\u615A\u616B\u6174\u616F\u6165\u6171\u615F\u615D\u6153\u6175\u6199\u6196\u6187\u61AC\u6194\u619A\u618A\u6191\u61AB\u61AE\u61CC\u61CA\u61C9\u61F7\u61C8\u61C3\u61C6\u61BA\u61CB\u7F79\u61CD\u61E6\u61E3\u61F6\u61FA\u61F4\u61FF\u61FD\u61FC\u61FE\u6200\u6208\u6209\u620D\u620C\u6214\u621B"],
      ["9d40", "\u621E\u6221\u622A\u622E\u6230\u6232\u6233\u6241\u624E\u625E\u6263\u625B\u6260\u6268\u627C\u6282\u6289\u627E\u6292\u6293\u6296\u62D4\u6283\u6294\u62D7\u62D1\u62BB\u62CF\u62FF\u62C6\u64D4\u62C8\u62DC\u62CC\u62CA\u62C2\u62C7\u629B\u62C9\u630C\u62EE\u62F1\u6327\u6302\u6308\u62EF\u62F5\u6350\u633E\u634D\u641C\u634F\u6396\u638E\u6380\u63AB\u6376\u63A3\u638F\u6389\u639F\u63B5\u636B"],
      ["9d80", "\u6369\u63BE\u63E9\u63C0\u63C6\u63E3\u63C9\u63D2\u63F6\u63C4\u6416\u6434\u6406\u6413\u6426\u6436\u651D\u6417\u6428\u640F\u6467\u646F\u6476\u644E\u652A\u6495\u6493\u64A5\u64A9\u6488\u64BC\u64DA\u64D2\u64C5\u64C7\u64BB\u64D8\u64C2\u64F1\u64E7\u8209\u64E0\u64E1\u62AC\u64E3\u64EF\u652C\u64F6\u64F4\u64F2\u64FA\u6500\u64FD\u6518\u651C\u6505\u6524\u6523\u652B\u6534\u6535\u6537\u6536\u6538\u754B\u6548\u6556\u6555\u654D\u6558\u655E\u655D\u6572\u6578\u6582\u6583\u8B8A\u659B\u659F\u65AB\u65B7\u65C3\u65C6\u65C1\u65C4\u65CC\u65D2\u65DB\u65D9\u65E0\u65E1\u65F1\u6772\u660A\u6603\u65FB\u6773\u6635\u6636\u6634\u661C\u664F\u6644\u6649\u6641\u665E\u665D\u6664\u6667\u6668\u665F\u6662\u6670\u6683\u6688\u668E\u6689\u6684\u6698\u669D\u66C1\u66B9\u66C9\u66BE\u66BC"],
      ["9e40", "\u66C4\u66B8\u66D6\u66DA\u66E0\u663F\u66E6\u66E9\u66F0\u66F5\u66F7\u670F\u6716\u671E\u6726\u6727\u9738\u672E\u673F\u6736\u6741\u6738\u6737\u6746\u675E\u6760\u6759\u6763\u6764\u6789\u6770\u67A9\u677C\u676A\u678C\u678B\u67A6\u67A1\u6785\u67B7\u67EF\u67B4\u67EC\u67B3\u67E9\u67B8\u67E4\u67DE\u67DD\u67E2\u67EE\u67B9\u67CE\u67C6\u67E7\u6A9C\u681E\u6846\u6829\u6840\u684D\u6832\u684E"],
      ["9e80", "\u68B3\u682B\u6859\u6863\u6877\u687F\u689F\u688F\u68AD\u6894\u689D\u689B\u6883\u6AAE\u68B9\u6874\u68B5\u68A0\u68BA\u690F\u688D\u687E\u6901\u68CA\u6908\u68D8\u6922\u6926\u68E1\u690C\u68CD\u68D4\u68E7\u68D5\u6936\u6912\u6904\u68D7\u68E3\u6925\u68F9\u68E0\u68EF\u6928\u692A\u691A\u6923\u6921\u68C6\u6979\u6977\u695C\u6978\u696B\u6954\u697E\u696E\u6939\u6974\u693D\u6959\u6930\u6961\u695E\u695D\u6981\u696A\u69B2\u69AE\u69D0\u69BF\u69C1\u69D3\u69BE\u69CE\u5BE8\u69CA\u69DD\u69BB\u69C3\u69A7\u6A2E\u6991\u69A0\u699C\u6995\u69B4\u69DE\u69E8\u6A02\u6A1B\u69FF\u6B0A\u69F9\u69F2\u69E7\u6A05\u69B1\u6A1E\u69ED\u6A14\u69EB\u6A0A\u6A12\u6AC1\u6A23\u6A13\u6A44\u6A0C\u6A72\u6A36\u6A78\u6A47\u6A62\u6A59\u6A66\u6A48\u6A38\u6A22\u6A90\u6A8D\u6AA0\u6A84\u6AA2\u6AA3"],
      ["9f40", "\u6A97\u8617\u6ABB\u6AC3\u6AC2\u6AB8\u6AB3\u6AAC\u6ADE\u6AD1\u6ADF\u6AAA\u6ADA\u6AEA\u6AFB\u6B05\u8616\u6AFA\u6B12\u6B16\u9B31\u6B1F\u6B38\u6B37\u76DC\u6B39\u98EE\u6B47\u6B43\u6B49\u6B50\u6B59\u6B54\u6B5B\u6B5F\u6B61\u6B78\u6B79\u6B7F\u6B80\u6B84\u6B83\u6B8D\u6B98\u6B95\u6B9E\u6BA4\u6BAA\u6BAB\u6BAF\u6BB2\u6BB1\u6BB3\u6BB7\u6BBC\u6BC6\u6BCB\u6BD3\u6BDF\u6BEC\u6BEB\u6BF3\u6BEF"],
      ["9f80", "\u9EBE\u6C08\u6C13\u6C14\u6C1B\u6C24\u6C23\u6C5E\u6C55\u6C62\u6C6A\u6C82\u6C8D\u6C9A\u6C81\u6C9B\u6C7E\u6C68\u6C73\u6C92\u6C90\u6CC4\u6CF1\u6CD3\u6CBD\u6CD7\u6CC5\u6CDD\u6CAE\u6CB1\u6CBE\u6CBA\u6CDB\u6CEF\u6CD9\u6CEA\u6D1F\u884D\u6D36\u6D2B\u6D3D\u6D38\u6D19\u6D35\u6D33\u6D12\u6D0C\u6D63\u6D93\u6D64\u6D5A\u6D79\u6D59\u6D8E\u6D95\u6FE4\u6D85\u6DF9\u6E15\u6E0A\u6DB5\u6DC7\u6DE6\u6DB8\u6DC6\u6DEC\u6DDE\u6DCC\u6DE8\u6DD2\u6DC5\u6DFA\u6DD9\u6DE4\u6DD5\u6DEA\u6DEE\u6E2D\u6E6E\u6E2E\u6E19\u6E72\u6E5F\u6E3E\u6E23\u6E6B\u6E2B\u6E76\u6E4D\u6E1F\u6E43\u6E3A\u6E4E\u6E24\u6EFF\u6E1D\u6E38\u6E82\u6EAA\u6E98\u6EC9\u6EB7\u6ED3\u6EBD\u6EAF\u6EC4\u6EB2\u6ED4\u6ED5\u6E8F\u6EA5\u6EC2\u6E9F\u6F41\u6F11\u704C\u6EEC\u6EF8\u6EFE\u6F3F\u6EF2\u6F31\u6EEF\u6F32\u6ECC"],
      ["e040", "\u6F3E\u6F13\u6EF7\u6F86\u6F7A\u6F78\u6F81\u6F80\u6F6F\u6F5B\u6FF3\u6F6D\u6F82\u6F7C\u6F58\u6F8E\u6F91\u6FC2\u6F66\u6FB3\u6FA3\u6FA1\u6FA4\u6FB9\u6FC6\u6FAA\u6FDF\u6FD5\u6FEC\u6FD4\u6FD8\u6FF1\u6FEE\u6FDB\u7009\u700B\u6FFA\u7011\u7001\u700F\u6FFE\u701B\u701A\u6F74\u701D\u7018\u701F\u7030\u703E\u7032\u7051\u7063\u7099\u7092\u70AF\u70F1\u70AC\u70B8\u70B3\u70AE\u70DF\u70CB\u70DD"],
      ["e080", "\u70D9\u7109\u70FD\u711C\u7119\u7165\u7155\u7188\u7166\u7162\u714C\u7156\u716C\u718F\u71FB\u7184\u7195\u71A8\u71AC\u71D7\u71B9\u71BE\u71D2\u71C9\u71D4\u71CE\u71E0\u71EC\u71E7\u71F5\u71FC\u71F9\u71FF\u720D\u7210\u721B\u7228\u722D\u722C\u7230\u7232\u723B\u723C\u723F\u7240\u7246\u724B\u7258\u7274\u727E\u7282\u7281\u7287\u7292\u7296\u72A2\u72A7\u72B9\u72B2\u72C3\u72C6\u72C4\u72CE\u72D2\u72E2\u72E0\u72E1\u72F9\u72F7\u500F\u7317\u730A\u731C\u7316\u731D\u7334\u732F\u7329\u7325\u733E\u734E\u734F\u9ED8\u7357\u736A\u7368\u7370\u7378\u7375\u737B\u737A\u73C8\u73B3\u73CE\u73BB\u73C0\u73E5\u73EE\u73DE\u74A2\u7405\u746F\u7425\u73F8\u7432\u743A\u7455\u743F\u745F\u7459\u7441\u745C\u7469\u7470\u7463\u746A\u7476\u747E\u748B\u749E\u74A7\u74CA\u74CF\u74D4\u73F1"],
      ["e140", "\u74E0\u74E3\u74E7\u74E9\u74EE\u74F2\u74F0\u74F1\u74F8\u74F7\u7504\u7503\u7505\u750C\u750E\u750D\u7515\u7513\u751E\u7526\u752C\u753C\u7544\u754D\u754A\u7549\u755B\u7546\u755A\u7569\u7564\u7567\u756B\u756D\u7578\u7576\u7586\u7587\u7574\u758A\u7589\u7582\u7594\u759A\u759D\u75A5\u75A3\u75C2\u75B3\u75C3\u75B5\u75BD\u75B8\u75BC\u75B1\u75CD\u75CA\u75D2\u75D9\u75E3\u75DE\u75FE\u75FF"],
      ["e180", "\u75FC\u7601\u75F0\u75FA\u75F2\u75F3\u760B\u760D\u7609\u761F\u7627\u7620\u7621\u7622\u7624\u7634\u7630\u763B\u7647\u7648\u7646\u765C\u7658\u7661\u7662\u7668\u7669\u766A\u7667\u766C\u7670\u7672\u7676\u7678\u767C\u7680\u7683\u7688\u768B\u768E\u7696\u7693\u7699\u769A\u76B0\u76B4\u76B8\u76B9\u76BA\u76C2\u76CD\u76D6\u76D2\u76DE\u76E1\u76E5\u76E7\u76EA\u862F\u76FB\u7708\u7707\u7704\u7729\u7724\u771E\u7725\u7726\u771B\u7737\u7738\u7747\u775A\u7768\u776B\u775B\u7765\u777F\u777E\u7779\u778E\u778B\u7791\u77A0\u779E\u77B0\u77B6\u77B9\u77BF\u77BC\u77BD\u77BB\u77C7\u77CD\u77D7\u77DA\u77DC\u77E3\u77EE\u77FC\u780C\u7812\u7926\u7820\u792A\u7845\u788E\u7874\u7886\u787C\u789A\u788C\u78A3\u78B5\u78AA\u78AF\u78D1\u78C6\u78CB\u78D4\u78BE\u78BC\u78C5\u78CA\u78EC"],
      ["e240", "\u78E7\u78DA\u78FD\u78F4\u7907\u7912\u7911\u7919\u792C\u792B\u7940\u7960\u7957\u795F\u795A\u7955\u7953\u797A\u797F\u798A\u799D\u79A7\u9F4B\u79AA\u79AE\u79B3\u79B9\u79BA\u79C9\u79D5\u79E7\u79EC\u79E1\u79E3\u7A08\u7A0D\u7A18\u7A19\u7A20\u7A1F\u7980\u7A31\u7A3B\u7A3E\u7A37\u7A43\u7A57\u7A49\u7A61\u7A62\u7A69\u9F9D\u7A70\u7A79\u7A7D\u7A88\u7A97\u7A95\u7A98\u7A96\u7AA9\u7AC8\u7AB0"],
      ["e280", "\u7AB6\u7AC5\u7AC4\u7ABF\u9083\u7AC7\u7ACA\u7ACD\u7ACF\u7AD5\u7AD3\u7AD9\u7ADA\u7ADD\u7AE1\u7AE2\u7AE6\u7AED\u7AF0\u7B02\u7B0F\u7B0A\u7B06\u7B33\u7B18\u7B19\u7B1E\u7B35\u7B28\u7B36\u7B50\u7B7A\u7B04\u7B4D\u7B0B\u7B4C\u7B45\u7B75\u7B65\u7B74\u7B67\u7B70\u7B71\u7B6C\u7B6E\u7B9D\u7B98\u7B9F\u7B8D\u7B9C\u7B9A\u7B8B\u7B92\u7B8F\u7B5D\u7B99\u7BCB\u7BC1\u7BCC\u7BCF\u7BB4\u7BC6\u7BDD\u7BE9\u7C11\u7C14\u7BE6\u7BE5\u7C60\u7C00\u7C07\u7C13\u7BF3\u7BF7\u7C17\u7C0D\u7BF6\u7C23\u7C27\u7C2A\u7C1F\u7C37\u7C2B\u7C3D\u7C4C\u7C43\u7C54\u7C4F\u7C40\u7C50\u7C58\u7C5F\u7C64\u7C56\u7C65\u7C6C\u7C75\u7C83\u7C90\u7CA4\u7CAD\u7CA2\u7CAB\u7CA1\u7CA8\u7CB3\u7CB2\u7CB1\u7CAE\u7CB9\u7CBD\u7CC0\u7CC5\u7CC2\u7CD8\u7CD2\u7CDC\u7CE2\u9B3B\u7CEF\u7CF2\u7CF4\u7CF6\u7CFA\u7D06"],
      ["e340", "\u7D02\u7D1C\u7D15\u7D0A\u7D45\u7D4B\u7D2E\u7D32\u7D3F\u7D35\u7D46\u7D73\u7D56\u7D4E\u7D72\u7D68\u7D6E\u7D4F\u7D63\u7D93\u7D89\u7D5B\u7D8F\u7D7D\u7D9B\u7DBA\u7DAE\u7DA3\u7DB5\u7DC7\u7DBD\u7DAB\u7E3D\u7DA2\u7DAF\u7DDC\u7DB8\u7D9F\u7DB0\u7DD8\u7DDD\u7DE4\u7DDE\u7DFB\u7DF2\u7DE1\u7E05\u7E0A\u7E23\u7E21\u7E12\u7E31\u7E1F\u7E09\u7E0B\u7E22\u7E46\u7E66\u7E3B\u7E35\u7E39\u7E43\u7E37"],
      ["e380", "\u7E32\u7E3A\u7E67\u7E5D\u7E56\u7E5E\u7E59\u7E5A\u7E79\u7E6A\u7E69\u7E7C\u7E7B\u7E83\u7DD5\u7E7D\u8FAE\u7E7F\u7E88\u7E89\u7E8C\u7E92\u7E90\u7E93\u7E94\u7E96\u7E8E\u7E9B\u7E9C\u7F38\u7F3A\u7F45\u7F4C\u7F4D\u7F4E\u7F50\u7F51\u7F55\u7F54\u7F58\u7F5F\u7F60\u7F68\u7F69\u7F67\u7F78\u7F82\u7F86\u7F83\u7F88\u7F87\u7F8C\u7F94\u7F9E\u7F9D\u7F9A\u7FA3\u7FAF\u7FB2\u7FB9\u7FAE\u7FB6\u7FB8\u8B71\u7FC5\u7FC6\u7FCA\u7FD5\u7FD4\u7FE1\u7FE6\u7FE9\u7FF3\u7FF9\u98DC\u8006\u8004\u800B\u8012\u8018\u8019\u801C\u8021\u8028\u803F\u803B\u804A\u8046\u8052\u8058\u805A\u805F\u8062\u8068\u8073\u8072\u8070\u8076\u8079\u807D\u807F\u8084\u8086\u8085\u809B\u8093\u809A\u80AD\u5190\u80AC\u80DB\u80E5\u80D9\u80DD\u80C4\u80DA\u80D6\u8109\u80EF\u80F1\u811B\u8129\u8123\u812F\u814B"],
      ["e440", "\u968B\u8146\u813E\u8153\u8151\u80FC\u8171\u816E\u8165\u8166\u8174\u8183\u8188\u818A\u8180\u8182\u81A0\u8195\u81A4\u81A3\u815F\u8193\u81A9\u81B0\u81B5\u81BE\u81B8\u81BD\u81C0\u81C2\u81BA\u81C9\u81CD\u81D1\u81D9\u81D8\u81C8\u81DA\u81DF\u81E0\u81E7\u81FA\u81FB\u81FE\u8201\u8202\u8205\u8207\u820A\u820D\u8210\u8216\u8229\u822B\u8238\u8233\u8240\u8259\u8258\u825D\u825A\u825F\u8264"],
      ["e480", "\u8262\u8268\u826A\u826B\u822E\u8271\u8277\u8278\u827E\u828D\u8292\u82AB\u829F\u82BB\u82AC\u82E1\u82E3\u82DF\u82D2\u82F4\u82F3\u82FA\u8393\u8303\u82FB\u82F9\u82DE\u8306\u82DC\u8309\u82D9\u8335\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345\u832F\u832B\u8317\u8318\u8385\u839A\u83AA\u839F\u83A2\u8396\u8323\u838E\u8387\u838A\u837C\u83B5\u8373\u8375\u83A0\u8389\u83A8\u83F4\u8413\u83EB\u83CE\u83FD\u8403\u83D8\u840B\u83C1\u83F7\u8407\u83E0\u83F2\u840D\u8422\u8420\u83BD\u8438\u8506\u83FB\u846D\u842A\u843C\u855A\u8484\u8477\u846B\u84AD\u846E\u8482\u8469\u8446\u842C\u846F\u8479\u8435\u84CA\u8462\u84B9\u84BF\u849F\u84D9\u84CD\u84BB\u84DA\u84D0\u84C1\u84C6\u84D6\u84A1\u8521\u84FF\u84F4\u8517\u8518\u852C\u851F\u8515\u8514\u84FC\u8540\u8563\u8558\u8548"],
      ["e540", "\u8541\u8602\u854B\u8555\u8580\u85A4\u8588\u8591\u858A\u85A8\u856D\u8594\u859B\u85EA\u8587\u859C\u8577\u857E\u8590\u85C9\u85BA\u85CF\u85B9\u85D0\u85D5\u85DD\u85E5\u85DC\u85F9\u860A\u8613\u860B\u85FE\u85FA\u8606\u8622\u861A\u8630\u863F\u864D\u4E55\u8654\u865F\u8667\u8671\u8693\u86A3\u86A9\u86AA\u868B\u868C\u86B6\u86AF\u86C4\u86C6\u86B0\u86C9\u8823\u86AB\u86D4\u86DE\u86E9\u86EC"],
      ["e580", "\u86DF\u86DB\u86EF\u8712\u8706\u8708\u8700\u8703\u86FB\u8711\u8709\u870D\u86F9\u870A\u8734\u873F\u8737\u873B\u8725\u8729\u871A\u8760\u875F\u8778\u874C\u874E\u8774\u8757\u8768\u876E\u8759\u8753\u8763\u876A\u8805\u87A2\u879F\u8782\u87AF\u87CB\u87BD\u87C0\u87D0\u96D6\u87AB\u87C4\u87B3\u87C7\u87C6\u87BB\u87EF\u87F2\u87E0\u880F\u880D\u87FE\u87F6\u87F7\u880E\u87D2\u8811\u8816\u8815\u8822\u8821\u8831\u8836\u8839\u8827\u883B\u8844\u8842\u8852\u8859\u885E\u8862\u886B\u8881\u887E\u889E\u8875\u887D\u88B5\u8872\u8882\u8897\u8892\u88AE\u8899\u88A2\u888D\u88A4\u88B0\u88BF\u88B1\u88C3\u88C4\u88D4\u88D8\u88D9\u88DD\u88F9\u8902\u88FC\u88F4\u88E8\u88F2\u8904\u890C\u890A\u8913\u8943\u891E\u8925\u892A\u892B\u8941\u8944\u893B\u8936\u8938\u894C\u891D\u8960\u895E"],
      ["e640", "\u8966\u8964\u896D\u896A\u896F\u8974\u8977\u897E\u8983\u8988\u898A\u8993\u8998\u89A1\u89A9\u89A6\u89AC\u89AF\u89B2\u89BA\u89BD\u89BF\u89C0\u89DA\u89DC\u89DD\u89E7\u89F4\u89F8\u8A03\u8A16\u8A10\u8A0C\u8A1B\u8A1D\u8A25\u8A36\u8A41\u8A5B\u8A52\u8A46\u8A48\u8A7C\u8A6D\u8A6C\u8A62\u8A85\u8A82\u8A84\u8AA8\u8AA1\u8A91\u8AA5\u8AA6\u8A9A\u8AA3\u8AC4\u8ACD\u8AC2\u8ADA\u8AEB\u8AF3\u8AE7"],
      ["e680", "\u8AE4\u8AF1\u8B14\u8AE0\u8AE2\u8AF7\u8ADE\u8ADB\u8B0C\u8B07\u8B1A\u8AE1\u8B16\u8B10\u8B17\u8B20\u8B33\u97AB\u8B26\u8B2B\u8B3E\u8B28\u8B41\u8B4C\u8B4F\u8B4E\u8B49\u8B56\u8B5B\u8B5A\u8B6B\u8B5F\u8B6C\u8B6F\u8B74\u8B7D\u8B80\u8B8C\u8B8E\u8B92\u8B93\u8B96\u8B99\u8B9A\u8C3A\u8C41\u8C3F\u8C48\u8C4C\u8C4E\u8C50\u8C55\u8C62\u8C6C\u8C78\u8C7A\u8C82\u8C89\u8C85\u8C8A\u8C8D\u8C8E\u8C94\u8C7C\u8C98\u621D\u8CAD\u8CAA\u8CBD\u8CB2\u8CB3\u8CAE\u8CB6\u8CC8\u8CC1\u8CE4\u8CE3\u8CDA\u8CFD\u8CFA\u8CFB\u8D04\u8D05\u8D0A\u8D07\u8D0F\u8D0D\u8D10\u9F4E\u8D13\u8CCD\u8D14\u8D16\u8D67\u8D6D\u8D71\u8D73\u8D81\u8D99\u8DC2\u8DBE\u8DBA\u8DCF\u8DDA\u8DD6\u8DCC\u8DDB\u8DCB\u8DEA\u8DEB\u8DDF\u8DE3\u8DFC\u8E08\u8E09\u8DFF\u8E1D\u8E1E\u8E10\u8E1F\u8E42\u8E35\u8E30\u8E34\u8E4A"],
      ["e740", "\u8E47\u8E49\u8E4C\u8E50\u8E48\u8E59\u8E64\u8E60\u8E2A\u8E63\u8E55\u8E76\u8E72\u8E7C\u8E81\u8E87\u8E85\u8E84\u8E8B\u8E8A\u8E93\u8E91\u8E94\u8E99\u8EAA\u8EA1\u8EAC\u8EB0\u8EC6\u8EB1\u8EBE\u8EC5\u8EC8\u8ECB\u8EDB\u8EE3\u8EFC\u8EFB\u8EEB\u8EFE\u8F0A\u8F05\u8F15\u8F12\u8F19\u8F13\u8F1C\u8F1F\u8F1B\u8F0C\u8F26\u8F33\u8F3B\u8F39\u8F45\u8F42\u8F3E\u8F4C\u8F49\u8F46\u8F4E\u8F57\u8F5C"],
      ["e780", "\u8F62\u8F63\u8F64\u8F9C\u8F9F\u8FA3\u8FAD\u8FAF\u8FB7\u8FDA\u8FE5\u8FE2\u8FEA\u8FEF\u9087\u8FF4\u9005\u8FF9\u8FFA\u9011\u9015\u9021\u900D\u901E\u9016\u900B\u9027\u9036\u9035\u9039\u8FF8\u904F\u9050\u9051\u9052\u900E\u9049\u903E\u9056\u9058\u905E\u9068\u906F\u9076\u96A8\u9072\u9082\u907D\u9081\u9080\u908A\u9089\u908F\u90A8\u90AF\u90B1\u90B5\u90E2\u90E4\u6248\u90DB\u9102\u9112\u9119\u9132\u9130\u914A\u9156\u9158\u9163\u9165\u9169\u9173\u9172\u918B\u9189\u9182\u91A2\u91AB\u91AF\u91AA\u91B5\u91B4\u91BA\u91C0\u91C1\u91C9\u91CB\u91D0\u91D6\u91DF\u91E1\u91DB\u91FC\u91F5\u91F6\u921E\u91FF\u9214\u922C\u9215\u9211\u925E\u9257\u9245\u9249\u9264\u9248\u9295\u923F\u924B\u9250\u929C\u9296\u9293\u929B\u925A\u92CF\u92B9\u92B7\u92E9\u930F\u92FA\u9344\u932E"],
      ["e840", "\u9319\u9322\u931A\u9323\u933A\u9335\u933B\u935C\u9360\u937C\u936E\u9356\u93B0\u93AC\u93AD\u9394\u93B9\u93D6\u93D7\u93E8\u93E5\u93D8\u93C3\u93DD\u93D0\u93C8\u93E4\u941A\u9414\u9413\u9403\u9407\u9410\u9436\u942B\u9435\u9421\u943A\u9441\u9452\u9444\u945B\u9460\u9462\u945E\u946A\u9229\u9470\u9475\u9477\u947D\u945A\u947C\u947E\u9481\u947F\u9582\u9587\u958A\u9594\u9596\u9598\u9599"],
      ["e880", "\u95A0\u95A8\u95A7\u95AD\u95BC\u95BB\u95B9\u95BE\u95CA\u6FF6\u95C3\u95CD\u95CC\u95D5\u95D4\u95D6\u95DC\u95E1\u95E5\u95E2\u9621\u9628\u962E\u962F\u9642\u964C\u964F\u964B\u9677\u965C\u965E\u965D\u965F\u9666\u9672\u966C\u968D\u9698\u9695\u9697\u96AA\u96A7\u96B1\u96B2\u96B0\u96B4\u96B6\u96B8\u96B9\u96CE\u96CB\u96C9\u96CD\u894D\u96DC\u970D\u96D5\u96F9\u9704\u9706\u9708\u9713\u970E\u9711\u970F\u9716\u9719\u9724\u972A\u9730\u9739\u973D\u973E\u9744\u9746\u9748\u9742\u9749\u975C\u9760\u9764\u9766\u9768\u52D2\u976B\u9771\u9779\u9785\u977C\u9781\u977A\u9786\u978B\u978F\u9790\u979C\u97A8\u97A6\u97A3\u97B3\u97B4\u97C3\u97C6\u97C8\u97CB\u97DC\u97ED\u9F4F\u97F2\u7ADF\u97F6\u97F5\u980F\u980C\u9838\u9824\u9821\u9837\u983D\u9846\u984F\u984B\u986B\u986F\u9870"],
      ["e940", "\u9871\u9874\u9873\u98AA\u98AF\u98B1\u98B6\u98C4\u98C3\u98C6\u98E9\u98EB\u9903\u9909\u9912\u9914\u9918\u9921\u991D\u991E\u9924\u9920\u992C\u992E\u993D\u993E\u9942\u9949\u9945\u9950\u994B\u9951\u9952\u994C\u9955\u9997\u9998\u99A5\u99AD\u99AE\u99BC\u99DF\u99DB\u99DD\u99D8\u99D1\u99ED\u99EE\u99F1\u99F2\u99FB\u99F8\u9A01\u9A0F\u9A05\u99E2\u9A19\u9A2B\u9A37\u9A45\u9A42\u9A40\u9A43"],
      ["e980", "\u9A3E\u9A55\u9A4D\u9A5B\u9A57\u9A5F\u9A62\u9A65\u9A64\u9A69\u9A6B\u9A6A\u9AAD\u9AB0\u9ABC\u9AC0\u9ACF\u9AD1\u9AD3\u9AD4\u9ADE\u9ADF\u9AE2\u9AE3\u9AE6\u9AEF\u9AEB\u9AEE\u9AF4\u9AF1\u9AF7\u9AFB\u9B06\u9B18\u9B1A\u9B1F\u9B22\u9B23\u9B25\u9B27\u9B28\u9B29\u9B2A\u9B2E\u9B2F\u9B32\u9B44\u9B43\u9B4F\u9B4D\u9B4E\u9B51\u9B58\u9B74\u9B93\u9B83\u9B91\u9B96\u9B97\u9B9F\u9BA0\u9BA8\u9BB4\u9BC0\u9BCA\u9BB9\u9BC6\u9BCF\u9BD1\u9BD2\u9BE3\u9BE2\u9BE4\u9BD4\u9BE1\u9C3A\u9BF2\u9BF1\u9BF0\u9C15\u9C14\u9C09\u9C13\u9C0C\u9C06\u9C08\u9C12\u9C0A\u9C04\u9C2E\u9C1B\u9C25\u9C24\u9C21\u9C30\u9C47\u9C32\u9C46\u9C3E\u9C5A\u9C60\u9C67\u9C76\u9C78\u9CE7\u9CEC\u9CF0\u9D09\u9D08\u9CEB\u9D03\u9D06\u9D2A\u9D26\u9DAF\u9D23\u9D1F\u9D44\u9D15\u9D12\u9D41\u9D3F\u9D3E\u9D46\u9D48"],
      ["ea40", "\u9D5D\u9D5E\u9D64\u9D51\u9D50\u9D59\u9D72\u9D89\u9D87\u9DAB\u9D6F\u9D7A\u9D9A\u9DA4\u9DA9\u9DB2\u9DC4\u9DC1\u9DBB\u9DB8\u9DBA\u9DC6\u9DCF\u9DC2\u9DD9\u9DD3\u9DF8\u9DE6\u9DED\u9DEF\u9DFD\u9E1A\u9E1B\u9E1E\u9E75\u9E79\u9E7D\u9E81\u9E88\u9E8B\u9E8C\u9E92\u9E95\u9E91\u9E9D\u9EA5\u9EA9\u9EB8\u9EAA\u9EAD\u9761\u9ECC\u9ECE\u9ECF\u9ED0\u9ED4\u9EDC\u9EDE\u9EDD\u9EE0\u9EE5\u9EE8\u9EEF"],
      ["ea80", "\u9EF4\u9EF6\u9EF7\u9EF9\u9EFB\u9EFC\u9EFD\u9F07\u9F08\u76B7\u9F15\u9F21\u9F2C\u9F3E\u9F4A\u9F52\u9F54\u9F63\u9F5F\u9F60\u9F61\u9F66\u9F67\u9F6C\u9F6A\u9F77\u9F72\u9F76\u9F95\u9F9C\u9FA0\u582F\u69C7\u9059\u7464\u51DC\u7199"],
      ["ed40", "\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F"],
      ["ed80", "\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1"],
      ["ee40", "\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559"],
      ["ee80", "\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"],
      ["eeef", "\u2170", 9, "\uFFE2\uFFE4\uFF07\uFF02"],
      ["f040", "\uE000", 62],
      ["f080", "\uE03F", 124],
      ["f140", "\uE0BC", 62],
      ["f180", "\uE0FB", 124],
      ["f240", "\uE178", 62],
      ["f280", "\uE1B7", 124],
      ["f340", "\uE234", 62],
      ["f380", "\uE273", 124],
      ["f440", "\uE2F0", 62],
      ["f480", "\uE32F", 124],
      ["f540", "\uE3AC", 62],
      ["f580", "\uE3EB", 124],
      ["f640", "\uE468", 62],
      ["f680", "\uE4A7", 124],
      ["f740", "\uE524", 62],
      ["f780", "\uE563", 124],
      ["f840", "\uE5E0", 62],
      ["f880", "\uE61F", 124],
      ["f940", "\uE69C"],
      ["fa40", "\u2170", 9, "\u2160", 9, "\uFFE2\uFFE4\uFF07\uFF02\u3231\u2116\u2121\u2235\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A"],
      ["fa80", "\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F"],
      ["fb40", "\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19"],
      ["fb80", "\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9"],
      ["fc40", "\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/eucjp.json
var require_eucjp = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/eucjp.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["8ea1", "\uFF61", 62],
      ["a1a1", "\u3000\u3001\u3002\uFF0C\uFF0E\u30FB\uFF1A\uFF1B\uFF1F\uFF01\u309B\u309C\xB4\uFF40\xA8\uFF3E\uFFE3\uFF3F\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\u2015\u2010\uFF0F\uFF3C\uFF5E\u2225\uFF5C\u2026\u2025\u2018\u2019\u201C\u201D\uFF08\uFF09\u3014\u3015\uFF3B\uFF3D\uFF5B\uFF5D\u3008", 9, "\uFF0B\uFF0D\xB1\xD7\xF7\uFF1D\u2260\uFF1C\uFF1E\u2266\u2267\u221E\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFFE5\uFF04\uFFE0\uFFE1\uFF05\uFF03\uFF06\uFF0A\uFF20\xA7\u2606\u2605\u25CB\u25CF\u25CE\u25C7"],
      ["a2a1", "\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u203B\u3012\u2192\u2190\u2191\u2193\u3013"],
      ["a2ba", "\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229"],
      ["a2ca", "\u2227\u2228\uFFE2\u21D2\u21D4\u2200\u2203"],
      ["a2dc", "\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C"],
      ["a2f2", "\u212B\u2030\u266F\u266D\u266A\u2020\u2021\xB6"],
      ["a2fe", "\u25EF"],
      ["a3b0", "\uFF10", 9],
      ["a3c1", "\uFF21", 25],
      ["a3e1", "\uFF41", 25],
      ["a4a1", "\u3041", 82],
      ["a5a1", "\u30A1", 85],
      ["a6a1", "\u0391", 16, "\u03A3", 6],
      ["a6c1", "\u03B1", 16, "\u03C3", 6],
      ["a7a1", "\u0410", 5, "\u0401\u0416", 25],
      ["a7d1", "\u0430", 5, "\u0451\u0436", 25],
      ["a8a1", "\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542"],
      ["ada1", "\u2460", 19, "\u2160", 9],
      ["adc0", "\u3349\u3314\u3322\u334D\u3318\u3327\u3303\u3336\u3351\u3357\u330D\u3326\u3323\u332B\u334A\u333B\u339C\u339D\u339E\u338E\u338F\u33C4\u33A1"],
      ["addf", "\u337B\u301D\u301F\u2116\u33CD\u2121\u32A4", 4, "\u3231\u3232\u3239\u337E\u337D\u337C\u2252\u2261\u222B\u222E\u2211\u221A\u22A5\u2220\u221F\u22BF\u2235\u2229\u222A"],
      ["b0a1", "\u4E9C\u5516\u5A03\u963F\u54C0\u611B\u6328\u59F6\u9022\u8475\u831C\u7A50\u60AA\u63E1\u6E25\u65ED\u8466\u82A6\u9BF5\u6893\u5727\u65A1\u6271\u5B9B\u59D0\u867B\u98F4\u7D62\u7DBE\u9B8E\u6216\u7C9F\u88B7\u5B89\u5EB5\u6309\u6697\u6848\u95C7\u978D\u674F\u4EE5\u4F0A\u4F4D\u4F9D\u5049\u56F2\u5937\u59D4\u5A01\u5C09\u60DF\u610F\u6170\u6613\u6905\u70BA\u754F\u7570\u79FB\u7DAD\u7DEF\u80C3\u840E\u8863\u8B02\u9055\u907A\u533B\u4E95\u4EA5\u57DF\u80B2\u90C1\u78EF\u4E00\u58F1\u6EA2\u9038\u7A32\u8328\u828B\u9C2F\u5141\u5370\u54BD\u54E1\u56E0\u59FB\u5F15\u98F2\u6DEB\u80E4\u852D"],
      ["b1a1", "\u9662\u9670\u96A0\u97FB\u540B\u53F3\u5B87\u70CF\u7FBD\u8FC2\u96E8\u536F\u9D5C\u7ABA\u4E11\u7893\u81FC\u6E26\u5618\u5504\u6B1D\u851A\u9C3B\u59E5\u53A9\u6D66\u74DC\u958F\u5642\u4E91\u904B\u96F2\u834F\u990C\u53E1\u55B6\u5B30\u5F71\u6620\u66F3\u6804\u6C38\u6CF3\u6D29\u745B\u76C8\u7A4E\u9834\u82F1\u885B\u8A60\u92ED\u6DB2\u75AB\u76CA\u99C5\u60A6\u8B01\u8D8A\u95B2\u698E\u53AD\u5186\u5712\u5830\u5944\u5BB4\u5EF6\u6028\u63A9\u63F4\u6CBF\u6F14\u708E\u7114\u7159\u71D5\u733F\u7E01\u8276\u82D1\u8597\u9060\u925B\u9D1B\u5869\u65BC\u6C5A\u7525\u51F9\u592E\u5965\u5F80\u5FDC"],
      ["b2a1", "\u62BC\u65FA\u6A2A\u6B27\u6BB4\u738B\u7FC1\u8956\u9D2C\u9D0E\u9EC4\u5CA1\u6C96\u837B\u5104\u5C4B\u61B6\u81C6\u6876\u7261\u4E59\u4FFA\u5378\u6069\u6E29\u7A4F\u97F3\u4E0B\u5316\u4EEE\u4F55\u4F3D\u4FA1\u4F73\u52A0\u53EF\u5609\u590F\u5AC1\u5BB6\u5BE1\u79D1\u6687\u679C\u67B6\u6B4C\u6CB3\u706B\u73C2\u798D\u79BE\u7A3C\u7B87\u82B1\u82DB\u8304\u8377\u83EF\u83D3\u8766\u8AB2\u5629\u8CA8\u8FE6\u904E\u971E\u868A\u4FC4\u5CE8\u6211\u7259\u753B\u81E5\u82BD\u86FE\u8CC0\u96C5\u9913\u99D5\u4ECB\u4F1A\u89E3\u56DE\u584A\u58CA\u5EFB\u5FEB\u602A\u6094\u6062\u61D0\u6212\u62D0\u6539"],
      ["b3a1", "\u9B41\u6666\u68B0\u6D77\u7070\u754C\u7686\u7D75\u82A5\u87F9\u958B\u968E\u8C9D\u51F1\u52BE\u5916\u54B3\u5BB3\u5D16\u6168\u6982\u6DAF\u788D\u84CB\u8857\u8A72\u93A7\u9AB8\u6D6C\u99A8\u86D9\u57A3\u67FF\u86CE\u920E\u5283\u5687\u5404\u5ED3\u62E1\u64B9\u683C\u6838\u6BBB\u7372\u78BA\u7A6B\u899A\u89D2\u8D6B\u8F03\u90ED\u95A3\u9694\u9769\u5B66\u5CB3\u697D\u984D\u984E\u639B\u7B20\u6A2B\u6A7F\u68B6\u9C0D\u6F5F\u5272\u559D\u6070\u62EC\u6D3B\u6E07\u6ED1\u845B\u8910\u8F44\u4E14\u9C39\u53F6\u691B\u6A3A\u9784\u682A\u515C\u7AC3\u84B2\u91DC\u938C\u565B\u9D28\u6822\u8305\u8431"],
      ["b4a1", "\u7CA5\u5208\u82C5\u74E6\u4E7E\u4F83\u51A0\u5BD2\u520A\u52D8\u52E7\u5DFB\u559A\u582A\u59E6\u5B8C\u5B98\u5BDB\u5E72\u5E79\u60A3\u611F\u6163\u61BE\u63DB\u6562\u67D1\u6853\u68FA\u6B3E\u6B53\u6C57\u6F22\u6F97\u6F45\u74B0\u7518\u76E3\u770B\u7AFF\u7BA1\u7C21\u7DE9\u7F36\u7FF0\u809D\u8266\u839E\u89B3\u8ACC\u8CAB\u9084\u9451\u9593\u9591\u95A2\u9665\u97D3\u9928\u8218\u4E38\u542B\u5CB8\u5DCC\u73A9\u764C\u773C\u5CA9\u7FEB\u8D0B\u96C1\u9811\u9854\u9858\u4F01\u4F0E\u5371\u559C\u5668\u57FA\u5947\u5B09\u5BC4\u5C90\u5E0C\u5E7E\u5FCC\u63EE\u673A\u65D7\u65E2\u671F\u68CB\u68C4"],
      ["b5a1", "\u6A5F\u5E30\u6BC5\u6C17\u6C7D\u757F\u7948\u5B63\u7A00\u7D00\u5FBD\u898F\u8A18\u8CB4\u8D77\u8ECC\u8F1D\u98E2\u9A0E\u9B3C\u4E80\u507D\u5100\u5993\u5B9C\u622F\u6280\u64EC\u6B3A\u72A0\u7591\u7947\u7FA9\u87FB\u8ABC\u8B70\u63AC\u83CA\u97A0\u5409\u5403\u55AB\u6854\u6A58\u8A70\u7827\u6775\u9ECD\u5374\u5BA2\u811A\u8650\u9006\u4E18\u4E45\u4EC7\u4F11\u53CA\u5438\u5BAE\u5F13\u6025\u6551\u673D\u6C42\u6C72\u6CE3\u7078\u7403\u7A76\u7AAE\u7B08\u7D1A\u7CFE\u7D66\u65E7\u725B\u53BB\u5C45\u5DE8\u62D2\u62E0\u6319\u6E20\u865A\u8A31\u8DDD\u92F8\u6F01\u79A6\u9B5A\u4EA8\u4EAB\u4EAC"],
      ["b6a1", "\u4F9B\u4FA0\u50D1\u5147\u7AF6\u5171\u51F6\u5354\u5321\u537F\u53EB\u55AC\u5883\u5CE1\u5F37\u5F4A\u602F\u6050\u606D\u631F\u6559\u6A4B\u6CC1\u72C2\u72ED\u77EF\u80F8\u8105\u8208\u854E\u90F7\u93E1\u97FF\u9957\u9A5A\u4EF0\u51DD\u5C2D\u6681\u696D\u5C40\u66F2\u6975\u7389\u6850\u7C81\u50C5\u52E4\u5747\u5DFE\u9326\u65A4\u6B23\u6B3D\u7434\u7981\u79BD\u7B4B\u7DCA\u82B9\u83CC\u887F\u895F\u8B39\u8FD1\u91D1\u541F\u9280\u4E5D\u5036\u53E5\u533A\u72D7\u7396\u77E9\u82E6\u8EAF\u99C6\u99C8\u99D2\u5177\u611A\u865E\u55B0\u7A7A\u5076\u5BD3\u9047\u9685\u4E32\u6ADB\u91E7\u5C51\u5C48"],
      ["b7a1", "\u6398\u7A9F\u6C93\u9774\u8F61\u7AAA\u718A\u9688\u7C82\u6817\u7E70\u6851\u936C\u52F2\u541B\u85AB\u8A13\u7FA4\u8ECD\u90E1\u5366\u8888\u7941\u4FC2\u50BE\u5211\u5144\u5553\u572D\u73EA\u578B\u5951\u5F62\u5F84\u6075\u6176\u6167\u61A9\u63B2\u643A\u656C\u666F\u6842\u6E13\u7566\u7A3D\u7CFB\u7D4C\u7D99\u7E4B\u7F6B\u830E\u834A\u86CD\u8A08\u8A63\u8B66\u8EFD\u981A\u9D8F\u82B8\u8FCE\u9BE8\u5287\u621F\u6483\u6FC0\u9699\u6841\u5091\u6B20\u6C7A\u6F54\u7A74\u7D50\u8840\u8A23\u6708\u4EF6\u5039\u5026\u5065\u517C\u5238\u5263\u55A7\u570F\u5805\u5ACC\u5EFA\u61B2\u61F8\u62F3\u6372"],
      ["b8a1", "\u691C\u6A29\u727D\u72AC\u732E\u7814\u786F\u7D79\u770C\u80A9\u898B\u8B19\u8CE2\u8ED2\u9063\u9375\u967A\u9855\u9A13\u9E78\u5143\u539F\u53B3\u5E7B\u5F26\u6E1B\u6E90\u7384\u73FE\u7D43\u8237\u8A00\u8AFA\u9650\u4E4E\u500B\u53E4\u547C\u56FA\u59D1\u5B64\u5DF1\u5EAB\u5F27\u6238\u6545\u67AF\u6E56\u72D0\u7CCA\u88B4\u80A1\u80E1\u83F0\u864E\u8A87\u8DE8\u9237\u96C7\u9867\u9F13\u4E94\u4E92\u4F0D\u5348\u5449\u543E\u5A2F\u5F8C\u5FA1\u609F\u68A7\u6A8E\u745A\u7881\u8A9E\u8AA4\u8B77\u9190\u4E5E\u9BC9\u4EA4\u4F7C\u4FAF\u5019\u5016\u5149\u516C\u529F\u52B9\u52FE\u539A\u53E3\u5411"],
      ["b9a1", "\u540E\u5589\u5751\u57A2\u597D\u5B54\u5B5D\u5B8F\u5DE5\u5DE7\u5DF7\u5E78\u5E83\u5E9A\u5EB7\u5F18\u6052\u614C\u6297\u62D8\u63A7\u653B\u6602\u6643\u66F4\u676D\u6821\u6897\u69CB\u6C5F\u6D2A\u6D69\u6E2F\u6E9D\u7532\u7687\u786C\u7A3F\u7CE0\u7D05\u7D18\u7D5E\u7DB1\u8015\u8003\u80AF\u80B1\u8154\u818F\u822A\u8352\u884C\u8861\u8B1B\u8CA2\u8CFC\u90CA\u9175\u9271\u783F\u92FC\u95A4\u964D\u9805\u9999\u9AD8\u9D3B\u525B\u52AB\u53F7\u5408\u58D5\u62F7\u6FE0\u8C6A\u8F5F\u9EB9\u514B\u523B\u544A\u56FD\u7A40\u9177\u9D60\u9ED2\u7344\u6F09\u8170\u7511\u5FFD\u60DA\u9AA8\u72DB\u8FBC"],
      ["baa1", "\u6B64\u9803\u4ECA\u56F0\u5764\u58BE\u5A5A\u6068\u61C7\u660F\u6606\u6839\u68B1\u6DF7\u75D5\u7D3A\u826E\u9B42\u4E9B\u4F50\u53C9\u5506\u5D6F\u5DE6\u5DEE\u67FB\u6C99\u7473\u7802\u8A50\u9396\u88DF\u5750\u5EA7\u632B\u50B5\u50AC\u518D\u6700\u54C9\u585E\u59BB\u5BB0\u5F69\u624D\u63A1\u683D\u6B73\u6E08\u707D\u91C7\u7280\u7815\u7826\u796D\u658E\u7D30\u83DC\u88C1\u8F09\u969B\u5264\u5728\u6750\u7F6A\u8CA1\u51B4\u5742\u962A\u583A\u698A\u80B4\u54B2\u5D0E\u57FC\u7895\u9DFA\u4F5C\u524A\u548B\u643E\u6628\u6714\u67F5\u7A84\u7B56\u7D22\u932F\u685C\u9BAD\u7B39\u5319\u518A\u5237"],
      ["bba1", "\u5BDF\u62F6\u64AE\u64E6\u672D\u6BBA\u85A9\u96D1\u7690\u9BD6\u634C\u9306\u9BAB\u76BF\u6652\u4E09\u5098\u53C2\u5C71\u60E8\u6492\u6563\u685F\u71E6\u73CA\u7523\u7B97\u7E82\u8695\u8B83\u8CDB\u9178\u9910\u65AC\u66AB\u6B8B\u4ED5\u4ED4\u4F3A\u4F7F\u523A\u53F8\u53F2\u55E3\u56DB\u58EB\u59CB\u59C9\u59FF\u5B50\u5C4D\u5E02\u5E2B\u5FD7\u601D\u6307\u652F\u5B5C\u65AF\u65BD\u65E8\u679D\u6B62\u6B7B\u6C0F\u7345\u7949\u79C1\u7CF8\u7D19\u7D2B\u80A2\u8102\u81F3\u8996\u8A5E\u8A69\u8A66\u8A8C\u8AEE\u8CC7\u8CDC\u96CC\u98FC\u6B6F\u4E8B\u4F3C\u4F8D\u5150\u5B57\u5BFA\u6148\u6301\u6642"],
      ["bca1", "\u6B21\u6ECB\u6CBB\u723E\u74BD\u75D4\u78C1\u793A\u800C\u8033\u81EA\u8494\u8F9E\u6C50\u9E7F\u5F0F\u8B58\u9D2B\u7AFA\u8EF8\u5B8D\u96EB\u4E03\u53F1\u57F7\u5931\u5AC9\u5BA4\u6089\u6E7F\u6F06\u75BE\u8CEA\u5B9F\u8500\u7BE0\u5072\u67F4\u829D\u5C61\u854A\u7E1E\u820E\u5199\u5C04\u6368\u8D66\u659C\u716E\u793E\u7D17\u8005\u8B1D\u8ECA\u906E\u86C7\u90AA\u501F\u52FA\u5C3A\u6753\u707C\u7235\u914C\u91C8\u932B\u82E5\u5BC2\u5F31\u60F9\u4E3B\u53D6\u5B88\u624B\u6731\u6B8A\u72E9\u73E0\u7A2E\u816B\u8DA3\u9152\u9996\u5112\u53D7\u546A\u5BFF\u6388\u6A39\u7DAC\u9700\u56DA\u53CE\u5468"],
      ["bda1", "\u5B97\u5C31\u5DDE\u4FEE\u6101\u62FE\u6D32\u79C0\u79CB\u7D42\u7E4D\u7FD2\u81ED\u821F\u8490\u8846\u8972\u8B90\u8E74\u8F2F\u9031\u914B\u916C\u96C6\u919C\u4EC0\u4F4F\u5145\u5341\u5F93\u620E\u67D4\u6C41\u6E0B\u7363\u7E26\u91CD\u9283\u53D4\u5919\u5BBF\u6DD1\u795D\u7E2E\u7C9B\u587E\u719F\u51FA\u8853\u8FF0\u4FCA\u5CFB\u6625\u77AC\u7AE3\u821C\u99FF\u51C6\u5FAA\u65EC\u696F\u6B89\u6DF3\u6E96\u6F64\u76FE\u7D14\u5DE1\u9075\u9187\u9806\u51E6\u521D\u6240\u6691\u66D9\u6E1A\u5EB6\u7DD2\u7F72\u66F8\u85AF\u85F7\u8AF8\u52A9\u53D9\u5973\u5E8F\u5F90\u6055\u92E4\u9664\u50B7\u511F"],
      ["bea1", "\u52DD\u5320\u5347\u53EC\u54E8\u5546\u5531\u5617\u5968\u59BE\u5A3C\u5BB5\u5C06\u5C0F\u5C11\u5C1A\u5E84\u5E8A\u5EE0\u5F70\u627F\u6284\u62DB\u638C\u6377\u6607\u660C\u662D\u6676\u677E\u68A2\u6A1F\u6A35\u6CBC\u6D88\u6E09\u6E58\u713C\u7126\u7167\u75C7\u7701\u785D\u7901\u7965\u79F0\u7AE0\u7B11\u7CA7\u7D39\u8096\u83D6\u848B\u8549\u885D\u88F3\u8A1F\u8A3C\u8A54\u8A73\u8C61\u8CDE\u91A4\u9266\u937E\u9418\u969C\u9798\u4E0A\u4E08\u4E1E\u4E57\u5197\u5270\u57CE\u5834\u58CC\u5B22\u5E38\u60C5\u64FE\u6761\u6756\u6D44\u72B6\u7573\u7A63\u84B8\u8B72\u91B8\u9320\u5631\u57F4\u98FE"],
      ["bfa1", "\u62ED\u690D\u6B96\u71ED\u7E54\u8077\u8272\u89E6\u98DF\u8755\u8FB1\u5C3B\u4F38\u4FE1\u4FB5\u5507\u5A20\u5BDD\u5BE9\u5FC3\u614E\u632F\u65B0\u664B\u68EE\u699B\u6D78\u6DF1\u7533\u75B9\u771F\u795E\u79E6\u7D33\u81E3\u82AF\u85AA\u89AA\u8A3A\u8EAB\u8F9B\u9032\u91DD\u9707\u4EBA\u4EC1\u5203\u5875\u58EC\u5C0B\u751A\u5C3D\u814E\u8A0A\u8FC5\u9663\u976D\u7B25\u8ACF\u9808\u9162\u56F3\u53A8\u9017\u5439\u5782\u5E25\u63A8\u6C34\u708A\u7761\u7C8B\u7FE0\u8870\u9042\u9154\u9310\u9318\u968F\u745E\u9AC4\u5D07\u5D69\u6570\u67A2\u8DA8\u96DB\u636E\u6749\u6919\u83C5\u9817\u96C0\u88FE"],
      ["c0a1", "\u6F84\u647A\u5BF8\u4E16\u702C\u755D\u662F\u51C4\u5236\u52E2\u59D3\u5F81\u6027\u6210\u653F\u6574\u661F\u6674\u68F2\u6816\u6B63\u6E05\u7272\u751F\u76DB\u7CBE\u8056\u58F0\u88FD\u897F\u8AA0\u8A93\u8ACB\u901D\u9192\u9752\u9759\u6589\u7A0E\u8106\u96BB\u5E2D\u60DC\u621A\u65A5\u6614\u6790\u77F3\u7A4D\u7C4D\u7E3E\u810A\u8CAC\u8D64\u8DE1\u8E5F\u78A9\u5207\u62D9\u63A5\u6442\u6298\u8A2D\u7A83\u7BC0\u8AAC\u96EA\u7D76\u820C\u8749\u4ED9\u5148\u5343\u5360\u5BA3\u5C02\u5C16\u5DDD\u6226\u6247\u64B0\u6813\u6834\u6CC9\u6D45\u6D17\u67D3\u6F5C\u714E\u717D\u65CB\u7A7F\u7BAD\u7DDA"],
      ["c1a1", "\u7E4A\u7FA8\u817A\u821B\u8239\u85A6\u8A6E\u8CCE\u8DF5\u9078\u9077\u92AD\u9291\u9583\u9BAE\u524D\u5584\u6F38\u7136\u5168\u7985\u7E55\u81B3\u7CCE\u564C\u5851\u5CA8\u63AA\u66FE\u66FD\u695A\u72D9\u758F\u758E\u790E\u7956\u79DF\u7C97\u7D20\u7D44\u8607\u8A34\u963B\u9061\u9F20\u50E7\u5275\u53CC\u53E2\u5009\u55AA\u58EE\u594F\u723D\u5B8B\u5C64\u531D\u60E3\u60F3\u635C\u6383\u633F\u63BB\u64CD\u65E9\u66F9\u5DE3\u69CD\u69FD\u6F15\u71E5\u4E89\u75E9\u76F8\u7A93\u7CDF\u7DCF\u7D9C\u8061\u8349\u8358\u846C\u84BC\u85FB\u88C5\u8D70\u9001\u906D\u9397\u971C\u9A12\u50CF\u5897\u618E"],
      ["c2a1", "\u81D3\u8535\u8D08\u9020\u4FC3\u5074\u5247\u5373\u606F\u6349\u675F\u6E2C\u8DB3\u901F\u4FD7\u5C5E\u8CCA\u65CF\u7D9A\u5352\u8896\u5176\u63C3\u5B58\u5B6B\u5C0A\u640D\u6751\u905C\u4ED6\u591A\u592A\u6C70\u8A51\u553E\u5815\u59A5\u60F0\u6253\u67C1\u8235\u6955\u9640\u99C4\u9A28\u4F53\u5806\u5BFE\u8010\u5CB1\u5E2F\u5F85\u6020\u614B\u6234\u66FF\u6CF0\u6EDE\u80CE\u817F\u82D4\u888B\u8CB8\u9000\u902E\u968A\u9EDB\u9BDB\u4EE3\u53F0\u5927\u7B2C\u918D\u984C\u9DF9\u6EDD\u7027\u5353\u5544\u5B85\u6258\u629E\u62D3\u6CA2\u6FEF\u7422\u8A17\u9438\u6FC1\u8AFE\u8338\u51E7\u86F8\u53EA"],
      ["c3a1", "\u53E9\u4F46\u9054\u8FB0\u596A\u8131\u5DFD\u7AEA\u8FBF\u68DA\u8C37\u72F8\u9C48\u6A3D\u8AB0\u4E39\u5358\u5606\u5766\u62C5\u63A2\u65E6\u6B4E\u6DE1\u6E5B\u70AD\u77ED\u7AEF\u7BAA\u7DBB\u803D\u80C6\u86CB\u8A95\u935B\u56E3\u58C7\u5F3E\u65AD\u6696\u6A80\u6BB5\u7537\u8AC7\u5024\u77E5\u5730\u5F1B\u6065\u667A\u6C60\u75F4\u7A1A\u7F6E\u81F4\u8718\u9045\u99B3\u7BC9\u755C\u7AF9\u7B51\u84C4\u9010\u79E9\u7A92\u8336\u5AE1\u7740\u4E2D\u4EF2\u5B99\u5FE0\u62BD\u663C\u67F1\u6CE8\u866B\u8877\u8A3B\u914E\u92F3\u99D0\u6A17\u7026\u732A\u82E7\u8457\u8CAF\u4E01\u5146\u51CB\u558B\u5BF5"],
      ["c4a1", "\u5E16\u5E33\u5E81\u5F14\u5F35\u5F6B\u5FB4\u61F2\u6311\u66A2\u671D\u6F6E\u7252\u753A\u773A\u8074\u8139\u8178\u8776\u8ABF\u8ADC\u8D85\u8DF3\u929A\u9577\u9802\u9CE5\u52C5\u6357\u76F4\u6715\u6C88\u73CD\u8CC3\u93AE\u9673\u6D25\u589C\u690E\u69CC\u8FFD\u939A\u75DB\u901A\u585A\u6802\u63B4\u69FB\u4F43\u6F2C\u67D8\u8FBB\u8526\u7DB4\u9354\u693F\u6F70\u576A\u58F7\u5B2C\u7D2C\u722A\u540A\u91E3\u9DB4\u4EAD\u4F4E\u505C\u5075\u5243\u8C9E\u5448\u5824\u5B9A\u5E1D\u5E95\u5EAD\u5EF7\u5F1F\u608C\u62B5\u633A\u63D0\u68AF\u6C40\u7887\u798E\u7A0B\u7DE0\u8247\u8A02\u8AE6\u8E44\u9013"],
      ["c5a1", "\u90B8\u912D\u91D8\u9F0E\u6CE5\u6458\u64E2\u6575\u6EF4\u7684\u7B1B\u9069\u93D1\u6EBA\u54F2\u5FB9\u64A4\u8F4D\u8FED\u9244\u5178\u586B\u5929\u5C55\u5E97\u6DFB\u7E8F\u751C\u8CBC\u8EE2\u985B\u70B9\u4F1D\u6BBF\u6FB1\u7530\u96FB\u514E\u5410\u5835\u5857\u59AC\u5C60\u5F92\u6597\u675C\u6E21\u767B\u83DF\u8CED\u9014\u90FD\u934D\u7825\u783A\u52AA\u5EA6\u571F\u5974\u6012\u5012\u515A\u51AC\u51CD\u5200\u5510\u5854\u5858\u5957\u5B95\u5CF6\u5D8B\u60BC\u6295\u642D\u6771\u6843\u68BC\u68DF\u76D7\u6DD8\u6E6F\u6D9B\u706F\u71C8\u5F53\u75D8\u7977\u7B49\u7B54\u7B52\u7CD6\u7D71\u5230"],
      ["c6a1", "\u8463\u8569\u85E4\u8A0E\u8B04\u8C46\u8E0F\u9003\u900F\u9419\u9676\u982D\u9A30\u95D8\u50CD\u52D5\u540C\u5802\u5C0E\u61A7\u649E\u6D1E\u77B3\u7AE5\u80F4\u8404\u9053\u9285\u5CE0\u9D07\u533F\u5F97\u5FB3\u6D9C\u7279\u7763\u79BF\u7BE4\u6BD2\u72EC\u8AAD\u6803\u6A61\u51F8\u7A81\u6934\u5C4A\u9CF6\u82EB\u5BC5\u9149\u701E\u5678\u5C6F\u60C7\u6566\u6C8C\u8C5A\u9041\u9813\u5451\u66C7\u920D\u5948\u90A3\u5185\u4E4D\u51EA\u8599\u8B0E\u7058\u637A\u934B\u6962\u99B4\u7E04\u7577\u5357\u6960\u8EDF\u96E3\u6C5D\u4E8C\u5C3C\u5F10\u8FE9\u5302\u8CD1\u8089\u8679\u5EFF\u65E5\u4E73\u5165"],
      ["c7a1", "\u5982\u5C3F\u97EE\u4EFB\u598A\u5FCD\u8A8D\u6FE1\u79B0\u7962\u5BE7\u8471\u732B\u71B1\u5E74\u5FF5\u637B\u649A\u71C3\u7C98\u4E43\u5EFC\u4E4B\u57DC\u56A2\u60A9\u6FC3\u7D0D\u80FD\u8133\u81BF\u8FB2\u8997\u86A4\u5DF4\u628A\u64AD\u8987\u6777\u6CE2\u6D3E\u7436\u7834\u5A46\u7F75\u82AD\u99AC\u4FF3\u5EC3\u62DD\u6392\u6557\u676F\u76C3\u724C\u80CC\u80BA\u8F29\u914D\u500D\u57F9\u5A92\u6885\u6973\u7164\u72FD\u8CB7\u58F2\u8CE0\u966A\u9019\u877F\u79E4\u77E7\u8429\u4F2F\u5265\u535A\u62CD\u67CF\u6CCA\u767D\u7B94\u7C95\u8236\u8584\u8FEB\u66DD\u6F20\u7206\u7E1B\u83AB\u99C1\u9EA6"],
      ["c8a1", "\u51FD\u7BB1\u7872\u7BB8\u8087\u7B48\u6AE8\u5E61\u808C\u7551\u7560\u516B\u9262\u6E8C\u767A\u9197\u9AEA\u4F10\u7F70\u629C\u7B4F\u95A5\u9CE9\u567A\u5859\u86E4\u96BC\u4F34\u5224\u534A\u53CD\u53DB\u5E06\u642C\u6591\u677F\u6C3E\u6C4E\u7248\u72AF\u73ED\u7554\u7E41\u822C\u85E9\u8CA9\u7BC4\u91C6\u7169\u9812\u98EF\u633D\u6669\u756A\u76E4\u78D0\u8543\u86EE\u532A\u5351\u5426\u5983\u5E87\u5F7C\u60B2\u6249\u6279\u62AB\u6590\u6BD4\u6CCC\u75B2\u76AE\u7891\u79D8\u7DCB\u7F77\u80A5\u88AB\u8AB9\u8CBB\u907F\u975E\u98DB\u6A0B\u7C38\u5099\u5C3E\u5FAE\u6787\u6BD8\u7435\u7709\u7F8E"],
      ["c9a1", "\u9F3B\u67CA\u7A17\u5339\u758B\u9AED\u5F66\u819D\u83F1\u8098\u5F3C\u5FC5\u7562\u7B46\u903C\u6867\u59EB\u5A9B\u7D10\u767E\u8B2C\u4FF5\u5F6A\u6A19\u6C37\u6F02\u74E2\u7968\u8868\u8A55\u8C79\u5EDF\u63CF\u75C5\u79D2\u82D7\u9328\u92F2\u849C\u86ED\u9C2D\u54C1\u5F6C\u658C\u6D5C\u7015\u8CA7\u8CD3\u983B\u654F\u74F6\u4E0D\u4ED8\u57E0\u592B\u5A66\u5BCC\u51A8\u5E03\u5E9C\u6016\u6276\u6577\u65A7\u666E\u6D6E\u7236\u7B26\u8150\u819A\u8299\u8B5C\u8CA0\u8CE6\u8D74\u961C\u9644\u4FAE\u64AB\u6B66\u821E\u8461\u856A\u90E8\u5C01\u6953\u98A8\u847A\u8557\u4F0F\u526F\u5FA9\u5E45\u670D"],
      ["caa1", "\u798F\u8179\u8907\u8986\u6DF5\u5F17\u6255\u6CB8\u4ECF\u7269\u9B92\u5206\u543B\u5674\u58B3\u61A4\u626E\u711A\u596E\u7C89\u7CDE\u7D1B\u96F0\u6587\u805E\u4E19\u4F75\u5175\u5840\u5E63\u5E73\u5F0A\u67C4\u4E26\u853D\u9589\u965B\u7C73\u9801\u50FB\u58C1\u7656\u78A7\u5225\u77A5\u8511\u7B86\u504F\u5909\u7247\u7BC7\u7DE8\u8FBA\u8FD4\u904D\u4FBF\u52C9\u5A29\u5F01\u97AD\u4FDD\u8217\u92EA\u5703\u6355\u6B69\u752B\u88DC\u8F14\u7A42\u52DF\u5893\u6155\u620A\u66AE\u6BCD\u7C3F\u83E9\u5023\u4FF8\u5305\u5446\u5831\u5949\u5B9D\u5CF0\u5CEF\u5D29\u5E96\u62B1\u6367\u653E\u65B9\u670B"],
      ["cba1", "\u6CD5\u6CE1\u70F9\u7832\u7E2B\u80DE\u82B3\u840C\u84EC\u8702\u8912\u8A2A\u8C4A\u90A6\u92D2\u98FD\u9CF3\u9D6C\u4E4F\u4EA1\u508D\u5256\u574A\u59A8\u5E3D\u5FD8\u5FD9\u623F\u66B4\u671B\u67D0\u68D2\u5192\u7D21\u80AA\u81A8\u8B00\u8C8C\u8CBF\u927E\u9632\u5420\u982C\u5317\u50D5\u535C\u58A8\u64B2\u6734\u7267\u7766\u7A46\u91E6\u52C3\u6CA1\u6B86\u5800\u5E4C\u5954\u672C\u7FFB\u51E1\u76C6\u6469\u78E8\u9B54\u9EBB\u57CB\u59B9\u6627\u679A\u6BCE\u54E9\u69D9\u5E55\u819C\u6795\u9BAA\u67FE\u9C52\u685D\u4EA6\u4FE3\u53C8\u62B9\u672B\u6CAB\u8FC4\u4FAD\u7E6D\u9EBF\u4E07\u6162\u6E80"],
      ["cca1", "\u6F2B\u8513\u5473\u672A\u9B45\u5DF3\u7B95\u5CAC\u5BC6\u871C\u6E4A\u84D1\u7A14\u8108\u5999\u7C8D\u6C11\u7720\u52D9\u5922\u7121\u725F\u77DB\u9727\u9D61\u690B\u5A7F\u5A18\u51A5\u540D\u547D\u660E\u76DF\u8FF7\u9298\u9CF4\u59EA\u725D\u6EC5\u514D\u68C9\u7DBF\u7DEC\u9762\u9EBA\u6478\u6A21\u8302\u5984\u5B5F\u6BDB\u731B\u76F2\u7DB2\u8017\u8499\u5132\u6728\u9ED9\u76EE\u6762\u52FF\u9905\u5C24\u623B\u7C7E\u8CB0\u554F\u60B6\u7D0B\u9580\u5301\u4E5F\u51B6\u591C\u723A\u8036\u91CE\u5F25\u77E2\u5384\u5F79\u7D04\u85AC\u8A33\u8E8D\u9756\u67F3\u85AE\u9453\u6109\u6108\u6CB9\u7652"],
      ["cda1", "\u8AED\u8F38\u552F\u4F51\u512A\u52C7\u53CB\u5BA5\u5E7D\u60A0\u6182\u63D6\u6709\u67DA\u6E67\u6D8C\u7336\u7337\u7531\u7950\u88D5\u8A98\u904A\u9091\u90F5\u96C4\u878D\u5915\u4E88\u4F59\u4E0E\u8A89\u8F3F\u9810\u50AD\u5E7C\u5996\u5BB9\u5EB8\u63DA\u63FA\u64C1\u66DC\u694A\u69D8\u6D0B\u6EB6\u7194\u7528\u7AAF\u7F8A\u8000\u8449\u84C9\u8981\u8B21\u8E0A\u9065\u967D\u990A\u617E\u6291\u6B32\u6C83\u6D74\u7FCC\u7FFC\u6DC0\u7F85\u87BA\u88F8\u6765\u83B1\u983C\u96F7\u6D1B\u7D61\u843D\u916A\u4E71\u5375\u5D50\u6B04\u6FEB\u85CD\u862D\u89A7\u5229\u540F\u5C65\u674E\u68A8\u7406\u7483"],
      ["cea1", "\u75E2\u88CF\u88E1\u91CC\u96E2\u9678\u5F8B\u7387\u7ACB\u844E\u63A0\u7565\u5289\u6D41\u6E9C\u7409\u7559\u786B\u7C92\u9686\u7ADC\u9F8D\u4FB6\u616E\u65C5\u865C\u4E86\u4EAE\u50DA\u4E21\u51CC\u5BEE\u6599\u6881\u6DBC\u731F\u7642\u77AD\u7A1C\u7CE7\u826F\u8AD2\u907C\u91CF\u9675\u9818\u529B\u7DD1\u502B\u5398\u6797\u6DCB\u71D0\u7433\u81E8\u8F2A\u96A3\u9C57\u9E9F\u7460\u5841\u6D99\u7D2F\u985E\u4EE4\u4F36\u4F8B\u51B7\u52B1\u5DBA\u601C\u73B2\u793C\u82D3\u9234\u96B7\u96F6\u970A\u9E97\u9F62\u66A6\u6B74\u5217\u52A3\u70C8\u88C2\u5EC9\u604B\u6190\u6F23\u7149\u7C3E\u7DF4\u806F"],
      ["cfa1", "\u84EE\u9023\u932C\u5442\u9B6F\u6AD3\u7089\u8CC2\u8DEF\u9732\u52B4\u5A41\u5ECA\u5F04\u6717\u697C\u6994\u6D6A\u6F0F\u7262\u72FC\u7BED\u8001\u807E\u874B\u90CE\u516D\u9E93\u7984\u808B\u9332\u8AD6\u502D\u548C\u8A71\u6B6A\u8CC4\u8107\u60D1\u67A0\u9DF2\u4E99\u4E98\u9C10\u8A6B\u85C1\u8568\u6900\u6E7E\u7897\u8155"],
      ["d0a1", "\u5F0C\u4E10\u4E15\u4E2A\u4E31\u4E36\u4E3C\u4E3F\u4E42\u4E56\u4E58\u4E82\u4E85\u8C6B\u4E8A\u8212\u5F0D\u4E8E\u4E9E\u4E9F\u4EA0\u4EA2\u4EB0\u4EB3\u4EB6\u4ECE\u4ECD\u4EC4\u4EC6\u4EC2\u4ED7\u4EDE\u4EED\u4EDF\u4EF7\u4F09\u4F5A\u4F30\u4F5B\u4F5D\u4F57\u4F47\u4F76\u4F88\u4F8F\u4F98\u4F7B\u4F69\u4F70\u4F91\u4F6F\u4F86\u4F96\u5118\u4FD4\u4FDF\u4FCE\u4FD8\u4FDB\u4FD1\u4FDA\u4FD0\u4FE4\u4FE5\u501A\u5028\u5014\u502A\u5025\u5005\u4F1C\u4FF6\u5021\u5029\u502C\u4FFE\u4FEF\u5011\u5006\u5043\u5047\u6703\u5055\u5050\u5048\u505A\u5056\u506C\u5078\u5080\u509A\u5085\u50B4\u50B2"],
      ["d1a1", "\u50C9\u50CA\u50B3\u50C2\u50D6\u50DE\u50E5\u50ED\u50E3\u50EE\u50F9\u50F5\u5109\u5101\u5102\u5116\u5115\u5114\u511A\u5121\u513A\u5137\u513C\u513B\u513F\u5140\u5152\u514C\u5154\u5162\u7AF8\u5169\u516A\u516E\u5180\u5182\u56D8\u518C\u5189\u518F\u5191\u5193\u5195\u5196\u51A4\u51A6\u51A2\u51A9\u51AA\u51AB\u51B3\u51B1\u51B2\u51B0\u51B5\u51BD\u51C5\u51C9\u51DB\u51E0\u8655\u51E9\u51ED\u51F0\u51F5\u51FE\u5204\u520B\u5214\u520E\u5227\u522A\u522E\u5233\u5239\u524F\u5244\u524B\u524C\u525E\u5254\u526A\u5274\u5269\u5273\u527F\u527D\u528D\u5294\u5292\u5271\u5288\u5291\u8FA8"],
      ["d2a1", "\u8FA7\u52AC\u52AD\u52BC\u52B5\u52C1\u52CD\u52D7\u52DE\u52E3\u52E6\u98ED\u52E0\u52F3\u52F5\u52F8\u52F9\u5306\u5308\u7538\u530D\u5310\u530F\u5315\u531A\u5323\u532F\u5331\u5333\u5338\u5340\u5346\u5345\u4E17\u5349\u534D\u51D6\u535E\u5369\u536E\u5918\u537B\u5377\u5382\u5396\u53A0\u53A6\u53A5\u53AE\u53B0\u53B6\u53C3\u7C12\u96D9\u53DF\u66FC\u71EE\u53EE\u53E8\u53ED\u53FA\u5401\u543D\u5440\u542C\u542D\u543C\u542E\u5436\u5429\u541D\u544E\u548F\u5475\u548E\u545F\u5471\u5477\u5470\u5492\u547B\u5480\u5476\u5484\u5490\u5486\u54C7\u54A2\u54B8\u54A5\u54AC\u54C4\u54C8\u54A8"],
      ["d3a1", "\u54AB\u54C2\u54A4\u54BE\u54BC\u54D8\u54E5\u54E6\u550F\u5514\u54FD\u54EE\u54ED\u54FA\u54E2\u5539\u5540\u5563\u554C\u552E\u555C\u5545\u5556\u5557\u5538\u5533\u555D\u5599\u5580\u54AF\u558A\u559F\u557B\u557E\u5598\u559E\u55AE\u557C\u5583\u55A9\u5587\u55A8\u55DA\u55C5\u55DF\u55C4\u55DC\u55E4\u55D4\u5614\u55F7\u5616\u55FE\u55FD\u561B\u55F9\u564E\u5650\u71DF\u5634\u5636\u5632\u5638\u566B\u5664\u562F\u566C\u566A\u5686\u5680\u568A\u56A0\u5694\u568F\u56A5\u56AE\u56B6\u56B4\u56C2\u56BC\u56C1\u56C3\u56C0\u56C8\u56CE\u56D1\u56D3\u56D7\u56EE\u56F9\u5700\u56FF\u5704\u5709"],
      ["d4a1", "\u5708\u570B\u570D\u5713\u5718\u5716\u55C7\u571C\u5726\u5737\u5738\u574E\u573B\u5740\u574F\u5769\u57C0\u5788\u5761\u577F\u5789\u5793\u57A0\u57B3\u57A4\u57AA\u57B0\u57C3\u57C6\u57D4\u57D2\u57D3\u580A\u57D6\u57E3\u580B\u5819\u581D\u5872\u5821\u5862\u584B\u5870\u6BC0\u5852\u583D\u5879\u5885\u58B9\u589F\u58AB\u58BA\u58DE\u58BB\u58B8\u58AE\u58C5\u58D3\u58D1\u58D7\u58D9\u58D8\u58E5\u58DC\u58E4\u58DF\u58EF\u58FA\u58F9\u58FB\u58FC\u58FD\u5902\u590A\u5910\u591B\u68A6\u5925\u592C\u592D\u5932\u5938\u593E\u7AD2\u5955\u5950\u594E\u595A\u5958\u5962\u5960\u5967\u596C\u5969"],
      ["d5a1", "\u5978\u5981\u599D\u4F5E\u4FAB\u59A3\u59B2\u59C6\u59E8\u59DC\u598D\u59D9\u59DA\u5A25\u5A1F\u5A11\u5A1C\u5A09\u5A1A\u5A40\u5A6C\u5A49\u5A35\u5A36\u5A62\u5A6A\u5A9A\u5ABC\u5ABE\u5ACB\u5AC2\u5ABD\u5AE3\u5AD7\u5AE6\u5AE9\u5AD6\u5AFA\u5AFB\u5B0C\u5B0B\u5B16\u5B32\u5AD0\u5B2A\u5B36\u5B3E\u5B43\u5B45\u5B40\u5B51\u5B55\u5B5A\u5B5B\u5B65\u5B69\u5B70\u5B73\u5B75\u5B78\u6588\u5B7A\u5B80\u5B83\u5BA6\u5BB8\u5BC3\u5BC7\u5BC9\u5BD4\u5BD0\u5BE4\u5BE6\u5BE2\u5BDE\u5BE5\u5BEB\u5BF0\u5BF6\u5BF3\u5C05\u5C07\u5C08\u5C0D\u5C13\u5C20\u5C22\u5C28\u5C38\u5C39\u5C41\u5C46\u5C4E\u5C53"],
      ["d6a1", "\u5C50\u5C4F\u5B71\u5C6C\u5C6E\u4E62\u5C76\u5C79\u5C8C\u5C91\u5C94\u599B\u5CAB\u5CBB\u5CB6\u5CBC\u5CB7\u5CC5\u5CBE\u5CC7\u5CD9\u5CE9\u5CFD\u5CFA\u5CED\u5D8C\u5CEA\u5D0B\u5D15\u5D17\u5D5C\u5D1F\u5D1B\u5D11\u5D14\u5D22\u5D1A\u5D19\u5D18\u5D4C\u5D52\u5D4E\u5D4B\u5D6C\u5D73\u5D76\u5D87\u5D84\u5D82\u5DA2\u5D9D\u5DAC\u5DAE\u5DBD\u5D90\u5DB7\u5DBC\u5DC9\u5DCD\u5DD3\u5DD2\u5DD6\u5DDB\u5DEB\u5DF2\u5DF5\u5E0B\u5E1A\u5E19\u5E11\u5E1B\u5E36\u5E37\u5E44\u5E43\u5E40\u5E4E\u5E57\u5E54\u5E5F\u5E62\u5E64\u5E47\u5E75\u5E76\u5E7A\u9EBC\u5E7F\u5EA0\u5EC1\u5EC2\u5EC8\u5ED0\u5ECF"],
      ["d7a1", "\u5ED6\u5EE3\u5EDD\u5EDA\u5EDB\u5EE2\u5EE1\u5EE8\u5EE9\u5EEC\u5EF1\u5EF3\u5EF0\u5EF4\u5EF8\u5EFE\u5F03\u5F09\u5F5D\u5F5C\u5F0B\u5F11\u5F16\u5F29\u5F2D\u5F38\u5F41\u5F48\u5F4C\u5F4E\u5F2F\u5F51\u5F56\u5F57\u5F59\u5F61\u5F6D\u5F73\u5F77\u5F83\u5F82\u5F7F\u5F8A\u5F88\u5F91\u5F87\u5F9E\u5F99\u5F98\u5FA0\u5FA8\u5FAD\u5FBC\u5FD6\u5FFB\u5FE4\u5FF8\u5FF1\u5FDD\u60B3\u5FFF\u6021\u6060\u6019\u6010\u6029\u600E\u6031\u601B\u6015\u602B\u6026\u600F\u603A\u605A\u6041\u606A\u6077\u605F\u604A\u6046\u604D\u6063\u6043\u6064\u6042\u606C\u606B\u6059\u6081\u608D\u60E7\u6083\u609A"],
      ["d8a1", "\u6084\u609B\u6096\u6097\u6092\u60A7\u608B\u60E1\u60B8\u60E0\u60D3\u60B4\u5FF0\u60BD\u60C6\u60B5\u60D8\u614D\u6115\u6106\u60F6\u60F7\u6100\u60F4\u60FA\u6103\u6121\u60FB\u60F1\u610D\u610E\u6147\u613E\u6128\u6127\u614A\u613F\u613C\u612C\u6134\u613D\u6142\u6144\u6173\u6177\u6158\u6159\u615A\u616B\u6174\u616F\u6165\u6171\u615F\u615D\u6153\u6175\u6199\u6196\u6187\u61AC\u6194\u619A\u618A\u6191\u61AB\u61AE\u61CC\u61CA\u61C9\u61F7\u61C8\u61C3\u61C6\u61BA\u61CB\u7F79\u61CD\u61E6\u61E3\u61F6\u61FA\u61F4\u61FF\u61FD\u61FC\u61FE\u6200\u6208\u6209\u620D\u620C\u6214\u621B"],
      ["d9a1", "\u621E\u6221\u622A\u622E\u6230\u6232\u6233\u6241\u624E\u625E\u6263\u625B\u6260\u6268\u627C\u6282\u6289\u627E\u6292\u6293\u6296\u62D4\u6283\u6294\u62D7\u62D1\u62BB\u62CF\u62FF\u62C6\u64D4\u62C8\u62DC\u62CC\u62CA\u62C2\u62C7\u629B\u62C9\u630C\u62EE\u62F1\u6327\u6302\u6308\u62EF\u62F5\u6350\u633E\u634D\u641C\u634F\u6396\u638E\u6380\u63AB\u6376\u63A3\u638F\u6389\u639F\u63B5\u636B\u6369\u63BE\u63E9\u63C0\u63C6\u63E3\u63C9\u63D2\u63F6\u63C4\u6416\u6434\u6406\u6413\u6426\u6436\u651D\u6417\u6428\u640F\u6467\u646F\u6476\u644E\u652A\u6495\u6493\u64A5\u64A9\u6488\u64BC"],
      ["daa1", "\u64DA\u64D2\u64C5\u64C7\u64BB\u64D8\u64C2\u64F1\u64E7\u8209\u64E0\u64E1\u62AC\u64E3\u64EF\u652C\u64F6\u64F4\u64F2\u64FA\u6500\u64FD\u6518\u651C\u6505\u6524\u6523\u652B\u6534\u6535\u6537\u6536\u6538\u754B\u6548\u6556\u6555\u654D\u6558\u655E\u655D\u6572\u6578\u6582\u6583\u8B8A\u659B\u659F\u65AB\u65B7\u65C3\u65C6\u65C1\u65C4\u65CC\u65D2\u65DB\u65D9\u65E0\u65E1\u65F1\u6772\u660A\u6603\u65FB\u6773\u6635\u6636\u6634\u661C\u664F\u6644\u6649\u6641\u665E\u665D\u6664\u6667\u6668\u665F\u6662\u6670\u6683\u6688\u668E\u6689\u6684\u6698\u669D\u66C1\u66B9\u66C9\u66BE\u66BC"],
      ["dba1", "\u66C4\u66B8\u66D6\u66DA\u66E0\u663F\u66E6\u66E9\u66F0\u66F5\u66F7\u670F\u6716\u671E\u6726\u6727\u9738\u672E\u673F\u6736\u6741\u6738\u6737\u6746\u675E\u6760\u6759\u6763\u6764\u6789\u6770\u67A9\u677C\u676A\u678C\u678B\u67A6\u67A1\u6785\u67B7\u67EF\u67B4\u67EC\u67B3\u67E9\u67B8\u67E4\u67DE\u67DD\u67E2\u67EE\u67B9\u67CE\u67C6\u67E7\u6A9C\u681E\u6846\u6829\u6840\u684D\u6832\u684E\u68B3\u682B\u6859\u6863\u6877\u687F\u689F\u688F\u68AD\u6894\u689D\u689B\u6883\u6AAE\u68B9\u6874\u68B5\u68A0\u68BA\u690F\u688D\u687E\u6901\u68CA\u6908\u68D8\u6922\u6926\u68E1\u690C\u68CD"],
      ["dca1", "\u68D4\u68E7\u68D5\u6936\u6912\u6904\u68D7\u68E3\u6925\u68F9\u68E0\u68EF\u6928\u692A\u691A\u6923\u6921\u68C6\u6979\u6977\u695C\u6978\u696B\u6954\u697E\u696E\u6939\u6974\u693D\u6959\u6930\u6961\u695E\u695D\u6981\u696A\u69B2\u69AE\u69D0\u69BF\u69C1\u69D3\u69BE\u69CE\u5BE8\u69CA\u69DD\u69BB\u69C3\u69A7\u6A2E\u6991\u69A0\u699C\u6995\u69B4\u69DE\u69E8\u6A02\u6A1B\u69FF\u6B0A\u69F9\u69F2\u69E7\u6A05\u69B1\u6A1E\u69ED\u6A14\u69EB\u6A0A\u6A12\u6AC1\u6A23\u6A13\u6A44\u6A0C\u6A72\u6A36\u6A78\u6A47\u6A62\u6A59\u6A66\u6A48\u6A38\u6A22\u6A90\u6A8D\u6AA0\u6A84\u6AA2\u6AA3"],
      ["dda1", "\u6A97\u8617\u6ABB\u6AC3\u6AC2\u6AB8\u6AB3\u6AAC\u6ADE\u6AD1\u6ADF\u6AAA\u6ADA\u6AEA\u6AFB\u6B05\u8616\u6AFA\u6B12\u6B16\u9B31\u6B1F\u6B38\u6B37\u76DC\u6B39\u98EE\u6B47\u6B43\u6B49\u6B50\u6B59\u6B54\u6B5B\u6B5F\u6B61\u6B78\u6B79\u6B7F\u6B80\u6B84\u6B83\u6B8D\u6B98\u6B95\u6B9E\u6BA4\u6BAA\u6BAB\u6BAF\u6BB2\u6BB1\u6BB3\u6BB7\u6BBC\u6BC6\u6BCB\u6BD3\u6BDF\u6BEC\u6BEB\u6BF3\u6BEF\u9EBE\u6C08\u6C13\u6C14\u6C1B\u6C24\u6C23\u6C5E\u6C55\u6C62\u6C6A\u6C82\u6C8D\u6C9A\u6C81\u6C9B\u6C7E\u6C68\u6C73\u6C92\u6C90\u6CC4\u6CF1\u6CD3\u6CBD\u6CD7\u6CC5\u6CDD\u6CAE\u6CB1\u6CBE"],
      ["dea1", "\u6CBA\u6CDB\u6CEF\u6CD9\u6CEA\u6D1F\u884D\u6D36\u6D2B\u6D3D\u6D38\u6D19\u6D35\u6D33\u6D12\u6D0C\u6D63\u6D93\u6D64\u6D5A\u6D79\u6D59\u6D8E\u6D95\u6FE4\u6D85\u6DF9\u6E15\u6E0A\u6DB5\u6DC7\u6DE6\u6DB8\u6DC6\u6DEC\u6DDE\u6DCC\u6DE8\u6DD2\u6DC5\u6DFA\u6DD9\u6DE4\u6DD5\u6DEA\u6DEE\u6E2D\u6E6E\u6E2E\u6E19\u6E72\u6E5F\u6E3E\u6E23\u6E6B\u6E2B\u6E76\u6E4D\u6E1F\u6E43\u6E3A\u6E4E\u6E24\u6EFF\u6E1D\u6E38\u6E82\u6EAA\u6E98\u6EC9\u6EB7\u6ED3\u6EBD\u6EAF\u6EC4\u6EB2\u6ED4\u6ED5\u6E8F\u6EA5\u6EC2\u6E9F\u6F41\u6F11\u704C\u6EEC\u6EF8\u6EFE\u6F3F\u6EF2\u6F31\u6EEF\u6F32\u6ECC"],
      ["dfa1", "\u6F3E\u6F13\u6EF7\u6F86\u6F7A\u6F78\u6F81\u6F80\u6F6F\u6F5B\u6FF3\u6F6D\u6F82\u6F7C\u6F58\u6F8E\u6F91\u6FC2\u6F66\u6FB3\u6FA3\u6FA1\u6FA4\u6FB9\u6FC6\u6FAA\u6FDF\u6FD5\u6FEC\u6FD4\u6FD8\u6FF1\u6FEE\u6FDB\u7009\u700B\u6FFA\u7011\u7001\u700F\u6FFE\u701B\u701A\u6F74\u701D\u7018\u701F\u7030\u703E\u7032\u7051\u7063\u7099\u7092\u70AF\u70F1\u70AC\u70B8\u70B3\u70AE\u70DF\u70CB\u70DD\u70D9\u7109\u70FD\u711C\u7119\u7165\u7155\u7188\u7166\u7162\u714C\u7156\u716C\u718F\u71FB\u7184\u7195\u71A8\u71AC\u71D7\u71B9\u71BE\u71D2\u71C9\u71D4\u71CE\u71E0\u71EC\u71E7\u71F5\u71FC"],
      ["e0a1", "\u71F9\u71FF\u720D\u7210\u721B\u7228\u722D\u722C\u7230\u7232\u723B\u723C\u723F\u7240\u7246\u724B\u7258\u7274\u727E\u7282\u7281\u7287\u7292\u7296\u72A2\u72A7\u72B9\u72B2\u72C3\u72C6\u72C4\u72CE\u72D2\u72E2\u72E0\u72E1\u72F9\u72F7\u500F\u7317\u730A\u731C\u7316\u731D\u7334\u732F\u7329\u7325\u733E\u734E\u734F\u9ED8\u7357\u736A\u7368\u7370\u7378\u7375\u737B\u737A\u73C8\u73B3\u73CE\u73BB\u73C0\u73E5\u73EE\u73DE\u74A2\u7405\u746F\u7425\u73F8\u7432\u743A\u7455\u743F\u745F\u7459\u7441\u745C\u7469\u7470\u7463\u746A\u7476\u747E\u748B\u749E\u74A7\u74CA\u74CF\u74D4\u73F1"],
      ["e1a1", "\u74E0\u74E3\u74E7\u74E9\u74EE\u74F2\u74F0\u74F1\u74F8\u74F7\u7504\u7503\u7505\u750C\u750E\u750D\u7515\u7513\u751E\u7526\u752C\u753C\u7544\u754D\u754A\u7549\u755B\u7546\u755A\u7569\u7564\u7567\u756B\u756D\u7578\u7576\u7586\u7587\u7574\u758A\u7589\u7582\u7594\u759A\u759D\u75A5\u75A3\u75C2\u75B3\u75C3\u75B5\u75BD\u75B8\u75BC\u75B1\u75CD\u75CA\u75D2\u75D9\u75E3\u75DE\u75FE\u75FF\u75FC\u7601\u75F0\u75FA\u75F2\u75F3\u760B\u760D\u7609\u761F\u7627\u7620\u7621\u7622\u7624\u7634\u7630\u763B\u7647\u7648\u7646\u765C\u7658\u7661\u7662\u7668\u7669\u766A\u7667\u766C\u7670"],
      ["e2a1", "\u7672\u7676\u7678\u767C\u7680\u7683\u7688\u768B\u768E\u7696\u7693\u7699\u769A\u76B0\u76B4\u76B8\u76B9\u76BA\u76C2\u76CD\u76D6\u76D2\u76DE\u76E1\u76E5\u76E7\u76EA\u862F\u76FB\u7708\u7707\u7704\u7729\u7724\u771E\u7725\u7726\u771B\u7737\u7738\u7747\u775A\u7768\u776B\u775B\u7765\u777F\u777E\u7779\u778E\u778B\u7791\u77A0\u779E\u77B0\u77B6\u77B9\u77BF\u77BC\u77BD\u77BB\u77C7\u77CD\u77D7\u77DA\u77DC\u77E3\u77EE\u77FC\u780C\u7812\u7926\u7820\u792A\u7845\u788E\u7874\u7886\u787C\u789A\u788C\u78A3\u78B5\u78AA\u78AF\u78D1\u78C6\u78CB\u78D4\u78BE\u78BC\u78C5\u78CA\u78EC"],
      ["e3a1", "\u78E7\u78DA\u78FD\u78F4\u7907\u7912\u7911\u7919\u792C\u792B\u7940\u7960\u7957\u795F\u795A\u7955\u7953\u797A\u797F\u798A\u799D\u79A7\u9F4B\u79AA\u79AE\u79B3\u79B9\u79BA\u79C9\u79D5\u79E7\u79EC\u79E1\u79E3\u7A08\u7A0D\u7A18\u7A19\u7A20\u7A1F\u7980\u7A31\u7A3B\u7A3E\u7A37\u7A43\u7A57\u7A49\u7A61\u7A62\u7A69\u9F9D\u7A70\u7A79\u7A7D\u7A88\u7A97\u7A95\u7A98\u7A96\u7AA9\u7AC8\u7AB0\u7AB6\u7AC5\u7AC4\u7ABF\u9083\u7AC7\u7ACA\u7ACD\u7ACF\u7AD5\u7AD3\u7AD9\u7ADA\u7ADD\u7AE1\u7AE2\u7AE6\u7AED\u7AF0\u7B02\u7B0F\u7B0A\u7B06\u7B33\u7B18\u7B19\u7B1E\u7B35\u7B28\u7B36\u7B50"],
      ["e4a1", "\u7B7A\u7B04\u7B4D\u7B0B\u7B4C\u7B45\u7B75\u7B65\u7B74\u7B67\u7B70\u7B71\u7B6C\u7B6E\u7B9D\u7B98\u7B9F\u7B8D\u7B9C\u7B9A\u7B8B\u7B92\u7B8F\u7B5D\u7B99\u7BCB\u7BC1\u7BCC\u7BCF\u7BB4\u7BC6\u7BDD\u7BE9\u7C11\u7C14\u7BE6\u7BE5\u7C60\u7C00\u7C07\u7C13\u7BF3\u7BF7\u7C17\u7C0D\u7BF6\u7C23\u7C27\u7C2A\u7C1F\u7C37\u7C2B\u7C3D\u7C4C\u7C43\u7C54\u7C4F\u7C40\u7C50\u7C58\u7C5F\u7C64\u7C56\u7C65\u7C6C\u7C75\u7C83\u7C90\u7CA4\u7CAD\u7CA2\u7CAB\u7CA1\u7CA8\u7CB3\u7CB2\u7CB1\u7CAE\u7CB9\u7CBD\u7CC0\u7CC5\u7CC2\u7CD8\u7CD2\u7CDC\u7CE2\u9B3B\u7CEF\u7CF2\u7CF4\u7CF6\u7CFA\u7D06"],
      ["e5a1", "\u7D02\u7D1C\u7D15\u7D0A\u7D45\u7D4B\u7D2E\u7D32\u7D3F\u7D35\u7D46\u7D73\u7D56\u7D4E\u7D72\u7D68\u7D6E\u7D4F\u7D63\u7D93\u7D89\u7D5B\u7D8F\u7D7D\u7D9B\u7DBA\u7DAE\u7DA3\u7DB5\u7DC7\u7DBD\u7DAB\u7E3D\u7DA2\u7DAF\u7DDC\u7DB8\u7D9F\u7DB0\u7DD8\u7DDD\u7DE4\u7DDE\u7DFB\u7DF2\u7DE1\u7E05\u7E0A\u7E23\u7E21\u7E12\u7E31\u7E1F\u7E09\u7E0B\u7E22\u7E46\u7E66\u7E3B\u7E35\u7E39\u7E43\u7E37\u7E32\u7E3A\u7E67\u7E5D\u7E56\u7E5E\u7E59\u7E5A\u7E79\u7E6A\u7E69\u7E7C\u7E7B\u7E83\u7DD5\u7E7D\u8FAE\u7E7F\u7E88\u7E89\u7E8C\u7E92\u7E90\u7E93\u7E94\u7E96\u7E8E\u7E9B\u7E9C\u7F38\u7F3A"],
      ["e6a1", "\u7F45\u7F4C\u7F4D\u7F4E\u7F50\u7F51\u7F55\u7F54\u7F58\u7F5F\u7F60\u7F68\u7F69\u7F67\u7F78\u7F82\u7F86\u7F83\u7F88\u7F87\u7F8C\u7F94\u7F9E\u7F9D\u7F9A\u7FA3\u7FAF\u7FB2\u7FB9\u7FAE\u7FB6\u7FB8\u8B71\u7FC5\u7FC6\u7FCA\u7FD5\u7FD4\u7FE1\u7FE6\u7FE9\u7FF3\u7FF9\u98DC\u8006\u8004\u800B\u8012\u8018\u8019\u801C\u8021\u8028\u803F\u803B\u804A\u8046\u8052\u8058\u805A\u805F\u8062\u8068\u8073\u8072\u8070\u8076\u8079\u807D\u807F\u8084\u8086\u8085\u809B\u8093\u809A\u80AD\u5190\u80AC\u80DB\u80E5\u80D9\u80DD\u80C4\u80DA\u80D6\u8109\u80EF\u80F1\u811B\u8129\u8123\u812F\u814B"],
      ["e7a1", "\u968B\u8146\u813E\u8153\u8151\u80FC\u8171\u816E\u8165\u8166\u8174\u8183\u8188\u818A\u8180\u8182\u81A0\u8195\u81A4\u81A3\u815F\u8193\u81A9\u81B0\u81B5\u81BE\u81B8\u81BD\u81C0\u81C2\u81BA\u81C9\u81CD\u81D1\u81D9\u81D8\u81C8\u81DA\u81DF\u81E0\u81E7\u81FA\u81FB\u81FE\u8201\u8202\u8205\u8207\u820A\u820D\u8210\u8216\u8229\u822B\u8238\u8233\u8240\u8259\u8258\u825D\u825A\u825F\u8264\u8262\u8268\u826A\u826B\u822E\u8271\u8277\u8278\u827E\u828D\u8292\u82AB\u829F\u82BB\u82AC\u82E1\u82E3\u82DF\u82D2\u82F4\u82F3\u82FA\u8393\u8303\u82FB\u82F9\u82DE\u8306\u82DC\u8309\u82D9"],
      ["e8a1", "\u8335\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345\u832F\u832B\u8317\u8318\u8385\u839A\u83AA\u839F\u83A2\u8396\u8323\u838E\u8387\u838A\u837C\u83B5\u8373\u8375\u83A0\u8389\u83A8\u83F4\u8413\u83EB\u83CE\u83FD\u8403\u83D8\u840B\u83C1\u83F7\u8407\u83E0\u83F2\u840D\u8422\u8420\u83BD\u8438\u8506\u83FB\u846D\u842A\u843C\u855A\u8484\u8477\u846B\u84AD\u846E\u8482\u8469\u8446\u842C\u846F\u8479\u8435\u84CA\u8462\u84B9\u84BF\u849F\u84D9\u84CD\u84BB\u84DA\u84D0\u84C1\u84C6\u84D6\u84A1\u8521\u84FF\u84F4\u8517\u8518\u852C\u851F\u8515\u8514\u84FC\u8540\u8563\u8558\u8548"],
      ["e9a1", "\u8541\u8602\u854B\u8555\u8580\u85A4\u8588\u8591\u858A\u85A8\u856D\u8594\u859B\u85EA\u8587\u859C\u8577\u857E\u8590\u85C9\u85BA\u85CF\u85B9\u85D0\u85D5\u85DD\u85E5\u85DC\u85F9\u860A\u8613\u860B\u85FE\u85FA\u8606\u8622\u861A\u8630\u863F\u864D\u4E55\u8654\u865F\u8667\u8671\u8693\u86A3\u86A9\u86AA\u868B\u868C\u86B6\u86AF\u86C4\u86C6\u86B0\u86C9\u8823\u86AB\u86D4\u86DE\u86E9\u86EC\u86DF\u86DB\u86EF\u8712\u8706\u8708\u8700\u8703\u86FB\u8711\u8709\u870D\u86F9\u870A\u8734\u873F\u8737\u873B\u8725\u8729\u871A\u8760\u875F\u8778\u874C\u874E\u8774\u8757\u8768\u876E\u8759"],
      ["eaa1", "\u8753\u8763\u876A\u8805\u87A2\u879F\u8782\u87AF\u87CB\u87BD\u87C0\u87D0\u96D6\u87AB\u87C4\u87B3\u87C7\u87C6\u87BB\u87EF\u87F2\u87E0\u880F\u880D\u87FE\u87F6\u87F7\u880E\u87D2\u8811\u8816\u8815\u8822\u8821\u8831\u8836\u8839\u8827\u883B\u8844\u8842\u8852\u8859\u885E\u8862\u886B\u8881\u887E\u889E\u8875\u887D\u88B5\u8872\u8882\u8897\u8892\u88AE\u8899\u88A2\u888D\u88A4\u88B0\u88BF\u88B1\u88C3\u88C4\u88D4\u88D8\u88D9\u88DD\u88F9\u8902\u88FC\u88F4\u88E8\u88F2\u8904\u890C\u890A\u8913\u8943\u891E\u8925\u892A\u892B\u8941\u8944\u893B\u8936\u8938\u894C\u891D\u8960\u895E"],
      ["eba1", "\u8966\u8964\u896D\u896A\u896F\u8974\u8977\u897E\u8983\u8988\u898A\u8993\u8998\u89A1\u89A9\u89A6\u89AC\u89AF\u89B2\u89BA\u89BD\u89BF\u89C0\u89DA\u89DC\u89DD\u89E7\u89F4\u89F8\u8A03\u8A16\u8A10\u8A0C\u8A1B\u8A1D\u8A25\u8A36\u8A41\u8A5B\u8A52\u8A46\u8A48\u8A7C\u8A6D\u8A6C\u8A62\u8A85\u8A82\u8A84\u8AA8\u8AA1\u8A91\u8AA5\u8AA6\u8A9A\u8AA3\u8AC4\u8ACD\u8AC2\u8ADA\u8AEB\u8AF3\u8AE7\u8AE4\u8AF1\u8B14\u8AE0\u8AE2\u8AF7\u8ADE\u8ADB\u8B0C\u8B07\u8B1A\u8AE1\u8B16\u8B10\u8B17\u8B20\u8B33\u97AB\u8B26\u8B2B\u8B3E\u8B28\u8B41\u8B4C\u8B4F\u8B4E\u8B49\u8B56\u8B5B\u8B5A\u8B6B"],
      ["eca1", "\u8B5F\u8B6C\u8B6F\u8B74\u8B7D\u8B80\u8B8C\u8B8E\u8B92\u8B93\u8B96\u8B99\u8B9A\u8C3A\u8C41\u8C3F\u8C48\u8C4C\u8C4E\u8C50\u8C55\u8C62\u8C6C\u8C78\u8C7A\u8C82\u8C89\u8C85\u8C8A\u8C8D\u8C8E\u8C94\u8C7C\u8C98\u621D\u8CAD\u8CAA\u8CBD\u8CB2\u8CB3\u8CAE\u8CB6\u8CC8\u8CC1\u8CE4\u8CE3\u8CDA\u8CFD\u8CFA\u8CFB\u8D04\u8D05\u8D0A\u8D07\u8D0F\u8D0D\u8D10\u9F4E\u8D13\u8CCD\u8D14\u8D16\u8D67\u8D6D\u8D71\u8D73\u8D81\u8D99\u8DC2\u8DBE\u8DBA\u8DCF\u8DDA\u8DD6\u8DCC\u8DDB\u8DCB\u8DEA\u8DEB\u8DDF\u8DE3\u8DFC\u8E08\u8E09\u8DFF\u8E1D\u8E1E\u8E10\u8E1F\u8E42\u8E35\u8E30\u8E34\u8E4A"],
      ["eda1", "\u8E47\u8E49\u8E4C\u8E50\u8E48\u8E59\u8E64\u8E60\u8E2A\u8E63\u8E55\u8E76\u8E72\u8E7C\u8E81\u8E87\u8E85\u8E84\u8E8B\u8E8A\u8E93\u8E91\u8E94\u8E99\u8EAA\u8EA1\u8EAC\u8EB0\u8EC6\u8EB1\u8EBE\u8EC5\u8EC8\u8ECB\u8EDB\u8EE3\u8EFC\u8EFB\u8EEB\u8EFE\u8F0A\u8F05\u8F15\u8F12\u8F19\u8F13\u8F1C\u8F1F\u8F1B\u8F0C\u8F26\u8F33\u8F3B\u8F39\u8F45\u8F42\u8F3E\u8F4C\u8F49\u8F46\u8F4E\u8F57\u8F5C\u8F62\u8F63\u8F64\u8F9C\u8F9F\u8FA3\u8FAD\u8FAF\u8FB7\u8FDA\u8FE5\u8FE2\u8FEA\u8FEF\u9087\u8FF4\u9005\u8FF9\u8FFA\u9011\u9015\u9021\u900D\u901E\u9016\u900B\u9027\u9036\u9035\u9039\u8FF8"],
      ["eea1", "\u904F\u9050\u9051\u9052\u900E\u9049\u903E\u9056\u9058\u905E\u9068\u906F\u9076\u96A8\u9072\u9082\u907D\u9081\u9080\u908A\u9089\u908F\u90A8\u90AF\u90B1\u90B5\u90E2\u90E4\u6248\u90DB\u9102\u9112\u9119\u9132\u9130\u914A\u9156\u9158\u9163\u9165\u9169\u9173\u9172\u918B\u9189\u9182\u91A2\u91AB\u91AF\u91AA\u91B5\u91B4\u91BA\u91C0\u91C1\u91C9\u91CB\u91D0\u91D6\u91DF\u91E1\u91DB\u91FC\u91F5\u91F6\u921E\u91FF\u9214\u922C\u9215\u9211\u925E\u9257\u9245\u9249\u9264\u9248\u9295\u923F\u924B\u9250\u929C\u9296\u9293\u929B\u925A\u92CF\u92B9\u92B7\u92E9\u930F\u92FA\u9344\u932E"],
      ["efa1", "\u9319\u9322\u931A\u9323\u933A\u9335\u933B\u935C\u9360\u937C\u936E\u9356\u93B0\u93AC\u93AD\u9394\u93B9\u93D6\u93D7\u93E8\u93E5\u93D8\u93C3\u93DD\u93D0\u93C8\u93E4\u941A\u9414\u9413\u9403\u9407\u9410\u9436\u942B\u9435\u9421\u943A\u9441\u9452\u9444\u945B\u9460\u9462\u945E\u946A\u9229\u9470\u9475\u9477\u947D\u945A\u947C\u947E\u9481\u947F\u9582\u9587\u958A\u9594\u9596\u9598\u9599\u95A0\u95A8\u95A7\u95AD\u95BC\u95BB\u95B9\u95BE\u95CA\u6FF6\u95C3\u95CD\u95CC\u95D5\u95D4\u95D6\u95DC\u95E1\u95E5\u95E2\u9621\u9628\u962E\u962F\u9642\u964C\u964F\u964B\u9677\u965C\u965E"],
      ["f0a1", "\u965D\u965F\u9666\u9672\u966C\u968D\u9698\u9695\u9697\u96AA\u96A7\u96B1\u96B2\u96B0\u96B4\u96B6\u96B8\u96B9\u96CE\u96CB\u96C9\u96CD\u894D\u96DC\u970D\u96D5\u96F9\u9704\u9706\u9708\u9713\u970E\u9711\u970F\u9716\u9719\u9724\u972A\u9730\u9739\u973D\u973E\u9744\u9746\u9748\u9742\u9749\u975C\u9760\u9764\u9766\u9768\u52D2\u976B\u9771\u9779\u9785\u977C\u9781\u977A\u9786\u978B\u978F\u9790\u979C\u97A8\u97A6\u97A3\u97B3\u97B4\u97C3\u97C6\u97C8\u97CB\u97DC\u97ED\u9F4F\u97F2\u7ADF\u97F6\u97F5\u980F\u980C\u9838\u9824\u9821\u9837\u983D\u9846\u984F\u984B\u986B\u986F\u9870"],
      ["f1a1", "\u9871\u9874\u9873\u98AA\u98AF\u98B1\u98B6\u98C4\u98C3\u98C6\u98E9\u98EB\u9903\u9909\u9912\u9914\u9918\u9921\u991D\u991E\u9924\u9920\u992C\u992E\u993D\u993E\u9942\u9949\u9945\u9950\u994B\u9951\u9952\u994C\u9955\u9997\u9998\u99A5\u99AD\u99AE\u99BC\u99DF\u99DB\u99DD\u99D8\u99D1\u99ED\u99EE\u99F1\u99F2\u99FB\u99F8\u9A01\u9A0F\u9A05\u99E2\u9A19\u9A2B\u9A37\u9A45\u9A42\u9A40\u9A43\u9A3E\u9A55\u9A4D\u9A5B\u9A57\u9A5F\u9A62\u9A65\u9A64\u9A69\u9A6B\u9A6A\u9AAD\u9AB0\u9ABC\u9AC0\u9ACF\u9AD1\u9AD3\u9AD4\u9ADE\u9ADF\u9AE2\u9AE3\u9AE6\u9AEF\u9AEB\u9AEE\u9AF4\u9AF1\u9AF7"],
      ["f2a1", "\u9AFB\u9B06\u9B18\u9B1A\u9B1F\u9B22\u9B23\u9B25\u9B27\u9B28\u9B29\u9B2A\u9B2E\u9B2F\u9B32\u9B44\u9B43\u9B4F\u9B4D\u9B4E\u9B51\u9B58\u9B74\u9B93\u9B83\u9B91\u9B96\u9B97\u9B9F\u9BA0\u9BA8\u9BB4\u9BC0\u9BCA\u9BB9\u9BC6\u9BCF\u9BD1\u9BD2\u9BE3\u9BE2\u9BE4\u9BD4\u9BE1\u9C3A\u9BF2\u9BF1\u9BF0\u9C15\u9C14\u9C09\u9C13\u9C0C\u9C06\u9C08\u9C12\u9C0A\u9C04\u9C2E\u9C1B\u9C25\u9C24\u9C21\u9C30\u9C47\u9C32\u9C46\u9C3E\u9C5A\u9C60\u9C67\u9C76\u9C78\u9CE7\u9CEC\u9CF0\u9D09\u9D08\u9CEB\u9D03\u9D06\u9D2A\u9D26\u9DAF\u9D23\u9D1F\u9D44\u9D15\u9D12\u9D41\u9D3F\u9D3E\u9D46\u9D48"],
      ["f3a1", "\u9D5D\u9D5E\u9D64\u9D51\u9D50\u9D59\u9D72\u9D89\u9D87\u9DAB\u9D6F\u9D7A\u9D9A\u9DA4\u9DA9\u9DB2\u9DC4\u9DC1\u9DBB\u9DB8\u9DBA\u9DC6\u9DCF\u9DC2\u9DD9\u9DD3\u9DF8\u9DE6\u9DED\u9DEF\u9DFD\u9E1A\u9E1B\u9E1E\u9E75\u9E79\u9E7D\u9E81\u9E88\u9E8B\u9E8C\u9E92\u9E95\u9E91\u9E9D\u9EA5\u9EA9\u9EB8\u9EAA\u9EAD\u9761\u9ECC\u9ECE\u9ECF\u9ED0\u9ED4\u9EDC\u9EDE\u9EDD\u9EE0\u9EE5\u9EE8\u9EEF\u9EF4\u9EF6\u9EF7\u9EF9\u9EFB\u9EFC\u9EFD\u9F07\u9F08\u76B7\u9F15\u9F21\u9F2C\u9F3E\u9F4A\u9F52\u9F54\u9F63\u9F5F\u9F60\u9F61\u9F66\u9F67\u9F6C\u9F6A\u9F77\u9F72\u9F76\u9F95\u9F9C\u9FA0"],
      ["f4a1", "\u582F\u69C7\u9059\u7464\u51DC\u7199"],
      ["f9a1", "\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7"],
      ["faa1", "\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1"],
      ["fba1", "\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA"],
      ["fca1", "\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"],
      ["fcf1", "\u2170", 9, "\uFFE2\uFFE4\uFF07\uFF02"],
      ["8fa2af", "\u02D8\u02C7\xB8\u02D9\u02DD\xAF\u02DB\u02DA\uFF5E\u0384\u0385"],
      ["8fa2c2", "\xA1\xA6\xBF"],
      ["8fa2eb", "\xBA\xAA\xA9\xAE\u2122\xA4\u2116"],
      ["8fa6e1", "\u0386\u0388\u0389\u038A\u03AA"],
      ["8fa6e7", "\u038C"],
      ["8fa6e9", "\u038E\u03AB"],
      ["8fa6ec", "\u038F"],
      ["8fa6f1", "\u03AC\u03AD\u03AE\u03AF\u03CA\u0390\u03CC\u03C2\u03CD\u03CB\u03B0\u03CE"],
      ["8fa7c2", "\u0402", 10, "\u040E\u040F"],
      ["8fa7f2", "\u0452", 10, "\u045E\u045F"],
      ["8fa9a1", "\xC6\u0110"],
      ["8fa9a4", "\u0126"],
      ["8fa9a6", "\u0132"],
      ["8fa9a8", "\u0141\u013F"],
      ["8fa9ab", "\u014A\xD8\u0152"],
      ["8fa9af", "\u0166\xDE"],
      ["8fa9c1", "\xE6\u0111\xF0\u0127\u0131\u0133\u0138\u0142\u0140\u0149\u014B\xF8\u0153\xDF\u0167\xFE"],
      ["8faaa1", "\xC1\xC0\xC4\xC2\u0102\u01CD\u0100\u0104\xC5\xC3\u0106\u0108\u010C\xC7\u010A\u010E\xC9\xC8\xCB\xCA\u011A\u0116\u0112\u0118"],
      ["8faaba", "\u011C\u011E\u0122\u0120\u0124\xCD\xCC\xCF\xCE\u01CF\u0130\u012A\u012E\u0128\u0134\u0136\u0139\u013D\u013B\u0143\u0147\u0145\xD1\xD3\xD2\xD6\xD4\u01D1\u0150\u014C\xD5\u0154\u0158\u0156\u015A\u015C\u0160\u015E\u0164\u0162\xDA\xD9\xDC\xDB\u016C\u01D3\u0170\u016A\u0172\u016E\u0168\u01D7\u01DB\u01D9\u01D5\u0174\xDD\u0178\u0176\u0179\u017D\u017B"],
      ["8faba1", "\xE1\xE0\xE4\xE2\u0103\u01CE\u0101\u0105\xE5\xE3\u0107\u0109\u010D\xE7\u010B\u010F\xE9\xE8\xEB\xEA\u011B\u0117\u0113\u0119\u01F5\u011D\u011F"],
      ["8fabbd", "\u0121\u0125\xED\xEC\xEF\xEE\u01D0"],
      ["8fabc5", "\u012B\u012F\u0129\u0135\u0137\u013A\u013E\u013C\u0144\u0148\u0146\xF1\xF3\xF2\xF6\xF4\u01D2\u0151\u014D\xF5\u0155\u0159\u0157\u015B\u015D\u0161\u015F\u0165\u0163\xFA\xF9\xFC\xFB\u016D\u01D4\u0171\u016B\u0173\u016F\u0169\u01D8\u01DC\u01DA\u01D6\u0175\xFD\xFF\u0177\u017A\u017E\u017C"],
      ["8fb0a1", "\u4E02\u4E04\u4E05\u4E0C\u4E12\u4E1F\u4E23\u4E24\u4E28\u4E2B\u4E2E\u4E2F\u4E30\u4E35\u4E40\u4E41\u4E44\u4E47\u4E51\u4E5A\u4E5C\u4E63\u4E68\u4E69\u4E74\u4E75\u4E79\u4E7F\u4E8D\u4E96\u4E97\u4E9D\u4EAF\u4EB9\u4EC3\u4ED0\u4EDA\u4EDB\u4EE0\u4EE1\u4EE2\u4EE8\u4EEF\u4EF1\u4EF3\u4EF5\u4EFD\u4EFE\u4EFF\u4F00\u4F02\u4F03\u4F08\u4F0B\u4F0C\u4F12\u4F15\u4F16\u4F17\u4F19\u4F2E\u4F31\u4F60\u4F33\u4F35\u4F37\u4F39\u4F3B\u4F3E\u4F40\u4F42\u4F48\u4F49\u4F4B\u4F4C\u4F52\u4F54\u4F56\u4F58\u4F5F\u4F63\u4F6A\u4F6C\u4F6E\u4F71\u4F77\u4F78\u4F79\u4F7A\u4F7D\u4F7E\u4F81\u4F82\u4F84"],
      ["8fb1a1", "\u4F85\u4F89\u4F8A\u4F8C\u4F8E\u4F90\u4F92\u4F93\u4F94\u4F97\u4F99\u4F9A\u4F9E\u4F9F\u4FB2\u4FB7\u4FB9\u4FBB\u4FBC\u4FBD\u4FBE\u4FC0\u4FC1\u4FC5\u4FC6\u4FC8\u4FC9\u4FCB\u4FCC\u4FCD\u4FCF\u4FD2\u4FDC\u4FE0\u4FE2\u4FF0\u4FF2\u4FFC\u4FFD\u4FFF\u5000\u5001\u5004\u5007\u500A\u500C\u500E\u5010\u5013\u5017\u5018\u501B\u501C\u501D\u501E\u5022\u5027\u502E\u5030\u5032\u5033\u5035\u5040\u5041\u5042\u5045\u5046\u504A\u504C\u504E\u5051\u5052\u5053\u5057\u5059\u505F\u5060\u5062\u5063\u5066\u5067\u506A\u506D\u5070\u5071\u503B\u5081\u5083\u5084\u5086\u508A\u508E\u508F\u5090"],
      ["8fb2a1", "\u5092\u5093\u5094\u5096\u509B\u509C\u509E", 4, "\u50AA\u50AF\u50B0\u50B9\u50BA\u50BD\u50C0\u50C3\u50C4\u50C7\u50CC\u50CE\u50D0\u50D3\u50D4\u50D8\u50DC\u50DD\u50DF\u50E2\u50E4\u50E6\u50E8\u50E9\u50EF\u50F1\u50F6\u50FA\u50FE\u5103\u5106\u5107\u5108\u510B\u510C\u510D\u510E\u50F2\u5110\u5117\u5119\u511B\u511C\u511D\u511E\u5123\u5127\u5128\u512C\u512D\u512F\u5131\u5133\u5134\u5135\u5138\u5139\u5142\u514A\u514F\u5153\u5155\u5157\u5158\u515F\u5164\u5166\u517E\u5183\u5184\u518B\u518E\u5198\u519D\u51A1\u51A3\u51AD\u51B8\u51BA\u51BC\u51BE\u51BF\u51C2"],
      ["8fb3a1", "\u51C8\u51CF\u51D1\u51D2\u51D3\u51D5\u51D8\u51DE\u51E2\u51E5\u51EE\u51F2\u51F3\u51F4\u51F7\u5201\u5202\u5205\u5212\u5213\u5215\u5216\u5218\u5222\u5228\u5231\u5232\u5235\u523C\u5245\u5249\u5255\u5257\u5258\u525A\u525C\u525F\u5260\u5261\u5266\u526E\u5277\u5278\u5279\u5280\u5282\u5285\u528A\u528C\u5293\u5295\u5296\u5297\u5298\u529A\u529C\u52A4\u52A5\u52A6\u52A7\u52AF\u52B0\u52B6\u52B7\u52B8\u52BA\u52BB\u52BD\u52C0\u52C4\u52C6\u52C8\u52CC\u52CF\u52D1\u52D4\u52D6\u52DB\u52DC\u52E1\u52E5\u52E8\u52E9\u52EA\u52EC\u52F0\u52F1\u52F4\u52F6\u52F7\u5300\u5303\u530A\u530B"],
      ["8fb4a1", "\u530C\u5311\u5313\u5318\u531B\u531C\u531E\u531F\u5325\u5327\u5328\u5329\u532B\u532C\u532D\u5330\u5332\u5335\u533C\u533D\u533E\u5342\u534C\u534B\u5359\u535B\u5361\u5363\u5365\u536C\u536D\u5372\u5379\u537E\u5383\u5387\u5388\u538E\u5393\u5394\u5399\u539D\u53A1\u53A4\u53AA\u53AB\u53AF\u53B2\u53B4\u53B5\u53B7\u53B8\u53BA\u53BD\u53C0\u53C5\u53CF\u53D2\u53D3\u53D5\u53DA\u53DD\u53DE\u53E0\u53E6\u53E7\u53F5\u5402\u5413\u541A\u5421\u5427\u5428\u542A\u542F\u5431\u5434\u5435\u5443\u5444\u5447\u544D\u544F\u545E\u5462\u5464\u5466\u5467\u5469\u546B\u546D\u546E\u5474\u547F"],
      ["8fb5a1", "\u5481\u5483\u5485\u5488\u5489\u548D\u5491\u5495\u5496\u549C\u549F\u54A1\u54A6\u54A7\u54A9\u54AA\u54AD\u54AE\u54B1\u54B7\u54B9\u54BA\u54BB\u54BF\u54C6\u54CA\u54CD\u54CE\u54E0\u54EA\u54EC\u54EF\u54F6\u54FC\u54FE\u54FF\u5500\u5501\u5505\u5508\u5509\u550C\u550D\u550E\u5515\u552A\u552B\u5532\u5535\u5536\u553B\u553C\u553D\u5541\u5547\u5549\u554A\u554D\u5550\u5551\u5558\u555A\u555B\u555E\u5560\u5561\u5564\u5566\u557F\u5581\u5582\u5586\u5588\u558E\u558F\u5591\u5592\u5593\u5594\u5597\u55A3\u55A4\u55AD\u55B2\u55BF\u55C1\u55C3\u55C6\u55C9\u55CB\u55CC\u55CE\u55D1\u55D2"],
      ["8fb6a1", "\u55D3\u55D7\u55D8\u55DB\u55DE\u55E2\u55E9\u55F6\u55FF\u5605\u5608\u560A\u560D", 5, "\u5619\u562C\u5630\u5633\u5635\u5637\u5639\u563B\u563C\u563D\u563F\u5640\u5641\u5643\u5644\u5646\u5649\u564B\u564D\u564F\u5654\u565E\u5660\u5661\u5662\u5663\u5666\u5669\u566D\u566F\u5671\u5672\u5675\u5684\u5685\u5688\u568B\u568C\u5695\u5699\u569A\u569D\u569E\u569F\u56A6\u56A7\u56A8\u56A9\u56AB\u56AC\u56AD\u56B1\u56B3\u56B7\u56BE\u56C5\u56C9\u56CA\u56CB\u56CF\u56D0\u56CC\u56CD\u56D9\u56DC\u56DD\u56DF\u56E1\u56E4", 4, "\u56F1\u56EB\u56ED"],
      ["8fb7a1", "\u56F6\u56F7\u5701\u5702\u5707\u570A\u570C\u5711\u5715\u571A\u571B\u571D\u5720\u5722\u5723\u5724\u5725\u5729\u572A\u572C\u572E\u572F\u5733\u5734\u573D\u573E\u573F\u5745\u5746\u574C\u574D\u5752\u5762\u5765\u5767\u5768\u576B\u576D", 4, "\u5773\u5774\u5775\u5777\u5779\u577A\u577B\u577C\u577E\u5781\u5783\u578C\u5794\u5797\u5799\u579A\u579C\u579D\u579E\u579F\u57A1\u5795\u57A7\u57A8\u57A9\u57AC\u57B8\u57BD\u57C7\u57C8\u57CC\u57CF\u57D5\u57DD\u57DE\u57E4\u57E6\u57E7\u57E9\u57ED\u57F0\u57F5\u57F6\u57F8\u57FD\u57FE\u57FF\u5803\u5804\u5808\u5809\u57E1"],
      ["8fb8a1", "\u580C\u580D\u581B\u581E\u581F\u5820\u5826\u5827\u582D\u5832\u5839\u583F\u5849\u584C\u584D\u584F\u5850\u5855\u585F\u5861\u5864\u5867\u5868\u5878\u587C\u587F\u5880\u5881\u5887\u5888\u5889\u588A\u588C\u588D\u588F\u5890\u5894\u5896\u589D\u58A0\u58A1\u58A2\u58A6\u58A9\u58B1\u58B2\u58C4\u58BC\u58C2\u58C8\u58CD\u58CE\u58D0\u58D2\u58D4\u58D6\u58DA\u58DD\u58E1\u58E2\u58E9\u58F3\u5905\u5906\u590B\u590C\u5912\u5913\u5914\u8641\u591D\u5921\u5923\u5924\u5928\u592F\u5930\u5933\u5935\u5936\u593F\u5943\u5946\u5952\u5953\u5959\u595B\u595D\u595E\u595F\u5961\u5963\u596B\u596D"],
      ["8fb9a1", "\u596F\u5972\u5975\u5976\u5979\u597B\u597C\u598B\u598C\u598E\u5992\u5995\u5997\u599F\u59A4\u59A7\u59AD\u59AE\u59AF\u59B0\u59B3\u59B7\u59BA\u59BC\u59C1\u59C3\u59C4\u59C8\u59CA\u59CD\u59D2\u59DD\u59DE\u59DF\u59E3\u59E4\u59E7\u59EE\u59EF\u59F1\u59F2\u59F4\u59F7\u5A00\u5A04\u5A0C\u5A0D\u5A0E\u5A12\u5A13\u5A1E\u5A23\u5A24\u5A27\u5A28\u5A2A\u5A2D\u5A30\u5A44\u5A45\u5A47\u5A48\u5A4C\u5A50\u5A55\u5A5E\u5A63\u5A65\u5A67\u5A6D\u5A77\u5A7A\u5A7B\u5A7E\u5A8B\u5A90\u5A93\u5A96\u5A99\u5A9C\u5A9E\u5A9F\u5AA0\u5AA2\u5AA7\u5AAC\u5AB1\u5AB2\u5AB3\u5AB5\u5AB8\u5ABA\u5ABB\u5ABF"],
      ["8fbaa1", "\u5AC4\u5AC6\u5AC8\u5ACF\u5ADA\u5ADC\u5AE0\u5AE5\u5AEA\u5AEE\u5AF5\u5AF6\u5AFD\u5B00\u5B01\u5B08\u5B17\u5B34\u5B19\u5B1B\u5B1D\u5B21\u5B25\u5B2D\u5B38\u5B41\u5B4B\u5B4C\u5B52\u5B56\u5B5E\u5B68\u5B6E\u5B6F\u5B7C\u5B7D\u5B7E\u5B7F\u5B81\u5B84\u5B86\u5B8A\u5B8E\u5B90\u5B91\u5B93\u5B94\u5B96\u5BA8\u5BA9\u5BAC\u5BAD\u5BAF\u5BB1\u5BB2\u5BB7\u5BBA\u5BBC\u5BC0\u5BC1\u5BCD\u5BCF\u5BD6", 4, "\u5BE0\u5BEF\u5BF1\u5BF4\u5BFD\u5C0C\u5C17\u5C1E\u5C1F\u5C23\u5C26\u5C29\u5C2B\u5C2C\u5C2E\u5C30\u5C32\u5C35\u5C36\u5C59\u5C5A\u5C5C\u5C62\u5C63\u5C67\u5C68\u5C69"],
      ["8fbba1", "\u5C6D\u5C70\u5C74\u5C75\u5C7A\u5C7B\u5C7C\u5C7D\u5C87\u5C88\u5C8A\u5C8F\u5C92\u5C9D\u5C9F\u5CA0\u5CA2\u5CA3\u5CA6\u5CAA\u5CB2\u5CB4\u5CB5\u5CBA\u5CC9\u5CCB\u5CD2\u5CDD\u5CD7\u5CEE\u5CF1\u5CF2\u5CF4\u5D01\u5D06\u5D0D\u5D12\u5D2B\u5D23\u5D24\u5D26\u5D27\u5D31\u5D34\u5D39\u5D3D\u5D3F\u5D42\u5D43\u5D46\u5D48\u5D55\u5D51\u5D59\u5D4A\u5D5F\u5D60\u5D61\u5D62\u5D64\u5D6A\u5D6D\u5D70\u5D79\u5D7A\u5D7E\u5D7F\u5D81\u5D83\u5D88\u5D8A\u5D92\u5D93\u5D94\u5D95\u5D99\u5D9B\u5D9F\u5DA0\u5DA7\u5DAB\u5DB0\u5DB4\u5DB8\u5DB9\u5DC3\u5DC7\u5DCB\u5DD0\u5DCE\u5DD8\u5DD9\u5DE0\u5DE4"],
      ["8fbca1", "\u5DE9\u5DF8\u5DF9\u5E00\u5E07\u5E0D\u5E12\u5E14\u5E15\u5E18\u5E1F\u5E20\u5E2E\u5E28\u5E32\u5E35\u5E3E\u5E4B\u5E50\u5E49\u5E51\u5E56\u5E58\u5E5B\u5E5C\u5E5E\u5E68\u5E6A", 4, "\u5E70\u5E80\u5E8B\u5E8E\u5EA2\u5EA4\u5EA5\u5EA8\u5EAA\u5EAC\u5EB1\u5EB3\u5EBD\u5EBE\u5EBF\u5EC6\u5ECC\u5ECB\u5ECE\u5ED1\u5ED2\u5ED4\u5ED5\u5EDC\u5EDE\u5EE5\u5EEB\u5F02\u5F06\u5F07\u5F08\u5F0E\u5F19\u5F1C\u5F1D\u5F21\u5F22\u5F23\u5F24\u5F28\u5F2B\u5F2C\u5F2E\u5F30\u5F34\u5F36\u5F3B\u5F3D\u5F3F\u5F40\u5F44\u5F45\u5F47\u5F4D\u5F50\u5F54\u5F58\u5F5B\u5F60\u5F63\u5F64\u5F67"],
      ["8fbda1", "\u5F6F\u5F72\u5F74\u5F75\u5F78\u5F7A\u5F7D\u5F7E\u5F89\u5F8D\u5F8F\u5F96\u5F9C\u5F9D\u5FA2\u5FA7\u5FAB\u5FA4\u5FAC\u5FAF\u5FB0\u5FB1\u5FB8\u5FC4\u5FC7\u5FC8\u5FC9\u5FCB\u5FD0", 4, "\u5FDE\u5FE1\u5FE2\u5FE8\u5FE9\u5FEA\u5FEC\u5FED\u5FEE\u5FEF\u5FF2\u5FF3\u5FF6\u5FFA\u5FFC\u6007\u600A\u600D\u6013\u6014\u6017\u6018\u601A\u601F\u6024\u602D\u6033\u6035\u6040\u6047\u6048\u6049\u604C\u6051\u6054\u6056\u6057\u605D\u6061\u6067\u6071\u607E\u607F\u6082\u6086\u6088\u608A\u608E\u6091\u6093\u6095\u6098\u609D\u609E\u60A2\u60A4\u60A5\u60A8\u60B0\u60B1\u60B7"],
      ["8fbea1", "\u60BB\u60BE\u60C2\u60C4\u60C8\u60C9\u60CA\u60CB\u60CE\u60CF\u60D4\u60D5\u60D9\u60DB\u60DD\u60DE\u60E2\u60E5\u60F2\u60F5\u60F8\u60FC\u60FD\u6102\u6107\u610A\u610C\u6110", 4, "\u6116\u6117\u6119\u611C\u611E\u6122\u612A\u612B\u6130\u6131\u6135\u6136\u6137\u6139\u6141\u6145\u6146\u6149\u615E\u6160\u616C\u6172\u6178\u617B\u617C\u617F\u6180\u6181\u6183\u6184\u618B\u618D\u6192\u6193\u6197\u6198\u619C\u619D\u619F\u61A0\u61A5\u61A8\u61AA\u61AD\u61B8\u61B9\u61BC\u61C0\u61C1\u61C2\u61CE\u61CF\u61D5\u61DC\u61DD\u61DE\u61DF\u61E1\u61E2\u61E7\u61E9\u61E5"],
      ["8fbfa1", "\u61EC\u61ED\u61EF\u6201\u6203\u6204\u6207\u6213\u6215\u621C\u6220\u6222\u6223\u6227\u6229\u622B\u6239\u623D\u6242\u6243\u6244\u6246\u624C\u6250\u6251\u6252\u6254\u6256\u625A\u625C\u6264\u626D\u626F\u6273\u627A\u627D\u628D\u628E\u628F\u6290\u62A6\u62A8\u62B3\u62B6\u62B7\u62BA\u62BE\u62BF\u62C4\u62CE\u62D5\u62D6\u62DA\u62EA\u62F2\u62F4\u62FC\u62FD\u6303\u6304\u630A\u630B\u630D\u6310\u6313\u6316\u6318\u6329\u632A\u632D\u6335\u6336\u6339\u633C\u6341\u6342\u6343\u6344\u6346\u634A\u634B\u634E\u6352\u6353\u6354\u6358\u635B\u6365\u6366\u636C\u636D\u6371\u6374\u6375"],
      ["8fc0a1", "\u6378\u637C\u637D\u637F\u6382\u6384\u6387\u638A\u6390\u6394\u6395\u6399\u639A\u639E\u63A4\u63A6\u63AD\u63AE\u63AF\u63BD\u63C1\u63C5\u63C8\u63CE\u63D1\u63D3\u63D4\u63D5\u63DC\u63E0\u63E5\u63EA\u63EC\u63F2\u63F3\u63F5\u63F8\u63F9\u6409\u640A\u6410\u6412\u6414\u6418\u641E\u6420\u6422\u6424\u6425\u6429\u642A\u642F\u6430\u6435\u643D\u643F\u644B\u644F\u6451\u6452\u6453\u6454\u645A\u645B\u645C\u645D\u645F\u6460\u6461\u6463\u646D\u6473\u6474\u647B\u647D\u6485\u6487\u648F\u6490\u6491\u6498\u6499\u649B\u649D\u649F\u64A1\u64A3\u64A6\u64A8\u64AC\u64B3\u64BD\u64BE\u64BF"],
      ["8fc1a1", "\u64C4\u64C9\u64CA\u64CB\u64CC\u64CE\u64D0\u64D1\u64D5\u64D7\u64E4\u64E5\u64E9\u64EA\u64ED\u64F0\u64F5\u64F7\u64FB\u64FF\u6501\u6504\u6508\u6509\u650A\u650F\u6513\u6514\u6516\u6519\u651B\u651E\u651F\u6522\u6526\u6529\u652E\u6531\u653A\u653C\u653D\u6543\u6547\u6549\u6550\u6552\u6554\u655F\u6560\u6567\u656B\u657A\u657D\u6581\u6585\u658A\u6592\u6595\u6598\u659D\u65A0\u65A3\u65A6\u65AE\u65B2\u65B3\u65B4\u65BF\u65C2\u65C8\u65C9\u65CE\u65D0\u65D4\u65D6\u65D8\u65DF\u65F0\u65F2\u65F4\u65F5\u65F9\u65FE\u65FF\u6600\u6604\u6608\u6609\u660D\u6611\u6612\u6615\u6616\u661D"],
      ["8fc2a1", "\u661E\u6621\u6622\u6623\u6624\u6626\u6629\u662A\u662B\u662C\u662E\u6630\u6631\u6633\u6639\u6637\u6640\u6645\u6646\u664A\u664C\u6651\u664E\u6657\u6658\u6659\u665B\u665C\u6660\u6661\u66FB\u666A\u666B\u666C\u667E\u6673\u6675\u667F\u6677\u6678\u6679\u667B\u6680\u667C\u668B\u668C\u668D\u6690\u6692\u6699\u669A\u669B\u669C\u669F\u66A0\u66A4\u66AD\u66B1\u66B2\u66B5\u66BB\u66BF\u66C0\u66C2\u66C3\u66C8\u66CC\u66CE\u66CF\u66D4\u66DB\u66DF\u66E8\u66EB\u66EC\u66EE\u66FA\u6705\u6707\u670E\u6713\u6719\u671C\u6720\u6722\u6733\u673E\u6745\u6747\u6748\u674C\u6754\u6755\u675D"],
      ["8fc3a1", "\u6766\u676C\u676E\u6774\u6776\u677B\u6781\u6784\u678E\u678F\u6791\u6793\u6796\u6798\u6799\u679B\u67B0\u67B1\u67B2\u67B5\u67BB\u67BC\u67BD\u67F9\u67C0\u67C2\u67C3\u67C5\u67C8\u67C9\u67D2\u67D7\u67D9\u67DC\u67E1\u67E6\u67F0\u67F2\u67F6\u67F7\u6852\u6814\u6819\u681D\u681F\u6828\u6827\u682C\u682D\u682F\u6830\u6831\u6833\u683B\u683F\u6844\u6845\u684A\u684C\u6855\u6857\u6858\u685B\u686B\u686E", 4, "\u6875\u6879\u687A\u687B\u687C\u6882\u6884\u6886\u6888\u6896\u6898\u689A\u689C\u68A1\u68A3\u68A5\u68A9\u68AA\u68AE\u68B2\u68BB\u68C5\u68C8\u68CC\u68CF"],
      ["8fc4a1", "\u68D0\u68D1\u68D3\u68D6\u68D9\u68DC\u68DD\u68E5\u68E8\u68EA\u68EB\u68EC\u68ED\u68F0\u68F1\u68F5\u68F6\u68FB\u68FC\u68FD\u6906\u6909\u690A\u6910\u6911\u6913\u6916\u6917\u6931\u6933\u6935\u6938\u693B\u6942\u6945\u6949\u694E\u6957\u695B\u6963\u6964\u6965\u6966\u6968\u6969\u696C\u6970\u6971\u6972\u697A\u697B\u697F\u6980\u698D\u6992\u6996\u6998\u69A1\u69A5\u69A6\u69A8\u69AB\u69AD\u69AF\u69B7\u69B8\u69BA\u69BC\u69C5\u69C8\u69D1\u69D6\u69D7\u69E2\u69E5\u69EE\u69EF\u69F1\u69F3\u69F5\u69FE\u6A00\u6A01\u6A03\u6A0F\u6A11\u6A15\u6A1A\u6A1D\u6A20\u6A24\u6A28\u6A30\u6A32"],
      ["8fc5a1", "\u6A34\u6A37\u6A3B\u6A3E\u6A3F\u6A45\u6A46\u6A49\u6A4A\u6A4E\u6A50\u6A51\u6A52\u6A55\u6A56\u6A5B\u6A64\u6A67\u6A6A\u6A71\u6A73\u6A7E\u6A81\u6A83\u6A86\u6A87\u6A89\u6A8B\u6A91\u6A9B\u6A9D\u6A9E\u6A9F\u6AA5\u6AAB\u6AAF\u6AB0\u6AB1\u6AB4\u6ABD\u6ABE\u6ABF\u6AC6\u6AC9\u6AC8\u6ACC\u6AD0\u6AD4\u6AD5\u6AD6\u6ADC\u6ADD\u6AE4\u6AE7\u6AEC\u6AF0\u6AF1\u6AF2\u6AFC\u6AFD\u6B02\u6B03\u6B06\u6B07\u6B09\u6B0F\u6B10\u6B11\u6B17\u6B1B\u6B1E\u6B24\u6B28\u6B2B\u6B2C\u6B2F\u6B35\u6B36\u6B3B\u6B3F\u6B46\u6B4A\u6B4D\u6B52\u6B56\u6B58\u6B5D\u6B60\u6B67\u6B6B\u6B6E\u6B70\u6B75\u6B7D"],
      ["8fc6a1", "\u6B7E\u6B82\u6B85\u6B97\u6B9B\u6B9F\u6BA0\u6BA2\u6BA3\u6BA8\u6BA9\u6BAC\u6BAD\u6BAE\u6BB0\u6BB8\u6BB9\u6BBD\u6BBE\u6BC3\u6BC4\u6BC9\u6BCC\u6BD6\u6BDA\u6BE1\u6BE3\u6BE6\u6BE7\u6BEE\u6BF1\u6BF7\u6BF9\u6BFF\u6C02\u6C04\u6C05\u6C09\u6C0D\u6C0E\u6C10\u6C12\u6C19\u6C1F\u6C26\u6C27\u6C28\u6C2C\u6C2E\u6C33\u6C35\u6C36\u6C3A\u6C3B\u6C3F\u6C4A\u6C4B\u6C4D\u6C4F\u6C52\u6C54\u6C59\u6C5B\u6C5C\u6C6B\u6C6D\u6C6F\u6C74\u6C76\u6C78\u6C79\u6C7B\u6C85\u6C86\u6C87\u6C89\u6C94\u6C95\u6C97\u6C98\u6C9C\u6C9F\u6CB0\u6CB2\u6CB4\u6CC2\u6CC6\u6CCD\u6CCF\u6CD0\u6CD1\u6CD2\u6CD4\u6CD6"],
      ["8fc7a1", "\u6CDA\u6CDC\u6CE0\u6CE7\u6CE9\u6CEB\u6CEC\u6CEE\u6CF2\u6CF4\u6D04\u6D07\u6D0A\u6D0E\u6D0F\u6D11\u6D13\u6D1A\u6D26\u6D27\u6D28\u6C67\u6D2E\u6D2F\u6D31\u6D39\u6D3C\u6D3F\u6D57\u6D5E\u6D5F\u6D61\u6D65\u6D67\u6D6F\u6D70\u6D7C\u6D82\u6D87\u6D91\u6D92\u6D94\u6D96\u6D97\u6D98\u6DAA\u6DAC\u6DB4\u6DB7\u6DB9\u6DBD\u6DBF\u6DC4\u6DC8\u6DCA\u6DCE\u6DCF\u6DD6\u6DDB\u6DDD\u6DDF\u6DE0\u6DE2\u6DE5\u6DE9\u6DEF\u6DF0\u6DF4\u6DF6\u6DFC\u6E00\u6E04\u6E1E\u6E22\u6E27\u6E32\u6E36\u6E39\u6E3B\u6E3C\u6E44\u6E45\u6E48\u6E49\u6E4B\u6E4F\u6E51\u6E52\u6E53\u6E54\u6E57\u6E5C\u6E5D\u6E5E"],
      ["8fc8a1", "\u6E62\u6E63\u6E68\u6E73\u6E7B\u6E7D\u6E8D\u6E93\u6E99\u6EA0\u6EA7\u6EAD\u6EAE\u6EB1\u6EB3\u6EBB\u6EBF\u6EC0\u6EC1\u6EC3\u6EC7\u6EC8\u6ECA\u6ECD\u6ECE\u6ECF\u6EEB\u6EED\u6EEE\u6EF9\u6EFB\u6EFD\u6F04\u6F08\u6F0A\u6F0C\u6F0D\u6F16\u6F18\u6F1A\u6F1B\u6F26\u6F29\u6F2A\u6F2F\u6F30\u6F33\u6F36\u6F3B\u6F3C\u6F2D\u6F4F\u6F51\u6F52\u6F53\u6F57\u6F59\u6F5A\u6F5D\u6F5E\u6F61\u6F62\u6F68\u6F6C\u6F7D\u6F7E\u6F83\u6F87\u6F88\u6F8B\u6F8C\u6F8D\u6F90\u6F92\u6F93\u6F94\u6F96\u6F9A\u6F9F\u6FA0\u6FA5\u6FA6\u6FA7\u6FA8\u6FAE\u6FAF\u6FB0\u6FB5\u6FB6\u6FBC\u6FC5\u6FC7\u6FC8\u6FCA"],
      ["8fc9a1", "\u6FDA\u6FDE\u6FE8\u6FE9\u6FF0\u6FF5\u6FF9\u6FFC\u6FFD\u7000\u7005\u7006\u7007\u700D\u7017\u7020\u7023\u702F\u7034\u7037\u7039\u703C\u7043\u7044\u7048\u7049\u704A\u704B\u7054\u7055\u705D\u705E\u704E\u7064\u7065\u706C\u706E\u7075\u7076\u707E\u7081\u7085\u7086\u7094", 4, "\u709B\u70A4\u70AB\u70B0\u70B1\u70B4\u70B7\u70CA\u70D1\u70D3\u70D4\u70D5\u70D6\u70D8\u70DC\u70E4\u70FA\u7103", 4, "\u710B\u710C\u710F\u711E\u7120\u712B\u712D\u712F\u7130\u7131\u7138\u7141\u7145\u7146\u7147\u714A\u714B\u7150\u7152\u7157\u715A\u715C\u715E\u7160"],
      ["8fcaa1", "\u7168\u7179\u7180\u7185\u7187\u718C\u7192\u719A\u719B\u71A0\u71A2\u71AF\u71B0\u71B2\u71B3\u71BA\u71BF\u71C0\u71C1\u71C4\u71CB\u71CC\u71D3\u71D6\u71D9\u71DA\u71DC\u71F8\u71FE\u7200\u7207\u7208\u7209\u7213\u7217\u721A\u721D\u721F\u7224\u722B\u722F\u7234\u7238\u7239\u7241\u7242\u7243\u7245\u724E\u724F\u7250\u7253\u7255\u7256\u725A\u725C\u725E\u7260\u7263\u7268\u726B\u726E\u726F\u7271\u7277\u7278\u727B\u727C\u727F\u7284\u7289\u728D\u728E\u7293\u729B\u72A8\u72AD\u72AE\u72B1\u72B4\u72BE\u72C1\u72C7\u72C9\u72CC\u72D5\u72D6\u72D8\u72DF\u72E5\u72F3\u72F4\u72FA\u72FB"],
      ["8fcba1", "\u72FE\u7302\u7304\u7305\u7307\u730B\u730D\u7312\u7313\u7318\u7319\u731E\u7322\u7324\u7327\u7328\u732C\u7331\u7332\u7335\u733A\u733B\u733D\u7343\u734D\u7350\u7352\u7356\u7358\u735D\u735E\u735F\u7360\u7366\u7367\u7369\u736B\u736C\u736E\u736F\u7371\u7377\u7379\u737C\u7380\u7381\u7383\u7385\u7386\u738E\u7390\u7393\u7395\u7397\u7398\u739C\u739E\u739F\u73A0\u73A2\u73A5\u73A6\u73AA\u73AB\u73AD\u73B5\u73B7\u73B9\u73BC\u73BD\u73BF\u73C5\u73C6\u73C9\u73CB\u73CC\u73CF\u73D2\u73D3\u73D6\u73D9\u73DD\u73E1\u73E3\u73E6\u73E7\u73E9\u73F4\u73F5\u73F7\u73F9\u73FA\u73FB\u73FD"],
      ["8fcca1", "\u73FF\u7400\u7401\u7404\u7407\u740A\u7411\u741A\u741B\u7424\u7426\u7428", 9, "\u7439\u7440\u7443\u7444\u7446\u7447\u744B\u744D\u7451\u7452\u7457\u745D\u7462\u7466\u7467\u7468\u746B\u746D\u746E\u7471\u7472\u7480\u7481\u7485\u7486\u7487\u7489\u748F\u7490\u7491\u7492\u7498\u7499\u749A\u749C\u749F\u74A0\u74A1\u74A3\u74A6\u74A8\u74A9\u74AA\u74AB\u74AE\u74AF\u74B1\u74B2\u74B5\u74B9\u74BB\u74BF\u74C8\u74C9\u74CC\u74D0\u74D3\u74D8\u74DA\u74DB\u74DE\u74DF\u74E4\u74E8\u74EA\u74EB\u74EF\u74F4\u74FA\u74FB\u74FC\u74FF\u7506"],
      ["8fcda1", "\u7512\u7516\u7517\u7520\u7521\u7524\u7527\u7529\u752A\u752F\u7536\u7539\u753D\u753E\u753F\u7540\u7543\u7547\u7548\u754E\u7550\u7552\u7557\u755E\u755F\u7561\u756F\u7571\u7579", 5, "\u7581\u7585\u7590\u7592\u7593\u7595\u7599\u759C\u75A2\u75A4\u75B4\u75BA\u75BF\u75C0\u75C1\u75C4\u75C6\u75CC\u75CE\u75CF\u75D7\u75DC\u75DF\u75E0\u75E1\u75E4\u75E7\u75EC\u75EE\u75EF\u75F1\u75F9\u7600\u7602\u7603\u7604\u7607\u7608\u760A\u760C\u760F\u7612\u7613\u7615\u7616\u7619\u761B\u761C\u761D\u761E\u7623\u7625\u7626\u7629\u762D\u7632\u7633\u7635\u7638\u7639"],
      ["8fcea1", "\u763A\u763C\u764A\u7640\u7641\u7643\u7644\u7645\u7649\u764B\u7655\u7659\u765F\u7664\u7665\u766D\u766E\u766F\u7671\u7674\u7681\u7685\u768C\u768D\u7695\u769B\u769C\u769D\u769F\u76A0\u76A2", 6, "\u76AA\u76AD\u76BD\u76C1\u76C5\u76C9\u76CB\u76CC\u76CE\u76D4\u76D9\u76E0\u76E6\u76E8\u76EC\u76F0\u76F1\u76F6\u76F9\u76FC\u7700\u7706\u770A\u770E\u7712\u7714\u7715\u7717\u7719\u771A\u771C\u7722\u7728\u772D\u772E\u772F\u7734\u7735\u7736\u7739\u773D\u773E\u7742\u7745\u7746\u774A\u774D\u774E\u774F\u7752\u7756\u7757\u775C\u775E\u775F\u7760\u7762"],
      ["8fcfa1", "\u7764\u7767\u776A\u776C\u7770\u7772\u7773\u7774\u777A\u777D\u7780\u7784\u778C\u778D\u7794\u7795\u7796\u779A\u779F\u77A2\u77A7\u77AA\u77AE\u77AF\u77B1\u77B5\u77BE\u77C3\u77C9\u77D1\u77D2\u77D5\u77D9\u77DE\u77DF\u77E0\u77E4\u77E6\u77EA\u77EC\u77F0\u77F1\u77F4\u77F8\u77FB\u7805\u7806\u7809\u780D\u780E\u7811\u781D\u7821\u7822\u7823\u782D\u782E\u7830\u7835\u7837\u7843\u7844\u7847\u7848\u784C\u784E\u7852\u785C\u785E\u7860\u7861\u7863\u7864\u7868\u786A\u786E\u787A\u787E\u788A\u788F\u7894\u7898\u78A1\u789D\u789E\u789F\u78A4\u78A8\u78AC\u78AD\u78B0\u78B1\u78B2\u78B3"],
      ["8fd0a1", "\u78BB\u78BD\u78BF\u78C7\u78C8\u78C9\u78CC\u78CE\u78D2\u78D3\u78D5\u78D6\u78E4\u78DB\u78DF\u78E0\u78E1\u78E6\u78EA\u78F2\u78F3\u7900\u78F6\u78F7\u78FA\u78FB\u78FF\u7906\u790C\u7910\u791A\u791C\u791E\u791F\u7920\u7925\u7927\u7929\u792D\u7931\u7934\u7935\u793B\u793D\u793F\u7944\u7945\u7946\u794A\u794B\u794F\u7951\u7954\u7958\u795B\u795C\u7967\u7969\u796B\u7972\u7979\u797B\u797C\u797E\u798B\u798C\u7991\u7993\u7994\u7995\u7996\u7998\u799B\u799C\u79A1\u79A8\u79A9\u79AB\u79AF\u79B1\u79B4\u79B8\u79BB\u79C2\u79C4\u79C7\u79C8\u79CA\u79CF\u79D4\u79D6\u79DA\u79DD\u79DE"],
      ["8fd1a1", "\u79E0\u79E2\u79E5\u79EA\u79EB\u79ED\u79F1\u79F8\u79FC\u7A02\u7A03\u7A07\u7A09\u7A0A\u7A0C\u7A11\u7A15\u7A1B\u7A1E\u7A21\u7A27\u7A2B\u7A2D\u7A2F\u7A30\u7A34\u7A35\u7A38\u7A39\u7A3A\u7A44\u7A45\u7A47\u7A48\u7A4C\u7A55\u7A56\u7A59\u7A5C\u7A5D\u7A5F\u7A60\u7A65\u7A67\u7A6A\u7A6D\u7A75\u7A78\u7A7E\u7A80\u7A82\u7A85\u7A86\u7A8A\u7A8B\u7A90\u7A91\u7A94\u7A9E\u7AA0\u7AA3\u7AAC\u7AB3\u7AB5\u7AB9\u7ABB\u7ABC\u7AC6\u7AC9\u7ACC\u7ACE\u7AD1\u7ADB\u7AE8\u7AE9\u7AEB\u7AEC\u7AF1\u7AF4\u7AFB\u7AFD\u7AFE\u7B07\u7B14\u7B1F\u7B23\u7B27\u7B29\u7B2A\u7B2B\u7B2D\u7B2E\u7B2F\u7B30"],
      ["8fd2a1", "\u7B31\u7B34\u7B3D\u7B3F\u7B40\u7B41\u7B47\u7B4E\u7B55\u7B60\u7B64\u7B66\u7B69\u7B6A\u7B6D\u7B6F\u7B72\u7B73\u7B77\u7B84\u7B89\u7B8E\u7B90\u7B91\u7B96\u7B9B\u7B9E\u7BA0\u7BA5\u7BAC\u7BAF\u7BB0\u7BB2\u7BB5\u7BB6\u7BBA\u7BBB\u7BBC\u7BBD\u7BC2\u7BC5\u7BC8\u7BCA\u7BD4\u7BD6\u7BD7\u7BD9\u7BDA\u7BDB\u7BE8\u7BEA\u7BF2\u7BF4\u7BF5\u7BF8\u7BF9\u7BFA\u7BFC\u7BFE\u7C01\u7C02\u7C03\u7C04\u7C06\u7C09\u7C0B\u7C0C\u7C0E\u7C0F\u7C19\u7C1B\u7C20\u7C25\u7C26\u7C28\u7C2C\u7C31\u7C33\u7C34\u7C36\u7C39\u7C3A\u7C46\u7C4A\u7C55\u7C51\u7C52\u7C53\u7C59", 5],
      ["8fd3a1", "\u7C61\u7C63\u7C67\u7C69\u7C6D\u7C6E\u7C70\u7C72\u7C79\u7C7C\u7C7D\u7C86\u7C87\u7C8F\u7C94\u7C9E\u7CA0\u7CA6\u7CB0\u7CB6\u7CB7\u7CBA\u7CBB\u7CBC\u7CBF\u7CC4\u7CC7\u7CC8\u7CC9\u7CCD\u7CCF\u7CD3\u7CD4\u7CD5\u7CD7\u7CD9\u7CDA\u7CDD\u7CE6\u7CE9\u7CEB\u7CF5\u7D03\u7D07\u7D08\u7D09\u7D0F\u7D11\u7D12\u7D13\u7D16\u7D1D\u7D1E\u7D23\u7D26\u7D2A\u7D2D\u7D31\u7D3C\u7D3D\u7D3E\u7D40\u7D41\u7D47\u7D48\u7D4D\u7D51\u7D53\u7D57\u7D59\u7D5A\u7D5C\u7D5D\u7D65\u7D67\u7D6A\u7D70\u7D78\u7D7A\u7D7B\u7D7F\u7D81\u7D82\u7D83\u7D85\u7D86\u7D88\u7D8B\u7D8C\u7D8D\u7D91\u7D96\u7D97\u7D9D"],
      ["8fd4a1", "\u7D9E\u7DA6\u7DA7\u7DAA\u7DB3\u7DB6\u7DB7\u7DB9\u7DC2", 4, "\u7DCC\u7DCD\u7DCE\u7DD7\u7DD9\u7E00\u7DE2\u7DE5\u7DE6\u7DEA\u7DEB\u7DED\u7DF1\u7DF5\u7DF6\u7DF9\u7DFA\u7E08\u7E10\u7E11\u7E15\u7E17\u7E1C\u7E1D\u7E20\u7E27\u7E28\u7E2C\u7E2D\u7E2F\u7E33\u7E36\u7E3F\u7E44\u7E45\u7E47\u7E4E\u7E50\u7E52\u7E58\u7E5F\u7E61\u7E62\u7E65\u7E6B\u7E6E\u7E6F\u7E73\u7E78\u7E7E\u7E81\u7E86\u7E87\u7E8A\u7E8D\u7E91\u7E95\u7E98\u7E9A\u7E9D\u7E9E\u7F3C\u7F3B\u7F3D\u7F3E\u7F3F\u7F43\u7F44\u7F47\u7F4F\u7F52\u7F53\u7F5B\u7F5C\u7F5D\u7F61\u7F63\u7F64\u7F65\u7F66\u7F6D"],
      ["8fd5a1", "\u7F71\u7F7D\u7F7E\u7F7F\u7F80\u7F8B\u7F8D\u7F8F\u7F90\u7F91\u7F96\u7F97\u7F9C\u7FA1\u7FA2\u7FA6\u7FAA\u7FAD\u7FB4\u7FBC\u7FBF\u7FC0\u7FC3\u7FC8\u7FCE\u7FCF\u7FDB\u7FDF\u7FE3\u7FE5\u7FE8\u7FEC\u7FEE\u7FEF\u7FF2\u7FFA\u7FFD\u7FFE\u7FFF\u8007\u8008\u800A\u800D\u800E\u800F\u8011\u8013\u8014\u8016\u801D\u801E\u801F\u8020\u8024\u8026\u802C\u802E\u8030\u8034\u8035\u8037\u8039\u803A\u803C\u803E\u8040\u8044\u8060\u8064\u8066\u806D\u8071\u8075\u8081\u8088\u808E\u809C\u809E\u80A6\u80A7\u80AB\u80B8\u80B9\u80C8\u80CD\u80CF\u80D2\u80D4\u80D5\u80D7\u80D8\u80E0\u80ED\u80EE"],
      ["8fd6a1", "\u80F0\u80F2\u80F3\u80F6\u80F9\u80FA\u80FE\u8103\u810B\u8116\u8117\u8118\u811C\u811E\u8120\u8124\u8127\u812C\u8130\u8135\u813A\u813C\u8145\u8147\u814A\u814C\u8152\u8157\u8160\u8161\u8167\u8168\u8169\u816D\u816F\u8177\u8181\u8190\u8184\u8185\u8186\u818B\u818E\u8196\u8198\u819B\u819E\u81A2\u81AE\u81B2\u81B4\u81BB\u81CB\u81C3\u81C5\u81CA\u81CE\u81CF\u81D5\u81D7\u81DB\u81DD\u81DE\u81E1\u81E4\u81EB\u81EC\u81F0\u81F1\u81F2\u81F5\u81F6\u81F8\u81F9\u81FD\u81FF\u8200\u8203\u820F\u8213\u8214\u8219\u821A\u821D\u8221\u8222\u8228\u8232\u8234\u823A\u8243\u8244\u8245\u8246"],
      ["8fd7a1", "\u824B\u824E\u824F\u8251\u8256\u825C\u8260\u8263\u8267\u826D\u8274\u827B\u827D\u827F\u8280\u8281\u8283\u8284\u8287\u8289\u828A\u828E\u8291\u8294\u8296\u8298\u829A\u829B\u82A0\u82A1\u82A3\u82A4\u82A7\u82A8\u82A9\u82AA\u82AE\u82B0\u82B2\u82B4\u82B7\u82BA\u82BC\u82BE\u82BF\u82C6\u82D0\u82D5\u82DA\u82E0\u82E2\u82E4\u82E8\u82EA\u82ED\u82EF\u82F6\u82F7\u82FD\u82FE\u8300\u8301\u8307\u8308\u830A\u830B\u8354\u831B\u831D\u831E\u831F\u8321\u8322\u832C\u832D\u832E\u8330\u8333\u8337\u833A\u833C\u833D\u8342\u8343\u8344\u8347\u834D\u834E\u8351\u8355\u8356\u8357\u8370\u8378"],
      ["8fd8a1", "\u837D\u837F\u8380\u8382\u8384\u8386\u838D\u8392\u8394\u8395\u8398\u8399\u839B\u839C\u839D\u83A6\u83A7\u83A9\u83AC\u83BE\u83BF\u83C0\u83C7\u83C9\u83CF\u83D0\u83D1\u83D4\u83DD\u8353\u83E8\u83EA\u83F6\u83F8\u83F9\u83FC\u8401\u8406\u840A\u840F\u8411\u8415\u8419\u83AD\u842F\u8439\u8445\u8447\u8448\u844A\u844D\u844F\u8451\u8452\u8456\u8458\u8459\u845A\u845C\u8460\u8464\u8465\u8467\u846A\u8470\u8473\u8474\u8476\u8478\u847C\u847D\u8481\u8485\u8492\u8493\u8495\u849E\u84A6\u84A8\u84A9\u84AA\u84AF\u84B1\u84B4\u84BA\u84BD\u84BE\u84C0\u84C2\u84C7\u84C8\u84CC\u84CF\u84D3"],
      ["8fd9a1", "\u84DC\u84E7\u84EA\u84EF\u84F0\u84F1\u84F2\u84F7\u8532\u84FA\u84FB\u84FD\u8502\u8503\u8507\u850C\u850E\u8510\u851C\u851E\u8522\u8523\u8524\u8525\u8527\u852A\u852B\u852F\u8533\u8534\u8536\u853F\u8546\u854F", 4, "\u8556\u8559\u855C", 6, "\u8564\u856B\u856F\u8579\u857A\u857B\u857D\u857F\u8581\u8585\u8586\u8589\u858B\u858C\u858F\u8593\u8598\u859D\u859F\u85A0\u85A2\u85A5\u85A7\u85B4\u85B6\u85B7\u85B8\u85BC\u85BD\u85BE\u85BF\u85C2\u85C7\u85CA\u85CB\u85CE\u85AD\u85D8\u85DA\u85DF\u85E0\u85E6\u85E8\u85ED\u85F3\u85F6\u85FC"],
      ["8fdaa1", "\u85FF\u8600\u8604\u8605\u860D\u860E\u8610\u8611\u8612\u8618\u8619\u861B\u861E\u8621\u8627\u8629\u8636\u8638\u863A\u863C\u863D\u8640\u8642\u8646\u8652\u8653\u8656\u8657\u8658\u8659\u865D\u8660", 4, "\u8669\u866C\u866F\u8675\u8676\u8677\u867A\u868D\u8691\u8696\u8698\u869A\u869C\u86A1\u86A6\u86A7\u86A8\u86AD\u86B1\u86B3\u86B4\u86B5\u86B7\u86B8\u86B9\u86BF\u86C0\u86C1\u86C3\u86C5\u86D1\u86D2\u86D5\u86D7\u86DA\u86DC\u86E0\u86E3\u86E5\u86E7\u8688\u86FA\u86FC\u86FD\u8704\u8705\u8707\u870B\u870E\u870F\u8710\u8713\u8714\u8719\u871E\u871F\u8721\u8723"],
      ["8fdba1", "\u8728\u872E\u872F\u8731\u8732\u8739\u873A\u873C\u873D\u873E\u8740\u8743\u8745\u874D\u8758\u875D\u8761\u8764\u8765\u876F\u8771\u8772\u877B\u8783", 6, "\u878B\u878C\u8790\u8793\u8795\u8797\u8798\u8799\u879E\u87A0\u87A3\u87A7\u87AC\u87AD\u87AE\u87B1\u87B5\u87BE\u87BF\u87C1\u87C8\u87C9\u87CA\u87CE\u87D5\u87D6\u87D9\u87DA\u87DC\u87DF\u87E2\u87E3\u87E4\u87EA\u87EB\u87ED\u87F1\u87F3\u87F8\u87FA\u87FF\u8801\u8803\u8806\u8809\u880A\u880B\u8810\u8819\u8812\u8813\u8814\u8818\u881A\u881B\u881C\u881E\u881F\u8828\u882D\u882E\u8830\u8832\u8835"],
      ["8fdca1", "\u883A\u883C\u8841\u8843\u8845\u8848\u8849\u884A\u884B\u884E\u8851\u8855\u8856\u8858\u885A\u885C\u885F\u8860\u8864\u8869\u8871\u8879\u887B\u8880\u8898\u889A\u889B\u889C\u889F\u88A0\u88A8\u88AA\u88BA\u88BD\u88BE\u88C0\u88CA", 4, "\u88D1\u88D2\u88D3\u88DB\u88DE\u88E7\u88EF\u88F0\u88F1\u88F5\u88F7\u8901\u8906\u890D\u890E\u890F\u8915\u8916\u8918\u8919\u891A\u891C\u8920\u8926\u8927\u8928\u8930\u8931\u8932\u8935\u8939\u893A\u893E\u8940\u8942\u8945\u8946\u8949\u894F\u8952\u8957\u895A\u895B\u895C\u8961\u8962\u8963\u896B\u896E\u8970\u8973\u8975\u897A"],
      ["8fdda1", "\u897B\u897C\u897D\u8989\u898D\u8990\u8994\u8995\u899B\u899C\u899F\u89A0\u89A5\u89B0\u89B4\u89B5\u89B6\u89B7\u89BC\u89D4", 4, "\u89E5\u89E9\u89EB\u89ED\u89F1\u89F3\u89F6\u89F9\u89FD\u89FF\u8A04\u8A05\u8A07\u8A0F\u8A11\u8A12\u8A14\u8A15\u8A1E\u8A20\u8A22\u8A24\u8A26\u8A2B\u8A2C\u8A2F\u8A35\u8A37\u8A3D\u8A3E\u8A40\u8A43\u8A45\u8A47\u8A49\u8A4D\u8A4E\u8A53\u8A56\u8A57\u8A58\u8A5C\u8A5D\u8A61\u8A65\u8A67\u8A75\u8A76\u8A77\u8A79\u8A7A\u8A7B\u8A7E\u8A7F\u8A80\u8A83\u8A86\u8A8B\u8A8F\u8A90\u8A92\u8A96\u8A97\u8A99\u8A9F\u8AA7\u8AA9\u8AAE\u8AAF\u8AB3"],
      ["8fdea1", "\u8AB6\u8AB7\u8ABB\u8ABE\u8AC3\u8AC6\u8AC8\u8AC9\u8ACA\u8AD1\u8AD3\u8AD4\u8AD5\u8AD7\u8ADD\u8ADF\u8AEC\u8AF0\u8AF4\u8AF5\u8AF6\u8AFC\u8AFF\u8B05\u8B06\u8B0B\u8B11\u8B1C\u8B1E\u8B1F\u8B0A\u8B2D\u8B30\u8B37\u8B3C\u8B42", 4, "\u8B48\u8B52\u8B53\u8B54\u8B59\u8B4D\u8B5E\u8B63\u8B6D\u8B76\u8B78\u8B79\u8B7C\u8B7E\u8B81\u8B84\u8B85\u8B8B\u8B8D\u8B8F\u8B94\u8B95\u8B9C\u8B9E\u8B9F\u8C38\u8C39\u8C3D\u8C3E\u8C45\u8C47\u8C49\u8C4B\u8C4F\u8C51\u8C53\u8C54\u8C57\u8C58\u8C5B\u8C5D\u8C59\u8C63\u8C64\u8C66\u8C68\u8C69\u8C6D\u8C73\u8C75\u8C76\u8C7B\u8C7E\u8C86"],
      ["8fdfa1", "\u8C87\u8C8B\u8C90\u8C92\u8C93\u8C99\u8C9B\u8C9C\u8CA4\u8CB9\u8CBA\u8CC5\u8CC6\u8CC9\u8CCB\u8CCF\u8CD6\u8CD5\u8CD9\u8CDD\u8CE1\u8CE8\u8CEC\u8CEF\u8CF0\u8CF2\u8CF5\u8CF7\u8CF8\u8CFE\u8CFF\u8D01\u8D03\u8D09\u8D12\u8D17\u8D1B\u8D65\u8D69\u8D6C\u8D6E\u8D7F\u8D82\u8D84\u8D88\u8D8D\u8D90\u8D91\u8D95\u8D9E\u8D9F\u8DA0\u8DA6\u8DAB\u8DAC\u8DAF\u8DB2\u8DB5\u8DB7\u8DB9\u8DBB\u8DC0\u8DC5\u8DC6\u8DC7\u8DC8\u8DCA\u8DCE\u8DD1\u8DD4\u8DD5\u8DD7\u8DD9\u8DE4\u8DE5\u8DE7\u8DEC\u8DF0\u8DBC\u8DF1\u8DF2\u8DF4\u8DFD\u8E01\u8E04\u8E05\u8E06\u8E0B\u8E11\u8E14\u8E16\u8E20\u8E21\u8E22"],
      ["8fe0a1", "\u8E23\u8E26\u8E27\u8E31\u8E33\u8E36\u8E37\u8E38\u8E39\u8E3D\u8E40\u8E41\u8E4B\u8E4D\u8E4E\u8E4F\u8E54\u8E5B\u8E5C\u8E5D\u8E5E\u8E61\u8E62\u8E69\u8E6C\u8E6D\u8E6F\u8E70\u8E71\u8E79\u8E7A\u8E7B\u8E82\u8E83\u8E89\u8E90\u8E92\u8E95\u8E9A\u8E9B\u8E9D\u8E9E\u8EA2\u8EA7\u8EA9\u8EAD\u8EAE\u8EB3\u8EB5\u8EBA\u8EBB\u8EC0\u8EC1\u8EC3\u8EC4\u8EC7\u8ECF\u8ED1\u8ED4\u8EDC\u8EE8\u8EEE\u8EF0\u8EF1\u8EF7\u8EF9\u8EFA\u8EED\u8F00\u8F02\u8F07\u8F08\u8F0F\u8F10\u8F16\u8F17\u8F18\u8F1E\u8F20\u8F21\u8F23\u8F25\u8F27\u8F28\u8F2C\u8F2D\u8F2E\u8F34\u8F35\u8F36\u8F37\u8F3A\u8F40\u8F41"],
      ["8fe1a1", "\u8F43\u8F47\u8F4F\u8F51", 4, "\u8F58\u8F5D\u8F5E\u8F65\u8F9D\u8FA0\u8FA1\u8FA4\u8FA5\u8FA6\u8FB5\u8FB6\u8FB8\u8FBE\u8FC0\u8FC1\u8FC6\u8FCA\u8FCB\u8FCD\u8FD0\u8FD2\u8FD3\u8FD5\u8FE0\u8FE3\u8FE4\u8FE8\u8FEE\u8FF1\u8FF5\u8FF6\u8FFB\u8FFE\u9002\u9004\u9008\u900C\u9018\u901B\u9028\u9029\u902F\u902A\u902C\u902D\u9033\u9034\u9037\u903F\u9043\u9044\u904C\u905B\u905D\u9062\u9066\u9067\u906C\u9070\u9074\u9079\u9085\u9088\u908B\u908C\u908E\u9090\u9095\u9097\u9098\u9099\u909B\u90A0\u90A1\u90A2\u90A5\u90B0\u90B2\u90B3\u90B4\u90B6\u90BD\u90CC\u90BE\u90C3"],
      ["8fe2a1", "\u90C4\u90C5\u90C7\u90C8\u90D5\u90D7\u90D8\u90D9\u90DC\u90DD\u90DF\u90E5\u90D2\u90F6\u90EB\u90EF\u90F0\u90F4\u90FE\u90FF\u9100\u9104\u9105\u9106\u9108\u910D\u9110\u9114\u9116\u9117\u9118\u911A\u911C\u911E\u9120\u9125\u9122\u9123\u9127\u9129\u912E\u912F\u9131\u9134\u9136\u9137\u9139\u913A\u913C\u913D\u9143\u9147\u9148\u914F\u9153\u9157\u9159\u915A\u915B\u9161\u9164\u9167\u916D\u9174\u9179\u917A\u917B\u9181\u9183\u9185\u9186\u918A\u918E\u9191\u9193\u9194\u9195\u9198\u919E\u91A1\u91A6\u91A8\u91AC\u91AD\u91AE\u91B0\u91B1\u91B2\u91B3\u91B6\u91BB\u91BC\u91BD\u91BF"],
      ["8fe3a1", "\u91C2\u91C3\u91C5\u91D3\u91D4\u91D7\u91D9\u91DA\u91DE\u91E4\u91E5\u91E9\u91EA\u91EC", 5, "\u91F7\u91F9\u91FB\u91FD\u9200\u9201\u9204\u9205\u9206\u9207\u9209\u920A\u920C\u9210\u9212\u9213\u9216\u9218\u921C\u921D\u9223\u9224\u9225\u9226\u9228\u922E\u922F\u9230\u9233\u9235\u9236\u9238\u9239\u923A\u923C\u923E\u9240\u9242\u9243\u9246\u9247\u924A\u924D\u924E\u924F\u9251\u9258\u9259\u925C\u925D\u9260\u9261\u9265\u9267\u9268\u9269\u926E\u926F\u9270\u9275", 4, "\u927B\u927C\u927D\u927F\u9288\u9289\u928A\u928D\u928E\u9292\u9297"],
      ["8fe4a1", "\u9299\u929F\u92A0\u92A4\u92A5\u92A7\u92A8\u92AB\u92AF\u92B2\u92B6\u92B8\u92BA\u92BB\u92BC\u92BD\u92BF", 4, "\u92C5\u92C6\u92C7\u92C8\u92CB\u92CC\u92CD\u92CE\u92D0\u92D3\u92D5\u92D7\u92D8\u92D9\u92DC\u92DD\u92DF\u92E0\u92E1\u92E3\u92E5\u92E7\u92E8\u92EC\u92EE\u92F0\u92F9\u92FB\u92FF\u9300\u9302\u9308\u930D\u9311\u9314\u9315\u931C\u931D\u931E\u931F\u9321\u9324\u9325\u9327\u9329\u932A\u9333\u9334\u9336\u9337\u9347\u9348\u9349\u9350\u9351\u9352\u9355\u9357\u9358\u935A\u935E\u9364\u9365\u9367\u9369\u936A\u936D\u936F\u9370\u9371\u9373\u9374\u9376"],
      ["8fe5a1", "\u937A\u937D\u937F\u9380\u9381\u9382\u9388\u938A\u938B\u938D\u938F\u9392\u9395\u9398\u939B\u939E\u93A1\u93A3\u93A4\u93A6\u93A8\u93AB\u93B4\u93B5\u93B6\u93BA\u93A9\u93C1\u93C4\u93C5\u93C6\u93C7\u93C9", 4, "\u93D3\u93D9\u93DC\u93DE\u93DF\u93E2\u93E6\u93E7\u93F9\u93F7\u93F8\u93FA\u93FB\u93FD\u9401\u9402\u9404\u9408\u9409\u940D\u940E\u940F\u9415\u9416\u9417\u941F\u942E\u942F\u9431\u9432\u9433\u9434\u943B\u943F\u943D\u9443\u9445\u9448\u944A\u944C\u9455\u9459\u945C\u945F\u9461\u9463\u9468\u946B\u946D\u946E\u946F\u9471\u9472\u9484\u9483\u9578\u9579"],
      ["8fe6a1", "\u957E\u9584\u9588\u958C\u958D\u958E\u959D\u959E\u959F\u95A1\u95A6\u95A9\u95AB\u95AC\u95B4\u95B6\u95BA\u95BD\u95BF\u95C6\u95C8\u95C9\u95CB\u95D0\u95D1\u95D2\u95D3\u95D9\u95DA\u95DD\u95DE\u95DF\u95E0\u95E4\u95E6\u961D\u961E\u9622\u9624\u9625\u9626\u962C\u9631\u9633\u9637\u9638\u9639\u963A\u963C\u963D\u9641\u9652\u9654\u9656\u9657\u9658\u9661\u966E\u9674\u967B\u967C\u967E\u967F\u9681\u9682\u9683\u9684\u9689\u9691\u9696\u969A\u969D\u969F\u96A4\u96A5\u96A6\u96A9\u96AE\u96AF\u96B3\u96BA\u96CA\u96D2\u5DB2\u96D8\u96DA\u96DD\u96DE\u96DF\u96E9\u96EF\u96F1\u96FA\u9702"],
      ["8fe7a1", "\u9703\u9705\u9709\u971A\u971B\u971D\u9721\u9722\u9723\u9728\u9731\u9733\u9741\u9743\u974A\u974E\u974F\u9755\u9757\u9758\u975A\u975B\u9763\u9767\u976A\u976E\u9773\u9776\u9777\u9778\u977B\u977D\u977F\u9780\u9789\u9795\u9796\u9797\u9799\u979A\u979E\u979F\u97A2\u97AC\u97AE\u97B1\u97B2\u97B5\u97B6\u97B8\u97B9\u97BA\u97BC\u97BE\u97BF\u97C1\u97C4\u97C5\u97C7\u97C9\u97CA\u97CC\u97CD\u97CE\u97D0\u97D1\u97D4\u97D7\u97D8\u97D9\u97DD\u97DE\u97E0\u97DB\u97E1\u97E4\u97EF\u97F1\u97F4\u97F7\u97F8\u97FA\u9807\u980A\u9819\u980D\u980E\u9814\u9816\u981C\u981E\u9820\u9823\u9826"],
      ["8fe8a1", "\u982B\u982E\u982F\u9830\u9832\u9833\u9835\u9825\u983E\u9844\u9847\u984A\u9851\u9852\u9853\u9856\u9857\u9859\u985A\u9862\u9863\u9865\u9866\u986A\u986C\u98AB\u98AD\u98AE\u98B0\u98B4\u98B7\u98B8\u98BA\u98BB\u98BF\u98C2\u98C5\u98C8\u98CC\u98E1\u98E3\u98E5\u98E6\u98E7\u98EA\u98F3\u98F6\u9902\u9907\u9908\u9911\u9915\u9916\u9917\u991A\u991B\u991C\u991F\u9922\u9926\u9927\u992B\u9931", 4, "\u9939\u993A\u993B\u993C\u9940\u9941\u9946\u9947\u9948\u994D\u994E\u9954\u9958\u9959\u995B\u995C\u995E\u995F\u9960\u999B\u999D\u999F\u99A6\u99B0\u99B1\u99B2\u99B5"],
      ["8fe9a1", "\u99B9\u99BA\u99BD\u99BF\u99C3\u99C9\u99D3\u99D4\u99D9\u99DA\u99DC\u99DE\u99E7\u99EA\u99EB\u99EC\u99F0\u99F4\u99F5\u99F9\u99FD\u99FE\u9A02\u9A03\u9A04\u9A0B\u9A0C\u9A10\u9A11\u9A16\u9A1E\u9A20\u9A22\u9A23\u9A24\u9A27\u9A2D\u9A2E\u9A33\u9A35\u9A36\u9A38\u9A47\u9A41\u9A44\u9A4A\u9A4B\u9A4C\u9A4E\u9A51\u9A54\u9A56\u9A5D\u9AAA\u9AAC\u9AAE\u9AAF\u9AB2\u9AB4\u9AB5\u9AB6\u9AB9\u9ABB\u9ABE\u9ABF\u9AC1\u9AC3\u9AC6\u9AC8\u9ACE\u9AD0\u9AD2\u9AD5\u9AD6\u9AD7\u9ADB\u9ADC\u9AE0\u9AE4\u9AE5\u9AE7\u9AE9\u9AEC\u9AF2\u9AF3\u9AF5\u9AF9\u9AFA\u9AFD\u9AFF", 4],
      ["8feaa1", "\u9B04\u9B05\u9B08\u9B09\u9B0B\u9B0C\u9B0D\u9B0E\u9B10\u9B12\u9B16\u9B19\u9B1B\u9B1C\u9B20\u9B26\u9B2B\u9B2D\u9B33\u9B34\u9B35\u9B37\u9B39\u9B3A\u9B3D\u9B48\u9B4B\u9B4C\u9B55\u9B56\u9B57\u9B5B\u9B5E\u9B61\u9B63\u9B65\u9B66\u9B68\u9B6A", 4, "\u9B73\u9B75\u9B77\u9B78\u9B79\u9B7F\u9B80\u9B84\u9B85\u9B86\u9B87\u9B89\u9B8A\u9B8B\u9B8D\u9B8F\u9B90\u9B94\u9B9A\u9B9D\u9B9E\u9BA6\u9BA7\u9BA9\u9BAC\u9BB0\u9BB1\u9BB2\u9BB7\u9BB8\u9BBB\u9BBC\u9BBE\u9BBF\u9BC1\u9BC7\u9BC8\u9BCE\u9BD0\u9BD7\u9BD8\u9BDD\u9BDF\u9BE5\u9BE7\u9BEA\u9BEB\u9BEF\u9BF3\u9BF7\u9BF8"],
      ["8feba1", "\u9BF9\u9BFA\u9BFD\u9BFF\u9C00\u9C02\u9C0B\u9C0F\u9C11\u9C16\u9C18\u9C19\u9C1A\u9C1C\u9C1E\u9C22\u9C23\u9C26", 4, "\u9C31\u9C35\u9C36\u9C37\u9C3D\u9C41\u9C43\u9C44\u9C45\u9C49\u9C4A\u9C4E\u9C4F\u9C50\u9C53\u9C54\u9C56\u9C58\u9C5B\u9C5D\u9C5E\u9C5F\u9C63\u9C69\u9C6A\u9C5C\u9C6B\u9C68\u9C6E\u9C70\u9C72\u9C75\u9C77\u9C7B\u9CE6\u9CF2\u9CF7\u9CF9\u9D0B\u9D02\u9D11\u9D17\u9D18\u9D1C\u9D1D\u9D1E\u9D2F\u9D30\u9D32\u9D33\u9D34\u9D3A\u9D3C\u9D45\u9D3D\u9D42\u9D43\u9D47\u9D4A\u9D53\u9D54\u9D5F\u9D63\u9D62\u9D65\u9D69\u9D6A\u9D6B\u9D70\u9D76\u9D77\u9D7B"],
      ["8feca1", "\u9D7C\u9D7E\u9D83\u9D84\u9D86\u9D8A\u9D8D\u9D8E\u9D92\u9D93\u9D95\u9D96\u9D97\u9D98\u9DA1\u9DAA\u9DAC\u9DAE\u9DB1\u9DB5\u9DB9\u9DBC\u9DBF\u9DC3\u9DC7\u9DC9\u9DCA\u9DD4\u9DD5\u9DD6\u9DD7\u9DDA\u9DDE\u9DDF\u9DE0\u9DE5\u9DE7\u9DE9\u9DEB\u9DEE\u9DF0\u9DF3\u9DF4\u9DFE\u9E0A\u9E02\u9E07\u9E0E\u9E10\u9E11\u9E12\u9E15\u9E16\u9E19\u9E1C\u9E1D\u9E7A\u9E7B\u9E7C\u9E80\u9E82\u9E83\u9E84\u9E85\u9E87\u9E8E\u9E8F\u9E96\u9E98\u9E9B\u9E9E\u9EA4\u9EA8\u9EAC\u9EAE\u9EAF\u9EB0\u9EB3\u9EB4\u9EB5\u9EC6\u9EC8\u9ECB\u9ED5\u9EDF\u9EE4\u9EE7\u9EEC\u9EED\u9EEE\u9EF0\u9EF1\u9EF2\u9EF5"],
      ["8feda1", "\u9EF8\u9EFF\u9F02\u9F03\u9F09\u9F0F\u9F10\u9F11\u9F12\u9F14\u9F16\u9F17\u9F19\u9F1A\u9F1B\u9F1F\u9F22\u9F26\u9F2A\u9F2B\u9F2F\u9F31\u9F32\u9F34\u9F37\u9F39\u9F3A\u9F3C\u9F3D\u9F3F\u9F41\u9F43", 4, "\u9F53\u9F55\u9F56\u9F57\u9F58\u9F5A\u9F5D\u9F5E\u9F68\u9F69\u9F6D", 4, "\u9F73\u9F75\u9F7A\u9F7D\u9F8F\u9F90\u9F91\u9F92\u9F94\u9F96\u9F97\u9F9E\u9FA1\u9FA2\u9FA3\u9FA5"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/cp936.json
var require_cp936 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/cp936.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 127, "\u20AC"],
      ["8140", "\u4E02\u4E04\u4E05\u4E06\u4E0F\u4E12\u4E17\u4E1F\u4E20\u4E21\u4E23\u4E26\u4E29\u4E2E\u4E2F\u4E31\u4E33\u4E35\u4E37\u4E3C\u4E40\u4E41\u4E42\u4E44\u4E46\u4E4A\u4E51\u4E55\u4E57\u4E5A\u4E5B\u4E62\u4E63\u4E64\u4E65\u4E67\u4E68\u4E6A", 5, "\u4E72\u4E74", 9, "\u4E7F", 6, "\u4E87\u4E8A"],
      ["8180", "\u4E90\u4E96\u4E97\u4E99\u4E9C\u4E9D\u4E9E\u4EA3\u4EAA\u4EAF\u4EB0\u4EB1\u4EB4\u4EB6\u4EB7\u4EB8\u4EB9\u4EBC\u4EBD\u4EBE\u4EC8\u4ECC\u4ECF\u4ED0\u4ED2\u4EDA\u4EDB\u4EDC\u4EE0\u4EE2\u4EE6\u4EE7\u4EE9\u4EED\u4EEE\u4EEF\u4EF1\u4EF4\u4EF8\u4EF9\u4EFA\u4EFC\u4EFE\u4F00\u4F02", 6, "\u4F0B\u4F0C\u4F12", 4, "\u4F1C\u4F1D\u4F21\u4F23\u4F28\u4F29\u4F2C\u4F2D\u4F2E\u4F31\u4F33\u4F35\u4F37\u4F39\u4F3B\u4F3E", 4, "\u4F44\u4F45\u4F47", 5, "\u4F52\u4F54\u4F56\u4F61\u4F62\u4F66\u4F68\u4F6A\u4F6B\u4F6D\u4F6E\u4F71\u4F72\u4F75\u4F77\u4F78\u4F79\u4F7A\u4F7D\u4F80\u4F81\u4F82\u4F85\u4F86\u4F87\u4F8A\u4F8C\u4F8E\u4F90\u4F92\u4F93\u4F95\u4F96\u4F98\u4F99\u4F9A\u4F9C\u4F9E\u4F9F\u4FA1\u4FA2"],
      ["8240", "\u4FA4\u4FAB\u4FAD\u4FB0", 4, "\u4FB6", 8, "\u4FC0\u4FC1\u4FC2\u4FC6\u4FC7\u4FC8\u4FC9\u4FCB\u4FCC\u4FCD\u4FD2", 4, "\u4FD9\u4FDB\u4FE0\u4FE2\u4FE4\u4FE5\u4FE7\u4FEB\u4FEC\u4FF0\u4FF2\u4FF4\u4FF5\u4FF6\u4FF7\u4FF9\u4FFB\u4FFC\u4FFD\u4FFF", 11],
      ["8280", "\u500B\u500E\u5010\u5011\u5013\u5015\u5016\u5017\u501B\u501D\u501E\u5020\u5022\u5023\u5024\u5027\u502B\u502F", 10, "\u503B\u503D\u503F\u5040\u5041\u5042\u5044\u5045\u5046\u5049\u504A\u504B\u504D\u5050", 4, "\u5056\u5057\u5058\u5059\u505B\u505D", 7, "\u5066", 5, "\u506D", 8, "\u5078\u5079\u507A\u507C\u507D\u5081\u5082\u5083\u5084\u5086\u5087\u5089\u508A\u508B\u508C\u508E", 20, "\u50A4\u50A6\u50AA\u50AB\u50AD", 4, "\u50B3", 6, "\u50BC"],
      ["8340", "\u50BD", 17, "\u50D0", 5, "\u50D7\u50D8\u50D9\u50DB", 10, "\u50E8\u50E9\u50EA\u50EB\u50EF\u50F0\u50F1\u50F2\u50F4\u50F6", 4, "\u50FC", 9, "\u5108"],
      ["8380", "\u5109\u510A\u510C", 5, "\u5113", 13, "\u5122", 28, "\u5142\u5147\u514A\u514C\u514E\u514F\u5150\u5152\u5153\u5157\u5158\u5159\u515B\u515D", 4, "\u5163\u5164\u5166\u5167\u5169\u516A\u516F\u5172\u517A\u517E\u517F\u5183\u5184\u5186\u5187\u518A\u518B\u518E\u518F\u5190\u5191\u5193\u5194\u5198\u519A\u519D\u519E\u519F\u51A1\u51A3\u51A6", 4, "\u51AD\u51AE\u51B4\u51B8\u51B9\u51BA\u51BE\u51BF\u51C1\u51C2\u51C3\u51C5\u51C8\u51CA\u51CD\u51CE\u51D0\u51D2", 5],
      ["8440", "\u51D8\u51D9\u51DA\u51DC\u51DE\u51DF\u51E2\u51E3\u51E5", 5, "\u51EC\u51EE\u51F1\u51F2\u51F4\u51F7\u51FE\u5204\u5205\u5209\u520B\u520C\u520F\u5210\u5213\u5214\u5215\u521C\u521E\u521F\u5221\u5222\u5223\u5225\u5226\u5227\u522A\u522C\u522F\u5231\u5232\u5234\u5235\u523C\u523E\u5244", 5, "\u524B\u524E\u524F\u5252\u5253\u5255\u5257\u5258"],
      ["8480", "\u5259\u525A\u525B\u525D\u525F\u5260\u5262\u5263\u5264\u5266\u5268\u526B\u526C\u526D\u526E\u5270\u5271\u5273", 9, "\u527E\u5280\u5283", 4, "\u5289", 6, "\u5291\u5292\u5294", 6, "\u529C\u52A4\u52A5\u52A6\u52A7\u52AE\u52AF\u52B0\u52B4", 9, "\u52C0\u52C1\u52C2\u52C4\u52C5\u52C6\u52C8\u52CA\u52CC\u52CD\u52CE\u52CF\u52D1\u52D3\u52D4\u52D5\u52D7\u52D9", 5, "\u52E0\u52E1\u52E2\u52E3\u52E5", 10, "\u52F1", 7, "\u52FB\u52FC\u52FD\u5301\u5302\u5303\u5304\u5307\u5309\u530A\u530B\u530C\u530E"],
      ["8540", "\u5311\u5312\u5313\u5314\u5318\u531B\u531C\u531E\u531F\u5322\u5324\u5325\u5327\u5328\u5329\u532B\u532C\u532D\u532F", 9, "\u533C\u533D\u5340\u5342\u5344\u5346\u534B\u534C\u534D\u5350\u5354\u5358\u5359\u535B\u535D\u5365\u5368\u536A\u536C\u536D\u5372\u5376\u5379\u537B\u537C\u537D\u537E\u5380\u5381\u5383\u5387\u5388\u538A\u538E\u538F"],
      ["8580", "\u5390", 4, "\u5396\u5397\u5399\u539B\u539C\u539E\u53A0\u53A1\u53A4\u53A7\u53AA\u53AB\u53AC\u53AD\u53AF", 6, "\u53B7\u53B8\u53B9\u53BA\u53BC\u53BD\u53BE\u53C0\u53C3", 4, "\u53CE\u53CF\u53D0\u53D2\u53D3\u53D5\u53DA\u53DC\u53DD\u53DE\u53E1\u53E2\u53E7\u53F4\u53FA\u53FE\u53FF\u5400\u5402\u5405\u5407\u540B\u5414\u5418\u5419\u541A\u541C\u5422\u5424\u5425\u542A\u5430\u5433\u5436\u5437\u543A\u543D\u543F\u5441\u5442\u5444\u5445\u5447\u5449\u544C\u544D\u544E\u544F\u5451\u545A\u545D", 4, "\u5463\u5465\u5467\u5469", 7, "\u5474\u5479\u547A\u547E\u547F\u5481\u5483\u5485\u5487\u5488\u5489\u548A\u548D\u5491\u5493\u5497\u5498\u549C\u549E\u549F\u54A0\u54A1"],
      ["8640", "\u54A2\u54A5\u54AE\u54B0\u54B2\u54B5\u54B6\u54B7\u54B9\u54BA\u54BC\u54BE\u54C3\u54C5\u54CA\u54CB\u54D6\u54D8\u54DB\u54E0", 4, "\u54EB\u54EC\u54EF\u54F0\u54F1\u54F4", 5, "\u54FB\u54FE\u5500\u5502\u5503\u5504\u5505\u5508\u550A", 4, "\u5512\u5513\u5515", 5, "\u551C\u551D\u551E\u551F\u5521\u5525\u5526"],
      ["8680", "\u5528\u5529\u552B\u552D\u5532\u5534\u5535\u5536\u5538\u5539\u553A\u553B\u553D\u5540\u5542\u5545\u5547\u5548\u554B", 4, "\u5551\u5552\u5553\u5554\u5557", 4, "\u555D\u555E\u555F\u5560\u5562\u5563\u5568\u5569\u556B\u556F", 5, "\u5579\u557A\u557D\u557F\u5585\u5586\u558C\u558D\u558E\u5590\u5592\u5593\u5595\u5596\u5597\u559A\u559B\u559E\u55A0", 6, "\u55A8", 8, "\u55B2\u55B4\u55B6\u55B8\u55BA\u55BC\u55BF", 4, "\u55C6\u55C7\u55C8\u55CA\u55CB\u55CE\u55CF\u55D0\u55D5\u55D7", 4, "\u55DE\u55E0\u55E2\u55E7\u55E9\u55ED\u55EE\u55F0\u55F1\u55F4\u55F6\u55F8", 4, "\u55FF\u5602\u5603\u5604\u5605"],
      ["8740", "\u5606\u5607\u560A\u560B\u560D\u5610", 7, "\u5619\u561A\u561C\u561D\u5620\u5621\u5622\u5625\u5626\u5628\u5629\u562A\u562B\u562E\u562F\u5630\u5633\u5635\u5637\u5638\u563A\u563C\u563D\u563E\u5640", 11, "\u564F", 4, "\u5655\u5656\u565A\u565B\u565D", 4],
      ["8780", "\u5663\u5665\u5666\u5667\u566D\u566E\u566F\u5670\u5672\u5673\u5674\u5675\u5677\u5678\u5679\u567A\u567D", 7, "\u5687", 6, "\u5690\u5691\u5692\u5694", 14, "\u56A4", 10, "\u56B0", 6, "\u56B8\u56B9\u56BA\u56BB\u56BD", 12, "\u56CB", 8, "\u56D5\u56D6\u56D8\u56D9\u56DC\u56E3\u56E5", 5, "\u56EC\u56EE\u56EF\u56F2\u56F3\u56F6\u56F7\u56F8\u56FB\u56FC\u5700\u5701\u5702\u5705\u5707\u570B", 6],
      ["8840", "\u5712", 9, "\u571D\u571E\u5720\u5721\u5722\u5724\u5725\u5726\u5727\u572B\u5731\u5732\u5734", 4, "\u573C\u573D\u573F\u5741\u5743\u5744\u5745\u5746\u5748\u5749\u574B\u5752", 4, "\u5758\u5759\u5762\u5763\u5765\u5767\u576C\u576E\u5770\u5771\u5772\u5774\u5775\u5778\u5779\u577A\u577D\u577E\u577F\u5780"],
      ["8880", "\u5781\u5787\u5788\u5789\u578A\u578D", 4, "\u5794", 6, "\u579C\u579D\u579E\u579F\u57A5\u57A8\u57AA\u57AC\u57AF\u57B0\u57B1\u57B3\u57B5\u57B6\u57B7\u57B9", 8, "\u57C4", 6, "\u57CC\u57CD\u57D0\u57D1\u57D3\u57D6\u57D7\u57DB\u57DC\u57DE\u57E1\u57E2\u57E3\u57E5", 7, "\u57EE\u57F0\u57F1\u57F2\u57F3\u57F5\u57F6\u57F7\u57FB\u57FC\u57FE\u57FF\u5801\u5803\u5804\u5805\u5808\u5809\u580A\u580C\u580E\u580F\u5810\u5812\u5813\u5814\u5816\u5817\u5818\u581A\u581B\u581C\u581D\u581F\u5822\u5823\u5825", 4, "\u582B", 4, "\u5831\u5832\u5833\u5834\u5836", 7],
      ["8940", "\u583E", 5, "\u5845", 6, "\u584E\u584F\u5850\u5852\u5853\u5855\u5856\u5857\u5859", 4, "\u585F", 5, "\u5866", 4, "\u586D", 16, "\u587F\u5882\u5884\u5886\u5887\u5888\u588A\u588B\u588C"],
      ["8980", "\u588D", 4, "\u5894", 4, "\u589B\u589C\u589D\u58A0", 7, "\u58AA", 17, "\u58BD\u58BE\u58BF\u58C0\u58C2\u58C3\u58C4\u58C6", 10, "\u58D2\u58D3\u58D4\u58D6", 13, "\u58E5", 5, "\u58ED\u58EF\u58F1\u58F2\u58F4\u58F5\u58F7\u58F8\u58FA", 7, "\u5903\u5905\u5906\u5908", 4, "\u590E\u5910\u5911\u5912\u5913\u5917\u5918\u591B\u591D\u591E\u5920\u5921\u5922\u5923\u5926\u5928\u592C\u5930\u5932\u5933\u5935\u5936\u593B"],
      ["8a40", "\u593D\u593E\u593F\u5940\u5943\u5945\u5946\u594A\u594C\u594D\u5950\u5952\u5953\u5959\u595B", 4, "\u5961\u5963\u5964\u5966", 12, "\u5975\u5977\u597A\u597B\u597C\u597E\u597F\u5980\u5985\u5989\u598B\u598C\u598E\u598F\u5990\u5991\u5994\u5995\u5998\u599A\u599B\u599C\u599D\u599F\u59A0\u59A1\u59A2\u59A6"],
      ["8a80", "\u59A7\u59AC\u59AD\u59B0\u59B1\u59B3", 5, "\u59BA\u59BC\u59BD\u59BF", 6, "\u59C7\u59C8\u59C9\u59CC\u59CD\u59CE\u59CF\u59D5\u59D6\u59D9\u59DB\u59DE", 4, "\u59E4\u59E6\u59E7\u59E9\u59EA\u59EB\u59ED", 11, "\u59FA\u59FC\u59FD\u59FE\u5A00\u5A02\u5A0A\u5A0B\u5A0D\u5A0E\u5A0F\u5A10\u5A12\u5A14\u5A15\u5A16\u5A17\u5A19\u5A1A\u5A1B\u5A1D\u5A1E\u5A21\u5A22\u5A24\u5A26\u5A27\u5A28\u5A2A", 6, "\u5A33\u5A35\u5A37", 4, "\u5A3D\u5A3E\u5A3F\u5A41", 4, "\u5A47\u5A48\u5A4B", 9, "\u5A56\u5A57\u5A58\u5A59\u5A5B", 5],
      ["8b40", "\u5A61\u5A63\u5A64\u5A65\u5A66\u5A68\u5A69\u5A6B", 8, "\u5A78\u5A79\u5A7B\u5A7C\u5A7D\u5A7E\u5A80", 17, "\u5A93", 6, "\u5A9C", 13, "\u5AAB\u5AAC"],
      ["8b80", "\u5AAD", 4, "\u5AB4\u5AB6\u5AB7\u5AB9", 4, "\u5ABF\u5AC0\u5AC3", 5, "\u5ACA\u5ACB\u5ACD", 4, "\u5AD3\u5AD5\u5AD7\u5AD9\u5ADA\u5ADB\u5ADD\u5ADE\u5ADF\u5AE2\u5AE4\u5AE5\u5AE7\u5AE8\u5AEA\u5AEC", 4, "\u5AF2", 22, "\u5B0A", 11, "\u5B18", 25, "\u5B33\u5B35\u5B36\u5B38", 7, "\u5B41", 6],
      ["8c40", "\u5B48", 7, "\u5B52\u5B56\u5B5E\u5B60\u5B61\u5B67\u5B68\u5B6B\u5B6D\u5B6E\u5B6F\u5B72\u5B74\u5B76\u5B77\u5B78\u5B79\u5B7B\u5B7C\u5B7E\u5B7F\u5B82\u5B86\u5B8A\u5B8D\u5B8E\u5B90\u5B91\u5B92\u5B94\u5B96\u5B9F\u5BA7\u5BA8\u5BA9\u5BAC\u5BAD\u5BAE\u5BAF\u5BB1\u5BB2\u5BB7\u5BBA\u5BBB\u5BBC\u5BC0\u5BC1\u5BC3\u5BC8\u5BC9\u5BCA\u5BCB\u5BCD\u5BCE\u5BCF"],
      ["8c80", "\u5BD1\u5BD4", 8, "\u5BE0\u5BE2\u5BE3\u5BE6\u5BE7\u5BE9", 4, "\u5BEF\u5BF1", 6, "\u5BFD\u5BFE\u5C00\u5C02\u5C03\u5C05\u5C07\u5C08\u5C0B\u5C0C\u5C0D\u5C0E\u5C10\u5C12\u5C13\u5C17\u5C19\u5C1B\u5C1E\u5C1F\u5C20\u5C21\u5C23\u5C26\u5C28\u5C29\u5C2A\u5C2B\u5C2D\u5C2E\u5C2F\u5C30\u5C32\u5C33\u5C35\u5C36\u5C37\u5C43\u5C44\u5C46\u5C47\u5C4C\u5C4D\u5C52\u5C53\u5C54\u5C56\u5C57\u5C58\u5C5A\u5C5B\u5C5C\u5C5D\u5C5F\u5C62\u5C64\u5C67", 6, "\u5C70\u5C72", 6, "\u5C7B\u5C7C\u5C7D\u5C7E\u5C80\u5C83", 4, "\u5C89\u5C8A\u5C8B\u5C8E\u5C8F\u5C92\u5C93\u5C95\u5C9D", 4, "\u5CA4", 4],
      ["8d40", "\u5CAA\u5CAE\u5CAF\u5CB0\u5CB2\u5CB4\u5CB6\u5CB9\u5CBA\u5CBB\u5CBC\u5CBE\u5CC0\u5CC2\u5CC3\u5CC5", 5, "\u5CCC", 5, "\u5CD3", 5, "\u5CDA", 6, "\u5CE2\u5CE3\u5CE7\u5CE9\u5CEB\u5CEC\u5CEE\u5CEF\u5CF1", 9, "\u5CFC", 4],
      ["8d80", "\u5D01\u5D04\u5D05\u5D08", 5, "\u5D0F", 4, "\u5D15\u5D17\u5D18\u5D19\u5D1A\u5D1C\u5D1D\u5D1F", 4, "\u5D25\u5D28\u5D2A\u5D2B\u5D2C\u5D2F", 4, "\u5D35", 7, "\u5D3F", 7, "\u5D48\u5D49\u5D4D", 10, "\u5D59\u5D5A\u5D5C\u5D5E", 10, "\u5D6A\u5D6D\u5D6E\u5D70\u5D71\u5D72\u5D73\u5D75", 12, "\u5D83", 21, "\u5D9A\u5D9B\u5D9C\u5D9E\u5D9F\u5DA0"],
      ["8e40", "\u5DA1", 21, "\u5DB8", 12, "\u5DC6", 6, "\u5DCE", 12, "\u5DDC\u5DDF\u5DE0\u5DE3\u5DE4\u5DEA\u5DEC\u5DED"],
      ["8e80", "\u5DF0\u5DF5\u5DF6\u5DF8", 4, "\u5DFF\u5E00\u5E04\u5E07\u5E09\u5E0A\u5E0B\u5E0D\u5E0E\u5E12\u5E13\u5E17\u5E1E", 7, "\u5E28", 4, "\u5E2F\u5E30\u5E32", 4, "\u5E39\u5E3A\u5E3E\u5E3F\u5E40\u5E41\u5E43\u5E46", 5, "\u5E4D", 6, "\u5E56", 4, "\u5E5C\u5E5D\u5E5F\u5E60\u5E63", 14, "\u5E75\u5E77\u5E79\u5E7E\u5E81\u5E82\u5E83\u5E85\u5E88\u5E89\u5E8C\u5E8D\u5E8E\u5E92\u5E98\u5E9B\u5E9D\u5EA1\u5EA2\u5EA3\u5EA4\u5EA8", 4, "\u5EAE", 4, "\u5EB4\u5EBA\u5EBB\u5EBC\u5EBD\u5EBF", 6],
      ["8f40", "\u5EC6\u5EC7\u5EC8\u5ECB", 5, "\u5ED4\u5ED5\u5ED7\u5ED8\u5ED9\u5EDA\u5EDC", 11, "\u5EE9\u5EEB", 8, "\u5EF5\u5EF8\u5EF9\u5EFB\u5EFC\u5EFD\u5F05\u5F06\u5F07\u5F09\u5F0C\u5F0D\u5F0E\u5F10\u5F12\u5F14\u5F16\u5F19\u5F1A\u5F1C\u5F1D\u5F1E\u5F21\u5F22\u5F23\u5F24"],
      ["8f80", "\u5F28\u5F2B\u5F2C\u5F2E\u5F30\u5F32", 6, "\u5F3B\u5F3D\u5F3E\u5F3F\u5F41", 14, "\u5F51\u5F54\u5F59\u5F5A\u5F5B\u5F5C\u5F5E\u5F5F\u5F60\u5F63\u5F65\u5F67\u5F68\u5F6B\u5F6E\u5F6F\u5F72\u5F74\u5F75\u5F76\u5F78\u5F7A\u5F7D\u5F7E\u5F7F\u5F83\u5F86\u5F8D\u5F8E\u5F8F\u5F91\u5F93\u5F94\u5F96\u5F9A\u5F9B\u5F9D\u5F9E\u5F9F\u5FA0\u5FA2", 5, "\u5FA9\u5FAB\u5FAC\u5FAF", 5, "\u5FB6\u5FB8\u5FB9\u5FBA\u5FBB\u5FBE", 4, "\u5FC7\u5FC8\u5FCA\u5FCB\u5FCE\u5FD3\u5FD4\u5FD5\u5FDA\u5FDB\u5FDC\u5FDE\u5FDF\u5FE2\u5FE3\u5FE5\u5FE6\u5FE8\u5FE9\u5FEC\u5FEF\u5FF0\u5FF2\u5FF3\u5FF4\u5FF6\u5FF7\u5FF9\u5FFA\u5FFC\u6007"],
      ["9040", "\u6008\u6009\u600B\u600C\u6010\u6011\u6013\u6017\u6018\u601A\u601E\u601F\u6022\u6023\u6024\u602C\u602D\u602E\u6030", 4, "\u6036", 4, "\u603D\u603E\u6040\u6044", 6, "\u604C\u604E\u604F\u6051\u6053\u6054\u6056\u6057\u6058\u605B\u605C\u605E\u605F\u6060\u6061\u6065\u6066\u606E\u6071\u6072\u6074\u6075\u6077\u607E\u6080"],
      ["9080", "\u6081\u6082\u6085\u6086\u6087\u6088\u608A\u608B\u608E\u608F\u6090\u6091\u6093\u6095\u6097\u6098\u6099\u609C\u609E\u60A1\u60A2\u60A4\u60A5\u60A7\u60A9\u60AA\u60AE\u60B0\u60B3\u60B5\u60B6\u60B7\u60B9\u60BA\u60BD", 7, "\u60C7\u60C8\u60C9\u60CC", 4, "\u60D2\u60D3\u60D4\u60D6\u60D7\u60D9\u60DB\u60DE\u60E1", 4, "\u60EA\u60F1\u60F2\u60F5\u60F7\u60F8\u60FB", 4, "\u6102\u6103\u6104\u6105\u6107\u610A\u610B\u610C\u6110", 4, "\u6116\u6117\u6118\u6119\u611B\u611C\u611D\u611E\u6121\u6122\u6125\u6128\u6129\u612A\u612C", 18, "\u6140", 6],
      ["9140", "\u6147\u6149\u614B\u614D\u614F\u6150\u6152\u6153\u6154\u6156", 6, "\u615E\u615F\u6160\u6161\u6163\u6164\u6165\u6166\u6169", 6, "\u6171\u6172\u6173\u6174\u6176\u6178", 18, "\u618C\u618D\u618F", 4, "\u6195"],
      ["9180", "\u6196", 6, "\u619E", 8, "\u61AA\u61AB\u61AD", 9, "\u61B8", 5, "\u61BF\u61C0\u61C1\u61C3", 4, "\u61C9\u61CC", 4, "\u61D3\u61D5", 16, "\u61E7", 13, "\u61F6", 8, "\u6200", 5, "\u6207\u6209\u6213\u6214\u6219\u621C\u621D\u621E\u6220\u6223\u6226\u6227\u6228\u6229\u622B\u622D\u622F\u6230\u6231\u6232\u6235\u6236\u6238", 4, "\u6242\u6244\u6245\u6246\u624A"],
      ["9240", "\u624F\u6250\u6255\u6256\u6257\u6259\u625A\u625C", 6, "\u6264\u6265\u6268\u6271\u6272\u6274\u6275\u6277\u6278\u627A\u627B\u627D\u6281\u6282\u6283\u6285\u6286\u6287\u6288\u628B", 5, "\u6294\u6299\u629C\u629D\u629E\u62A3\u62A6\u62A7\u62A9\u62AA\u62AD\u62AE\u62AF\u62B0\u62B2\u62B3\u62B4\u62B6\u62B7\u62B8\u62BA\u62BE\u62C0\u62C1"],
      ["9280", "\u62C3\u62CB\u62CF\u62D1\u62D5\u62DD\u62DE\u62E0\u62E1\u62E4\u62EA\u62EB\u62F0\u62F2\u62F5\u62F8\u62F9\u62FA\u62FB\u6300\u6303\u6304\u6305\u6306\u630A\u630B\u630C\u630D\u630F\u6310\u6312\u6313\u6314\u6315\u6317\u6318\u6319\u631C\u6326\u6327\u6329\u632C\u632D\u632E\u6330\u6331\u6333", 5, "\u633B\u633C\u633E\u633F\u6340\u6341\u6344\u6347\u6348\u634A\u6351\u6352\u6353\u6354\u6356", 7, "\u6360\u6364\u6365\u6366\u6368\u636A\u636B\u636C\u636F\u6370\u6372\u6373\u6374\u6375\u6378\u6379\u637C\u637D\u637E\u637F\u6381\u6383\u6384\u6385\u6386\u638B\u638D\u6391\u6393\u6394\u6395\u6397\u6399", 6, "\u63A1\u63A4\u63A6\u63AB\u63AF\u63B1\u63B2\u63B5\u63B6\u63B9\u63BB\u63BD\u63BF\u63C0"],
      ["9340", "\u63C1\u63C2\u63C3\u63C5\u63C7\u63C8\u63CA\u63CB\u63CC\u63D1\u63D3\u63D4\u63D5\u63D7", 6, "\u63DF\u63E2\u63E4", 4, "\u63EB\u63EC\u63EE\u63EF\u63F0\u63F1\u63F3\u63F5\u63F7\u63F9\u63FA\u63FB\u63FC\u63FE\u6403\u6404\u6406", 4, "\u640D\u640E\u6411\u6412\u6415", 5, "\u641D\u641F\u6422\u6423\u6424"],
      ["9380", "\u6425\u6427\u6428\u6429\u642B\u642E", 5, "\u6435", 4, "\u643B\u643C\u643E\u6440\u6442\u6443\u6449\u644B", 6, "\u6453\u6455\u6456\u6457\u6459", 4, "\u645F", 7, "\u6468\u646A\u646B\u646C\u646E", 9, "\u647B", 6, "\u6483\u6486\u6488", 8, "\u6493\u6494\u6497\u6498\u649A\u649B\u649C\u649D\u649F", 4, "\u64A5\u64A6\u64A7\u64A8\u64AA\u64AB\u64AF\u64B1\u64B2\u64B3\u64B4\u64B6\u64B9\u64BB\u64BD\u64BE\u64BF\u64C1\u64C3\u64C4\u64C6", 6, "\u64CF\u64D1\u64D3\u64D4\u64D5\u64D6\u64D9\u64DA"],
      ["9440", "\u64DB\u64DC\u64DD\u64DF\u64E0\u64E1\u64E3\u64E5\u64E7", 24, "\u6501", 7, "\u650A", 7, "\u6513", 4, "\u6519", 8],
      ["9480", "\u6522\u6523\u6524\u6526", 4, "\u652C\u652D\u6530\u6531\u6532\u6533\u6537\u653A\u653C\u653D\u6540", 4, "\u6546\u6547\u654A\u654B\u654D\u654E\u6550\u6552\u6553\u6554\u6557\u6558\u655A\u655C\u655F\u6560\u6561\u6564\u6565\u6567\u6568\u6569\u656A\u656D\u656E\u656F\u6571\u6573\u6575\u6576\u6578", 14, "\u6588\u6589\u658A\u658D\u658E\u658F\u6592\u6594\u6595\u6596\u6598\u659A\u659D\u659E\u65A0\u65A2\u65A3\u65A6\u65A8\u65AA\u65AC\u65AE\u65B1", 7, "\u65BA\u65BB\u65BE\u65BF\u65C0\u65C2\u65C7\u65C8\u65C9\u65CA\u65CD\u65D0\u65D1\u65D3\u65D4\u65D5\u65D8", 7, "\u65E1\u65E3\u65E4\u65EA\u65EB"],
      ["9540", "\u65F2\u65F3\u65F4\u65F5\u65F8\u65F9\u65FB", 4, "\u6601\u6604\u6605\u6607\u6608\u6609\u660B\u660D\u6610\u6611\u6612\u6616\u6617\u6618\u661A\u661B\u661C\u661E\u6621\u6622\u6623\u6624\u6626\u6629\u662A\u662B\u662C\u662E\u6630\u6632\u6633\u6637", 4, "\u663D\u663F\u6640\u6642\u6644", 6, "\u664D\u664E\u6650\u6651\u6658"],
      ["9580", "\u6659\u665B\u665C\u665D\u665E\u6660\u6662\u6663\u6665\u6667\u6669", 4, "\u6671\u6672\u6673\u6675\u6678\u6679\u667B\u667C\u667D\u667F\u6680\u6681\u6683\u6685\u6686\u6688\u6689\u668A\u668B\u668D\u668E\u668F\u6690\u6692\u6693\u6694\u6695\u6698", 4, "\u669E", 8, "\u66A9", 4, "\u66AF", 4, "\u66B5\u66B6\u66B7\u66B8\u66BA\u66BB\u66BC\u66BD\u66BF", 25, "\u66DA\u66DE", 7, "\u66E7\u66E8\u66EA", 5, "\u66F1\u66F5\u66F6\u66F8\u66FA\u66FB\u66FD\u6701\u6702\u6703"],
      ["9640", "\u6704\u6705\u6706\u6707\u670C\u670E\u670F\u6711\u6712\u6713\u6716\u6718\u6719\u671A\u671C\u671E\u6720", 5, "\u6727\u6729\u672E\u6730\u6732\u6733\u6736\u6737\u6738\u6739\u673B\u673C\u673E\u673F\u6741\u6744\u6745\u6747\u674A\u674B\u674D\u6752\u6754\u6755\u6757", 4, "\u675D\u6762\u6763\u6764\u6766\u6767\u676B\u676C\u676E\u6771\u6774\u6776"],
      ["9680", "\u6778\u6779\u677A\u677B\u677D\u6780\u6782\u6783\u6785\u6786\u6788\u678A\u678C\u678D\u678E\u678F\u6791\u6792\u6793\u6794\u6796\u6799\u679B\u679F\u67A0\u67A1\u67A4\u67A6\u67A9\u67AC\u67AE\u67B1\u67B2\u67B4\u67B9", 7, "\u67C2\u67C5", 9, "\u67D5\u67D6\u67D7\u67DB\u67DF\u67E1\u67E3\u67E4\u67E6\u67E7\u67E8\u67EA\u67EB\u67ED\u67EE\u67F2\u67F5", 7, "\u67FE\u6801\u6802\u6803\u6804\u6806\u680D\u6810\u6812\u6814\u6815\u6818", 4, "\u681E\u681F\u6820\u6822", 6, "\u682B", 6, "\u6834\u6835\u6836\u683A\u683B\u683F\u6847\u684B\u684D\u684F\u6852\u6856", 5],
      ["9740", "\u685C\u685D\u685E\u685F\u686A\u686C", 7, "\u6875\u6878", 8, "\u6882\u6884\u6887", 7, "\u6890\u6891\u6892\u6894\u6895\u6896\u6898", 9, "\u68A3\u68A4\u68A5\u68A9\u68AA\u68AB\u68AC\u68AE\u68B1\u68B2\u68B4\u68B6\u68B7\u68B8"],
      ["9780", "\u68B9", 6, "\u68C1\u68C3", 5, "\u68CA\u68CC\u68CE\u68CF\u68D0\u68D1\u68D3\u68D4\u68D6\u68D7\u68D9\u68DB", 4, "\u68E1\u68E2\u68E4", 9, "\u68EF\u68F2\u68F3\u68F4\u68F6\u68F7\u68F8\u68FB\u68FD\u68FE\u68FF\u6900\u6902\u6903\u6904\u6906", 4, "\u690C\u690F\u6911\u6913", 11, "\u6921\u6922\u6923\u6925", 7, "\u692E\u692F\u6931\u6932\u6933\u6935\u6936\u6937\u6938\u693A\u693B\u693C\u693E\u6940\u6941\u6943", 16, "\u6955\u6956\u6958\u6959\u695B\u695C\u695F"],
      ["9840", "\u6961\u6962\u6964\u6965\u6967\u6968\u6969\u696A\u696C\u696D\u696F\u6970\u6972", 4, "\u697A\u697B\u697D\u697E\u697F\u6981\u6983\u6985\u698A\u698B\u698C\u698E", 5, "\u6996\u6997\u6999\u699A\u699D", 9, "\u69A9\u69AA\u69AC\u69AE\u69AF\u69B0\u69B2\u69B3\u69B5\u69B6\u69B8\u69B9\u69BA\u69BC\u69BD"],
      ["9880", "\u69BE\u69BF\u69C0\u69C2", 7, "\u69CB\u69CD\u69CF\u69D1\u69D2\u69D3\u69D5", 5, "\u69DC\u69DD\u69DE\u69E1", 11, "\u69EE\u69EF\u69F0\u69F1\u69F3", 9, "\u69FE\u6A00", 9, "\u6A0B", 11, "\u6A19", 5, "\u6A20\u6A22", 5, "\u6A29\u6A2B\u6A2C\u6A2D\u6A2E\u6A30\u6A32\u6A33\u6A34\u6A36", 6, "\u6A3F", 4, "\u6A45\u6A46\u6A48", 7, "\u6A51", 6, "\u6A5A"],
      ["9940", "\u6A5C", 4, "\u6A62\u6A63\u6A64\u6A66", 10, "\u6A72", 6, "\u6A7A\u6A7B\u6A7D\u6A7E\u6A7F\u6A81\u6A82\u6A83\u6A85", 8, "\u6A8F\u6A92", 4, "\u6A98", 7, "\u6AA1", 5],
      ["9980", "\u6AA7\u6AA8\u6AAA\u6AAD", 114, "\u6B25\u6B26\u6B28", 6],
      ["9a40", "\u6B2F\u6B30\u6B31\u6B33\u6B34\u6B35\u6B36\u6B38\u6B3B\u6B3C\u6B3D\u6B3F\u6B40\u6B41\u6B42\u6B44\u6B45\u6B48\u6B4A\u6B4B\u6B4D", 11, "\u6B5A", 7, "\u6B68\u6B69\u6B6B", 13, "\u6B7A\u6B7D\u6B7E\u6B7F\u6B80\u6B85\u6B88"],
      ["9a80", "\u6B8C\u6B8E\u6B8F\u6B90\u6B91\u6B94\u6B95\u6B97\u6B98\u6B99\u6B9C", 4, "\u6BA2", 7, "\u6BAB", 7, "\u6BB6\u6BB8", 6, "\u6BC0\u6BC3\u6BC4\u6BC6", 4, "\u6BCC\u6BCE\u6BD0\u6BD1\u6BD8\u6BDA\u6BDC", 4, "\u6BE2", 7, "\u6BEC\u6BED\u6BEE\u6BF0\u6BF1\u6BF2\u6BF4\u6BF6\u6BF7\u6BF8\u6BFA\u6BFB\u6BFC\u6BFE", 6, "\u6C08", 4, "\u6C0E\u6C12\u6C17\u6C1C\u6C1D\u6C1E\u6C20\u6C23\u6C25\u6C2B\u6C2C\u6C2D\u6C31\u6C33\u6C36\u6C37\u6C39\u6C3A\u6C3B\u6C3C\u6C3E\u6C3F\u6C43\u6C44\u6C45\u6C48\u6C4B", 4, "\u6C51\u6C52\u6C53\u6C56\u6C58"],
      ["9b40", "\u6C59\u6C5A\u6C62\u6C63\u6C65\u6C66\u6C67\u6C6B", 4, "\u6C71\u6C73\u6C75\u6C77\u6C78\u6C7A\u6C7B\u6C7C\u6C7F\u6C80\u6C84\u6C87\u6C8A\u6C8B\u6C8D\u6C8E\u6C91\u6C92\u6C95\u6C96\u6C97\u6C98\u6C9A\u6C9C\u6C9D\u6C9E\u6CA0\u6CA2\u6CA8\u6CAC\u6CAF\u6CB0\u6CB4\u6CB5\u6CB6\u6CB7\u6CBA\u6CC0\u6CC1\u6CC2\u6CC3\u6CC6\u6CC7\u6CC8\u6CCB\u6CCD\u6CCE\u6CCF\u6CD1\u6CD2\u6CD8"],
      ["9b80", "\u6CD9\u6CDA\u6CDC\u6CDD\u6CDF\u6CE4\u6CE6\u6CE7\u6CE9\u6CEC\u6CED\u6CF2\u6CF4\u6CF9\u6CFF\u6D00\u6D02\u6D03\u6D05\u6D06\u6D08\u6D09\u6D0A\u6D0D\u6D0F\u6D10\u6D11\u6D13\u6D14\u6D15\u6D16\u6D18\u6D1C\u6D1D\u6D1F", 5, "\u6D26\u6D28\u6D29\u6D2C\u6D2D\u6D2F\u6D30\u6D34\u6D36\u6D37\u6D38\u6D3A\u6D3F\u6D40\u6D42\u6D44\u6D49\u6D4C\u6D50\u6D55\u6D56\u6D57\u6D58\u6D5B\u6D5D\u6D5F\u6D61\u6D62\u6D64\u6D65\u6D67\u6D68\u6D6B\u6D6C\u6D6D\u6D70\u6D71\u6D72\u6D73\u6D75\u6D76\u6D79\u6D7A\u6D7B\u6D7D", 4, "\u6D83\u6D84\u6D86\u6D87\u6D8A\u6D8B\u6D8D\u6D8F\u6D90\u6D92\u6D96", 4, "\u6D9C\u6DA2\u6DA5\u6DAC\u6DAD\u6DB0\u6DB1\u6DB3\u6DB4\u6DB6\u6DB7\u6DB9", 5, "\u6DC1\u6DC2\u6DC3\u6DC8\u6DC9\u6DCA"],
      ["9c40", "\u6DCD\u6DCE\u6DCF\u6DD0\u6DD2\u6DD3\u6DD4\u6DD5\u6DD7\u6DDA\u6DDB\u6DDC\u6DDF\u6DE2\u6DE3\u6DE5\u6DE7\u6DE8\u6DE9\u6DEA\u6DED\u6DEF\u6DF0\u6DF2\u6DF4\u6DF5\u6DF6\u6DF8\u6DFA\u6DFD", 7, "\u6E06\u6E07\u6E08\u6E09\u6E0B\u6E0F\u6E12\u6E13\u6E15\u6E18\u6E19\u6E1B\u6E1C\u6E1E\u6E1F\u6E22\u6E26\u6E27\u6E28\u6E2A\u6E2C\u6E2E\u6E30\u6E31\u6E33\u6E35"],
      ["9c80", "\u6E36\u6E37\u6E39\u6E3B", 7, "\u6E45", 7, "\u6E4F\u6E50\u6E51\u6E52\u6E55\u6E57\u6E59\u6E5A\u6E5C\u6E5D\u6E5E\u6E60", 10, "\u6E6C\u6E6D\u6E6F", 14, "\u6E80\u6E81\u6E82\u6E84\u6E87\u6E88\u6E8A", 4, "\u6E91", 6, "\u6E99\u6E9A\u6E9B\u6E9D\u6E9E\u6EA0\u6EA1\u6EA3\u6EA4\u6EA6\u6EA8\u6EA9\u6EAB\u6EAC\u6EAD\u6EAE\u6EB0\u6EB3\u6EB5\u6EB8\u6EB9\u6EBC\u6EBE\u6EBF\u6EC0\u6EC3\u6EC4\u6EC5\u6EC6\u6EC8\u6EC9\u6ECA\u6ECC\u6ECD\u6ECE\u6ED0\u6ED2\u6ED6\u6ED8\u6ED9\u6EDB\u6EDC\u6EDD\u6EE3\u6EE7\u6EEA", 5],
      ["9d40", "\u6EF0\u6EF1\u6EF2\u6EF3\u6EF5\u6EF6\u6EF7\u6EF8\u6EFA", 7, "\u6F03\u6F04\u6F05\u6F07\u6F08\u6F0A", 4, "\u6F10\u6F11\u6F12\u6F16", 9, "\u6F21\u6F22\u6F23\u6F25\u6F26\u6F27\u6F28\u6F2C\u6F2E\u6F30\u6F32\u6F34\u6F35\u6F37", 6, "\u6F3F\u6F40\u6F41\u6F42"],
      ["9d80", "\u6F43\u6F44\u6F45\u6F48\u6F49\u6F4A\u6F4C\u6F4E", 9, "\u6F59\u6F5A\u6F5B\u6F5D\u6F5F\u6F60\u6F61\u6F63\u6F64\u6F65\u6F67", 5, "\u6F6F\u6F70\u6F71\u6F73\u6F75\u6F76\u6F77\u6F79\u6F7B\u6F7D", 6, "\u6F85\u6F86\u6F87\u6F8A\u6F8B\u6F8F", 12, "\u6F9D\u6F9E\u6F9F\u6FA0\u6FA2", 4, "\u6FA8", 10, "\u6FB4\u6FB5\u6FB7\u6FB8\u6FBA", 5, "\u6FC1\u6FC3", 5, "\u6FCA", 6, "\u6FD3", 10, "\u6FDF\u6FE2\u6FE3\u6FE4\u6FE5"],
      ["9e40", "\u6FE6", 7, "\u6FF0", 32, "\u7012", 7, "\u701C", 6, "\u7024", 6],
      ["9e80", "\u702B", 9, "\u7036\u7037\u7038\u703A", 17, "\u704D\u704E\u7050", 13, "\u705F", 11, "\u706E\u7071\u7072\u7073\u7074\u7077\u7079\u707A\u707B\u707D\u7081\u7082\u7083\u7084\u7086\u7087\u7088\u708B\u708C\u708D\u708F\u7090\u7091\u7093\u7097\u7098\u709A\u709B\u709E", 12, "\u70B0\u70B2\u70B4\u70B5\u70B6\u70BA\u70BE\u70BF\u70C4\u70C5\u70C6\u70C7\u70C9\u70CB", 12, "\u70DA"],
      ["9f40", "\u70DC\u70DD\u70DE\u70E0\u70E1\u70E2\u70E3\u70E5\u70EA\u70EE\u70F0", 6, "\u70F8\u70FA\u70FB\u70FC\u70FE", 10, "\u710B", 4, "\u7111\u7112\u7114\u7117\u711B", 10, "\u7127", 7, "\u7132\u7133\u7134"],
      ["9f80", "\u7135\u7137", 13, "\u7146\u7147\u7148\u7149\u714B\u714D\u714F", 12, "\u715D\u715F", 4, "\u7165\u7169", 4, "\u716F\u7170\u7171\u7174\u7175\u7176\u7177\u7179\u717B\u717C\u717E", 5, "\u7185", 4, "\u718B\u718C\u718D\u718E\u7190\u7191\u7192\u7193\u7195\u7196\u7197\u719A", 4, "\u71A1", 6, "\u71A9\u71AA\u71AB\u71AD", 5, "\u71B4\u71B6\u71B7\u71B8\u71BA", 8, "\u71C4", 9, "\u71CF", 4],
      ["a040", "\u71D6", 9, "\u71E1\u71E2\u71E3\u71E4\u71E6\u71E8", 5, "\u71EF", 9, "\u71FA", 11, "\u7207", 19],
      ["a080", "\u721B\u721C\u721E", 9, "\u7229\u722B\u722D\u722E\u722F\u7232\u7233\u7234\u723A\u723C\u723E\u7240", 6, "\u7249\u724A\u724B\u724E\u724F\u7250\u7251\u7253\u7254\u7255\u7257\u7258\u725A\u725C\u725E\u7260\u7263\u7264\u7265\u7268\u726A\u726B\u726C\u726D\u7270\u7271\u7273\u7274\u7276\u7277\u7278\u727B\u727C\u727D\u7282\u7283\u7285", 4, "\u728C\u728E\u7290\u7291\u7293", 11, "\u72A0", 11, "\u72AE\u72B1\u72B2\u72B3\u72B5\u72BA", 6, "\u72C5\u72C6\u72C7\u72C9\u72CA\u72CB\u72CC\u72CF\u72D1\u72D3\u72D4\u72D5\u72D6\u72D8\u72DA\u72DB"],
      ["a1a1", "\u3000\u3001\u3002\xB7\u02C9\u02C7\xA8\u3003\u3005\u2014\uFF5E\u2016\u2026\u2018\u2019\u201C\u201D\u3014\u3015\u3008", 7, "\u3016\u3017\u3010\u3011\xB1\xD7\xF7\u2236\u2227\u2228\u2211\u220F\u222A\u2229\u2208\u2237\u221A\u22A5\u2225\u2220\u2312\u2299\u222B\u222E\u2261\u224C\u2248\u223D\u221D\u2260\u226E\u226F\u2264\u2265\u221E\u2235\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFF04\xA4\uFFE0\uFFE1\u2030\xA7\u2116\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u203B\u2192\u2190\u2191\u2193\u3013"],
      ["a2a1", "\u2170", 9],
      ["a2b1", "\u2488", 19, "\u2474", 19, "\u2460", 9],
      ["a2e5", "\u3220", 9],
      ["a2f1", "\u2160", 11],
      ["a3a1", "\uFF01\uFF02\uFF03\uFFE5\uFF05", 88, "\uFFE3"],
      ["a4a1", "\u3041", 82],
      ["a5a1", "\u30A1", 85],
      ["a6a1", "\u0391", 16, "\u03A3", 6],
      ["a6c1", "\u03B1", 16, "\u03C3", 6],
      ["a6e0", "\uFE35\uFE36\uFE39\uFE3A\uFE3F\uFE40\uFE3D\uFE3E\uFE41\uFE42\uFE43\uFE44"],
      ["a6ee", "\uFE3B\uFE3C\uFE37\uFE38\uFE31"],
      ["a6f4", "\uFE33\uFE34"],
      ["a7a1", "\u0410", 5, "\u0401\u0416", 25],
      ["a7d1", "\u0430", 5, "\u0451\u0436", 25],
      ["a840", "\u02CA\u02CB\u02D9\u2013\u2015\u2025\u2035\u2105\u2109\u2196\u2197\u2198\u2199\u2215\u221F\u2223\u2252\u2266\u2267\u22BF\u2550", 35, "\u2581", 6],
      ["a880", "\u2588", 7, "\u2593\u2594\u2595\u25BC\u25BD\u25E2\u25E3\u25E4\u25E5\u2609\u2295\u3012\u301D\u301E"],
      ["a8a1", "\u0101\xE1\u01CE\xE0\u0113\xE9\u011B\xE8\u012B\xED\u01D0\xEC\u014D\xF3\u01D2\xF2\u016B\xFA\u01D4\xF9\u01D6\u01D8\u01DA\u01DC\xFC\xEA\u0251"],
      ["a8bd", "\u0144\u0148"],
      ["a8c0", "\u0261"],
      ["a8c5", "\u3105", 36],
      ["a940", "\u3021", 8, "\u32A3\u338E\u338F\u339C\u339D\u339E\u33A1\u33C4\u33CE\u33D1\u33D2\u33D5\uFE30\uFFE2\uFFE4"],
      ["a959", "\u2121\u3231"],
      ["a95c", "\u2010"],
      ["a960", "\u30FC\u309B\u309C\u30FD\u30FE\u3006\u309D\u309E\uFE49", 9, "\uFE54\uFE55\uFE56\uFE57\uFE59", 8],
      ["a980", "\uFE62", 4, "\uFE68\uFE69\uFE6A\uFE6B"],
      ["a996", "\u3007"],
      ["a9a4", "\u2500", 75],
      ["aa40", "\u72DC\u72DD\u72DF\u72E2", 5, "\u72EA\u72EB\u72F5\u72F6\u72F9\u72FD\u72FE\u72FF\u7300\u7302\u7304", 5, "\u730B\u730C\u730D\u730F\u7310\u7311\u7312\u7314\u7318\u7319\u731A\u731F\u7320\u7323\u7324\u7326\u7327\u7328\u732D\u732F\u7330\u7332\u7333\u7335\u7336\u733A\u733B\u733C\u733D\u7340", 8],
      ["aa80", "\u7349\u734A\u734B\u734C\u734E\u734F\u7351\u7353\u7354\u7355\u7356\u7358", 7, "\u7361", 10, "\u736E\u7370\u7371"],
      ["ab40", "\u7372", 11, "\u737F", 4, "\u7385\u7386\u7388\u738A\u738C\u738D\u738F\u7390\u7392\u7393\u7394\u7395\u7397\u7398\u7399\u739A\u739C\u739D\u739E\u73A0\u73A1\u73A3", 5, "\u73AA\u73AC\u73AD\u73B1\u73B4\u73B5\u73B6\u73B8\u73B9\u73BC\u73BD\u73BE\u73BF\u73C1\u73C3", 4],
      ["ab80", "\u73CB\u73CC\u73CE\u73D2", 6, "\u73DA\u73DB\u73DC\u73DD\u73DF\u73E1\u73E2\u73E3\u73E4\u73E6\u73E8\u73EA\u73EB\u73EC\u73EE\u73EF\u73F0\u73F1\u73F3", 4],
      ["ac40", "\u73F8", 10, "\u7404\u7407\u7408\u740B\u740C\u740D\u740E\u7411", 8, "\u741C", 5, "\u7423\u7424\u7427\u7429\u742B\u742D\u742F\u7431\u7432\u7437", 4, "\u743D\u743E\u743F\u7440\u7442", 11],
      ["ac80", "\u744E", 6, "\u7456\u7458\u745D\u7460", 12, "\u746E\u746F\u7471", 4, "\u7478\u7479\u747A"],
      ["ad40", "\u747B\u747C\u747D\u747F\u7482\u7484\u7485\u7486\u7488\u7489\u748A\u748C\u748D\u748F\u7491", 10, "\u749D\u749F", 7, "\u74AA", 15, "\u74BB", 12],
      ["ad80", "\u74C8", 9, "\u74D3", 8, "\u74DD\u74DF\u74E1\u74E5\u74E7", 6, "\u74F0\u74F1\u74F2"],
      ["ae40", "\u74F3\u74F5\u74F8", 6, "\u7500\u7501\u7502\u7503\u7505", 7, "\u750E\u7510\u7512\u7514\u7515\u7516\u7517\u751B\u751D\u751E\u7520", 4, "\u7526\u7527\u752A\u752E\u7534\u7536\u7539\u753C\u753D\u753F\u7541\u7542\u7543\u7544\u7546\u7547\u7549\u754A\u754D\u7550\u7551\u7552\u7553\u7555\u7556\u7557\u7558"],
      ["ae80", "\u755D", 7, "\u7567\u7568\u7569\u756B", 6, "\u7573\u7575\u7576\u7577\u757A", 4, "\u7580\u7581\u7582\u7584\u7585\u7587"],
      ["af40", "\u7588\u7589\u758A\u758C\u758D\u758E\u7590\u7593\u7595\u7598\u759B\u759C\u759E\u75A2\u75A6", 4, "\u75AD\u75B6\u75B7\u75BA\u75BB\u75BF\u75C0\u75C1\u75C6\u75CB\u75CC\u75CE\u75CF\u75D0\u75D1\u75D3\u75D7\u75D9\u75DA\u75DC\u75DD\u75DF\u75E0\u75E1\u75E5\u75E9\u75EC\u75ED\u75EE\u75EF\u75F2\u75F3\u75F5\u75F6\u75F7\u75F8\u75FA\u75FB\u75FD\u75FE\u7602\u7604\u7606\u7607"],
      ["af80", "\u7608\u7609\u760B\u760D\u760E\u760F\u7611\u7612\u7613\u7614\u7616\u761A\u761C\u761D\u761E\u7621\u7623\u7627\u7628\u762C\u762E\u762F\u7631\u7632\u7636\u7637\u7639\u763A\u763B\u763D\u7641\u7642\u7644"],
      ["b040", "\u7645", 6, "\u764E", 5, "\u7655\u7657", 4, "\u765D\u765F\u7660\u7661\u7662\u7664", 6, "\u766C\u766D\u766E\u7670", 7, "\u7679\u767A\u767C\u767F\u7680\u7681\u7683\u7685\u7689\u768A\u768C\u768D\u768F\u7690\u7692\u7694\u7695\u7697\u7698\u769A\u769B"],
      ["b080", "\u769C", 7, "\u76A5", 8, "\u76AF\u76B0\u76B3\u76B5", 9, "\u76C0\u76C1\u76C3\u554A\u963F\u57C3\u6328\u54CE\u5509\u54C0\u7691\u764C\u853C\u77EE\u827E\u788D\u7231\u9698\u978D\u6C28\u5B89\u4FFA\u6309\u6697\u5CB8\u80FA\u6848\u80AE\u6602\u76CE\u51F9\u6556\u71AC\u7FF1\u8884\u50B2\u5965\u61CA\u6FB3\u82AD\u634C\u6252\u53ED\u5427\u7B06\u516B\u75A4\u5DF4\u62D4\u8DCB\u9776\u628A\u8019\u575D\u9738\u7F62\u7238\u767D\u67CF\u767E\u6446\u4F70\u8D25\u62DC\u7A17\u6591\u73ED\u642C\u6273\u822C\u9881\u677F\u7248\u626E\u62CC\u4F34\u74E3\u534A\u529E\u7ECA\u90A6\u5E2E\u6886\u699C\u8180\u7ED1\u68D2\u78C5\u868C\u9551\u508D\u8C24\u82DE\u80DE\u5305\u8912\u5265"],
      ["b140", "\u76C4\u76C7\u76C9\u76CB\u76CC\u76D3\u76D5\u76D9\u76DA\u76DC\u76DD\u76DE\u76E0", 4, "\u76E6", 7, "\u76F0\u76F3\u76F5\u76F6\u76F7\u76FA\u76FB\u76FD\u76FF\u7700\u7702\u7703\u7705\u7706\u770A\u770C\u770E", 10, "\u771B\u771C\u771D\u771E\u7721\u7723\u7724\u7725\u7727\u772A\u772B"],
      ["b180", "\u772C\u772E\u7730", 4, "\u7739\u773B\u773D\u773E\u773F\u7742\u7744\u7745\u7746\u7748", 7, "\u7752", 7, "\u775C\u8584\u96F9\u4FDD\u5821\u9971\u5B9D\u62B1\u62A5\u66B4\u8C79\u9C8D\u7206\u676F\u7891\u60B2\u5351\u5317\u8F88\u80CC\u8D1D\u94A1\u500D\u72C8\u5907\u60EB\u7119\u88AB\u5954\u82EF\u672C\u7B28\u5D29\u7EF7\u752D\u6CF5\u8E66\u8FF8\u903C\u9F3B\u6BD4\u9119\u7B14\u5F7C\u78A7\u84D6\u853D\u6BD5\u6BD9\u6BD6\u5E01\u5E87\u75F9\u95ED\u655D\u5F0A\u5FC5\u8F9F\u58C1\u81C2\u907F\u965B\u97AD\u8FB9\u7F16\u8D2C\u6241\u4FBF\u53D8\u535E\u8FA8\u8FA9\u8FAB\u904D\u6807\u5F6A\u8198\u8868\u9CD6\u618B\u522B\u762A\u5F6C\u658C\u6FD2\u6EE8\u5BBE\u6448\u5175\u51B0\u67C4\u4E19\u79C9\u997C\u70B3"],
      ["b240", "\u775D\u775E\u775F\u7760\u7764\u7767\u7769\u776A\u776D", 11, "\u777A\u777B\u777C\u7781\u7782\u7783\u7786", 5, "\u778F\u7790\u7793", 11, "\u77A1\u77A3\u77A4\u77A6\u77A8\u77AB\u77AD\u77AE\u77AF\u77B1\u77B2\u77B4\u77B6", 4],
      ["b280", "\u77BC\u77BE\u77C0", 12, "\u77CE", 8, "\u77D8\u77D9\u77DA\u77DD", 4, "\u77E4\u75C5\u5E76\u73BB\u83E0\u64AD\u62E8\u94B5\u6CE2\u535A\u52C3\u640F\u94C2\u7B94\u4F2F\u5E1B\u8236\u8116\u818A\u6E24\u6CCA\u9A73\u6355\u535C\u54FA\u8865\u57E0\u4E0D\u5E03\u6B65\u7C3F\u90E8\u6016\u64E6\u731C\u88C1\u6750\u624D\u8D22\u776C\u8E29\u91C7\u5F69\u83DC\u8521\u9910\u53C2\u8695\u6B8B\u60ED\u60E8\u707F\u82CD\u8231\u4ED3\u6CA7\u85CF\u64CD\u7CD9\u69FD\u66F9\u8349\u5395\u7B56\u4FA7\u518C\u6D4B\u5C42\u8E6D\u63D2\u53C9\u832C\u8336\u67E5\u78B4\u643D\u5BDF\u5C94\u5DEE\u8BE7\u62C6\u67F4\u8C7A\u6400\u63BA\u8749\u998B\u8C17\u7F20\u94F2\u4EA7\u9610\u98A4\u660C\u7316"],
      ["b340", "\u77E6\u77E8\u77EA\u77EF\u77F0\u77F1\u77F2\u77F4\u77F5\u77F7\u77F9\u77FA\u77FB\u77FC\u7803", 5, "\u780A\u780B\u780E\u780F\u7810\u7813\u7815\u7819\u781B\u781E\u7820\u7821\u7822\u7824\u7828\u782A\u782B\u782E\u782F\u7831\u7832\u7833\u7835\u7836\u783D\u783F\u7841\u7842\u7843\u7844\u7846\u7848\u7849\u784A\u784B\u784D\u784F\u7851\u7853\u7854\u7858\u7859\u785A"],
      ["b380", "\u785B\u785C\u785E", 11, "\u786F", 7, "\u7878\u7879\u787A\u787B\u787D", 6, "\u573A\u5C1D\u5E38\u957F\u507F\u80A0\u5382\u655E\u7545\u5531\u5021\u8D85\u6284\u949E\u671D\u5632\u6F6E\u5DE2\u5435\u7092\u8F66\u626F\u64A4\u63A3\u5F7B\u6F88\u90F4\u81E3\u8FB0\u5C18\u6668\u5FF1\u6C89\u9648\u8D81\u886C\u6491\u79F0\u57CE\u6A59\u6210\u5448\u4E58\u7A0B\u60E9\u6F84\u8BDA\u627F\u901E\u9A8B\u79E4\u5403\u75F4\u6301\u5319\u6C60\u8FDF\u5F1B\u9A70\u803B\u9F7F\u4F88\u5C3A\u8D64\u7FC5\u65A5\u70BD\u5145\u51B2\u866B\u5D07\u5BA0\u62BD\u916C\u7574\u8E0C\u7A20\u6101\u7B79\u4EC7\u7EF8\u7785\u4E11\u81ED\u521D\u51FA\u6A71\u53A8\u8E87\u9504\u96CF\u6EC1\u9664\u695A"],
      ["b440", "\u7884\u7885\u7886\u7888\u788A\u788B\u788F\u7890\u7892\u7894\u7895\u7896\u7899\u789D\u789E\u78A0\u78A2\u78A4\u78A6\u78A8", 7, "\u78B5\u78B6\u78B7\u78B8\u78BA\u78BB\u78BC\u78BD\u78BF\u78C0\u78C2\u78C3\u78C4\u78C6\u78C7\u78C8\u78CC\u78CD\u78CE\u78CF\u78D1\u78D2\u78D3\u78D6\u78D7\u78D8\u78DA", 9],
      ["b480", "\u78E4\u78E5\u78E6\u78E7\u78E9\u78EA\u78EB\u78ED", 4, "\u78F3\u78F5\u78F6\u78F8\u78F9\u78FB", 5, "\u7902\u7903\u7904\u7906", 6, "\u7840\u50A8\u77D7\u6410\u89E6\u5904\u63E3\u5DDD\u7A7F\u693D\u4F20\u8239\u5598\u4E32\u75AE\u7A97\u5E62\u5E8A\u95EF\u521B\u5439\u708A\u6376\u9524\u5782\u6625\u693F\u9187\u5507\u6DF3\u7EAF\u8822\u6233\u7EF0\u75B5\u8328\u78C1\u96CC\u8F9E\u6148\u74F7\u8BCD\u6B64\u523A\u8D50\u6B21\u806A\u8471\u56F1\u5306\u4ECE\u4E1B\u51D1\u7C97\u918B\u7C07\u4FC3\u8E7F\u7BE1\u7A9C\u6467\u5D14\u50AC\u8106\u7601\u7CB9\u6DEC\u7FE0\u6751\u5B58\u5BF8\u78CB\u64AE\u6413\u63AA\u632B\u9519\u642D\u8FBE\u7B54\u7629\u6253\u5927\u5446\u6B79\u50A3\u6234\u5E26\u6B86\u4EE3\u8D37\u888B\u5F85\u902E"],
      ["b540", "\u790D", 5, "\u7914", 9, "\u791F", 4, "\u7925", 14, "\u7935", 4, "\u793D\u793F\u7942\u7943\u7944\u7945\u7947\u794A", 8, "\u7954\u7955\u7958\u7959\u7961\u7963"],
      ["b580", "\u7964\u7966\u7969\u796A\u796B\u796C\u796E\u7970", 6, "\u7979\u797B", 4, "\u7982\u7983\u7986\u7987\u7988\u7989\u798B\u798C\u798D\u798E\u7990\u7991\u7992\u6020\u803D\u62C5\u4E39\u5355\u90F8\u63B8\u80C6\u65E6\u6C2E\u4F46\u60EE\u6DE1\u8BDE\u5F39\u86CB\u5F53\u6321\u515A\u8361\u6863\u5200\u6363\u8E48\u5012\u5C9B\u7977\u5BFC\u5230\u7A3B\u60BC\u9053\u76D7\u5FB7\u5F97\u7684\u8E6C\u706F\u767B\u7B49\u77AA\u51F3\u9093\u5824\u4F4E\u6EF4\u8FEA\u654C\u7B1B\u72C4\u6DA4\u7FDF\u5AE1\u62B5\u5E95\u5730\u8482\u7B2C\u5E1D\u5F1F\u9012\u7F14\u98A0\u6382\u6EC7\u7898\u70B9\u5178\u975B\u57AB\u7535\u4F43\u7538\u5E97\u60E6\u5960\u6DC0\u6BBF\u7889\u53FC\u96D5\u51CB\u5201\u6389\u540A\u9493\u8C03\u8DCC\u7239\u789F\u8776\u8FED\u8C0D\u53E0"],
      ["b640", "\u7993", 6, "\u799B", 11, "\u79A8", 10, "\u79B4", 4, "\u79BC\u79BF\u79C2\u79C4\u79C5\u79C7\u79C8\u79CA\u79CC\u79CE\u79CF\u79D0\u79D3\u79D4\u79D6\u79D7\u79D9", 5, "\u79E0\u79E1\u79E2\u79E5\u79E8\u79EA"],
      ["b680", "\u79EC\u79EE\u79F1", 6, "\u79F9\u79FA\u79FC\u79FE\u79FF\u7A01\u7A04\u7A05\u7A07\u7A08\u7A09\u7A0A\u7A0C\u7A0F", 4, "\u7A15\u7A16\u7A18\u7A19\u7A1B\u7A1C\u4E01\u76EF\u53EE\u9489\u9876\u9F0E\u952D\u5B9A\u8BA2\u4E22\u4E1C\u51AC\u8463\u61C2\u52A8\u680B\u4F97\u606B\u51BB\u6D1E\u515C\u6296\u6597\u9661\u8C46\u9017\u75D8\u90FD\u7763\u6BD2\u728A\u72EC\u8BFB\u5835\u7779\u8D4C\u675C\u9540\u809A\u5EA6\u6E21\u5992\u7AEF\u77ED\u953B\u6BB5\u65AD\u7F0E\u5806\u5151\u961F\u5BF9\u58A9\u5428\u8E72\u6566\u987F\u56E4\u949D\u76FE\u9041\u6387\u54C6\u591A\u593A\u579B\u8EB2\u6735\u8DFA\u8235\u5241\u60F0\u5815\u86FE\u5CE8\u9E45\u4FC4\u989D\u8BB9\u5A25\u6076\u5384\u627C\u904F\u9102\u997F\u6069\u800C\u513F\u8033\u5C14\u9975\u6D31\u4E8C"],
      ["b740", "\u7A1D\u7A1F\u7A21\u7A22\u7A24", 14, "\u7A34\u7A35\u7A36\u7A38\u7A3A\u7A3E\u7A40", 5, "\u7A47", 9, "\u7A52", 4, "\u7A58", 16],
      ["b780", "\u7A69", 6, "\u7A71\u7A72\u7A73\u7A75\u7A7B\u7A7C\u7A7D\u7A7E\u7A82\u7A85\u7A87\u7A89\u7A8A\u7A8B\u7A8C\u7A8E\u7A8F\u7A90\u7A93\u7A94\u7A99\u7A9A\u7A9B\u7A9E\u7AA1\u7AA2\u8D30\u53D1\u7F5A\u7B4F\u4F10\u4E4F\u9600\u6CD5\u73D0\u85E9\u5E06\u756A\u7FFB\u6A0A\u77FE\u9492\u7E41\u51E1\u70E6\u53CD\u8FD4\u8303\u8D29\u72AF\u996D\u6CDB\u574A\u82B3\u65B9\u80AA\u623F\u9632\u59A8\u4EFF\u8BBF\u7EBA\u653E\u83F2\u975E\u5561\u98DE\u80A5\u532A\u8BFD\u5420\u80BA\u5E9F\u6CB8\u8D39\u82AC\u915A\u5429\u6C1B\u5206\u7EB7\u575F\u711A\u6C7E\u7C89\u594B\u4EFD\u5FFF\u6124\u7CAA\u4E30\u5C01\u67AB\u8702\u5CF0\u950B\u98CE\u75AF\u70FD\u9022\u51AF\u7F1D\u8BBD\u5949\u51E4\u4F5B\u5426\u592B\u6577\u80A4\u5B75\u6276\u62C2\u8F90\u5E45\u6C1F\u7B26\u4F0F\u4FD8\u670D"],
      ["b840", "\u7AA3\u7AA4\u7AA7\u7AA9\u7AAA\u7AAB\u7AAE", 4, "\u7AB4", 10, "\u7AC0", 10, "\u7ACC", 9, "\u7AD7\u7AD8\u7ADA\u7ADB\u7ADC\u7ADD\u7AE1\u7AE2\u7AE4\u7AE7", 5, "\u7AEE\u7AF0\u7AF1\u7AF2\u7AF3"],
      ["b880", "\u7AF4", 4, "\u7AFB\u7AFC\u7AFE\u7B00\u7B01\u7B02\u7B05\u7B07\u7B09\u7B0C\u7B0D\u7B0E\u7B10\u7B12\u7B13\u7B16\u7B17\u7B18\u7B1A\u7B1C\u7B1D\u7B1F\u7B21\u7B22\u7B23\u7B27\u7B29\u7B2D\u6D6E\u6DAA\u798F\u88B1\u5F17\u752B\u629A\u8F85\u4FEF\u91DC\u65A7\u812F\u8151\u5E9C\u8150\u8D74\u526F\u8986\u8D4B\u590D\u5085\u4ED8\u961C\u7236\u8179\u8D1F\u5BCC\u8BA3\u9644\u5987\u7F1A\u5490\u5676\u560E\u8BE5\u6539\u6982\u9499\u76D6\u6E89\u5E72\u7518\u6746\u67D1\u7AFF\u809D\u8D76\u611F\u79C6\u6562\u8D63\u5188\u521A\u94A2\u7F38\u809B\u7EB2\u5C97\u6E2F\u6760\u7BD9\u768B\u9AD8\u818F\u7F94\u7CD5\u641E\u9550\u7A3F\u544A\u54E5\u6B4C\u6401\u6208\u9E3D\u80F3\u7599\u5272\u9769\u845B\u683C\u86E4\u9601\u9694\u94EC\u4E2A\u5404\u7ED9\u6839\u8DDF\u8015\u66F4\u5E9A\u7FB9"],
      ["b940", "\u7B2F\u7B30\u7B32\u7B34\u7B35\u7B36\u7B37\u7B39\u7B3B\u7B3D\u7B3F", 5, "\u7B46\u7B48\u7B4A\u7B4D\u7B4E\u7B53\u7B55\u7B57\u7B59\u7B5C\u7B5E\u7B5F\u7B61\u7B63", 10, "\u7B6F\u7B70\u7B73\u7B74\u7B76\u7B78\u7B7A\u7B7C\u7B7D\u7B7F\u7B81\u7B82\u7B83\u7B84\u7B86", 6, "\u7B8E\u7B8F"],
      ["b980", "\u7B91\u7B92\u7B93\u7B96\u7B98\u7B99\u7B9A\u7B9B\u7B9E\u7B9F\u7BA0\u7BA3\u7BA4\u7BA5\u7BAE\u7BAF\u7BB0\u7BB2\u7BB3\u7BB5\u7BB6\u7BB7\u7BB9", 7, "\u7BC2\u7BC3\u7BC4\u57C2\u803F\u6897\u5DE5\u653B\u529F\u606D\u9F9A\u4F9B\u8EAC\u516C\u5BAB\u5F13\u5DE9\u6C5E\u62F1\u8D21\u5171\u94A9\u52FE\u6C9F\u82DF\u72D7\u57A2\u6784\u8D2D\u591F\u8F9C\u83C7\u5495\u7B8D\u4F30\u6CBD\u5B64\u59D1\u9F13\u53E4\u86CA\u9AA8\u8C37\u80A1\u6545\u987E\u56FA\u96C7\u522E\u74DC\u5250\u5BE1\u6302\u8902\u4E56\u62D0\u602A\u68FA\u5173\u5B98\u51A0\u89C2\u7BA1\u9986\u7F50\u60EF\u704C\u8D2F\u5149\u5E7F\u901B\u7470\u89C4\u572D\u7845\u5F52\u9F9F\u95FA\u8F68\u9B3C\u8BE1\u7678\u6842\u67DC\u8DEA\u8D35\u523D\u8F8A\u6EDA\u68CD\u9505\u90ED\u56FD\u679C\u88F9\u8FC7\u54C8"],
      ["ba40", "\u7BC5\u7BC8\u7BC9\u7BCA\u7BCB\u7BCD\u7BCE\u7BCF\u7BD0\u7BD2\u7BD4", 4, "\u7BDB\u7BDC\u7BDE\u7BDF\u7BE0\u7BE2\u7BE3\u7BE4\u7BE7\u7BE8\u7BE9\u7BEB\u7BEC\u7BED\u7BEF\u7BF0\u7BF2", 4, "\u7BF8\u7BF9\u7BFA\u7BFB\u7BFD\u7BFF", 7, "\u7C08\u7C09\u7C0A\u7C0D\u7C0E\u7C10", 5, "\u7C17\u7C18\u7C19"],
      ["ba80", "\u7C1A", 4, "\u7C20", 5, "\u7C28\u7C29\u7C2B", 12, "\u7C39", 5, "\u7C42\u9AB8\u5B69\u6D77\u6C26\u4EA5\u5BB3\u9A87\u9163\u61A8\u90AF\u97E9\u542B\u6DB5\u5BD2\u51FD\u558A\u7F55\u7FF0\u64BC\u634D\u65F1\u61BE\u608D\u710A\u6C57\u6C49\u592F\u676D\u822A\u58D5\u568E\u8C6A\u6BEB\u90DD\u597D\u8017\u53F7\u6D69\u5475\u559D\u8377\u83CF\u6838\u79BE\u548C\u4F55\u5408\u76D2\u8C89\u9602\u6CB3\u6DB8\u8D6B\u8910\u9E64\u8D3A\u563F\u9ED1\u75D5\u5F88\u72E0\u6068\u54FC\u4EA8\u6A2A\u8861\u6052\u8F70\u54C4\u70D8\u8679\u9E3F\u6D2A\u5B8F\u5F18\u7EA2\u5589\u4FAF\u7334\u543C\u539A\u5019\u540E\u547C\u4E4E\u5FFD\u745A\u58F6\u846B\u80E1\u8774\u72D0\u7CCA\u6E56"],
      ["bb40", "\u7C43", 9, "\u7C4E", 36, "\u7C75", 5, "\u7C7E", 9],
      ["bb80", "\u7C88\u7C8A", 6, "\u7C93\u7C94\u7C96\u7C99\u7C9A\u7C9B\u7CA0\u7CA1\u7CA3\u7CA6\u7CA7\u7CA8\u7CA9\u7CAB\u7CAC\u7CAD\u7CAF\u7CB0\u7CB4", 4, "\u7CBA\u7CBB\u5F27\u864E\u552C\u62A4\u4E92\u6CAA\u6237\u82B1\u54D7\u534E\u733E\u6ED1\u753B\u5212\u5316\u8BDD\u69D0\u5F8A\u6000\u6DEE\u574F\u6B22\u73AF\u6853\u8FD8\u7F13\u6362\u60A3\u5524\u75EA\u8C62\u7115\u6DA3\u5BA6\u5E7B\u8352\u614C\u9EC4\u78FA\u8757\u7C27\u7687\u51F0\u60F6\u714C\u6643\u5E4C\u604D\u8C0E\u7070\u6325\u8F89\u5FBD\u6062\u86D4\u56DE\u6BC1\u6094\u6167\u5349\u60E0\u6666\u8D3F\u79FD\u4F1A\u70E9\u6C47\u8BB3\u8BF2\u7ED8\u8364\u660F\u5A5A\u9B42\u6D51\u6DF7\u8C41\u6D3B\u4F19\u706B\u83B7\u6216\u60D1\u970D\u8D27\u7978\u51FB\u573E\u57FA\u673A\u7578\u7A3D\u79EF\u7B95"],
      ["bc40", "\u7CBF\u7CC0\u7CC2\u7CC3\u7CC4\u7CC6\u7CC9\u7CCB\u7CCE", 6, "\u7CD8\u7CDA\u7CDB\u7CDD\u7CDE\u7CE1", 6, "\u7CE9", 5, "\u7CF0", 7, "\u7CF9\u7CFA\u7CFC", 13, "\u7D0B", 5],
      ["bc80", "\u7D11", 14, "\u7D21\u7D23\u7D24\u7D25\u7D26\u7D28\u7D29\u7D2A\u7D2C\u7D2D\u7D2E\u7D30", 6, "\u808C\u9965\u8FF9\u6FC0\u8BA5\u9E21\u59EC\u7EE9\u7F09\u5409\u6781\u68D8\u8F91\u7C4D\u96C6\u53CA\u6025\u75BE\u6C72\u5373\u5AC9\u7EA7\u6324\u51E0\u810A\u5DF1\u84DF\u6280\u5180\u5B63\u4F0E\u796D\u5242\u60B8\u6D4E\u5BC4\u5BC2\u8BA1\u8BB0\u65E2\u5FCC\u9645\u5993\u7EE7\u7EAA\u5609\u67B7\u5939\u4F73\u5BB6\u52A0\u835A\u988A\u8D3E\u7532\u94BE\u5047\u7A3C\u4EF7\u67B6\u9A7E\u5AC1\u6B7C\u76D1\u575A\u5C16\u7B3A\u95F4\u714E\u517C\u80A9\u8270\u5978\u7F04\u8327\u68C0\u67EC\u78B1\u7877\u62E3\u6361\u7B80\u4FED\u526A\u51CF\u8350\u69DB\u9274\u8DF5\u8D31\u89C1\u952E\u7BAD\u4EF6"],
      ["bd40", "\u7D37", 54, "\u7D6F", 7],
      ["bd80", "\u7D78", 32, "\u5065\u8230\u5251\u996F\u6E10\u6E85\u6DA7\u5EFA\u50F5\u59DC\u5C06\u6D46\u6C5F\u7586\u848B\u6868\u5956\u8BB2\u5320\u9171\u964D\u8549\u6912\u7901\u7126\u80F6\u4EA4\u90CA\u6D47\u9A84\u5A07\u56BC\u6405\u94F0\u77EB\u4FA5\u811A\u72E1\u89D2\u997A\u7F34\u7EDE\u527F\u6559\u9175\u8F7F\u8F83\u53EB\u7A96\u63ED\u63A5\u7686\u79F8\u8857\u9636\u622A\u52AB\u8282\u6854\u6770\u6377\u776B\u7AED\u6D01\u7ED3\u89E3\u59D0\u6212\u85C9\u82A5\u754C\u501F\u4ECB\u75A5\u8BEB\u5C4A\u5DFE\u7B4B\u65A4\u91D1\u4ECA\u6D25\u895F\u7D27\u9526\u4EC5\u8C28\u8FDB\u9773\u664B\u7981\u8FD1\u70EC\u6D78"],
      ["be40", "\u7D99", 12, "\u7DA7", 6, "\u7DAF", 42],
      ["be80", "\u7DDA", 32, "\u5C3D\u52B2\u8346\u5162\u830E\u775B\u6676\u9CB8\u4EAC\u60CA\u7CBE\u7CB3\u7ECF\u4E95\u8B66\u666F\u9888\u9759\u5883\u656C\u955C\u5F84\u75C9\u9756\u7ADF\u7ADE\u51C0\u70AF\u7A98\u63EA\u7A76\u7EA0\u7396\u97ED\u4E45\u7078\u4E5D\u9152\u53A9\u6551\u65E7\u81FC\u8205\u548E\u5C31\u759A\u97A0\u62D8\u72D9\u75BD\u5C45\u9A79\u83CA\u5C40\u5480\u77E9\u4E3E\u6CAE\u805A\u62D2\u636E\u5DE8\u5177\u8DDD\u8E1E\u952F\u4FF1\u53E5\u60E7\u70AC\u5267\u6350\u9E43\u5A1F\u5026\u7737\u5377\u7EE2\u6485\u652B\u6289\u6398\u5014\u7235\u89C9\u51B3\u8BC0\u7EDD\u5747\u83CC\u94A7\u519B\u541B\u5CFB"],
      ["bf40", "\u7DFB", 62],
      ["bf80", "\u7E3A\u7E3C", 4, "\u7E42", 4, "\u7E48", 21, "\u4FCA\u7AE3\u6D5A\u90E1\u9A8F\u5580\u5496\u5361\u54AF\u5F00\u63E9\u6977\u51EF\u6168\u520A\u582A\u52D8\u574E\u780D\u770B\u5EB7\u6177\u7CE0\u625B\u6297\u4EA2\u7095\u8003\u62F7\u70E4\u9760\u5777\u82DB\u67EF\u68F5\u78D5\u9897\u79D1\u58F3\u54B3\u53EF\u6E34\u514B\u523B\u5BA2\u8BFE\u80AF\u5543\u57A6\u6073\u5751\u542D\u7A7A\u6050\u5B54\u63A7\u62A0\u53E3\u6263\u5BC7\u67AF\u54ED\u7A9F\u82E6\u9177\u5E93\u88E4\u5938\u57AE\u630E\u8DE8\u80EF\u5757\u7B77\u4FA9\u5FEB\u5BBD\u6B3E\u5321\u7B50\u72C2\u6846\u77FF\u7736\u65F7\u51B5\u4E8F\u76D4\u5CBF\u7AA5\u8475\u594E\u9B41\u5080"],
      ["c040", "\u7E5E", 35, "\u7E83", 23, "\u7E9C\u7E9D\u7E9E"],
      ["c080", "\u7EAE\u7EB4\u7EBB\u7EBC\u7ED6\u7EE4\u7EEC\u7EF9\u7F0A\u7F10\u7F1E\u7F37\u7F39\u7F3B", 6, "\u7F43\u7F46", 9, "\u7F52\u7F53\u9988\u6127\u6E83\u5764\u6606\u6346\u56F0\u62EC\u6269\u5ED3\u9614\u5783\u62C9\u5587\u8721\u814A\u8FA3\u5566\u83B1\u6765\u8D56\u84DD\u5A6A\u680F\u62E6\u7BEE\u9611\u5170\u6F9C\u8C30\u63FD\u89C8\u61D2\u7F06\u70C2\u6EE5\u7405\u6994\u72FC\u5ECA\u90CE\u6717\u6D6A\u635E\u52B3\u7262\u8001\u4F6C\u59E5\u916A\u70D9\u6D9D\u52D2\u4E50\u96F7\u956D\u857E\u78CA\u7D2F\u5121\u5792\u64C2\u808B\u7C7B\u6CEA\u68F1\u695E\u51B7\u5398\u68A8\u7281\u9ECE\u7BF1\u72F8\u79BB\u6F13\u7406\u674E\u91CC\u9CA4\u793C\u8389\u8354\u540F\u6817\u4E3D\u5389\u52B1\u783E\u5386\u5229\u5088\u4F8B\u4FD0"],
      ["c140", "\u7F56\u7F59\u7F5B\u7F5C\u7F5D\u7F5E\u7F60\u7F63", 4, "\u7F6B\u7F6C\u7F6D\u7F6F\u7F70\u7F73\u7F75\u7F76\u7F77\u7F78\u7F7A\u7F7B\u7F7C\u7F7D\u7F7F\u7F80\u7F82", 7, "\u7F8B\u7F8D\u7F8F", 4, "\u7F95", 4, "\u7F9B\u7F9C\u7FA0\u7FA2\u7FA3\u7FA5\u7FA6\u7FA8", 6, "\u7FB1"],
      ["c180", "\u7FB3", 4, "\u7FBA\u7FBB\u7FBE\u7FC0\u7FC2\u7FC3\u7FC4\u7FC6\u7FC7\u7FC8\u7FC9\u7FCB\u7FCD\u7FCF", 4, "\u7FD6\u7FD7\u7FD9", 5, "\u7FE2\u7FE3\u75E2\u7ACB\u7C92\u6CA5\u96B6\u529B\u7483\u54E9\u4FE9\u8054\u83B2\u8FDE\u9570\u5EC9\u601C\u6D9F\u5E18\u655B\u8138\u94FE\u604B\u70BC\u7EC3\u7CAE\u51C9\u6881\u7CB1\u826F\u4E24\u8F86\u91CF\u667E\u4EAE\u8C05\u64A9\u804A\u50DA\u7597\u71CE\u5BE5\u8FBD\u6F66\u4E86\u6482\u9563\u5ED6\u6599\u5217\u88C2\u70C8\u52A3\u730E\u7433\u6797\u78F7\u9716\u4E34\u90BB\u9CDE\u6DCB\u51DB\u8D41\u541D\u62CE\u73B2\u83F1\u96F6\u9F84\u94C3\u4F36\u7F9A\u51CC\u7075\u9675\u5CAD\u9886\u53E6\u4EE4\u6E9C\u7409\u69B4\u786B\u998F\u7559\u5218\u7624\u6D41\u67F3\u516D\u9F99\u804B\u5499\u7B3C\u7ABF"],
      ["c240", "\u7FE4\u7FE7\u7FE8\u7FEA\u7FEB\u7FEC\u7FED\u7FEF\u7FF2\u7FF4", 6, "\u7FFD\u7FFE\u7FFF\u8002\u8007\u8008\u8009\u800A\u800E\u800F\u8011\u8013\u801A\u801B\u801D\u801E\u801F\u8021\u8023\u8024\u802B", 5, "\u8032\u8034\u8039\u803A\u803C\u803E\u8040\u8041\u8044\u8045\u8047\u8048\u8049\u804E\u804F\u8050\u8051\u8053\u8055\u8056\u8057"],
      ["c280", "\u8059\u805B", 13, "\u806B", 5, "\u8072", 11, "\u9686\u5784\u62E2\u9647\u697C\u5A04\u6402\u7BD3\u6F0F\u964B\u82A6\u5362\u9885\u5E90\u7089\u63B3\u5364\u864F\u9C81\u9E93\u788C\u9732\u8DEF\u8D42\u9E7F\u6F5E\u7984\u5F55\u9646\u622E\u9A74\u5415\u94DD\u4FA3\u65C5\u5C65\u5C61\u7F15\u8651\u6C2F\u5F8B\u7387\u6EE4\u7EFF\u5CE6\u631B\u5B6A\u6EE6\u5375\u4E71\u63A0\u7565\u62A1\u8F6E\u4F26\u4ED1\u6CA6\u7EB6\u8BBA\u841D\u87BA\u7F57\u903B\u9523\u7BA9\u9AA1\u88F8\u843D\u6D1B\u9A86\u7EDC\u5988\u9EBB\u739B\u7801\u8682\u9A6C\u9A82\u561B\u5417\u57CB\u4E70\u9EA6\u5356\u8FC8\u8109\u7792\u9992\u86EE\u6EE1\u8513\u66FC\u6162\u6F2B"],
      ["c340", "\u807E\u8081\u8082\u8085\u8088\u808A\u808D", 5, "\u8094\u8095\u8097\u8099\u809E\u80A3\u80A6\u80A7\u80A8\u80AC\u80B0\u80B3\u80B5\u80B6\u80B8\u80B9\u80BB\u80C5\u80C7", 4, "\u80CF", 6, "\u80D8\u80DF\u80E0\u80E2\u80E3\u80E6\u80EE\u80F5\u80F7\u80F9\u80FB\u80FE\u80FF\u8100\u8101\u8103\u8104\u8105\u8107\u8108\u810B"],
      ["c380", "\u810C\u8115\u8117\u8119\u811B\u811C\u811D\u811F", 12, "\u812D\u812E\u8130\u8133\u8134\u8135\u8137\u8139", 4, "\u813F\u8C29\u8292\u832B\u76F2\u6C13\u5FD9\u83BD\u732B\u8305\u951A\u6BDB\u77DB\u94C6\u536F\u8302\u5192\u5E3D\u8C8C\u8D38\u4E48\u73AB\u679A\u6885\u9176\u9709\u7164\u6CA1\u7709\u5A92\u9541\u6BCF\u7F8E\u6627\u5BD0\u59B9\u5A9A\u95E8\u95F7\u4EEC\u840C\u8499\u6AAC\u76DF\u9530\u731B\u68A6\u5B5F\u772F\u919A\u9761\u7CDC\u8FF7\u8C1C\u5F25\u7C73\u79D8\u89C5\u6CCC\u871C\u5BC6\u5E42\u68C9\u7720\u7EF5\u5195\u514D\u52C9\u5A29\u7F05\u9762\u82D7\u63CF\u7784\u85D0\u79D2\u6E3A\u5E99\u5999\u8511\u706D\u6C11\u62BF\u76BF\u654F\u60AF\u95FD\u660E\u879F\u9E23\u94ED\u540D\u547D\u8C2C\u6478"],
      ["c440", "\u8140", 5, "\u8147\u8149\u814D\u814E\u814F\u8152\u8156\u8157\u8158\u815B", 4, "\u8161\u8162\u8163\u8164\u8166\u8168\u816A\u816B\u816C\u816F\u8172\u8173\u8175\u8176\u8177\u8178\u8181\u8183", 4, "\u8189\u818B\u818C\u818D\u818E\u8190\u8192", 5, "\u8199\u819A\u819E", 4, "\u81A4\u81A5"],
      ["c480", "\u81A7\u81A9\u81AB", 7, "\u81B4", 5, "\u81BC\u81BD\u81BE\u81BF\u81C4\u81C5\u81C7\u81C8\u81C9\u81CB\u81CD", 6, "\u6479\u8611\u6A21\u819C\u78E8\u6469\u9B54\u62B9\u672B\u83AB\u58A8\u9ED8\u6CAB\u6F20\u5BDE\u964C\u8C0B\u725F\u67D0\u62C7\u7261\u4EA9\u59C6\u6BCD\u5893\u66AE\u5E55\u52DF\u6155\u6728\u76EE\u7766\u7267\u7A46\u62FF\u54EA\u5450\u94A0\u90A3\u5A1C\u7EB3\u6C16\u4E43\u5976\u8010\u5948\u5357\u7537\u96BE\u56CA\u6320\u8111\u607C\u95F9\u6DD6\u5462\u9981\u5185\u5AE9\u80FD\u59AE\u9713\u502A\u6CE5\u5C3C\u62DF\u4F60\u533F\u817B\u9006\u6EBA\u852B\u62C8\u5E74\u78BE\u64B5\u637B\u5FF5\u5A18\u917F\u9E1F\u5C3F\u634F\u8042\u5B7D\u556E\u954A\u954D\u6D85\u60A8\u67E0\u72DE\u51DD\u5B81"],
      ["c540", "\u81D4", 14, "\u81E4\u81E5\u81E6\u81E8\u81E9\u81EB\u81EE", 4, "\u81F5", 5, "\u81FD\u81FF\u8203\u8207", 4, "\u820E\u820F\u8211\u8213\u8215", 5, "\u821D\u8220\u8224\u8225\u8226\u8227\u8229\u822E\u8232\u823A\u823C\u823D\u823F"],
      ["c580", "\u8240\u8241\u8242\u8243\u8245\u8246\u8248\u824A\u824C\u824D\u824E\u8250", 7, "\u8259\u825B\u825C\u825D\u825E\u8260", 7, "\u8269\u62E7\u6CDE\u725B\u626D\u94AE\u7EBD\u8113\u6D53\u519C\u5F04\u5974\u52AA\u6012\u5973\u6696\u8650\u759F\u632A\u61E6\u7CEF\u8BFA\u54E6\u6B27\u9E25\u6BB4\u85D5\u5455\u5076\u6CA4\u556A\u8DB4\u722C\u5E15\u6015\u7436\u62CD\u6392\u724C\u5F98\u6E43\u6D3E\u6500\u6F58\u76D8\u78D0\u76FC\u7554\u5224\u53DB\u4E53\u5E9E\u65C1\u802A\u80D6\u629B\u5486\u5228\u70AE\u888D\u8DD1\u6CE1\u5478\u80DA\u57F9\u88F4\u8D54\u966A\u914D\u4F69\u6C9B\u55B7\u76C6\u7830\u62A8\u70F9\u6F8E\u5F6D\u84EC\u68DA\u787C\u7BF7\u81A8\u670B\u9E4F\u6367\u78B0\u576F\u7812\u9739\u6279\u62AB\u5288\u7435\u6BD7"],
      ["c640", "\u826A\u826B\u826C\u826D\u8271\u8275\u8276\u8277\u8278\u827B\u827C\u8280\u8281\u8283\u8285\u8286\u8287\u8289\u828C\u8290\u8293\u8294\u8295\u8296\u829A\u829B\u829E\u82A0\u82A2\u82A3\u82A7\u82B2\u82B5\u82B6\u82BA\u82BB\u82BC\u82BF\u82C0\u82C2\u82C3\u82C5\u82C6\u82C9\u82D0\u82D6\u82D9\u82DA\u82DD\u82E2\u82E7\u82E8\u82E9\u82EA\u82EC\u82ED\u82EE\u82F0\u82F2\u82F3\u82F5\u82F6\u82F8"],
      ["c680", "\u82FA\u82FC", 4, "\u830A\u830B\u830D\u8310\u8312\u8313\u8316\u8318\u8319\u831D", 9, "\u8329\u832A\u832E\u8330\u8332\u8337\u833B\u833D\u5564\u813E\u75B2\u76AE\u5339\u75DE\u50FB\u5C41\u8B6C\u7BC7\u504F\u7247\u9A97\u98D8\u6F02\u74E2\u7968\u6487\u77A5\u62FC\u9891\u8D2B\u54C1\u8058\u4E52\u576A\u82F9\u840D\u5E73\u51ED\u74F6\u8BC4\u5C4F\u5761\u6CFC\u9887\u5A46\u7834\u9B44\u8FEB\u7C95\u5256\u6251\u94FA\u4EC6\u8386\u8461\u83E9\u84B2\u57D4\u6734\u5703\u666E\u6D66\u8C31\u66DD\u7011\u671F\u6B3A\u6816\u621A\u59BB\u4E03\u51C4\u6F06\u67D2\u6C8F\u5176\u68CB\u5947\u6B67\u7566\u5D0E\u8110\u9F50\u65D7\u7948\u7941\u9A91\u8D77\u5C82\u4E5E\u4F01\u542F\u5951\u780C\u5668\u6C14\u8FC4\u5F03\u6C7D\u6CE3\u8BAB\u6390"],
      ["c740", "\u833E\u833F\u8341\u8342\u8344\u8345\u8348\u834A", 4, "\u8353\u8355", 4, "\u835D\u8362\u8370", 6, "\u8379\u837A\u837E", 6, "\u8387\u8388\u838A\u838B\u838C\u838D\u838F\u8390\u8391\u8394\u8395\u8396\u8397\u8399\u839A\u839D\u839F\u83A1", 6, "\u83AC\u83AD\u83AE"],
      ["c780", "\u83AF\u83B5\u83BB\u83BE\u83BF\u83C2\u83C3\u83C4\u83C6\u83C8\u83C9\u83CB\u83CD\u83CE\u83D0\u83D1\u83D2\u83D3\u83D5\u83D7\u83D9\u83DA\u83DB\u83DE\u83E2\u83E3\u83E4\u83E6\u83E7\u83E8\u83EB\u83EC\u83ED\u6070\u6D3D\u7275\u6266\u948E\u94C5\u5343\u8FC1\u7B7E\u4EDF\u8C26\u4E7E\u9ED4\u94B1\u94B3\u524D\u6F5C\u9063\u6D45\u8C34\u5811\u5D4C\u6B20\u6B49\u67AA\u545B\u8154\u7F8C\u5899\u8537\u5F3A\u62A2\u6A47\u9539\u6572\u6084\u6865\u77A7\u4E54\u4FA8\u5DE7\u9798\u64AC\u7FD8\u5CED\u4FCF\u7A8D\u5207\u8304\u4E14\u602F\u7A83\u94A6\u4FB5\u4EB2\u79E6\u7434\u52E4\u82B9\u64D2\u79BD\u5BDD\u6C81\u9752\u8F7B\u6C22\u503E\u537F\u6E05\u64CE\u6674\u6C30\u60C5\u9877\u8BF7\u5E86\u743C\u7A77\u79CB\u4E18\u90B1\u7403\u6C42\u56DA\u914B\u6CC5\u8D8B\u533A\u86C6\u66F2\u8EAF\u5C48\u9A71\u6E20"],
      ["c840", "\u83EE\u83EF\u83F3", 4, "\u83FA\u83FB\u83FC\u83FE\u83FF\u8400\u8402\u8405\u8407\u8408\u8409\u840A\u8410\u8412", 5, "\u8419\u841A\u841B\u841E", 5, "\u8429", 7, "\u8432", 5, "\u8439\u843A\u843B\u843E", 7, "\u8447\u8448\u8449"],
      ["c880", "\u844A", 6, "\u8452", 4, "\u8458\u845D\u845E\u845F\u8460\u8462\u8464", 4, "\u846A\u846E\u846F\u8470\u8472\u8474\u8477\u8479\u847B\u847C\u53D6\u5A36\u9F8B\u8DA3\u53BB\u5708\u98A7\u6743\u919B\u6CC9\u5168\u75CA\u62F3\u72AC\u5238\u529D\u7F3A\u7094\u7638\u5374\u9E4A\u69B7\u786E\u96C0\u88D9\u7FA4\u7136\u71C3\u5189\u67D3\u74E4\u58E4\u6518\u56B7\u8BA9\u9976\u6270\u7ED5\u60F9\u70ED\u58EC\u4EC1\u4EBA\u5FCD\u97E7\u4EFB\u8BA4\u5203\u598A\u7EAB\u6254\u4ECD\u65E5\u620E\u8338\u84C9\u8363\u878D\u7194\u6EB6\u5BB9\u7ED2\u5197\u63C9\u67D4\u8089\u8339\u8815\u5112\u5B7A\u5982\u8FB1\u4E73\u6C5D\u5165\u8925\u8F6F\u962E\u854A\u745E\u9510\u95F0\u6DA6\u82E5\u5F31\u6492\u6D12\u8428\u816E\u9CC3\u585E\u8D5B\u4E09\u53C1"],
      ["c940", "\u847D", 4, "\u8483\u8484\u8485\u8486\u848A\u848D\u848F", 7, "\u8498\u849A\u849B\u849D\u849E\u849F\u84A0\u84A2", 12, "\u84B0\u84B1\u84B3\u84B5\u84B6\u84B7\u84BB\u84BC\u84BE\u84C0\u84C2\u84C3\u84C5\u84C6\u84C7\u84C8\u84CB\u84CC\u84CE\u84CF\u84D2\u84D4\u84D5\u84D7"],
      ["c980", "\u84D8", 4, "\u84DE\u84E1\u84E2\u84E4\u84E7", 4, "\u84ED\u84EE\u84EF\u84F1", 10, "\u84FD\u84FE\u8500\u8501\u8502\u4F1E\u6563\u6851\u55D3\u4E27\u6414\u9A9A\u626B\u5AC2\u745F\u8272\u6DA9\u68EE\u50E7\u838E\u7802\u6740\u5239\u6C99\u7EB1\u50BB\u5565\u715E\u7B5B\u6652\u73CA\u82EB\u6749\u5C71\u5220\u717D\u886B\u95EA\u9655\u64C5\u8D61\u81B3\u5584\u6C55\u6247\u7F2E\u5892\u4F24\u5546\u8D4F\u664C\u4E0A\u5C1A\u88F3\u68A2\u634E\u7A0D\u70E7\u828D\u52FA\u97F6\u5C11\u54E8\u90B5\u7ECD\u5962\u8D4A\u86C7\u820C\u820D\u8D66\u6444\u5C04\u6151\u6D89\u793E\u8BBE\u7837\u7533\u547B\u4F38\u8EAB\u6DF1\u5A20\u7EC5\u795E\u6C88\u5BA1\u5A76\u751A\u80BE\u614E\u6E17\u58F0\u751F\u7525\u7272\u5347\u7EF3"],
      ["ca40", "\u8503", 8, "\u850D\u850E\u850F\u8510\u8512\u8514\u8515\u8516\u8518\u8519\u851B\u851C\u851D\u851E\u8520\u8522", 8, "\u852D", 9, "\u853E", 4, "\u8544\u8545\u8546\u8547\u854B", 10],
      ["ca80", "\u8557\u8558\u855A\u855B\u855C\u855D\u855F", 4, "\u8565\u8566\u8567\u8569", 8, "\u8573\u8575\u8576\u8577\u8578\u857C\u857D\u857F\u8580\u8581\u7701\u76DB\u5269\u80DC\u5723\u5E08\u5931\u72EE\u65BD\u6E7F\u8BD7\u5C38\u8671\u5341\u77F3\u62FE\u65F6\u4EC0\u98DF\u8680\u5B9E\u8BC6\u53F2\u77E2\u4F7F\u5C4E\u9A76\u59CB\u5F0F\u793A\u58EB\u4E16\u67FF\u4E8B\u62ED\u8A93\u901D\u52BF\u662F\u55DC\u566C\u9002\u4ED5\u4F8D\u91CA\u9970\u6C0F\u5E02\u6043\u5BA4\u89C6\u8BD5\u6536\u624B\u9996\u5B88\u5BFF\u6388\u552E\u53D7\u7626\u517D\u852C\u67A2\u68B3\u6B8A\u6292\u8F93\u53D4\u8212\u6DD1\u758F\u4E66\u8D4E\u5B70\u719F\u85AF\u6691\u66D9\u7F72\u8700\u9ECD\u9F20\u5C5E\u672F\u8FF0\u6811\u675F\u620D\u7AD6\u5885\u5EB6\u6570\u6F31"],
      ["cb40", "\u8582\u8583\u8586\u8588", 6, "\u8590", 10, "\u859D", 6, "\u85A5\u85A6\u85A7\u85A9\u85AB\u85AC\u85AD\u85B1", 5, "\u85B8\u85BA", 6, "\u85C2", 6, "\u85CA", 4, "\u85D1\u85D2"],
      ["cb80", "\u85D4\u85D6", 5, "\u85DD", 6, "\u85E5\u85E6\u85E7\u85E8\u85EA", 14, "\u6055\u5237\u800D\u6454\u8870\u7529\u5E05\u6813\u62F4\u971C\u53CC\u723D\u8C01\u6C34\u7761\u7A0E\u542E\u77AC\u987A\u821C\u8BF4\u7855\u6714\u70C1\u65AF\u6495\u5636\u601D\u79C1\u53F8\u4E1D\u6B7B\u8086\u5BFA\u55E3\u56DB\u4F3A\u4F3C\u9972\u5DF3\u677E\u8038\u6002\u9882\u9001\u5B8B\u8BBC\u8BF5\u641C\u8258\u64DE\u55FD\u82CF\u9165\u4FD7\u7D20\u901F\u7C9F\u50F3\u5851\u6EAF\u5BBF\u8BC9\u8083\u9178\u849C\u7B97\u867D\u968B\u968F\u7EE5\u9AD3\u788E\u5C81\u7A57\u9042\u96A7\u795F\u5B59\u635F\u7B0B\u84D1\u68AD\u5506\u7F29\u7410\u7D22\u9501\u6240\u584C\u4ED6\u5B83\u5979\u5854"],
      ["cc40", "\u85F9\u85FA\u85FC\u85FD\u85FE\u8600", 4, "\u8606", 10, "\u8612\u8613\u8614\u8615\u8617", 15, "\u8628\u862A", 13, "\u8639\u863A\u863B\u863D\u863E\u863F\u8640"],
      ["cc80", "\u8641", 11, "\u8652\u8653\u8655", 4, "\u865B\u865C\u865D\u865F\u8660\u8661\u8663", 7, "\u736D\u631E\u8E4B\u8E0F\u80CE\u82D4\u62AC\u53F0\u6CF0\u915E\u592A\u6001\u6C70\u574D\u644A\u8D2A\u762B\u6EE9\u575B\u6A80\u75F0\u6F6D\u8C2D\u8C08\u5766\u6BEF\u8892\u78B3\u63A2\u53F9\u70AD\u6C64\u5858\u642A\u5802\u68E0\u819B\u5510\u7CD6\u5018\u8EBA\u6DCC\u8D9F\u70EB\u638F\u6D9B\u6ED4\u7EE6\u8404\u6843\u9003\u6DD8\u9676\u8BA8\u5957\u7279\u85E4\u817E\u75BC\u8A8A\u68AF\u5254\u8E22\u9511\u63D0\u9898\u8E44\u557C\u4F53\u66FF\u568F\u60D5\u6D95\u5243\u5C49\u5929\u6DFB\u586B\u7530\u751C\u606C\u8214\u8146\u6311\u6761\u8FE2\u773A\u8DF3\u8D34\u94C1\u5E16\u5385\u542C\u70C3"],
      ["cd40", "\u866D\u866F\u8670\u8672", 6, "\u8683", 6, "\u868E", 4, "\u8694\u8696", 5, "\u869E", 4, "\u86A5\u86A6\u86AB\u86AD\u86AE\u86B2\u86B3\u86B7\u86B8\u86B9\u86BB", 4, "\u86C1\u86C2\u86C3\u86C5\u86C8\u86CC\u86CD\u86D2\u86D3\u86D5\u86D6\u86D7\u86DA\u86DC"],
      ["cd80", "\u86DD\u86E0\u86E1\u86E2\u86E3\u86E5\u86E6\u86E7\u86E8\u86EA\u86EB\u86EC\u86EF\u86F5\u86F6\u86F7\u86FA\u86FB\u86FC\u86FD\u86FF\u8701\u8704\u8705\u8706\u870B\u870C\u870E\u870F\u8710\u8711\u8714\u8716\u6C40\u5EF7\u505C\u4EAD\u5EAD\u633A\u8247\u901A\u6850\u916E\u77B3\u540C\u94DC\u5F64\u7AE5\u6876\u6345\u7B52\u7EDF\u75DB\u5077\u6295\u5934\u900F\u51F8\u79C3\u7A81\u56FE\u5F92\u9014\u6D82\u5C60\u571F\u5410\u5154\u6E4D\u56E2\u63A8\u9893\u817F\u8715\u892A\u9000\u541E\u5C6F\u81C0\u62D6\u6258\u8131\u9E35\u9640\u9A6E\u9A7C\u692D\u59A5\u62D3\u553E\u6316\u54C7\u86D9\u6D3C\u5A03\u74E6\u889C\u6B6A\u5916\u8C4C\u5F2F\u6E7E\u73A9\u987D\u4E38\u70F7\u5B8C\u7897\u633D\u665A\u7696\u60CB\u5B9B\u5A49\u4E07\u8155\u6C6A\u738B\u4EA1\u6789\u7F51\u5F80\u65FA\u671B\u5FD8\u5984\u5A01"],
      ["ce40", "\u8719\u871B\u871D\u871F\u8720\u8724\u8726\u8727\u8728\u872A\u872B\u872C\u872D\u872F\u8730\u8732\u8733\u8735\u8736\u8738\u8739\u873A\u873C\u873D\u8740", 6, "\u874A\u874B\u874D\u874F\u8750\u8751\u8752\u8754\u8755\u8756\u8758\u875A", 5, "\u8761\u8762\u8766", 7, "\u876F\u8771\u8772\u8773\u8775"],
      ["ce80", "\u8777\u8778\u8779\u877A\u877F\u8780\u8781\u8784\u8786\u8787\u8789\u878A\u878C\u878E", 4, "\u8794\u8795\u8796\u8798", 6, "\u87A0", 4, "\u5DCD\u5FAE\u5371\u97E6\u8FDD\u6845\u56F4\u552F\u60DF\u4E3A\u6F4D\u7EF4\u82C7\u840E\u59D4\u4F1F\u4F2A\u5C3E\u7EAC\u672A\u851A\u5473\u754F\u80C3\u5582\u9B4F\u4F4D\u6E2D\u8C13\u5C09\u6170\u536B\u761F\u6E29\u868A\u6587\u95FB\u7EB9\u543B\u7A33\u7D0A\u95EE\u55E1\u7FC1\u74EE\u631D\u8717\u6DA1\u7A9D\u6211\u65A1\u5367\u63E1\u6C83\u5DEB\u545C\u94A8\u4E4C\u6C61\u8BEC\u5C4B\u65E0\u829C\u68A7\u543E\u5434\u6BCB\u6B66\u4E94\u6342\u5348\u821E\u4F0D\u4FAE\u575E\u620A\u96FE\u6664\u7269\u52FF\u52A1\u609F\u8BEF\u6614\u7199\u6790\u897F\u7852\u77FD\u6670\u563B\u5438\u9521\u727A"],
      ["cf40", "\u87A5\u87A6\u87A7\u87A9\u87AA\u87AE\u87B0\u87B1\u87B2\u87B4\u87B6\u87B7\u87B8\u87B9\u87BB\u87BC\u87BE\u87BF\u87C1", 4, "\u87C7\u87C8\u87C9\u87CC", 4, "\u87D4", 6, "\u87DC\u87DD\u87DE\u87DF\u87E1\u87E2\u87E3\u87E4\u87E6\u87E7\u87E8\u87E9\u87EB\u87EC\u87ED\u87EF", 9],
      ["cf80", "\u87FA\u87FB\u87FC\u87FD\u87FF\u8800\u8801\u8802\u8804", 5, "\u880B", 7, "\u8814\u8817\u8818\u8819\u881A\u881C", 4, "\u8823\u7A00\u606F\u5E0C\u6089\u819D\u5915\u60DC\u7184\u70EF\u6EAA\u6C50\u7280\u6A84\u88AD\u5E2D\u4E60\u5AB3\u559C\u94E3\u6D17\u7CFB\u9699\u620F\u7EC6\u778E\u867E\u5323\u971E\u8F96\u6687\u5CE1\u4FA0\u72ED\u4E0B\u53A6\u590F\u5413\u6380\u9528\u5148\u4ED9\u9C9C\u7EA4\u54B8\u8D24\u8854\u8237\u95F2\u6D8E\u5F26\u5ACC\u663E\u9669\u73B0\u732E\u53BF\u817A\u9985\u7FA1\u5BAA\u9677\u9650\u7EBF\u76F8\u53A2\u9576\u9999\u7BB1\u8944\u6E58\u4E61\u7FD4\u7965\u8BE6\u60F3\u54CD\u4EAB\u9879\u5DF7\u6A61\u50CF\u5411\u8C61\u8427\u785D\u9704\u524A\u54EE\u56A3\u9500\u6D88\u5BB5\u6DC6\u6653"],
      ["d040", "\u8824", 13, "\u8833", 5, "\u883A\u883B\u883D\u883E\u883F\u8841\u8842\u8843\u8846", 5, "\u884E", 5, "\u8855\u8856\u8858\u885A", 6, "\u8866\u8867\u886A\u886D\u886F\u8871\u8873\u8874\u8875\u8876\u8878\u8879\u887A"],
      ["d080", "\u887B\u887C\u8880\u8883\u8886\u8887\u8889\u888A\u888C\u888E\u888F\u8890\u8891\u8893\u8894\u8895\u8897", 4, "\u889D", 4, "\u88A3\u88A5", 5, "\u5C0F\u5B5D\u6821\u8096\u5578\u7B11\u6548\u6954\u4E9B\u6B47\u874E\u978B\u534F\u631F\u643A\u90AA\u659C\u80C1\u8C10\u5199\u68B0\u5378\u87F9\u61C8\u6CC4\u6CFB\u8C22\u5C51\u85AA\u82AF\u950C\u6B23\u8F9B\u65B0\u5FFB\u5FC3\u4FE1\u8845\u661F\u8165\u7329\u60FA\u5174\u5211\u578B\u5F62\u90A2\u884C\u9192\u5E78\u674F\u6027\u59D3\u5144\u51F6\u80F8\u5308\u6C79\u96C4\u718A\u4F11\u4FEE\u7F9E\u673D\u55C5\u9508\u79C0\u8896\u7EE3\u589F\u620C\u9700\u865A\u5618\u987B\u5F90\u8BB8\u84C4\u9157\u53D9\u65ED\u5E8F\u755C\u6064\u7D6E\u5A7F\u7EEA\u7EED\u8F69\u55A7\u5BA3\u60AC\u65CB\u7384"],
      ["d140", "\u88AC\u88AE\u88AF\u88B0\u88B2", 4, "\u88B8\u88B9\u88BA\u88BB\u88BD\u88BE\u88BF\u88C0\u88C3\u88C4\u88C7\u88C8\u88CA\u88CB\u88CC\u88CD\u88CF\u88D0\u88D1\u88D3\u88D6\u88D7\u88DA", 4, "\u88E0\u88E1\u88E6\u88E7\u88E9", 6, "\u88F2\u88F5\u88F6\u88F7\u88FA\u88FB\u88FD\u88FF\u8900\u8901\u8903", 5],
      ["d180", "\u8909\u890B", 4, "\u8911\u8914", 4, "\u891C", 4, "\u8922\u8923\u8924\u8926\u8927\u8928\u8929\u892C\u892D\u892E\u892F\u8931\u8932\u8933\u8935\u8937\u9009\u7663\u7729\u7EDA\u9774\u859B\u5B66\u7A74\u96EA\u8840\u52CB\u718F\u5FAA\u65EC\u8BE2\u5BFB\u9A6F\u5DE1\u6B89\u6C5B\u8BAD\u8BAF\u900A\u8FC5\u538B\u62BC\u9E26\u9E2D\u5440\u4E2B\u82BD\u7259\u869C\u5D16\u8859\u6DAF\u96C5\u54D1\u4E9A\u8BB6\u7109\u54BD\u9609\u70DF\u6DF9\u76D0\u4E25\u7814\u8712\u5CA9\u5EF6\u8A00\u989C\u960E\u708E\u6CBF\u5944\u63A9\u773C\u884D\u6F14\u8273\u5830\u71D5\u538C\u781A\u96C1\u5501\u5F66\u7130\u5BB4\u8C1A\u9A8C\u6B83\u592E\u9E2F\u79E7\u6768\u626C\u4F6F\u75A1\u7F8A\u6D0B\u9633\u6C27\u4EF0\u75D2\u517B\u6837\u6F3E\u9080\u8170\u5996\u7476"],
      ["d240", "\u8938", 8, "\u8942\u8943\u8945", 24, "\u8960", 5, "\u8967", 19, "\u897C"],
      ["d280", "\u897D\u897E\u8980\u8982\u8984\u8985\u8987", 26, "\u6447\u5C27\u9065\u7A91\u8C23\u59DA\u54AC\u8200\u836F\u8981\u8000\u6930\u564E\u8036\u7237\u91CE\u51B6\u4E5F\u9875\u6396\u4E1A\u53F6\u66F3\u814B\u591C\u6DB2\u4E00\u58F9\u533B\u63D6\u94F1\u4F9D\u4F0A\u8863\u9890\u5937\u9057\u79FB\u4EEA\u80F0\u7591\u6C82\u5B9C\u59E8\u5F5D\u6905\u8681\u501A\u5DF2\u4E59\u77E3\u4EE5\u827A\u6291\u6613\u9091\u5C79\u4EBF\u5F79\u81C6\u9038\u8084\u75AB\u4EA6\u88D4\u610F\u6BC5\u5FC6\u4E49\u76CA\u6EA2\u8BE3\u8BAE\u8C0A\u8BD1\u5F02\u7FFC\u7FCC\u7ECE\u8335\u836B\u56E0\u6BB7\u97F3\u9634\u59FB\u541F\u94F6\u6DEB\u5BC5\u996E\u5C39\u5F15\u9690"],
      ["d340", "\u89A2", 30, "\u89C3\u89CD\u89D3\u89D4\u89D5\u89D7\u89D8\u89D9\u89DB\u89DD\u89DF\u89E0\u89E1\u89E2\u89E4\u89E7\u89E8\u89E9\u89EA\u89EC\u89ED\u89EE\u89F0\u89F1\u89F2\u89F4", 6],
      ["d380", "\u89FB", 4, "\u8A01", 5, "\u8A08", 21, "\u5370\u82F1\u6A31\u5A74\u9E70\u5E94\u7F28\u83B9\u8424\u8425\u8367\u8747\u8FCE\u8D62\u76C8\u5F71\u9896\u786C\u6620\u54DF\u62E5\u4F63\u81C3\u75C8\u5EB8\u96CD\u8E0A\u86F9\u548F\u6CF3\u6D8C\u6C38\u607F\u52C7\u7528\u5E7D\u4F18\u60A0\u5FE7\u5C24\u7531\u90AE\u94C0\u72B9\u6CB9\u6E38\u9149\u6709\u53CB\u53F3\u4F51\u91C9\u8BF1\u53C8\u5E7C\u8FC2\u6DE4\u4E8E\u76C2\u6986\u865E\u611A\u8206\u4F59\u4FDE\u903E\u9C7C\u6109\u6E1D\u6E14\u9685\u4E88\u5A31\u96E8\u4E0E\u5C7F\u79B9\u5B87\u8BED\u7FBD\u7389\u57DF\u828B\u90C1\u5401\u9047\u55BB\u5CEA\u5FA1\u6108\u6B32\u72F1\u80B2\u8A89"],
      ["d440", "\u8A1E", 31, "\u8A3F", 8, "\u8A49", 21],
      ["d480", "\u8A5F", 25, "\u8A7A", 6, "\u6D74\u5BD3\u88D5\u9884\u8C6B\u9A6D\u9E33\u6E0A\u51A4\u5143\u57A3\u8881\u539F\u63F4\u8F95\u56ED\u5458\u5706\u733F\u6E90\u7F18\u8FDC\u82D1\u613F\u6028\u9662\u66F0\u7EA6\u8D8A\u8DC3\u94A5\u5CB3\u7CA4\u6708\u60A6\u9605\u8018\u4E91\u90E7\u5300\u9668\u5141\u8FD0\u8574\u915D\u6655\u97F5\u5B55\u531D\u7838\u6742\u683D\u54C9\u707E\u5BB0\u8F7D\u518D\u5728\u54B1\u6512\u6682\u8D5E\u8D43\u810F\u846C\u906D\u7CDF\u51FF\u85FB\u67A3\u65E9\u6FA1\u86A4\u8E81\u566A\u9020\u7682\u7076\u71E5\u8D23\u62E9\u5219\u6CFD\u8D3C\u600E\u589E\u618E\u66FE\u8D60\u624E\u55B3\u6E23\u672D\u8F67"],
      ["d540", "\u8A81", 7, "\u8A8B", 7, "\u8A94", 46],
      ["d580", "\u8AC3", 32, "\u94E1\u95F8\u7728\u6805\u69A8\u548B\u4E4D\u70B8\u8BC8\u6458\u658B\u5B85\u7A84\u503A\u5BE8\u77BB\u6BE1\u8A79\u7C98\u6CBE\u76CF\u65A9\u8F97\u5D2D\u5C55\u8638\u6808\u5360\u6218\u7AD9\u6E5B\u7EFD\u6A1F\u7AE0\u5F70\u6F33\u5F20\u638C\u6DA8\u6756\u4E08\u5E10\u8D26\u4ED7\u80C0\u7634\u969C\u62DB\u662D\u627E\u6CBC\u8D75\u7167\u7F69\u5146\u8087\u53EC\u906E\u6298\u54F2\u86F0\u8F99\u8005\u9517\u8517\u8FD9\u6D59\u73CD\u659F\u771F\u7504\u7827\u81FB\u8D1E\u9488\u4FA6\u6795\u75B9\u8BCA\u9707\u632F\u9547\u9635\u84B8\u6323\u7741\u5F81\u72F0\u4E89\u6014\u6574\u62EF\u6B63\u653F"],
      ["d640", "\u8AE4", 34, "\u8B08", 27],
      ["d680", "\u8B24\u8B25\u8B27", 30, "\u5E27\u75C7\u90D1\u8BC1\u829D\u679D\u652F\u5431\u8718\u77E5\u80A2\u8102\u6C41\u4E4B\u7EC7\u804C\u76F4\u690D\u6B96\u6267\u503C\u4F84\u5740\u6307\u6B62\u8DBE\u53EA\u65E8\u7EB8\u5FD7\u631A\u63B7\u81F3\u81F4\u7F6E\u5E1C\u5CD9\u5236\u667A\u79E9\u7A1A\u8D28\u7099\u75D4\u6EDE\u6CBB\u7A92\u4E2D\u76C5\u5FE0\u949F\u8877\u7EC8\u79CD\u80BF\u91CD\u4EF2\u4F17\u821F\u5468\u5DDE\u6D32\u8BCC\u7CA5\u8F74\u8098\u5E1A\u5492\u76B1\u5B99\u663C\u9AA4\u73E0\u682A\u86DB\u6731\u732A\u8BF8\u8BDB\u9010\u7AF9\u70DB\u716E\u62C4\u77A9\u5631\u4E3B\u8457\u67F1\u52A9\u86C0\u8D2E\u94F8\u7B51"],
      ["d740", "\u8B46", 31, "\u8B67", 4, "\u8B6D", 25],
      ["d780", "\u8B87", 24, "\u8BAC\u8BB1\u8BBB\u8BC7\u8BD0\u8BEA\u8C09\u8C1E\u4F4F\u6CE8\u795D\u9A7B\u6293\u722A\u62FD\u4E13\u7816\u8F6C\u64B0\u8D5A\u7BC6\u6869\u5E84\u88C5\u5986\u649E\u58EE\u72B6\u690E\u9525\u8FFD\u8D58\u5760\u7F00\u8C06\u51C6\u6349\u62D9\u5353\u684C\u7422\u8301\u914C\u5544\u7740\u707C\u6D4A\u5179\u54A8\u8D44\u59FF\u6ECB\u6DC4\u5B5C\u7D2B\u4ED4\u7C7D\u6ED3\u5B50\u81EA\u6E0D\u5B57\u9B03\u68D5\u8E2A\u5B97\u7EFC\u603B\u7EB5\u90B9\u8D70\u594F\u63CD\u79DF\u8DB3\u5352\u65CF\u7956\u8BC5\u963B\u7EC4\u94BB\u7E82\u5634\u9189\u6700\u7F6A\u5C0A\u9075\u6628\u5DE6\u4F50\u67DE\u505A\u4F5C\u5750\u5EA7"],
      ["d840", "\u8C38", 8, "\u8C42\u8C43\u8C44\u8C45\u8C48\u8C4A\u8C4B\u8C4D", 7, "\u8C56\u8C57\u8C58\u8C59\u8C5B", 5, "\u8C63", 6, "\u8C6C", 6, "\u8C74\u8C75\u8C76\u8C77\u8C7B", 6, "\u8C83\u8C84\u8C86\u8C87"],
      ["d880", "\u8C88\u8C8B\u8C8D", 6, "\u8C95\u8C96\u8C97\u8C99", 20, "\u4E8D\u4E0C\u5140\u4E10\u5EFF\u5345\u4E15\u4E98\u4E1E\u9B32\u5B6C\u5669\u4E28\u79BA\u4E3F\u5315\u4E47\u592D\u723B\u536E\u6C10\u56DF\u80E4\u9997\u6BD3\u777E\u9F17\u4E36\u4E9F\u9F10\u4E5C\u4E69\u4E93\u8288\u5B5B\u556C\u560F\u4EC4\u538D\u539D\u53A3\u53A5\u53AE\u9765\u8D5D\u531A\u53F5\u5326\u532E\u533E\u8D5C\u5366\u5363\u5202\u5208\u520E\u522D\u5233\u523F\u5240\u524C\u525E\u5261\u525C\u84AF\u527D\u5282\u5281\u5290\u5293\u5182\u7F54\u4EBB\u4EC3\u4EC9\u4EC2\u4EE8\u4EE1\u4EEB\u4EDE\u4F1B\u4EF3\u4F22\u4F64\u4EF5\u4F25\u4F27\u4F09\u4F2B\u4F5E\u4F67\u6538\u4F5A\u4F5D"],
      ["d940", "\u8CAE", 62],
      ["d980", "\u8CED", 32, "\u4F5F\u4F57\u4F32\u4F3D\u4F76\u4F74\u4F91\u4F89\u4F83\u4F8F\u4F7E\u4F7B\u4FAA\u4F7C\u4FAC\u4F94\u4FE6\u4FE8\u4FEA\u4FC5\u4FDA\u4FE3\u4FDC\u4FD1\u4FDF\u4FF8\u5029\u504C\u4FF3\u502C\u500F\u502E\u502D\u4FFE\u501C\u500C\u5025\u5028\u507E\u5043\u5055\u5048\u504E\u506C\u507B\u50A5\u50A7\u50A9\u50BA\u50D6\u5106\u50ED\u50EC\u50E6\u50EE\u5107\u510B\u4EDD\u6C3D\u4F58\u4F65\u4FCE\u9FA0\u6C46\u7C74\u516E\u5DFD\u9EC9\u9998\u5181\u5914\u52F9\u530D\u8A07\u5310\u51EB\u5919\u5155\u4EA0\u5156\u4EB3\u886E\u88A4\u4EB5\u8114\u88D2\u7980\u5B34\u8803\u7FB8\u51AB\u51B1\u51BD\u51BC"],
      ["da40", "\u8D0E", 14, "\u8D20\u8D51\u8D52\u8D57\u8D5F\u8D65\u8D68\u8D69\u8D6A\u8D6C\u8D6E\u8D6F\u8D71\u8D72\u8D78", 8, "\u8D82\u8D83\u8D86\u8D87\u8D88\u8D89\u8D8C", 4, "\u8D92\u8D93\u8D95", 9, "\u8DA0\u8DA1"],
      ["da80", "\u8DA2\u8DA4", 12, "\u8DB2\u8DB6\u8DB7\u8DB9\u8DBB\u8DBD\u8DC0\u8DC1\u8DC2\u8DC5\u8DC7\u8DC8\u8DC9\u8DCA\u8DCD\u8DD0\u8DD2\u8DD3\u8DD4\u51C7\u5196\u51A2\u51A5\u8BA0\u8BA6\u8BA7\u8BAA\u8BB4\u8BB5\u8BB7\u8BC2\u8BC3\u8BCB\u8BCF\u8BCE\u8BD2\u8BD3\u8BD4\u8BD6\u8BD8\u8BD9\u8BDC\u8BDF\u8BE0\u8BE4\u8BE8\u8BE9\u8BEE\u8BF0\u8BF3\u8BF6\u8BF9\u8BFC\u8BFF\u8C00\u8C02\u8C04\u8C07\u8C0C\u8C0F\u8C11\u8C12\u8C14\u8C15\u8C16\u8C19\u8C1B\u8C18\u8C1D\u8C1F\u8C20\u8C21\u8C25\u8C27\u8C2A\u8C2B\u8C2E\u8C2F\u8C32\u8C33\u8C35\u8C36\u5369\u537A\u961D\u9622\u9621\u9631\u962A\u963D\u963C\u9642\u9649\u9654\u965F\u9667\u966C\u9672\u9674\u9688\u968D\u9697\u96B0\u9097\u909B\u909D\u9099\u90AC\u90A1\u90B4\u90B3\u90B6\u90BA"],
      ["db40", "\u8DD5\u8DD8\u8DD9\u8DDC\u8DE0\u8DE1\u8DE2\u8DE5\u8DE6\u8DE7\u8DE9\u8DED\u8DEE\u8DF0\u8DF1\u8DF2\u8DF4\u8DF6\u8DFC\u8DFE", 6, "\u8E06\u8E07\u8E08\u8E0B\u8E0D\u8E0E\u8E10\u8E11\u8E12\u8E13\u8E15", 7, "\u8E20\u8E21\u8E24", 4, "\u8E2B\u8E2D\u8E30\u8E32\u8E33\u8E34\u8E36\u8E37\u8E38\u8E3B\u8E3C\u8E3E"],
      ["db80", "\u8E3F\u8E43\u8E45\u8E46\u8E4C", 4, "\u8E53", 5, "\u8E5A", 11, "\u8E67\u8E68\u8E6A\u8E6B\u8E6E\u8E71\u90B8\u90B0\u90CF\u90C5\u90BE\u90D0\u90C4\u90C7\u90D3\u90E6\u90E2\u90DC\u90D7\u90DB\u90EB\u90EF\u90FE\u9104\u9122\u911E\u9123\u9131\u912F\u9139\u9143\u9146\u520D\u5942\u52A2\u52AC\u52AD\u52BE\u54FF\u52D0\u52D6\u52F0\u53DF\u71EE\u77CD\u5EF4\u51F5\u51FC\u9B2F\u53B6\u5F01\u755A\u5DEF\u574C\u57A9\u57A1\u587E\u58BC\u58C5\u58D1\u5729\u572C\u572A\u5733\u5739\u572E\u572F\u575C\u573B\u5742\u5769\u5785\u576B\u5786\u577C\u577B\u5768\u576D\u5776\u5773\u57AD\u57A4\u578C\u57B2\u57CF\u57A7\u57B4\u5793\u57A0\u57D5\u57D8\u57DA\u57D9\u57D2\u57B8\u57F4\u57EF\u57F8\u57E4\u57DD"],
      ["dc40", "\u8E73\u8E75\u8E77", 4, "\u8E7D\u8E7E\u8E80\u8E82\u8E83\u8E84\u8E86\u8E88", 6, "\u8E91\u8E92\u8E93\u8E95", 6, "\u8E9D\u8E9F", 11, "\u8EAD\u8EAE\u8EB0\u8EB1\u8EB3", 6, "\u8EBB", 7],
      ["dc80", "\u8EC3", 10, "\u8ECF", 21, "\u580B\u580D\u57FD\u57ED\u5800\u581E\u5819\u5844\u5820\u5865\u586C\u5881\u5889\u589A\u5880\u99A8\u9F19\u61FF\u8279\u827D\u827F\u828F\u828A\u82A8\u8284\u828E\u8291\u8297\u8299\u82AB\u82B8\u82BE\u82B0\u82C8\u82CA\u82E3\u8298\u82B7\u82AE\u82CB\u82CC\u82C1\u82A9\u82B4\u82A1\u82AA\u829F\u82C4\u82CE\u82A4\u82E1\u8309\u82F7\u82E4\u830F\u8307\u82DC\u82F4\u82D2\u82D8\u830C\u82FB\u82D3\u8311\u831A\u8306\u8314\u8315\u82E0\u82D5\u831C\u8351\u835B\u835C\u8308\u8392\u833C\u8334\u8331\u839B\u835E\u832F\u834F\u8347\u8343\u835F\u8340\u8317\u8360\u832D\u833A\u8333\u8366\u8365"],
      ["dd40", "\u8EE5", 62],
      ["dd80", "\u8F24", 32, "\u8368\u831B\u8369\u836C\u836A\u836D\u836E\u83B0\u8378\u83B3\u83B4\u83A0\u83AA\u8393\u839C\u8385\u837C\u83B6\u83A9\u837D\u83B8\u837B\u8398\u839E\u83A8\u83BA\u83BC\u83C1\u8401\u83E5\u83D8\u5807\u8418\u840B\u83DD\u83FD\u83D6\u841C\u8438\u8411\u8406\u83D4\u83DF\u840F\u8403\u83F8\u83F9\u83EA\u83C5\u83C0\u8426\u83F0\u83E1\u845C\u8451\u845A\u8459\u8473\u8487\u8488\u847A\u8489\u8478\u843C\u8446\u8469\u8476\u848C\u848E\u8431\u846D\u84C1\u84CD\u84D0\u84E6\u84BD\u84D3\u84CA\u84BF\u84BA\u84E0\u84A1\u84B9\u84B4\u8497\u84E5\u84E3\u850C\u750D\u8538\u84F0\u8539\u851F\u853A"],
      ["de40", "\u8F45", 32, "\u8F6A\u8F80\u8F8C\u8F92\u8F9D\u8FA0\u8FA1\u8FA2\u8FA4\u8FA5\u8FA6\u8FA7\u8FAA\u8FAC\u8FAD\u8FAE\u8FAF\u8FB2\u8FB3\u8FB4\u8FB5\u8FB7\u8FB8\u8FBA\u8FBB\u8FBC\u8FBF\u8FC0\u8FC3\u8FC6"],
      ["de80", "\u8FC9", 4, "\u8FCF\u8FD2\u8FD6\u8FD7\u8FDA\u8FE0\u8FE1\u8FE3\u8FE7\u8FEC\u8FEF\u8FF1\u8FF2\u8FF4\u8FF5\u8FF6\u8FFA\u8FFB\u8FFC\u8FFE\u8FFF\u9007\u9008\u900C\u900E\u9013\u9015\u9018\u8556\u853B\u84FF\u84FC\u8559\u8548\u8568\u8564\u855E\u857A\u77A2\u8543\u8572\u857B\u85A4\u85A8\u8587\u858F\u8579\u85AE\u859C\u8585\u85B9\u85B7\u85B0\u85D3\u85C1\u85DC\u85FF\u8627\u8605\u8629\u8616\u863C\u5EFE\u5F08\u593C\u5941\u8037\u5955\u595A\u5958\u530F\u5C22\u5C25\u5C2C\u5C34\u624C\u626A\u629F\u62BB\u62CA\u62DA\u62D7\u62EE\u6322\u62F6\u6339\u634B\u6343\u63AD\u63F6\u6371\u637A\u638E\u63B4\u636D\u63AC\u638A\u6369\u63AE\u63BC\u63F2\u63F8\u63E0\u63FF\u63C4\u63DE\u63CE\u6452\u63C6\u63BE\u6445\u6441\u640B\u641B\u6420\u640C\u6426\u6421\u645E\u6484\u646D\u6496"],
      ["df40", "\u9019\u901C\u9023\u9024\u9025\u9027", 5, "\u9030", 4, "\u9037\u9039\u903A\u903D\u903F\u9040\u9043\u9045\u9046\u9048", 4, "\u904E\u9054\u9055\u9056\u9059\u905A\u905C", 5, "\u9064\u9066\u9067\u9069\u906A\u906B\u906C\u906F", 4, "\u9076", 6, "\u907E\u9081"],
      ["df80", "\u9084\u9085\u9086\u9087\u9089\u908A\u908C", 4, "\u9092\u9094\u9096\u9098\u909A\u909C\u909E\u909F\u90A0\u90A4\u90A5\u90A7\u90A8\u90A9\u90AB\u90AD\u90B2\u90B7\u90BC\u90BD\u90BF\u90C0\u647A\u64B7\u64B8\u6499\u64BA\u64C0\u64D0\u64D7\u64E4\u64E2\u6509\u6525\u652E\u5F0B\u5FD2\u7519\u5F11\u535F\u53F1\u53FD\u53E9\u53E8\u53FB\u5412\u5416\u5406\u544B\u5452\u5453\u5454\u5456\u5443\u5421\u5457\u5459\u5423\u5432\u5482\u5494\u5477\u5471\u5464\u549A\u549B\u5484\u5476\u5466\u549D\u54D0\u54AD\u54C2\u54B4\u54D2\u54A7\u54A6\u54D3\u54D4\u5472\u54A3\u54D5\u54BB\u54BF\u54CC\u54D9\u54DA\u54DC\u54A9\u54AA\u54A4\u54DD\u54CF\u54DE\u551B\u54E7\u5520\u54FD\u5514\u54F3\u5522\u5523\u550F\u5511\u5527\u552A\u5567\u558F\u55B5\u5549\u556D\u5541\u5555\u553F\u5550\u553C"],
      ["e040", "\u90C2\u90C3\u90C6\u90C8\u90C9\u90CB\u90CC\u90CD\u90D2\u90D4\u90D5\u90D6\u90D8\u90D9\u90DA\u90DE\u90DF\u90E0\u90E3\u90E4\u90E5\u90E9\u90EA\u90EC\u90EE\u90F0\u90F1\u90F2\u90F3\u90F5\u90F6\u90F7\u90F9\u90FA\u90FB\u90FC\u90FF\u9100\u9101\u9103\u9105", 19, "\u911A\u911B\u911C"],
      ["e080", "\u911D\u911F\u9120\u9121\u9124", 10, "\u9130\u9132", 6, "\u913A", 8, "\u9144\u5537\u5556\u5575\u5576\u5577\u5533\u5530\u555C\u558B\u55D2\u5583\u55B1\u55B9\u5588\u5581\u559F\u557E\u55D6\u5591\u557B\u55DF\u55BD\u55BE\u5594\u5599\u55EA\u55F7\u55C9\u561F\u55D1\u55EB\u55EC\u55D4\u55E6\u55DD\u55C4\u55EF\u55E5\u55F2\u55F3\u55CC\u55CD\u55E8\u55F5\u55E4\u8F94\u561E\u5608\u560C\u5601\u5624\u5623\u55FE\u5600\u5627\u562D\u5658\u5639\u5657\u562C\u564D\u5662\u5659\u565C\u564C\u5654\u5686\u5664\u5671\u566B\u567B\u567C\u5685\u5693\u56AF\u56D4\u56D7\u56DD\u56E1\u56F5\u56EB\u56F9\u56FF\u5704\u570A\u5709\u571C\u5E0F\u5E19\u5E14\u5E11\u5E31\u5E3B\u5E3C"],
      ["e140", "\u9145\u9147\u9148\u9151\u9153\u9154\u9155\u9156\u9158\u9159\u915B\u915C\u915F\u9160\u9166\u9167\u9168\u916B\u916D\u9173\u917A\u917B\u917C\u9180", 4, "\u9186\u9188\u918A\u918E\u918F\u9193", 6, "\u919C", 5, "\u91A4", 5, "\u91AB\u91AC\u91B0\u91B1\u91B2\u91B3\u91B6\u91B7\u91B8\u91B9\u91BB"],
      ["e180", "\u91BC", 10, "\u91C8\u91CB\u91D0\u91D2", 9, "\u91DD", 8, "\u5E37\u5E44\u5E54\u5E5B\u5E5E\u5E61\u5C8C\u5C7A\u5C8D\u5C90\u5C96\u5C88\u5C98\u5C99\u5C91\u5C9A\u5C9C\u5CB5\u5CA2\u5CBD\u5CAC\u5CAB\u5CB1\u5CA3\u5CC1\u5CB7\u5CC4\u5CD2\u5CE4\u5CCB\u5CE5\u5D02\u5D03\u5D27\u5D26\u5D2E\u5D24\u5D1E\u5D06\u5D1B\u5D58\u5D3E\u5D34\u5D3D\u5D6C\u5D5B\u5D6F\u5D5D\u5D6B\u5D4B\u5D4A\u5D69\u5D74\u5D82\u5D99\u5D9D\u8C73\u5DB7\u5DC5\u5F73\u5F77\u5F82\u5F87\u5F89\u5F8C\u5F95\u5F99\u5F9C\u5FA8\u5FAD\u5FB5\u5FBC\u8862\u5F61\u72AD\u72B0\u72B4\u72B7\u72B8\u72C3\u72C1\u72CE\u72CD\u72D2\u72E8\u72EF\u72E9\u72F2\u72F4\u72F7\u7301\u72F3\u7303\u72FA"],
      ["e240", "\u91E6", 62],
      ["e280", "\u9225", 32, "\u72FB\u7317\u7313\u7321\u730A\u731E\u731D\u7315\u7322\u7339\u7325\u732C\u7338\u7331\u7350\u734D\u7357\u7360\u736C\u736F\u737E\u821B\u5925\u98E7\u5924\u5902\u9963\u9967", 5, "\u9974\u9977\u997D\u9980\u9984\u9987\u998A\u998D\u9990\u9991\u9993\u9994\u9995\u5E80\u5E91\u5E8B\u5E96\u5EA5\u5EA0\u5EB9\u5EB5\u5EBE\u5EB3\u8D53\u5ED2\u5ED1\u5EDB\u5EE8\u5EEA\u81BA\u5FC4\u5FC9\u5FD6\u5FCF\u6003\u5FEE\u6004\u5FE1\u5FE4\u5FFE\u6005\u6006\u5FEA\u5FED\u5FF8\u6019\u6035\u6026\u601B\u600F\u600D\u6029\u602B\u600A\u603F\u6021\u6078\u6079\u607B\u607A\u6042"],
      ["e340", "\u9246", 45, "\u9275", 16],
      ["e380", "\u9286", 7, "\u928F", 24, "\u606A\u607D\u6096\u609A\u60AD\u609D\u6083\u6092\u608C\u609B\u60EC\u60BB\u60B1\u60DD\u60D8\u60C6\u60DA\u60B4\u6120\u6126\u6115\u6123\u60F4\u6100\u610E\u612B\u614A\u6175\u61AC\u6194\u61A7\u61B7\u61D4\u61F5\u5FDD\u96B3\u95E9\u95EB\u95F1\u95F3\u95F5\u95F6\u95FC\u95FE\u9603\u9604\u9606\u9608\u960A\u960B\u960C\u960D\u960F\u9612\u9615\u9616\u9617\u9619\u961A\u4E2C\u723F\u6215\u6C35\u6C54\u6C5C\u6C4A\u6CA3\u6C85\u6C90\u6C94\u6C8C\u6C68\u6C69\u6C74\u6C76\u6C86\u6CA9\u6CD0\u6CD4\u6CAD\u6CF7\u6CF8\u6CF1\u6CD7\u6CB2\u6CE0\u6CD6\u6CFA\u6CEB\u6CEE\u6CB1\u6CD3\u6CEF\u6CFE"],
      ["e440", "\u92A8", 5, "\u92AF", 24, "\u92C9", 31],
      ["e480", "\u92E9", 32, "\u6D39\u6D27\u6D0C\u6D43\u6D48\u6D07\u6D04\u6D19\u6D0E\u6D2B\u6D4D\u6D2E\u6D35\u6D1A\u6D4F\u6D52\u6D54\u6D33\u6D91\u6D6F\u6D9E\u6DA0\u6D5E\u6D93\u6D94\u6D5C\u6D60\u6D7C\u6D63\u6E1A\u6DC7\u6DC5\u6DDE\u6E0E\u6DBF\u6DE0\u6E11\u6DE6\u6DDD\u6DD9\u6E16\u6DAB\u6E0C\u6DAE\u6E2B\u6E6E\u6E4E\u6E6B\u6EB2\u6E5F\u6E86\u6E53\u6E54\u6E32\u6E25\u6E44\u6EDF\u6EB1\u6E98\u6EE0\u6F2D\u6EE2\u6EA5\u6EA7\u6EBD\u6EBB\u6EB7\u6ED7\u6EB4\u6ECF\u6E8F\u6EC2\u6E9F\u6F62\u6F46\u6F47\u6F24\u6F15\u6EF9\u6F2F\u6F36\u6F4B\u6F74\u6F2A\u6F09\u6F29\u6F89\u6F8D\u6F8C\u6F78\u6F72\u6F7C\u6F7A\u6FD1"],
      ["e540", "\u930A", 51, "\u933F", 10],
      ["e580", "\u934A", 31, "\u936B\u6FC9\u6FA7\u6FB9\u6FB6\u6FC2\u6FE1\u6FEE\u6FDE\u6FE0\u6FEF\u701A\u7023\u701B\u7039\u7035\u704F\u705E\u5B80\u5B84\u5B95\u5B93\u5BA5\u5BB8\u752F\u9A9E\u6434\u5BE4\u5BEE\u8930\u5BF0\u8E47\u8B07\u8FB6\u8FD3\u8FD5\u8FE5\u8FEE\u8FE4\u8FE9\u8FE6\u8FF3\u8FE8\u9005\u9004\u900B\u9026\u9011\u900D\u9016\u9021\u9035\u9036\u902D\u902F\u9044\u9051\u9052\u9050\u9068\u9058\u9062\u905B\u66B9\u9074\u907D\u9082\u9088\u9083\u908B\u5F50\u5F57\u5F56\u5F58\u5C3B\u54AB\u5C50\u5C59\u5B71\u5C63\u5C66\u7FBC\u5F2A\u5F29\u5F2D\u8274\u5F3C\u9B3B\u5C6E\u5981\u5983\u598D\u59A9\u59AA\u59A3"],
      ["e640", "\u936C", 34, "\u9390", 27],
      ["e680", "\u93AC", 29, "\u93CB\u93CC\u93CD\u5997\u59CA\u59AB\u599E\u59A4\u59D2\u59B2\u59AF\u59D7\u59BE\u5A05\u5A06\u59DD\u5A08\u59E3\u59D8\u59F9\u5A0C\u5A09\u5A32\u5A34\u5A11\u5A23\u5A13\u5A40\u5A67\u5A4A\u5A55\u5A3C\u5A62\u5A75\u80EC\u5AAA\u5A9B\u5A77\u5A7A\u5ABE\u5AEB\u5AB2\u5AD2\u5AD4\u5AB8\u5AE0\u5AE3\u5AF1\u5AD6\u5AE6\u5AD8\u5ADC\u5B09\u5B17\u5B16\u5B32\u5B37\u5B40\u5C15\u5C1C\u5B5A\u5B65\u5B73\u5B51\u5B53\u5B62\u9A75\u9A77\u9A78\u9A7A\u9A7F\u9A7D\u9A80\u9A81\u9A85\u9A88\u9A8A\u9A90\u9A92\u9A93\u9A96\u9A98\u9A9B\u9A9C\u9A9D\u9A9F\u9AA0\u9AA2\u9AA3\u9AA5\u9AA7\u7E9F\u7EA1\u7EA3\u7EA5\u7EA8\u7EA9"],
      ["e740", "\u93CE", 7, "\u93D7", 54],
      ["e780", "\u940E", 32, "\u7EAD\u7EB0\u7EBE\u7EC0\u7EC1\u7EC2\u7EC9\u7ECB\u7ECC\u7ED0\u7ED4\u7ED7\u7EDB\u7EE0\u7EE1\u7EE8\u7EEB\u7EEE\u7EEF\u7EF1\u7EF2\u7F0D\u7EF6\u7EFA\u7EFB\u7EFE\u7F01\u7F02\u7F03\u7F07\u7F08\u7F0B\u7F0C\u7F0F\u7F11\u7F12\u7F17\u7F19\u7F1C\u7F1B\u7F1F\u7F21", 6, "\u7F2A\u7F2B\u7F2C\u7F2D\u7F2F", 4, "\u7F35\u5E7A\u757F\u5DDB\u753E\u9095\u738E\u7391\u73AE\u73A2\u739F\u73CF\u73C2\u73D1\u73B7\u73B3\u73C0\u73C9\u73C8\u73E5\u73D9\u987C\u740A\u73E9\u73E7\u73DE\u73BA\u73F2\u740F\u742A\u745B\u7426\u7425\u7428\u7430\u742E\u742C"],
      ["e840", "\u942F", 14, "\u943F", 43, "\u946C\u946D\u946E\u946F"],
      ["e880", "\u9470", 20, "\u9491\u9496\u9498\u94C7\u94CF\u94D3\u94D4\u94DA\u94E6\u94FB\u951C\u9520\u741B\u741A\u7441\u745C\u7457\u7455\u7459\u7477\u746D\u747E\u749C\u748E\u7480\u7481\u7487\u748B\u749E\u74A8\u74A9\u7490\u74A7\u74D2\u74BA\u97EA\u97EB\u97EC\u674C\u6753\u675E\u6748\u6769\u67A5\u6787\u676A\u6773\u6798\u67A7\u6775\u67A8\u679E\u67AD\u678B\u6777\u677C\u67F0\u6809\u67D8\u680A\u67E9\u67B0\u680C\u67D9\u67B5\u67DA\u67B3\u67DD\u6800\u67C3\u67B8\u67E2\u680E\u67C1\u67FD\u6832\u6833\u6860\u6861\u684E\u6862\u6844\u6864\u6883\u681D\u6855\u6866\u6841\u6867\u6840\u683E\u684A\u6849\u6829\u68B5\u688F\u6874\u6877\u6893\u686B\u68C2\u696E\u68FC\u691F\u6920\u68F9"],
      ["e940", "\u9527\u9533\u953D\u9543\u9548\u954B\u9555\u955A\u9560\u956E\u9574\u9575\u9577", 7, "\u9580", 42],
      ["e980", "\u95AB", 32, "\u6924\u68F0\u690B\u6901\u6957\u68E3\u6910\u6971\u6939\u6960\u6942\u695D\u6984\u696B\u6980\u6998\u6978\u6934\u69CC\u6987\u6988\u69CE\u6989\u6966\u6963\u6979\u699B\u69A7\u69BB\u69AB\u69AD\u69D4\u69B1\u69C1\u69CA\u69DF\u6995\u69E0\u698D\u69FF\u6A2F\u69ED\u6A17\u6A18\u6A65\u69F2\u6A44\u6A3E\u6AA0\u6A50\u6A5B\u6A35\u6A8E\u6A79\u6A3D\u6A28\u6A58\u6A7C\u6A91\u6A90\u6AA9\u6A97\u6AAB\u7337\u7352\u6B81\u6B82\u6B87\u6B84\u6B92\u6B93\u6B8D\u6B9A\u6B9B\u6BA1\u6BAA\u8F6B\u8F6D\u8F71\u8F72\u8F73\u8F75\u8F76\u8F78\u8F77\u8F79\u8F7A\u8F7C\u8F7E\u8F81\u8F82\u8F84\u8F87\u8F8B"],
      ["ea40", "\u95CC", 27, "\u95EC\u95FF\u9607\u9613\u9618\u961B\u961E\u9620\u9623", 6, "\u962B\u962C\u962D\u962F\u9630\u9637\u9638\u9639\u963A\u963E\u9641\u9643\u964A\u964E\u964F\u9651\u9652\u9653\u9656\u9657"],
      ["ea80", "\u9658\u9659\u965A\u965C\u965D\u965E\u9660\u9663\u9665\u9666\u966B\u966D", 4, "\u9673\u9678", 12, "\u9687\u9689\u968A\u8F8D\u8F8E\u8F8F\u8F98\u8F9A\u8ECE\u620B\u6217\u621B\u621F\u6222\u6221\u6225\u6224\u622C\u81E7\u74EF\u74F4\u74FF\u750F\u7511\u7513\u6534\u65EE\u65EF\u65F0\u660A\u6619\u6772\u6603\u6615\u6600\u7085\u66F7\u661D\u6634\u6631\u6636\u6635\u8006\u665F\u6654\u6641\u664F\u6656\u6661\u6657\u6677\u6684\u668C\u66A7\u669D\u66BE\u66DB\u66DC\u66E6\u66E9\u8D32\u8D33\u8D36\u8D3B\u8D3D\u8D40\u8D45\u8D46\u8D48\u8D49\u8D47\u8D4D\u8D55\u8D59\u89C7\u89CA\u89CB\u89CC\u89CE\u89CF\u89D0\u89D1\u726E\u729F\u725D\u7266\u726F\u727E\u727F\u7284\u728B\u728D\u728F\u7292\u6308\u6332\u63B0"],
      ["eb40", "\u968C\u968E\u9691\u9692\u9693\u9695\u9696\u969A\u969B\u969D", 9, "\u96A8", 7, "\u96B1\u96B2\u96B4\u96B5\u96B7\u96B8\u96BA\u96BB\u96BF\u96C2\u96C3\u96C8\u96CA\u96CB\u96D0\u96D1\u96D3\u96D4\u96D6", 9, "\u96E1", 6, "\u96EB"],
      ["eb80", "\u96EC\u96ED\u96EE\u96F0\u96F1\u96F2\u96F4\u96F5\u96F8\u96FA\u96FB\u96FC\u96FD\u96FF\u9702\u9703\u9705\u970A\u970B\u970C\u9710\u9711\u9712\u9714\u9715\u9717", 4, "\u971D\u971F\u9720\u643F\u64D8\u8004\u6BEA\u6BF3\u6BFD\u6BF5\u6BF9\u6C05\u6C07\u6C06\u6C0D\u6C15\u6C18\u6C19\u6C1A\u6C21\u6C29\u6C24\u6C2A\u6C32\u6535\u6555\u656B\u724D\u7252\u7256\u7230\u8662\u5216\u809F\u809C\u8093\u80BC\u670A\u80BD\u80B1\u80AB\u80AD\u80B4\u80B7\u80E7\u80E8\u80E9\u80EA\u80DB\u80C2\u80C4\u80D9\u80CD\u80D7\u6710\u80DD\u80EB\u80F1\u80F4\u80ED\u810D\u810E\u80F2\u80FC\u6715\u8112\u8C5A\u8136\u811E\u812C\u8118\u8132\u8148\u814C\u8153\u8174\u8159\u815A\u8171\u8160\u8169\u817C\u817D\u816D\u8167\u584D\u5AB5\u8188\u8182\u8191\u6ED5\u81A3\u81AA\u81CC\u6726\u81CA\u81BB"],
      ["ec40", "\u9721", 8, "\u972B\u972C\u972E\u972F\u9731\u9733", 4, "\u973A\u973B\u973C\u973D\u973F", 18, "\u9754\u9755\u9757\u9758\u975A\u975C\u975D\u975F\u9763\u9764\u9766\u9767\u9768\u976A", 7],
      ["ec80", "\u9772\u9775\u9777", 4, "\u977D", 7, "\u9786", 4, "\u978C\u978E\u978F\u9790\u9793\u9795\u9796\u9797\u9799", 4, "\u81C1\u81A6\u6B24\u6B37\u6B39\u6B43\u6B46\u6B59\u98D1\u98D2\u98D3\u98D5\u98D9\u98DA\u6BB3\u5F40\u6BC2\u89F3\u6590\u9F51\u6593\u65BC\u65C6\u65C4\u65C3\u65CC\u65CE\u65D2\u65D6\u7080\u709C\u7096\u709D\u70BB\u70C0\u70B7\u70AB\u70B1\u70E8\u70CA\u7110\u7113\u7116\u712F\u7131\u7173\u715C\u7168\u7145\u7172\u714A\u7178\u717A\u7198\u71B3\u71B5\u71A8\u71A0\u71E0\u71D4\u71E7\u71F9\u721D\u7228\u706C\u7118\u7166\u71B9\u623E\u623D\u6243\u6248\u6249\u793B\u7940\u7946\u7949\u795B\u795C\u7953\u795A\u7962\u7957\u7960\u796F\u7967\u797A\u7985\u798A\u799A\u79A7\u79B3\u5FD1\u5FD0"],
      ["ed40", "\u979E\u979F\u97A1\u97A2\u97A4", 6, "\u97AC\u97AE\u97B0\u97B1\u97B3\u97B5", 46],
      ["ed80", "\u97E4\u97E5\u97E8\u97EE", 4, "\u97F4\u97F7", 23, "\u603C\u605D\u605A\u6067\u6041\u6059\u6063\u60AB\u6106\u610D\u615D\u61A9\u619D\u61CB\u61D1\u6206\u8080\u807F\u6C93\u6CF6\u6DFC\u77F6\u77F8\u7800\u7809\u7817\u7818\u7811\u65AB\u782D\u781C\u781D\u7839\u783A\u783B\u781F\u783C\u7825\u782C\u7823\u7829\u784E\u786D\u7856\u7857\u7826\u7850\u7847\u784C\u786A\u789B\u7893\u789A\u7887\u789C\u78A1\u78A3\u78B2\u78B9\u78A5\u78D4\u78D9\u78C9\u78EC\u78F2\u7905\u78F4\u7913\u7924\u791E\u7934\u9F9B\u9EF9\u9EFB\u9EFC\u76F1\u7704\u770D\u76F9\u7707\u7708\u771A\u7722\u7719\u772D\u7726\u7735\u7738\u7750\u7751\u7747\u7743\u775A\u7768"],
      ["ee40", "\u980F", 62],
      ["ee80", "\u984E", 32, "\u7762\u7765\u777F\u778D\u777D\u7780\u778C\u7791\u779F\u77A0\u77B0\u77B5\u77BD\u753A\u7540\u754E\u754B\u7548\u755B\u7572\u7579\u7583\u7F58\u7F61\u7F5F\u8A48\u7F68\u7F74\u7F71\u7F79\u7F81\u7F7E\u76CD\u76E5\u8832\u9485\u9486\u9487\u948B\u948A\u948C\u948D\u948F\u9490\u9494\u9497\u9495\u949A\u949B\u949C\u94A3\u94A4\u94AB\u94AA\u94AD\u94AC\u94AF\u94B0\u94B2\u94B4\u94B6", 4, "\u94BC\u94BD\u94BF\u94C4\u94C8", 6, "\u94D0\u94D1\u94D2\u94D5\u94D6\u94D7\u94D9\u94D8\u94DB\u94DE\u94DF\u94E0\u94E2\u94E4\u94E5\u94E7\u94E8\u94EA"],
      ["ef40", "\u986F", 5, "\u988B\u988E\u9892\u9895\u9899\u98A3\u98A8", 37, "\u98CF\u98D0\u98D4\u98D6\u98D7\u98DB\u98DC\u98DD\u98E0", 4],
      ["ef80", "\u98E5\u98E6\u98E9", 30, "\u94E9\u94EB\u94EE\u94EF\u94F3\u94F4\u94F5\u94F7\u94F9\u94FC\u94FD\u94FF\u9503\u9502\u9506\u9507\u9509\u950A\u950D\u950E\u950F\u9512", 4, "\u9518\u951B\u951D\u951E\u951F\u9522\u952A\u952B\u9529\u952C\u9531\u9532\u9534\u9536\u9537\u9538\u953C\u953E\u953F\u9542\u9535\u9544\u9545\u9546\u9549\u954C\u954E\u954F\u9552\u9553\u9554\u9556\u9557\u9558\u9559\u955B\u955E\u955F\u955D\u9561\u9562\u9564", 8, "\u956F\u9571\u9572\u9573\u953A\u77E7\u77EC\u96C9\u79D5\u79ED\u79E3\u79EB\u7A06\u5D47\u7A03\u7A02\u7A1E\u7A14"],
      ["f040", "\u9908", 4, "\u990E\u990F\u9911", 28, "\u992F", 26],
      ["f080", "\u994A", 9, "\u9956", 12, "\u9964\u9966\u9973\u9978\u9979\u997B\u997E\u9982\u9983\u9989\u7A39\u7A37\u7A51\u9ECF\u99A5\u7A70\u7688\u768E\u7693\u7699\u76A4\u74DE\u74E0\u752C\u9E20\u9E22\u9E28", 4, "\u9E32\u9E31\u9E36\u9E38\u9E37\u9E39\u9E3A\u9E3E\u9E41\u9E42\u9E44\u9E46\u9E47\u9E48\u9E49\u9E4B\u9E4C\u9E4E\u9E51\u9E55\u9E57\u9E5A\u9E5B\u9E5C\u9E5E\u9E63\u9E66", 6, "\u9E71\u9E6D\u9E73\u7592\u7594\u7596\u75A0\u759D\u75AC\u75A3\u75B3\u75B4\u75B8\u75C4\u75B1\u75B0\u75C3\u75C2\u75D6\u75CD\u75E3\u75E8\u75E6\u75E4\u75EB\u75E7\u7603\u75F1\u75FC\u75FF\u7610\u7600\u7605\u760C\u7617\u760A\u7625\u7618\u7615\u7619"],
      ["f140", "\u998C\u998E\u999A", 10, "\u99A6\u99A7\u99A9", 47],
      ["f180", "\u99D9", 32, "\u761B\u763C\u7622\u7620\u7640\u762D\u7630\u763F\u7635\u7643\u763E\u7633\u764D\u765E\u7654\u765C\u7656\u766B\u766F\u7FCA\u7AE6\u7A78\u7A79\u7A80\u7A86\u7A88\u7A95\u7AA6\u7AA0\u7AAC\u7AA8\u7AAD\u7AB3\u8864\u8869\u8872\u887D\u887F\u8882\u88A2\u88C6\u88B7\u88BC\u88C9\u88E2\u88CE\u88E3\u88E5\u88F1\u891A\u88FC\u88E8\u88FE\u88F0\u8921\u8919\u8913\u891B\u890A\u8934\u892B\u8936\u8941\u8966\u897B\u758B\u80E5\u76B2\u76B4\u77DC\u8012\u8014\u8016\u801C\u8020\u8022\u8025\u8026\u8027\u8029\u8028\u8031\u800B\u8035\u8043\u8046\u804D\u8052\u8069\u8071\u8983\u9878\u9880\u9883"],
      ["f240", "\u99FA", 62],
      ["f280", "\u9A39", 32, "\u9889\u988C\u988D\u988F\u9894\u989A\u989B\u989E\u989F\u98A1\u98A2\u98A5\u98A6\u864D\u8654\u866C\u866E\u867F\u867A\u867C\u867B\u86A8\u868D\u868B\u86AC\u869D\u86A7\u86A3\u86AA\u8693\u86A9\u86B6\u86C4\u86B5\u86CE\u86B0\u86BA\u86B1\u86AF\u86C9\u86CF\u86B4\u86E9\u86F1\u86F2\u86ED\u86F3\u86D0\u8713\u86DE\u86F4\u86DF\u86D8\u86D1\u8703\u8707\u86F8\u8708\u870A\u870D\u8709\u8723\u873B\u871E\u8725\u872E\u871A\u873E\u8748\u8734\u8731\u8729\u8737\u873F\u8782\u8722\u877D\u877E\u877B\u8760\u8770\u874C\u876E\u878B\u8753\u8763\u877C\u8764\u8759\u8765\u8793\u87AF\u87A8\u87D2"],
      ["f340", "\u9A5A", 17, "\u9A72\u9A83\u9A89\u9A8D\u9A8E\u9A94\u9A95\u9A99\u9AA6\u9AA9", 6, "\u9AB2\u9AB3\u9AB4\u9AB5\u9AB9\u9ABB\u9ABD\u9ABE\u9ABF\u9AC3\u9AC4\u9AC6", 4, "\u9ACD\u9ACE\u9ACF\u9AD0\u9AD2\u9AD4\u9AD5\u9AD6\u9AD7\u9AD9\u9ADA\u9ADB\u9ADC"],
      ["f380", "\u9ADD\u9ADE\u9AE0\u9AE2\u9AE3\u9AE4\u9AE5\u9AE7\u9AE8\u9AE9\u9AEA\u9AEC\u9AEE\u9AF0", 8, "\u9AFA\u9AFC", 6, "\u9B04\u9B05\u9B06\u87C6\u8788\u8785\u87AD\u8797\u8783\u87AB\u87E5\u87AC\u87B5\u87B3\u87CB\u87D3\u87BD\u87D1\u87C0\u87CA\u87DB\u87EA\u87E0\u87EE\u8816\u8813\u87FE\u880A\u881B\u8821\u8839\u883C\u7F36\u7F42\u7F44\u7F45\u8210\u7AFA\u7AFD\u7B08\u7B03\u7B04\u7B15\u7B0A\u7B2B\u7B0F\u7B47\u7B38\u7B2A\u7B19\u7B2E\u7B31\u7B20\u7B25\u7B24\u7B33\u7B3E\u7B1E\u7B58\u7B5A\u7B45\u7B75\u7B4C\u7B5D\u7B60\u7B6E\u7B7B\u7B62\u7B72\u7B71\u7B90\u7BA6\u7BA7\u7BB8\u7BAC\u7B9D\u7BA8\u7B85\u7BAA\u7B9C\u7BA2\u7BAB\u7BB4\u7BD1\u7BC1\u7BCC\u7BDD\u7BDA\u7BE5\u7BE6\u7BEA\u7C0C\u7BFE\u7BFC\u7C0F\u7C16\u7C0B"],
      ["f440", "\u9B07\u9B09", 5, "\u9B10\u9B11\u9B12\u9B14", 10, "\u9B20\u9B21\u9B22\u9B24", 10, "\u9B30\u9B31\u9B33", 7, "\u9B3D\u9B3E\u9B3F\u9B40\u9B46\u9B4A\u9B4B\u9B4C\u9B4E\u9B50\u9B52\u9B53\u9B55", 5],
      ["f480", "\u9B5B", 32, "\u7C1F\u7C2A\u7C26\u7C38\u7C41\u7C40\u81FE\u8201\u8202\u8204\u81EC\u8844\u8221\u8222\u8223\u822D\u822F\u8228\u822B\u8238\u823B\u8233\u8234\u823E\u8244\u8249\u824B\u824F\u825A\u825F\u8268\u887E\u8885\u8888\u88D8\u88DF\u895E\u7F9D\u7F9F\u7FA7\u7FAF\u7FB0\u7FB2\u7C7C\u6549\u7C91\u7C9D\u7C9C\u7C9E\u7CA2\u7CB2\u7CBC\u7CBD\u7CC1\u7CC7\u7CCC\u7CCD\u7CC8\u7CC5\u7CD7\u7CE8\u826E\u66A8\u7FBF\u7FCE\u7FD5\u7FE5\u7FE1\u7FE6\u7FE9\u7FEE\u7FF3\u7CF8\u7D77\u7DA6\u7DAE\u7E47\u7E9B\u9EB8\u9EB4\u8D73\u8D84\u8D94\u8D91\u8DB1\u8D67\u8D6D\u8C47\u8C49\u914A\u9150\u914E\u914F\u9164"],
      ["f540", "\u9B7C", 62],
      ["f580", "\u9BBB", 32, "\u9162\u9161\u9170\u9169\u916F\u917D\u917E\u9172\u9174\u9179\u918C\u9185\u9190\u918D\u9191\u91A2\u91A3\u91AA\u91AD\u91AE\u91AF\u91B5\u91B4\u91BA\u8C55\u9E7E\u8DB8\u8DEB\u8E05\u8E59\u8E69\u8DB5\u8DBF\u8DBC\u8DBA\u8DC4\u8DD6\u8DD7\u8DDA\u8DDE\u8DCE\u8DCF\u8DDB\u8DC6\u8DEC\u8DF7\u8DF8\u8DE3\u8DF9\u8DFB\u8DE4\u8E09\u8DFD\u8E14\u8E1D\u8E1F\u8E2C\u8E2E\u8E23\u8E2F\u8E3A\u8E40\u8E39\u8E35\u8E3D\u8E31\u8E49\u8E41\u8E42\u8E51\u8E52\u8E4A\u8E70\u8E76\u8E7C\u8E6F\u8E74\u8E85\u8E8F\u8E94\u8E90\u8E9C\u8E9E\u8C78\u8C82\u8C8A\u8C85\u8C98\u8C94\u659B\u89D6\u89DE\u89DA\u89DC"],
      ["f640", "\u9BDC", 62],
      ["f680", "\u9C1B", 32, "\u89E5\u89EB\u89EF\u8A3E\u8B26\u9753\u96E9\u96F3\u96EF\u9706\u9701\u9708\u970F\u970E\u972A\u972D\u9730\u973E\u9F80\u9F83\u9F85", 5, "\u9F8C\u9EFE\u9F0B\u9F0D\u96B9\u96BC\u96BD\u96CE\u96D2\u77BF\u96E0\u928E\u92AE\u92C8\u933E\u936A\u93CA\u938F\u943E\u946B\u9C7F\u9C82\u9C85\u9C86\u9C87\u9C88\u7A23\u9C8B\u9C8E\u9C90\u9C91\u9C92\u9C94\u9C95\u9C9A\u9C9B\u9C9E", 5, "\u9CA5", 4, "\u9CAB\u9CAD\u9CAE\u9CB0", 7, "\u9CBA\u9CBB\u9CBC\u9CBD\u9CC4\u9CC5\u9CC6\u9CC7\u9CCA\u9CCB"],
      ["f740", "\u9C3C", 62],
      ["f780", "\u9C7B\u9C7D\u9C7E\u9C80\u9C83\u9C84\u9C89\u9C8A\u9C8C\u9C8F\u9C93\u9C96\u9C97\u9C98\u9C99\u9C9D\u9CAA\u9CAC\u9CAF\u9CB9\u9CBE", 4, "\u9CC8\u9CC9\u9CD1\u9CD2\u9CDA\u9CDB\u9CE0\u9CE1\u9CCC", 4, "\u9CD3\u9CD4\u9CD5\u9CD7\u9CD8\u9CD9\u9CDC\u9CDD\u9CDF\u9CE2\u977C\u9785\u9791\u9792\u9794\u97AF\u97AB\u97A3\u97B2\u97B4\u9AB1\u9AB0\u9AB7\u9E58\u9AB6\u9ABA\u9ABC\u9AC1\u9AC0\u9AC5\u9AC2\u9ACB\u9ACC\u9AD1\u9B45\u9B43\u9B47\u9B49\u9B48\u9B4D\u9B51\u98E8\u990D\u992E\u9955\u9954\u9ADF\u9AE1\u9AE6\u9AEF\u9AEB\u9AFB\u9AED\u9AF9\u9B08\u9B0F\u9B13\u9B1F\u9B23\u9EBD\u9EBE\u7E3B\u9E82\u9E87\u9E88\u9E8B\u9E92\u93D6\u9E9D\u9E9F\u9EDB\u9EDC\u9EDD\u9EE0\u9EDF\u9EE2\u9EE9\u9EE7\u9EE5\u9EEA\u9EEF\u9F22\u9F2C\u9F2F\u9F39\u9F37\u9F3D\u9F3E\u9F44"],
      ["f840", "\u9CE3", 62],
      ["f880", "\u9D22", 32],
      ["f940", "\u9D43", 62],
      ["f980", "\u9D82", 32],
      ["fa40", "\u9DA3", 62],
      ["fa80", "\u9DE2", 32],
      ["fb40", "\u9E03", 27, "\u9E24\u9E27\u9E2E\u9E30\u9E34\u9E3B\u9E3C\u9E40\u9E4D\u9E50\u9E52\u9E53\u9E54\u9E56\u9E59\u9E5D\u9E5F\u9E60\u9E61\u9E62\u9E65\u9E6E\u9E6F\u9E72\u9E74", 9, "\u9E80"],
      ["fb80", "\u9E81\u9E83\u9E84\u9E85\u9E86\u9E89\u9E8A\u9E8C", 5, "\u9E94", 8, "\u9E9E\u9EA0", 5, "\u9EA7\u9EA8\u9EA9\u9EAA"],
      ["fc40", "\u9EAB", 8, "\u9EB5\u9EB6\u9EB7\u9EB9\u9EBA\u9EBC\u9EBF", 4, "\u9EC5\u9EC6\u9EC7\u9EC8\u9ECA\u9ECB\u9ECC\u9ED0\u9ED2\u9ED3\u9ED5\u9ED6\u9ED7\u9ED9\u9EDA\u9EDE\u9EE1\u9EE3\u9EE4\u9EE6\u9EE8\u9EEB\u9EEC\u9EED\u9EEE\u9EF0", 8, "\u9EFA\u9EFD\u9EFF", 6],
      ["fc80", "\u9F06", 4, "\u9F0C\u9F0F\u9F11\u9F12\u9F14\u9F15\u9F16\u9F18\u9F1A", 5, "\u9F21\u9F23", 8, "\u9F2D\u9F2E\u9F30\u9F31"],
      ["fd40", "\u9F32", 4, "\u9F38\u9F3A\u9F3C\u9F3F", 4, "\u9F45", 10, "\u9F52", 38],
      ["fd80", "\u9F79", 5, "\u9F81\u9F82\u9F8D", 11, "\u9F9C\u9F9D\u9F9E\u9FA1", 4, "\uF92C\uF979\uF995\uF9E7\uF9F1"],
      ["fe40", "\uFA0C\uFA0D\uFA0E\uFA0F\uFA11\uFA13\uFA14\uFA18\uFA1F\uFA20\uFA21\uFA23\uFA24\uFA27\uFA28\uFA29"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/gbk-added.json
var require_gbk_added = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/gbk-added.json"(exports2, module2) {
    module2.exports = [
      ["a140", "\uE4C6", 62],
      ["a180", "\uE505", 32],
      ["a240", "\uE526", 62],
      ["a280", "\uE565", 32],
      ["a2ab", "\uE766", 5],
      ["a2e3", "\u20AC\uE76D"],
      ["a2ef", "\uE76E\uE76F"],
      ["a2fd", "\uE770\uE771"],
      ["a340", "\uE586", 62],
      ["a380", "\uE5C5", 31, "\u3000"],
      ["a440", "\uE5E6", 62],
      ["a480", "\uE625", 32],
      ["a4f4", "\uE772", 10],
      ["a540", "\uE646", 62],
      ["a580", "\uE685", 32],
      ["a5f7", "\uE77D", 7],
      ["a640", "\uE6A6", 62],
      ["a680", "\uE6E5", 32],
      ["a6b9", "\uE785", 7],
      ["a6d9", "\uE78D", 6],
      ["a6ec", "\uE794\uE795"],
      ["a6f3", "\uE796"],
      ["a6f6", "\uE797", 8],
      ["a740", "\uE706", 62],
      ["a780", "\uE745", 32],
      ["a7c2", "\uE7A0", 14],
      ["a7f2", "\uE7AF", 12],
      ["a896", "\uE7BC", 10],
      ["a8bc", "\u1E3F"],
      ["a8bf", "\u01F9"],
      ["a8c1", "\uE7C9\uE7CA\uE7CB\uE7CC"],
      ["a8ea", "\uE7CD", 20],
      ["a958", "\uE7E2"],
      ["a95b", "\uE7E3"],
      ["a95d", "\uE7E4\uE7E5\uE7E6"],
      ["a989", "\u303E\u2FF0", 11],
      ["a997", "\uE7F4", 12],
      ["a9f0", "\uE801", 14],
      ["aaa1", "\uE000", 93],
      ["aba1", "\uE05E", 93],
      ["aca1", "\uE0BC", 93],
      ["ada1", "\uE11A", 93],
      ["aea1", "\uE178", 93],
      ["afa1", "\uE1D6", 93],
      ["d7fa", "\uE810", 4],
      ["f8a1", "\uE234", 93],
      ["f9a1", "\uE292", 93],
      ["faa1", "\uE2F0", 93],
      ["fba1", "\uE34E", 93],
      ["fca1", "\uE3AC", 93],
      ["fda1", "\uE40A", 93],
      ["fe50", "\u2E81\uE816\uE817\uE818\u2E84\u3473\u3447\u2E88\u2E8B\uE81E\u359E\u361A\u360E\u2E8C\u2E97\u396E\u3918\uE826\u39CF\u39DF\u3A73\u39D0\uE82B\uE82C\u3B4E\u3C6E\u3CE0\u2EA7\uE831\uE832\u2EAA\u4056\u415F\u2EAE\u4337\u2EB3\u2EB6\u2EB7\uE83B\u43B1\u43AC\u2EBB\u43DD\u44D6\u4661\u464C\uE843"],
      ["fe80", "\u4723\u4729\u477C\u478D\u2ECA\u4947\u497A\u497D\u4982\u4983\u4985\u4986\u499F\u499B\u49B7\u49B6\uE854\uE855\u4CA3\u4C9F\u4CA0\u4CA1\u4C77\u4CA2\u4D13", 6, "\u4DAE\uE864\uE468", 93],
      ["8135f437", "\uE7C7"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/gb18030-ranges.json
var require_gb18030_ranges = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/gb18030-ranges.json"(exports2, module2) {
    module2.exports = { uChars: [128, 165, 169, 178, 184, 216, 226, 235, 238, 244, 248, 251, 253, 258, 276, 284, 300, 325, 329, 334, 364, 463, 465, 467, 469, 471, 473, 475, 477, 506, 594, 610, 712, 716, 730, 930, 938, 962, 970, 1026, 1104, 1106, 8209, 8215, 8218, 8222, 8231, 8241, 8244, 8246, 8252, 8365, 8452, 8454, 8458, 8471, 8482, 8556, 8570, 8596, 8602, 8713, 8720, 8722, 8726, 8731, 8737, 8740, 8742, 8748, 8751, 8760, 8766, 8777, 8781, 8787, 8802, 8808, 8816, 8854, 8858, 8870, 8896, 8979, 9322, 9372, 9548, 9588, 9616, 9622, 9634, 9652, 9662, 9672, 9676, 9680, 9702, 9735, 9738, 9793, 9795, 11906, 11909, 11913, 11917, 11928, 11944, 11947, 11951, 11956, 11960, 11964, 11979, 12284, 12292, 12312, 12319, 12330, 12351, 12436, 12447, 12535, 12543, 12586, 12842, 12850, 12964, 13200, 13215, 13218, 13253, 13263, 13267, 13270, 13384, 13428, 13727, 13839, 13851, 14617, 14703, 14801, 14816, 14964, 15183, 15471, 15585, 16471, 16736, 17208, 17325, 17330, 17374, 17623, 17997, 18018, 18212, 18218, 18301, 18318, 18760, 18811, 18814, 18820, 18823, 18844, 18848, 18872, 19576, 19620, 19738, 19887, 40870, 59244, 59336, 59367, 59413, 59417, 59423, 59431, 59437, 59443, 59452, 59460, 59478, 59493, 63789, 63866, 63894, 63976, 63986, 64016, 64018, 64021, 64025, 64034, 64037, 64042, 65074, 65093, 65107, 65112, 65127, 65132, 65375, 65510, 65536], gbChars: [0, 36, 38, 45, 50, 81, 89, 95, 96, 100, 103, 104, 105, 109, 126, 133, 148, 172, 175, 179, 208, 306, 307, 308, 309, 310, 311, 312, 313, 341, 428, 443, 544, 545, 558, 741, 742, 749, 750, 805, 819, 820, 7922, 7924, 7925, 7927, 7934, 7943, 7944, 7945, 7950, 8062, 8148, 8149, 8152, 8164, 8174, 8236, 8240, 8262, 8264, 8374, 8380, 8381, 8384, 8388, 8390, 8392, 8393, 8394, 8396, 8401, 8406, 8416, 8419, 8424, 8437, 8439, 8445, 8482, 8485, 8496, 8521, 8603, 8936, 8946, 9046, 9050, 9063, 9066, 9076, 9092, 9100, 9108, 9111, 9113, 9131, 9162, 9164, 9218, 9219, 11329, 11331, 11334, 11336, 11346, 11361, 11363, 11366, 11370, 11372, 11375, 11389, 11682, 11686, 11687, 11692, 11694, 11714, 11716, 11723, 11725, 11730, 11736, 11982, 11989, 12102, 12336, 12348, 12350, 12384, 12393, 12395, 12397, 12510, 12553, 12851, 12962, 12973, 13738, 13823, 13919, 13933, 14080, 14298, 14585, 14698, 15583, 15847, 16318, 16434, 16438, 16481, 16729, 17102, 17122, 17315, 17320, 17402, 17418, 17859, 17909, 17911, 17915, 17916, 17936, 17939, 17961, 18664, 18703, 18814, 18962, 19043, 33469, 33470, 33471, 33484, 33485, 33490, 33497, 33501, 33505, 33513, 33520, 33536, 33550, 37845, 37921, 37948, 38029, 38038, 38064, 38065, 38066, 38069, 38075, 38076, 38078, 39108, 39109, 39113, 39114, 39115, 39116, 39265, 39394, 189e3] };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/cp949.json
var require_cp949 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/cp949.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["8141", "\uAC02\uAC03\uAC05\uAC06\uAC0B", 4, "\uAC18\uAC1E\uAC1F\uAC21\uAC22\uAC23\uAC25", 6, "\uAC2E\uAC32\uAC33\uAC34"],
      ["8161", "\uAC35\uAC36\uAC37\uAC3A\uAC3B\uAC3D\uAC3E\uAC3F\uAC41", 9, "\uAC4C\uAC4E", 5, "\uAC55"],
      ["8181", "\uAC56\uAC57\uAC59\uAC5A\uAC5B\uAC5D", 18, "\uAC72\uAC73\uAC75\uAC76\uAC79\uAC7B", 4, "\uAC82\uAC87\uAC88\uAC8D\uAC8E\uAC8F\uAC91\uAC92\uAC93\uAC95", 6, "\uAC9E\uACA2", 5, "\uACAB\uACAD\uACAE\uACB1", 6, "\uACBA\uACBE\uACBF\uACC0\uACC2\uACC3\uACC5\uACC6\uACC7\uACC9\uACCA\uACCB\uACCD", 7, "\uACD6\uACD8", 7, "\uACE2\uACE3\uACE5\uACE6\uACE9\uACEB\uACED\uACEE\uACF2\uACF4\uACF7", 4, "\uACFE\uACFF\uAD01\uAD02\uAD03\uAD05\uAD07", 4, "\uAD0E\uAD10\uAD12\uAD13"],
      ["8241", "\uAD14\uAD15\uAD16\uAD17\uAD19\uAD1A\uAD1B\uAD1D\uAD1E\uAD1F\uAD21", 7, "\uAD2A\uAD2B\uAD2E", 5],
      ["8261", "\uAD36\uAD37\uAD39\uAD3A\uAD3B\uAD3D", 6, "\uAD46\uAD48\uAD4A", 5, "\uAD51\uAD52\uAD53\uAD55\uAD56\uAD57"],
      ["8281", "\uAD59", 7, "\uAD62\uAD64", 7, "\uAD6E\uAD6F\uAD71\uAD72\uAD77\uAD78\uAD79\uAD7A\uAD7E\uAD80\uAD83", 4, "\uAD8A\uAD8B\uAD8D\uAD8E\uAD8F\uAD91", 10, "\uAD9E", 5, "\uADA5", 17, "\uADB8", 7, "\uADC2\uADC3\uADC5\uADC6\uADC7\uADC9", 6, "\uADD2\uADD4", 7, "\uADDD\uADDE\uADDF\uADE1\uADE2\uADE3\uADE5", 18],
      ["8341", "\uADFA\uADFB\uADFD\uADFE\uAE02", 5, "\uAE0A\uAE0C\uAE0E", 5, "\uAE15", 7],
      ["8361", "\uAE1D", 18, "\uAE32\uAE33\uAE35\uAE36\uAE39\uAE3B\uAE3C"],
      ["8381", "\uAE3D\uAE3E\uAE3F\uAE42\uAE44\uAE47\uAE48\uAE49\uAE4B\uAE4F\uAE51\uAE52\uAE53\uAE55\uAE57", 4, "\uAE5E\uAE62\uAE63\uAE64\uAE66\uAE67\uAE6A\uAE6B\uAE6D\uAE6E\uAE6F\uAE71", 6, "\uAE7A\uAE7E", 5, "\uAE86", 5, "\uAE8D", 46, "\uAEBF\uAEC1\uAEC2\uAEC3\uAEC5", 6, "\uAECE\uAED2", 5, "\uAEDA\uAEDB\uAEDD", 8],
      ["8441", "\uAEE6\uAEE7\uAEE9\uAEEA\uAEEC\uAEEE", 5, "\uAEF5\uAEF6\uAEF7\uAEF9\uAEFA\uAEFB\uAEFD", 8],
      ["8461", "\uAF06\uAF09\uAF0A\uAF0B\uAF0C\uAF0E\uAF0F\uAF11", 18],
      ["8481", "\uAF24", 7, "\uAF2E\uAF2F\uAF31\uAF33\uAF35", 6, "\uAF3E\uAF40\uAF44\uAF45\uAF46\uAF47\uAF4A", 5, "\uAF51", 10, "\uAF5E", 5, "\uAF66", 18, "\uAF7A", 5, "\uAF81\uAF82\uAF83\uAF85\uAF86\uAF87\uAF89", 6, "\uAF92\uAF93\uAF94\uAF96", 5, "\uAF9D", 26, "\uAFBA\uAFBB\uAFBD\uAFBE"],
      ["8541", "\uAFBF\uAFC1", 5, "\uAFCA\uAFCC\uAFCF", 4, "\uAFD5", 6, "\uAFDD", 4],
      ["8561", "\uAFE2", 5, "\uAFEA", 5, "\uAFF2\uAFF3\uAFF5\uAFF6\uAFF7\uAFF9", 6, "\uB002\uB003"],
      ["8581", "\uB005", 6, "\uB00D\uB00E\uB00F\uB011\uB012\uB013\uB015", 6, "\uB01E", 9, "\uB029", 26, "\uB046\uB047\uB049\uB04B\uB04D\uB04F\uB050\uB051\uB052\uB056\uB058\uB05A\uB05B\uB05C\uB05E", 29, "\uB07E\uB07F\uB081\uB082\uB083\uB085", 6, "\uB08E\uB090\uB092", 5, "\uB09B\uB09D\uB09E\uB0A3\uB0A4"],
      ["8641", "\uB0A5\uB0A6\uB0A7\uB0AA\uB0B0\uB0B2\uB0B6\uB0B7\uB0B9\uB0BA\uB0BB\uB0BD", 6, "\uB0C6\uB0CA", 5, "\uB0D2"],
      ["8661", "\uB0D3\uB0D5\uB0D6\uB0D7\uB0D9", 6, "\uB0E1\uB0E2\uB0E3\uB0E4\uB0E6", 10],
      ["8681", "\uB0F1", 22, "\uB10A\uB10D\uB10E\uB10F\uB111\uB114\uB115\uB116\uB117\uB11A\uB11E", 4, "\uB126\uB127\uB129\uB12A\uB12B\uB12D", 6, "\uB136\uB13A", 5, "\uB142\uB143\uB145\uB146\uB147\uB149", 6, "\uB152\uB153\uB156\uB157\uB159\uB15A\uB15B\uB15D\uB15E\uB15F\uB161", 22, "\uB17A\uB17B\uB17D\uB17E\uB17F\uB181\uB183", 4, "\uB18A\uB18C\uB18E\uB18F\uB190\uB191\uB195\uB196\uB197\uB199\uB19A\uB19B\uB19D"],
      ["8741", "\uB19E", 9, "\uB1A9", 15],
      ["8761", "\uB1B9", 18, "\uB1CD\uB1CE\uB1CF\uB1D1\uB1D2\uB1D3\uB1D5"],
      ["8781", "\uB1D6", 5, "\uB1DE\uB1E0", 7, "\uB1EA\uB1EB\uB1ED\uB1EE\uB1EF\uB1F1", 7, "\uB1FA\uB1FC\uB1FE", 5, "\uB206\uB207\uB209\uB20A\uB20D", 6, "\uB216\uB218\uB21A", 5, "\uB221", 18, "\uB235", 6, "\uB23D", 26, "\uB259\uB25A\uB25B\uB25D\uB25E\uB25F\uB261", 6, "\uB26A", 4],
      ["8841", "\uB26F", 4, "\uB276", 5, "\uB27D", 6, "\uB286\uB287\uB288\uB28A", 4],
      ["8861", "\uB28F\uB292\uB293\uB295\uB296\uB297\uB29B", 4, "\uB2A2\uB2A4\uB2A7\uB2A8\uB2A9\uB2AB\uB2AD\uB2AE\uB2AF\uB2B1\uB2B2\uB2B3\uB2B5\uB2B6\uB2B7"],
      ["8881", "\uB2B8", 15, "\uB2CA\uB2CB\uB2CD\uB2CE\uB2CF\uB2D1\uB2D3", 4, "\uB2DA\uB2DC\uB2DE\uB2DF\uB2E0\uB2E1\uB2E3\uB2E7\uB2E9\uB2EA\uB2F0\uB2F1\uB2F2\uB2F6\uB2FC\uB2FD\uB2FE\uB302\uB303\uB305\uB306\uB307\uB309", 6, "\uB312\uB316", 5, "\uB31D", 54, "\uB357\uB359\uB35A\uB35D\uB360\uB361\uB362\uB363"],
      ["8941", "\uB366\uB368\uB36A\uB36C\uB36D\uB36F\uB372\uB373\uB375\uB376\uB377\uB379", 6, "\uB382\uB386", 5, "\uB38D"],
      ["8961", "\uB38E\uB38F\uB391\uB392\uB393\uB395", 10, "\uB3A2", 5, "\uB3A9\uB3AA\uB3AB\uB3AD"],
      ["8981", "\uB3AE", 21, "\uB3C6\uB3C7\uB3C9\uB3CA\uB3CD\uB3CF\uB3D1\uB3D2\uB3D3\uB3D6\uB3D8\uB3DA\uB3DC\uB3DE\uB3DF\uB3E1\uB3E2\uB3E3\uB3E5\uB3E6\uB3E7\uB3E9", 18, "\uB3FD", 18, "\uB411", 6, "\uB419\uB41A\uB41B\uB41D\uB41E\uB41F\uB421", 6, "\uB42A\uB42C", 7, "\uB435", 15],
      ["8a41", "\uB445", 10, "\uB452\uB453\uB455\uB456\uB457\uB459", 6, "\uB462\uB464\uB466"],
      ["8a61", "\uB467", 4, "\uB46D", 18, "\uB481\uB482"],
      ["8a81", "\uB483", 4, "\uB489", 19, "\uB49E", 5, "\uB4A5\uB4A6\uB4A7\uB4A9\uB4AA\uB4AB\uB4AD", 7, "\uB4B6\uB4B8\uB4BA", 5, "\uB4C1\uB4C2\uB4C3\uB4C5\uB4C6\uB4C7\uB4C9", 6, "\uB4D1\uB4D2\uB4D3\uB4D4\uB4D6", 5, "\uB4DE\uB4DF\uB4E1\uB4E2\uB4E5\uB4E7", 4, "\uB4EE\uB4F0\uB4F2", 5, "\uB4F9", 26, "\uB516\uB517\uB519\uB51A\uB51D"],
      ["8b41", "\uB51E", 5, "\uB526\uB52B", 4, "\uB532\uB533\uB535\uB536\uB537\uB539", 6, "\uB542\uB546"],
      ["8b61", "\uB547\uB548\uB549\uB54A\uB54E\uB54F\uB551\uB552\uB553\uB555", 6, "\uB55E\uB562", 8],
      ["8b81", "\uB56B", 52, "\uB5A2\uB5A3\uB5A5\uB5A6\uB5A7\uB5A9\uB5AC\uB5AD\uB5AE\uB5AF\uB5B2\uB5B6", 4, "\uB5BE\uB5BF\uB5C1\uB5C2\uB5C3\uB5C5", 6, "\uB5CE\uB5D2", 5, "\uB5D9", 18, "\uB5ED", 18],
      ["8c41", "\uB600", 15, "\uB612\uB613\uB615\uB616\uB617\uB619", 4],
      ["8c61", "\uB61E", 6, "\uB626", 5, "\uB62D", 6, "\uB635", 5],
      ["8c81", "\uB63B", 12, "\uB649", 26, "\uB665\uB666\uB667\uB669", 50, "\uB69E\uB69F\uB6A1\uB6A2\uB6A3\uB6A5", 5, "\uB6AD\uB6AE\uB6AF\uB6B0\uB6B2", 16],
      ["8d41", "\uB6C3", 16, "\uB6D5", 8],
      ["8d61", "\uB6DE", 17, "\uB6F1\uB6F2\uB6F3\uB6F5\uB6F6\uB6F7\uB6F9\uB6FA"],
      ["8d81", "\uB6FB", 4, "\uB702\uB703\uB704\uB706", 33, "\uB72A\uB72B\uB72D\uB72E\uB731", 6, "\uB73A\uB73C", 7, "\uB745\uB746\uB747\uB749\uB74A\uB74B\uB74D", 6, "\uB756", 9, "\uB761\uB762\uB763\uB765\uB766\uB767\uB769", 6, "\uB772\uB774\uB776", 5, "\uB77E\uB77F\uB781\uB782\uB783\uB785", 6, "\uB78E\uB793\uB794\uB795\uB79A\uB79B\uB79D\uB79E"],
      ["8e41", "\uB79F\uB7A1", 6, "\uB7AA\uB7AE", 5, "\uB7B6\uB7B7\uB7B9", 8],
      ["8e61", "\uB7C2", 4, "\uB7C8\uB7CA", 19],
      ["8e81", "\uB7DE", 13, "\uB7EE\uB7EF\uB7F1\uB7F2\uB7F3\uB7F5", 6, "\uB7FE\uB802", 4, "\uB80A\uB80B\uB80D\uB80E\uB80F\uB811", 6, "\uB81A\uB81C\uB81E", 5, "\uB826\uB827\uB829\uB82A\uB82B\uB82D", 6, "\uB836\uB83A", 5, "\uB841\uB842\uB843\uB845", 11, "\uB852\uB854", 7, "\uB85E\uB85F\uB861\uB862\uB863\uB865", 6, "\uB86E\uB870\uB872", 5, "\uB879\uB87A\uB87B\uB87D", 7],
      ["8f41", "\uB885", 7, "\uB88E", 17],
      ["8f61", "\uB8A0", 7, "\uB8A9", 6, "\uB8B1\uB8B2\uB8B3\uB8B5\uB8B6\uB8B7\uB8B9", 4],
      ["8f81", "\uB8BE\uB8BF\uB8C2\uB8C4\uB8C6", 5, "\uB8CD\uB8CE\uB8CF\uB8D1\uB8D2\uB8D3\uB8D5", 7, "\uB8DE\uB8E0\uB8E2", 5, "\uB8EA\uB8EB\uB8ED\uB8EE\uB8EF\uB8F1", 6, "\uB8FA\uB8FC\uB8FE", 5, "\uB905", 18, "\uB919", 6, "\uB921", 26, "\uB93E\uB93F\uB941\uB942\uB943\uB945", 6, "\uB94D\uB94E\uB950\uB952", 5],
      ["9041", "\uB95A\uB95B\uB95D\uB95E\uB95F\uB961", 6, "\uB96A\uB96C\uB96E", 5, "\uB976\uB977\uB979\uB97A\uB97B\uB97D"],
      ["9061", "\uB97E", 5, "\uB986\uB988\uB98B\uB98C\uB98F", 15],
      ["9081", "\uB99F", 12, "\uB9AE\uB9AF\uB9B1\uB9B2\uB9B3\uB9B5", 6, "\uB9BE\uB9C0\uB9C2", 5, "\uB9CA\uB9CB\uB9CD\uB9D3", 4, "\uB9DA\uB9DC\uB9DF\uB9E0\uB9E2\uB9E6\uB9E7\uB9E9\uB9EA\uB9EB\uB9ED", 6, "\uB9F6\uB9FB", 4, "\uBA02", 5, "\uBA09", 11, "\uBA16", 33, "\uBA3A\uBA3B\uBA3D\uBA3E\uBA3F\uBA41\uBA43\uBA44\uBA45\uBA46"],
      ["9141", "\uBA47\uBA4A\uBA4C\uBA4F\uBA50\uBA51\uBA52\uBA56\uBA57\uBA59\uBA5A\uBA5B\uBA5D", 6, "\uBA66\uBA6A", 5],
      ["9161", "\uBA72\uBA73\uBA75\uBA76\uBA77\uBA79", 9, "\uBA86\uBA88\uBA89\uBA8A\uBA8B\uBA8D", 5],
      ["9181", "\uBA93", 20, "\uBAAA\uBAAD\uBAAE\uBAAF\uBAB1\uBAB3", 4, "\uBABA\uBABC\uBABE", 5, "\uBAC5\uBAC6\uBAC7\uBAC9", 14, "\uBADA", 33, "\uBAFD\uBAFE\uBAFF\uBB01\uBB02\uBB03\uBB05", 7, "\uBB0E\uBB10\uBB12", 5, "\uBB19\uBB1A\uBB1B\uBB1D\uBB1E\uBB1F\uBB21", 6],
      ["9241", "\uBB28\uBB2A\uBB2C", 7, "\uBB37\uBB39\uBB3A\uBB3F", 4, "\uBB46\uBB48\uBB4A\uBB4B\uBB4C\uBB4E\uBB51\uBB52"],
      ["9261", "\uBB53\uBB55\uBB56\uBB57\uBB59", 7, "\uBB62\uBB64", 7, "\uBB6D", 4],
      ["9281", "\uBB72", 21, "\uBB89\uBB8A\uBB8B\uBB8D\uBB8E\uBB8F\uBB91", 18, "\uBBA5\uBBA6\uBBA7\uBBA9\uBBAA\uBBAB\uBBAD", 6, "\uBBB5\uBBB6\uBBB8", 7, "\uBBC1\uBBC2\uBBC3\uBBC5\uBBC6\uBBC7\uBBC9", 6, "\uBBD1\uBBD2\uBBD4", 35, "\uBBFA\uBBFB\uBBFD\uBBFE\uBC01"],
      ["9341", "\uBC03", 4, "\uBC0A\uBC0E\uBC10\uBC12\uBC13\uBC19\uBC1A\uBC20\uBC21\uBC22\uBC23\uBC26\uBC28\uBC2A\uBC2B\uBC2C\uBC2E\uBC2F\uBC32\uBC33\uBC35"],
      ["9361", "\uBC36\uBC37\uBC39", 6, "\uBC42\uBC46\uBC47\uBC48\uBC4A\uBC4B\uBC4E\uBC4F\uBC51", 8],
      ["9381", "\uBC5A\uBC5B\uBC5C\uBC5E", 37, "\uBC86\uBC87\uBC89\uBC8A\uBC8D\uBC8F", 4, "\uBC96\uBC98\uBC9B", 4, "\uBCA2\uBCA3\uBCA5\uBCA6\uBCA9", 6, "\uBCB2\uBCB6", 5, "\uBCBE\uBCBF\uBCC1\uBCC2\uBCC3\uBCC5", 7, "\uBCCE\uBCD2\uBCD3\uBCD4\uBCD6\uBCD7\uBCD9\uBCDA\uBCDB\uBCDD", 22, "\uBCF7\uBCF9\uBCFA\uBCFB\uBCFD"],
      ["9441", "\uBCFE", 5, "\uBD06\uBD08\uBD0A", 5, "\uBD11\uBD12\uBD13\uBD15", 8],
      ["9461", "\uBD1E", 5, "\uBD25", 6, "\uBD2D", 12],
      ["9481", "\uBD3A", 5, "\uBD41", 6, "\uBD4A\uBD4B\uBD4D\uBD4E\uBD4F\uBD51", 6, "\uBD5A", 9, "\uBD65\uBD66\uBD67\uBD69", 22, "\uBD82\uBD83\uBD85\uBD86\uBD8B", 4, "\uBD92\uBD94\uBD96\uBD97\uBD98\uBD9B\uBD9D", 6, "\uBDA5", 10, "\uBDB1", 6, "\uBDB9", 24],
      ["9541", "\uBDD2\uBDD3\uBDD6\uBDD7\uBDD9\uBDDA\uBDDB\uBDDD", 11, "\uBDEA", 5, "\uBDF1"],
      ["9561", "\uBDF2\uBDF3\uBDF5\uBDF6\uBDF7\uBDF9", 6, "\uBE01\uBE02\uBE04\uBE06", 5, "\uBE0E\uBE0F\uBE11\uBE12\uBE13"],
      ["9581", "\uBE15", 6, "\uBE1E\uBE20", 35, "\uBE46\uBE47\uBE49\uBE4A\uBE4B\uBE4D\uBE4F", 4, "\uBE56\uBE58\uBE5C\uBE5D\uBE5E\uBE5F\uBE62\uBE63\uBE65\uBE66\uBE67\uBE69\uBE6B", 4, "\uBE72\uBE76", 4, "\uBE7E\uBE7F\uBE81\uBE82\uBE83\uBE85", 6, "\uBE8E\uBE92", 5, "\uBE9A", 13, "\uBEA9", 14],
      ["9641", "\uBEB8", 23, "\uBED2\uBED3"],
      ["9661", "\uBED5\uBED6\uBED9", 6, "\uBEE1\uBEE2\uBEE6", 5, "\uBEED", 8],
      ["9681", "\uBEF6", 10, "\uBF02", 5, "\uBF0A", 13, "\uBF1A\uBF1E", 33, "\uBF42\uBF43\uBF45\uBF46\uBF47\uBF49", 6, "\uBF52\uBF53\uBF54\uBF56", 44],
      ["9741", "\uBF83", 16, "\uBF95", 8],
      ["9761", "\uBF9E", 17, "\uBFB1", 7],
      ["9781", "\uBFB9", 11, "\uBFC6", 5, "\uBFCE\uBFCF\uBFD1\uBFD2\uBFD3\uBFD5", 6, "\uBFDD\uBFDE\uBFE0\uBFE2", 89, "\uC03D\uC03E\uC03F"],
      ["9841", "\uC040", 16, "\uC052", 5, "\uC059\uC05A\uC05B"],
      ["9861", "\uC05D\uC05E\uC05F\uC061", 6, "\uC06A", 15],
      ["9881", "\uC07A", 21, "\uC092\uC093\uC095\uC096\uC097\uC099", 6, "\uC0A2\uC0A4\uC0A6", 5, "\uC0AE\uC0B1\uC0B2\uC0B7", 4, "\uC0BE\uC0C2\uC0C3\uC0C4\uC0C6\uC0C7\uC0CA\uC0CB\uC0CD\uC0CE\uC0CF\uC0D1", 6, "\uC0DA\uC0DE", 5, "\uC0E6\uC0E7\uC0E9\uC0EA\uC0EB\uC0ED", 6, "\uC0F6\uC0F8\uC0FA", 5, "\uC101\uC102\uC103\uC105\uC106\uC107\uC109", 6, "\uC111\uC112\uC113\uC114\uC116", 5, "\uC121\uC122\uC125\uC128\uC129\uC12A\uC12B\uC12E"],
      ["9941", "\uC132\uC133\uC134\uC135\uC137\uC13A\uC13B\uC13D\uC13E\uC13F\uC141", 6, "\uC14A\uC14E", 5, "\uC156\uC157"],
      ["9961", "\uC159\uC15A\uC15B\uC15D", 6, "\uC166\uC16A", 5, "\uC171\uC172\uC173\uC175\uC176\uC177\uC179\uC17A\uC17B"],
      ["9981", "\uC17C", 8, "\uC186", 5, "\uC18F\uC191\uC192\uC193\uC195\uC197", 4, "\uC19E\uC1A0\uC1A2\uC1A3\uC1A4\uC1A6\uC1A7\uC1AA\uC1AB\uC1AD\uC1AE\uC1AF\uC1B1", 11, "\uC1BE", 5, "\uC1C5\uC1C6\uC1C7\uC1C9\uC1CA\uC1CB\uC1CD", 6, "\uC1D5\uC1D6\uC1D9", 6, "\uC1E1\uC1E2\uC1E3\uC1E5\uC1E6\uC1E7\uC1E9", 6, "\uC1F2\uC1F4", 7, "\uC1FE\uC1FF\uC201\uC202\uC203\uC205", 6, "\uC20E\uC210\uC212", 5, "\uC21A\uC21B\uC21D\uC21E\uC221\uC222\uC223"],
      ["9a41", "\uC224\uC225\uC226\uC227\uC22A\uC22C\uC22E\uC230\uC233\uC235", 16],
      ["9a61", "\uC246\uC247\uC249", 6, "\uC252\uC253\uC255\uC256\uC257\uC259", 6, "\uC261\uC262\uC263\uC264\uC266"],
      ["9a81", "\uC267", 4, "\uC26E\uC26F\uC271\uC272\uC273\uC275", 6, "\uC27E\uC280\uC282", 5, "\uC28A", 5, "\uC291", 6, "\uC299\uC29A\uC29C\uC29E", 5, "\uC2A6\uC2A7\uC2A9\uC2AA\uC2AB\uC2AE", 5, "\uC2B6\uC2B8\uC2BA", 33, "\uC2DE\uC2DF\uC2E1\uC2E2\uC2E5", 5, "\uC2EE\uC2F0\uC2F2\uC2F3\uC2F4\uC2F5\uC2F7\uC2FA\uC2FD\uC2FE\uC2FF\uC301", 6, "\uC30A\uC30B\uC30E\uC30F"],
      ["9b41", "\uC310\uC311\uC312\uC316\uC317\uC319\uC31A\uC31B\uC31D", 6, "\uC326\uC327\uC32A", 8],
      ["9b61", "\uC333", 17, "\uC346", 7],
      ["9b81", "\uC34E", 25, "\uC36A\uC36B\uC36D\uC36E\uC36F\uC371\uC373", 4, "\uC37A\uC37B\uC37E", 5, "\uC385\uC386\uC387\uC389\uC38A\uC38B\uC38D", 50, "\uC3C1", 22, "\uC3DA"],
      ["9c41", "\uC3DB\uC3DD\uC3DE\uC3E1\uC3E3", 4, "\uC3EA\uC3EB\uC3EC\uC3EE", 5, "\uC3F6\uC3F7\uC3F9", 5],
      ["9c61", "\uC3FF", 8, "\uC409", 6, "\uC411", 9],
      ["9c81", "\uC41B", 8, "\uC425", 6, "\uC42D\uC42E\uC42F\uC431\uC432\uC433\uC435", 6, "\uC43E", 9, "\uC449", 26, "\uC466\uC467\uC469\uC46A\uC46B\uC46D", 6, "\uC476\uC477\uC478\uC47A", 5, "\uC481", 18, "\uC495", 6, "\uC49D", 12],
      ["9d41", "\uC4AA", 13, "\uC4B9\uC4BA\uC4BB\uC4BD", 8],
      ["9d61", "\uC4C6", 25],
      ["9d81", "\uC4E0", 8, "\uC4EA", 5, "\uC4F2\uC4F3\uC4F5\uC4F6\uC4F7\uC4F9\uC4FB\uC4FC\uC4FD\uC4FE\uC502", 9, "\uC50D\uC50E\uC50F\uC511\uC512\uC513\uC515", 6, "\uC51D", 10, "\uC52A\uC52B\uC52D\uC52E\uC52F\uC531", 6, "\uC53A\uC53C\uC53E", 5, "\uC546\uC547\uC54B\uC54F\uC550\uC551\uC552\uC556\uC55A\uC55B\uC55C\uC55F\uC562\uC563\uC565\uC566\uC567\uC569", 6, "\uC572\uC576", 5, "\uC57E\uC57F\uC581\uC582\uC583\uC585\uC586\uC588\uC589\uC58A\uC58B\uC58E\uC590\uC592\uC593\uC594"],
      ["9e41", "\uC596\uC599\uC59A\uC59B\uC59D\uC59E\uC59F\uC5A1", 7, "\uC5AA", 9, "\uC5B6"],
      ["9e61", "\uC5B7\uC5BA\uC5BF", 4, "\uC5CB\uC5CD\uC5CF\uC5D2\uC5D3\uC5D5\uC5D6\uC5D7\uC5D9", 6, "\uC5E2\uC5E4\uC5E6\uC5E7"],
      ["9e81", "\uC5E8\uC5E9\uC5EA\uC5EB\uC5EF\uC5F1\uC5F2\uC5F3\uC5F5\uC5F8\uC5F9\uC5FA\uC5FB\uC602\uC603\uC604\uC609\uC60A\uC60B\uC60D\uC60E\uC60F\uC611", 6, "\uC61A\uC61D", 6, "\uC626\uC627\uC629\uC62A\uC62B\uC62F\uC631\uC632\uC636\uC638\uC63A\uC63C\uC63D\uC63E\uC63F\uC642\uC643\uC645\uC646\uC647\uC649", 6, "\uC652\uC656", 5, "\uC65E\uC65F\uC661", 10, "\uC66D\uC66E\uC670\uC672", 5, "\uC67A\uC67B\uC67D\uC67E\uC67F\uC681", 6, "\uC68A\uC68C\uC68E", 5, "\uC696\uC697\uC699\uC69A\uC69B\uC69D", 6, "\uC6A6"],
      ["9f41", "\uC6A8\uC6AA", 5, "\uC6B2\uC6B3\uC6B5\uC6B6\uC6B7\uC6BB", 4, "\uC6C2\uC6C4\uC6C6", 5, "\uC6CE"],
      ["9f61", "\uC6CF\uC6D1\uC6D2\uC6D3\uC6D5", 6, "\uC6DE\uC6DF\uC6E2", 5, "\uC6EA\uC6EB\uC6ED\uC6EE\uC6EF\uC6F1\uC6F2"],
      ["9f81", "\uC6F3", 4, "\uC6FA\uC6FB\uC6FC\uC6FE", 5, "\uC706\uC707\uC709\uC70A\uC70B\uC70D", 6, "\uC716\uC718\uC71A", 5, "\uC722\uC723\uC725\uC726\uC727\uC729", 6, "\uC732\uC734\uC736\uC738\uC739\uC73A\uC73B\uC73E\uC73F\uC741\uC742\uC743\uC745", 4, "\uC74B\uC74E\uC750\uC759\uC75A\uC75B\uC75D\uC75E\uC75F\uC761", 6, "\uC769\uC76A\uC76C", 7, "\uC776\uC777\uC779\uC77A\uC77B\uC77F\uC780\uC781\uC782\uC786\uC78B\uC78C\uC78D\uC78F\uC792\uC793\uC795\uC799\uC79B", 4, "\uC7A2\uC7A7", 4, "\uC7AE\uC7AF\uC7B1\uC7B2\uC7B3\uC7B5\uC7B6\uC7B7"],
      ["a041", "\uC7B8\uC7B9\uC7BA\uC7BB\uC7BE\uC7C2", 5, "\uC7CA\uC7CB\uC7CD\uC7CF\uC7D1", 6, "\uC7D9\uC7DA\uC7DB\uC7DC"],
      ["a061", "\uC7DE", 5, "\uC7E5\uC7E6\uC7E7\uC7E9\uC7EA\uC7EB\uC7ED", 13],
      ["a081", "\uC7FB", 4, "\uC802\uC803\uC805\uC806\uC807\uC809\uC80B", 4, "\uC812\uC814\uC817", 4, "\uC81E\uC81F\uC821\uC822\uC823\uC825", 6, "\uC82E\uC830\uC832", 5, "\uC839\uC83A\uC83B\uC83D\uC83E\uC83F\uC841", 6, "\uC84A\uC84B\uC84E", 5, "\uC855", 26, "\uC872\uC873\uC875\uC876\uC877\uC879\uC87B", 4, "\uC882\uC884\uC888\uC889\uC88A\uC88E", 5, "\uC895", 7, "\uC89E\uC8A0\uC8A2\uC8A3\uC8A4"],
      ["a141", "\uC8A5\uC8A6\uC8A7\uC8A9", 18, "\uC8BE\uC8BF\uC8C0\uC8C1"],
      ["a161", "\uC8C2\uC8C3\uC8C5\uC8C6\uC8C7\uC8C9\uC8CA\uC8CB\uC8CD", 6, "\uC8D6\uC8D8\uC8DA", 5, "\uC8E2\uC8E3\uC8E5"],
      ["a181", "\uC8E6", 14, "\uC8F6", 5, "\uC8FE\uC8FF\uC901\uC902\uC903\uC907", 4, "\uC90E\u3000\u3001\u3002\xB7\u2025\u2026\xA8\u3003\xAD\u2015\u2225\uFF3C\u223C\u2018\u2019\u201C\u201D\u3014\u3015\u3008", 9, "\xB1\xD7\xF7\u2260\u2264\u2265\u221E\u2234\xB0\u2032\u2033\u2103\u212B\uFFE0\uFFE1\uFFE5\u2642\u2640\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\xA7\u203B\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u2192\u2190\u2191\u2193\u2194\u3013\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229\u2227\u2228\uFFE2"],
      ["a241", "\uC910\uC912", 5, "\uC919", 18],
      ["a261", "\uC92D", 6, "\uC935", 18],
      ["a281", "\uC948", 7, "\uC952\uC953\uC955\uC956\uC957\uC959", 6, "\uC962\uC964", 7, "\uC96D\uC96E\uC96F\u21D2\u21D4\u2200\u2203\xB4\uFF5E\u02C7\u02D8\u02DD\u02DA\u02D9\xB8\u02DB\xA1\xBF\u02D0\u222E\u2211\u220F\xA4\u2109\u2030\u25C1\u25C0\u25B7\u25B6\u2664\u2660\u2661\u2665\u2667\u2663\u2299\u25C8\u25A3\u25D0\u25D1\u2592\u25A4\u25A5\u25A8\u25A7\u25A6\u25A9\u2668\u260F\u260E\u261C\u261E\xB6\u2020\u2021\u2195\u2197\u2199\u2196\u2198\u266D\u2669\u266A\u266C\u327F\u321C\u2116\u33C7\u2122\u33C2\u33D8\u2121\u20AC\xAE"],
      ["a341", "\uC971\uC972\uC973\uC975", 6, "\uC97D", 10, "\uC98A\uC98B\uC98D\uC98E\uC98F"],
      ["a361", "\uC991", 6, "\uC99A\uC99C\uC99E", 16],
      ["a381", "\uC9AF", 16, "\uC9C2\uC9C3\uC9C5\uC9C6\uC9C9\uC9CB", 4, "\uC9D2\uC9D4\uC9D7\uC9D8\uC9DB\uFF01", 58, "\uFFE6\uFF3D", 32, "\uFFE3"],
      ["a441", "\uC9DE\uC9DF\uC9E1\uC9E3\uC9E5\uC9E6\uC9E8\uC9E9\uC9EA\uC9EB\uC9EE\uC9F2", 5, "\uC9FA\uC9FB\uC9FD\uC9FE\uC9FF\uCA01\uCA02\uCA03\uCA04"],
      ["a461", "\uCA05\uCA06\uCA07\uCA0A\uCA0E", 5, "\uCA15\uCA16\uCA17\uCA19", 12],
      ["a481", "\uCA26\uCA27\uCA28\uCA2A", 28, "\u3131", 93],
      ["a541", "\uCA47", 4, "\uCA4E\uCA4F\uCA51\uCA52\uCA53\uCA55", 6, "\uCA5E\uCA62", 5, "\uCA69\uCA6A"],
      ["a561", "\uCA6B", 17, "\uCA7E", 5, "\uCA85\uCA86"],
      ["a581", "\uCA87", 16, "\uCA99", 14, "\u2170", 9],
      ["a5b0", "\u2160", 9],
      ["a5c1", "\u0391", 16, "\u03A3", 6],
      ["a5e1", "\u03B1", 16, "\u03C3", 6],
      ["a641", "\uCAA8", 19, "\uCABE\uCABF\uCAC1\uCAC2\uCAC3\uCAC5"],
      ["a661", "\uCAC6", 5, "\uCACE\uCAD0\uCAD2\uCAD4\uCAD5\uCAD6\uCAD7\uCADA", 5, "\uCAE1", 6],
      ["a681", "\uCAE8\uCAE9\uCAEA\uCAEB\uCAED", 6, "\uCAF5", 18, "\uCB09\uCB0A\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542\u2512\u2511\u251A\u2519\u2516\u2515\u250E\u250D\u251E\u251F\u2521\u2522\u2526\u2527\u2529\u252A\u252D\u252E\u2531\u2532\u2535\u2536\u2539\u253A\u253D\u253E\u2540\u2541\u2543", 7],
      ["a741", "\uCB0B", 4, "\uCB11\uCB12\uCB13\uCB15\uCB16\uCB17\uCB19", 6, "\uCB22", 7],
      ["a761", "\uCB2A", 22, "\uCB42\uCB43\uCB44"],
      ["a781", "\uCB45\uCB46\uCB47\uCB4A\uCB4B\uCB4D\uCB4E\uCB4F\uCB51", 6, "\uCB5A\uCB5B\uCB5C\uCB5E", 5, "\uCB65", 7, "\u3395\u3396\u3397\u2113\u3398\u33C4\u33A3\u33A4\u33A5\u33A6\u3399", 9, "\u33CA\u338D\u338E\u338F\u33CF\u3388\u3389\u33C8\u33A7\u33A8\u33B0", 9, "\u3380", 4, "\u33BA", 5, "\u3390", 4, "\u2126\u33C0\u33C1\u338A\u338B\u338C\u33D6\u33C5\u33AD\u33AE\u33AF\u33DB\u33A9\u33AA\u33AB\u33AC\u33DD\u33D0\u33D3\u33C3\u33C9\u33DC\u33C6"],
      ["a841", "\uCB6D", 10, "\uCB7A", 14],
      ["a861", "\uCB89", 18, "\uCB9D", 6],
      ["a881", "\uCBA4", 19, "\uCBB9", 11, "\xC6\xD0\xAA\u0126"],
      ["a8a6", "\u0132"],
      ["a8a8", "\u013F\u0141\xD8\u0152\xBA\xDE\u0166\u014A"],
      ["a8b1", "\u3260", 27, "\u24D0", 25, "\u2460", 14, "\xBD\u2153\u2154\xBC\xBE\u215B\u215C\u215D\u215E"],
      ["a941", "\uCBC5", 14, "\uCBD5", 10],
      ["a961", "\uCBE0\uCBE1\uCBE2\uCBE3\uCBE5\uCBE6\uCBE8\uCBEA", 18],
      ["a981", "\uCBFD", 14, "\uCC0E\uCC0F\uCC11\uCC12\uCC13\uCC15", 6, "\uCC1E\uCC1F\uCC20\uCC23\uCC24\xE6\u0111\xF0\u0127\u0131\u0133\u0138\u0140\u0142\xF8\u0153\xDF\xFE\u0167\u014B\u0149\u3200", 27, "\u249C", 25, "\u2474", 14, "\xB9\xB2\xB3\u2074\u207F\u2081\u2082\u2083\u2084"],
      ["aa41", "\uCC25\uCC26\uCC2A\uCC2B\uCC2D\uCC2F\uCC31", 6, "\uCC3A\uCC3F", 4, "\uCC46\uCC47\uCC49\uCC4A\uCC4B\uCC4D\uCC4E"],
      ["aa61", "\uCC4F", 4, "\uCC56\uCC5A", 5, "\uCC61\uCC62\uCC63\uCC65\uCC67\uCC69", 6, "\uCC71\uCC72"],
      ["aa81", "\uCC73\uCC74\uCC76", 29, "\u3041", 82],
      ["ab41", "\uCC94\uCC95\uCC96\uCC97\uCC9A\uCC9B\uCC9D\uCC9E\uCC9F\uCCA1", 6, "\uCCAA\uCCAE", 5, "\uCCB6\uCCB7\uCCB9"],
      ["ab61", "\uCCBA\uCCBB\uCCBD", 6, "\uCCC6\uCCC8\uCCCA", 5, "\uCCD1\uCCD2\uCCD3\uCCD5", 5],
      ["ab81", "\uCCDB", 8, "\uCCE5", 6, "\uCCED\uCCEE\uCCEF\uCCF1", 12, "\u30A1", 85],
      ["ac41", "\uCCFE\uCCFF\uCD00\uCD02", 5, "\uCD0A\uCD0B\uCD0D\uCD0E\uCD0F\uCD11", 6, "\uCD1A\uCD1C\uCD1E\uCD1F\uCD20"],
      ["ac61", "\uCD21\uCD22\uCD23\uCD25\uCD26\uCD27\uCD29\uCD2A\uCD2B\uCD2D", 11, "\uCD3A", 4],
      ["ac81", "\uCD3F", 28, "\uCD5D\uCD5E\uCD5F\u0410", 5, "\u0401\u0416", 25],
      ["acd1", "\u0430", 5, "\u0451\u0436", 25],
      ["ad41", "\uCD61\uCD62\uCD63\uCD65", 6, "\uCD6E\uCD70\uCD72", 5, "\uCD79", 7],
      ["ad61", "\uCD81", 6, "\uCD89", 10, "\uCD96\uCD97\uCD99\uCD9A\uCD9B\uCD9D\uCD9E\uCD9F"],
      ["ad81", "\uCDA0\uCDA1\uCDA2\uCDA3\uCDA6\uCDA8\uCDAA", 5, "\uCDB1", 18, "\uCDC5"],
      ["ae41", "\uCDC6", 5, "\uCDCD\uCDCE\uCDCF\uCDD1", 16],
      ["ae61", "\uCDE2", 5, "\uCDE9\uCDEA\uCDEB\uCDED\uCDEE\uCDEF\uCDF1", 6, "\uCDFA\uCDFC\uCDFE", 4],
      ["ae81", "\uCE03\uCE05\uCE06\uCE07\uCE09\uCE0A\uCE0B\uCE0D", 6, "\uCE15\uCE16\uCE17\uCE18\uCE1A", 5, "\uCE22\uCE23\uCE25\uCE26\uCE27\uCE29\uCE2A\uCE2B"],
      ["af41", "\uCE2C\uCE2D\uCE2E\uCE2F\uCE32\uCE34\uCE36", 19],
      ["af61", "\uCE4A", 13, "\uCE5A\uCE5B\uCE5D\uCE5E\uCE62", 5, "\uCE6A\uCE6C"],
      ["af81", "\uCE6E", 5, "\uCE76\uCE77\uCE79\uCE7A\uCE7B\uCE7D", 6, "\uCE86\uCE88\uCE8A", 5, "\uCE92\uCE93\uCE95\uCE96\uCE97\uCE99"],
      ["b041", "\uCE9A", 5, "\uCEA2\uCEA6", 5, "\uCEAE", 12],
      ["b061", "\uCEBB", 5, "\uCEC2", 19],
      ["b081", "\uCED6", 13, "\uCEE6\uCEE7\uCEE9\uCEEA\uCEED", 6, "\uCEF6\uCEFA", 5, "\uAC00\uAC01\uAC04\uAC07\uAC08\uAC09\uAC0A\uAC10", 7, "\uAC19", 4, "\uAC20\uAC24\uAC2C\uAC2D\uAC2F\uAC30\uAC31\uAC38\uAC39\uAC3C\uAC40\uAC4B\uAC4D\uAC54\uAC58\uAC5C\uAC70\uAC71\uAC74\uAC77\uAC78\uAC7A\uAC80\uAC81\uAC83\uAC84\uAC85\uAC86\uAC89\uAC8A\uAC8B\uAC8C\uAC90\uAC94\uAC9C\uAC9D\uAC9F\uACA0\uACA1\uACA8\uACA9\uACAA\uACAC\uACAF\uACB0\uACB8\uACB9\uACBB\uACBC\uACBD\uACC1\uACC4\uACC8\uACCC\uACD5\uACD7\uACE0\uACE1\uACE4\uACE7\uACE8\uACEA\uACEC\uACEF\uACF0\uACF1\uACF3\uACF5\uACF6\uACFC\uACFD\uAD00\uAD04\uAD06"],
      ["b141", "\uCF02\uCF03\uCF05\uCF06\uCF07\uCF09", 6, "\uCF12\uCF14\uCF16", 5, "\uCF1D\uCF1E\uCF1F\uCF21\uCF22\uCF23"],
      ["b161", "\uCF25", 6, "\uCF2E\uCF32", 5, "\uCF39", 11],
      ["b181", "\uCF45", 14, "\uCF56\uCF57\uCF59\uCF5A\uCF5B\uCF5D", 6, "\uCF66\uCF68\uCF6A\uCF6B\uCF6C\uAD0C\uAD0D\uAD0F\uAD11\uAD18\uAD1C\uAD20\uAD29\uAD2C\uAD2D\uAD34\uAD35\uAD38\uAD3C\uAD44\uAD45\uAD47\uAD49\uAD50\uAD54\uAD58\uAD61\uAD63\uAD6C\uAD6D\uAD70\uAD73\uAD74\uAD75\uAD76\uAD7B\uAD7C\uAD7D\uAD7F\uAD81\uAD82\uAD88\uAD89\uAD8C\uAD90\uAD9C\uAD9D\uADA4\uADB7\uADC0\uADC1\uADC4\uADC8\uADD0\uADD1\uADD3\uADDC\uADE0\uADE4\uADF8\uADF9\uADFC\uADFF\uAE00\uAE01\uAE08\uAE09\uAE0B\uAE0D\uAE14\uAE30\uAE31\uAE34\uAE37\uAE38\uAE3A\uAE40\uAE41\uAE43\uAE45\uAE46\uAE4A\uAE4C\uAE4D\uAE4E\uAE50\uAE54\uAE56\uAE5C\uAE5D\uAE5F\uAE60\uAE61\uAE65\uAE68\uAE69\uAE6C\uAE70\uAE78"],
      ["b241", "\uCF6D\uCF6E\uCF6F\uCF72\uCF73\uCF75\uCF76\uCF77\uCF79", 6, "\uCF81\uCF82\uCF83\uCF84\uCF86", 5, "\uCF8D"],
      ["b261", "\uCF8E", 18, "\uCFA2", 5, "\uCFA9"],
      ["b281", "\uCFAA", 5, "\uCFB1", 18, "\uCFC5", 6, "\uAE79\uAE7B\uAE7C\uAE7D\uAE84\uAE85\uAE8C\uAEBC\uAEBD\uAEBE\uAEC0\uAEC4\uAECC\uAECD\uAECF\uAED0\uAED1\uAED8\uAED9\uAEDC\uAEE8\uAEEB\uAEED\uAEF4\uAEF8\uAEFC\uAF07\uAF08\uAF0D\uAF10\uAF2C\uAF2D\uAF30\uAF32\uAF34\uAF3C\uAF3D\uAF3F\uAF41\uAF42\uAF43\uAF48\uAF49\uAF50\uAF5C\uAF5D\uAF64\uAF65\uAF79\uAF80\uAF84\uAF88\uAF90\uAF91\uAF95\uAF9C\uAFB8\uAFB9\uAFBC\uAFC0\uAFC7\uAFC8\uAFC9\uAFCB\uAFCD\uAFCE\uAFD4\uAFDC\uAFE8\uAFE9\uAFF0\uAFF1\uAFF4\uAFF8\uB000\uB001\uB004\uB00C\uB010\uB014\uB01C\uB01D\uB028\uB044\uB045\uB048\uB04A\uB04C\uB04E\uB053\uB054\uB055\uB057\uB059"],
      ["b341", "\uCFCC", 19, "\uCFE2\uCFE3\uCFE5\uCFE6\uCFE7\uCFE9"],
      ["b361", "\uCFEA", 5, "\uCFF2\uCFF4\uCFF6", 5, "\uCFFD\uCFFE\uCFFF\uD001\uD002\uD003\uD005", 5],
      ["b381", "\uD00B", 5, "\uD012", 5, "\uD019", 19, "\uB05D\uB07C\uB07D\uB080\uB084\uB08C\uB08D\uB08F\uB091\uB098\uB099\uB09A\uB09C\uB09F\uB0A0\uB0A1\uB0A2\uB0A8\uB0A9\uB0AB", 4, "\uB0B1\uB0B3\uB0B4\uB0B5\uB0B8\uB0BC\uB0C4\uB0C5\uB0C7\uB0C8\uB0C9\uB0D0\uB0D1\uB0D4\uB0D8\uB0E0\uB0E5\uB108\uB109\uB10B\uB10C\uB110\uB112\uB113\uB118\uB119\uB11B\uB11C\uB11D\uB123\uB124\uB125\uB128\uB12C\uB134\uB135\uB137\uB138\uB139\uB140\uB141\uB144\uB148\uB150\uB151\uB154\uB155\uB158\uB15C\uB160\uB178\uB179\uB17C\uB180\uB182\uB188\uB189\uB18B\uB18D\uB192\uB193\uB194\uB198\uB19C\uB1A8\uB1CC\uB1D0\uB1D4\uB1DC\uB1DD"],
      ["b441", "\uD02E", 5, "\uD036\uD037\uD039\uD03A\uD03B\uD03D", 6, "\uD046\uD048\uD04A", 5],
      ["b461", "\uD051\uD052\uD053\uD055\uD056\uD057\uD059", 6, "\uD061", 10, "\uD06E\uD06F"],
      ["b481", "\uD071\uD072\uD073\uD075", 6, "\uD07E\uD07F\uD080\uD082", 18, "\uB1DF\uB1E8\uB1E9\uB1EC\uB1F0\uB1F9\uB1FB\uB1FD\uB204\uB205\uB208\uB20B\uB20C\uB214\uB215\uB217\uB219\uB220\uB234\uB23C\uB258\uB25C\uB260\uB268\uB269\uB274\uB275\uB27C\uB284\uB285\uB289\uB290\uB291\uB294\uB298\uB299\uB29A\uB2A0\uB2A1\uB2A3\uB2A5\uB2A6\uB2AA\uB2AC\uB2B0\uB2B4\uB2C8\uB2C9\uB2CC\uB2D0\uB2D2\uB2D8\uB2D9\uB2DB\uB2DD\uB2E2\uB2E4\uB2E5\uB2E6\uB2E8\uB2EB", 4, "\uB2F3\uB2F4\uB2F5\uB2F7", 4, "\uB2FF\uB300\uB301\uB304\uB308\uB310\uB311\uB313\uB314\uB315\uB31C\uB354\uB355\uB356\uB358\uB35B\uB35C\uB35E\uB35F\uB364\uB365"],
      ["b541", "\uD095", 14, "\uD0A6\uD0A7\uD0A9\uD0AA\uD0AB\uD0AD", 5],
      ["b561", "\uD0B3\uD0B6\uD0B8\uD0BA", 5, "\uD0C2\uD0C3\uD0C5\uD0C6\uD0C7\uD0CA", 5, "\uD0D2\uD0D6", 4],
      ["b581", "\uD0DB\uD0DE\uD0DF\uD0E1\uD0E2\uD0E3\uD0E5", 6, "\uD0EE\uD0F2", 5, "\uD0F9", 11, "\uB367\uB369\uB36B\uB36E\uB370\uB371\uB374\uB378\uB380\uB381\uB383\uB384\uB385\uB38C\uB390\uB394\uB3A0\uB3A1\uB3A8\uB3AC\uB3C4\uB3C5\uB3C8\uB3CB\uB3CC\uB3CE\uB3D0\uB3D4\uB3D5\uB3D7\uB3D9\uB3DB\uB3DD\uB3E0\uB3E4\uB3E8\uB3FC\uB410\uB418\uB41C\uB420\uB428\uB429\uB42B\uB434\uB450\uB451\uB454\uB458\uB460\uB461\uB463\uB465\uB46C\uB480\uB488\uB49D\uB4A4\uB4A8\uB4AC\uB4B5\uB4B7\uB4B9\uB4C0\uB4C4\uB4C8\uB4D0\uB4D5\uB4DC\uB4DD\uB4E0\uB4E3\uB4E4\uB4E6\uB4EC\uB4ED\uB4EF\uB4F1\uB4F8\uB514\uB515\uB518\uB51B\uB51C\uB524\uB525\uB527\uB528\uB529\uB52A\uB530\uB531\uB534\uB538"],
      ["b641", "\uD105", 7, "\uD10E", 17],
      ["b661", "\uD120", 15, "\uD132\uD133\uD135\uD136\uD137\uD139\uD13B\uD13C\uD13D\uD13E"],
      ["b681", "\uD13F\uD142\uD146", 5, "\uD14E\uD14F\uD151\uD152\uD153\uD155", 6, "\uD15E\uD160\uD162", 5, "\uD169\uD16A\uD16B\uD16D\uB540\uB541\uB543\uB544\uB545\uB54B\uB54C\uB54D\uB550\uB554\uB55C\uB55D\uB55F\uB560\uB561\uB5A0\uB5A1\uB5A4\uB5A8\uB5AA\uB5AB\uB5B0\uB5B1\uB5B3\uB5B4\uB5B5\uB5BB\uB5BC\uB5BD\uB5C0\uB5C4\uB5CC\uB5CD\uB5CF\uB5D0\uB5D1\uB5D8\uB5EC\uB610\uB611\uB614\uB618\uB625\uB62C\uB634\uB648\uB664\uB668\uB69C\uB69D\uB6A0\uB6A4\uB6AB\uB6AC\uB6B1\uB6D4\uB6F0\uB6F4\uB6F8\uB700\uB701\uB705\uB728\uB729\uB72C\uB72F\uB730\uB738\uB739\uB73B\uB744\uB748\uB74C\uB754\uB755\uB760\uB764\uB768\uB770\uB771\uB773\uB775\uB77C\uB77D\uB780\uB784\uB78C\uB78D\uB78F\uB790\uB791\uB792\uB796\uB797"],
      ["b741", "\uD16E", 13, "\uD17D", 6, "\uD185\uD186\uD187\uD189\uD18A"],
      ["b761", "\uD18B", 20, "\uD1A2\uD1A3\uD1A5\uD1A6\uD1A7"],
      ["b781", "\uD1A9", 6, "\uD1B2\uD1B4\uD1B6\uD1B7\uD1B8\uD1B9\uD1BB\uD1BD\uD1BE\uD1BF\uD1C1", 14, "\uB798\uB799\uB79C\uB7A0\uB7A8\uB7A9\uB7AB\uB7AC\uB7AD\uB7B4\uB7B5\uB7B8\uB7C7\uB7C9\uB7EC\uB7ED\uB7F0\uB7F4\uB7FC\uB7FD\uB7FF\uB800\uB801\uB807\uB808\uB809\uB80C\uB810\uB818\uB819\uB81B\uB81D\uB824\uB825\uB828\uB82C\uB834\uB835\uB837\uB838\uB839\uB840\uB844\uB851\uB853\uB85C\uB85D\uB860\uB864\uB86C\uB86D\uB86F\uB871\uB878\uB87C\uB88D\uB8A8\uB8B0\uB8B4\uB8B8\uB8C0\uB8C1\uB8C3\uB8C5\uB8CC\uB8D0\uB8D4\uB8DD\uB8DF\uB8E1\uB8E8\uB8E9\uB8EC\uB8F0\uB8F8\uB8F9\uB8FB\uB8FD\uB904\uB918\uB920\uB93C\uB93D\uB940\uB944\uB94C\uB94F\uB951\uB958\uB959\uB95C\uB960\uB968\uB969"],
      ["b841", "\uD1D0", 7, "\uD1D9", 17],
      ["b861", "\uD1EB", 8, "\uD1F5\uD1F6\uD1F7\uD1F9", 13],
      ["b881", "\uD208\uD20A", 5, "\uD211", 24, "\uB96B\uB96D\uB974\uB975\uB978\uB97C\uB984\uB985\uB987\uB989\uB98A\uB98D\uB98E\uB9AC\uB9AD\uB9B0\uB9B4\uB9BC\uB9BD\uB9BF\uB9C1\uB9C8\uB9C9\uB9CC\uB9CE", 4, "\uB9D8\uB9D9\uB9DB\uB9DD\uB9DE\uB9E1\uB9E3\uB9E4\uB9E5\uB9E8\uB9EC\uB9F4\uB9F5\uB9F7\uB9F8\uB9F9\uB9FA\uBA00\uBA01\uBA08\uBA15\uBA38\uBA39\uBA3C\uBA40\uBA42\uBA48\uBA49\uBA4B\uBA4D\uBA4E\uBA53\uBA54\uBA55\uBA58\uBA5C\uBA64\uBA65\uBA67\uBA68\uBA69\uBA70\uBA71\uBA74\uBA78\uBA83\uBA84\uBA85\uBA87\uBA8C\uBAA8\uBAA9\uBAAB\uBAAC\uBAB0\uBAB2\uBAB8\uBAB9\uBABB\uBABD\uBAC4\uBAC8\uBAD8\uBAD9\uBAFC"],
      ["b941", "\uD22A\uD22B\uD22E\uD22F\uD231\uD232\uD233\uD235", 6, "\uD23E\uD240\uD242", 5, "\uD249\uD24A\uD24B\uD24C"],
      ["b961", "\uD24D", 14, "\uD25D", 6, "\uD265\uD266\uD267\uD268"],
      ["b981", "\uD269", 22, "\uD282\uD283\uD285\uD286\uD287\uD289\uD28A\uD28B\uD28C\uBB00\uBB04\uBB0D\uBB0F\uBB11\uBB18\uBB1C\uBB20\uBB29\uBB2B\uBB34\uBB35\uBB36\uBB38\uBB3B\uBB3C\uBB3D\uBB3E\uBB44\uBB45\uBB47\uBB49\uBB4D\uBB4F\uBB50\uBB54\uBB58\uBB61\uBB63\uBB6C\uBB88\uBB8C\uBB90\uBBA4\uBBA8\uBBAC\uBBB4\uBBB7\uBBC0\uBBC4\uBBC8\uBBD0\uBBD3\uBBF8\uBBF9\uBBFC\uBBFF\uBC00\uBC02\uBC08\uBC09\uBC0B\uBC0C\uBC0D\uBC0F\uBC11\uBC14", 4, "\uBC1B", 4, "\uBC24\uBC25\uBC27\uBC29\uBC2D\uBC30\uBC31\uBC34\uBC38\uBC40\uBC41\uBC43\uBC44\uBC45\uBC49\uBC4C\uBC4D\uBC50\uBC5D\uBC84\uBC85\uBC88\uBC8B\uBC8C\uBC8E\uBC94\uBC95\uBC97"],
      ["ba41", "\uD28D\uD28E\uD28F\uD292\uD293\uD294\uD296", 5, "\uD29D\uD29E\uD29F\uD2A1\uD2A2\uD2A3\uD2A5", 6, "\uD2AD"],
      ["ba61", "\uD2AE\uD2AF\uD2B0\uD2B2", 5, "\uD2BA\uD2BB\uD2BD\uD2BE\uD2C1\uD2C3", 4, "\uD2CA\uD2CC", 5],
      ["ba81", "\uD2D2\uD2D3\uD2D5\uD2D6\uD2D7\uD2D9\uD2DA\uD2DB\uD2DD", 6, "\uD2E6", 9, "\uD2F2\uD2F3\uD2F5\uD2F6\uD2F7\uD2F9\uD2FA\uBC99\uBC9A\uBCA0\uBCA1\uBCA4\uBCA7\uBCA8\uBCB0\uBCB1\uBCB3\uBCB4\uBCB5\uBCBC\uBCBD\uBCC0\uBCC4\uBCCD\uBCCF\uBCD0\uBCD1\uBCD5\uBCD8\uBCDC\uBCF4\uBCF5\uBCF6\uBCF8\uBCFC\uBD04\uBD05\uBD07\uBD09\uBD10\uBD14\uBD24\uBD2C\uBD40\uBD48\uBD49\uBD4C\uBD50\uBD58\uBD59\uBD64\uBD68\uBD80\uBD81\uBD84\uBD87\uBD88\uBD89\uBD8A\uBD90\uBD91\uBD93\uBD95\uBD99\uBD9A\uBD9C\uBDA4\uBDB0\uBDB8\uBDD4\uBDD5\uBDD8\uBDDC\uBDE9\uBDF0\uBDF4\uBDF8\uBE00\uBE03\uBE05\uBE0C\uBE0D\uBE10\uBE14\uBE1C\uBE1D\uBE1F\uBE44\uBE45\uBE48\uBE4C\uBE4E\uBE54\uBE55\uBE57\uBE59\uBE5A\uBE5B\uBE60\uBE61\uBE64"],
      ["bb41", "\uD2FB", 4, "\uD302\uD304\uD306", 5, "\uD30F\uD311\uD312\uD313\uD315\uD317", 4, "\uD31E\uD322\uD323"],
      ["bb61", "\uD324\uD326\uD327\uD32A\uD32B\uD32D\uD32E\uD32F\uD331", 6, "\uD33A\uD33E", 5, "\uD346\uD347\uD348\uD349"],
      ["bb81", "\uD34A", 31, "\uBE68\uBE6A\uBE70\uBE71\uBE73\uBE74\uBE75\uBE7B\uBE7C\uBE7D\uBE80\uBE84\uBE8C\uBE8D\uBE8F\uBE90\uBE91\uBE98\uBE99\uBEA8\uBED0\uBED1\uBED4\uBED7\uBED8\uBEE0\uBEE3\uBEE4\uBEE5\uBEEC\uBF01\uBF08\uBF09\uBF18\uBF19\uBF1B\uBF1C\uBF1D\uBF40\uBF41\uBF44\uBF48\uBF50\uBF51\uBF55\uBF94\uBFB0\uBFC5\uBFCC\uBFCD\uBFD0\uBFD4\uBFDC\uBFDF\uBFE1\uC03C\uC051\uC058\uC05C\uC060\uC068\uC069\uC090\uC091\uC094\uC098\uC0A0\uC0A1\uC0A3\uC0A5\uC0AC\uC0AD\uC0AF\uC0B0\uC0B3\uC0B4\uC0B5\uC0B6\uC0BC\uC0BD\uC0BF\uC0C0\uC0C1\uC0C5\uC0C8\uC0C9\uC0CC\uC0D0\uC0D8\uC0D9\uC0DB\uC0DC\uC0DD\uC0E4"],
      ["bc41", "\uD36A", 17, "\uD37E\uD37F\uD381\uD382\uD383\uD385\uD386\uD387"],
      ["bc61", "\uD388\uD389\uD38A\uD38B\uD38E\uD392", 5, "\uD39A\uD39B\uD39D\uD39E\uD39F\uD3A1", 6, "\uD3AA\uD3AC\uD3AE"],
      ["bc81", "\uD3AF", 4, "\uD3B5\uD3B6\uD3B7\uD3B9\uD3BA\uD3BB\uD3BD", 6, "\uD3C6\uD3C7\uD3CA", 5, "\uD3D1", 5, "\uC0E5\uC0E8\uC0EC\uC0F4\uC0F5\uC0F7\uC0F9\uC100\uC104\uC108\uC110\uC115\uC11C", 4, "\uC123\uC124\uC126\uC127\uC12C\uC12D\uC12F\uC130\uC131\uC136\uC138\uC139\uC13C\uC140\uC148\uC149\uC14B\uC14C\uC14D\uC154\uC155\uC158\uC15C\uC164\uC165\uC167\uC168\uC169\uC170\uC174\uC178\uC185\uC18C\uC18D\uC18E\uC190\uC194\uC196\uC19C\uC19D\uC19F\uC1A1\uC1A5\uC1A8\uC1A9\uC1AC\uC1B0\uC1BD\uC1C4\uC1C8\uC1CC\uC1D4\uC1D7\uC1D8\uC1E0\uC1E4\uC1E8\uC1F0\uC1F1\uC1F3\uC1FC\uC1FD\uC200\uC204\uC20C\uC20D\uC20F\uC211\uC218\uC219\uC21C\uC21F\uC220\uC228\uC229\uC22B\uC22D"],
      ["bd41", "\uD3D7\uD3D9", 7, "\uD3E2\uD3E4", 7, "\uD3EE\uD3EF\uD3F1\uD3F2\uD3F3\uD3F5\uD3F6\uD3F7"],
      ["bd61", "\uD3F8\uD3F9\uD3FA\uD3FB\uD3FE\uD400\uD402", 5, "\uD409", 13],
      ["bd81", "\uD417", 5, "\uD41E", 25, "\uC22F\uC231\uC232\uC234\uC248\uC250\uC251\uC254\uC258\uC260\uC265\uC26C\uC26D\uC270\uC274\uC27C\uC27D\uC27F\uC281\uC288\uC289\uC290\uC298\uC29B\uC29D\uC2A4\uC2A5\uC2A8\uC2AC\uC2AD\uC2B4\uC2B5\uC2B7\uC2B9\uC2DC\uC2DD\uC2E0\uC2E3\uC2E4\uC2EB\uC2EC\uC2ED\uC2EF\uC2F1\uC2F6\uC2F8\uC2F9\uC2FB\uC2FC\uC300\uC308\uC309\uC30C\uC30D\uC313\uC314\uC315\uC318\uC31C\uC324\uC325\uC328\uC329\uC345\uC368\uC369\uC36C\uC370\uC372\uC378\uC379\uC37C\uC37D\uC384\uC388\uC38C\uC3C0\uC3D8\uC3D9\uC3DC\uC3DF\uC3E0\uC3E2\uC3E8\uC3E9\uC3ED\uC3F4\uC3F5\uC3F8\uC408\uC410\uC424\uC42C\uC430"],
      ["be41", "\uD438", 7, "\uD441\uD442\uD443\uD445", 14],
      ["be61", "\uD454", 7, "\uD45D\uD45E\uD45F\uD461\uD462\uD463\uD465", 7, "\uD46E\uD470\uD471\uD472"],
      ["be81", "\uD473", 4, "\uD47A\uD47B\uD47D\uD47E\uD481\uD483", 4, "\uD48A\uD48C\uD48E", 5, "\uD495", 8, "\uC434\uC43C\uC43D\uC448\uC464\uC465\uC468\uC46C\uC474\uC475\uC479\uC480\uC494\uC49C\uC4B8\uC4BC\uC4E9\uC4F0\uC4F1\uC4F4\uC4F8\uC4FA\uC4FF\uC500\uC501\uC50C\uC510\uC514\uC51C\uC528\uC529\uC52C\uC530\uC538\uC539\uC53B\uC53D\uC544\uC545\uC548\uC549\uC54A\uC54C\uC54D\uC54E\uC553\uC554\uC555\uC557\uC558\uC559\uC55D\uC55E\uC560\uC561\uC564\uC568\uC570\uC571\uC573\uC574\uC575\uC57C\uC57D\uC580\uC584\uC587\uC58C\uC58D\uC58F\uC591\uC595\uC597\uC598\uC59C\uC5A0\uC5A9\uC5B4\uC5B5\uC5B8\uC5B9\uC5BB\uC5BC\uC5BD\uC5BE\uC5C4", 6, "\uC5CC\uC5CE"],
      ["bf41", "\uD49E", 10, "\uD4AA", 14],
      ["bf61", "\uD4B9", 18, "\uD4CD\uD4CE\uD4CF\uD4D1\uD4D2\uD4D3\uD4D5"],
      ["bf81", "\uD4D6", 5, "\uD4DD\uD4DE\uD4E0", 7, "\uD4E9\uD4EA\uD4EB\uD4ED\uD4EE\uD4EF\uD4F1", 6, "\uD4F9\uD4FA\uD4FC\uC5D0\uC5D1\uC5D4\uC5D8\uC5E0\uC5E1\uC5E3\uC5E5\uC5EC\uC5ED\uC5EE\uC5F0\uC5F4\uC5F6\uC5F7\uC5FC", 5, "\uC605\uC606\uC607\uC608\uC60C\uC610\uC618\uC619\uC61B\uC61C\uC624\uC625\uC628\uC62C\uC62D\uC62E\uC630\uC633\uC634\uC635\uC637\uC639\uC63B\uC640\uC641\uC644\uC648\uC650\uC651\uC653\uC654\uC655\uC65C\uC65D\uC660\uC66C\uC66F\uC671\uC678\uC679\uC67C\uC680\uC688\uC689\uC68B\uC68D\uC694\uC695\uC698\uC69C\uC6A4\uC6A5\uC6A7\uC6A9\uC6B0\uC6B1\uC6B4\uC6B8\uC6B9\uC6BA\uC6C0\uC6C1\uC6C3\uC6C5\uC6CC\uC6CD\uC6D0\uC6D4\uC6DC\uC6DD\uC6E0\uC6E1\uC6E8"],
      ["c041", "\uD4FE", 5, "\uD505\uD506\uD507\uD509\uD50A\uD50B\uD50D", 6, "\uD516\uD518", 5],
      ["c061", "\uD51E", 25],
      ["c081", "\uD538\uD539\uD53A\uD53B\uD53E\uD53F\uD541\uD542\uD543\uD545", 6, "\uD54E\uD550\uD552", 5, "\uD55A\uD55B\uD55D\uD55E\uD55F\uD561\uD562\uD563\uC6E9\uC6EC\uC6F0\uC6F8\uC6F9\uC6FD\uC704\uC705\uC708\uC70C\uC714\uC715\uC717\uC719\uC720\uC721\uC724\uC728\uC730\uC731\uC733\uC735\uC737\uC73C\uC73D\uC740\uC744\uC74A\uC74C\uC74D\uC74F\uC751", 7, "\uC75C\uC760\uC768\uC76B\uC774\uC775\uC778\uC77C\uC77D\uC77E\uC783\uC784\uC785\uC787\uC788\uC789\uC78A\uC78E\uC790\uC791\uC794\uC796\uC797\uC798\uC79A\uC7A0\uC7A1\uC7A3\uC7A4\uC7A5\uC7A6\uC7AC\uC7AD\uC7B0\uC7B4\uC7BC\uC7BD\uC7BF\uC7C0\uC7C1\uC7C8\uC7C9\uC7CC\uC7CE\uC7D0\uC7D8\uC7DD\uC7E4\uC7E8\uC7EC\uC800\uC801\uC804\uC808\uC80A"],
      ["c141", "\uD564\uD566\uD567\uD56A\uD56C\uD56E", 5, "\uD576\uD577\uD579\uD57A\uD57B\uD57D", 6, "\uD586\uD58A\uD58B"],
      ["c161", "\uD58C\uD58D\uD58E\uD58F\uD591", 19, "\uD5A6\uD5A7"],
      ["c181", "\uD5A8", 31, "\uC810\uC811\uC813\uC815\uC816\uC81C\uC81D\uC820\uC824\uC82C\uC82D\uC82F\uC831\uC838\uC83C\uC840\uC848\uC849\uC84C\uC84D\uC854\uC870\uC871\uC874\uC878\uC87A\uC880\uC881\uC883\uC885\uC886\uC887\uC88B\uC88C\uC88D\uC894\uC89D\uC89F\uC8A1\uC8A8\uC8BC\uC8BD\uC8C4\uC8C8\uC8CC\uC8D4\uC8D5\uC8D7\uC8D9\uC8E0\uC8E1\uC8E4\uC8F5\uC8FC\uC8FD\uC900\uC904\uC905\uC906\uC90C\uC90D\uC90F\uC911\uC918\uC92C\uC934\uC950\uC951\uC954\uC958\uC960\uC961\uC963\uC96C\uC970\uC974\uC97C\uC988\uC989\uC98C\uC990\uC998\uC999\uC99B\uC99D\uC9C0\uC9C1\uC9C4\uC9C7\uC9C8\uC9CA\uC9D0\uC9D1\uC9D3"],
      ["c241", "\uD5CA\uD5CB\uD5CD\uD5CE\uD5CF\uD5D1\uD5D3", 4, "\uD5DA\uD5DC\uD5DE", 5, "\uD5E6\uD5E7\uD5E9\uD5EA\uD5EB\uD5ED\uD5EE"],
      ["c261", "\uD5EF", 4, "\uD5F6\uD5F8\uD5FA", 5, "\uD602\uD603\uD605\uD606\uD607\uD609", 6, "\uD612"],
      ["c281", "\uD616", 5, "\uD61D\uD61E\uD61F\uD621\uD622\uD623\uD625", 7, "\uD62E", 9, "\uD63A\uD63B\uC9D5\uC9D6\uC9D9\uC9DA\uC9DC\uC9DD\uC9E0\uC9E2\uC9E4\uC9E7\uC9EC\uC9ED\uC9EF\uC9F0\uC9F1\uC9F8\uC9F9\uC9FC\uCA00\uCA08\uCA09\uCA0B\uCA0C\uCA0D\uCA14\uCA18\uCA29\uCA4C\uCA4D\uCA50\uCA54\uCA5C\uCA5D\uCA5F\uCA60\uCA61\uCA68\uCA7D\uCA84\uCA98\uCABC\uCABD\uCAC0\uCAC4\uCACC\uCACD\uCACF\uCAD1\uCAD3\uCAD8\uCAD9\uCAE0\uCAEC\uCAF4\uCB08\uCB10\uCB14\uCB18\uCB20\uCB21\uCB41\uCB48\uCB49\uCB4C\uCB50\uCB58\uCB59\uCB5D\uCB64\uCB78\uCB79\uCB9C\uCBB8\uCBD4\uCBE4\uCBE7\uCBE9\uCC0C\uCC0D\uCC10\uCC14\uCC1C\uCC1D\uCC21\uCC22\uCC27\uCC28\uCC29\uCC2C\uCC2E\uCC30\uCC38\uCC39\uCC3B"],
      ["c341", "\uD63D\uD63E\uD63F\uD641\uD642\uD643\uD644\uD646\uD647\uD64A\uD64C\uD64E\uD64F\uD650\uD652\uD653\uD656\uD657\uD659\uD65A\uD65B\uD65D", 4],
      ["c361", "\uD662", 4, "\uD668\uD66A", 5, "\uD672\uD673\uD675", 11],
      ["c381", "\uD681\uD682\uD684\uD686", 5, "\uD68E\uD68F\uD691\uD692\uD693\uD695", 7, "\uD69E\uD6A0\uD6A2", 5, "\uD6A9\uD6AA\uCC3C\uCC3D\uCC3E\uCC44\uCC45\uCC48\uCC4C\uCC54\uCC55\uCC57\uCC58\uCC59\uCC60\uCC64\uCC66\uCC68\uCC70\uCC75\uCC98\uCC99\uCC9C\uCCA0\uCCA8\uCCA9\uCCAB\uCCAC\uCCAD\uCCB4\uCCB5\uCCB8\uCCBC\uCCC4\uCCC5\uCCC7\uCCC9\uCCD0\uCCD4\uCCE4\uCCEC\uCCF0\uCD01\uCD08\uCD09\uCD0C\uCD10\uCD18\uCD19\uCD1B\uCD1D\uCD24\uCD28\uCD2C\uCD39\uCD5C\uCD60\uCD64\uCD6C\uCD6D\uCD6F\uCD71\uCD78\uCD88\uCD94\uCD95\uCD98\uCD9C\uCDA4\uCDA5\uCDA7\uCDA9\uCDB0\uCDC4\uCDCC\uCDD0\uCDE8\uCDEC\uCDF0\uCDF8\uCDF9\uCDFB\uCDFD\uCE04\uCE08\uCE0C\uCE14\uCE19\uCE20\uCE21\uCE24\uCE28\uCE30\uCE31\uCE33\uCE35"],
      ["c441", "\uD6AB\uD6AD\uD6AE\uD6AF\uD6B1", 7, "\uD6BA\uD6BC", 7, "\uD6C6\uD6C7\uD6C9\uD6CA\uD6CB"],
      ["c461", "\uD6CD\uD6CE\uD6CF\uD6D0\uD6D2\uD6D3\uD6D5\uD6D6\uD6D8\uD6DA", 5, "\uD6E1\uD6E2\uD6E3\uD6E5\uD6E6\uD6E7\uD6E9", 4],
      ["c481", "\uD6EE\uD6EF\uD6F1\uD6F2\uD6F3\uD6F4\uD6F6", 5, "\uD6FE\uD6FF\uD701\uD702\uD703\uD705", 11, "\uD712\uD713\uD714\uCE58\uCE59\uCE5C\uCE5F\uCE60\uCE61\uCE68\uCE69\uCE6B\uCE6D\uCE74\uCE75\uCE78\uCE7C\uCE84\uCE85\uCE87\uCE89\uCE90\uCE91\uCE94\uCE98\uCEA0\uCEA1\uCEA3\uCEA4\uCEA5\uCEAC\uCEAD\uCEC1\uCEE4\uCEE5\uCEE8\uCEEB\uCEEC\uCEF4\uCEF5\uCEF7\uCEF8\uCEF9\uCF00\uCF01\uCF04\uCF08\uCF10\uCF11\uCF13\uCF15\uCF1C\uCF20\uCF24\uCF2C\uCF2D\uCF2F\uCF30\uCF31\uCF38\uCF54\uCF55\uCF58\uCF5C\uCF64\uCF65\uCF67\uCF69\uCF70\uCF71\uCF74\uCF78\uCF80\uCF85\uCF8C\uCFA1\uCFA8\uCFB0\uCFC4\uCFE0\uCFE1\uCFE4\uCFE8\uCFF0\uCFF1\uCFF3\uCFF5\uCFFC\uD000\uD004\uD011\uD018\uD02D\uD034\uD035\uD038\uD03C"],
      ["c541", "\uD715\uD716\uD717\uD71A\uD71B\uD71D\uD71E\uD71F\uD721", 6, "\uD72A\uD72C\uD72E", 5, "\uD736\uD737\uD739"],
      ["c561", "\uD73A\uD73B\uD73D", 6, "\uD745\uD746\uD748\uD74A", 5, "\uD752\uD753\uD755\uD75A", 4],
      ["c581", "\uD75F\uD762\uD764\uD766\uD767\uD768\uD76A\uD76B\uD76D\uD76E\uD76F\uD771\uD772\uD773\uD775", 6, "\uD77E\uD77F\uD780\uD782", 5, "\uD78A\uD78B\uD044\uD045\uD047\uD049\uD050\uD054\uD058\uD060\uD06C\uD06D\uD070\uD074\uD07C\uD07D\uD081\uD0A4\uD0A5\uD0A8\uD0AC\uD0B4\uD0B5\uD0B7\uD0B9\uD0C0\uD0C1\uD0C4\uD0C8\uD0C9\uD0D0\uD0D1\uD0D3\uD0D4\uD0D5\uD0DC\uD0DD\uD0E0\uD0E4\uD0EC\uD0ED\uD0EF\uD0F0\uD0F1\uD0F8\uD10D\uD130\uD131\uD134\uD138\uD13A\uD140\uD141\uD143\uD144\uD145\uD14C\uD14D\uD150\uD154\uD15C\uD15D\uD15F\uD161\uD168\uD16C\uD17C\uD184\uD188\uD1A0\uD1A1\uD1A4\uD1A8\uD1B0\uD1B1\uD1B3\uD1B5\uD1BA\uD1BC\uD1C0\uD1D8\uD1F4\uD1F8\uD207\uD209\uD210\uD22C\uD22D\uD230\uD234\uD23C\uD23D\uD23F\uD241\uD248\uD25C"],
      ["c641", "\uD78D\uD78E\uD78F\uD791", 6, "\uD79A\uD79C\uD79E", 5],
      ["c6a1", "\uD264\uD280\uD281\uD284\uD288\uD290\uD291\uD295\uD29C\uD2A0\uD2A4\uD2AC\uD2B1\uD2B8\uD2B9\uD2BC\uD2BF\uD2C0\uD2C2\uD2C8\uD2C9\uD2CB\uD2D4\uD2D8\uD2DC\uD2E4\uD2E5\uD2F0\uD2F1\uD2F4\uD2F8\uD300\uD301\uD303\uD305\uD30C\uD30D\uD30E\uD310\uD314\uD316\uD31C\uD31D\uD31F\uD320\uD321\uD325\uD328\uD329\uD32C\uD330\uD338\uD339\uD33B\uD33C\uD33D\uD344\uD345\uD37C\uD37D\uD380\uD384\uD38C\uD38D\uD38F\uD390\uD391\uD398\uD399\uD39C\uD3A0\uD3A8\uD3A9\uD3AB\uD3AD\uD3B4\uD3B8\uD3BC\uD3C4\uD3C5\uD3C8\uD3C9\uD3D0\uD3D8\uD3E1\uD3E3\uD3EC\uD3ED\uD3F0\uD3F4\uD3FC\uD3FD\uD3FF\uD401"],
      ["c7a1", "\uD408\uD41D\uD440\uD444\uD45C\uD460\uD464\uD46D\uD46F\uD478\uD479\uD47C\uD47F\uD480\uD482\uD488\uD489\uD48B\uD48D\uD494\uD4A9\uD4CC\uD4D0\uD4D4\uD4DC\uD4DF\uD4E8\uD4EC\uD4F0\uD4F8\uD4FB\uD4FD\uD504\uD508\uD50C\uD514\uD515\uD517\uD53C\uD53D\uD540\uD544\uD54C\uD54D\uD54F\uD551\uD558\uD559\uD55C\uD560\uD565\uD568\uD569\uD56B\uD56D\uD574\uD575\uD578\uD57C\uD584\uD585\uD587\uD588\uD589\uD590\uD5A5\uD5C8\uD5C9\uD5CC\uD5D0\uD5D2\uD5D8\uD5D9\uD5DB\uD5DD\uD5E4\uD5E5\uD5E8\uD5EC\uD5F4\uD5F5\uD5F7\uD5F9\uD600\uD601\uD604\uD608\uD610\uD611\uD613\uD614\uD615\uD61C\uD620"],
      ["c8a1", "\uD624\uD62D\uD638\uD639\uD63C\uD640\uD645\uD648\uD649\uD64B\uD64D\uD651\uD654\uD655\uD658\uD65C\uD667\uD669\uD670\uD671\uD674\uD683\uD685\uD68C\uD68D\uD690\uD694\uD69D\uD69F\uD6A1\uD6A8\uD6AC\uD6B0\uD6B9\uD6BB\uD6C4\uD6C5\uD6C8\uD6CC\uD6D1\uD6D4\uD6D7\uD6D9\uD6E0\uD6E4\uD6E8\uD6F0\uD6F5\uD6FC\uD6FD\uD700\uD704\uD711\uD718\uD719\uD71C\uD720\uD728\uD729\uD72B\uD72D\uD734\uD735\uD738\uD73C\uD744\uD747\uD749\uD750\uD751\uD754\uD756\uD757\uD758\uD759\uD760\uD761\uD763\uD765\uD769\uD76C\uD770\uD774\uD77C\uD77D\uD781\uD788\uD789\uD78C\uD790\uD798\uD799\uD79B\uD79D"],
      ["caa1", "\u4F3D\u4F73\u5047\u50F9\u52A0\u53EF\u5475\u54E5\u5609\u5AC1\u5BB6\u6687\u67B6\u67B7\u67EF\u6B4C\u73C2\u75C2\u7A3C\u82DB\u8304\u8857\u8888\u8A36\u8CC8\u8DCF\u8EFB\u8FE6\u99D5\u523B\u5374\u5404\u606A\u6164\u6BBC\u73CF\u811A\u89BA\u89D2\u95A3\u4F83\u520A\u58BE\u5978\u59E6\u5E72\u5E79\u61C7\u63C0\u6746\u67EC\u687F\u6F97\u764E\u770B\u78F5\u7A08\u7AFF\u7C21\u809D\u826E\u8271\u8AEB\u9593\u4E6B\u559D\u66F7\u6E34\u78A3\u7AED\u845B\u8910\u874E\u97A8\u52D8\u574E\u582A\u5D4C\u611F\u61BE\u6221\u6562\u67D1\u6A44\u6E1B\u7518\u75B3\u76E3\u77B0\u7D3A\u90AF\u9451\u9452\u9F95"],
      ["cba1", "\u5323\u5CAC\u7532\u80DB\u9240\u9598\u525B\u5808\u59DC\u5CA1\u5D17\u5EB7\u5F3A\u5F4A\u6177\u6C5F\u757A\u7586\u7CE0\u7D73\u7DB1\u7F8C\u8154\u8221\u8591\u8941\u8B1B\u92FC\u964D\u9C47\u4ECB\u4EF7\u500B\u51F1\u584F\u6137\u613E\u6168\u6539\u69EA\u6F11\u75A5\u7686\u76D6\u7B87\u82A5\u84CB\uF900\u93A7\u958B\u5580\u5BA2\u5751\uF901\u7CB3\u7FB9\u91B5\u5028\u53BB\u5C45\u5DE8\u62D2\u636E\u64DA\u64E7\u6E20\u70AC\u795B\u8DDD\u8E1E\uF902\u907D\u9245\u92F8\u4E7E\u4EF6\u5065\u5DFE\u5EFA\u6106\u6957\u8171\u8654\u8E47\u9375\u9A2B\u4E5E\u5091\u6770\u6840\u5109\u528D\u5292\u6AA2"],
      ["cca1", "\u77BC\u9210\u9ED4\u52AB\u602F\u8FF2\u5048\u61A9\u63ED\u64CA\u683C\u6A84\u6FC0\u8188\u89A1\u9694\u5805\u727D\u72AC\u7504\u7D79\u7E6D\u80A9\u898B\u8B74\u9063\u9D51\u6289\u6C7A\u6F54\u7D50\u7F3A\u8A23\u517C\u614A\u7B9D\u8B19\u9257\u938C\u4EAC\u4FD3\u501E\u50BE\u5106\u52C1\u52CD\u537F\u5770\u5883\u5E9A\u5F91\u6176\u61AC\u64CE\u656C\u666F\u66BB\u66F4\u6897\u6D87\u7085\u70F1\u749F\u74A5\u74CA\u75D9\u786C\u78EC\u7ADF\u7AF6\u7D45\u7D93\u8015\u803F\u811B\u8396\u8B66\u8F15\u9015\u93E1\u9803\u9838\u9A5A\u9BE8\u4FC2\u5553\u583A\u5951\u5B63\u5C46\u60B8\u6212\u6842\u68B0"],
      ["cda1", "\u68E8\u6EAA\u754C\u7678\u78CE\u7A3D\u7CFB\u7E6B\u7E7C\u8A08\u8AA1\u8C3F\u968E\u9DC4\u53E4\u53E9\u544A\u5471\u56FA\u59D1\u5B64\u5C3B\u5EAB\u62F7\u6537\u6545\u6572\u66A0\u67AF\u69C1\u6CBD\u75FC\u7690\u777E\u7A3F\u7F94\u8003\u80A1\u818F\u82E6\u82FD\u83F0\u85C1\u8831\u88B4\u8AA5\uF903\u8F9C\u932E\u96C7\u9867\u9AD8\u9F13\u54ED\u659B\u66F2\u688F\u7A40\u8C37\u9D60\u56F0\u5764\u5D11\u6606\u68B1\u68CD\u6EFE\u7428\u889E\u9BE4\u6C68\uF904\u9AA8\u4F9B\u516C\u5171\u529F\u5B54\u5DE5\u6050\u606D\u62F1\u63A7\u653B\u73D9\u7A7A\u86A3\u8CA2\u978F\u4E32\u5BE1\u6208\u679C\u74DC"],
      ["cea1", "\u79D1\u83D3\u8A87\u8AB2\u8DE8\u904E\u934B\u9846\u5ED3\u69E8\u85FF\u90ED\uF905\u51A0\u5B98\u5BEC\u6163\u68FA\u6B3E\u704C\u742F\u74D8\u7BA1\u7F50\u83C5\u89C0\u8CAB\u95DC\u9928\u522E\u605D\u62EC\u9002\u4F8A\u5149\u5321\u58D9\u5EE3\u66E0\u6D38\u709A\u72C2\u73D6\u7B50\u80F1\u945B\u5366\u639B\u7F6B\u4E56\u5080\u584A\u58DE\u602A\u6127\u62D0\u69D0\u9B41\u5B8F\u7D18\u80B1\u8F5F\u4EA4\u50D1\u54AC\u55AC\u5B0C\u5DA0\u5DE7\u652A\u654E\u6821\u6A4B\u72E1\u768E\u77EF\u7D5E\u7FF9\u81A0\u854E\u86DF\u8F03\u8F4E\u90CA\u9903\u9A55\u9BAB\u4E18\u4E45\u4E5D\u4EC7\u4FF1\u5177\u52FE"],
      ["cfa1", "\u5340\u53E3\u53E5\u548E\u5614\u5775\u57A2\u5BC7\u5D87\u5ED0\u61FC\u62D8\u6551\u67B8\u67E9\u69CB\u6B50\u6BC6\u6BEC\u6C42\u6E9D\u7078\u72D7\u7396\u7403\u77BF\u77E9\u7A76\u7D7F\u8009\u81FC\u8205\u820A\u82DF\u8862\u8B33\u8CFC\u8EC0\u9011\u90B1\u9264\u92B6\u99D2\u9A45\u9CE9\u9DD7\u9F9C\u570B\u5C40\u83CA\u97A0\u97AB\u9EB4\u541B\u7A98\u7FA4\u88D9\u8ECD\u90E1\u5800\u5C48\u6398\u7A9F\u5BAE\u5F13\u7A79\u7AAE\u828E\u8EAC\u5026\u5238\u52F8\u5377\u5708\u62F3\u6372\u6B0A\u6DC3\u7737\u53A5\u7357\u8568\u8E76\u95D5\u673A\u6AC3\u6F70\u8A6D\u8ECC\u994B\uF906\u6677\u6B78\u8CB4"],
      ["d0a1", "\u9B3C\uF907\u53EB\u572D\u594E\u63C6\u69FB\u73EA\u7845\u7ABA\u7AC5\u7CFE\u8475\u898F\u8D73\u9035\u95A8\u52FB\u5747\u7547\u7B60\u83CC\u921E\uF908\u6A58\u514B\u524B\u5287\u621F\u68D8\u6975\u9699\u50C5\u52A4\u52E4\u61C3\u65A4\u6839\u69FF\u747E\u7B4B\u82B9\u83EB\u89B2\u8B39\u8FD1\u9949\uF909\u4ECA\u5997\u64D2\u6611\u6A8E\u7434\u7981\u79BD\u82A9\u887E\u887F\u895F\uF90A\u9326\u4F0B\u53CA\u6025\u6271\u6C72\u7D1A\u7D66\u4E98\u5162\u77DC\u80AF\u4F01\u4F0E\u5176\u5180\u55DC\u5668\u573B\u57FA\u57FC\u5914\u5947\u5993\u5BC4\u5C90\u5D0E\u5DF1\u5E7E\u5FCC\u6280\u65D7\u65E3"],
      ["d1a1", "\u671E\u671F\u675E\u68CB\u68C4\u6A5F\u6B3A\u6C23\u6C7D\u6C82\u6DC7\u7398\u7426\u742A\u7482\u74A3\u7578\u757F\u7881\u78EF\u7941\u7947\u7948\u797A\u7B95\u7D00\u7DBA\u7F88\u8006\u802D\u808C\u8A18\u8B4F\u8C48\u8D77\u9321\u9324\u98E2\u9951\u9A0E\u9A0F\u9A65\u9E92\u7DCA\u4F76\u5409\u62EE\u6854\u91D1\u55AB\u513A\uF90B\uF90C\u5A1C\u61E6\uF90D\u62CF\u62FF\uF90E", 5, "\u90A3\uF914", 4, "\u8AFE\uF919\uF91A\uF91B\uF91C\u6696\uF91D\u7156\uF91E\uF91F\u96E3\uF920\u634F\u637A\u5357\uF921\u678F\u6960\u6E73\uF922\u7537\uF923\uF924\uF925"],
      ["d2a1", "\u7D0D\uF926\uF927\u8872\u56CA\u5A18\uF928", 4, "\u4E43\uF92D\u5167\u5948\u67F0\u8010\uF92E\u5973\u5E74\u649A\u79CA\u5FF5\u606C\u62C8\u637B\u5BE7\u5BD7\u52AA\uF92F\u5974\u5F29\u6012\uF930\uF931\uF932\u7459\uF933", 5, "\u99D1\uF939", 10, "\u6FC3\uF944\uF945\u81BF\u8FB2\u60F1\uF946\uF947\u8166\uF948\uF949\u5C3F\uF94A", 7, "\u5AE9\u8A25\u677B\u7D10\uF952", 5, "\u80FD\uF958\uF959\u5C3C\u6CE5\u533F\u6EBA\u591A\u8336"],
      ["d3a1", "\u4E39\u4EB6\u4F46\u55AE\u5718\u58C7\u5F56\u65B7\u65E6\u6A80\u6BB5\u6E4D\u77ED\u7AEF\u7C1E\u7DDE\u86CB\u8892\u9132\u935B\u64BB\u6FBE\u737A\u75B8\u9054\u5556\u574D\u61BA\u64D4\u66C7\u6DE1\u6E5B\u6F6D\u6FB9\u75F0\u8043\u81BD\u8541\u8983\u8AC7\u8B5A\u931F\u6C93\u7553\u7B54\u8E0F\u905D\u5510\u5802\u5858\u5E62\u6207\u649E\u68E0\u7576\u7CD6\u87B3\u9EE8\u4EE3\u5788\u576E\u5927\u5C0D\u5CB1\u5E36\u5F85\u6234\u64E1\u73B3\u81FA\u888B\u8CB8\u968A\u9EDB\u5B85\u5FB7\u60B3\u5012\u5200\u5230\u5716\u5835\u5857\u5C0E\u5C60\u5CF6\u5D8B\u5EA6\u5F92\u60BC\u6311\u6389\u6417\u6843"],
      ["d4a1", "\u68F9\u6AC2\u6DD8\u6E21\u6ED4\u6FE4\u71FE\u76DC\u7779\u79B1\u7A3B\u8404\u89A9\u8CED\u8DF3\u8E48\u9003\u9014\u9053\u90FD\u934D\u9676\u97DC\u6BD2\u7006\u7258\u72A2\u7368\u7763\u79BF\u7BE4\u7E9B\u8B80\u58A9\u60C7\u6566\u65FD\u66BE\u6C8C\u711E\u71C9\u8C5A\u9813\u4E6D\u7A81\u4EDD\u51AC\u51CD\u52D5\u540C\u61A7\u6771\u6850\u68DF\u6D1E\u6F7C\u75BC\u77B3\u7AE5\u80F4\u8463\u9285\u515C\u6597\u675C\u6793\u75D8\u7AC7\u8373\uF95A\u8C46\u9017\u982D\u5C6F\u81C0\u829A\u9041\u906F\u920D\u5F97\u5D9D\u6A59\u71C8\u767B\u7B49\u85E4\u8B04\u9127\u9A30\u5587\u61F6\uF95B\u7669\u7F85"],
      ["d5a1", "\u863F\u87BA\u88F8\u908F\uF95C\u6D1B\u70D9\u73DE\u7D61\u843D\uF95D\u916A\u99F1\uF95E\u4E82\u5375\u6B04\u6B12\u703E\u721B\u862D\u9E1E\u524C\u8FA3\u5D50\u64E5\u652C\u6B16\u6FEB\u7C43\u7E9C\u85CD\u8964\u89BD\u62C9\u81D8\u881F\u5ECA\u6717\u6D6A\u72FC\u7405\u746F\u8782\u90DE\u4F86\u5D0D\u5FA0\u840A\u51B7\u63A0\u7565\u4EAE\u5006\u5169\u51C9\u6881\u6A11\u7CAE\u7CB1\u7CE7\u826F\u8AD2\u8F1B\u91CF\u4FB6\u5137\u52F5\u5442\u5EEC\u616E\u623E\u65C5\u6ADA\u6FFE\u792A\u85DC\u8823\u95AD\u9A62\u9A6A\u9E97\u9ECE\u529B\u66C6\u6B77\u701D\u792B\u8F62\u9742\u6190\u6200\u6523\u6F23"],
      ["d6a1", "\u7149\u7489\u7DF4\u806F\u84EE\u8F26\u9023\u934A\u51BD\u5217\u52A3\u6D0C\u70C8\u88C2\u5EC9\u6582\u6BAE\u6FC2\u7C3E\u7375\u4EE4\u4F36\u56F9\uF95F\u5CBA\u5DBA\u601C\u73B2\u7B2D\u7F9A\u7FCE\u8046\u901E\u9234\u96F6\u9748\u9818\u9F61\u4F8B\u6FA7\u79AE\u91B4\u96B7\u52DE\uF960\u6488\u64C4\u6AD3\u6F5E\u7018\u7210\u76E7\u8001\u8606\u865C\u8DEF\u8F05\u9732\u9B6F\u9DFA\u9E75\u788C\u797F\u7DA0\u83C9\u9304\u9E7F\u9E93\u8AD6\u58DF\u5F04\u6727\u7027\u74CF\u7C60\u807E\u5121\u7028\u7262\u78CA\u8CC2\u8CDA\u8CF4\u96F7\u4E86\u50DA\u5BEE\u5ED6\u6599\u71CE\u7642\u77AD\u804A\u84FC"],
      ["d7a1", "\u907C\u9B27\u9F8D\u58D8\u5A41\u5C62\u6A13\u6DDA\u6F0F\u763B\u7D2F\u7E37\u851E\u8938\u93E4\u964B\u5289\u65D2\u67F3\u69B4\u6D41\u6E9C\u700F\u7409\u7460\u7559\u7624\u786B\u8B2C\u985E\u516D\u622E\u9678\u4F96\u502B\u5D19\u6DEA\u7DB8\u8F2A\u5F8B\u6144\u6817\uF961\u9686\u52D2\u808B\u51DC\u51CC\u695E\u7A1C\u7DBE\u83F1\u9675\u4FDA\u5229\u5398\u540F\u550E\u5C65\u60A7\u674E\u68A8\u6D6C\u7281\u72F8\u7406\u7483\uF962\u75E2\u7C6C\u7F79\u7FB8\u8389\u88CF\u88E1\u91CC\u91D0\u96E2\u9BC9\u541D\u6F7E\u71D0\u7498\u85FA\u8EAA\u96A3\u9C57\u9E9F\u6797\u6DCB\u7433\u81E8\u9716\u782C"],
      ["d8a1", "\u7ACB\u7B20\u7C92\u6469\u746A\u75F2\u78BC\u78E8\u99AC\u9B54\u9EBB\u5BDE\u5E55\u6F20\u819C\u83AB\u9088\u4E07\u534D\u5A29\u5DD2\u5F4E\u6162\u633D\u6669\u66FC\u6EFF\u6F2B\u7063\u779E\u842C\u8513\u883B\u8F13\u9945\u9C3B\u551C\u62B9\u672B\u6CAB\u8309\u896A\u977A\u4EA1\u5984\u5FD8\u5FD9\u671B\u7DB2\u7F54\u8292\u832B\u83BD\u8F1E\u9099\u57CB\u59B9\u5A92\u5BD0\u6627\u679A\u6885\u6BCF\u7164\u7F75\u8CB7\u8CE3\u9081\u9B45\u8108\u8C8A\u964C\u9A40\u9EA5\u5B5F\u6C13\u731B\u76F2\u76DF\u840C\u51AA\u8993\u514D\u5195\u52C9\u68C9\u6C94\u7704\u7720\u7DBF\u7DEC\u9762\u9EB5\u6EC5"],
      ["d9a1", "\u8511\u51A5\u540D\u547D\u660E\u669D\u6927\u6E9F\u76BF\u7791\u8317\u84C2\u879F\u9169\u9298\u9CF4\u8882\u4FAE\u5192\u52DF\u59C6\u5E3D\u6155\u6478\u6479\u66AE\u67D0\u6A21\u6BCD\u6BDB\u725F\u7261\u7441\u7738\u77DB\u8017\u82BC\u8305\u8B00\u8B28\u8C8C\u6728\u6C90\u7267\u76EE\u7766\u7A46\u9DA9\u6B7F\u6C92\u5922\u6726\u8499\u536F\u5893\u5999\u5EDF\u63CF\u6634\u6773\u6E3A\u732B\u7AD7\u82D7\u9328\u52D9\u5DEB\u61AE\u61CB\u620A\u62C7\u64AB\u65E0\u6959\u6B66\u6BCB\u7121\u73F7\u755D\u7E46\u821E\u8302\u856A\u8AA3\u8CBF\u9727\u9D61\u58A8\u9ED8\u5011\u520E\u543B\u554F\u6587"],
      ["daa1", "\u6C76\u7D0A\u7D0B\u805E\u868A\u9580\u96EF\u52FF\u6C95\u7269\u5473\u5A9A\u5C3E\u5D4B\u5F4C\u5FAE\u672A\u68B6\u6963\u6E3C\u6E44\u7709\u7C73\u7F8E\u8587\u8B0E\u8FF7\u9761\u9EF4\u5CB7\u60B6\u610D\u61AB\u654F\u65FB\u65FC\u6C11\u6CEF\u739F\u73C9\u7DE1\u9594\u5BC6\u871C\u8B10\u525D\u535A\u62CD\u640F\u64B2\u6734\u6A38\u6CCA\u73C0\u749E\u7B94\u7C95\u7E1B\u818A\u8236\u8584\u8FEB\u96F9\u99C1\u4F34\u534A\u53CD\u53DB\u62CC\u642C\u6500\u6591\u69C3\u6CEE\u6F58\u73ED\u7554\u7622\u76E4\u76FC\u78D0\u78FB\u792C\u7D46\u822C\u87E0\u8FD4\u9812\u98EF\u52C3\u62D4\u64A5\u6E24\u6F51"],
      ["dba1", "\u767C\u8DCB\u91B1\u9262\u9AEE\u9B43\u5023\u508D\u574A\u59A8\u5C28\u5E47\u5F77\u623F\u653E\u65B9\u65C1\u6609\u678B\u699C\u6EC2\u78C5\u7D21\u80AA\u8180\u822B\u82B3\u84A1\u868C\u8A2A\u8B17\u90A6\u9632\u9F90\u500D\u4FF3\uF963\u57F9\u5F98\u62DC\u6392\u676F\u6E43\u7119\u76C3\u80CC\u80DA\u88F4\u88F5\u8919\u8CE0\u8F29\u914D\u966A\u4F2F\u4F70\u5E1B\u67CF\u6822\u767D\u767E\u9B44\u5E61\u6A0A\u7169\u71D4\u756A\uF964\u7E41\u8543\u85E9\u98DC\u4F10\u7B4F\u7F70\u95A5\u51E1\u5E06\u68B5\u6C3E\u6C4E\u6CDB\u72AF\u7BC4\u8303\u6CD5\u743A\u50FB\u5288\u58C1\u64D8\u6A97\u74A7\u7656"],
      ["dca1", "\u78A7\u8617\u95E2\u9739\uF965\u535E\u5F01\u8B8A\u8FA8\u8FAF\u908A\u5225\u77A5\u9C49\u9F08\u4E19\u5002\u5175\u5C5B\u5E77\u661E\u663A\u67C4\u68C5\u70B3\u7501\u75C5\u79C9\u7ADD\u8F27\u9920\u9A08\u4FDD\u5821\u5831\u5BF6\u666E\u6B65\u6D11\u6E7A\u6F7D\u73E4\u752B\u83E9\u88DC\u8913\u8B5C\u8F14\u4F0F\u50D5\u5310\u535C\u5B93\u5FA9\u670D\u798F\u8179\u832F\u8514\u8907\u8986\u8F39\u8F3B\u99A5\u9C12\u672C\u4E76\u4FF8\u5949\u5C01\u5CEF\u5CF0\u6367\u68D2\u70FD\u71A2\u742B\u7E2B\u84EC\u8702\u9022\u92D2\u9CF3\u4E0D\u4ED8\u4FEF\u5085\u5256\u526F\u5426\u5490\u57E0\u592B\u5A66"],
      ["dda1", "\u5B5A\u5B75\u5BCC\u5E9C\uF966\u6276\u6577\u65A7\u6D6E\u6EA5\u7236\u7B26\u7C3F\u7F36\u8150\u8151\u819A\u8240\u8299\u83A9\u8A03\u8CA0\u8CE6\u8CFB\u8D74\u8DBA\u90E8\u91DC\u961C\u9644\u99D9\u9CE7\u5317\u5206\u5429\u5674\u58B3\u5954\u596E\u5FFF\u61A4\u626E\u6610\u6C7E\u711A\u76C6\u7C89\u7CDE\u7D1B\u82AC\u8CC1\u96F0\uF967\u4F5B\u5F17\u5F7F\u62C2\u5D29\u670B\u68DA\u787C\u7E43\u9D6C\u4E15\u5099\u5315\u532A\u5351\u5983\u5A62\u5E87\u60B2\u618A\u6249\u6279\u6590\u6787\u69A7\u6BD4\u6BD6\u6BD7\u6BD8\u6CB8\uF968\u7435\u75FA\u7812\u7891\u79D5\u79D8\u7C83\u7DCB\u7FE1\u80A5"],
      ["dea1", "\u813E\u81C2\u83F2\u871A\u88E8\u8AB9\u8B6C\u8CBB\u9119\u975E\u98DB\u9F3B\u56AC\u5B2A\u5F6C\u658C\u6AB3\u6BAF\u6D5C\u6FF1\u7015\u725D\u73AD\u8CA7\u8CD3\u983B\u6191\u6C37\u8058\u9A01\u4E4D\u4E8B\u4E9B\u4ED5\u4F3A\u4F3C\u4F7F\u4FDF\u50FF\u53F2\u53F8\u5506\u55E3\u56DB\u58EB\u5962\u5A11\u5BEB\u5BFA\u5C04\u5DF3\u5E2B\u5F99\u601D\u6368\u659C\u65AF\u67F6\u67FB\u68AD\u6B7B\u6C99\u6CD7\u6E23\u7009\u7345\u7802\u793E\u7940\u7960\u79C1\u7BE9\u7D17\u7D72\u8086\u820D\u838E\u84D1\u86C7\u88DF\u8A50\u8A5E\u8B1D\u8CDC\u8D66\u8FAD\u90AA\u98FC\u99DF\u9E9D\u524A\uF969\u6714\uF96A"],
      ["dfa1", "\u5098\u522A\u5C71\u6563\u6C55\u73CA\u7523\u759D\u7B97\u849C\u9178\u9730\u4E77\u6492\u6BBA\u715E\u85A9\u4E09\uF96B\u6749\u68EE\u6E17\u829F\u8518\u886B\u63F7\u6F81\u9212\u98AF\u4E0A\u50B7\u50CF\u511F\u5546\u55AA\u5617\u5B40\u5C19\u5CE0\u5E38\u5E8A\u5EA0\u5EC2\u60F3\u6851\u6A61\u6E58\u723D\u7240\u72C0\u76F8\u7965\u7BB1\u7FD4\u88F3\u89F4\u8A73\u8C61\u8CDE\u971C\u585E\u74BD\u8CFD\u55C7\uF96C\u7A61\u7D22\u8272\u7272\u751F\u7525\uF96D\u7B19\u5885\u58FB\u5DBC\u5E8F\u5EB6\u5F90\u6055\u6292\u637F\u654D\u6691\u66D9\u66F8\u6816\u68F2\u7280\u745E\u7B6E\u7D6E\u7DD6\u7F72"],
      ["e0a1", "\u80E5\u8212\u85AF\u897F\u8A93\u901D\u92E4\u9ECD\u9F20\u5915\u596D\u5E2D\u60DC\u6614\u6673\u6790\u6C50\u6DC5\u6F5F\u77F3\u78A9\u84C6\u91CB\u932B\u4ED9\u50CA\u5148\u5584\u5B0B\u5BA3\u6247\u657E\u65CB\u6E32\u717D\u7401\u7444\u7487\u74BF\u766C\u79AA\u7DDA\u7E55\u7FA8\u817A\u81B3\u8239\u861A\u87EC\u8A75\u8DE3\u9078\u9291\u9425\u994D\u9BAE\u5368\u5C51\u6954\u6CC4\u6D29\u6E2B\u820C\u859B\u893B\u8A2D\u8AAA\u96EA\u9F67\u5261\u66B9\u6BB2\u7E96\u87FE\u8D0D\u9583\u965D\u651D\u6D89\u71EE\uF96E\u57CE\u59D3\u5BAC\u6027\u60FA\u6210\u661F\u665F\u7329\u73F9\u76DB\u7701\u7B6C"],
      ["e1a1", "\u8056\u8072\u8165\u8AA0\u9192\u4E16\u52E2\u6B72\u6D17\u7A05\u7B39\u7D30\uF96F\u8CB0\u53EC\u562F\u5851\u5BB5\u5C0F\u5C11\u5DE2\u6240\u6383\u6414\u662D\u68B3\u6CBC\u6D88\u6EAF\u701F\u70A4\u71D2\u7526\u758F\u758E\u7619\u7B11\u7BE0\u7C2B\u7D20\u7D39\u852C\u856D\u8607\u8A34\u900D\u9061\u90B5\u92B7\u97F6\u9A37\u4FD7\u5C6C\u675F\u6D91\u7C9F\u7E8C\u8B16\u8D16\u901F\u5B6B\u5DFD\u640D\u84C0\u905C\u98E1\u7387\u5B8B\u609A\u677E\u6DDE\u8A1F\u8AA6\u9001\u980C\u5237\uF970\u7051\u788E\u9396\u8870\u91D7\u4FEE\u53D7\u55FD\u56DA\u5782\u58FD\u5AC2\u5B88\u5CAB\u5CC0\u5E25\u6101"],
      ["e2a1", "\u620D\u624B\u6388\u641C\u6536\u6578\u6A39\u6B8A\u6C34\u6D19\u6F31\u71E7\u72E9\u7378\u7407\u74B2\u7626\u7761\u79C0\u7A57\u7AEA\u7CB9\u7D8F\u7DAC\u7E61\u7F9E\u8129\u8331\u8490\u84DA\u85EA\u8896\u8AB0\u8B90\u8F38\u9042\u9083\u916C\u9296\u92B9\u968B\u96A7\u96A8\u96D6\u9700\u9808\u9996\u9AD3\u9B1A\u53D4\u587E\u5919\u5B70\u5BBF\u6DD1\u6F5A\u719F\u7421\u74B9\u8085\u83FD\u5DE1\u5F87\u5FAA\u6042\u65EC\u6812\u696F\u6A53\u6B89\u6D35\u6DF3\u73E3\u76FE\u77AC\u7B4D\u7D14\u8123\u821C\u8340\u84F4\u8563\u8A62\u8AC4\u9187\u931E\u9806\u99B4\u620C\u8853\u8FF0\u9265\u5D07\u5D27"],
      ["e3a1", "\u5D69\u745F\u819D\u8768\u6FD5\u62FE\u7FD2\u8936\u8972\u4E1E\u4E58\u50E7\u52DD\u5347\u627F\u6607\u7E69\u8805\u965E\u4F8D\u5319\u5636\u59CB\u5AA4\u5C38\u5C4E\u5C4D\u5E02\u5F11\u6043\u65BD\u662F\u6642\u67BE\u67F4\u731C\u77E2\u793A\u7FC5\u8494\u84CD\u8996\u8A66\u8A69\u8AE1\u8C55\u8C7A\u57F4\u5BD4\u5F0F\u606F\u62ED\u690D\u6B96\u6E5C\u7184\u7BD2\u8755\u8B58\u8EFE\u98DF\u98FE\u4F38\u4F81\u4FE1\u547B\u5A20\u5BB8\u613C\u65B0\u6668\u71FC\u7533\u795E\u7D33\u814E\u81E3\u8398\u85AA\u85CE\u8703\u8A0A\u8EAB\u8F9B\uF971\u8FC5\u5931\u5BA4\u5BE6\u6089\u5BE9\u5C0B\u5FC3\u6C81"],
      ["e4a1", "\uF972\u6DF1\u700B\u751A\u82AF\u8AF6\u4EC0\u5341\uF973\u96D9\u6C0F\u4E9E\u4FC4\u5152\u555E\u5A25\u5CE8\u6211\u7259\u82BD\u83AA\u86FE\u8859\u8A1D\u963F\u96C5\u9913\u9D09\u9D5D\u580A\u5CB3\u5DBD\u5E44\u60E1\u6115\u63E1\u6A02\u6E25\u9102\u9354\u984E\u9C10\u9F77\u5B89\u5CB8\u6309\u664F\u6848\u773C\u96C1\u978D\u9854\u9B9F\u65A1\u8B01\u8ECB\u95BC\u5535\u5CA9\u5DD6\u5EB5\u6697\u764C\u83F4\u95C7\u58D3\u62BC\u72CE\u9D28\u4EF0\u592E\u600F\u663B\u6B83\u79E7\u9D26\u5393\u54C0\u57C3\u5D16\u611B\u66D6\u6DAF\u788D\u827E\u9698\u9744\u5384\u627C\u6396\u6DB2\u7E0A\u814B\u984D"],
      ["e5a1", "\u6AFB\u7F4C\u9DAF\u9E1A\u4E5F\u503B\u51B6\u591C\u60F9\u63F6\u6930\u723A\u8036\uF974\u91CE\u5F31\uF975\uF976\u7D04\u82E5\u846F\u84BB\u85E5\u8E8D\uF977\u4F6F\uF978\uF979\u58E4\u5B43\u6059\u63DA\u6518\u656D\u6698\uF97A\u694A\u6A23\u6D0B\u7001\u716C\u75D2\u760D\u79B3\u7A70\uF97B\u7F8A\uF97C\u8944\uF97D\u8B93\u91C0\u967D\uF97E\u990A\u5704\u5FA1\u65BC\u6F01\u7600\u79A6\u8A9E\u99AD\u9B5A\u9F6C\u5104\u61B6\u6291\u6A8D\u81C6\u5043\u5830\u5F66\u7109\u8A00\u8AFA\u5B7C\u8616\u4FFA\u513C\u56B4\u5944\u63A9\u6DF9\u5DAA\u696D\u5186\u4E88\u4F59\uF97F\uF980\uF981\u5982\uF982"],
      ["e6a1", "\uF983\u6B5F\u6C5D\uF984\u74B5\u7916\uF985\u8207\u8245\u8339\u8F3F\u8F5D\uF986\u9918\uF987\uF988\uF989\u4EA6\uF98A\u57DF\u5F79\u6613\uF98B\uF98C\u75AB\u7E79\u8B6F\uF98D\u9006\u9A5B\u56A5\u5827\u59F8\u5A1F\u5BB4\uF98E\u5EF6\uF98F\uF990\u6350\u633B\uF991\u693D\u6C87\u6CBF\u6D8E\u6D93\u6DF5\u6F14\uF992\u70DF\u7136\u7159\uF993\u71C3\u71D5\uF994\u784F\u786F\uF995\u7B75\u7DE3\uF996\u7E2F\uF997\u884D\u8EDF\uF998\uF999\uF99A\u925B\uF99B\u9CF6\uF99C\uF99D\uF99E\u6085\u6D85\uF99F\u71B1\uF9A0\uF9A1\u95B1\u53AD\uF9A2\uF9A3\uF9A4\u67D3\uF9A5\u708E\u7130\u7430\u8276\u82D2"],
      ["e7a1", "\uF9A6\u95BB\u9AE5\u9E7D\u66C4\uF9A7\u71C1\u8449\uF9A8\uF9A9\u584B\uF9AA\uF9AB\u5DB8\u5F71\uF9AC\u6620\u668E\u6979\u69AE\u6C38\u6CF3\u6E36\u6F41\u6FDA\u701B\u702F\u7150\u71DF\u7370\uF9AD\u745B\uF9AE\u74D4\u76C8\u7A4E\u7E93\uF9AF\uF9B0\u82F1\u8A60\u8FCE\uF9B1\u9348\uF9B2\u9719\uF9B3\uF9B4\u4E42\u502A\uF9B5\u5208\u53E1\u66F3\u6C6D\u6FCA\u730A\u777F\u7A62\u82AE\u85DD\u8602\uF9B6\u88D4\u8A63\u8B7D\u8C6B\uF9B7\u92B3\uF9B8\u9713\u9810\u4E94\u4F0D\u4FC9\u50B2\u5348\u543E\u5433\u55DA\u5862\u58BA\u5967\u5A1B\u5BE4\u609F\uF9B9\u61CA\u6556\u65FF\u6664\u68A7\u6C5A\u6FB3"],
      ["e8a1", "\u70CF\u71AC\u7352\u7B7D\u8708\u8AA4\u9C32\u9F07\u5C4B\u6C83\u7344\u7389\u923A\u6EAB\u7465\u761F\u7A69\u7E15\u860A\u5140\u58C5\u64C1\u74EE\u7515\u7670\u7FC1\u9095\u96CD\u9954\u6E26\u74E6\u7AA9\u7AAA\u81E5\u86D9\u8778\u8A1B\u5A49\u5B8C\u5B9B\u68A1\u6900\u6D63\u73A9\u7413\u742C\u7897\u7DE9\u7FEB\u8118\u8155\u839E\u8C4C\u962E\u9811\u66F0\u5F80\u65FA\u6789\u6C6A\u738B\u502D\u5A03\u6B6A\u77EE\u5916\u5D6C\u5DCD\u7325\u754F\uF9BA\uF9BB\u50E5\u51F9\u582F\u592D\u5996\u59DA\u5BE5\uF9BC\uF9BD\u5DA2\u62D7\u6416\u6493\u64FE\uF9BE\u66DC\uF9BF\u6A48\uF9C0\u71FF\u7464\uF9C1"],
      ["e9a1", "\u7A88\u7AAF\u7E47\u7E5E\u8000\u8170\uF9C2\u87EF\u8981\u8B20\u9059\uF9C3\u9080\u9952\u617E\u6B32\u6D74\u7E1F\u8925\u8FB1\u4FD1\u50AD\u5197\u52C7\u57C7\u5889\u5BB9\u5EB8\u6142\u6995\u6D8C\u6E67\u6EB6\u7194\u7462\u7528\u752C\u8073\u8338\u84C9\u8E0A\u9394\u93DE\uF9C4\u4E8E\u4F51\u5076\u512A\u53C8\u53CB\u53F3\u5B87\u5BD3\u5C24\u611A\u6182\u65F4\u725B\u7397\u7440\u76C2\u7950\u7991\u79B9\u7D06\u7FBD\u828B\u85D5\u865E\u8FC2\u9047\u90F5\u91EA\u9685\u96E8\u96E9\u52D6\u5F67\u65ED\u6631\u682F\u715C\u7A36\u90C1\u980A\u4E91\uF9C5\u6A52\u6B9E\u6F90\u7189\u8018\u82B8\u8553"],
      ["eaa1", "\u904B\u9695\u96F2\u97FB\u851A\u9B31\u4E90\u718A\u96C4\u5143\u539F\u54E1\u5713\u5712\u57A3\u5A9B\u5AC4\u5BC3\u6028\u613F\u63F4\u6C85\u6D39\u6E72\u6E90\u7230\u733F\u7457\u82D1\u8881\u8F45\u9060\uF9C6\u9662\u9858\u9D1B\u6708\u8D8A\u925E\u4F4D\u5049\u50DE\u5371\u570D\u59D4\u5A01\u5C09\u6170\u6690\u6E2D\u7232\u744B\u7DEF\u80C3\u840E\u8466\u853F\u875F\u885B\u8918\u8B02\u9055\u97CB\u9B4F\u4E73\u4F91\u5112\u516A\uF9C7\u552F\u55A9\u5B7A\u5BA5\u5E7C\u5E7D\u5EBE\u60A0\u60DF\u6108\u6109\u63C4\u6538\u6709\uF9C8\u67D4\u67DA\uF9C9\u6961\u6962\u6CB9\u6D27\uF9CA\u6E38\uF9CB"],
      ["eba1", "\u6FE1\u7336\u7337\uF9CC\u745C\u7531\uF9CD\u7652\uF9CE\uF9CF\u7DAD\u81FE\u8438\u88D5\u8A98\u8ADB\u8AED\u8E30\u8E42\u904A\u903E\u907A\u9149\u91C9\u936E\uF9D0\uF9D1\u5809\uF9D2\u6BD3\u8089\u80B2\uF9D3\uF9D4\u5141\u596B\u5C39\uF9D5\uF9D6\u6F64\u73A7\u80E4\u8D07\uF9D7\u9217\u958F\uF9D8\uF9D9\uF9DA\uF9DB\u807F\u620E\u701C\u7D68\u878D\uF9DC\u57A0\u6069\u6147\u6BB7\u8ABE\u9280\u96B1\u4E59\u541F\u6DEB\u852D\u9670\u97F3\u98EE\u63D6\u6CE3\u9091\u51DD\u61C9\u81BA\u9DF9\u4F9D\u501A\u5100\u5B9C\u610F\u61FF\u64EC\u6905\u6BC5\u7591\u77E3\u7FA9\u8264\u858F\u87FB\u8863\u8ABC"],
      ["eca1", "\u8B70\u91AB\u4E8C\u4EE5\u4F0A\uF9DD\uF9DE\u5937\u59E8\uF9DF\u5DF2\u5F1B\u5F5B\u6021\uF9E0\uF9E1\uF9E2\uF9E3\u723E\u73E5\uF9E4\u7570\u75CD\uF9E5\u79FB\uF9E6\u800C\u8033\u8084\u82E1\u8351\uF9E7\uF9E8\u8CBD\u8CB3\u9087\uF9E9\uF9EA\u98F4\u990C\uF9EB\uF9EC\u7037\u76CA\u7FCA\u7FCC\u7FFC\u8B1A\u4EBA\u4EC1\u5203\u5370\uF9ED\u54BD\u56E0\u59FB\u5BC5\u5F15\u5FCD\u6E6E\uF9EE\uF9EF\u7D6A\u8335\uF9F0\u8693\u8A8D\uF9F1\u976D\u9777\uF9F2\uF9F3\u4E00\u4F5A\u4F7E\u58F9\u65E5\u6EA2\u9038\u93B0\u99B9\u4EFB\u58EC\u598A\u59D9\u6041\uF9F4\uF9F5\u7A14\uF9F6\u834F\u8CC3\u5165\u5344"],
      ["eda1", "\uF9F7\uF9F8\uF9F9\u4ECD\u5269\u5B55\u82BF\u4ED4\u523A\u54A8\u59C9\u59FF\u5B50\u5B57\u5B5C\u6063\u6148\u6ECB\u7099\u716E\u7386\u74F7\u75B5\u78C1\u7D2B\u8005\u81EA\u8328\u8517\u85C9\u8AEE\u8CC7\u96CC\u4F5C\u52FA\u56BC\u65AB\u6628\u707C\u70B8\u7235\u7DBD\u828D\u914C\u96C0\u9D72\u5B71\u68E7\u6B98\u6F7A\u76DE\u5C91\u66AB\u6F5B\u7BB4\u7C2A\u8836\u96DC\u4E08\u4ED7\u5320\u5834\u58BB\u58EF\u596C\u5C07\u5E33\u5E84\u5F35\u638C\u66B2\u6756\u6A1F\u6AA3\u6B0C\u6F3F\u7246\uF9FA\u7350\u748B\u7AE0\u7CA7\u8178\u81DF\u81E7\u838A\u846C\u8523\u8594\u85CF\u88DD\u8D13\u91AC\u9577"],
      ["eea1", "\u969C\u518D\u54C9\u5728\u5BB0\u624D\u6750\u683D\u6893\u6E3D\u6ED3\u707D\u7E21\u88C1\u8CA1\u8F09\u9F4B\u9F4E\u722D\u7B8F\u8ACD\u931A\u4F47\u4F4E\u5132\u5480\u59D0\u5E95\u62B5\u6775\u696E\u6A17\u6CAE\u6E1A\u72D9\u732A\u75BD\u7BB8\u7D35\u82E7\u83F9\u8457\u85F7\u8A5B\u8CAF\u8E87\u9019\u90B8\u96CE\u9F5F\u52E3\u540A\u5AE1\u5BC2\u6458\u6575\u6EF4\u72C4\uF9FB\u7684\u7A4D\u7B1B\u7C4D\u7E3E\u7FDF\u837B\u8B2B\u8CCA\u8D64\u8DE1\u8E5F\u8FEA\u8FF9\u9069\u93D1\u4F43\u4F7A\u50B3\u5168\u5178\u524D\u526A\u5861\u587C\u5960\u5C08\u5C55\u5EDB\u609B\u6230\u6813\u6BBF\u6C08\u6FB1"],
      ["efa1", "\u714E\u7420\u7530\u7538\u7551\u7672\u7B4C\u7B8B\u7BAD\u7BC6\u7E8F\u8A6E\u8F3E\u8F49\u923F\u9293\u9322\u942B\u96FB\u985A\u986B\u991E\u5207\u622A\u6298\u6D59\u7664\u7ACA\u7BC0\u7D76\u5360\u5CBE\u5E97\u6F38\u70B9\u7C98\u9711\u9B8E\u9EDE\u63A5\u647A\u8776\u4E01\u4E95\u4EAD\u505C\u5075\u5448\u59C3\u5B9A\u5E40\u5EAD\u5EF7\u5F81\u60C5\u633A\u653F\u6574\u65CC\u6676\u6678\u67FE\u6968\u6A89\u6B63\u6C40\u6DC0\u6DE8\u6E1F\u6E5E\u701E\u70A1\u738E\u73FD\u753A\u775B\u7887\u798E\u7A0B\u7A7D\u7CBE\u7D8E\u8247\u8A02\u8AEA\u8C9E\u912D\u914A\u91D8\u9266\u92CC\u9320\u9706\u9756"],
      ["f0a1", "\u975C\u9802\u9F0E\u5236\u5291\u557C\u5824\u5E1D\u5F1F\u608C\u63D0\u68AF\u6FDF\u796D\u7B2C\u81CD\u85BA\u88FD\u8AF8\u8E44\u918D\u9664\u969B\u973D\u984C\u9F4A\u4FCE\u5146\u51CB\u52A9\u5632\u5F14\u5F6B\u63AA\u64CD\u65E9\u6641\u66FA\u66F9\u671D\u689D\u68D7\u69FD\u6F15\u6F6E\u7167\u71E5\u722A\u74AA\u773A\u7956\u795A\u79DF\u7A20\u7A95\u7C97\u7CDF\u7D44\u7E70\u8087\u85FB\u86A4\u8A54\u8ABF\u8D99\u8E81\u9020\u906D\u91E3\u963B\u96D5\u9CE5\u65CF\u7C07\u8DB3\u93C3\u5B58\u5C0A\u5352\u62D9\u731D\u5027\u5B97\u5F9E\u60B0\u616B\u68D5\u6DD9\u742E\u7A2E\u7D42\u7D9C\u7E31\u816B"],
      ["f1a1", "\u8E2A\u8E35\u937E\u9418\u4F50\u5750\u5DE6\u5EA7\u632B\u7F6A\u4E3B\u4F4F\u4F8F\u505A\u59DD\u80C4\u546A\u5468\u55FE\u594F\u5B99\u5DDE\u5EDA\u665D\u6731\u67F1\u682A\u6CE8\u6D32\u6E4A\u6F8D\u70B7\u73E0\u7587\u7C4C\u7D02\u7D2C\u7DA2\u821F\u86DB\u8A3B\u8A85\u8D70\u8E8A\u8F33\u9031\u914E\u9152\u9444\u99D0\u7AF9\u7CA5\u4FCA\u5101\u51C6\u57C8\u5BEF\u5CFB\u6659\u6A3D\u6D5A\u6E96\u6FEC\u710C\u756F\u7AE3\u8822\u9021\u9075\u96CB\u99FF\u8301\u4E2D\u4EF2\u8846\u91CD\u537D\u6ADB\u696B\u6C41\u847A\u589E\u618E\u66FE\u62EF\u70DD\u7511\u75C7\u7E52\u84B8\u8B49\u8D08\u4E4B\u53EA"],
      ["f2a1", "\u54AB\u5730\u5740\u5FD7\u6301\u6307\u646F\u652F\u65E8\u667A\u679D\u67B3\u6B62\u6C60\u6C9A\u6F2C\u77E5\u7825\u7949\u7957\u7D19\u80A2\u8102\u81F3\u829D\u82B7\u8718\u8A8C\uF9FC\u8D04\u8DBE\u9072\u76F4\u7A19\u7A37\u7E54\u8077\u5507\u55D4\u5875\u632F\u6422\u6649\u664B\u686D\u699B\u6B84\u6D25\u6EB1\u73CD\u7468\u74A1\u755B\u75B9\u76E1\u771E\u778B\u79E6\u7E09\u7E1D\u81FB\u852F\u8897\u8A3A\u8CD1\u8EEB\u8FB0\u9032\u93AD\u9663\u9673\u9707\u4F84\u53F1\u59EA\u5AC9\u5E19\u684E\u74C6\u75BE\u79E9\u7A92\u81A3\u86ED\u8CEA\u8DCC\u8FED\u659F\u6715\uF9FD\u57F7\u6F57\u7DDD\u8F2F"],
      ["f3a1", "\u93F6\u96C6\u5FB5\u61F2\u6F84\u4E14\u4F98\u501F\u53C9\u55DF\u5D6F\u5DEE\u6B21\u6B64\u78CB\u7B9A\uF9FE\u8E49\u8ECA\u906E\u6349\u643E\u7740\u7A84\u932F\u947F\u9F6A\u64B0\u6FAF\u71E6\u74A8\u74DA\u7AC4\u7C12\u7E82\u7CB2\u7E98\u8B9A\u8D0A\u947D\u9910\u994C\u5239\u5BDF\u64E6\u672D\u7D2E\u50ED\u53C3\u5879\u6158\u6159\u61FA\u65AC\u7AD9\u8B92\u8B96\u5009\u5021\u5275\u5531\u5A3C\u5EE0\u5F70\u6134\u655E\u660C\u6636\u66A2\u69CD\u6EC4\u6F32\u7316\u7621\u7A93\u8139\u8259\u83D6\u84BC\u50B5\u57F0\u5BC0\u5BE8\u5F69\u63A1\u7826\u7DB5\u83DC\u8521\u91C7\u91F5\u518A\u67F5\u7B56"],
      ["f4a1", "\u8CAC\u51C4\u59BB\u60BD\u8655\u501C\uF9FF\u5254\u5C3A\u617D\u621A\u62D3\u64F2\u65A5\u6ECC\u7620\u810A\u8E60\u965F\u96BB\u4EDF\u5343\u5598\u5929\u5DDD\u64C5\u6CC9\u6DFA\u7394\u7A7F\u821B\u85A6\u8CE4\u8E10\u9077\u91E7\u95E1\u9621\u97C6\u51F8\u54F2\u5586\u5FB9\u64A4\u6F88\u7DB4\u8F1F\u8F4D\u9435\u50C9\u5C16\u6CBE\u6DFB\u751B\u77BB\u7C3D\u7C64\u8A79\u8AC2\u581E\u59BE\u5E16\u6377\u7252\u758A\u776B\u8ADC\u8CBC\u8F12\u5EF3\u6674\u6DF8\u807D\u83C1\u8ACB\u9751\u9BD6\uFA00\u5243\u66FF\u6D95\u6EEF\u7DE0\u8AE6\u902E\u905E\u9AD4\u521D\u527F\u54E8\u6194\u6284\u62DB\u68A2"],
      ["f5a1", "\u6912\u695A\u6A35\u7092\u7126\u785D\u7901\u790E\u79D2\u7A0D\u8096\u8278\u82D5\u8349\u8549\u8C82\u8D85\u9162\u918B\u91AE\u4FC3\u56D1\u71ED\u77D7\u8700\u89F8\u5BF8\u5FD6\u6751\u90A8\u53E2\u585A\u5BF5\u60A4\u6181\u6460\u7E3D\u8070\u8525\u9283\u64AE\u50AC\u5D14\u6700\u589C\u62BD\u63A8\u690E\u6978\u6A1E\u6E6B\u76BA\u79CB\u82BB\u8429\u8ACF\u8DA8\u8FFD\u9112\u914B\u919C\u9310\u9318\u939A\u96DB\u9A36\u9C0D\u4E11\u755C\u795D\u7AFA\u7B51\u7BC9\u7E2E\u84C4\u8E59\u8E74\u8EF8\u9010\u6625\u693F\u7443\u51FA\u672E\u9EDC\u5145\u5FE0\u6C96\u87F2\u885D\u8877\u60B4\u81B5\u8403"],
      ["f6a1", "\u8D05\u53D6\u5439\u5634\u5A36\u5C31\u708A\u7FE0\u805A\u8106\u81ED\u8DA3\u9189\u9A5F\u9DF2\u5074\u4EC4\u53A0\u60FB\u6E2C\u5C64\u4F88\u5024\u55E4\u5CD9\u5E5F\u6065\u6894\u6CBB\u6DC4\u71BE\u75D4\u75F4\u7661\u7A1A\u7A49\u7DC7\u7DFB\u7F6E\u81F4\u86A9\u8F1C\u96C9\u99B3\u9F52\u5247\u52C5\u98ED\u89AA\u4E03\u67D2\u6F06\u4FB5\u5BE2\u6795\u6C88\u6D78\u741B\u7827\u91DD\u937C\u87C4\u79E4\u7A31\u5FEB\u4ED6\u54A4\u553E\u58AE\u59A5\u60F0\u6253\u62D6\u6736\u6955\u8235\u9640\u99B1\u99DD\u502C\u5353\u5544\u577C\uFA01\u6258\uFA02\u64E2\u666B\u67DD\u6FC1\u6FEF\u7422\u7438\u8A17"],
      ["f7a1", "\u9438\u5451\u5606\u5766\u5F48\u619A\u6B4E\u7058\u70AD\u7DBB\u8A95\u596A\u812B\u63A2\u7708\u803D\u8CAA\u5854\u642D\u69BB\u5B95\u5E11\u6E6F\uFA03\u8569\u514C\u53F0\u592A\u6020\u614B\u6B86\u6C70\u6CF0\u7B1E\u80CE\u82D4\u8DC6\u90B0\u98B1\uFA04\u64C7\u6FA4\u6491\u6504\u514E\u5410\u571F\u8A0E\u615F\u6876\uFA05\u75DB\u7B52\u7D71\u901A\u5806\u69CC\u817F\u892A\u9000\u9839\u5078\u5957\u59AC\u6295\u900F\u9B2A\u615D\u7279\u95D6\u5761\u5A46\u5DF4\u628A\u64AD\u64FA\u6777\u6CE2\u6D3E\u722C\u7436\u7834\u7F77\u82AD\u8DDB\u9817\u5224\u5742\u677F\u7248\u74E3\u8CA9\u8FA6\u9211"],
      ["f8a1", "\u962A\u516B\u53ED\u634C\u4F69\u5504\u6096\u6557\u6C9B\u6D7F\u724C\u72FD\u7A17\u8987\u8C9D\u5F6D\u6F8E\u70F9\u81A8\u610E\u4FBF\u504F\u6241\u7247\u7BC7\u7DE8\u7FE9\u904D\u97AD\u9A19\u8CB6\u576A\u5E73\u67B0\u840D\u8A55\u5420\u5B16\u5E63\u5EE2\u5F0A\u6583\u80BA\u853D\u9589\u965B\u4F48\u5305\u530D\u530F\u5486\u54FA\u5703\u5E03\u6016\u629B\u62B1\u6355\uFA06\u6CE1\u6D66\u75B1\u7832\u80DE\u812F\u82DE\u8461\u84B2\u888D\u8912\u900B\u92EA\u98FD\u9B91\u5E45\u66B4\u66DD\u7011\u7206\uFA07\u4FF5\u527D\u5F6A\u6153\u6753\u6A19\u6F02\u74E2\u7968\u8868\u8C79\u98C7\u98C4\u9A43"],
      ["f9a1", "\u54C1\u7A1F\u6953\u8AF7\u8C4A\u98A8\u99AE\u5F7C\u62AB\u75B2\u76AE\u88AB\u907F\u9642\u5339\u5F3C\u5FC5\u6CCC\u73CC\u7562\u758B\u7B46\u82FE\u999D\u4E4F\u903C\u4E0B\u4F55\u53A6\u590F\u5EC8\u6630\u6CB3\u7455\u8377\u8766\u8CC0\u9050\u971E\u9C15\u58D1\u5B78\u8650\u8B14\u9DB4\u5BD2\u6068\u608D\u65F1\u6C57\u6F22\u6FA3\u701A\u7F55\u7FF0\u9591\u9592\u9650\u97D3\u5272\u8F44\u51FD\u542B\u54B8\u5563\u558A\u6ABB\u6DB5\u7DD8\u8266\u929C\u9677\u9E79\u5408\u54C8\u76D2\u86E4\u95A4\u95D4\u965C\u4EA2\u4F09\u59EE\u5AE6\u5DF7\u6052\u6297\u676D\u6841\u6C86\u6E2F\u7F38\u809B\u822A"],
      ["faa1", "\uFA08\uFA09\u9805\u4EA5\u5055\u54B3\u5793\u595A\u5B69\u5BB3\u61C8\u6977\u6D77\u7023\u87F9\u89E3\u8A72\u8AE7\u9082\u99ED\u9AB8\u52BE\u6838\u5016\u5E78\u674F\u8347\u884C\u4EAB\u5411\u56AE\u73E6\u9115\u97FF\u9909\u9957\u9999\u5653\u589F\u865B\u8A31\u61B2\u6AF6\u737B\u8ED2\u6B47\u96AA\u9A57\u5955\u7200\u8D6B\u9769\u4FD4\u5CF4\u5F26\u61F8\u665B\u6CEB\u70AB\u7384\u73B9\u73FE\u7729\u774D\u7D43\u7D62\u7E23\u8237\u8852\uFA0A\u8CE2\u9249\u986F\u5B51\u7A74\u8840\u9801\u5ACC\u4FE0\u5354\u593E\u5CFD\u633E\u6D79\u72F9\u8105\u8107\u83A2\u92CF\u9830\u4EA8\u5144\u5211\u578B"],
      ["fba1", "\u5F62\u6CC2\u6ECE\u7005\u7050\u70AF\u7192\u73E9\u7469\u834A\u87A2\u8861\u9008\u90A2\u93A3\u99A8\u516E\u5F57\u60E0\u6167\u66B3\u8559\u8E4A\u91AF\u978B\u4E4E\u4E92\u547C\u58D5\u58FA\u597D\u5CB5\u5F27\u6236\u6248\u660A\u6667\u6BEB\u6D69\u6DCF\u6E56\u6EF8\u6F94\u6FE0\u6FE9\u705D\u72D0\u7425\u745A\u74E0\u7693\u795C\u7CCA\u7E1E\u80E1\u82A6\u846B\u84BF\u864E\u865F\u8774\u8B77\u8C6A\u93AC\u9800\u9865\u60D1\u6216\u9177\u5A5A\u660F\u6DF7\u6E3E\u743F\u9B42\u5FFD\u60DA\u7B0F\u54C4\u5F18\u6C5E\u6CD3\u6D2A\u70D8\u7D05\u8679\u8A0C\u9D3B\u5316\u548C\u5B05\u6A3A\u706B\u7575"],
      ["fca1", "\u798D\u79BE\u82B1\u83EF\u8A71\u8B41\u8CA8\u9774\uFA0B\u64F4\u652B\u78BA\u78BB\u7A6B\u4E38\u559A\u5950\u5BA6\u5E7B\u60A3\u63DB\u6B61\u6665\u6853\u6E19\u7165\u74B0\u7D08\u9084\u9A69\u9C25\u6D3B\u6ED1\u733E\u8C41\u95CA\u51F0\u5E4C\u5FA8\u604D\u60F6\u6130\u614C\u6643\u6644\u69A5\u6CC1\u6E5F\u6EC9\u6F62\u714C\u749C\u7687\u7BC1\u7C27\u8352\u8757\u9051\u968D\u9EC3\u532F\u56DE\u5EFB\u5F8A\u6062\u6094\u61F7\u6666\u6703\u6A9C\u6DEE\u6FAE\u7070\u736A\u7E6A\u81BE\u8334\u86D4\u8AA8\u8CC4\u5283\u7372\u5B96\u6A6B\u9404\u54EE\u5686\u5B5D\u6548\u6585\u66C9\u689F\u6D8D\u6DC6"],
      ["fda1", "\u723B\u80B4\u9175\u9A4D\u4FAF\u5019\u539A\u540E\u543C\u5589\u55C5\u5E3F\u5F8C\u673D\u7166\u73DD\u9005\u52DB\u52F3\u5864\u58CE\u7104\u718F\u71FB\u85B0\u8A13\u6688\u85A8\u55A7\u6684\u714A\u8431\u5349\u5599\u6BC1\u5F59\u5FBD\u63EE\u6689\u7147\u8AF1\u8F1D\u9EBE\u4F11\u643A\u70CB\u7566\u8667\u6064\u8B4E\u9DF8\u5147\u51F6\u5308\u6D36\u80F8\u9ED1\u6615\u6B23\u7098\u75D5\u5403\u5C79\u7D07\u8A16\u6B20\u6B3D\u6B46\u5438\u6070\u6D3D\u7FD5\u8208\u50D6\u51DE\u559C\u566B\u56CD\u59EC\u5B09\u5E0C\u6199\u6198\u6231\u665E\u66E6\u7199\u71B9\u71BA\u72A7\u79A7\u7A00\u7FB2\u8A70"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/cp950.json
var require_cp950 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/cp950.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["a140", "\u3000\uFF0C\u3001\u3002\uFF0E\u2027\uFF1B\uFF1A\uFF1F\uFF01\uFE30\u2026\u2025\uFE50\uFE51\uFE52\xB7\uFE54\uFE55\uFE56\uFE57\uFF5C\u2013\uFE31\u2014\uFE33\u2574\uFE34\uFE4F\uFF08\uFF09\uFE35\uFE36\uFF5B\uFF5D\uFE37\uFE38\u3014\u3015\uFE39\uFE3A\u3010\u3011\uFE3B\uFE3C\u300A\u300B\uFE3D\uFE3E\u3008\u3009\uFE3F\uFE40\u300C\u300D\uFE41\uFE42\u300E\u300F\uFE43\uFE44\uFE59\uFE5A"],
      ["a1a1", "\uFE5B\uFE5C\uFE5D\uFE5E\u2018\u2019\u201C\u201D\u301D\u301E\u2035\u2032\uFF03\uFF06\uFF0A\u203B\xA7\u3003\u25CB\u25CF\u25B3\u25B2\u25CE\u2606\u2605\u25C7\u25C6\u25A1\u25A0\u25BD\u25BC\u32A3\u2105\xAF\uFFE3\uFF3F\u02CD\uFE49\uFE4A\uFE4D\uFE4E\uFE4B\uFE4C\uFE5F\uFE60\uFE61\uFF0B\uFF0D\xD7\xF7\xB1\u221A\uFF1C\uFF1E\uFF1D\u2266\u2267\u2260\u221E\u2252\u2261\uFE62", 4, "\uFF5E\u2229\u222A\u22A5\u2220\u221F\u22BF\u33D2\u33D1\u222B\u222E\u2235\u2234\u2640\u2642\u2295\u2299\u2191\u2193\u2190\u2192\u2196\u2197\u2199\u2198\u2225\u2223\uFF0F"],
      ["a240", "\uFF3C\u2215\uFE68\uFF04\uFFE5\u3012\uFFE0\uFFE1\uFF05\uFF20\u2103\u2109\uFE69\uFE6A\uFE6B\u33D5\u339C\u339D\u339E\u33CE\u33A1\u338E\u338F\u33C4\xB0\u5159\u515B\u515E\u515D\u5161\u5163\u55E7\u74E9\u7CCE\u2581", 7, "\u258F\u258E\u258D\u258C\u258B\u258A\u2589\u253C\u2534\u252C\u2524\u251C\u2594\u2500\u2502\u2595\u250C\u2510\u2514\u2518\u256D"],
      ["a2a1", "\u256E\u2570\u256F\u2550\u255E\u256A\u2561\u25E2\u25E3\u25E5\u25E4\u2571\u2572\u2573\uFF10", 9, "\u2160", 9, "\u3021", 8, "\u5341\u5344\u5345\uFF21", 25, "\uFF41", 21],
      ["a340", "\uFF57\uFF58\uFF59\uFF5A\u0391", 16, "\u03A3", 6, "\u03B1", 16, "\u03C3", 6, "\u3105", 10],
      ["a3a1", "\u3110", 25, "\u02D9\u02C9\u02CA\u02C7\u02CB"],
      ["a3e1", "\u20AC"],
      ["a440", "\u4E00\u4E59\u4E01\u4E03\u4E43\u4E5D\u4E86\u4E8C\u4EBA\u513F\u5165\u516B\u51E0\u5200\u5201\u529B\u5315\u5341\u535C\u53C8\u4E09\u4E0B\u4E08\u4E0A\u4E2B\u4E38\u51E1\u4E45\u4E48\u4E5F\u4E5E\u4E8E\u4EA1\u5140\u5203\u52FA\u5343\u53C9\u53E3\u571F\u58EB\u5915\u5927\u5973\u5B50\u5B51\u5B53\u5BF8\u5C0F\u5C22\u5C38\u5C71\u5DDD\u5DE5\u5DF1\u5DF2\u5DF3\u5DFE\u5E72\u5EFE\u5F0B\u5F13\u624D"],
      ["a4a1", "\u4E11\u4E10\u4E0D\u4E2D\u4E30\u4E39\u4E4B\u5C39\u4E88\u4E91\u4E95\u4E92\u4E94\u4EA2\u4EC1\u4EC0\u4EC3\u4EC6\u4EC7\u4ECD\u4ECA\u4ECB\u4EC4\u5143\u5141\u5167\u516D\u516E\u516C\u5197\u51F6\u5206\u5207\u5208\u52FB\u52FE\u52FF\u5316\u5339\u5348\u5347\u5345\u535E\u5384\u53CB\u53CA\u53CD\u58EC\u5929\u592B\u592A\u592D\u5B54\u5C11\u5C24\u5C3A\u5C6F\u5DF4\u5E7B\u5EFF\u5F14\u5F15\u5FC3\u6208\u6236\u624B\u624E\u652F\u6587\u6597\u65A4\u65B9\u65E5\u66F0\u6708\u6728\u6B20\u6B62\u6B79\u6BCB\u6BD4\u6BDB\u6C0F\u6C34\u706B\u722A\u7236\u723B\u7247\u7259\u725B\u72AC\u738B\u4E19"],
      ["a540", "\u4E16\u4E15\u4E14\u4E18\u4E3B\u4E4D\u4E4F\u4E4E\u4EE5\u4ED8\u4ED4\u4ED5\u4ED6\u4ED7\u4EE3\u4EE4\u4ED9\u4EDE\u5145\u5144\u5189\u518A\u51AC\u51F9\u51FA\u51F8\u520A\u52A0\u529F\u5305\u5306\u5317\u531D\u4EDF\u534A\u5349\u5361\u5360\u536F\u536E\u53BB\u53EF\u53E4\u53F3\u53EC\u53EE\u53E9\u53E8\u53FC\u53F8\u53F5\u53EB\u53E6\u53EA\u53F2\u53F1\u53F0\u53E5\u53ED\u53FB\u56DB\u56DA\u5916"],
      ["a5a1", "\u592E\u5931\u5974\u5976\u5B55\u5B83\u5C3C\u5DE8\u5DE7\u5DE6\u5E02\u5E03\u5E73\u5E7C\u5F01\u5F18\u5F17\u5FC5\u620A\u6253\u6254\u6252\u6251\u65A5\u65E6\u672E\u672C\u672A\u672B\u672D\u6B63\u6BCD\u6C11\u6C10\u6C38\u6C41\u6C40\u6C3E\u72AF\u7384\u7389\u74DC\u74E6\u7518\u751F\u7528\u7529\u7530\u7531\u7532\u7533\u758B\u767D\u76AE\u76BF\u76EE\u77DB\u77E2\u77F3\u793A\u79BE\u7A74\u7ACB\u4E1E\u4E1F\u4E52\u4E53\u4E69\u4E99\u4EA4\u4EA6\u4EA5\u4EFF\u4F09\u4F19\u4F0A\u4F15\u4F0D\u4F10\u4F11\u4F0F\u4EF2\u4EF6\u4EFB\u4EF0\u4EF3\u4EFD\u4F01\u4F0B\u5149\u5147\u5146\u5148\u5168"],
      ["a640", "\u5171\u518D\u51B0\u5217\u5211\u5212\u520E\u5216\u52A3\u5308\u5321\u5320\u5370\u5371\u5409\u540F\u540C\u540A\u5410\u5401\u540B\u5404\u5411\u540D\u5408\u5403\u540E\u5406\u5412\u56E0\u56DE\u56DD\u5733\u5730\u5728\u572D\u572C\u572F\u5729\u5919\u591A\u5937\u5938\u5984\u5978\u5983\u597D\u5979\u5982\u5981\u5B57\u5B58\u5B87\u5B88\u5B85\u5B89\u5BFA\u5C16\u5C79\u5DDE\u5E06\u5E76\u5E74"],
      ["a6a1", "\u5F0F\u5F1B\u5FD9\u5FD6\u620E\u620C\u620D\u6210\u6263\u625B\u6258\u6536\u65E9\u65E8\u65EC\u65ED\u66F2\u66F3\u6709\u673D\u6734\u6731\u6735\u6B21\u6B64\u6B7B\u6C16\u6C5D\u6C57\u6C59\u6C5F\u6C60\u6C50\u6C55\u6C61\u6C5B\u6C4D\u6C4E\u7070\u725F\u725D\u767E\u7AF9\u7C73\u7CF8\u7F36\u7F8A\u7FBD\u8001\u8003\u800C\u8012\u8033\u807F\u8089\u808B\u808C\u81E3\u81EA\u81F3\u81FC\u820C\u821B\u821F\u826E\u8272\u827E\u866B\u8840\u884C\u8863\u897F\u9621\u4E32\u4EA8\u4F4D\u4F4F\u4F47\u4F57\u4F5E\u4F34\u4F5B\u4F55\u4F30\u4F50\u4F51\u4F3D\u4F3A\u4F38\u4F43\u4F54\u4F3C\u4F46\u4F63"],
      ["a740", "\u4F5C\u4F60\u4F2F\u4F4E\u4F36\u4F59\u4F5D\u4F48\u4F5A\u514C\u514B\u514D\u5175\u51B6\u51B7\u5225\u5224\u5229\u522A\u5228\u52AB\u52A9\u52AA\u52AC\u5323\u5373\u5375\u541D\u542D\u541E\u543E\u5426\u544E\u5427\u5446\u5443\u5433\u5448\u5442\u541B\u5429\u544A\u5439\u543B\u5438\u542E\u5435\u5436\u5420\u543C\u5440\u5431\u542B\u541F\u542C\u56EA\u56F0\u56E4\u56EB\u574A\u5751\u5740\u574D"],
      ["a7a1", "\u5747\u574E\u573E\u5750\u574F\u573B\u58EF\u593E\u599D\u5992\u59A8\u599E\u59A3\u5999\u5996\u598D\u59A4\u5993\u598A\u59A5\u5B5D\u5B5C\u5B5A\u5B5B\u5B8C\u5B8B\u5B8F\u5C2C\u5C40\u5C41\u5C3F\u5C3E\u5C90\u5C91\u5C94\u5C8C\u5DEB\u5E0C\u5E8F\u5E87\u5E8A\u5EF7\u5F04\u5F1F\u5F64\u5F62\u5F77\u5F79\u5FD8\u5FCC\u5FD7\u5FCD\u5FF1\u5FEB\u5FF8\u5FEA\u6212\u6211\u6284\u6297\u6296\u6280\u6276\u6289\u626D\u628A\u627C\u627E\u6279\u6273\u6292\u626F\u6298\u626E\u6295\u6293\u6291\u6286\u6539\u653B\u6538\u65F1\u66F4\u675F\u674E\u674F\u6750\u6751\u675C\u6756\u675E\u6749\u6746\u6760"],
      ["a840", "\u6753\u6757\u6B65\u6BCF\u6C42\u6C5E\u6C99\u6C81\u6C88\u6C89\u6C85\u6C9B\u6C6A\u6C7A\u6C90\u6C70\u6C8C\u6C68\u6C96\u6C92\u6C7D\u6C83\u6C72\u6C7E\u6C74\u6C86\u6C76\u6C8D\u6C94\u6C98\u6C82\u7076\u707C\u707D\u7078\u7262\u7261\u7260\u72C4\u72C2\u7396\u752C\u752B\u7537\u7538\u7682\u76EF\u77E3\u79C1\u79C0\u79BF\u7A76\u7CFB\u7F55\u8096\u8093\u809D\u8098\u809B\u809A\u80B2\u826F\u8292"],
      ["a8a1", "\u828B\u828D\u898B\u89D2\u8A00\u8C37\u8C46\u8C55\u8C9D\u8D64\u8D70\u8DB3\u8EAB\u8ECA\u8F9B\u8FB0\u8FC2\u8FC6\u8FC5\u8FC4\u5DE1\u9091\u90A2\u90AA\u90A6\u90A3\u9149\u91C6\u91CC\u9632\u962E\u9631\u962A\u962C\u4E26\u4E56\u4E73\u4E8B\u4E9B\u4E9E\u4EAB\u4EAC\u4F6F\u4F9D\u4F8D\u4F73\u4F7F\u4F6C\u4F9B\u4F8B\u4F86\u4F83\u4F70\u4F75\u4F88\u4F69\u4F7B\u4F96\u4F7E\u4F8F\u4F91\u4F7A\u5154\u5152\u5155\u5169\u5177\u5176\u5178\u51BD\u51FD\u523B\u5238\u5237\u523A\u5230\u522E\u5236\u5241\u52BE\u52BB\u5352\u5354\u5353\u5351\u5366\u5377\u5378\u5379\u53D6\u53D4\u53D7\u5473\u5475"],
      ["a940", "\u5496\u5478\u5495\u5480\u547B\u5477\u5484\u5492\u5486\u547C\u5490\u5471\u5476\u548C\u549A\u5462\u5468\u548B\u547D\u548E\u56FA\u5783\u5777\u576A\u5769\u5761\u5766\u5764\u577C\u591C\u5949\u5947\u5948\u5944\u5954\u59BE\u59BB\u59D4\u59B9\u59AE\u59D1\u59C6\u59D0\u59CD\u59CB\u59D3\u59CA\u59AF\u59B3\u59D2\u59C5\u5B5F\u5B64\u5B63\u5B97\u5B9A\u5B98\u5B9C\u5B99\u5B9B\u5C1A\u5C48\u5C45"],
      ["a9a1", "\u5C46\u5CB7\u5CA1\u5CB8\u5CA9\u5CAB\u5CB1\u5CB3\u5E18\u5E1A\u5E16\u5E15\u5E1B\u5E11\u5E78\u5E9A\u5E97\u5E9C\u5E95\u5E96\u5EF6\u5F26\u5F27\u5F29\u5F80\u5F81\u5F7F\u5F7C\u5FDD\u5FE0\u5FFD\u5FF5\u5FFF\u600F\u6014\u602F\u6035\u6016\u602A\u6015\u6021\u6027\u6029\u602B\u601B\u6216\u6215\u623F\u623E\u6240\u627F\u62C9\u62CC\u62C4\u62BF\u62C2\u62B9\u62D2\u62DB\u62AB\u62D3\u62D4\u62CB\u62C8\u62A8\u62BD\u62BC\u62D0\u62D9\u62C7\u62CD\u62B5\u62DA\u62B1\u62D8\u62D6\u62D7\u62C6\u62AC\u62CE\u653E\u65A7\u65BC\u65FA\u6614\u6613\u660C\u6606\u6602\u660E\u6600\u660F\u6615\u660A"],
      ["aa40", "\u6607\u670D\u670B\u676D\u678B\u6795\u6771\u679C\u6773\u6777\u6787\u679D\u6797\u676F\u6770\u677F\u6789\u677E\u6790\u6775\u679A\u6793\u677C\u676A\u6772\u6B23\u6B66\u6B67\u6B7F\u6C13\u6C1B\u6CE3\u6CE8\u6CF3\u6CB1\u6CCC\u6CE5\u6CB3\u6CBD\u6CBE\u6CBC\u6CE2\u6CAB\u6CD5\u6CD3\u6CB8\u6CC4\u6CB9\u6CC1\u6CAE\u6CD7\u6CC5\u6CF1\u6CBF\u6CBB\u6CE1\u6CDB\u6CCA\u6CAC\u6CEF\u6CDC\u6CD6\u6CE0"],
      ["aaa1", "\u7095\u708E\u7092\u708A\u7099\u722C\u722D\u7238\u7248\u7267\u7269\u72C0\u72CE\u72D9\u72D7\u72D0\u73A9\u73A8\u739F\u73AB\u73A5\u753D\u759D\u7599\u759A\u7684\u76C2\u76F2\u76F4\u77E5\u77FD\u793E\u7940\u7941\u79C9\u79C8\u7A7A\u7A79\u7AFA\u7CFE\u7F54\u7F8C\u7F8B\u8005\u80BA\u80A5\u80A2\u80B1\u80A1\u80AB\u80A9\u80B4\u80AA\u80AF\u81E5\u81FE\u820D\u82B3\u829D\u8299\u82AD\u82BD\u829F\u82B9\u82B1\u82AC\u82A5\u82AF\u82B8\u82A3\u82B0\u82BE\u82B7\u864E\u8671\u521D\u8868\u8ECB\u8FCE\u8FD4\u8FD1\u90B5\u90B8\u90B1\u90B6\u91C7\u91D1\u9577\u9580\u961C\u9640\u963F\u963B\u9644"],
      ["ab40", "\u9642\u96B9\u96E8\u9752\u975E\u4E9F\u4EAD\u4EAE\u4FE1\u4FB5\u4FAF\u4FBF\u4FE0\u4FD1\u4FCF\u4FDD\u4FC3\u4FB6\u4FD8\u4FDF\u4FCA\u4FD7\u4FAE\u4FD0\u4FC4\u4FC2\u4FDA\u4FCE\u4FDE\u4FB7\u5157\u5192\u5191\u51A0\u524E\u5243\u524A\u524D\u524C\u524B\u5247\u52C7\u52C9\u52C3\u52C1\u530D\u5357\u537B\u539A\u53DB\u54AC\u54C0\u54A8\u54CE\u54C9\u54B8\u54A6\u54B3\u54C7\u54C2\u54BD\u54AA\u54C1"],
      ["aba1", "\u54C4\u54C8\u54AF\u54AB\u54B1\u54BB\u54A9\u54A7\u54BF\u56FF\u5782\u578B\u57A0\u57A3\u57A2\u57CE\u57AE\u5793\u5955\u5951\u594F\u594E\u5950\u59DC\u59D8\u59FF\u59E3\u59E8\u5A03\u59E5\u59EA\u59DA\u59E6\u5A01\u59FB\u5B69\u5BA3\u5BA6\u5BA4\u5BA2\u5BA5\u5C01\u5C4E\u5C4F\u5C4D\u5C4B\u5CD9\u5CD2\u5DF7\u5E1D\u5E25\u5E1F\u5E7D\u5EA0\u5EA6\u5EFA\u5F08\u5F2D\u5F65\u5F88\u5F85\u5F8A\u5F8B\u5F87\u5F8C\u5F89\u6012\u601D\u6020\u6025\u600E\u6028\u604D\u6070\u6068\u6062\u6046\u6043\u606C\u606B\u606A\u6064\u6241\u62DC\u6316\u6309\u62FC\u62ED\u6301\u62EE\u62FD\u6307\u62F1\u62F7"],
      ["ac40", "\u62EF\u62EC\u62FE\u62F4\u6311\u6302\u653F\u6545\u65AB\u65BD\u65E2\u6625\u662D\u6620\u6627\u662F\u661F\u6628\u6631\u6624\u66F7\u67FF\u67D3\u67F1\u67D4\u67D0\u67EC\u67B6\u67AF\u67F5\u67E9\u67EF\u67C4\u67D1\u67B4\u67DA\u67E5\u67B8\u67CF\u67DE\u67F3\u67B0\u67D9\u67E2\u67DD\u67D2\u6B6A\u6B83\u6B86\u6BB5\u6BD2\u6BD7\u6C1F\u6CC9\u6D0B\u6D32\u6D2A\u6D41\u6D25\u6D0C\u6D31\u6D1E\u6D17"],
      ["aca1", "\u6D3B\u6D3D\u6D3E\u6D36\u6D1B\u6CF5\u6D39\u6D27\u6D38\u6D29\u6D2E\u6D35\u6D0E\u6D2B\u70AB\u70BA\u70B3\u70AC\u70AF\u70AD\u70B8\u70AE\u70A4\u7230\u7272\u726F\u7274\u72E9\u72E0\u72E1\u73B7\u73CA\u73BB\u73B2\u73CD\u73C0\u73B3\u751A\u752D\u754F\u754C\u754E\u754B\u75AB\u75A4\u75A5\u75A2\u75A3\u7678\u7686\u7687\u7688\u76C8\u76C6\u76C3\u76C5\u7701\u76F9\u76F8\u7709\u770B\u76FE\u76FC\u7707\u77DC\u7802\u7814\u780C\u780D\u7946\u7949\u7948\u7947\u79B9\u79BA\u79D1\u79D2\u79CB\u7A7F\u7A81\u7AFF\u7AFD\u7C7D\u7D02\u7D05\u7D00\u7D09\u7D07\u7D04\u7D06\u7F38\u7F8E\u7FBF\u8004"],
      ["ad40", "\u8010\u800D\u8011\u8036\u80D6\u80E5\u80DA\u80C3\u80C4\u80CC\u80E1\u80DB\u80CE\u80DE\u80E4\u80DD\u81F4\u8222\u82E7\u8303\u8305\u82E3\u82DB\u82E6\u8304\u82E5\u8302\u8309\u82D2\u82D7\u82F1\u8301\u82DC\u82D4\u82D1\u82DE\u82D3\u82DF\u82EF\u8306\u8650\u8679\u867B\u867A\u884D\u886B\u8981\u89D4\u8A08\u8A02\u8A03\u8C9E\u8CA0\u8D74\u8D73\u8DB4\u8ECD\u8ECC\u8FF0\u8FE6\u8FE2\u8FEA\u8FE5"],
      ["ada1", "\u8FED\u8FEB\u8FE4\u8FE8\u90CA\u90CE\u90C1\u90C3\u914B\u914A\u91CD\u9582\u9650\u964B\u964C\u964D\u9762\u9769\u97CB\u97ED\u97F3\u9801\u98A8\u98DB\u98DF\u9996\u9999\u4E58\u4EB3\u500C\u500D\u5023\u4FEF\u5026\u5025\u4FF8\u5029\u5016\u5006\u503C\u501F\u501A\u5012\u5011\u4FFA\u5000\u5014\u5028\u4FF1\u5021\u500B\u5019\u5018\u4FF3\u4FEE\u502D\u502A\u4FFE\u502B\u5009\u517C\u51A4\u51A5\u51A2\u51CD\u51CC\u51C6\u51CB\u5256\u525C\u5254\u525B\u525D\u532A\u537F\u539F\u539D\u53DF\u54E8\u5510\u5501\u5537\u54FC\u54E5\u54F2\u5506\u54FA\u5514\u54E9\u54ED\u54E1\u5509\u54EE\u54EA"],
      ["ae40", "\u54E6\u5527\u5507\u54FD\u550F\u5703\u5704\u57C2\u57D4\u57CB\u57C3\u5809\u590F\u5957\u5958\u595A\u5A11\u5A18\u5A1C\u5A1F\u5A1B\u5A13\u59EC\u5A20\u5A23\u5A29\u5A25\u5A0C\u5A09\u5B6B\u5C58\u5BB0\u5BB3\u5BB6\u5BB4\u5BAE\u5BB5\u5BB9\u5BB8\u5C04\u5C51\u5C55\u5C50\u5CED\u5CFD\u5CFB\u5CEA\u5CE8\u5CF0\u5CF6\u5D01\u5CF4\u5DEE\u5E2D\u5E2B\u5EAB\u5EAD\u5EA7\u5F31\u5F92\u5F91\u5F90\u6059"],
      ["aea1", "\u6063\u6065\u6050\u6055\u606D\u6069\u606F\u6084\u609F\u609A\u608D\u6094\u608C\u6085\u6096\u6247\u62F3\u6308\u62FF\u634E\u633E\u632F\u6355\u6342\u6346\u634F\u6349\u633A\u6350\u633D\u632A\u632B\u6328\u634D\u634C\u6548\u6549\u6599\u65C1\u65C5\u6642\u6649\u664F\u6643\u6652\u664C\u6645\u6641\u66F8\u6714\u6715\u6717\u6821\u6838\u6848\u6846\u6853\u6839\u6842\u6854\u6829\u68B3\u6817\u684C\u6851\u683D\u67F4\u6850\u6840\u683C\u6843\u682A\u6845\u6813\u6818\u6841\u6B8A\u6B89\u6BB7\u6C23\u6C27\u6C28\u6C26\u6C24\u6CF0\u6D6A\u6D95\u6D88\u6D87\u6D66\u6D78\u6D77\u6D59\u6D93"],
      ["af40", "\u6D6C\u6D89\u6D6E\u6D5A\u6D74\u6D69\u6D8C\u6D8A\u6D79\u6D85\u6D65\u6D94\u70CA\u70D8\u70E4\u70D9\u70C8\u70CF\u7239\u7279\u72FC\u72F9\u72FD\u72F8\u72F7\u7386\u73ED\u7409\u73EE\u73E0\u73EA\u73DE\u7554\u755D\u755C\u755A\u7559\u75BE\u75C5\u75C7\u75B2\u75B3\u75BD\u75BC\u75B9\u75C2\u75B8\u768B\u76B0\u76CA\u76CD\u76CE\u7729\u771F\u7720\u7728\u77E9\u7830\u7827\u7838\u781D\u7834\u7837"],
      ["afa1", "\u7825\u782D\u7820\u781F\u7832\u7955\u7950\u7960\u795F\u7956\u795E\u795D\u7957\u795A\u79E4\u79E3\u79E7\u79DF\u79E6\u79E9\u79D8\u7A84\u7A88\u7AD9\u7B06\u7B11\u7C89\u7D21\u7D17\u7D0B\u7D0A\u7D20\u7D22\u7D14\u7D10\u7D15\u7D1A\u7D1C\u7D0D\u7D19\u7D1B\u7F3A\u7F5F\u7F94\u7FC5\u7FC1\u8006\u8018\u8015\u8019\u8017\u803D\u803F\u80F1\u8102\u80F0\u8105\u80ED\u80F4\u8106\u80F8\u80F3\u8108\u80FD\u810A\u80FC\u80EF\u81ED\u81EC\u8200\u8210\u822A\u822B\u8228\u822C\u82BB\u832B\u8352\u8354\u834A\u8338\u8350\u8349\u8335\u8334\u834F\u8332\u8339\u8336\u8317\u8340\u8331\u8328\u8343"],
      ["b040", "\u8654\u868A\u86AA\u8693\u86A4\u86A9\u868C\u86A3\u869C\u8870\u8877\u8881\u8882\u887D\u8879\u8A18\u8A10\u8A0E\u8A0C\u8A15\u8A0A\u8A17\u8A13\u8A16\u8A0F\u8A11\u8C48\u8C7A\u8C79\u8CA1\u8CA2\u8D77\u8EAC\u8ED2\u8ED4\u8ECF\u8FB1\u9001\u9006\u8FF7\u9000\u8FFA\u8FF4\u9003\u8FFD\u9005\u8FF8\u9095\u90E1\u90DD\u90E2\u9152\u914D\u914C\u91D8\u91DD\u91D7\u91DC\u91D9\u9583\u9662\u9663\u9661"],
      ["b0a1", "\u965B\u965D\u9664\u9658\u965E\u96BB\u98E2\u99AC\u9AA8\u9AD8\u9B25\u9B32\u9B3C\u4E7E\u507A\u507D\u505C\u5047\u5043\u504C\u505A\u5049\u5065\u5076\u504E\u5055\u5075\u5074\u5077\u504F\u500F\u506F\u506D\u515C\u5195\u51F0\u526A\u526F\u52D2\u52D9\u52D8\u52D5\u5310\u530F\u5319\u533F\u5340\u533E\u53C3\u66FC\u5546\u556A\u5566\u5544\u555E\u5561\u5543\u554A\u5531\u5556\u554F\u5555\u552F\u5564\u5538\u552E\u555C\u552C\u5563\u5533\u5541\u5557\u5708\u570B\u5709\u57DF\u5805\u580A\u5806\u57E0\u57E4\u57FA\u5802\u5835\u57F7\u57F9\u5920\u5962\u5A36\u5A41\u5A49\u5A66\u5A6A\u5A40"],
      ["b140", "\u5A3C\u5A62\u5A5A\u5A46\u5A4A\u5B70\u5BC7\u5BC5\u5BC4\u5BC2\u5BBF\u5BC6\u5C09\u5C08\u5C07\u5C60\u5C5C\u5C5D\u5D07\u5D06\u5D0E\u5D1B\u5D16\u5D22\u5D11\u5D29\u5D14\u5D19\u5D24\u5D27\u5D17\u5DE2\u5E38\u5E36\u5E33\u5E37\u5EB7\u5EB8\u5EB6\u5EB5\u5EBE\u5F35\u5F37\u5F57\u5F6C\u5F69\u5F6B\u5F97\u5F99\u5F9E\u5F98\u5FA1\u5FA0\u5F9C\u607F\u60A3\u6089\u60A0\u60A8\u60CB\u60B4\u60E6\u60BD"],
      ["b1a1", "\u60C5\u60BB\u60B5\u60DC\u60BC\u60D8\u60D5\u60C6\u60DF\u60B8\u60DA\u60C7\u621A\u621B\u6248\u63A0\u63A7\u6372\u6396\u63A2\u63A5\u6377\u6367\u6398\u63AA\u6371\u63A9\u6389\u6383\u639B\u636B\u63A8\u6384\u6388\u6399\u63A1\u63AC\u6392\u638F\u6380\u637B\u6369\u6368\u637A\u655D\u6556\u6551\u6559\u6557\u555F\u654F\u6558\u6555\u6554\u659C\u659B\u65AC\u65CF\u65CB\u65CC\u65CE\u665D\u665A\u6664\u6668\u6666\u665E\u66F9\u52D7\u671B\u6881\u68AF\u68A2\u6893\u68B5\u687F\u6876\u68B1\u68A7\u6897\u68B0\u6883\u68C4\u68AD\u6886\u6885\u6894\u689D\u68A8\u689F\u68A1\u6882\u6B32\u6BBA"],
      ["b240", "\u6BEB\u6BEC\u6C2B\u6D8E\u6DBC\u6DF3\u6DD9\u6DB2\u6DE1\u6DCC\u6DE4\u6DFB\u6DFA\u6E05\u6DC7\u6DCB\u6DAF\u6DD1\u6DAE\u6DDE\u6DF9\u6DB8\u6DF7\u6DF5\u6DC5\u6DD2\u6E1A\u6DB5\u6DDA\u6DEB\u6DD8\u6DEA\u6DF1\u6DEE\u6DE8\u6DC6\u6DC4\u6DAA\u6DEC\u6DBF\u6DE6\u70F9\u7109\u710A\u70FD\u70EF\u723D\u727D\u7281\u731C\u731B\u7316\u7313\u7319\u7387\u7405\u740A\u7403\u7406\u73FE\u740D\u74E0\u74F6"],
      ["b2a1", "\u74F7\u751C\u7522\u7565\u7566\u7562\u7570\u758F\u75D4\u75D5\u75B5\u75CA\u75CD\u768E\u76D4\u76D2\u76DB\u7737\u773E\u773C\u7736\u7738\u773A\u786B\u7843\u784E\u7965\u7968\u796D\u79FB\u7A92\u7A95\u7B20\u7B28\u7B1B\u7B2C\u7B26\u7B19\u7B1E\u7B2E\u7C92\u7C97\u7C95\u7D46\u7D43\u7D71\u7D2E\u7D39\u7D3C\u7D40\u7D30\u7D33\u7D44\u7D2F\u7D42\u7D32\u7D31\u7F3D\u7F9E\u7F9A\u7FCC\u7FCE\u7FD2\u801C\u804A\u8046\u812F\u8116\u8123\u812B\u8129\u8130\u8124\u8202\u8235\u8237\u8236\u8239\u838E\u839E\u8398\u8378\u83A2\u8396\u83BD\u83AB\u8392\u838A\u8393\u8389\u83A0\u8377\u837B\u837C"],
      ["b340", "\u8386\u83A7\u8655\u5F6A\u86C7\u86C0\u86B6\u86C4\u86B5\u86C6\u86CB\u86B1\u86AF\u86C9\u8853\u889E\u8888\u88AB\u8892\u8896\u888D\u888B\u8993\u898F\u8A2A\u8A1D\u8A23\u8A25\u8A31\u8A2D\u8A1F\u8A1B\u8A22\u8C49\u8C5A\u8CA9\u8CAC\u8CAB\u8CA8\u8CAA\u8CA7\u8D67\u8D66\u8DBE\u8DBA\u8EDB\u8EDF\u9019\u900D\u901A\u9017\u9023\u901F\u901D\u9010\u9015\u901E\u9020\u900F\u9022\u9016\u901B\u9014"],
      ["b3a1", "\u90E8\u90ED\u90FD\u9157\u91CE\u91F5\u91E6\u91E3\u91E7\u91ED\u91E9\u9589\u966A\u9675\u9673\u9678\u9670\u9674\u9676\u9677\u966C\u96C0\u96EA\u96E9\u7AE0\u7ADF\u9802\u9803\u9B5A\u9CE5\u9E75\u9E7F\u9EA5\u9EBB\u50A2\u508D\u5085\u5099\u5091\u5080\u5096\u5098\u509A\u6700\u51F1\u5272\u5274\u5275\u5269\u52DE\u52DD\u52DB\u535A\u53A5\u557B\u5580\u55A7\u557C\u558A\u559D\u5598\u5582\u559C\u55AA\u5594\u5587\u558B\u5583\u55B3\u55AE\u559F\u553E\u55B2\u559A\u55BB\u55AC\u55B1\u557E\u5589\u55AB\u5599\u570D\u582F\u582A\u5834\u5824\u5830\u5831\u5821\u581D\u5820\u58F9\u58FA\u5960"],
      ["b440", "\u5A77\u5A9A\u5A7F\u5A92\u5A9B\u5AA7\u5B73\u5B71\u5BD2\u5BCC\u5BD3\u5BD0\u5C0A\u5C0B\u5C31\u5D4C\u5D50\u5D34\u5D47\u5DFD\u5E45\u5E3D\u5E40\u5E43\u5E7E\u5ECA\u5EC1\u5EC2\u5EC4\u5F3C\u5F6D\u5FA9\u5FAA\u5FA8\u60D1\u60E1\u60B2\u60B6\u60E0\u611C\u6123\u60FA\u6115\u60F0\u60FB\u60F4\u6168\u60F1\u610E\u60F6\u6109\u6100\u6112\u621F\u6249\u63A3\u638C\u63CF\u63C0\u63E9\u63C9\u63C6\u63CD"],
      ["b4a1", "\u63D2\u63E3\u63D0\u63E1\u63D6\u63ED\u63EE\u6376\u63F4\u63EA\u63DB\u6452\u63DA\u63F9\u655E\u6566\u6562\u6563\u6591\u6590\u65AF\u666E\u6670\u6674\u6676\u666F\u6691\u667A\u667E\u6677\u66FE\u66FF\u671F\u671D\u68FA\u68D5\u68E0\u68D8\u68D7\u6905\u68DF\u68F5\u68EE\u68E7\u68F9\u68D2\u68F2\u68E3\u68CB\u68CD\u690D\u6912\u690E\u68C9\u68DA\u696E\u68FB\u6B3E\u6B3A\u6B3D\u6B98\u6B96\u6BBC\u6BEF\u6C2E\u6C2F\u6C2C\u6E2F\u6E38\u6E54\u6E21\u6E32\u6E67\u6E4A\u6E20\u6E25\u6E23\u6E1B\u6E5B\u6E58\u6E24\u6E56\u6E6E\u6E2D\u6E26\u6E6F\u6E34\u6E4D\u6E3A\u6E2C\u6E43\u6E1D\u6E3E\u6ECB"],
      ["b540", "\u6E89\u6E19\u6E4E\u6E63\u6E44\u6E72\u6E69\u6E5F\u7119\u711A\u7126\u7130\u7121\u7136\u716E\u711C\u724C\u7284\u7280\u7336\u7325\u7334\u7329\u743A\u742A\u7433\u7422\u7425\u7435\u7436\u7434\u742F\u741B\u7426\u7428\u7525\u7526\u756B\u756A\u75E2\u75DB\u75E3\u75D9\u75D8\u75DE\u75E0\u767B\u767C\u7696\u7693\u76B4\u76DC\u774F\u77ED\u785D\u786C\u786F\u7A0D\u7A08\u7A0B\u7A05\u7A00\u7A98"],
      ["b5a1", "\u7A97\u7A96\u7AE5\u7AE3\u7B49\u7B56\u7B46\u7B50\u7B52\u7B54\u7B4D\u7B4B\u7B4F\u7B51\u7C9F\u7CA5\u7D5E\u7D50\u7D68\u7D55\u7D2B\u7D6E\u7D72\u7D61\u7D66\u7D62\u7D70\u7D73\u5584\u7FD4\u7FD5\u800B\u8052\u8085\u8155\u8154\u814B\u8151\u814E\u8139\u8146\u813E\u814C\u8153\u8174\u8212\u821C\u83E9\u8403\u83F8\u840D\u83E0\u83C5\u840B\u83C1\u83EF\u83F1\u83F4\u8457\u840A\u83F0\u840C\u83CC\u83FD\u83F2\u83CA\u8438\u840E\u8404\u83DC\u8407\u83D4\u83DF\u865B\u86DF\u86D9\u86ED\u86D4\u86DB\u86E4\u86D0\u86DE\u8857\u88C1\u88C2\u88B1\u8983\u8996\u8A3B\u8A60\u8A55\u8A5E\u8A3C\u8A41"],
      ["b640", "\u8A54\u8A5B\u8A50\u8A46\u8A34\u8A3A\u8A36\u8A56\u8C61\u8C82\u8CAF\u8CBC\u8CB3\u8CBD\u8CC1\u8CBB\u8CC0\u8CB4\u8CB7\u8CB6\u8CBF\u8CB8\u8D8A\u8D85\u8D81\u8DCE\u8DDD\u8DCB\u8DDA\u8DD1\u8DCC\u8DDB\u8DC6\u8EFB\u8EF8\u8EFC\u8F9C\u902E\u9035\u9031\u9038\u9032\u9036\u9102\u90F5\u9109\u90FE\u9163\u9165\u91CF\u9214\u9215\u9223\u9209\u921E\u920D\u9210\u9207\u9211\u9594\u958F\u958B\u9591"],
      ["b6a1", "\u9593\u9592\u958E\u968A\u968E\u968B\u967D\u9685\u9686\u968D\u9672\u9684\u96C1\u96C5\u96C4\u96C6\u96C7\u96EF\u96F2\u97CC\u9805\u9806\u9808\u98E7\u98EA\u98EF\u98E9\u98F2\u98ED\u99AE\u99AD\u9EC3\u9ECD\u9ED1\u4E82\u50AD\u50B5\u50B2\u50B3\u50C5\u50BE\u50AC\u50B7\u50BB\u50AF\u50C7\u527F\u5277\u527D\u52DF\u52E6\u52E4\u52E2\u52E3\u532F\u55DF\u55E8\u55D3\u55E6\u55CE\u55DC\u55C7\u55D1\u55E3\u55E4\u55EF\u55DA\u55E1\u55C5\u55C6\u55E5\u55C9\u5712\u5713\u585E\u5851\u5858\u5857\u585A\u5854\u586B\u584C\u586D\u584A\u5862\u5852\u584B\u5967\u5AC1\u5AC9\u5ACC\u5ABE\u5ABD\u5ABC"],
      ["b740", "\u5AB3\u5AC2\u5AB2\u5D69\u5D6F\u5E4C\u5E79\u5EC9\u5EC8\u5F12\u5F59\u5FAC\u5FAE\u611A\u610F\u6148\u611F\u60F3\u611B\u60F9\u6101\u6108\u614E\u614C\u6144\u614D\u613E\u6134\u6127\u610D\u6106\u6137\u6221\u6222\u6413\u643E\u641E\u642A\u642D\u643D\u642C\u640F\u641C\u6414\u640D\u6436\u6416\u6417\u6406\u656C\u659F\u65B0\u6697\u6689\u6687\u6688\u6696\u6684\u6698\u668D\u6703\u6994\u696D"],
      ["b7a1", "\u695A\u6977\u6960\u6954\u6975\u6930\u6982\u694A\u6968\u696B\u695E\u6953\u6979\u6986\u695D\u6963\u695B\u6B47\u6B72\u6BC0\u6BBF\u6BD3\u6BFD\u6EA2\u6EAF\u6ED3\u6EB6\u6EC2\u6E90\u6E9D\u6EC7\u6EC5\u6EA5\u6E98\u6EBC\u6EBA\u6EAB\u6ED1\u6E96\u6E9C\u6EC4\u6ED4\u6EAA\u6EA7\u6EB4\u714E\u7159\u7169\u7164\u7149\u7167\u715C\u716C\u7166\u714C\u7165\u715E\u7146\u7168\u7156\u723A\u7252\u7337\u7345\u733F\u733E\u746F\u745A\u7455\u745F\u745E\u7441\u743F\u7459\u745B\u745C\u7576\u7578\u7600\u75F0\u7601\u75F2\u75F1\u75FA\u75FF\u75F4\u75F3\u76DE\u76DF\u775B\u776B\u7766\u775E\u7763"],
      ["b840", "\u7779\u776A\u776C\u775C\u7765\u7768\u7762\u77EE\u788E\u78B0\u7897\u7898\u788C\u7889\u787C\u7891\u7893\u787F\u797A\u797F\u7981\u842C\u79BD\u7A1C\u7A1A\u7A20\u7A14\u7A1F\u7A1E\u7A9F\u7AA0\u7B77\u7BC0\u7B60\u7B6E\u7B67\u7CB1\u7CB3\u7CB5\u7D93\u7D79\u7D91\u7D81\u7D8F\u7D5B\u7F6E\u7F69\u7F6A\u7F72\u7FA9\u7FA8\u7FA4\u8056\u8058\u8086\u8084\u8171\u8170\u8178\u8165\u816E\u8173\u816B"],
      ["b8a1", "\u8179\u817A\u8166\u8205\u8247\u8482\u8477\u843D\u8431\u8475\u8466\u846B\u8449\u846C\u845B\u843C\u8435\u8461\u8463\u8469\u846D\u8446\u865E\u865C\u865F\u86F9\u8713\u8708\u8707\u8700\u86FE\u86FB\u8702\u8703\u8706\u870A\u8859\u88DF\u88D4\u88D9\u88DC\u88D8\u88DD\u88E1\u88CA\u88D5\u88D2\u899C\u89E3\u8A6B\u8A72\u8A73\u8A66\u8A69\u8A70\u8A87\u8A7C\u8A63\u8AA0\u8A71\u8A85\u8A6D\u8A62\u8A6E\u8A6C\u8A79\u8A7B\u8A3E\u8A68\u8C62\u8C8A\u8C89\u8CCA\u8CC7\u8CC8\u8CC4\u8CB2\u8CC3\u8CC2\u8CC5\u8DE1\u8DDF\u8DE8\u8DEF\u8DF3\u8DFA\u8DEA\u8DE4\u8DE6\u8EB2\u8F03\u8F09\u8EFE\u8F0A"],
      ["b940", "\u8F9F\u8FB2\u904B\u904A\u9053\u9042\u9054\u903C\u9055\u9050\u9047\u904F\u904E\u904D\u9051\u903E\u9041\u9112\u9117\u916C\u916A\u9169\u91C9\u9237\u9257\u9238\u923D\u9240\u923E\u925B\u924B\u9264\u9251\u9234\u9249\u924D\u9245\u9239\u923F\u925A\u9598\u9698\u9694\u9695\u96CD\u96CB\u96C9\u96CA\u96F7\u96FB\u96F9\u96F6\u9756\u9774\u9776\u9810\u9811\u9813\u980A\u9812\u980C\u98FC\u98F4"],
      ["b9a1", "\u98FD\u98FE\u99B3\u99B1\u99B4\u9AE1\u9CE9\u9E82\u9F0E\u9F13\u9F20\u50E7\u50EE\u50E5\u50D6\u50ED\u50DA\u50D5\u50CF\u50D1\u50F1\u50CE\u50E9\u5162\u51F3\u5283\u5282\u5331\u53AD\u55FE\u5600\u561B\u5617\u55FD\u5614\u5606\u5609\u560D\u560E\u55F7\u5616\u561F\u5608\u5610\u55F6\u5718\u5716\u5875\u587E\u5883\u5893\u588A\u5879\u5885\u587D\u58FD\u5925\u5922\u5924\u596A\u5969\u5AE1\u5AE6\u5AE9\u5AD7\u5AD6\u5AD8\u5AE3\u5B75\u5BDE\u5BE7\u5BE1\u5BE5\u5BE6\u5BE8\u5BE2\u5BE4\u5BDF\u5C0D\u5C62\u5D84\u5D87\u5E5B\u5E63\u5E55\u5E57\u5E54\u5ED3\u5ED6\u5F0A\u5F46\u5F70\u5FB9\u6147"],
      ["ba40", "\u613F\u614B\u6177\u6162\u6163\u615F\u615A\u6158\u6175\u622A\u6487\u6458\u6454\u64A4\u6478\u645F\u647A\u6451\u6467\u6434\u646D\u647B\u6572\u65A1\u65D7\u65D6\u66A2\u66A8\u669D\u699C\u69A8\u6995\u69C1\u69AE\u69D3\u69CB\u699B\u69B7\u69BB\u69AB\u69B4\u69D0\u69CD\u69AD\u69CC\u69A6\u69C3\u69A3\u6B49\u6B4C\u6C33\u6F33\u6F14\u6EFE\u6F13\u6EF4\u6F29\u6F3E\u6F20\u6F2C\u6F0F\u6F02\u6F22"],
      ["baa1", "\u6EFF\u6EEF\u6F06\u6F31\u6F38\u6F32\u6F23\u6F15\u6F2B\u6F2F\u6F88\u6F2A\u6EEC\u6F01\u6EF2\u6ECC\u6EF7\u7194\u7199\u717D\u718A\u7184\u7192\u723E\u7292\u7296\u7344\u7350\u7464\u7463\u746A\u7470\u746D\u7504\u7591\u7627\u760D\u760B\u7609\u7613\u76E1\u76E3\u7784\u777D\u777F\u7761\u78C1\u789F\u78A7\u78B3\u78A9\u78A3\u798E\u798F\u798D\u7A2E\u7A31\u7AAA\u7AA9\u7AED\u7AEF\u7BA1\u7B95\u7B8B\u7B75\u7B97\u7B9D\u7B94\u7B8F\u7BB8\u7B87\u7B84\u7CB9\u7CBD\u7CBE\u7DBB\u7DB0\u7D9C\u7DBD\u7DBE\u7DA0\u7DCA\u7DB4\u7DB2\u7DB1\u7DBA\u7DA2\u7DBF\u7DB5\u7DB8\u7DAD\u7DD2\u7DC7\u7DAC"],
      ["bb40", "\u7F70\u7FE0\u7FE1\u7FDF\u805E\u805A\u8087\u8150\u8180\u818F\u8188\u818A\u817F\u8182\u81E7\u81FA\u8207\u8214\u821E\u824B\u84C9\u84BF\u84C6\u84C4\u8499\u849E\u84B2\u849C\u84CB\u84B8\u84C0\u84D3\u8490\u84BC\u84D1\u84CA\u873F\u871C\u873B\u8722\u8725\u8734\u8718\u8755\u8737\u8729\u88F3\u8902\u88F4\u88F9\u88F8\u88FD\u88E8\u891A\u88EF\u8AA6\u8A8C\u8A9E\u8AA3\u8A8D\u8AA1\u8A93\u8AA4"],
      ["bba1", "\u8AAA\u8AA5\u8AA8\u8A98\u8A91\u8A9A\u8AA7\u8C6A\u8C8D\u8C8C\u8CD3\u8CD1\u8CD2\u8D6B\u8D99\u8D95\u8DFC\u8F14\u8F12\u8F15\u8F13\u8FA3\u9060\u9058\u905C\u9063\u9059\u905E\u9062\u905D\u905B\u9119\u9118\u911E\u9175\u9178\u9177\u9174\u9278\u9280\u9285\u9298\u9296\u927B\u9293\u929C\u92A8\u927C\u9291\u95A1\u95A8\u95A9\u95A3\u95A5\u95A4\u9699\u969C\u969B\u96CC\u96D2\u9700\u977C\u9785\u97F6\u9817\u9818\u98AF\u98B1\u9903\u9905\u990C\u9909\u99C1\u9AAF\u9AB0\u9AE6\u9B41\u9B42\u9CF4\u9CF6\u9CF3\u9EBC\u9F3B\u9F4A\u5104\u5100\u50FB\u50F5\u50F9\u5102\u5108\u5109\u5105\u51DC"],
      ["bc40", "\u5287\u5288\u5289\u528D\u528A\u52F0\u53B2\u562E\u563B\u5639\u5632\u563F\u5634\u5629\u5653\u564E\u5657\u5674\u5636\u562F\u5630\u5880\u589F\u589E\u58B3\u589C\u58AE\u58A9\u58A6\u596D\u5B09\u5AFB\u5B0B\u5AF5\u5B0C\u5B08\u5BEE\u5BEC\u5BE9\u5BEB\u5C64\u5C65\u5D9D\u5D94\u5E62\u5E5F\u5E61\u5EE2\u5EDA\u5EDF\u5EDD\u5EE3\u5EE0\u5F48\u5F71\u5FB7\u5FB5\u6176\u6167\u616E\u615D\u6155\u6182"],
      ["bca1", "\u617C\u6170\u616B\u617E\u61A7\u6190\u61AB\u618E\u61AC\u619A\u61A4\u6194\u61AE\u622E\u6469\u646F\u6479\u649E\u64B2\u6488\u6490\u64B0\u64A5\u6493\u6495\u64A9\u6492\u64AE\u64AD\u64AB\u649A\u64AC\u6499\u64A2\u64B3\u6575\u6577\u6578\u66AE\u66AB\u66B4\u66B1\u6A23\u6A1F\u69E8\u6A01\u6A1E\u6A19\u69FD\u6A21\u6A13\u6A0A\u69F3\u6A02\u6A05\u69ED\u6A11\u6B50\u6B4E\u6BA4\u6BC5\u6BC6\u6F3F\u6F7C\u6F84\u6F51\u6F66\u6F54\u6F86\u6F6D\u6F5B\u6F78\u6F6E\u6F8E\u6F7A\u6F70\u6F64\u6F97\u6F58\u6ED5\u6F6F\u6F60\u6F5F\u719F\u71AC\u71B1\u71A8\u7256\u729B\u734E\u7357\u7469\u748B\u7483"],
      ["bd40", "\u747E\u7480\u757F\u7620\u7629\u761F\u7624\u7626\u7621\u7622\u769A\u76BA\u76E4\u778E\u7787\u778C\u7791\u778B\u78CB\u78C5\u78BA\u78CA\u78BE\u78D5\u78BC\u78D0\u7A3F\u7A3C\u7A40\u7A3D\u7A37\u7A3B\u7AAF\u7AAE\u7BAD\u7BB1\u7BC4\u7BB4\u7BC6\u7BC7\u7BC1\u7BA0\u7BCC\u7CCA\u7DE0\u7DF4\u7DEF\u7DFB\u7DD8\u7DEC\u7DDD\u7DE8\u7DE3\u7DDA\u7DDE\u7DE9\u7D9E\u7DD9\u7DF2\u7DF9\u7F75\u7F77\u7FAF"],
      ["bda1", "\u7FE9\u8026\u819B\u819C\u819D\u81A0\u819A\u8198\u8517\u853D\u851A\u84EE\u852C\u852D\u8513\u8511\u8523\u8521\u8514\u84EC\u8525\u84FF\u8506\u8782\u8774\u8776\u8760\u8766\u8778\u8768\u8759\u8757\u874C\u8753\u885B\u885D\u8910\u8907\u8912\u8913\u8915\u890A\u8ABC\u8AD2\u8AC7\u8AC4\u8A95\u8ACB\u8AF8\u8AB2\u8AC9\u8AC2\u8ABF\u8AB0\u8AD6\u8ACD\u8AB6\u8AB9\u8ADB\u8C4C\u8C4E\u8C6C\u8CE0\u8CDE\u8CE6\u8CE4\u8CEC\u8CED\u8CE2\u8CE3\u8CDC\u8CEA\u8CE1\u8D6D\u8D9F\u8DA3\u8E2B\u8E10\u8E1D\u8E22\u8E0F\u8E29\u8E1F\u8E21\u8E1E\u8EBA\u8F1D\u8F1B\u8F1F\u8F29\u8F26\u8F2A\u8F1C\u8F1E"],
      ["be40", "\u8F25\u9069\u906E\u9068\u906D\u9077\u9130\u912D\u9127\u9131\u9187\u9189\u918B\u9183\u92C5\u92BB\u92B7\u92EA\u92AC\u92E4\u92C1\u92B3\u92BC\u92D2\u92C7\u92F0\u92B2\u95AD\u95B1\u9704\u9706\u9707\u9709\u9760\u978D\u978B\u978F\u9821\u982B\u981C\u98B3\u990A\u9913\u9912\u9918\u99DD\u99D0\u99DF\u99DB\u99D1\u99D5\u99D2\u99D9\u9AB7\u9AEE\u9AEF\u9B27\u9B45\u9B44\u9B77\u9B6F\u9D06\u9D09"],
      ["bea1", "\u9D03\u9EA9\u9EBE\u9ECE\u58A8\u9F52\u5112\u5118\u5114\u5110\u5115\u5180\u51AA\u51DD\u5291\u5293\u52F3\u5659\u566B\u5679\u5669\u5664\u5678\u566A\u5668\u5665\u5671\u566F\u566C\u5662\u5676\u58C1\u58BE\u58C7\u58C5\u596E\u5B1D\u5B34\u5B78\u5BF0\u5C0E\u5F4A\u61B2\u6191\u61A9\u618A\u61CD\u61B6\u61BE\u61CA\u61C8\u6230\u64C5\u64C1\u64CB\u64BB\u64BC\u64DA\u64C4\u64C7\u64C2\u64CD\u64BF\u64D2\u64D4\u64BE\u6574\u66C6\u66C9\u66B9\u66C4\u66C7\u66B8\u6A3D\u6A38\u6A3A\u6A59\u6A6B\u6A58\u6A39\u6A44\u6A62\u6A61\u6A4B\u6A47\u6A35\u6A5F\u6A48\u6B59\u6B77\u6C05\u6FC2\u6FB1\u6FA1"],
      ["bf40", "\u6FC3\u6FA4\u6FC1\u6FA7\u6FB3\u6FC0\u6FB9\u6FB6\u6FA6\u6FA0\u6FB4\u71BE\u71C9\u71D0\u71D2\u71C8\u71D5\u71B9\u71CE\u71D9\u71DC\u71C3\u71C4\u7368\u749C\u74A3\u7498\u749F\u749E\u74E2\u750C\u750D\u7634\u7638\u763A\u76E7\u76E5\u77A0\u779E\u779F\u77A5\u78E8\u78DA\u78EC\u78E7\u79A6\u7A4D\u7A4E\u7A46\u7A4C\u7A4B\u7ABA\u7BD9\u7C11\u7BC9\u7BE4\u7BDB\u7BE1\u7BE9\u7BE6\u7CD5\u7CD6\u7E0A"],
      ["bfa1", "\u7E11\u7E08\u7E1B\u7E23\u7E1E\u7E1D\u7E09\u7E10\u7F79\u7FB2\u7FF0\u7FF1\u7FEE\u8028\u81B3\u81A9\u81A8\u81FB\u8208\u8258\u8259\u854A\u8559\u8548\u8568\u8569\u8543\u8549\u856D\u856A\u855E\u8783\u879F\u879E\u87A2\u878D\u8861\u892A\u8932\u8925\u892B\u8921\u89AA\u89A6\u8AE6\u8AFA\u8AEB\u8AF1\u8B00\u8ADC\u8AE7\u8AEE\u8AFE\u8B01\u8B02\u8AF7\u8AED\u8AF3\u8AF6\u8AFC\u8C6B\u8C6D\u8C93\u8CF4\u8E44\u8E31\u8E34\u8E42\u8E39\u8E35\u8F3B\u8F2F\u8F38\u8F33\u8FA8\u8FA6\u9075\u9074\u9078\u9072\u907C\u907A\u9134\u9192\u9320\u9336\u92F8\u9333\u932F\u9322\u92FC\u932B\u9304\u931A"],
      ["c040", "\u9310\u9326\u9321\u9315\u932E\u9319\u95BB\u96A7\u96A8\u96AA\u96D5\u970E\u9711\u9716\u970D\u9713\u970F\u975B\u975C\u9766\u9798\u9830\u9838\u983B\u9837\u982D\u9839\u9824\u9910\u9928\u991E\u991B\u9921\u991A\u99ED\u99E2\u99F1\u9AB8\u9ABC\u9AFB\u9AED\u9B28\u9B91\u9D15\u9D23\u9D26\u9D28\u9D12\u9D1B\u9ED8\u9ED4\u9F8D\u9F9C\u512A\u511F\u5121\u5132\u52F5\u568E\u5680\u5690\u5685\u5687"],
      ["c0a1", "\u568F\u58D5\u58D3\u58D1\u58CE\u5B30\u5B2A\u5B24\u5B7A\u5C37\u5C68\u5DBC\u5DBA\u5DBD\u5DB8\u5E6B\u5F4C\u5FBD\u61C9\u61C2\u61C7\u61E6\u61CB\u6232\u6234\u64CE\u64CA\u64D8\u64E0\u64F0\u64E6\u64EC\u64F1\u64E2\u64ED\u6582\u6583\u66D9\u66D6\u6A80\u6A94\u6A84\u6AA2\u6A9C\u6ADB\u6AA3\u6A7E\u6A97\u6A90\u6AA0\u6B5C\u6BAE\u6BDA\u6C08\u6FD8\u6FF1\u6FDF\u6FE0\u6FDB\u6FE4\u6FEB\u6FEF\u6F80\u6FEC\u6FE1\u6FE9\u6FD5\u6FEE\u6FF0\u71E7\u71DF\u71EE\u71E6\u71E5\u71ED\u71EC\u71F4\u71E0\u7235\u7246\u7370\u7372\u74A9\u74B0\u74A6\u74A8\u7646\u7642\u764C\u76EA\u77B3\u77AA\u77B0\u77AC"],
      ["c140", "\u77A7\u77AD\u77EF\u78F7\u78FA\u78F4\u78EF\u7901\u79A7\u79AA\u7A57\u7ABF\u7C07\u7C0D\u7BFE\u7BF7\u7C0C\u7BE0\u7CE0\u7CDC\u7CDE\u7CE2\u7CDF\u7CD9\u7CDD\u7E2E\u7E3E\u7E46\u7E37\u7E32\u7E43\u7E2B\u7E3D\u7E31\u7E45\u7E41\u7E34\u7E39\u7E48\u7E35\u7E3F\u7E2F\u7F44\u7FF3\u7FFC\u8071\u8072\u8070\u806F\u8073\u81C6\u81C3\u81BA\u81C2\u81C0\u81BF\u81BD\u81C9\u81BE\u81E8\u8209\u8271\u85AA"],
      ["c1a1", "\u8584\u857E\u859C\u8591\u8594\u85AF\u859B\u8587\u85A8\u858A\u8667\u87C0\u87D1\u87B3\u87D2\u87C6\u87AB\u87BB\u87BA\u87C8\u87CB\u893B\u8936\u8944\u8938\u893D\u89AC\u8B0E\u8B17\u8B19\u8B1B\u8B0A\u8B20\u8B1D\u8B04\u8B10\u8C41\u8C3F\u8C73\u8CFA\u8CFD\u8CFC\u8CF8\u8CFB\u8DA8\u8E49\u8E4B\u8E48\u8E4A\u8F44\u8F3E\u8F42\u8F45\u8F3F\u907F\u907D\u9084\u9081\u9082\u9080\u9139\u91A3\u919E\u919C\u934D\u9382\u9328\u9375\u934A\u9365\u934B\u9318\u937E\u936C\u935B\u9370\u935A\u9354\u95CA\u95CB\u95CC\u95C8\u95C6\u96B1\u96B8\u96D6\u971C\u971E\u97A0\u97D3\u9846\u98B6\u9935\u9A01"],
      ["c240", "\u99FF\u9BAE\u9BAB\u9BAA\u9BAD\u9D3B\u9D3F\u9E8B\u9ECF\u9EDE\u9EDC\u9EDD\u9EDB\u9F3E\u9F4B\u53E2\u5695\u56AE\u58D9\u58D8\u5B38\u5F5D\u61E3\u6233\u64F4\u64F2\u64FE\u6506\u64FA\u64FB\u64F7\u65B7\u66DC\u6726\u6AB3\u6AAC\u6AC3\u6ABB\u6AB8\u6AC2\u6AAE\u6AAF\u6B5F\u6B78\u6BAF\u7009\u700B\u6FFE\u7006\u6FFA\u7011\u700F\u71FB\u71FC\u71FE\u71F8\u7377\u7375\u74A7\u74BF\u7515\u7656\u7658"],
      ["c2a1", "\u7652\u77BD\u77BF\u77BB\u77BC\u790E\u79AE\u7A61\u7A62\u7A60\u7AC4\u7AC5\u7C2B\u7C27\u7C2A\u7C1E\u7C23\u7C21\u7CE7\u7E54\u7E55\u7E5E\u7E5A\u7E61\u7E52\u7E59\u7F48\u7FF9\u7FFB\u8077\u8076\u81CD\u81CF\u820A\u85CF\u85A9\u85CD\u85D0\u85C9\u85B0\u85BA\u85B9\u85A6\u87EF\u87EC\u87F2\u87E0\u8986\u89B2\u89F4\u8B28\u8B39\u8B2C\u8B2B\u8C50\u8D05\u8E59\u8E63\u8E66\u8E64\u8E5F\u8E55\u8EC0\u8F49\u8F4D\u9087\u9083\u9088\u91AB\u91AC\u91D0\u9394\u938A\u9396\u93A2\u93B3\u93AE\u93AC\u93B0\u9398\u939A\u9397\u95D4\u95D6\u95D0\u95D5\u96E2\u96DC\u96D9\u96DB\u96DE\u9724\u97A3\u97A6"],
      ["c340", "\u97AD\u97F9\u984D\u984F\u984C\u984E\u9853\u98BA\u993E\u993F\u993D\u992E\u99A5\u9A0E\u9AC1\u9B03\u9B06\u9B4F\u9B4E\u9B4D\u9BCA\u9BC9\u9BFD\u9BC8\u9BC0\u9D51\u9D5D\u9D60\u9EE0\u9F15\u9F2C\u5133\u56A5\u58DE\u58DF\u58E2\u5BF5\u9F90\u5EEC\u61F2\u61F7\u61F6\u61F5\u6500\u650F\u66E0\u66DD\u6AE5\u6ADD\u6ADA\u6AD3\u701B\u701F\u7028\u701A\u701D\u7015\u7018\u7206\u720D\u7258\u72A2\u7378"],
      ["c3a1", "\u737A\u74BD\u74CA\u74E3\u7587\u7586\u765F\u7661\u77C7\u7919\u79B1\u7A6B\u7A69\u7C3E\u7C3F\u7C38\u7C3D\u7C37\u7C40\u7E6B\u7E6D\u7E79\u7E69\u7E6A\u7F85\u7E73\u7FB6\u7FB9\u7FB8\u81D8\u85E9\u85DD\u85EA\u85D5\u85E4\u85E5\u85F7\u87FB\u8805\u880D\u87F9\u87FE\u8960\u895F\u8956\u895E\u8B41\u8B5C\u8B58\u8B49\u8B5A\u8B4E\u8B4F\u8B46\u8B59\u8D08\u8D0A\u8E7C\u8E72\u8E87\u8E76\u8E6C\u8E7A\u8E74\u8F54\u8F4E\u8FAD\u908A\u908B\u91B1\u91AE\u93E1\u93D1\u93DF\u93C3\u93C8\u93DC\u93DD\u93D6\u93E2\u93CD\u93D8\u93E4\u93D7\u93E8\u95DC\u96B4\u96E3\u972A\u9727\u9761\u97DC\u97FB\u985E"],
      ["c440", "\u9858\u985B\u98BC\u9945\u9949\u9A16\u9A19\u9B0D\u9BE8\u9BE7\u9BD6\u9BDB\u9D89\u9D61\u9D72\u9D6A\u9D6C\u9E92\u9E97\u9E93\u9EB4\u52F8\u56A8\u56B7\u56B6\u56B4\u56BC\u58E4\u5B40\u5B43\u5B7D\u5BF6\u5DC9\u61F8\u61FA\u6518\u6514\u6519\u66E6\u6727\u6AEC\u703E\u7030\u7032\u7210\u737B\u74CF\u7662\u7665\u7926\u792A\u792C\u792B\u7AC7\u7AF6\u7C4C\u7C43\u7C4D\u7CEF\u7CF0\u8FAE\u7E7D\u7E7C"],
      ["c4a1", "\u7E82\u7F4C\u8000\u81DA\u8266\u85FB\u85F9\u8611\u85FA\u8606\u860B\u8607\u860A\u8814\u8815\u8964\u89BA\u89F8\u8B70\u8B6C\u8B66\u8B6F\u8B5F\u8B6B\u8D0F\u8D0D\u8E89\u8E81\u8E85\u8E82\u91B4\u91CB\u9418\u9403\u93FD\u95E1\u9730\u98C4\u9952\u9951\u99A8\u9A2B\u9A30\u9A37\u9A35\u9C13\u9C0D\u9E79\u9EB5\u9EE8\u9F2F\u9F5F\u9F63\u9F61\u5137\u5138\u56C1\u56C0\u56C2\u5914\u5C6C\u5DCD\u61FC\u61FE\u651D\u651C\u6595\u66E9\u6AFB\u6B04\u6AFA\u6BB2\u704C\u721B\u72A7\u74D6\u74D4\u7669\u77D3\u7C50\u7E8F\u7E8C\u7FBC\u8617\u862D\u861A\u8823\u8822\u8821\u881F\u896A\u896C\u89BD\u8B74"],
      ["c540", "\u8B77\u8B7D\u8D13\u8E8A\u8E8D\u8E8B\u8F5F\u8FAF\u91BA\u942E\u9433\u9435\u943A\u9438\u9432\u942B\u95E2\u9738\u9739\u9732\u97FF\u9867\u9865\u9957\u9A45\u9A43\u9A40\u9A3E\u9ACF\u9B54\u9B51\u9C2D\u9C25\u9DAF\u9DB4\u9DC2\u9DB8\u9E9D\u9EEF\u9F19\u9F5C\u9F66\u9F67\u513C\u513B\u56C8\u56CA\u56C9\u5B7F\u5DD4\u5DD2\u5F4E\u61FF\u6524\u6B0A\u6B61\u7051\u7058\u7380\u74E4\u758A\u766E\u766C"],
      ["c5a1", "\u79B3\u7C60\u7C5F\u807E\u807D\u81DF\u8972\u896F\u89FC\u8B80\u8D16\u8D17\u8E91\u8E93\u8F61\u9148\u9444\u9451\u9452\u973D\u973E\u97C3\u97C1\u986B\u9955\u9A55\u9A4D\u9AD2\u9B1A\u9C49\u9C31\u9C3E\u9C3B\u9DD3\u9DD7\u9F34\u9F6C\u9F6A\u9F94\u56CC\u5DD6\u6200\u6523\u652B\u652A\u66EC\u6B10\u74DA\u7ACA\u7C64\u7C63\u7C65\u7E93\u7E96\u7E94\u81E2\u8638\u863F\u8831\u8B8A\u9090\u908F\u9463\u9460\u9464\u9768\u986F\u995C\u9A5A\u9A5B\u9A57\u9AD3\u9AD4\u9AD1\u9C54\u9C57\u9C56\u9DE5\u9E9F\u9EF4\u56D1\u58E9\u652C\u705E\u7671\u7672\u77D7\u7F50\u7F88\u8836\u8839\u8862\u8B93\u8B92"],
      ["c640", "\u8B96\u8277\u8D1B\u91C0\u946A\u9742\u9748\u9744\u97C6\u9870\u9A5F\u9B22\u9B58\u9C5F\u9DF9\u9DFA\u9E7C\u9E7D\u9F07\u9F77\u9F72\u5EF3\u6B16\u7063\u7C6C\u7C6E\u883B\u89C0\u8EA1\u91C1\u9472\u9470\u9871\u995E\u9AD6\u9B23\u9ECC\u7064\u77DA\u8B9A\u9477\u97C9\u9A62\u9A65\u7E9C\u8B9C\u8EAA\u91C5\u947D\u947E\u947C\u9C77\u9C78\u9EF7\u8C54\u947F\u9E1A\u7228\u9A6A\u9B31\u9E1B\u9E1E\u7C72"],
      ["c940", "\u4E42\u4E5C\u51F5\u531A\u5382\u4E07\u4E0C\u4E47\u4E8D\u56D7\uFA0C\u5C6E\u5F73\u4E0F\u5187\u4E0E\u4E2E\u4E93\u4EC2\u4EC9\u4EC8\u5198\u52FC\u536C\u53B9\u5720\u5903\u592C\u5C10\u5DFF\u65E1\u6BB3\u6BCC\u6C14\u723F\u4E31\u4E3C\u4EE8\u4EDC\u4EE9\u4EE1\u4EDD\u4EDA\u520C\u531C\u534C\u5722\u5723\u5917\u592F\u5B81\u5B84\u5C12\u5C3B\u5C74\u5C73\u5E04\u5E80\u5E82\u5FC9\u6209\u6250\u6C15"],
      ["c9a1", "\u6C36\u6C43\u6C3F\u6C3B\u72AE\u72B0\u738A\u79B8\u808A\u961E\u4F0E\u4F18\u4F2C\u4EF5\u4F14\u4EF1\u4F00\u4EF7\u4F08\u4F1D\u4F02\u4F05\u4F22\u4F13\u4F04\u4EF4\u4F12\u51B1\u5213\u5209\u5210\u52A6\u5322\u531F\u534D\u538A\u5407\u56E1\u56DF\u572E\u572A\u5734\u593C\u5980\u597C\u5985\u597B\u597E\u5977\u597F\u5B56\u5C15\u5C25\u5C7C\u5C7A\u5C7B\u5C7E\u5DDF\u5E75\u5E84\u5F02\u5F1A\u5F74\u5FD5\u5FD4\u5FCF\u625C\u625E\u6264\u6261\u6266\u6262\u6259\u6260\u625A\u6265\u65EF\u65EE\u673E\u6739\u6738\u673B\u673A\u673F\u673C\u6733\u6C18\u6C46\u6C52\u6C5C\u6C4F\u6C4A\u6C54\u6C4B"],
      ["ca40", "\u6C4C\u7071\u725E\u72B4\u72B5\u738E\u752A\u767F\u7A75\u7F51\u8278\u827C\u8280\u827D\u827F\u864D\u897E\u9099\u9097\u9098\u909B\u9094\u9622\u9624\u9620\u9623\u4F56\u4F3B\u4F62\u4F49\u4F53\u4F64\u4F3E\u4F67\u4F52\u4F5F\u4F41\u4F58\u4F2D\u4F33\u4F3F\u4F61\u518F\u51B9\u521C\u521E\u5221\u52AD\u52AE\u5309\u5363\u5372\u538E\u538F\u5430\u5437\u542A\u5454\u5445\u5419\u541C\u5425\u5418"],
      ["caa1", "\u543D\u544F\u5441\u5428\u5424\u5447\u56EE\u56E7\u56E5\u5741\u5745\u574C\u5749\u574B\u5752\u5906\u5940\u59A6\u5998\u59A0\u5997\u598E\u59A2\u5990\u598F\u59A7\u59A1\u5B8E\u5B92\u5C28\u5C2A\u5C8D\u5C8F\u5C88\u5C8B\u5C89\u5C92\u5C8A\u5C86\u5C93\u5C95\u5DE0\u5E0A\u5E0E\u5E8B\u5E89\u5E8C\u5E88\u5E8D\u5F05\u5F1D\u5F78\u5F76\u5FD2\u5FD1\u5FD0\u5FED\u5FE8\u5FEE\u5FF3\u5FE1\u5FE4\u5FE3\u5FFA\u5FEF\u5FF7\u5FFB\u6000\u5FF4\u623A\u6283\u628C\u628E\u628F\u6294\u6287\u6271\u627B\u627A\u6270\u6281\u6288\u6277\u627D\u6272\u6274\u6537\u65F0\u65F4\u65F3\u65F2\u65F5\u6745\u6747"],
      ["cb40", "\u6759\u6755\u674C\u6748\u675D\u674D\u675A\u674B\u6BD0\u6C19\u6C1A\u6C78\u6C67\u6C6B\u6C84\u6C8B\u6C8F\u6C71\u6C6F\u6C69\u6C9A\u6C6D\u6C87\u6C95\u6C9C\u6C66\u6C73\u6C65\u6C7B\u6C8E\u7074\u707A\u7263\u72BF\u72BD\u72C3\u72C6\u72C1\u72BA\u72C5\u7395\u7397\u7393\u7394\u7392\u753A\u7539\u7594\u7595\u7681\u793D\u8034\u8095\u8099\u8090\u8092\u809C\u8290\u828F\u8285\u828E\u8291\u8293"],
      ["cba1", "\u828A\u8283\u8284\u8C78\u8FC9\u8FBF\u909F\u90A1\u90A5\u909E\u90A7\u90A0\u9630\u9628\u962F\u962D\u4E33\u4F98\u4F7C\u4F85\u4F7D\u4F80\u4F87\u4F76\u4F74\u4F89\u4F84\u4F77\u4F4C\u4F97\u4F6A\u4F9A\u4F79\u4F81\u4F78\u4F90\u4F9C\u4F94\u4F9E\u4F92\u4F82\u4F95\u4F6B\u4F6E\u519E\u51BC\u51BE\u5235\u5232\u5233\u5246\u5231\u52BC\u530A\u530B\u533C\u5392\u5394\u5487\u547F\u5481\u5491\u5482\u5488\u546B\u547A\u547E\u5465\u546C\u5474\u5466\u548D\u546F\u5461\u5460\u5498\u5463\u5467\u5464\u56F7\u56F9\u576F\u5772\u576D\u576B\u5771\u5770\u5776\u5780\u5775\u577B\u5773\u5774\u5762"],
      ["cc40", "\u5768\u577D\u590C\u5945\u59B5\u59BA\u59CF\u59CE\u59B2\u59CC\u59C1\u59B6\u59BC\u59C3\u59D6\u59B1\u59BD\u59C0\u59C8\u59B4\u59C7\u5B62\u5B65\u5B93\u5B95\u5C44\u5C47\u5CAE\u5CA4\u5CA0\u5CB5\u5CAF\u5CA8\u5CAC\u5C9F\u5CA3\u5CAD\u5CA2\u5CAA\u5CA7\u5C9D\u5CA5\u5CB6\u5CB0\u5CA6\u5E17\u5E14\u5E19\u5F28\u5F22\u5F23\u5F24\u5F54\u5F82\u5F7E\u5F7D\u5FDE\u5FE5\u602D\u6026\u6019\u6032\u600B"],
      ["cca1", "\u6034\u600A\u6017\u6033\u601A\u601E\u602C\u6022\u600D\u6010\u602E\u6013\u6011\u600C\u6009\u601C\u6214\u623D\u62AD\u62B4\u62D1\u62BE\u62AA\u62B6\u62CA\u62AE\u62B3\u62AF\u62BB\u62A9\u62B0\u62B8\u653D\u65A8\u65BB\u6609\u65FC\u6604\u6612\u6608\u65FB\u6603\u660B\u660D\u6605\u65FD\u6611\u6610\u66F6\u670A\u6785\u676C\u678E\u6792\u6776\u677B\u6798\u6786\u6784\u6774\u678D\u678C\u677A\u679F\u6791\u6799\u6783\u677D\u6781\u6778\u6779\u6794\u6B25\u6B80\u6B7E\u6BDE\u6C1D\u6C93\u6CEC\u6CEB\u6CEE\u6CD9\u6CB6\u6CD4\u6CAD\u6CE7\u6CB7\u6CD0\u6CC2\u6CBA\u6CC3\u6CC6\u6CED\u6CF2"],
      ["cd40", "\u6CD2\u6CDD\u6CB4\u6C8A\u6C9D\u6C80\u6CDE\u6CC0\u6D30\u6CCD\u6CC7\u6CB0\u6CF9\u6CCF\u6CE9\u6CD1\u7094\u7098\u7085\u7093\u7086\u7084\u7091\u7096\u7082\u709A\u7083\u726A\u72D6\u72CB\u72D8\u72C9\u72DC\u72D2\u72D4\u72DA\u72CC\u72D1\u73A4\u73A1\u73AD\u73A6\u73A2\u73A0\u73AC\u739D\u74DD\u74E8\u753F\u7540\u753E\u758C\u7598\u76AF\u76F3\u76F1\u76F0\u76F5\u77F8\u77FC\u77F9\u77FB\u77FA"],
      ["cda1", "\u77F7\u7942\u793F\u79C5\u7A78\u7A7B\u7AFB\u7C75\u7CFD\u8035\u808F\u80AE\u80A3\u80B8\u80B5\u80AD\u8220\u82A0\u82C0\u82AB\u829A\u8298\u829B\u82B5\u82A7\u82AE\u82BC\u829E\u82BA\u82B4\u82A8\u82A1\u82A9\u82C2\u82A4\u82C3\u82B6\u82A2\u8670\u866F\u866D\u866E\u8C56\u8FD2\u8FCB\u8FD3\u8FCD\u8FD6\u8FD5\u8FD7\u90B2\u90B4\u90AF\u90B3\u90B0\u9639\u963D\u963C\u963A\u9643\u4FCD\u4FC5\u4FD3\u4FB2\u4FC9\u4FCB\u4FC1\u4FD4\u4FDC\u4FD9\u4FBB\u4FB3\u4FDB\u4FC7\u4FD6\u4FBA\u4FC0\u4FB9\u4FEC\u5244\u5249\u52C0\u52C2\u533D\u537C\u5397\u5396\u5399\u5398\u54BA\u54A1\u54AD\u54A5\u54CF"],
      ["ce40", "\u54C3\u830D\u54B7\u54AE\u54D6\u54B6\u54C5\u54C6\u54A0\u5470\u54BC\u54A2\u54BE\u5472\u54DE\u54B0\u57B5\u579E\u579F\u57A4\u578C\u5797\u579D\u579B\u5794\u5798\u578F\u5799\u57A5\u579A\u5795\u58F4\u590D\u5953\u59E1\u59DE\u59EE\u5A00\u59F1\u59DD\u59FA\u59FD\u59FC\u59F6\u59E4\u59F2\u59F7\u59DB\u59E9\u59F3\u59F5\u59E0\u59FE\u59F4\u59ED\u5BA8\u5C4C\u5CD0\u5CD8\u5CCC\u5CD7\u5CCB\u5CDB"],
      ["cea1", "\u5CDE\u5CDA\u5CC9\u5CC7\u5CCA\u5CD6\u5CD3\u5CD4\u5CCF\u5CC8\u5CC6\u5CCE\u5CDF\u5CF8\u5DF9\u5E21\u5E22\u5E23\u5E20\u5E24\u5EB0\u5EA4\u5EA2\u5E9B\u5EA3\u5EA5\u5F07\u5F2E\u5F56\u5F86\u6037\u6039\u6054\u6072\u605E\u6045\u6053\u6047\u6049\u605B\u604C\u6040\u6042\u605F\u6024\u6044\u6058\u6066\u606E\u6242\u6243\u62CF\u630D\u630B\u62F5\u630E\u6303\u62EB\u62F9\u630F\u630C\u62F8\u62F6\u6300\u6313\u6314\u62FA\u6315\u62FB\u62F0\u6541\u6543\u65AA\u65BF\u6636\u6621\u6632\u6635\u661C\u6626\u6622\u6633\u662B\u663A\u661D\u6634\u6639\u662E\u670F\u6710\u67C1\u67F2\u67C8\u67BA"],
      ["cf40", "\u67DC\u67BB\u67F8\u67D8\u67C0\u67B7\u67C5\u67EB\u67E4\u67DF\u67B5\u67CD\u67B3\u67F7\u67F6\u67EE\u67E3\u67C2\u67B9\u67CE\u67E7\u67F0\u67B2\u67FC\u67C6\u67ED\u67CC\u67AE\u67E6\u67DB\u67FA\u67C9\u67CA\u67C3\u67EA\u67CB\u6B28\u6B82\u6B84\u6BB6\u6BD6\u6BD8\u6BE0\u6C20\u6C21\u6D28\u6D34\u6D2D\u6D1F\u6D3C\u6D3F\u6D12\u6D0A\u6CDA\u6D33\u6D04\u6D19\u6D3A\u6D1A\u6D11\u6D00\u6D1D\u6D42"],
      ["cfa1", "\u6D01\u6D18\u6D37\u6D03\u6D0F\u6D40\u6D07\u6D20\u6D2C\u6D08\u6D22\u6D09\u6D10\u70B7\u709F\u70BE\u70B1\u70B0\u70A1\u70B4\u70B5\u70A9\u7241\u7249\u724A\u726C\u7270\u7273\u726E\u72CA\u72E4\u72E8\u72EB\u72DF\u72EA\u72E6\u72E3\u7385\u73CC\u73C2\u73C8\u73C5\u73B9\u73B6\u73B5\u73B4\u73EB\u73BF\u73C7\u73BE\u73C3\u73C6\u73B8\u73CB\u74EC\u74EE\u752E\u7547\u7548\u75A7\u75AA\u7679\u76C4\u7708\u7703\u7704\u7705\u770A\u76F7\u76FB\u76FA\u77E7\u77E8\u7806\u7811\u7812\u7805\u7810\u780F\u780E\u7809\u7803\u7813\u794A\u794C\u794B\u7945\u7944\u79D5\u79CD\u79CF\u79D6\u79CE\u7A80"],
      ["d040", "\u7A7E\u7AD1\u7B00\u7B01\u7C7A\u7C78\u7C79\u7C7F\u7C80\u7C81\u7D03\u7D08\u7D01\u7F58\u7F91\u7F8D\u7FBE\u8007\u800E\u800F\u8014\u8037\u80D8\u80C7\u80E0\u80D1\u80C8\u80C2\u80D0\u80C5\u80E3\u80D9\u80DC\u80CA\u80D5\u80C9\u80CF\u80D7\u80E6\u80CD\u81FF\u8221\u8294\u82D9\u82FE\u82F9\u8307\u82E8\u8300\u82D5\u833A\u82EB\u82D6\u82F4\u82EC\u82E1\u82F2\u82F5\u830C\u82FB\u82F6\u82F0\u82EA"],
      ["d0a1", "\u82E4\u82E0\u82FA\u82F3\u82ED\u8677\u8674\u867C\u8673\u8841\u884E\u8867\u886A\u8869\u89D3\u8A04\u8A07\u8D72\u8FE3\u8FE1\u8FEE\u8FE0\u90F1\u90BD\u90BF\u90D5\u90C5\u90BE\u90C7\u90CB\u90C8\u91D4\u91D3\u9654\u964F\u9651\u9653\u964A\u964E\u501E\u5005\u5007\u5013\u5022\u5030\u501B\u4FF5\u4FF4\u5033\u5037\u502C\u4FF6\u4FF7\u5017\u501C\u5020\u5027\u5035\u502F\u5031\u500E\u515A\u5194\u5193\u51CA\u51C4\u51C5\u51C8\u51CE\u5261\u525A\u5252\u525E\u525F\u5255\u5262\u52CD\u530E\u539E\u5526\u54E2\u5517\u5512\u54E7\u54F3\u54E4\u551A\u54FF\u5504\u5508\u54EB\u5511\u5505\u54F1"],
      ["d140", "\u550A\u54FB\u54F7\u54F8\u54E0\u550E\u5503\u550B\u5701\u5702\u57CC\u5832\u57D5\u57D2\u57BA\u57C6\u57BD\u57BC\u57B8\u57B6\u57BF\u57C7\u57D0\u57B9\u57C1\u590E\u594A\u5A19\u5A16\u5A2D\u5A2E\u5A15\u5A0F\u5A17\u5A0A\u5A1E\u5A33\u5B6C\u5BA7\u5BAD\u5BAC\u5C03\u5C56\u5C54\u5CEC\u5CFF\u5CEE\u5CF1\u5CF7\u5D00\u5CF9\u5E29\u5E28\u5EA8\u5EAE\u5EAA\u5EAC\u5F33\u5F30\u5F67\u605D\u605A\u6067"],
      ["d1a1", "\u6041\u60A2\u6088\u6080\u6092\u6081\u609D\u6083\u6095\u609B\u6097\u6087\u609C\u608E\u6219\u6246\u62F2\u6310\u6356\u632C\u6344\u6345\u6336\u6343\u63E4\u6339\u634B\u634A\u633C\u6329\u6341\u6334\u6358\u6354\u6359\u632D\u6347\u6333\u635A\u6351\u6338\u6357\u6340\u6348\u654A\u6546\u65C6\u65C3\u65C4\u65C2\u664A\u665F\u6647\u6651\u6712\u6713\u681F\u681A\u6849\u6832\u6833\u683B\u684B\u684F\u6816\u6831\u681C\u6835\u682B\u682D\u682F\u684E\u6844\u6834\u681D\u6812\u6814\u6826\u6828\u682E\u684D\u683A\u6825\u6820\u6B2C\u6B2F\u6B2D\u6B31\u6B34\u6B6D\u8082\u6B88\u6BE6\u6BE4"],
      ["d240", "\u6BE8\u6BE3\u6BE2\u6BE7\u6C25\u6D7A\u6D63\u6D64\u6D76\u6D0D\u6D61\u6D92\u6D58\u6D62\u6D6D\u6D6F\u6D91\u6D8D\u6DEF\u6D7F\u6D86\u6D5E\u6D67\u6D60\u6D97\u6D70\u6D7C\u6D5F\u6D82\u6D98\u6D2F\u6D68\u6D8B\u6D7E\u6D80\u6D84\u6D16\u6D83\u6D7B\u6D7D\u6D75\u6D90\u70DC\u70D3\u70D1\u70DD\u70CB\u7F39\u70E2\u70D7\u70D2\u70DE\u70E0\u70D4\u70CD\u70C5\u70C6\u70C7\u70DA\u70CE\u70E1\u7242\u7278"],
      ["d2a1", "\u7277\u7276\u7300\u72FA\u72F4\u72FE\u72F6\u72F3\u72FB\u7301\u73D3\u73D9\u73E5\u73D6\u73BC\u73E7\u73E3\u73E9\u73DC\u73D2\u73DB\u73D4\u73DD\u73DA\u73D7\u73D8\u73E8\u74DE\u74DF\u74F4\u74F5\u7521\u755B\u755F\u75B0\u75C1\u75BB\u75C4\u75C0\u75BF\u75B6\u75BA\u768A\u76C9\u771D\u771B\u7710\u7713\u7712\u7723\u7711\u7715\u7719\u771A\u7722\u7727\u7823\u782C\u7822\u7835\u782F\u7828\u782E\u782B\u7821\u7829\u7833\u782A\u7831\u7954\u795B\u794F\u795C\u7953\u7952\u7951\u79EB\u79EC\u79E0\u79EE\u79ED\u79EA\u79DC\u79DE\u79DD\u7A86\u7A89\u7A85\u7A8B\u7A8C\u7A8A\u7A87\u7AD8\u7B10"],
      ["d340", "\u7B04\u7B13\u7B05\u7B0F\u7B08\u7B0A\u7B0E\u7B09\u7B12\u7C84\u7C91\u7C8A\u7C8C\u7C88\u7C8D\u7C85\u7D1E\u7D1D\u7D11\u7D0E\u7D18\u7D16\u7D13\u7D1F\u7D12\u7D0F\u7D0C\u7F5C\u7F61\u7F5E\u7F60\u7F5D\u7F5B\u7F96\u7F92\u7FC3\u7FC2\u7FC0\u8016\u803E\u8039\u80FA\u80F2\u80F9\u80F5\u8101\u80FB\u8100\u8201\u822F\u8225\u8333\u832D\u8344\u8319\u8351\u8325\u8356\u833F\u8341\u8326\u831C\u8322"],
      ["d3a1", "\u8342\u834E\u831B\u832A\u8308\u833C\u834D\u8316\u8324\u8320\u8337\u832F\u8329\u8347\u8345\u834C\u8353\u831E\u832C\u834B\u8327\u8348\u8653\u8652\u86A2\u86A8\u8696\u868D\u8691\u869E\u8687\u8697\u8686\u868B\u869A\u8685\u86A5\u8699\u86A1\u86A7\u8695\u8698\u868E\u869D\u8690\u8694\u8843\u8844\u886D\u8875\u8876\u8872\u8880\u8871\u887F\u886F\u8883\u887E\u8874\u887C\u8A12\u8C47\u8C57\u8C7B\u8CA4\u8CA3\u8D76\u8D78\u8DB5\u8DB7\u8DB6\u8ED1\u8ED3\u8FFE\u8FF5\u9002\u8FFF\u8FFB\u9004\u8FFC\u8FF6\u90D6\u90E0\u90D9\u90DA\u90E3\u90DF\u90E5\u90D8\u90DB\u90D7\u90DC\u90E4\u9150"],
      ["d440", "\u914E\u914F\u91D5\u91E2\u91DA\u965C\u965F\u96BC\u98E3\u9ADF\u9B2F\u4E7F\u5070\u506A\u5061\u505E\u5060\u5053\u504B\u505D\u5072\u5048\u504D\u5041\u505B\u504A\u5062\u5015\u5045\u505F\u5069\u506B\u5063\u5064\u5046\u5040\u506E\u5073\u5057\u5051\u51D0\u526B\u526D\u526C\u526E\u52D6\u52D3\u532D\u539C\u5575\u5576\u553C\u554D\u5550\u5534\u552A\u5551\u5562\u5536\u5535\u5530\u5552\u5545"],
      ["d4a1", "\u550C\u5532\u5565\u554E\u5539\u5548\u552D\u553B\u5540\u554B\u570A\u5707\u57FB\u5814\u57E2\u57F6\u57DC\u57F4\u5800\u57ED\u57FD\u5808\u57F8\u580B\u57F3\u57CF\u5807\u57EE\u57E3\u57F2\u57E5\u57EC\u57E1\u580E\u57FC\u5810\u57E7\u5801\u580C\u57F1\u57E9\u57F0\u580D\u5804\u595C\u5A60\u5A58\u5A55\u5A67\u5A5E\u5A38\u5A35\u5A6D\u5A50\u5A5F\u5A65\u5A6C\u5A53\u5A64\u5A57\u5A43\u5A5D\u5A52\u5A44\u5A5B\u5A48\u5A8E\u5A3E\u5A4D\u5A39\u5A4C\u5A70\u5A69\u5A47\u5A51\u5A56\u5A42\u5A5C\u5B72\u5B6E\u5BC1\u5BC0\u5C59\u5D1E\u5D0B\u5D1D\u5D1A\u5D20\u5D0C\u5D28\u5D0D\u5D26\u5D25\u5D0F"],
      ["d540", "\u5D30\u5D12\u5D23\u5D1F\u5D2E\u5E3E\u5E34\u5EB1\u5EB4\u5EB9\u5EB2\u5EB3\u5F36\u5F38\u5F9B\u5F96\u5F9F\u608A\u6090\u6086\u60BE\u60B0\u60BA\u60D3\u60D4\u60CF\u60E4\u60D9\u60DD\u60C8\u60B1\u60DB\u60B7\u60CA\u60BF\u60C3\u60CD\u60C0\u6332\u6365\u638A\u6382\u637D\u63BD\u639E\u63AD\u639D\u6397\u63AB\u638E\u636F\u6387\u6390\u636E\u63AF\u6375\u639C\u636D\u63AE\u637C\u63A4\u633B\u639F"],
      ["d5a1", "\u6378\u6385\u6381\u6391\u638D\u6370\u6553\u65CD\u6665\u6661\u665B\u6659\u665C\u6662\u6718\u6879\u6887\u6890\u689C\u686D\u686E\u68AE\u68AB\u6956\u686F\u68A3\u68AC\u68A9\u6875\u6874\u68B2\u688F\u6877\u6892\u687C\u686B\u6872\u68AA\u6880\u6871\u687E\u689B\u6896\u688B\u68A0\u6889\u68A4\u6878\u687B\u6891\u688C\u688A\u687D\u6B36\u6B33\u6B37\u6B38\u6B91\u6B8F\u6B8D\u6B8E\u6B8C\u6C2A\u6DC0\u6DAB\u6DB4\u6DB3\u6E74\u6DAC\u6DE9\u6DE2\u6DB7\u6DF6\u6DD4\u6E00\u6DC8\u6DE0\u6DDF\u6DD6\u6DBE\u6DE5\u6DDC\u6DDD\u6DDB\u6DF4\u6DCA\u6DBD\u6DED\u6DF0\u6DBA\u6DD5\u6DC2\u6DCF\u6DC9"],
      ["d640", "\u6DD0\u6DF2\u6DD3\u6DFD\u6DD7\u6DCD\u6DE3\u6DBB\u70FA\u710D\u70F7\u7117\u70F4\u710C\u70F0\u7104\u70F3\u7110\u70FC\u70FF\u7106\u7113\u7100\u70F8\u70F6\u710B\u7102\u710E\u727E\u727B\u727C\u727F\u731D\u7317\u7307\u7311\u7318\u730A\u7308\u72FF\u730F\u731E\u7388\u73F6\u73F8\u73F5\u7404\u7401\u73FD\u7407\u7400\u73FA\u73FC\u73FF\u740C\u740B\u73F4\u7408\u7564\u7563\u75CE\u75D2\u75CF"],
      ["d6a1", "\u75CB\u75CC\u75D1\u75D0\u768F\u7689\u76D3\u7739\u772F\u772D\u7731\u7732\u7734\u7733\u773D\u7725\u773B\u7735\u7848\u7852\u7849\u784D\u784A\u784C\u7826\u7845\u7850\u7964\u7967\u7969\u796A\u7963\u796B\u7961\u79BB\u79FA\u79F8\u79F6\u79F7\u7A8F\u7A94\u7A90\u7B35\u7B47\u7B34\u7B25\u7B30\u7B22\u7B24\u7B33\u7B18\u7B2A\u7B1D\u7B31\u7B2B\u7B2D\u7B2F\u7B32\u7B38\u7B1A\u7B23\u7C94\u7C98\u7C96\u7CA3\u7D35\u7D3D\u7D38\u7D36\u7D3A\u7D45\u7D2C\u7D29\u7D41\u7D47\u7D3E\u7D3F\u7D4A\u7D3B\u7D28\u7F63\u7F95\u7F9C\u7F9D\u7F9B\u7FCA\u7FCB\u7FCD\u7FD0\u7FD1\u7FC7\u7FCF\u7FC9\u801F"],
      ["d740", "\u801E\u801B\u8047\u8043\u8048\u8118\u8125\u8119\u811B\u812D\u811F\u812C\u811E\u8121\u8115\u8127\u811D\u8122\u8211\u8238\u8233\u823A\u8234\u8232\u8274\u8390\u83A3\u83A8\u838D\u837A\u8373\u83A4\u8374\u838F\u8381\u8395\u8399\u8375\u8394\u83A9\u837D\u8383\u838C\u839D\u839B\u83AA\u838B\u837E\u83A5\u83AF\u8388\u8397\u83B0\u837F\u83A6\u8387\u83AE\u8376\u839A\u8659\u8656\u86BF\u86B7"],
      ["d7a1", "\u86C2\u86C1\u86C5\u86BA\u86B0\u86C8\u86B9\u86B3\u86B8\u86CC\u86B4\u86BB\u86BC\u86C3\u86BD\u86BE\u8852\u8889\u8895\u88A8\u88A2\u88AA\u889A\u8891\u88A1\u889F\u8898\u88A7\u8899\u889B\u8897\u88A4\u88AC\u888C\u8893\u888E\u8982\u89D6\u89D9\u89D5\u8A30\u8A27\u8A2C\u8A1E\u8C39\u8C3B\u8C5C\u8C5D\u8C7D\u8CA5\u8D7D\u8D7B\u8D79\u8DBC\u8DC2\u8DB9\u8DBF\u8DC1\u8ED8\u8EDE\u8EDD\u8EDC\u8ED7\u8EE0\u8EE1\u9024\u900B\u9011\u901C\u900C\u9021\u90EF\u90EA\u90F0\u90F4\u90F2\u90F3\u90D4\u90EB\u90EC\u90E9\u9156\u9158\u915A\u9153\u9155\u91EC\u91F4\u91F1\u91F3\u91F8\u91E4\u91F9\u91EA"],
      ["d840", "\u91EB\u91F7\u91E8\u91EE\u957A\u9586\u9588\u967C\u966D\u966B\u9671\u966F\u96BF\u976A\u9804\u98E5\u9997\u509B\u5095\u5094\u509E\u508B\u50A3\u5083\u508C\u508E\u509D\u5068\u509C\u5092\u5082\u5087\u515F\u51D4\u5312\u5311\u53A4\u53A7\u5591\u55A8\u55A5\u55AD\u5577\u5645\u55A2\u5593\u5588\u558F\u55B5\u5581\u55A3\u5592\u55A4\u557D\u558C\u55A6\u557F\u5595\u55A1\u558E\u570C\u5829\u5837"],
      ["d8a1", "\u5819\u581E\u5827\u5823\u5828\u57F5\u5848\u5825\u581C\u581B\u5833\u583F\u5836\u582E\u5839\u5838\u582D\u582C\u583B\u5961\u5AAF\u5A94\u5A9F\u5A7A\u5AA2\u5A9E\u5A78\u5AA6\u5A7C\u5AA5\u5AAC\u5A95\u5AAE\u5A37\u5A84\u5A8A\u5A97\u5A83\u5A8B\u5AA9\u5A7B\u5A7D\u5A8C\u5A9C\u5A8F\u5A93\u5A9D\u5BEA\u5BCD\u5BCB\u5BD4\u5BD1\u5BCA\u5BCE\u5C0C\u5C30\u5D37\u5D43\u5D6B\u5D41\u5D4B\u5D3F\u5D35\u5D51\u5D4E\u5D55\u5D33\u5D3A\u5D52\u5D3D\u5D31\u5D59\u5D42\u5D39\u5D49\u5D38\u5D3C\u5D32\u5D36\u5D40\u5D45\u5E44\u5E41\u5F58\u5FA6\u5FA5\u5FAB\u60C9\u60B9\u60CC\u60E2\u60CE\u60C4\u6114"],
      ["d940", "\u60F2\u610A\u6116\u6105\u60F5\u6113\u60F8\u60FC\u60FE\u60C1\u6103\u6118\u611D\u6110\u60FF\u6104\u610B\u624A\u6394\u63B1\u63B0\u63CE\u63E5\u63E8\u63EF\u63C3\u649D\u63F3\u63CA\u63E0\u63F6\u63D5\u63F2\u63F5\u6461\u63DF\u63BE\u63DD\u63DC\u63C4\u63D8\u63D3\u63C2\u63C7\u63CC\u63CB\u63C8\u63F0\u63D7\u63D9\u6532\u6567\u656A\u6564\u655C\u6568\u6565\u658C\u659D\u659E\u65AE\u65D0\u65D2"],
      ["d9a1", "\u667C\u666C\u667B\u6680\u6671\u6679\u666A\u6672\u6701\u690C\u68D3\u6904\u68DC\u692A\u68EC\u68EA\u68F1\u690F\u68D6\u68F7\u68EB\u68E4\u68F6\u6913\u6910\u68F3\u68E1\u6907\u68CC\u6908\u6970\u68B4\u6911\u68EF\u68C6\u6914\u68F8\u68D0\u68FD\u68FC\u68E8\u690B\u690A\u6917\u68CE\u68C8\u68DD\u68DE\u68E6\u68F4\u68D1\u6906\u68D4\u68E9\u6915\u6925\u68C7\u6B39\u6B3B\u6B3F\u6B3C\u6B94\u6B97\u6B99\u6B95\u6BBD\u6BF0\u6BF2\u6BF3\u6C30\u6DFC\u6E46\u6E47\u6E1F\u6E49\u6E88\u6E3C\u6E3D\u6E45\u6E62\u6E2B\u6E3F\u6E41\u6E5D\u6E73\u6E1C\u6E33\u6E4B\u6E40\u6E51\u6E3B\u6E03\u6E2E\u6E5E"],
      ["da40", "\u6E68\u6E5C\u6E61\u6E31\u6E28\u6E60\u6E71\u6E6B\u6E39\u6E22\u6E30\u6E53\u6E65\u6E27\u6E78\u6E64\u6E77\u6E55\u6E79\u6E52\u6E66\u6E35\u6E36\u6E5A\u7120\u711E\u712F\u70FB\u712E\u7131\u7123\u7125\u7122\u7132\u711F\u7128\u713A\u711B\u724B\u725A\u7288\u7289\u7286\u7285\u728B\u7312\u730B\u7330\u7322\u7331\u7333\u7327\u7332\u732D\u7326\u7323\u7335\u730C\u742E\u742C\u7430\u742B\u7416"],
      ["daa1", "\u741A\u7421\u742D\u7431\u7424\u7423\u741D\u7429\u7420\u7432\u74FB\u752F\u756F\u756C\u75E7\u75DA\u75E1\u75E6\u75DD\u75DF\u75E4\u75D7\u7695\u7692\u76DA\u7746\u7747\u7744\u774D\u7745\u774A\u774E\u774B\u774C\u77DE\u77EC\u7860\u7864\u7865\u785C\u786D\u7871\u786A\u786E\u7870\u7869\u7868\u785E\u7862\u7974\u7973\u7972\u7970\u7A02\u7A0A\u7A03\u7A0C\u7A04\u7A99\u7AE6\u7AE4\u7B4A\u7B3B\u7B44\u7B48\u7B4C\u7B4E\u7B40\u7B58\u7B45\u7CA2\u7C9E\u7CA8\u7CA1\u7D58\u7D6F\u7D63\u7D53\u7D56\u7D67\u7D6A\u7D4F\u7D6D\u7D5C\u7D6B\u7D52\u7D54\u7D69\u7D51\u7D5F\u7D4E\u7F3E\u7F3F\u7F65"],
      ["db40", "\u7F66\u7FA2\u7FA0\u7FA1\u7FD7\u8051\u804F\u8050\u80FE\u80D4\u8143\u814A\u8152\u814F\u8147\u813D\u814D\u813A\u81E6\u81EE\u81F7\u81F8\u81F9\u8204\u823C\u823D\u823F\u8275\u833B\u83CF\u83F9\u8423\u83C0\u83E8\u8412\u83E7\u83E4\u83FC\u83F6\u8410\u83C6\u83C8\u83EB\u83E3\u83BF\u8401\u83DD\u83E5\u83D8\u83FF\u83E1\u83CB\u83CE\u83D6\u83F5\u83C9\u8409\u840F\u83DE\u8411\u8406\u83C2\u83F3"],
      ["dba1", "\u83D5\u83FA\u83C7\u83D1\u83EA\u8413\u83C3\u83EC\u83EE\u83C4\u83FB\u83D7\u83E2\u841B\u83DB\u83FE\u86D8\u86E2\u86E6\u86D3\u86E3\u86DA\u86EA\u86DD\u86EB\u86DC\u86EC\u86E9\u86D7\u86E8\u86D1\u8848\u8856\u8855\u88BA\u88D7\u88B9\u88B8\u88C0\u88BE\u88B6\u88BC\u88B7\u88BD\u88B2\u8901\u88C9\u8995\u8998\u8997\u89DD\u89DA\u89DB\u8A4E\u8A4D\u8A39\u8A59\u8A40\u8A57\u8A58\u8A44\u8A45\u8A52\u8A48\u8A51\u8A4A\u8A4C\u8A4F\u8C5F\u8C81\u8C80\u8CBA\u8CBE\u8CB0\u8CB9\u8CB5\u8D84\u8D80\u8D89\u8DD8\u8DD3\u8DCD\u8DC7\u8DD6\u8DDC\u8DCF\u8DD5\u8DD9\u8DC8\u8DD7\u8DC5\u8EEF\u8EF7\u8EFA"],
      ["dc40", "\u8EF9\u8EE6\u8EEE\u8EE5\u8EF5\u8EE7\u8EE8\u8EF6\u8EEB\u8EF1\u8EEC\u8EF4\u8EE9\u902D\u9034\u902F\u9106\u912C\u9104\u90FF\u90FC\u9108\u90F9\u90FB\u9101\u9100\u9107\u9105\u9103\u9161\u9164\u915F\u9162\u9160\u9201\u920A\u9225\u9203\u921A\u9226\u920F\u920C\u9200\u9212\u91FF\u91FD\u9206\u9204\u9227\u9202\u921C\u9224\u9219\u9217\u9205\u9216\u957B\u958D\u958C\u9590\u9687\u967E\u9688"],
      ["dca1", "\u9689\u9683\u9680\u96C2\u96C8\u96C3\u96F1\u96F0\u976C\u9770\u976E\u9807\u98A9\u98EB\u9CE6\u9EF9\u4E83\u4E84\u4EB6\u50BD\u50BF\u50C6\u50AE\u50C4\u50CA\u50B4\u50C8\u50C2\u50B0\u50C1\u50BA\u50B1\u50CB\u50C9\u50B6\u50B8\u51D7\u527A\u5278\u527B\u527C\u55C3\u55DB\u55CC\u55D0\u55CB\u55CA\u55DD\u55C0\u55D4\u55C4\u55E9\u55BF\u55D2\u558D\u55CF\u55D5\u55E2\u55D6\u55C8\u55F2\u55CD\u55D9\u55C2\u5714\u5853\u5868\u5864\u584F\u584D\u5849\u586F\u5855\u584E\u585D\u5859\u5865\u585B\u583D\u5863\u5871\u58FC\u5AC7\u5AC4\u5ACB\u5ABA\u5AB8\u5AB1\u5AB5\u5AB0\u5ABF\u5AC8\u5ABB\u5AC6"],
      ["dd40", "\u5AB7\u5AC0\u5ACA\u5AB4\u5AB6\u5ACD\u5AB9\u5A90\u5BD6\u5BD8\u5BD9\u5C1F\u5C33\u5D71\u5D63\u5D4A\u5D65\u5D72\u5D6C\u5D5E\u5D68\u5D67\u5D62\u5DF0\u5E4F\u5E4E\u5E4A\u5E4D\u5E4B\u5EC5\u5ECC\u5EC6\u5ECB\u5EC7\u5F40\u5FAF\u5FAD\u60F7\u6149\u614A\u612B\u6145\u6136\u6132\u612E\u6146\u612F\u614F\u6129\u6140\u6220\u9168\u6223\u6225\u6224\u63C5\u63F1\u63EB\u6410\u6412\u6409\u6420\u6424"],
      ["dda1", "\u6433\u6443\u641F\u6415\u6418\u6439\u6437\u6422\u6423\u640C\u6426\u6430\u6428\u6441\u6435\u642F\u640A\u641A\u6440\u6425\u6427\u640B\u63E7\u641B\u642E\u6421\u640E\u656F\u6592\u65D3\u6686\u668C\u6695\u6690\u668B\u668A\u6699\u6694\u6678\u6720\u6966\u695F\u6938\u694E\u6962\u6971\u693F\u6945\u696A\u6939\u6942\u6957\u6959\u697A\u6948\u6949\u6935\u696C\u6933\u693D\u6965\u68F0\u6978\u6934\u6969\u6940\u696F\u6944\u6976\u6958\u6941\u6974\u694C\u693B\u694B\u6937\u695C\u694F\u6951\u6932\u6952\u692F\u697B\u693C\u6B46\u6B45\u6B43\u6B42\u6B48\u6B41\u6B9B\uFA0D\u6BFB\u6BFC"],
      ["de40", "\u6BF9\u6BF7\u6BF8\u6E9B\u6ED6\u6EC8\u6E8F\u6EC0\u6E9F\u6E93\u6E94\u6EA0\u6EB1\u6EB9\u6EC6\u6ED2\u6EBD\u6EC1\u6E9E\u6EC9\u6EB7\u6EB0\u6ECD\u6EA6\u6ECF\u6EB2\u6EBE\u6EC3\u6EDC\u6ED8\u6E99\u6E92\u6E8E\u6E8D\u6EA4\u6EA1\u6EBF\u6EB3\u6ED0\u6ECA\u6E97\u6EAE\u6EA3\u7147\u7154\u7152\u7163\u7160\u7141\u715D\u7162\u7172\u7178\u716A\u7161\u7142\u7158\u7143\u714B\u7170\u715F\u7150\u7153"],
      ["dea1", "\u7144\u714D\u715A\u724F\u728D\u728C\u7291\u7290\u728E\u733C\u7342\u733B\u733A\u7340\u734A\u7349\u7444\u744A\u744B\u7452\u7451\u7457\u7440\u744F\u7450\u744E\u7442\u7446\u744D\u7454\u74E1\u74FF\u74FE\u74FD\u751D\u7579\u7577\u6983\u75EF\u760F\u7603\u75F7\u75FE\u75FC\u75F9\u75F8\u7610\u75FB\u75F6\u75ED\u75F5\u75FD\u7699\u76B5\u76DD\u7755\u775F\u7760\u7752\u7756\u775A\u7769\u7767\u7754\u7759\u776D\u77E0\u7887\u789A\u7894\u788F\u7884\u7895\u7885\u7886\u78A1\u7883\u7879\u7899\u7880\u7896\u787B\u797C\u7982\u797D\u7979\u7A11\u7A18\u7A19\u7A12\u7A17\u7A15\u7A22\u7A13"],
      ["df40", "\u7A1B\u7A10\u7AA3\u7AA2\u7A9E\u7AEB\u7B66\u7B64\u7B6D\u7B74\u7B69\u7B72\u7B65\u7B73\u7B71\u7B70\u7B61\u7B78\u7B76\u7B63\u7CB2\u7CB4\u7CAF\u7D88\u7D86\u7D80\u7D8D\u7D7F\u7D85\u7D7A\u7D8E\u7D7B\u7D83\u7D7C\u7D8C\u7D94\u7D84\u7D7D\u7D92\u7F6D\u7F6B\u7F67\u7F68\u7F6C\u7FA6\u7FA5\u7FA7\u7FDB\u7FDC\u8021\u8164\u8160\u8177\u815C\u8169\u815B\u8162\u8172\u6721\u815E\u8176\u8167\u816F"],
      ["dfa1", "\u8144\u8161\u821D\u8249\u8244\u8240\u8242\u8245\u84F1\u843F\u8456\u8476\u8479\u848F\u848D\u8465\u8451\u8440\u8486\u8467\u8430\u844D\u847D\u845A\u8459\u8474\u8473\u845D\u8507\u845E\u8437\u843A\u8434\u847A\u8443\u8478\u8432\u8445\u8429\u83D9\u844B\u842F\u8442\u842D\u845F\u8470\u8439\u844E\u844C\u8452\u846F\u84C5\u848E\u843B\u8447\u8436\u8433\u8468\u847E\u8444\u842B\u8460\u8454\u846E\u8450\u870B\u8704\u86F7\u870C\u86FA\u86D6\u86F5\u874D\u86F8\u870E\u8709\u8701\u86F6\u870D\u8705\u88D6\u88CB\u88CD\u88CE\u88DE\u88DB\u88DA\u88CC\u88D0\u8985\u899B\u89DF\u89E5\u89E4"],
      ["e040", "\u89E1\u89E0\u89E2\u89DC\u89E6\u8A76\u8A86\u8A7F\u8A61\u8A3F\u8A77\u8A82\u8A84\u8A75\u8A83\u8A81\u8A74\u8A7A\u8C3C\u8C4B\u8C4A\u8C65\u8C64\u8C66\u8C86\u8C84\u8C85\u8CCC\u8D68\u8D69\u8D91\u8D8C\u8D8E\u8D8F\u8D8D\u8D93\u8D94\u8D90\u8D92\u8DF0\u8DE0\u8DEC\u8DF1\u8DEE\u8DD0\u8DE9\u8DE3\u8DE2\u8DE7\u8DF2\u8DEB\u8DF4\u8F06\u8EFF\u8F01\u8F00\u8F05\u8F07\u8F08\u8F02\u8F0B\u9052\u903F"],
      ["e0a1", "\u9044\u9049\u903D\u9110\u910D\u910F\u9111\u9116\u9114\u910B\u910E\u916E\u916F\u9248\u9252\u9230\u923A\u9266\u9233\u9265\u925E\u9283\u922E\u924A\u9246\u926D\u926C\u924F\u9260\u9267\u926F\u9236\u9261\u9270\u9231\u9254\u9263\u9250\u9272\u924E\u9253\u924C\u9256\u9232\u959F\u959C\u959E\u959B\u9692\u9693\u9691\u9697\u96CE\u96FA\u96FD\u96F8\u96F5\u9773\u9777\u9778\u9772\u980F\u980D\u980E\u98AC\u98F6\u98F9\u99AF\u99B2\u99B0\u99B5\u9AAD\u9AAB\u9B5B\u9CEA\u9CED\u9CE7\u9E80\u9EFD\u50E6\u50D4\u50D7\u50E8\u50F3\u50DB\u50EA\u50DD\u50E4\u50D3\u50EC\u50F0\u50EF\u50E3\u50E0"],
      ["e140", "\u51D8\u5280\u5281\u52E9\u52EB\u5330\u53AC\u5627\u5615\u560C\u5612\u55FC\u560F\u561C\u5601\u5613\u5602\u55FA\u561D\u5604\u55FF\u55F9\u5889\u587C\u5890\u5898\u5886\u5881\u587F\u5874\u588B\u587A\u5887\u5891\u588E\u5876\u5882\u5888\u587B\u5894\u588F\u58FE\u596B\u5ADC\u5AEE\u5AE5\u5AD5\u5AEA\u5ADA\u5AED\u5AEB\u5AF3\u5AE2\u5AE0\u5ADB\u5AEC\u5ADE\u5ADD\u5AD9\u5AE8\u5ADF\u5B77\u5BE0"],
      ["e1a1", "\u5BE3\u5C63\u5D82\u5D80\u5D7D\u5D86\u5D7A\u5D81\u5D77\u5D8A\u5D89\u5D88\u5D7E\u5D7C\u5D8D\u5D79\u5D7F\u5E58\u5E59\u5E53\u5ED8\u5ED1\u5ED7\u5ECE\u5EDC\u5ED5\u5ED9\u5ED2\u5ED4\u5F44\u5F43\u5F6F\u5FB6\u612C\u6128\u6141\u615E\u6171\u6173\u6152\u6153\u6172\u616C\u6180\u6174\u6154\u617A\u615B\u6165\u613B\u616A\u6161\u6156\u6229\u6227\u622B\u642B\u644D\u645B\u645D\u6474\u6476\u6472\u6473\u647D\u6475\u6466\u64A6\u644E\u6482\u645E\u645C\u644B\u6453\u6460\u6450\u647F\u643F\u646C\u646B\u6459\u6465\u6477\u6573\u65A0\u66A1\u66A0\u669F\u6705\u6704\u6722\u69B1\u69B6\u69C9"],
      ["e240", "\u69A0\u69CE\u6996\u69B0\u69AC\u69BC\u6991\u6999\u698E\u69A7\u698D\u69A9\u69BE\u69AF\u69BF\u69C4\u69BD\u69A4\u69D4\u69B9\u69CA\u699A\u69CF\u69B3\u6993\u69AA\u69A1\u699E\u69D9\u6997\u6990\u69C2\u69B5\u69A5\u69C6\u6B4A\u6B4D\u6B4B\u6B9E\u6B9F\u6BA0\u6BC3\u6BC4\u6BFE\u6ECE\u6EF5\u6EF1\u6F03\u6F25\u6EF8\u6F37\u6EFB\u6F2E\u6F09\u6F4E\u6F19\u6F1A\u6F27\u6F18\u6F3B\u6F12\u6EED\u6F0A"],
      ["e2a1", "\u6F36\u6F73\u6EF9\u6EEE\u6F2D\u6F40\u6F30\u6F3C\u6F35\u6EEB\u6F07\u6F0E\u6F43\u6F05\u6EFD\u6EF6\u6F39\u6F1C\u6EFC\u6F3A\u6F1F\u6F0D\u6F1E\u6F08\u6F21\u7187\u7190\u7189\u7180\u7185\u7182\u718F\u717B\u7186\u7181\u7197\u7244\u7253\u7297\u7295\u7293\u7343\u734D\u7351\u734C\u7462\u7473\u7471\u7475\u7472\u7467\u746E\u7500\u7502\u7503\u757D\u7590\u7616\u7608\u760C\u7615\u7611\u760A\u7614\u76B8\u7781\u777C\u7785\u7782\u776E\u7780\u776F\u777E\u7783\u78B2\u78AA\u78B4\u78AD\u78A8\u787E\u78AB\u789E\u78A5\u78A0\u78AC\u78A2\u78A4\u7998\u798A\u798B\u7996\u7995\u7994\u7993"],
      ["e340", "\u7997\u7988\u7992\u7990\u7A2B\u7A4A\u7A30\u7A2F\u7A28\u7A26\u7AA8\u7AAB\u7AAC\u7AEE\u7B88\u7B9C\u7B8A\u7B91\u7B90\u7B96\u7B8D\u7B8C\u7B9B\u7B8E\u7B85\u7B98\u5284\u7B99\u7BA4\u7B82\u7CBB\u7CBF\u7CBC\u7CBA\u7DA7\u7DB7\u7DC2\u7DA3\u7DAA\u7DC1\u7DC0\u7DC5\u7D9D\u7DCE\u7DC4\u7DC6\u7DCB\u7DCC\u7DAF\u7DB9\u7D96\u7DBC\u7D9F\u7DA6\u7DAE\u7DA9\u7DA1\u7DC9\u7F73\u7FE2\u7FE3\u7FE5\u7FDE"],
      ["e3a1", "\u8024\u805D\u805C\u8189\u8186\u8183\u8187\u818D\u818C\u818B\u8215\u8497\u84A4\u84A1\u849F\u84BA\u84CE\u84C2\u84AC\u84AE\u84AB\u84B9\u84B4\u84C1\u84CD\u84AA\u849A\u84B1\u84D0\u849D\u84A7\u84BB\u84A2\u8494\u84C7\u84CC\u849B\u84A9\u84AF\u84A8\u84D6\u8498\u84B6\u84CF\u84A0\u84D7\u84D4\u84D2\u84DB\u84B0\u8491\u8661\u8733\u8723\u8728\u876B\u8740\u872E\u871E\u8721\u8719\u871B\u8743\u872C\u8741\u873E\u8746\u8720\u8732\u872A\u872D\u873C\u8712\u873A\u8731\u8735\u8742\u8726\u8727\u8738\u8724\u871A\u8730\u8711\u88F7\u88E7\u88F1\u88F2\u88FA\u88FE\u88EE\u88FC\u88F6\u88FB"],
      ["e440", "\u88F0\u88EC\u88EB\u899D\u89A1\u899F\u899E\u89E9\u89EB\u89E8\u8AAB\u8A99\u8A8B\u8A92\u8A8F\u8A96\u8C3D\u8C68\u8C69\u8CD5\u8CCF\u8CD7\u8D96\u8E09\u8E02\u8DFF\u8E0D\u8DFD\u8E0A\u8E03\u8E07\u8E06\u8E05\u8DFE\u8E00\u8E04\u8F10\u8F11\u8F0E\u8F0D\u9123\u911C\u9120\u9122\u911F\u911D\u911A\u9124\u9121\u911B\u917A\u9172\u9179\u9173\u92A5\u92A4\u9276\u929B\u927A\u92A0\u9294\u92AA\u928D"],
      ["e4a1", "\u92A6\u929A\u92AB\u9279\u9297\u927F\u92A3\u92EE\u928E\u9282\u9295\u92A2\u927D\u9288\u92A1\u928A\u9286\u928C\u9299\u92A7\u927E\u9287\u92A9\u929D\u928B\u922D\u969E\u96A1\u96FF\u9758\u977D\u977A\u977E\u9783\u9780\u9782\u977B\u9784\u9781\u977F\u97CE\u97CD\u9816\u98AD\u98AE\u9902\u9900\u9907\u999D\u999C\u99C3\u99B9\u99BB\u99BA\u99C2\u99BD\u99C7\u9AB1\u9AE3\u9AE7\u9B3E\u9B3F\u9B60\u9B61\u9B5F\u9CF1\u9CF2\u9CF5\u9EA7\u50FF\u5103\u5130\u50F8\u5106\u5107\u50F6\u50FE\u510B\u510C\u50FD\u510A\u528B\u528C\u52F1\u52EF\u5648\u5642\u564C\u5635\u5641\u564A\u5649\u5646\u5658"],
      ["e540", "\u565A\u5640\u5633\u563D\u562C\u563E\u5638\u562A\u563A\u571A\u58AB\u589D\u58B1\u58A0\u58A3\u58AF\u58AC\u58A5\u58A1\u58FF\u5AFF\u5AF4\u5AFD\u5AF7\u5AF6\u5B03\u5AF8\u5B02\u5AF9\u5B01\u5B07\u5B05\u5B0F\u5C67\u5D99\u5D97\u5D9F\u5D92\u5DA2\u5D93\u5D95\u5DA0\u5D9C\u5DA1\u5D9A\u5D9E\u5E69\u5E5D\u5E60\u5E5C\u7DF3\u5EDB\u5EDE\u5EE1\u5F49\u5FB2\u618B\u6183\u6179\u61B1\u61B0\u61A2\u6189"],
      ["e5a1", "\u619B\u6193\u61AF\u61AD\u619F\u6192\u61AA\u61A1\u618D\u6166\u61B3\u622D\u646E\u6470\u6496\u64A0\u6485\u6497\u649C\u648F\u648B\u648A\u648C\u64A3\u649F\u6468\u64B1\u6498\u6576\u657A\u6579\u657B\u65B2\u65B3\u66B5\u66B0\u66A9\u66B2\u66B7\u66AA\u66AF\u6A00\u6A06\u6A17\u69E5\u69F8\u6A15\u69F1\u69E4\u6A20\u69FF\u69EC\u69E2\u6A1B\u6A1D\u69FE\u6A27\u69F2\u69EE\u6A14\u69F7\u69E7\u6A40\u6A08\u69E6\u69FB\u6A0D\u69FC\u69EB\u6A09\u6A04\u6A18\u6A25\u6A0F\u69F6\u6A26\u6A07\u69F4\u6A16\u6B51\u6BA5\u6BA3\u6BA2\u6BA6\u6C01\u6C00\u6BFF\u6C02\u6F41\u6F26\u6F7E\u6F87\u6FC6\u6F92"],
      ["e640", "\u6F8D\u6F89\u6F8C\u6F62\u6F4F\u6F85\u6F5A\u6F96\u6F76\u6F6C\u6F82\u6F55\u6F72\u6F52\u6F50\u6F57\u6F94\u6F93\u6F5D\u6F00\u6F61\u6F6B\u6F7D\u6F67\u6F90\u6F53\u6F8B\u6F69\u6F7F\u6F95\u6F63\u6F77\u6F6A\u6F7B\u71B2\u71AF\u719B\u71B0\u71A0\u719A\u71A9\u71B5\u719D\u71A5\u719E\u71A4\u71A1\u71AA\u719C\u71A7\u71B3\u7298\u729A\u7358\u7352\u735E\u735F\u7360\u735D\u735B\u7361\u735A\u7359"],
      ["e6a1", "\u7362\u7487\u7489\u748A\u7486\u7481\u747D\u7485\u7488\u747C\u7479\u7508\u7507\u757E\u7625\u761E\u7619\u761D\u761C\u7623\u761A\u7628\u761B\u769C\u769D\u769E\u769B\u778D\u778F\u7789\u7788\u78CD\u78BB\u78CF\u78CC\u78D1\u78CE\u78D4\u78C8\u78C3\u78C4\u78C9\u799A\u79A1\u79A0\u799C\u79A2\u799B\u6B76\u7A39\u7AB2\u7AB4\u7AB3\u7BB7\u7BCB\u7BBE\u7BAC\u7BCE\u7BAF\u7BB9\u7BCA\u7BB5\u7CC5\u7CC8\u7CCC\u7CCB\u7DF7\u7DDB\u7DEA\u7DE7\u7DD7\u7DE1\u7E03\u7DFA\u7DE6\u7DF6\u7DF1\u7DF0\u7DEE\u7DDF\u7F76\u7FAC\u7FB0\u7FAD\u7FED\u7FEB\u7FEA\u7FEC\u7FE6\u7FE8\u8064\u8067\u81A3\u819F"],
      ["e740", "\u819E\u8195\u81A2\u8199\u8197\u8216\u824F\u8253\u8252\u8250\u824E\u8251\u8524\u853B\u850F\u8500\u8529\u850E\u8509\u850D\u851F\u850A\u8527\u851C\u84FB\u852B\u84FA\u8508\u850C\u84F4\u852A\u84F2\u8515\u84F7\u84EB\u84F3\u84FC\u8512\u84EA\u84E9\u8516\u84FE\u8528\u851D\u852E\u8502\u84FD\u851E\u84F6\u8531\u8526\u84E7\u84E8\u84F0\u84EF\u84F9\u8518\u8520\u8530\u850B\u8519\u852F\u8662"],
      ["e7a1", "\u8756\u8763\u8764\u8777\u87E1\u8773\u8758\u8754\u875B\u8752\u8761\u875A\u8751\u875E\u876D\u876A\u8750\u874E\u875F\u875D\u876F\u876C\u877A\u876E\u875C\u8765\u874F\u877B\u8775\u8762\u8767\u8769\u885A\u8905\u890C\u8914\u890B\u8917\u8918\u8919\u8906\u8916\u8911\u890E\u8909\u89A2\u89A4\u89A3\u89ED\u89F0\u89EC\u8ACF\u8AC6\u8AB8\u8AD3\u8AD1\u8AD4\u8AD5\u8ABB\u8AD7\u8ABE\u8AC0\u8AC5\u8AD8\u8AC3\u8ABA\u8ABD\u8AD9\u8C3E\u8C4D\u8C8F\u8CE5\u8CDF\u8CD9\u8CE8\u8CDA\u8CDD\u8CE7\u8DA0\u8D9C\u8DA1\u8D9B\u8E20\u8E23\u8E25\u8E24\u8E2E\u8E15\u8E1B\u8E16\u8E11\u8E19\u8E26\u8E27"],
      ["e840", "\u8E14\u8E12\u8E18\u8E13\u8E1C\u8E17\u8E1A\u8F2C\u8F24\u8F18\u8F1A\u8F20\u8F23\u8F16\u8F17\u9073\u9070\u906F\u9067\u906B\u912F\u912B\u9129\u912A\u9132\u9126\u912E\u9185\u9186\u918A\u9181\u9182\u9184\u9180\u92D0\u92C3\u92C4\u92C0\u92D9\u92B6\u92CF\u92F1\u92DF\u92D8\u92E9\u92D7\u92DD\u92CC\u92EF\u92C2\u92E8\u92CA\u92C8\u92CE\u92E6\u92CD\u92D5\u92C9\u92E0\u92DE\u92E7\u92D1\u92D3"],
      ["e8a1", "\u92B5\u92E1\u92C6\u92B4\u957C\u95AC\u95AB\u95AE\u95B0\u96A4\u96A2\u96D3\u9705\u9708\u9702\u975A\u978A\u978E\u9788\u97D0\u97CF\u981E\u981D\u9826\u9829\u9828\u9820\u981B\u9827\u98B2\u9908\u98FA\u9911\u9914\u9916\u9917\u9915\u99DC\u99CD\u99CF\u99D3\u99D4\u99CE\u99C9\u99D6\u99D8\u99CB\u99D7\u99CC\u9AB3\u9AEC\u9AEB\u9AF3\u9AF2\u9AF1\u9B46\u9B43\u9B67\u9B74\u9B71\u9B66\u9B76\u9B75\u9B70\u9B68\u9B64\u9B6C\u9CFC\u9CFA\u9CFD\u9CFF\u9CF7\u9D07\u9D00\u9CF9\u9CFB\u9D08\u9D05\u9D04\u9E83\u9ED3\u9F0F\u9F10\u511C\u5113\u5117\u511A\u5111\u51DE\u5334\u53E1\u5670\u5660\u566E"],
      ["e940", "\u5673\u5666\u5663\u566D\u5672\u565E\u5677\u571C\u571B\u58C8\u58BD\u58C9\u58BF\u58BA\u58C2\u58BC\u58C6\u5B17\u5B19\u5B1B\u5B21\u5B14\u5B13\u5B10\u5B16\u5B28\u5B1A\u5B20\u5B1E\u5BEF\u5DAC\u5DB1\u5DA9\u5DA7\u5DB5\u5DB0\u5DAE\u5DAA\u5DA8\u5DB2\u5DAD\u5DAF\u5DB4\u5E67\u5E68\u5E66\u5E6F\u5EE9\u5EE7\u5EE6\u5EE8\u5EE5\u5F4B\u5FBC\u619D\u61A8\u6196\u61C5\u61B4\u61C6\u61C1\u61CC\u61BA"],
      ["e9a1", "\u61BF\u61B8\u618C\u64D7\u64D6\u64D0\u64CF\u64C9\u64BD\u6489\u64C3\u64DB\u64F3\u64D9\u6533\u657F\u657C\u65A2\u66C8\u66BE\u66C0\u66CA\u66CB\u66CF\u66BD\u66BB\u66BA\u66CC\u6723\u6A34\u6A66\u6A49\u6A67\u6A32\u6A68\u6A3E\u6A5D\u6A6D\u6A76\u6A5B\u6A51\u6A28\u6A5A\u6A3B\u6A3F\u6A41\u6A6A\u6A64\u6A50\u6A4F\u6A54\u6A6F\u6A69\u6A60\u6A3C\u6A5E\u6A56\u6A55\u6A4D\u6A4E\u6A46\u6B55\u6B54\u6B56\u6BA7\u6BAA\u6BAB\u6BC8\u6BC7\u6C04\u6C03\u6C06\u6FAD\u6FCB\u6FA3\u6FC7\u6FBC\u6FCE\u6FC8\u6F5E\u6FC4\u6FBD\u6F9E\u6FCA\u6FA8\u7004\u6FA5\u6FAE\u6FBA\u6FAC\u6FAA\u6FCF\u6FBF\u6FB8"],
      ["ea40", "\u6FA2\u6FC9\u6FAB\u6FCD\u6FAF\u6FB2\u6FB0\u71C5\u71C2\u71BF\u71B8\u71D6\u71C0\u71C1\u71CB\u71D4\u71CA\u71C7\u71CF\u71BD\u71D8\u71BC\u71C6\u71DA\u71DB\u729D\u729E\u7369\u7366\u7367\u736C\u7365\u736B\u736A\u747F\u749A\u74A0\u7494\u7492\u7495\u74A1\u750B\u7580\u762F\u762D\u7631\u763D\u7633\u763C\u7635\u7632\u7630\u76BB\u76E6\u779A\u779D\u77A1\u779C\u779B\u77A2\u77A3\u7795\u7799"],
      ["eaa1", "\u7797\u78DD\u78E9\u78E5\u78EA\u78DE\u78E3\u78DB\u78E1\u78E2\u78ED\u78DF\u78E0\u79A4\u7A44\u7A48\u7A47\u7AB6\u7AB8\u7AB5\u7AB1\u7AB7\u7BDE\u7BE3\u7BE7\u7BDD\u7BD5\u7BE5\u7BDA\u7BE8\u7BF9\u7BD4\u7BEA\u7BE2\u7BDC\u7BEB\u7BD8\u7BDF\u7CD2\u7CD4\u7CD7\u7CD0\u7CD1\u7E12\u7E21\u7E17\u7E0C\u7E1F\u7E20\u7E13\u7E0E\u7E1C\u7E15\u7E1A\u7E22\u7E0B\u7E0F\u7E16\u7E0D\u7E14\u7E25\u7E24\u7F43\u7F7B\u7F7C\u7F7A\u7FB1\u7FEF\u802A\u8029\u806C\u81B1\u81A6\u81AE\u81B9\u81B5\u81AB\u81B0\u81AC\u81B4\u81B2\u81B7\u81A7\u81F2\u8255\u8256\u8257\u8556\u8545\u856B\u854D\u8553\u8561\u8558"],
      ["eb40", "\u8540\u8546\u8564\u8541\u8562\u8544\u8551\u8547\u8563\u853E\u855B\u8571\u854E\u856E\u8575\u8555\u8567\u8560\u858C\u8566\u855D\u8554\u8565\u856C\u8663\u8665\u8664\u879B\u878F\u8797\u8793\u8792\u8788\u8781\u8796\u8798\u8779\u8787\u87A3\u8785\u8790\u8791\u879D\u8784\u8794\u879C\u879A\u8789\u891E\u8926\u8930\u892D\u892E\u8927\u8931\u8922\u8929\u8923\u892F\u892C\u891F\u89F1\u8AE0"],
      ["eba1", "\u8AE2\u8AF2\u8AF4\u8AF5\u8ADD\u8B14\u8AE4\u8ADF\u8AF0\u8AC8\u8ADE\u8AE1\u8AE8\u8AFF\u8AEF\u8AFB\u8C91\u8C92\u8C90\u8CF5\u8CEE\u8CF1\u8CF0\u8CF3\u8D6C\u8D6E\u8DA5\u8DA7\u8E33\u8E3E\u8E38\u8E40\u8E45\u8E36\u8E3C\u8E3D\u8E41\u8E30\u8E3F\u8EBD\u8F36\u8F2E\u8F35\u8F32\u8F39\u8F37\u8F34\u9076\u9079\u907B\u9086\u90FA\u9133\u9135\u9136\u9193\u9190\u9191\u918D\u918F\u9327\u931E\u9308\u931F\u9306\u930F\u937A\u9338\u933C\u931B\u9323\u9312\u9301\u9346\u932D\u930E\u930D\u92CB\u931D\u92FA\u9325\u9313\u92F9\u92F7\u9334\u9302\u9324\u92FF\u9329\u9339\u9335\u932A\u9314\u930C"],
      ["ec40", "\u930B\u92FE\u9309\u9300\u92FB\u9316\u95BC\u95CD\u95BE\u95B9\u95BA\u95B6\u95BF\u95B5\u95BD\u96A9\u96D4\u970B\u9712\u9710\u9799\u9797\u9794\u97F0\u97F8\u9835\u982F\u9832\u9924\u991F\u9927\u9929\u999E\u99EE\u99EC\u99E5\u99E4\u99F0\u99E3\u99EA\u99E9\u99E7\u9AB9\u9ABF\u9AB4\u9ABB\u9AF6\u9AFA\u9AF9\u9AF7\u9B33\u9B80\u9B85\u9B87\u9B7C\u9B7E\u9B7B\u9B82\u9B93\u9B92\u9B90\u9B7A\u9B95"],
      ["eca1", "\u9B7D\u9B88\u9D25\u9D17\u9D20\u9D1E\u9D14\u9D29\u9D1D\u9D18\u9D22\u9D10\u9D19\u9D1F\u9E88\u9E86\u9E87\u9EAE\u9EAD\u9ED5\u9ED6\u9EFA\u9F12\u9F3D\u5126\u5125\u5122\u5124\u5120\u5129\u52F4\u5693\u568C\u568D\u5686\u5684\u5683\u567E\u5682\u567F\u5681\u58D6\u58D4\u58CF\u58D2\u5B2D\u5B25\u5B32\u5B23\u5B2C\u5B27\u5B26\u5B2F\u5B2E\u5B7B\u5BF1\u5BF2\u5DB7\u5E6C\u5E6A\u5FBE\u5FBB\u61C3\u61B5\u61BC\u61E7\u61E0\u61E5\u61E4\u61E8\u61DE\u64EF\u64E9\u64E3\u64EB\u64E4\u64E8\u6581\u6580\u65B6\u65DA\u66D2\u6A8D\u6A96\u6A81\u6AA5\u6A89\u6A9F\u6A9B\u6AA1\u6A9E\u6A87\u6A93\u6A8E"],
      ["ed40", "\u6A95\u6A83\u6AA8\u6AA4\u6A91\u6A7F\u6AA6\u6A9A\u6A85\u6A8C\u6A92\u6B5B\u6BAD\u6C09\u6FCC\u6FA9\u6FF4\u6FD4\u6FE3\u6FDC\u6FED\u6FE7\u6FE6\u6FDE\u6FF2\u6FDD\u6FE2\u6FE8\u71E1\u71F1\u71E8\u71F2\u71E4\u71F0\u71E2\u7373\u736E\u736F\u7497\u74B2\u74AB\u7490\u74AA\u74AD\u74B1\u74A5\u74AF\u7510\u7511\u7512\u750F\u7584\u7643\u7648\u7649\u7647\u76A4\u76E9\u77B5\u77AB\u77B2\u77B7\u77B6"],
      ["eda1", "\u77B4\u77B1\u77A8\u77F0\u78F3\u78FD\u7902\u78FB\u78FC\u78F2\u7905\u78F9\u78FE\u7904\u79AB\u79A8\u7A5C\u7A5B\u7A56\u7A58\u7A54\u7A5A\u7ABE\u7AC0\u7AC1\u7C05\u7C0F\u7BF2\u7C00\u7BFF\u7BFB\u7C0E\u7BF4\u7C0B\u7BF3\u7C02\u7C09\u7C03\u7C01\u7BF8\u7BFD\u7C06\u7BF0\u7BF1\u7C10\u7C0A\u7CE8\u7E2D\u7E3C\u7E42\u7E33\u9848\u7E38\u7E2A\u7E49\u7E40\u7E47\u7E29\u7E4C\u7E30\u7E3B\u7E36\u7E44\u7E3A\u7F45\u7F7F\u7F7E\u7F7D\u7FF4\u7FF2\u802C\u81BB\u81C4\u81CC\u81CA\u81C5\u81C7\u81BC\u81E9\u825B\u825A\u825C\u8583\u8580\u858F\u85A7\u8595\u85A0\u858B\u85A3\u857B\u85A4\u859A\u859E"],
      ["ee40", "\u8577\u857C\u8589\u85A1\u857A\u8578\u8557\u858E\u8596\u8586\u858D\u8599\u859D\u8581\u85A2\u8582\u8588\u8585\u8579\u8576\u8598\u8590\u859F\u8668\u87BE\u87AA\u87AD\u87C5\u87B0\u87AC\u87B9\u87B5\u87BC\u87AE\u87C9\u87C3\u87C2\u87CC\u87B7\u87AF\u87C4\u87CA\u87B4\u87B6\u87BF\u87B8\u87BD\u87DE\u87B2\u8935\u8933\u893C\u893E\u8941\u8952\u8937\u8942\u89AD\u89AF\u89AE\u89F2\u89F3\u8B1E"],
      ["eea1", "\u8B18\u8B16\u8B11\u8B05\u8B0B\u8B22\u8B0F\u8B12\u8B15\u8B07\u8B0D\u8B08\u8B06\u8B1C\u8B13\u8B1A\u8C4F\u8C70\u8C72\u8C71\u8C6F\u8C95\u8C94\u8CF9\u8D6F\u8E4E\u8E4D\u8E53\u8E50\u8E4C\u8E47\u8F43\u8F40\u9085\u907E\u9138\u919A\u91A2\u919B\u9199\u919F\u91A1\u919D\u91A0\u93A1\u9383\u93AF\u9364\u9356\u9347\u937C\u9358\u935C\u9376\u9349\u9350\u9351\u9360\u936D\u938F\u934C\u936A\u9379\u9357\u9355\u9352\u934F\u9371\u9377\u937B\u9361\u935E\u9363\u9367\u9380\u934E\u9359\u95C7\u95C0\u95C9\u95C3\u95C5\u95B7\u96AE\u96B0\u96AC\u9720\u971F\u9718\u971D\u9719\u979A\u97A1\u979C"],
      ["ef40", "\u979E\u979D\u97D5\u97D4\u97F1\u9841\u9844\u984A\u9849\u9845\u9843\u9925\u992B\u992C\u992A\u9933\u9932\u992F\u992D\u9931\u9930\u9998\u99A3\u99A1\u9A02\u99FA\u99F4\u99F7\u99F9\u99F8\u99F6\u99FB\u99FD\u99FE\u99FC\u9A03\u9ABE\u9AFE\u9AFD\u9B01\u9AFC\u9B48\u9B9A\u9BA8\u9B9E\u9B9B\u9BA6\u9BA1\u9BA5\u9BA4\u9B86\u9BA2\u9BA0\u9BAF\u9D33\u9D41\u9D67\u9D36\u9D2E\u9D2F\u9D31\u9D38\u9D30"],
      ["efa1", "\u9D45\u9D42\u9D43\u9D3E\u9D37\u9D40\u9D3D\u7FF5\u9D2D\u9E8A\u9E89\u9E8D\u9EB0\u9EC8\u9EDA\u9EFB\u9EFF\u9F24\u9F23\u9F22\u9F54\u9FA0\u5131\u512D\u512E\u5698\u569C\u5697\u569A\u569D\u5699\u5970\u5B3C\u5C69\u5C6A\u5DC0\u5E6D\u5E6E\u61D8\u61DF\u61ED\u61EE\u61F1\u61EA\u61F0\u61EB\u61D6\u61E9\u64FF\u6504\u64FD\u64F8\u6501\u6503\u64FC\u6594\u65DB\u66DA\u66DB\u66D8\u6AC5\u6AB9\u6ABD\u6AE1\u6AC6\u6ABA\u6AB6\u6AB7\u6AC7\u6AB4\u6AAD\u6B5E\u6BC9\u6C0B\u7007\u700C\u700D\u7001\u7005\u7014\u700E\u6FFF\u7000\u6FFB\u7026\u6FFC\u6FF7\u700A\u7201\u71FF\u71F9\u7203\u71FD\u7376"],
      ["f040", "\u74B8\u74C0\u74B5\u74C1\u74BE\u74B6\u74BB\u74C2\u7514\u7513\u765C\u7664\u7659\u7650\u7653\u7657\u765A\u76A6\u76BD\u76EC\u77C2\u77BA\u78FF\u790C\u7913\u7914\u7909\u7910\u7912\u7911\u79AD\u79AC\u7A5F\u7C1C\u7C29\u7C19\u7C20\u7C1F\u7C2D\u7C1D\u7C26\u7C28\u7C22\u7C25\u7C30\u7E5C\u7E50\u7E56\u7E63\u7E58\u7E62\u7E5F\u7E51\u7E60\u7E57\u7E53\u7FB5\u7FB3\u7FF7\u7FF8\u8075\u81D1\u81D2"],
      ["f0a1", "\u81D0\u825F\u825E\u85B4\u85C6\u85C0\u85C3\u85C2\u85B3\u85B5\u85BD\u85C7\u85C4\u85BF\u85CB\u85CE\u85C8\u85C5\u85B1\u85B6\u85D2\u8624\u85B8\u85B7\u85BE\u8669\u87E7\u87E6\u87E2\u87DB\u87EB\u87EA\u87E5\u87DF\u87F3\u87E4\u87D4\u87DC\u87D3\u87ED\u87D8\u87E3\u87A4\u87D7\u87D9\u8801\u87F4\u87E8\u87DD\u8953\u894B\u894F\u894C\u8946\u8950\u8951\u8949\u8B2A\u8B27\u8B23\u8B33\u8B30\u8B35\u8B47\u8B2F\u8B3C\u8B3E\u8B31\u8B25\u8B37\u8B26\u8B36\u8B2E\u8B24\u8B3B\u8B3D\u8B3A\u8C42\u8C75\u8C99\u8C98\u8C97\u8CFE\u8D04\u8D02\u8D00\u8E5C\u8E62\u8E60\u8E57\u8E56\u8E5E\u8E65\u8E67"],
      ["f140", "\u8E5B\u8E5A\u8E61\u8E5D\u8E69\u8E54\u8F46\u8F47\u8F48\u8F4B\u9128\u913A\u913B\u913E\u91A8\u91A5\u91A7\u91AF\u91AA\u93B5\u938C\u9392\u93B7\u939B\u939D\u9389\u93A7\u938E\u93AA\u939E\u93A6\u9395\u9388\u9399\u939F\u938D\u93B1\u9391\u93B2\u93A4\u93A8\u93B4\u93A3\u93A5\u95D2\u95D3\u95D1\u96B3\u96D7\u96DA\u5DC2\u96DF\u96D8\u96DD\u9723\u9722\u9725\u97AC\u97AE\u97A8\u97AB\u97A4\u97AA"],
      ["f1a1", "\u97A2\u97A5\u97D7\u97D9\u97D6\u97D8\u97FA\u9850\u9851\u9852\u98B8\u9941\u993C\u993A\u9A0F\u9A0B\u9A09\u9A0D\u9A04\u9A11\u9A0A\u9A05\u9A07\u9A06\u9AC0\u9ADC\u9B08\u9B04\u9B05\u9B29\u9B35\u9B4A\u9B4C\u9B4B\u9BC7\u9BC6\u9BC3\u9BBF\u9BC1\u9BB5\u9BB8\u9BD3\u9BB6\u9BC4\u9BB9\u9BBD\u9D5C\u9D53\u9D4F\u9D4A\u9D5B\u9D4B\u9D59\u9D56\u9D4C\u9D57\u9D52\u9D54\u9D5F\u9D58\u9D5A\u9E8E\u9E8C\u9EDF\u9F01\u9F00\u9F16\u9F25\u9F2B\u9F2A\u9F29\u9F28\u9F4C\u9F55\u5134\u5135\u5296\u52F7\u53B4\u56AB\u56AD\u56A6\u56A7\u56AA\u56AC\u58DA\u58DD\u58DB\u5912\u5B3D\u5B3E\u5B3F\u5DC3\u5E70"],
      ["f240", "\u5FBF\u61FB\u6507\u6510\u650D\u6509\u650C\u650E\u6584\u65DE\u65DD\u66DE\u6AE7\u6AE0\u6ACC\u6AD1\u6AD9\u6ACB\u6ADF\u6ADC\u6AD0\u6AEB\u6ACF\u6ACD\u6ADE\u6B60\u6BB0\u6C0C\u7019\u7027\u7020\u7016\u702B\u7021\u7022\u7023\u7029\u7017\u7024\u701C\u702A\u720C\u720A\u7207\u7202\u7205\u72A5\u72A6\u72A4\u72A3\u72A1\u74CB\u74C5\u74B7\u74C3\u7516\u7660\u77C9\u77CA\u77C4\u77F1\u791D\u791B"],
      ["f2a1", "\u7921\u791C\u7917\u791E\u79B0\u7A67\u7A68\u7C33\u7C3C\u7C39\u7C2C\u7C3B\u7CEC\u7CEA\u7E76\u7E75\u7E78\u7E70\u7E77\u7E6F\u7E7A\u7E72\u7E74\u7E68\u7F4B\u7F4A\u7F83\u7F86\u7FB7\u7FFD\u7FFE\u8078\u81D7\u81D5\u8264\u8261\u8263\u85EB\u85F1\u85ED\u85D9\u85E1\u85E8\u85DA\u85D7\u85EC\u85F2\u85F8\u85D8\u85DF\u85E3\u85DC\u85D1\u85F0\u85E6\u85EF\u85DE\u85E2\u8800\u87FA\u8803\u87F6\u87F7\u8809\u880C\u880B\u8806\u87FC\u8808\u87FF\u880A\u8802\u8962\u895A\u895B\u8957\u8961\u895C\u8958\u895D\u8959\u8988\u89B7\u89B6\u89F6\u8B50\u8B48\u8B4A\u8B40\u8B53\u8B56\u8B54\u8B4B\u8B55"],
      ["f340", "\u8B51\u8B42\u8B52\u8B57\u8C43\u8C77\u8C76\u8C9A\u8D06\u8D07\u8D09\u8DAC\u8DAA\u8DAD\u8DAB\u8E6D\u8E78\u8E73\u8E6A\u8E6F\u8E7B\u8EC2\u8F52\u8F51\u8F4F\u8F50\u8F53\u8FB4\u9140\u913F\u91B0\u91AD\u93DE\u93C7\u93CF\u93C2\u93DA\u93D0\u93F9\u93EC\u93CC\u93D9\u93A9\u93E6\u93CA\u93D4\u93EE\u93E3\u93D5\u93C4\u93CE\u93C0\u93D2\u93E7\u957D\u95DA\u95DB\u96E1\u9729\u972B\u972C\u9728\u9726"],
      ["f3a1", "\u97B3\u97B7\u97B6\u97DD\u97DE\u97DF\u985C\u9859\u985D\u9857\u98BF\u98BD\u98BB\u98BE\u9948\u9947\u9943\u99A6\u99A7\u9A1A\u9A15\u9A25\u9A1D\u9A24\u9A1B\u9A22\u9A20\u9A27\u9A23\u9A1E\u9A1C\u9A14\u9AC2\u9B0B\u9B0A\u9B0E\u9B0C\u9B37\u9BEA\u9BEB\u9BE0\u9BDE\u9BE4\u9BE6\u9BE2\u9BF0\u9BD4\u9BD7\u9BEC\u9BDC\u9BD9\u9BE5\u9BD5\u9BE1\u9BDA\u9D77\u9D81\u9D8A\u9D84\u9D88\u9D71\u9D80\u9D78\u9D86\u9D8B\u9D8C\u9D7D\u9D6B\u9D74\u9D75\u9D70\u9D69\u9D85\u9D73\u9D7B\u9D82\u9D6F\u9D79\u9D7F\u9D87\u9D68\u9E94\u9E91\u9EC0\u9EFC\u9F2D\u9F40\u9F41\u9F4D\u9F56\u9F57\u9F58\u5337\u56B2"],
      ["f440", "\u56B5\u56B3\u58E3\u5B45\u5DC6\u5DC7\u5EEE\u5EEF\u5FC0\u5FC1\u61F9\u6517\u6516\u6515\u6513\u65DF\u66E8\u66E3\u66E4\u6AF3\u6AF0\u6AEA\u6AE8\u6AF9\u6AF1\u6AEE\u6AEF\u703C\u7035\u702F\u7037\u7034\u7031\u7042\u7038\u703F\u703A\u7039\u7040\u703B\u7033\u7041\u7213\u7214\u72A8\u737D\u737C\u74BA\u76AB\u76AA\u76BE\u76ED\u77CC\u77CE\u77CF\u77CD\u77F2\u7925\u7923\u7927\u7928\u7924\u7929"],
      ["f4a1", "\u79B2\u7A6E\u7A6C\u7A6D\u7AF7\u7C49\u7C48\u7C4A\u7C47\u7C45\u7CEE\u7E7B\u7E7E\u7E81\u7E80\u7FBA\u7FFF\u8079\u81DB\u81D9\u820B\u8268\u8269\u8622\u85FF\u8601\u85FE\u861B\u8600\u85F6\u8604\u8609\u8605\u860C\u85FD\u8819\u8810\u8811\u8817\u8813\u8816\u8963\u8966\u89B9\u89F7\u8B60\u8B6A\u8B5D\u8B68\u8B63\u8B65\u8B67\u8B6D\u8DAE\u8E86\u8E88\u8E84\u8F59\u8F56\u8F57\u8F55\u8F58\u8F5A\u908D\u9143\u9141\u91B7\u91B5\u91B2\u91B3\u940B\u9413\u93FB\u9420\u940F\u9414\u93FE\u9415\u9410\u9428\u9419\u940D\u93F5\u9400\u93F7\u9407\u940E\u9416\u9412\u93FA\u9409\u93F8\u940A\u93FF"],
      ["f540", "\u93FC\u940C\u93F6\u9411\u9406\u95DE\u95E0\u95DF\u972E\u972F\u97B9\u97BB\u97FD\u97FE\u9860\u9862\u9863\u985F\u98C1\u98C2\u9950\u994E\u9959\u994C\u994B\u9953\u9A32\u9A34\u9A31\u9A2C\u9A2A\u9A36\u9A29\u9A2E\u9A38\u9A2D\u9AC7\u9ACA\u9AC6\u9B10\u9B12\u9B11\u9C0B\u9C08\u9BF7\u9C05\u9C12\u9BF8\u9C40\u9C07\u9C0E\u9C06\u9C17\u9C14\u9C09\u9D9F\u9D99\u9DA4\u9D9D\u9D92\u9D98\u9D90\u9D9B"],
      ["f5a1", "\u9DA0\u9D94\u9D9C\u9DAA\u9D97\u9DA1\u9D9A\u9DA2\u9DA8\u9D9E\u9DA3\u9DBF\u9DA9\u9D96\u9DA6\u9DA7\u9E99\u9E9B\u9E9A\u9EE5\u9EE4\u9EE7\u9EE6\u9F30\u9F2E\u9F5B\u9F60\u9F5E\u9F5D\u9F59\u9F91\u513A\u5139\u5298\u5297\u56C3\u56BD\u56BE\u5B48\u5B47\u5DCB\u5DCF\u5EF1\u61FD\u651B\u6B02\u6AFC\u6B03\u6AF8\u6B00\u7043\u7044\u704A\u7048\u7049\u7045\u7046\u721D\u721A\u7219\u737E\u7517\u766A\u77D0\u792D\u7931\u792F\u7C54\u7C53\u7CF2\u7E8A\u7E87\u7E88\u7E8B\u7E86\u7E8D\u7F4D\u7FBB\u8030\u81DD\u8618\u862A\u8626\u861F\u8623\u861C\u8619\u8627\u862E\u8621\u8620\u8629\u861E\u8625"],
      ["f640", "\u8829\u881D\u881B\u8820\u8824\u881C\u882B\u884A\u896D\u8969\u896E\u896B\u89FA\u8B79\u8B78\u8B45\u8B7A\u8B7B\u8D10\u8D14\u8DAF\u8E8E\u8E8C\u8F5E\u8F5B\u8F5D\u9146\u9144\u9145\u91B9\u943F\u943B\u9436\u9429\u943D\u943C\u9430\u9439\u942A\u9437\u942C\u9440\u9431\u95E5\u95E4\u95E3\u9735\u973A\u97BF\u97E1\u9864\u98C9\u98C6\u98C0\u9958\u9956\u9A39\u9A3D\u9A46\u9A44\u9A42\u9A41\u9A3A"],
      ["f6a1", "\u9A3F\u9ACD\u9B15\u9B17\u9B18\u9B16\u9B3A\u9B52\u9C2B\u9C1D\u9C1C\u9C2C\u9C23\u9C28\u9C29\u9C24\u9C21\u9DB7\u9DB6\u9DBC\u9DC1\u9DC7\u9DCA\u9DCF\u9DBE\u9DC5\u9DC3\u9DBB\u9DB5\u9DCE\u9DB9\u9DBA\u9DAC\u9DC8\u9DB1\u9DAD\u9DCC\u9DB3\u9DCD\u9DB2\u9E7A\u9E9C\u9EEB\u9EEE\u9EED\u9F1B\u9F18\u9F1A\u9F31\u9F4E\u9F65\u9F64\u9F92\u4EB9\u56C6\u56C5\u56CB\u5971\u5B4B\u5B4C\u5DD5\u5DD1\u5EF2\u6521\u6520\u6526\u6522\u6B0B\u6B08\u6B09\u6C0D\u7055\u7056\u7057\u7052\u721E\u721F\u72A9\u737F\u74D8\u74D5\u74D9\u74D7\u766D\u76AD\u7935\u79B4\u7A70\u7A71\u7C57\u7C5C\u7C59\u7C5B\u7C5A"],
      ["f740", "\u7CF4\u7CF1\u7E91\u7F4F\u7F87\u81DE\u826B\u8634\u8635\u8633\u862C\u8632\u8636\u882C\u8828\u8826\u882A\u8825\u8971\u89BF\u89BE\u89FB\u8B7E\u8B84\u8B82\u8B86\u8B85\u8B7F\u8D15\u8E95\u8E94\u8E9A\u8E92\u8E90\u8E96\u8E97\u8F60\u8F62\u9147\u944C\u9450\u944A\u944B\u944F\u9447\u9445\u9448\u9449\u9446\u973F\u97E3\u986A\u9869\u98CB\u9954\u995B\u9A4E\u9A53\u9A54\u9A4C\u9A4F\u9A48\u9A4A"],
      ["f7a1", "\u9A49\u9A52\u9A50\u9AD0\u9B19\u9B2B\u9B3B\u9B56\u9B55\u9C46\u9C48\u9C3F\u9C44\u9C39\u9C33\u9C41\u9C3C\u9C37\u9C34\u9C32\u9C3D\u9C36\u9DDB\u9DD2\u9DDE\u9DDA\u9DCB\u9DD0\u9DDC\u9DD1\u9DDF\u9DE9\u9DD9\u9DD8\u9DD6\u9DF5\u9DD5\u9DDD\u9EB6\u9EF0\u9F35\u9F33\u9F32\u9F42\u9F6B\u9F95\u9FA2\u513D\u5299\u58E8\u58E7\u5972\u5B4D\u5DD8\u882F\u5F4F\u6201\u6203\u6204\u6529\u6525\u6596\u66EB\u6B11\u6B12\u6B0F\u6BCA\u705B\u705A\u7222\u7382\u7381\u7383\u7670\u77D4\u7C67\u7C66\u7E95\u826C\u863A\u8640\u8639\u863C\u8631\u863B\u863E\u8830\u8832\u882E\u8833\u8976\u8974\u8973\u89FE"],
      ["f840", "\u8B8C\u8B8E\u8B8B\u8B88\u8C45\u8D19\u8E98\u8F64\u8F63\u91BC\u9462\u9455\u945D\u9457\u945E\u97C4\u97C5\u9800\u9A56\u9A59\u9B1E\u9B1F\u9B20\u9C52\u9C58\u9C50\u9C4A\u9C4D\u9C4B\u9C55\u9C59\u9C4C\u9C4E\u9DFB\u9DF7\u9DEF\u9DE3\u9DEB\u9DF8\u9DE4\u9DF6\u9DE1\u9DEE\u9DE6\u9DF2\u9DF0\u9DE2\u9DEC\u9DF4\u9DF3\u9DE8\u9DED\u9EC2\u9ED0\u9EF2\u9EF3\u9F06\u9F1C\u9F38\u9F37\u9F36\u9F43\u9F4F"],
      ["f8a1", "\u9F71\u9F70\u9F6E\u9F6F\u56D3\u56CD\u5B4E\u5C6D\u652D\u66ED\u66EE\u6B13\u705F\u7061\u705D\u7060\u7223\u74DB\u74E5\u77D5\u7938\u79B7\u79B6\u7C6A\u7E97\u7F89\u826D\u8643\u8838\u8837\u8835\u884B\u8B94\u8B95\u8E9E\u8E9F\u8EA0\u8E9D\u91BE\u91BD\u91C2\u946B\u9468\u9469\u96E5\u9746\u9743\u9747\u97C7\u97E5\u9A5E\u9AD5\u9B59\u9C63\u9C67\u9C66\u9C62\u9C5E\u9C60\u9E02\u9DFE\u9E07\u9E03\u9E06\u9E05\u9E00\u9E01\u9E09\u9DFF\u9DFD\u9E04\u9EA0\u9F1E\u9F46\u9F74\u9F75\u9F76\u56D4\u652E\u65B8\u6B18\u6B19\u6B17\u6B1A\u7062\u7226\u72AA\u77D8\u77D9\u7939\u7C69\u7C6B\u7CF6\u7E9A"],
      ["f940", "\u7E98\u7E9B\u7E99\u81E0\u81E1\u8646\u8647\u8648\u8979\u897A\u897C\u897B\u89FF\u8B98\u8B99\u8EA5\u8EA4\u8EA3\u946E\u946D\u946F\u9471\u9473\u9749\u9872\u995F\u9C68\u9C6E\u9C6D\u9E0B\u9E0D\u9E10\u9E0F\u9E12\u9E11\u9EA1\u9EF5\u9F09\u9F47\u9F78\u9F7B\u9F7A\u9F79\u571E\u7066\u7C6F\u883C\u8DB2\u8EA6\u91C3\u9474\u9478\u9476\u9475\u9A60\u9C74\u9C73\u9C71\u9C75\u9E14\u9E13\u9EF6\u9F0A"],
      ["f9a1", "\u9FA4\u7068\u7065\u7CF7\u866A\u883E\u883D\u883F\u8B9E\u8C9C\u8EA9\u8EC9\u974B\u9873\u9874\u98CC\u9961\u99AB\u9A64\u9A66\u9A67\u9B24\u9E15\u9E17\u9F48\u6207\u6B1E\u7227\u864C\u8EA8\u9482\u9480\u9481\u9A69\u9A68\u9B2E\u9E19\u7229\u864B\u8B9F\u9483\u9C79\u9EB7\u7675\u9A6B\u9C7A\u9E1D\u7069\u706A\u9EA4\u9F7E\u9F49\u9F98\u7881\u92B9\u88CF\u58BB\u6052\u7CA7\u5AFA\u2554\u2566\u2557\u2560\u256C\u2563\u255A\u2569\u255D\u2552\u2564\u2555\u255E\u256A\u2561\u2558\u2567\u255B\u2553\u2565\u2556\u255F\u256B\u2562\u2559\u2568\u255C\u2551\u2550\u256D\u256E\u2570\u256F\u2593"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/big5-added.json
var require_big5_added = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/tables/big5-added.json"(exports2, module2) {
    module2.exports = [
      ["8740", "\u43F0\u4C32\u4603\u45A6\u4578\u{27267}\u4D77\u45B3\u{27CB1}\u4CE2\u{27CC5}\u3B95\u4736\u4744\u4C47\u4C40\u{242BF}\u{23617}\u{27352}\u{26E8B}\u{270D2}\u4C57\u{2A351}\u474F\u45DA\u4C85\u{27C6C}\u4D07\u4AA4\u46A1\u{26B23}\u7225\u{25A54}\u{21A63}\u{23E06}\u{23F61}\u664D\u56FB"],
      ["8767", "\u7D95\u591D\u{28BB9}\u3DF4\u9734\u{27BEF}\u5BDB\u{21D5E}\u5AA4\u3625\u{29EB0}\u5AD1\u5BB7\u5CFC\u676E\u8593\u{29945}\u7461\u749D\u3875\u{21D53}\u{2369E}\u{26021}\u3EEC"],
      ["87a1", "\u{258DE}\u3AF5\u7AFC\u9F97\u{24161}\u{2890D}\u{231EA}\u{20A8A}\u{2325E}\u430A\u8484\u9F96\u942F\u4930\u8613\u5896\u974A\u9218\u79D0\u7A32\u6660\u6A29\u889D\u744C\u7BC5\u6782\u7A2C\u524F\u9046\u34E6\u73C4\u{25DB9}\u74C6\u9FC7\u57B3\u492F\u544C\u4131\u{2368E}\u5818\u7A72\u{27B65}\u8B8F\u46AE\u{26E88}\u4181\u{25D99}\u7BAE\u{224BC}\u9FC8\u{224C1}\u{224C9}\u{224CC}\u9FC9\u8504\u{235BB}\u40B4\u9FCA\u44E1\u{2ADFF}\u62C1\u706E\u9FCB"],
      ["8840", "\u31C0", 4, "\u{2010C}\u31C5\u{200D1}\u{200CD}\u31C6\u31C7\u{200CB}\u{21FE8}\u31C8\u{200CA}\u31C9\u31CA\u31CB\u31CC\u{2010E}\u31CD\u31CE\u0100\xC1\u01CD\xC0\u0112\xC9\u011A\xC8\u014C\xD3\u01D1\xD2\u0FFF\xCA\u0304\u1EBE\u0FFF\xCA\u030C\u1EC0\xCA\u0101\xE1\u01CE\xE0\u0251\u0113\xE9\u011B\xE8\u012B\xED\u01D0\xEC\u014D\xF3\u01D2\xF2\u016B\xFA\u01D4\xF9\u01D6\u01D8\u01DA"],
      ["88a1", "\u01DC\xFC\u0FFF\xEA\u0304\u1EBF\u0FFF\xEA\u030C\u1EC1\xEA\u0261\u23DA\u23DB"],
      ["8940", "\u{2A3A9}\u{21145}"],
      ["8943", "\u650A"],
      ["8946", "\u4E3D\u6EDD\u9D4E\u91DF"],
      ["894c", "\u{27735}\u6491\u4F1A\u4F28\u4FA8\u5156\u5174\u519C\u51E4\u52A1\u52A8\u533B\u534E\u53D1\u53D8\u56E2\u58F0\u5904\u5907\u5932\u5934\u5B66\u5B9E\u5B9F\u5C9A\u5E86\u603B\u6589\u67FE\u6804\u6865\u6D4E\u70BC\u7535\u7EA4\u7EAC\u7EBA\u7EC7\u7ECF\u7EDF\u7F06\u7F37\u827A\u82CF\u836F\u89C6\u8BBE\u8BE2\u8F66\u8F67\u8F6E"],
      ["89a1", "\u7411\u7CFC\u7DCD\u6946\u7AC9\u5227"],
      ["89ab", "\u918C\u78B8\u915E\u80BC"],
      ["89b0", "\u8D0B\u80F6\u{209E7}"],
      ["89b5", "\u809F\u9EC7\u4CCD\u9DC9\u9E0C\u4C3E\u{29DF6}\u{2700E}\u9E0A\u{2A133}\u35C1"],
      ["89c1", "\u6E9A\u823E\u7519"],
      ["89c5", "\u4911\u9A6C\u9A8F\u9F99\u7987\u{2846C}\u{21DCA}\u{205D0}\u{22AE6}\u4E24\u4E81\u4E80\u4E87\u4EBF\u4EEB\u4F37\u344C\u4FBD\u3E48\u5003\u5088\u347D\u3493\u34A5\u5186\u5905\u51DB\u51FC\u5205\u4E89\u5279\u5290\u5327\u35C7\u53A9\u3551\u53B0\u3553\u53C2\u5423\u356D\u3572\u3681\u5493\u54A3\u54B4\u54B9\u54D0\u54EF\u5518\u5523\u5528\u3598\u553F\u35A5\u35BF\u55D7\u35C5"],
      ["8a40", "\u{27D84}\u5525"],
      ["8a43", "\u{20C42}\u{20D15}\u{2512B}\u5590\u{22CC6}\u39EC\u{20341}\u8E46\u{24DB8}\u{294E5}\u4053\u{280BE}\u777A\u{22C38}\u3A34\u47D5\u{2815D}\u{269F2}\u{24DEA}\u64DD\u{20D7C}\u{20FB4}\u{20CD5}\u{210F4}\u648D\u8E7E\u{20E96}\u{20C0B}\u{20F64}\u{22CA9}\u{28256}\u{244D3}"],
      ["8a64", "\u{20D46}\u{29A4D}\u{280E9}\u47F4\u{24EA7}\u{22CC2}\u9AB2\u3A67\u{295F4}\u3FED\u3506\u{252C7}\u{297D4}\u{278C8}\u{22D44}\u9D6E\u9815"],
      ["8a76", "\u43D9\u{260A5}\u64B4\u54E3\u{22D4C}\u{22BCA}\u{21077}\u39FB\u{2106F}"],
      ["8aa1", "\u{266DA}\u{26716}\u{279A0}\u64EA\u{25052}\u{20C43}\u8E68\u{221A1}\u{28B4C}\u{20731}"],
      ["8aac", "\u480B\u{201A9}\u3FFA\u5873\u{22D8D}"],
      ["8ab2", "\u{245C8}\u{204FC}\u{26097}\u{20F4C}\u{20D96}\u5579\u40BB\u43BA"],
      ["8abb", "\u4AB4\u{22A66}\u{2109D}\u81AA\u98F5\u{20D9C}\u6379\u39FE\u{22775}\u8DC0\u56A1\u647C\u3E43"],
      ["8ac9", "\u{2A601}\u{20E09}\u{22ACF}\u{22CC9}"],
      ["8ace", "\u{210C8}\u{239C2}\u3992\u3A06\u{2829B}\u3578\u{25E49}\u{220C7}\u5652\u{20F31}\u{22CB2}\u{29720}\u34BC\u6C3D\u{24E3B}"],
      ["8adf", "\u{27574}\u{22E8B}\u{22208}\u{2A65B}\u{28CCD}\u{20E7A}\u{20C34}\u{2681C}\u7F93\u{210CF}\u{22803}\u{22939}\u35FB\u{251E3}\u{20E8C}\u{20F8D}\u{20EAA}\u3F93\u{20F30}\u{20D47}\u{2114F}\u{20E4C}"],
      ["8af6", "\u{20EAB}\u{20BA9}\u{20D48}\u{210C0}\u{2113D}\u3FF9\u{22696}\u6432\u{20FAD}"],
      ["8b40", "\u{233F4}\u{27639}\u{22BCE}\u{20D7E}\u{20D7F}\u{22C51}\u{22C55}\u3A18\u{20E98}\u{210C7}\u{20F2E}\u{2A632}\u{26B50}\u{28CD2}\u{28D99}\u{28CCA}\u95AA\u54CC\u82C4\u55B9"],
      ["8b55", "\u{29EC3}\u9C26\u9AB6\u{2775E}\u{22DEE}\u7140\u816D\u80EC\u5C1C\u{26572}\u8134\u3797\u535F\u{280BD}\u91B6\u{20EFA}\u{20E0F}\u{20E77}\u{20EFB}\u35DD\u{24DEB}\u3609\u{20CD6}\u56AF\u{227B5}\u{210C9}\u{20E10}\u{20E78}\u{21078}\u{21148}\u{28207}\u{21455}\u{20E79}\u{24E50}\u{22DA4}\u5A54\u{2101D}\u{2101E}\u{210F5}\u{210F6}\u579C\u{20E11}"],
      ["8ba1", "\u{27694}\u{282CD}\u{20FB5}\u{20E7B}\u{2517E}\u3703\u{20FB6}\u{21180}\u{252D8}\u{2A2BD}\u{249DA}\u{2183A}\u{24177}\u{2827C}\u5899\u5268\u361A\u{2573D}\u7BB2\u5B68\u4800\u4B2C\u9F27\u49E7\u9C1F\u9B8D\u{25B74}\u{2313D}\u55FB\u35F2\u5689\u4E28\u5902\u{21BC1}\u{2F878}\u9751\u{20086}\u4E5B\u4EBB\u353E\u5C23\u5F51\u5FC4\u38FA\u624C\u6535\u6B7A\u6C35\u6C3A\u706C\u722B\u4E2C\u72AD\u{248E9}\u7F52\u793B\u7CF9\u7F53\u{2626A}\u34C1"],
      ["8bde", "\u{2634B}\u8002\u8080\u{26612}\u{26951}\u535D\u8864\u89C1\u{278B2}\u8BA0\u8D1D\u9485\u9578\u957F\u95E8\u{28E0F}\u97E6\u9875\u98CE\u98DE\u9963\u{29810}\u9C7C\u9E1F\u9EC4\u6B6F\uF907\u4E37\u{20087}\u961D\u6237\u94A2"],
      ["8c40", "\u503B\u6DFE\u{29C73}\u9FA6\u3DC9\u888F\u{2414E}\u7077\u5CF5\u4B20\u{251CD}\u3559\u{25D30}\u6122\u{28A32}\u8FA7\u91F6\u7191\u6719\u73BA\u{23281}\u{2A107}\u3C8B\u{21980}\u4B10\u78E4\u7402\u51AE\u{2870F}\u4009\u6A63\u{2A2BA}\u4223\u860F\u{20A6F}\u7A2A\u{29947}\u{28AEA}\u9755\u704D\u5324\u{2207E}\u93F4\u76D9\u{289E3}\u9FA7\u77DD\u4EA3\u4FF0\u50BC\u4E2F\u4F17\u9FA8\u5434\u7D8B\u5892\u58D0\u{21DB6}\u5E92\u5E99\u5FC2\u{22712}\u658B"],
      ["8ca1", "\u{233F9}\u6919\u6A43\u{23C63}\u6CFF"],
      ["8ca7", "\u7200\u{24505}\u738C\u3EDB\u{24A13}\u5B15\u74B9\u8B83\u{25CA4}\u{25695}\u7A93\u7BEC\u7CC3\u7E6C\u82F8\u8597\u9FA9\u8890\u9FAA\u8EB9\u9FAB\u8FCF\u855F\u99E0\u9221\u9FAC\u{28DB9}\u{2143F}\u4071\u42A2\u5A1A"],
      ["8cc9", "\u9868\u676B\u4276\u573D"],
      ["8cce", "\u85D6\u{2497B}\u82BF\u{2710D}\u4C81\u{26D74}\u5D7B\u{26B15}\u{26FBE}\u9FAD\u9FAE\u5B96\u9FAF\u66E7\u7E5B\u6E57\u79CA\u3D88\u44C3\u{23256}\u{22796}\u439A\u4536"],
      ["8ce6", "\u5CD5\u{23B1A}\u8AF9\u5C78\u3D12\u{23551}\u5D78\u9FB2\u7157\u4558\u{240EC}\u{21E23}\u4C77\u3978\u344A\u{201A4}\u{26C41}\u8ACC\u4FB4\u{20239}\u59BF\u816C\u9856\u{298FA}\u5F3B"],
      ["8d40", "\u{20B9F}"],
      ["8d42", "\u{221C1}\u{2896D}\u4102\u46BB\u{29079}\u3F07\u9FB3\u{2A1B5}\u40F8\u37D6\u46F7\u{26C46}\u417C\u{286B2}\u{273FF}\u456D\u38D4\u{2549A}\u4561\u451B\u4D89\u4C7B\u4D76\u45EA\u3FC8\u{24B0F}\u3661\u44DE\u44BD\u41ED\u5D3E\u5D48\u5D56\u3DFC\u380F\u5DA4\u5DB9\u3820\u3838\u5E42\u5EBD\u5F25\u5F83\u3908\u3914\u393F\u394D\u60D7\u613D\u5CE5\u3989\u61B7\u61B9\u61CF\u39B8\u622C\u6290\u62E5\u6318\u39F8\u56B1"],
      ["8da1", "\u3A03\u63E2\u63FB\u6407\u645A\u3A4B\u64C0\u5D15\u5621\u9F9F\u3A97\u6586\u3ABD\u65FF\u6653\u3AF2\u6692\u3B22\u6716\u3B42\u67A4\u6800\u3B58\u684A\u6884\u3B72\u3B71\u3B7B\u6909\u6943\u725C\u6964\u699F\u6985\u3BBC\u69D6\u3BDD\u6A65\u6A74\u6A71\u6A82\u3BEC\u6A99\u3BF2\u6AAB\u6AB5\u6AD4\u6AF6\u6B81\u6BC1\u6BEA\u6C75\u6CAA\u3CCB\u6D02\u6D06\u6D26\u6D81\u3CEF\u6DA4\u6DB1\u6E15\u6E18\u6E29\u6E86\u{289C0}\u6EBB\u6EE2\u6EDA\u9F7F\u6EE8\u6EE9\u6F24\u6F34\u3D46\u{23F41}\u6F81\u6FBE\u3D6A\u3D75\u71B7\u5C99\u3D8A\u702C\u3D91\u7050\u7054\u706F\u707F\u7089\u{20325}\u43C1\u35F1\u{20ED8}"],
      ["8e40", "\u{23ED7}\u57BE\u{26ED3}\u713E\u{257E0}\u364E\u69A2\u{28BE9}\u5B74\u7A49\u{258E1}\u{294D9}\u7A65\u7A7D\u{259AC}\u7ABB\u7AB0\u7AC2\u7AC3\u71D1\u{2648D}\u41CA\u7ADA\u7ADD\u7AEA\u41EF\u54B2\u{25C01}\u7B0B\u7B55\u7B29\u{2530E}\u{25CFE}\u7BA2\u7B6F\u839C\u{25BB4}\u{26C7F}\u7BD0\u8421\u7B92\u7BB8\u{25D20}\u3DAD\u{25C65}\u8492\u7BFA\u7C06\u7C35\u{25CC1}\u7C44\u7C83\u{24882}\u7CA6\u667D\u{24578}\u7CC9\u7CC7\u7CE6\u7C74\u7CF3\u7CF5\u7CCE"],
      ["8ea1", "\u7E67\u451D\u{26E44}\u7D5D\u{26ED6}\u748D\u7D89\u7DAB\u7135\u7DB3\u7DD2\u{24057}\u{26029}\u7DE4\u3D13\u7DF5\u{217F9}\u7DE5\u{2836D}\u7E1D\u{26121}\u{2615A}\u7E6E\u7E92\u432B\u946C\u7E27\u7F40\u7F41\u7F47\u7936\u{262D0}\u99E1\u7F97\u{26351}\u7FA3\u{21661}\u{20068}\u455C\u{23766}\u4503\u{2833A}\u7FFA\u{26489}\u8005\u8008\u801D\u8028\u802F\u{2A087}\u{26CC3}\u803B\u803C\u8061\u{22714}\u4989\u{26626}\u{23DE3}\u{266E8}\u6725\u80A7\u{28A48}\u8107\u811A\u58B0\u{226F6}\u6C7F\u{26498}\u{24FB8}\u64E7\u{2148A}\u8218\u{2185E}\u6A53\u{24A65}\u{24A95}\u447A\u8229\u{20B0D}\u{26A52}\u{23D7E}\u4FF9\u{214FD}\u84E2\u8362\u{26B0A}\u{249A7}\u{23530}\u{21773}\u{23DF8}\u82AA\u691B\u{2F994}\u41DB"],
      ["8f40", "\u854B\u82D0\u831A\u{20E16}\u{217B4}\u36C1\u{2317D}\u{2355A}\u827B\u82E2\u8318\u{23E8B}\u{26DA3}\u{26B05}\u{26B97}\u{235CE}\u3DBF\u831D\u55EC\u8385\u450B\u{26DA5}\u83AC\u83C1\u83D3\u347E\u{26ED4}\u6A57\u855A\u3496\u{26E42}\u{22EEF}\u8458\u{25BE4}\u8471\u3DD3\u44E4\u6AA7\u844A\u{23CB5}\u7958\u84A8\u{26B96}\u{26E77}\u{26E43}\u84DE\u840F\u8391\u44A0\u8493\u84E4\u{25C91}\u4240\u{25CC0}\u4543\u8534\u5AF2\u{26E99}\u4527\u8573\u4516\u67BF\u8616"],
      ["8fa1", "\u{28625}\u{2863B}\u85C1\u{27088}\u8602\u{21582}\u{270CD}\u{2F9B2}\u456A\u8628\u3648\u{218A2}\u53F7\u{2739A}\u867E\u8771\u{2A0F8}\u87EE\u{22C27}\u87B1\u87DA\u880F\u5661\u866C\u6856\u460F\u8845\u8846\u{275E0}\u{23DB9}\u{275E4}\u885E\u889C\u465B\u88B4\u88B5\u63C1\u88C5\u7777\u{2770F}\u8987\u898A\u89A6\u89A9\u89A7\u89BC\u{28A25}\u89E7\u{27924}\u{27ABD}\u8A9C\u7793\u91FE\u8A90\u{27A59}\u7AE9\u{27B3A}\u{23F8F}\u4713\u{27B38}\u717C\u8B0C\u8B1F\u{25430}\u{25565}\u8B3F\u8B4C\u8B4D\u8AA9\u{24A7A}\u8B90\u8B9B\u8AAF\u{216DF}\u4615\u884F\u8C9B\u{27D54}\u{27D8F}\u{2F9D4}\u3725\u{27D53}\u8CD6\u{27D98}\u{27DBD}\u8D12\u8D03\u{21910}\u8CDB\u705C\u8D11\u{24CC9}\u3ED0\u8D77"],
      ["9040", "\u8DA9\u{28002}\u{21014}\u{2498A}\u3B7C\u{281BC}\u{2710C}\u7AE7\u8EAD\u8EB6\u8EC3\u92D4\u8F19\u8F2D\u{28365}\u{28412}\u8FA5\u9303\u{2A29F}\u{20A50}\u8FB3\u492A\u{289DE}\u{2853D}\u{23DBB}\u5EF8\u{23262}\u8FF9\u{2A014}\u{286BC}\u{28501}\u{22325}\u3980\u{26ED7}\u9037\u{2853C}\u{27ABE}\u9061\u{2856C}\u{2860B}\u90A8\u{28713}\u90C4\u{286E6}\u90AE\u90FD\u9167\u3AF0\u91A9\u91C4\u7CAC\u{28933}\u{21E89}\u920E\u6C9F\u9241\u9262\u{255B9}\u92B9\u{28AC6}\u{23C9B}\u{28B0C}\u{255DB}"],
      ["90a1", "\u{20D31}\u932C\u936B\u{28AE1}\u{28BEB}\u708F\u5AC3\u{28AE2}\u{28AE5}\u4965\u9244\u{28BEC}\u{28C39}\u{28BFF}\u9373\u945B\u8EBC\u9585\u95A6\u9426\u95A0\u6FF6\u42B9\u{2267A}\u{286D8}\u{2127C}\u{23E2E}\u49DF\u6C1C\u967B\u9696\u416C\u96A3\u{26ED5}\u61DA\u96B6\u78F5\u{28AE0}\u96BD\u53CC\u49A1\u{26CB8}\u{20274}\u{26410}\u{290AF}\u{290E5}\u{24AD1}\u{21915}\u{2330A}\u9731\u8642\u9736\u4A0F\u453D\u4585\u{24AE9}\u7075\u5B41\u971B\u975C\u{291D5}\u9757\u5B4A\u{291EB}\u975F\u9425\u50D0\u{230B7}\u{230BC}\u9789\u979F\u97B1\u97BE\u97C0\u97D2\u97E0\u{2546C}\u97EE\u741C\u{29433}\u97FF\u97F5\u{2941D}\u{2797A}\u4AD1\u9834\u9833\u984B\u9866\u3B0E\u{27175}\u3D51\u{20630}\u{2415C}"],
      ["9140", "\u{25706}\u98CA\u98B7\u98C8\u98C7\u4AFF\u{26D27}\u{216D3}\u55B0\u98E1\u98E6\u98EC\u9378\u9939\u{24A29}\u4B72\u{29857}\u{29905}\u99F5\u9A0C\u9A3B\u9A10\u9A58\u{25725}\u36C4\u{290B1}\u{29BD5}\u9AE0\u9AE2\u{29B05}\u9AF4\u4C0E\u9B14\u9B2D\u{28600}\u5034\u9B34\u{269A8}\u38C3\u{2307D}\u9B50\u9B40\u{29D3E}\u5A45\u{21863}\u9B8E\u{2424B}\u9C02\u9BFF\u9C0C\u{29E68}\u9DD4\u{29FB7}\u{2A192}\u{2A1AB}\u{2A0E1}\u{2A123}\u{2A1DF}\u9D7E\u9D83\u{2A134}\u9E0E\u6888"],
      ["91a1", "\u9DC4\u{2215B}\u{2A193}\u{2A220}\u{2193B}\u{2A233}\u9D39\u{2A0B9}\u{2A2B4}\u9E90\u9E95\u9E9E\u9EA2\u4D34\u9EAA\u9EAF\u{24364}\u9EC1\u3B60\u39E5\u3D1D\u4F32\u37BE\u{28C2B}\u9F02\u9F08\u4B96\u9424\u{26DA2}\u9F17\u9F16\u9F39\u569F\u568A\u9F45\u99B8\u{2908B}\u97F2\u847F\u9F62\u9F69\u7ADC\u9F8E\u7216\u4BBE\u{24975}\u{249BB}\u7177\u{249F8}\u{24348}\u{24A51}\u739E\u{28BDA}\u{218FA}\u799F\u{2897E}\u{28E36}\u9369\u93F3\u{28A44}\u92EC\u9381\u93CB\u{2896C}\u{244B9}\u7217\u3EEB\u7772\u7A43\u70D0\u{24473}\u{243F8}\u717E\u{217EF}\u70A3\u{218BE}\u{23599}\u3EC7\u{21885}\u{2542F}\u{217F8}\u3722\u{216FB}\u{21839}\u36E1\u{21774}\u{218D1}\u{25F4B}\u3723\u{216C0}\u575B\u{24A25}\u{213FE}\u{212A8}"],
      ["9240", "\u{213C6}\u{214B6}\u8503\u{236A6}\u8503\u8455\u{24994}\u{27165}\u{23E31}\u{2555C}\u{23EFB}\u{27052}\u44F4\u{236EE}\u{2999D}\u{26F26}\u67F9\u3733\u3C15\u3DE7\u586C\u{21922}\u6810\u4057\u{2373F}\u{240E1}\u{2408B}\u{2410F}\u{26C21}\u54CB\u569E\u{266B1}\u5692\u{20FDF}\u{20BA8}\u{20E0D}\u93C6\u{28B13}\u939C\u4EF8\u512B\u3819\u{24436}\u4EBC\u{20465}\u{2037F}\u4F4B\u4F8A\u{25651}\u5A68\u{201AB}\u{203CB}\u3999\u{2030A}\u{20414}\u3435\u4F29\u{202C0}\u{28EB3}\u{20275}\u8ADA\u{2020C}\u4E98"],
      ["92a1", "\u50CD\u510D\u4FA2\u4F03\u{24A0E}\u{23E8A}\u4F42\u502E\u506C\u5081\u4FCC\u4FE5\u5058\u50FC\u5159\u515B\u515D\u515E\u6E76\u{23595}\u{23E39}\u{23EBF}\u6D72\u{21884}\u{23E89}\u51A8\u51C3\u{205E0}\u44DD\u{204A3}\u{20492}\u{20491}\u8D7A\u{28A9C}\u{2070E}\u5259\u52A4\u{20873}\u52E1\u936E\u467A\u718C\u{2438C}\u{20C20}\u{249AC}\u{210E4}\u69D1\u{20E1D}\u7479\u3EDE\u7499\u7414\u7456\u7398\u4B8E\u{24ABC}\u{2408D}\u53D0\u3584\u720F\u{240C9}\u55B4\u{20345}\u54CD\u{20BC6}\u571D\u925D\u96F4\u9366\u57DD\u578D\u577F\u363E\u58CB\u5A99\u{28A46}\u{216FA}\u{2176F}\u{21710}\u5A2C\u59B8\u928F\u5A7E\u5ACF\u5A12\u{25946}\u{219F3}\u{21861}\u{24295}\u36F5\u6D05\u7443\u5A21\u{25E83}"],
      ["9340", "\u5A81\u{28BD7}\u{20413}\u93E0\u748C\u{21303}\u7105\u4972\u9408\u{289FB}\u93BD\u37A0\u5C1E\u5C9E\u5E5E\u5E48\u{21996}\u{2197C}\u{23AEE}\u5ECD\u5B4F\u{21903}\u{21904}\u3701\u{218A0}\u36DD\u{216FE}\u36D3\u812A\u{28A47}\u{21DBA}\u{23472}\u{289A8}\u5F0C\u5F0E\u{21927}\u{217AB}\u5A6B\u{2173B}\u5B44\u8614\u{275FD}\u8860\u607E\u{22860}\u{2262B}\u5FDB\u3EB8\u{225AF}\u{225BE}\u{29088}\u{26F73}\u61C0\u{2003E}\u{20046}\u{2261B}\u6199\u6198\u6075\u{22C9B}\u{22D07}\u{246D4}\u{2914D}"],
      ["93a1", "\u6471\u{24665}\u{22B6A}\u3A29\u{22B22}\u{23450}\u{298EA}\u{22E78}\u6337\u{2A45B}\u64B6\u6331\u63D1\u{249E3}\u{22D67}\u62A4\u{22CA1}\u643B\u656B\u6972\u3BF4\u{2308E}\u{232AD}\u{24989}\u{232AB}\u550D\u{232E0}\u{218D9}\u{2943F}\u66CE\u{23289}\u{231B3}\u3AE0\u4190\u{25584}\u{28B22}\u{2558F}\u{216FC}\u{2555B}\u{25425}\u78EE\u{23103}\u{2182A}\u{23234}\u3464\u{2320F}\u{23182}\u{242C9}\u668E\u{26D24}\u666B\u4B93\u6630\u{27870}\u{21DEB}\u6663\u{232D2}\u{232E1}\u661E\u{25872}\u38D1\u{2383A}\u{237BC}\u3B99\u{237A2}\u{233FE}\u74D0\u3B96\u678F\u{2462A}\u68B6\u681E\u3BC4\u6ABE\u3863\u{237D5}\u{24487}\u6A33\u6A52\u6AC9\u6B05\u{21912}\u6511\u6898\u6A4C\u3BD7\u6A7A\u6B57\u{23FC0}\u{23C9A}\u93A0\u92F2\u{28BEA}\u{28ACB}"],
      ["9440", "\u9289\u{2801E}\u{289DC}\u9467\u6DA5\u6F0B\u{249EC}\u6D67\u{23F7F}\u3D8F\u6E04\u{2403C}\u5A3D\u6E0A\u5847\u6D24\u7842\u713B\u{2431A}\u{24276}\u70F1\u7250\u7287\u7294\u{2478F}\u{24725}\u5179\u{24AA4}\u{205EB}\u747A\u{23EF8}\u{2365F}\u{24A4A}\u{24917}\u{25FE1}\u3F06\u3EB1\u{24ADF}\u{28C23}\u{23F35}\u60A7\u3EF3\u74CC\u743C\u9387\u7437\u449F\u{26DEA}\u4551\u7583\u3F63\u{24CD9}\u{24D06}\u3F58\u7555\u7673\u{2A5C6}\u3B19\u7468\u{28ACC}\u{249AB}\u{2498E}\u3AFB"],
      ["94a1", "\u3DCD\u{24A4E}\u3EFF\u{249C5}\u{248F3}\u91FA\u5732\u9342\u{28AE3}\u{21864}\u50DF\u{25221}\u{251E7}\u7778\u{23232}\u770E\u770F\u777B\u{24697}\u{23781}\u3A5E\u{248F0}\u7438\u749B\u3EBF\u{24ABA}\u{24AC7}\u40C8\u{24A96}\u{261AE}\u9307\u{25581}\u781E\u788D\u7888\u78D2\u73D0\u7959\u{27741}\u{256E3}\u410E\u799B\u8496\u79A5\u6A2D\u{23EFA}\u7A3A\u79F4\u416E\u{216E6}\u4132\u9235\u79F1\u{20D4C}\u{2498C}\u{20299}\u{23DBA}\u{2176E}\u3597\u556B\u3570\u36AA\u{201D4}\u{20C0D}\u7AE2\u5A59\u{226F5}\u{25AAF}\u{25A9C}\u5A0D\u{2025B}\u78F0\u5A2A\u{25BC6}\u7AFE\u41F9\u7C5D\u7C6D\u4211\u{25BB3}\u{25EBC}\u{25EA6}\u7CCD\u{249F9}\u{217B0}\u7C8E\u7C7C\u7CAE\u6AB2\u7DDC\u7E07\u7DD3\u7F4E\u{26261}"],
      ["9540", "\u{2615C}\u{27B48}\u7D97\u{25E82}\u426A\u{26B75}\u{20916}\u67D6\u{2004E}\u{235CF}\u57C4\u{26412}\u{263F8}\u{24962}\u7FDD\u7B27\u{2082C}\u{25AE9}\u{25D43}\u7B0C\u{25E0E}\u99E6\u8645\u9A63\u6A1C\u{2343F}\u39E2\u{249F7}\u{265AD}\u9A1F\u{265A0}\u8480\u{27127}\u{26CD1}\u44EA\u8137\u4402\u80C6\u8109\u8142\u{267B4}\u98C3\u{26A42}\u8262\u8265\u{26A51}\u8453\u{26DA7}\u8610\u{2721B}\u5A86\u417F\u{21840}\u5B2B\u{218A1}\u5AE4\u{218D8}\u86A0\u{2F9BC}\u{23D8F}\u882D\u{27422}\u5A02"],
      ["95a1", "\u886E\u4F45\u8887\u88BF\u88E6\u8965\u894D\u{25683}\u8954\u{27785}\u{27784}\u{28BF5}\u{28BD9}\u{28B9C}\u{289F9}\u3EAD\u84A3\u46F5\u46CF\u37F2\u8A3D\u8A1C\u{29448}\u5F4D\u922B\u{24284}\u65D4\u7129\u70C4\u{21845}\u9D6D\u8C9F\u8CE9\u{27DDC}\u599A\u77C3\u59F0\u436E\u36D4\u8E2A\u8EA7\u{24C09}\u8F30\u8F4A\u42F4\u6C58\u6FBB\u{22321}\u489B\u6F79\u6E8B\u{217DA}\u9BE9\u36B5\u{2492F}\u90BB\u9097\u5571\u4906\u91BB\u9404\u{28A4B}\u4062\u{28AFC}\u9427\u{28C1D}\u{28C3B}\u84E5\u8A2B\u9599\u95A7\u9597\u9596\u{28D34}\u7445\u3EC2\u{248FF}\u{24A42}\u{243EA}\u3EE7\u{23225}\u968F\u{28EE7}\u{28E66}\u{28E65}\u3ECC\u{249ED}\u{24A78}\u{23FEE}\u7412\u746B\u3EFC\u9741\u{290B0}"],
      ["9640", "\u6847\u4A1D\u{29093}\u{257DF}\u975D\u9368\u{28989}\u{28C26}\u{28B2F}\u{263BE}\u92BA\u5B11\u8B69\u493C\u73F9\u{2421B}\u979B\u9771\u9938\u{20F26}\u5DC1\u{28BC5}\u{24AB2}\u981F\u{294DA}\u92F6\u{295D7}\u91E5\u44C0\u{28B50}\u{24A67}\u{28B64}\u98DC\u{28A45}\u3F00\u922A\u4925\u8414\u993B\u994D\u{27B06}\u3DFD\u999B\u4B6F\u99AA\u9A5C\u{28B65}\u{258C8}\u6A8F\u9A21\u5AFE\u9A2F\u{298F1}\u4B90\u{29948}\u99BC\u4BBD\u4B97\u937D\u5872\u{21302}\u5822\u{249B8}"],
      ["96a1", "\u{214E8}\u7844\u{2271F}\u{23DB8}\u68C5\u3D7D\u9458\u3927\u6150\u{22781}\u{2296B}\u6107\u9C4F\u9C53\u9C7B\u9C35\u9C10\u9B7F\u9BCF\u{29E2D}\u9B9F\u{2A1F5}\u{2A0FE}\u9D21\u4CAE\u{24104}\u9E18\u4CB0\u9D0C\u{2A1B4}\u{2A0ED}\u{2A0F3}\u{2992F}\u9DA5\u84BD\u{26E12}\u{26FDF}\u{26B82}\u85FC\u4533\u{26DA4}\u{26E84}\u{26DF0}\u8420\u85EE\u{26E00}\u{237D7}\u{26064}\u79E2\u{2359C}\u{23640}\u492D\u{249DE}\u3D62\u93DB\u92BE\u9348\u{202BF}\u78B9\u9277\u944D\u4FE4\u3440\u9064\u{2555D}\u783D\u7854\u78B6\u784B\u{21757}\u{231C9}\u{24941}\u369A\u4F72\u6FDA\u6FD9\u701E\u701E\u5414\u{241B5}\u57BB\u58F3\u578A\u9D16\u57D7\u7134\u34AF\u{241AC}\u71EB\u{26C40}\u{24F97}\u5B28\u{217B5}\u{28A49}"],
      ["9740", "\u610C\u5ACE\u5A0B\u42BC\u{24488}\u372C\u4B7B\u{289FC}\u93BB\u93B8\u{218D6}\u{20F1D}\u8472\u{26CC0}\u{21413}\u{242FA}\u{22C26}\u{243C1}\u5994\u{23DB7}\u{26741}\u7DA8\u{2615B}\u{260A4}\u{249B9}\u{2498B}\u{289FA}\u92E5\u73E2\u3EE9\u74B4\u{28B63}\u{2189F}\u3EE1\u{24AB3}\u6AD8\u73F3\u73FB\u3ED6\u{24A3E}\u{24A94}\u{217D9}\u{24A66}\u{203A7}\u{21424}\u{249E5}\u7448\u{24916}\u70A5\u{24976}\u9284\u73E6\u935F\u{204FE}\u9331\u{28ACE}\u{28A16}\u9386\u{28BE7}\u{255D5}\u4935\u{28A82}\u716B"],
      ["97a1", "\u{24943}\u{20CFF}\u56A4\u{2061A}\u{20BEB}\u{20CB8}\u5502\u79C4\u{217FA}\u7DFE\u{216C2}\u{24A50}\u{21852}\u452E\u9401\u370A\u{28AC0}\u{249AD}\u59B0\u{218BF}\u{21883}\u{27484}\u5AA1\u36E2\u{23D5B}\u36B0\u925F\u5A79\u{28A81}\u{21862}\u9374\u3CCD\u{20AB4}\u4A96\u398A\u50F4\u3D69\u3D4C\u{2139C}\u7175\u42FB\u{28218}\u6E0F\u{290E4}\u44EB\u6D57\u{27E4F}\u7067\u6CAF\u3CD6\u{23FED}\u{23E2D}\u6E02\u6F0C\u3D6F\u{203F5}\u7551\u36BC\u34C8\u4680\u3EDA\u4871\u59C4\u926E\u493E\u8F41\u{28C1C}\u{26BC0}\u5812\u57C8\u36D6\u{21452}\u70FE\u{24362}\u{24A71}\u{22FE3}\u{212B0}\u{223BD}\u68B9\u6967\u{21398}\u{234E5}\u{27BF4}\u{236DF}\u{28A83}\u{237D6}\u{233FA}\u{24C9F}\u6A1A\u{236AD}\u{26CB7}\u843E\u44DF\u44CE"],
      ["9840", "\u{26D26}\u{26D51}\u{26C82}\u{26FDE}\u6F17\u{27109}\u833D\u{2173A}\u83ED\u{26C80}\u{27053}\u{217DB}\u5989\u5A82\u{217B3}\u5A61\u5A71\u{21905}\u{241FC}\u372D\u59EF\u{2173C}\u36C7\u718E\u9390\u669A\u{242A5}\u5A6E\u5A2B\u{24293}\u6A2B\u{23EF9}\u{27736}\u{2445B}\u{242CA}\u711D\u{24259}\u{289E1}\u4FB0\u{26D28}\u5CC2\u{244CE}\u{27E4D}\u{243BD}\u6A0C\u{24256}\u{21304}\u70A6\u7133\u{243E9}\u3DA5\u6CDF\u{2F825}\u{24A4F}\u7E65\u59EB\u5D2F\u3DF3\u5F5C\u{24A5D}\u{217DF}\u7DA4\u8426"],
      ["98a1", "\u5485\u{23AFA}\u{23300}\u{20214}\u577E\u{208D5}\u{20619}\u3FE5\u{21F9E}\u{2A2B6}\u7003\u{2915B}\u5D70\u738F\u7CD3\u{28A59}\u{29420}\u4FC8\u7FE7\u72CD\u7310\u{27AF4}\u7338\u7339\u{256F6}\u7341\u7348\u3EA9\u{27B18}\u906C\u71F5\u{248F2}\u73E1\u81F6\u3ECA\u770C\u3ED1\u6CA2\u56FD\u7419\u741E\u741F\u3EE2\u3EF0\u3EF4\u3EFA\u74D3\u3F0E\u3F53\u7542\u756D\u7572\u758D\u3F7C\u75C8\u75DC\u3FC0\u764D\u3FD7\u7674\u3FDC\u767A\u{24F5C}\u7188\u5623\u8980\u5869\u401D\u7743\u4039\u6761\u4045\u35DB\u7798\u406A\u406F\u5C5E\u77BE\u77CB\u58F2\u7818\u70B9\u781C\u40A8\u7839\u7847\u7851\u7866\u8448\u{25535}\u7933\u6803\u7932\u4103"],
      ["9940", "\u4109\u7991\u7999\u8FBB\u7A06\u8FBC\u4167\u7A91\u41B2\u7ABC\u8279\u41C4\u7ACF\u7ADB\u41CF\u4E21\u7B62\u7B6C\u7B7B\u7C12\u7C1B\u4260\u427A\u7C7B\u7C9C\u428C\u7CB8\u4294\u7CED\u8F93\u70C0\u{20CCF}\u7DCF\u7DD4\u7DD0\u7DFD\u7FAE\u7FB4\u729F\u4397\u8020\u8025\u7B39\u802E\u8031\u8054\u3DCC\u57B4\u70A0\u80B7\u80E9\u43ED\u810C\u732A\u810E\u8112\u7560\u8114\u4401\u3B39\u8156\u8159\u815A"],
      ["99a1", "\u4413\u583A\u817C\u8184\u4425\u8193\u442D\u81A5\u57EF\u81C1\u81E4\u8254\u448F\u82A6\u8276\u82CA\u82D8\u82FF\u44B0\u8357\u9669\u698A\u8405\u70F5\u8464\u60E3\u8488\u4504\u84BE\u84E1\u84F8\u8510\u8538\u8552\u453B\u856F\u8570\u85E0\u4577\u8672\u8692\u86B2\u86EF\u9645\u878B\u4606\u4617\u88AE\u88FF\u8924\u8947\u8991\u{27967}\u8A29\u8A38\u8A94\u8AB4\u8C51\u8CD4\u8CF2\u8D1C\u4798\u585F\u8DC3\u47ED\u4EEE\u8E3A\u55D8\u5754\u8E71\u55F5\u8EB0\u4837\u8ECE\u8EE2\u8EE4\u8EED\u8EF2\u8FB7\u8FC1\u8FCA\u8FCC\u9033\u99C4\u48AD\u98E0\u9213\u491E\u9228\u9258\u926B\u92B1\u92AE\u92BF"],
      ["9a40", "\u92E3\u92EB\u92F3\u92F4\u92FD\u9343\u9384\u93AD\u4945\u4951\u9EBF\u9417\u5301\u941D\u942D\u943E\u496A\u9454\u9479\u952D\u95A2\u49A7\u95F4\u9633\u49E5\u67A0\u4A24\u9740\u4A35\u97B2\u97C2\u5654\u4AE4\u60E8\u98B9\u4B19\u98F1\u5844\u990E\u9919\u51B4\u991C\u9937\u9942\u995D\u9962\u4B70\u99C5\u4B9D\u9A3C\u9B0F\u7A83\u9B69\u9B81\u9BDD\u9BF1\u9BF4\u4C6D\u9C20\u376F\u{21BC2}\u9D49\u9C3A"],
      ["9aa1", "\u9EFE\u5650\u9D93\u9DBD\u9DC0\u9DFC\u94F6\u8FB6\u9E7B\u9EAC\u9EB1\u9EBD\u9EC6\u94DC\u9EE2\u9EF1\u9EF8\u7AC8\u9F44\u{20094}\u{202B7}\u{203A0}\u691A\u94C3\u59AC\u{204D7}\u5840\u94C1\u37B9\u{205D5}\u{20615}\u{20676}\u{216BA}\u5757\u7173\u{20AC2}\u{20ACD}\u{20BBF}\u546A\u{2F83B}\u{20BCB}\u549E\u{20BFB}\u{20C3B}\u{20C53}\u{20C65}\u{20C7C}\u60E7\u{20C8D}\u567A\u{20CB5}\u{20CDD}\u{20CED}\u{20D6F}\u{20DB2}\u{20DC8}\u6955\u9C2F\u87A5\u{20E04}\u{20E0E}\u{20ED7}\u{20F90}\u{20F2D}\u{20E73}\u5C20\u{20FBC}\u5E0B\u{2105C}\u{2104F}\u{21076}\u671E\u{2107B}\u{21088}\u{21096}\u3647\u{210BF}\u{210D3}\u{2112F}\u{2113B}\u5364\u84AD\u{212E3}\u{21375}\u{21336}\u8B81\u{21577}\u{21619}\u{217C3}\u{217C7}\u4E78\u70BB\u{2182D}\u{2196A}"],
      ["9b40", "\u{21A2D}\u{21A45}\u{21C2A}\u{21C70}\u{21CAC}\u{21EC8}\u62C3\u{21ED5}\u{21F15}\u7198\u6855\u{22045}\u69E9\u36C8\u{2227C}\u{223D7}\u{223FA}\u{2272A}\u{22871}\u{2294F}\u82FD\u{22967}\u{22993}\u{22AD5}\u89A5\u{22AE8}\u8FA0\u{22B0E}\u97B8\u{22B3F}\u9847\u9ABD\u{22C4C}"],
      ["9b62", "\u{22C88}\u{22CB7}\u{25BE8}\u{22D08}\u{22D12}\u{22DB7}\u{22D95}\u{22E42}\u{22F74}\u{22FCC}\u{23033}\u{23066}\u{2331F}\u{233DE}\u5FB1\u6648\u66BF\u{27A79}\u{23567}\u{235F3}\u7201\u{249BA}\u77D7\u{2361A}\u{23716}\u7E87\u{20346}\u58B5\u670E"],
      ["9ba1", "\u6918\u{23AA7}\u{27657}\u{25FE2}\u{23E11}\u{23EB9}\u{275FE}\u{2209A}\u48D0\u4AB8\u{24119}\u{28A9A}\u{242EE}\u{2430D}\u{2403B}\u{24334}\u{24396}\u{24A45}\u{205CA}\u51D2\u{20611}\u599F\u{21EA8}\u3BBE\u{23CFF}\u{24404}\u{244D6}\u5788\u{24674}\u399B\u{2472F}\u{285E8}\u{299C9}\u3762\u{221C3}\u8B5E\u{28B4E}\u99D6\u{24812}\u{248FB}\u{24A15}\u7209\u{24AC0}\u{20C78}\u5965\u{24EA5}\u{24F86}\u{20779}\u8EDA\u{2502C}\u528F\u573F\u7171\u{25299}\u{25419}\u{23F4A}\u{24AA7}\u55BC\u{25446}\u{2546E}\u{26B52}\u91D4\u3473\u{2553F}\u{27632}\u{2555E}\u4718\u{25562}\u{25566}\u{257C7}\u{2493F}\u{2585D}\u5066\u34FB\u{233CC}\u60DE\u{25903}\u477C\u{28948}\u{25AAE}\u{25B89}\u{25C06}\u{21D90}\u57A1\u7151\u6FB6\u{26102}\u{27C12}\u9056\u{261B2}\u{24F9A}\u8B62\u{26402}\u{2644A}"],
      ["9c40", "\u5D5B\u{26BF7}\u8F36\u{26484}\u{2191C}\u8AEA\u{249F6}\u{26488}\u{23FEF}\u{26512}\u4BC0\u{265BF}\u{266B5}\u{2271B}\u9465\u{257E1}\u6195\u5A27\u{2F8CD}\u4FBB\u56B9\u{24521}\u{266FC}\u4E6A\u{24934}\u9656\u6D8F\u{26CBD}\u3618\u8977\u{26799}\u{2686E}\u{26411}\u{2685E}\u71DF\u{268C7}\u7B42\u{290C0}\u{20A11}\u{26926}\u9104\u{26939}\u7A45\u9DF0\u{269FA}\u9A26\u{26A2D}\u365F\u{26469}\u{20021}\u7983\u{26A34}\u{26B5B}\u5D2C\u{23519}\u83CF\u{26B9D}\u46D0\u{26CA4}\u753B\u8865\u{26DAE}\u58B6"],
      ["9ca1", "\u371C\u{2258D}\u{2704B}\u{271CD}\u3C54\u{27280}\u{27285}\u9281\u{2217A}\u{2728B}\u9330\u{272E6}\u{249D0}\u6C39\u949F\u{27450}\u{20EF8}\u8827\u88F5\u{22926}\u{28473}\u{217B1}\u6EB8\u{24A2A}\u{21820}\u39A4\u36B9\u5C10\u79E3\u453F\u66B6\u{29CAD}\u{298A4}\u8943\u{277CC}\u{27858}\u56D6\u40DF\u{2160A}\u39A1\u{2372F}\u{280E8}\u{213C5}\u71AD\u8366\u{279DD}\u{291A8}\u5A67\u4CB7\u{270AF}\u{289AB}\u{279FD}\u{27A0A}\u{27B0B}\u{27D66}\u{2417A}\u7B43\u797E\u{28009}\u6FB5\u{2A2DF}\u6A03\u{28318}\u53A2\u{26E07}\u93BF\u6836\u975D\u{2816F}\u{28023}\u{269B5}\u{213ED}\u{2322F}\u{28048}\u5D85\u{28C30}\u{28083}\u5715\u9823\u{28949}\u5DAB\u{24988}\u65BE\u69D5\u53D2\u{24AA5}\u{23F81}\u3C11\u6736\u{28090}\u{280F4}\u{2812E}\u{21FA1}\u{2814F}"],
      ["9d40", "\u{28189}\u{281AF}\u{2821A}\u{28306}\u{2832F}\u{2838A}\u35CA\u{28468}\u{286AA}\u48FA\u63E6\u{28956}\u7808\u9255\u{289B8}\u43F2\u{289E7}\u43DF\u{289E8}\u{28B46}\u{28BD4}\u59F8\u{28C09}\u8F0B\u{28FC5}\u{290EC}\u7B51\u{29110}\u{2913C}\u3DF7\u{2915E}\u{24ACA}\u8FD0\u728F\u568B\u{294E7}\u{295E9}\u{295B0}\u{295B8}\u{29732}\u{298D1}\u{29949}\u{2996A}\u{299C3}\u{29A28}\u{29B0E}\u{29D5A}\u{29D9B}\u7E9F\u{29EF8}\u{29F23}\u4CA4\u9547\u{2A293}\u71A2\u{2A2FF}\u4D91\u9012\u{2A5CB}\u4D9C\u{20C9C}\u8FBE\u55C1"],
      ["9da1", "\u8FBA\u{224B0}\u8FB9\u{24A93}\u4509\u7E7F\u6F56\u6AB1\u4EEA\u34E4\u{28B2C}\u{2789D}\u373A\u8E80\u{217F5}\u{28024}\u{28B6C}\u{28B99}\u{27A3E}\u{266AF}\u3DEB\u{27655}\u{23CB7}\u{25635}\u{25956}\u4E9A\u{25E81}\u{26258}\u56BF\u{20E6D}\u8E0E\u5B6D\u{23E88}\u{24C9E}\u63DE\u62D0\u{217F6}\u{2187B}\u6530\u562D\u{25C4A}\u541A\u{25311}\u3DC6\u{29D98}\u4C7D\u5622\u561E\u7F49\u{25ED8}\u5975\u{23D40}\u8770\u4E1C\u{20FEA}\u{20D49}\u{236BA}\u8117\u9D5E\u8D18\u763B\u9C45\u764E\u77B9\u9345\u5432\u8148\u82F7\u5625\u8132\u8418\u80BD\u55EA\u7962\u5643\u5416\u{20E9D}\u35CE\u5605\u55F1\u66F1\u{282E2}\u362D\u7534\u55F0\u55BA\u5497\u5572\u{20C41}\u{20C96}\u5ED0\u{25148}\u{20E76}\u{22C62}"],
      ["9e40", "\u{20EA2}\u9EAB\u7D5A\u55DE\u{21075}\u629D\u976D\u5494\u8CCD\u71F6\u9176\u63FC\u63B9\u63FE\u5569\u{22B43}\u9C72\u{22EB3}\u519A\u34DF\u{20DA7}\u51A7\u544D\u551E\u5513\u7666\u8E2D\u{2688A}\u75B1\u80B6\u8804\u8786\u88C7\u81B6\u841C\u{210C1}\u44EC\u7304\u{24706}\u5B90\u830B\u{26893}\u567B\u{226F4}\u{27D2F}\u{241A3}\u{27D73}\u{26ED0}\u{272B6}\u9170\u{211D9}\u9208\u{23CFC}\u{2A6A9}\u{20EAC}\u{20EF9}\u7266\u{21CA2}\u474E\u{24FC2}\u{27FF9}\u{20FEB}\u40FA"],
      ["9ea1", "\u9C5D\u651F\u{22DA0}\u48F3\u{247E0}\u{29D7C}\u{20FEC}\u{20E0A}\u6062\u{275A3}\u{20FED}"],
      ["9ead", "\u{26048}\u{21187}\u71A3\u7E8E\u9D50\u4E1A\u4E04\u3577\u5B0D\u6CB2\u5367\u36AC\u39DC\u537D\u36A5\u{24618}\u589A\u{24B6E}\u822D\u544B\u57AA\u{25A95}\u{20979}"],
      ["9ec5", "\u3A52\u{22465}\u7374\u{29EAC}\u4D09\u9BED\u{23CFE}\u{29F30}\u4C5B\u{24FA9}\u{2959E}\u{29FDE}\u845C\u{23DB6}\u{272B2}\u{267B3}\u{23720}\u632E\u7D25\u{23EF7}\u{23E2C}\u3A2A\u9008\u52CC\u3E74\u367A\u45E9\u{2048E}\u7640\u5AF0\u{20EB6}\u787A\u{27F2E}\u58A7\u40BF\u567C\u9B8B\u5D74\u7654\u{2A434}\u9E85\u4CE1\u75F9\u37FB\u6119\u{230DA}\u{243F2}"],
      ["9ef5", "\u565D\u{212A9}\u57A7\u{24963}\u{29E06}\u5234\u{270AE}\u35AD\u6C4A\u9D7C"],
      ["9f40", "\u7C56\u9B39\u57DE\u{2176C}\u5C53\u64D3\u{294D0}\u{26335}\u{27164}\u86AD\u{20D28}\u{26D22}\u{24AE2}\u{20D71}"],
      ["9f4f", "\u51FE\u{21F0F}\u5D8E\u9703\u{21DD1}\u9E81\u904C\u7B1F\u9B02\u5CD1\u7BA3\u6268\u6335\u9AFF\u7BCF\u9B2A\u7C7E\u9B2E\u7C42\u7C86\u9C15\u7BFC\u9B09\u9F17\u9C1B\u{2493E}\u9F5A\u5573\u5BC3\u4FFD\u9E98\u4FF2\u5260\u3E06\u52D1\u5767\u5056\u59B7\u5E12\u97C8\u9DAB\u8F5C\u5469\u97B4\u9940\u97BA\u532C\u6130"],
      ["9fa1", "\u692C\u53DA\u9C0A\u9D02\u4C3B\u9641\u6980\u50A6\u7546\u{2176D}\u99DA\u5273"],
      ["9fae", "\u9159\u9681\u915C"],
      ["9fb2", "\u9151\u{28E97}\u637F\u{26D23}\u6ACA\u5611\u918E\u757A\u6285\u{203FC}\u734F\u7C70\u{25C21}\u{23CFD}"],
      ["9fc1", "\u{24919}\u76D6\u9B9D\u4E2A\u{20CD4}\u83BE\u8842"],
      ["9fc9", "\u5C4A\u69C0\u50ED\u577A\u521F\u5DF5\u4ECE\u6C31\u{201F2}\u4F39\u549C\u54DA\u529A\u8D82\u35FE\u5F0C\u35F3"],
      ["9fdb", "\u6B52\u917C\u9FA5\u9B97\u982E\u98B4\u9ABA\u9EA8\u9E84\u717A\u7B14"],
      ["9fe7", "\u6BFA\u8818\u7F78"],
      ["9feb", "\u5620\u{2A64A}\u8E77\u9F53"],
      ["9ff0", "\u8DD4\u8E4F\u9E1C\u8E01\u6282\u{2837D}\u8E28\u8E75\u7AD3\u{24A77}\u7A3E\u78D8\u6CEA\u8A67\u7607"],
      ["a040", "\u{28A5A}\u9F26\u6CCE\u87D6\u75C3\u{2A2B2}\u7853\u{2F840}\u8D0C\u72E2\u7371\u8B2D\u7302\u74F1\u8CEB\u{24ABB}\u862F\u5FBA\u88A0\u44B7"],
      ["a055", "\u{2183B}\u{26E05}"],
      ["a058", "\u8A7E\u{2251B}"],
      ["a05b", "\u60FD\u7667\u9AD7\u9D44\u936E\u9B8F\u87F5"],
      ["a063", "\u880F\u8CF7\u732C\u9721\u9BB0\u35D6\u72B2\u4C07\u7C51\u994A\u{26159}\u6159\u4C04\u9E96\u617D"],
      ["a073", "\u575F\u616F\u62A6\u6239\u62CE\u3A5C\u61E2\u53AA\u{233F5}\u6364\u6802\u35D2"],
      ["a0a1", "\u5D57\u{28BC2}\u8FDA\u{28E39}"],
      ["a0a6", "\u50D9\u{21D46}\u7906\u5332\u9638\u{20F3B}\u4065"],
      ["a0ae", "\u77FE"],
      ["a0b0", "\u7CC2\u{25F1A}\u7CDA\u7A2D\u8066\u8063\u7D4D\u7505\u74F2\u8994\u821A\u670C\u8062\u{27486}\u805B\u74F0\u8103\u7724\u8989\u{267CC}\u7553\u{26ED1}\u87A9\u87CE\u81C8\u878C\u8A49\u8CAD\u8B43\u772B\u74F8\u84DA\u3635\u69B2\u8DA6"],
      ["a0d4", "\u89A9\u7468\u6DB9\u87C1\u{24011}\u74E7\u3DDB\u7176\u60A4\u619C\u3CD1\u7162\u6077"],
      ["a0e2", "\u7F71\u{28B2D}\u7250\u60E9\u4B7E\u5220\u3C18\u{23CC7}\u{25ED7}\u{27656}\u{25531}\u{21944}\u{212FE}\u{29903}\u{26DDC}\u{270AD}\u5CC1\u{261AD}\u{28A0F}\u{23677}\u{200EE}\u{26846}\u{24F0E}\u4562\u5B1F\u{2634C}\u9F50\u9EA6\u{2626B}"],
      ["a3c0", "\u2400", 31, "\u2421"],
      ["c6a1", "\u2460", 9, "\u2474", 9, "\u2170", 9, "\u4E36\u4E3F\u4E85\u4EA0\u5182\u5196\u51AB\u52F9\u5338\u5369\u53B6\u590A\u5B80\u5DDB\u2F33\u5E7F\u5EF4\u5F50\u5F61\u6534\u65E0\u7592\u7676\u8FB5\u96B6\xA8\u02C6\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\uFF3B\uFF3D\u273D\u3041", 23],
      ["c740", "\u3059", 58, "\u30A1\u30A2\u30A3\u30A4"],
      ["c7a1", "\u30A5", 81, "\u0410", 5, "\u0401\u0416", 4],
      ["c840", "\u041B", 26, "\u0451\u0436", 25, "\u21E7\u21B8\u21B9\u31CF\u{200CC}\u4E5A\u{2008A}\u5202\u4491"],
      ["c8a1", "\u9FB0\u5188\u9FB1\u{27607}"],
      ["c8cd", "\uFFE2\uFFE4\uFF07\uFF02\u3231\u2116\u2121\u309B\u309C\u2E80\u2E84\u2E86\u2E87\u2E88\u2E8A\u2E8C\u2E8D\u2E95\u2E9C\u2E9D\u2EA5\u2EA7\u2EAA\u2EAC\u2EAE\u2EB6\u2EBC\u2EBE\u2EC6\u2ECA\u2ECC\u2ECD\u2ECF\u2ED6\u2ED7\u2EDE\u2EE3"],
      ["c8f5", "\u0283\u0250\u025B\u0254\u0275\u0153\xF8\u014B\u028A\u026A"],
      ["f9fe", "\uFFED"],
      ["fa40", "\u{20547}\u92DB\u{205DF}\u{23FC5}\u854C\u42B5\u73EF\u51B5\u3649\u{24942}\u{289E4}\u9344\u{219DB}\u82EE\u{23CC8}\u783C\u6744\u62DF\u{24933}\u{289AA}\u{202A0}\u{26BB3}\u{21305}\u4FAB\u{224ED}\u5008\u{26D29}\u{27A84}\u{23600}\u{24AB1}\u{22513}\u5029\u{2037E}\u5FA4\u{20380}\u{20347}\u6EDB\u{2041F}\u507D\u5101\u347A\u510E\u986C\u3743\u8416\u{249A4}\u{20487}\u5160\u{233B4}\u516A\u{20BFF}\u{220FC}\u{202E5}\u{22530}\u{2058E}\u{23233}\u{21983}\u5B82\u877D\u{205B3}\u{23C99}\u51B2\u51B8"],
      ["faa1", "\u9D34\u51C9\u51CF\u51D1\u3CDC\u51D3\u{24AA6}\u51B3\u51E2\u5342\u51ED\u83CD\u693E\u{2372D}\u5F7B\u520B\u5226\u523C\u52B5\u5257\u5294\u52B9\u52C5\u7C15\u8542\u52E0\u860D\u{26B13}\u5305\u{28ADE}\u5549\u6ED9\u{23F80}\u{20954}\u{23FEC}\u5333\u5344\u{20BE2}\u6CCB\u{21726}\u681B\u73D5\u604A\u3EAA\u38CC\u{216E8}\u71DD\u44A2\u536D\u5374\u{286AB}\u537E\u537F\u{21596}\u{21613}\u77E6\u5393\u{28A9B}\u53A0\u53AB\u53AE\u73A7\u{25772}\u3F59\u739C\u53C1\u53C5\u6C49\u4E49\u57FE\u53D9\u3AAB\u{20B8F}\u53E0\u{23FEB}\u{22DA3}\u53F6\u{20C77}\u5413\u7079\u552B\u6657\u6D5B\u546D\u{26B53}\u{20D74}\u555D\u548F\u54A4\u47A6\u{2170D}\u{20EDD}\u3DB4\u{20D4D}"],
      ["fb40", "\u{289BC}\u{22698}\u5547\u4CED\u542F\u7417\u5586\u55A9\u5605\u{218D7}\u{2403A}\u4552\u{24435}\u66B3\u{210B4}\u5637\u66CD\u{2328A}\u66A4\u66AD\u564D\u564F\u78F1\u56F1\u9787\u53FE\u5700\u56EF\u56ED\u{28B66}\u3623\u{2124F}\u5746\u{241A5}\u6C6E\u708B\u5742\u36B1\u{26C7E}\u57E6\u{21416}\u5803\u{21454}\u{24363}\u5826\u{24BF5}\u585C\u58AA\u3561\u58E0\u58DC\u{2123C}\u58FB\u5BFF\u5743\u{2A150}\u{24278}\u93D3\u35A1\u591F\u68A6\u36C3\u6E59"],
      ["fba1", "\u{2163E}\u5A24\u5553\u{21692}\u8505\u59C9\u{20D4E}\u{26C81}\u{26D2A}\u{217DC}\u59D9\u{217FB}\u{217B2}\u{26DA6}\u6D71\u{21828}\u{216D5}\u59F9\u{26E45}\u5AAB\u5A63\u36E6\u{249A9}\u5A77\u3708\u5A96\u7465\u5AD3\u{26FA1}\u{22554}\u3D85\u{21911}\u3732\u{216B8}\u5E83\u52D0\u5B76\u6588\u5B7C\u{27A0E}\u4004\u485D\u{20204}\u5BD5\u6160\u{21A34}\u{259CC}\u{205A5}\u5BF3\u5B9D\u4D10\u5C05\u{21B44}\u5C13\u73CE\u5C14\u{21CA5}\u{26B28}\u5C49\u48DD\u5C85\u5CE9\u5CEF\u5D8B\u{21DF9}\u{21E37}\u5D10\u5D18\u5D46\u{21EA4}\u5CBA\u5DD7\u82FC\u382D\u{24901}\u{22049}\u{22173}\u8287\u3836\u3BC2\u5E2E\u6A8A\u5E75\u5E7A\u{244BC}\u{20CD3}\u53A6\u4EB7\u5ED0\u53A8\u{21771}\u5E09\u5EF4\u{28482}"],
      ["fc40", "\u5EF9\u5EFB\u38A0\u5EFC\u683E\u941B\u5F0D\u{201C1}\u{2F894}\u3ADE\u48AE\u{2133A}\u5F3A\u{26888}\u{223D0}\u5F58\u{22471}\u5F63\u97BD\u{26E6E}\u5F72\u9340\u{28A36}\u5FA7\u5DB6\u3D5F\u{25250}\u{21F6A}\u{270F8}\u{22668}\u91D6\u{2029E}\u{28A29}\u6031\u6685\u{21877}\u3963\u3DC7\u3639\u5790\u{227B4}\u7971\u3E40\u609E\u60A4\u60B3\u{24982}\u{2498F}\u{27A53}\u74A4\u50E1\u5AA0\u6164\u8424\u6142\u{2F8A6}\u{26ED2}\u6181\u51F4\u{20656}\u6187\u5BAA\u{23FB7}"],
      ["fca1", "\u{2285F}\u61D3\u{28B9D}\u{2995D}\u61D0\u3932\u{22980}\u{228C1}\u6023\u615C\u651E\u638B\u{20118}\u62C5\u{21770}\u62D5\u{22E0D}\u636C\u{249DF}\u3A17\u6438\u63F8\u{2138E}\u{217FC}\u6490\u6F8A\u{22E36}\u9814\u{2408C}\u{2571D}\u64E1\u64E5\u947B\u3A66\u643A\u3A57\u654D\u6F16\u{24A28}\u{24A23}\u6585\u656D\u655F\u{2307E}\u65B5\u{24940}\u4B37\u65D1\u40D8\u{21829}\u65E0\u65E3\u5FDF\u{23400}\u6618\u{231F7}\u{231F8}\u6644\u{231A4}\u{231A5}\u664B\u{20E75}\u6667\u{251E6}\u6673\u6674\u{21E3D}\u{23231}\u{285F4}\u{231C8}\u{25313}\u77C5\u{228F7}\u99A4\u6702\u{2439C}\u{24A21}\u3B2B\u69FA\u{237C2}\u675E\u6767\u6762\u{241CD}\u{290ED}\u67D7\u44E9\u6822\u6E50\u923C\u6801\u{233E6}\u{26DA0}\u685D"],
      ["fd40", "\u{2346F}\u69E1\u6A0B\u{28ADF}\u6973\u68C3\u{235CD}\u6901\u6900\u3D32\u3A01\u{2363C}\u3B80\u67AC\u6961\u{28A4A}\u42FC\u6936\u6998\u3BA1\u{203C9}\u8363\u5090\u69F9\u{23659}\u{2212A}\u6A45\u{23703}\u6A9D\u3BF3\u67B1\u6AC8\u{2919C}\u3C0D\u6B1D\u{20923}\u60DE\u6B35\u6B74\u{227CD}\u6EB5\u{23ADB}\u{203B5}\u{21958}\u3740\u5421\u{23B5A}\u6BE1\u{23EFC}\u6BDC\u6C37\u{2248B}\u{248F1}\u{26B51}\u6C5A\u8226\u6C79\u{23DBC}\u44C5\u{23DBD}\u{241A4}\u{2490C}\u{24900}"],
      ["fda1", "\u{23CC9}\u36E5\u3CEB\u{20D32}\u9B83\u{231F9}\u{22491}\u7F8F\u6837\u{26D25}\u{26DA1}\u{26DEB}\u6D96\u6D5C\u6E7C\u6F04\u{2497F}\u{24085}\u{26E72}\u8533\u{26F74}\u51C7\u6C9C\u6E1D\u842E\u{28B21}\u6E2F\u{23E2F}\u7453\u{23F82}\u79CC\u6E4F\u5A91\u{2304B}\u6FF8\u370D\u6F9D\u{23E30}\u6EFA\u{21497}\u{2403D}\u4555\u93F0\u6F44\u6F5C\u3D4E\u6F74\u{29170}\u3D3B\u6F9F\u{24144}\u6FD3\u{24091}\u{24155}\u{24039}\u{23FF0}\u{23FB4}\u{2413F}\u51DF\u{24156}\u{24157}\u{24140}\u{261DD}\u704B\u707E\u70A7\u7081\u70CC\u70D5\u70D6\u70DF\u4104\u3DE8\u71B4\u7196\u{24277}\u712B\u7145\u5A88\u714A\u716E\u5C9C\u{24365}\u714F\u9362\u{242C1}\u712C\u{2445A}\u{24A27}\u{24A22}\u71BA\u{28BE8}\u70BD\u720E"],
      ["fe40", "\u9442\u7215\u5911\u9443\u7224\u9341\u{25605}\u722E\u7240\u{24974}\u68BD\u7255\u7257\u3E55\u{23044}\u680D\u6F3D\u7282\u732A\u732B\u{24823}\u{2882B}\u48ED\u{28804}\u7328\u732E\u73CF\u73AA\u{20C3A}\u{26A2E}\u73C9\u7449\u{241E2}\u{216E7}\u{24A24}\u6623\u36C5\u{249B7}\u{2498D}\u{249FB}\u73F7\u7415\u6903\u{24A26}\u7439\u{205C3}\u3ED7\u745C\u{228AD}\u7460\u{28EB2}\u7447\u73E4\u7476\u83B9\u746C\u3730\u7474\u93F1\u6A2C\u7482\u4953\u{24A8C}"],
      ["fea1", "\u{2415F}\u{24A79}\u{28B8F}\u5B46\u{28C03}\u{2189E}\u74C8\u{21988}\u750E\u74E9\u751E\u{28ED9}\u{21A4B}\u5BD7\u{28EAC}\u9385\u754D\u754A\u7567\u756E\u{24F82}\u3F04\u{24D13}\u758E\u745D\u759E\u75B4\u7602\u762C\u7651\u764F\u766F\u7676\u{263F5}\u7690\u81EF\u37F8\u{26911}\u{2690E}\u76A1\u76A5\u76B7\u76CC\u{26F9F}\u8462\u{2509D}\u{2517D}\u{21E1C}\u771E\u7726\u7740\u64AF\u{25220}\u7758\u{232AC}\u77AF\u{28964}\u{28968}\u{216C1}\u77F4\u7809\u{21376}\u{24A12}\u68CA\u78AF\u78C7\u78D3\u96A5\u792E\u{255E0}\u78D7\u7934\u78B1\u{2760C}\u8FB8\u8884\u{28B2B}\u{26083}\u{2261C}\u7986\u8900\u6902\u7980\u{25857}\u799D\u{27B39}\u793C\u79A9\u6E2A\u{27126}\u3EA8\u79C6\u{2910D}\u79D4"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/dbcs-data.js
var require_dbcs_data = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/dbcs-data.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      // == Japanese/ShiftJIS ====================================================
      // All japanese encodings are based on JIS X set of standards:
      // JIS X 0201 - Single-byte encoding of ASCII + ¥ + Kana chars at 0xA1-0xDF.
      // JIS X 0208 - Main set of 6879 characters, placed in 94x94 plane, to be encoded by 2 bytes. 
      //              Has several variations in 1978, 1983, 1990 and 1997.
      // JIS X 0212 - Supplementary plane of 6067 chars in 94x94 plane. 1990. Effectively dead.
      // JIS X 0213 - Extension and modern replacement of 0208 and 0212. Total chars: 11233.
      //              2 planes, first is superset of 0208, second - revised 0212.
      //              Introduced in 2000, revised 2004. Some characters are in Unicode Plane 2 (0x2xxxx)
      // Byte encodings are:
      //  * Shift_JIS: Compatible with 0201, uses not defined chars in top half as lead bytes for double-byte
      //               encoding of 0208. Lead byte ranges: 0x81-0x9F, 0xE0-0xEF; Trail byte ranges: 0x40-0x7E, 0x80-0x9E, 0x9F-0xFC.
      //               Windows CP932 is a superset of Shift_JIS. Some companies added more chars, notably KDDI.
      //  * EUC-JP:    Up to 3 bytes per character. Used mostly on *nixes.
      //               0x00-0x7F       - lower part of 0201
      //               0x8E, 0xA1-0xDF - upper part of 0201
      //               (0xA1-0xFE)x2   - 0208 plane (94x94).
      //               0x8F, (0xA1-0xFE)x2 - 0212 plane (94x94).
      //  * JIS X 208: 7-bit, direct encoding of 0208. Byte ranges: 0x21-0x7E (94 values). Uncommon.
      //               Used as-is in ISO2022 family.
      //  * ISO2022-JP: Stateful encoding, with escape sequences to switch between ASCII, 
      //                0201-1976 Roman, 0208-1978, 0208-1983.
      //  * ISO2022-JP-1: Adds esc seq for 0212-1990.
      //  * ISO2022-JP-2: Adds esc seq for GB2313-1980, KSX1001-1992, ISO8859-1, ISO8859-7.
      //  * ISO2022-JP-3: Adds esc seq for 0201-1976 Kana set, 0213-2000 Planes 1, 2.
      //  * ISO2022-JP-2004: Adds 0213-2004 Plane 1.
      //
      // After JIS X 0213 appeared, Shift_JIS-2004, EUC-JISX0213 and ISO2022-JP-2004 followed, with just changing the planes.
      //
      // Overall, it seems that it's a mess :( http://www8.plala.or.jp/tkubota1/unicode-symbols-map2.html
      "shiftjis": {
        type: "_dbcs",
        table: function() {
          return require_shiftjis();
        },
        encodeAdd: { "\xA5": 92, "\u203E": 126 },
        encodeSkipVals: [{ from: 60736, to: 63808 }]
      },
      "csshiftjis": "shiftjis",
      "mskanji": "shiftjis",
      "sjis": "shiftjis",
      "windows31j": "shiftjis",
      "ms31j": "shiftjis",
      "xsjis": "shiftjis",
      "windows932": "shiftjis",
      "ms932": "shiftjis",
      "932": "shiftjis",
      "cp932": "shiftjis",
      "eucjp": {
        type: "_dbcs",
        table: function() {
          return require_eucjp();
        },
        encodeAdd: { "\xA5": 92, "\u203E": 126 }
      },
      // TODO: KDDI extension to Shift_JIS
      // TODO: IBM CCSID 942 = CP932, but F0-F9 custom chars and other char changes.
      // TODO: IBM CCSID 943 = Shift_JIS = CP932 with original Shift_JIS lower 128 chars.
      // == Chinese/GBK ==========================================================
      // http://en.wikipedia.org/wiki/GBK
      // We mostly implement W3C recommendation: https://www.w3.org/TR/encoding/#gbk-encoder
      // Oldest GB2312 (1981, ~7600 chars) is a subset of CP936
      "gb2312": "cp936",
      "gb231280": "cp936",
      "gb23121980": "cp936",
      "csgb2312": "cp936",
      "csiso58gb231280": "cp936",
      "euccn": "cp936",
      // Microsoft's CP936 is a subset and approximation of GBK.
      "windows936": "cp936",
      "ms936": "cp936",
      "936": "cp936",
      "cp936": {
        type: "_dbcs",
        table: function() {
          return require_cp936();
        }
      },
      // GBK (~22000 chars) is an extension of CP936 that added user-mapped chars and some other.
      "gbk": {
        type: "_dbcs",
        table: function() {
          return require_cp936().concat(require_gbk_added());
        }
      },
      "xgbk": "gbk",
      "isoir58": "gbk",
      // GB18030 is an algorithmic extension of GBK.
      // Main source: https://www.w3.org/TR/encoding/#gbk-encoder
      // http://icu-project.org/docs/papers/gb18030.html
      // http://source.icu-project.org/repos/icu/data/trunk/charset/data/xml/gb-18030-2000.xml
      // http://www.khngai.com/chinese/charmap/tblgbk.php?page=0
      "gb18030": {
        type: "_dbcs",
        table: function() {
          return require_cp936().concat(require_gbk_added());
        },
        gb18030: function() {
          return require_gb18030_ranges();
        },
        encodeSkipVals: [128],
        encodeAdd: { "\u20AC": 41699 }
      },
      "chinese": "gb18030",
      // == Korean ===============================================================
      // EUC-KR, KS_C_5601 and KS X 1001 are exactly the same.
      "windows949": "cp949",
      "ms949": "cp949",
      "949": "cp949",
      "cp949": {
        type: "_dbcs",
        table: function() {
          return require_cp949();
        }
      },
      "cseuckr": "cp949",
      "csksc56011987": "cp949",
      "euckr": "cp949",
      "isoir149": "cp949",
      "korean": "cp949",
      "ksc56011987": "cp949",
      "ksc56011989": "cp949",
      "ksc5601": "cp949",
      // == Big5/Taiwan/Hong Kong ================================================
      // There are lots of tables for Big5 and cp950. Please see the following links for history:
      // http://moztw.org/docs/big5/  http://www.haible.de/bruno/charsets/conversion-tables/Big5.html
      // Variations, in roughly number of defined chars:
      //  * Windows CP 950: Microsoft variant of Big5. Canonical: http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP950.TXT
      //  * Windows CP 951: Microsoft variant of Big5-HKSCS-2001. Seems to be never public. http://me.abelcheung.org/articles/research/what-is-cp951/
      //  * Big5-2003 (Taiwan standard) almost superset of cp950.
      //  * Unicode-at-on (UAO) / Mozilla 1.8. Falling out of use on the Web. Not supported by other browsers.
      //  * Big5-HKSCS (-2001, -2004, -2008). Hong Kong standard. 
      //    many unicode code points moved from PUA to Supplementary plane (U+2XXXX) over the years.
      //    Plus, it has 4 combining sequences.
      //    Seems that Mozilla refused to support it for 10 yrs. https://bugzilla.mozilla.org/show_bug.cgi?id=162431 https://bugzilla.mozilla.org/show_bug.cgi?id=310299
      //    because big5-hkscs is the only encoding to include astral characters in non-algorithmic way.
      //    Implementations are not consistent within browsers; sometimes labeled as just big5.
      //    MS Internet Explorer switches from big5 to big5-hkscs when a patch applied.
      //    Great discussion & recap of what's going on https://bugzilla.mozilla.org/show_bug.cgi?id=912470#c31
      //    In the encoder, it might make sense to support encoding old PUA mappings to Big5 bytes seq-s.
      //    Official spec: http://www.ogcio.gov.hk/en/business/tech_promotion/ccli/terms/doc/2003cmp_2008.txt
      //                   http://www.ogcio.gov.hk/tc/business/tech_promotion/ccli/terms/doc/hkscs-2008-big5-iso.txt
      // 
      // Current understanding of how to deal with Big5(-HKSCS) is in the Encoding Standard, http://encoding.spec.whatwg.org/#big5-encoder
      // Unicode mapping (http://www.unicode.org/Public/MAPPINGS/OBSOLETE/EASTASIA/OTHER/BIG5.TXT) is said to be wrong.
      "windows950": "cp950",
      "ms950": "cp950",
      "950": "cp950",
      "cp950": {
        type: "_dbcs",
        table: function() {
          return require_cp950();
        }
      },
      // Big5 has many variations and is an extension of cp950. We use Encoding Standard's as a consensus.
      "big5": "big5hkscs",
      "big5hkscs": {
        type: "_dbcs",
        table: function() {
          return require_cp950().concat(require_big5_added());
        },
        encodeSkipVals: [
          // Although Encoding Standard says we should avoid encoding to HKSCS area (See Step 1 of
          // https://encoding.spec.whatwg.org/#index-big5-pointer), we still do it to increase compatibility with ICU.
          // But if a single unicode point can be encoded both as HKSCS and regular Big5, we prefer the latter.
          36457,
          36463,
          36478,
          36523,
          36532,
          36557,
          36560,
          36695,
          36713,
          36718,
          36811,
          36862,
          36973,
          36986,
          37060,
          37084,
          37105,
          37311,
          37551,
          37552,
          37553,
          37554,
          37585,
          37959,
          38090,
          38361,
          38652,
          39285,
          39798,
          39800,
          39803,
          39878,
          39902,
          39916,
          39926,
          40002,
          40019,
          40034,
          40040,
          40043,
          40055,
          40124,
          40125,
          40144,
          40279,
          40282,
          40388,
          40431,
          40443,
          40617,
          40687,
          40701,
          40800,
          40907,
          41079,
          41180,
          41183,
          36812,
          37576,
          38468,
          38637,
          // Step 2 of https://encoding.spec.whatwg.org/#index-big5-pointer: Use last pointer for U+2550, U+255E, U+2561, U+256A, U+5341, or U+5345
          41636,
          41637,
          41639,
          41638,
          41676,
          41678
        ]
      },
      "cnbig5": "big5hkscs",
      "csbig5": "big5hkscs",
      "xxbig5": "big5hkscs"
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/index.js
var require_encodings = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/encodings/index.js"(exports2, module2) {
    "use strict";
    var modules = [
      require_internal2(),
      require_utf32(),
      require_utf16(),
      require_utf7(),
      require_sbcs_codec(),
      require_sbcs_data(),
      require_sbcs_data_generated(),
      require_dbcs_codec(),
      require_dbcs_data()
    ];
    for (i4 = 0; i4 < modules.length; i4++) {
      module2 = modules[i4];
      for (enc in module2)
        if (Object.prototype.hasOwnProperty.call(module2, enc))
          exports2[enc] = module2[enc];
    }
    var module2;
    var enc;
    var i4;
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/lib/streams.js
var require_streams2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/lib/streams.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    module2.exports = function(stream_module) {
      var Transform = stream_module.Transform;
      function IconvLiteEncoderStream(conv, options2) {
        this.conv = conv;
        options2 = options2 || {};
        options2.decodeStrings = false;
        Transform.call(this, options2);
      }
      IconvLiteEncoderStream.prototype = Object.create(Transform.prototype, {
        constructor: { value: IconvLiteEncoderStream }
      });
      IconvLiteEncoderStream.prototype._transform = function(chunk, encoding, done) {
        if (typeof chunk != "string")
          return done(new Error("Iconv encoding stream needs strings as its input."));
        try {
          var res = this.conv.write(chunk);
          if (res && res.length)
            this.push(res);
          done();
        } catch (e3) {
          done(e3);
        }
      };
      IconvLiteEncoderStream.prototype._flush = function(done) {
        try {
          var res = this.conv.end();
          if (res && res.length)
            this.push(res);
          done();
        } catch (e3) {
          done(e3);
        }
      };
      IconvLiteEncoderStream.prototype.collect = function(cb2) {
        var chunks = [];
        this.on("error", cb2);
        this.on("data", function(chunk) {
          chunks.push(chunk);
        });
        this.on("end", function() {
          cb2(null, Buffer2.concat(chunks));
        });
        return this;
      };
      function IconvLiteDecoderStream(conv, options2) {
        this.conv = conv;
        options2 = options2 || {};
        options2.encoding = this.encoding = "utf8";
        Transform.call(this, options2);
      }
      IconvLiteDecoderStream.prototype = Object.create(Transform.prototype, {
        constructor: { value: IconvLiteDecoderStream }
      });
      IconvLiteDecoderStream.prototype._transform = function(chunk, encoding, done) {
        if (!Buffer2.isBuffer(chunk) && !(chunk instanceof Uint8Array))
          return done(new Error("Iconv decoding stream needs buffers as its input."));
        try {
          var res = this.conv.write(chunk);
          if (res && res.length)
            this.push(res, this.encoding);
          done();
        } catch (e3) {
          done(e3);
        }
      };
      IconvLiteDecoderStream.prototype._flush = function(done) {
        try {
          var res = this.conv.end();
          if (res && res.length)
            this.push(res, this.encoding);
          done();
        } catch (e3) {
          done(e3);
        }
      };
      IconvLiteDecoderStream.prototype.collect = function(cb2) {
        var res = "";
        this.on("error", cb2);
        this.on("data", function(chunk) {
          res += chunk;
        });
        this.on("end", function() {
          cb2(null, res);
        });
        return this;
      };
      return {
        IconvLiteEncoderStream,
        IconvLiteDecoderStream
      };
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/lib/index.js
var require_lib5 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.6.3/node_modules/iconv-lite/lib/index.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    var bomHandling = require_bom_handling();
    var iconv = module2.exports;
    iconv.encodings = null;
    iconv.defaultCharUnicode = "\uFFFD";
    iconv.defaultCharSingleByte = "?";
    iconv.encode = function encode(str, encoding, options2) {
      str = "" + (str || "");
      var encoder = iconv.getEncoder(encoding, options2);
      var res = encoder.write(str);
      var trail = encoder.end();
      return trail && trail.length > 0 ? Buffer2.concat([res, trail]) : res;
    };
    iconv.decode = function decode(buf, encoding, options2) {
      if (typeof buf === "string") {
        if (!iconv.skipDecodeWarning) {
          console.error("Iconv-lite warning: decode()-ing strings is deprecated. Refer to https://github.com/ashtuchkin/iconv-lite/wiki/Use-Buffers-when-decoding");
          iconv.skipDecodeWarning = true;
        }
        buf = Buffer2.from("" + (buf || ""), "binary");
      }
      var decoder = iconv.getDecoder(encoding, options2);
      var res = decoder.write(buf);
      var trail = decoder.end();
      return trail ? res + trail : res;
    };
    iconv.encodingExists = function encodingExists(enc) {
      try {
        iconv.getCodec(enc);
        return true;
      } catch (e3) {
        return false;
      }
    };
    iconv.toEncoding = iconv.encode;
    iconv.fromEncoding = iconv.decode;
    iconv._codecDataCache = {};
    iconv.getCodec = function getCodec(encoding) {
      if (!iconv.encodings)
        iconv.encodings = require_encodings();
      var enc = iconv._canonicalizeEncoding(encoding);
      var codecOptions = {};
      while (true) {
        var codec = iconv._codecDataCache[enc];
        if (codec)
          return codec;
        var codecDef = iconv.encodings[enc];
        switch (typeof codecDef) {
          case "string":
            enc = codecDef;
            break;
          case "object":
            for (var key in codecDef)
              codecOptions[key] = codecDef[key];
            if (!codecOptions.encodingName)
              codecOptions.encodingName = enc;
            enc = codecDef.type;
            break;
          case "function":
            if (!codecOptions.encodingName)
              codecOptions.encodingName = enc;
            codec = new codecDef(codecOptions, iconv);
            iconv._codecDataCache[codecOptions.encodingName] = codec;
            return codec;
          default:
            throw new Error("Encoding not recognized: '" + encoding + "' (searched as: '" + enc + "')");
        }
      }
    };
    iconv._canonicalizeEncoding = function(encoding) {
      return ("" + encoding).toLowerCase().replace(/:\d{4}$|[^0-9a-z]/g, "");
    };
    iconv.getEncoder = function getEncoder(encoding, options2) {
      var codec = iconv.getCodec(encoding), encoder = new codec.encoder(options2, codec);
      if (codec.bomAware && options2 && options2.addBOM)
        encoder = new bomHandling.PrependBOM(encoder, options2);
      return encoder;
    };
    iconv.getDecoder = function getDecoder(encoding, options2) {
      var codec = iconv.getCodec(encoding), decoder = new codec.decoder(options2, codec);
      if (codec.bomAware && !(options2 && options2.stripBOM === false))
        decoder = new bomHandling.StripBOM(decoder, options2);
      return decoder;
    };
    iconv.enableStreamingAPI = function enableStreamingAPI(stream_module2) {
      if (iconv.supportsStreams)
        return;
      var streams = require_streams2()(stream_module2);
      iconv.IconvLiteEncoderStream = streams.IconvLiteEncoderStream;
      iconv.IconvLiteDecoderStream = streams.IconvLiteDecoderStream;
      iconv.encodeStream = function encodeStream(encoding, options2) {
        return new iconv.IconvLiteEncoderStream(iconv.getEncoder(encoding, options2), options2);
      };
      iconv.decodeStream = function decodeStream(encoding, options2) {
        return new iconv.IconvLiteDecoderStream(iconv.getDecoder(encoding, options2), options2);
      };
      iconv.supportsStreams = true;
    };
    var stream_module;
    try {
      stream_module = require("stream");
    } catch (e3) {
    }
    if (stream_module && stream_module.Transform) {
      iconv.enableStreamingAPI(stream_module);
    } else {
      iconv.encodeStream = iconv.decodeStream = function() {
        throw new Error("iconv-lite Streaming API is not enabled. Use iconv.enableStreamingAPI(require('stream')); to enable it.");
      };
    }
    if (false) {
      console.error("iconv-lite warning: js files use non-utf8 encoding. See https://github.com/ashtuchkin/iconv-lite/wiki/Javascript-source-file-encodings for more info.");
    }
  }
});

// ../../node_modules/.pnpm/encoding@0.1.13/node_modules/encoding/lib/encoding.js
var require_encoding = __commonJS({
  "../../node_modules/.pnpm/encoding@0.1.13/node_modules/encoding/lib/encoding.js"(exports2, module2) {
    "use strict";
    var iconvLite = require_lib5();
    module2.exports.convert = convert2;
    function convert2(str, to2, from) {
      from = checkEncoding(from || "UTF-8");
      to2 = checkEncoding(to2 || "UTF-8");
      str = str || "";
      var result;
      if (from !== "UTF-8" && typeof str === "string") {
        str = Buffer.from(str, "binary");
      }
      if (from === to2) {
        if (typeof str === "string") {
          result = Buffer.from(str);
        } else {
          result = str;
        }
      } else {
        try {
          result = convertIconvLite(str, to2, from);
        } catch (E2) {
          console.error(E2);
          result = str;
        }
      }
      if (typeof result === "string") {
        result = Buffer.from(result, "utf-8");
      }
      return result;
    }
    function convertIconvLite(str, to2, from) {
      if (to2 === "UTF-8") {
        return iconvLite.decode(str, from);
      } else if (from === "UTF-8") {
        return iconvLite.encode(str, to2);
      } else {
        return iconvLite.encode(iconvLite.decode(str, from), to2);
      }
    }
    function checkEncoding(name) {
      return (name || "").toString().trim().replace(/^latin[\-_]?(\d+)$/i, "ISO-8859-$1").replace(/^win(?:dows)?[\-_]?(\d+)$/i, "WINDOWS-$1").replace(/^utf[\-_]?(\d+)$/i, "UTF-$1").replace(/^ks_c_5601\-1987$/i, "CP949").replace(/^us[\-_]?ascii$/i, "ASCII").toUpperCase();
    }
  }
});

// ../../node_modules/.pnpm/node-fetch@2.6.12_patch_hash=d2f4ywbzdgzmypej5sz7qs7qpy/node_modules/node-fetch/lib/index.mjs
function FetchError(message2, type, systemError) {
  Error.call(this, message2);
  this.message = message2;
  this.type = type;
  if (systemError) {
    this.code = this.errno = systemError.code;
  }
  Error.captureStackTrace(this, this.constructor);
}
function Body(body) {
  var _this = this;
  var _ref = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, _ref$size = _ref.size;
  let size = _ref$size === void 0 ? 0 : _ref$size;
  var _ref$timeout = _ref.timeout;
  let timeout2 = _ref$timeout === void 0 ? 0 : _ref$timeout;
  if (body == null) {
    body = null;
  } else if (isURLSearchParams(body)) {
    body = Buffer.from(body.toString());
  } else if (isBlob(body))
    ;
  else if (Buffer.isBuffer(body))
    ;
  else if (Object.prototype.toString.call(body) === "[object ArrayBuffer]") {
    body = Buffer.from(body);
  } else if (ArrayBuffer.isView(body)) {
    body = Buffer.from(body.buffer, body.byteOffset, body.byteLength);
  } else if (body instanceof import_stream.default)
    ;
  else {
    body = Buffer.from(String(body));
  }
  this[INTERNALS] = {
    body,
    disturbed: false,
    error: null
  };
  this.size = size;
  this.timeout = timeout2;
  if (body instanceof import_stream.default) {
    body.on("error", function(err) {
      const error2 = err.name === "AbortError" ? err : new FetchError(`Invalid response body while trying to fetch ${_this.url}: ${err.message}`, "system", err);
      _this[INTERNALS].error = error2;
    });
  }
}
function consumeBody() {
  var _this4 = this;
  if (this[INTERNALS].disturbed) {
    return Body.Promise.reject(new TypeError(`body used already for: ${this.url}`));
  }
  this[INTERNALS].disturbed = true;
  if (this[INTERNALS].error) {
    return Body.Promise.reject(this[INTERNALS].error);
  }
  let body = this.body;
  if (body === null) {
    return Body.Promise.resolve(Buffer.alloc(0));
  }
  if (isBlob(body)) {
    body = body.stream();
  }
  if (Buffer.isBuffer(body)) {
    return Body.Promise.resolve(body);
  }
  if (!(body instanceof import_stream.default)) {
    return Body.Promise.resolve(Buffer.alloc(0));
  }
  let accum = [];
  let accumBytes = 0;
  let abort = false;
  return new Body.Promise(function(resolve3, reject2) {
    let resTimeout;
    if (_this4.timeout) {
      resTimeout = setTimeout(function() {
        abort = true;
        reject2(new FetchError(`Response timeout while trying to fetch ${_this4.url} (over ${_this4.timeout}ms)`, "body-timeout"));
      }, _this4.timeout);
    }
    body.on("error", function(err) {
      if (err.name === "AbortError") {
        abort = true;
        reject2(err);
      } else {
        reject2(new FetchError(`Invalid response body while trying to fetch ${_this4.url}: ${err.message}`, "system", err));
      }
    });
    body.on("data", function(chunk) {
      if (abort || chunk === null) {
        return;
      }
      if (_this4.size && accumBytes + chunk.length > _this4.size) {
        abort = true;
        reject2(new FetchError(`content size at ${_this4.url} over limit: ${_this4.size}`, "max-size"));
        return;
      }
      accumBytes += chunk.length;
      accum.push(chunk);
    });
    body.on("end", function() {
      if (abort) {
        return;
      }
      clearTimeout(resTimeout);
      try {
        resolve3(Buffer.concat(accum, accumBytes));
      } catch (err) {
        reject2(new FetchError(`Could not create Buffer from response body for ${_this4.url}: ${err.message}`, "system", err));
      }
    });
  });
}
function convertBody(buffer, headers) {
  if (typeof convert !== "function") {
    throw new Error("The package `encoding` must be installed to use the textConverted() function");
  }
  const ct = headers.get("content-type");
  let charset = "utf-8";
  let res, str;
  if (ct) {
    res = /charset=([^;]*)/i.exec(ct);
  }
  str = buffer.slice(0, 1024).toString();
  if (!res && str) {
    res = /<meta.+?charset=(['"])(.+?)\1/i.exec(str);
  }
  if (!res && str) {
    res = /<meta[\s]+?http-equiv=(['"])content-type\1[\s]+?content=(['"])(.+?)\2/i.exec(str);
    if (!res) {
      res = /<meta[\s]+?content=(['"])(.+?)\1[\s]+?http-equiv=(['"])content-type\3/i.exec(str);
      if (res) {
        res.pop();
      }
    }
    if (res) {
      res = /charset=(.*)/i.exec(res.pop());
    }
  }
  if (!res && str) {
    res = /<\?xml.+?encoding=(['"])(.+?)\1/i.exec(str);
  }
  if (res) {
    charset = res.pop();
    if (charset === "gb2312" || charset === "gbk") {
      charset = "gb18030";
    }
  }
  return convert(buffer, "UTF-8", charset).toString();
}
function isURLSearchParams(obj) {
  if (typeof obj !== "object" || typeof obj.append !== "function" || typeof obj.delete !== "function" || typeof obj.get !== "function" || typeof obj.getAll !== "function" || typeof obj.has !== "function" || typeof obj.set !== "function") {
    return false;
  }
  return obj.constructor.name === "URLSearchParams" || Object.prototype.toString.call(obj) === "[object URLSearchParams]" || typeof obj.sort === "function";
}
function isBlob(obj) {
  return typeof obj === "object" && typeof obj.arrayBuffer === "function" && typeof obj.type === "string" && typeof obj.stream === "function" && typeof obj.constructor === "function" && typeof obj.constructor.name === "string" && /^(Blob|File)$/.test(obj.constructor.name) && /^(Blob|File)$/.test(obj[Symbol.toStringTag]);
}
function clone(instance) {
  let p1, p2;
  let body = instance.body;
  if (instance.bodyUsed) {
    throw new Error("cannot clone body after it is used");
  }
  if (body instanceof import_stream.default && typeof body.getBoundary !== "function") {
    p1 = new PassThrough();
    p2 = new PassThrough();
    body.pipe(p1);
    body.pipe(p2);
    instance[INTERNALS].body = p1;
    body = p2;
  }
  return body;
}
function extractContentType(body) {
  if (body === null) {
    return null;
  } else if (typeof body === "string") {
    return "text/plain;charset=UTF-8";
  } else if (isURLSearchParams(body)) {
    return "application/x-www-form-urlencoded;charset=UTF-8";
  } else if (isBlob(body)) {
    return body.type || null;
  } else if (Buffer.isBuffer(body)) {
    return null;
  } else if (Object.prototype.toString.call(body) === "[object ArrayBuffer]") {
    return null;
  } else if (ArrayBuffer.isView(body)) {
    return null;
  } else if (typeof body.getBoundary === "function") {
    return `multipart/form-data;boundary=${body.getBoundary()}`;
  } else if (body instanceof import_stream.default) {
    return null;
  } else {
    return "text/plain;charset=UTF-8";
  }
}
function getTotalBytes(instance) {
  const body = instance.body;
  if (body === null) {
    return 0;
  } else if (isBlob(body)) {
    return body.size;
  } else if (Buffer.isBuffer(body)) {
    return body.length;
  } else if (body && typeof body.getLengthSync === "function") {
    if (body._lengthRetrievers && body._lengthRetrievers.length == 0 || // 1.x
    body.hasKnownLength && body.hasKnownLength()) {
      return body.getLengthSync();
    }
    return null;
  } else {
    return null;
  }
}
function writeToStream(dest, instance) {
  const body = instance.body;
  if (body === null) {
    dest.end();
  } else if (isBlob(body)) {
    body.stream().pipe(dest);
  } else if (Buffer.isBuffer(body)) {
    dest.write(body);
    dest.end();
  } else {
    body.pipe(dest);
  }
}
function validateName(name) {
  name = `${name}`;
  if (invalidTokenRegex.test(name) || name === "") {
    throw new TypeError(`${name} is not a legal HTTP header name`);
  }
}
function validateValue(value) {
  value = `${value}`;
  if (invalidHeaderCharRegex.test(value)) {
    throw new TypeError(`${value} is not a legal HTTP header value`);
  }
}
function find(map8, name) {
  name = name.toLowerCase();
  for (const key in map8) {
    if (key.toLowerCase() === name) {
      return key;
    }
  }
  return void 0;
}
function getHeaders(headers) {
  let kind = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "key+value";
  const keys = Object.keys(headers[MAP]).sort();
  return keys.map(kind === "key" ? function(k) {
    return k.toLowerCase();
  } : kind === "value" ? function(k) {
    return headers[MAP][k].join(", ");
  } : function(k) {
    return [k.toLowerCase(), headers[MAP][k].join(", ")];
  });
}
function createHeadersIterator(target, kind) {
  const iterator = Object.create(HeadersIteratorPrototype);
  iterator[INTERNAL] = {
    target,
    kind,
    index: 0
  };
  return iterator;
}
function exportNodeCompatibleHeaders(headers) {
  const obj = Object.assign({ __proto__: null }, headers[MAP]);
  const hostHeaderKey = find(headers[MAP], "Host");
  if (hostHeaderKey !== void 0) {
    obj[hostHeaderKey] = obj[hostHeaderKey][0];
  }
  return obj;
}
function createHeadersLenient(obj) {
  const headers = new Headers();
  for (const name of Object.keys(obj)) {
    if (invalidTokenRegex.test(name)) {
      continue;
    }
    if (Array.isArray(obj[name])) {
      for (const val of obj[name]) {
        if (invalidHeaderCharRegex.test(val)) {
          continue;
        }
        if (headers[MAP][name] === void 0) {
          headers[MAP][name] = [val];
        } else {
          headers[MAP][name].push(val);
        }
      }
    } else if (!invalidHeaderCharRegex.test(obj[name])) {
      headers[MAP][name] = [obj[name]];
    }
  }
  return headers;
}
function parseURL(urlStr) {
  if (/^[a-zA-Z][a-zA-Z\d+\-.]*:/.exec(urlStr)) {
    urlStr = new URL3(urlStr).toString();
  }
  return parse_url(urlStr);
}
function isRequest(input) {
  return typeof input === "object" && typeof input[INTERNALS$2] === "object";
}
function isAbortSignal(signal) {
  const proto = signal && typeof signal === "object" && Object.getPrototypeOf(signal);
  return !!(proto && proto.constructor.name === "AbortSignal");
}
function getNodeRequestOptions(request2) {
  const parsedURL = request2[INTERNALS$2].parsedURL;
  const headers = new Headers(request2[INTERNALS$2].headers);
  if (!headers.has("Accept")) {
    headers.set("Accept", "*/*");
  }
  if (!parsedURL.protocol || !parsedURL.hostname) {
    throw new TypeError("Only absolute URLs are supported");
  }
  if (!/^https?:$/.test(parsedURL.protocol)) {
    throw new TypeError("Only HTTP(S) protocols are supported");
  }
  if (request2.signal && request2.body instanceof import_stream.default.Readable && !streamDestructionSupported) {
    throw new Error("Cancellation of streamed requests with AbortSignal is not supported in node < 8");
  }
  let contentLengthValue = null;
  if (request2.body == null && /^(POST|PUT)$/i.test(request2.method)) {
    contentLengthValue = "0";
  }
  if (request2.body != null) {
    const totalBytes = getTotalBytes(request2);
    if (typeof totalBytes === "number") {
      contentLengthValue = String(totalBytes);
    }
  }
  if (contentLengthValue) {
    headers.set("Content-Length", contentLengthValue);
  }
  if (!headers.has("User-Agent")) {
    headers.set("User-Agent", "node-fetch/1.0 (+https://github.com/bitinn/node-fetch)");
  }
  if (request2.compress && !headers.has("Accept-Encoding")) {
    headers.set("Accept-Encoding", "gzip,deflate");
  }
  let agent = request2.agent;
  if (typeof agent === "function") {
    agent = agent(parsedURL);
  }
  if (!headers.has("Connection") && !agent) {
    headers.set("Connection", "close");
  }
  return Object.assign({}, parsedURL, {
    method: request2.method,
    headers: exportNodeCompatibleHeaders(headers),
    agent
  });
}
function AbortError2(message2) {
  Error.call(this, message2);
  this.type = "aborted";
  this.message = message2;
  Error.captureStackTrace(this, this.constructor);
}
function fetch(url2, opts2) {
  if (!fetch.Promise) {
    throw new Error("native promise missing, set fetch.Promise to your favorite alternative");
  }
  Body.Promise = fetch.Promise;
  return new fetch.Promise(function(resolve3, reject2) {
    const request2 = new Request(url2, opts2);
    const options2 = getNodeRequestOptions(request2);
    const send = (options2.protocol === "https:" ? import_https.default : import_http.default).request;
    const signal = request2.signal;
    let response = null;
    const abort = function abort2() {
      let error2 = new AbortError2("The user aborted a request.");
      reject2(error2);
      if (request2.body && request2.body instanceof import_stream.default.Readable) {
        destroyStream(request2.body, error2);
      }
      if (!response || !response.body)
        return;
      response.body.emit("error", error2);
    };
    if (signal && signal.aborted) {
      abort();
      return;
    }
    const abortAndFinalize = function abortAndFinalize2() {
      abort();
      finalize();
    };
    const req = send(options2);
    let reqTimeout;
    if (signal) {
      signal.addEventListener("abort", abortAndFinalize);
    }
    function finalize() {
      req.abort();
      if (signal)
        signal.removeEventListener("abort", abortAndFinalize);
      clearTimeout(reqTimeout);
    }
    if (request2.timeout) {
      req.once("socket", function(socket) {
        reqTimeout = setTimeout(function() {
          reject2(new FetchError(`network timeout at: ${request2.url}`, "request-timeout"));
          finalize();
        }, request2.timeout);
      });
    }
    req.on("error", function(err) {
      reject2(new FetchError(`request to ${request2.url} failed, reason: ${err.message}`, "system", err));
      if (response && response.body) {
        destroyStream(response.body, err);
      }
      finalize();
    });
    fixResponseChunkedTransferBadEnding(req, function(err) {
      if (signal && signal.aborted) {
        return;
      }
      if (response && response.body) {
        destroyStream(response.body, err);
      }
    });
    if (parseInt(process.version.substring(1)) < 14) {
      req.on("socket", function(s3) {
        s3.addListener("close", function(hadError) {
          const hasDataListener = s3.listenerCount("data") > 0;
          if (response && hasDataListener && !hadError && !(signal && signal.aborted)) {
            const err = new Error("Premature close");
            err.code = "ERR_STREAM_PREMATURE_CLOSE";
            response.body.emit("error", err);
          }
        });
      });
    }
    req.on("response", function(res) {
      clearTimeout(reqTimeout);
      const headers = createHeadersLenient(res.headers);
      if (fetch.isRedirect(res.statusCode)) {
        const location = headers.get("Location");
        let locationURL = null;
        try {
          locationURL = location === null ? null : new URL$1(location, request2.url).toString();
        } catch (err) {
          if (request2.redirect !== "manual") {
            reject2(new FetchError(`uri requested responds with an invalid redirect URL: ${location}`, "invalid-redirect"));
            finalize();
            return;
          }
        }
        switch (request2.redirect) {
          case "error":
            reject2(new FetchError(`uri requested responds with a redirect, redirect mode is set to error: ${request2.url}`, "no-redirect"));
            finalize();
            return;
          case "manual":
            if (locationURL !== null) {
              try {
                headers.set("Location", locationURL);
              } catch (err) {
                reject2(err);
              }
            }
            break;
          case "follow":
            if (locationURL === null) {
              break;
            }
            if (request2.counter >= request2.follow) {
              reject2(new FetchError(`maximum redirect reached at: ${request2.url}`, "max-redirect"));
              finalize();
              return;
            }
            const requestOpts = {
              headers: new Headers(request2.headers),
              follow: request2.follow,
              counter: request2.counter + 1,
              agent: request2.agent,
              compress: request2.compress,
              method: request2.method,
              body: request2.body,
              signal: request2.signal,
              timeout: request2.timeout,
              size: request2.size
            };
            if (!isDomainOrSubdomain(request2.url, locationURL) || !isSameProtocol(request2.url, locationURL)) {
              for (const name of ["authorization", "www-authenticate", "cookie", "cookie2"]) {
                requestOpts.headers.delete(name);
              }
            }
            if (res.statusCode !== 303 && request2.body && getTotalBytes(request2) === null) {
              reject2(new FetchError("Cannot follow redirect with body being a readable stream", "unsupported-redirect"));
              finalize();
              return;
            }
            if (res.statusCode === 303 || (res.statusCode === 301 || res.statusCode === 302) && request2.method === "POST") {
              requestOpts.method = "GET";
              requestOpts.body = void 0;
              requestOpts.headers.delete("content-length");
            }
            resolve3(fetch(new Request(locationURL, requestOpts)));
            finalize();
            return;
        }
      }
      res.once("end", function() {
        if (signal)
          signal.removeEventListener("abort", abortAndFinalize);
      });
      let body = res.pipe(new PassThrough$1());
      const response_options = {
        url: request2.url,
        status: res.statusCode,
        statusText: res.statusMessage,
        headers,
        size: request2.size,
        timeout: request2.timeout,
        counter: request2.counter
      };
      const codings = headers.get("Content-Encoding");
      if (!request2.compress || request2.method === "HEAD" || codings === null || res.statusCode === 204 || res.statusCode === 304) {
        response = new Response(body, response_options);
        resolve3(response);
        return;
      }
      const zlibOptions = {
        flush: import_zlib.default.Z_SYNC_FLUSH,
        finishFlush: import_zlib.default.Z_SYNC_FLUSH
      };
      if (codings == "gzip" || codings == "x-gzip") {
        body = body.pipe(import_zlib.default.createGunzip(zlibOptions));
        response = new Response(body, response_options);
        resolve3(response);
        return;
      }
      if (codings == "deflate" || codings == "x-deflate") {
        const raw = res.pipe(new PassThrough$1());
        raw.once("data", function(chunk) {
          if ((chunk[0] & 15) === 8) {
            body = body.pipe(import_zlib.default.createInflate());
          } else {
            body = body.pipe(import_zlib.default.createInflateRaw());
          }
          response = new Response(body, response_options);
          resolve3(response);
        });
        raw.on("end", function() {
          if (!response) {
            response = new Response(body, response_options);
            resolve3(response);
          }
        });
        return;
      }
      if (codings == "br" && typeof import_zlib.default.createBrotliDecompress === "function") {
        body = body.pipe(import_zlib.default.createBrotliDecompress());
        response = new Response(body, response_options);
        resolve3(response);
        return;
      }
      response = new Response(body, response_options);
      resolve3(response);
    });
    writeToStream(req, request2);
  });
}
function fixResponseChunkedTransferBadEnding(request2, errorCallback) {
  let socket;
  request2.on("socket", function(s3) {
    socket = s3;
  });
  request2.on("response", function(response) {
    const headers = response.headers;
    if (headers["transfer-encoding"] === "chunked" && !headers["content-length"]) {
      response.once("close", function(hadError) {
        const hasDataListener = socket && socket.listenerCount("data") > 0;
        if (hasDataListener && !hadError) {
          const err = new Error("Premature close");
          err.code = "ERR_STREAM_PREMATURE_CLOSE";
          errorCallback(err);
        }
      });
    }
  });
}
function destroyStream(stream4, err) {
  if (stream4.destroy) {
    stream4.destroy(err);
  } else {
    stream4.emit("error", err);
    stream4.end();
  }
}
var import_stream, import_http, import_url, import_https, import_zlib, Readable, BUFFER, TYPE, Blob, convert, INTERNALS, PassThrough, invalidTokenRegex, invalidHeaderCharRegex, MAP, Headers, INTERNAL, HeadersIteratorPrototype, INTERNALS$1, STATUS_CODES, Response, INTERNALS$2, URL3, parse_url, format_url, streamDestructionSupported, Request, URL$1, PassThrough$1, isDomainOrSubdomain, isSameProtocol, lib_default;
var init_lib = __esm({
  "../../node_modules/.pnpm/node-fetch@2.6.12_patch_hash=d2f4ywbzdgzmypej5sz7qs7qpy/node_modules/node-fetch/lib/index.mjs"() {
    "use strict";
    import_stream = __toESM(require("stream"), 1);
    import_http = __toESM(require("http"), 1);
    import_url = __toESM(require("url"), 1);
    import_https = __toESM(require("https"), 1);
    import_zlib = __toESM(require("zlib"), 1);
    Readable = import_stream.default.Readable;
    BUFFER = Symbol("buffer");
    TYPE = Symbol("type");
    Blob = class _Blob {
      constructor() {
        this[TYPE] = "";
        const blobParts = arguments[0];
        const options2 = arguments[1];
        const buffers = [];
        let size = 0;
        if (blobParts) {
          const a3 = blobParts;
          const length = Number(a3.length);
          for (let i4 = 0; i4 < length; i4++) {
            const element = a3[i4];
            let buffer;
            if (element instanceof Buffer) {
              buffer = element;
            } else if (ArrayBuffer.isView(element)) {
              buffer = Buffer.from(element.buffer, element.byteOffset, element.byteLength);
            } else if (element instanceof ArrayBuffer) {
              buffer = Buffer.from(element);
            } else if (element instanceof _Blob) {
              buffer = element[BUFFER];
            } else {
              buffer = Buffer.from(typeof element === "string" ? element : String(element));
            }
            size += buffer.length;
            buffers.push(buffer);
          }
        }
        this[BUFFER] = Buffer.concat(buffers);
        let type = options2 && options2.type !== void 0 && String(options2.type).toLowerCase();
        if (type && !/[^\u0020-\u007E]/.test(type)) {
          this[TYPE] = type;
        }
      }
      get size() {
        return this[BUFFER].length;
      }
      get type() {
        return this[TYPE];
      }
      text() {
        return Promise.resolve(this[BUFFER].toString());
      }
      arrayBuffer() {
        const buf = this[BUFFER];
        const ab = buf.buffer.slice(buf.byteOffset, buf.byteOffset + buf.byteLength);
        return Promise.resolve(ab);
      }
      stream() {
        const readable = new Readable();
        readable._read = function() {
        };
        readable.push(this[BUFFER]);
        readable.push(null);
        return readable;
      }
      toString() {
        return "[object Blob]";
      }
      slice() {
        const size = this.size;
        const start = arguments[0];
        const end = arguments[1];
        let relativeStart, relativeEnd;
        if (start === void 0) {
          relativeStart = 0;
        } else if (start < 0) {
          relativeStart = Math.max(size + start, 0);
        } else {
          relativeStart = Math.min(start, size);
        }
        if (end === void 0) {
          relativeEnd = size;
        } else if (end < 0) {
          relativeEnd = Math.max(size + end, 0);
        } else {
          relativeEnd = Math.min(end, size);
        }
        const span = Math.max(relativeEnd - relativeStart, 0);
        const buffer = this[BUFFER];
        const slicedBuffer = buffer.slice(relativeStart, relativeStart + span);
        const blob = new _Blob([], { type: arguments[2] });
        blob[BUFFER] = slicedBuffer;
        return blob;
      }
    };
    Object.defineProperties(Blob.prototype, {
      size: { enumerable: true },
      type: { enumerable: true },
      slice: { enumerable: true }
    });
    Object.defineProperty(Blob.prototype, Symbol.toStringTag, {
      value: "Blob",
      writable: false,
      enumerable: false,
      configurable: true
    });
    FetchError.prototype = Object.create(Error.prototype);
    FetchError.prototype.constructor = FetchError;
    FetchError.prototype.name = "FetchError";
    try {
      convert = require_encoding().convert;
    } catch (e3) {
    }
    INTERNALS = Symbol("Body internals");
    PassThrough = import_stream.default.PassThrough;
    Body.prototype = {
      get body() {
        return this[INTERNALS].body;
      },
      get bodyUsed() {
        return this[INTERNALS].disturbed;
      },
      /**
       * Decode response as ArrayBuffer
       *
       * @return  Promise
       */
      arrayBuffer() {
        return consumeBody.call(this).then(function(buf) {
          return buf.buffer.slice(buf.byteOffset, buf.byteOffset + buf.byteLength);
        });
      },
      /**
       * Return raw response as Blob
       *
       * @return Promise
       */
      blob() {
        let ct = this.headers && this.headers.get("content-type") || "";
        return consumeBody.call(this).then(function(buf) {
          return Object.assign(
            // Prevent copying
            new Blob([], {
              type: ct.toLowerCase()
            }),
            {
              [BUFFER]: buf
            }
          );
        });
      },
      /**
       * Decode response as json
       *
       * @return  Promise
       */
      json() {
        var _this2 = this;
        return consumeBody.call(this).then(function(buffer) {
          try {
            return JSON.parse(buffer.toString());
          } catch (err) {
            return Body.Promise.reject(new FetchError(`invalid json response body at ${_this2.url} reason: ${err.message}`, "invalid-json"));
          }
        });
      },
      /**
       * Decode response as text
       *
       * @return  Promise
       */
      text() {
        return consumeBody.call(this).then(function(buffer) {
          return buffer.toString();
        });
      },
      /**
       * Decode response as buffer (non-spec api)
       *
       * @return  Promise
       */
      buffer() {
        return consumeBody.call(this);
      },
      /**
       * Decode response as text, while automatically detecting the encoding and
       * trying to decode to UTF-8 (non-spec api)
       *
       * @return  Promise
       */
      textConverted() {
        var _this3 = this;
        return consumeBody.call(this).then(function(buffer) {
          return convertBody(buffer, _this3.headers);
        });
      }
    };
    Object.defineProperties(Body.prototype, {
      body: { enumerable: true },
      bodyUsed: { enumerable: true },
      arrayBuffer: { enumerable: true },
      blob: { enumerable: true },
      json: { enumerable: true },
      text: { enumerable: true }
    });
    Body.mixIn = function(proto) {
      for (const name of Object.getOwnPropertyNames(Body.prototype)) {
        if (!(name in proto)) {
          const desc = Object.getOwnPropertyDescriptor(Body.prototype, name);
          Object.defineProperty(proto, name, desc);
        }
      }
    };
    Body.Promise = global.Promise;
    invalidTokenRegex = /[^\^_`a-zA-Z\-0-9!#$%&'*+.|~]/;
    invalidHeaderCharRegex = /[^\t\x20-\x7e\x80-\xff]/;
    MAP = Symbol("map");
    Headers = class _Headers {
      /**
       * Headers class
       *
       * @param   Object  headers  Response headers
       * @return  Void
       */
      constructor() {
        let init3 = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : void 0;
        this[MAP] = /* @__PURE__ */ Object.create(null);
        if (init3 instanceof _Headers) {
          const rawHeaders = init3.raw();
          const headerNames = Object.keys(rawHeaders);
          for (const headerName of headerNames) {
            for (const value of rawHeaders[headerName]) {
              this.append(headerName, value);
            }
          }
          return;
        }
        if (init3 == null)
          ;
        else if (typeof init3 === "object") {
          const method = init3[Symbol.iterator];
          if (method != null) {
            if (typeof method !== "function") {
              throw new TypeError("Header pairs must be iterable");
            }
            const pairs = [];
            for (const pair of init3) {
              if (typeof pair !== "object" || typeof pair[Symbol.iterator] !== "function") {
                throw new TypeError("Each header pair must be iterable");
              }
              pairs.push(Array.from(pair));
            }
            for (const pair of pairs) {
              if (pair.length !== 2) {
                throw new TypeError("Each header pair must be a name/value tuple");
              }
              this.append(pair[0], pair[1]);
            }
          } else {
            for (const key of Object.keys(init3)) {
              const value = init3[key];
              this.append(key, value);
            }
          }
        } else {
          throw new TypeError("Provided initializer must be an object");
        }
      }
      /**
       * Return combined header value given name
       *
       * @param   String  name  Header name
       * @return  Mixed
       */
      get(name) {
        name = `${name}`;
        validateName(name);
        const key = find(this[MAP], name);
        if (key === void 0) {
          return null;
        }
        return this[MAP][key].join(", ");
      }
      /**
       * Iterate over all headers
       *
       * @param   Function  callback  Executed for each item with parameters (value, name, thisArg)
       * @param   Boolean   thisArg   `this` context for callback function
       * @return  Void
       */
      forEach(callback) {
        let thisArg = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : void 0;
        let pairs = getHeaders(this);
        let i4 = 0;
        while (i4 < pairs.length) {
          var _pairs$i = pairs[i4];
          const name = _pairs$i[0], value = _pairs$i[1];
          callback.call(thisArg, value, name, this);
          pairs = getHeaders(this);
          i4++;
        }
      }
      /**
       * Overwrite header values given name
       *
       * @param   String  name   Header name
       * @param   String  value  Header value
       * @return  Void
       */
      set(name, value) {
        name = `${name}`;
        value = `${value}`;
        validateName(name);
        validateValue(value);
        const key = find(this[MAP], name);
        this[MAP][key !== void 0 ? key : name] = [value];
      }
      /**
       * Append a value onto existing header
       *
       * @param   String  name   Header name
       * @param   String  value  Header value
       * @return  Void
       */
      append(name, value) {
        name = `${name}`;
        value = `${value}`;
        validateName(name);
        validateValue(value);
        const key = find(this[MAP], name);
        if (key !== void 0) {
          this[MAP][key].push(value);
        } else {
          this[MAP][name] = [value];
        }
      }
      /**
       * Check for header name existence
       *
       * @param   String   name  Header name
       * @return  Boolean
       */
      has(name) {
        name = `${name}`;
        validateName(name);
        return find(this[MAP], name) !== void 0;
      }
      /**
       * Delete all header values given name
       *
       * @param   String  name  Header name
       * @return  Void
       */
      delete(name) {
        name = `${name}`;
        validateName(name);
        const key = find(this[MAP], name);
        if (key !== void 0) {
          delete this[MAP][key];
        }
      }
      /**
       * Return raw headers (non-spec api)
       *
       * @return  Object
       */
      raw() {
        return this[MAP];
      }
      /**
       * Get an iterator on keys.
       *
       * @return  Iterator
       */
      keys() {
        return createHeadersIterator(this, "key");
      }
      /**
       * Get an iterator on values.
       *
       * @return  Iterator
       */
      values() {
        return createHeadersIterator(this, "value");
      }
      /**
       * Get an iterator on entries.
       *
       * This is the default iterator of the Headers object.
       *
       * @return  Iterator
       */
      [Symbol.iterator]() {
        return createHeadersIterator(this, "key+value");
      }
    };
    Headers.prototype.entries = Headers.prototype[Symbol.iterator];
    Object.defineProperty(Headers.prototype, Symbol.toStringTag, {
      value: "Headers",
      writable: false,
      enumerable: false,
      configurable: true
    });
    Object.defineProperties(Headers.prototype, {
      get: { enumerable: true },
      forEach: { enumerable: true },
      set: { enumerable: true },
      append: { enumerable: true },
      has: { enumerable: true },
      delete: { enumerable: true },
      keys: { enumerable: true },
      values: { enumerable: true },
      entries: { enumerable: true }
    });
    INTERNAL = Symbol("internal");
    HeadersIteratorPrototype = Object.setPrototypeOf({
      next() {
        if (!this || Object.getPrototypeOf(this) !== HeadersIteratorPrototype) {
          throw new TypeError("Value of `this` is not a HeadersIterator");
        }
        var _INTERNAL = this[INTERNAL];
        const target = _INTERNAL.target, kind = _INTERNAL.kind, index2 = _INTERNAL.index;
        const values = getHeaders(target, kind);
        const len = values.length;
        if (index2 >= len) {
          return {
            value: void 0,
            done: true
          };
        }
        this[INTERNAL].index = index2 + 1;
        return {
          value: values[index2],
          done: false
        };
      }
    }, Object.getPrototypeOf(Object.getPrototypeOf([][Symbol.iterator]())));
    Object.defineProperty(HeadersIteratorPrototype, Symbol.toStringTag, {
      value: "HeadersIterator",
      writable: false,
      enumerable: false,
      configurable: true
    });
    INTERNALS$1 = Symbol("Response internals");
    STATUS_CODES = import_http.default.STATUS_CODES;
    Response = class _Response {
      constructor() {
        let body = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : null;
        let opts2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
        Body.call(this, body, opts2);
        const status = opts2.status || 200;
        const headers = new Headers(opts2.headers);
        if (body != null && !headers.has("Content-Type")) {
          const contentType = extractContentType(body);
          if (contentType) {
            headers.append("Content-Type", contentType);
          }
        }
        this[INTERNALS$1] = {
          url: opts2.url,
          status,
          statusText: opts2.statusText || STATUS_CODES[status],
          headers,
          counter: opts2.counter
        };
      }
      get url() {
        return this[INTERNALS$1].url || "";
      }
      get status() {
        return this[INTERNALS$1].status;
      }
      /**
       * Convenience property representing if the request ended normally
       */
      get ok() {
        return this[INTERNALS$1].status >= 200 && this[INTERNALS$1].status < 300;
      }
      get redirected() {
        return this[INTERNALS$1].counter > 0;
      }
      get statusText() {
        return this[INTERNALS$1].statusText;
      }
      get headers() {
        return this[INTERNALS$1].headers;
      }
      /**
       * Clone this response
       *
       * @return  Response
       */
      clone() {
        return new _Response(clone(this), {
          url: this.url,
          status: this.status,
          statusText: this.statusText,
          headers: this.headers,
          ok: this.ok,
          redirected: this.redirected
        });
      }
    };
    Body.mixIn(Response.prototype);
    Object.defineProperties(Response.prototype, {
      url: { enumerable: true },
      status: { enumerable: true },
      ok: { enumerable: true },
      redirected: { enumerable: true },
      statusText: { enumerable: true },
      headers: { enumerable: true },
      clone: { enumerable: true }
    });
    Object.defineProperty(Response.prototype, Symbol.toStringTag, {
      value: "Response",
      writable: false,
      enumerable: false,
      configurable: true
    });
    INTERNALS$2 = Symbol("Request internals");
    URL3 = import_url.default.URL;
    parse_url = import_url.default.parse;
    format_url = import_url.default.format;
    streamDestructionSupported = "destroy" in import_stream.default.Readable.prototype;
    Request = class _Request {
      constructor(input) {
        let init3 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
        let parsedURL;
        if (!isRequest(input)) {
          if (input && input.href) {
            parsedURL = parseURL(input.href);
          } else {
            parsedURL = parseURL(`${input}`);
          }
          input = {};
        } else {
          parsedURL = parseURL(input.url);
        }
        let method = init3.method || input.method || "GET";
        method = method.toUpperCase();
        if ((init3.body != null || isRequest(input) && input.body !== null) && (method === "GET" || method === "HEAD")) {
          throw new TypeError("Request with GET/HEAD method cannot have body");
        }
        let inputBody = init3.body != null ? init3.body : isRequest(input) && input.body !== null ? clone(input) : null;
        Body.call(this, inputBody, {
          timeout: init3.timeout || input.timeout || 0,
          size: init3.size || input.size || 0
        });
        const headers = new Headers(init3.headers || input.headers || {});
        if (inputBody != null && !headers.has("Content-Type")) {
          const contentType = extractContentType(inputBody);
          if (contentType) {
            headers.append("Content-Type", contentType);
          }
        }
        let signal = isRequest(input) ? input.signal : null;
        if ("signal" in init3)
          signal = init3.signal;
        if (signal != null && !isAbortSignal(signal)) {
          throw new TypeError("Expected signal to be an instanceof AbortSignal");
        }
        this[INTERNALS$2] = {
          method,
          redirect: init3.redirect || input.redirect || "follow",
          headers,
          parsedURL,
          signal
        };
        this.follow = init3.follow !== void 0 ? init3.follow : input.follow !== void 0 ? input.follow : 20;
        this.compress = init3.compress !== void 0 ? init3.compress : input.compress !== void 0 ? input.compress : true;
        this.counter = init3.counter || input.counter || 0;
        this.agent = init3.agent || input.agent;
      }
      get method() {
        return this[INTERNALS$2].method;
      }
      get url() {
        return format_url(this[INTERNALS$2].parsedURL);
      }
      get headers() {
        return this[INTERNALS$2].headers;
      }
      get redirect() {
        return this[INTERNALS$2].redirect;
      }
      get signal() {
        return this[INTERNALS$2].signal;
      }
      /**
       * Clone this request
       *
       * @return  Request
       */
      clone() {
        return new _Request(this);
      }
    };
    Body.mixIn(Request.prototype);
    Object.defineProperty(Request.prototype, Symbol.toStringTag, {
      value: "Request",
      writable: false,
      enumerable: false,
      configurable: true
    });
    Object.defineProperties(Request.prototype, {
      method: { enumerable: true },
      url: { enumerable: true },
      headers: { enumerable: true },
      redirect: { enumerable: true },
      clone: { enumerable: true },
      signal: { enumerable: true }
    });
    AbortError2.prototype = Object.create(Error.prototype);
    AbortError2.prototype.constructor = AbortError2;
    AbortError2.prototype.name = "AbortError";
    URL$1 = import_url.default.URL;
    PassThrough$1 = import_stream.default.PassThrough;
    isDomainOrSubdomain = function isDomainOrSubdomain2(destination, original) {
      const orig = new URL$1(original).hostname;
      const dest = new URL$1(destination).hostname;
      return orig === dest || orig[orig.length - dest.length - 1] === "." && orig.endsWith(dest);
    };
    isSameProtocol = function isSameProtocol2(destination, original) {
      const orig = new URL$1(original).protocol;
      const dest = new URL$1(destination).protocol;
      return orig === dest;
    };
    fetch.isRedirect = function(code) {
      return code === 301 || code === 302 || code === 303 || code === 307 || code === 308;
    };
    fetch.Promise = global.Promise;
    lib_default = fetch;
  }
});

// ../../node_modules/.pnpm/retry@0.13.1/node_modules/retry/lib/retry_operation.js
var require_retry_operation = __commonJS({
  "../../node_modules/.pnpm/retry@0.13.1/node_modules/retry/lib/retry_operation.js"(exports2, module2) {
    "use strict";
    function RetryOperation(timeouts, options2) {
      if (typeof options2 === "boolean") {
        options2 = { forever: options2 };
      }
      this._originalTimeouts = JSON.parse(JSON.stringify(timeouts));
      this._timeouts = timeouts;
      this._options = options2 || {};
      this._maxRetryTime = options2 && options2.maxRetryTime || Infinity;
      this._fn = null;
      this._errors = [];
      this._attempts = 1;
      this._operationTimeout = null;
      this._operationTimeoutCb = null;
      this._timeout = null;
      this._operationStart = null;
      this._timer = null;
      if (this._options.forever) {
        this._cachedTimeouts = this._timeouts.slice(0);
      }
    }
    module2.exports = RetryOperation;
    RetryOperation.prototype.reset = function() {
      this._attempts = 1;
      this._timeouts = this._originalTimeouts.slice(0);
    };
    RetryOperation.prototype.stop = function() {
      if (this._timeout) {
        clearTimeout(this._timeout);
      }
      if (this._timer) {
        clearTimeout(this._timer);
      }
      this._timeouts = [];
      this._cachedTimeouts = null;
    };
    RetryOperation.prototype.retry = function(err) {
      if (this._timeout) {
        clearTimeout(this._timeout);
      }
      if (!err) {
        return false;
      }
      var currentTime = (/* @__PURE__ */ new Date()).getTime();
      if (err && currentTime - this._operationStart >= this._maxRetryTime) {
        this._errors.push(err);
        this._errors.unshift(new Error("RetryOperation timeout occurred"));
        return false;
      }
      this._errors.push(err);
      var timeout2 = this._timeouts.shift();
      if (timeout2 === void 0) {
        if (this._cachedTimeouts) {
          this._errors.splice(0, this._errors.length - 1);
          timeout2 = this._cachedTimeouts.slice(-1);
        } else {
          return false;
        }
      }
      var self2 = this;
      this._timer = setTimeout(function() {
        self2._attempts++;
        if (self2._operationTimeoutCb) {
          self2._timeout = setTimeout(function() {
            self2._operationTimeoutCb(self2._attempts);
          }, self2._operationTimeout);
          if (self2._options.unref) {
            self2._timeout.unref();
          }
        }
        self2._fn(self2._attempts);
      }, timeout2);
      if (this._options.unref) {
        this._timer.unref();
      }
      return true;
    };
    RetryOperation.prototype.attempt = function(fn2, timeoutOps) {
      this._fn = fn2;
      if (timeoutOps) {
        if (timeoutOps.timeout) {
          this._operationTimeout = timeoutOps.timeout;
        }
        if (timeoutOps.cb) {
          this._operationTimeoutCb = timeoutOps.cb;
        }
      }
      var self2 = this;
      if (this._operationTimeoutCb) {
        this._timeout = setTimeout(function() {
          self2._operationTimeoutCb();
        }, self2._operationTimeout);
      }
      this._operationStart = (/* @__PURE__ */ new Date()).getTime();
      this._fn(this._attempts);
    };
    RetryOperation.prototype.try = function(fn2) {
      console.log("Using RetryOperation.try() is deprecated");
      this.attempt(fn2);
    };
    RetryOperation.prototype.start = function(fn2) {
      console.log("Using RetryOperation.start() is deprecated");
      this.attempt(fn2);
    };
    RetryOperation.prototype.start = RetryOperation.prototype.try;
    RetryOperation.prototype.errors = function() {
      return this._errors;
    };
    RetryOperation.prototype.attempts = function() {
      return this._attempts;
    };
    RetryOperation.prototype.mainError = function() {
      if (this._errors.length === 0) {
        return null;
      }
      var counts = {};
      var mainError = null;
      var mainErrorCount = 0;
      for (var i4 = 0; i4 < this._errors.length; i4++) {
        var error2 = this._errors[i4];
        var message2 = error2.message;
        var count = (counts[message2] || 0) + 1;
        counts[message2] = count;
        if (count >= mainErrorCount) {
          mainError = error2;
          mainErrorCount = count;
        }
      }
      return mainError;
    };
  }
});

// ../../node_modules/.pnpm/retry@0.13.1/node_modules/retry/lib/retry.js
var require_retry = __commonJS({
  "../../node_modules/.pnpm/retry@0.13.1/node_modules/retry/lib/retry.js"(exports2) {
    "use strict";
    var RetryOperation = require_retry_operation();
    exports2.operation = function(options2) {
      var timeouts = exports2.timeouts(options2);
      return new RetryOperation(timeouts, {
        forever: options2 && (options2.forever || options2.retries === Infinity),
        unref: options2 && options2.unref,
        maxRetryTime: options2 && options2.maxRetryTime
      });
    };
    exports2.timeouts = function(options2) {
      if (options2 instanceof Array) {
        return [].concat(options2);
      }
      var opts2 = {
        retries: 10,
        factor: 2,
        minTimeout: 1 * 1e3,
        maxTimeout: Infinity,
        randomize: false
      };
      for (var key in options2) {
        opts2[key] = options2[key];
      }
      if (opts2.minTimeout > opts2.maxTimeout) {
        throw new Error("minTimeout is greater than maxTimeout");
      }
      var timeouts = [];
      for (var i4 = 0; i4 < opts2.retries; i4++) {
        timeouts.push(this.createTimeout(i4, opts2));
      }
      if (options2 && options2.forever && !timeouts.length) {
        timeouts.push(this.createTimeout(i4, opts2));
      }
      timeouts.sort(function(a3, b6) {
        return a3 - b6;
      });
      return timeouts;
    };
    exports2.createTimeout = function(attempt, opts2) {
      var random = opts2.randomize ? Math.random() + 1 : 1;
      var timeout2 = Math.round(random * Math.max(opts2.minTimeout, 1) * Math.pow(opts2.factor, attempt));
      timeout2 = Math.min(timeout2, opts2.maxTimeout);
      return timeout2;
    };
    exports2.wrap = function(obj, options2, methods) {
      if (options2 instanceof Array) {
        methods = options2;
        options2 = null;
      }
      if (!methods) {
        methods = [];
        for (var key in obj) {
          if (typeof obj[key] === "function") {
            methods.push(key);
          }
        }
      }
      for (var i4 = 0; i4 < methods.length; i4++) {
        var method = methods[i4];
        var original = obj[method];
        obj[method] = function retryWrapper(original2) {
          var op = exports2.operation(options2);
          var args3 = Array.prototype.slice.call(arguments, 1);
          var callback = args3.pop();
          args3.push(function(err) {
            if (op.retry(err)) {
              return;
            }
            if (err) {
              arguments[0] = op.mainError();
            }
            callback.apply(this, arguments);
          });
          op.attempt(function() {
            original2.apply(obj, args3);
          });
        }.bind(obj, original);
        obj[method].options = options2;
      }
    };
  }
});

// ../../node_modules/.pnpm/retry@0.13.1/node_modules/retry/index.js
var require_retry2 = __commonJS({
  "../../node_modules/.pnpm/retry@0.13.1/node_modules/retry/index.js"(exports2, module2) {
    "use strict";
    module2.exports = require_retry();
  }
});

// ../../node_modules/.pnpm/p-retry@4.6.2/node_modules/p-retry/index.js
var require_p_retry = __commonJS({
  "../../node_modules/.pnpm/p-retry@4.6.2/node_modules/p-retry/index.js"(exports2, module2) {
    "use strict";
    var retry3 = require_retry2();
    var networkErrorMsgs = [
      "Failed to fetch",
      // Chrome
      "NetworkError when attempting to fetch resource.",
      // Firefox
      "The Internet connection appears to be offline.",
      // Safari
      "Network request failed"
      // `cross-fetch`
    ];
    var AbortError3 = class extends Error {
      constructor(message2) {
        super();
        if (message2 instanceof Error) {
          this.originalError = message2;
          ({ message: message2 } = message2);
        } else {
          this.originalError = new Error(message2);
          this.originalError.stack = this.stack;
        }
        this.name = "AbortError";
        this.message = message2;
      }
    };
    var decorateErrorWithCounts = (error2, attemptNumber, options2) => {
      const retriesLeft = options2.retries - (attemptNumber - 1);
      error2.attemptNumber = attemptNumber;
      error2.retriesLeft = retriesLeft;
      return error2;
    };
    var isNetworkError = (errorMessage) => networkErrorMsgs.includes(errorMessage);
    var pRetry = (input, options2) => new Promise((resolve3, reject2) => {
      options2 = {
        onFailedAttempt: () => {
        },
        retries: 10,
        ...options2
      };
      const operation = retry3.operation(options2);
      operation.attempt(async (attemptNumber) => {
        try {
          resolve3(await input(attemptNumber));
        } catch (error2) {
          if (!(error2 instanceof Error)) {
            reject2(new TypeError(`Non-error was thrown: "${error2}". You should only throw errors.`));
            return;
          }
          if (error2 instanceof AbortError3) {
            operation.stop();
            reject2(error2.originalError);
          } else if (error2 instanceof TypeError && !isNetworkError(error2.message)) {
            operation.stop();
            reject2(error2);
          } else {
            decorateErrorWithCounts(error2, attemptNumber, options2);
            try {
              await options2.onFailedAttempt(error2);
            } catch (error3) {
              reject2(error3);
              return;
            }
            if (!operation.retry(error2)) {
              reject2(operation.mainError());
            }
          }
        }
      });
    });
    module2.exports = pRetry;
    module2.exports.default = pRetry;
    module2.exports.AbortError = AbortError3;
  }
});

// ../../node_modules/.pnpm/agent-base@7.1.0/node_modules/agent-base/dist/helpers.js
var require_helpers = __commonJS({
  "../../node_modules/.pnpm/agent-base@7.1.0/node_modules/agent-base/dist/helpers.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.req = exports2.json = exports2.toBuffer = void 0;
    var http2 = __importStar(require("http"));
    var https2 = __importStar(require("https"));
    async function toBuffer(stream4) {
      let length = 0;
      const chunks = [];
      for await (const chunk of stream4) {
        length += chunk.length;
        chunks.push(chunk);
      }
      return Buffer.concat(chunks, length);
    }
    exports2.toBuffer = toBuffer;
    async function json(stream4) {
      const buf = await toBuffer(stream4);
      const str = buf.toString("utf8");
      try {
        return JSON.parse(str);
      } catch (_err) {
        const err = _err;
        err.message += ` (input: ${str})`;
        throw err;
      }
    }
    exports2.json = json;
    function req(url2, opts2 = {}) {
      const href = typeof url2 === "string" ? url2 : url2.href;
      const req2 = (href.startsWith("https:") ? https2 : http2).request(url2, opts2);
      const promise = new Promise((resolve3, reject2) => {
        req2.once("response", resolve3).once("error", reject2).end();
      });
      req2.then = promise.then.bind(promise);
      return req2;
    }
    exports2.req = req;
  }
});

// ../../node_modules/.pnpm/agent-base@7.1.0/node_modules/agent-base/dist/index.js
var require_dist = __commonJS({
  "../../node_modules/.pnpm/agent-base@7.1.0/node_modules/agent-base/dist/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __exportStar = exports2 && exports2.__exportStar || function(m3, exports3) {
      for (var p2 in m3)
        if (p2 !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p2))
          __createBinding(exports3, m3, p2);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Agent = void 0;
    var http2 = __importStar(require("http"));
    __exportStar(require_helpers(), exports2);
    var INTERNAL2 = Symbol("AgentBaseInternalState");
    var Agent = class extends http2.Agent {
      constructor(opts2) {
        super(opts2);
        this[INTERNAL2] = {};
      }
      /**
       * Determine whether this is an `http` or `https` request.
       */
      isSecureEndpoint(options2) {
        if (options2) {
          if (typeof options2.secureEndpoint === "boolean") {
            return options2.secureEndpoint;
          }
          if (typeof options2.protocol === "string") {
            return options2.protocol === "https:";
          }
        }
        const { stack: stack2 } = new Error();
        if (typeof stack2 !== "string")
          return false;
        return stack2.split("\n").some((l2) => l2.indexOf("(https.js:") !== -1 || l2.indexOf("node:https:") !== -1);
      }
      createSocket(req, options2, cb2) {
        const connectOpts = {
          ...options2,
          secureEndpoint: this.isSecureEndpoint(options2)
        };
        Promise.resolve().then(() => this.connect(req, connectOpts)).then((socket) => {
          if (socket instanceof http2.Agent) {
            return socket.addRequest(req, connectOpts);
          }
          this[INTERNAL2].currentSocket = socket;
          super.createSocket(req, options2, cb2);
        }, cb2);
      }
      createConnection() {
        const socket = this[INTERNAL2].currentSocket;
        this[INTERNAL2].currentSocket = void 0;
        if (!socket) {
          throw new Error("No socket was returned in the `connect()` function");
        }
        return socket;
      }
      get defaultPort() {
        return this[INTERNAL2].defaultPort ?? (this.protocol === "https:" ? 443 : 80);
      }
      set defaultPort(v2) {
        if (this[INTERNAL2]) {
          this[INTERNAL2].defaultPort = v2;
        }
      }
      get protocol() {
        return this[INTERNAL2].protocol ?? (this.isSecureEndpoint() ? "https:" : "http:");
      }
      set protocol(v2) {
        if (this[INTERNAL2]) {
          this[INTERNAL2].protocol = v2;
        }
      }
    };
    exports2.Agent = Agent;
  }
});

// ../../node_modules/.pnpm/http-proxy-agent@7.0.0/node_modules/http-proxy-agent/dist/index.js
var require_dist2 = __commonJS({
  "../../node_modules/.pnpm/http-proxy-agent@7.0.0/node_modules/http-proxy-agent/dist/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.HttpProxyAgent = void 0;
    var net = __importStar(require("net"));
    var tls = __importStar(require("tls"));
    var debug_12 = __importDefault(require_src());
    var events_1 = require("events");
    var agent_base_1 = require_dist();
    var debug30 = (0, debug_12.default)("http-proxy-agent");
    var HttpProxyAgent2 = class extends agent_base_1.Agent {
      constructor(proxy, opts2) {
        super(opts2);
        this.proxy = typeof proxy === "string" ? new URL(proxy) : proxy;
        this.proxyHeaders = opts2?.headers ?? {};
        debug30("Creating new HttpProxyAgent instance: %o", this.proxy.href);
        const host = (this.proxy.hostname || this.proxy.host).replace(/^\[|\]$/g, "");
        const port = this.proxy.port ? parseInt(this.proxy.port, 10) : this.proxy.protocol === "https:" ? 443 : 80;
        this.connectOpts = {
          ...opts2 ? omit(opts2, "headers") : null,
          host,
          port
        };
      }
      addRequest(req, opts2) {
        req._header = null;
        this.setRequestProps(req, opts2);
        super.addRequest(req, opts2);
      }
      setRequestProps(req, opts2) {
        const { proxy } = this;
        const protocol = opts2.secureEndpoint ? "https:" : "http:";
        const hostname = req.getHeader("host") || "localhost";
        const base = `${protocol}//${hostname}`;
        const url2 = new URL(req.path, base);
        if (opts2.port !== 80) {
          url2.port = String(opts2.port);
        }
        req.path = String(url2);
        const headers = typeof this.proxyHeaders === "function" ? this.proxyHeaders() : { ...this.proxyHeaders };
        if (proxy.username || proxy.password) {
          const auth = `${decodeURIComponent(proxy.username)}:${decodeURIComponent(proxy.password)}`;
          headers["Proxy-Authorization"] = `Basic ${Buffer.from(auth).toString("base64")}`;
        }
        if (!headers["Proxy-Connection"]) {
          headers["Proxy-Connection"] = this.keepAlive ? "Keep-Alive" : "close";
        }
        for (const name of Object.keys(headers)) {
          const value = headers[name];
          if (value) {
            req.setHeader(name, value);
          }
        }
      }
      async connect(req, opts2) {
        req._header = null;
        if (!req.path.includes("://")) {
          this.setRequestProps(req, opts2);
        }
        let first;
        let endOfHeaders;
        debug30("Regenerating stored HTTP header string for request");
        req._implicitHeader();
        if (req.outputData && req.outputData.length > 0) {
          debug30("Patching connection write() output buffer with updated header");
          first = req.outputData[0].data;
          endOfHeaders = first.indexOf("\r\n\r\n") + 4;
          req.outputData[0].data = req._header + first.substring(endOfHeaders);
          debug30("Output buffer: %o", req.outputData[0].data);
        }
        let socket;
        if (this.proxy.protocol === "https:") {
          debug30("Creating `tls.Socket`: %o", this.connectOpts);
          socket = tls.connect(this.connectOpts);
        } else {
          debug30("Creating `net.Socket`: %o", this.connectOpts);
          socket = net.connect(this.connectOpts);
        }
        await (0, events_1.once)(socket, "connect");
        return socket;
      }
    };
    HttpProxyAgent2.protocols = ["http", "https"];
    exports2.HttpProxyAgent = HttpProxyAgent2;
    function omit(obj, ...keys) {
      const ret = {};
      let key;
      for (key in obj) {
        if (!keys.includes(key)) {
          ret[key] = obj[key];
        }
      }
      return ret;
    }
  }
});

// ../../node_modules/.pnpm/https-proxy-agent@7.0.1/node_modules/https-proxy-agent/dist/parse-proxy-response.js
var require_parse_proxy_response = __commonJS({
  "../../node_modules/.pnpm/https-proxy-agent@7.0.1/node_modules/https-proxy-agent/dist/parse-proxy-response.js"(exports2) {
    "use strict";
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.parseProxyResponse = void 0;
    var debug_12 = __importDefault(require_src());
    var debug30 = (0, debug_12.default)("https-proxy-agent:parse-proxy-response");
    function parseProxyResponse(socket) {
      return new Promise((resolve3, reject2) => {
        let buffersLength = 0;
        const buffers = [];
        function read() {
          const b6 = socket.read();
          if (b6)
            ondata(b6);
          else
            socket.once("readable", read);
        }
        function cleanup() {
          socket.removeListener("end", onend);
          socket.removeListener("error", onerror);
          socket.removeListener("readable", read);
        }
        function onend() {
          cleanup();
          debug30("onend");
          reject2(new Error("Proxy connection ended before receiving CONNECT response"));
        }
        function onerror(err) {
          cleanup();
          debug30("onerror %o", err);
          reject2(err);
        }
        function ondata(b6) {
          buffers.push(b6);
          buffersLength += b6.length;
          const buffered = Buffer.concat(buffers, buffersLength);
          const endOfHeaders = buffered.indexOf("\r\n\r\n");
          if (endOfHeaders === -1) {
            debug30("have not received end of HTTP headers yet...");
            read();
            return;
          }
          const headerParts = buffered.slice(0, endOfHeaders).toString("ascii").split("\r\n");
          const firstLine = headerParts.shift();
          if (!firstLine) {
            socket.destroy();
            return reject2(new Error("No header received from proxy CONNECT response"));
          }
          const firstLineParts = firstLine.split(" ");
          const statusCode = +firstLineParts[1];
          const statusText = firstLineParts.slice(2).join(" ");
          const headers = {};
          for (const header of headerParts) {
            if (!header)
              continue;
            const firstColon = header.indexOf(":");
            if (firstColon === -1) {
              socket.destroy();
              return reject2(new Error(`Invalid header from proxy CONNECT response: "${header}"`));
            }
            const key = header.slice(0, firstColon).toLowerCase();
            const value = header.slice(firstColon + 1).trimStart();
            const current = headers[key];
            if (typeof current === "string") {
              headers[key] = [current, value];
            } else if (Array.isArray(current)) {
              current.push(value);
            } else {
              headers[key] = value;
            }
          }
          debug30("got proxy server response: %o %o", firstLine, headers);
          cleanup();
          resolve3({
            connect: {
              statusCode,
              statusText,
              headers
            },
            buffered
          });
        }
        socket.on("error", onerror);
        socket.on("end", onend);
        read();
      });
    }
    exports2.parseProxyResponse = parseProxyResponse;
  }
});

// ../../node_modules/.pnpm/https-proxy-agent@7.0.1/node_modules/https-proxy-agent/dist/index.js
var require_dist3 = __commonJS({
  "../../node_modules/.pnpm/https-proxy-agent@7.0.1/node_modules/https-proxy-agent/dist/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      var desc = Object.getOwnPropertyDescriptor(m3, k);
      if (!desc || ("get" in desc ? !m3.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m3[k];
        } };
      }
      Object.defineProperty(o2, k22, desc);
    } : function(o2, m3, k, k22) {
      if (k22 === void 0)
        k22 = k;
      o2[k22] = m3[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o2, v2) {
      Object.defineProperty(o2, "default", { enumerable: true, value: v2 });
    } : function(o2, v2) {
      o2["default"] = v2;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.HttpsProxyAgent = void 0;
    var net = __importStar(require("net"));
    var tls = __importStar(require("tls"));
    var assert_1 = __importDefault(require("assert"));
    var debug_12 = __importDefault(require_src());
    var agent_base_1 = require_dist();
    var parse_proxy_response_1 = require_parse_proxy_response();
    var debug30 = (0, debug_12.default)("https-proxy-agent");
    var HttpsProxyAgent2 = class extends agent_base_1.Agent {
      constructor(proxy, opts2) {
        super(opts2);
        this.options = { path: void 0 };
        this.proxy = typeof proxy === "string" ? new URL(proxy) : proxy;
        this.proxyHeaders = opts2?.headers ?? {};
        debug30("Creating new HttpsProxyAgent instance: %o", this.proxy.href);
        const host = (this.proxy.hostname || this.proxy.host).replace(/^\[|\]$/g, "");
        const port = this.proxy.port ? parseInt(this.proxy.port, 10) : this.proxy.protocol === "https:" ? 443 : 80;
        this.connectOpts = {
          // Attempt to negotiate http/1.1 for proxy servers that support http/2
          ALPNProtocols: ["http/1.1"],
          ...opts2 ? omit(opts2, "headers") : null,
          host,
          port
        };
      }
      /**
       * Called when the node-core HTTP client library is creating a
       * new HTTP request.
       */
      async connect(req, opts2) {
        const { proxy } = this;
        if (!opts2.host) {
          throw new TypeError('No "host" provided');
        }
        let socket;
        if (proxy.protocol === "https:") {
          debug30("Creating `tls.Socket`: %o", this.connectOpts);
          socket = tls.connect(this.connectOpts);
        } else {
          debug30("Creating `net.Socket`: %o", this.connectOpts);
          socket = net.connect(this.connectOpts);
        }
        const headers = typeof this.proxyHeaders === "function" ? this.proxyHeaders() : { ...this.proxyHeaders };
        const host = net.isIPv6(opts2.host) ? `[${opts2.host}]` : opts2.host;
        let payload = `CONNECT ${host}:${opts2.port} HTTP/1.1\r
`;
        if (proxy.username || proxy.password) {
          const auth = `${decodeURIComponent(proxy.username)}:${decodeURIComponent(proxy.password)}`;
          headers["Proxy-Authorization"] = `Basic ${Buffer.from(auth).toString("base64")}`;
        }
        headers.Host = `${host}:${opts2.port}`;
        if (!headers["Proxy-Connection"]) {
          headers["Proxy-Connection"] = this.keepAlive ? "Keep-Alive" : "close";
        }
        for (const name of Object.keys(headers)) {
          payload += `${name}: ${headers[name]}\r
`;
        }
        const proxyResponsePromise = (0, parse_proxy_response_1.parseProxyResponse)(socket);
        socket.write(`${payload}\r
`);
        const { connect, buffered } = await proxyResponsePromise;
        req.emit("proxyConnect", connect);
        this.emit("proxyConnect", connect, req);
        if (connect.statusCode === 200) {
          req.once("socket", resume);
          if (opts2.secureEndpoint) {
            debug30("Upgrading socket connection to TLS");
            const servername = opts2.servername || opts2.host;
            return tls.connect({
              ...omit(opts2, "host", "path", "port"),
              socket,
              servername: net.isIP(servername) ? void 0 : servername
            });
          }
          return socket;
        }
        socket.destroy();
        const fakeSocket = new net.Socket({ writable: false });
        fakeSocket.readable = true;
        req.once("socket", (s3) => {
          debug30("Replaying proxy buffer for failed request");
          (0, assert_1.default)(s3.listenerCount("data") > 0);
          s3.push(buffered);
          s3.push(null);
        });
        return fakeSocket;
      }
    };
    HttpsProxyAgent2.protocols = ["http", "https"];
    exports2.HttpsProxyAgent = HttpsProxyAgent2;
    function resume(socket) {
      socket.resume();
    }
    function omit(obj, ...keys) {
      const ret = {};
      let key;
      for (key in obj) {
        if (!keys.includes(key)) {
          ret[key] = obj[key];
        }
      }
      return ret;
    }
  }
});

// ../fetch-engine/src/getProxyAgent.ts
function formatHostname(hostname) {
  return hostname.replace(/^\.*/, ".").toLowerCase();
}
function parseNoProxyZone(zone) {
  zone = zone.trim().toLowerCase();
  const zoneParts = zone.split(":", 2);
  const zoneHost = formatHostname(zoneParts[0]);
  const zonePort = zoneParts[1];
  const hasPort = zone.includes(":");
  return { hostname: zoneHost, port: zonePort, hasPort };
}
function uriInNoProxy(uri, noProxy) {
  const port = uri.port || (uri.protocol === "https:" ? "443" : "80");
  const hostname = formatHostname(uri.hostname);
  const noProxyList = noProxy.split(",");
  return noProxyList.map(parseNoProxyZone).some(function(noProxyZone) {
    const isMatchedAt = hostname.indexOf(noProxyZone.hostname);
    const hostnameMatched = isMatchedAt > -1 && isMatchedAt === hostname.length - noProxyZone.hostname.length;
    if (noProxyZone.hasPort) {
      return port === noProxyZone.port && hostnameMatched;
    }
    return hostnameMatched;
  });
}
function getProxyFromURI(uri) {
  const noProxy = process.env.NO_PROXY || process.env.no_proxy || "";
  if (noProxy)
    debug10(`noProxy is set to "${noProxy}"`);
  if (noProxy === "*") {
    return null;
  }
  if (noProxy !== "" && uriInNoProxy(uri, noProxy)) {
    return null;
  }
  if (uri.protocol === "http:") {
    const httpProxy = process.env.HTTP_PROXY || process.env.http_proxy || null;
    if (httpProxy)
      debug10(`uri.protocol is HTTP and the URL for the proxy is "${httpProxy}"`);
    return httpProxy;
  }
  if (uri.protocol === "https:") {
    const httpsProxy = process.env.HTTPS_PROXY || process.env.https_proxy || process.env.HTTP_PROXY || process.env.http_proxy || null;
    if (httpsProxy)
      debug10(`uri.protocol is HTTPS and the URL for the proxy is "${httpsProxy}"`);
    return httpsProxy;
  }
  return null;
}
function getProxyAgent(url2) {
  try {
    const uri = import_url2.default.parse(url2);
    const proxy = getProxyFromURI(uri);
    if (!proxy) {
      return void 0;
    } else if (uri.protocol === "http:") {
      try {
        return new import_http_proxy_agent.HttpProxyAgent(proxy);
      } catch (agentError) {
        throw new Error(
          `Error while instantiating HttpProxyAgent with URL: "${proxy}"
${agentError}
Check the following env vars "http_proxy" or "HTTP_PROXY". The value should be a valid URL starting with "http://"`
        );
      }
    } else if (uri.protocol === "https:") {
      try {
        return new import_https_proxy_agent.HttpsProxyAgent(proxy);
      } catch (agentError) {
        throw new Error(
          `Error while instantiating HttpsProxyAgent with URL: "${proxy}"
${agentError}
Check the following env vars "https_proxy" or "HTTPS_PROXY". The value should be a valid URL starting with "https://"`
        );
      }
    }
  } catch (e3) {
    console.warn(`An error occurred in getProxyAgent(), no proxy agent will be used.`, e3);
  }
  return void 0;
}
var import_http_proxy_agent, import_https_proxy_agent, import_url2, debug10;
var init_getProxyAgent = __esm({
  "../fetch-engine/src/getProxyAgent.ts"() {
    "use strict";
    init_src();
    import_http_proxy_agent = __toESM(require_dist2());
    import_https_proxy_agent = __toESM(require_dist3());
    import_url2 = __toESM(require("url"));
    debug10 = src_default("prisma:fetch-engine:getProxyAgent");
  }
});

// ../fetch-engine/src/downloadZip.ts
async function fetchChecksum(url2) {
  try {
    const checksumUrl = `${url2}.sha256`;
    const response = await lib_default(checksumUrl, {
      agent: getProxyAgent(url2)
    });
    if (!response.ok) {
      let errorMessage = `Failed to fetch sha256 checksum at ${checksumUrl}. ${response.status} ${response.statusText}`;
      if (!process.env.PRISMA_ENGINES_CHECKSUM_IGNORE_MISSING) {
        errorMessage += `

If you need to ignore this error (e.g. in an offline environment), set the PRISMA_ENGINES_CHECKSUM_IGNORE_MISSING environment variable to a truthy value.
Example: PRISMA_ENGINES_CHECKSUM_IGNORE_MISSING=1`;
      }
      throw new Error(errorMessage);
    }
    const body = await response.text();
    const [checksum] = body.split(/\s+/);
    if (!/^[a-f0-9]{64}$/gi.test(checksum)) {
      throw new Error(`Unable to parse checksum from ${checksumUrl} - response body: ${body}`);
    }
    return checksum;
  } catch (error2) {
    if (process.env.PRISMA_ENGINES_CHECKSUM_IGNORE_MISSING) {
      debug11(
        `fetchChecksum() failed and was ignored as the PRISMA_ENGINES_CHECKSUM_IGNORE_MISSING environment variable is truthy.
Error: ${error2}`
      );
      return null;
    }
    throw error2;
  }
}
async function downloadZip(url2, target, progressCb) {
  const tmpDir = import_tempy2.default.directory();
  const partial = import_path12.default.join(tmpDir, "partial");
  const RETRIES_COUNT = 2;
  const [zippedSha256, sha256] = await (0, import_p_retry.default)(
    async () => {
      return await Promise.all([fetchChecksum(url2), fetchChecksum(url2.slice(0, url2.length - 3))]);
    },
    {
      retries: RETRIES_COUNT,
      onFailedAttempt: (err) => debug11("An error occurred while downloading the checksums files", err)
    }
  );
  const result = await (0, import_p_retry.default)(
    async () => {
      const response = await lib_default(url2, {
        compress: false,
        agent: getProxyAgent(url2)
      });
      if (!response.ok) {
        throw new Error(`Failed to fetch the engine file at ${url2}. ${response.status} ${response.statusText}`);
      }
      const lastModified = response.headers.get("last-modified");
      const size = parseFloat(response.headers.get("content-length"));
      const ws2 = import_fs11.default.createWriteStream(partial);
      return await new Promise(async (resolve3, reject2) => {
        let bytesRead = 0;
        response.body.on("error", reject2).on("data", (chunk) => {
          bytesRead += chunk.length;
          if (size && progressCb) {
            progressCb(bytesRead / size);
          }
        });
        const gunzip = import_zlib2.default.createGunzip();
        gunzip.on("error", reject2);
        const zipStream = response.body.pipe(gunzip);
        const zippedHashPromise = import_hasha.default.fromStream(response.body, {
          algorithm: "sha256"
        });
        const hashPromise = import_hasha.default.fromStream(zipStream, {
          algorithm: "sha256"
        });
        zipStream.pipe(ws2);
        ws2.on("error", reject2).on("close", () => {
          resolve3({ lastModified, sha256, zippedSha256 });
        });
        const hash = await hashPromise;
        const zippedHash = await zippedHashPromise;
        if (zippedSha256 !== null && zippedSha256 !== zippedHash) {
          return reject2(new Error(`sha256 checksum of ${url2} (zipped) should be ${zippedSha256} but is ${zippedHash}`));
        }
        if (sha256 !== null && sha256 !== hash) {
          return reject2(new Error(`sha256 checksum of ${url2} (unzipped) should be ${sha256} but is ${hash}`));
        }
      });
    },
    {
      retries: RETRIES_COUNT,
      onFailedAttempt: (err) => debug11("An error occurred while downloading the engine file", err)
    }
  );
  await overwriteFile(partial, target);
  try {
    await del2(partial);
    await del2(tmpDir);
  } catch (e3) {
    debug11(e3);
  }
  return result;
}
var import_fs11, import_hasha, import_p_retry, import_path12, import_rimraf2, import_tempy2, import_util4, import_zlib2, debug11, del2;
var init_downloadZip = __esm({
  "../fetch-engine/src/downloadZip.ts"() {
    "use strict";
    init_src();
    import_fs11 = __toESM(require("fs"));
    import_hasha = __toESM(require_hasha());
    init_lib();
    import_p_retry = __toESM(require_p_retry());
    import_path12 = __toESM(require("path"));
    import_rimraf2 = __toESM(require_rimraf());
    import_tempy2 = __toESM(require_tempy());
    import_util4 = require("util");
    import_zlib2 = __toESM(require("zlib"));
    init_getProxyAgent();
    init_utils();
    debug11 = src_default("prisma:fetch-engine:downloadZip");
    del2 = (0, import_util4.promisify)(import_rimraf2.default);
  }
});

// ../fetch-engine/src/env.ts
function getBinaryEnvVarPath(binaryName) {
  const envVar = getEnvVarToUse(binaryName);
  if (process.env[envVar]) {
    const envVarPath = import_path13.default.resolve(process.cwd(), process.env[envVar]);
    if (!import_fs12.default.existsSync(envVarPath)) {
      throw new Error(
        `Env var ${bold(envVar)} is provided but provided path ${underline(process.env[envVar])} can't be resolved.`
      );
    }
    debug12(
      `Using env var ${bold(envVar)} for binary ${bold(binaryName)}, which points to ${underline(
        process.env[envVar]
      )}`
    );
    return {
      path: envVarPath,
      fromEnvVar: envVar
    };
  }
  return null;
}
function getEnvVarToUse(binaryType) {
  const envVar = engineEnvVarMap2[binaryType];
  const deprecatedEnvVar = deprecatedEnvVarMap[binaryType];
  if (deprecatedEnvVar && process.env[deprecatedEnvVar]) {
    if (process.env[envVar]) {
      console.warn(
        `${yellow("prisma:warn")} Both ${bold(envVar)} and ${bold(deprecatedEnvVar)} are specified, ${bold(
          envVar
        )} takes precedence. ${bold(deprecatedEnvVar)} is deprecated.`
      );
      return envVar;
    } else {
      console.warn(
        `${yellow("prisma:warn")} ${bold(deprecatedEnvVar)} environment variable is deprecated, please use ${bold(
          envVar
        )} instead`
      );
      return deprecatedEnvVar;
    }
  }
  return envVar;
}
function allEngineEnvVarsSet(binaries) {
  for (const binaryType of binaries) {
    if (!getBinaryEnvVarPath(binaryType)) {
      return false;
    }
  }
  return true;
}
var import_fs12, import_path13, debug12, engineEnvVarMap2, deprecatedEnvVarMap;
var init_env = __esm({
  "../fetch-engine/src/env.ts"() {
    "use strict";
    init_src();
    import_fs12 = __toESM(require("fs"));
    init_colors();
    import_path13 = __toESM(require("path"));
    debug12 = src_default("prisma:fetch-engine:env");
    engineEnvVarMap2 = {
      ["query-engine" /* QueryEngineBinary */]: "PRISMA_QUERY_ENGINE_BINARY",
      ["libquery-engine" /* QueryEngineLibrary */]: "PRISMA_QUERY_ENGINE_LIBRARY",
      ["schema-engine" /* SchemaEngineBinary */]: "PRISMA_SCHEMA_ENGINE_BINARY"
    };
    deprecatedEnvVarMap = {
      ["schema-engine" /* SchemaEngineBinary */]: "PRISMA_MIGRATION_ENGINE_BINARY"
    };
  }
});

// ../fetch-engine/src/getHash.ts
function getHash(filePath) {
  const hash = import_crypto2.default.createHash("sha256");
  const input = import_fs13.default.createReadStream(filePath);
  return new Promise((resolve3) => {
    input.on("readable", () => {
      const data = input.read();
      if (data) {
        hash.update(data);
      } else {
        resolve3(hash.digest("hex"));
      }
    });
  });
}
var import_crypto2, import_fs13;
var init_getHash = __esm({
  "../fetch-engine/src/getHash.ts"() {
    "use strict";
    import_crypto2 = __toESM(require("crypto"));
    import_fs13 = __toESM(require("fs"));
  }
});

// ../../node_modules/.pnpm/progress@2.0.3/node_modules/progress/lib/node-progress.js
var require_node_progress = __commonJS({
  "../../node_modules/.pnpm/progress@2.0.3/node_modules/progress/lib/node-progress.js"(exports2, module2) {
    "use strict";
    exports2 = module2.exports = ProgressBar;
    function ProgressBar(fmt, options2) {
      this.stream = options2.stream || process.stderr;
      if (typeof options2 == "number") {
        var total = options2;
        options2 = {};
        options2.total = total;
      } else {
        options2 = options2 || {};
        if ("string" != typeof fmt)
          throw new Error("format required");
        if ("number" != typeof options2.total)
          throw new Error("total required");
      }
      this.fmt = fmt;
      this.curr = options2.curr || 0;
      this.total = options2.total;
      this.width = options2.width || this.total;
      this.clear = options2.clear;
      this.chars = {
        complete: options2.complete || "=",
        incomplete: options2.incomplete || "-",
        head: options2.head || (options2.complete || "=")
      };
      this.renderThrottle = options2.renderThrottle !== 0 ? options2.renderThrottle || 16 : 0;
      this.lastRender = -Infinity;
      this.callback = options2.callback || function() {
      };
      this.tokens = {};
      this.lastDraw = "";
    }
    ProgressBar.prototype.tick = function(len, tokens) {
      if (len !== 0)
        len = len || 1;
      if ("object" == typeof len)
        tokens = len, len = 1;
      if (tokens)
        this.tokens = tokens;
      if (0 == this.curr)
        this.start = /* @__PURE__ */ new Date();
      this.curr += len;
      this.render();
      if (this.curr >= this.total) {
        this.render(void 0, true);
        this.complete = true;
        this.terminate();
        this.callback(this);
        return;
      }
    };
    ProgressBar.prototype.render = function(tokens, force) {
      force = force !== void 0 ? force : false;
      if (tokens)
        this.tokens = tokens;
      if (!this.stream.isTTY)
        return;
      var now = Date.now();
      var delta = now - this.lastRender;
      if (!force && delta < this.renderThrottle) {
        return;
      } else {
        this.lastRender = now;
      }
      var ratio = this.curr / this.total;
      ratio = Math.min(Math.max(ratio, 0), 1);
      var percent = Math.floor(ratio * 100);
      var incomplete, complete, completeLength;
      var elapsed = /* @__PURE__ */ new Date() - this.start;
      var eta = percent == 100 ? 0 : elapsed * (this.total / this.curr - 1);
      var rate = this.curr / (elapsed / 1e3);
      var str = this.fmt.replace(":current", this.curr).replace(":total", this.total).replace(":elapsed", isNaN(elapsed) ? "0.0" : (elapsed / 1e3).toFixed(1)).replace(":eta", isNaN(eta) || !isFinite(eta) ? "0.0" : (eta / 1e3).toFixed(1)).replace(":percent", percent.toFixed(0) + "%").replace(":rate", Math.round(rate));
      var availableSpace = Math.max(0, this.stream.columns - str.replace(":bar", "").length);
      if (availableSpace && process.platform === "win32") {
        availableSpace = availableSpace - 1;
      }
      var width2 = Math.min(this.width, availableSpace);
      completeLength = Math.round(width2 * ratio);
      complete = Array(Math.max(0, completeLength + 1)).join(this.chars.complete);
      incomplete = Array(Math.max(0, width2 - completeLength + 1)).join(this.chars.incomplete);
      if (completeLength > 0)
        complete = complete.slice(0, -1) + this.chars.head;
      str = str.replace(":bar", complete + incomplete);
      if (this.tokens)
        for (var key in this.tokens)
          str = str.replace(":" + key, this.tokens[key]);
      if (this.lastDraw !== str) {
        this.stream.cursorTo(0);
        this.stream.write(str);
        this.stream.clearLine(1);
        this.lastDraw = str;
      }
    };
    ProgressBar.prototype.update = function(ratio, tokens) {
      var goal = Math.floor(ratio * this.total);
      var delta = goal - this.curr;
      this.tick(delta, tokens);
    };
    ProgressBar.prototype.interrupt = function(message2) {
      this.stream.clearLine();
      this.stream.cursorTo(0);
      this.stream.write(message2);
      this.stream.write("\n");
      this.stream.write(this.lastDraw);
    };
    ProgressBar.prototype.terminate = function() {
      if (this.clear) {
        if (this.stream.clearLine) {
          this.stream.clearLine();
          this.stream.cursorTo(0);
        }
      } else {
        this.stream.write("\n");
      }
    };
  }
});

// ../../node_modules/.pnpm/progress@2.0.3/node_modules/progress/index.js
var require_progress = __commonJS({
  "../../node_modules/.pnpm/progress@2.0.3/node_modules/progress/index.js"(exports2, module2) {
    "use strict";
    module2.exports = require_node_progress();
  }
});

// ../fetch-engine/src/log.ts
function getBar(text2) {
  return new import_progress.default(`> ${text2} [:bar] :percent`, {
    stream: process.stdout,
    width: 20,
    complete: "=",
    incomplete: " ",
    total: 100,
    head: "",
    clear: true
  });
}
var import_progress;
var init_log = __esm({
  "../fetch-engine/src/log.ts"() {
    "use strict";
    import_progress = __toESM(require_progress());
  }
});

// ../fetch-engine/package.json
var require_package3 = __commonJS({
  "../fetch-engine/package.json"(exports2, module2) {
    module2.exports = {
      name: "@prisma/fetch-engine",
      version: "5.3.0-integration-chore-upgrade-esm-deps.1",
      description: "This package is intended for Prisma's internal use",
      main: "dist/index.js",
      types: "dist/index.d.ts",
      license: "Apache-2.0",
      author: "Tim Suchanek <suchanek@prisma.io>",
      homepage: "https://www.prisma.io",
      repository: {
        type: "git",
        url: "https://github.com/prisma/prisma.git",
        directory: "packages/fetch-engine"
      },
      bugs: "https://github.com/prisma/prisma/issues",
      enginesOverride: {},
      devDependencies: {
        "@prisma/engines-version": "5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e",
        "@swc/core": "1.3.75",
        "@swc/jest": "0.2.29",
        "@types/jest": "29.5.4",
        "@types/node": "18.17.5",
        "@types/node-fetch": "2.6.4",
        "@types/progress": "2.0.5",
        del: "6.1.1",
        jest: "29.6.3",
        "strip-ansi": "6.0.1",
        typescript: "4.9.5"
      },
      dependencies: {
        "@prisma/debug": "workspace:*",
        "@prisma/get-platform": "workspace:*",
        execa: "5.1.1",
        "find-cache-dir": "3.3.2",
        "fs-extra": "11.1.1",
        hasha: "5.2.2",
        "http-proxy-agent": "7.0.0",
        "https-proxy-agent": "7.0.1",
        kleur: "4.1.5",
        "node-fetch": "2.6.12",
        "p-filter": "2.1.0",
        "p-map": "6.0.0",
        "p-retry": "4.6.2",
        progress: "2.0.3",
        rimraf: "3.0.2",
        "temp-dir": "2.0.0",
        tempy: "1.0.1"
      },
      scripts: {
        dev: "DEV=true node -r esbuild-register helpers/build.ts",
        build: "node -r esbuild-register helpers/build.ts",
        test: "jest",
        prepublishOnly: "pnpm run build"
      },
      files: [
        "README.md",
        "dist"
      ],
      sideEffects: false
    };
  }
});

// ../fetch-engine/src/download.ts
async function download(options) {
  if (enginesOverride?.["branch"] || enginesOverride?.["folder"]) {
    options.version = "_local_";
    options.skipCacheIntegrityCheck = true;
  }
  const platform = await getPlatform2();
  const os = await getos();
  if (os.targetDistro && ["nixos"].includes(os.targetDistro) && !allEngineEnvVarsSet(Object.keys(options.binaries))) {
    console.error(
      `${yellow("Warning")} Precompiled engine files are not available for ${os.targetDistro}, please provide the paths via environment variables, see https://pris.ly/d/custom-engines`
    );
  } else if (["freebsd11", "freebsd12", "freebsd13", "openbsd", "netbsd"].includes(platform)) {
    console.error(
      `${yellow(
        "Warning"
      )} Precompiled engine files are not available for ${platform}. Read more about building your own engines at https://pris.ly/d/build-engines`
    );
  } else if ("libquery-engine" /* QueryEngineLibrary */ in options.binaries) {
    assertNodeAPISupported();
  }
  if (!options.binaries || Object.values(options.binaries).length === 0) {
    return {};
  }
  const opts = {
    ...options,
    binaryTargets: options.binaryTargets ?? [platform],
    version: options.version ?? "latest",
    binaries: options.binaries
  };
  const binaryJobs = Object.entries(opts.binaries).flatMap(
    ([binaryName, targetFolder]) => opts.binaryTargets.map((binaryTarget) => {
      const fileName = getBinaryName(binaryName, binaryTarget);
      const targetFilePath = import_path14.default.join(targetFolder, fileName);
      return {
        binaryName,
        targetFolder,
        binaryTarget,
        fileName,
        targetFilePath,
        envVarPath: getBinaryEnvVarPath(binaryName)?.path,
        skipCacheIntegrityCheck: !!opts.skipCacheIntegrityCheck
      };
    })
  );
  if (process.env.BINARY_DOWNLOAD_VERSION) {
    debug13(`process.env.BINARY_DOWNLOAD_VERSION is set to "${process.env.BINARY_DOWNLOAD_VERSION}"`);
    opts.version = process.env.BINARY_DOWNLOAD_VERSION;
  }
  if (opts.printVersion) {
    console.log(`version: ${opts.version}`);
  }
  const binariesToDownload = await (0, import_p_filter.default)(binaryJobs, async (job) => {
    const needsToBeDownloaded = await binaryNeedsToBeDownloaded(job, platform, opts.version);
    const isSupported = platforms.includes(job.binaryTarget);
    const shouldDownload = isSupported && !job.envVarPath && // this is for custom binaries
    needsToBeDownloaded;
    if (needsToBeDownloaded && !isSupported) {
      throw new Error(`Unknown binaryTarget ${job.binaryTarget} and no custom engine files were provided`);
    }
    return shouldDownload;
  });
  if (binariesToDownload.length > 0) {
    const cleanupPromise = cleanupCache();
    let finishBar;
    let setProgress;
    if (opts.showProgress) {
      const collectiveBar = getCollectiveBar(opts);
      finishBar = collectiveBar.finishBar;
      setProgress = collectiveBar.setProgress;
    }
    const promises2 = binariesToDownload.map((job) => {
      const downloadUrl = getDownloadUrl({
        channel: "all_commits",
        version: opts.version,
        platform: job.binaryTarget,
        binaryName: job.binaryName
      });
      debug13(`${downloadUrl} will be downloaded to ${job.targetFilePath}`);
      return downloadBinary({
        ...job,
        downloadUrl,
        version: opts.version,
        failSilent: opts.failSilent,
        progressCb: setProgress ? setProgress(job.targetFilePath) : void 0
      });
    });
    await Promise.all(promises2);
    await cleanupPromise;
    if (finishBar) {
      finishBar();
    }
  }
  const binaryPaths = binaryJobsToBinaryPaths(binaryJobs);
  const dir = eval("__dirname");
  if (dir.match(vercelPkgPathRegex2)) {
    for (const engineType in binaryPaths) {
      const binaryTargets = binaryPaths[engineType];
      for (const binaryTarget in binaryTargets) {
        const binaryPath = binaryTargets[binaryTarget];
        binaryTargets[binaryTarget] = await maybeCopyToTmp(binaryPath);
      }
    }
  }
  return binaryPaths;
}
function getCollectiveBar(options2) {
  const hasNodeAPI = "libquery-engine" in options2.binaries;
  const bar = getBar(
    `Downloading Prisma engines${hasNodeAPI ? " for Node-API" : ""} for ${options2.binaryTargets?.map((p2) => bold(p2)).join(" and ")}`
  );
  const progressMap = {};
  const numDownloads = Object.values(options2.binaries).length * Object.values(options2?.binaryTargets ?? []).length;
  const setProgress = (sourcePath) => (progress) => {
    progressMap[sourcePath] = progress;
    const progressValues = Object.values(progressMap);
    const totalProgress = progressValues.reduce((acc, curr) => {
      return acc + curr;
    }, 0) / numDownloads;
    if (options2.progressCb) {
      options2.progressCb(totalProgress);
    }
    if (bar) {
      bar.update(totalProgress);
    }
  };
  return {
    setProgress,
    finishBar: () => {
      bar.update(1);
      bar.terminate();
    }
  };
}
function binaryJobsToBinaryPaths(jobs) {
  return jobs.reduce((acc, job) => {
    if (!acc[job.binaryName]) {
      acc[job.binaryName] = {};
    }
    acc[job.binaryName][job.binaryTarget] = job.envVarPath || job.targetFilePath;
    return acc;
  }, {});
}
async function binaryNeedsToBeDownloaded(job, nativePlatform, version3) {
  if (job.envVarPath && import_fs14.default.existsSync(job.envVarPath)) {
    return false;
  }
  const targetExists = await exists3(job.targetFilePath);
  const cachedFile = await getCachedBinaryPath({
    ...job,
    version: version3
  });
  if (cachedFile) {
    if (job.skipCacheIntegrityCheck === true) {
      await overwriteFile(cachedFile, job.targetFilePath);
      return false;
    }
    const sha256FilePath = cachedFile + ".sha256";
    if (await exists3(sha256FilePath)) {
      const sha256File = await import_fs14.default.promises.readFile(sha256FilePath, "utf-8");
      const sha256Cache = await getHash(cachedFile);
      if (sha256File === sha256Cache) {
        if (!targetExists) {
          debug13(`copying ${cachedFile} to ${job.targetFilePath}`);
          await import_fs14.default.promises.utimes(cachedFile, /* @__PURE__ */ new Date(), /* @__PURE__ */ new Date());
          await overwriteFile(cachedFile, job.targetFilePath);
        }
        const targetSha256 = await getHash(job.targetFilePath);
        if (sha256File !== targetSha256) {
          debug13(`overwriting ${job.targetFilePath} with ${cachedFile} as hashes do not match`);
          await overwriteFile(cachedFile, job.targetFilePath);
        }
        return false;
      } else {
        return true;
      }
    } else if (process.env.PRISMA_ENGINES_CHECKSUM_IGNORE_MISSING) {
      debug13(
        `The checksum file: ${sha256FilePath} is missing but this was ignored as the PRISMA_ENGINES_CHECKSUM_IGNORE_MISSING environment variable is truthy.`
      );
      return false;
    } else {
      return true;
    }
  }
  if (!targetExists) {
    debug13(`file ${job.targetFilePath} does not exist and must be downloaded`);
    return true;
  }
  if (job.binaryTarget === nativePlatform) {
    const currentVersion2 = await getVersion(job.targetFilePath, job.binaryName);
    if (currentVersion2?.includes(version3) !== true) {
      debug13(`file ${job.targetFilePath} exists but its version is ${currentVersion2} and we expect ${version3}`);
      return true;
    }
  }
  return false;
}
async function getVersion(enginePath, binaryName) {
  try {
    if (binaryName === "libquery-engine" /* QueryEngineLibrary */) {
      assertNodeAPISupported();
      const commitHash = require(enginePath).version().commit;
      return `${"libquery-engine" /* QueryEngineLibrary */} ${commitHash}`;
    } else {
      const result = await (0, import_execa3.default)(enginePath, ["--version"]);
      return result.stdout;
    }
  } catch {
  }
  return void 0;
}
function getBinaryName(binaryName, platform2) {
  if (binaryName === "libquery-engine" /* QueryEngineLibrary */) {
    return `${getNodeAPIName2(platform2, "fs")}`;
  }
  const extension = platform2 === "windows" ? ".exe" : "";
  return `${binaryName}-${platform2}${extension}`;
}
async function getCachedBinaryPath({
  version: version3,
  binaryTarget,
  binaryName
}) {
  const cacheDir = await getCacheDir(channel, version3, binaryTarget);
  if (!cacheDir) {
    return null;
  }
  const cachedTargetPath = import_path14.default.join(cacheDir, binaryName);
  if (!import_fs14.default.existsSync(cachedTargetPath)) {
    return null;
  }
  if (version3 !== "latest") {
    return cachedTargetPath;
  }
  if (await exists3(cachedTargetPath)) {
    return cachedTargetPath;
  }
  return null;
}
async function downloadBinary(options2) {
  const { version: version3, progressCb, targetFilePath, downloadUrl } = options2;
  const targetDir = import_path14.default.dirname(targetFilePath);
  try {
    import_fs14.default.accessSync(targetDir, import_fs14.default.constants.W_OK);
    await (0, import_fs_extra2.ensureDir)(targetDir);
  } catch (e3) {
    if (options2.failSilent || e3.code !== "EACCES") {
      return;
    } else {
      throw new Error(`Can't write to ${targetDir} please make sure you install "prisma" with the right permissions.`);
    }
  }
  debug13(`Downloading ${downloadUrl} to ${targetFilePath} ...`);
  if (progressCb) {
    progressCb(0);
  }
  const { sha256, zippedSha256 } = await downloadZip(downloadUrl, targetFilePath, progressCb);
  if (progressCb) {
    progressCb(1);
  }
  chmodPlusX2(targetFilePath);
  await saveFileToCache(options2, version3, sha256, zippedSha256);
}
async function saveFileToCache(job, version3, sha256, zippedSha256) {
  const cacheDir = await getCacheDir(channel, version3, job.binaryTarget);
  if (!cacheDir) {
    return;
  }
  const cachedTargetPath = import_path14.default.join(cacheDir, job.binaryName);
  const cachedSha256Path = import_path14.default.join(cacheDir, job.binaryName + ".sha256");
  const cachedSha256ZippedPath = import_path14.default.join(cacheDir, job.binaryName + ".gz.sha256");
  try {
    await overwriteFile(job.targetFilePath, cachedTargetPath);
    if (sha256 != null) {
      await import_fs14.default.promises.writeFile(cachedSha256Path, sha256);
    }
    if (zippedSha256 != null) {
      await import_fs14.default.promises.writeFile(cachedSha256ZippedPath, zippedSha256);
    }
  } catch (e3) {
    debug13(e3);
  }
}
async function maybeCopyToTmp(file) {
  const dir = eval("__dirname");
  if (dir.match(vercelPkgPathRegex2)) {
    const targetDir = import_path14.default.join(import_temp_dir.default, "prisma-binaries");
    await (0, import_fs_extra2.ensureDir)(targetDir);
    const target = import_path14.default.join(targetDir, import_path14.default.basename(file));
    const data = await import_fs14.default.promises.readFile(file);
    await import_fs14.default.promises.writeFile(target, data);
    plusX(target);
    return target;
  }
  return file;
}
function plusX(file2) {
  const s3 = import_fs14.default.statSync(file2);
  const newMode = s3.mode | 64 | 8 | 1;
  if (s3.mode === newMode) {
    return;
  }
  const base8 = newMode.toString(8).slice(-3);
  import_fs14.default.chmodSync(file2, base8);
}
var import_execa3, import_fs14, import_fs_extra2, import_p_filter, import_path14, import_temp_dir, import_util5, enginesOverride, debug13, exists3, channel, vercelPkgPathRegex2;
var init_download = __esm({
  "../fetch-engine/src/download.ts"() {
    "use strict";
    init_src();
    init_src2();
    import_execa3 = __toESM(require_execa());
    import_fs14 = __toESM(require("fs"));
    import_fs_extra2 = __toESM(require_lib4());
    init_colors();
    import_p_filter = __toESM(require_p_filter());
    import_path14 = __toESM(require("path"));
    import_temp_dir = __toESM(require_temp_dir());
    import_util5 = require("util");
    init_BinaryType();
    init_chmodPlusX();
    init_cleanupCache();
    init_downloadZip();
    init_env();
    init_getHash();
    init_log();
    init_utils();
    ({ enginesOverride } = require_package3());
    debug13 = src_default("prisma:fetch-engine:download");
    exists3 = (0, import_util5.promisify)(import_fs14.default.exists);
    channel = "master";
    vercelPkgPathRegex2 = /^((\w:[\\\/])|\/)snapshot[\/\\]/;
  }
});

// ../fetch-engine/src/index.ts
var src_exports3 = {};
__export(src_exports3, {
  BinaryType: () => BinaryType2,
  allEngineEnvVarsSet: () => allEngineEnvVarsSet,
  deprecatedEnvVarMap: () => deprecatedEnvVarMap,
  download: () => download,
  engineEnvVarMap: () => engineEnvVarMap2,
  getBinaryEnvVarPath: () => getBinaryEnvVarPath,
  getBinaryName: () => getBinaryName,
  getCacheDir: () => getCacheDir,
  getProxyAgent: () => getProxyAgent,
  getVersion: () => getVersion,
  maybeCopyToTmp: () => maybeCopyToTmp,
  overwriteFile: () => overwriteFile,
  plusX: () => plusX,
  vercelPkgPathRegex: () => vercelPkgPathRegex2
});
var init_src3 = __esm({
  "../fetch-engine/src/index.ts"() {
    "use strict";
    init_BinaryType();
    init_download();
    init_env();
    init_getProxyAgent();
    init_utils();
  }
});

// ../generator-helper/src/dmmf.ts
var DMMF;
var init_dmmf = __esm({
  "../generator-helper/src/dmmf.ts"() {
    "use strict";
    ((DMMF2) => {
      let ModelAction;
      ((ModelAction2) => {
        ModelAction2["findUnique"] = "findUnique";
        ModelAction2["findUniqueOrThrow"] = "findUniqueOrThrow";
        ModelAction2["findFirst"] = "findFirst";
        ModelAction2["findFirstOrThrow"] = "findFirstOrThrow";
        ModelAction2["findMany"] = "findMany";
        ModelAction2["create"] = "create";
        ModelAction2["createMany"] = "createMany";
        ModelAction2["update"] = "update";
        ModelAction2["updateMany"] = "updateMany";
        ModelAction2["upsert"] = "upsert";
        ModelAction2["delete"] = "delete";
        ModelAction2["deleteMany"] = "deleteMany";
        ModelAction2["groupBy"] = "groupBy";
        ModelAction2["count"] = "count";
        ModelAction2["aggregate"] = "aggregate";
        ModelAction2["findRaw"] = "findRaw";
        ModelAction2["aggregateRaw"] = "aggregateRaw";
      })(ModelAction = DMMF2.ModelAction || (DMMF2.ModelAction = {}));
    })(DMMF || (DMMF = {}));
  }
});

// ../generator-helper/src/byline.ts
function byline2(readStream, options2) {
  return createStream(readStream, options2);
}
function createStream(readStream, options2) {
  if (readStream) {
    return createLineStream(readStream, options2);
  } else {
    return new LineStream(options2);
  }
}
function createLineStream(readStream, options2) {
  if (!readStream) {
    throw new Error("expected readStream");
  }
  if (!readStream.readable) {
    throw new Error("readStream must be readable");
  }
  const ls = new LineStream(options2);
  readStream.pipe(ls);
  return ls;
}
function LineStream(options2) {
  import_stream2.default.Transform.call(this, options2);
  options2 = options2 || {};
  this._readableState.objectMode = true;
  this._lineBuffer = [];
  this._keepEmptyLines = options2.keepEmptyLines || false;
  this._lastChunkEndedWithCR = false;
  this.on("pipe", function(src2) {
    if (!this.encoding) {
      if (src2 instanceof import_stream2.default.Readable) {
        this.encoding = src2._readableState.encoding;
      }
    }
  });
}
var import_stream2, import_util6;
var init_byline = __esm({
  "../generator-helper/src/byline.ts"() {
    "use strict";
    import_stream2 = __toESM(require("stream"));
    import_util6 = __toESM(require("util"));
    import_util6.default.inherits(LineStream, import_stream2.default.Transform);
    LineStream.prototype._transform = function(chunk, encoding, done) {
      encoding = encoding || "utf8";
      if (Buffer.isBuffer(chunk)) {
        if (encoding == "buffer") {
          chunk = chunk.toString();
          encoding = "utf8";
        } else {
          chunk = chunk.toString(encoding);
        }
      }
      this._chunkEncoding = encoding;
      const lines2 = chunk.split(/\r\n|\r|\n/g);
      if (this._lastChunkEndedWithCR && chunk[0] == "\n") {
        lines2.shift();
      }
      if (this._lineBuffer.length > 0) {
        this._lineBuffer[this._lineBuffer.length - 1] += lines2[0];
        lines2.shift();
      }
      this._lastChunkEndedWithCR = chunk[chunk.length - 1] == "\r";
      this._lineBuffer = this._lineBuffer.concat(lines2);
      this._pushBuffer(encoding, 1, done);
    };
    LineStream.prototype._pushBuffer = function(encoding, keep, done) {
      while (this._lineBuffer.length > keep) {
        const line = this._lineBuffer.shift();
        if (this._keepEmptyLines || line.length > 0) {
          if (!this.push(this._reencode(line, encoding))) {
            const self2 = this;
            setImmediate(function() {
              self2._pushBuffer(encoding, keep, done);
            });
            return;
          }
        }
      }
      done();
    };
    LineStream.prototype._flush = function(done) {
      this._pushBuffer(this._chunkEncoding, 0, done);
    };
    LineStream.prototype._reencode = function(line, chunkEncoding) {
      if (this.encoding && this.encoding != chunkEncoding) {
        return Buffer.from(line, chunkEncoding).toString(this.encoding);
      } else if (this.encoding) {
        return line;
      } else {
        return Buffer.from(line, chunkEncoding);
      }
    };
  }
});

// ../generator-helper/src/generatorHandler.ts
function generatorHandler(handler) {
  byline2(process.stdin).on("data", async (line) => {
    const json = JSON.parse(String(line));
    if (json.method === "generate" && json.params) {
      try {
        const result = await handler.onGenerate(json.params);
        respond({
          jsonrpc: "2.0",
          result,
          id: json.id
        });
      } catch (_e) {
        const e3 = _e;
        respond({
          jsonrpc: "2.0",
          error: {
            code: -32e3,
            message: e3.message,
            data: {
              stack: e3.stack
            }
          },
          id: json.id
        });
      }
    }
    if (json.method === "getManifest") {
      if (handler.onManifest) {
        try {
          const manifest = handler.onManifest(json.params);
          respond({
            jsonrpc: "2.0",
            result: {
              manifest
            },
            id: json.id
          });
        } catch (_e) {
          const e3 = _e;
          respond({
            jsonrpc: "2.0",
            error: {
              code: -32e3,
              message: e3.message,
              data: {
                stack: e3.stack
              }
            },
            id: json.id
          });
        }
      } else {
        respond({
          jsonrpc: "2.0",
          result: {
            manifest: null
          },
          id: json.id
        });
      }
    }
  });
  process.stdin.resume();
}
function respond(response) {
  console.error(JSON.stringify(response));
}
var init_generatorHandler = __esm({
  "../generator-helper/src/generatorHandler.ts"() {
    "use strict";
    init_byline();
  }
});

// ../generator-helper/src/GeneratorProcess.ts
function isErrorResponse(response) {
  return response.error !== void 0;
}
var import_child_process2, import_cross_spawn, debug16, globalMessageId, GeneratorError, GeneratorProcess;
var init_GeneratorProcess = __esm({
  "../generator-helper/src/GeneratorProcess.ts"() {
    "use strict";
    init_src();
    import_child_process2 = require("child_process");
    import_cross_spawn = __toESM(require_cross_spawn());
    init_colors();
    init_byline();
    debug16 = src_default("prisma:GeneratorProcess");
    globalMessageId = 1;
    GeneratorError = class extends Error {
      constructor(message2, code, data) {
        super(message2);
        this.code = code;
        this.data = data;
        this.name = "GeneratorError";
        if (data?.stack) {
          this.stack = data.stack;
        }
      }
    };
    GeneratorProcess = class {
      constructor(pathOrCommand, { isNode = false } = {}) {
        this.pathOrCommand = pathOrCommand;
        this.handlers = {};
        this.errorLogs = "";
        this.getManifest = this.rpcMethod(
          "getManifest",
          (result) => result.manifest ?? null
        );
        this.generate = this.rpcMethod("generate");
        this.isNode = isNode;
      }
      async init() {
        if (!this.initPromise) {
          this.initPromise = this.initSingleton();
        }
        return this.initPromise;
      }
      initSingleton() {
        return new Promise((resolve3, reject2) => {
          if (this.isNode) {
            this.child = (0, import_child_process2.fork)(this.pathOrCommand, [], {
              stdio: ["pipe", "inherit", "pipe", "ipc"],
              env: {
                ...process.env,
                PRISMA_GENERATOR_INVOCATION: "true"
              },
              // TODO: this assumes the host has at least 8 GB of RAM which may not be the case.
              execArgv: ["--max-old-space-size=8096"]
            });
          } else {
            this.child = (0, import_cross_spawn.spawn)(this.pathOrCommand, {
              stdio: ["pipe", "inherit", "pipe"],
              env: {
                ...process.env,
                PRISMA_GENERATOR_INVOCATION: "true"
              },
              shell: true
            });
          }
          this.child.on("exit", (code, signal) => {
            debug16(`child exited with code ${code} on signal ${signal}`);
            if (code) {
              const error2 = new GeneratorError(
                `Generator ${JSON.stringify(this.pathOrCommand)} failed:

${this.errorLogs}`
              );
              this.pendingError = error2;
              this.rejectAllHandlers(error2);
            }
          });
          this.child.stdin.on("error", () => {
          });
          this.child.on("error", (error2) => {
            debug16(error2);
            this.pendingError = error2;
            if (error2.code === "EACCES") {
              reject2(
                new Error(
                  `The executable at ${this.pathOrCommand} lacks the right permissions. Please use ${bold(
                    `chmod +x ${this.pathOrCommand}`
                  )}`
                )
              );
            } else {
              reject2(error2);
            }
            this.rejectAllHandlers(error2);
          });
          byline2(this.child.stderr).on("data", (line) => {
            const response = String(line);
            let data;
            try {
              data = JSON.parse(response);
            } catch (e3) {
              this.errorLogs += response + "\n";
              debug16(response);
            }
            if (data) {
              this.handleResponse(data);
            }
          });
          this.child.on("spawn", resolve3);
        });
      }
      rejectAllHandlers(error2) {
        for (const id2 of Object.keys(this.handlers)) {
          this.handlers[id2].reject(error2);
          delete this.handlers[id2];
        }
      }
      handleResponse(data) {
        if (data.jsonrpc && data.id) {
          if (typeof data.id !== "number") {
            throw new Error(`message.id has to be a number. Found value ${data.id}`);
          }
          if (this.handlers[data.id]) {
            if (isErrorResponse(data)) {
              const error2 = new GeneratorError(data.error.message, data.error.code, data.error.data);
              this.handlers[data.id].reject(error2);
            } else {
              this.handlers[data.id].resolve(data.result);
            }
            delete this.handlers[data.id];
          }
        }
      }
      sendMessage(message2, callback) {
        if (!this.child) {
          callback(new GeneratorError("Generator process has not started yet"));
          return;
        }
        if (!this.child.stdin.writable) {
          callback(new GeneratorError("Cannot send data to the generator process, process already exited"));
          return;
        }
        this.child.stdin.write(JSON.stringify(message2) + "\n", (error2) => {
          if (!error2) {
            return callback();
          }
          if (error2.code === "EPIPE") {
            return callback();
          }
          callback(error2);
        });
      }
      getMessageId() {
        return globalMessageId++;
      }
      stop() {
        if (!this.child?.killed) {
          this.child?.kill();
        }
      }
      rpcMethod(method, mapResult = (x) => x) {
        return (params) => new Promise((resolve3, reject2) => {
          if (this.pendingError) {
            reject2(this.pendingError);
            return;
          }
          const messageId2 = this.getMessageId();
          this.handlers[messageId2] = {
            resolve: (result) => resolve3(mapResult(result)),
            reject: reject2
          };
          this.sendMessage(
            {
              jsonrpc: "2.0",
              method,
              params,
              id: messageId2
            },
            (error2) => {
              if (error2)
                reject2(error2);
            }
          );
        });
      }
    };
  }
});

// ../generator-helper/src/types.ts
var init_types = __esm({
  "../generator-helper/src/types.ts"() {
    "use strict";
  }
});

// ../generator-helper/src/index.ts
var src_exports4 = {};
__export(src_exports4, {
  DMMF: () => DMMF,
  GeneratorError: () => GeneratorError,
  GeneratorProcess: () => GeneratorProcess,
  generatorHandler: () => generatorHandler
});
var init_src4 = __esm({
  "../generator-helper/src/index.ts"() {
    "use strict";
    init_dmmf();
    init_generatorHandler();
    init_GeneratorProcess();
    init_types();
  }
});

// ../../node_modules/.pnpm/minimatch@5.1.6/node_modules/minimatch/lib/path.js
var require_path3 = __commonJS({
  "../../node_modules/.pnpm/minimatch@5.1.6/node_modules/minimatch/lib/path.js"(exports2, module2) {
    "use strict";
    var isWindows3 = typeof process === "object" && process && process.platform === "win32";
    module2.exports = isWindows3 ? { sep: "\\" } : { sep: "/" };
  }
});

// ../../node_modules/.pnpm/minimatch@5.1.6/node_modules/minimatch/minimatch.js
var require_minimatch3 = __commonJS({
  "../../node_modules/.pnpm/minimatch@5.1.6/node_modules/minimatch/minimatch.js"(exports2, module2) {
    "use strict";
    var minimatch = module2.exports = (p2, pattern, options2 = {}) => {
      assertValidPattern(pattern);
      if (!options2.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options2).match(p2);
    };
    module2.exports = minimatch;
    var path39 = require_path3();
    minimatch.sep = path39.sep;
    var GLOBSTAR = Symbol("globstar **");
    minimatch.GLOBSTAR = GLOBSTAR;
    var expand = require_brace_expansion();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var charSet = (s3) => s3.split("").reduce((set, c4) => {
      set[c4] = true;
      return set;
    }, {});
    var reSpecials = charSet("().*{}+?[]^$\\!");
    var addPatternStartSet = charSet("[.(");
    var slashSplit = /\/+/;
    minimatch.filter = (pattern, options2 = {}) => (p2, i4, list) => minimatch(p2, pattern, options2);
    var ext = (a3, b6 = {}) => {
      const t9 = {};
      Object.keys(a3).forEach((k) => t9[k] = a3[k]);
      Object.keys(b6).forEach((k) => t9[k] = b6[k]);
      return t9;
    };
    minimatch.defaults = (def) => {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      const orig = minimatch;
      const m3 = (p2, pattern, options2) => orig(p2, pattern, ext(def, options2));
      m3.Minimatch = class Minimatch extends orig.Minimatch {
        constructor(pattern, options2) {
          super(pattern, ext(def, options2));
        }
      };
      m3.Minimatch.defaults = (options2) => orig.defaults(ext(def, options2)).Minimatch;
      m3.filter = (pattern, options2) => orig.filter(pattern, ext(def, options2));
      m3.defaults = (options2) => orig.defaults(ext(def, options2));
      m3.makeRe = (pattern, options2) => orig.makeRe(pattern, ext(def, options2));
      m3.braceExpand = (pattern, options2) => orig.braceExpand(pattern, ext(def, options2));
      m3.match = (list, pattern, options2) => orig.match(list, pattern, ext(def, options2));
      return m3;
    };
    minimatch.braceExpand = (pattern, options2) => braceExpand(pattern, options2);
    var braceExpand = (pattern, options2 = {}) => {
      assertValidPattern(pattern);
      if (options2.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    };
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = (pattern) => {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    var SUBPARSE = Symbol("subparse");
    minimatch.makeRe = (pattern, options2) => new Minimatch(pattern, options2 || {}).makeRe();
    minimatch.match = (list, pattern, options2 = {}) => {
      const mm2 = new Minimatch(pattern, options2);
      list = list.filter((f4) => mm2.match(f4));
      if (mm2.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    var globUnescape = (s3) => s3.replace(/\\(.)/g, "$1");
    var charUnescape = (s3) => s3.replace(/\\([^-\]])/g, "$1");
    var regExpEscape = (s3) => s3.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var braExpEscape = (s3) => s3.replace(/[[\]\\]/g, "\\$&");
    var Minimatch = class {
      constructor(pattern, options2) {
        assertValidPattern(pattern);
        if (!options2)
          options2 = {};
        this.options = options2;
        this.set = [];
        this.pattern = pattern;
        this.windowsPathsNoEscape = !!options2.windowsPathsNoEscape || options2.allowWindowsEscape === false;
        if (this.windowsPathsNoEscape) {
          this.pattern = this.pattern.replace(/\\/g, "/");
        }
        this.regexp = null;
        this.negate = false;
        this.comment = false;
        this.empty = false;
        this.partial = !!options2.partial;
        this.make();
      }
      debug() {
      }
      make() {
        const pattern = this.pattern;
        const options2 = this.options;
        if (!options2.nocomment && pattern.charAt(0) === "#") {
          this.comment = true;
          return;
        }
        if (!pattern) {
          this.empty = true;
          return;
        }
        this.parseNegate();
        let set = this.globSet = this.braceExpand();
        if (options2.debug)
          this.debug = (...args3) => console.error(...args3);
        this.debug(this.pattern, set);
        set = this.globParts = set.map((s3) => s3.split(slashSplit));
        this.debug(this.pattern, set);
        set = set.map((s3, si, set2) => s3.map(this.parse, this));
        this.debug(this.pattern, set);
        set = set.filter((s3) => s3.indexOf(false) === -1);
        this.debug(this.pattern, set);
        this.set = set;
      }
      parseNegate() {
        if (this.options.nonegate)
          return;
        const pattern = this.pattern;
        let negate = false;
        let negateOffset = 0;
        for (let i4 = 0; i4 < pattern.length && pattern.charAt(i4) === "!"; i4++) {
          negate = !negate;
          negateOffset++;
        }
        if (negateOffset)
          this.pattern = pattern.slice(negateOffset);
        this.negate = negate;
      }
      // set partial to true to test if, for example,
      // "/a/b" matches the start of "/*/b/*/d"
      // Partial means, if you run out of file before you run
      // out of pattern, then that's fine, as long as all
      // the parts match.
      matchOne(file2, pattern, partial) {
        var options2 = this.options;
        this.debug(
          "matchOne",
          { "this": this, file: file2, pattern }
        );
        this.debug("matchOne", file2.length, pattern.length);
        for (var fi2 = 0, pi = 0, fl2 = file2.length, pl2 = pattern.length; fi2 < fl2 && pi < pl2; fi2++, pi++) {
          this.debug("matchOne loop");
          var p2 = pattern[pi];
          var f4 = file2[fi2];
          this.debug(pattern, p2, f4);
          if (p2 === false)
            return false;
          if (p2 === GLOBSTAR) {
            this.debug("GLOBSTAR", [pattern, p2, f4]);
            var fr2 = fi2;
            var pr2 = pi + 1;
            if (pr2 === pl2) {
              this.debug("** at the end");
              for (; fi2 < fl2; fi2++) {
                if (file2[fi2] === "." || file2[fi2] === ".." || !options2.dot && file2[fi2].charAt(0) === ".")
                  return false;
              }
              return true;
            }
            while (fr2 < fl2) {
              var swallowee = file2[fr2];
              this.debug("\nglobstar while", file2, fr2, pattern, pr2, swallowee);
              if (this.matchOne(file2.slice(fr2), pattern.slice(pr2), partial)) {
                this.debug("globstar found match!", fr2, fl2, swallowee);
                return true;
              } else {
                if (swallowee === "." || swallowee === ".." || !options2.dot && swallowee.charAt(0) === ".") {
                  this.debug("dot detected!", file2, fr2, pattern, pr2);
                  break;
                }
                this.debug("globstar swallow a segment, and continue");
                fr2++;
              }
            }
            if (partial) {
              this.debug("\n>>> no match, partial?", file2, fr2, pattern, pr2);
              if (fr2 === fl2)
                return true;
            }
            return false;
          }
          var hit;
          if (typeof p2 === "string") {
            hit = f4 === p2;
            this.debug("string match", p2, f4, hit);
          } else {
            hit = f4.match(p2);
            this.debug("pattern match", p2, f4, hit);
          }
          if (!hit)
            return false;
        }
        if (fi2 === fl2 && pi === pl2) {
          return true;
        } else if (fi2 === fl2) {
          return partial;
        } else if (pi === pl2) {
          return fi2 === fl2 - 1 && file2[fi2] === "";
        }
        throw new Error("wtf?");
      }
      braceExpand() {
        return braceExpand(this.pattern, this.options);
      }
      parse(pattern, isSub) {
        assertValidPattern(pattern);
        const options2 = this.options;
        if (pattern === "**") {
          if (!options2.noglobstar)
            return GLOBSTAR;
          else
            pattern = "*";
        }
        if (pattern === "")
          return "";
        let re2 = "";
        let hasMagic = false;
        let escaping = false;
        const patternListStack = [];
        const negativeLists = [];
        let stateChar;
        let inClass = false;
        let reClassStart = -1;
        let classStart = -1;
        let cs2;
        let pl2;
        let sp;
        let dotTravAllowed = pattern.charAt(0) === ".";
        let dotFileAllowed = options2.dot || dotTravAllowed;
        const patternStart = () => dotTravAllowed ? "" : dotFileAllowed ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const subPatternStart = (p2) => p2.charAt(0) === "." ? "" : options2.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const clearStateChar = () => {
          if (stateChar) {
            switch (stateChar) {
              case "*":
                re2 += star;
                hasMagic = true;
                break;
              case "?":
                re2 += qmark;
                hasMagic = true;
                break;
              default:
                re2 += "\\" + stateChar;
                break;
            }
            this.debug("clearStateChar %j %j", stateChar, re2);
            stateChar = false;
          }
        };
        for (let i4 = 0, c4; i4 < pattern.length && (c4 = pattern.charAt(i4)); i4++) {
          this.debug("%s	%s %s %j", pattern, i4, re2, c4);
          if (escaping) {
            if (c4 === "/") {
              return false;
            }
            if (reSpecials[c4]) {
              re2 += "\\";
            }
            re2 += c4;
            escaping = false;
            continue;
          }
          switch (c4) {
            case "/": {
              return false;
            }
            case "\\":
              if (inClass && pattern.charAt(i4 + 1) === "-") {
                re2 += c4;
                continue;
              }
              clearStateChar();
              escaping = true;
              continue;
            case "?":
            case "*":
            case "+":
            case "@":
            case "!":
              this.debug("%s	%s %s %j <-- stateChar", pattern, i4, re2, c4);
              if (inClass) {
                this.debug("  in class");
                if (c4 === "!" && i4 === classStart + 1)
                  c4 = "^";
                re2 += c4;
                continue;
              }
              this.debug("call clearStateChar %j", stateChar);
              clearStateChar();
              stateChar = c4;
              if (options2.noext)
                clearStateChar();
              continue;
            case "(": {
              if (inClass) {
                re2 += "(";
                continue;
              }
              if (!stateChar) {
                re2 += "\\(";
                continue;
              }
              const plEntry = {
                type: stateChar,
                start: i4 - 1,
                reStart: re2.length,
                open: plTypes[stateChar].open,
                close: plTypes[stateChar].close
              };
              this.debug(this.pattern, "	", plEntry);
              patternListStack.push(plEntry);
              re2 += plEntry.open;
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re2 += subPatternStart(pattern.slice(i4 + 1));
              }
              this.debug("plType %j %j", stateChar, re2);
              stateChar = false;
              continue;
            }
            case ")": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re2 += "\\)";
                continue;
              }
              patternListStack.pop();
              clearStateChar();
              hasMagic = true;
              pl2 = plEntry;
              re2 += pl2.close;
              if (pl2.type === "!") {
                negativeLists.push(Object.assign(pl2, { reEnd: re2.length }));
              }
              continue;
            }
            case "|": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re2 += "\\|";
                continue;
              }
              clearStateChar();
              re2 += "|";
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re2 += subPatternStart(pattern.slice(i4 + 1));
              }
              continue;
            }
            case "[":
              clearStateChar();
              if (inClass) {
                re2 += "\\" + c4;
                continue;
              }
              inClass = true;
              classStart = i4;
              reClassStart = re2.length;
              re2 += c4;
              continue;
            case "]":
              if (i4 === classStart + 1 || !inClass) {
                re2 += "\\" + c4;
                continue;
              }
              cs2 = pattern.substring(classStart + 1, i4);
              try {
                RegExp("[" + braExpEscape(charUnescape(cs2)) + "]");
                re2 += c4;
              } catch (er) {
                re2 = re2.substring(0, reClassStart) + "(?:$.)";
              }
              hasMagic = true;
              inClass = false;
              continue;
            default:
              clearStateChar();
              if (reSpecials[c4] && !(c4 === "^" && inClass)) {
                re2 += "\\";
              }
              re2 += c4;
              break;
          }
        }
        if (inClass) {
          cs2 = pattern.slice(classStart + 1);
          sp = this.parse(cs2, SUBPARSE);
          re2 = re2.substring(0, reClassStart) + "\\[" + sp[0];
          hasMagic = hasMagic || sp[1];
        }
        for (pl2 = patternListStack.pop(); pl2; pl2 = patternListStack.pop()) {
          let tail2;
          tail2 = re2.slice(pl2.reStart + pl2.open.length);
          this.debug("setting tail", re2, pl2);
          tail2 = tail2.replace(/((?:\\{2}){0,64})(\\?)\|/g, (_3, $1, $22) => {
            if (!$22) {
              $22 = "\\";
            }
            return $1 + $1 + $22 + "|";
          });
          this.debug("tail=%j\n   %s", tail2, tail2, pl2, re2);
          const t9 = pl2.type === "*" ? star : pl2.type === "?" ? qmark : "\\" + pl2.type;
          hasMagic = true;
          re2 = re2.slice(0, pl2.reStart) + t9 + "\\(" + tail2;
        }
        clearStateChar();
        if (escaping) {
          re2 += "\\\\";
        }
        const addPatternStart = addPatternStartSet[re2.charAt(0)];
        for (let n2 = negativeLists.length - 1; n2 > -1; n2--) {
          const nl = negativeLists[n2];
          const nlBefore = re2.slice(0, nl.reStart);
          const nlFirst = re2.slice(nl.reStart, nl.reEnd - 8);
          let nlAfter = re2.slice(nl.reEnd);
          const nlLast = re2.slice(nl.reEnd - 8, nl.reEnd) + nlAfter;
          const closeParensBefore = nlBefore.split(")").length;
          const openParensBefore = nlBefore.split("(").length - closeParensBefore;
          let cleanAfter = nlAfter;
          for (let i4 = 0; i4 < openParensBefore; i4++) {
            cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
          }
          nlAfter = cleanAfter;
          const dollar = nlAfter === "" && isSub !== SUBPARSE ? "(?:$|\\/)" : "";
          re2 = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        }
        if (re2 !== "" && hasMagic) {
          re2 = "(?=.)" + re2;
        }
        if (addPatternStart) {
          re2 = patternStart() + re2;
        }
        if (isSub === SUBPARSE) {
          return [re2, hasMagic];
        }
        if (options2.nocase && !hasMagic) {
          hasMagic = pattern.toUpperCase() !== pattern.toLowerCase();
        }
        if (!hasMagic) {
          return globUnescape(pattern);
        }
        const flags = options2.nocase ? "i" : "";
        try {
          return Object.assign(new RegExp("^" + re2 + "$", flags), {
            _glob: pattern,
            _src: re2
          });
        } catch (er) {
          return new RegExp("$.");
        }
      }
      makeRe() {
        if (this.regexp || this.regexp === false)
          return this.regexp;
        const set = this.set;
        if (!set.length) {
          this.regexp = false;
          return this.regexp;
        }
        const options2 = this.options;
        const twoStar = options2.noglobstar ? star : options2.dot ? twoStarDot : twoStarNoDot;
        const flags = options2.nocase ? "i" : "";
        let re2 = set.map((pattern) => {
          pattern = pattern.map(
            (p2) => typeof p2 === "string" ? regExpEscape(p2) : p2 === GLOBSTAR ? GLOBSTAR : p2._src
          ).reduce((set2, p2) => {
            if (!(set2[set2.length - 1] === GLOBSTAR && p2 === GLOBSTAR)) {
              set2.push(p2);
            }
            return set2;
          }, []);
          pattern.forEach((p2, i4) => {
            if (p2 !== GLOBSTAR || pattern[i4 - 1] === GLOBSTAR) {
              return;
            }
            if (i4 === 0) {
              if (pattern.length > 1) {
                pattern[i4 + 1] = "(?:\\/|" + twoStar + "\\/)?" + pattern[i4 + 1];
              } else {
                pattern[i4] = twoStar;
              }
            } else if (i4 === pattern.length - 1) {
              pattern[i4 - 1] += "(?:\\/|" + twoStar + ")?";
            } else {
              pattern[i4 - 1] += "(?:\\/|\\/" + twoStar + "\\/)" + pattern[i4 + 1];
              pattern[i4 + 1] = GLOBSTAR;
            }
          });
          return pattern.filter((p2) => p2 !== GLOBSTAR).join("/");
        }).join("|");
        re2 = "^(?:" + re2 + ")$";
        if (this.negate)
          re2 = "^(?!" + re2 + ").*$";
        try {
          this.regexp = new RegExp(re2, flags);
        } catch (ex2) {
          this.regexp = false;
        }
        return this.regexp;
      }
      match(f4, partial = this.partial) {
        this.debug("match", f4, this.pattern);
        if (this.comment)
          return false;
        if (this.empty)
          return f4 === "";
        if (f4 === "/" && partial)
          return true;
        const options2 = this.options;
        if (path39.sep !== "/") {
          f4 = f4.split(path39.sep).join("/");
        }
        f4 = f4.split(slashSplit);
        this.debug(this.pattern, "split", f4);
        const set = this.set;
        this.debug(this.pattern, "set", set);
        let filename;
        for (let i4 = f4.length - 1; i4 >= 0; i4--) {
          filename = f4[i4];
          if (filename)
            break;
        }
        for (let i4 = 0; i4 < set.length; i4++) {
          const pattern = set[i4];
          let file2 = f4;
          if (options2.matchBase && pattern.length === 1) {
            file2 = [filename];
          }
          const hit = this.matchOne(file2, pattern, partial);
          if (hit) {
            if (options2.flipNegate)
              return true;
            return !this.negate;
          }
        }
        if (options2.flipNegate)
          return false;
        return this.negate;
      }
      static defaults(def) {
        return minimatch.defaults(def).Minimatch;
      }
    };
    minimatch.Minimatch = Minimatch;
  }
});

// ../../node_modules/.pnpm/readdir-glob@1.1.2/node_modules/readdir-glob/index.js
var require_readdir_glob = __commonJS({
  "../../node_modules/.pnpm/readdir-glob@1.1.2/node_modules/readdir-glob/index.js"(exports2, module2) {
    "use strict";
    module2.exports = readdirGlob;
    var fs42 = require("fs");
    var { EventEmitter: EventEmitter2 } = require("events");
    var { Minimatch } = require_minimatch3();
    var { resolve: resolve3 } = require("path");
    function readdir(dir3, strict) {
      return new Promise((resolve4, reject2) => {
        fs42.readdir(dir3, { withFileTypes: true }, (err, files) => {
          if (err) {
            switch (err.code) {
              case "ENOTDIR":
                if (strict) {
                  reject2(err);
                } else {
                  resolve4([]);
                }
                break;
              case "ENOTSUP":
              case "ENOENT":
              case "ENAMETOOLONG":
              case "UNKNOWN":
                resolve4([]);
                break;
              case "ELOOP":
              default:
                reject2(err);
                break;
            }
          } else {
            resolve4(files);
          }
        });
      });
    }
    function stat(file2, followSymlinks) {
      return new Promise((resolve4, reject2) => {
        const statFunc = followSymlinks ? fs42.stat : fs42.lstat;
        statFunc(file2, (err, stats) => {
          if (err) {
            switch (err.code) {
              case "ENOENT":
                if (followSymlinks) {
                  resolve4(stat(file2, false));
                } else {
                  resolve4(null);
                }
                break;
              default:
                resolve4(null);
                break;
            }
          } else {
            resolve4(stats);
          }
        });
      });
    }
    async function* exploreWalkAsync(dir3, path39, followSymlinks, useStat, shouldSkip, strict) {
      let files = await readdir(path39 + dir3, strict);
      for (const file2 of files) {
        let name = file2.name;
        if (name === void 0) {
          name = file2;
          useStat = true;
        }
        const filename = dir3 + "/" + name;
        const relative2 = filename.slice(1);
        const absolute = path39 + "/" + relative2;
        let stats = null;
        if (useStat || followSymlinks) {
          stats = await stat(absolute, followSymlinks);
        }
        if (!stats && file2.name !== void 0) {
          stats = file2;
        }
        if (stats === null) {
          stats = { isDirectory: () => false };
        }
        if (stats.isDirectory()) {
          if (!shouldSkip(relative2)) {
            yield { relative: relative2, absolute, stats };
            yield* exploreWalkAsync(filename, path39, followSymlinks, useStat, shouldSkip, false);
          }
        } else {
          yield { relative: relative2, absolute, stats };
        }
      }
    }
    async function* explore(path39, followSymlinks, useStat, shouldSkip) {
      yield* exploreWalkAsync("", path39, followSymlinks, useStat, shouldSkip, true);
    }
    function readOptions(options2) {
      return {
        pattern: options2.pattern,
        dot: !!options2.dot,
        noglobstar: !!options2.noglobstar,
        matchBase: !!options2.matchBase,
        nocase: !!options2.nocase,
        ignore: options2.ignore,
        skip: options2.skip,
        follow: !!options2.follow,
        stat: !!options2.stat,
        nodir: !!options2.nodir,
        mark: !!options2.mark,
        silent: !!options2.silent,
        absolute: !!options2.absolute
      };
    }
    var ReaddirGlob = class extends EventEmitter2 {
      constructor(cwd, options2, cb2) {
        super();
        if (typeof options2 === "function") {
          cb2 = options2;
          options2 = null;
        }
        this.options = readOptions(options2 || {});
        this.matchers = [];
        if (this.options.pattern) {
          const matchers = Array.isArray(this.options.pattern) ? this.options.pattern : [this.options.pattern];
          this.matchers = matchers.map(
            (m3) => new Minimatch(m3, {
              dot: this.options.dot,
              noglobstar: this.options.noglobstar,
              matchBase: this.options.matchBase,
              nocase: this.options.nocase
            })
          );
        }
        this.ignoreMatchers = [];
        if (this.options.ignore) {
          const ignorePatterns = Array.isArray(this.options.ignore) ? this.options.ignore : [this.options.ignore];
          this.ignoreMatchers = ignorePatterns.map(
            (ignore) => new Minimatch(ignore, { dot: true })
          );
        }
        this.skipMatchers = [];
        if (this.options.skip) {
          const skipPatterns = Array.isArray(this.options.skip) ? this.options.skip : [this.options.skip];
          this.skipMatchers = skipPatterns.map(
            (skip) => new Minimatch(skip, { dot: true })
          );
        }
        this.iterator = explore(resolve3(cwd || "."), this.options.follow, this.options.stat, this._shouldSkipDirectory.bind(this));
        this.paused = false;
        this.inactive = false;
        this.aborted = false;
        if (cb2) {
          this._matches = [];
          this.on("match", (match4) => this._matches.push(this.options.absolute ? match4.absolute : match4.relative));
          this.on("error", (err) => cb2(err));
          this.on("end", () => cb2(null, this._matches));
        }
        setTimeout(() => this._next(), 0);
      }
      _shouldSkipDirectory(relative2) {
        return this.skipMatchers.some((m3) => m3.match(relative2));
      }
      _fileMatches(relative2, isDirectory) {
        const file2 = relative2 + (isDirectory ? "/" : "");
        return (this.matchers.length === 0 || this.matchers.some((m3) => m3.match(file2))) && !this.ignoreMatchers.some((m3) => m3.match(file2)) && (!this.options.nodir || !isDirectory);
      }
      _next() {
        if (!this.paused && !this.aborted) {
          this.iterator.next().then((obj) => {
            if (!obj.done) {
              const isDirectory = obj.value.stats.isDirectory();
              if (this._fileMatches(obj.value.relative, isDirectory)) {
                let relative2 = obj.value.relative;
                let absolute = obj.value.absolute;
                if (this.options.mark && isDirectory) {
                  relative2 += "/";
                  absolute += "/";
                }
                if (this.options.stat) {
                  this.emit("match", { relative: relative2, absolute, stat: obj.value.stats });
                } else {
                  this.emit("match", { relative: relative2, absolute });
                }
              }
              this._next(this.iterator);
            } else {
              this.emit("end");
            }
          }).catch((err) => {
            this.abort();
            this.emit("error", err);
            if (!err.code && !this.options.silent) {
              console.error(err);
            }
          });
        } else {
          this.inactive = true;
        }
      }
      abort() {
        this.aborted = true;
      }
      pause() {
        this.paused = true;
      }
      resume() {
        this.paused = false;
        if (this.inactive) {
          this.inactive = false;
          this._next();
        }
      }
    };
    function readdirGlob(pattern, options2, cb2) {
      return new ReaddirGlob(pattern, options2, cb2);
    }
    readdirGlob.ReaddirGlob = ReaddirGlob;
  }
});

// ../../node_modules/.pnpm/async@3.2.4/node_modules/async/dist/async.mjs
var async_exports = {};
__export(async_exports, {
  all: () => every$1,
  allLimit: () => everyLimit$1,
  allSeries: () => everySeries$1,
  any: () => some$1,
  anyLimit: () => someLimit$1,
  anySeries: () => someSeries$1,
  apply: () => apply,
  applyEach: () => applyEach$1,
  applyEachSeries: () => applyEachSeries,
  asyncify: () => asyncify,
  auto: () => auto,
  autoInject: () => autoInject,
  cargo: () => cargo,
  cargoQueue: () => cargo$1,
  compose: () => compose,
  concat: () => concat$1,
  concatLimit: () => concatLimit$1,
  concatSeries: () => concatSeries$1,
  constant: () => constant,
  default: () => async_default,
  detect: () => detect$1,
  detectLimit: () => detectLimit$1,
  detectSeries: () => detectSeries$1,
  dir: () => dir2,
  doDuring: () => doWhilst$1,
  doUntil: () => doUntil,
  doWhilst: () => doWhilst$1,
  during: () => whilst$1,
  each: () => each,
  eachLimit: () => eachLimit$2,
  eachOf: () => eachOf$1,
  eachOfLimit: () => eachOfLimit$2,
  eachOfSeries: () => eachOfSeries$1,
  eachSeries: () => eachSeries$1,
  ensureAsync: () => ensureAsync,
  every: () => every$1,
  everyLimit: () => everyLimit$1,
  everySeries: () => everySeries$1,
  filter: () => filter$1,
  filterLimit: () => filterLimit$1,
  filterSeries: () => filterSeries$1,
  find: () => detect$1,
  findLimit: () => detectLimit$1,
  findSeries: () => detectSeries$1,
  flatMap: () => concat$1,
  flatMapLimit: () => concatLimit$1,
  flatMapSeries: () => concatSeries$1,
  foldl: () => reduce$1,
  foldr: () => reduceRight,
  forEach: () => each,
  forEachLimit: () => eachLimit$2,
  forEachOf: () => eachOf$1,
  forEachOfLimit: () => eachOfLimit$2,
  forEachOfSeries: () => eachOfSeries$1,
  forEachSeries: () => eachSeries$1,
  forever: () => forever$1,
  groupBy: () => groupBy,
  groupByLimit: () => groupByLimit$1,
  groupBySeries: () => groupBySeries,
  inject: () => reduce$1,
  log: () => log3,
  map: () => map$1,
  mapLimit: () => mapLimit$1,
  mapSeries: () => mapSeries$1,
  mapValues: () => mapValues,
  mapValuesLimit: () => mapValuesLimit$1,
  mapValuesSeries: () => mapValuesSeries,
  memoize: () => memoize,
  nextTick: () => nextTick,
  parallel: () => parallel$1,
  parallelLimit: () => parallelLimit,
  priorityQueue: () => priorityQueue,
  queue: () => queue$1,
  race: () => race$1,
  reduce: () => reduce$1,
  reduceRight: () => reduceRight,
  reflect: () => reflect,
  reflectAll: () => reflectAll,
  reject: () => reject$2,
  rejectLimit: () => rejectLimit$1,
  rejectSeries: () => rejectSeries$1,
  retry: () => retry2,
  retryable: () => retryable,
  select: () => filter$1,
  selectLimit: () => filterLimit$1,
  selectSeries: () => filterSeries$1,
  seq: () => seq,
  series: () => series,
  setImmediate: () => setImmediate$1,
  some: () => some$1,
  someLimit: () => someLimit$1,
  someSeries: () => someSeries$1,
  sortBy: () => sortBy$1,
  timeout: () => timeout,
  times: () => times,
  timesLimit: () => timesLimit,
  timesSeries: () => timesSeries,
  transform: () => transform,
  tryEach: () => tryEach$1,
  unmemoize: () => unmemoize,
  until: () => until,
  waterfall: () => waterfall$1,
  whilst: () => whilst$1,
  wrapSync: () => asyncify
});
function apply(fn2, ...args3) {
  return (...callArgs) => fn2(...args3, ...callArgs);
}
function initialParams(fn2) {
  return function(...args3) {
    var callback = args3.pop();
    return fn2.call(this, args3, callback);
  };
}
function fallback(fn2) {
  setTimeout(fn2, 0);
}
function wrap2(defer) {
  return (fn2, ...args3) => defer(() => fn2(...args3));
}
function asyncify(func) {
  if (isAsync(func)) {
    return function(...args3) {
      const callback = args3.pop();
      const promise = func.apply(this, args3);
      return handlePromise(promise, callback);
    };
  }
  return initialParams(function(args3, callback) {
    var result;
    try {
      result = func.apply(this, args3);
    } catch (e3) {
      return callback(e3);
    }
    if (result && typeof result.then === "function") {
      return handlePromise(result, callback);
    } else {
      callback(null, result);
    }
  });
}
function handlePromise(promise, callback) {
  return promise.then((value) => {
    invokeCallback(callback, null, value);
  }, (err) => {
    invokeCallback(callback, err && err.message ? err : new Error(err));
  });
}
function invokeCallback(callback, error2, value) {
  try {
    callback(error2, value);
  } catch (err) {
    setImmediate$1((e3) => {
      throw e3;
    }, err);
  }
}
function isAsync(fn2) {
  return fn2[Symbol.toStringTag] === "AsyncFunction";
}
function isAsyncGenerator(fn2) {
  return fn2[Symbol.toStringTag] === "AsyncGenerator";
}
function isAsyncIterable(obj) {
  return typeof obj[Symbol.asyncIterator] === "function";
}
function wrapAsync(asyncFn) {
  if (typeof asyncFn !== "function")
    throw new Error("expected a function");
  return isAsync(asyncFn) ? asyncify(asyncFn) : asyncFn;
}
function awaitify(asyncFn, arity = asyncFn.length) {
  if (!arity)
    throw new Error("arity is undefined");
  function awaitable(...args3) {
    if (typeof args3[arity - 1] === "function") {
      return asyncFn.apply(this, args3);
    }
    return new Promise((resolve3, reject2) => {
      args3[arity - 1] = (err, ...cbArgs) => {
        if (err)
          return reject2(err);
        resolve3(cbArgs.length > 1 ? cbArgs : cbArgs[0]);
      };
      asyncFn.apply(this, args3);
    });
  }
  return awaitable;
}
function applyEach(eachfn) {
  return function applyEach2(fns, ...callArgs) {
    const go2 = awaitify(function(callback) {
      var that = this;
      return eachfn(fns, (fn2, cb2) => {
        wrapAsync(fn2).apply(that, callArgs.concat(cb2));
      }, callback);
    });
    return go2;
  };
}
function _asyncMap(eachfn, arr, iteratee, callback) {
  arr = arr || [];
  var results = [];
  var counter = 0;
  var _iteratee = wrapAsync(iteratee);
  return eachfn(arr, (value, _3, iterCb) => {
    var index2 = counter++;
    _iteratee(value, (err, v2) => {
      results[index2] = v2;
      iterCb(err);
    });
  }, (err) => {
    callback(err, results);
  });
}
function isArrayLike(value) {
  return value && typeof value.length === "number" && value.length >= 0 && value.length % 1 === 0;
}
function once(fn2) {
  function wrapper(...args3) {
    if (fn2 === null)
      return;
    var callFn = fn2;
    fn2 = null;
    callFn.apply(this, args3);
  }
  Object.assign(wrapper, fn2);
  return wrapper;
}
function getIterator(coll) {
  return coll[Symbol.iterator] && coll[Symbol.iterator]();
}
function createArrayIterator(coll) {
  var i4 = -1;
  var len = coll.length;
  return function next() {
    return ++i4 < len ? { value: coll[i4], key: i4 } : null;
  };
}
function createES2015Iterator(iterator) {
  var i4 = -1;
  return function next() {
    var item2 = iterator.next();
    if (item2.done)
      return null;
    i4++;
    return { value: item2.value, key: i4 };
  };
}
function createObjectIterator(obj) {
  var okeys = obj ? Object.keys(obj) : [];
  var i4 = -1;
  var len = okeys.length;
  return function next() {
    var key = okeys[++i4];
    if (key === "__proto__") {
      return next();
    }
    return i4 < len ? { value: obj[key], key } : null;
  };
}
function createIterator(coll) {
  if (isArrayLike(coll)) {
    return createArrayIterator(coll);
  }
  var iterator = getIterator(coll);
  return iterator ? createES2015Iterator(iterator) : createObjectIterator(coll);
}
function onlyOnce(fn2) {
  return function(...args3) {
    if (fn2 === null)
      throw new Error("Callback was already called.");
    var callFn = fn2;
    fn2 = null;
    callFn.apply(this, args3);
  };
}
function asyncEachOfLimit(generator, limit, iteratee, callback) {
  let done = false;
  let canceled = false;
  let awaiting = false;
  let running = 0;
  let idx = 0;
  function replenish() {
    if (running >= limit || awaiting || done)
      return;
    awaiting = true;
    generator.next().then(({ value, done: iterDone }) => {
      if (canceled || done)
        return;
      awaiting = false;
      if (iterDone) {
        done = true;
        if (running <= 0) {
          callback(null);
        }
        return;
      }
      running++;
      iteratee(value, idx, iterateeCallback);
      idx++;
      replenish();
    }).catch(handleError);
  }
  function iterateeCallback(err, result) {
    running -= 1;
    if (canceled)
      return;
    if (err)
      return handleError(err);
    if (err === false) {
      done = true;
      canceled = true;
      return;
    }
    if (result === breakLoop || done && running <= 0) {
      done = true;
      return callback(null);
    }
    replenish();
  }
  function handleError(err) {
    if (canceled)
      return;
    awaiting = false;
    done = true;
    callback(err);
  }
  replenish();
}
function eachOfLimit$1(coll, limit, iteratee, callback) {
  return eachOfLimit(limit)(coll, wrapAsync(iteratee), callback);
}
function eachOfArrayLike(coll, iteratee, callback) {
  callback = once(callback);
  var index2 = 0, completed = 0, { length } = coll, canceled = false;
  if (length === 0) {
    callback(null);
  }
  function iteratorCallback(err, value) {
    if (err === false) {
      canceled = true;
    }
    if (canceled === true)
      return;
    if (err) {
      callback(err);
    } else if (++completed === length || value === breakLoop) {
      callback(null);
    }
  }
  for (; index2 < length; index2++) {
    iteratee(coll[index2], index2, onlyOnce(iteratorCallback));
  }
}
function eachOfGeneric(coll, iteratee, callback) {
  return eachOfLimit$2(coll, Infinity, iteratee, callback);
}
function eachOf(coll, iteratee, callback) {
  var eachOfImplementation = isArrayLike(coll) ? eachOfArrayLike : eachOfGeneric;
  return eachOfImplementation(coll, wrapAsync(iteratee), callback);
}
function map7(coll, iteratee, callback) {
  return _asyncMap(eachOf$1, coll, iteratee, callback);
}
function eachOfSeries(coll, iteratee, callback) {
  return eachOfLimit$2(coll, 1, iteratee, callback);
}
function mapSeries(coll, iteratee, callback) {
  return _asyncMap(eachOfSeries$1, coll, iteratee, callback);
}
function promiseCallback() {
  let resolve3, reject2;
  function callback(err, ...args3) {
    if (err)
      return reject2(err);
    resolve3(args3.length > 1 ? args3 : args3[0]);
  }
  callback[PROMISE_SYMBOL] = new Promise((res, rej) => {
    resolve3 = res, reject2 = rej;
  });
  return callback;
}
function auto(tasks, concurrency, callback) {
  if (typeof concurrency !== "number") {
    callback = concurrency;
    concurrency = null;
  }
  callback = once(callback || promiseCallback());
  var numTasks = Object.keys(tasks).length;
  if (!numTasks) {
    return callback(null);
  }
  if (!concurrency) {
    concurrency = numTasks;
  }
  var results = {};
  var runningTasks = 0;
  var canceled = false;
  var hasError = false;
  var listeners = /* @__PURE__ */ Object.create(null);
  var readyTasks = [];
  var readyToCheck = [];
  var uncheckedDependencies = {};
  Object.keys(tasks).forEach((key) => {
    var task = tasks[key];
    if (!Array.isArray(task)) {
      enqueueTask(key, [task]);
      readyToCheck.push(key);
      return;
    }
    var dependencies2 = task.slice(0, task.length - 1);
    var remainingDependencies = dependencies2.length;
    if (remainingDependencies === 0) {
      enqueueTask(key, task);
      readyToCheck.push(key);
      return;
    }
    uncheckedDependencies[key] = remainingDependencies;
    dependencies2.forEach((dependencyName) => {
      if (!tasks[dependencyName]) {
        throw new Error("async.auto task `" + key + "` has a non-existent dependency `" + dependencyName + "` in " + dependencies2.join(", "));
      }
      addListener(dependencyName, () => {
        remainingDependencies--;
        if (remainingDependencies === 0) {
          enqueueTask(key, task);
        }
      });
    });
  });
  checkForDeadlocks();
  processQueue();
  function enqueueTask(key, task) {
    readyTasks.push(() => runTask(key, task));
  }
  function processQueue() {
    if (canceled)
      return;
    if (readyTasks.length === 0 && runningTasks === 0) {
      return callback(null, results);
    }
    while (readyTasks.length && runningTasks < concurrency) {
      var run2 = readyTasks.shift();
      run2();
    }
  }
  function addListener(taskName, fn2) {
    var taskListeners = listeners[taskName];
    if (!taskListeners) {
      taskListeners = listeners[taskName] = [];
    }
    taskListeners.push(fn2);
  }
  function taskComplete(taskName) {
    var taskListeners = listeners[taskName] || [];
    taskListeners.forEach((fn2) => fn2());
    processQueue();
  }
  function runTask(key, task) {
    if (hasError)
      return;
    var taskCallback = onlyOnce((err, ...result) => {
      runningTasks--;
      if (err === false) {
        canceled = true;
        return;
      }
      if (result.length < 2) {
        [result] = result;
      }
      if (err) {
        var safeResults = {};
        Object.keys(results).forEach((rkey) => {
          safeResults[rkey] = results[rkey];
        });
        safeResults[key] = result;
        hasError = true;
        listeners = /* @__PURE__ */ Object.create(null);
        if (canceled)
          return;
        callback(err, safeResults);
      } else {
        results[key] = result;
        taskComplete(key);
      }
    });
    runningTasks++;
    var taskFn = wrapAsync(task[task.length - 1]);
    if (task.length > 1) {
      taskFn(results, taskCallback);
    } else {
      taskFn(taskCallback);
    }
  }
  function checkForDeadlocks() {
    var currentTask;
    var counter = 0;
    while (readyToCheck.length) {
      currentTask = readyToCheck.pop();
      counter++;
      getDependents(currentTask).forEach((dependent) => {
        if (--uncheckedDependencies[dependent] === 0) {
          readyToCheck.push(dependent);
        }
      });
    }
    if (counter !== numTasks) {
      throw new Error(
        "async.auto cannot execute tasks due to a recursive dependency"
      );
    }
  }
  function getDependents(taskName) {
    var result = [];
    Object.keys(tasks).forEach((key) => {
      const task = tasks[key];
      if (Array.isArray(task) && task.indexOf(taskName) >= 0) {
        result.push(key);
      }
    });
    return result;
  }
  return callback[PROMISE_SYMBOL];
}
function stripComments(string) {
  let stripped = "";
  let index2 = 0;
  let endBlockComment = string.indexOf("*/");
  while (index2 < string.length) {
    if (string[index2] === "/" && string[index2 + 1] === "/") {
      let endIndex = string.indexOf("\n", index2);
      index2 = endIndex === -1 ? string.length : endIndex;
    } else if (endBlockComment !== -1 && string[index2] === "/" && string[index2 + 1] === "*") {
      let endIndex = string.indexOf("*/", index2);
      if (endIndex !== -1) {
        index2 = endIndex + 2;
        endBlockComment = string.indexOf("*/", index2);
      } else {
        stripped += string[index2];
        index2++;
      }
    } else {
      stripped += string[index2];
      index2++;
    }
  }
  return stripped;
}
function parseParams(func) {
  const src2 = stripComments(func.toString());
  let match4 = src2.match(FN_ARGS);
  if (!match4) {
    match4 = src2.match(ARROW_FN_ARGS);
  }
  if (!match4)
    throw new Error("could not parse args in autoInject\nSource:\n" + src2);
  let [, args3] = match4;
  return args3.replace(/\s/g, "").split(FN_ARG_SPLIT).map((arg3) => arg3.replace(FN_ARG, "").trim());
}
function autoInject(tasks, callback) {
  var newTasks = {};
  Object.keys(tasks).forEach((key) => {
    var taskFn = tasks[key];
    var params;
    var fnIsAsync = isAsync(taskFn);
    var hasNoDeps = !fnIsAsync && taskFn.length === 1 || fnIsAsync && taskFn.length === 0;
    if (Array.isArray(taskFn)) {
      params = [...taskFn];
      taskFn = params.pop();
      newTasks[key] = params.concat(params.length > 0 ? newTask : taskFn);
    } else if (hasNoDeps) {
      newTasks[key] = taskFn;
    } else {
      params = parseParams(taskFn);
      if (taskFn.length === 0 && !fnIsAsync && params.length === 0) {
        throw new Error("autoInject task functions require explicit parameters.");
      }
      if (!fnIsAsync)
        params.pop();
      newTasks[key] = params.concat(newTask);
    }
    function newTask(results, taskCb) {
      var newArgs = params.map((name) => results[name]);
      newArgs.push(taskCb);
      wrapAsync(taskFn)(...newArgs);
    }
  });
  return auto(newTasks, callback);
}
function setInitial(dll, node) {
  dll.length = 1;
  dll.head = dll.tail = node;
}
function queue(worker, concurrency, payload) {
  if (concurrency == null) {
    concurrency = 1;
  } else if (concurrency === 0) {
    throw new RangeError("Concurrency must not be zero");
  }
  var _worker = wrapAsync(worker);
  var numRunning = 0;
  var workersList = [];
  const events = {
    error: [],
    drain: [],
    saturated: [],
    unsaturated: [],
    empty: []
  };
  function on(event, handler) {
    events[event].push(handler);
  }
  function once2(event, handler) {
    const handleAndRemove = (...args3) => {
      off(event, handleAndRemove);
      handler(...args3);
    };
    events[event].push(handleAndRemove);
  }
  function off(event, handler) {
    if (!event)
      return Object.keys(events).forEach((ev) => events[ev] = []);
    if (!handler)
      return events[event] = [];
    events[event] = events[event].filter((ev) => ev !== handler);
  }
  function trigger(event, ...args3) {
    events[event].forEach((handler) => handler(...args3));
  }
  var processingScheduled = false;
  function _insert(data, insertAtFront, rejectOnError, callback) {
    if (callback != null && typeof callback !== "function") {
      throw new Error("task callback must be a function");
    }
    q.started = true;
    var res, rej;
    function promiseCallback2(err, ...args3) {
      if (err)
        return rejectOnError ? rej(err) : res();
      if (args3.length <= 1)
        return res(args3[0]);
      res(args3);
    }
    var item2 = q._createTaskItem(
      data,
      rejectOnError ? promiseCallback2 : callback || promiseCallback2
    );
    if (insertAtFront) {
      q._tasks.unshift(item2);
    } else {
      q._tasks.push(item2);
    }
    if (!processingScheduled) {
      processingScheduled = true;
      setImmediate$1(() => {
        processingScheduled = false;
        q.process();
      });
    }
    if (rejectOnError || !callback) {
      return new Promise((resolve3, reject2) => {
        res = resolve3;
        rej = reject2;
      });
    }
  }
  function _createCB(tasks) {
    return function(err, ...args3) {
      numRunning -= 1;
      for (var i4 = 0, l2 = tasks.length; i4 < l2; i4++) {
        var task = tasks[i4];
        var index2 = workersList.indexOf(task);
        if (index2 === 0) {
          workersList.shift();
        } else if (index2 > 0) {
          workersList.splice(index2, 1);
        }
        task.callback(err, ...args3);
        if (err != null) {
          trigger("error", err, task.data);
        }
      }
      if (numRunning <= q.concurrency - q.buffer) {
        trigger("unsaturated");
      }
      if (q.idle()) {
        trigger("drain");
      }
      q.process();
    };
  }
  function _maybeDrain(data) {
    if (data.length === 0 && q.idle()) {
      setImmediate$1(() => trigger("drain"));
      return true;
    }
    return false;
  }
  const eventMethod = (name) => (handler) => {
    if (!handler) {
      return new Promise((resolve3, reject2) => {
        once2(name, (err, data) => {
          if (err)
            return reject2(err);
          resolve3(data);
        });
      });
    }
    off(name);
    on(name, handler);
  };
  var isProcessing = false;
  var q = {
    _tasks: new DLL(),
    _createTaskItem(data, callback) {
      return {
        data,
        callback
      };
    },
    *[Symbol.iterator]() {
      yield* q._tasks[Symbol.iterator]();
    },
    concurrency,
    payload,
    buffer: concurrency / 4,
    started: false,
    paused: false,
    push(data, callback) {
      if (Array.isArray(data)) {
        if (_maybeDrain(data))
          return;
        return data.map((datum) => _insert(datum, false, false, callback));
      }
      return _insert(data, false, false, callback);
    },
    pushAsync(data, callback) {
      if (Array.isArray(data)) {
        if (_maybeDrain(data))
          return;
        return data.map((datum) => _insert(datum, false, true, callback));
      }
      return _insert(data, false, true, callback);
    },
    kill() {
      off();
      q._tasks.empty();
    },
    unshift(data, callback) {
      if (Array.isArray(data)) {
        if (_maybeDrain(data))
          return;
        return data.map((datum) => _insert(datum, true, false, callback));
      }
      return _insert(data, true, false, callback);
    },
    unshiftAsync(data, callback) {
      if (Array.isArray(data)) {
        if (_maybeDrain(data))
          return;
        return data.map((datum) => _insert(datum, true, true, callback));
      }
      return _insert(data, true, true, callback);
    },
    remove(testFn) {
      q._tasks.remove(testFn);
    },
    process() {
      if (isProcessing) {
        return;
      }
      isProcessing = true;
      while (!q.paused && numRunning < q.concurrency && q._tasks.length) {
        var tasks = [], data = [];
        var l2 = q._tasks.length;
        if (q.payload)
          l2 = Math.min(l2, q.payload);
        for (var i4 = 0; i4 < l2; i4++) {
          var node = q._tasks.shift();
          tasks.push(node);
          workersList.push(node);
          data.push(node.data);
        }
        numRunning += 1;
        if (q._tasks.length === 0) {
          trigger("empty");
        }
        if (numRunning === q.concurrency) {
          trigger("saturated");
        }
        var cb2 = onlyOnce(_createCB(tasks));
        _worker(data, cb2);
      }
      isProcessing = false;
    },
    length() {
      return q._tasks.length;
    },
    running() {
      return numRunning;
    },
    workersList() {
      return workersList;
    },
    idle() {
      return q._tasks.length + numRunning === 0;
    },
    pause() {
      q.paused = true;
    },
    resume() {
      if (q.paused === false) {
        return;
      }
      q.paused = false;
      setImmediate$1(q.process);
    }
  };
  Object.defineProperties(q, {
    saturated: {
      writable: false,
      value: eventMethod("saturated")
    },
    unsaturated: {
      writable: false,
      value: eventMethod("unsaturated")
    },
    empty: {
      writable: false,
      value: eventMethod("empty")
    },
    drain: {
      writable: false,
      value: eventMethod("drain")
    },
    error: {
      writable: false,
      value: eventMethod("error")
    }
  });
  return q;
}
function cargo(worker, payload) {
  return queue(worker, 1, payload);
}
function cargo$1(worker, concurrency, payload) {
  return queue(worker, concurrency, payload);
}
function reduce(coll, memo, iteratee, callback) {
  callback = once(callback);
  var _iteratee = wrapAsync(iteratee);
  return eachOfSeries$1(coll, (x, i4, iterCb) => {
    _iteratee(memo, x, (err, v2) => {
      memo = v2;
      iterCb(err);
    });
  }, (err) => callback(err, memo));
}
function seq(...functions) {
  var _functions = functions.map(wrapAsync);
  return function(...args3) {
    var that = this;
    var cb2 = args3[args3.length - 1];
    if (typeof cb2 == "function") {
      args3.pop();
    } else {
      cb2 = promiseCallback();
    }
    reduce$1(
      _functions,
      args3,
      (newargs, fn2, iterCb) => {
        fn2.apply(that, newargs.concat((err, ...nextargs) => {
          iterCb(err, nextargs);
        }));
      },
      (err, results) => cb2(err, ...results)
    );
    return cb2[PROMISE_SYMBOL];
  };
}
function compose(...args3) {
  return seq(...args3.reverse());
}
function mapLimit(coll, limit, iteratee, callback) {
  return _asyncMap(eachOfLimit(limit), coll, iteratee, callback);
}
function concatLimit(coll, limit, iteratee, callback) {
  var _iteratee = wrapAsync(iteratee);
  return mapLimit$1(coll, limit, (val, iterCb) => {
    _iteratee(val, (err, ...args3) => {
      if (err)
        return iterCb(err);
      return iterCb(err, args3);
    });
  }, (err, mapResults) => {
    var result = [];
    for (var i4 = 0; i4 < mapResults.length; i4++) {
      if (mapResults[i4]) {
        result = result.concat(...mapResults[i4]);
      }
    }
    return callback(err, result);
  });
}
function concat(coll, iteratee, callback) {
  return concatLimit$1(coll, Infinity, iteratee, callback);
}
function concatSeries(coll, iteratee, callback) {
  return concatLimit$1(coll, 1, iteratee, callback);
}
function constant(...args3) {
  return function(...ignoredArgs) {
    var callback = ignoredArgs.pop();
    return callback(null, ...args3);
  };
}
function _createTester(check3, getResult) {
  return (eachfn, arr, _iteratee, cb2) => {
    var testPassed = false;
    var testResult;
    const iteratee = wrapAsync(_iteratee);
    eachfn(arr, (value, _3, callback) => {
      iteratee(value, (err, result) => {
        if (err || err === false)
          return callback(err);
        if (check3(result) && !testResult) {
          testPassed = true;
          testResult = getResult(true, value);
          return callback(null, breakLoop);
        }
        callback();
      });
    }, (err) => {
      if (err)
        return cb2(err);
      cb2(null, testPassed ? testResult : getResult(false));
    });
  };
}
function detect2(coll, iteratee, callback) {
  return _createTester((bool) => bool, (res, item2) => item2)(eachOf$1, coll, iteratee, callback);
}
function detectLimit(coll, limit, iteratee, callback) {
  return _createTester((bool) => bool, (res, item2) => item2)(eachOfLimit(limit), coll, iteratee, callback);
}
function detectSeries(coll, iteratee, callback) {
  return _createTester((bool) => bool, (res, item2) => item2)(eachOfLimit(1), coll, iteratee, callback);
}
function consoleFunc(name) {
  return (fn2, ...args3) => wrapAsync(fn2)(...args3, (err, ...resultArgs) => {
    if (typeof console === "object") {
      if (err) {
        if (console.error) {
          console.error(err);
        }
      } else if (console[name]) {
        resultArgs.forEach((x) => console[name](x));
      }
    }
  });
}
function doWhilst(iteratee, test, callback) {
  callback = onlyOnce(callback);
  var _fn = wrapAsync(iteratee);
  var _test = wrapAsync(test);
  var results;
  function next(err, ...args3) {
    if (err)
      return callback(err);
    if (err === false)
      return;
    results = args3;
    _test(...args3, check3);
  }
  function check3(err, truth) {
    if (err)
      return callback(err);
    if (err === false)
      return;
    if (!truth)
      return callback(null, ...results);
    _fn(next);
  }
  return check3(null, true);
}
function doUntil(iteratee, test, callback) {
  const _test = wrapAsync(test);
  return doWhilst$1(iteratee, (...args3) => {
    const cb2 = args3.pop();
    _test(...args3, (err, truth) => cb2(err, !truth));
  }, callback);
}
function _withoutIndex(iteratee) {
  return (value, index2, callback) => iteratee(value, callback);
}
function eachLimit(coll, iteratee, callback) {
  return eachOf$1(coll, _withoutIndex(wrapAsync(iteratee)), callback);
}
function eachLimit$1(coll, limit, iteratee, callback) {
  return eachOfLimit(limit)(coll, _withoutIndex(wrapAsync(iteratee)), callback);
}
function eachSeries(coll, iteratee, callback) {
  return eachLimit$2(coll, 1, iteratee, callback);
}
function ensureAsync(fn2) {
  if (isAsync(fn2))
    return fn2;
  return function(...args3) {
    var callback = args3.pop();
    var sync2 = true;
    args3.push((...innerArgs) => {
      if (sync2) {
        setImmediate$1(() => callback(...innerArgs));
      } else {
        callback(...innerArgs);
      }
    });
    fn2.apply(this, args3);
    sync2 = false;
  };
}
function every(coll, iteratee, callback) {
  return _createTester((bool) => !bool, (res) => !res)(eachOf$1, coll, iteratee, callback);
}
function everyLimit(coll, limit, iteratee, callback) {
  return _createTester((bool) => !bool, (res) => !res)(eachOfLimit(limit), coll, iteratee, callback);
}
function everySeries(coll, iteratee, callback) {
  return _createTester((bool) => !bool, (res) => !res)(eachOfSeries$1, coll, iteratee, callback);
}
function filterArray(eachfn, arr, iteratee, callback) {
  var truthValues = new Array(arr.length);
  eachfn(arr, (x, index2, iterCb) => {
    iteratee(x, (err, v2) => {
      truthValues[index2] = !!v2;
      iterCb(err);
    });
  }, (err) => {
    if (err)
      return callback(err);
    var results = [];
    for (var i4 = 0; i4 < arr.length; i4++) {
      if (truthValues[i4])
        results.push(arr[i4]);
    }
    callback(null, results);
  });
}
function filterGeneric(eachfn, coll, iteratee, callback) {
  var results = [];
  eachfn(coll, (x, index2, iterCb) => {
    iteratee(x, (err, v2) => {
      if (err)
        return iterCb(err);
      if (v2) {
        results.push({ index: index2, value: x });
      }
      iterCb(err);
    });
  }, (err) => {
    if (err)
      return callback(err);
    callback(null, results.sort((a3, b6) => a3.index - b6.index).map((v2) => v2.value));
  });
}
function _filter(eachfn, coll, iteratee, callback) {
  var filter2 = isArrayLike(coll) ? filterArray : filterGeneric;
  return filter2(eachfn, coll, wrapAsync(iteratee), callback);
}
function filter(coll, iteratee, callback) {
  return _filter(eachOf$1, coll, iteratee, callback);
}
function filterLimit(coll, limit, iteratee, callback) {
  return _filter(eachOfLimit(limit), coll, iteratee, callback);
}
function filterSeries(coll, iteratee, callback) {
  return _filter(eachOfSeries$1, coll, iteratee, callback);
}
function forever(fn2, errback) {
  var done = onlyOnce(errback);
  var task = wrapAsync(ensureAsync(fn2));
  function next(err) {
    if (err)
      return done(err);
    if (err === false)
      return;
    task(next);
  }
  return next();
}
function groupByLimit(coll, limit, iteratee, callback) {
  var _iteratee = wrapAsync(iteratee);
  return mapLimit$1(coll, limit, (val, iterCb) => {
    _iteratee(val, (err, key) => {
      if (err)
        return iterCb(err);
      return iterCb(err, { key, val });
    });
  }, (err, mapResults) => {
    var result = {};
    var { hasOwnProperty: hasOwnProperty3 } = Object.prototype;
    for (var i4 = 0; i4 < mapResults.length; i4++) {
      if (mapResults[i4]) {
        var { key } = mapResults[i4];
        var { val } = mapResults[i4];
        if (hasOwnProperty3.call(result, key)) {
          result[key].push(val);
        } else {
          result[key] = [val];
        }
      }
    }
    return callback(err, result);
  });
}
function groupBy(coll, iteratee, callback) {
  return groupByLimit$1(coll, Infinity, iteratee, callback);
}
function groupBySeries(coll, iteratee, callback) {
  return groupByLimit$1(coll, 1, iteratee, callback);
}
function mapValuesLimit(obj, limit, iteratee, callback) {
  callback = once(callback);
  var newObj = {};
  var _iteratee = wrapAsync(iteratee);
  return eachOfLimit(limit)(obj, (val, key, next) => {
    _iteratee(val, key, (err, result) => {
      if (err)
        return next(err);
      newObj[key] = result;
      next(err);
    });
  }, (err) => callback(err, newObj));
}
function mapValues(obj, iteratee, callback) {
  return mapValuesLimit$1(obj, Infinity, iteratee, callback);
}
function mapValuesSeries(obj, iteratee, callback) {
  return mapValuesLimit$1(obj, 1, iteratee, callback);
}
function memoize(fn2, hasher = (v2) => v2) {
  var memo = /* @__PURE__ */ Object.create(null);
  var queues = /* @__PURE__ */ Object.create(null);
  var _fn = wrapAsync(fn2);
  var memoized = initialParams((args3, callback) => {
    var key = hasher(...args3);
    if (key in memo) {
      setImmediate$1(() => callback(null, ...memo[key]));
    } else if (key in queues) {
      queues[key].push(callback);
    } else {
      queues[key] = [callback];
      _fn(...args3, (err, ...resultArgs) => {
        if (!err) {
          memo[key] = resultArgs;
        }
        var q = queues[key];
        delete queues[key];
        for (var i4 = 0, l2 = q.length; i4 < l2; i4++) {
          q[i4](err, ...resultArgs);
        }
      });
    }
  });
  memoized.memo = memo;
  memoized.unmemoized = fn2;
  return memoized;
}
function parallel$1(tasks, callback) {
  return parallel(eachOf$1, tasks, callback);
}
function parallelLimit(tasks, limit, callback) {
  return parallel(eachOfLimit(limit), tasks, callback);
}
function queue$1(worker, concurrency) {
  var _worker = wrapAsync(worker);
  return queue((items, cb2) => {
    _worker(items[0], cb2);
  }, concurrency, 1);
}
function leftChi(i4) {
  return (i4 << 1) + 1;
}
function parent(i4) {
  return (i4 + 1 >> 1) - 1;
}
function smaller(x, y3) {
  if (x.priority !== y3.priority) {
    return x.priority < y3.priority;
  } else {
    return x.pushCount < y3.pushCount;
  }
}
function priorityQueue(worker, concurrency) {
  var q = queue$1(worker, concurrency);
  var {
    push,
    pushAsync
  } = q;
  q._tasks = new Heap();
  q._createTaskItem = ({ data, priority }, callback) => {
    return {
      data,
      priority,
      callback
    };
  };
  function createDataItems(tasks, priority) {
    if (!Array.isArray(tasks)) {
      return { data: tasks, priority };
    }
    return tasks.map((data) => {
      return { data, priority };
    });
  }
  q.push = function(data, priority = 0, callback) {
    return push(createDataItems(data, priority), callback);
  };
  q.pushAsync = function(data, priority = 0, callback) {
    return pushAsync(createDataItems(data, priority), callback);
  };
  delete q.unshift;
  delete q.unshiftAsync;
  return q;
}
function race(tasks, callback) {
  callback = once(callback);
  if (!Array.isArray(tasks))
    return callback(new TypeError("First argument to race must be an array of functions"));
  if (!tasks.length)
    return callback();
  for (var i4 = 0, l2 = tasks.length; i4 < l2; i4++) {
    wrapAsync(tasks[i4])(callback);
  }
}
function reduceRight(array, memo, iteratee, callback) {
  var reversed = [...array].reverse();
  return reduce$1(reversed, memo, iteratee, callback);
}
function reflect(fn2) {
  var _fn = wrapAsync(fn2);
  return initialParams(function reflectOn(args3, reflectCallback) {
    args3.push((error2, ...cbArgs) => {
      let retVal = {};
      if (error2) {
        retVal.error = error2;
      }
      if (cbArgs.length > 0) {
        var value = cbArgs;
        if (cbArgs.length <= 1) {
          [value] = cbArgs;
        }
        retVal.value = value;
      }
      reflectCallback(null, retVal);
    });
    return _fn.apply(this, args3);
  });
}
function reflectAll(tasks) {
  var results;
  if (Array.isArray(tasks)) {
    results = tasks.map(reflect);
  } else {
    results = {};
    Object.keys(tasks).forEach((key) => {
      results[key] = reflect.call(this, tasks[key]);
    });
  }
  return results;
}
function reject(eachfn, arr, _iteratee, callback) {
  const iteratee = wrapAsync(_iteratee);
  return _filter(eachfn, arr, (value, cb2) => {
    iteratee(value, (err, v2) => {
      cb2(err, !v2);
    });
  }, callback);
}
function reject$1(coll, iteratee, callback) {
  return reject(eachOf$1, coll, iteratee, callback);
}
function rejectLimit(coll, limit, iteratee, callback) {
  return reject(eachOfLimit(limit), coll, iteratee, callback);
}
function rejectSeries(coll, iteratee, callback) {
  return reject(eachOfSeries$1, coll, iteratee, callback);
}
function constant$1(value) {
  return function() {
    return value;
  };
}
function retry2(opts2, task, callback) {
  var options2 = {
    times: DEFAULT_TIMES,
    intervalFunc: constant$1(DEFAULT_INTERVAL)
  };
  if (arguments.length < 3 && typeof opts2 === "function") {
    callback = task || promiseCallback();
    task = opts2;
  } else {
    parseTimes(options2, opts2);
    callback = callback || promiseCallback();
  }
  if (typeof task !== "function") {
    throw new Error("Invalid arguments for async.retry");
  }
  var _task = wrapAsync(task);
  var attempt = 1;
  function retryAttempt() {
    _task((err, ...args3) => {
      if (err === false)
        return;
      if (err && attempt++ < options2.times && (typeof options2.errorFilter != "function" || options2.errorFilter(err))) {
        setTimeout(retryAttempt, options2.intervalFunc(attempt - 1));
      } else {
        callback(err, ...args3);
      }
    });
  }
  retryAttempt();
  return callback[PROMISE_SYMBOL];
}
function parseTimes(acc, t9) {
  if (typeof t9 === "object") {
    acc.times = +t9.times || DEFAULT_TIMES;
    acc.intervalFunc = typeof t9.interval === "function" ? t9.interval : constant$1(+t9.interval || DEFAULT_INTERVAL);
    acc.errorFilter = t9.errorFilter;
  } else if (typeof t9 === "number" || typeof t9 === "string") {
    acc.times = +t9 || DEFAULT_TIMES;
  } else {
    throw new Error("Invalid arguments for async.retry");
  }
}
function retryable(opts2, task) {
  if (!task) {
    task = opts2;
    opts2 = null;
  }
  let arity = opts2 && opts2.arity || task.length;
  if (isAsync(task)) {
    arity += 1;
  }
  var _task = wrapAsync(task);
  return initialParams((args3, callback) => {
    if (args3.length < arity - 1 || callback == null) {
      args3.push(callback);
      callback = promiseCallback();
    }
    function taskFn(cb2) {
      _task(...args3, cb2);
    }
    if (opts2)
      retry2(opts2, taskFn, callback);
    else
      retry2(taskFn, callback);
    return callback[PROMISE_SYMBOL];
  });
}
function series(tasks, callback) {
  return parallel(eachOfSeries$1, tasks, callback);
}
function some3(coll, iteratee, callback) {
  return _createTester(Boolean, (res) => res)(eachOf$1, coll, iteratee, callback);
}
function someLimit(coll, limit, iteratee, callback) {
  return _createTester(Boolean, (res) => res)(eachOfLimit(limit), coll, iteratee, callback);
}
function someSeries(coll, iteratee, callback) {
  return _createTester(Boolean, (res) => res)(eachOfSeries$1, coll, iteratee, callback);
}
function sortBy(coll, iteratee, callback) {
  var _iteratee = wrapAsync(iteratee);
  return map$1(coll, (x, iterCb) => {
    _iteratee(x, (err, criteria) => {
      if (err)
        return iterCb(err);
      iterCb(err, { value: x, criteria });
    });
  }, (err, results) => {
    if (err)
      return callback(err);
    callback(null, results.sort(comparator).map((v2) => v2.value));
  });
  function comparator(left4, right5) {
    var a3 = left4.criteria, b6 = right5.criteria;
    return a3 < b6 ? -1 : a3 > b6 ? 1 : 0;
  }
}
function timeout(asyncFn, milliseconds2, info2) {
  var fn2 = wrapAsync(asyncFn);
  return initialParams((args3, callback) => {
    var timedOut = false;
    var timer;
    function timeoutCallback() {
      var name = asyncFn.name || "anonymous";
      var error2 = new Error('Callback function "' + name + '" timed out.');
      error2.code = "ETIMEDOUT";
      if (info2) {
        error2.info = info2;
      }
      timedOut = true;
      callback(error2);
    }
    args3.push((...cbArgs) => {
      if (!timedOut) {
        callback(...cbArgs);
        clearTimeout(timer);
      }
    });
    timer = setTimeout(timeoutCallback, milliseconds2);
    fn2(...args3);
  });
}
function range(size) {
  var result = Array(size);
  while (size--) {
    result[size] = size;
  }
  return result;
}
function timesLimit(count, limit, iteratee, callback) {
  var _iteratee = wrapAsync(iteratee);
  return mapLimit$1(range(count), limit, _iteratee, callback);
}
function times(n2, iteratee, callback) {
  return timesLimit(n2, Infinity, iteratee, callback);
}
function timesSeries(n2, iteratee, callback) {
  return timesLimit(n2, 1, iteratee, callback);
}
function transform(coll, accumulator, iteratee, callback) {
  if (arguments.length <= 3 && typeof accumulator === "function") {
    callback = iteratee;
    iteratee = accumulator;
    accumulator = Array.isArray(coll) ? [] : {};
  }
  callback = once(callback || promiseCallback());
  var _iteratee = wrapAsync(iteratee);
  eachOf$1(coll, (v2, k, cb2) => {
    _iteratee(accumulator, v2, k, cb2);
  }, (err) => callback(err, accumulator));
  return callback[PROMISE_SYMBOL];
}
function tryEach(tasks, callback) {
  var error2 = null;
  var result;
  return eachSeries$1(tasks, (task, taskCb) => {
    wrapAsync(task)((err, ...args3) => {
      if (err === false)
        return taskCb(err);
      if (args3.length < 2) {
        [result] = args3;
      } else {
        result = args3;
      }
      error2 = err;
      taskCb(err ? null : {});
    });
  }, () => callback(error2, result));
}
function unmemoize(fn2) {
  return (...args3) => {
    return (fn2.unmemoized || fn2)(...args3);
  };
}
function whilst(test, iteratee, callback) {
  callback = onlyOnce(callback);
  var _fn = wrapAsync(iteratee);
  var _test = wrapAsync(test);
  var results = [];
  function next(err, ...rest) {
    if (err)
      return callback(err);
    results = rest;
    if (err === false)
      return;
    _test(check3);
  }
  function check3(err, truth) {
    if (err)
      return callback(err);
    if (err === false)
      return;
    if (!truth)
      return callback(null, ...results);
    _fn(next);
  }
  return _test(check3);
}
function until(test, iteratee, callback) {
  const _test = wrapAsync(test);
  return whilst$1((cb2) => _test((err, truth) => cb2(err, !truth)), iteratee, callback);
}
function waterfall(tasks, callback) {
  callback = once(callback);
  if (!Array.isArray(tasks))
    return callback(new Error("First argument to waterfall must be an array of functions"));
  if (!tasks.length)
    return callback();
  var taskIndex = 0;
  function nextTask(args3) {
    var task = wrapAsync(tasks[taskIndex++]);
    task(...args3, onlyOnce(next));
  }
  function next(err, ...args3) {
    if (err === false)
      return;
    if (err || taskIndex === tasks.length) {
      return callback(err, ...args3);
    }
    nextTask(args3);
  }
  nextTask([]);
}
var hasQueueMicrotask, hasSetImmediate, hasNextTick, _defer, setImmediate$1, breakLoop, eachOfLimit, eachOfLimit$2, eachOf$1, map$1, applyEach$1, eachOfSeries$1, mapSeries$1, applyEachSeries, PROMISE_SYMBOL, FN_ARGS, ARROW_FN_ARGS, FN_ARG_SPLIT, FN_ARG, DLL, reduce$1, mapLimit$1, concatLimit$1, concat$1, concatSeries$1, detect$1, detectLimit$1, detectSeries$1, dir2, doWhilst$1, each, eachLimit$2, eachSeries$1, every$1, everyLimit$1, everySeries$1, filter$1, filterLimit$1, filterSeries$1, forever$1, groupByLimit$1, log3, mapValuesLimit$1, _defer$1, nextTick, parallel, Heap, race$1, reject$2, rejectLimit$1, rejectSeries$1, DEFAULT_TIMES, DEFAULT_INTERVAL, some$1, someLimit$1, someSeries$1, sortBy$1, tryEach$1, whilst$1, waterfall$1, index, async_default;
var init_async = __esm({
  "../../node_modules/.pnpm/async@3.2.4/node_modules/async/dist/async.mjs"() {
    "use strict";
    hasQueueMicrotask = typeof queueMicrotask === "function" && queueMicrotask;
    hasSetImmediate = typeof setImmediate === "function" && setImmediate;
    hasNextTick = typeof process === "object" && typeof process.nextTick === "function";
    if (hasQueueMicrotask) {
      _defer = queueMicrotask;
    } else if (hasSetImmediate) {
      _defer = setImmediate;
    } else if (hasNextTick) {
      _defer = process.nextTick;
    } else {
      _defer = fallback;
    }
    setImmediate$1 = wrap2(_defer);
    breakLoop = {};
    eachOfLimit = (limit) => {
      return (obj, iteratee, callback) => {
        callback = once(callback);
        if (limit <= 0) {
          throw new RangeError("concurrency limit cannot be less than 1");
        }
        if (!obj) {
          return callback(null);
        }
        if (isAsyncGenerator(obj)) {
          return asyncEachOfLimit(obj, limit, iteratee, callback);
        }
        if (isAsyncIterable(obj)) {
          return asyncEachOfLimit(obj[Symbol.asyncIterator](), limit, iteratee, callback);
        }
        var nextElem = createIterator(obj);
        var done = false;
        var canceled = false;
        var running = 0;
        var looping = false;
        function iterateeCallback(err, value) {
          if (canceled)
            return;
          running -= 1;
          if (err) {
            done = true;
            callback(err);
          } else if (err === false) {
            done = true;
            canceled = true;
          } else if (value === breakLoop || done && running <= 0) {
            done = true;
            return callback(null);
          } else if (!looping) {
            replenish();
          }
        }
        function replenish() {
          looping = true;
          while (running < limit && !done) {
            var elem = nextElem();
            if (elem === null) {
              done = true;
              if (running <= 0) {
                callback(null);
              }
              return;
            }
            running += 1;
            iteratee(elem.value, elem.key, onlyOnce(iterateeCallback));
          }
          looping = false;
        }
        replenish();
      };
    };
    eachOfLimit$2 = awaitify(eachOfLimit$1, 4);
    eachOf$1 = awaitify(eachOf, 3);
    map$1 = awaitify(map7, 3);
    applyEach$1 = applyEach(map$1);
    eachOfSeries$1 = awaitify(eachOfSeries, 3);
    mapSeries$1 = awaitify(mapSeries, 3);
    applyEachSeries = applyEach(mapSeries$1);
    PROMISE_SYMBOL = Symbol("promiseCallback");
    FN_ARGS = /^(?:async\s+)?(?:function)?\s*\w*\s*\(\s*([^)]+)\s*\)(?:\s*{)/;
    ARROW_FN_ARGS = /^(?:async\s+)?\(?\s*([^)=]+)\s*\)?(?:\s*=>)/;
    FN_ARG_SPLIT = /,/;
    FN_ARG = /(=.+)?(\s*)$/;
    DLL = class {
      constructor() {
        this.head = this.tail = null;
        this.length = 0;
      }
      removeLink(node) {
        if (node.prev)
          node.prev.next = node.next;
        else
          this.head = node.next;
        if (node.next)
          node.next.prev = node.prev;
        else
          this.tail = node.prev;
        node.prev = node.next = null;
        this.length -= 1;
        return node;
      }
      empty() {
        while (this.head)
          this.shift();
        return this;
      }
      insertAfter(node, newNode) {
        newNode.prev = node;
        newNode.next = node.next;
        if (node.next)
          node.next.prev = newNode;
        else
          this.tail = newNode;
        node.next = newNode;
        this.length += 1;
      }
      insertBefore(node, newNode) {
        newNode.prev = node.prev;
        newNode.next = node;
        if (node.prev)
          node.prev.next = newNode;
        else
          this.head = newNode;
        node.prev = newNode;
        this.length += 1;
      }
      unshift(node) {
        if (this.head)
          this.insertBefore(this.head, node);
        else
          setInitial(this, node);
      }
      push(node) {
        if (this.tail)
          this.insertAfter(this.tail, node);
        else
          setInitial(this, node);
      }
      shift() {
        return this.head && this.removeLink(this.head);
      }
      pop() {
        return this.tail && this.removeLink(this.tail);
      }
      toArray() {
        return [...this];
      }
      *[Symbol.iterator]() {
        var cur = this.head;
        while (cur) {
          yield cur.data;
          cur = cur.next;
        }
      }
      remove(testFn) {
        var curr = this.head;
        while (curr) {
          var { next } = curr;
          if (testFn(curr)) {
            this.removeLink(curr);
          }
          curr = next;
        }
        return this;
      }
    };
    reduce$1 = awaitify(reduce, 4);
    mapLimit$1 = awaitify(mapLimit, 4);
    concatLimit$1 = awaitify(concatLimit, 4);
    concat$1 = awaitify(concat, 3);
    concatSeries$1 = awaitify(concatSeries, 3);
    detect$1 = awaitify(detect2, 3);
    detectLimit$1 = awaitify(detectLimit, 4);
    detectSeries$1 = awaitify(detectSeries, 3);
    dir2 = consoleFunc("dir");
    doWhilst$1 = awaitify(doWhilst, 3);
    each = awaitify(eachLimit, 3);
    eachLimit$2 = awaitify(eachLimit$1, 4);
    eachSeries$1 = awaitify(eachSeries, 3);
    every$1 = awaitify(every, 3);
    everyLimit$1 = awaitify(everyLimit, 4);
    everySeries$1 = awaitify(everySeries, 3);
    filter$1 = awaitify(filter, 3);
    filterLimit$1 = awaitify(filterLimit, 4);
    filterSeries$1 = awaitify(filterSeries, 3);
    forever$1 = awaitify(forever, 2);
    groupByLimit$1 = awaitify(groupByLimit, 4);
    log3 = consoleFunc("log");
    mapValuesLimit$1 = awaitify(mapValuesLimit, 4);
    if (hasNextTick) {
      _defer$1 = process.nextTick;
    } else if (hasSetImmediate) {
      _defer$1 = setImmediate;
    } else {
      _defer$1 = fallback;
    }
    nextTick = wrap2(_defer$1);
    parallel = awaitify((eachfn, tasks, callback) => {
      var results = isArrayLike(tasks) ? [] : {};
      eachfn(tasks, (task, key, taskCb) => {
        wrapAsync(task)((err, ...result) => {
          if (result.length < 2) {
            [result] = result;
          }
          results[key] = result;
          taskCb(err);
        });
      }, (err) => callback(err, results));
    }, 3);
    Heap = class {
      constructor() {
        this.heap = [];
        this.pushCount = Number.MIN_SAFE_INTEGER;
      }
      get length() {
        return this.heap.length;
      }
      empty() {
        this.heap = [];
        return this;
      }
      percUp(index2) {
        let p2;
        while (index2 > 0 && smaller(this.heap[index2], this.heap[p2 = parent(index2)])) {
          let t9 = this.heap[index2];
          this.heap[index2] = this.heap[p2];
          this.heap[p2] = t9;
          index2 = p2;
        }
      }
      percDown(index2) {
        let l2;
        while ((l2 = leftChi(index2)) < this.heap.length) {
          if (l2 + 1 < this.heap.length && smaller(this.heap[l2 + 1], this.heap[l2])) {
            l2 = l2 + 1;
          }
          if (smaller(this.heap[index2], this.heap[l2])) {
            break;
          }
          let t9 = this.heap[index2];
          this.heap[index2] = this.heap[l2];
          this.heap[l2] = t9;
          index2 = l2;
        }
      }
      push(node) {
        node.pushCount = ++this.pushCount;
        this.heap.push(node);
        this.percUp(this.heap.length - 1);
      }
      unshift(node) {
        return this.heap.push(node);
      }
      shift() {
        let [top] = this.heap;
        this.heap[0] = this.heap[this.heap.length - 1];
        this.heap.pop();
        this.percDown(0);
        return top;
      }
      toArray() {
        return [...this];
      }
      *[Symbol.iterator]() {
        for (let i4 = 0; i4 < this.heap.length; i4++) {
          yield this.heap[i4].data;
        }
      }
      remove(testFn) {
        let j2 = 0;
        for (let i4 = 0; i4 < this.heap.length; i4++) {
          if (!testFn(this.heap[i4])) {
            this.heap[j2] = this.heap[i4];
            j2++;
          }
        }
        this.heap.splice(j2);
        for (let i4 = parent(this.heap.length - 1); i4 >= 0; i4--) {
          this.percDown(i4);
        }
        return this;
      }
    };
    race$1 = awaitify(race, 2);
    reject$2 = awaitify(reject$1, 3);
    rejectLimit$1 = awaitify(rejectLimit, 4);
    rejectSeries$1 = awaitify(rejectSeries, 3);
    DEFAULT_TIMES = 5;
    DEFAULT_INTERVAL = 0;
    some$1 = awaitify(some3, 3);
    someLimit$1 = awaitify(someLimit, 4);
    someSeries$1 = awaitify(someSeries, 3);
    sortBy$1 = awaitify(sortBy, 3);
    tryEach$1 = awaitify(tryEach);
    whilst$1 = awaitify(whilst, 3);
    waterfall$1 = awaitify(waterfall);
    index = {
      apply,
      applyEach: applyEach$1,
      applyEachSeries,
      asyncify,
      auto,
      autoInject,
      cargo,
      cargoQueue: cargo$1,
      compose,
      concat: concat$1,
      concatLimit: concatLimit$1,
      concatSeries: concatSeries$1,
      constant,
      detect: detect$1,
      detectLimit: detectLimit$1,
      detectSeries: detectSeries$1,
      dir: dir2,
      doUntil,
      doWhilst: doWhilst$1,
      each,
      eachLimit: eachLimit$2,
      eachOf: eachOf$1,
      eachOfLimit: eachOfLimit$2,
      eachOfSeries: eachOfSeries$1,
      eachSeries: eachSeries$1,
      ensureAsync,
      every: every$1,
      everyLimit: everyLimit$1,
      everySeries: everySeries$1,
      filter: filter$1,
      filterLimit: filterLimit$1,
      filterSeries: filterSeries$1,
      forever: forever$1,
      groupBy,
      groupByLimit: groupByLimit$1,
      groupBySeries,
      log: log3,
      map: map$1,
      mapLimit: mapLimit$1,
      mapSeries: mapSeries$1,
      mapValues,
      mapValuesLimit: mapValuesLimit$1,
      mapValuesSeries,
      memoize,
      nextTick,
      parallel: parallel$1,
      parallelLimit,
      priorityQueue,
      queue: queue$1,
      race: race$1,
      reduce: reduce$1,
      reduceRight,
      reflect,
      reflectAll,
      reject: reject$2,
      rejectLimit: rejectLimit$1,
      rejectSeries: rejectSeries$1,
      retry: retry2,
      retryable,
      seq,
      series,
      setImmediate: setImmediate$1,
      some: some$1,
      someLimit: someLimit$1,
      someSeries: someSeries$1,
      sortBy: sortBy$1,
      timeout,
      times,
      timesLimit,
      timesSeries,
      transform,
      tryEach: tryEach$1,
      unmemoize,
      until,
      waterfall: waterfall$1,
      whilst: whilst$1,
      // aliases
      all: every$1,
      allLimit: everyLimit$1,
      allSeries: everySeries$1,
      any: some$1,
      anyLimit: someLimit$1,
      anySeries: someSeries$1,
      find: detect$1,
      findLimit: detectLimit$1,
      findSeries: detectSeries$1,
      flatMap: concat$1,
      flatMapLimit: concatLimit$1,
      flatMapSeries: concatSeries$1,
      forEach: each,
      forEachSeries: eachSeries$1,
      forEachLimit: eachLimit$2,
      forEachOf: eachOf$1,
      forEachOfSeries: eachOfSeries$1,
      forEachOfLimit: eachOfLimit$2,
      inject: reduce$1,
      foldl: reduce$1,
      foldr: reduceRight,
      select: filter$1,
      selectLimit: filterLimit$1,
      selectSeries: filterSeries$1,
      wrapSync: asyncify,
      during: whilst$1,
      doDuring: doWhilst$1
    };
    async_default = index;
  }
});

// ../../node_modules/.pnpm/process-nextick-args@2.0.1/node_modules/process-nextick-args/index.js
var require_process_nextick_args = __commonJS({
  "../../node_modules/.pnpm/process-nextick-args@2.0.1/node_modules/process-nextick-args/index.js"(exports2, module2) {
    "use strict";
    if (typeof process === "undefined" || !process.version || process.version.indexOf("v0.") === 0 || process.version.indexOf("v1.") === 0 && process.version.indexOf("v1.8.") !== 0) {
      module2.exports = { nextTick: nextTick2 };
    } else {
      module2.exports = process;
    }
    function nextTick2(fn2, arg1, arg22, arg3) {
      if (typeof fn2 !== "function") {
        throw new TypeError('"callback" argument must be a function');
      }
      var len = arguments.length;
      var args3, i4;
      switch (len) {
        case 0:
        case 1:
          return process.nextTick(fn2);
        case 2:
          return process.nextTick(function afterTickOne() {
            fn2.call(null, arg1);
          });
        case 3:
          return process.nextTick(function afterTickTwo() {
            fn2.call(null, arg1, arg22);
          });
        case 4:
          return process.nextTick(function afterTickThree() {
            fn2.call(null, arg1, arg22, arg3);
          });
        default:
          args3 = new Array(len - 1);
          i4 = 0;
          while (i4 < args3.length) {
            args3[i4++] = arguments[i4];
          }
          return process.nextTick(function afterTick() {
            fn2.apply(null, args3);
          });
      }
    }
  }
});

// ../../node_modules/.pnpm/isarray@1.0.0/node_modules/isarray/index.js
var require_isarray = __commonJS({
  "../../node_modules/.pnpm/isarray@1.0.0/node_modules/isarray/index.js"(exports2, module2) {
    "use strict";
    var toString = {}.toString;
    module2.exports = Array.isArray || function(arr) {
      return toString.call(arr) == "[object Array]";
    };
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/internal/streams/stream.js
var require_stream6 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/internal/streams/stream.js"(exports2, module2) {
    "use strict";
    module2.exports = require("stream");
  }
});

// ../../node_modules/.pnpm/safe-buffer@5.1.2/node_modules/safe-buffer/index.js
var require_safe_buffer = __commonJS({
  "../../node_modules/.pnpm/safe-buffer@5.1.2/node_modules/safe-buffer/index.js"(exports2, module2) {
    "use strict";
    var buffer = require("buffer");
    var Buffer2 = buffer.Buffer;
    function copyProps(src2, dst) {
      for (var key in src2) {
        dst[key] = src2[key];
      }
    }
    if (Buffer2.from && Buffer2.alloc && Buffer2.allocUnsafe && Buffer2.allocUnsafeSlow) {
      module2.exports = buffer;
    } else {
      copyProps(buffer, exports2);
      exports2.Buffer = SafeBuffer;
    }
    function SafeBuffer(arg3, encodingOrOffset, length) {
      return Buffer2(arg3, encodingOrOffset, length);
    }
    copyProps(Buffer2, SafeBuffer);
    SafeBuffer.from = function(arg3, encodingOrOffset, length) {
      if (typeof arg3 === "number") {
        throw new TypeError("Argument must not be a number");
      }
      return Buffer2(arg3, encodingOrOffset, length);
    };
    SafeBuffer.alloc = function(size, fill, encoding) {
      if (typeof size !== "number") {
        throw new TypeError("Argument must be a number");
      }
      var buf = Buffer2(size);
      if (fill !== void 0) {
        if (typeof encoding === "string") {
          buf.fill(fill, encoding);
        } else {
          buf.fill(fill);
        }
      } else {
        buf.fill(0);
      }
      return buf;
    };
    SafeBuffer.allocUnsafe = function(size) {
      if (typeof size !== "number") {
        throw new TypeError("Argument must be a number");
      }
      return Buffer2(size);
    };
    SafeBuffer.allocUnsafeSlow = function(size) {
      if (typeof size !== "number") {
        throw new TypeError("Argument must be a number");
      }
      return buffer.SlowBuffer(size);
    };
  }
});

// ../../node_modules/.pnpm/core-util-is@1.0.3/node_modules/core-util-is/lib/util.js
var require_util = __commonJS({
  "../../node_modules/.pnpm/core-util-is@1.0.3/node_modules/core-util-is/lib/util.js"(exports2) {
    "use strict";
    function isArray(arg3) {
      if (Array.isArray) {
        return Array.isArray(arg3);
      }
      return objectToString(arg3) === "[object Array]";
    }
    exports2.isArray = isArray;
    function isBoolean(arg3) {
      return typeof arg3 === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNull(arg3) {
      return arg3 === null;
    }
    exports2.isNull = isNull;
    function isNullOrUndefined(arg3) {
      return arg3 == null;
    }
    exports2.isNullOrUndefined = isNullOrUndefined;
    function isNumber2(arg3) {
      return typeof arg3 === "number";
    }
    exports2.isNumber = isNumber2;
    function isString(arg3) {
      return typeof arg3 === "string";
    }
    exports2.isString = isString;
    function isSymbol(arg3) {
      return typeof arg3 === "symbol";
    }
    exports2.isSymbol = isSymbol;
    function isUndefined(arg3) {
      return arg3 === void 0;
    }
    exports2.isUndefined = isUndefined;
    function isRegExp(re2) {
      return objectToString(re2) === "[object RegExp]";
    }
    exports2.isRegExp = isRegExp;
    function isObject(arg3) {
      return typeof arg3 === "object" && arg3 !== null;
    }
    exports2.isObject = isObject;
    function isDate(d3) {
      return objectToString(d3) === "[object Date]";
    }
    exports2.isDate = isDate;
    function isError4(e3) {
      return objectToString(e3) === "[object Error]" || e3 instanceof Error;
    }
    exports2.isError = isError4;
    function isFunction(arg3) {
      return typeof arg3 === "function";
    }
    exports2.isFunction = isFunction;
    function isPrimitive(arg3) {
      return arg3 === null || typeof arg3 === "boolean" || typeof arg3 === "number" || typeof arg3 === "string" || typeof arg3 === "symbol" || // ES6 symbol
      typeof arg3 === "undefined";
    }
    exports2.isPrimitive = isPrimitive;
    exports2.isBuffer = require("buffer").Buffer.isBuffer;
    function objectToString(o2) {
      return Object.prototype.toString.call(o2);
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/internal/streams/BufferList.js
var require_BufferList = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/internal/streams/BufferList.js"(exports2, module2) {
    "use strict";
    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }
    var Buffer2 = require_safe_buffer().Buffer;
    var util4 = require("util");
    function copyBuffer(src2, target, offset) {
      src2.copy(target, offset);
    }
    module2.exports = function() {
      function BufferList() {
        _classCallCheck(this, BufferList);
        this.head = null;
        this.tail = null;
        this.length = 0;
      }
      BufferList.prototype.push = function push(v2) {
        var entry = { data: v2, next: null };
        if (this.length > 0)
          this.tail.next = entry;
        else
          this.head = entry;
        this.tail = entry;
        ++this.length;
      };
      BufferList.prototype.unshift = function unshift(v2) {
        var entry = { data: v2, next: this.head };
        if (this.length === 0)
          this.tail = entry;
        this.head = entry;
        ++this.length;
      };
      BufferList.prototype.shift = function shift() {
        if (this.length === 0)
          return;
        var ret = this.head.data;
        if (this.length === 1)
          this.head = this.tail = null;
        else
          this.head = this.head.next;
        --this.length;
        return ret;
      };
      BufferList.prototype.clear = function clear2() {
        this.head = this.tail = null;
        this.length = 0;
      };
      BufferList.prototype.join = function join2(s3) {
        if (this.length === 0)
          return "";
        var p2 = this.head;
        var ret = "" + p2.data;
        while (p2 = p2.next) {
          ret += s3 + p2.data;
        }
        return ret;
      };
      BufferList.prototype.concat = function concat2(n2) {
        if (this.length === 0)
          return Buffer2.alloc(0);
        if (this.length === 1)
          return this.head.data;
        var ret = Buffer2.allocUnsafe(n2 >>> 0);
        var p2 = this.head;
        var i4 = 0;
        while (p2) {
          copyBuffer(p2.data, ret, i4);
          i4 += p2.data.length;
          p2 = p2.next;
        }
        return ret;
      };
      return BufferList;
    }();
    if (util4 && util4.inspect && util4.inspect.custom) {
      module2.exports.prototype[util4.inspect.custom] = function() {
        var obj = util4.inspect({ length: this.length });
        return this.constructor.name + " " + obj;
      };
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/internal/streams/destroy.js
var require_destroy = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/internal/streams/destroy.js"(exports2, module2) {
    "use strict";
    var pna = require_process_nextick_args();
    function destroy(err, cb2) {
      var _this = this;
      var readableDestroyed = this._readableState && this._readableState.destroyed;
      var writableDestroyed = this._writableState && this._writableState.destroyed;
      if (readableDestroyed || writableDestroyed) {
        if (cb2) {
          cb2(err);
        } else if (err && (!this._writableState || !this._writableState.errorEmitted)) {
          pna.nextTick(emitErrorNT, this, err);
        }
        return this;
      }
      if (this._readableState) {
        this._readableState.destroyed = true;
      }
      if (this._writableState) {
        this._writableState.destroyed = true;
      }
      this._destroy(err || null, function(err2) {
        if (!cb2 && err2) {
          pna.nextTick(emitErrorNT, _this, err2);
          if (_this._writableState) {
            _this._writableState.errorEmitted = true;
          }
        } else if (cb2) {
          cb2(err2);
        }
      });
      return this;
    }
    function undestroy() {
      if (this._readableState) {
        this._readableState.destroyed = false;
        this._readableState.reading = false;
        this._readableState.ended = false;
        this._readableState.endEmitted = false;
      }
      if (this._writableState) {
        this._writableState.destroyed = false;
        this._writableState.ended = false;
        this._writableState.ending = false;
        this._writableState.finished = false;
        this._writableState.errorEmitted = false;
      }
    }
    function emitErrorNT(self2, err) {
      self2.emit("error", err);
    }
    module2.exports = {
      destroy,
      undestroy
    };
  }
});

// ../../node_modules/.pnpm/util-deprecate@1.0.2/node_modules/util-deprecate/node.js
var require_node2 = __commonJS({
  "../../node_modules/.pnpm/util-deprecate@1.0.2/node_modules/util-deprecate/node.js"(exports2, module2) {
    "use strict";
    module2.exports = require("util").deprecate;
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_writable.js
var require_stream_writable = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_writable.js"(exports2, module2) {
    "use strict";
    var pna = require_process_nextick_args();
    module2.exports = Writable;
    function CorkedRequest(state) {
      var _this = this;
      this.next = null;
      this.entry = null;
      this.finish = function() {
        onCorkedFinish(_this, state);
      };
    }
    var asyncWrite = !process.browser && ["v0.10", "v0.9."].indexOf(process.version.slice(0, 5)) > -1 ? setImmediate : pna.nextTick;
    var Duplex;
    Writable.WritableState = WritableState;
    var util4 = Object.create(require_util());
    util4.inherits = require_inherits();
    var internalUtil = {
      deprecate: require_node2()
    };
    var Stream2 = require_stream6();
    var Buffer2 = require_safe_buffer().Buffer;
    var OurUint8Array = global.Uint8Array || function() {
    };
    function _uint8ArrayToBuffer(chunk) {
      return Buffer2.from(chunk);
    }
    function _isUint8Array(obj) {
      return Buffer2.isBuffer(obj) || obj instanceof OurUint8Array;
    }
    var destroyImpl = require_destroy();
    util4.inherits(Writable, Stream2);
    function nop() {
    }
    function WritableState(options2, stream4) {
      Duplex = Duplex || require_stream_duplex();
      options2 = options2 || {};
      var isDuplex = stream4 instanceof Duplex;
      this.objectMode = !!options2.objectMode;
      if (isDuplex)
        this.objectMode = this.objectMode || !!options2.writableObjectMode;
      var hwm = options2.highWaterMark;
      var writableHwm = options2.writableHighWaterMark;
      var defaultHwm = this.objectMode ? 16 : 16 * 1024;
      if (hwm || hwm === 0)
        this.highWaterMark = hwm;
      else if (isDuplex && (writableHwm || writableHwm === 0))
        this.highWaterMark = writableHwm;
      else
        this.highWaterMark = defaultHwm;
      this.highWaterMark = Math.floor(this.highWaterMark);
      this.finalCalled = false;
      this.needDrain = false;
      this.ending = false;
      this.ended = false;
      this.finished = false;
      this.destroyed = false;
      var noDecode = options2.decodeStrings === false;
      this.decodeStrings = !noDecode;
      this.defaultEncoding = options2.defaultEncoding || "utf8";
      this.length = 0;
      this.writing = false;
      this.corked = 0;
      this.sync = true;
      this.bufferProcessing = false;
      this.onwrite = function(er) {
        onwrite(stream4, er);
      };
      this.writecb = null;
      this.writelen = 0;
      this.bufferedRequest = null;
      this.lastBufferedRequest = null;
      this.pendingcb = 0;
      this.prefinished = false;
      this.errorEmitted = false;
      this.bufferedRequestCount = 0;
      this.corkedRequestsFree = new CorkedRequest(this);
    }
    WritableState.prototype.getBuffer = function getBuffer() {
      var current = this.bufferedRequest;
      var out = [];
      while (current) {
        out.push(current);
        current = current.next;
      }
      return out;
    };
    (function() {
      try {
        Object.defineProperty(WritableState.prototype, "buffer", {
          get: internalUtil.deprecate(function() {
            return this.getBuffer();
          }, "_writableState.buffer is deprecated. Use _writableState.getBuffer instead.", "DEP0003")
        });
      } catch (_3) {
      }
    })();
    var realHasInstance;
    if (typeof Symbol === "function" && Symbol.hasInstance && typeof Function.prototype[Symbol.hasInstance] === "function") {
      realHasInstance = Function.prototype[Symbol.hasInstance];
      Object.defineProperty(Writable, Symbol.hasInstance, {
        value: function(object) {
          if (realHasInstance.call(this, object))
            return true;
          if (this !== Writable)
            return false;
          return object && object._writableState instanceof WritableState;
        }
      });
    } else {
      realHasInstance = function(object) {
        return object instanceof this;
      };
    }
    function Writable(options2) {
      Duplex = Duplex || require_stream_duplex();
      if (!realHasInstance.call(Writable, this) && !(this instanceof Duplex)) {
        return new Writable(options2);
      }
      this._writableState = new WritableState(options2, this);
      this.writable = true;
      if (options2) {
        if (typeof options2.write === "function")
          this._write = options2.write;
        if (typeof options2.writev === "function")
          this._writev = options2.writev;
        if (typeof options2.destroy === "function")
          this._destroy = options2.destroy;
        if (typeof options2.final === "function")
          this._final = options2.final;
      }
      Stream2.call(this);
    }
    Writable.prototype.pipe = function() {
      this.emit("error", new Error("Cannot pipe, not readable"));
    };
    function writeAfterEnd(stream4, cb2) {
      var er = new Error("write after end");
      stream4.emit("error", er);
      pna.nextTick(cb2, er);
    }
    function validChunk(stream4, state, chunk, cb2) {
      var valid = true;
      var er = false;
      if (chunk === null) {
        er = new TypeError("May not write null values to stream");
      } else if (typeof chunk !== "string" && chunk !== void 0 && !state.objectMode) {
        er = new TypeError("Invalid non-string/buffer chunk");
      }
      if (er) {
        stream4.emit("error", er);
        pna.nextTick(cb2, er);
        valid = false;
      }
      return valid;
    }
    Writable.prototype.write = function(chunk, encoding, cb2) {
      var state = this._writableState;
      var ret = false;
      var isBuf = !state.objectMode && _isUint8Array(chunk);
      if (isBuf && !Buffer2.isBuffer(chunk)) {
        chunk = _uint8ArrayToBuffer(chunk);
      }
      if (typeof encoding === "function") {
        cb2 = encoding;
        encoding = null;
      }
      if (isBuf)
        encoding = "buffer";
      else if (!encoding)
        encoding = state.defaultEncoding;
      if (typeof cb2 !== "function")
        cb2 = nop;
      if (state.ended)
        writeAfterEnd(this, cb2);
      else if (isBuf || validChunk(this, state, chunk, cb2)) {
        state.pendingcb++;
        ret = writeOrBuffer(this, state, isBuf, chunk, encoding, cb2);
      }
      return ret;
    };
    Writable.prototype.cork = function() {
      var state = this._writableState;
      state.corked++;
    };
    Writable.prototype.uncork = function() {
      var state = this._writableState;
      if (state.corked) {
        state.corked--;
        if (!state.writing && !state.corked && !state.finished && !state.bufferProcessing && state.bufferedRequest)
          clearBuffer(this, state);
      }
    };
    Writable.prototype.setDefaultEncoding = function setDefaultEncoding(encoding) {
      if (typeof encoding === "string")
        encoding = encoding.toLowerCase();
      if (!(["hex", "utf8", "utf-8", "ascii", "binary", "base64", "ucs2", "ucs-2", "utf16le", "utf-16le", "raw"].indexOf((encoding + "").toLowerCase()) > -1))
        throw new TypeError("Unknown encoding: " + encoding);
      this._writableState.defaultEncoding = encoding;
      return this;
    };
    function decodeChunk(state, chunk, encoding) {
      if (!state.objectMode && state.decodeStrings !== false && typeof chunk === "string") {
        chunk = Buffer2.from(chunk, encoding);
      }
      return chunk;
    }
    Object.defineProperty(Writable.prototype, "writableHighWaterMark", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function() {
        return this._writableState.highWaterMark;
      }
    });
    function writeOrBuffer(stream4, state, isBuf, chunk, encoding, cb2) {
      if (!isBuf) {
        var newChunk = decodeChunk(state, chunk, encoding);
        if (chunk !== newChunk) {
          isBuf = true;
          encoding = "buffer";
          chunk = newChunk;
        }
      }
      var len = state.objectMode ? 1 : chunk.length;
      state.length += len;
      var ret = state.length < state.highWaterMark;
      if (!ret)
        state.needDrain = true;
      if (state.writing || state.corked) {
        var last = state.lastBufferedRequest;
        state.lastBufferedRequest = {
          chunk,
          encoding,
          isBuf,
          callback: cb2,
          next: null
        };
        if (last) {
          last.next = state.lastBufferedRequest;
        } else {
          state.bufferedRequest = state.lastBufferedRequest;
        }
        state.bufferedRequestCount += 1;
      } else {
        doWrite(stream4, state, false, len, chunk, encoding, cb2);
      }
      return ret;
    }
    function doWrite(stream4, state, writev, len, chunk, encoding, cb2) {
      state.writelen = len;
      state.writecb = cb2;
      state.writing = true;
      state.sync = true;
      if (writev)
        stream4._writev(chunk, state.onwrite);
      else
        stream4._write(chunk, encoding, state.onwrite);
      state.sync = false;
    }
    function onwriteError(stream4, state, sync2, er, cb2) {
      --state.pendingcb;
      if (sync2) {
        pna.nextTick(cb2, er);
        pna.nextTick(finishMaybe, stream4, state);
        stream4._writableState.errorEmitted = true;
        stream4.emit("error", er);
      } else {
        cb2(er);
        stream4._writableState.errorEmitted = true;
        stream4.emit("error", er);
        finishMaybe(stream4, state);
      }
    }
    function onwriteStateUpdate(state) {
      state.writing = false;
      state.writecb = null;
      state.length -= state.writelen;
      state.writelen = 0;
    }
    function onwrite(stream4, er) {
      var state = stream4._writableState;
      var sync2 = state.sync;
      var cb2 = state.writecb;
      onwriteStateUpdate(state);
      if (er)
        onwriteError(stream4, state, sync2, er, cb2);
      else {
        var finished = needFinish(state);
        if (!finished && !state.corked && !state.bufferProcessing && state.bufferedRequest) {
          clearBuffer(stream4, state);
        }
        if (sync2) {
          asyncWrite(afterWrite, stream4, state, finished, cb2);
        } else {
          afterWrite(stream4, state, finished, cb2);
        }
      }
    }
    function afterWrite(stream4, state, finished, cb2) {
      if (!finished)
        onwriteDrain(stream4, state);
      state.pendingcb--;
      cb2();
      finishMaybe(stream4, state);
    }
    function onwriteDrain(stream4, state) {
      if (state.length === 0 && state.needDrain) {
        state.needDrain = false;
        stream4.emit("drain");
      }
    }
    function clearBuffer(stream4, state) {
      state.bufferProcessing = true;
      var entry = state.bufferedRequest;
      if (stream4._writev && entry && entry.next) {
        var l2 = state.bufferedRequestCount;
        var buffer = new Array(l2);
        var holder = state.corkedRequestsFree;
        holder.entry = entry;
        var count = 0;
        var allBuffers = true;
        while (entry) {
          buffer[count] = entry;
          if (!entry.isBuf)
            allBuffers = false;
          entry = entry.next;
          count += 1;
        }
        buffer.allBuffers = allBuffers;
        doWrite(stream4, state, true, state.length, buffer, "", holder.finish);
        state.pendingcb++;
        state.lastBufferedRequest = null;
        if (holder.next) {
          state.corkedRequestsFree = holder.next;
          holder.next = null;
        } else {
          state.corkedRequestsFree = new CorkedRequest(state);
        }
        state.bufferedRequestCount = 0;
      } else {
        while (entry) {
          var chunk = entry.chunk;
          var encoding = entry.encoding;
          var cb2 = entry.callback;
          var len = state.objectMode ? 1 : chunk.length;
          doWrite(stream4, state, false, len, chunk, encoding, cb2);
          entry = entry.next;
          state.bufferedRequestCount--;
          if (state.writing) {
            break;
          }
        }
        if (entry === null)
          state.lastBufferedRequest = null;
      }
      state.bufferedRequest = entry;
      state.bufferProcessing = false;
    }
    Writable.prototype._write = function(chunk, encoding, cb2) {
      cb2(new Error("_write() is not implemented"));
    };
    Writable.prototype._writev = null;
    Writable.prototype.end = function(chunk, encoding, cb2) {
      var state = this._writableState;
      if (typeof chunk === "function") {
        cb2 = chunk;
        chunk = null;
        encoding = null;
      } else if (typeof encoding === "function") {
        cb2 = encoding;
        encoding = null;
      }
      if (chunk !== null && chunk !== void 0)
        this.write(chunk, encoding);
      if (state.corked) {
        state.corked = 1;
        this.uncork();
      }
      if (!state.ending && !state.finished)
        endWritable(this, state, cb2);
    };
    function needFinish(state) {
      return state.ending && state.length === 0 && state.bufferedRequest === null && !state.finished && !state.writing;
    }
    function callFinal(stream4, state) {
      stream4._final(function(err) {
        state.pendingcb--;
        if (err) {
          stream4.emit("error", err);
        }
        state.prefinished = true;
        stream4.emit("prefinish");
        finishMaybe(stream4, state);
      });
    }
    function prefinish(stream4, state) {
      if (!state.prefinished && !state.finalCalled) {
        if (typeof stream4._final === "function") {
          state.pendingcb++;
          state.finalCalled = true;
          pna.nextTick(callFinal, stream4, state);
        } else {
          state.prefinished = true;
          stream4.emit("prefinish");
        }
      }
    }
    function finishMaybe(stream4, state) {
      var need = needFinish(state);
      if (need) {
        prefinish(stream4, state);
        if (state.pendingcb === 0) {
          state.finished = true;
          stream4.emit("finish");
        }
      }
      return need;
    }
    function endWritable(stream4, state, cb2) {
      state.ending = true;
      finishMaybe(stream4, state);
      if (cb2) {
        if (state.finished)
          pna.nextTick(cb2);
        else
          stream4.once("finish", cb2);
      }
      state.ended = true;
      stream4.writable = false;
    }
    function onCorkedFinish(corkReq, state, err) {
      var entry = corkReq.entry;
      corkReq.entry = null;
      while (entry) {
        var cb2 = entry.callback;
        state.pendingcb--;
        cb2(err);
        entry = entry.next;
      }
      if (state.corkedRequestsFree) {
        state.corkedRequestsFree.next = corkReq;
      } else {
        state.corkedRequestsFree = corkReq;
      }
    }
    Object.defineProperty(Writable.prototype, "destroyed", {
      get: function() {
        if (this._writableState === void 0) {
          return false;
        }
        return this._writableState.destroyed;
      },
      set: function(value) {
        if (!this._writableState) {
          return;
        }
        this._writableState.destroyed = value;
      }
    });
    Writable.prototype.destroy = destroyImpl.destroy;
    Writable.prototype._undestroy = destroyImpl.undestroy;
    Writable.prototype._destroy = function(err, cb2) {
      this.end();
      cb2(err);
    };
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_duplex.js
var require_stream_duplex = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_duplex.js"(exports2, module2) {
    "use strict";
    var pna = require_process_nextick_args();
    var objectKeys = Object.keys || function(obj) {
      var keys2 = [];
      for (var key in obj) {
        keys2.push(key);
      }
      return keys2;
    };
    module2.exports = Duplex;
    var util4 = Object.create(require_util());
    util4.inherits = require_inherits();
    var Readable2 = require_stream_readable();
    var Writable = require_stream_writable();
    util4.inherits(Duplex, Readable2);
    {
      keys = objectKeys(Writable.prototype);
      for (v2 = 0; v2 < keys.length; v2++) {
        method = keys[v2];
        if (!Duplex.prototype[method])
          Duplex.prototype[method] = Writable.prototype[method];
      }
    }
    var keys;
    var method;
    var v2;
    function Duplex(options2) {
      if (!(this instanceof Duplex))
        return new Duplex(options2);
      Readable2.call(this, options2);
      Writable.call(this, options2);
      if (options2 && options2.readable === false)
        this.readable = false;
      if (options2 && options2.writable === false)
        this.writable = false;
      this.allowHalfOpen = true;
      if (options2 && options2.allowHalfOpen === false)
        this.allowHalfOpen = false;
      this.once("end", onend);
    }
    Object.defineProperty(Duplex.prototype, "writableHighWaterMark", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function() {
        return this._writableState.highWaterMark;
      }
    });
    function onend() {
      if (this.allowHalfOpen || this._writableState.ended)
        return;
      pna.nextTick(onEndNT, this);
    }
    function onEndNT(self2) {
      self2.end();
    }
    Object.defineProperty(Duplex.prototype, "destroyed", {
      get: function() {
        if (this._readableState === void 0 || this._writableState === void 0) {
          return false;
        }
        return this._readableState.destroyed && this._writableState.destroyed;
      },
      set: function(value) {
        if (this._readableState === void 0 || this._writableState === void 0) {
          return;
        }
        this._readableState.destroyed = value;
        this._writableState.destroyed = value;
      }
    });
    Duplex.prototype._destroy = function(err, cb2) {
      this.push(null);
      this.end();
      pna.nextTick(cb2, err);
    };
  }
});

// ../../node_modules/.pnpm/string_decoder@1.1.1/node_modules/string_decoder/lib/string_decoder.js
var require_string_decoder = __commonJS({
  "../../node_modules/.pnpm/string_decoder@1.1.1/node_modules/string_decoder/lib/string_decoder.js"(exports2) {
    "use strict";
    var Buffer2 = require_safe_buffer().Buffer;
    var isEncoding = Buffer2.isEncoding || function(encoding) {
      encoding = "" + encoding;
      switch (encoding && encoding.toLowerCase()) {
        case "hex":
        case "utf8":
        case "utf-8":
        case "ascii":
        case "binary":
        case "base64":
        case "ucs2":
        case "ucs-2":
        case "utf16le":
        case "utf-16le":
        case "raw":
          return true;
        default:
          return false;
      }
    };
    function _normalizeEncoding(enc) {
      if (!enc)
        return "utf8";
      var retried;
      while (true) {
        switch (enc) {
          case "utf8":
          case "utf-8":
            return "utf8";
          case "ucs2":
          case "ucs-2":
          case "utf16le":
          case "utf-16le":
            return "utf16le";
          case "latin1":
          case "binary":
            return "latin1";
          case "base64":
          case "ascii":
          case "hex":
            return enc;
          default:
            if (retried)
              return;
            enc = ("" + enc).toLowerCase();
            retried = true;
        }
      }
    }
    function normalizeEncoding(enc) {
      var nenc = _normalizeEncoding(enc);
      if (typeof nenc !== "string" && (Buffer2.isEncoding === isEncoding || !isEncoding(enc)))
        throw new Error("Unknown encoding: " + enc);
      return nenc || enc;
    }
    exports2.StringDecoder = StringDecoder;
    function StringDecoder(encoding) {
      this.encoding = normalizeEncoding(encoding);
      var nb;
      switch (this.encoding) {
        case "utf16le":
          this.text = utf16Text;
          this.end = utf16End;
          nb = 4;
          break;
        case "utf8":
          this.fillLast = utf8FillLast;
          nb = 4;
          break;
        case "base64":
          this.text = base64Text;
          this.end = base64End;
          nb = 3;
          break;
        default:
          this.write = simpleWrite;
          this.end = simpleEnd;
          return;
      }
      this.lastNeed = 0;
      this.lastTotal = 0;
      this.lastChar = Buffer2.allocUnsafe(nb);
    }
    StringDecoder.prototype.write = function(buf) {
      if (buf.length === 0)
        return "";
      var r2;
      var i4;
      if (this.lastNeed) {
        r2 = this.fillLast(buf);
        if (r2 === void 0)
          return "";
        i4 = this.lastNeed;
        this.lastNeed = 0;
      } else {
        i4 = 0;
      }
      if (i4 < buf.length)
        return r2 ? r2 + this.text(buf, i4) : this.text(buf, i4);
      return r2 || "";
    };
    StringDecoder.prototype.end = utf8End;
    StringDecoder.prototype.text = utf8Text;
    StringDecoder.prototype.fillLast = function(buf) {
      if (this.lastNeed <= buf.length) {
        buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, this.lastNeed);
        return this.lastChar.toString(this.encoding, 0, this.lastTotal);
      }
      buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, buf.length);
      this.lastNeed -= buf.length;
    };
    function utf8CheckByte(byte) {
      if (byte <= 127)
        return 0;
      else if (byte >> 5 === 6)
        return 2;
      else if (byte >> 4 === 14)
        return 3;
      else if (byte >> 3 === 30)
        return 4;
      return byte >> 6 === 2 ? -1 : -2;
    }
    function utf8CheckIncomplete(self2, buf, i4) {
      var j2 = buf.length - 1;
      if (j2 < i4)
        return 0;
      var nb = utf8CheckByte(buf[j2]);
      if (nb >= 0) {
        if (nb > 0)
          self2.lastNeed = nb - 1;
        return nb;
      }
      if (--j2 < i4 || nb === -2)
        return 0;
      nb = utf8CheckByte(buf[j2]);
      if (nb >= 0) {
        if (nb > 0)
          self2.lastNeed = nb - 2;
        return nb;
      }
      if (--j2 < i4 || nb === -2)
        return 0;
      nb = utf8CheckByte(buf[j2]);
      if (nb >= 0) {
        if (nb > 0) {
          if (nb === 2)
            nb = 0;
          else
            self2.lastNeed = nb - 3;
        }
        return nb;
      }
      return 0;
    }
    function utf8CheckExtraBytes(self2, buf, p2) {
      if ((buf[0] & 192) !== 128) {
        self2.lastNeed = 0;
        return "\uFFFD";
      }
      if (self2.lastNeed > 1 && buf.length > 1) {
        if ((buf[1] & 192) !== 128) {
          self2.lastNeed = 1;
          return "\uFFFD";
        }
        if (self2.lastNeed > 2 && buf.length > 2) {
          if ((buf[2] & 192) !== 128) {
            self2.lastNeed = 2;
            return "\uFFFD";
          }
        }
      }
    }
    function utf8FillLast(buf) {
      var p2 = this.lastTotal - this.lastNeed;
      var r2 = utf8CheckExtraBytes(this, buf, p2);
      if (r2 !== void 0)
        return r2;
      if (this.lastNeed <= buf.length) {
        buf.copy(this.lastChar, p2, 0, this.lastNeed);
        return this.lastChar.toString(this.encoding, 0, this.lastTotal);
      }
      buf.copy(this.lastChar, p2, 0, buf.length);
      this.lastNeed -= buf.length;
    }
    function utf8Text(buf, i4) {
      var total = utf8CheckIncomplete(this, buf, i4);
      if (!this.lastNeed)
        return buf.toString("utf8", i4);
      this.lastTotal = total;
      var end = buf.length - (total - this.lastNeed);
      buf.copy(this.lastChar, 0, end);
      return buf.toString("utf8", i4, end);
    }
    function utf8End(buf) {
      var r2 = buf && buf.length ? this.write(buf) : "";
      if (this.lastNeed)
        return r2 + "\uFFFD";
      return r2;
    }
    function utf16Text(buf, i4) {
      if ((buf.length - i4) % 2 === 0) {
        var r2 = buf.toString("utf16le", i4);
        if (r2) {
          var c4 = r2.charCodeAt(r2.length - 1);
          if (c4 >= 55296 && c4 <= 56319) {
            this.lastNeed = 2;
            this.lastTotal = 4;
            this.lastChar[0] = buf[buf.length - 2];
            this.lastChar[1] = buf[buf.length - 1];
            return r2.slice(0, -1);
          }
        }
        return r2;
      }
      this.lastNeed = 1;
      this.lastTotal = 2;
      this.lastChar[0] = buf[buf.length - 1];
      return buf.toString("utf16le", i4, buf.length - 1);
    }
    function utf16End(buf) {
      var r2 = buf && buf.length ? this.write(buf) : "";
      if (this.lastNeed) {
        var end = this.lastTotal - this.lastNeed;
        return r2 + this.lastChar.toString("utf16le", 0, end);
      }
      return r2;
    }
    function base64Text(buf, i4) {
      var n2 = (buf.length - i4) % 3;
      if (n2 === 0)
        return buf.toString("base64", i4);
      this.lastNeed = 3 - n2;
      this.lastTotal = 3;
      if (n2 === 1) {
        this.lastChar[0] = buf[buf.length - 1];
      } else {
        this.lastChar[0] = buf[buf.length - 2];
        this.lastChar[1] = buf[buf.length - 1];
      }
      return buf.toString("base64", i4, buf.length - n2);
    }
    function base64End(buf) {
      var r2 = buf && buf.length ? this.write(buf) : "";
      if (this.lastNeed)
        return r2 + this.lastChar.toString("base64", 0, 3 - this.lastNeed);
      return r2;
    }
    function simpleWrite(buf) {
      return buf.toString(this.encoding);
    }
    function simpleEnd(buf) {
      return buf && buf.length ? this.write(buf) : "";
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_readable.js
var require_stream_readable = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_readable.js"(exports2, module2) {
    "use strict";
    var pna = require_process_nextick_args();
    module2.exports = Readable2;
    var isArray = require_isarray();
    var Duplex;
    Readable2.ReadableState = ReadableState;
    var EE = require("events").EventEmitter;
    var EElistenerCount = function(emitter, type) {
      return emitter.listeners(type).length;
    };
    var Stream2 = require_stream6();
    var Buffer2 = require_safe_buffer().Buffer;
    var OurUint8Array = global.Uint8Array || function() {
    };
    function _uint8ArrayToBuffer(chunk) {
      return Buffer2.from(chunk);
    }
    function _isUint8Array(obj) {
      return Buffer2.isBuffer(obj) || obj instanceof OurUint8Array;
    }
    var util4 = Object.create(require_util());
    util4.inherits = require_inherits();
    var debugUtil = require("util");
    var debug30 = void 0;
    if (debugUtil && debugUtil.debuglog) {
      debug30 = debugUtil.debuglog("stream");
    } else {
      debug30 = function() {
      };
    }
    var BufferList = require_BufferList();
    var destroyImpl = require_destroy();
    var StringDecoder;
    util4.inherits(Readable2, Stream2);
    var kProxyEvents = ["error", "close", "destroy", "pause", "resume"];
    function prependListener(emitter, event, fn2) {
      if (typeof emitter.prependListener === "function")
        return emitter.prependListener(event, fn2);
      if (!emitter._events || !emitter._events[event])
        emitter.on(event, fn2);
      else if (isArray(emitter._events[event]))
        emitter._events[event].unshift(fn2);
      else
        emitter._events[event] = [fn2, emitter._events[event]];
    }
    function ReadableState(options2, stream4) {
      Duplex = Duplex || require_stream_duplex();
      options2 = options2 || {};
      var isDuplex = stream4 instanceof Duplex;
      this.objectMode = !!options2.objectMode;
      if (isDuplex)
        this.objectMode = this.objectMode || !!options2.readableObjectMode;
      var hwm = options2.highWaterMark;
      var readableHwm = options2.readableHighWaterMark;
      var defaultHwm = this.objectMode ? 16 : 16 * 1024;
      if (hwm || hwm === 0)
        this.highWaterMark = hwm;
      else if (isDuplex && (readableHwm || readableHwm === 0))
        this.highWaterMark = readableHwm;
      else
        this.highWaterMark = defaultHwm;
      this.highWaterMark = Math.floor(this.highWaterMark);
      this.buffer = new BufferList();
      this.length = 0;
      this.pipes = null;
      this.pipesCount = 0;
      this.flowing = null;
      this.ended = false;
      this.endEmitted = false;
      this.reading = false;
      this.sync = true;
      this.needReadable = false;
      this.emittedReadable = false;
      this.readableListening = false;
      this.resumeScheduled = false;
      this.destroyed = false;
      this.defaultEncoding = options2.defaultEncoding || "utf8";
      this.awaitDrain = 0;
      this.readingMore = false;
      this.decoder = null;
      this.encoding = null;
      if (options2.encoding) {
        if (!StringDecoder)
          StringDecoder = require_string_decoder().StringDecoder;
        this.decoder = new StringDecoder(options2.encoding);
        this.encoding = options2.encoding;
      }
    }
    function Readable2(options2) {
      Duplex = Duplex || require_stream_duplex();
      if (!(this instanceof Readable2))
        return new Readable2(options2);
      this._readableState = new ReadableState(options2, this);
      this.readable = true;
      if (options2) {
        if (typeof options2.read === "function")
          this._read = options2.read;
        if (typeof options2.destroy === "function")
          this._destroy = options2.destroy;
      }
      Stream2.call(this);
    }
    Object.defineProperty(Readable2.prototype, "destroyed", {
      get: function() {
        if (this._readableState === void 0) {
          return false;
        }
        return this._readableState.destroyed;
      },
      set: function(value) {
        if (!this._readableState) {
          return;
        }
        this._readableState.destroyed = value;
      }
    });
    Readable2.prototype.destroy = destroyImpl.destroy;
    Readable2.prototype._undestroy = destroyImpl.undestroy;
    Readable2.prototype._destroy = function(err, cb2) {
      this.push(null);
      cb2(err);
    };
    Readable2.prototype.push = function(chunk, encoding) {
      var state = this._readableState;
      var skipChunkCheck;
      if (!state.objectMode) {
        if (typeof chunk === "string") {
          encoding = encoding || state.defaultEncoding;
          if (encoding !== state.encoding) {
            chunk = Buffer2.from(chunk, encoding);
            encoding = "";
          }
          skipChunkCheck = true;
        }
      } else {
        skipChunkCheck = true;
      }
      return readableAddChunk(this, chunk, encoding, false, skipChunkCheck);
    };
    Readable2.prototype.unshift = function(chunk) {
      return readableAddChunk(this, chunk, null, true, false);
    };
    function readableAddChunk(stream4, chunk, encoding, addToFront, skipChunkCheck) {
      var state = stream4._readableState;
      if (chunk === null) {
        state.reading = false;
        onEofChunk(stream4, state);
      } else {
        var er;
        if (!skipChunkCheck)
          er = chunkInvalid(state, chunk);
        if (er) {
          stream4.emit("error", er);
        } else if (state.objectMode || chunk && chunk.length > 0) {
          if (typeof chunk !== "string" && !state.objectMode && Object.getPrototypeOf(chunk) !== Buffer2.prototype) {
            chunk = _uint8ArrayToBuffer(chunk);
          }
          if (addToFront) {
            if (state.endEmitted)
              stream4.emit("error", new Error("stream.unshift() after end event"));
            else
              addChunk(stream4, state, chunk, true);
          } else if (state.ended) {
            stream4.emit("error", new Error("stream.push() after EOF"));
          } else {
            state.reading = false;
            if (state.decoder && !encoding) {
              chunk = state.decoder.write(chunk);
              if (state.objectMode || chunk.length !== 0)
                addChunk(stream4, state, chunk, false);
              else
                maybeReadMore(stream4, state);
            } else {
              addChunk(stream4, state, chunk, false);
            }
          }
        } else if (!addToFront) {
          state.reading = false;
        }
      }
      return needMoreData(state);
    }
    function addChunk(stream4, state, chunk, addToFront) {
      if (state.flowing && state.length === 0 && !state.sync) {
        stream4.emit("data", chunk);
        stream4.read(0);
      } else {
        state.length += state.objectMode ? 1 : chunk.length;
        if (addToFront)
          state.buffer.unshift(chunk);
        else
          state.buffer.push(chunk);
        if (state.needReadable)
          emitReadable(stream4);
      }
      maybeReadMore(stream4, state);
    }
    function chunkInvalid(state, chunk) {
      var er;
      if (!_isUint8Array(chunk) && typeof chunk !== "string" && chunk !== void 0 && !state.objectMode) {
        er = new TypeError("Invalid non-string/buffer chunk");
      }
      return er;
    }
    function needMoreData(state) {
      return !state.ended && (state.needReadable || state.length < state.highWaterMark || state.length === 0);
    }
    Readable2.prototype.isPaused = function() {
      return this._readableState.flowing === false;
    };
    Readable2.prototype.setEncoding = function(enc) {
      if (!StringDecoder)
        StringDecoder = require_string_decoder().StringDecoder;
      this._readableState.decoder = new StringDecoder(enc);
      this._readableState.encoding = enc;
      return this;
    };
    var MAX_HWM = 8388608;
    function computeNewHighWaterMark(n2) {
      if (n2 >= MAX_HWM) {
        n2 = MAX_HWM;
      } else {
        n2--;
        n2 |= n2 >>> 1;
        n2 |= n2 >>> 2;
        n2 |= n2 >>> 4;
        n2 |= n2 >>> 8;
        n2 |= n2 >>> 16;
        n2++;
      }
      return n2;
    }
    function howMuchToRead(n2, state) {
      if (n2 <= 0 || state.length === 0 && state.ended)
        return 0;
      if (state.objectMode)
        return 1;
      if (n2 !== n2) {
        if (state.flowing && state.length)
          return state.buffer.head.data.length;
        else
          return state.length;
      }
      if (n2 > state.highWaterMark)
        state.highWaterMark = computeNewHighWaterMark(n2);
      if (n2 <= state.length)
        return n2;
      if (!state.ended) {
        state.needReadable = true;
        return 0;
      }
      return state.length;
    }
    Readable2.prototype.read = function(n2) {
      debug30("read", n2);
      n2 = parseInt(n2, 10);
      var state = this._readableState;
      var nOrig = n2;
      if (n2 !== 0)
        state.emittedReadable = false;
      if (n2 === 0 && state.needReadable && (state.length >= state.highWaterMark || state.ended)) {
        debug30("read: emitReadable", state.length, state.ended);
        if (state.length === 0 && state.ended)
          endReadable(this);
        else
          emitReadable(this);
        return null;
      }
      n2 = howMuchToRead(n2, state);
      if (n2 === 0 && state.ended) {
        if (state.length === 0)
          endReadable(this);
        return null;
      }
      var doRead = state.needReadable;
      debug30("need readable", doRead);
      if (state.length === 0 || state.length - n2 < state.highWaterMark) {
        doRead = true;
        debug30("length less than watermark", doRead);
      }
      if (state.ended || state.reading) {
        doRead = false;
        debug30("reading or ended", doRead);
      } else if (doRead) {
        debug30("do read");
        state.reading = true;
        state.sync = true;
        if (state.length === 0)
          state.needReadable = true;
        this._read(state.highWaterMark);
        state.sync = false;
        if (!state.reading)
          n2 = howMuchToRead(nOrig, state);
      }
      var ret;
      if (n2 > 0)
        ret = fromList(n2, state);
      else
        ret = null;
      if (ret === null) {
        state.needReadable = true;
        n2 = 0;
      } else {
        state.length -= n2;
      }
      if (state.length === 0) {
        if (!state.ended)
          state.needReadable = true;
        if (nOrig !== n2 && state.ended)
          endReadable(this);
      }
      if (ret !== null)
        this.emit("data", ret);
      return ret;
    };
    function onEofChunk(stream4, state) {
      if (state.ended)
        return;
      if (state.decoder) {
        var chunk = state.decoder.end();
        if (chunk && chunk.length) {
          state.buffer.push(chunk);
          state.length += state.objectMode ? 1 : chunk.length;
        }
      }
      state.ended = true;
      emitReadable(stream4);
    }
    function emitReadable(stream4) {
      var state = stream4._readableState;
      state.needReadable = false;
      if (!state.emittedReadable) {
        debug30("emitReadable", state.flowing);
        state.emittedReadable = true;
        if (state.sync)
          pna.nextTick(emitReadable_, stream4);
        else
          emitReadable_(stream4);
      }
    }
    function emitReadable_(stream4) {
      debug30("emit readable");
      stream4.emit("readable");
      flow2(stream4);
    }
    function maybeReadMore(stream4, state) {
      if (!state.readingMore) {
        state.readingMore = true;
        pna.nextTick(maybeReadMore_, stream4, state);
      }
    }
    function maybeReadMore_(stream4, state) {
      var len = state.length;
      while (!state.reading && !state.flowing && !state.ended && state.length < state.highWaterMark) {
        debug30("maybeReadMore read 0");
        stream4.read(0);
        if (len === state.length)
          break;
        else
          len = state.length;
      }
      state.readingMore = false;
    }
    Readable2.prototype._read = function(n2) {
      this.emit("error", new Error("_read() is not implemented"));
    };
    Readable2.prototype.pipe = function(dest, pipeOpts) {
      var src2 = this;
      var state = this._readableState;
      switch (state.pipesCount) {
        case 0:
          state.pipes = dest;
          break;
        case 1:
          state.pipes = [state.pipes, dest];
          break;
        default:
          state.pipes.push(dest);
          break;
      }
      state.pipesCount += 1;
      debug30("pipe count=%d opts=%j", state.pipesCount, pipeOpts);
      var doEnd = (!pipeOpts || pipeOpts.end !== false) && dest !== process.stdout && dest !== process.stderr;
      var endFn = doEnd ? onend : unpipe;
      if (state.endEmitted)
        pna.nextTick(endFn);
      else
        src2.once("end", endFn);
      dest.on("unpipe", onunpipe);
      function onunpipe(readable, unpipeInfo) {
        debug30("onunpipe");
        if (readable === src2) {
          if (unpipeInfo && unpipeInfo.hasUnpiped === false) {
            unpipeInfo.hasUnpiped = true;
            cleanup();
          }
        }
      }
      function onend() {
        debug30("onend");
        dest.end();
      }
      var ondrain = pipeOnDrain(src2);
      dest.on("drain", ondrain);
      var cleanedUp = false;
      function cleanup() {
        debug30("cleanup");
        dest.removeListener("close", onclose);
        dest.removeListener("finish", onfinish);
        dest.removeListener("drain", ondrain);
        dest.removeListener("error", onerror);
        dest.removeListener("unpipe", onunpipe);
        src2.removeListener("end", onend);
        src2.removeListener("end", unpipe);
        src2.removeListener("data", ondata);
        cleanedUp = true;
        if (state.awaitDrain && (!dest._writableState || dest._writableState.needDrain))
          ondrain();
      }
      var increasedAwaitDrain = false;
      src2.on("data", ondata);
      function ondata(chunk) {
        debug30("ondata");
        increasedAwaitDrain = false;
        var ret = dest.write(chunk);
        if (false === ret && !increasedAwaitDrain) {
          if ((state.pipesCount === 1 && state.pipes === dest || state.pipesCount > 1 && indexOf(state.pipes, dest) !== -1) && !cleanedUp) {
            debug30("false write response, pause", src2._readableState.awaitDrain);
            src2._readableState.awaitDrain++;
            increasedAwaitDrain = true;
          }
          src2.pause();
        }
      }
      function onerror(er) {
        debug30("onerror", er);
        unpipe();
        dest.removeListener("error", onerror);
        if (EElistenerCount(dest, "error") === 0)
          dest.emit("error", er);
      }
      prependListener(dest, "error", onerror);
      function onclose() {
        dest.removeListener("finish", onfinish);
        unpipe();
      }
      dest.once("close", onclose);
      function onfinish() {
        debug30("onfinish");
        dest.removeListener("close", onclose);
        unpipe();
      }
      dest.once("finish", onfinish);
      function unpipe() {
        debug30("unpipe");
        src2.unpipe(dest);
      }
      dest.emit("pipe", src2);
      if (!state.flowing) {
        debug30("pipe resume");
        src2.resume();
      }
      return dest;
    };
    function pipeOnDrain(src2) {
      return function() {
        var state = src2._readableState;
        debug30("pipeOnDrain", state.awaitDrain);
        if (state.awaitDrain)
          state.awaitDrain--;
        if (state.awaitDrain === 0 && EElistenerCount(src2, "data")) {
          state.flowing = true;
          flow2(src2);
        }
      };
    }
    Readable2.prototype.unpipe = function(dest) {
      var state = this._readableState;
      var unpipeInfo = { hasUnpiped: false };
      if (state.pipesCount === 0)
        return this;
      if (state.pipesCount === 1) {
        if (dest && dest !== state.pipes)
          return this;
        if (!dest)
          dest = state.pipes;
        state.pipes = null;
        state.pipesCount = 0;
        state.flowing = false;
        if (dest)
          dest.emit("unpipe", this, unpipeInfo);
        return this;
      }
      if (!dest) {
        var dests = state.pipes;
        var len = state.pipesCount;
        state.pipes = null;
        state.pipesCount = 0;
        state.flowing = false;
        for (var i4 = 0; i4 < len; i4++) {
          dests[i4].emit("unpipe", this, unpipeInfo);
        }
        return this;
      }
      var index2 = indexOf(state.pipes, dest);
      if (index2 === -1)
        return this;
      state.pipes.splice(index2, 1);
      state.pipesCount -= 1;
      if (state.pipesCount === 1)
        state.pipes = state.pipes[0];
      dest.emit("unpipe", this, unpipeInfo);
      return this;
    };
    Readable2.prototype.on = function(ev, fn2) {
      var res = Stream2.prototype.on.call(this, ev, fn2);
      if (ev === "data") {
        if (this._readableState.flowing !== false)
          this.resume();
      } else if (ev === "readable") {
        var state = this._readableState;
        if (!state.endEmitted && !state.readableListening) {
          state.readableListening = state.needReadable = true;
          state.emittedReadable = false;
          if (!state.reading) {
            pna.nextTick(nReadingNextTick, this);
          } else if (state.length) {
            emitReadable(this);
          }
        }
      }
      return res;
    };
    Readable2.prototype.addListener = Readable2.prototype.on;
    function nReadingNextTick(self2) {
      debug30("readable nexttick read 0");
      self2.read(0);
    }
    Readable2.prototype.resume = function() {
      var state = this._readableState;
      if (!state.flowing) {
        debug30("resume");
        state.flowing = true;
        resume(this, state);
      }
      return this;
    };
    function resume(stream4, state) {
      if (!state.resumeScheduled) {
        state.resumeScheduled = true;
        pna.nextTick(resume_, stream4, state);
      }
    }
    function resume_(stream4, state) {
      if (!state.reading) {
        debug30("resume read 0");
        stream4.read(0);
      }
      state.resumeScheduled = false;
      state.awaitDrain = 0;
      stream4.emit("resume");
      flow2(stream4);
      if (state.flowing && !state.reading)
        stream4.read(0);
    }
    Readable2.prototype.pause = function() {
      debug30("call pause flowing=%j", this._readableState.flowing);
      if (false !== this._readableState.flowing) {
        debug30("pause");
        this._readableState.flowing = false;
        this.emit("pause");
      }
      return this;
    };
    function flow2(stream4) {
      var state = stream4._readableState;
      debug30("flow", state.flowing);
      while (state.flowing && stream4.read() !== null) {
      }
    }
    Readable2.prototype.wrap = function(stream4) {
      var _this = this;
      var state = this._readableState;
      var paused = false;
      stream4.on("end", function() {
        debug30("wrapped end");
        if (state.decoder && !state.ended) {
          var chunk = state.decoder.end();
          if (chunk && chunk.length)
            _this.push(chunk);
        }
        _this.push(null);
      });
      stream4.on("data", function(chunk) {
        debug30("wrapped data");
        if (state.decoder)
          chunk = state.decoder.write(chunk);
        if (state.objectMode && (chunk === null || chunk === void 0))
          return;
        else if (!state.objectMode && (!chunk || !chunk.length))
          return;
        var ret = _this.push(chunk);
        if (!ret) {
          paused = true;
          stream4.pause();
        }
      });
      for (var i4 in stream4) {
        if (this[i4] === void 0 && typeof stream4[i4] === "function") {
          this[i4] = function(method) {
            return function() {
              return stream4[method].apply(stream4, arguments);
            };
          }(i4);
        }
      }
      for (var n2 = 0; n2 < kProxyEvents.length; n2++) {
        stream4.on(kProxyEvents[n2], this.emit.bind(this, kProxyEvents[n2]));
      }
      this._read = function(n3) {
        debug30("wrapped _read", n3);
        if (paused) {
          paused = false;
          stream4.resume();
        }
      };
      return this;
    };
    Object.defineProperty(Readable2.prototype, "readableHighWaterMark", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function() {
        return this._readableState.highWaterMark;
      }
    });
    Readable2._fromList = fromList;
    function fromList(n2, state) {
      if (state.length === 0)
        return null;
      var ret;
      if (state.objectMode)
        ret = state.buffer.shift();
      else if (!n2 || n2 >= state.length) {
        if (state.decoder)
          ret = state.buffer.join("");
        else if (state.buffer.length === 1)
          ret = state.buffer.head.data;
        else
          ret = state.buffer.concat(state.length);
        state.buffer.clear();
      } else {
        ret = fromListPartial(n2, state.buffer, state.decoder);
      }
      return ret;
    }
    function fromListPartial(n2, list, hasStrings) {
      var ret;
      if (n2 < list.head.data.length) {
        ret = list.head.data.slice(0, n2);
        list.head.data = list.head.data.slice(n2);
      } else if (n2 === list.head.data.length) {
        ret = list.shift();
      } else {
        ret = hasStrings ? copyFromBufferString(n2, list) : copyFromBuffer(n2, list);
      }
      return ret;
    }
    function copyFromBufferString(n2, list) {
      var p2 = list.head;
      var c4 = 1;
      var ret = p2.data;
      n2 -= ret.length;
      while (p2 = p2.next) {
        var str = p2.data;
        var nb = n2 > str.length ? str.length : n2;
        if (nb === str.length)
          ret += str;
        else
          ret += str.slice(0, n2);
        n2 -= nb;
        if (n2 === 0) {
          if (nb === str.length) {
            ++c4;
            if (p2.next)
              list.head = p2.next;
            else
              list.head = list.tail = null;
          } else {
            list.head = p2;
            p2.data = str.slice(nb);
          }
          break;
        }
        ++c4;
      }
      list.length -= c4;
      return ret;
    }
    function copyFromBuffer(n2, list) {
      var ret = Buffer2.allocUnsafe(n2);
      var p2 = list.head;
      var c4 = 1;
      p2.data.copy(ret);
      n2 -= p2.data.length;
      while (p2 = p2.next) {
        var buf = p2.data;
        var nb = n2 > buf.length ? buf.length : n2;
        buf.copy(ret, ret.length - n2, 0, nb);
        n2 -= nb;
        if (n2 === 0) {
          if (nb === buf.length) {
            ++c4;
            if (p2.next)
              list.head = p2.next;
            else
              list.head = list.tail = null;
          } else {
            list.head = p2;
            p2.data = buf.slice(nb);
          }
          break;
        }
        ++c4;
      }
      list.length -= c4;
      return ret;
    }
    function endReadable(stream4) {
      var state = stream4._readableState;
      if (state.length > 0)
        throw new Error('"endReadable()" called on non-empty stream');
      if (!state.endEmitted) {
        state.ended = true;
        pna.nextTick(endReadableNT, state, stream4);
      }
    }
    function endReadableNT(state, stream4) {
      if (!state.endEmitted && state.length === 0) {
        state.endEmitted = true;
        stream4.readable = false;
        stream4.emit("end");
      }
    }
    function indexOf(xs2, x) {
      for (var i4 = 0, l2 = xs2.length; i4 < l2; i4++) {
        if (xs2[i4] === x)
          return i4;
      }
      return -1;
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_transform.js
var require_stream_transform = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_transform.js"(exports2, module2) {
    "use strict";
    module2.exports = Transform;
    var Duplex = require_stream_duplex();
    var util4 = Object.create(require_util());
    util4.inherits = require_inherits();
    util4.inherits(Transform, Duplex);
    function afterTransform(er, data) {
      var ts2 = this._transformState;
      ts2.transforming = false;
      var cb2 = ts2.writecb;
      if (!cb2) {
        return this.emit("error", new Error("write callback called multiple times"));
      }
      ts2.writechunk = null;
      ts2.writecb = null;
      if (data != null)
        this.push(data);
      cb2(er);
      var rs = this._readableState;
      rs.reading = false;
      if (rs.needReadable || rs.length < rs.highWaterMark) {
        this._read(rs.highWaterMark);
      }
    }
    function Transform(options2) {
      if (!(this instanceof Transform))
        return new Transform(options2);
      Duplex.call(this, options2);
      this._transformState = {
        afterTransform: afterTransform.bind(this),
        needTransform: false,
        transforming: false,
        writecb: null,
        writechunk: null,
        writeencoding: null
      };
      this._readableState.needReadable = true;
      this._readableState.sync = false;
      if (options2) {
        if (typeof options2.transform === "function")
          this._transform = options2.transform;
        if (typeof options2.flush === "function")
          this._flush = options2.flush;
      }
      this.on("prefinish", prefinish);
    }
    function prefinish() {
      var _this = this;
      if (typeof this._flush === "function") {
        this._flush(function(er, data) {
          done(_this, er, data);
        });
      } else {
        done(this, null, null);
      }
    }
    Transform.prototype.push = function(chunk, encoding) {
      this._transformState.needTransform = false;
      return Duplex.prototype.push.call(this, chunk, encoding);
    };
    Transform.prototype._transform = function(chunk, encoding, cb2) {
      throw new Error("_transform() is not implemented");
    };
    Transform.prototype._write = function(chunk, encoding, cb2) {
      var ts2 = this._transformState;
      ts2.writecb = cb2;
      ts2.writechunk = chunk;
      ts2.writeencoding = encoding;
      if (!ts2.transforming) {
        var rs = this._readableState;
        if (ts2.needTransform || rs.needReadable || rs.length < rs.highWaterMark)
          this._read(rs.highWaterMark);
      }
    };
    Transform.prototype._read = function(n2) {
      var ts2 = this._transformState;
      if (ts2.writechunk !== null && ts2.writecb && !ts2.transforming) {
        ts2.transforming = true;
        this._transform(ts2.writechunk, ts2.writeencoding, ts2.afterTransform);
      } else {
        ts2.needTransform = true;
      }
    };
    Transform.prototype._destroy = function(err, cb2) {
      var _this2 = this;
      Duplex.prototype._destroy.call(this, err, function(err2) {
        cb2(err2);
        _this2.emit("close");
      });
    };
    function done(stream4, er, data) {
      if (er)
        return stream4.emit("error", er);
      if (data != null)
        stream4.push(data);
      if (stream4._writableState.length)
        throw new Error("Calling transform done when ws.length != 0");
      if (stream4._transformState.transforming)
        throw new Error("Calling transform done when still transforming");
      return stream4.push(null);
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_passthrough.js
var require_stream_passthrough = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/lib/_stream_passthrough.js"(exports2, module2) {
    "use strict";
    module2.exports = PassThrough3;
    var Transform = require_stream_transform();
    var util4 = Object.create(require_util());
    util4.inherits = require_inherits();
    util4.inherits(PassThrough3, Transform);
    function PassThrough3(options2) {
      if (!(this instanceof PassThrough3))
        return new PassThrough3(options2);
      Transform.call(this, options2);
    }
    PassThrough3.prototype._transform = function(chunk, encoding, cb2) {
      cb2(null, chunk);
    };
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/readable.js
var require_readable = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/readable.js"(exports2, module2) {
    "use strict";
    var Stream2 = require("stream");
    if (process.env.READABLE_STREAM === "disable" && Stream2) {
      module2.exports = Stream2;
      exports2 = module2.exports = Stream2.Readable;
      exports2.Readable = Stream2.Readable;
      exports2.Writable = Stream2.Writable;
      exports2.Duplex = Stream2.Duplex;
      exports2.Transform = Stream2.Transform;
      exports2.PassThrough = Stream2.PassThrough;
      exports2.Stream = Stream2;
    } else {
      exports2 = module2.exports = require_stream_readable();
      exports2.Stream = Stream2 || exports2;
      exports2.Readable = exports2;
      exports2.Writable = require_stream_writable();
      exports2.Duplex = require_stream_duplex();
      exports2.Transform = require_stream_transform();
      exports2.PassThrough = require_stream_passthrough();
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/passthrough.js
var require_passthrough = __commonJS({
  "../../node_modules/.pnpm/readable-stream@2.3.7/node_modules/readable-stream/passthrough.js"(exports2, module2) {
    "use strict";
    module2.exports = require_readable().PassThrough;
  }
});

// ../../node_modules/.pnpm/lazystream@1.0.1/node_modules/lazystream/lib/lazystream.js
var require_lazystream = __commonJS({
  "../../node_modules/.pnpm/lazystream@1.0.1/node_modules/lazystream/lib/lazystream.js"(exports2, module2) {
    "use strict";
    var util4 = require("util");
    var PassThrough3 = require_passthrough();
    module2.exports = {
      Readable: Readable2,
      Writable
    };
    util4.inherits(Readable2, PassThrough3);
    util4.inherits(Writable, PassThrough3);
    function beforeFirstCall(instance, method, callback) {
      instance[method] = function() {
        delete instance[method];
        callback.apply(this, arguments);
        return this[method].apply(this, arguments);
      };
    }
    function Readable2(fn2, options2) {
      if (!(this instanceof Readable2))
        return new Readable2(fn2, options2);
      PassThrough3.call(this, options2);
      beforeFirstCall(this, "_read", function() {
        var source = fn2.call(this, options2);
        var emit = this.emit.bind(this, "error");
        source.on("error", emit);
        source.pipe(this);
      });
      this.emit("readable");
    }
    function Writable(fn2, options2) {
      if (!(this instanceof Writable))
        return new Writable(fn2, options2);
      PassThrough3.call(this, options2);
      beforeFirstCall(this, "_write", function() {
        var destination = fn2.call(this, options2);
        var emit = this.emit.bind(this, "error");
        destination.on("error", emit);
        this.pipe(destination);
      });
      this.emit("writable");
    }
  }
});

// ../../node_modules/.pnpm/normalize-path@3.0.0/node_modules/normalize-path/index.js
var require_normalize_path = __commonJS({
  "../../node_modules/.pnpm/normalize-path@3.0.0/node_modules/normalize-path/index.js"(exports2, module2) {
    "use strict";
    module2.exports = function(path39, stripTrailing) {
      if (typeof path39 !== "string") {
        throw new TypeError("expected path to be a string");
      }
      if (path39 === "\\" || path39 === "/")
        return "/";
      var len = path39.length;
      if (len <= 1)
        return path39;
      var prefix = "";
      if (len > 4 && path39[3] === "\\") {
        var ch = path39[2];
        if ((ch === "?" || ch === ".") && path39.slice(0, 2) === "\\\\") {
          path39 = path39.slice(2);
          prefix = "//";
        }
      }
      var segs = path39.split(/[/\\]+/);
      if (stripTrailing !== false && segs[segs.length - 1] === "") {
        segs.pop();
      }
      return prefix + segs.join("/");
    };
  }
});

// ../../node_modules/.pnpm/lodash.defaults@4.2.0/node_modules/lodash.defaults/index.js
var require_lodash = __commonJS({
  "../../node_modules/.pnpm/lodash.defaults@4.2.0/node_modules/lodash.defaults/index.js"(exports2, module2) {
    "use strict";
    var MAX_SAFE_INTEGER2 = 9007199254740991;
    var argsTag = "[object Arguments]";
    var funcTag = "[object Function]";
    var genTag = "[object GeneratorFunction]";
    var reIsUint = /^(?:0|[1-9]\d*)$/;
    function apply2(func, thisArg, args3) {
      switch (args3.length) {
        case 0:
          return func.call(thisArg);
        case 1:
          return func.call(thisArg, args3[0]);
        case 2:
          return func.call(thisArg, args3[0], args3[1]);
        case 3:
          return func.call(thisArg, args3[0], args3[1], args3[2]);
      }
      return func.apply(thisArg, args3);
    }
    function baseTimes(n2, iteratee) {
      var index2 = -1, result = Array(n2);
      while (++index2 < n2) {
        result[index2] = iteratee(index2);
      }
      return result;
    }
    var objectProto = Object.prototype;
    var hasOwnProperty3 = objectProto.hasOwnProperty;
    var objectToString = objectProto.toString;
    var propertyIsEnumerable = objectProto.propertyIsEnumerable;
    var nativeMax = Math.max;
    function arrayLikeKeys(value, inherited) {
      var result = isArray(value) || isArguments(value) ? baseTimes(value.length, String) : [];
      var length = result.length, skipIndexes = !!length;
      for (var key in value) {
        if ((inherited || hasOwnProperty3.call(value, key)) && !(skipIndexes && (key == "length" || isIndex(key, length)))) {
          result.push(key);
        }
      }
      return result;
    }
    function assignInDefaults(objValue, srcValue, key, object) {
      if (objValue === void 0 || eq2(objValue, objectProto[key]) && !hasOwnProperty3.call(object, key)) {
        return srcValue;
      }
      return objValue;
    }
    function assignValue(object, key, value) {
      var objValue = object[key];
      if (!(hasOwnProperty3.call(object, key) && eq2(objValue, value)) || value === void 0 && !(key in object)) {
        object[key] = value;
      }
    }
    function baseKeysIn(object) {
      if (!isObject(object)) {
        return nativeKeysIn(object);
      }
      var isProto = isPrototype(object), result = [];
      for (var key in object) {
        if (!(key == "constructor" && (isProto || !hasOwnProperty3.call(object, key)))) {
          result.push(key);
        }
      }
      return result;
    }
    function baseRest(func, start) {
      start = nativeMax(start === void 0 ? func.length - 1 : start, 0);
      return function() {
        var args3 = arguments, index2 = -1, length = nativeMax(args3.length - start, 0), array = Array(length);
        while (++index2 < length) {
          array[index2] = args3[start + index2];
        }
        index2 = -1;
        var otherArgs = Array(start + 1);
        while (++index2 < start) {
          otherArgs[index2] = args3[index2];
        }
        otherArgs[start] = array;
        return apply2(func, this, otherArgs);
      };
    }
    function copyObject(source, props, object, customizer) {
      object || (object = {});
      var index2 = -1, length = props.length;
      while (++index2 < length) {
        var key = props[index2];
        var newValue = customizer ? customizer(object[key], source[key], key, object, source) : void 0;
        assignValue(object, key, newValue === void 0 ? source[key] : newValue);
      }
      return object;
    }
    function createAssigner(assigner) {
      return baseRest(function(object, sources) {
        var index2 = -1, length = sources.length, customizer = length > 1 ? sources[length - 1] : void 0, guard = length > 2 ? sources[2] : void 0;
        customizer = assigner.length > 3 && typeof customizer == "function" ? (length--, customizer) : void 0;
        if (guard && isIterateeCall(sources[0], sources[1], guard)) {
          customizer = length < 3 ? void 0 : customizer;
          length = 1;
        }
        object = Object(object);
        while (++index2 < length) {
          var source = sources[index2];
          if (source) {
            assigner(object, source, index2, customizer);
          }
        }
        return object;
      });
    }
    function isIndex(value, length) {
      length = length == null ? MAX_SAFE_INTEGER2 : length;
      return !!length && (typeof value == "number" || reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
    }
    function isIterateeCall(value, index2, object) {
      if (!isObject(object)) {
        return false;
      }
      var type = typeof index2;
      if (type == "number" ? isArrayLike2(object) && isIndex(index2, object.length) : type == "string" && index2 in object) {
        return eq2(object[index2], value);
      }
      return false;
    }
    function isPrototype(value) {
      var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto;
      return value === proto;
    }
    function nativeKeysIn(object) {
      var result = [];
      if (object != null) {
        for (var key in Object(object)) {
          result.push(key);
        }
      }
      return result;
    }
    function eq2(value, other) {
      return value === other || value !== value && other !== other;
    }
    function isArguments(value) {
      return isArrayLikeObject(value) && hasOwnProperty3.call(value, "callee") && (!propertyIsEnumerable.call(value, "callee") || objectToString.call(value) == argsTag);
    }
    var isArray = Array.isArray;
    function isArrayLike2(value) {
      return value != null && isLength(value.length) && !isFunction(value);
    }
    function isArrayLikeObject(value) {
      return isObjectLike(value) && isArrayLike2(value);
    }
    function isFunction(value) {
      var tag = isObject(value) ? objectToString.call(value) : "";
      return tag == funcTag || tag == genTag;
    }
    function isLength(value) {
      return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER2;
    }
    function isObject(value) {
      var type = typeof value;
      return !!value && (type == "object" || type == "function");
    }
    function isObjectLike(value) {
      return !!value && typeof value == "object";
    }
    var assignInWith = createAssigner(function(object, source, srcIndex, customizer) {
      copyObject(source, keysIn(source), object, customizer);
    });
    var defaults = baseRest(function(args3) {
      args3.push(void 0, assignInDefaults);
      return apply2(assignInWith, void 0, args3);
    });
    function keysIn(object) {
      return isArrayLike2(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
    }
    module2.exports = defaults;
  }
});

// ../../node_modules/.pnpm/lodash.flatten@4.4.0/node_modules/lodash.flatten/index.js
var require_lodash2 = __commonJS({
  "../../node_modules/.pnpm/lodash.flatten@4.4.0/node_modules/lodash.flatten/index.js"(exports2, module2) {
    "use strict";
    var MAX_SAFE_INTEGER2 = 9007199254740991;
    var argsTag = "[object Arguments]";
    var funcTag = "[object Function]";
    var genTag = "[object GeneratorFunction]";
    var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
    var freeSelf = typeof self == "object" && self && self.Object === Object && self;
    var root = freeGlobal || freeSelf || Function("return this")();
    function arrayPush(array, values) {
      var index2 = -1, length = values.length, offset = array.length;
      while (++index2 < length) {
        array[offset + index2] = values[index2];
      }
      return array;
    }
    var objectProto = Object.prototype;
    var hasOwnProperty3 = objectProto.hasOwnProperty;
    var objectToString = objectProto.toString;
    var Symbol2 = root.Symbol;
    var propertyIsEnumerable = objectProto.propertyIsEnumerable;
    var spreadableSymbol = Symbol2 ? Symbol2.isConcatSpreadable : void 0;
    function baseFlatten(array, depth, predicate, isStrict, result) {
      var index2 = -1, length = array.length;
      predicate || (predicate = isFlattenable);
      result || (result = []);
      while (++index2 < length) {
        var value = array[index2];
        if (depth > 0 && predicate(value)) {
          if (depth > 1) {
            baseFlatten(value, depth - 1, predicate, isStrict, result);
          } else {
            arrayPush(result, value);
          }
        } else if (!isStrict) {
          result[result.length] = value;
        }
      }
      return result;
    }
    function isFlattenable(value) {
      return isArray(value) || isArguments(value) || !!(spreadableSymbol && value && value[spreadableSymbol]);
    }
    function flatten(array) {
      var length = array ? array.length : 0;
      return length ? baseFlatten(array, 1) : [];
    }
    function isArguments(value) {
      return isArrayLikeObject(value) && hasOwnProperty3.call(value, "callee") && (!propertyIsEnumerable.call(value, "callee") || objectToString.call(value) == argsTag);
    }
    var isArray = Array.isArray;
    function isArrayLike2(value) {
      return value != null && isLength(value.length) && !isFunction(value);
    }
    function isArrayLikeObject(value) {
      return isObjectLike(value) && isArrayLike2(value);
    }
    function isFunction(value) {
      var tag = isObject(value) ? objectToString.call(value) : "";
      return tag == funcTag || tag == genTag;
    }
    function isLength(value) {
      return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER2;
    }
    function isObject(value) {
      var type = typeof value;
      return !!value && (type == "object" || type == "function");
    }
    function isObjectLike(value) {
      return !!value && typeof value == "object";
    }
    module2.exports = flatten;
  }
});

// ../../node_modules/.pnpm/lodash.difference@4.5.0/node_modules/lodash.difference/index.js
var require_lodash3 = __commonJS({
  "../../node_modules/.pnpm/lodash.difference@4.5.0/node_modules/lodash.difference/index.js"(exports2, module2) {
    "use strict";
    var LARGE_ARRAY_SIZE = 200;
    var HASH_UNDEFINED = "__lodash_hash_undefined__";
    var MAX_SAFE_INTEGER2 = 9007199254740991;
    var argsTag = "[object Arguments]";
    var funcTag = "[object Function]";
    var genTag = "[object GeneratorFunction]";
    var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
    var reIsHostCtor = /^\[object .+?Constructor\]$/;
    var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
    var freeSelf = typeof self == "object" && self && self.Object === Object && self;
    var root = freeGlobal || freeSelf || Function("return this")();
    function apply2(func, thisArg, args3) {
      switch (args3.length) {
        case 0:
          return func.call(thisArg);
        case 1:
          return func.call(thisArg, args3[0]);
        case 2:
          return func.call(thisArg, args3[0], args3[1]);
        case 3:
          return func.call(thisArg, args3[0], args3[1], args3[2]);
      }
      return func.apply(thisArg, args3);
    }
    function arrayIncludes(array, value) {
      var length = array ? array.length : 0;
      return !!length && baseIndexOf(array, value, 0) > -1;
    }
    function arrayIncludesWith(array, value, comparator) {
      var index2 = -1, length = array ? array.length : 0;
      while (++index2 < length) {
        if (comparator(value, array[index2])) {
          return true;
        }
      }
      return false;
    }
    function arrayMap(array, iteratee) {
      var index2 = -1, length = array ? array.length : 0, result = Array(length);
      while (++index2 < length) {
        result[index2] = iteratee(array[index2], index2, array);
      }
      return result;
    }
    function arrayPush(array, values) {
      var index2 = -1, length = values.length, offset = array.length;
      while (++index2 < length) {
        array[offset + index2] = values[index2];
      }
      return array;
    }
    function baseFindIndex(array, predicate, fromIndex, fromRight) {
      var length = array.length, index2 = fromIndex + (fromRight ? 1 : -1);
      while (fromRight ? index2-- : ++index2 < length) {
        if (predicate(array[index2], index2, array)) {
          return index2;
        }
      }
      return -1;
    }
    function baseIndexOf(array, value, fromIndex) {
      if (value !== value) {
        return baseFindIndex(array, baseIsNaN, fromIndex);
      }
      var index2 = fromIndex - 1, length = array.length;
      while (++index2 < length) {
        if (array[index2] === value) {
          return index2;
        }
      }
      return -1;
    }
    function baseIsNaN(value) {
      return value !== value;
    }
    function baseUnary(func) {
      return function(value) {
        return func(value);
      };
    }
    function cacheHas(cache, key) {
      return cache.has(key);
    }
    function getValue(object, key) {
      return object == null ? void 0 : object[key];
    }
    function isHostObject(value) {
      var result = false;
      if (value != null && typeof value.toString != "function") {
        try {
          result = !!(value + "");
        } catch (e3) {
        }
      }
      return result;
    }
    var arrayProto = Array.prototype;
    var funcProto = Function.prototype;
    var objectProto = Object.prototype;
    var coreJsData = root["__core-js_shared__"];
    var maskSrcKey = function() {
      var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || "");
      return uid ? "Symbol(src)_1." + uid : "";
    }();
    var funcToString = funcProto.toString;
    var hasOwnProperty3 = objectProto.hasOwnProperty;
    var objectToString = objectProto.toString;
    var reIsNative = RegExp(
      "^" + funcToString.call(hasOwnProperty3).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
    );
    var Symbol2 = root.Symbol;
    var propertyIsEnumerable = objectProto.propertyIsEnumerable;
    var splice = arrayProto.splice;
    var spreadableSymbol = Symbol2 ? Symbol2.isConcatSpreadable : void 0;
    var nativeMax = Math.max;
    var Map2 = getNative(root, "Map");
    var nativeCreate = getNative(Object, "create");
    function Hash(entries) {
      var index2 = -1, length = entries ? entries.length : 0;
      this.clear();
      while (++index2 < length) {
        var entry = entries[index2];
        this.set(entry[0], entry[1]);
      }
    }
    function hashClear() {
      this.__data__ = nativeCreate ? nativeCreate(null) : {};
    }
    function hashDelete(key) {
      return this.has(key) && delete this.__data__[key];
    }
    function hashGet(key) {
      var data = this.__data__;
      if (nativeCreate) {
        var result = data[key];
        return result === HASH_UNDEFINED ? void 0 : result;
      }
      return hasOwnProperty3.call(data, key) ? data[key] : void 0;
    }
    function hashHas(key) {
      var data = this.__data__;
      return nativeCreate ? data[key] !== void 0 : hasOwnProperty3.call(data, key);
    }
    function hashSet(key, value) {
      var data = this.__data__;
      data[key] = nativeCreate && value === void 0 ? HASH_UNDEFINED : value;
      return this;
    }
    Hash.prototype.clear = hashClear;
    Hash.prototype["delete"] = hashDelete;
    Hash.prototype.get = hashGet;
    Hash.prototype.has = hashHas;
    Hash.prototype.set = hashSet;
    function ListCache(entries) {
      var index2 = -1, length = entries ? entries.length : 0;
      this.clear();
      while (++index2 < length) {
        var entry = entries[index2];
        this.set(entry[0], entry[1]);
      }
    }
    function listCacheClear() {
      this.__data__ = [];
    }
    function listCacheDelete(key) {
      var data = this.__data__, index2 = assocIndexOf(data, key);
      if (index2 < 0) {
        return false;
      }
      var lastIndex = data.length - 1;
      if (index2 == lastIndex) {
        data.pop();
      } else {
        splice.call(data, index2, 1);
      }
      return true;
    }
    function listCacheGet(key) {
      var data = this.__data__, index2 = assocIndexOf(data, key);
      return index2 < 0 ? void 0 : data[index2][1];
    }
    function listCacheHas(key) {
      return assocIndexOf(this.__data__, key) > -1;
    }
    function listCacheSet(key, value) {
      var data = this.__data__, index2 = assocIndexOf(data, key);
      if (index2 < 0) {
        data.push([key, value]);
      } else {
        data[index2][1] = value;
      }
      return this;
    }
    ListCache.prototype.clear = listCacheClear;
    ListCache.prototype["delete"] = listCacheDelete;
    ListCache.prototype.get = listCacheGet;
    ListCache.prototype.has = listCacheHas;
    ListCache.prototype.set = listCacheSet;
    function MapCache(entries) {
      var index2 = -1, length = entries ? entries.length : 0;
      this.clear();
      while (++index2 < length) {
        var entry = entries[index2];
        this.set(entry[0], entry[1]);
      }
    }
    function mapCacheClear() {
      this.__data__ = {
        "hash": new Hash(),
        "map": new (Map2 || ListCache)(),
        "string": new Hash()
      };
    }
    function mapCacheDelete(key) {
      return getMapData(this, key)["delete"](key);
    }
    function mapCacheGet(key) {
      return getMapData(this, key).get(key);
    }
    function mapCacheHas(key) {
      return getMapData(this, key).has(key);
    }
    function mapCacheSet(key, value) {
      getMapData(this, key).set(key, value);
      return this;
    }
    MapCache.prototype.clear = mapCacheClear;
    MapCache.prototype["delete"] = mapCacheDelete;
    MapCache.prototype.get = mapCacheGet;
    MapCache.prototype.has = mapCacheHas;
    MapCache.prototype.set = mapCacheSet;
    function SetCache(values) {
      var index2 = -1, length = values ? values.length : 0;
      this.__data__ = new MapCache();
      while (++index2 < length) {
        this.add(values[index2]);
      }
    }
    function setCacheAdd(value) {
      this.__data__.set(value, HASH_UNDEFINED);
      return this;
    }
    function setCacheHas(value) {
      return this.__data__.has(value);
    }
    SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
    SetCache.prototype.has = setCacheHas;
    function assocIndexOf(array, key) {
      var length = array.length;
      while (length--) {
        if (eq2(array[length][0], key)) {
          return length;
        }
      }
      return -1;
    }
    function baseDifference(array, values, iteratee, comparator) {
      var index2 = -1, includes = arrayIncludes, isCommon = true, length = array.length, result = [], valuesLength = values.length;
      if (!length) {
        return result;
      }
      if (iteratee) {
        values = arrayMap(values, baseUnary(iteratee));
      }
      if (comparator) {
        includes = arrayIncludesWith;
        isCommon = false;
      } else if (values.length >= LARGE_ARRAY_SIZE) {
        includes = cacheHas;
        isCommon = false;
        values = new SetCache(values);
      }
      outer:
        while (++index2 < length) {
          var value = array[index2], computed = iteratee ? iteratee(value) : value;
          value = comparator || value !== 0 ? value : 0;
          if (isCommon && computed === computed) {
            var valuesIndex = valuesLength;
            while (valuesIndex--) {
              if (values[valuesIndex] === computed) {
                continue outer;
              }
            }
            result.push(value);
          } else if (!includes(values, computed, comparator)) {
            result.push(value);
          }
        }
      return result;
    }
    function baseFlatten(array, depth, predicate, isStrict, result) {
      var index2 = -1, length = array.length;
      predicate || (predicate = isFlattenable);
      result || (result = []);
      while (++index2 < length) {
        var value = array[index2];
        if (depth > 0 && predicate(value)) {
          if (depth > 1) {
            baseFlatten(value, depth - 1, predicate, isStrict, result);
          } else {
            arrayPush(result, value);
          }
        } else if (!isStrict) {
          result[result.length] = value;
        }
      }
      return result;
    }
    function baseIsNative(value) {
      if (!isObject(value) || isMasked(value)) {
        return false;
      }
      var pattern = isFunction(value) || isHostObject(value) ? reIsNative : reIsHostCtor;
      return pattern.test(toSource(value));
    }
    function baseRest(func, start) {
      start = nativeMax(start === void 0 ? func.length - 1 : start, 0);
      return function() {
        var args3 = arguments, index2 = -1, length = nativeMax(args3.length - start, 0), array = Array(length);
        while (++index2 < length) {
          array[index2] = args3[start + index2];
        }
        index2 = -1;
        var otherArgs = Array(start + 1);
        while (++index2 < start) {
          otherArgs[index2] = args3[index2];
        }
        otherArgs[start] = array;
        return apply2(func, this, otherArgs);
      };
    }
    function getMapData(map8, key) {
      var data = map8.__data__;
      return isKeyable(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
    }
    function getNative(object, key) {
      var value = getValue(object, key);
      return baseIsNative(value) ? value : void 0;
    }
    function isFlattenable(value) {
      return isArray(value) || isArguments(value) || !!(spreadableSymbol && value && value[spreadableSymbol]);
    }
    function isKeyable(value) {
      var type = typeof value;
      return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
    }
    function isMasked(func) {
      return !!maskSrcKey && maskSrcKey in func;
    }
    function toSource(func) {
      if (func != null) {
        try {
          return funcToString.call(func);
        } catch (e3) {
        }
        try {
          return func + "";
        } catch (e3) {
        }
      }
      return "";
    }
    var difference = baseRest(function(array, values) {
      return isArrayLikeObject(array) ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true)) : [];
    });
    function eq2(value, other) {
      return value === other || value !== value && other !== other;
    }
    function isArguments(value) {
      return isArrayLikeObject(value) && hasOwnProperty3.call(value, "callee") && (!propertyIsEnumerable.call(value, "callee") || objectToString.call(value) == argsTag);
    }
    var isArray = Array.isArray;
    function isArrayLike2(value) {
      return value != null && isLength(value.length) && !isFunction(value);
    }
    function isArrayLikeObject(value) {
      return isObjectLike(value) && isArrayLike2(value);
    }
    function isFunction(value) {
      var tag = isObject(value) ? objectToString.call(value) : "";
      return tag == funcTag || tag == genTag;
    }
    function isLength(value) {
      return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER2;
    }
    function isObject(value) {
      var type = typeof value;
      return !!value && (type == "object" || type == "function");
    }
    function isObjectLike(value) {
      return !!value && typeof value == "object";
    }
    module2.exports = difference;
  }
});

// ../../node_modules/.pnpm/lodash.union@4.6.0/node_modules/lodash.union/index.js
var require_lodash4 = __commonJS({
  "../../node_modules/.pnpm/lodash.union@4.6.0/node_modules/lodash.union/index.js"(exports2, module2) {
    "use strict";
    var LARGE_ARRAY_SIZE = 200;
    var HASH_UNDEFINED = "__lodash_hash_undefined__";
    var INFINITY = 1 / 0;
    var MAX_SAFE_INTEGER2 = 9007199254740991;
    var argsTag = "[object Arguments]";
    var funcTag = "[object Function]";
    var genTag = "[object GeneratorFunction]";
    var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
    var reIsHostCtor = /^\[object .+?Constructor\]$/;
    var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
    var freeSelf = typeof self == "object" && self && self.Object === Object && self;
    var root = freeGlobal || freeSelf || Function("return this")();
    function apply2(func, thisArg, args3) {
      switch (args3.length) {
        case 0:
          return func.call(thisArg);
        case 1:
          return func.call(thisArg, args3[0]);
        case 2:
          return func.call(thisArg, args3[0], args3[1]);
        case 3:
          return func.call(thisArg, args3[0], args3[1], args3[2]);
      }
      return func.apply(thisArg, args3);
    }
    function arrayIncludes(array, value) {
      var length = array ? array.length : 0;
      return !!length && baseIndexOf(array, value, 0) > -1;
    }
    function arrayIncludesWith(array, value, comparator) {
      var index2 = -1, length = array ? array.length : 0;
      while (++index2 < length) {
        if (comparator(value, array[index2])) {
          return true;
        }
      }
      return false;
    }
    function arrayPush(array, values) {
      var index2 = -1, length = values.length, offset = array.length;
      while (++index2 < length) {
        array[offset + index2] = values[index2];
      }
      return array;
    }
    function baseFindIndex(array, predicate, fromIndex, fromRight) {
      var length = array.length, index2 = fromIndex + (fromRight ? 1 : -1);
      while (fromRight ? index2-- : ++index2 < length) {
        if (predicate(array[index2], index2, array)) {
          return index2;
        }
      }
      return -1;
    }
    function baseIndexOf(array, value, fromIndex) {
      if (value !== value) {
        return baseFindIndex(array, baseIsNaN, fromIndex);
      }
      var index2 = fromIndex - 1, length = array.length;
      while (++index2 < length) {
        if (array[index2] === value) {
          return index2;
        }
      }
      return -1;
    }
    function baseIsNaN(value) {
      return value !== value;
    }
    function cacheHas(cache, key) {
      return cache.has(key);
    }
    function getValue(object, key) {
      return object == null ? void 0 : object[key];
    }
    function isHostObject(value) {
      var result = false;
      if (value != null && typeof value.toString != "function") {
        try {
          result = !!(value + "");
        } catch (e3) {
        }
      }
      return result;
    }
    function setToArray(set) {
      var index2 = -1, result = Array(set.size);
      set.forEach(function(value) {
        result[++index2] = value;
      });
      return result;
    }
    var arrayProto = Array.prototype;
    var funcProto = Function.prototype;
    var objectProto = Object.prototype;
    var coreJsData = root["__core-js_shared__"];
    var maskSrcKey = function() {
      var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || "");
      return uid ? "Symbol(src)_1." + uid : "";
    }();
    var funcToString = funcProto.toString;
    var hasOwnProperty3 = objectProto.hasOwnProperty;
    var objectToString = objectProto.toString;
    var reIsNative = RegExp(
      "^" + funcToString.call(hasOwnProperty3).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
    );
    var Symbol2 = root.Symbol;
    var propertyIsEnumerable = objectProto.propertyIsEnumerable;
    var splice = arrayProto.splice;
    var spreadableSymbol = Symbol2 ? Symbol2.isConcatSpreadable : void 0;
    var nativeMax = Math.max;
    var Map2 = getNative(root, "Map");
    var Set2 = getNative(root, "Set");
    var nativeCreate = getNative(Object, "create");
    function Hash(entries) {
      var index2 = -1, length = entries ? entries.length : 0;
      this.clear();
      while (++index2 < length) {
        var entry = entries[index2];
        this.set(entry[0], entry[1]);
      }
    }
    function hashClear() {
      this.__data__ = nativeCreate ? nativeCreate(null) : {};
    }
    function hashDelete(key) {
      return this.has(key) && delete this.__data__[key];
    }
    function hashGet(key) {
      var data = this.__data__;
      if (nativeCreate) {
        var result = data[key];
        return result === HASH_UNDEFINED ? void 0 : result;
      }
      return hasOwnProperty3.call(data, key) ? data[key] : void 0;
    }
    function hashHas(key) {
      var data = this.__data__;
      return nativeCreate ? data[key] !== void 0 : hasOwnProperty3.call(data, key);
    }
    function hashSet(key, value) {
      var data = this.__data__;
      data[key] = nativeCreate && value === void 0 ? HASH_UNDEFINED : value;
      return this;
    }
    Hash.prototype.clear = hashClear;
    Hash.prototype["delete"] = hashDelete;
    Hash.prototype.get = hashGet;
    Hash.prototype.has = hashHas;
    Hash.prototype.set = hashSet;
    function ListCache(entries) {
      var index2 = -1, length = entries ? entries.length : 0;
      this.clear();
      while (++index2 < length) {
        var entry = entries[index2];
        this.set(entry[0], entry[1]);
      }
    }
    function listCacheClear() {
      this.__data__ = [];
    }
    function listCacheDelete(key) {
      var data = this.__data__, index2 = assocIndexOf(data, key);
      if (index2 < 0) {
        return false;
      }
      var lastIndex = data.length - 1;
      if (index2 == lastIndex) {
        data.pop();
      } else {
        splice.call(data, index2, 1);
      }
      return true;
    }
    function listCacheGet(key) {
      var data = this.__data__, index2 = assocIndexOf(data, key);
      return index2 < 0 ? void 0 : data[index2][1];
    }
    function listCacheHas(key) {
      return assocIndexOf(this.__data__, key) > -1;
    }
    function listCacheSet(key, value) {
      var data = this.__data__, index2 = assocIndexOf(data, key);
      if (index2 < 0) {
        data.push([key, value]);
      } else {
        data[index2][1] = value;
      }
      return this;
    }
    ListCache.prototype.clear = listCacheClear;
    ListCache.prototype["delete"] = listCacheDelete;
    ListCache.prototype.get = listCacheGet;
    ListCache.prototype.has = listCacheHas;
    ListCache.prototype.set = listCacheSet;
    function MapCache(entries) {
      var index2 = -1, length = entries ? entries.length : 0;
      this.clear();
      while (++index2 < length) {
        var entry = entries[index2];
        this.set(entry[0], entry[1]);
      }
    }
    function mapCacheClear() {
      this.__data__ = {
        "hash": new Hash(),
        "map": new (Map2 || ListCache)(),
        "string": new Hash()
      };
    }
    function mapCacheDelete(key) {
      return getMapData(this, key)["delete"](key);
    }
    function mapCacheGet(key) {
      return getMapData(this, key).get(key);
    }
    function mapCacheHas(key) {
      return getMapData(this, key).has(key);
    }
    function mapCacheSet(key, value) {
      getMapData(this, key).set(key, value);
      return this;
    }
    MapCache.prototype.clear = mapCacheClear;
    MapCache.prototype["delete"] = mapCacheDelete;
    MapCache.prototype.get = mapCacheGet;
    MapCache.prototype.has = mapCacheHas;
    MapCache.prototype.set = mapCacheSet;
    function SetCache(values) {
      var index2 = -1, length = values ? values.length : 0;
      this.__data__ = new MapCache();
      while (++index2 < length) {
        this.add(values[index2]);
      }
    }
    function setCacheAdd(value) {
      this.__data__.set(value, HASH_UNDEFINED);
      return this;
    }
    function setCacheHas(value) {
      return this.__data__.has(value);
    }
    SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
    SetCache.prototype.has = setCacheHas;
    function assocIndexOf(array, key) {
      var length = array.length;
      while (length--) {
        if (eq2(array[length][0], key)) {
          return length;
        }
      }
      return -1;
    }
    function baseFlatten(array, depth, predicate, isStrict, result) {
      var index2 = -1, length = array.length;
      predicate || (predicate = isFlattenable);
      result || (result = []);
      while (++index2 < length) {
        var value = array[index2];
        if (depth > 0 && predicate(value)) {
          if (depth > 1) {
            baseFlatten(value, depth - 1, predicate, isStrict, result);
          } else {
            arrayPush(result, value);
          }
        } else if (!isStrict) {
          result[result.length] = value;
        }
      }
      return result;
    }
    function baseIsNative(value) {
      if (!isObject(value) || isMasked(value)) {
        return false;
      }
      var pattern = isFunction(value) || isHostObject(value) ? reIsNative : reIsHostCtor;
      return pattern.test(toSource(value));
    }
    function baseRest(func, start) {
      start = nativeMax(start === void 0 ? func.length - 1 : start, 0);
      return function() {
        var args3 = arguments, index2 = -1, length = nativeMax(args3.length - start, 0), array = Array(length);
        while (++index2 < length) {
          array[index2] = args3[start + index2];
        }
        index2 = -1;
        var otherArgs = Array(start + 1);
        while (++index2 < start) {
          otherArgs[index2] = args3[index2];
        }
        otherArgs[start] = array;
        return apply2(func, this, otherArgs);
      };
    }
    function baseUniq(array, iteratee, comparator) {
      var index2 = -1, includes = arrayIncludes, length = array.length, isCommon = true, result = [], seen = result;
      if (comparator) {
        isCommon = false;
        includes = arrayIncludesWith;
      } else if (length >= LARGE_ARRAY_SIZE) {
        var set = iteratee ? null : createSet(array);
        if (set) {
          return setToArray(set);
        }
        isCommon = false;
        includes = cacheHas;
        seen = new SetCache();
      } else {
        seen = iteratee ? [] : result;
      }
      outer:
        while (++index2 < length) {
          var value = array[index2], computed = iteratee ? iteratee(value) : value;
          value = comparator || value !== 0 ? value : 0;
          if (isCommon && computed === computed) {
            var seenIndex = seen.length;
            while (seenIndex--) {
              if (seen[seenIndex] === computed) {
                continue outer;
              }
            }
            if (iteratee) {
              seen.push(computed);
            }
            result.push(value);
          } else if (!includes(seen, computed, comparator)) {
            if (seen !== result) {
              seen.push(computed);
            }
            result.push(value);
          }
        }
      return result;
    }
    var createSet = !(Set2 && 1 / setToArray(new Set2([, -0]))[1] == INFINITY) ? noop2 : function(values) {
      return new Set2(values);
    };
    function getMapData(map8, key) {
      var data = map8.__data__;
      return isKeyable(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
    }
    function getNative(object, key) {
      var value = getValue(object, key);
      return baseIsNative(value) ? value : void 0;
    }
    function isFlattenable(value) {
      return isArray(value) || isArguments(value) || !!(spreadableSymbol && value && value[spreadableSymbol]);
    }
    function isKeyable(value) {
      var type = typeof value;
      return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
    }
    function isMasked(func) {
      return !!maskSrcKey && maskSrcKey in func;
    }
    function toSource(func) {
      if (func != null) {
        try {
          return funcToString.call(func);
        } catch (e3) {
        }
        try {
          return func + "";
        } catch (e3) {
        }
      }
      return "";
    }
    var union = baseRest(function(arrays) {
      return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
    });
    function eq2(value, other) {
      return value === other || value !== value && other !== other;
    }
    function isArguments(value) {
      return isArrayLikeObject(value) && hasOwnProperty3.call(value, "callee") && (!propertyIsEnumerable.call(value, "callee") || objectToString.call(value) == argsTag);
    }
    var isArray = Array.isArray;
    function isArrayLike2(value) {
      return value != null && isLength(value.length) && !isFunction(value);
    }
    function isArrayLikeObject(value) {
      return isObjectLike(value) && isArrayLike2(value);
    }
    function isFunction(value) {
      var tag = isObject(value) ? objectToString.call(value) : "";
      return tag == funcTag || tag == genTag;
    }
    function isLength(value) {
      return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER2;
    }
    function isObject(value) {
      var type = typeof value;
      return !!value && (type == "object" || type == "function");
    }
    function isObjectLike(value) {
      return !!value && typeof value == "object";
    }
    function noop2() {
    }
    module2.exports = union;
  }
});

// ../../node_modules/.pnpm/lodash.isplainobject@4.0.6/node_modules/lodash.isplainobject/index.js
var require_lodash5 = __commonJS({
  "../../node_modules/.pnpm/lodash.isplainobject@4.0.6/node_modules/lodash.isplainobject/index.js"(exports2, module2) {
    "use strict";
    var objectTag = "[object Object]";
    function isHostObject(value) {
      var result = false;
      if (value != null && typeof value.toString != "function") {
        try {
          result = !!(value + "");
        } catch (e3) {
        }
      }
      return result;
    }
    function overArg(func, transform2) {
      return function(arg3) {
        return func(transform2(arg3));
      };
    }
    var funcProto = Function.prototype;
    var objectProto = Object.prototype;
    var funcToString = funcProto.toString;
    var hasOwnProperty3 = objectProto.hasOwnProperty;
    var objectCtorString = funcToString.call(Object);
    var objectToString = objectProto.toString;
    var getPrototype = overArg(Object.getPrototypeOf, Object);
    function isObjectLike(value) {
      return !!value && typeof value == "object";
    }
    function isPlainObject(value) {
      if (!isObjectLike(value) || objectToString.call(value) != objectTag || isHostObject(value)) {
        return false;
      }
      var proto = getPrototype(value);
      if (proto === null) {
        return true;
      }
      var Ctor = hasOwnProperty3.call(proto, "constructor") && proto.constructor;
      return typeof Ctor == "function" && Ctor instanceof Ctor && funcToString.call(Ctor) == objectCtorString;
    }
    module2.exports = isPlainObject;
  }
});

// ../../node_modules/.pnpm/archiver-utils@2.1.0/node_modules/archiver-utils/file.js
var require_file3 = __commonJS({
  "../../node_modules/.pnpm/archiver-utils@2.1.0/node_modules/archiver-utils/file.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    var path39 = require("path");
    var flatten = require_lodash2();
    var difference = require_lodash3();
    var union = require_lodash4();
    var isPlainObject = require_lodash5();
    var glob = require_glob();
    var file2 = module2.exports = {};
    var pathSeparatorRe = /[\/\\]/g;
    var processPatterns = function(patterns, fn2) {
      var result = [];
      flatten(patterns).forEach(function(pattern) {
        var exclusion = pattern.indexOf("!") === 0;
        if (exclusion) {
          pattern = pattern.slice(1);
        }
        var matches = fn2(pattern);
        if (exclusion) {
          result = difference(result, matches);
        } else {
          result = union(result, matches);
        }
      });
      return result;
    };
    file2.exists = function() {
      var filepath = path39.join.apply(path39, arguments);
      return fs42.existsSync(filepath);
    };
    file2.expand = function(...args3) {
      var options2 = isPlainObject(args3[0]) ? args3.shift() : {};
      var patterns = Array.isArray(args3[0]) ? args3[0] : args3;
      if (patterns.length === 0) {
        return [];
      }
      var matches = processPatterns(patterns, function(pattern) {
        return glob.sync(pattern, options2);
      });
      if (options2.filter) {
        matches = matches.filter(function(filepath) {
          filepath = path39.join(options2.cwd || "", filepath);
          try {
            if (typeof options2.filter === "function") {
              return options2.filter(filepath);
            } else {
              return fs42.statSync(filepath)[options2.filter]();
            }
          } catch (e3) {
            return false;
          }
        });
      }
      return matches;
    };
    file2.expandMapping = function(patterns, destBase, options2) {
      options2 = Object.assign({
        rename: function(destBase2, destPath) {
          return path39.join(destBase2 || "", destPath);
        }
      }, options2);
      var files = [];
      var fileByDest = {};
      file2.expand(options2, patterns).forEach(function(src2) {
        var destPath = src2;
        if (options2.flatten) {
          destPath = path39.basename(destPath);
        }
        if (options2.ext) {
          destPath = destPath.replace(/(\.[^\/]*)?$/, options2.ext);
        }
        var dest = options2.rename(destBase, destPath, options2);
        if (options2.cwd) {
          src2 = path39.join(options2.cwd, src2);
        }
        dest = dest.replace(pathSeparatorRe, "/");
        src2 = src2.replace(pathSeparatorRe, "/");
        if (fileByDest[dest]) {
          fileByDest[dest].src.push(src2);
        } else {
          files.push({
            src: [src2],
            dest
          });
          fileByDest[dest] = files[files.length - 1];
        }
      });
      return files;
    };
    file2.normalizeFilesArray = function(data) {
      var files = [];
      data.forEach(function(obj) {
        var prop;
        if ("src" in obj || "dest" in obj) {
          files.push(obj);
        }
      });
      if (files.length === 0) {
        return [];
      }
      files = _(files).chain().forEach(function(obj) {
        if (!("src" in obj) || !obj.src) {
          return;
        }
        if (Array.isArray(obj.src)) {
          obj.src = flatten(obj.src);
        } else {
          obj.src = [obj.src];
        }
      }).map(function(obj) {
        var expandOptions = Object.assign({}, obj);
        delete expandOptions.src;
        delete expandOptions.dest;
        if (obj.expand) {
          return file2.expandMapping(obj.src, obj.dest, expandOptions).map(function(mapObj) {
            var result2 = Object.assign({}, obj);
            result2.orig = Object.assign({}, obj);
            result2.src = mapObj.src;
            result2.dest = mapObj.dest;
            ["expand", "cwd", "flatten", "rename", "ext"].forEach(function(prop) {
              delete result2[prop];
            });
            return result2;
          });
        }
        var result = Object.assign({}, obj);
        result.orig = Object.assign({}, obj);
        if ("src" in result) {
          Object.defineProperty(result, "src", {
            enumerable: true,
            get: function fn2() {
              var src2;
              if (!("result" in fn2)) {
                src2 = obj.src;
                src2 = Array.isArray(src2) ? flatten(src2) : [src2];
                fn2.result = file2.expand(expandOptions, src2);
              }
              return fn2.result;
            }
          });
        }
        if ("dest" in result) {
          result.dest = obj.dest;
        }
        return result;
      }).flatten().value();
      return files;
    };
  }
});

// ../../node_modules/.pnpm/archiver-utils@2.1.0/node_modules/archiver-utils/index.js
var require_archiver_utils = __commonJS({
  "../../node_modules/.pnpm/archiver-utils@2.1.0/node_modules/archiver-utils/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require_graceful_fs();
    var path39 = require("path");
    var nutil = require("util");
    var lazystream = require_lazystream();
    var normalizePath = require_normalize_path();
    var defaults = require_lodash();
    var Stream2 = require("stream").Stream;
    var PassThrough3 = require_readable().PassThrough;
    var utils = module2.exports = {};
    utils.file = require_file3();
    utils.collectStream = function(source, callback) {
      var collection = [];
      var size = 0;
      source.on("error", callback);
      source.on("data", function(chunk) {
        collection.push(chunk);
        size += chunk.length;
      });
      source.on("end", function() {
        var buf = new Buffer(size);
        var offset = 0;
        collection.forEach(function(data) {
          data.copy(buf, offset);
          offset += data.length;
        });
        callback(null, buf);
      });
    };
    utils.dateify = function(dateish) {
      dateish = dateish || /* @__PURE__ */ new Date();
      if (dateish instanceof Date) {
        dateish = dateish;
      } else if (typeof dateish === "string") {
        dateish = new Date(dateish);
      } else {
        dateish = /* @__PURE__ */ new Date();
      }
      return dateish;
    };
    utils.defaults = function(object, source, guard) {
      var args3 = arguments;
      args3[0] = args3[0] || {};
      return defaults(...args3);
    };
    utils.isStream = function(source) {
      return source instanceof Stream2;
    };
    utils.lazyReadStream = function(filepath) {
      return new lazystream.Readable(function() {
        return fs42.createReadStream(filepath);
      });
    };
    utils.normalizeInputSource = function(source) {
      if (source === null) {
        return new Buffer(0);
      } else if (typeof source === "string") {
        return new Buffer(source);
      } else if (utils.isStream(source) && !source._readableState) {
        var normalized = new PassThrough3();
        source.pipe(normalized);
        return normalized;
      }
      return source;
    };
    utils.sanitizePath = function(filepath) {
      return normalizePath(filepath, false).replace(/^\w+:/, "").replace(/^(\.\.\/|\/)+/, "");
    };
    utils.trailingSlashIt = function(str) {
      return str.slice(-1) !== "/" ? str + "/" : str;
    };
    utils.unixifyPath = function(filepath) {
      return normalizePath(filepath, false).replace(/^\w+:/, "");
    };
    utils.walkdir = function(dirpath, base, callback) {
      var results = [];
      if (typeof base === "function") {
        callback = base;
        base = dirpath;
      }
      fs42.readdir(dirpath, function(err, list) {
        var i4 = 0;
        var file2;
        var filepath;
        if (err) {
          return callback(err);
        }
        (function next() {
          file2 = list[i4++];
          if (!file2) {
            return callback(null, results);
          }
          filepath = path39.join(dirpath, file2);
          fs42.stat(filepath, function(err2, stats) {
            results.push({
              path: filepath,
              relative: path39.relative(base, filepath).replace(/\\/g, "/"),
              stats
            });
            if (stats && stats.isDirectory()) {
              utils.walkdir(filepath, base, function(err3, res) {
                res.forEach(function(dirEntry) {
                  results.push(dirEntry);
                });
                next();
              });
            } else {
              next();
            }
          });
        })();
      });
    };
  }
});

// ../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/error.js
var require_error3 = __commonJS({
  "../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/error.js"(exports2, module2) {
    "use strict";
    var util4 = require("util");
    var ERROR_CODES = {
      "ABORTED": "archive was aborted",
      "DIRECTORYDIRPATHREQUIRED": "diretory dirpath argument must be a non-empty string value",
      "DIRECTORYFUNCTIONINVALIDDATA": "invalid data returned by directory custom data function",
      "ENTRYNAMEREQUIRED": "entry name must be a non-empty string value",
      "FILEFILEPATHREQUIRED": "file filepath argument must be a non-empty string value",
      "FINALIZING": "archive already finalizing",
      "QUEUECLOSED": "queue closed",
      "NOENDMETHOD": "no suitable finalize/end method defined by module",
      "DIRECTORYNOTSUPPORTED": "support for directory entries not defined by module",
      "FORMATSET": "archive format already set",
      "INPUTSTEAMBUFFERREQUIRED": "input source must be valid Stream or Buffer instance",
      "MODULESET": "module already set",
      "SYMLINKNOTSUPPORTED": "support for symlink entries not defined by module",
      "SYMLINKFILEPATHREQUIRED": "symlink filepath argument must be a non-empty string value",
      "SYMLINKTARGETREQUIRED": "symlink target argument must be a non-empty string value",
      "ENTRYNOTSUPPORTED": "entry not supported"
    };
    function ArchiverError(code, data) {
      Error.captureStackTrace(this, this.constructor);
      this.message = ERROR_CODES[code] || code;
      this.code = code;
      this.data = data;
    }
    util4.inherits(ArchiverError, Error);
    exports2 = module2.exports = ArchiverError;
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/stream.js
var require_stream7 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/stream.js"(exports2, module2) {
    "use strict";
    module2.exports = require("stream");
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/buffer_list.js
var require_buffer_list = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/buffer_list.js"(exports2, module2) {
    "use strict";
    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);
      if (Object.getOwnPropertySymbols) {
        var symbols2 = Object.getOwnPropertySymbols(object);
        if (enumerableOnly)
          symbols2 = symbols2.filter(function(sym) {
            return Object.getOwnPropertyDescriptor(object, sym).enumerable;
          });
        keys.push.apply(keys, symbols2);
      }
      return keys;
    }
    function _objectSpread(target) {
      for (var i4 = 1; i4 < arguments.length; i4++) {
        var source = arguments[i4] != null ? arguments[i4] : {};
        if (i4 % 2) {
          ownKeys(Object(source), true).forEach(function(key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }
      return target;
    }
    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }
      return obj;
    }
    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }
    function _defineProperties(target, props) {
      for (var i4 = 0; i4 < props.length; i4++) {
        var descriptor = props[i4];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor)
          descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }
    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps)
        _defineProperties(Constructor.prototype, protoProps);
      if (staticProps)
        _defineProperties(Constructor, staticProps);
      return Constructor;
    }
    var _require = require("buffer");
    var Buffer2 = _require.Buffer;
    var _require2 = require("util");
    var inspect = _require2.inspect;
    var custom = inspect && inspect.custom || "inspect";
    function copyBuffer(src2, target, offset) {
      Buffer2.prototype.copy.call(src2, target, offset);
    }
    module2.exports = /* @__PURE__ */ function() {
      function BufferList() {
        _classCallCheck(this, BufferList);
        this.head = null;
        this.tail = null;
        this.length = 0;
      }
      _createClass(BufferList, [{
        key: "push",
        value: function push(v2) {
          var entry = {
            data: v2,
            next: null
          };
          if (this.length > 0)
            this.tail.next = entry;
          else
            this.head = entry;
          this.tail = entry;
          ++this.length;
        }
      }, {
        key: "unshift",
        value: function unshift(v2) {
          var entry = {
            data: v2,
            next: this.head
          };
          if (this.length === 0)
            this.tail = entry;
          this.head = entry;
          ++this.length;
        }
      }, {
        key: "shift",
        value: function shift() {
          if (this.length === 0)
            return;
          var ret = this.head.data;
          if (this.length === 1)
            this.head = this.tail = null;
          else
            this.head = this.head.next;
          --this.length;
          return ret;
        }
      }, {
        key: "clear",
        value: function clear2() {
          this.head = this.tail = null;
          this.length = 0;
        }
      }, {
        key: "join",
        value: function join2(s3) {
          if (this.length === 0)
            return "";
          var p2 = this.head;
          var ret = "" + p2.data;
          while (p2 = p2.next) {
            ret += s3 + p2.data;
          }
          return ret;
        }
      }, {
        key: "concat",
        value: function concat2(n2) {
          if (this.length === 0)
            return Buffer2.alloc(0);
          var ret = Buffer2.allocUnsafe(n2 >>> 0);
          var p2 = this.head;
          var i4 = 0;
          while (p2) {
            copyBuffer(p2.data, ret, i4);
            i4 += p2.data.length;
            p2 = p2.next;
          }
          return ret;
        }
        // Consumes a specified amount of bytes or characters from the buffered data.
      }, {
        key: "consume",
        value: function consume(n2, hasStrings) {
          var ret;
          if (n2 < this.head.data.length) {
            ret = this.head.data.slice(0, n2);
            this.head.data = this.head.data.slice(n2);
          } else if (n2 === this.head.data.length) {
            ret = this.shift();
          } else {
            ret = hasStrings ? this._getString(n2) : this._getBuffer(n2);
          }
          return ret;
        }
      }, {
        key: "first",
        value: function first() {
          return this.head.data;
        }
        // Consumes a specified amount of characters from the buffered data.
      }, {
        key: "_getString",
        value: function _getString(n2) {
          var p2 = this.head;
          var c4 = 1;
          var ret = p2.data;
          n2 -= ret.length;
          while (p2 = p2.next) {
            var str = p2.data;
            var nb = n2 > str.length ? str.length : n2;
            if (nb === str.length)
              ret += str;
            else
              ret += str.slice(0, n2);
            n2 -= nb;
            if (n2 === 0) {
              if (nb === str.length) {
                ++c4;
                if (p2.next)
                  this.head = p2.next;
                else
                  this.head = this.tail = null;
              } else {
                this.head = p2;
                p2.data = str.slice(nb);
              }
              break;
            }
            ++c4;
          }
          this.length -= c4;
          return ret;
        }
        // Consumes a specified amount of bytes from the buffered data.
      }, {
        key: "_getBuffer",
        value: function _getBuffer(n2) {
          var ret = Buffer2.allocUnsafe(n2);
          var p2 = this.head;
          var c4 = 1;
          p2.data.copy(ret);
          n2 -= p2.data.length;
          while (p2 = p2.next) {
            var buf = p2.data;
            var nb = n2 > buf.length ? buf.length : n2;
            buf.copy(ret, ret.length - n2, 0, nb);
            n2 -= nb;
            if (n2 === 0) {
              if (nb === buf.length) {
                ++c4;
                if (p2.next)
                  this.head = p2.next;
                else
                  this.head = this.tail = null;
              } else {
                this.head = p2;
                p2.data = buf.slice(nb);
              }
              break;
            }
            ++c4;
          }
          this.length -= c4;
          return ret;
        }
        // Make sure the linked list only shows the minimal necessary information.
      }, {
        key: custom,
        value: function value(_3, options2) {
          return inspect(this, _objectSpread({}, options2, {
            // Only inspect one level.
            depth: 0,
            // It should not recurse.
            customInspect: false
          }));
        }
      }]);
      return BufferList;
    }();
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/destroy.js
var require_destroy2 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/destroy.js"(exports2, module2) {
    "use strict";
    function destroy(err, cb2) {
      var _this = this;
      var readableDestroyed = this._readableState && this._readableState.destroyed;
      var writableDestroyed = this._writableState && this._writableState.destroyed;
      if (readableDestroyed || writableDestroyed) {
        if (cb2) {
          cb2(err);
        } else if (err) {
          if (!this._writableState) {
            process.nextTick(emitErrorNT, this, err);
          } else if (!this._writableState.errorEmitted) {
            this._writableState.errorEmitted = true;
            process.nextTick(emitErrorNT, this, err);
          }
        }
        return this;
      }
      if (this._readableState) {
        this._readableState.destroyed = true;
      }
      if (this._writableState) {
        this._writableState.destroyed = true;
      }
      this._destroy(err || null, function(err2) {
        if (!cb2 && err2) {
          if (!_this._writableState) {
            process.nextTick(emitErrorAndCloseNT, _this, err2);
          } else if (!_this._writableState.errorEmitted) {
            _this._writableState.errorEmitted = true;
            process.nextTick(emitErrorAndCloseNT, _this, err2);
          } else {
            process.nextTick(emitCloseNT, _this);
          }
        } else if (cb2) {
          process.nextTick(emitCloseNT, _this);
          cb2(err2);
        } else {
          process.nextTick(emitCloseNT, _this);
        }
      });
      return this;
    }
    function emitErrorAndCloseNT(self2, err) {
      emitErrorNT(self2, err);
      emitCloseNT(self2);
    }
    function emitCloseNT(self2) {
      if (self2._writableState && !self2._writableState.emitClose)
        return;
      if (self2._readableState && !self2._readableState.emitClose)
        return;
      self2.emit("close");
    }
    function undestroy() {
      if (this._readableState) {
        this._readableState.destroyed = false;
        this._readableState.reading = false;
        this._readableState.ended = false;
        this._readableState.endEmitted = false;
      }
      if (this._writableState) {
        this._writableState.destroyed = false;
        this._writableState.ended = false;
        this._writableState.ending = false;
        this._writableState.finalCalled = false;
        this._writableState.prefinished = false;
        this._writableState.finished = false;
        this._writableState.errorEmitted = false;
      }
    }
    function emitErrorNT(self2, err) {
      self2.emit("error", err);
    }
    function errorOrDestroy(stream4, err) {
      var rState = stream4._readableState;
      var wState = stream4._writableState;
      if (rState && rState.autoDestroy || wState && wState.autoDestroy)
        stream4.destroy(err);
      else
        stream4.emit("error", err);
    }
    module2.exports = {
      destroy,
      undestroy,
      errorOrDestroy
    };
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/errors.js
var require_errors = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/errors.js"(exports2, module2) {
    "use strict";
    var codes = {};
    function createErrorType(code, message2, Base) {
      if (!Base) {
        Base = Error;
      }
      function getMessage(arg1, arg22, arg3) {
        if (typeof message2 === "string") {
          return message2;
        } else {
          return message2(arg1, arg22, arg3);
        }
      }
      class NodeError extends Base {
        constructor(arg1, arg22, arg3) {
          super(getMessage(arg1, arg22, arg3));
        }
      }
      NodeError.prototype.name = Base.name;
      NodeError.prototype.code = code;
      codes[code] = NodeError;
    }
    function oneOf(expected, thing) {
      if (Array.isArray(expected)) {
        const len = expected.length;
        expected = expected.map((i4) => String(i4));
        if (len > 2) {
          return `one of ${thing} ${expected.slice(0, len - 1).join(", ")}, or ` + expected[len - 1];
        } else if (len === 2) {
          return `one of ${thing} ${expected[0]} or ${expected[1]}`;
        } else {
          return `of ${thing} ${expected[0]}`;
        }
      } else {
        return `of ${thing} ${String(expected)}`;
      }
    }
    function startsWith(str, search, pos2) {
      return str.substr(!pos2 || pos2 < 0 ? 0 : +pos2, search.length) === search;
    }
    function endsWith(str, search, this_len) {
      if (this_len === void 0 || this_len > str.length) {
        this_len = str.length;
      }
      return str.substring(this_len - search.length, this_len) === search;
    }
    function includes(str, search, start) {
      if (typeof start !== "number") {
        start = 0;
      }
      if (start + search.length > str.length) {
        return false;
      } else {
        return str.indexOf(search, start) !== -1;
      }
    }
    createErrorType("ERR_INVALID_OPT_VALUE", function(name, value) {
      return 'The value "' + value + '" is invalid for option "' + name + '"';
    }, TypeError);
    createErrorType("ERR_INVALID_ARG_TYPE", function(name, expected, actual) {
      let determiner;
      if (typeof expected === "string" && startsWith(expected, "not ")) {
        determiner = "must not be";
        expected = expected.replace(/^not /, "");
      } else {
        determiner = "must be";
      }
      let msg;
      if (endsWith(name, " argument")) {
        msg = `The ${name} ${determiner} ${oneOf(expected, "type")}`;
      } else {
        const type = includes(name, ".") ? "property" : "argument";
        msg = `The "${name}" ${type} ${determiner} ${oneOf(expected, "type")}`;
      }
      msg += `. Received type ${typeof actual}`;
      return msg;
    }, TypeError);
    createErrorType("ERR_STREAM_PUSH_AFTER_EOF", "stream.push() after EOF");
    createErrorType("ERR_METHOD_NOT_IMPLEMENTED", function(name) {
      return "The " + name + " method is not implemented";
    });
    createErrorType("ERR_STREAM_PREMATURE_CLOSE", "Premature close");
    createErrorType("ERR_STREAM_DESTROYED", function(name) {
      return "Cannot call " + name + " after a stream was destroyed";
    });
    createErrorType("ERR_MULTIPLE_CALLBACK", "Callback called multiple times");
    createErrorType("ERR_STREAM_CANNOT_PIPE", "Cannot pipe, not readable");
    createErrorType("ERR_STREAM_WRITE_AFTER_END", "write after end");
    createErrorType("ERR_STREAM_NULL_VALUES", "May not write null values to stream", TypeError);
    createErrorType("ERR_UNKNOWN_ENCODING", function(arg3) {
      return "Unknown encoding: " + arg3;
    }, TypeError);
    createErrorType("ERR_STREAM_UNSHIFT_AFTER_END_EVENT", "stream.unshift() after end event");
    module2.exports.codes = codes;
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/state.js
var require_state = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/state.js"(exports2, module2) {
    "use strict";
    var ERR_INVALID_OPT_VALUE = require_errors().codes.ERR_INVALID_OPT_VALUE;
    function highWaterMarkFrom(options2, isDuplex, duplexKey) {
      return options2.highWaterMark != null ? options2.highWaterMark : isDuplex ? options2[duplexKey] : null;
    }
    function getHighWaterMark(state, options2, duplexKey, isDuplex) {
      var hwm = highWaterMarkFrom(options2, isDuplex, duplexKey);
      if (hwm != null) {
        if (!(isFinite(hwm) && Math.floor(hwm) === hwm) || hwm < 0) {
          var name = isDuplex ? duplexKey : "highWaterMark";
          throw new ERR_INVALID_OPT_VALUE(name, hwm);
        }
        return Math.floor(hwm);
      }
      return state.objectMode ? 16 : 16 * 1024;
    }
    module2.exports = {
      getHighWaterMark
    };
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_writable.js
var require_stream_writable2 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_writable.js"(exports2, module2) {
    "use strict";
    module2.exports = Writable;
    function CorkedRequest(state) {
      var _this = this;
      this.next = null;
      this.entry = null;
      this.finish = function() {
        onCorkedFinish(_this, state);
      };
    }
    var Duplex;
    Writable.WritableState = WritableState;
    var internalUtil = {
      deprecate: require_node2()
    };
    var Stream2 = require_stream7();
    var Buffer2 = require("buffer").Buffer;
    var OurUint8Array = global.Uint8Array || function() {
    };
    function _uint8ArrayToBuffer(chunk) {
      return Buffer2.from(chunk);
    }
    function _isUint8Array(obj) {
      return Buffer2.isBuffer(obj) || obj instanceof OurUint8Array;
    }
    var destroyImpl = require_destroy2();
    var _require = require_state();
    var getHighWaterMark = _require.getHighWaterMark;
    var _require$codes = require_errors().codes;
    var ERR_INVALID_ARG_TYPE = _require$codes.ERR_INVALID_ARG_TYPE;
    var ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED;
    var ERR_MULTIPLE_CALLBACK = _require$codes.ERR_MULTIPLE_CALLBACK;
    var ERR_STREAM_CANNOT_PIPE = _require$codes.ERR_STREAM_CANNOT_PIPE;
    var ERR_STREAM_DESTROYED = _require$codes.ERR_STREAM_DESTROYED;
    var ERR_STREAM_NULL_VALUES = _require$codes.ERR_STREAM_NULL_VALUES;
    var ERR_STREAM_WRITE_AFTER_END = _require$codes.ERR_STREAM_WRITE_AFTER_END;
    var ERR_UNKNOWN_ENCODING = _require$codes.ERR_UNKNOWN_ENCODING;
    var errorOrDestroy = destroyImpl.errorOrDestroy;
    require_inherits()(Writable, Stream2);
    function nop() {
    }
    function WritableState(options2, stream4, isDuplex) {
      Duplex = Duplex || require_stream_duplex2();
      options2 = options2 || {};
      if (typeof isDuplex !== "boolean")
        isDuplex = stream4 instanceof Duplex;
      this.objectMode = !!options2.objectMode;
      if (isDuplex)
        this.objectMode = this.objectMode || !!options2.writableObjectMode;
      this.highWaterMark = getHighWaterMark(this, options2, "writableHighWaterMark", isDuplex);
      this.finalCalled = false;
      this.needDrain = false;
      this.ending = false;
      this.ended = false;
      this.finished = false;
      this.destroyed = false;
      var noDecode = options2.decodeStrings === false;
      this.decodeStrings = !noDecode;
      this.defaultEncoding = options2.defaultEncoding || "utf8";
      this.length = 0;
      this.writing = false;
      this.corked = 0;
      this.sync = true;
      this.bufferProcessing = false;
      this.onwrite = function(er) {
        onwrite(stream4, er);
      };
      this.writecb = null;
      this.writelen = 0;
      this.bufferedRequest = null;
      this.lastBufferedRequest = null;
      this.pendingcb = 0;
      this.prefinished = false;
      this.errorEmitted = false;
      this.emitClose = options2.emitClose !== false;
      this.autoDestroy = !!options2.autoDestroy;
      this.bufferedRequestCount = 0;
      this.corkedRequestsFree = new CorkedRequest(this);
    }
    WritableState.prototype.getBuffer = function getBuffer() {
      var current = this.bufferedRequest;
      var out = [];
      while (current) {
        out.push(current);
        current = current.next;
      }
      return out;
    };
    (function() {
      try {
        Object.defineProperty(WritableState.prototype, "buffer", {
          get: internalUtil.deprecate(function writableStateBufferGetter() {
            return this.getBuffer();
          }, "_writableState.buffer is deprecated. Use _writableState.getBuffer instead.", "DEP0003")
        });
      } catch (_3) {
      }
    })();
    var realHasInstance;
    if (typeof Symbol === "function" && Symbol.hasInstance && typeof Function.prototype[Symbol.hasInstance] === "function") {
      realHasInstance = Function.prototype[Symbol.hasInstance];
      Object.defineProperty(Writable, Symbol.hasInstance, {
        value: function value(object) {
          if (realHasInstance.call(this, object))
            return true;
          if (this !== Writable)
            return false;
          return object && object._writableState instanceof WritableState;
        }
      });
    } else {
      realHasInstance = function realHasInstance2(object) {
        return object instanceof this;
      };
    }
    function Writable(options2) {
      Duplex = Duplex || require_stream_duplex2();
      var isDuplex = this instanceof Duplex;
      if (!isDuplex && !realHasInstance.call(Writable, this))
        return new Writable(options2);
      this._writableState = new WritableState(options2, this, isDuplex);
      this.writable = true;
      if (options2) {
        if (typeof options2.write === "function")
          this._write = options2.write;
        if (typeof options2.writev === "function")
          this._writev = options2.writev;
        if (typeof options2.destroy === "function")
          this._destroy = options2.destroy;
        if (typeof options2.final === "function")
          this._final = options2.final;
      }
      Stream2.call(this);
    }
    Writable.prototype.pipe = function() {
      errorOrDestroy(this, new ERR_STREAM_CANNOT_PIPE());
    };
    function writeAfterEnd(stream4, cb2) {
      var er = new ERR_STREAM_WRITE_AFTER_END();
      errorOrDestroy(stream4, er);
      process.nextTick(cb2, er);
    }
    function validChunk(stream4, state, chunk, cb2) {
      var er;
      if (chunk === null) {
        er = new ERR_STREAM_NULL_VALUES();
      } else if (typeof chunk !== "string" && !state.objectMode) {
        er = new ERR_INVALID_ARG_TYPE("chunk", ["string", "Buffer"], chunk);
      }
      if (er) {
        errorOrDestroy(stream4, er);
        process.nextTick(cb2, er);
        return false;
      }
      return true;
    }
    Writable.prototype.write = function(chunk, encoding, cb2) {
      var state = this._writableState;
      var ret = false;
      var isBuf = !state.objectMode && _isUint8Array(chunk);
      if (isBuf && !Buffer2.isBuffer(chunk)) {
        chunk = _uint8ArrayToBuffer(chunk);
      }
      if (typeof encoding === "function") {
        cb2 = encoding;
        encoding = null;
      }
      if (isBuf)
        encoding = "buffer";
      else if (!encoding)
        encoding = state.defaultEncoding;
      if (typeof cb2 !== "function")
        cb2 = nop;
      if (state.ending)
        writeAfterEnd(this, cb2);
      else if (isBuf || validChunk(this, state, chunk, cb2)) {
        state.pendingcb++;
        ret = writeOrBuffer(this, state, isBuf, chunk, encoding, cb2);
      }
      return ret;
    };
    Writable.prototype.cork = function() {
      this._writableState.corked++;
    };
    Writable.prototype.uncork = function() {
      var state = this._writableState;
      if (state.corked) {
        state.corked--;
        if (!state.writing && !state.corked && !state.bufferProcessing && state.bufferedRequest)
          clearBuffer(this, state);
      }
    };
    Writable.prototype.setDefaultEncoding = function setDefaultEncoding(encoding) {
      if (typeof encoding === "string")
        encoding = encoding.toLowerCase();
      if (!(["hex", "utf8", "utf-8", "ascii", "binary", "base64", "ucs2", "ucs-2", "utf16le", "utf-16le", "raw"].indexOf((encoding + "").toLowerCase()) > -1))
        throw new ERR_UNKNOWN_ENCODING(encoding);
      this._writableState.defaultEncoding = encoding;
      return this;
    };
    Object.defineProperty(Writable.prototype, "writableBuffer", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._writableState && this._writableState.getBuffer();
      }
    });
    function decodeChunk(state, chunk, encoding) {
      if (!state.objectMode && state.decodeStrings !== false && typeof chunk === "string") {
        chunk = Buffer2.from(chunk, encoding);
      }
      return chunk;
    }
    Object.defineProperty(Writable.prototype, "writableHighWaterMark", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._writableState.highWaterMark;
      }
    });
    function writeOrBuffer(stream4, state, isBuf, chunk, encoding, cb2) {
      if (!isBuf) {
        var newChunk = decodeChunk(state, chunk, encoding);
        if (chunk !== newChunk) {
          isBuf = true;
          encoding = "buffer";
          chunk = newChunk;
        }
      }
      var len = state.objectMode ? 1 : chunk.length;
      state.length += len;
      var ret = state.length < state.highWaterMark;
      if (!ret)
        state.needDrain = true;
      if (state.writing || state.corked) {
        var last = state.lastBufferedRequest;
        state.lastBufferedRequest = {
          chunk,
          encoding,
          isBuf,
          callback: cb2,
          next: null
        };
        if (last) {
          last.next = state.lastBufferedRequest;
        } else {
          state.bufferedRequest = state.lastBufferedRequest;
        }
        state.bufferedRequestCount += 1;
      } else {
        doWrite(stream4, state, false, len, chunk, encoding, cb2);
      }
      return ret;
    }
    function doWrite(stream4, state, writev, len, chunk, encoding, cb2) {
      state.writelen = len;
      state.writecb = cb2;
      state.writing = true;
      state.sync = true;
      if (state.destroyed)
        state.onwrite(new ERR_STREAM_DESTROYED("write"));
      else if (writev)
        stream4._writev(chunk, state.onwrite);
      else
        stream4._write(chunk, encoding, state.onwrite);
      state.sync = false;
    }
    function onwriteError(stream4, state, sync2, er, cb2) {
      --state.pendingcb;
      if (sync2) {
        process.nextTick(cb2, er);
        process.nextTick(finishMaybe, stream4, state);
        stream4._writableState.errorEmitted = true;
        errorOrDestroy(stream4, er);
      } else {
        cb2(er);
        stream4._writableState.errorEmitted = true;
        errorOrDestroy(stream4, er);
        finishMaybe(stream4, state);
      }
    }
    function onwriteStateUpdate(state) {
      state.writing = false;
      state.writecb = null;
      state.length -= state.writelen;
      state.writelen = 0;
    }
    function onwrite(stream4, er) {
      var state = stream4._writableState;
      var sync2 = state.sync;
      var cb2 = state.writecb;
      if (typeof cb2 !== "function")
        throw new ERR_MULTIPLE_CALLBACK();
      onwriteStateUpdate(state);
      if (er)
        onwriteError(stream4, state, sync2, er, cb2);
      else {
        var finished = needFinish(state) || stream4.destroyed;
        if (!finished && !state.corked && !state.bufferProcessing && state.bufferedRequest) {
          clearBuffer(stream4, state);
        }
        if (sync2) {
          process.nextTick(afterWrite, stream4, state, finished, cb2);
        } else {
          afterWrite(stream4, state, finished, cb2);
        }
      }
    }
    function afterWrite(stream4, state, finished, cb2) {
      if (!finished)
        onwriteDrain(stream4, state);
      state.pendingcb--;
      cb2();
      finishMaybe(stream4, state);
    }
    function onwriteDrain(stream4, state) {
      if (state.length === 0 && state.needDrain) {
        state.needDrain = false;
        stream4.emit("drain");
      }
    }
    function clearBuffer(stream4, state) {
      state.bufferProcessing = true;
      var entry = state.bufferedRequest;
      if (stream4._writev && entry && entry.next) {
        var l2 = state.bufferedRequestCount;
        var buffer = new Array(l2);
        var holder = state.corkedRequestsFree;
        holder.entry = entry;
        var count = 0;
        var allBuffers = true;
        while (entry) {
          buffer[count] = entry;
          if (!entry.isBuf)
            allBuffers = false;
          entry = entry.next;
          count += 1;
        }
        buffer.allBuffers = allBuffers;
        doWrite(stream4, state, true, state.length, buffer, "", holder.finish);
        state.pendingcb++;
        state.lastBufferedRequest = null;
        if (holder.next) {
          state.corkedRequestsFree = holder.next;
          holder.next = null;
        } else {
          state.corkedRequestsFree = new CorkedRequest(state);
        }
        state.bufferedRequestCount = 0;
      } else {
        while (entry) {
          var chunk = entry.chunk;
          var encoding = entry.encoding;
          var cb2 = entry.callback;
          var len = state.objectMode ? 1 : chunk.length;
          doWrite(stream4, state, false, len, chunk, encoding, cb2);
          entry = entry.next;
          state.bufferedRequestCount--;
          if (state.writing) {
            break;
          }
        }
        if (entry === null)
          state.lastBufferedRequest = null;
      }
      state.bufferedRequest = entry;
      state.bufferProcessing = false;
    }
    Writable.prototype._write = function(chunk, encoding, cb2) {
      cb2(new ERR_METHOD_NOT_IMPLEMENTED("_write()"));
    };
    Writable.prototype._writev = null;
    Writable.prototype.end = function(chunk, encoding, cb2) {
      var state = this._writableState;
      if (typeof chunk === "function") {
        cb2 = chunk;
        chunk = null;
        encoding = null;
      } else if (typeof encoding === "function") {
        cb2 = encoding;
        encoding = null;
      }
      if (chunk !== null && chunk !== void 0)
        this.write(chunk, encoding);
      if (state.corked) {
        state.corked = 1;
        this.uncork();
      }
      if (!state.ending)
        endWritable(this, state, cb2);
      return this;
    };
    Object.defineProperty(Writable.prototype, "writableLength", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._writableState.length;
      }
    });
    function needFinish(state) {
      return state.ending && state.length === 0 && state.bufferedRequest === null && !state.finished && !state.writing;
    }
    function callFinal(stream4, state) {
      stream4._final(function(err) {
        state.pendingcb--;
        if (err) {
          errorOrDestroy(stream4, err);
        }
        state.prefinished = true;
        stream4.emit("prefinish");
        finishMaybe(stream4, state);
      });
    }
    function prefinish(stream4, state) {
      if (!state.prefinished && !state.finalCalled) {
        if (typeof stream4._final === "function" && !state.destroyed) {
          state.pendingcb++;
          state.finalCalled = true;
          process.nextTick(callFinal, stream4, state);
        } else {
          state.prefinished = true;
          stream4.emit("prefinish");
        }
      }
    }
    function finishMaybe(stream4, state) {
      var need = needFinish(state);
      if (need) {
        prefinish(stream4, state);
        if (state.pendingcb === 0) {
          state.finished = true;
          stream4.emit("finish");
          if (state.autoDestroy) {
            var rState = stream4._readableState;
            if (!rState || rState.autoDestroy && rState.endEmitted) {
              stream4.destroy();
            }
          }
        }
      }
      return need;
    }
    function endWritable(stream4, state, cb2) {
      state.ending = true;
      finishMaybe(stream4, state);
      if (cb2) {
        if (state.finished)
          process.nextTick(cb2);
        else
          stream4.once("finish", cb2);
      }
      state.ended = true;
      stream4.writable = false;
    }
    function onCorkedFinish(corkReq, state, err) {
      var entry = corkReq.entry;
      corkReq.entry = null;
      while (entry) {
        var cb2 = entry.callback;
        state.pendingcb--;
        cb2(err);
        entry = entry.next;
      }
      state.corkedRequestsFree.next = corkReq;
    }
    Object.defineProperty(Writable.prototype, "destroyed", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        if (this._writableState === void 0) {
          return false;
        }
        return this._writableState.destroyed;
      },
      set: function set(value) {
        if (!this._writableState) {
          return;
        }
        this._writableState.destroyed = value;
      }
    });
    Writable.prototype.destroy = destroyImpl.destroy;
    Writable.prototype._undestroy = destroyImpl.undestroy;
    Writable.prototype._destroy = function(err, cb2) {
      cb2(err);
    };
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_duplex.js
var require_stream_duplex2 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_duplex.js"(exports2, module2) {
    "use strict";
    var objectKeys = Object.keys || function(obj) {
      var keys2 = [];
      for (var key in obj) {
        keys2.push(key);
      }
      return keys2;
    };
    module2.exports = Duplex;
    var Readable2 = require_stream_readable2();
    var Writable = require_stream_writable2();
    require_inherits()(Duplex, Readable2);
    {
      keys = objectKeys(Writable.prototype);
      for (v2 = 0; v2 < keys.length; v2++) {
        method = keys[v2];
        if (!Duplex.prototype[method])
          Duplex.prototype[method] = Writable.prototype[method];
      }
    }
    var keys;
    var method;
    var v2;
    function Duplex(options2) {
      if (!(this instanceof Duplex))
        return new Duplex(options2);
      Readable2.call(this, options2);
      Writable.call(this, options2);
      this.allowHalfOpen = true;
      if (options2) {
        if (options2.readable === false)
          this.readable = false;
        if (options2.writable === false)
          this.writable = false;
        if (options2.allowHalfOpen === false) {
          this.allowHalfOpen = false;
          this.once("end", onend);
        }
      }
    }
    Object.defineProperty(Duplex.prototype, "writableHighWaterMark", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._writableState.highWaterMark;
      }
    });
    Object.defineProperty(Duplex.prototype, "writableBuffer", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._writableState && this._writableState.getBuffer();
      }
    });
    Object.defineProperty(Duplex.prototype, "writableLength", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._writableState.length;
      }
    });
    function onend() {
      if (this._writableState.ended)
        return;
      process.nextTick(onEndNT, this);
    }
    function onEndNT(self2) {
      self2.end();
    }
    Object.defineProperty(Duplex.prototype, "destroyed", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        if (this._readableState === void 0 || this._writableState === void 0) {
          return false;
        }
        return this._readableState.destroyed && this._writableState.destroyed;
      },
      set: function set(value) {
        if (this._readableState === void 0 || this._writableState === void 0) {
          return;
        }
        this._readableState.destroyed = value;
        this._writableState.destroyed = value;
      }
    });
  }
});

// ../../node_modules/.pnpm/safe-buffer@5.2.1/node_modules/safe-buffer/index.js
var require_safe_buffer2 = __commonJS({
  "../../node_modules/.pnpm/safe-buffer@5.2.1/node_modules/safe-buffer/index.js"(exports2, module2) {
    "use strict";
    var buffer = require("buffer");
    var Buffer2 = buffer.Buffer;
    function copyProps(src2, dst) {
      for (var key in src2) {
        dst[key] = src2[key];
      }
    }
    if (Buffer2.from && Buffer2.alloc && Buffer2.allocUnsafe && Buffer2.allocUnsafeSlow) {
      module2.exports = buffer;
    } else {
      copyProps(buffer, exports2);
      exports2.Buffer = SafeBuffer;
    }
    function SafeBuffer(arg3, encodingOrOffset, length) {
      return Buffer2(arg3, encodingOrOffset, length);
    }
    SafeBuffer.prototype = Object.create(Buffer2.prototype);
    copyProps(Buffer2, SafeBuffer);
    SafeBuffer.from = function(arg3, encodingOrOffset, length) {
      if (typeof arg3 === "number") {
        throw new TypeError("Argument must not be a number");
      }
      return Buffer2(arg3, encodingOrOffset, length);
    };
    SafeBuffer.alloc = function(size, fill, encoding) {
      if (typeof size !== "number") {
        throw new TypeError("Argument must be a number");
      }
      var buf = Buffer2(size);
      if (fill !== void 0) {
        if (typeof encoding === "string") {
          buf.fill(fill, encoding);
        } else {
          buf.fill(fill);
        }
      } else {
        buf.fill(0);
      }
      return buf;
    };
    SafeBuffer.allocUnsafe = function(size) {
      if (typeof size !== "number") {
        throw new TypeError("Argument must be a number");
      }
      return Buffer2(size);
    };
    SafeBuffer.allocUnsafeSlow = function(size) {
      if (typeof size !== "number") {
        throw new TypeError("Argument must be a number");
      }
      return buffer.SlowBuffer(size);
    };
  }
});

// ../../node_modules/.pnpm/string_decoder@1.3.0/node_modules/string_decoder/lib/string_decoder.js
var require_string_decoder2 = __commonJS({
  "../../node_modules/.pnpm/string_decoder@1.3.0/node_modules/string_decoder/lib/string_decoder.js"(exports2) {
    "use strict";
    var Buffer2 = require_safe_buffer2().Buffer;
    var isEncoding = Buffer2.isEncoding || function(encoding) {
      encoding = "" + encoding;
      switch (encoding && encoding.toLowerCase()) {
        case "hex":
        case "utf8":
        case "utf-8":
        case "ascii":
        case "binary":
        case "base64":
        case "ucs2":
        case "ucs-2":
        case "utf16le":
        case "utf-16le":
        case "raw":
          return true;
        default:
          return false;
      }
    };
    function _normalizeEncoding(enc) {
      if (!enc)
        return "utf8";
      var retried;
      while (true) {
        switch (enc) {
          case "utf8":
          case "utf-8":
            return "utf8";
          case "ucs2":
          case "ucs-2":
          case "utf16le":
          case "utf-16le":
            return "utf16le";
          case "latin1":
          case "binary":
            return "latin1";
          case "base64":
          case "ascii":
          case "hex":
            return enc;
          default:
            if (retried)
              return;
            enc = ("" + enc).toLowerCase();
            retried = true;
        }
      }
    }
    function normalizeEncoding(enc) {
      var nenc = _normalizeEncoding(enc);
      if (typeof nenc !== "string" && (Buffer2.isEncoding === isEncoding || !isEncoding(enc)))
        throw new Error("Unknown encoding: " + enc);
      return nenc || enc;
    }
    exports2.StringDecoder = StringDecoder;
    function StringDecoder(encoding) {
      this.encoding = normalizeEncoding(encoding);
      var nb;
      switch (this.encoding) {
        case "utf16le":
          this.text = utf16Text;
          this.end = utf16End;
          nb = 4;
          break;
        case "utf8":
          this.fillLast = utf8FillLast;
          nb = 4;
          break;
        case "base64":
          this.text = base64Text;
          this.end = base64End;
          nb = 3;
          break;
        default:
          this.write = simpleWrite;
          this.end = simpleEnd;
          return;
      }
      this.lastNeed = 0;
      this.lastTotal = 0;
      this.lastChar = Buffer2.allocUnsafe(nb);
    }
    StringDecoder.prototype.write = function(buf) {
      if (buf.length === 0)
        return "";
      var r2;
      var i4;
      if (this.lastNeed) {
        r2 = this.fillLast(buf);
        if (r2 === void 0)
          return "";
        i4 = this.lastNeed;
        this.lastNeed = 0;
      } else {
        i4 = 0;
      }
      if (i4 < buf.length)
        return r2 ? r2 + this.text(buf, i4) : this.text(buf, i4);
      return r2 || "";
    };
    StringDecoder.prototype.end = utf8End;
    StringDecoder.prototype.text = utf8Text;
    StringDecoder.prototype.fillLast = function(buf) {
      if (this.lastNeed <= buf.length) {
        buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, this.lastNeed);
        return this.lastChar.toString(this.encoding, 0, this.lastTotal);
      }
      buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, buf.length);
      this.lastNeed -= buf.length;
    };
    function utf8CheckByte(byte) {
      if (byte <= 127)
        return 0;
      else if (byte >> 5 === 6)
        return 2;
      else if (byte >> 4 === 14)
        return 3;
      else if (byte >> 3 === 30)
        return 4;
      return byte >> 6 === 2 ? -1 : -2;
    }
    function utf8CheckIncomplete(self2, buf, i4) {
      var j2 = buf.length - 1;
      if (j2 < i4)
        return 0;
      var nb = utf8CheckByte(buf[j2]);
      if (nb >= 0) {
        if (nb > 0)
          self2.lastNeed = nb - 1;
        return nb;
      }
      if (--j2 < i4 || nb === -2)
        return 0;
      nb = utf8CheckByte(buf[j2]);
      if (nb >= 0) {
        if (nb > 0)
          self2.lastNeed = nb - 2;
        return nb;
      }
      if (--j2 < i4 || nb === -2)
        return 0;
      nb = utf8CheckByte(buf[j2]);
      if (nb >= 0) {
        if (nb > 0) {
          if (nb === 2)
            nb = 0;
          else
            self2.lastNeed = nb - 3;
        }
        return nb;
      }
      return 0;
    }
    function utf8CheckExtraBytes(self2, buf, p2) {
      if ((buf[0] & 192) !== 128) {
        self2.lastNeed = 0;
        return "\uFFFD";
      }
      if (self2.lastNeed > 1 && buf.length > 1) {
        if ((buf[1] & 192) !== 128) {
          self2.lastNeed = 1;
          return "\uFFFD";
        }
        if (self2.lastNeed > 2 && buf.length > 2) {
          if ((buf[2] & 192) !== 128) {
            self2.lastNeed = 2;
            return "\uFFFD";
          }
        }
      }
    }
    function utf8FillLast(buf) {
      var p2 = this.lastTotal - this.lastNeed;
      var r2 = utf8CheckExtraBytes(this, buf, p2);
      if (r2 !== void 0)
        return r2;
      if (this.lastNeed <= buf.length) {
        buf.copy(this.lastChar, p2, 0, this.lastNeed);
        return this.lastChar.toString(this.encoding, 0, this.lastTotal);
      }
      buf.copy(this.lastChar, p2, 0, buf.length);
      this.lastNeed -= buf.length;
    }
    function utf8Text(buf, i4) {
      var total = utf8CheckIncomplete(this, buf, i4);
      if (!this.lastNeed)
        return buf.toString("utf8", i4);
      this.lastTotal = total;
      var end = buf.length - (total - this.lastNeed);
      buf.copy(this.lastChar, 0, end);
      return buf.toString("utf8", i4, end);
    }
    function utf8End(buf) {
      var r2 = buf && buf.length ? this.write(buf) : "";
      if (this.lastNeed)
        return r2 + "\uFFFD";
      return r2;
    }
    function utf16Text(buf, i4) {
      if ((buf.length - i4) % 2 === 0) {
        var r2 = buf.toString("utf16le", i4);
        if (r2) {
          var c4 = r2.charCodeAt(r2.length - 1);
          if (c4 >= 55296 && c4 <= 56319) {
            this.lastNeed = 2;
            this.lastTotal = 4;
            this.lastChar[0] = buf[buf.length - 2];
            this.lastChar[1] = buf[buf.length - 1];
            return r2.slice(0, -1);
          }
        }
        return r2;
      }
      this.lastNeed = 1;
      this.lastTotal = 2;
      this.lastChar[0] = buf[buf.length - 1];
      return buf.toString("utf16le", i4, buf.length - 1);
    }
    function utf16End(buf) {
      var r2 = buf && buf.length ? this.write(buf) : "";
      if (this.lastNeed) {
        var end = this.lastTotal - this.lastNeed;
        return r2 + this.lastChar.toString("utf16le", 0, end);
      }
      return r2;
    }
    function base64Text(buf, i4) {
      var n2 = (buf.length - i4) % 3;
      if (n2 === 0)
        return buf.toString("base64", i4);
      this.lastNeed = 3 - n2;
      this.lastTotal = 3;
      if (n2 === 1) {
        this.lastChar[0] = buf[buf.length - 1];
      } else {
        this.lastChar[0] = buf[buf.length - 2];
        this.lastChar[1] = buf[buf.length - 1];
      }
      return buf.toString("base64", i4, buf.length - n2);
    }
    function base64End(buf) {
      var r2 = buf && buf.length ? this.write(buf) : "";
      if (this.lastNeed)
        return r2 + this.lastChar.toString("base64", 0, 3 - this.lastNeed);
      return r2;
    }
    function simpleWrite(buf) {
      return buf.toString(this.encoding);
    }
    function simpleEnd(buf) {
      return buf && buf.length ? this.write(buf) : "";
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/end-of-stream.js
var require_end_of_stream = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/end-of-stream.js"(exports2, module2) {
    "use strict";
    var ERR_STREAM_PREMATURE_CLOSE = require_errors().codes.ERR_STREAM_PREMATURE_CLOSE;
    function once2(callback) {
      var called = false;
      return function() {
        if (called)
          return;
        called = true;
        for (var _len = arguments.length, args3 = new Array(_len), _key = 0; _key < _len; _key++) {
          args3[_key] = arguments[_key];
        }
        callback.apply(this, args3);
      };
    }
    function noop2() {
    }
    function isRequest2(stream4) {
      return stream4.setHeader && typeof stream4.abort === "function";
    }
    function eos(stream4, opts2, callback) {
      if (typeof opts2 === "function")
        return eos(stream4, null, opts2);
      if (!opts2)
        opts2 = {};
      callback = once2(callback || noop2);
      var readable = opts2.readable || opts2.readable !== false && stream4.readable;
      var writable = opts2.writable || opts2.writable !== false && stream4.writable;
      var onlegacyfinish = function onlegacyfinish2() {
        if (!stream4.writable)
          onfinish();
      };
      var writableEnded = stream4._writableState && stream4._writableState.finished;
      var onfinish = function onfinish2() {
        writable = false;
        writableEnded = true;
        if (!readable)
          callback.call(stream4);
      };
      var readableEnded = stream4._readableState && stream4._readableState.endEmitted;
      var onend = function onend2() {
        readable = false;
        readableEnded = true;
        if (!writable)
          callback.call(stream4);
      };
      var onerror = function onerror2(err) {
        callback.call(stream4, err);
      };
      var onclose = function onclose2() {
        var err;
        if (readable && !readableEnded) {
          if (!stream4._readableState || !stream4._readableState.ended)
            err = new ERR_STREAM_PREMATURE_CLOSE();
          return callback.call(stream4, err);
        }
        if (writable && !writableEnded) {
          if (!stream4._writableState || !stream4._writableState.ended)
            err = new ERR_STREAM_PREMATURE_CLOSE();
          return callback.call(stream4, err);
        }
      };
      var onrequest = function onrequest2() {
        stream4.req.on("finish", onfinish);
      };
      if (isRequest2(stream4)) {
        stream4.on("complete", onfinish);
        stream4.on("abort", onclose);
        if (stream4.req)
          onrequest();
        else
          stream4.on("request", onrequest);
      } else if (writable && !stream4._writableState) {
        stream4.on("end", onlegacyfinish);
        stream4.on("close", onlegacyfinish);
      }
      stream4.on("end", onend);
      stream4.on("finish", onfinish);
      if (opts2.error !== false)
        stream4.on("error", onerror);
      stream4.on("close", onclose);
      return function() {
        stream4.removeListener("complete", onfinish);
        stream4.removeListener("abort", onclose);
        stream4.removeListener("request", onrequest);
        if (stream4.req)
          stream4.req.removeListener("finish", onfinish);
        stream4.removeListener("end", onlegacyfinish);
        stream4.removeListener("close", onlegacyfinish);
        stream4.removeListener("finish", onfinish);
        stream4.removeListener("end", onend);
        stream4.removeListener("error", onerror);
        stream4.removeListener("close", onclose);
      };
    }
    module2.exports = eos;
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/async_iterator.js
var require_async_iterator = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/async_iterator.js"(exports2, module2) {
    "use strict";
    var _Object$setPrototypeO;
    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }
      return obj;
    }
    var finished = require_end_of_stream();
    var kLastResolve = Symbol("lastResolve");
    var kLastReject = Symbol("lastReject");
    var kError = Symbol("error");
    var kEnded = Symbol("ended");
    var kLastPromise = Symbol("lastPromise");
    var kHandlePromise = Symbol("handlePromise");
    var kStream = Symbol("stream");
    function createIterResult(value, done) {
      return {
        value,
        done
      };
    }
    function readAndResolve(iter) {
      var resolve3 = iter[kLastResolve];
      if (resolve3 !== null) {
        var data = iter[kStream].read();
        if (data !== null) {
          iter[kLastPromise] = null;
          iter[kLastResolve] = null;
          iter[kLastReject] = null;
          resolve3(createIterResult(data, false));
        }
      }
    }
    function onReadable(iter) {
      process.nextTick(readAndResolve, iter);
    }
    function wrapForNext(lastPromise, iter) {
      return function(resolve3, reject2) {
        lastPromise.then(function() {
          if (iter[kEnded]) {
            resolve3(createIterResult(void 0, true));
            return;
          }
          iter[kHandlePromise](resolve3, reject2);
        }, reject2);
      };
    }
    var AsyncIteratorPrototype = Object.getPrototypeOf(function() {
    });
    var ReadableStreamAsyncIteratorPrototype = Object.setPrototypeOf((_Object$setPrototypeO = {
      get stream() {
        return this[kStream];
      },
      next: function next() {
        var _this = this;
        var error2 = this[kError];
        if (error2 !== null) {
          return Promise.reject(error2);
        }
        if (this[kEnded]) {
          return Promise.resolve(createIterResult(void 0, true));
        }
        if (this[kStream].destroyed) {
          return new Promise(function(resolve3, reject2) {
            process.nextTick(function() {
              if (_this[kError]) {
                reject2(_this[kError]);
              } else {
                resolve3(createIterResult(void 0, true));
              }
            });
          });
        }
        var lastPromise = this[kLastPromise];
        var promise;
        if (lastPromise) {
          promise = new Promise(wrapForNext(lastPromise, this));
        } else {
          var data = this[kStream].read();
          if (data !== null) {
            return Promise.resolve(createIterResult(data, false));
          }
          promise = new Promise(this[kHandlePromise]);
        }
        this[kLastPromise] = promise;
        return promise;
      }
    }, _defineProperty(_Object$setPrototypeO, Symbol.asyncIterator, function() {
      return this;
    }), _defineProperty(_Object$setPrototypeO, "return", function _return() {
      var _this2 = this;
      return new Promise(function(resolve3, reject2) {
        _this2[kStream].destroy(null, function(err) {
          if (err) {
            reject2(err);
            return;
          }
          resolve3(createIterResult(void 0, true));
        });
      });
    }), _Object$setPrototypeO), AsyncIteratorPrototype);
    var createReadableStreamAsyncIterator = function createReadableStreamAsyncIterator2(stream4) {
      var _Object$create;
      var iterator = Object.create(ReadableStreamAsyncIteratorPrototype, (_Object$create = {}, _defineProperty(_Object$create, kStream, {
        value: stream4,
        writable: true
      }), _defineProperty(_Object$create, kLastResolve, {
        value: null,
        writable: true
      }), _defineProperty(_Object$create, kLastReject, {
        value: null,
        writable: true
      }), _defineProperty(_Object$create, kError, {
        value: null,
        writable: true
      }), _defineProperty(_Object$create, kEnded, {
        value: stream4._readableState.endEmitted,
        writable: true
      }), _defineProperty(_Object$create, kHandlePromise, {
        value: function value(resolve3, reject2) {
          var data = iterator[kStream].read();
          if (data) {
            iterator[kLastPromise] = null;
            iterator[kLastResolve] = null;
            iterator[kLastReject] = null;
            resolve3(createIterResult(data, false));
          } else {
            iterator[kLastResolve] = resolve3;
            iterator[kLastReject] = reject2;
          }
        },
        writable: true
      }), _Object$create));
      iterator[kLastPromise] = null;
      finished(stream4, function(err) {
        if (err && err.code !== "ERR_STREAM_PREMATURE_CLOSE") {
          var reject2 = iterator[kLastReject];
          if (reject2 !== null) {
            iterator[kLastPromise] = null;
            iterator[kLastResolve] = null;
            iterator[kLastReject] = null;
            reject2(err);
          }
          iterator[kError] = err;
          return;
        }
        var resolve3 = iterator[kLastResolve];
        if (resolve3 !== null) {
          iterator[kLastPromise] = null;
          iterator[kLastResolve] = null;
          iterator[kLastReject] = null;
          resolve3(createIterResult(void 0, true));
        }
        iterator[kEnded] = true;
      });
      stream4.on("readable", onReadable.bind(null, iterator));
      return iterator;
    };
    module2.exports = createReadableStreamAsyncIterator;
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/from.js
var require_from = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/from.js"(exports2, module2) {
    "use strict";
    function asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, key, arg3) {
      try {
        var info2 = gen[key](arg3);
        var value = info2.value;
      } catch (error2) {
        reject2(error2);
        return;
      }
      if (info2.done) {
        resolve3(value);
      } else {
        Promise.resolve(value).then(_next, _throw);
      }
    }
    function _asyncToGenerator(fn2) {
      return function() {
        var self2 = this, args3 = arguments;
        return new Promise(function(resolve3, reject2) {
          var gen = fn2.apply(self2, args3);
          function _next(value) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "next", value);
          }
          function _throw(err) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "throw", err);
          }
          _next(void 0);
        });
      };
    }
    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);
      if (Object.getOwnPropertySymbols) {
        var symbols2 = Object.getOwnPropertySymbols(object);
        if (enumerableOnly)
          symbols2 = symbols2.filter(function(sym) {
            return Object.getOwnPropertyDescriptor(object, sym).enumerable;
          });
        keys.push.apply(keys, symbols2);
      }
      return keys;
    }
    function _objectSpread(target) {
      for (var i4 = 1; i4 < arguments.length; i4++) {
        var source = arguments[i4] != null ? arguments[i4] : {};
        if (i4 % 2) {
          ownKeys(Object(source), true).forEach(function(key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }
      return target;
    }
    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }
      return obj;
    }
    var ERR_INVALID_ARG_TYPE = require_errors().codes.ERR_INVALID_ARG_TYPE;
    function from(Readable2, iterable, opts2) {
      var iterator;
      if (iterable && typeof iterable.next === "function") {
        iterator = iterable;
      } else if (iterable && iterable[Symbol.asyncIterator])
        iterator = iterable[Symbol.asyncIterator]();
      else if (iterable && iterable[Symbol.iterator])
        iterator = iterable[Symbol.iterator]();
      else
        throw new ERR_INVALID_ARG_TYPE("iterable", ["Iterable"], iterable);
      var readable = new Readable2(_objectSpread({
        objectMode: true
      }, opts2));
      var reading = false;
      readable._read = function() {
        if (!reading) {
          reading = true;
          next();
        }
      };
      function next() {
        return _next2.apply(this, arguments);
      }
      function _next2() {
        _next2 = _asyncToGenerator(function* () {
          try {
            var _ref = yield iterator.next(), value = _ref.value, done = _ref.done;
            if (done) {
              readable.push(null);
            } else if (readable.push(yield value)) {
              next();
            } else {
              reading = false;
            }
          } catch (err) {
            readable.destroy(err);
          }
        });
        return _next2.apply(this, arguments);
      }
      return readable;
    }
    module2.exports = from;
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_readable.js
var require_stream_readable2 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_readable.js"(exports2, module2) {
    "use strict";
    module2.exports = Readable2;
    var Duplex;
    Readable2.ReadableState = ReadableState;
    var EE = require("events").EventEmitter;
    var EElistenerCount = function EElistenerCount2(emitter, type) {
      return emitter.listeners(type).length;
    };
    var Stream2 = require_stream7();
    var Buffer2 = require("buffer").Buffer;
    var OurUint8Array = global.Uint8Array || function() {
    };
    function _uint8ArrayToBuffer(chunk) {
      return Buffer2.from(chunk);
    }
    function _isUint8Array(obj) {
      return Buffer2.isBuffer(obj) || obj instanceof OurUint8Array;
    }
    var debugUtil = require("util");
    var debug30;
    if (debugUtil && debugUtil.debuglog) {
      debug30 = debugUtil.debuglog("stream");
    } else {
      debug30 = function debug31() {
      };
    }
    var BufferList = require_buffer_list();
    var destroyImpl = require_destroy2();
    var _require = require_state();
    var getHighWaterMark = _require.getHighWaterMark;
    var _require$codes = require_errors().codes;
    var ERR_INVALID_ARG_TYPE = _require$codes.ERR_INVALID_ARG_TYPE;
    var ERR_STREAM_PUSH_AFTER_EOF = _require$codes.ERR_STREAM_PUSH_AFTER_EOF;
    var ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED;
    var ERR_STREAM_UNSHIFT_AFTER_END_EVENT = _require$codes.ERR_STREAM_UNSHIFT_AFTER_END_EVENT;
    var StringDecoder;
    var createReadableStreamAsyncIterator;
    var from;
    require_inherits()(Readable2, Stream2);
    var errorOrDestroy = destroyImpl.errorOrDestroy;
    var kProxyEvents = ["error", "close", "destroy", "pause", "resume"];
    function prependListener(emitter, event, fn2) {
      if (typeof emitter.prependListener === "function")
        return emitter.prependListener(event, fn2);
      if (!emitter._events || !emitter._events[event])
        emitter.on(event, fn2);
      else if (Array.isArray(emitter._events[event]))
        emitter._events[event].unshift(fn2);
      else
        emitter._events[event] = [fn2, emitter._events[event]];
    }
    function ReadableState(options2, stream4, isDuplex) {
      Duplex = Duplex || require_stream_duplex2();
      options2 = options2 || {};
      if (typeof isDuplex !== "boolean")
        isDuplex = stream4 instanceof Duplex;
      this.objectMode = !!options2.objectMode;
      if (isDuplex)
        this.objectMode = this.objectMode || !!options2.readableObjectMode;
      this.highWaterMark = getHighWaterMark(this, options2, "readableHighWaterMark", isDuplex);
      this.buffer = new BufferList();
      this.length = 0;
      this.pipes = null;
      this.pipesCount = 0;
      this.flowing = null;
      this.ended = false;
      this.endEmitted = false;
      this.reading = false;
      this.sync = true;
      this.needReadable = false;
      this.emittedReadable = false;
      this.readableListening = false;
      this.resumeScheduled = false;
      this.paused = true;
      this.emitClose = options2.emitClose !== false;
      this.autoDestroy = !!options2.autoDestroy;
      this.destroyed = false;
      this.defaultEncoding = options2.defaultEncoding || "utf8";
      this.awaitDrain = 0;
      this.readingMore = false;
      this.decoder = null;
      this.encoding = null;
      if (options2.encoding) {
        if (!StringDecoder)
          StringDecoder = require_string_decoder2().StringDecoder;
        this.decoder = new StringDecoder(options2.encoding);
        this.encoding = options2.encoding;
      }
    }
    function Readable2(options2) {
      Duplex = Duplex || require_stream_duplex2();
      if (!(this instanceof Readable2))
        return new Readable2(options2);
      var isDuplex = this instanceof Duplex;
      this._readableState = new ReadableState(options2, this, isDuplex);
      this.readable = true;
      if (options2) {
        if (typeof options2.read === "function")
          this._read = options2.read;
        if (typeof options2.destroy === "function")
          this._destroy = options2.destroy;
      }
      Stream2.call(this);
    }
    Object.defineProperty(Readable2.prototype, "destroyed", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        if (this._readableState === void 0) {
          return false;
        }
        return this._readableState.destroyed;
      },
      set: function set(value) {
        if (!this._readableState) {
          return;
        }
        this._readableState.destroyed = value;
      }
    });
    Readable2.prototype.destroy = destroyImpl.destroy;
    Readable2.prototype._undestroy = destroyImpl.undestroy;
    Readable2.prototype._destroy = function(err, cb2) {
      cb2(err);
    };
    Readable2.prototype.push = function(chunk, encoding) {
      var state = this._readableState;
      var skipChunkCheck;
      if (!state.objectMode) {
        if (typeof chunk === "string") {
          encoding = encoding || state.defaultEncoding;
          if (encoding !== state.encoding) {
            chunk = Buffer2.from(chunk, encoding);
            encoding = "";
          }
          skipChunkCheck = true;
        }
      } else {
        skipChunkCheck = true;
      }
      return readableAddChunk(this, chunk, encoding, false, skipChunkCheck);
    };
    Readable2.prototype.unshift = function(chunk) {
      return readableAddChunk(this, chunk, null, true, false);
    };
    function readableAddChunk(stream4, chunk, encoding, addToFront, skipChunkCheck) {
      debug30("readableAddChunk", chunk);
      var state = stream4._readableState;
      if (chunk === null) {
        state.reading = false;
        onEofChunk(stream4, state);
      } else {
        var er;
        if (!skipChunkCheck)
          er = chunkInvalid(state, chunk);
        if (er) {
          errorOrDestroy(stream4, er);
        } else if (state.objectMode || chunk && chunk.length > 0) {
          if (typeof chunk !== "string" && !state.objectMode && Object.getPrototypeOf(chunk) !== Buffer2.prototype) {
            chunk = _uint8ArrayToBuffer(chunk);
          }
          if (addToFront) {
            if (state.endEmitted)
              errorOrDestroy(stream4, new ERR_STREAM_UNSHIFT_AFTER_END_EVENT());
            else
              addChunk(stream4, state, chunk, true);
          } else if (state.ended) {
            errorOrDestroy(stream4, new ERR_STREAM_PUSH_AFTER_EOF());
          } else if (state.destroyed) {
            return false;
          } else {
            state.reading = false;
            if (state.decoder && !encoding) {
              chunk = state.decoder.write(chunk);
              if (state.objectMode || chunk.length !== 0)
                addChunk(stream4, state, chunk, false);
              else
                maybeReadMore(stream4, state);
            } else {
              addChunk(stream4, state, chunk, false);
            }
          }
        } else if (!addToFront) {
          state.reading = false;
          maybeReadMore(stream4, state);
        }
      }
      return !state.ended && (state.length < state.highWaterMark || state.length === 0);
    }
    function addChunk(stream4, state, chunk, addToFront) {
      if (state.flowing && state.length === 0 && !state.sync) {
        state.awaitDrain = 0;
        stream4.emit("data", chunk);
      } else {
        state.length += state.objectMode ? 1 : chunk.length;
        if (addToFront)
          state.buffer.unshift(chunk);
        else
          state.buffer.push(chunk);
        if (state.needReadable)
          emitReadable(stream4);
      }
      maybeReadMore(stream4, state);
    }
    function chunkInvalid(state, chunk) {
      var er;
      if (!_isUint8Array(chunk) && typeof chunk !== "string" && chunk !== void 0 && !state.objectMode) {
        er = new ERR_INVALID_ARG_TYPE("chunk", ["string", "Buffer", "Uint8Array"], chunk);
      }
      return er;
    }
    Readable2.prototype.isPaused = function() {
      return this._readableState.flowing === false;
    };
    Readable2.prototype.setEncoding = function(enc) {
      if (!StringDecoder)
        StringDecoder = require_string_decoder2().StringDecoder;
      var decoder = new StringDecoder(enc);
      this._readableState.decoder = decoder;
      this._readableState.encoding = this._readableState.decoder.encoding;
      var p2 = this._readableState.buffer.head;
      var content = "";
      while (p2 !== null) {
        content += decoder.write(p2.data);
        p2 = p2.next;
      }
      this._readableState.buffer.clear();
      if (content !== "")
        this._readableState.buffer.push(content);
      this._readableState.length = content.length;
      return this;
    };
    var MAX_HWM = 1073741824;
    function computeNewHighWaterMark(n2) {
      if (n2 >= MAX_HWM) {
        n2 = MAX_HWM;
      } else {
        n2--;
        n2 |= n2 >>> 1;
        n2 |= n2 >>> 2;
        n2 |= n2 >>> 4;
        n2 |= n2 >>> 8;
        n2 |= n2 >>> 16;
        n2++;
      }
      return n2;
    }
    function howMuchToRead(n2, state) {
      if (n2 <= 0 || state.length === 0 && state.ended)
        return 0;
      if (state.objectMode)
        return 1;
      if (n2 !== n2) {
        if (state.flowing && state.length)
          return state.buffer.head.data.length;
        else
          return state.length;
      }
      if (n2 > state.highWaterMark)
        state.highWaterMark = computeNewHighWaterMark(n2);
      if (n2 <= state.length)
        return n2;
      if (!state.ended) {
        state.needReadable = true;
        return 0;
      }
      return state.length;
    }
    Readable2.prototype.read = function(n2) {
      debug30("read", n2);
      n2 = parseInt(n2, 10);
      var state = this._readableState;
      var nOrig = n2;
      if (n2 !== 0)
        state.emittedReadable = false;
      if (n2 === 0 && state.needReadable && ((state.highWaterMark !== 0 ? state.length >= state.highWaterMark : state.length > 0) || state.ended)) {
        debug30("read: emitReadable", state.length, state.ended);
        if (state.length === 0 && state.ended)
          endReadable(this);
        else
          emitReadable(this);
        return null;
      }
      n2 = howMuchToRead(n2, state);
      if (n2 === 0 && state.ended) {
        if (state.length === 0)
          endReadable(this);
        return null;
      }
      var doRead = state.needReadable;
      debug30("need readable", doRead);
      if (state.length === 0 || state.length - n2 < state.highWaterMark) {
        doRead = true;
        debug30("length less than watermark", doRead);
      }
      if (state.ended || state.reading) {
        doRead = false;
        debug30("reading or ended", doRead);
      } else if (doRead) {
        debug30("do read");
        state.reading = true;
        state.sync = true;
        if (state.length === 0)
          state.needReadable = true;
        this._read(state.highWaterMark);
        state.sync = false;
        if (!state.reading)
          n2 = howMuchToRead(nOrig, state);
      }
      var ret;
      if (n2 > 0)
        ret = fromList(n2, state);
      else
        ret = null;
      if (ret === null) {
        state.needReadable = state.length <= state.highWaterMark;
        n2 = 0;
      } else {
        state.length -= n2;
        state.awaitDrain = 0;
      }
      if (state.length === 0) {
        if (!state.ended)
          state.needReadable = true;
        if (nOrig !== n2 && state.ended)
          endReadable(this);
      }
      if (ret !== null)
        this.emit("data", ret);
      return ret;
    };
    function onEofChunk(stream4, state) {
      debug30("onEofChunk");
      if (state.ended)
        return;
      if (state.decoder) {
        var chunk = state.decoder.end();
        if (chunk && chunk.length) {
          state.buffer.push(chunk);
          state.length += state.objectMode ? 1 : chunk.length;
        }
      }
      state.ended = true;
      if (state.sync) {
        emitReadable(stream4);
      } else {
        state.needReadable = false;
        if (!state.emittedReadable) {
          state.emittedReadable = true;
          emitReadable_(stream4);
        }
      }
    }
    function emitReadable(stream4) {
      var state = stream4._readableState;
      debug30("emitReadable", state.needReadable, state.emittedReadable);
      state.needReadable = false;
      if (!state.emittedReadable) {
        debug30("emitReadable", state.flowing);
        state.emittedReadable = true;
        process.nextTick(emitReadable_, stream4);
      }
    }
    function emitReadable_(stream4) {
      var state = stream4._readableState;
      debug30("emitReadable_", state.destroyed, state.length, state.ended);
      if (!state.destroyed && (state.length || state.ended)) {
        stream4.emit("readable");
        state.emittedReadable = false;
      }
      state.needReadable = !state.flowing && !state.ended && state.length <= state.highWaterMark;
      flow2(stream4);
    }
    function maybeReadMore(stream4, state) {
      if (!state.readingMore) {
        state.readingMore = true;
        process.nextTick(maybeReadMore_, stream4, state);
      }
    }
    function maybeReadMore_(stream4, state) {
      while (!state.reading && !state.ended && (state.length < state.highWaterMark || state.flowing && state.length === 0)) {
        var len = state.length;
        debug30("maybeReadMore read 0");
        stream4.read(0);
        if (len === state.length)
          break;
      }
      state.readingMore = false;
    }
    Readable2.prototype._read = function(n2) {
      errorOrDestroy(this, new ERR_METHOD_NOT_IMPLEMENTED("_read()"));
    };
    Readable2.prototype.pipe = function(dest, pipeOpts) {
      var src2 = this;
      var state = this._readableState;
      switch (state.pipesCount) {
        case 0:
          state.pipes = dest;
          break;
        case 1:
          state.pipes = [state.pipes, dest];
          break;
        default:
          state.pipes.push(dest);
          break;
      }
      state.pipesCount += 1;
      debug30("pipe count=%d opts=%j", state.pipesCount, pipeOpts);
      var doEnd = (!pipeOpts || pipeOpts.end !== false) && dest !== process.stdout && dest !== process.stderr;
      var endFn = doEnd ? onend : unpipe;
      if (state.endEmitted)
        process.nextTick(endFn);
      else
        src2.once("end", endFn);
      dest.on("unpipe", onunpipe);
      function onunpipe(readable, unpipeInfo) {
        debug30("onunpipe");
        if (readable === src2) {
          if (unpipeInfo && unpipeInfo.hasUnpiped === false) {
            unpipeInfo.hasUnpiped = true;
            cleanup();
          }
        }
      }
      function onend() {
        debug30("onend");
        dest.end();
      }
      var ondrain = pipeOnDrain(src2);
      dest.on("drain", ondrain);
      var cleanedUp = false;
      function cleanup() {
        debug30("cleanup");
        dest.removeListener("close", onclose);
        dest.removeListener("finish", onfinish);
        dest.removeListener("drain", ondrain);
        dest.removeListener("error", onerror);
        dest.removeListener("unpipe", onunpipe);
        src2.removeListener("end", onend);
        src2.removeListener("end", unpipe);
        src2.removeListener("data", ondata);
        cleanedUp = true;
        if (state.awaitDrain && (!dest._writableState || dest._writableState.needDrain))
          ondrain();
      }
      src2.on("data", ondata);
      function ondata(chunk) {
        debug30("ondata");
        var ret = dest.write(chunk);
        debug30("dest.write", ret);
        if (ret === false) {
          if ((state.pipesCount === 1 && state.pipes === dest || state.pipesCount > 1 && indexOf(state.pipes, dest) !== -1) && !cleanedUp) {
            debug30("false write response, pause", state.awaitDrain);
            state.awaitDrain++;
          }
          src2.pause();
        }
      }
      function onerror(er) {
        debug30("onerror", er);
        unpipe();
        dest.removeListener("error", onerror);
        if (EElistenerCount(dest, "error") === 0)
          errorOrDestroy(dest, er);
      }
      prependListener(dest, "error", onerror);
      function onclose() {
        dest.removeListener("finish", onfinish);
        unpipe();
      }
      dest.once("close", onclose);
      function onfinish() {
        debug30("onfinish");
        dest.removeListener("close", onclose);
        unpipe();
      }
      dest.once("finish", onfinish);
      function unpipe() {
        debug30("unpipe");
        src2.unpipe(dest);
      }
      dest.emit("pipe", src2);
      if (!state.flowing) {
        debug30("pipe resume");
        src2.resume();
      }
      return dest;
    };
    function pipeOnDrain(src2) {
      return function pipeOnDrainFunctionResult() {
        var state = src2._readableState;
        debug30("pipeOnDrain", state.awaitDrain);
        if (state.awaitDrain)
          state.awaitDrain--;
        if (state.awaitDrain === 0 && EElistenerCount(src2, "data")) {
          state.flowing = true;
          flow2(src2);
        }
      };
    }
    Readable2.prototype.unpipe = function(dest) {
      var state = this._readableState;
      var unpipeInfo = {
        hasUnpiped: false
      };
      if (state.pipesCount === 0)
        return this;
      if (state.pipesCount === 1) {
        if (dest && dest !== state.pipes)
          return this;
        if (!dest)
          dest = state.pipes;
        state.pipes = null;
        state.pipesCount = 0;
        state.flowing = false;
        if (dest)
          dest.emit("unpipe", this, unpipeInfo);
        return this;
      }
      if (!dest) {
        var dests = state.pipes;
        var len = state.pipesCount;
        state.pipes = null;
        state.pipesCount = 0;
        state.flowing = false;
        for (var i4 = 0; i4 < len; i4++) {
          dests[i4].emit("unpipe", this, {
            hasUnpiped: false
          });
        }
        return this;
      }
      var index2 = indexOf(state.pipes, dest);
      if (index2 === -1)
        return this;
      state.pipes.splice(index2, 1);
      state.pipesCount -= 1;
      if (state.pipesCount === 1)
        state.pipes = state.pipes[0];
      dest.emit("unpipe", this, unpipeInfo);
      return this;
    };
    Readable2.prototype.on = function(ev, fn2) {
      var res = Stream2.prototype.on.call(this, ev, fn2);
      var state = this._readableState;
      if (ev === "data") {
        state.readableListening = this.listenerCount("readable") > 0;
        if (state.flowing !== false)
          this.resume();
      } else if (ev === "readable") {
        if (!state.endEmitted && !state.readableListening) {
          state.readableListening = state.needReadable = true;
          state.flowing = false;
          state.emittedReadable = false;
          debug30("on readable", state.length, state.reading);
          if (state.length) {
            emitReadable(this);
          } else if (!state.reading) {
            process.nextTick(nReadingNextTick, this);
          }
        }
      }
      return res;
    };
    Readable2.prototype.addListener = Readable2.prototype.on;
    Readable2.prototype.removeListener = function(ev, fn2) {
      var res = Stream2.prototype.removeListener.call(this, ev, fn2);
      if (ev === "readable") {
        process.nextTick(updateReadableListening, this);
      }
      return res;
    };
    Readable2.prototype.removeAllListeners = function(ev) {
      var res = Stream2.prototype.removeAllListeners.apply(this, arguments);
      if (ev === "readable" || ev === void 0) {
        process.nextTick(updateReadableListening, this);
      }
      return res;
    };
    function updateReadableListening(self2) {
      var state = self2._readableState;
      state.readableListening = self2.listenerCount("readable") > 0;
      if (state.resumeScheduled && !state.paused) {
        state.flowing = true;
      } else if (self2.listenerCount("data") > 0) {
        self2.resume();
      }
    }
    function nReadingNextTick(self2) {
      debug30("readable nexttick read 0");
      self2.read(0);
    }
    Readable2.prototype.resume = function() {
      var state = this._readableState;
      if (!state.flowing) {
        debug30("resume");
        state.flowing = !state.readableListening;
        resume(this, state);
      }
      state.paused = false;
      return this;
    };
    function resume(stream4, state) {
      if (!state.resumeScheduled) {
        state.resumeScheduled = true;
        process.nextTick(resume_, stream4, state);
      }
    }
    function resume_(stream4, state) {
      debug30("resume", state.reading);
      if (!state.reading) {
        stream4.read(0);
      }
      state.resumeScheduled = false;
      stream4.emit("resume");
      flow2(stream4);
      if (state.flowing && !state.reading)
        stream4.read(0);
    }
    Readable2.prototype.pause = function() {
      debug30("call pause flowing=%j", this._readableState.flowing);
      if (this._readableState.flowing !== false) {
        debug30("pause");
        this._readableState.flowing = false;
        this.emit("pause");
      }
      this._readableState.paused = true;
      return this;
    };
    function flow2(stream4) {
      var state = stream4._readableState;
      debug30("flow", state.flowing);
      while (state.flowing && stream4.read() !== null) {
        ;
      }
    }
    Readable2.prototype.wrap = function(stream4) {
      var _this = this;
      var state = this._readableState;
      var paused = false;
      stream4.on("end", function() {
        debug30("wrapped end");
        if (state.decoder && !state.ended) {
          var chunk = state.decoder.end();
          if (chunk && chunk.length)
            _this.push(chunk);
        }
        _this.push(null);
      });
      stream4.on("data", function(chunk) {
        debug30("wrapped data");
        if (state.decoder)
          chunk = state.decoder.write(chunk);
        if (state.objectMode && (chunk === null || chunk === void 0))
          return;
        else if (!state.objectMode && (!chunk || !chunk.length))
          return;
        var ret = _this.push(chunk);
        if (!ret) {
          paused = true;
          stream4.pause();
        }
      });
      for (var i4 in stream4) {
        if (this[i4] === void 0 && typeof stream4[i4] === "function") {
          this[i4] = function methodWrap(method) {
            return function methodWrapReturnFunction() {
              return stream4[method].apply(stream4, arguments);
            };
          }(i4);
        }
      }
      for (var n2 = 0; n2 < kProxyEvents.length; n2++) {
        stream4.on(kProxyEvents[n2], this.emit.bind(this, kProxyEvents[n2]));
      }
      this._read = function(n3) {
        debug30("wrapped _read", n3);
        if (paused) {
          paused = false;
          stream4.resume();
        }
      };
      return this;
    };
    if (typeof Symbol === "function") {
      Readable2.prototype[Symbol.asyncIterator] = function() {
        if (createReadableStreamAsyncIterator === void 0) {
          createReadableStreamAsyncIterator = require_async_iterator();
        }
        return createReadableStreamAsyncIterator(this);
      };
    }
    Object.defineProperty(Readable2.prototype, "readableHighWaterMark", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._readableState.highWaterMark;
      }
    });
    Object.defineProperty(Readable2.prototype, "readableBuffer", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._readableState && this._readableState.buffer;
      }
    });
    Object.defineProperty(Readable2.prototype, "readableFlowing", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._readableState.flowing;
      },
      set: function set(state) {
        if (this._readableState) {
          this._readableState.flowing = state;
        }
      }
    });
    Readable2._fromList = fromList;
    Object.defineProperty(Readable2.prototype, "readableLength", {
      // making it explicit this property is not enumerable
      // because otherwise some prototype manipulation in
      // userland will fail
      enumerable: false,
      get: function get() {
        return this._readableState.length;
      }
    });
    function fromList(n2, state) {
      if (state.length === 0)
        return null;
      var ret;
      if (state.objectMode)
        ret = state.buffer.shift();
      else if (!n2 || n2 >= state.length) {
        if (state.decoder)
          ret = state.buffer.join("");
        else if (state.buffer.length === 1)
          ret = state.buffer.first();
        else
          ret = state.buffer.concat(state.length);
        state.buffer.clear();
      } else {
        ret = state.buffer.consume(n2, state.decoder);
      }
      return ret;
    }
    function endReadable(stream4) {
      var state = stream4._readableState;
      debug30("endReadable", state.endEmitted);
      if (!state.endEmitted) {
        state.ended = true;
        process.nextTick(endReadableNT, state, stream4);
      }
    }
    function endReadableNT(state, stream4) {
      debug30("endReadableNT", state.endEmitted, state.length);
      if (!state.endEmitted && state.length === 0) {
        state.endEmitted = true;
        stream4.readable = false;
        stream4.emit("end");
        if (state.autoDestroy) {
          var wState = stream4._writableState;
          if (!wState || wState.autoDestroy && wState.finished) {
            stream4.destroy();
          }
        }
      }
    }
    if (typeof Symbol === "function") {
      Readable2.from = function(iterable, opts2) {
        if (from === void 0) {
          from = require_from();
        }
        return from(Readable2, iterable, opts2);
      };
    }
    function indexOf(xs2, x) {
      for (var i4 = 0, l2 = xs2.length; i4 < l2; i4++) {
        if (xs2[i4] === x)
          return i4;
      }
      return -1;
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_transform.js
var require_stream_transform2 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_transform.js"(exports2, module2) {
    "use strict";
    module2.exports = Transform;
    var _require$codes = require_errors().codes;
    var ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED;
    var ERR_MULTIPLE_CALLBACK = _require$codes.ERR_MULTIPLE_CALLBACK;
    var ERR_TRANSFORM_ALREADY_TRANSFORMING = _require$codes.ERR_TRANSFORM_ALREADY_TRANSFORMING;
    var ERR_TRANSFORM_WITH_LENGTH_0 = _require$codes.ERR_TRANSFORM_WITH_LENGTH_0;
    var Duplex = require_stream_duplex2();
    require_inherits()(Transform, Duplex);
    function afterTransform(er, data) {
      var ts2 = this._transformState;
      ts2.transforming = false;
      var cb2 = ts2.writecb;
      if (cb2 === null) {
        return this.emit("error", new ERR_MULTIPLE_CALLBACK());
      }
      ts2.writechunk = null;
      ts2.writecb = null;
      if (data != null)
        this.push(data);
      cb2(er);
      var rs = this._readableState;
      rs.reading = false;
      if (rs.needReadable || rs.length < rs.highWaterMark) {
        this._read(rs.highWaterMark);
      }
    }
    function Transform(options2) {
      if (!(this instanceof Transform))
        return new Transform(options2);
      Duplex.call(this, options2);
      this._transformState = {
        afterTransform: afterTransform.bind(this),
        needTransform: false,
        transforming: false,
        writecb: null,
        writechunk: null,
        writeencoding: null
      };
      this._readableState.needReadable = true;
      this._readableState.sync = false;
      if (options2) {
        if (typeof options2.transform === "function")
          this._transform = options2.transform;
        if (typeof options2.flush === "function")
          this._flush = options2.flush;
      }
      this.on("prefinish", prefinish);
    }
    function prefinish() {
      var _this = this;
      if (typeof this._flush === "function" && !this._readableState.destroyed) {
        this._flush(function(er, data) {
          done(_this, er, data);
        });
      } else {
        done(this, null, null);
      }
    }
    Transform.prototype.push = function(chunk, encoding) {
      this._transformState.needTransform = false;
      return Duplex.prototype.push.call(this, chunk, encoding);
    };
    Transform.prototype._transform = function(chunk, encoding, cb2) {
      cb2(new ERR_METHOD_NOT_IMPLEMENTED("_transform()"));
    };
    Transform.prototype._write = function(chunk, encoding, cb2) {
      var ts2 = this._transformState;
      ts2.writecb = cb2;
      ts2.writechunk = chunk;
      ts2.writeencoding = encoding;
      if (!ts2.transforming) {
        var rs = this._readableState;
        if (ts2.needTransform || rs.needReadable || rs.length < rs.highWaterMark)
          this._read(rs.highWaterMark);
      }
    };
    Transform.prototype._read = function(n2) {
      var ts2 = this._transformState;
      if (ts2.writechunk !== null && !ts2.transforming) {
        ts2.transforming = true;
        this._transform(ts2.writechunk, ts2.writeencoding, ts2.afterTransform);
      } else {
        ts2.needTransform = true;
      }
    };
    Transform.prototype._destroy = function(err, cb2) {
      Duplex.prototype._destroy.call(this, err, function(err2) {
        cb2(err2);
      });
    };
    function done(stream4, er, data) {
      if (er)
        return stream4.emit("error", er);
      if (data != null)
        stream4.push(data);
      if (stream4._writableState.length)
        throw new ERR_TRANSFORM_WITH_LENGTH_0();
      if (stream4._transformState.transforming)
        throw new ERR_TRANSFORM_ALREADY_TRANSFORMING();
      return stream4.push(null);
    }
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_passthrough.js
var require_stream_passthrough2 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/_stream_passthrough.js"(exports2, module2) {
    "use strict";
    module2.exports = PassThrough3;
    var Transform = require_stream_transform2();
    require_inherits()(PassThrough3, Transform);
    function PassThrough3(options2) {
      if (!(this instanceof PassThrough3))
        return new PassThrough3(options2);
      Transform.call(this, options2);
    }
    PassThrough3.prototype._transform = function(chunk, encoding, cb2) {
      cb2(null, chunk);
    };
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/pipeline.js
var require_pipeline = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/lib/internal/streams/pipeline.js"(exports2, module2) {
    "use strict";
    var eos;
    function once2(callback) {
      var called = false;
      return function() {
        if (called)
          return;
        called = true;
        callback.apply(void 0, arguments);
      };
    }
    var _require$codes = require_errors().codes;
    var ERR_MISSING_ARGS = _require$codes.ERR_MISSING_ARGS;
    var ERR_STREAM_DESTROYED = _require$codes.ERR_STREAM_DESTROYED;
    function noop2(err) {
      if (err)
        throw err;
    }
    function isRequest2(stream4) {
      return stream4.setHeader && typeof stream4.abort === "function";
    }
    function destroyer(stream4, reading, writing, callback) {
      callback = once2(callback);
      var closed = false;
      stream4.on("close", function() {
        closed = true;
      });
      if (eos === void 0)
        eos = require_end_of_stream();
      eos(stream4, {
        readable: reading,
        writable: writing
      }, function(err) {
        if (err)
          return callback(err);
        closed = true;
        callback();
      });
      var destroyed = false;
      return function(err) {
        if (closed)
          return;
        if (destroyed)
          return;
        destroyed = true;
        if (isRequest2(stream4))
          return stream4.abort();
        if (typeof stream4.destroy === "function")
          return stream4.destroy();
        callback(err || new ERR_STREAM_DESTROYED("pipe"));
      };
    }
    function call(fn2) {
      fn2();
    }
    function pipe9(from, to2) {
      return from.pipe(to2);
    }
    function popCallback(streams) {
      if (!streams.length)
        return noop2;
      if (typeof streams[streams.length - 1] !== "function")
        return noop2;
      return streams.pop();
    }
    function pipeline() {
      for (var _len = arguments.length, streams = new Array(_len), _key = 0; _key < _len; _key++) {
        streams[_key] = arguments[_key];
      }
      var callback = popCallback(streams);
      if (Array.isArray(streams[0]))
        streams = streams[0];
      if (streams.length < 2) {
        throw new ERR_MISSING_ARGS("streams");
      }
      var error2;
      var destroys = streams.map(function(stream4, i4) {
        var reading = i4 < streams.length - 1;
        var writing = i4 > 0;
        return destroyer(stream4, reading, writing, function(err) {
          if (!error2)
            error2 = err;
          if (err)
            destroys.forEach(call);
          if (reading)
            return;
          destroys.forEach(call);
          callback(error2);
        });
      });
      return streams.reduce(pipe9);
    }
    module2.exports = pipeline;
  }
});

// ../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/readable.js
var require_readable2 = __commonJS({
  "../../node_modules/.pnpm/readable-stream@3.6.0/node_modules/readable-stream/readable.js"(exports2, module2) {
    "use strict";
    var Stream2 = require("stream");
    if (process.env.READABLE_STREAM === "disable" && Stream2) {
      module2.exports = Stream2.Readable;
      Object.assign(module2.exports, Stream2);
      module2.exports.Stream = Stream2;
    } else {
      exports2 = module2.exports = require_stream_readable2();
      exports2.Stream = Stream2 || exports2;
      exports2.Readable = exports2;
      exports2.Writable = require_stream_writable2();
      exports2.Duplex = require_stream_duplex2();
      exports2.Transform = require_stream_transform2();
      exports2.PassThrough = require_stream_passthrough2();
      exports2.finished = require_end_of_stream();
      exports2.pipeline = require_pipeline();
    }
  }
});

// ../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/core.js
var require_core5 = __commonJS({
  "../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/core.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var glob = require_readdir_glob();
    var async = (init_async(), __toCommonJS(async_exports));
    var path39 = require("path");
    var util4 = require_archiver_utils();
    var inherits = require("util").inherits;
    var ArchiverError = require_error3();
    var Transform = require_readable2().Transform;
    var win32 = process.platform === "win32";
    var Archiver = function(format3, options2) {
      if (!(this instanceof Archiver)) {
        return new Archiver(format3, options2);
      }
      if (typeof format3 !== "string") {
        options2 = format3;
        format3 = "zip";
      }
      options2 = this.options = util4.defaults(options2, {
        highWaterMark: 1024 * 1024,
        statConcurrency: 4
      });
      Transform.call(this, options2);
      this._format = false;
      this._module = false;
      this._pending = 0;
      this._pointer = 0;
      this._entriesCount = 0;
      this._entriesProcessedCount = 0;
      this._fsEntriesTotalBytes = 0;
      this._fsEntriesProcessedBytes = 0;
      this._queue = async.queue(this._onQueueTask.bind(this), 1);
      this._queue.drain(this._onQueueDrain.bind(this));
      this._statQueue = async.queue(this._onStatQueueTask.bind(this), options2.statConcurrency);
      this._statQueue.drain(this._onQueueDrain.bind(this));
      this._state = {
        aborted: false,
        finalize: false,
        finalizing: false,
        finalized: false,
        modulePiped: false
      };
      this._streams = [];
    };
    inherits(Archiver, Transform);
    Archiver.prototype._abort = function() {
      this._state.aborted = true;
      this._queue.kill();
      this._statQueue.kill();
      if (this._queue.idle()) {
        this._shutdown();
      }
    };
    Archiver.prototype._append = function(filepath, data) {
      data = data || {};
      var task = {
        source: null,
        filepath
      };
      if (!data.name) {
        data.name = filepath;
      }
      data.sourcePath = filepath;
      task.data = data;
      this._entriesCount++;
      if (data.stats && data.stats instanceof fs42.Stats) {
        task = this._updateQueueTaskWithStats(task, data.stats);
        if (task) {
          if (data.stats.size) {
            this._fsEntriesTotalBytes += data.stats.size;
          }
          this._queue.push(task);
        }
      } else {
        this._statQueue.push(task);
      }
    };
    Archiver.prototype._finalize = function() {
      if (this._state.finalizing || this._state.finalized || this._state.aborted) {
        return;
      }
      this._state.finalizing = true;
      this._moduleFinalize();
      this._state.finalizing = false;
      this._state.finalized = true;
    };
    Archiver.prototype._maybeFinalize = function() {
      if (this._state.finalizing || this._state.finalized || this._state.aborted) {
        return false;
      }
      if (this._state.finalize && this._pending === 0 && this._queue.idle() && this._statQueue.idle()) {
        this._finalize();
        return true;
      }
      return false;
    };
    Archiver.prototype._moduleAppend = function(source, data, callback) {
      if (this._state.aborted) {
        callback();
        return;
      }
      this._module.append(source, data, function(err) {
        this._task = null;
        if (this._state.aborted) {
          this._shutdown();
          return;
        }
        if (err) {
          this.emit("error", err);
          setImmediate(callback);
          return;
        }
        this.emit("entry", data);
        this._entriesProcessedCount++;
        if (data.stats && data.stats.size) {
          this._fsEntriesProcessedBytes += data.stats.size;
        }
        this.emit("progress", {
          entries: {
            total: this._entriesCount,
            processed: this._entriesProcessedCount
          },
          fs: {
            totalBytes: this._fsEntriesTotalBytes,
            processedBytes: this._fsEntriesProcessedBytes
          }
        });
        setImmediate(callback);
      }.bind(this));
    };
    Archiver.prototype._moduleFinalize = function() {
      if (typeof this._module.finalize === "function") {
        this._module.finalize();
      } else if (typeof this._module.end === "function") {
        this._module.end();
      } else {
        this.emit("error", new ArchiverError("NOENDMETHOD"));
      }
    };
    Archiver.prototype._modulePipe = function() {
      this._module.on("error", this._onModuleError.bind(this));
      this._module.pipe(this);
      this._state.modulePiped = true;
    };
    Archiver.prototype._moduleSupports = function(key) {
      if (!this._module.supports || !this._module.supports[key]) {
        return false;
      }
      return this._module.supports[key];
    };
    Archiver.prototype._moduleUnpipe = function() {
      this._module.unpipe(this);
      this._state.modulePiped = false;
    };
    Archiver.prototype._normalizeEntryData = function(data, stats) {
      data = util4.defaults(data, {
        type: "file",
        name: null,
        date: null,
        mode: null,
        prefix: null,
        sourcePath: null,
        stats: false
      });
      if (stats && data.stats === false) {
        data.stats = stats;
      }
      var isDir = data.type === "directory";
      if (data.name) {
        if (typeof data.prefix === "string" && "" !== data.prefix) {
          data.name = data.prefix + "/" + data.name;
          data.prefix = null;
        }
        data.name = util4.sanitizePath(data.name);
        if (data.type !== "symlink" && data.name.slice(-1) === "/") {
          isDir = true;
          data.type = "directory";
        } else if (isDir) {
          data.name += "/";
        }
      }
      if (typeof data.mode === "number") {
        if (win32) {
          data.mode &= 511;
        } else {
          data.mode &= 4095;
        }
      } else if (data.stats && data.mode === null) {
        if (win32) {
          data.mode = data.stats.mode & 511;
        } else {
          data.mode = data.stats.mode & 4095;
        }
        if (win32 && isDir) {
          data.mode = 493;
        }
      } else if (data.mode === null) {
        data.mode = isDir ? 493 : 420;
      }
      if (data.stats && data.date === null) {
        data.date = data.stats.mtime;
      } else {
        data.date = util4.dateify(data.date);
      }
      return data;
    };
    Archiver.prototype._onModuleError = function(err) {
      this.emit("error", err);
    };
    Archiver.prototype._onQueueDrain = function() {
      if (this._state.finalizing || this._state.finalized || this._state.aborted) {
        return;
      }
      if (this._state.finalize && this._pending === 0 && this._queue.idle() && this._statQueue.idle()) {
        this._finalize();
      }
    };
    Archiver.prototype._onQueueTask = function(task, callback) {
      var fullCallback = () => {
        if (task.data.callback) {
          task.data.callback();
        }
        callback();
      };
      if (this._state.finalizing || this._state.finalized || this._state.aborted) {
        fullCallback();
        return;
      }
      this._task = task;
      this._moduleAppend(task.source, task.data, fullCallback);
    };
    Archiver.prototype._onStatQueueTask = function(task, callback) {
      if (this._state.finalizing || this._state.finalized || this._state.aborted) {
        callback();
        return;
      }
      fs42.lstat(task.filepath, function(err, stats) {
        if (this._state.aborted) {
          setImmediate(callback);
          return;
        }
        if (err) {
          this._entriesCount--;
          this.emit("warning", err);
          setImmediate(callback);
          return;
        }
        task = this._updateQueueTaskWithStats(task, stats);
        if (task) {
          if (stats.size) {
            this._fsEntriesTotalBytes += stats.size;
          }
          this._queue.push(task);
        }
        setImmediate(callback);
      }.bind(this));
    };
    Archiver.prototype._shutdown = function() {
      this._moduleUnpipe();
      this.end();
    };
    Archiver.prototype._transform = function(chunk, encoding, callback) {
      if (chunk) {
        this._pointer += chunk.length;
      }
      callback(null, chunk);
    };
    Archiver.prototype._updateQueueTaskWithStats = function(task, stats) {
      if (stats.isFile()) {
        task.data.type = "file";
        task.data.sourceType = "stream";
        task.source = util4.lazyReadStream(task.filepath);
      } else if (stats.isDirectory() && this._moduleSupports("directory")) {
        task.data.name = util4.trailingSlashIt(task.data.name);
        task.data.type = "directory";
        task.data.sourcePath = util4.trailingSlashIt(task.filepath);
        task.data.sourceType = "buffer";
        task.source = Buffer.concat([]);
      } else if (stats.isSymbolicLink() && this._moduleSupports("symlink")) {
        var linkPath = fs42.readlinkSync(task.filepath);
        var dirName = path39.dirname(task.filepath);
        task.data.type = "symlink";
        task.data.linkname = path39.relative(dirName, path39.resolve(dirName, linkPath));
        task.data.sourceType = "buffer";
        task.source = Buffer.concat([]);
      } else {
        if (stats.isDirectory()) {
          this.emit("warning", new ArchiverError("DIRECTORYNOTSUPPORTED", task.data));
        } else if (stats.isSymbolicLink()) {
          this.emit("warning", new ArchiverError("SYMLINKNOTSUPPORTED", task.data));
        } else {
          this.emit("warning", new ArchiverError("ENTRYNOTSUPPORTED", task.data));
        }
        return null;
      }
      task.data = this._normalizeEntryData(task.data, stats);
      return task;
    };
    Archiver.prototype.abort = function() {
      if (this._state.aborted || this._state.finalized) {
        return this;
      }
      this._abort();
      return this;
    };
    Archiver.prototype.append = function(source, data) {
      if (this._state.finalize || this._state.aborted) {
        this.emit("error", new ArchiverError("QUEUECLOSED"));
        return this;
      }
      data = this._normalizeEntryData(data);
      if (typeof data.name !== "string" || data.name.length === 0) {
        this.emit("error", new ArchiverError("ENTRYNAMEREQUIRED"));
        return this;
      }
      if (data.type === "directory" && !this._moduleSupports("directory")) {
        this.emit("error", new ArchiverError("DIRECTORYNOTSUPPORTED", { name: data.name }));
        return this;
      }
      source = util4.normalizeInputSource(source);
      if (Buffer.isBuffer(source)) {
        data.sourceType = "buffer";
      } else if (util4.isStream(source)) {
        data.sourceType = "stream";
      } else {
        this.emit("error", new ArchiverError("INPUTSTEAMBUFFERREQUIRED", { name: data.name }));
        return this;
      }
      this._entriesCount++;
      this._queue.push({
        data,
        source
      });
      return this;
    };
    Archiver.prototype.directory = function(dirpath, destpath, data) {
      if (this._state.finalize || this._state.aborted) {
        this.emit("error", new ArchiverError("QUEUECLOSED"));
        return this;
      }
      if (typeof dirpath !== "string" || dirpath.length === 0) {
        this.emit("error", new ArchiverError("DIRECTORYDIRPATHREQUIRED"));
        return this;
      }
      this._pending++;
      if (destpath === false) {
        destpath = "";
      } else if (typeof destpath !== "string") {
        destpath = dirpath;
      }
      var dataFunction = false;
      if (typeof data === "function") {
        dataFunction = data;
        data = {};
      } else if (typeof data !== "object") {
        data = {};
      }
      var globOptions = {
        stat: true,
        dot: true
      };
      function onGlobEnd() {
        this._pending--;
        this._maybeFinalize();
      }
      function onGlobError(err) {
        this.emit("error", err);
      }
      function onGlobMatch(match4) {
        globber.pause();
        var ignoreMatch = false;
        var entryData = Object.assign({}, data);
        entryData.name = match4.relative;
        entryData.prefix = destpath;
        entryData.stats = match4.stat;
        entryData.callback = globber.resume.bind(globber);
        try {
          if (dataFunction) {
            entryData = dataFunction(entryData);
            if (entryData === false) {
              ignoreMatch = true;
            } else if (typeof entryData !== "object") {
              throw new ArchiverError("DIRECTORYFUNCTIONINVALIDDATA", { dirpath });
            }
          }
        } catch (e3) {
          this.emit("error", e3);
          return;
        }
        if (ignoreMatch) {
          globber.resume();
          return;
        }
        this._append(match4.absolute, entryData);
      }
      var globber = glob(dirpath, globOptions);
      globber.on("error", onGlobError.bind(this));
      globber.on("match", onGlobMatch.bind(this));
      globber.on("end", onGlobEnd.bind(this));
      return this;
    };
    Archiver.prototype.file = function(filepath, data) {
      if (this._state.finalize || this._state.aborted) {
        this.emit("error", new ArchiverError("QUEUECLOSED"));
        return this;
      }
      if (typeof filepath !== "string" || filepath.length === 0) {
        this.emit("error", new ArchiverError("FILEFILEPATHREQUIRED"));
        return this;
      }
      this._append(filepath, data);
      return this;
    };
    Archiver.prototype.glob = function(pattern, options2, data) {
      this._pending++;
      options2 = util4.defaults(options2, {
        stat: true,
        pattern
      });
      function onGlobEnd() {
        this._pending--;
        this._maybeFinalize();
      }
      function onGlobError(err) {
        this.emit("error", err);
      }
      function onGlobMatch(match4) {
        globber.pause();
        var entryData = Object.assign({}, data);
        entryData.callback = globber.resume.bind(globber);
        entryData.stats = match4.stat;
        entryData.name = match4.relative;
        this._append(match4.absolute, entryData);
      }
      var globber = glob(options2.cwd || ".", options2);
      globber.on("error", onGlobError.bind(this));
      globber.on("match", onGlobMatch.bind(this));
      globber.on("end", onGlobEnd.bind(this));
      return this;
    };
    Archiver.prototype.finalize = function() {
      if (this._state.aborted) {
        var abortedError = new ArchiverError("ABORTED");
        this.emit("error", abortedError);
        return Promise.reject(abortedError);
      }
      if (this._state.finalize) {
        var finalizingError = new ArchiverError("FINALIZING");
        this.emit("error", finalizingError);
        return Promise.reject(finalizingError);
      }
      this._state.finalize = true;
      if (this._pending === 0 && this._queue.idle() && this._statQueue.idle()) {
        this._finalize();
      }
      var self2 = this;
      return new Promise(function(resolve3, reject2) {
        var errored;
        self2._module.on("end", function() {
          if (!errored) {
            resolve3();
          }
        });
        self2._module.on("error", function(err) {
          errored = true;
          reject2(err);
        });
      });
    };
    Archiver.prototype.setFormat = function(format3) {
      if (this._format) {
        this.emit("error", new ArchiverError("FORMATSET"));
        return this;
      }
      this._format = format3;
      return this;
    };
    Archiver.prototype.setModule = function(module3) {
      if (this._state.aborted) {
        this.emit("error", new ArchiverError("ABORTED"));
        return this;
      }
      if (this._state.module) {
        this.emit("error", new ArchiverError("MODULESET"));
        return this;
      }
      this._module = module3;
      this._modulePipe();
      return this;
    };
    Archiver.prototype.symlink = function(filepath, target, mode2) {
      if (this._state.finalize || this._state.aborted) {
        this.emit("error", new ArchiverError("QUEUECLOSED"));
        return this;
      }
      if (typeof filepath !== "string" || filepath.length === 0) {
        this.emit("error", new ArchiverError("SYMLINKFILEPATHREQUIRED"));
        return this;
      }
      if (typeof target !== "string" || target.length === 0) {
        this.emit("error", new ArchiverError("SYMLINKTARGETREQUIRED", { filepath }));
        return this;
      }
      if (!this._moduleSupports("symlink")) {
        this.emit("error", new ArchiverError("SYMLINKNOTSUPPORTED", { filepath }));
        return this;
      }
      var data = {};
      data.type = "symlink";
      data.name = filepath.replace(/\\/g, "/");
      data.linkname = target.replace(/\\/g, "/");
      data.sourceType = "buffer";
      if (typeof mode2 === "number") {
        data.mode = mode2;
      }
      this._entriesCount++;
      this._queue.push({
        data,
        source: Buffer.concat([])
      });
      return this;
    };
    Archiver.prototype.pointer = function() {
      return this._pointer;
    };
    Archiver.prototype.use = function(plugin) {
      this._streams.push(plugin);
      return this;
    };
    module2.exports = Archiver;
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/archive-entry.js
var require_archive_entry = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/archive-entry.js"(exports2, module2) {
    "use strict";
    var ArchiveEntry = module2.exports = function() {
    };
    ArchiveEntry.prototype.getName = function() {
    };
    ArchiveEntry.prototype.getSize = function() {
    };
    ArchiveEntry.prototype.getLastModifiedDate = function() {
    };
    ArchiveEntry.prototype.isDirectory = function() {
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/util.js
var require_util2 = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/util.js"(exports2, module2) {
    "use strict";
    var util4 = module2.exports = {};
    util4.dateToDos = function(d3, forceLocalTime) {
      forceLocalTime = forceLocalTime || false;
      var year2 = forceLocalTime ? d3.getFullYear() : d3.getUTCFullYear();
      if (year2 < 1980) {
        return 2162688;
      } else if (year2 >= 2044) {
        return 2141175677;
      }
      var val = {
        year: year2,
        month: forceLocalTime ? d3.getMonth() : d3.getUTCMonth(),
        date: forceLocalTime ? d3.getDate() : d3.getUTCDate(),
        hours: forceLocalTime ? d3.getHours() : d3.getUTCHours(),
        minutes: forceLocalTime ? d3.getMinutes() : d3.getUTCMinutes(),
        seconds: forceLocalTime ? d3.getSeconds() : d3.getUTCSeconds()
      };
      return val.year - 1980 << 25 | val.month + 1 << 21 | val.date << 16 | val.hours << 11 | val.minutes << 5 | val.seconds / 2;
    };
    util4.dosToDate = function(dos) {
      return new Date((dos >> 25 & 127) + 1980, (dos >> 21 & 15) - 1, dos >> 16 & 31, dos >> 11 & 31, dos >> 5 & 63, (dos & 31) << 1);
    };
    util4.fromDosTime = function(buf) {
      return util4.dosToDate(buf.readUInt32LE(0));
    };
    util4.getEightBytes = function(v2) {
      var buf = Buffer.alloc(8);
      buf.writeUInt32LE(v2 % 4294967296, 0);
      buf.writeUInt32LE(v2 / 4294967296 | 0, 4);
      return buf;
    };
    util4.getShortBytes = function(v2) {
      var buf = Buffer.alloc(2);
      buf.writeUInt16LE((v2 & 65535) >>> 0, 0);
      return buf;
    };
    util4.getShortBytesValue = function(buf, offset) {
      return buf.readUInt16LE(offset);
    };
    util4.getLongBytes = function(v2) {
      var buf = Buffer.alloc(4);
      buf.writeUInt32LE((v2 & 4294967295) >>> 0, 0);
      return buf;
    };
    util4.getLongBytesValue = function(buf, offset) {
      return buf.readUInt32LE(offset);
    };
    util4.toDosTime = function(d3) {
      return util4.getLongBytes(util4.dateToDos(d3));
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/general-purpose-bit.js
var require_general_purpose_bit = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/general-purpose-bit.js"(exports2, module2) {
    "use strict";
    var zipUtil = require_util2();
    var DATA_DESCRIPTOR_FLAG = 1 << 3;
    var ENCRYPTION_FLAG = 1 << 0;
    var NUMBER_OF_SHANNON_FANO_TREES_FLAG = 1 << 2;
    var SLIDING_DICTIONARY_SIZE_FLAG = 1 << 1;
    var STRONG_ENCRYPTION_FLAG = 1 << 6;
    var UFT8_NAMES_FLAG = 1 << 11;
    var GeneralPurposeBit = module2.exports = function() {
      if (!(this instanceof GeneralPurposeBit)) {
        return new GeneralPurposeBit();
      }
      this.descriptor = false;
      this.encryption = false;
      this.utf8 = false;
      this.numberOfShannonFanoTrees = 0;
      this.strongEncryption = false;
      this.slidingDictionarySize = 0;
      return this;
    };
    GeneralPurposeBit.prototype.encode = function() {
      return zipUtil.getShortBytes(
        (this.descriptor ? DATA_DESCRIPTOR_FLAG : 0) | (this.utf8 ? UFT8_NAMES_FLAG : 0) | (this.encryption ? ENCRYPTION_FLAG : 0) | (this.strongEncryption ? STRONG_ENCRYPTION_FLAG : 0)
      );
    };
    GeneralPurposeBit.prototype.parse = function(buf, offset) {
      var flag = zipUtil.getShortBytesValue(buf, offset);
      var gbp = new GeneralPurposeBit();
      gbp.useDataDescriptor((flag & DATA_DESCRIPTOR_FLAG) !== 0);
      gbp.useUTF8ForNames((flag & UFT8_NAMES_FLAG) !== 0);
      gbp.useStrongEncryption((flag & STRONG_ENCRYPTION_FLAG) !== 0);
      gbp.useEncryption((flag & ENCRYPTION_FLAG) !== 0);
      gbp.setSlidingDictionarySize((flag & SLIDING_DICTIONARY_SIZE_FLAG) !== 0 ? 8192 : 4096);
      gbp.setNumberOfShannonFanoTrees((flag & NUMBER_OF_SHANNON_FANO_TREES_FLAG) !== 0 ? 3 : 2);
      return gbp;
    };
    GeneralPurposeBit.prototype.setNumberOfShannonFanoTrees = function(n2) {
      this.numberOfShannonFanoTrees = n2;
    };
    GeneralPurposeBit.prototype.getNumberOfShannonFanoTrees = function() {
      return this.numberOfShannonFanoTrees;
    };
    GeneralPurposeBit.prototype.setSlidingDictionarySize = function(n2) {
      this.slidingDictionarySize = n2;
    };
    GeneralPurposeBit.prototype.getSlidingDictionarySize = function() {
      return this.slidingDictionarySize;
    };
    GeneralPurposeBit.prototype.useDataDescriptor = function(b6) {
      this.descriptor = b6;
    };
    GeneralPurposeBit.prototype.usesDataDescriptor = function() {
      return this.descriptor;
    };
    GeneralPurposeBit.prototype.useEncryption = function(b6) {
      this.encryption = b6;
    };
    GeneralPurposeBit.prototype.usesEncryption = function() {
      return this.encryption;
    };
    GeneralPurposeBit.prototype.useStrongEncryption = function(b6) {
      this.strongEncryption = b6;
    };
    GeneralPurposeBit.prototype.usesStrongEncryption = function() {
      return this.strongEncryption;
    };
    GeneralPurposeBit.prototype.useUTF8ForNames = function(b6) {
      this.utf8 = b6;
    };
    GeneralPurposeBit.prototype.usesUTF8ForNames = function() {
      return this.utf8;
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/unix-stat.js
var require_unix_stat = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/unix-stat.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      /**
       * Bits used for permissions (and sticky bit)
       */
      PERM_MASK: 4095,
      // 07777
      /**
       * Bits used to indicate the filesystem object type.
       */
      FILE_TYPE_FLAG: 61440,
      // 0170000
      /**
       * Indicates symbolic links.
       */
      LINK_FLAG: 40960,
      // 0120000
      /**
       * Indicates plain files.
       */
      FILE_FLAG: 32768,
      // 0100000
      /**
       * Indicates directories.
       */
      DIR_FLAG: 16384,
      // 040000
      // ----------------------------------------------------------
      // somewhat arbitrary choices that are quite common for shared
      // installations
      // -----------------------------------------------------------
      /**
       * Default permissions for symbolic links.
       */
      DEFAULT_LINK_PERM: 511,
      // 0777
      /**
       * Default permissions for directories.
       */
      DEFAULT_DIR_PERM: 493,
      // 0755
      /**
       * Default permissions for plain files.
       */
      DEFAULT_FILE_PERM: 420
      // 0644
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/constants.js
var require_constants4 = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/constants.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      WORD: 4,
      DWORD: 8,
      EMPTY: Buffer.alloc(0),
      SHORT: 2,
      SHORT_MASK: 65535,
      SHORT_SHIFT: 16,
      SHORT_ZERO: Buffer.from(Array(2)),
      LONG: 4,
      LONG_ZERO: Buffer.from(Array(4)),
      MIN_VERSION_INITIAL: 10,
      MIN_VERSION_DATA_DESCRIPTOR: 20,
      MIN_VERSION_ZIP64: 45,
      VERSION_MADEBY: 45,
      METHOD_STORED: 0,
      METHOD_DEFLATED: 8,
      PLATFORM_UNIX: 3,
      PLATFORM_FAT: 0,
      SIG_LFH: 67324752,
      SIG_DD: 134695760,
      SIG_CFH: 33639248,
      SIG_EOCD: 101010256,
      SIG_ZIP64_EOCD: 101075792,
      SIG_ZIP64_EOCD_LOC: 117853008,
      ZIP64_MAGIC_SHORT: 65535,
      ZIP64_MAGIC: 4294967295,
      ZIP64_EXTRA_ID: 1,
      ZLIB_NO_COMPRESSION: 0,
      ZLIB_BEST_SPEED: 1,
      ZLIB_BEST_COMPRESSION: 9,
      ZLIB_DEFAULT_COMPRESSION: -1,
      MODE_MASK: 4095,
      DEFAULT_FILE_MODE: 33188,
      // 010644 = -rw-r--r-- = S_IFREG | S_IRUSR | S_IWUSR | S_IRGRP | S_IROTH
      DEFAULT_DIR_MODE: 16877,
      // 040755 = drwxr-xr-x = S_IFDIR | S_IRWXU | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH
      EXT_FILE_ATTR_DIR: 1106051088,
      // 010173200020 = drwxr-xr-x = (((S_IFDIR | 0755) << 16) | S_DOS_D)
      EXT_FILE_ATTR_FILE: 2175008800,
      // 020151000040 = -rw-r--r-- = (((S_IFREG | 0644) << 16) | S_DOS_A) >>> 0
      // Unix file types
      S_IFMT: 61440,
      // 0170000 type of file mask
      S_IFIFO: 4096,
      // 010000 named pipe (fifo)
      S_IFCHR: 8192,
      // 020000 character special
      S_IFDIR: 16384,
      // 040000 directory
      S_IFBLK: 24576,
      // 060000 block special
      S_IFREG: 32768,
      // 0100000 regular
      S_IFLNK: 40960,
      // 0120000 symbolic link
      S_IFSOCK: 49152,
      // 0140000 socket
      // DOS file type flags
      S_DOS_A: 32,
      // 040 Archive
      S_DOS_D: 16,
      // 020 Directory
      S_DOS_V: 8,
      // 010 Volume
      S_DOS_S: 4,
      // 04 System
      S_DOS_H: 2,
      // 02 Hidden
      S_DOS_R: 1
      // 01 Read Only
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/zip-archive-entry.js
var require_zip_archive_entry = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/zip-archive-entry.js"(exports2, module2) {
    "use strict";
    var inherits = require("util").inherits;
    var normalizePath = require_normalize_path();
    var ArchiveEntry = require_archive_entry();
    var GeneralPurposeBit = require_general_purpose_bit();
    var UnixStat = require_unix_stat();
    var constants3 = require_constants4();
    var zipUtil = require_util2();
    var ZipArchiveEntry = module2.exports = function(name) {
      if (!(this instanceof ZipArchiveEntry)) {
        return new ZipArchiveEntry(name);
      }
      ArchiveEntry.call(this);
      this.platform = constants3.PLATFORM_FAT;
      this.method = -1;
      this.name = null;
      this.size = 0;
      this.csize = 0;
      this.gpb = new GeneralPurposeBit();
      this.crc = 0;
      this.time = -1;
      this.minver = constants3.MIN_VERSION_INITIAL;
      this.mode = -1;
      this.extra = null;
      this.exattr = 0;
      this.inattr = 0;
      this.comment = null;
      if (name) {
        this.setName(name);
      }
    };
    inherits(ZipArchiveEntry, ArchiveEntry);
    ZipArchiveEntry.prototype.getCentralDirectoryExtra = function() {
      return this.getExtra();
    };
    ZipArchiveEntry.prototype.getComment = function() {
      return this.comment !== null ? this.comment : "";
    };
    ZipArchiveEntry.prototype.getCompressedSize = function() {
      return this.csize;
    };
    ZipArchiveEntry.prototype.getCrc = function() {
      return this.crc;
    };
    ZipArchiveEntry.prototype.getExternalAttributes = function() {
      return this.exattr;
    };
    ZipArchiveEntry.prototype.getExtra = function() {
      return this.extra !== null ? this.extra : constants3.EMPTY;
    };
    ZipArchiveEntry.prototype.getGeneralPurposeBit = function() {
      return this.gpb;
    };
    ZipArchiveEntry.prototype.getInternalAttributes = function() {
      return this.inattr;
    };
    ZipArchiveEntry.prototype.getLastModifiedDate = function() {
      return this.getTime();
    };
    ZipArchiveEntry.prototype.getLocalFileDataExtra = function() {
      return this.getExtra();
    };
    ZipArchiveEntry.prototype.getMethod = function() {
      return this.method;
    };
    ZipArchiveEntry.prototype.getName = function() {
      return this.name;
    };
    ZipArchiveEntry.prototype.getPlatform = function() {
      return this.platform;
    };
    ZipArchiveEntry.prototype.getSize = function() {
      return this.size;
    };
    ZipArchiveEntry.prototype.getTime = function() {
      return this.time !== -1 ? zipUtil.dosToDate(this.time) : -1;
    };
    ZipArchiveEntry.prototype.getTimeDos = function() {
      return this.time !== -1 ? this.time : 0;
    };
    ZipArchiveEntry.prototype.getUnixMode = function() {
      return this.platform !== constants3.PLATFORM_UNIX ? 0 : this.getExternalAttributes() >> constants3.SHORT_SHIFT & constants3.SHORT_MASK;
    };
    ZipArchiveEntry.prototype.getVersionNeededToExtract = function() {
      return this.minver;
    };
    ZipArchiveEntry.prototype.setComment = function(comment) {
      if (Buffer.byteLength(comment) !== comment.length) {
        this.getGeneralPurposeBit().useUTF8ForNames(true);
      }
      this.comment = comment;
    };
    ZipArchiveEntry.prototype.setCompressedSize = function(size) {
      if (size < 0) {
        throw new Error("invalid entry compressed size");
      }
      this.csize = size;
    };
    ZipArchiveEntry.prototype.setCrc = function(crc) {
      if (crc < 0) {
        throw new Error("invalid entry crc32");
      }
      this.crc = crc;
    };
    ZipArchiveEntry.prototype.setExternalAttributes = function(attr) {
      this.exattr = attr >>> 0;
    };
    ZipArchiveEntry.prototype.setExtra = function(extra) {
      this.extra = extra;
    };
    ZipArchiveEntry.prototype.setGeneralPurposeBit = function(gpb) {
      if (!(gpb instanceof GeneralPurposeBit)) {
        throw new Error("invalid entry GeneralPurposeBit");
      }
      this.gpb = gpb;
    };
    ZipArchiveEntry.prototype.setInternalAttributes = function(attr) {
      this.inattr = attr;
    };
    ZipArchiveEntry.prototype.setMethod = function(method) {
      if (method < 0) {
        throw new Error("invalid entry compression method");
      }
      this.method = method;
    };
    ZipArchiveEntry.prototype.setName = function(name, prependSlash = false) {
      name = normalizePath(name, false).replace(/^\w+:/, "").replace(/^(\.\.\/|\/)+/, "");
      if (prependSlash) {
        name = `/${name}`;
      }
      if (Buffer.byteLength(name) !== name.length) {
        this.getGeneralPurposeBit().useUTF8ForNames(true);
      }
      this.name = name;
    };
    ZipArchiveEntry.prototype.setPlatform = function(platform2) {
      this.platform = platform2;
    };
    ZipArchiveEntry.prototype.setSize = function(size) {
      if (size < 0) {
        throw new Error("invalid entry size");
      }
      this.size = size;
    };
    ZipArchiveEntry.prototype.setTime = function(time, forceLocalTime) {
      if (!(time instanceof Date)) {
        throw new Error("invalid entry time");
      }
      this.time = zipUtil.dateToDos(time, forceLocalTime);
    };
    ZipArchiveEntry.prototype.setUnixMode = function(mode2) {
      mode2 |= this.isDirectory() ? constants3.S_IFDIR : constants3.S_IFREG;
      var extattr = 0;
      extattr |= mode2 << constants3.SHORT_SHIFT | (this.isDirectory() ? constants3.S_DOS_D : constants3.S_DOS_A);
      this.setExternalAttributes(extattr);
      this.mode = mode2 & constants3.MODE_MASK;
      this.platform = constants3.PLATFORM_UNIX;
    };
    ZipArchiveEntry.prototype.setVersionNeededToExtract = function(minver) {
      this.minver = minver;
    };
    ZipArchiveEntry.prototype.isDirectory = function() {
      return this.getName().slice(-1) === "/";
    };
    ZipArchiveEntry.prototype.isUnixSymlink = function() {
      return (this.getUnixMode() & UnixStat.FILE_TYPE_FLAG) === UnixStat.LINK_FLAG;
    };
    ZipArchiveEntry.prototype.isZip64 = function() {
      return this.csize > constants3.ZIP64_MAGIC || this.size > constants3.ZIP64_MAGIC;
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/util/index.js
var require_util3 = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/util/index.js"(exports2, module2) {
    "use strict";
    var Stream2 = require("stream").Stream;
    var PassThrough3 = require_readable2().PassThrough;
    var util4 = module2.exports = {};
    util4.isStream = function(source) {
      return source instanceof Stream2;
    };
    util4.normalizeInputSource = function(source) {
      if (source === null) {
        return Buffer.alloc(0);
      } else if (typeof source === "string") {
        return Buffer.from(source);
      } else if (util4.isStream(source) && !source._readableState) {
        var normalized = new PassThrough3();
        source.pipe(normalized);
        return normalized;
      }
      return source;
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/archive-output-stream.js
var require_archive_output_stream = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/archive-output-stream.js"(exports2, module2) {
    "use strict";
    var inherits = require("util").inherits;
    var Transform = require_readable2().Transform;
    var ArchiveEntry = require_archive_entry();
    var util4 = require_util3();
    var ArchiveOutputStream = module2.exports = function(options2) {
      if (!(this instanceof ArchiveOutputStream)) {
        return new ArchiveOutputStream(options2);
      }
      Transform.call(this, options2);
      this.offset = 0;
      this._archive = {
        finish: false,
        finished: false,
        processing: false
      };
    };
    inherits(ArchiveOutputStream, Transform);
    ArchiveOutputStream.prototype._appendBuffer = function(zae, source, callback) {
    };
    ArchiveOutputStream.prototype._appendStream = function(zae, source, callback) {
    };
    ArchiveOutputStream.prototype._emitErrorCallback = function(err) {
      if (err) {
        this.emit("error", err);
      }
    };
    ArchiveOutputStream.prototype._finish = function(ae) {
    };
    ArchiveOutputStream.prototype._normalizeEntry = function(ae) {
    };
    ArchiveOutputStream.prototype._transform = function(chunk, encoding, callback) {
      callback(null, chunk);
    };
    ArchiveOutputStream.prototype.entry = function(ae, source, callback) {
      source = source || null;
      if (typeof callback !== "function") {
        callback = this._emitErrorCallback.bind(this);
      }
      if (!(ae instanceof ArchiveEntry)) {
        callback(new Error("not a valid instance of ArchiveEntry"));
        return;
      }
      if (this._archive.finish || this._archive.finished) {
        callback(new Error("unacceptable entry after finish"));
        return;
      }
      if (this._archive.processing) {
        callback(new Error("already processing an entry"));
        return;
      }
      this._archive.processing = true;
      this._normalizeEntry(ae);
      this._entry = ae;
      source = util4.normalizeInputSource(source);
      if (Buffer.isBuffer(source)) {
        this._appendBuffer(ae, source, callback);
      } else if (util4.isStream(source)) {
        this._appendStream(ae, source, callback);
      } else {
        this._archive.processing = false;
        callback(new Error("input source must be valid Stream or Buffer instance"));
        return;
      }
      return this;
    };
    ArchiveOutputStream.prototype.finish = function() {
      if (this._archive.processing) {
        this._archive.finish = true;
        return;
      }
      this._finish();
    };
    ArchiveOutputStream.prototype.getBytesWritten = function() {
      return this.offset;
    };
    ArchiveOutputStream.prototype.write = function(chunk, cb2) {
      if (chunk) {
        this.offset += chunk.length;
      }
      return Transform.prototype.write.call(this, chunk, cb2);
    };
  }
});

// ../../node_modules/.pnpm/buffer-crc32@0.2.13/node_modules/buffer-crc32/index.js
var require_buffer_crc32 = __commonJS({
  "../../node_modules/.pnpm/buffer-crc32@0.2.13/node_modules/buffer-crc32/index.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require("buffer").Buffer;
    var CRC_TABLE = [
      0,
      1996959894,
      3993919788,
      2567524794,
      124634137,
      1886057615,
      3915621685,
      2657392035,
      249268274,
      2044508324,
      3772115230,
      2547177864,
      162941995,
      2125561021,
      3887607047,
      2428444049,
      498536548,
      1789927666,
      4089016648,
      2227061214,
      450548861,
      1843258603,
      4107580753,
      2211677639,
      325883990,
      1684777152,
      4251122042,
      2321926636,
      335633487,
      1661365465,
      4195302755,
      2366115317,
      997073096,
      1281953886,
      3579855332,
      2724688242,
      1006888145,
      1258607687,
      3524101629,
      2768942443,
      901097722,
      1119000684,
      3686517206,
      2898065728,
      853044451,
      1172266101,
      3705015759,
      2882616665,
      651767980,
      1373503546,
      3369554304,
      3218104598,
      565507253,
      1454621731,
      3485111705,
      3099436303,
      671266974,
      1594198024,
      3322730930,
      2970347812,
      795835527,
      1483230225,
      3244367275,
      3060149565,
      1994146192,
      31158534,
      2563907772,
      4023717930,
      1907459465,
      112637215,
      2680153253,
      3904427059,
      2013776290,
      251722036,
      2517215374,
      3775830040,
      2137656763,
      141376813,
      2439277719,
      3865271297,
      1802195444,
      476864866,
      2238001368,
      4066508878,
      1812370925,
      453092731,
      2181625025,
      4111451223,
      1706088902,
      314042704,
      2344532202,
      4240017532,
      1658658271,
      366619977,
      2362670323,
      4224994405,
      1303535960,
      984961486,
      2747007092,
      3569037538,
      1256170817,
      1037604311,
      2765210733,
      3554079995,
      1131014506,
      879679996,
      2909243462,
      3663771856,
      1141124467,
      855842277,
      2852801631,
      3708648649,
      1342533948,
      654459306,
      3188396048,
      3373015174,
      1466479909,
      544179635,
      3110523913,
      3462522015,
      1591671054,
      702138776,
      2966460450,
      3352799412,
      1504918807,
      783551873,
      3082640443,
      3233442989,
      3988292384,
      2596254646,
      62317068,
      1957810842,
      3939845945,
      2647816111,
      81470997,
      1943803523,
      3814918930,
      2489596804,
      225274430,
      2053790376,
      3826175755,
      2466906013,
      167816743,
      2097651377,
      4027552580,
      2265490386,
      503444072,
      1762050814,
      4150417245,
      2154129355,
      426522225,
      1852507879,
      4275313526,
      2312317920,
      282753626,
      1742555852,
      4189708143,
      2394877945,
      397917763,
      1622183637,
      3604390888,
      2714866558,
      953729732,
      1340076626,
      3518719985,
      2797360999,
      1068828381,
      1219638859,
      3624741850,
      2936675148,
      906185462,
      1090812512,
      3747672003,
      2825379669,
      829329135,
      1181335161,
      3412177804,
      3160834842,
      628085408,
      1382605366,
      3423369109,
      3138078467,
      570562233,
      1426400815,
      3317316542,
      2998733608,
      733239954,
      1555261956,
      3268935591,
      3050360625,
      752459403,
      1541320221,
      2607071920,
      3965973030,
      1969922972,
      40735498,
      2617837225,
      3943577151,
      1913087877,
      83908371,
      2512341634,
      3803740692,
      2075208622,
      213261112,
      2463272603,
      3855990285,
      2094854071,
      198958881,
      2262029012,
      4057260610,
      1759359992,
      534414190,
      2176718541,
      4139329115,
      1873836001,
      414664567,
      2282248934,
      4279200368,
      1711684554,
      285281116,
      2405801727,
      4167216745,
      1634467795,
      376229701,
      2685067896,
      3608007406,
      1308918612,
      956543938,
      2808555105,
      3495958263,
      1231636301,
      1047427035,
      2932959818,
      3654703836,
      1088359270,
      936918e3,
      2847714899,
      3736837829,
      1202900863,
      817233897,
      3183342108,
      3401237130,
      1404277552,
      615818150,
      3134207493,
      3453421203,
      1423857449,
      601450431,
      3009837614,
      3294710456,
      1567103746,
      711928724,
      3020668471,
      3272380065,
      1510334235,
      755167117
    ];
    if (typeof Int32Array !== "undefined") {
      CRC_TABLE = new Int32Array(CRC_TABLE);
    }
    function ensureBuffer(input) {
      if (Buffer2.isBuffer(input)) {
        return input;
      }
      var hasNewBufferAPI = typeof Buffer2.alloc === "function" && typeof Buffer2.from === "function";
      if (typeof input === "number") {
        return hasNewBufferAPI ? Buffer2.alloc(input) : new Buffer2(input);
      } else if (typeof input === "string") {
        return hasNewBufferAPI ? Buffer2.from(input) : new Buffer2(input);
      } else {
        throw new Error("input must be buffer, number, or string, received " + typeof input);
      }
    }
    function bufferizeInt(num) {
      var tmp2 = ensureBuffer(4);
      tmp2.writeInt32BE(num, 0);
      return tmp2;
    }
    function _crc32(buf, previous) {
      buf = ensureBuffer(buf);
      if (Buffer2.isBuffer(previous)) {
        previous = previous.readUInt32BE(0);
      }
      var crc = ~~previous ^ -1;
      for (var n2 = 0; n2 < buf.length; n2++) {
        crc = CRC_TABLE[(crc ^ buf[n2]) & 255] ^ crc >>> 8;
      }
      return crc ^ -1;
    }
    function crc32() {
      return bufferizeInt(_crc32.apply(null, arguments));
    }
    crc32.signed = function() {
      return _crc32.apply(null, arguments);
    };
    crc32.unsigned = function() {
      return _crc32.apply(null, arguments) >>> 0;
    };
    module2.exports = crc32;
  }
});

// ../../node_modules/.pnpm/crc-32@1.2.2/node_modules/crc-32/crc32.js
var require_crc32 = __commonJS({
  "../../node_modules/.pnpm/crc-32@1.2.2/node_modules/crc-32/crc32.js"(exports2) {
    "use strict";
    var CRC32;
    (function(factory2) {
      if (typeof DO_NOT_EXPORT_CRC === "undefined") {
        if ("object" === typeof exports2) {
          factory2(exports2);
        } else if ("function" === typeof define && define.amd) {
          define(function() {
            var module3 = {};
            factory2(module3);
            return module3;
          });
        } else {
          factory2(CRC32 = {});
        }
      } else {
        factory2(CRC32 = {});
      }
    })(function(CRC322) {
      CRC322.version = "1.2.2";
      function signed_crc_table() {
        var c4 = 0, table = new Array(256);
        for (var n2 = 0; n2 != 256; ++n2) {
          c4 = n2;
          c4 = c4 & 1 ? -306674912 ^ c4 >>> 1 : c4 >>> 1;
          c4 = c4 & 1 ? -306674912 ^ c4 >>> 1 : c4 >>> 1;
          c4 = c4 & 1 ? -306674912 ^ c4 >>> 1 : c4 >>> 1;
          c4 = c4 & 1 ? -306674912 ^ c4 >>> 1 : c4 >>> 1;
          c4 = c4 & 1 ? -306674912 ^ c4 >>> 1 : c4 >>> 1;
          c4 = c4 & 1 ? -306674912 ^ c4 >>> 1 : c4 >>> 1;
          c4 = c4 & 1 ? -306674912 ^ c4 >>> 1 : c4 >>> 1;
          c4 = c4 & 1 ? -306674912 ^ c4 >>> 1 : c4 >>> 1;
          table[n2] = c4;
        }
        return typeof Int32Array !== "undefined" ? new Int32Array(table) : table;
      }
      var T0 = signed_crc_table();
      function slice_by_16_tables(T10) {
        var c4 = 0, v2 = 0, n2 = 0, table = typeof Int32Array !== "undefined" ? new Int32Array(4096) : new Array(4096);
        for (n2 = 0; n2 != 256; ++n2)
          table[n2] = T10[n2];
        for (n2 = 0; n2 != 256; ++n2) {
          v2 = T10[n2];
          for (c4 = 256 + n2; c4 < 4096; c4 += 256)
            v2 = table[c4] = v2 >>> 8 ^ T10[v2 & 255];
        }
        var out = [];
        for (n2 = 1; n2 != 16; ++n2)
          out[n2 - 1] = typeof Int32Array !== "undefined" ? table.subarray(n2 * 256, n2 * 256 + 256) : table.slice(n2 * 256, n2 * 256 + 256);
        return out;
      }
      var TT = slice_by_16_tables(T0);
      var T1 = TT[0], T22 = TT[1], T32 = TT[2], T42 = TT[3], T52 = TT[4];
      var T6 = TT[5], T7 = TT[6], T8 = TT[7], T92 = TT[8], Ta = TT[9];
      var Tb2 = TT[10], Tc = TT[11], Td = TT[12], Te = TT[13], Tf = TT[14];
      function crc32_bstr(bstr, seed) {
        var C = seed ^ -1;
        for (var i4 = 0, L = bstr.length; i4 < L; )
          C = C >>> 8 ^ T0[(C ^ bstr.charCodeAt(i4++)) & 255];
        return ~C;
      }
      function crc32_buf(B, seed) {
        var C = seed ^ -1, L = B.length - 15, i4 = 0;
        for (; i4 < L; )
          C = Tf[B[i4++] ^ C & 255] ^ Te[B[i4++] ^ C >> 8 & 255] ^ Td[B[i4++] ^ C >> 16 & 255] ^ Tc[B[i4++] ^ C >>> 24] ^ Tb2[B[i4++]] ^ Ta[B[i4++]] ^ T92[B[i4++]] ^ T8[B[i4++]] ^ T7[B[i4++]] ^ T6[B[i4++]] ^ T52[B[i4++]] ^ T42[B[i4++]] ^ T32[B[i4++]] ^ T22[B[i4++]] ^ T1[B[i4++]] ^ T0[B[i4++]];
        L += 15;
        while (i4 < L)
          C = C >>> 8 ^ T0[(C ^ B[i4++]) & 255];
        return ~C;
      }
      function crc32_str(str, seed) {
        var C = seed ^ -1;
        for (var i4 = 0, L = str.length, c4 = 0, d3 = 0; i4 < L; ) {
          c4 = str.charCodeAt(i4++);
          if (c4 < 128) {
            C = C >>> 8 ^ T0[(C ^ c4) & 255];
          } else if (c4 < 2048) {
            C = C >>> 8 ^ T0[(C ^ (192 | c4 >> 6 & 31)) & 255];
            C = C >>> 8 ^ T0[(C ^ (128 | c4 & 63)) & 255];
          } else if (c4 >= 55296 && c4 < 57344) {
            c4 = (c4 & 1023) + 64;
            d3 = str.charCodeAt(i4++) & 1023;
            C = C >>> 8 ^ T0[(C ^ (240 | c4 >> 8 & 7)) & 255];
            C = C >>> 8 ^ T0[(C ^ (128 | c4 >> 2 & 63)) & 255];
            C = C >>> 8 ^ T0[(C ^ (128 | d3 >> 6 & 15 | (c4 & 3) << 4)) & 255];
            C = C >>> 8 ^ T0[(C ^ (128 | d3 & 63)) & 255];
          } else {
            C = C >>> 8 ^ T0[(C ^ (224 | c4 >> 12 & 15)) & 255];
            C = C >>> 8 ^ T0[(C ^ (128 | c4 >> 6 & 63)) & 255];
            C = C >>> 8 ^ T0[(C ^ (128 | c4 & 63)) & 255];
          }
        }
        return ~C;
      }
      CRC322.table = T0;
      CRC322.bstr = crc32_bstr;
      CRC322.buf = crc32_buf;
      CRC322.str = crc32_str;
    });
  }
});

// ../../node_modules/.pnpm/crc32-stream@4.0.2/node_modules/crc32-stream/lib/crc32-stream.js
var require_crc32_stream = __commonJS({
  "../../node_modules/.pnpm/crc32-stream@4.0.2/node_modules/crc32-stream/lib/crc32-stream.js"(exports2, module2) {
    "use strict";
    var { Transform } = require_readable2();
    var crc32 = require_crc32();
    var CRC32Stream = class extends Transform {
      constructor(options2) {
        super(options2);
        this.checksum = Buffer.allocUnsafe(4);
        this.checksum.writeInt32BE(0, 0);
        this.rawSize = 0;
      }
      _transform(chunk, encoding, callback) {
        if (chunk) {
          this.checksum = crc32.buf(chunk, this.checksum) >>> 0;
          this.rawSize += chunk.length;
        }
        callback(null, chunk);
      }
      digest(encoding) {
        const checksum = Buffer.allocUnsafe(4);
        checksum.writeUInt32BE(this.checksum >>> 0, 0);
        return encoding ? checksum.toString(encoding) : checksum;
      }
      hex() {
        return this.digest("hex").toUpperCase();
      }
      size() {
        return this.rawSize;
      }
    };
    module2.exports = CRC32Stream;
  }
});

// ../../node_modules/.pnpm/crc32-stream@4.0.2/node_modules/crc32-stream/lib/deflate-crc32-stream.js
var require_deflate_crc32_stream = __commonJS({
  "../../node_modules/.pnpm/crc32-stream@4.0.2/node_modules/crc32-stream/lib/deflate-crc32-stream.js"(exports2, module2) {
    "use strict";
    var { DeflateRaw } = require("zlib");
    var crc32 = require_crc32();
    var DeflateCRC32Stream = class extends DeflateRaw {
      constructor(options2) {
        super(options2);
        this.checksum = Buffer.allocUnsafe(4);
        this.checksum.writeInt32BE(0, 0);
        this.rawSize = 0;
        this.compressedSize = 0;
      }
      push(chunk, encoding) {
        if (chunk) {
          this.compressedSize += chunk.length;
        }
        return super.push(chunk, encoding);
      }
      _transform(chunk, encoding, callback) {
        if (chunk) {
          this.checksum = crc32.buf(chunk, this.checksum) >>> 0;
          this.rawSize += chunk.length;
        }
        super._transform(chunk, encoding, callback);
      }
      digest(encoding) {
        const checksum = Buffer.allocUnsafe(4);
        checksum.writeUInt32BE(this.checksum >>> 0, 0);
        return encoding ? checksum.toString(encoding) : checksum;
      }
      hex() {
        return this.digest("hex").toUpperCase();
      }
      size(compressed = false) {
        if (compressed) {
          return this.compressedSize;
        } else {
          return this.rawSize;
        }
      }
    };
    module2.exports = DeflateCRC32Stream;
  }
});

// ../../node_modules/.pnpm/crc32-stream@4.0.2/node_modules/crc32-stream/lib/index.js
var require_lib6 = __commonJS({
  "../../node_modules/.pnpm/crc32-stream@4.0.2/node_modules/crc32-stream/lib/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      CRC32Stream: require_crc32_stream(),
      DeflateCRC32Stream: require_deflate_crc32_stream()
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/zip-archive-output-stream.js
var require_zip_archive_output_stream = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/archivers/zip/zip-archive-output-stream.js"(exports2, module2) {
    "use strict";
    var inherits = require("util").inherits;
    var crc32 = require_buffer_crc32();
    var { CRC32Stream } = require_lib6();
    var { DeflateCRC32Stream } = require_lib6();
    var ArchiveOutputStream = require_archive_output_stream();
    var ZipArchiveEntry = require_zip_archive_entry();
    var GeneralPurposeBit = require_general_purpose_bit();
    var constants3 = require_constants4();
    var util4 = require_util3();
    var zipUtil = require_util2();
    var ZipArchiveOutputStream = module2.exports = function(options2) {
      if (!(this instanceof ZipArchiveOutputStream)) {
        return new ZipArchiveOutputStream(options2);
      }
      options2 = this.options = this._defaults(options2);
      ArchiveOutputStream.call(this, options2);
      this._entry = null;
      this._entries = [];
      this._archive = {
        centralLength: 0,
        centralOffset: 0,
        comment: "",
        finish: false,
        finished: false,
        processing: false,
        forceZip64: options2.forceZip64,
        forceLocalTime: options2.forceLocalTime
      };
    };
    inherits(ZipArchiveOutputStream, ArchiveOutputStream);
    ZipArchiveOutputStream.prototype._afterAppend = function(ae) {
      this._entries.push(ae);
      if (ae.getGeneralPurposeBit().usesDataDescriptor()) {
        this._writeDataDescriptor(ae);
      }
      this._archive.processing = false;
      this._entry = null;
      if (this._archive.finish && !this._archive.finished) {
        this._finish();
      }
    };
    ZipArchiveOutputStream.prototype._appendBuffer = function(ae, source, callback) {
      if (source.length === 0) {
        ae.setMethod(constants3.METHOD_STORED);
      }
      var method = ae.getMethod();
      if (method === constants3.METHOD_STORED) {
        ae.setSize(source.length);
        ae.setCompressedSize(source.length);
        ae.setCrc(crc32.unsigned(source));
      }
      this._writeLocalFileHeader(ae);
      if (method === constants3.METHOD_STORED) {
        this.write(source);
        this._afterAppend(ae);
        callback(null, ae);
        return;
      } else if (method === constants3.METHOD_DEFLATED) {
        this._smartStream(ae, callback).end(source);
        return;
      } else {
        callback(new Error("compression method " + method + " not implemented"));
        return;
      }
    };
    ZipArchiveOutputStream.prototype._appendStream = function(ae, source, callback) {
      ae.getGeneralPurposeBit().useDataDescriptor(true);
      ae.setVersionNeededToExtract(constants3.MIN_VERSION_DATA_DESCRIPTOR);
      this._writeLocalFileHeader(ae);
      var smart = this._smartStream(ae, callback);
      source.once("error", function(err) {
        smart.emit("error", err);
        smart.end();
      });
      source.pipe(smart);
    };
    ZipArchiveOutputStream.prototype._defaults = function(o2) {
      if (typeof o2 !== "object") {
        o2 = {};
      }
      if (typeof o2.zlib !== "object") {
        o2.zlib = {};
      }
      if (typeof o2.zlib.level !== "number") {
        o2.zlib.level = constants3.ZLIB_BEST_SPEED;
      }
      o2.forceZip64 = !!o2.forceZip64;
      o2.forceLocalTime = !!o2.forceLocalTime;
      return o2;
    };
    ZipArchiveOutputStream.prototype._finish = function() {
      this._archive.centralOffset = this.offset;
      this._entries.forEach(function(ae) {
        this._writeCentralFileHeader(ae);
      }.bind(this));
      this._archive.centralLength = this.offset - this._archive.centralOffset;
      if (this.isZip64()) {
        this._writeCentralDirectoryZip64();
      }
      this._writeCentralDirectoryEnd();
      this._archive.processing = false;
      this._archive.finish = true;
      this._archive.finished = true;
      this.end();
    };
    ZipArchiveOutputStream.prototype._normalizeEntry = function(ae) {
      if (ae.getMethod() === -1) {
        ae.setMethod(constants3.METHOD_DEFLATED);
      }
      if (ae.getMethod() === constants3.METHOD_DEFLATED) {
        ae.getGeneralPurposeBit().useDataDescriptor(true);
        ae.setVersionNeededToExtract(constants3.MIN_VERSION_DATA_DESCRIPTOR);
      }
      if (ae.getTime() === -1) {
        ae.setTime(/* @__PURE__ */ new Date(), this._archive.forceLocalTime);
      }
      ae._offsets = {
        file: 0,
        data: 0,
        contents: 0
      };
    };
    ZipArchiveOutputStream.prototype._smartStream = function(ae, callback) {
      var deflate = ae.getMethod() === constants3.METHOD_DEFLATED;
      var process2 = deflate ? new DeflateCRC32Stream(this.options.zlib) : new CRC32Stream();
      var error2 = null;
      function handleStuff() {
        var digest = process2.digest().readUInt32BE(0);
        ae.setCrc(digest);
        ae.setSize(process2.size());
        ae.setCompressedSize(process2.size(true));
        this._afterAppend(ae);
        callback(error2, ae);
      }
      process2.once("end", handleStuff.bind(this));
      process2.once("error", function(err) {
        error2 = err;
      });
      process2.pipe(this, { end: false });
      return process2;
    };
    ZipArchiveOutputStream.prototype._writeCentralDirectoryEnd = function() {
      var records = this._entries.length;
      var size = this._archive.centralLength;
      var offset = this._archive.centralOffset;
      if (this.isZip64()) {
        records = constants3.ZIP64_MAGIC_SHORT;
        size = constants3.ZIP64_MAGIC;
        offset = constants3.ZIP64_MAGIC;
      }
      this.write(zipUtil.getLongBytes(constants3.SIG_EOCD));
      this.write(constants3.SHORT_ZERO);
      this.write(constants3.SHORT_ZERO);
      this.write(zipUtil.getShortBytes(records));
      this.write(zipUtil.getShortBytes(records));
      this.write(zipUtil.getLongBytes(size));
      this.write(zipUtil.getLongBytes(offset));
      var comment = this.getComment();
      var commentLength = Buffer.byteLength(comment);
      this.write(zipUtil.getShortBytes(commentLength));
      this.write(comment);
    };
    ZipArchiveOutputStream.prototype._writeCentralDirectoryZip64 = function() {
      this.write(zipUtil.getLongBytes(constants3.SIG_ZIP64_EOCD));
      this.write(zipUtil.getEightBytes(44));
      this.write(zipUtil.getShortBytes(constants3.MIN_VERSION_ZIP64));
      this.write(zipUtil.getShortBytes(constants3.MIN_VERSION_ZIP64));
      this.write(constants3.LONG_ZERO);
      this.write(constants3.LONG_ZERO);
      this.write(zipUtil.getEightBytes(this._entries.length));
      this.write(zipUtil.getEightBytes(this._entries.length));
      this.write(zipUtil.getEightBytes(this._archive.centralLength));
      this.write(zipUtil.getEightBytes(this._archive.centralOffset));
      this.write(zipUtil.getLongBytes(constants3.SIG_ZIP64_EOCD_LOC));
      this.write(constants3.LONG_ZERO);
      this.write(zipUtil.getEightBytes(this._archive.centralOffset + this._archive.centralLength));
      this.write(zipUtil.getLongBytes(1));
    };
    ZipArchiveOutputStream.prototype._writeCentralFileHeader = function(ae) {
      var gpb = ae.getGeneralPurposeBit();
      var method = ae.getMethod();
      var offsets = ae._offsets;
      var size = ae.getSize();
      var compressedSize = ae.getCompressedSize();
      if (ae.isZip64() || offsets.file > constants3.ZIP64_MAGIC) {
        size = constants3.ZIP64_MAGIC;
        compressedSize = constants3.ZIP64_MAGIC;
        ae.setVersionNeededToExtract(constants3.MIN_VERSION_ZIP64);
        var extraBuf = Buffer.concat([
          zipUtil.getShortBytes(constants3.ZIP64_EXTRA_ID),
          zipUtil.getShortBytes(24),
          zipUtil.getEightBytes(ae.getSize()),
          zipUtil.getEightBytes(ae.getCompressedSize()),
          zipUtil.getEightBytes(offsets.file)
        ], 28);
        ae.setExtra(extraBuf);
      }
      this.write(zipUtil.getLongBytes(constants3.SIG_CFH));
      this.write(zipUtil.getShortBytes(ae.getPlatform() << 8 | constants3.VERSION_MADEBY));
      this.write(zipUtil.getShortBytes(ae.getVersionNeededToExtract()));
      this.write(gpb.encode());
      this.write(zipUtil.getShortBytes(method));
      this.write(zipUtil.getLongBytes(ae.getTimeDos()));
      this.write(zipUtil.getLongBytes(ae.getCrc()));
      this.write(zipUtil.getLongBytes(compressedSize));
      this.write(zipUtil.getLongBytes(size));
      var name = ae.getName();
      var comment = ae.getComment();
      var extra = ae.getCentralDirectoryExtra();
      if (gpb.usesUTF8ForNames()) {
        name = Buffer.from(name);
        comment = Buffer.from(comment);
      }
      this.write(zipUtil.getShortBytes(name.length));
      this.write(zipUtil.getShortBytes(extra.length));
      this.write(zipUtil.getShortBytes(comment.length));
      this.write(constants3.SHORT_ZERO);
      this.write(zipUtil.getShortBytes(ae.getInternalAttributes()));
      this.write(zipUtil.getLongBytes(ae.getExternalAttributes()));
      if (offsets.file > constants3.ZIP64_MAGIC) {
        this.write(zipUtil.getLongBytes(constants3.ZIP64_MAGIC));
      } else {
        this.write(zipUtil.getLongBytes(offsets.file));
      }
      this.write(name);
      this.write(extra);
      this.write(comment);
    };
    ZipArchiveOutputStream.prototype._writeDataDescriptor = function(ae) {
      this.write(zipUtil.getLongBytes(constants3.SIG_DD));
      this.write(zipUtil.getLongBytes(ae.getCrc()));
      if (ae.isZip64()) {
        this.write(zipUtil.getEightBytes(ae.getCompressedSize()));
        this.write(zipUtil.getEightBytes(ae.getSize()));
      } else {
        this.write(zipUtil.getLongBytes(ae.getCompressedSize()));
        this.write(zipUtil.getLongBytes(ae.getSize()));
      }
    };
    ZipArchiveOutputStream.prototype._writeLocalFileHeader = function(ae) {
      var gpb = ae.getGeneralPurposeBit();
      var method = ae.getMethod();
      var name = ae.getName();
      var extra = ae.getLocalFileDataExtra();
      if (ae.isZip64()) {
        gpb.useDataDescriptor(true);
        ae.setVersionNeededToExtract(constants3.MIN_VERSION_ZIP64);
      }
      if (gpb.usesUTF8ForNames()) {
        name = Buffer.from(name);
      }
      ae._offsets.file = this.offset;
      this.write(zipUtil.getLongBytes(constants3.SIG_LFH));
      this.write(zipUtil.getShortBytes(ae.getVersionNeededToExtract()));
      this.write(gpb.encode());
      this.write(zipUtil.getShortBytes(method));
      this.write(zipUtil.getLongBytes(ae.getTimeDos()));
      ae._offsets.data = this.offset;
      if (gpb.usesDataDescriptor()) {
        this.write(constants3.LONG_ZERO);
        this.write(constants3.LONG_ZERO);
        this.write(constants3.LONG_ZERO);
      } else {
        this.write(zipUtil.getLongBytes(ae.getCrc()));
        this.write(zipUtil.getLongBytes(ae.getCompressedSize()));
        this.write(zipUtil.getLongBytes(ae.getSize()));
      }
      this.write(zipUtil.getShortBytes(name.length));
      this.write(zipUtil.getShortBytes(extra.length));
      this.write(name);
      this.write(extra);
      ae._offsets.contents = this.offset;
    };
    ZipArchiveOutputStream.prototype.getComment = function(comment) {
      return this._archive.comment !== null ? this._archive.comment : "";
    };
    ZipArchiveOutputStream.prototype.isZip64 = function() {
      return this._archive.forceZip64 || this._entries.length > constants3.ZIP64_MAGIC_SHORT || this._archive.centralLength > constants3.ZIP64_MAGIC || this._archive.centralOffset > constants3.ZIP64_MAGIC;
    };
    ZipArchiveOutputStream.prototype.setComment = function(comment) {
      this._archive.comment = comment;
    };
  }
});

// ../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/compress-commons.js
var require_compress_commons = __commonJS({
  "../../node_modules/.pnpm/compress-commons@4.1.1/node_modules/compress-commons/lib/compress-commons.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      ArchiveEntry: require_archive_entry(),
      ZipArchiveEntry: require_zip_archive_entry(),
      ArchiveOutputStream: require_archive_output_stream(),
      ZipArchiveOutputStream: require_zip_archive_output_stream()
    };
  }
});

// ../../node_modules/.pnpm/zip-stream@4.1.0/node_modules/zip-stream/index.js
var require_zip_stream = __commonJS({
  "../../node_modules/.pnpm/zip-stream@4.1.0/node_modules/zip-stream/index.js"(exports2, module2) {
    "use strict";
    var inherits = require("util").inherits;
    var ZipArchiveOutputStream = require_compress_commons().ZipArchiveOutputStream;
    var ZipArchiveEntry = require_compress_commons().ZipArchiveEntry;
    var util4 = require_archiver_utils();
    var ZipStream = module2.exports = function(options2) {
      if (!(this instanceof ZipStream)) {
        return new ZipStream(options2);
      }
      options2 = this.options = options2 || {};
      options2.zlib = options2.zlib || {};
      ZipArchiveOutputStream.call(this, options2);
      if (typeof options2.level === "number" && options2.level >= 0) {
        options2.zlib.level = options2.level;
        delete options2.level;
      }
      if (!options2.forceZip64 && typeof options2.zlib.level === "number" && options2.zlib.level === 0) {
        options2.store = true;
      }
      options2.namePrependSlash = options2.namePrependSlash || false;
      if (options2.comment && options2.comment.length > 0) {
        this.setComment(options2.comment);
      }
    };
    inherits(ZipStream, ZipArchiveOutputStream);
    ZipStream.prototype._normalizeFileData = function(data) {
      data = util4.defaults(data, {
        type: "file",
        name: null,
        namePrependSlash: this.options.namePrependSlash,
        linkname: null,
        date: null,
        mode: null,
        store: this.options.store,
        comment: ""
      });
      var isDir = data.type === "directory";
      var isSymlink = data.type === "symlink";
      if (data.name) {
        data.name = util4.sanitizePath(data.name);
        if (!isSymlink && data.name.slice(-1) === "/") {
          isDir = true;
          data.type = "directory";
        } else if (isDir) {
          data.name += "/";
        }
      }
      if (isDir || isSymlink) {
        data.store = true;
      }
      data.date = util4.dateify(data.date);
      return data;
    };
    ZipStream.prototype.entry = function(source, data, callback) {
      if (typeof callback !== "function") {
        callback = this._emitErrorCallback.bind(this);
      }
      data = this._normalizeFileData(data);
      if (data.type !== "file" && data.type !== "directory" && data.type !== "symlink") {
        callback(new Error(data.type + " entries not currently supported"));
        return;
      }
      if (typeof data.name !== "string" || data.name.length === 0) {
        callback(new Error("entry name must be a non-empty string value"));
        return;
      }
      if (data.type === "symlink" && typeof data.linkname !== "string") {
        callback(new Error("entry linkname must be a non-empty string value when type equals symlink"));
        return;
      }
      var entry = new ZipArchiveEntry(data.name);
      entry.setTime(data.date, this.options.forceLocalTime);
      if (data.namePrependSlash) {
        entry.setName(data.name, true);
      }
      if (data.store) {
        entry.setMethod(0);
      }
      if (data.comment.length > 0) {
        entry.setComment(data.comment);
      }
      if (data.type === "symlink" && typeof data.mode !== "number") {
        data.mode = 40960;
      }
      if (typeof data.mode === "number") {
        if (data.type === "symlink") {
          data.mode |= 40960;
        }
        entry.setUnixMode(data.mode);
      }
      if (data.type === "symlink" && typeof data.linkname === "string") {
        source = Buffer.from(data.linkname);
      }
      return ZipArchiveOutputStream.prototype.entry.call(this, entry, source, callback);
    };
    ZipStream.prototype.finalize = function() {
      this.finish();
    };
  }
});

// ../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/plugins/zip.js
var require_zip = __commonJS({
  "../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/plugins/zip.js"(exports2, module2) {
    "use strict";
    var engine = require_zip_stream();
    var util4 = require_archiver_utils();
    var Zip = function(options2) {
      if (!(this instanceof Zip)) {
        return new Zip(options2);
      }
      options2 = this.options = util4.defaults(options2, {
        comment: "",
        forceUTC: false,
        namePrependSlash: false,
        store: false
      });
      this.supports = {
        directory: true,
        symlink: true
      };
      this.engine = new engine(options2);
    };
    Zip.prototype.append = function(source, data, callback) {
      this.engine.entry(source, data, callback);
    };
    Zip.prototype.finalize = function() {
      this.engine.finalize();
    };
    Zip.prototype.on = function() {
      return this.engine.on.apply(this.engine, arguments);
    };
    Zip.prototype.pipe = function() {
      return this.engine.pipe.apply(this.engine, arguments);
    };
    Zip.prototype.unpipe = function() {
      return this.engine.unpipe.apply(this.engine, arguments);
    };
    module2.exports = Zip;
  }
});

// ../../node_modules/.pnpm/bl@4.1.0/node_modules/bl/BufferList.js
var require_BufferList2 = __commonJS({
  "../../node_modules/.pnpm/bl@4.1.0/node_modules/bl/BufferList.js"(exports2, module2) {
    "use strict";
    var { Buffer: Buffer2 } = require("buffer");
    var symbol2 = Symbol.for("BufferList");
    function BufferList(buf) {
      if (!(this instanceof BufferList)) {
        return new BufferList(buf);
      }
      BufferList._init.call(this, buf);
    }
    BufferList._init = function _init(buf) {
      Object.defineProperty(this, symbol2, { value: true });
      this._bufs = [];
      this.length = 0;
      if (buf) {
        this.append(buf);
      }
    };
    BufferList.prototype._new = function _new(buf) {
      return new BufferList(buf);
    };
    BufferList.prototype._offset = function _offset(offset) {
      if (offset === 0) {
        return [0, 0];
      }
      let tot = 0;
      for (let i4 = 0; i4 < this._bufs.length; i4++) {
        const _t = tot + this._bufs[i4].length;
        if (offset < _t || i4 === this._bufs.length - 1) {
          return [i4, offset - tot];
        }
        tot = _t;
      }
    };
    BufferList.prototype._reverseOffset = function(blOffset) {
      const bufferId = blOffset[0];
      let offset = blOffset[1];
      for (let i4 = 0; i4 < bufferId; i4++) {
        offset += this._bufs[i4].length;
      }
      return offset;
    };
    BufferList.prototype.get = function get(index2) {
      if (index2 > this.length || index2 < 0) {
        return void 0;
      }
      const offset = this._offset(index2);
      return this._bufs[offset[0]][offset[1]];
    };
    BufferList.prototype.slice = function slice(start, end) {
      if (typeof start === "number" && start < 0) {
        start += this.length;
      }
      if (typeof end === "number" && end < 0) {
        end += this.length;
      }
      return this.copy(null, 0, start, end);
    };
    BufferList.prototype.copy = function copy(dst, dstStart, srcStart, srcEnd) {
      if (typeof srcStart !== "number" || srcStart < 0) {
        srcStart = 0;
      }
      if (typeof srcEnd !== "number" || srcEnd > this.length) {
        srcEnd = this.length;
      }
      if (srcStart >= this.length) {
        return dst || Buffer2.alloc(0);
      }
      if (srcEnd <= 0) {
        return dst || Buffer2.alloc(0);
      }
      const copy2 = !!dst;
      const off = this._offset(srcStart);
      const len = srcEnd - srcStart;
      let bytes = len;
      let bufoff = copy2 && dstStart || 0;
      let start = off[1];
      if (srcStart === 0 && srcEnd === this.length) {
        if (!copy2) {
          return this._bufs.length === 1 ? this._bufs[0] : Buffer2.concat(this._bufs, this.length);
        }
        for (let i4 = 0; i4 < this._bufs.length; i4++) {
          this._bufs[i4].copy(dst, bufoff);
          bufoff += this._bufs[i4].length;
        }
        return dst;
      }
      if (bytes <= this._bufs[off[0]].length - start) {
        return copy2 ? this._bufs[off[0]].copy(dst, dstStart, start, start + bytes) : this._bufs[off[0]].slice(start, start + bytes);
      }
      if (!copy2) {
        dst = Buffer2.allocUnsafe(len);
      }
      for (let i4 = off[0]; i4 < this._bufs.length; i4++) {
        const l2 = this._bufs[i4].length - start;
        if (bytes > l2) {
          this._bufs[i4].copy(dst, bufoff, start);
          bufoff += l2;
        } else {
          this._bufs[i4].copy(dst, bufoff, start, start + bytes);
          bufoff += l2;
          break;
        }
        bytes -= l2;
        if (start) {
          start = 0;
        }
      }
      if (dst.length > bufoff)
        return dst.slice(0, bufoff);
      return dst;
    };
    BufferList.prototype.shallowSlice = function shallowSlice(start, end) {
      start = start || 0;
      end = typeof end !== "number" ? this.length : end;
      if (start < 0) {
        start += this.length;
      }
      if (end < 0) {
        end += this.length;
      }
      if (start === end) {
        return this._new();
      }
      const startOffset = this._offset(start);
      const endOffset = this._offset(end);
      const buffers = this._bufs.slice(startOffset[0], endOffset[0] + 1);
      if (endOffset[1] === 0) {
        buffers.pop();
      } else {
        buffers[buffers.length - 1] = buffers[buffers.length - 1].slice(0, endOffset[1]);
      }
      if (startOffset[1] !== 0) {
        buffers[0] = buffers[0].slice(startOffset[1]);
      }
      return this._new(buffers);
    };
    BufferList.prototype.toString = function toString(encoding, start, end) {
      return this.slice(start, end).toString(encoding);
    };
    BufferList.prototype.consume = function consume(bytes) {
      bytes = Math.trunc(bytes);
      if (Number.isNaN(bytes) || bytes <= 0)
        return this;
      while (this._bufs.length) {
        if (bytes >= this._bufs[0].length) {
          bytes -= this._bufs[0].length;
          this.length -= this._bufs[0].length;
          this._bufs.shift();
        } else {
          this._bufs[0] = this._bufs[0].slice(bytes);
          this.length -= bytes;
          break;
        }
      }
      return this;
    };
    BufferList.prototype.duplicate = function duplicate() {
      const copy = this._new();
      for (let i4 = 0; i4 < this._bufs.length; i4++) {
        copy.append(this._bufs[i4]);
      }
      return copy;
    };
    BufferList.prototype.append = function append(buf) {
      if (buf == null) {
        return this;
      }
      if (buf.buffer) {
        this._appendBuffer(Buffer2.from(buf.buffer, buf.byteOffset, buf.byteLength));
      } else if (Array.isArray(buf)) {
        for (let i4 = 0; i4 < buf.length; i4++) {
          this.append(buf[i4]);
        }
      } else if (this._isBufferList(buf)) {
        for (let i4 = 0; i4 < buf._bufs.length; i4++) {
          this.append(buf._bufs[i4]);
        }
      } else {
        if (typeof buf === "number") {
          buf = buf.toString();
        }
        this._appendBuffer(Buffer2.from(buf));
      }
      return this;
    };
    BufferList.prototype._appendBuffer = function appendBuffer(buf) {
      this._bufs.push(buf);
      this.length += buf.length;
    };
    BufferList.prototype.indexOf = function(search, offset, encoding) {
      if (encoding === void 0 && typeof offset === "string") {
        encoding = offset;
        offset = void 0;
      }
      if (typeof search === "function" || Array.isArray(search)) {
        throw new TypeError('The "value" argument must be one of type string, Buffer, BufferList, or Uint8Array.');
      } else if (typeof search === "number") {
        search = Buffer2.from([search]);
      } else if (typeof search === "string") {
        search = Buffer2.from(search, encoding);
      } else if (this._isBufferList(search)) {
        search = search.slice();
      } else if (Array.isArray(search.buffer)) {
        search = Buffer2.from(search.buffer, search.byteOffset, search.byteLength);
      } else if (!Buffer2.isBuffer(search)) {
        search = Buffer2.from(search);
      }
      offset = Number(offset || 0);
      if (isNaN(offset)) {
        offset = 0;
      }
      if (offset < 0) {
        offset = this.length + offset;
      }
      if (offset < 0) {
        offset = 0;
      }
      if (search.length === 0) {
        return offset > this.length ? this.length : offset;
      }
      const blOffset = this._offset(offset);
      let blIndex = blOffset[0];
      let buffOffset = blOffset[1];
      for (; blIndex < this._bufs.length; blIndex++) {
        const buff = this._bufs[blIndex];
        while (buffOffset < buff.length) {
          const availableWindow = buff.length - buffOffset;
          if (availableWindow >= search.length) {
            const nativeSearchResult = buff.indexOf(search, buffOffset);
            if (nativeSearchResult !== -1) {
              return this._reverseOffset([blIndex, nativeSearchResult]);
            }
            buffOffset = buff.length - search.length + 1;
          } else {
            const revOffset = this._reverseOffset([blIndex, buffOffset]);
            if (this._match(revOffset, search)) {
              return revOffset;
            }
            buffOffset++;
          }
        }
        buffOffset = 0;
      }
      return -1;
    };
    BufferList.prototype._match = function(offset, search) {
      if (this.length - offset < search.length) {
        return false;
      }
      for (let searchOffset = 0; searchOffset < search.length; searchOffset++) {
        if (this.get(offset + searchOffset) !== search[searchOffset]) {
          return false;
        }
      }
      return true;
    };
    (function() {
      const methods = {
        readDoubleBE: 8,
        readDoubleLE: 8,
        readFloatBE: 4,
        readFloatLE: 4,
        readInt32BE: 4,
        readInt32LE: 4,
        readUInt32BE: 4,
        readUInt32LE: 4,
        readInt16BE: 2,
        readInt16LE: 2,
        readUInt16BE: 2,
        readUInt16LE: 2,
        readInt8: 1,
        readUInt8: 1,
        readIntBE: null,
        readIntLE: null,
        readUIntBE: null,
        readUIntLE: null
      };
      for (const m3 in methods) {
        (function(m6) {
          if (methods[m6] === null) {
            BufferList.prototype[m6] = function(offset, byteLength) {
              return this.slice(offset, offset + byteLength)[m6](0, byteLength);
            };
          } else {
            BufferList.prototype[m6] = function(offset = 0) {
              return this.slice(offset, offset + methods[m6])[m6](0);
            };
          }
        })(m3);
      }
    })();
    BufferList.prototype._isBufferList = function _isBufferList(b6) {
      return b6 instanceof BufferList || BufferList.isBufferList(b6);
    };
    BufferList.isBufferList = function isBufferList(b6) {
      return b6 != null && b6[symbol2];
    };
    module2.exports = BufferList;
  }
});

// ../../node_modules/.pnpm/bl@4.1.0/node_modules/bl/bl.js
var require_bl = __commonJS({
  "../../node_modules/.pnpm/bl@4.1.0/node_modules/bl/bl.js"(exports2, module2) {
    "use strict";
    var DuplexStream = require_readable2().Duplex;
    var inherits = require_inherits();
    var BufferList = require_BufferList2();
    function BufferListStream(callback) {
      if (!(this instanceof BufferListStream)) {
        return new BufferListStream(callback);
      }
      if (typeof callback === "function") {
        this._callback = callback;
        const piper = function piper2(err) {
          if (this._callback) {
            this._callback(err);
            this._callback = null;
          }
        }.bind(this);
        this.on("pipe", function onPipe(src2) {
          src2.on("error", piper);
        });
        this.on("unpipe", function onUnpipe(src2) {
          src2.removeListener("error", piper);
        });
        callback = null;
      }
      BufferList._init.call(this, callback);
      DuplexStream.call(this);
    }
    inherits(BufferListStream, DuplexStream);
    Object.assign(BufferListStream.prototype, BufferList.prototype);
    BufferListStream.prototype._new = function _new(callback) {
      return new BufferListStream(callback);
    };
    BufferListStream.prototype._write = function _write(buf, encoding, callback) {
      this._appendBuffer(buf);
      if (typeof callback === "function") {
        callback();
      }
    };
    BufferListStream.prototype._read = function _read(size) {
      if (!this.length) {
        return this.push(null);
      }
      size = Math.min(size, this.length);
      this.push(this.slice(0, size));
      this.consume(size);
    };
    BufferListStream.prototype.end = function end(chunk) {
      DuplexStream.prototype.end.call(this, chunk);
      if (this._callback) {
        this._callback(null, this.slice());
        this._callback = null;
      }
    };
    BufferListStream.prototype._destroy = function _destroy(err, cb2) {
      this._bufs.length = 0;
      this.length = 0;
      cb2(err);
    };
    BufferListStream.prototype._isBufferList = function _isBufferList(b6) {
      return b6 instanceof BufferListStream || b6 instanceof BufferList || BufferListStream.isBufferList(b6);
    };
    BufferListStream.isBufferList = BufferList.isBufferList;
    module2.exports = BufferListStream;
    module2.exports.BufferListStream = BufferListStream;
    module2.exports.BufferList = BufferList;
  }
});

// ../../node_modules/.pnpm/tar-stream@2.2.0/node_modules/tar-stream/headers.js
var require_headers = __commonJS({
  "../../node_modules/.pnpm/tar-stream@2.2.0/node_modules/tar-stream/headers.js"(exports2) {
    "use strict";
    var alloc = Buffer.alloc;
    var ZEROS = "0000000000000000000";
    var SEVENS = "7777777777777777777";
    var ZERO_OFFSET = "0".charCodeAt(0);
    var USTAR_MAGIC = Buffer.from("ustar\0", "binary");
    var USTAR_VER = Buffer.from("00", "binary");
    var GNU_MAGIC = Buffer.from("ustar ", "binary");
    var GNU_VER = Buffer.from(" \0", "binary");
    var MASK = parseInt("7777", 8);
    var MAGIC_OFFSET = 257;
    var VERSION_OFFSET = 263;
    var clamp = function(index2, len, defaultValue) {
      if (typeof index2 !== "number")
        return defaultValue;
      index2 = ~~index2;
      if (index2 >= len)
        return len;
      if (index2 >= 0)
        return index2;
      index2 += len;
      if (index2 >= 0)
        return index2;
      return 0;
    };
    var toType = function(flag) {
      switch (flag) {
        case 0:
          return "file";
        case 1:
          return "link";
        case 2:
          return "symlink";
        case 3:
          return "character-device";
        case 4:
          return "block-device";
        case 5:
          return "directory";
        case 6:
          return "fifo";
        case 7:
          return "contiguous-file";
        case 72:
          return "pax-header";
        case 55:
          return "pax-global-header";
        case 27:
          return "gnu-long-link-path";
        case 28:
        case 30:
          return "gnu-long-path";
      }
      return null;
    };
    var toTypeflag = function(flag) {
      switch (flag) {
        case "file":
          return 0;
        case "link":
          return 1;
        case "symlink":
          return 2;
        case "character-device":
          return 3;
        case "block-device":
          return 4;
        case "directory":
          return 5;
        case "fifo":
          return 6;
        case "contiguous-file":
          return 7;
        case "pax-header":
          return 72;
      }
      return 0;
    };
    var indexOf = function(block, num, offset, end) {
      for (; offset < end; offset++) {
        if (block[offset] === num)
          return offset;
      }
      return end;
    };
    var cksum = function(block) {
      var sum = 8 * 32;
      for (var i4 = 0; i4 < 148; i4++)
        sum += block[i4];
      for (var j2 = 156; j2 < 512; j2++)
        sum += block[j2];
      return sum;
    };
    var encodeOct = function(val, n2) {
      val = val.toString(8);
      if (val.length > n2)
        return SEVENS.slice(0, n2) + " ";
      else
        return ZEROS.slice(0, n2 - val.length) + val + " ";
    };
    function parse256(buf) {
      var positive;
      if (buf[0] === 128)
        positive = true;
      else if (buf[0] === 255)
        positive = false;
      else
        return null;
      var tuple = [];
      for (var i4 = buf.length - 1; i4 > 0; i4--) {
        var byte = buf[i4];
        if (positive)
          tuple.push(byte);
        else
          tuple.push(255 - byte);
      }
      var sum = 0;
      var l2 = tuple.length;
      for (i4 = 0; i4 < l2; i4++) {
        sum += tuple[i4] * Math.pow(256, i4);
      }
      return positive ? sum : -1 * sum;
    }
    var decodeOct = function(val, offset, length) {
      val = val.slice(offset, offset + length);
      offset = 0;
      if (val[offset] & 128) {
        return parse256(val);
      } else {
        while (offset < val.length && val[offset] === 32)
          offset++;
        var end = clamp(indexOf(val, 32, offset, val.length), val.length, val.length);
        while (offset < end && val[offset] === 0)
          offset++;
        if (end === offset)
          return 0;
        return parseInt(val.slice(offset, end).toString(), 8);
      }
    };
    var decodeStr = function(val, offset, length, encoding) {
      return val.slice(offset, indexOf(val, 0, offset, offset + length)).toString(encoding);
    };
    var addLength = function(str) {
      var len = Buffer.byteLength(str);
      var digits = Math.floor(Math.log(len) / Math.log(10)) + 1;
      if (len + digits >= Math.pow(10, digits))
        digits++;
      return len + digits + str;
    };
    exports2.decodeLongPath = function(buf, encoding) {
      return decodeStr(buf, 0, buf.length, encoding);
    };
    exports2.encodePax = function(opts2) {
      var result = "";
      if (opts2.name)
        result += addLength(" path=" + opts2.name + "\n");
      if (opts2.linkname)
        result += addLength(" linkpath=" + opts2.linkname + "\n");
      var pax = opts2.pax;
      if (pax) {
        for (var key in pax) {
          result += addLength(" " + key + "=" + pax[key] + "\n");
        }
      }
      return Buffer.from(result);
    };
    exports2.decodePax = function(buf) {
      var result = {};
      while (buf.length) {
        var i4 = 0;
        while (i4 < buf.length && buf[i4] !== 32)
          i4++;
        var len = parseInt(buf.slice(0, i4).toString(), 10);
        if (!len)
          return result;
        var b6 = buf.slice(i4 + 1, len - 1).toString();
        var keyIndex = b6.indexOf("=");
        if (keyIndex === -1)
          return result;
        result[b6.slice(0, keyIndex)] = b6.slice(keyIndex + 1);
        buf = buf.slice(len);
      }
      return result;
    };
    exports2.encode = function(opts2) {
      var buf = alloc(512);
      var name = opts2.name;
      var prefix = "";
      if (opts2.typeflag === 5 && name[name.length - 1] !== "/")
        name += "/";
      if (Buffer.byteLength(name) !== name.length)
        return null;
      while (Buffer.byteLength(name) > 100) {
        var i4 = name.indexOf("/");
        if (i4 === -1)
          return null;
        prefix += prefix ? "/" + name.slice(0, i4) : name.slice(0, i4);
        name = name.slice(i4 + 1);
      }
      if (Buffer.byteLength(name) > 100 || Buffer.byteLength(prefix) > 155)
        return null;
      if (opts2.linkname && Buffer.byteLength(opts2.linkname) > 100)
        return null;
      buf.write(name);
      buf.write(encodeOct(opts2.mode & MASK, 6), 100);
      buf.write(encodeOct(opts2.uid, 6), 108);
      buf.write(encodeOct(opts2.gid, 6), 116);
      buf.write(encodeOct(opts2.size, 11), 124);
      buf.write(encodeOct(opts2.mtime.getTime() / 1e3 | 0, 11), 136);
      buf[156] = ZERO_OFFSET + toTypeflag(opts2.type);
      if (opts2.linkname)
        buf.write(opts2.linkname, 157);
      USTAR_MAGIC.copy(buf, MAGIC_OFFSET);
      USTAR_VER.copy(buf, VERSION_OFFSET);
      if (opts2.uname)
        buf.write(opts2.uname, 265);
      if (opts2.gname)
        buf.write(opts2.gname, 297);
      buf.write(encodeOct(opts2.devmajor || 0, 6), 329);
      buf.write(encodeOct(opts2.devminor || 0, 6), 337);
      if (prefix)
        buf.write(prefix, 345);
      buf.write(encodeOct(cksum(buf), 6), 148);
      return buf;
    };
    exports2.decode = function(buf, filenameEncoding, allowUnknownFormat) {
      var typeflag = buf[156] === 0 ? 0 : buf[156] - ZERO_OFFSET;
      var name = decodeStr(buf, 0, 100, filenameEncoding);
      var mode2 = decodeOct(buf, 100, 8);
      var uid = decodeOct(buf, 108, 8);
      var gid = decodeOct(buf, 116, 8);
      var size = decodeOct(buf, 124, 12);
      var mtime = decodeOct(buf, 136, 12);
      var type = toType(typeflag);
      var linkname = buf[157] === 0 ? null : decodeStr(buf, 157, 100, filenameEncoding);
      var uname = decodeStr(buf, 265, 32);
      var gname = decodeStr(buf, 297, 32);
      var devmajor = decodeOct(buf, 329, 8);
      var devminor = decodeOct(buf, 337, 8);
      var c4 = cksum(buf);
      if (c4 === 8 * 32)
        return null;
      if (c4 !== decodeOct(buf, 148, 8))
        throw new Error("Invalid tar header. Maybe the tar is corrupted or it needs to be gunzipped?");
      if (USTAR_MAGIC.compare(buf, MAGIC_OFFSET, MAGIC_OFFSET + 6) === 0) {
        if (buf[345])
          name = decodeStr(buf, 345, 155, filenameEncoding) + "/" + name;
      } else if (GNU_MAGIC.compare(buf, MAGIC_OFFSET, MAGIC_OFFSET + 6) === 0 && GNU_VER.compare(buf, VERSION_OFFSET, VERSION_OFFSET + 2) === 0) {
      } else {
        if (!allowUnknownFormat) {
          throw new Error("Invalid tar header: unknown format.");
        }
      }
      if (typeflag === 0 && name && name[name.length - 1] === "/")
        typeflag = 5;
      return {
        name,
        mode: mode2,
        uid,
        gid,
        size,
        mtime: new Date(1e3 * mtime),
        type,
        linkname,
        uname,
        gname,
        devmajor,
        devminor
      };
    };
  }
});

// ../../node_modules/.pnpm/tar-stream@2.2.0/node_modules/tar-stream/extract.js
var require_extract = __commonJS({
  "../../node_modules/.pnpm/tar-stream@2.2.0/node_modules/tar-stream/extract.js"(exports2, module2) {
    "use strict";
    var util4 = require("util");
    var bl2 = require_bl();
    var headers = require_headers();
    var Writable = require_readable2().Writable;
    var PassThrough3 = require_readable2().PassThrough;
    var noop2 = function() {
    };
    var overflow = function(size) {
      size &= 511;
      return size && 512 - size;
    };
    var emptyStream = function(self2, offset) {
      var s3 = new Source(self2, offset);
      s3.end();
      return s3;
    };
    var mixinPax = function(header, pax) {
      if (pax.path)
        header.name = pax.path;
      if (pax.linkpath)
        header.linkname = pax.linkpath;
      if (pax.size)
        header.size = parseInt(pax.size, 10);
      header.pax = pax;
      return header;
    };
    var Source = function(self2, offset) {
      this._parent = self2;
      this.offset = offset;
      PassThrough3.call(this, { autoDestroy: false });
    };
    util4.inherits(Source, PassThrough3);
    Source.prototype.destroy = function(err) {
      this._parent.destroy(err);
    };
    var Extract = function(opts2) {
      if (!(this instanceof Extract))
        return new Extract(opts2);
      Writable.call(this, opts2);
      opts2 = opts2 || {};
      this._offset = 0;
      this._buffer = bl2();
      this._missing = 0;
      this._partial = false;
      this._onparse = noop2;
      this._header = null;
      this._stream = null;
      this._overflow = null;
      this._cb = null;
      this._locked = false;
      this._destroyed = false;
      this._pax = null;
      this._paxGlobal = null;
      this._gnuLongPath = null;
      this._gnuLongLinkPath = null;
      var self2 = this;
      var b6 = self2._buffer;
      var oncontinue = function() {
        self2._continue();
      };
      var onunlock = function(err) {
        self2._locked = false;
        if (err)
          return self2.destroy(err);
        if (!self2._stream)
          oncontinue();
      };
      var onstreamend = function() {
        self2._stream = null;
        var drain = overflow(self2._header.size);
        if (drain)
          self2._parse(drain, ondrain);
        else
          self2._parse(512, onheader);
        if (!self2._locked)
          oncontinue();
      };
      var ondrain = function() {
        self2._buffer.consume(overflow(self2._header.size));
        self2._parse(512, onheader);
        oncontinue();
      };
      var onpaxglobalheader = function() {
        var size = self2._header.size;
        self2._paxGlobal = headers.decodePax(b6.slice(0, size));
        b6.consume(size);
        onstreamend();
      };
      var onpaxheader = function() {
        var size = self2._header.size;
        self2._pax = headers.decodePax(b6.slice(0, size));
        if (self2._paxGlobal)
          self2._pax = Object.assign({}, self2._paxGlobal, self2._pax);
        b6.consume(size);
        onstreamend();
      };
      var ongnulongpath = function() {
        var size = self2._header.size;
        this._gnuLongPath = headers.decodeLongPath(b6.slice(0, size), opts2.filenameEncoding);
        b6.consume(size);
        onstreamend();
      };
      var ongnulonglinkpath = function() {
        var size = self2._header.size;
        this._gnuLongLinkPath = headers.decodeLongPath(b6.slice(0, size), opts2.filenameEncoding);
        b6.consume(size);
        onstreamend();
      };
      var onheader = function() {
        var offset = self2._offset;
        var header;
        try {
          header = self2._header = headers.decode(b6.slice(0, 512), opts2.filenameEncoding, opts2.allowUnknownFormat);
        } catch (err) {
          self2.emit("error", err);
        }
        b6.consume(512);
        if (!header) {
          self2._parse(512, onheader);
          oncontinue();
          return;
        }
        if (header.type === "gnu-long-path") {
          self2._parse(header.size, ongnulongpath);
          oncontinue();
          return;
        }
        if (header.type === "gnu-long-link-path") {
          self2._parse(header.size, ongnulonglinkpath);
          oncontinue();
          return;
        }
        if (header.type === "pax-global-header") {
          self2._parse(header.size, onpaxglobalheader);
          oncontinue();
          return;
        }
        if (header.type === "pax-header") {
          self2._parse(header.size, onpaxheader);
          oncontinue();
          return;
        }
        if (self2._gnuLongPath) {
          header.name = self2._gnuLongPath;
          self2._gnuLongPath = null;
        }
        if (self2._gnuLongLinkPath) {
          header.linkname = self2._gnuLongLinkPath;
          self2._gnuLongLinkPath = null;
        }
        if (self2._pax) {
          self2._header = header = mixinPax(header, self2._pax);
          self2._pax = null;
        }
        self2._locked = true;
        if (!header.size || header.type === "directory") {
          self2._parse(512, onheader);
          self2.emit("entry", header, emptyStream(self2, offset), onunlock);
          return;
        }
        self2._stream = new Source(self2, offset);
        self2.emit("entry", header, self2._stream, onunlock);
        self2._parse(header.size, onstreamend);
        oncontinue();
      };
      this._onheader = onheader;
      this._parse(512, onheader);
    };
    util4.inherits(Extract, Writable);
    Extract.prototype.destroy = function(err) {
      if (this._destroyed)
        return;
      this._destroyed = true;
      if (err)
        this.emit("error", err);
      this.emit("close");
      if (this._stream)
        this._stream.emit("close");
    };
    Extract.prototype._parse = function(size, onparse) {
      if (this._destroyed)
        return;
      this._offset += size;
      this._missing = size;
      if (onparse === this._onheader)
        this._partial = false;
      this._onparse = onparse;
    };
    Extract.prototype._continue = function() {
      if (this._destroyed)
        return;
      var cb2 = this._cb;
      this._cb = noop2;
      if (this._overflow)
        this._write(this._overflow, void 0, cb2);
      else
        cb2();
    };
    Extract.prototype._write = function(data, enc, cb2) {
      if (this._destroyed)
        return;
      var s3 = this._stream;
      var b6 = this._buffer;
      var missing = this._missing;
      if (data.length)
        this._partial = true;
      if (data.length < missing) {
        this._missing -= data.length;
        this._overflow = null;
        if (s3)
          return s3.write(data, cb2);
        b6.append(data);
        return cb2();
      }
      this._cb = cb2;
      this._missing = 0;
      var overflow2 = null;
      if (data.length > missing) {
        overflow2 = data.slice(missing);
        data = data.slice(0, missing);
      }
      if (s3)
        s3.end(data);
      else
        b6.append(data);
      this._overflow = overflow2;
      this._onparse();
    };
    Extract.prototype._final = function(cb2) {
      if (this._partial)
        return this.destroy(new Error("Unexpected end of data"));
      cb2();
    };
    module2.exports = Extract;
  }
});

// ../../node_modules/.pnpm/fs-constants@1.0.0/node_modules/fs-constants/index.js
var require_fs_constants = __commonJS({
  "../../node_modules/.pnpm/fs-constants@1.0.0/node_modules/fs-constants/index.js"(exports2, module2) {
    "use strict";
    module2.exports = require("fs").constants || require("constants");
  }
});

// ../../node_modules/.pnpm/end-of-stream@1.4.4/node_modules/end-of-stream/index.js
var require_end_of_stream2 = __commonJS({
  "../../node_modules/.pnpm/end-of-stream@1.4.4/node_modules/end-of-stream/index.js"(exports2, module2) {
    "use strict";
    var once2 = require_once();
    var noop2 = function() {
    };
    var isRequest2 = function(stream4) {
      return stream4.setHeader && typeof stream4.abort === "function";
    };
    var isChildProcess = function(stream4) {
      return stream4.stdio && Array.isArray(stream4.stdio) && stream4.stdio.length === 3;
    };
    var eos = function(stream4, opts2, callback) {
      if (typeof opts2 === "function")
        return eos(stream4, null, opts2);
      if (!opts2)
        opts2 = {};
      callback = once2(callback || noop2);
      var ws2 = stream4._writableState;
      var rs = stream4._readableState;
      var readable = opts2.readable || opts2.readable !== false && stream4.readable;
      var writable = opts2.writable || opts2.writable !== false && stream4.writable;
      var cancelled = false;
      var onlegacyfinish = function() {
        if (!stream4.writable)
          onfinish();
      };
      var onfinish = function() {
        writable = false;
        if (!readable)
          callback.call(stream4);
      };
      var onend = function() {
        readable = false;
        if (!writable)
          callback.call(stream4);
      };
      var onexit = function(exitCode) {
        callback.call(stream4, exitCode ? new Error("exited with error code: " + exitCode) : null);
      };
      var onerror = function(err) {
        callback.call(stream4, err);
      };
      var onclose = function() {
        process.nextTick(onclosenexttick);
      };
      var onclosenexttick = function() {
        if (cancelled)
          return;
        if (readable && !(rs && (rs.ended && !rs.destroyed)))
          return callback.call(stream4, new Error("premature close"));
        if (writable && !(ws2 && (ws2.ended && !ws2.destroyed)))
          return callback.call(stream4, new Error("premature close"));
      };
      var onrequest = function() {
        stream4.req.on("finish", onfinish);
      };
      if (isRequest2(stream4)) {
        stream4.on("complete", onfinish);
        stream4.on("abort", onclose);
        if (stream4.req)
          onrequest();
        else
          stream4.on("request", onrequest);
      } else if (writable && !ws2) {
        stream4.on("end", onlegacyfinish);
        stream4.on("close", onlegacyfinish);
      }
      if (isChildProcess(stream4))
        stream4.on("exit", onexit);
      stream4.on("end", onend);
      stream4.on("finish", onfinish);
      if (opts2.error !== false)
        stream4.on("error", onerror);
      stream4.on("close", onclose);
      return function() {
        cancelled = true;
        stream4.removeListener("complete", onfinish);
        stream4.removeListener("abort", onclose);
        stream4.removeListener("request", onrequest);
        if (stream4.req)
          stream4.req.removeListener("finish", onfinish);
        stream4.removeListener("end", onlegacyfinish);
        stream4.removeListener("close", onlegacyfinish);
        stream4.removeListener("finish", onfinish);
        stream4.removeListener("exit", onexit);
        stream4.removeListener("end", onend);
        stream4.removeListener("error", onerror);
        stream4.removeListener("close", onclose);
      };
    };
    module2.exports = eos;
  }
});

// ../../node_modules/.pnpm/tar-stream@2.2.0/node_modules/tar-stream/pack.js
var require_pack = __commonJS({
  "../../node_modules/.pnpm/tar-stream@2.2.0/node_modules/tar-stream/pack.js"(exports2, module2) {
    "use strict";
    var constants3 = require_fs_constants();
    var eos = require_end_of_stream2();
    var inherits = require_inherits();
    var alloc = Buffer.alloc;
    var Readable2 = require_readable2().Readable;
    var Writable = require_readable2().Writable;
    var StringDecoder = require("string_decoder").StringDecoder;
    var headers = require_headers();
    var DMODE = parseInt("755", 8);
    var FMODE = parseInt("644", 8);
    var END_OF_TAR = alloc(1024);
    var noop2 = function() {
    };
    var overflow = function(self2, size) {
      size &= 511;
      if (size)
        self2.push(END_OF_TAR.slice(0, 512 - size));
    };
    function modeToType(mode2) {
      switch (mode2 & constants3.S_IFMT) {
        case constants3.S_IFBLK:
          return "block-device";
        case constants3.S_IFCHR:
          return "character-device";
        case constants3.S_IFDIR:
          return "directory";
        case constants3.S_IFIFO:
          return "fifo";
        case constants3.S_IFLNK:
          return "symlink";
      }
      return "file";
    }
    var Sink = function(to2) {
      Writable.call(this);
      this.written = 0;
      this._to = to2;
      this._destroyed = false;
    };
    inherits(Sink, Writable);
    Sink.prototype._write = function(data, enc, cb2) {
      this.written += data.length;
      if (this._to.push(data))
        return cb2();
      this._to._drain = cb2;
    };
    Sink.prototype.destroy = function() {
      if (this._destroyed)
        return;
      this._destroyed = true;
      this.emit("close");
    };
    var LinkSink = function() {
      Writable.call(this);
      this.linkname = "";
      this._decoder = new StringDecoder("utf-8");
      this._destroyed = false;
    };
    inherits(LinkSink, Writable);
    LinkSink.prototype._write = function(data, enc, cb2) {
      this.linkname += this._decoder.write(data);
      cb2();
    };
    LinkSink.prototype.destroy = function() {
      if (this._destroyed)
        return;
      this._destroyed = true;
      this.emit("close");
    };
    var Void = function() {
      Writable.call(this);
      this._destroyed = false;
    };
    inherits(Void, Writable);
    Void.prototype._write = function(data, enc, cb2) {
      cb2(new Error("No body allowed for this entry"));
    };
    Void.prototype.destroy = function() {
      if (this._destroyed)
        return;
      this._destroyed = true;
      this.emit("close");
    };
    var Pack = function(opts2) {
      if (!(this instanceof Pack))
        return new Pack(opts2);
      Readable2.call(this, opts2);
      this._drain = noop2;
      this._finalized = false;
      this._finalizing = false;
      this._destroyed = false;
      this._stream = null;
    };
    inherits(Pack, Readable2);
    Pack.prototype.entry = function(header, buffer, callback) {
      if (this._stream)
        throw new Error("already piping an entry");
      if (this._finalized || this._destroyed)
        return;
      if (typeof buffer === "function") {
        callback = buffer;
        buffer = null;
      }
      if (!callback)
        callback = noop2;
      var self2 = this;
      if (!header.size || header.type === "symlink")
        header.size = 0;
      if (!header.type)
        header.type = modeToType(header.mode);
      if (!header.mode)
        header.mode = header.type === "directory" ? DMODE : FMODE;
      if (!header.uid)
        header.uid = 0;
      if (!header.gid)
        header.gid = 0;
      if (!header.mtime)
        header.mtime = /* @__PURE__ */ new Date();
      if (typeof buffer === "string")
        buffer = Buffer.from(buffer);
      if (Buffer.isBuffer(buffer)) {
        header.size = buffer.length;
        this._encode(header);
        var ok2 = this.push(buffer);
        overflow(self2, header.size);
        if (ok2)
          process.nextTick(callback);
        else
          this._drain = callback;
        return new Void();
      }
      if (header.type === "symlink" && !header.linkname) {
        var linkSink = new LinkSink();
        eos(linkSink, function(err) {
          if (err) {
            self2.destroy();
            return callback(err);
          }
          header.linkname = linkSink.linkname;
          self2._encode(header);
          callback();
        });
        return linkSink;
      }
      this._encode(header);
      if (header.type !== "file" && header.type !== "contiguous-file") {
        process.nextTick(callback);
        return new Void();
      }
      var sink = new Sink(this);
      this._stream = sink;
      eos(sink, function(err) {
        self2._stream = null;
        if (err) {
          self2.destroy();
          return callback(err);
        }
        if (sink.written !== header.size) {
          self2.destroy();
          return callback(new Error("size mismatch"));
        }
        overflow(self2, header.size);
        if (self2._finalizing)
          self2.finalize();
        callback();
      });
      return sink;
    };
    Pack.prototype.finalize = function() {
      if (this._stream) {
        this._finalizing = true;
        return;
      }
      if (this._finalized)
        return;
      this._finalized = true;
      this.push(END_OF_TAR);
      this.push(null);
    };
    Pack.prototype.destroy = function(err) {
      if (this._destroyed)
        return;
      this._destroyed = true;
      if (err)
        this.emit("error", err);
      this.emit("close");
      if (this._stream && this._stream.destroy)
        this._stream.destroy();
    };
    Pack.prototype._encode = function(header) {
      if (!header.pax) {
        var buf = headers.encode(header);
        if (buf) {
          this.push(buf);
          return;
        }
      }
      this._encodePax(header);
    };
    Pack.prototype._encodePax = function(header) {
      var paxHeader = headers.encodePax({
        name: header.name,
        linkname: header.linkname,
        pax: header.pax
      });
      var newHeader = {
        name: "PaxHeader",
        mode: header.mode,
        uid: header.uid,
        gid: header.gid,
        size: paxHeader.length,
        mtime: header.mtime,
        type: "pax-header",
        linkname: header.linkname && "PaxHeader",
        uname: header.uname,
        gname: header.gname,
        devmajor: header.devmajor,
        devminor: header.devminor
      };
      this.push(headers.encode(newHeader));
      this.push(paxHeader);
      overflow(this, paxHeader.length);
      newHeader.size = header.size;
      newHeader.type = header.type;
      this.push(headers.encode(newHeader));
    };
    Pack.prototype._read = function(n2) {
      var drain = this._drain;
      this._drain = noop2;
      drain();
    };
    module2.exports = Pack;
  }
});

// ../../node_modules/.pnpm/tar-stream@2.2.0/node_modules/tar-stream/index.js
var require_tar_stream = __commonJS({
  "../../node_modules/.pnpm/tar-stream@2.2.0/node_modules/tar-stream/index.js"(exports2) {
    "use strict";
    exports2.extract = require_extract();
    exports2.pack = require_pack();
  }
});

// ../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/plugins/tar.js
var require_tar = __commonJS({
  "../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/plugins/tar.js"(exports2, module2) {
    "use strict";
    var zlib3 = require("zlib");
    var engine = require_tar_stream();
    var util4 = require_archiver_utils();
    var Tar = function(options2) {
      if (!(this instanceof Tar)) {
        return new Tar(options2);
      }
      options2 = this.options = util4.defaults(options2, {
        gzip: false
      });
      if (typeof options2.gzipOptions !== "object") {
        options2.gzipOptions = {};
      }
      this.supports = {
        directory: true,
        symlink: true
      };
      this.engine = engine.pack(options2);
      this.compressor = false;
      if (options2.gzip) {
        this.compressor = zlib3.createGzip(options2.gzipOptions);
        this.compressor.on("error", this._onCompressorError.bind(this));
      }
    };
    Tar.prototype._onCompressorError = function(err) {
      this.engine.emit("error", err);
    };
    Tar.prototype.append = function(source, data, callback) {
      var self2 = this;
      data.mtime = data.date;
      function append(err, sourceBuffer) {
        if (err) {
          callback(err);
          return;
        }
        self2.engine.entry(data, sourceBuffer, function(err2) {
          callback(err2, data);
        });
      }
      if (data.sourceType === "buffer") {
        append(null, source);
      } else if (data.sourceType === "stream" && data.stats) {
        data.size = data.stats.size;
        var entry = self2.engine.entry(data, function(err) {
          callback(err, data);
        });
        source.pipe(entry);
      } else if (data.sourceType === "stream") {
        util4.collectStream(source, append);
      }
    };
    Tar.prototype.finalize = function() {
      this.engine.finalize();
    };
    Tar.prototype.on = function() {
      return this.engine.on.apply(this.engine, arguments);
    };
    Tar.prototype.pipe = function(destination, options2) {
      if (this.compressor) {
        return this.engine.pipe.apply(this.engine, [this.compressor]).pipe(destination, options2);
      } else {
        return this.engine.pipe.apply(this.engine, arguments);
      }
    };
    Tar.prototype.unpipe = function() {
      if (this.compressor) {
        return this.compressor.unpipe.apply(this.compressor, arguments);
      } else {
        return this.engine.unpipe.apply(this.engine, arguments);
      }
    };
    module2.exports = Tar;
  }
});

// ../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/plugins/json.js
var require_json2 = __commonJS({
  "../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/lib/plugins/json.js"(exports2, module2) {
    "use strict";
    var inherits = require("util").inherits;
    var Transform = require_readable2().Transform;
    var crc32 = require_buffer_crc32();
    var util4 = require_archiver_utils();
    var Json = function(options2) {
      if (!(this instanceof Json)) {
        return new Json(options2);
      }
      options2 = this.options = util4.defaults(options2, {});
      Transform.call(this, options2);
      this.supports = {
        directory: true,
        symlink: true
      };
      this.files = [];
    };
    inherits(Json, Transform);
    Json.prototype._transform = function(chunk, encoding, callback) {
      callback(null, chunk);
    };
    Json.prototype._writeStringified = function() {
      var fileString = JSON.stringify(this.files);
      this.write(fileString);
    };
    Json.prototype.append = function(source, data, callback) {
      var self2 = this;
      data.crc32 = 0;
      function onend(err, sourceBuffer) {
        if (err) {
          callback(err);
          return;
        }
        data.size = sourceBuffer.length || 0;
        data.crc32 = crc32.unsigned(sourceBuffer);
        self2.files.push(data);
        callback(null, data);
      }
      if (data.sourceType === "buffer") {
        onend(null, source);
      } else if (data.sourceType === "stream") {
        util4.collectStream(source, onend);
      }
    };
    Json.prototype.finalize = function() {
      this._writeStringified();
      this.end();
    };
    module2.exports = Json;
  }
});

// ../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/index.js
var require_archiver = __commonJS({
  "../../node_modules/.pnpm/archiver@5.3.1/node_modules/archiver/index.js"(exports2, module2) {
    "use strict";
    var Archiver = require_core5();
    var formats = {};
    var vending = function(format3, options2) {
      return vending.create(format3, options2);
    };
    vending.create = function(format3, options2) {
      if (formats[format3]) {
        var instance = new Archiver(format3, options2);
        instance.setFormat(format3);
        instance.setModule(new formats[format3](options2));
        return instance;
      } else {
        throw new Error("create(" + format3 + "): format not registered");
      }
    };
    vending.registerFormat = function(format3, module3) {
      if (formats[format3]) {
        throw new Error("register(" + format3 + "): format already registered");
      }
      if (typeof module3 !== "function") {
        throw new Error("register(" + format3 + "): format module invalid");
      }
      if (typeof module3.prototype.append !== "function" || typeof module3.prototype.finalize !== "function") {
        throw new Error("register(" + format3 + "): format module missing methods");
      }
      formats[format3] = module3;
    };
    vending.isRegisteredFormat = function(format3) {
      if (formats[format3]) {
        return true;
      }
      return false;
    };
    vending.registerFormat("zip", require_zip());
    vending.registerFormat("tar", require_tar());
    vending.registerFormat("json", require_json2());
    module2.exports = vending;
  }
});

// ../../node_modules/.pnpm/ci-info@3.8.0/node_modules/ci-info/vendors.json
var require_vendors = __commonJS({
  "../../node_modules/.pnpm/ci-info@3.8.0/node_modules/ci-info/vendors.json"(exports2, module2) {
    module2.exports = [
      {
        name: "Appcircle",
        constant: "APPCIRCLE",
        env: "AC_APPCIRCLE"
      },
      {
        name: "AppVeyor",
        constant: "APPVEYOR",
        env: "APPVEYOR",
        pr: "APPVEYOR_PULL_REQUEST_NUMBER"
      },
      {
        name: "AWS CodeBuild",
        constant: "CODEBUILD",
        env: "CODEBUILD_BUILD_ARN"
      },
      {
        name: "Azure Pipelines",
        constant: "AZURE_PIPELINES",
        env: "SYSTEM_TEAMFOUNDATIONCOLLECTIONURI",
        pr: "SYSTEM_PULLREQUEST_PULLREQUESTID"
      },
      {
        name: "Bamboo",
        constant: "BAMBOO",
        env: "bamboo_planKey"
      },
      {
        name: "Bitbucket Pipelines",
        constant: "BITBUCKET",
        env: "BITBUCKET_COMMIT",
        pr: "BITBUCKET_PR_ID"
      },
      {
        name: "Bitrise",
        constant: "BITRISE",
        env: "BITRISE_IO",
        pr: "BITRISE_PULL_REQUEST"
      },
      {
        name: "Buddy",
        constant: "BUDDY",
        env: "BUDDY_WORKSPACE_ID",
        pr: "BUDDY_EXECUTION_PULL_REQUEST_ID"
      },
      {
        name: "Buildkite",
        constant: "BUILDKITE",
        env: "BUILDKITE",
        pr: {
          env: "BUILDKITE_PULL_REQUEST",
          ne: "false"
        }
      },
      {
        name: "CircleCI",
        constant: "CIRCLE",
        env: "CIRCLECI",
        pr: "CIRCLE_PULL_REQUEST"
      },
      {
        name: "Cirrus CI",
        constant: "CIRRUS",
        env: "CIRRUS_CI",
        pr: "CIRRUS_PR"
      },
      {
        name: "Codefresh",
        constant: "CODEFRESH",
        env: "CF_BUILD_ID",
        pr: {
          any: [
            "CF_PULL_REQUEST_NUMBER",
            "CF_PULL_REQUEST_ID"
          ]
        }
      },
      {
        name: "Codemagic",
        constant: "CODEMAGIC",
        env: "CM_BUILD_ID",
        pr: "CM_PULL_REQUEST"
      },
      {
        name: "Codeship",
        constant: "CODESHIP",
        env: {
          CI_NAME: "codeship"
        }
      },
      {
        name: "Drone",
        constant: "DRONE",
        env: "DRONE",
        pr: {
          DRONE_BUILD_EVENT: "pull_request"
        }
      },
      {
        name: "dsari",
        constant: "DSARI",
        env: "DSARI"
      },
      {
        name: "Expo Application Services",
        constant: "EAS",
        env: "EAS_BUILD"
      },
      {
        name: "Gerrit",
        constant: "GERRIT",
        env: "GERRIT_PROJECT"
      },
      {
        name: "GitHub Actions",
        constant: "GITHUB_ACTIONS",
        env: "GITHUB_ACTIONS",
        pr: {
          GITHUB_EVENT_NAME: "pull_request"
        }
      },
      {
        name: "GitLab CI",
        constant: "GITLAB",
        env: "GITLAB_CI",
        pr: "CI_MERGE_REQUEST_ID"
      },
      {
        name: "GoCD",
        constant: "GOCD",
        env: "GO_PIPELINE_LABEL"
      },
      {
        name: "Google Cloud Build",
        constant: "GOOGLE_CLOUD_BUILD",
        env: "BUILDER_OUTPUT"
      },
      {
        name: "Harness CI",
        constant: "HARNESS",
        env: "HARNESS_BUILD_ID"
      },
      {
        name: "Heroku",
        constant: "HEROKU",
        env: {
          env: "NODE",
          includes: "/app/.heroku/node/bin/node"
        }
      },
      {
        name: "Hudson",
        constant: "HUDSON",
        env: "HUDSON_URL"
      },
      {
        name: "Jenkins",
        constant: "JENKINS",
        env: [
          "JENKINS_URL",
          "BUILD_ID"
        ],
        pr: {
          any: [
            "ghprbPullId",
            "CHANGE_ID"
          ]
        }
      },
      {
        name: "LayerCI",
        constant: "LAYERCI",
        env: "LAYERCI",
        pr: "LAYERCI_PULL_REQUEST"
      },
      {
        name: "Magnum CI",
        constant: "MAGNUM",
        env: "MAGNUM"
      },
      {
        name: "Netlify CI",
        constant: "NETLIFY",
        env: "NETLIFY",
        pr: {
          env: "PULL_REQUEST",
          ne: "false"
        }
      },
      {
        name: "Nevercode",
        constant: "NEVERCODE",
        env: "NEVERCODE",
        pr: {
          env: "NEVERCODE_PULL_REQUEST",
          ne: "false"
        }
      },
      {
        name: "ReleaseHub",
        constant: "RELEASEHUB",
        env: "RELEASE_BUILD_ID"
      },
      {
        name: "Render",
        constant: "RENDER",
        env: "RENDER",
        pr: {
          IS_PULL_REQUEST: "true"
        }
      },
      {
        name: "Sail CI",
        constant: "SAIL",
        env: "SAILCI",
        pr: "SAIL_PULL_REQUEST_NUMBER"
      },
      {
        name: "Screwdriver",
        constant: "SCREWDRIVER",
        env: "SCREWDRIVER",
        pr: {
          env: "SD_PULL_REQUEST",
          ne: "false"
        }
      },
      {
        name: "Semaphore",
        constant: "SEMAPHORE",
        env: "SEMAPHORE",
        pr: "PULL_REQUEST_NUMBER"
      },
      {
        name: "Shippable",
        constant: "SHIPPABLE",
        env: "SHIPPABLE",
        pr: {
          IS_PULL_REQUEST: "true"
        }
      },
      {
        name: "Solano CI",
        constant: "SOLANO",
        env: "TDDIUM",
        pr: "TDDIUM_PR_ID"
      },
      {
        name: "Sourcehut",
        constant: "SOURCEHUT",
        env: {
          CI_NAME: "sourcehut"
        }
      },
      {
        name: "Strider CD",
        constant: "STRIDER",
        env: "STRIDER"
      },
      {
        name: "TaskCluster",
        constant: "TASKCLUSTER",
        env: [
          "TASK_ID",
          "RUN_ID"
        ]
      },
      {
        name: "TeamCity",
        constant: "TEAMCITY",
        env: "TEAMCITY_VERSION"
      },
      {
        name: "Travis CI",
        constant: "TRAVIS",
        env: "TRAVIS",
        pr: {
          env: "TRAVIS_PULL_REQUEST",
          ne: "false"
        }
      },
      {
        name: "Vercel",
        constant: "VERCEL",
        env: {
          any: [
            "NOW_BUILDER",
            "VERCEL"
          ]
        }
      },
      {
        name: "Visual Studio App Center",
        constant: "APPCENTER",
        env: "APPCENTER_BUILD_ID"
      },
      {
        name: "Woodpecker",
        constant: "WOODPECKER",
        env: {
          CI: "woodpecker"
        },
        pr: {
          CI_BUILD_EVENT: "pull_request"
        }
      },
      {
        name: "Xcode Cloud",
        constant: "XCODE_CLOUD",
        env: "CI_XCODE_PROJECT",
        pr: "CI_PULL_REQUEST_NUMBER"
      },
      {
        name: "Xcode Server",
        constant: "XCODE_SERVER",
        env: "XCS"
      }
    ];
  }
});

// ../../node_modules/.pnpm/ci-info@3.8.0/node_modules/ci-info/index.js
var require_ci_info = __commonJS({
  "../../node_modules/.pnpm/ci-info@3.8.0/node_modules/ci-info/index.js"(exports2) {
    "use strict";
    var vendors = require_vendors();
    var env3 = process.env;
    Object.defineProperty(exports2, "_vendors", {
      value: vendors.map(function(v2) {
        return v2.constant;
      })
    });
    exports2.name = null;
    exports2.isPR = null;
    vendors.forEach(function(vendor) {
      const envs = Array.isArray(vendor.env) ? vendor.env : [vendor.env];
      const isCI = envs.every(function(obj) {
        return checkEnv(obj);
      });
      exports2[vendor.constant] = isCI;
      if (!isCI) {
        return;
      }
      exports2.name = vendor.name;
      switch (typeof vendor.pr) {
        case "string":
          exports2.isPR = !!env3[vendor.pr];
          break;
        case "object":
          if ("env" in vendor.pr) {
            exports2.isPR = vendor.pr.env in env3 && env3[vendor.pr.env] !== vendor.pr.ne;
          } else if ("any" in vendor.pr) {
            exports2.isPR = vendor.pr.any.some(function(key) {
              return !!env3[key];
            });
          } else {
            exports2.isPR = checkEnv(vendor.pr);
          }
          break;
        default:
          exports2.isPR = null;
      }
    });
    exports2.isCI = !!(env3.CI !== "false" && // Bypass all checks if CI env is explicitly set to 'false'
    (env3.BUILD_ID || // Jenkins, Cloudbees
    env3.BUILD_NUMBER || // Jenkins, TeamCity
    env3.CI || // Travis CI, CircleCI, Cirrus CI, Gitlab CI, Appveyor, CodeShip, dsari
    env3.CI_APP_ID || // Appflow
    env3.CI_BUILD_ID || // Appflow
    env3.CI_BUILD_NUMBER || // Appflow
    env3.CI_NAME || // Codeship and others
    env3.CONTINUOUS_INTEGRATION || // Travis CI, Cirrus CI
    env3.RUN_ID || // TaskCluster, dsari
    exports2.name || false));
    function checkEnv(obj) {
      if (typeof obj === "string")
        return !!env3[obj];
      if ("env" in obj) {
        return env3[obj.env] && env3[obj.env].includes(obj.includes);
      }
      if ("any" in obj) {
        return obj.any.some(function(k) {
          return !!env3[k];
        });
      }
      return Object.keys(obj).every(function(k) {
        return env3[k] === obj[k];
      });
    }
  }
});

// ../../node_modules/.pnpm/checkpoint-client@1.1.27/node_modules/checkpoint-client/dist/index.js
var require_dist4 = __commonJS({
  "../../node_modules/.pnpm/checkpoint-client@1.1.27/node_modules/checkpoint-client/dist/index.js"(exports, module) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var path$2 = require("path");
    var os$1 = require("os");
    var require$$0 = require("fs");
    var require$$2 = require("util");
    var fs$1 = require("fs/promises");
    var crypto = require("crypto");
    var child_process = require("child_process");
    function _interopDefaultLegacy(e3) {
      return e3 && typeof e3 === "object" && "default" in e3 ? e3 : { "default": e3 };
    }
    var path__default = /* @__PURE__ */ _interopDefaultLegacy(path$2);
    var os__default = /* @__PURE__ */ _interopDefaultLegacy(os$1);
    var require$$0__default = /* @__PURE__ */ _interopDefaultLegacy(require$$0);
    var require$$2__default = /* @__PURE__ */ _interopDefaultLegacy(require$$2);
    var fs__default = /* @__PURE__ */ _interopDefaultLegacy(fs$1);
    var crypto__default = /* @__PURE__ */ _interopDefaultLegacy(crypto);
    var rnds8Pool = new Uint8Array(256);
    var poolPtr = rnds8Pool.length;
    function rng() {
      if (poolPtr > rnds8Pool.length - 16) {
        crypto__default["default"].randomFillSync(rnds8Pool);
        poolPtr = 0;
      }
      return rnds8Pool.slice(poolPtr, poolPtr += 16);
    }
    var byteToHex = [];
    for (let i4 = 0; i4 < 256; ++i4) {
      byteToHex.push((i4 + 256).toString(16).slice(1));
    }
    function unsafeStringify(arr, offset = 0) {
      return (byteToHex[arr[offset + 0]] + byteToHex[arr[offset + 1]] + byteToHex[arr[offset + 2]] + byteToHex[arr[offset + 3]] + "-" + byteToHex[arr[offset + 4]] + byteToHex[arr[offset + 5]] + "-" + byteToHex[arr[offset + 6]] + byteToHex[arr[offset + 7]] + "-" + byteToHex[arr[offset + 8]] + byteToHex[arr[offset + 9]] + "-" + byteToHex[arr[offset + 10]] + byteToHex[arr[offset + 11]] + byteToHex[arr[offset + 12]] + byteToHex[arr[offset + 13]] + byteToHex[arr[offset + 14]] + byteToHex[arr[offset + 15]]).toLowerCase();
    }
    var native = {
      randomUUID: crypto__default["default"].randomUUID
    };
    function v4(options2, buf, offset) {
      if (native.randomUUID && !buf && !options2) {
        return native.randomUUID();
      }
      options2 = options2 || {};
      const rnds = options2.random || (options2.rng || rng)();
      rnds[6] = rnds[6] & 15 | 64;
      rnds[8] = rnds[8] & 63 | 128;
      if (buf) {
        offset = offset || 0;
        for (let i4 = 0; i4 < 16; ++i4) {
          buf[offset + i4] = rnds[i4];
        }
        return buf;
      }
      return unsafeStringify(rnds);
    }
    var envPaths$1 = { exports: {} };
    var path$1 = path__default["default"];
    var os = os__default["default"];
    var homedir = os.homedir();
    var tmpdir = os.tmpdir();
    var { env } = process;
    var macos = (name) => {
      const library = path$1.join(homedir, "Library");
      return {
        data: path$1.join(library, "Application Support", name),
        config: path$1.join(library, "Preferences", name),
        cache: path$1.join(library, "Caches", name),
        log: path$1.join(library, "Logs", name),
        temp: path$1.join(tmpdir, name)
      };
    };
    var windows = (name) => {
      const appData = env.APPDATA || path$1.join(homedir, "AppData", "Roaming");
      const localAppData = env.LOCALAPPDATA || path$1.join(homedir, "AppData", "Local");
      return {
        // Data/config/cache/log are invented by me as Windows isn't opinionated about this
        data: path$1.join(localAppData, name, "Data"),
        config: path$1.join(appData, name, "Config"),
        cache: path$1.join(localAppData, name, "Cache"),
        log: path$1.join(localAppData, name, "Log"),
        temp: path$1.join(tmpdir, name)
      };
    };
    var linux = (name) => {
      const username = path$1.basename(homedir);
      return {
        data: path$1.join(env.XDG_DATA_HOME || path$1.join(homedir, ".local", "share"), name),
        config: path$1.join(env.XDG_CONFIG_HOME || path$1.join(homedir, ".config"), name),
        cache: path$1.join(env.XDG_CACHE_HOME || path$1.join(homedir, ".cache"), name),
        // https://wiki.debian.org/XDGBaseDirectorySpecification#state
        log: path$1.join(env.XDG_STATE_HOME || path$1.join(homedir, ".local", "state"), name),
        temp: path$1.join(tmpdir, username, name)
      };
    };
    var envPaths = (name, options2) => {
      if (typeof name !== "string") {
        throw new TypeError(`Expected string, got ${typeof name}`);
      }
      options2 = Object.assign({ suffix: "nodejs" }, options2);
      if (options2.suffix) {
        name += `-${options2.suffix}`;
      }
      if (process.platform === "darwin") {
        return macos(name);
      }
      if (process.platform === "win32") {
        return windows(name);
      }
      return linux(name);
    };
    envPaths$1.exports = envPaths;
    envPaths$1.exports.default = envPaths;
    var paths = envPaths$1.exports;
    var makeDir$2 = { exports: {} };
    var debug$1 = typeof process === "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? (...args3) => console.error("SEMVER", ...args3) : () => {
    };
    var debug_1 = debug$1;
    var SEMVER_SPEC_VERSION = "2.0.0";
    var MAX_LENGTH$1 = 256;
    var MAX_SAFE_INTEGER$1 = Number.MAX_SAFE_INTEGER || /* istanbul ignore next */
    9007199254740991;
    var MAX_SAFE_COMPONENT_LENGTH = 16;
    var MAX_SAFE_BUILD_LENGTH = MAX_LENGTH$1 - 6;
    var RELEASE_TYPES = [
      "major",
      "premajor",
      "minor",
      "preminor",
      "patch",
      "prepatch",
      "prerelease"
    ];
    var constants = {
      MAX_LENGTH: MAX_LENGTH$1,
      MAX_SAFE_COMPONENT_LENGTH,
      MAX_SAFE_BUILD_LENGTH,
      MAX_SAFE_INTEGER: MAX_SAFE_INTEGER$1,
      RELEASE_TYPES,
      SEMVER_SPEC_VERSION,
      FLAG_INCLUDE_PRERELEASE: 1,
      FLAG_LOOSE: 2
    };
    var re$1 = { exports: {} };
    (function(module2, exports2) {
      const { MAX_SAFE_COMPONENT_LENGTH: MAX_SAFE_COMPONENT_LENGTH2, MAX_SAFE_BUILD_LENGTH: MAX_SAFE_BUILD_LENGTH2 } = constants;
      const debug30 = debug_1;
      exports2 = module2.exports = {};
      const re2 = exports2.re = [];
      const safeRe = exports2.safeRe = [];
      const src2 = exports2.src = [];
      const t9 = exports2.t = {};
      let R = 0;
      const LETTERDASHNUMBER = "[a-zA-Z0-9-]";
      const safeRegexReplacements = [
        ["\\s", 1],
        ["\\d", MAX_SAFE_COMPONENT_LENGTH2],
        [LETTERDASHNUMBER, MAX_SAFE_BUILD_LENGTH2]
      ];
      const makeSafeRegex = (value) => {
        for (const [token, max] of safeRegexReplacements) {
          value = value.split(`${token}*`).join(`${token}{0,${max}}`).split(`${token}+`).join(`${token}{1,${max}}`);
        }
        return value;
      };
      const createToken = (name, value, isGlobal) => {
        const safe = makeSafeRegex(value);
        const index2 = R++;
        debug30(name, index2, value);
        t9[name] = index2;
        src2[index2] = value;
        re2[index2] = new RegExp(value, isGlobal ? "g" : void 0);
        safeRe[index2] = new RegExp(safe, isGlobal ? "g" : void 0);
      };
      createToken("NUMERICIDENTIFIER", "0|[1-9]\\d*");
      createToken("NUMERICIDENTIFIERLOOSE", "\\d+");
      createToken("NONNUMERICIDENTIFIER", `\\d*[a-zA-Z-]${LETTERDASHNUMBER}*`);
      createToken("MAINVERSION", `(${src2[t9.NUMERICIDENTIFIER]})\\.(${src2[t9.NUMERICIDENTIFIER]})\\.(${src2[t9.NUMERICIDENTIFIER]})`);
      createToken("MAINVERSIONLOOSE", `(${src2[t9.NUMERICIDENTIFIERLOOSE]})\\.(${src2[t9.NUMERICIDENTIFIERLOOSE]})\\.(${src2[t9.NUMERICIDENTIFIERLOOSE]})`);
      createToken("PRERELEASEIDENTIFIER", `(?:${src2[t9.NUMERICIDENTIFIER]}|${src2[t9.NONNUMERICIDENTIFIER]})`);
      createToken("PRERELEASEIDENTIFIERLOOSE", `(?:${src2[t9.NUMERICIDENTIFIERLOOSE]}|${src2[t9.NONNUMERICIDENTIFIER]})`);
      createToken("PRERELEASE", `(?:-(${src2[t9.PRERELEASEIDENTIFIER]}(?:\\.${src2[t9.PRERELEASEIDENTIFIER]})*))`);
      createToken("PRERELEASELOOSE", `(?:-?(${src2[t9.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${src2[t9.PRERELEASEIDENTIFIERLOOSE]})*))`);
      createToken("BUILDIDENTIFIER", `${LETTERDASHNUMBER}+`);
      createToken("BUILD", `(?:\\+(${src2[t9.BUILDIDENTIFIER]}(?:\\.${src2[t9.BUILDIDENTIFIER]})*))`);
      createToken("FULLPLAIN", `v?${src2[t9.MAINVERSION]}${src2[t9.PRERELEASE]}?${src2[t9.BUILD]}?`);
      createToken("FULL", `^${src2[t9.FULLPLAIN]}$`);
      createToken("LOOSEPLAIN", `[v=\\s]*${src2[t9.MAINVERSIONLOOSE]}${src2[t9.PRERELEASELOOSE]}?${src2[t9.BUILD]}?`);
      createToken("LOOSE", `^${src2[t9.LOOSEPLAIN]}$`);
      createToken("GTLT", "((?:<|>)?=?)");
      createToken("XRANGEIDENTIFIERLOOSE", `${src2[t9.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`);
      createToken("XRANGEIDENTIFIER", `${src2[t9.NUMERICIDENTIFIER]}|x|X|\\*`);
      createToken("XRANGEPLAIN", `[v=\\s]*(${src2[t9.XRANGEIDENTIFIER]})(?:\\.(${src2[t9.XRANGEIDENTIFIER]})(?:\\.(${src2[t9.XRANGEIDENTIFIER]})(?:${src2[t9.PRERELEASE]})?${src2[t9.BUILD]}?)?)?`);
      createToken("XRANGEPLAINLOOSE", `[v=\\s]*(${src2[t9.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src2[t9.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src2[t9.XRANGEIDENTIFIERLOOSE]})(?:${src2[t9.PRERELEASELOOSE]})?${src2[t9.BUILD]}?)?)?`);
      createToken("XRANGE", `^${src2[t9.GTLT]}\\s*${src2[t9.XRANGEPLAIN]}$`);
      createToken("XRANGELOOSE", `^${src2[t9.GTLT]}\\s*${src2[t9.XRANGEPLAINLOOSE]}$`);
      createToken("COERCE", `${"(^|[^\\d])(\\d{1,"}${MAX_SAFE_COMPONENT_LENGTH2}})(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH2}}))?(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH2}}))?(?:$|[^\\d])`);
      createToken("COERCERTL", src2[t9.COERCE], true);
      createToken("LONETILDE", "(?:~>?)");
      createToken("TILDETRIM", `(\\s*)${src2[t9.LONETILDE]}\\s+`, true);
      exports2.tildeTrimReplace = "$1~";
      createToken("TILDE", `^${src2[t9.LONETILDE]}${src2[t9.XRANGEPLAIN]}$`);
      createToken("TILDELOOSE", `^${src2[t9.LONETILDE]}${src2[t9.XRANGEPLAINLOOSE]}$`);
      createToken("LONECARET", "(?:\\^)");
      createToken("CARETTRIM", `(\\s*)${src2[t9.LONECARET]}\\s+`, true);
      exports2.caretTrimReplace = "$1^";
      createToken("CARET", `^${src2[t9.LONECARET]}${src2[t9.XRANGEPLAIN]}$`);
      createToken("CARETLOOSE", `^${src2[t9.LONECARET]}${src2[t9.XRANGEPLAINLOOSE]}$`);
      createToken("COMPARATORLOOSE", `^${src2[t9.GTLT]}\\s*(${src2[t9.LOOSEPLAIN]})$|^$`);
      createToken("COMPARATOR", `^${src2[t9.GTLT]}\\s*(${src2[t9.FULLPLAIN]})$|^$`);
      createToken("COMPARATORTRIM", `(\\s*)${src2[t9.GTLT]}\\s*(${src2[t9.LOOSEPLAIN]}|${src2[t9.XRANGEPLAIN]})`, true);
      exports2.comparatorTrimReplace = "$1$2$3";
      createToken("HYPHENRANGE", `^\\s*(${src2[t9.XRANGEPLAIN]})\\s+-\\s+(${src2[t9.XRANGEPLAIN]})\\s*$`);
      createToken("HYPHENRANGELOOSE", `^\\s*(${src2[t9.XRANGEPLAINLOOSE]})\\s+-\\s+(${src2[t9.XRANGEPLAINLOOSE]})\\s*$`);
      createToken("STAR", "(<|>)?=?\\s*\\*");
      createToken("GTE0", "^\\s*>=\\s*0\\.0\\.0\\s*$");
      createToken("GTE0PRE", "^\\s*>=\\s*0\\.0\\.0-0\\s*$");
    })(re$1, re$1.exports);
    var looseOption = Object.freeze({ loose: true });
    var emptyOpts = Object.freeze({});
    var parseOptions$1 = (options2) => {
      if (!options2) {
        return emptyOpts;
      }
      if (typeof options2 !== "object") {
        return looseOption;
      }
      return options2;
    };
    var parseOptions_1 = parseOptions$1;
    var numeric = /^[0-9]+$/;
    var compareIdentifiers$1 = (a3, b6) => {
      const anum = numeric.test(a3);
      const bnum = numeric.test(b6);
      if (anum && bnum) {
        a3 = +a3;
        b6 = +b6;
      }
      return a3 === b6 ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a3 < b6 ? -1 : 1;
    };
    var rcompareIdentifiers = (a3, b6) => compareIdentifiers$1(b6, a3);
    var identifiers = {
      compareIdentifiers: compareIdentifiers$1,
      rcompareIdentifiers
    };
    var debug = debug_1;
    var { MAX_LENGTH, MAX_SAFE_INTEGER } = constants;
    var { safeRe: re, t } = re$1.exports;
    var parseOptions = parseOptions_1;
    var { compareIdentifiers } = identifiers;
    var SemVer$1 = class _SemVer$1 {
      constructor(version3, options2) {
        options2 = parseOptions(options2);
        if (version3 instanceof _SemVer$1) {
          if (version3.loose === !!options2.loose && version3.includePrerelease === !!options2.includePrerelease) {
            return version3;
          } else {
            version3 = version3.version;
          }
        } else if (typeof version3 !== "string") {
          throw new TypeError(`Invalid version. Must be a string. Got type "${typeof version3}".`);
        }
        if (version3.length > MAX_LENGTH) {
          throw new TypeError(
            `version is longer than ${MAX_LENGTH} characters`
          );
        }
        debug("SemVer", version3, options2);
        this.options = options2;
        this.loose = !!options2.loose;
        this.includePrerelease = !!options2.includePrerelease;
        const m3 = version3.trim().match(options2.loose ? re[t.LOOSE] : re[t.FULL]);
        if (!m3) {
          throw new TypeError(`Invalid Version: ${version3}`);
        }
        this.raw = version3;
        this.major = +m3[1];
        this.minor = +m3[2];
        this.patch = +m3[3];
        if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
          throw new TypeError("Invalid major version");
        }
        if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
          throw new TypeError("Invalid minor version");
        }
        if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
          throw new TypeError("Invalid patch version");
        }
        if (!m3[4]) {
          this.prerelease = [];
        } else {
          this.prerelease = m3[4].split(".").map((id2) => {
            if (/^[0-9]+$/.test(id2)) {
              const num = +id2;
              if (num >= 0 && num < MAX_SAFE_INTEGER) {
                return num;
              }
            }
            return id2;
          });
        }
        this.build = m3[5] ? m3[5].split(".") : [];
        this.format();
      }
      format() {
        this.version = `${this.major}.${this.minor}.${this.patch}`;
        if (this.prerelease.length) {
          this.version += `-${this.prerelease.join(".")}`;
        }
        return this.version;
      }
      toString() {
        return this.version;
      }
      compare(other) {
        debug("SemVer.compare", this.version, this.options, other);
        if (!(other instanceof _SemVer$1)) {
          if (typeof other === "string" && other === this.version) {
            return 0;
          }
          other = new _SemVer$1(other, this.options);
        }
        if (other.version === this.version) {
          return 0;
        }
        return this.compareMain(other) || this.comparePre(other);
      }
      compareMain(other) {
        if (!(other instanceof _SemVer$1)) {
          other = new _SemVer$1(other, this.options);
        }
        return compareIdentifiers(this.major, other.major) || compareIdentifiers(this.minor, other.minor) || compareIdentifiers(this.patch, other.patch);
      }
      comparePre(other) {
        if (!(other instanceof _SemVer$1)) {
          other = new _SemVer$1(other, this.options);
        }
        if (this.prerelease.length && !other.prerelease.length) {
          return -1;
        } else if (!this.prerelease.length && other.prerelease.length) {
          return 1;
        } else if (!this.prerelease.length && !other.prerelease.length) {
          return 0;
        }
        let i4 = 0;
        do {
          const a3 = this.prerelease[i4];
          const b6 = other.prerelease[i4];
          debug("prerelease compare", i4, a3, b6);
          if (a3 === void 0 && b6 === void 0) {
            return 0;
          } else if (b6 === void 0) {
            return 1;
          } else if (a3 === void 0) {
            return -1;
          } else if (a3 === b6) {
            continue;
          } else {
            return compareIdentifiers(a3, b6);
          }
        } while (++i4);
      }
      compareBuild(other) {
        if (!(other instanceof _SemVer$1)) {
          other = new _SemVer$1(other, this.options);
        }
        let i4 = 0;
        do {
          const a3 = this.build[i4];
          const b6 = other.build[i4];
          debug("prerelease compare", i4, a3, b6);
          if (a3 === void 0 && b6 === void 0) {
            return 0;
          } else if (b6 === void 0) {
            return 1;
          } else if (a3 === void 0) {
            return -1;
          } else if (a3 === b6) {
            continue;
          } else {
            return compareIdentifiers(a3, b6);
          }
        } while (++i4);
      }
      // preminor will bump the version up to the next minor release, and immediately
      // down to pre-release. premajor and prepatch work the same way.
      inc(release, identifier, identifierBase) {
        switch (release) {
          case "premajor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor = 0;
            this.major++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "preminor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "prepatch":
            this.prerelease.length = 0;
            this.inc("patch", identifier, identifierBase);
            this.inc("pre", identifier, identifierBase);
            break;
          case "prerelease":
            if (this.prerelease.length === 0) {
              this.inc("patch", identifier, identifierBase);
            }
            this.inc("pre", identifier, identifierBase);
            break;
          case "major":
            if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
              this.major++;
            }
            this.minor = 0;
            this.patch = 0;
            this.prerelease = [];
            break;
          case "minor":
            if (this.patch !== 0 || this.prerelease.length === 0) {
              this.minor++;
            }
            this.patch = 0;
            this.prerelease = [];
            break;
          case "patch":
            if (this.prerelease.length === 0) {
              this.patch++;
            }
            this.prerelease = [];
            break;
          case "pre": {
            const base = Number(identifierBase) ? 1 : 0;
            if (!identifier && identifierBase === false) {
              throw new Error("invalid increment argument: identifier is empty");
            }
            if (this.prerelease.length === 0) {
              this.prerelease = [base];
            } else {
              let i4 = this.prerelease.length;
              while (--i4 >= 0) {
                if (typeof this.prerelease[i4] === "number") {
                  this.prerelease[i4]++;
                  i4 = -2;
                }
              }
              if (i4 === -1) {
                if (identifier === this.prerelease.join(".") && identifierBase === false) {
                  throw new Error("invalid increment argument: identifier already exists");
                }
                this.prerelease.push(base);
              }
            }
            if (identifier) {
              let prerelease = [identifier, base];
              if (identifierBase === false) {
                prerelease = [identifier];
              }
              if (compareIdentifiers(this.prerelease[0], identifier) === 0) {
                if (isNaN(this.prerelease[1])) {
                  this.prerelease = prerelease;
                }
              } else {
                this.prerelease = prerelease;
              }
            }
            break;
          }
          default:
            throw new Error(`invalid increment argument: ${release}`);
        }
        this.raw = this.format();
        if (this.build.length) {
          this.raw += `+${this.build.join(".")}`;
        }
        return this;
      }
    };
    var semver = SemVer$1;
    var SemVer = semver;
    var compare$1 = (a3, b6, loose) => new SemVer(a3, loose).compare(new SemVer(b6, loose));
    var compare_1 = compare$1;
    var compare = compare_1;
    var gte = (a3, b6, loose) => compare(a3, b6, loose) >= 0;
    var gte_1 = gte;
    var fs = require$$0__default["default"];
    var path = path__default["default"];
    var { promisify } = require$$2__default["default"];
    var semverGte = gte_1;
    var useNativeRecursiveOption = semverGte(process.version, "10.12.0");
    var checkPath = (pth) => {
      if (process.platform === "win32") {
        const pathHasInvalidWinCharacters = /[<>:"|?*]/.test(pth.replace(path.parse(pth).root, ""));
        if (pathHasInvalidWinCharacters) {
          const error2 = new Error(`Path contains invalid characters: ${pth}`);
          error2.code = "EINVAL";
          throw error2;
        }
      }
    };
    var processOptions = (options2) => {
      const defaults = {
        mode: 511,
        fs
      };
      return {
        ...defaults,
        ...options2
      };
    };
    var permissionError = (pth) => {
      const error2 = new Error(`operation not permitted, mkdir '${pth}'`);
      error2.code = "EPERM";
      error2.errno = -4048;
      error2.path = pth;
      error2.syscall = "mkdir";
      return error2;
    };
    var makeDir = async (input, options2) => {
      checkPath(input);
      options2 = processOptions(options2);
      const mkdir = promisify(options2.fs.mkdir);
      const stat = promisify(options2.fs.stat);
      if (useNativeRecursiveOption && options2.fs.mkdir === fs.mkdir) {
        const pth = path.resolve(input);
        await mkdir(pth, {
          mode: options2.mode,
          recursive: true
        });
        return pth;
      }
      const make = async (pth) => {
        try {
          await mkdir(pth, options2.mode);
          return pth;
        } catch (error2) {
          if (error2.code === "EPERM") {
            throw error2;
          }
          if (error2.code === "ENOENT") {
            if (path.dirname(pth) === pth) {
              throw permissionError(pth);
            }
            if (error2.message.includes("null bytes")) {
              throw error2;
            }
            await make(path.dirname(pth));
            return make(pth);
          }
          try {
            const stats = await stat(pth);
            if (!stats.isDirectory()) {
              throw new Error("The path is not a directory");
            }
          } catch {
            throw error2;
          }
          return pth;
        }
      };
      return make(path.resolve(input));
    };
    makeDir$2.exports = makeDir;
    makeDir$2.exports.sync = (input, options2) => {
      checkPath(input);
      options2 = processOptions(options2);
      if (useNativeRecursiveOption && options2.fs.mkdirSync === fs.mkdirSync) {
        const pth = path.resolve(input);
        fs.mkdirSync(pth, {
          mode: options2.mode,
          recursive: true
        });
        return pth;
      }
      const make = (pth) => {
        try {
          options2.fs.mkdirSync(pth, options2.mode);
        } catch (error2) {
          if (error2.code === "EPERM") {
            throw error2;
          }
          if (error2.code === "ENOENT") {
            if (path.dirname(pth) === pth) {
              throw permissionError(pth);
            }
            if (error2.message.includes("null bytes")) {
              throw error2;
            }
            make(path.dirname(pth));
            return make(pth);
          }
          try {
            if (!options2.fs.statSync(pth).isDirectory()) {
              throw new Error("The path is not a directory");
            }
          } catch {
            throw error2;
          }
        }
        return pth;
      };
      return make(path.resolve(input));
    };
    var makeDir$1 = makeDir$2.exports;
    var PRISMA_SIGNATURE = "signature";
    async function getSignature(signatureFile) {
      const dirs = paths("checkpoint");
      signatureFile = signatureFile || path__default["default"].join(dirs.cache, PRISMA_SIGNATURE);
      const signature = await readSignature(signatureFile);
      if (signature) {
        return signature;
      }
      return await createSignatureFile(signatureFile);
    }
    function isSignatureValid(signature) {
      return typeof signature === "string" && signature.length === 36;
    }
    async function readSignature(file2) {
      try {
        const data = await fs__default["default"].readFile(file2, "utf8");
        const { signature } = JSON.parse(data);
        if (isSignatureValid(signature)) {
          return signature;
        }
        return "";
      } catch (err) {
        return "";
      }
    }
    async function createSignatureFile(signatureFile, signature) {
      const signatureState = {
        signature: signature || v4()
      };
      await makeDir$1(path__default["default"].dirname(signatureFile));
      await fs__default["default"].writeFile(signatureFile, JSON.stringify(signatureState, null, "  "));
      return signatureState.signature;
    }
    async function getInfo() {
      const cachePath = paths("checkpoint").cache;
      if (!require$$0.existsSync(cachePath)) {
        await fs__default["default"].mkdir(cachePath, { recursive: true });
      }
      const dir3 = await fs__default["default"].readdir(cachePath);
      const cacheItems = [];
      for (const item2 of dir3) {
        if (!item2.includes("-")) {
          continue;
        }
        try {
          const jsonData = JSON.parse(await fs__default["default"].readFile(path__default["default"].join(cachePath, item2), { encoding: "utf-8" }));
          if (jsonData.output && !jsonData.output.cli_path_hash) {
            jsonData.output.cli_path_hash = item2.split("-")[1];
          }
          cacheItems.push(jsonData);
        } catch (e3) {
          console.error(e3);
        }
      }
      return {
        signature: await getSignature(),
        cachePath,
        cacheItems
      };
    }
    var defaultSchema = {
      last_reminder: 0,
      cached_at: 0,
      version: "",
      cli_path: "",
      // User output
      output: {
        client_event_id: "",
        previous_client_event_id: "",
        product: "",
        cli_path_hash: "",
        local_timestamp: "",
        previous_version: "",
        current_version: "",
        current_release_date: 0,
        current_download_url: "",
        current_changelog_url: "",
        package: "",
        release_tag: "",
        install_command: "",
        project_website: "",
        outdated: false,
        alerts: []
      }
    };
    var Config = class _Config {
      static async new(state, schema = defaultSchema) {
        await makeDir$1(path__default["default"].dirname(state.cache_file));
        return new _Config(state, schema);
      }
      constructor(state, defaultSchema3) {
        this.state = state;
        this.defaultSchema = defaultSchema3;
      }
      // check and return the cache if (matches version or hasn't expired)
      async checkCache(newState) {
        const now = newState.now();
        const cache = await this.all();
        if (!cache) {
          return { cache: void 0, stale: true };
        }
        if (newState.version !== cache.version) {
          return { cache, stale: true };
        }
        if (now - cache.cached_at > newState.cache_duration) {
          return { cache, stale: true };
        }
        return { cache, stale: false };
      }
      // set the configuration
      async set(update) {
        const existing = await this.all() || {};
        const schema = Object.assign(existing, update);
        for (let k in this.defaultSchema) {
          if (typeof schema[k] === "undefined") {
            schema[k] = this.defaultSchema[k];
          }
        }
        await fs__default["default"].writeFile(this.state.cache_file, JSON.stringify(schema, null, "  "));
      }
      // get the entire schema
      async all() {
        try {
          const data = await fs__default["default"].readFile(this.state.cache_file, "utf8");
          return JSON.parse(data);
        } catch (err) {
          return;
        }
      }
      // get a value from the schema
      async get(key) {
        const schema = await this.all();
        if (typeof schema === "undefined") {
          return;
        }
        return schema[key];
      }
      // reset the configuration
      async reset() {
        await fs__default["default"].writeFile(this.state.cache_file, JSON.stringify(this.defaultSchema, null, "  "));
        return;
      }
      // delete the configuration, ignoring any errors
      async delete() {
        try {
          await fs__default["default"].unlink(this.state.cache_file);
          return;
        } catch (err) {
          return;
        }
      }
    };
    var s = 1e3;
    var m = s * 60;
    var h = m * 60;
    var d = h * 24;
    var w = d * 7;
    var y = d * 365.25;
    var ms = function(val, options2) {
      options2 = options2 || {};
      var type = typeof val;
      if (type === "string" && val.length > 0) {
        return parse(val);
      } else if (type === "number" && isFinite(val)) {
        return options2.long ? fmtLong(val) : fmtShort(val);
      }
      throw new Error(
        "val is not a non-empty string or a valid number. val=" + JSON.stringify(val)
      );
    };
    function parse(str) {
      str = String(str);
      if (str.length > 100) {
        return;
      }
      var match4 = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(
        str
      );
      if (!match4) {
        return;
      }
      var n2 = parseFloat(match4[1]);
      var type = (match4[2] || "ms").toLowerCase();
      switch (type) {
        case "years":
        case "year":
        case "yrs":
        case "yr":
        case "y":
          return n2 * y;
        case "weeks":
        case "week":
        case "w":
          return n2 * w;
        case "days":
        case "day":
        case "d":
          return n2 * d;
        case "hours":
        case "hour":
        case "hrs":
        case "hr":
        case "h":
          return n2 * h;
        case "minutes":
        case "minute":
        case "mins":
        case "min":
        case "m":
          return n2 * m;
        case "seconds":
        case "second":
        case "secs":
        case "sec":
        case "s":
          return n2 * s;
        case "milliseconds":
        case "millisecond":
        case "msecs":
        case "msec":
        case "ms":
          return n2;
        default:
          return void 0;
      }
    }
    function fmtShort(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d) {
        return Math.round(ms2 / d) + "d";
      }
      if (msAbs >= h) {
        return Math.round(ms2 / h) + "h";
      }
      if (msAbs >= m) {
        return Math.round(ms2 / m) + "m";
      }
      if (msAbs >= s) {
        return Math.round(ms2 / s) + "s";
      }
      return ms2 + "ms";
    }
    function fmtLong(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d) {
        return plural(ms2, msAbs, d, "day");
      }
      if (msAbs >= h) {
        return plural(ms2, msAbs, h, "hour");
      }
      if (msAbs >= m) {
        return plural(ms2, msAbs, m, "minute");
      }
      if (msAbs >= s) {
        return plural(ms2, msAbs, s, "second");
      }
      return ms2 + " ms";
    }
    function plural(ms2, msAbs, n2, name) {
      var isPlural = msAbs >= n2 * 1.5;
      return Math.round(ms2 / n2) + " " + name + (isPlural ? "s" : "");
    }
    var childPath = path__default["default"].join(eval("__dirname"), "child");
    async function check(input) {
      const defaultCache = getCacheFile(input.product, input.cli_path_hash || "default");
      const ci = require_ci_info();
      const state = {
        product: input.product,
        version: input.version,
        cli_install_type: input.cli_install_type || "",
        information: input.information || "",
        local_timestamp: input.local_timestamp || rfc3339(/* @__PURE__ */ new Date()),
        project_hash: input.project_hash,
        cli_path: input.cli_path || "",
        cli_path_hash: input.cli_path_hash || "",
        endpoint: input.endpoint || "https://checkpoint.prisma.io",
        disable: typeof input.disable === "undefined" ? false : input.disable,
        arch: input.arch || os__default["default"].arch(),
        os: input.os || os__default["default"].platform(),
        node_version: input.node_version || process.version,
        ci: typeof input.ci !== "undefined" ? input.ci : ci.isCI,
        ci_name: typeof input.ci_name !== "undefined" ? input.ci_name || "" : ci.name || "",
        command: input.command || "",
        schema_providers: input.schema_providers || [],
        schema_preview_features: input.schema_preview_features || [],
        schema_generators_providers: input.schema_generators_providers || [],
        cache_file: input.cache_file || defaultCache,
        cache_duration: typeof input.cache_duration === "undefined" ? ms("12h") : input.cache_duration,
        remind_duration: typeof input.remind_duration === "undefined" ? ms("48h") : input.remind_duration,
        force: typeof input.force === "undefined" ? false : input.force,
        timeout: getTimeout(input.timeout),
        unref: typeof input.unref === "undefined" ? true : input.unref,
        child_path: input.child_path || childPath,
        now: () => Date.now(),
        client_event_id: input.client_event_id || "",
        previous_client_event_id: input.previous_client_event_id || "",
        check_if_update_available: false
      };
      if ((process.env["CHECKPOINT_DISABLE"] || state.disable) && !state.force) {
        return {
          status: "disabled"
        };
      }
      const config2 = await Config.new(state);
      const cacheResponse = await config2.checkCache(state);
      state.check_if_update_available = cacheResponse.stale === true || !cacheResponse.cache;
      const child = spawn(state);
      if (state.unref) {
        child.unref();
        child.disconnect();
      }
      if (cacheResponse.stale === true || !cacheResponse.cache) {
        return {
          status: "waiting",
          data: child
        };
      }
      for (const key of Object.keys(state)) {
        if (state[key]) {
          await config2.set({
            [key]: state[key]
          });
        }
      }
      const userReminded = state.now() - cacheResponse.cache.last_reminder < state.remind_duration;
      if (userReminded) {
        return {
          status: "reminded",
          data: cacheResponse.cache.output
        };
      }
      await config2.set({
        last_reminder: state.now()
      });
      return {
        status: "ok",
        data: cacheResponse.cache.output
      };
    }
    function getCacheFile(product, cacheIdentifier) {
      const dirs = paths(`checkpoint`);
      return path__default["default"].join(dirs.cache, `${product}-${cacheIdentifier}`);
    }
    function getTimeout(inputTimeout) {
      if (typeof inputTimeout !== "undefined") {
        return inputTimeout;
      }
      const timeoutString = process.env["CHECKPOINT_TIMEOUT"];
      if (typeof timeoutString === "undefined") {
        return 5e3;
      }
      const timeout2 = parseInt(timeoutString, 10);
      if (isNaN(timeout2)) {
        return 5e3;
      }
      return timeout2;
    }
    function getForkOpts(state) {
      if (state.unref === true) {
        return {
          detached: true,
          // When CHECKPOINT_DEBUG_STDOUT !== undefined, use 'inherit' to let the child print the debug output
          stdio: process.env.CHECKPOINT_DEBUG_STDOUT ? "inherit" : "ignore",
          env: process.env
        };
      }
      return { detached: false, stdio: "pipe", env: process.env };
    }
    function spawn(state) {
      return child_process.fork(childPath, [JSON.stringify(state)], getForkOpts(state));
    }
    function rfc3339(d3) {
      function pad(n2) {
        return n2 < 10 ? "0" + n2 : n2;
      }
      function timezoneOffset(offset) {
        let sign;
        if (offset === 0) {
          return "Z";
        }
        sign = offset > 0 ? "-" : "+";
        offset = Math.abs(offset);
        return sign + pad(Math.floor(offset / 60)) + ":" + pad(offset % 60);
      }
      return d3.getFullYear() + "-" + pad(d3.getMonth() + 1) + "-" + pad(d3.getDate()) + "T" + pad(d3.getHours()) + ":" + pad(d3.getMinutes()) + ":" + pad(d3.getSeconds()) + timezoneOffset(d3.getTimezoneOffset());
    }
    exports.check = check;
    exports.getInfo = getInfo;
    exports.getSignature = getSignature;
  }
});

// ../../node_modules/.pnpm/ansi-regex@5.0.1/node_modules/ansi-regex/index.js
var require_ansi_regex = __commonJS({
  "../../node_modules/.pnpm/ansi-regex@5.0.1/node_modules/ansi-regex/index.js"(exports2, module2) {
    "use strict";
    module2.exports = ({ onlyFirst = false } = {}) => {
      const pattern = [
        "[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)",
        "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-ntqry=><~]))"
      ].join("|");
      return new RegExp(pattern, onlyFirst ? void 0 : "g");
    };
  }
});

// ../../node_modules/.pnpm/strip-ansi@6.0.1/node_modules/strip-ansi/index.js
var require_strip_ansi = __commonJS({
  "../../node_modules/.pnpm/strip-ansi@6.0.1/node_modules/strip-ansi/index.js"(exports2, module2) {
    "use strict";
    var ansiRegex = require_ansi_regex();
    module2.exports = (string) => typeof string === "string" ? string.replace(ansiRegex(), "") : string;
  }
});

// ../../node_modules/.pnpm/tmp@0.2.1/node_modules/tmp/lib/tmp.js
var require_tmp = __commonJS({
  "../../node_modules/.pnpm/tmp@0.2.1/node_modules/tmp/lib/tmp.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var os7 = require("os");
    var path39 = require("path");
    var crypto4 = require("crypto");
    var _c = { fs: fs42.constants, os: os7.constants };
    var rimraf3 = require_rimraf();
    var RANDOM_CHARS = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
    var TEMPLATE_PATTERN = /XXXXXX/;
    var DEFAULT_TRIES = 3;
    var CREATE_FLAGS = (_c.O_CREAT || _c.fs.O_CREAT) | (_c.O_EXCL || _c.fs.O_EXCL) | (_c.O_RDWR || _c.fs.O_RDWR);
    var IS_WIN32 = os7.platform() === "win32";
    var EBADF = _c.EBADF || _c.os.errno.EBADF;
    var ENOENT = _c.ENOENT || _c.os.errno.ENOENT;
    var DIR_MODE = 448;
    var FILE_MODE = 384;
    var EXIT = "exit";
    var _removeObjects = [];
    var FN_RMDIR_SYNC = fs42.rmdirSync.bind(fs42);
    var FN_RIMRAF_SYNC = rimraf3.sync;
    var _gracefulCleanup = false;
    function tmpName(options2, callback) {
      const args3 = _parseArguments(options2, callback), opts2 = args3[0], cb2 = args3[1];
      try {
        _assertAndSanitizeOptions(opts2);
      } catch (err) {
        return cb2(err);
      }
      let tries = opts2.tries;
      (function _getUniqueName() {
        try {
          const name = _generateTmpName(opts2);
          fs42.stat(name, function(err) {
            if (!err) {
              if (tries-- > 0)
                return _getUniqueName();
              return cb2(new Error("Could not get a unique tmp filename, max tries reached " + name));
            }
            cb2(null, name);
          });
        } catch (err) {
          cb2(err);
        }
      })();
    }
    function tmpNameSync(options2) {
      const args3 = _parseArguments(options2), opts2 = args3[0];
      _assertAndSanitizeOptions(opts2);
      let tries = opts2.tries;
      do {
        const name = _generateTmpName(opts2);
        try {
          fs42.statSync(name);
        } catch (e3) {
          return name;
        }
      } while (tries-- > 0);
      throw new Error("Could not get a unique tmp filename, max tries reached");
    }
    function file2(options2, callback) {
      const args3 = _parseArguments(options2, callback), opts2 = args3[0], cb2 = args3[1];
      tmpName(opts2, function _tmpNameCreated(err, name) {
        if (err)
          return cb2(err);
        fs42.open(name, CREATE_FLAGS, opts2.mode || FILE_MODE, function _fileCreated(err2, fd) {
          if (err2)
            return cb2(err2);
          if (opts2.discardDescriptor) {
            return fs42.close(fd, function _discardCallback(possibleErr) {
              return cb2(possibleErr, name, void 0, _prepareTmpFileRemoveCallback(name, -1, opts2, false));
            });
          } else {
            const discardOrDetachDescriptor = opts2.discardDescriptor || opts2.detachDescriptor;
            cb2(null, name, fd, _prepareTmpFileRemoveCallback(name, discardOrDetachDescriptor ? -1 : fd, opts2, false));
          }
        });
      });
    }
    function fileSync(options2) {
      const args3 = _parseArguments(options2), opts2 = args3[0];
      const discardOrDetachDescriptor = opts2.discardDescriptor || opts2.detachDescriptor;
      const name = tmpNameSync(opts2);
      var fd = fs42.openSync(name, CREATE_FLAGS, opts2.mode || FILE_MODE);
      if (opts2.discardDescriptor) {
        fs42.closeSync(fd);
        fd = void 0;
      }
      return {
        name,
        fd,
        removeCallback: _prepareTmpFileRemoveCallback(name, discardOrDetachDescriptor ? -1 : fd, opts2, true)
      };
    }
    function dir3(options2, callback) {
      const args3 = _parseArguments(options2, callback), opts2 = args3[0], cb2 = args3[1];
      tmpName(opts2, function _tmpNameCreated(err, name) {
        if (err)
          return cb2(err);
        fs42.mkdir(name, opts2.mode || DIR_MODE, function _dirCreated(err2) {
          if (err2)
            return cb2(err2);
          cb2(null, name, _prepareTmpDirRemoveCallback(name, opts2, false));
        });
      });
    }
    function dirSync(options2) {
      const args3 = _parseArguments(options2), opts2 = args3[0];
      const name = tmpNameSync(opts2);
      fs42.mkdirSync(name, opts2.mode || DIR_MODE);
      return {
        name,
        removeCallback: _prepareTmpDirRemoveCallback(name, opts2, true)
      };
    }
    function _removeFileAsync(fdPath, next) {
      const _handler = function(err) {
        if (err && !_isENOENT(err)) {
          return next(err);
        }
        next();
      };
      if (0 <= fdPath[0])
        fs42.close(fdPath[0], function() {
          fs42.unlink(fdPath[1], _handler);
        });
      else
        fs42.unlink(fdPath[1], _handler);
    }
    function _removeFileSync(fdPath) {
      let rethrownException = null;
      try {
        if (0 <= fdPath[0])
          fs42.closeSync(fdPath[0]);
      } catch (e3) {
        if (!_isEBADF(e3) && !_isENOENT(e3))
          throw e3;
      } finally {
        try {
          fs42.unlinkSync(fdPath[1]);
        } catch (e3) {
          if (!_isENOENT(e3))
            rethrownException = e3;
        }
      }
      if (rethrownException !== null) {
        throw rethrownException;
      }
    }
    function _prepareTmpFileRemoveCallback(name, fd, opts2, sync2) {
      const removeCallbackSync = _prepareRemoveCallback(_removeFileSync, [fd, name], sync2);
      const removeCallback = _prepareRemoveCallback(_removeFileAsync, [fd, name], sync2, removeCallbackSync);
      if (!opts2.keep)
        _removeObjects.unshift(removeCallbackSync);
      return sync2 ? removeCallbackSync : removeCallback;
    }
    function _prepareTmpDirRemoveCallback(name, opts2, sync2) {
      const removeFunction = opts2.unsafeCleanup ? rimraf3 : fs42.rmdir.bind(fs42);
      const removeFunctionSync = opts2.unsafeCleanup ? FN_RIMRAF_SYNC : FN_RMDIR_SYNC;
      const removeCallbackSync = _prepareRemoveCallback(removeFunctionSync, name, sync2);
      const removeCallback = _prepareRemoveCallback(removeFunction, name, sync2, removeCallbackSync);
      if (!opts2.keep)
        _removeObjects.unshift(removeCallbackSync);
      return sync2 ? removeCallbackSync : removeCallback;
    }
    function _prepareRemoveCallback(removeFunction, fileOrDirName, sync2, cleanupCallbackSync) {
      let called = false;
      return function _cleanupCallback(next) {
        if (!called) {
          const toRemove = cleanupCallbackSync || _cleanupCallback;
          const index2 = _removeObjects.indexOf(toRemove);
          if (index2 >= 0)
            _removeObjects.splice(index2, 1);
          called = true;
          if (sync2 || removeFunction === FN_RMDIR_SYNC || removeFunction === FN_RIMRAF_SYNC) {
            return removeFunction(fileOrDirName);
          } else {
            return removeFunction(fileOrDirName, next || function() {
            });
          }
        }
      };
    }
    function _garbageCollector() {
      if (!_gracefulCleanup)
        return;
      while (_removeObjects.length) {
        try {
          _removeObjects[0]();
        } catch (e3) {
        }
      }
    }
    function _randomChars(howMany) {
      let value = [], rnd = null;
      try {
        rnd = crypto4.randomBytes(howMany);
      } catch (e3) {
        rnd = crypto4.pseudoRandomBytes(howMany);
      }
      for (var i4 = 0; i4 < howMany; i4++) {
        value.push(RANDOM_CHARS[rnd[i4] % RANDOM_CHARS.length]);
      }
      return value.join("");
    }
    function _isBlank(s3) {
      return s3 === null || _isUndefined(s3) || !s3.trim();
    }
    function _isUndefined(obj) {
      return typeof obj === "undefined";
    }
    function _parseArguments(options2, callback) {
      if (typeof options2 === "function") {
        return [{}, options2];
      }
      if (_isUndefined(options2)) {
        return [{}, callback];
      }
      const actualOptions = {};
      for (const key of Object.getOwnPropertyNames(options2)) {
        actualOptions[key] = options2[key];
      }
      return [actualOptions, callback];
    }
    function _generateTmpName(opts2) {
      const tmpDir = opts2.tmpdir;
      if (!_isUndefined(opts2.name))
        return path39.join(tmpDir, opts2.dir, opts2.name);
      if (!_isUndefined(opts2.template))
        return path39.join(tmpDir, opts2.dir, opts2.template).replace(TEMPLATE_PATTERN, _randomChars(6));
      const name = [
        opts2.prefix ? opts2.prefix : "tmp",
        "-",
        process.pid,
        "-",
        _randomChars(12),
        opts2.postfix ? "-" + opts2.postfix : ""
      ].join("");
      return path39.join(tmpDir, opts2.dir, name);
    }
    function _assertAndSanitizeOptions(options2) {
      options2.tmpdir = _getTmpDir(options2);
      const tmpDir = options2.tmpdir;
      if (!_isUndefined(options2.name))
        _assertIsRelative(options2.name, "name", tmpDir);
      if (!_isUndefined(options2.dir))
        _assertIsRelative(options2.dir, "dir", tmpDir);
      if (!_isUndefined(options2.template)) {
        _assertIsRelative(options2.template, "template", tmpDir);
        if (!options2.template.match(TEMPLATE_PATTERN))
          throw new Error(`Invalid template, found "${options2.template}".`);
      }
      if (!_isUndefined(options2.tries) && isNaN(options2.tries) || options2.tries < 0)
        throw new Error(`Invalid tries, found "${options2.tries}".`);
      options2.tries = _isUndefined(options2.name) ? options2.tries || DEFAULT_TRIES : 1;
      options2.keep = !!options2.keep;
      options2.detachDescriptor = !!options2.detachDescriptor;
      options2.discardDescriptor = !!options2.discardDescriptor;
      options2.unsafeCleanup = !!options2.unsafeCleanup;
      options2.dir = _isUndefined(options2.dir) ? "" : path39.relative(tmpDir, _resolvePath(options2.dir, tmpDir));
      options2.template = _isUndefined(options2.template) ? void 0 : path39.relative(tmpDir, _resolvePath(options2.template, tmpDir));
      options2.template = _isBlank(options2.template) ? void 0 : path39.relative(options2.dir, options2.template);
      options2.name = _isUndefined(options2.name) ? void 0 : _sanitizeName(options2.name);
      options2.prefix = _isUndefined(options2.prefix) ? "" : options2.prefix;
      options2.postfix = _isUndefined(options2.postfix) ? "" : options2.postfix;
    }
    function _resolvePath(name, tmpDir) {
      const sanitizedName = _sanitizeName(name);
      if (sanitizedName.startsWith(tmpDir)) {
        return path39.resolve(sanitizedName);
      } else {
        return path39.resolve(path39.join(tmpDir, sanitizedName));
      }
    }
    function _sanitizeName(name) {
      if (_isBlank(name)) {
        return name;
      }
      return name.replace(/["']/g, "");
    }
    function _assertIsRelative(name, option, tmpDir) {
      if (option === "name") {
        if (path39.isAbsolute(name))
          throw new Error(`${option} option must not contain an absolute path, found "${name}".`);
        let basename = path39.basename(name);
        if (basename === ".." || basename === "." || basename !== name)
          throw new Error(`${option} option must not contain a path, found "${name}".`);
      } else {
        if (path39.isAbsolute(name) && !name.startsWith(tmpDir)) {
          throw new Error(`${option} option must be relative to "${tmpDir}", found "${name}".`);
        }
        let resolvedPath = _resolvePath(name, tmpDir);
        if (!resolvedPath.startsWith(tmpDir))
          throw new Error(`${option} option must be relative to "${tmpDir}", found "${resolvedPath}".`);
      }
    }
    function _isEBADF(error2) {
      return _isExpectedError(error2, -EBADF, "EBADF");
    }
    function _isENOENT(error2) {
      return _isExpectedError(error2, -ENOENT, "ENOENT");
    }
    function _isExpectedError(error2, errno, code) {
      return IS_WIN32 ? error2.code === code : error2.code === code && error2.errno === errno;
    }
    function setGracefulCleanup() {
      _gracefulCleanup = true;
    }
    function _getTmpDir(options2) {
      return path39.resolve(_sanitizeName(options2 && options2.tmpdir || os7.tmpdir()));
    }
    process.addListener(EXIT, _garbageCollector);
    Object.defineProperty(module2.exports, "tmpdir", {
      enumerable: true,
      configurable: false,
      get: function() {
        return _getTmpDir();
      }
    });
    module2.exports.dir = dir3;
    module2.exports.dirSync = dirSync;
    module2.exports.file = file2;
    module2.exports.fileSync = fileSync;
    module2.exports.tmpName = tmpName;
    module2.exports.tmpNameSync = tmpNameSync;
    module2.exports.setGracefulCleanup = setGracefulCleanup;
  }
});

// ../../node_modules/.pnpm/kleur@3.0.3/node_modules/kleur/index.js
var require_kleur = __commonJS({
  "../../node_modules/.pnpm/kleur@3.0.3/node_modules/kleur/index.js"(exports2, module2) {
    "use strict";
    var { FORCE_COLOR: FORCE_COLOR3, NODE_DISABLE_COLORS: NODE_DISABLE_COLORS3, TERM: TERM3 } = process.env;
    var $3 = {
      enabled: !NODE_DISABLE_COLORS3 && TERM3 !== "dumb" && FORCE_COLOR3 !== "0",
      // modifiers
      reset: init3(0, 0),
      bold: init3(1, 22),
      dim: init3(2, 22),
      italic: init3(3, 23),
      underline: init3(4, 24),
      inverse: init3(7, 27),
      hidden: init3(8, 28),
      strikethrough: init3(9, 29),
      // colors
      black: init3(30, 39),
      red: init3(31, 39),
      green: init3(32, 39),
      yellow: init3(33, 39),
      blue: init3(34, 39),
      magenta: init3(35, 39),
      cyan: init3(36, 39),
      white: init3(37, 39),
      gray: init3(90, 39),
      grey: init3(90, 39),
      // background colors
      bgBlack: init3(40, 49),
      bgRed: init3(41, 49),
      bgGreen: init3(42, 49),
      bgYellow: init3(43, 49),
      bgBlue: init3(44, 49),
      bgMagenta: init3(45, 49),
      bgCyan: init3(46, 49),
      bgWhite: init3(47, 49)
    };
    function run2(arr, str) {
      let i4 = 0, tmp2, beg = "", end = "";
      for (; i4 < arr.length; i4++) {
        tmp2 = arr[i4];
        beg += tmp2.open;
        end += tmp2.close;
        if (str.includes(tmp2.close)) {
          str = str.replace(tmp2.rgx, tmp2.close + tmp2.open);
        }
      }
      return beg + str + end;
    }
    function chain4(has, keys) {
      let ctx = { has, keys };
      ctx.reset = $3.reset.bind(ctx);
      ctx.bold = $3.bold.bind(ctx);
      ctx.dim = $3.dim.bind(ctx);
      ctx.italic = $3.italic.bind(ctx);
      ctx.underline = $3.underline.bind(ctx);
      ctx.inverse = $3.inverse.bind(ctx);
      ctx.hidden = $3.hidden.bind(ctx);
      ctx.strikethrough = $3.strikethrough.bind(ctx);
      ctx.black = $3.black.bind(ctx);
      ctx.red = $3.red.bind(ctx);
      ctx.green = $3.green.bind(ctx);
      ctx.yellow = $3.yellow.bind(ctx);
      ctx.blue = $3.blue.bind(ctx);
      ctx.magenta = $3.magenta.bind(ctx);
      ctx.cyan = $3.cyan.bind(ctx);
      ctx.white = $3.white.bind(ctx);
      ctx.gray = $3.gray.bind(ctx);
      ctx.grey = $3.grey.bind(ctx);
      ctx.bgBlack = $3.bgBlack.bind(ctx);
      ctx.bgRed = $3.bgRed.bind(ctx);
      ctx.bgGreen = $3.bgGreen.bind(ctx);
      ctx.bgYellow = $3.bgYellow.bind(ctx);
      ctx.bgBlue = $3.bgBlue.bind(ctx);
      ctx.bgMagenta = $3.bgMagenta.bind(ctx);
      ctx.bgCyan = $3.bgCyan.bind(ctx);
      ctx.bgWhite = $3.bgWhite.bind(ctx);
      return ctx;
    }
    function init3(open3, close) {
      let blk = {
        open: `\x1B[${open3}m`,
        close: `\x1B[${close}m`,
        rgx: new RegExp(`\\x1b\\[${close}m`, "g")
      };
      return function(txt) {
        if (this !== void 0 && this.has !== void 0) {
          this.has.includes(open3) || (this.has.push(open3), this.keys.push(blk));
          return txt === void 0 ? this : $3.enabled ? run2(this.keys, txt + "") : txt + "";
        }
        return txt === void 0 ? chain4([open3], [blk]) : $3.enabled ? run2([blk], txt + "") : txt + "";
      };
    }
    module2.exports = $3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/action.js
var require_action = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/action.js"(exports2, module2) {
    "use strict";
    module2.exports = (key, isSelect) => {
      if (key.meta && key.name !== "escape")
        return;
      if (key.ctrl) {
        if (key.name === "a")
          return "first";
        if (key.name === "c")
          return "abort";
        if (key.name === "d")
          return "abort";
        if (key.name === "e")
          return "last";
        if (key.name === "g")
          return "reset";
      }
      if (isSelect) {
        if (key.name === "j")
          return "down";
        if (key.name === "k")
          return "up";
      }
      if (key.name === "return")
        return "submit";
      if (key.name === "enter")
        return "submit";
      if (key.name === "backspace")
        return "delete";
      if (key.name === "delete")
        return "deleteForward";
      if (key.name === "abort")
        return "abort";
      if (key.name === "escape")
        return "exit";
      if (key.name === "tab")
        return "next";
      if (key.name === "pagedown")
        return "nextPage";
      if (key.name === "pageup")
        return "prevPage";
      if (key.name === "home")
        return "home";
      if (key.name === "end")
        return "end";
      if (key.name === "up")
        return "up";
      if (key.name === "down")
        return "down";
      if (key.name === "right")
        return "right";
      if (key.name === "left")
        return "left";
      return false;
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/strip.js
var require_strip = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/strip.js"(exports2, module2) {
    "use strict";
    module2.exports = (str) => {
      const pattern = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)", "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))"].join("|");
      const RGX = new RegExp(pattern, "g");
      return typeof str === "string" ? str.replace(RGX, "") : str;
    };
  }
});

// ../../node_modules/.pnpm/sisteransi@1.0.5/node_modules/sisteransi/src/index.js
var require_src3 = __commonJS({
  "../../node_modules/.pnpm/sisteransi@1.0.5/node_modules/sisteransi/src/index.js"(exports2, module2) {
    "use strict";
    var ESC2 = "\x1B";
    var CSI2 = `${ESC2}[`;
    var beep2 = "\x07";
    var cursor2 = {
      to(x, y3) {
        if (!y3)
          return `${CSI2}${x + 1}G`;
        return `${CSI2}${y3 + 1};${x + 1}H`;
      },
      move(x, y3) {
        let ret = "";
        if (x < 0)
          ret += `${CSI2}${-x}D`;
        else if (x > 0)
          ret += `${CSI2}${x}C`;
        if (y3 < 0)
          ret += `${CSI2}${-y3}A`;
        else if (y3 > 0)
          ret += `${CSI2}${y3}B`;
        return ret;
      },
      up: (count = 1) => `${CSI2}${count}A`,
      down: (count = 1) => `${CSI2}${count}B`,
      forward: (count = 1) => `${CSI2}${count}C`,
      backward: (count = 1) => `${CSI2}${count}D`,
      nextLine: (count = 1) => `${CSI2}E`.repeat(count),
      prevLine: (count = 1) => `${CSI2}F`.repeat(count),
      left: `${CSI2}G`,
      hide: `${CSI2}?25l`,
      show: `${CSI2}?25h`,
      save: `${ESC2}7`,
      restore: `${ESC2}8`
    };
    var scroll2 = {
      up: (count = 1) => `${CSI2}S`.repeat(count),
      down: (count = 1) => `${CSI2}T`.repeat(count)
    };
    var erase2 = {
      screen: `${CSI2}2J`,
      up: (count = 1) => `${CSI2}1J`.repeat(count),
      down: (count = 1) => `${CSI2}J`.repeat(count),
      line: `${CSI2}2K`,
      lineEnd: `${CSI2}K`,
      lineStart: `${CSI2}1K`,
      lines(count) {
        let clear2 = "";
        for (let i4 = 0; i4 < count; i4++)
          clear2 += this.line + (i4 < count - 1 ? cursor2.up() : "");
        if (count)
          clear2 += cursor2.left;
        return clear2;
      }
    };
    module2.exports = { cursor: cursor2, scroll: scroll2, erase: erase2, beep: beep2 };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/clear.js
var require_clear = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/clear.js"(exports2, module2) {
    "use strict";
    function _createForOfIteratorHelper(o2, allowArrayLike) {
      var it2 = typeof Symbol !== "undefined" && o2[Symbol.iterator] || o2["@@iterator"];
      if (!it2) {
        if (Array.isArray(o2) || (it2 = _unsupportedIterableToArray(o2)) || allowArrayLike && o2 && typeof o2.length === "number") {
          if (it2)
            o2 = it2;
          var i4 = 0;
          var F = function F3() {
          };
          return { s: F, n: function n2() {
            if (i4 >= o2.length)
              return { done: true };
            return { done: false, value: o2[i4++] };
          }, e: function e3(_e) {
            throw _e;
          }, f: F };
        }
        throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
      }
      var normalCompletion = true, didErr = false, err;
      return { s: function s3() {
        it2 = it2.call(o2);
      }, n: function n2() {
        var step = it2.next();
        normalCompletion = step.done;
        return step;
      }, e: function e3(_e2) {
        didErr = true;
        err = _e2;
      }, f: function f4() {
        try {
          if (!normalCompletion && it2.return != null)
            it2.return();
        } finally {
          if (didErr)
            throw err;
        }
      } };
    }
    function _unsupportedIterableToArray(o2, minLen) {
      if (!o2)
        return;
      if (typeof o2 === "string")
        return _arrayLikeToArray(o2, minLen);
      var n2 = Object.prototype.toString.call(o2).slice(8, -1);
      if (n2 === "Object" && o2.constructor)
        n2 = o2.constructor.name;
      if (n2 === "Map" || n2 === "Set")
        return Array.from(o2);
      if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
        return _arrayLikeToArray(o2, minLen);
    }
    function _arrayLikeToArray(arr, len) {
      if (len == null || len > arr.length)
        len = arr.length;
      for (var i4 = 0, arr2 = new Array(len); i4 < len; i4++)
        arr2[i4] = arr[i4];
      return arr2;
    }
    var strip2 = require_strip();
    var _require = require_src3();
    var erase2 = _require.erase;
    var cursor2 = _require.cursor;
    var width2 = (str) => [...strip2(str)].length;
    module2.exports = function(prompt9, perLine) {
      if (!perLine)
        return erase2.line + cursor2.to(0);
      let rows = 0;
      const lines2 = prompt9.split(/\r?\n/);
      var _iterator = _createForOfIteratorHelper(lines2), _step;
      try {
        for (_iterator.s(); !(_step = _iterator.n()).done; ) {
          let line = _step.value;
          rows += 1 + Math.floor(Math.max(width2(line) - 1, 0) / perLine);
        }
      } catch (err) {
        _iterator.e(err);
      } finally {
        _iterator.f();
      }
      return erase2.lines(rows);
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/figures.js
var require_figures = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/figures.js"(exports2, module2) {
    "use strict";
    var main3 = {
      arrowUp: "\u2191",
      arrowDown: "\u2193",
      arrowLeft: "\u2190",
      arrowRight: "\u2192",
      radioOn: "\u25C9",
      radioOff: "\u25EF",
      tick: "\u2714",
      cross: "\u2716",
      ellipsis: "\u2026",
      pointerSmall: "\u203A",
      line: "\u2500",
      pointer: "\u276F"
    };
    var win2 = {
      arrowUp: main3.arrowUp,
      arrowDown: main3.arrowDown,
      arrowLeft: main3.arrowLeft,
      arrowRight: main3.arrowRight,
      radioOn: "(*)",
      radioOff: "( )",
      tick: "\u221A",
      cross: "\xD7",
      ellipsis: "...",
      pointerSmall: "\xBB",
      line: "\u2500",
      pointer: ">"
    };
    var figures2 = process.platform === "win32" ? win2 : main3;
    module2.exports = figures2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/style.js
var require_style = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/style.js"(exports2, module2) {
    "use strict";
    var c4 = require_kleur();
    var figures2 = require_figures();
    var styles2 = Object.freeze({
      password: {
        scale: 1,
        render: (input) => "*".repeat(input.length)
      },
      emoji: {
        scale: 2,
        render: (input) => "\u{1F603}".repeat(input.length)
      },
      invisible: {
        scale: 0,
        render: (input) => ""
      },
      default: {
        scale: 1,
        render: (input) => `${input}`
      }
    });
    var render2 = (type) => styles2[type] || styles2.default;
    var symbols2 = Object.freeze({
      aborted: c4.red(figures2.cross),
      done: c4.green(figures2.tick),
      exited: c4.yellow(figures2.cross),
      default: c4.cyan("?")
    });
    var symbol2 = (done, aborted, exited) => aborted ? symbols2.aborted : exited ? symbols2.exited : done ? symbols2.done : symbols2.default;
    var delimiter2 = (completing) => c4.gray(completing ? figures2.ellipsis : figures2.pointerSmall);
    var item2 = (expandable, expanded) => c4.gray(expandable ? expanded ? figures2.pointerSmall : "+" : figures2.line);
    module2.exports = {
      styles: styles2,
      render: render2,
      symbols: symbols2,
      symbol: symbol2,
      delimiter: delimiter2,
      item: item2
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/lines.js
var require_lines = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/lines.js"(exports2, module2) {
    "use strict";
    var strip2 = require_strip();
    module2.exports = function(msg, perLine) {
      let lines2 = String(strip2(msg) || "").split(/\r?\n/);
      if (!perLine)
        return lines2.length;
      return lines2.map((l2) => Math.ceil(l2.length / perLine)).reduce((a3, b6) => a3 + b6);
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/wrap.js
var require_wrap = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/wrap.js"(exports2, module2) {
    "use strict";
    module2.exports = (msg, opts2 = {}) => {
      const tab2 = Number.isSafeInteger(parseInt(opts2.margin)) ? new Array(parseInt(opts2.margin)).fill(" ").join("") : opts2.margin || "";
      const width2 = opts2.width;
      return (msg || "").split(/\r?\n/g).map((line) => line.split(/\s+/g).reduce((arr, w7) => {
        if (w7.length + tab2.length >= width2 || arr[arr.length - 1].length + w7.length + 1 < width2)
          arr[arr.length - 1] += ` ${w7}`;
        else
          arr.push(`${tab2}${w7}`);
        return arr;
      }, [tab2]).join("\n")).join("\n");
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/entriesToDisplay.js
var require_entriesToDisplay = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/entriesToDisplay.js"(exports2, module2) {
    "use strict";
    module2.exports = (cursor2, total, maxVisible) => {
      maxVisible = maxVisible || total;
      let startIndex = Math.min(total - maxVisible, cursor2 - Math.floor(maxVisible / 2));
      if (startIndex < 0)
        startIndex = 0;
      let endIndex = Math.min(startIndex + maxVisible, total);
      return {
        startIndex,
        endIndex
      };
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/index.js
var require_util4 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/util/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      action: require_action(),
      clear: require_clear(),
      style: require_style(),
      strip: require_strip(),
      figures: require_figures(),
      lines: require_lines(),
      wrap: require_wrap(),
      entriesToDisplay: require_entriesToDisplay()
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/prompt.js
var require_prompt = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/prompt.js"(exports2, module2) {
    "use strict";
    var readline2 = require("readline");
    var _require = require_util4();
    var action2 = _require.action;
    var EventEmitter2 = require("events");
    var _require2 = require_src3();
    var beep2 = _require2.beep;
    var cursor2 = _require2.cursor;
    var color2 = require_kleur();
    var Prompt3 = class extends EventEmitter2 {
      constructor(opts2 = {}) {
        super();
        this.firstRender = true;
        this.in = opts2.stdin || process.stdin;
        this.out = opts2.stdout || process.stdout;
        this.onRender = (opts2.onRender || (() => void 0)).bind(this);
        const rl = readline2.createInterface({
          input: this.in,
          escapeCodeTimeout: 50
        });
        readline2.emitKeypressEvents(this.in, rl);
        if (this.in.isTTY)
          this.in.setRawMode(true);
        const isSelect = ["SelectPrompt", "MultiselectPrompt"].indexOf(this.constructor.name) > -1;
        const keypress = (str, key) => {
          let a3 = action2(key, isSelect);
          if (a3 === false) {
            this._ && this._(str, key);
          } else if (typeof this[a3] === "function") {
            this[a3](key);
          } else {
            this.bell();
          }
        };
        this.close = () => {
          this.out.write(cursor2.show);
          this.in.removeListener("keypress", keypress);
          if (this.in.isTTY)
            this.in.setRawMode(false);
          rl.close();
          this.emit(this.aborted ? "abort" : this.exited ? "exit" : "submit", this.value);
          this.closed = true;
        };
        this.in.on("keypress", keypress);
      }
      fire() {
        this.emit("state", {
          value: this.value,
          aborted: !!this.aborted,
          exited: !!this.exited
        });
      }
      bell() {
        this.out.write(beep2);
      }
      render() {
        this.onRender(color2);
        if (this.firstRender)
          this.firstRender = false;
      }
    };
    module2.exports = Prompt3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/text.js
var require_text = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/text.js"(exports2, module2) {
    "use strict";
    function asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, key, arg3) {
      try {
        var info2 = gen[key](arg3);
        var value = info2.value;
      } catch (error2) {
        reject2(error2);
        return;
      }
      if (info2.done) {
        resolve3(value);
      } else {
        Promise.resolve(value).then(_next, _throw);
      }
    }
    function _asyncToGenerator(fn2) {
      return function() {
        var self2 = this, args3 = arguments;
        return new Promise(function(resolve3, reject2) {
          var gen = fn2.apply(self2, args3);
          function _next(value) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "next", value);
          }
          function _throw(err) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "throw", err);
          }
          _next(void 0);
        });
      };
    }
    var color2 = require_kleur();
    var Prompt3 = require_prompt();
    var _require = require_src3();
    var erase2 = _require.erase;
    var cursor2 = _require.cursor;
    var _require2 = require_util4();
    var style2 = _require2.style;
    var clear2 = _require2.clear;
    var lines2 = _require2.lines;
    var figures2 = _require2.figures;
    var TextPrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.transform = style2.render(opts2.style);
        this.scale = this.transform.scale;
        this.msg = opts2.message;
        this.initial = opts2.initial || ``;
        this.validator = opts2.validate || (() => true);
        this.value = ``;
        this.errorMsg = opts2.error || `Please Enter A Valid Value`;
        this.cursor = Number(!!this.initial);
        this.cursorOffset = 0;
        this.clear = clear2(``, this.out.columns);
        this.render();
      }
      set value(v2) {
        if (!v2 && this.initial) {
          this.placeholder = true;
          this.rendered = color2.gray(this.transform.render(this.initial));
        } else {
          this.placeholder = false;
          this.rendered = this.transform.render(v2);
        }
        this._value = v2;
        this.fire();
      }
      get value() {
        return this._value;
      }
      reset() {
        this.value = ``;
        this.cursor = Number(!!this.initial);
        this.cursorOffset = 0;
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.value = this.value || this.initial;
        this.done = this.aborted = true;
        this.error = false;
        this.red = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      validate() {
        var _this = this;
        return _asyncToGenerator(function* () {
          let valid = yield _this.validator(_this.value);
          if (typeof valid === `string`) {
            _this.errorMsg = valid;
            valid = false;
          }
          _this.error = !valid;
        })();
      }
      submit() {
        var _this2 = this;
        return _asyncToGenerator(function* () {
          _this2.value = _this2.value || _this2.initial;
          _this2.cursorOffset = 0;
          _this2.cursor = _this2.rendered.length;
          yield _this2.validate();
          if (_this2.error) {
            _this2.red = true;
            _this2.fire();
            _this2.render();
            return;
          }
          _this2.done = true;
          _this2.aborted = false;
          _this2.fire();
          _this2.render();
          _this2.out.write("\n");
          _this2.close();
        })();
      }
      next() {
        if (!this.placeholder)
          return this.bell();
        this.value = this.initial;
        this.cursor = this.rendered.length;
        this.fire();
        this.render();
      }
      moveCursor(n2) {
        if (this.placeholder)
          return;
        this.cursor = this.cursor + n2;
        this.cursorOffset += n2;
      }
      _(c4, key) {
        let s1 = this.value.slice(0, this.cursor);
        let s22 = this.value.slice(this.cursor);
        this.value = `${s1}${c4}${s22}`;
        this.red = false;
        this.cursor = this.placeholder ? 0 : s1.length + 1;
        this.render();
      }
      delete() {
        if (this.isCursorAtStart())
          return this.bell();
        let s1 = this.value.slice(0, this.cursor - 1);
        let s22 = this.value.slice(this.cursor);
        this.value = `${s1}${s22}`;
        this.red = false;
        if (this.isCursorAtStart()) {
          this.cursorOffset = 0;
        } else {
          this.cursorOffset++;
          this.moveCursor(-1);
        }
        this.render();
      }
      deleteForward() {
        if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
          return this.bell();
        let s1 = this.value.slice(0, this.cursor);
        let s22 = this.value.slice(this.cursor + 1);
        this.value = `${s1}${s22}`;
        this.red = false;
        if (this.isCursorAtEnd()) {
          this.cursorOffset = 0;
        } else {
          this.cursorOffset++;
        }
        this.render();
      }
      first() {
        this.cursor = 0;
        this.render();
      }
      last() {
        this.cursor = this.value.length;
        this.render();
      }
      left() {
        if (this.cursor <= 0 || this.placeholder)
          return this.bell();
        this.moveCursor(-1);
        this.render();
      }
      right() {
        if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
          return this.bell();
        this.moveCursor(1);
        this.render();
      }
      isCursorAtStart() {
        return this.cursor === 0 || this.placeholder && this.cursor === 1;
      }
      isCursorAtEnd() {
        return this.cursor === this.rendered.length || this.placeholder && this.cursor === this.rendered.length + 1;
      }
      render() {
        if (this.closed)
          return;
        if (!this.firstRender) {
          if (this.outputError)
            this.out.write(cursor2.down(lines2(this.outputError, this.out.columns) - 1) + clear2(this.outputError, this.out.columns));
          this.out.write(clear2(this.outputText, this.out.columns));
        }
        super.render();
        this.outputError = "";
        this.outputText = [style2.symbol(this.done, this.aborted), color2.bold(this.msg), style2.delimiter(this.done), this.red ? color2.red(this.rendered) : this.rendered].join(` `);
        if (this.error) {
          this.outputError += this.errorMsg.split(`
`).reduce((a3, l2, i4) => a3 + `
${i4 ? " " : figures2.pointerSmall} ${color2.red().italic(l2)}`, ``);
        }
        this.out.write(erase2.line + cursor2.to(0) + this.outputText + cursor2.save + this.outputError + cursor2.restore + cursor2.move(this.cursorOffset, 0));
      }
    };
    module2.exports = TextPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/select.js
var require_select = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/select.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt();
    var _require = require_util4();
    var style2 = _require.style;
    var clear2 = _require.clear;
    var figures2 = _require.figures;
    var wrap3 = _require.wrap;
    var entriesToDisplay2 = _require.entriesToDisplay;
    var _require2 = require_src3();
    var cursor2 = _require2.cursor;
    var SelectPrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.hint = opts2.hint || "- Use arrow-keys. Return to submit.";
        this.warn = opts2.warn || "- This option is disabled";
        this.cursor = opts2.initial || 0;
        this.choices = opts2.choices.map((ch, idx) => {
          if (typeof ch === "string")
            ch = {
              title: ch,
              value: idx
            };
          return {
            title: ch && (ch.title || ch.value || ch),
            value: ch && (ch.value === void 0 ? idx : ch.value),
            description: ch && ch.description,
            selected: ch && ch.selected,
            disabled: ch && ch.disabled
          };
        });
        this.optionsPerPage = opts2.optionsPerPage || 10;
        this.value = (this.choices[this.cursor] || {}).value;
        this.clear = clear2("", this.out.columns);
        this.render();
      }
      moveCursor(n2) {
        this.cursor = n2;
        this.value = this.choices[n2].value;
        this.fire();
      }
      reset() {
        this.moveCursor(0);
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        if (!this.selection.disabled) {
          this.done = true;
          this.aborted = false;
          this.fire();
          this.render();
          this.out.write("\n");
          this.close();
        } else
          this.bell();
      }
      first() {
        this.moveCursor(0);
        this.render();
      }
      last() {
        this.moveCursor(this.choices.length - 1);
        this.render();
      }
      up() {
        if (this.cursor === 0) {
          this.moveCursor(this.choices.length - 1);
        } else {
          this.moveCursor(this.cursor - 1);
        }
        this.render();
      }
      down() {
        if (this.cursor === this.choices.length - 1) {
          this.moveCursor(0);
        } else {
          this.moveCursor(this.cursor + 1);
        }
        this.render();
      }
      next() {
        this.moveCursor((this.cursor + 1) % this.choices.length);
        this.render();
      }
      _(c4, key) {
        if (c4 === " ")
          return this.submit();
      }
      get selection() {
        return this.choices[this.cursor];
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        let _entriesToDisplay = entriesToDisplay2(this.cursor, this.choices.length, this.optionsPerPage), startIndex = _entriesToDisplay.startIndex, endIndex = _entriesToDisplay.endIndex;
        this.outputText = [style2.symbol(this.done, this.aborted), color2.bold(this.msg), style2.delimiter(false), this.done ? this.selection.title : this.selection.disabled ? color2.yellow(this.warn) : color2.gray(this.hint)].join(" ");
        if (!this.done) {
          this.outputText += "\n";
          for (let i4 = startIndex; i4 < endIndex; i4++) {
            let title, prefix, desc = "", v2 = this.choices[i4];
            if (i4 === startIndex && startIndex > 0) {
              prefix = figures2.arrowUp;
            } else if (i4 === endIndex - 1 && endIndex < this.choices.length) {
              prefix = figures2.arrowDown;
            } else {
              prefix = " ";
            }
            if (v2.disabled) {
              title = this.cursor === i4 ? color2.gray().underline(v2.title) : color2.strikethrough().gray(v2.title);
              prefix = (this.cursor === i4 ? color2.bold().gray(figures2.pointer) + " " : "  ") + prefix;
            } else {
              title = this.cursor === i4 ? color2.cyan().underline(v2.title) : v2.title;
              prefix = (this.cursor === i4 ? color2.cyan(figures2.pointer) + " " : "  ") + prefix;
              if (v2.description && this.cursor === i4) {
                desc = ` - ${v2.description}`;
                if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
                  desc = "\n" + wrap3(v2.description, {
                    margin: 3,
                    width: this.out.columns
                  });
                }
              }
            }
            this.outputText += `${prefix} ${title}${color2.gray(desc)}
`;
          }
        }
        this.out.write(this.outputText);
      }
    };
    module2.exports = SelectPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/toggle.js
var require_toggle = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/toggle.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt();
    var _require = require_util4();
    var style2 = _require.style;
    var clear2 = _require.clear;
    var _require2 = require_src3();
    var cursor2 = _require2.cursor;
    var erase2 = _require2.erase;
    var TogglePrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.value = !!opts2.initial;
        this.active = opts2.active || "on";
        this.inactive = opts2.inactive || "off";
        this.initialValue = this.value;
        this.render();
      }
      reset() {
        this.value = this.initialValue;
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        this.done = true;
        this.aborted = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      deactivate() {
        if (this.value === false)
          return this.bell();
        this.value = false;
        this.render();
      }
      activate() {
        if (this.value === true)
          return this.bell();
        this.value = true;
        this.render();
      }
      delete() {
        this.deactivate();
      }
      left() {
        this.deactivate();
      }
      right() {
        this.activate();
      }
      down() {
        this.deactivate();
      }
      up() {
        this.activate();
      }
      next() {
        this.value = !this.value;
        this.fire();
        this.render();
      }
      _(c4, key) {
        if (c4 === " ") {
          this.value = !this.value;
        } else if (c4 === "1") {
          this.value = true;
        } else if (c4 === "0") {
          this.value = false;
        } else
          return this.bell();
        this.render();
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        this.outputText = [style2.symbol(this.done, this.aborted), color2.bold(this.msg), style2.delimiter(this.done), this.value ? this.inactive : color2.cyan().underline(this.inactive), color2.gray("/"), this.value ? color2.cyan().underline(this.active) : this.active].join(" ");
        this.out.write(erase2.line + cursor2.to(0) + this.outputText);
      }
    };
    module2.exports = TogglePrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/datepart.js
var require_datepart = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/datepart.js"(exports2, module2) {
    "use strict";
    var DatePart3 = class _DatePart {
      constructor({
        token,
        date: date2,
        parts,
        locales
      }) {
        this.token = token;
        this.date = date2 || /* @__PURE__ */ new Date();
        this.parts = parts || [this];
        this.locales = locales || {};
      }
      up() {
      }
      down() {
      }
      next() {
        const currentIdx = this.parts.indexOf(this);
        return this.parts.find((part, idx) => idx > currentIdx && part instanceof _DatePart);
      }
      setTo(val) {
      }
      prev() {
        let parts = [].concat(this.parts).reverse();
        const currentIdx = parts.indexOf(this);
        return parts.find((part, idx) => idx > currentIdx && part instanceof _DatePart);
      }
      toString() {
        return String(this.date);
      }
    };
    module2.exports = DatePart3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/meridiem.js
var require_meridiem = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/meridiem.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart();
    var Meridiem3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setHours((this.date.getHours() + 12) % 24);
      }
      down() {
        this.up();
      }
      toString() {
        let meridiem2 = this.date.getHours() > 12 ? "pm" : "am";
        return /\A/.test(this.token) ? meridiem2.toUpperCase() : meridiem2;
      }
    };
    module2.exports = Meridiem3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/day.js
var require_day = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/day.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart();
    var pos2 = (n2) => {
      n2 = n2 % 10;
      return n2 === 1 ? "st" : n2 === 2 ? "nd" : n2 === 3 ? "rd" : "th";
    };
    var Day3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setDate(this.date.getDate() + 1);
      }
      down() {
        this.date.setDate(this.date.getDate() - 1);
      }
      setTo(val) {
        this.date.setDate(parseInt(val.substr(-2)));
      }
      toString() {
        let date2 = this.date.getDate();
        let day2 = this.date.getDay();
        return this.token === "DD" ? String(date2).padStart(2, "0") : this.token === "Do" ? date2 + pos2(date2) : this.token === "d" ? day2 + 1 : this.token === "ddd" ? this.locales.weekdaysShort[day2] : this.token === "dddd" ? this.locales.weekdays[day2] : date2;
      }
    };
    module2.exports = Day3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/hours.js
var require_hours = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/hours.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart();
    var Hours3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setHours(this.date.getHours() + 1);
      }
      down() {
        this.date.setHours(this.date.getHours() - 1);
      }
      setTo(val) {
        this.date.setHours(parseInt(val.substr(-2)));
      }
      toString() {
        let hours2 = this.date.getHours();
        if (/h/.test(this.token))
          hours2 = hours2 % 12 || 12;
        return this.token.length > 1 ? String(hours2).padStart(2, "0") : hours2;
      }
    };
    module2.exports = Hours3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/milliseconds.js
var require_milliseconds = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/milliseconds.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart();
    var Milliseconds3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setMilliseconds(this.date.getMilliseconds() + 1);
      }
      down() {
        this.date.setMilliseconds(this.date.getMilliseconds() - 1);
      }
      setTo(val) {
        this.date.setMilliseconds(parseInt(val.substr(-this.token.length)));
      }
      toString() {
        return String(this.date.getMilliseconds()).padStart(4, "0").substr(0, this.token.length);
      }
    };
    module2.exports = Milliseconds3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/minutes.js
var require_minutes = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/minutes.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart();
    var Minutes3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setMinutes(this.date.getMinutes() + 1);
      }
      down() {
        this.date.setMinutes(this.date.getMinutes() - 1);
      }
      setTo(val) {
        this.date.setMinutes(parseInt(val.substr(-2)));
      }
      toString() {
        let m3 = this.date.getMinutes();
        return this.token.length > 1 ? String(m3).padStart(2, "0") : m3;
      }
    };
    module2.exports = Minutes3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/month.js
var require_month = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/month.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart();
    var Month3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setMonth(this.date.getMonth() + 1);
      }
      down() {
        this.date.setMonth(this.date.getMonth() - 1);
      }
      setTo(val) {
        val = parseInt(val.substr(-2)) - 1;
        this.date.setMonth(val < 0 ? 0 : val);
      }
      toString() {
        let month2 = this.date.getMonth();
        let tl = this.token.length;
        return tl === 2 ? String(month2 + 1).padStart(2, "0") : tl === 3 ? this.locales.monthsShort[month2] : tl === 4 ? this.locales.months[month2] : String(month2 + 1);
      }
    };
    module2.exports = Month3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/seconds.js
var require_seconds = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/seconds.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart();
    var Seconds3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setSeconds(this.date.getSeconds() + 1);
      }
      down() {
        this.date.setSeconds(this.date.getSeconds() - 1);
      }
      setTo(val) {
        this.date.setSeconds(parseInt(val.substr(-2)));
      }
      toString() {
        let s3 = this.date.getSeconds();
        return this.token.length > 1 ? String(s3).padStart(2, "0") : s3;
      }
    };
    module2.exports = Seconds3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/year.js
var require_year = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/year.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart();
    var Year3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setFullYear(this.date.getFullYear() + 1);
      }
      down() {
        this.date.setFullYear(this.date.getFullYear() - 1);
      }
      setTo(val) {
        this.date.setFullYear(val.substr(-4));
      }
      toString() {
        let year2 = String(this.date.getFullYear()).padStart(4, "0");
        return this.token.length === 2 ? year2.substr(-2) : year2;
      }
    };
    module2.exports = Year3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/index.js
var require_dateparts = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/dateparts/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      DatePart: require_datepart(),
      Meridiem: require_meridiem(),
      Day: require_day(),
      Hours: require_hours(),
      Milliseconds: require_milliseconds(),
      Minutes: require_minutes(),
      Month: require_month(),
      Seconds: require_seconds(),
      Year: require_year()
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/date.js
var require_date = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/date.js"(exports2, module2) {
    "use strict";
    function asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, key, arg3) {
      try {
        var info2 = gen[key](arg3);
        var value = info2.value;
      } catch (error2) {
        reject2(error2);
        return;
      }
      if (info2.done) {
        resolve3(value);
      } else {
        Promise.resolve(value).then(_next, _throw);
      }
    }
    function _asyncToGenerator(fn2) {
      return function() {
        var self2 = this, args3 = arguments;
        return new Promise(function(resolve3, reject2) {
          var gen = fn2.apply(self2, args3);
          function _next(value) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "next", value);
          }
          function _throw(err) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "throw", err);
          }
          _next(void 0);
        });
      };
    }
    var color2 = require_kleur();
    var Prompt3 = require_prompt();
    var _require = require_util4();
    var style2 = _require.style;
    var clear2 = _require.clear;
    var figures2 = _require.figures;
    var _require2 = require_src3();
    var erase2 = _require2.erase;
    var cursor2 = _require2.cursor;
    var _require3 = require_dateparts();
    var DatePart3 = _require3.DatePart;
    var Meridiem3 = _require3.Meridiem;
    var Day3 = _require3.Day;
    var Hours3 = _require3.Hours;
    var Milliseconds3 = _require3.Milliseconds;
    var Minutes3 = _require3.Minutes;
    var Month3 = _require3.Month;
    var Seconds3 = _require3.Seconds;
    var Year3 = _require3.Year;
    var regex2 = /\\(.)|"((?:\\["\\]|[^"])+)"|(D[Do]?|d{3,4}|d)|(M{1,4})|(YY(?:YY)?)|([aA])|([Hh]{1,2})|(m{1,2})|(s{1,2})|(S{1,4})|./g;
    var regexGroups2 = {
      1: ({
        token
      }) => token.replace(/\\(.)/g, "$1"),
      2: (opts2) => new Day3(opts2),
      // Day // TODO
      3: (opts2) => new Month3(opts2),
      // Month
      4: (opts2) => new Year3(opts2),
      // Year
      5: (opts2) => new Meridiem3(opts2),
      // AM/PM // TODO (special)
      6: (opts2) => new Hours3(opts2),
      // Hours
      7: (opts2) => new Minutes3(opts2),
      // Minutes
      8: (opts2) => new Seconds3(opts2),
      // Seconds
      9: (opts2) => new Milliseconds3(opts2)
      // Fractional seconds
    };
    var dfltLocales2 = {
      months: "January,February,March,April,May,June,July,August,September,October,November,December".split(","),
      monthsShort: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".split(","),
      weekdays: "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".split(","),
      weekdaysShort: "Sun,Mon,Tue,Wed,Thu,Fri,Sat".split(",")
    };
    var DatePrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.cursor = 0;
        this.typed = "";
        this.locales = Object.assign(dfltLocales2, opts2.locales);
        this._date = opts2.initial || /* @__PURE__ */ new Date();
        this.errorMsg = opts2.error || "Please Enter A Valid Value";
        this.validator = opts2.validate || (() => true);
        this.mask = opts2.mask || "YYYY-MM-DD HH:mm:ss";
        this.clear = clear2("", this.out.columns);
        this.render();
      }
      get value() {
        return this.date;
      }
      get date() {
        return this._date;
      }
      set date(date2) {
        if (date2)
          this._date.setTime(date2.getTime());
      }
      set mask(mask) {
        let result;
        this.parts = [];
        while (result = regex2.exec(mask)) {
          let match4 = result.shift();
          let idx = result.findIndex((gr) => gr != null);
          this.parts.push(idx in regexGroups2 ? regexGroups2[idx]({
            token: result[idx] || match4,
            date: this.date,
            parts: this.parts,
            locales: this.locales
          }) : result[idx] || match4);
        }
        let parts = this.parts.reduce((arr, i4) => {
          if (typeof i4 === "string" && typeof arr[arr.length - 1] === "string")
            arr[arr.length - 1] += i4;
          else
            arr.push(i4);
          return arr;
        }, []);
        this.parts.splice(0);
        this.parts.push(...parts);
        this.reset();
      }
      moveCursor(n2) {
        this.typed = "";
        this.cursor = n2;
        this.fire();
      }
      reset() {
        this.moveCursor(this.parts.findIndex((p2) => p2 instanceof DatePart3));
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.error = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      validate() {
        var _this = this;
        return _asyncToGenerator(function* () {
          let valid = yield _this.validator(_this.value);
          if (typeof valid === "string") {
            _this.errorMsg = valid;
            valid = false;
          }
          _this.error = !valid;
        })();
      }
      submit() {
        var _this2 = this;
        return _asyncToGenerator(function* () {
          yield _this2.validate();
          if (_this2.error) {
            _this2.color = "red";
            _this2.fire();
            _this2.render();
            return;
          }
          _this2.done = true;
          _this2.aborted = false;
          _this2.fire();
          _this2.render();
          _this2.out.write("\n");
          _this2.close();
        })();
      }
      up() {
        this.typed = "";
        this.parts[this.cursor].up();
        this.render();
      }
      down() {
        this.typed = "";
        this.parts[this.cursor].down();
        this.render();
      }
      left() {
        let prev = this.parts[this.cursor].prev();
        if (prev == null)
          return this.bell();
        this.moveCursor(this.parts.indexOf(prev));
        this.render();
      }
      right() {
        let next = this.parts[this.cursor].next();
        if (next == null)
          return this.bell();
        this.moveCursor(this.parts.indexOf(next));
        this.render();
      }
      next() {
        let next = this.parts[this.cursor].next();
        this.moveCursor(next ? this.parts.indexOf(next) : this.parts.findIndex((part) => part instanceof DatePart3));
        this.render();
      }
      _(c4) {
        if (/\d/.test(c4)) {
          this.typed += c4;
          this.parts[this.cursor].setTo(this.typed);
          this.render();
        }
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        this.outputText = [style2.symbol(this.done, this.aborted), color2.bold(this.msg), style2.delimiter(false), this.parts.reduce((arr, p2, idx) => arr.concat(idx === this.cursor && !this.done ? color2.cyan().underline(p2.toString()) : p2), []).join("")].join(" ");
        if (this.error) {
          this.outputText += this.errorMsg.split("\n").reduce((a3, l2, i4) => a3 + `
${i4 ? ` ` : figures2.pointerSmall} ${color2.red().italic(l2)}`, ``);
        }
        this.out.write(erase2.line + cursor2.to(0) + this.outputText);
      }
    };
    module2.exports = DatePrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/number.js
var require_number = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/number.js"(exports2, module2) {
    "use strict";
    function asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, key, arg3) {
      try {
        var info2 = gen[key](arg3);
        var value = info2.value;
      } catch (error2) {
        reject2(error2);
        return;
      }
      if (info2.done) {
        resolve3(value);
      } else {
        Promise.resolve(value).then(_next, _throw);
      }
    }
    function _asyncToGenerator(fn2) {
      return function() {
        var self2 = this, args3 = arguments;
        return new Promise(function(resolve3, reject2) {
          var gen = fn2.apply(self2, args3);
          function _next(value) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "next", value);
          }
          function _throw(err) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "throw", err);
          }
          _next(void 0);
        });
      };
    }
    var color2 = require_kleur();
    var Prompt3 = require_prompt();
    var _require = require_src3();
    var cursor2 = _require.cursor;
    var erase2 = _require.erase;
    var _require2 = require_util4();
    var style2 = _require2.style;
    var figures2 = _require2.figures;
    var clear2 = _require2.clear;
    var lines2 = _require2.lines;
    var isNumber2 = /[0-9]/;
    var isDef2 = (any) => any !== void 0;
    var round2 = (number2, precision) => {
      let factor = Math.pow(10, precision);
      return Math.round(number2 * factor) / factor;
    };
    var NumberPrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.transform = style2.render(opts2.style);
        this.msg = opts2.message;
        this.initial = isDef2(opts2.initial) ? opts2.initial : "";
        this.float = !!opts2.float;
        this.round = opts2.round || 2;
        this.inc = opts2.increment || 1;
        this.min = isDef2(opts2.min) ? opts2.min : -Infinity;
        this.max = isDef2(opts2.max) ? opts2.max : Infinity;
        this.errorMsg = opts2.error || `Please Enter A Valid Value`;
        this.validator = opts2.validate || (() => true);
        this.color = `cyan`;
        this.value = ``;
        this.typed = ``;
        this.lastHit = 0;
        this.render();
      }
      set value(v2) {
        if (!v2 && v2 !== 0) {
          this.placeholder = true;
          this.rendered = color2.gray(this.transform.render(`${this.initial}`));
          this._value = ``;
        } else {
          this.placeholder = false;
          this.rendered = this.transform.render(`${round2(v2, this.round)}`);
          this._value = round2(v2, this.round);
        }
        this.fire();
      }
      get value() {
        return this._value;
      }
      parse(x) {
        return this.float ? parseFloat(x) : parseInt(x);
      }
      valid(c4) {
        return c4 === `-` || c4 === `.` && this.float || isNumber2.test(c4);
      }
      reset() {
        this.typed = ``;
        this.value = ``;
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        let x = this.value;
        this.value = x !== `` ? x : this.initial;
        this.done = this.aborted = true;
        this.error = false;
        this.fire();
        this.render();
        this.out.write(`
`);
        this.close();
      }
      validate() {
        var _this = this;
        return _asyncToGenerator(function* () {
          let valid = yield _this.validator(_this.value);
          if (typeof valid === `string`) {
            _this.errorMsg = valid;
            valid = false;
          }
          _this.error = !valid;
        })();
      }
      submit() {
        var _this2 = this;
        return _asyncToGenerator(function* () {
          yield _this2.validate();
          if (_this2.error) {
            _this2.color = `red`;
            _this2.fire();
            _this2.render();
            return;
          }
          let x = _this2.value;
          _this2.value = x !== `` ? x : _this2.initial;
          _this2.done = true;
          _this2.aborted = false;
          _this2.error = false;
          _this2.fire();
          _this2.render();
          _this2.out.write(`
`);
          _this2.close();
        })();
      }
      up() {
        this.typed = ``;
        if (this.value === "") {
          this.value = this.min - this.inc;
        }
        if (this.value >= this.max)
          return this.bell();
        this.value += this.inc;
        this.color = `cyan`;
        this.fire();
        this.render();
      }
      down() {
        this.typed = ``;
        if (this.value === "") {
          this.value = this.min + this.inc;
        }
        if (this.value <= this.min)
          return this.bell();
        this.value -= this.inc;
        this.color = `cyan`;
        this.fire();
        this.render();
      }
      delete() {
        let val = this.value.toString();
        if (val.length === 0)
          return this.bell();
        this.value = this.parse(val = val.slice(0, -1)) || ``;
        if (this.value !== "" && this.value < this.min) {
          this.value = this.min;
        }
        this.color = `cyan`;
        this.fire();
        this.render();
      }
      next() {
        this.value = this.initial;
        this.fire();
        this.render();
      }
      _(c4, key) {
        if (!this.valid(c4))
          return this.bell();
        const now = Date.now();
        if (now - this.lastHit > 1e3)
          this.typed = ``;
        this.typed += c4;
        this.lastHit = now;
        this.color = `cyan`;
        if (c4 === `.`)
          return this.fire();
        this.value = Math.min(this.parse(this.typed), this.max);
        if (this.value > this.max)
          this.value = this.max;
        if (this.value < this.min)
          this.value = this.min;
        this.fire();
        this.render();
      }
      render() {
        if (this.closed)
          return;
        if (!this.firstRender) {
          if (this.outputError)
            this.out.write(cursor2.down(lines2(this.outputError, this.out.columns) - 1) + clear2(this.outputError, this.out.columns));
          this.out.write(clear2(this.outputText, this.out.columns));
        }
        super.render();
        this.outputError = "";
        this.outputText = [style2.symbol(this.done, this.aborted), color2.bold(this.msg), style2.delimiter(this.done), !this.done || !this.done && !this.placeholder ? color2[this.color]().underline(this.rendered) : this.rendered].join(` `);
        if (this.error) {
          this.outputError += this.errorMsg.split(`
`).reduce((a3, l2, i4) => a3 + `
${i4 ? ` ` : figures2.pointerSmall} ${color2.red().italic(l2)}`, ``);
        }
        this.out.write(erase2.line + cursor2.to(0) + this.outputText + cursor2.save + this.outputError + cursor2.restore);
      }
    };
    module2.exports = NumberPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/multiselect.js
var require_multiselect = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/multiselect.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var _require = require_src3();
    var cursor2 = _require.cursor;
    var Prompt3 = require_prompt();
    var _require2 = require_util4();
    var clear2 = _require2.clear;
    var figures2 = _require2.figures;
    var style2 = _require2.style;
    var wrap3 = _require2.wrap;
    var entriesToDisplay2 = _require2.entriesToDisplay;
    var MultiselectPrompt3 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.cursor = opts2.cursor || 0;
        this.scrollIndex = opts2.cursor || 0;
        this.hint = opts2.hint || "";
        this.warn = opts2.warn || "- This option is disabled -";
        this.minSelected = opts2.min;
        this.showMinError = false;
        this.maxChoices = opts2.max;
        this.instructions = opts2.instructions;
        this.optionsPerPage = opts2.optionsPerPage || 10;
        this.value = opts2.choices.map((ch, idx) => {
          if (typeof ch === "string")
            ch = {
              title: ch,
              value: idx
            };
          return {
            title: ch && (ch.title || ch.value || ch),
            description: ch && ch.description,
            value: ch && (ch.value === void 0 ? idx : ch.value),
            selected: ch && ch.selected,
            disabled: ch && ch.disabled
          };
        });
        this.clear = clear2("", this.out.columns);
        if (!opts2.overrideRender) {
          this.render();
        }
      }
      reset() {
        this.value.map((v2) => !v2.selected);
        this.cursor = 0;
        this.fire();
        this.render();
      }
      selected() {
        return this.value.filter((v2) => v2.selected);
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        const selected = this.value.filter((e3) => e3.selected);
        if (this.minSelected && selected.length < this.minSelected) {
          this.showMinError = true;
          this.render();
        } else {
          this.done = true;
          this.aborted = false;
          this.fire();
          this.render();
          this.out.write("\n");
          this.close();
        }
      }
      first() {
        this.cursor = 0;
        this.render();
      }
      last() {
        this.cursor = this.value.length - 1;
        this.render();
      }
      next() {
        this.cursor = (this.cursor + 1) % this.value.length;
        this.render();
      }
      up() {
        if (this.cursor === 0) {
          this.cursor = this.value.length - 1;
        } else {
          this.cursor--;
        }
        this.render();
      }
      down() {
        if (this.cursor === this.value.length - 1) {
          this.cursor = 0;
        } else {
          this.cursor++;
        }
        this.render();
      }
      left() {
        this.value[this.cursor].selected = false;
        this.render();
      }
      right() {
        if (this.value.filter((e3) => e3.selected).length >= this.maxChoices)
          return this.bell();
        this.value[this.cursor].selected = true;
        this.render();
      }
      handleSpaceToggle() {
        const v2 = this.value[this.cursor];
        if (v2.selected) {
          v2.selected = false;
          this.render();
        } else if (v2.disabled || this.value.filter((e3) => e3.selected).length >= this.maxChoices) {
          return this.bell();
        } else {
          v2.selected = true;
          this.render();
        }
      }
      toggleAll() {
        if (this.maxChoices !== void 0 || this.value[this.cursor].disabled) {
          return this.bell();
        }
        const newSelected = !this.value[this.cursor].selected;
        this.value.filter((v2) => !v2.disabled).forEach((v2) => v2.selected = newSelected);
        this.render();
      }
      _(c4, key) {
        if (c4 === " ") {
          this.handleSpaceToggle();
        } else if (c4 === "a") {
          this.toggleAll();
        } else {
          return this.bell();
        }
      }
      renderInstructions() {
        if (this.instructions === void 0 || this.instructions) {
          if (typeof this.instructions === "string") {
            return this.instructions;
          }
          return `
Instructions:
    ${figures2.arrowUp}/${figures2.arrowDown}: Highlight option
    ${figures2.arrowLeft}/${figures2.arrowRight}/[space]: Toggle selection
` + (this.maxChoices === void 0 ? `    a: Toggle all
` : "") + `    enter/return: Complete answer`;
        }
        return "";
      }
      renderOption(cursor3, v2, i4, arrowIndicator) {
        const prefix = (v2.selected ? color2.green(figures2.radioOn) : figures2.radioOff) + " " + arrowIndicator + " ";
        let title, desc;
        if (v2.disabled) {
          title = cursor3 === i4 ? color2.gray().underline(v2.title) : color2.strikethrough().gray(v2.title);
        } else {
          title = cursor3 === i4 ? color2.cyan().underline(v2.title) : v2.title;
          if (cursor3 === i4 && v2.description) {
            desc = ` - ${v2.description}`;
            if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
              desc = "\n" + wrap3(v2.description, {
                margin: prefix.length,
                width: this.out.columns
              });
            }
          }
        }
        return prefix + title + color2.gray(desc || "");
      }
      // shared with autocompleteMultiselect
      paginateOptions(options2) {
        if (options2.length === 0) {
          return color2.red("No matches for this query.");
        }
        let _entriesToDisplay = entriesToDisplay2(this.cursor, options2.length, this.optionsPerPage), startIndex = _entriesToDisplay.startIndex, endIndex = _entriesToDisplay.endIndex;
        let prefix, styledOptions = [];
        for (let i4 = startIndex; i4 < endIndex; i4++) {
          if (i4 === startIndex && startIndex > 0) {
            prefix = figures2.arrowUp;
          } else if (i4 === endIndex - 1 && endIndex < options2.length) {
            prefix = figures2.arrowDown;
          } else {
            prefix = " ";
          }
          styledOptions.push(this.renderOption(this.cursor, options2[i4], i4, prefix));
        }
        return "\n" + styledOptions.join("\n");
      }
      // shared with autocomleteMultiselect
      renderOptions(options2) {
        if (!this.done) {
          return this.paginateOptions(options2);
        }
        return "";
      }
      renderDoneOrInstructions() {
        if (this.done) {
          return this.value.filter((e3) => e3.selected).map((v2) => v2.title).join(", ");
        }
        const output = [color2.gray(this.hint), this.renderInstructions()];
        if (this.value[this.cursor].disabled) {
          output.push(color2.yellow(this.warn));
        }
        return output.join(" ");
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        super.render();
        let prompt9 = [style2.symbol(this.done, this.aborted), color2.bold(this.msg), style2.delimiter(false), this.renderDoneOrInstructions()].join(" ");
        if (this.showMinError) {
          prompt9 += color2.red(`You must select a minimum of ${this.minSelected} choices.`);
          this.showMinError = false;
        }
        prompt9 += this.renderOptions(this.value);
        this.out.write(this.clear + prompt9);
        this.clear = clear2(prompt9, this.out.columns);
      }
    };
    module2.exports = MultiselectPrompt3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/autocomplete.js
var require_autocomplete = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/autocomplete.js"(exports2, module2) {
    "use strict";
    function asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, key, arg3) {
      try {
        var info2 = gen[key](arg3);
        var value = info2.value;
      } catch (error2) {
        reject2(error2);
        return;
      }
      if (info2.done) {
        resolve3(value);
      } else {
        Promise.resolve(value).then(_next, _throw);
      }
    }
    function _asyncToGenerator(fn2) {
      return function() {
        var self2 = this, args3 = arguments;
        return new Promise(function(resolve3, reject2) {
          var gen = fn2.apply(self2, args3);
          function _next(value) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "next", value);
          }
          function _throw(err) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "throw", err);
          }
          _next(void 0);
        });
      };
    }
    var color2 = require_kleur();
    var Prompt3 = require_prompt();
    var _require = require_src3();
    var erase2 = _require.erase;
    var cursor2 = _require.cursor;
    var _require2 = require_util4();
    var style2 = _require2.style;
    var clear2 = _require2.clear;
    var figures2 = _require2.figures;
    var wrap3 = _require2.wrap;
    var entriesToDisplay2 = _require2.entriesToDisplay;
    var getVal2 = (arr, i4) => arr[i4] && (arr[i4].value || arr[i4].title || arr[i4]);
    var getTitle2 = (arr, i4) => arr[i4] && (arr[i4].title || arr[i4].value || arr[i4]);
    var getIndex2 = (arr, valOrTitle) => {
      const index2 = arr.findIndex((el) => el.value === valOrTitle || el.title === valOrTitle);
      return index2 > -1 ? index2 : void 0;
    };
    var AutocompletePrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.suggest = opts2.suggest;
        this.choices = opts2.choices;
        this.initial = typeof opts2.initial === "number" ? opts2.initial : getIndex2(opts2.choices, opts2.initial);
        this.select = this.initial || opts2.cursor || 0;
        this.i18n = {
          noMatches: opts2.noMatches || "no matches found"
        };
        this.fallback = opts2.fallback || this.initial;
        this.clearFirst = opts2.clearFirst || false;
        this.suggestions = [];
        this.input = "";
        this.limit = opts2.limit || 10;
        this.cursor = 0;
        this.transform = style2.render(opts2.style);
        this.scale = this.transform.scale;
        this.render = this.render.bind(this);
        this.complete = this.complete.bind(this);
        this.clear = clear2("", this.out.columns);
        this.complete(this.render);
        this.render();
      }
      set fallback(fb) {
        this._fb = Number.isSafeInteger(parseInt(fb)) ? parseInt(fb) : fb;
      }
      get fallback() {
        let choice;
        if (typeof this._fb === "number")
          choice = this.choices[this._fb];
        else if (typeof this._fb === "string")
          choice = {
            title: this._fb
          };
        return choice || this._fb || {
          title: this.i18n.noMatches
        };
      }
      moveSelect(i4) {
        this.select = i4;
        if (this.suggestions.length > 0)
          this.value = getVal2(this.suggestions, i4);
        else
          this.value = this.fallback.value;
        this.fire();
      }
      complete(cb2) {
        var _this = this;
        return _asyncToGenerator(function* () {
          const p2 = _this.completing = _this.suggest(_this.input, _this.choices);
          const suggestions = yield p2;
          if (_this.completing !== p2)
            return;
          _this.suggestions = suggestions.map((s3, i4, arr) => ({
            title: getTitle2(arr, i4),
            value: getVal2(arr, i4),
            description: s3.description
          }));
          _this.completing = false;
          const l2 = Math.max(suggestions.length - 1, 0);
          _this.moveSelect(Math.min(l2, _this.select));
          cb2 && cb2();
        })();
      }
      reset() {
        this.input = "";
        this.complete(() => {
          this.moveSelect(this.initial !== void 0 ? this.initial : 0);
          this.render();
        });
        this.render();
      }
      exit() {
        if (this.clearFirst && this.input.length > 0) {
          this.reset();
        } else {
          this.done = this.exited = true;
          this.aborted = false;
          this.fire();
          this.render();
          this.out.write("\n");
          this.close();
        }
      }
      abort() {
        this.done = this.aborted = true;
        this.exited = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        this.done = true;
        this.aborted = this.exited = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      _(c4, key) {
        let s1 = this.input.slice(0, this.cursor);
        let s22 = this.input.slice(this.cursor);
        this.input = `${s1}${c4}${s22}`;
        this.cursor = s1.length + 1;
        this.complete(this.render);
        this.render();
      }
      delete() {
        if (this.cursor === 0)
          return this.bell();
        let s1 = this.input.slice(0, this.cursor - 1);
        let s22 = this.input.slice(this.cursor);
        this.input = `${s1}${s22}`;
        this.complete(this.render);
        this.cursor = this.cursor - 1;
        this.render();
      }
      deleteForward() {
        if (this.cursor * this.scale >= this.rendered.length)
          return this.bell();
        let s1 = this.input.slice(0, this.cursor);
        let s22 = this.input.slice(this.cursor + 1);
        this.input = `${s1}${s22}`;
        this.complete(this.render);
        this.render();
      }
      first() {
        this.moveSelect(0);
        this.render();
      }
      last() {
        this.moveSelect(this.suggestions.length - 1);
        this.render();
      }
      up() {
        if (this.select === 0) {
          this.moveSelect(this.suggestions.length - 1);
        } else {
          this.moveSelect(this.select - 1);
        }
        this.render();
      }
      down() {
        if (this.select === this.suggestions.length - 1) {
          this.moveSelect(0);
        } else {
          this.moveSelect(this.select + 1);
        }
        this.render();
      }
      next() {
        if (this.select === this.suggestions.length - 1) {
          this.moveSelect(0);
        } else
          this.moveSelect(this.select + 1);
        this.render();
      }
      nextPage() {
        this.moveSelect(Math.min(this.select + this.limit, this.suggestions.length - 1));
        this.render();
      }
      prevPage() {
        this.moveSelect(Math.max(this.select - this.limit, 0));
        this.render();
      }
      left() {
        if (this.cursor <= 0)
          return this.bell();
        this.cursor = this.cursor - 1;
        this.render();
      }
      right() {
        if (this.cursor * this.scale >= this.rendered.length)
          return this.bell();
        this.cursor = this.cursor + 1;
        this.render();
      }
      renderOption(v2, hovered, isStart, isEnd) {
        let desc;
        let prefix = isStart ? figures2.arrowUp : isEnd ? figures2.arrowDown : " ";
        let title = hovered ? color2.cyan().underline(v2.title) : v2.title;
        prefix = (hovered ? color2.cyan(figures2.pointer) + " " : "  ") + prefix;
        if (v2.description) {
          desc = ` - ${v2.description}`;
          if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
            desc = "\n" + wrap3(v2.description, {
              margin: 3,
              width: this.out.columns
            });
          }
        }
        return prefix + " " + title + color2.gray(desc || "");
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        let _entriesToDisplay = entriesToDisplay2(this.select, this.choices.length, this.limit), startIndex = _entriesToDisplay.startIndex, endIndex = _entriesToDisplay.endIndex;
        this.outputText = [style2.symbol(this.done, this.aborted, this.exited), color2.bold(this.msg), style2.delimiter(this.completing), this.done && this.suggestions[this.select] ? this.suggestions[this.select].title : this.rendered = this.transform.render(this.input)].join(" ");
        if (!this.done) {
          const suggestions = this.suggestions.slice(startIndex, endIndex).map((item2, i4) => this.renderOption(item2, this.select === i4 + startIndex, i4 === 0 && startIndex > 0, i4 + startIndex === endIndex - 1 && endIndex < this.choices.length)).join("\n");
          this.outputText += `
` + (suggestions || color2.gray(this.fallback.title));
        }
        this.out.write(erase2.line + cursor2.to(0) + this.outputText);
      }
    };
    module2.exports = AutocompletePrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/autocompleteMultiselect.js
var require_autocompleteMultiselect = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/autocompleteMultiselect.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var _require = require_src3();
    var cursor2 = _require.cursor;
    var MultiselectPrompt3 = require_multiselect();
    var _require2 = require_util4();
    var clear2 = _require2.clear;
    var style2 = _require2.style;
    var figures2 = _require2.figures;
    var AutocompleteMultiselectPrompt2 = class extends MultiselectPrompt3 {
      constructor(opts2 = {}) {
        opts2.overrideRender = true;
        super(opts2);
        this.inputValue = "";
        this.clear = clear2("", this.out.columns);
        this.filteredOptions = this.value;
        this.render();
      }
      last() {
        this.cursor = this.filteredOptions.length - 1;
        this.render();
      }
      next() {
        this.cursor = (this.cursor + 1) % this.filteredOptions.length;
        this.render();
      }
      up() {
        if (this.cursor === 0) {
          this.cursor = this.filteredOptions.length - 1;
        } else {
          this.cursor--;
        }
        this.render();
      }
      down() {
        if (this.cursor === this.filteredOptions.length - 1) {
          this.cursor = 0;
        } else {
          this.cursor++;
        }
        this.render();
      }
      left() {
        this.filteredOptions[this.cursor].selected = false;
        this.render();
      }
      right() {
        if (this.value.filter((e3) => e3.selected).length >= this.maxChoices)
          return this.bell();
        this.filteredOptions[this.cursor].selected = true;
        this.render();
      }
      delete() {
        if (this.inputValue.length) {
          this.inputValue = this.inputValue.substr(0, this.inputValue.length - 1);
          this.updateFilteredOptions();
        }
      }
      updateFilteredOptions() {
        const currentHighlight = this.filteredOptions[this.cursor];
        this.filteredOptions = this.value.filter((v2) => {
          if (this.inputValue) {
            if (typeof v2.title === "string") {
              if (v2.title.toLowerCase().includes(this.inputValue.toLowerCase())) {
                return true;
              }
            }
            if (typeof v2.value === "string") {
              if (v2.value.toLowerCase().includes(this.inputValue.toLowerCase())) {
                return true;
              }
            }
            return false;
          }
          return true;
        });
        const newHighlightIndex = this.filteredOptions.findIndex((v2) => v2 === currentHighlight);
        this.cursor = newHighlightIndex < 0 ? 0 : newHighlightIndex;
        this.render();
      }
      handleSpaceToggle() {
        const v2 = this.filteredOptions[this.cursor];
        if (v2.selected) {
          v2.selected = false;
          this.render();
        } else if (v2.disabled || this.value.filter((e3) => e3.selected).length >= this.maxChoices) {
          return this.bell();
        } else {
          v2.selected = true;
          this.render();
        }
      }
      handleInputChange(c4) {
        this.inputValue = this.inputValue + c4;
        this.updateFilteredOptions();
      }
      _(c4, key) {
        if (c4 === " ") {
          this.handleSpaceToggle();
        } else {
          this.handleInputChange(c4);
        }
      }
      renderInstructions() {
        if (this.instructions === void 0 || this.instructions) {
          if (typeof this.instructions === "string") {
            return this.instructions;
          }
          return `
Instructions:
    ${figures2.arrowUp}/${figures2.arrowDown}: Highlight option
    ${figures2.arrowLeft}/${figures2.arrowRight}/[space]: Toggle selection
    [a,b,c]/delete: Filter choices
    enter/return: Complete answer
`;
        }
        return "";
      }
      renderCurrentInput() {
        return `
Filtered results for: ${this.inputValue ? this.inputValue : color2.gray("Enter something to filter")}
`;
      }
      renderOption(cursor3, v2, i4) {
        let title;
        if (v2.disabled)
          title = cursor3 === i4 ? color2.gray().underline(v2.title) : color2.strikethrough().gray(v2.title);
        else
          title = cursor3 === i4 ? color2.cyan().underline(v2.title) : v2.title;
        return (v2.selected ? color2.green(figures2.radioOn) : figures2.radioOff) + "  " + title;
      }
      renderDoneOrInstructions() {
        if (this.done) {
          return this.value.filter((e3) => e3.selected).map((v2) => v2.title).join(", ");
        }
        const output = [color2.gray(this.hint), this.renderInstructions(), this.renderCurrentInput()];
        if (this.filteredOptions.length && this.filteredOptions[this.cursor].disabled) {
          output.push(color2.yellow(this.warn));
        }
        return output.join(" ");
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        super.render();
        let prompt9 = [style2.symbol(this.done, this.aborted), color2.bold(this.msg), style2.delimiter(false), this.renderDoneOrInstructions()].join(" ");
        if (this.showMinError) {
          prompt9 += color2.red(`You must select a minimum of ${this.minSelected} choices.`);
          this.showMinError = false;
        }
        prompt9 += this.renderOptions(this.filteredOptions);
        this.out.write(this.clear + prompt9);
        this.clear = clear2(prompt9, this.out.columns);
      }
    };
    module2.exports = AutocompleteMultiselectPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/confirm.js
var require_confirm = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/confirm.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt();
    var _require = require_util4();
    var style2 = _require.style;
    var clear2 = _require.clear;
    var _require2 = require_src3();
    var erase2 = _require2.erase;
    var cursor2 = _require2.cursor;
    var ConfirmPrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.value = opts2.initial;
        this.initialValue = !!opts2.initial;
        this.yesMsg = opts2.yes || "yes";
        this.yesOption = opts2.yesOption || "(Y/n)";
        this.noMsg = opts2.no || "no";
        this.noOption = opts2.noOption || "(y/N)";
        this.render();
      }
      reset() {
        this.value = this.initialValue;
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        this.value = this.value || false;
        this.done = true;
        this.aborted = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      _(c4, key) {
        if (c4.toLowerCase() === "y") {
          this.value = true;
          return this.submit();
        }
        if (c4.toLowerCase() === "n") {
          this.value = false;
          return this.submit();
        }
        return this.bell();
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        this.outputText = [style2.symbol(this.done, this.aborted), color2.bold(this.msg), style2.delimiter(this.done), this.done ? this.value ? this.yesMsg : this.noMsg : color2.gray(this.initialValue ? this.yesOption : this.noOption)].join(" ");
        this.out.write(erase2.line + cursor2.to(0) + this.outputText);
      }
    };
    module2.exports = ConfirmPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/index.js
var require_elements = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/elements/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      TextPrompt: require_text(),
      SelectPrompt: require_select(),
      TogglePrompt: require_toggle(),
      DatePrompt: require_date(),
      NumberPrompt: require_number(),
      MultiselectPrompt: require_multiselect(),
      AutocompletePrompt: require_autocomplete(),
      AutocompleteMultiselectPrompt: require_autocompleteMultiselect(),
      ConfirmPrompt: require_confirm()
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/prompts.js
var require_prompts = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/prompts.js"(exports2) {
    "use strict";
    var $3 = exports2;
    var el = require_elements();
    var noop2 = (v2) => v2;
    function toPrompt(type, args3, opts2 = {}) {
      return new Promise((res, rej) => {
        const p2 = new el[type](args3);
        const onAbort = opts2.onAbort || noop2;
        const onSubmit = opts2.onSubmit || noop2;
        const onExit2 = opts2.onExit || noop2;
        p2.on("state", args3.onState || noop2);
        p2.on("submit", (x) => res(onSubmit(x)));
        p2.on("exit", (x) => res(onExit2(x)));
        p2.on("abort", (x) => rej(onAbort(x)));
      });
    }
    $3.text = (args3) => toPrompt("TextPrompt", args3);
    $3.password = (args3) => {
      args3.style = "password";
      return $3.text(args3);
    };
    $3.invisible = (args3) => {
      args3.style = "invisible";
      return $3.text(args3);
    };
    $3.number = (args3) => toPrompt("NumberPrompt", args3);
    $3.date = (args3) => toPrompt("DatePrompt", args3);
    $3.confirm = (args3) => toPrompt("ConfirmPrompt", args3);
    $3.list = (args3) => {
      const sep2 = args3.separator || ",";
      return toPrompt("TextPrompt", args3, {
        onSubmit: (str) => str.split(sep2).map((s3) => s3.trim())
      });
    };
    $3.toggle = (args3) => toPrompt("TogglePrompt", args3);
    $3.select = (args3) => toPrompt("SelectPrompt", args3);
    $3.multiselect = (args3) => {
      args3.choices = [].concat(args3.choices || []);
      const toSelected = (items) => items.filter((item2) => item2.selected).map((item2) => item2.value);
      return toPrompt("MultiselectPrompt", args3, {
        onAbort: toSelected,
        onSubmit: toSelected
      });
    };
    $3.autocompleteMultiselect = (args3) => {
      args3.choices = [].concat(args3.choices || []);
      const toSelected = (items) => items.filter((item2) => item2.selected).map((item2) => item2.value);
      return toPrompt("AutocompleteMultiselectPrompt", args3, {
        onAbort: toSelected,
        onSubmit: toSelected
      });
    };
    var byTitle = (input, choices) => Promise.resolve(choices.filter((item2) => item2.title.slice(0, input.length).toLowerCase() === input.toLowerCase()));
    $3.autocomplete = (args3) => {
      args3.suggest = args3.suggest || byTitle;
      args3.choices = [].concat(args3.choices || []);
      return toPrompt("AutocompletePrompt", args3);
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/index.js
var require_dist5 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/dist/index.js"(exports2, module2) {
    "use strict";
    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);
      if (Object.getOwnPropertySymbols) {
        var symbols2 = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
          symbols2 = symbols2.filter(function(sym) {
            return Object.getOwnPropertyDescriptor(object, sym).enumerable;
          });
        }
        keys.push.apply(keys, symbols2);
      }
      return keys;
    }
    function _objectSpread(target) {
      for (var i4 = 1; i4 < arguments.length; i4++) {
        var source = arguments[i4] != null ? arguments[i4] : {};
        if (i4 % 2) {
          ownKeys(Object(source), true).forEach(function(key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }
      return target;
    }
    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }
      return obj;
    }
    function _createForOfIteratorHelper(o2, allowArrayLike) {
      var it2 = typeof Symbol !== "undefined" && o2[Symbol.iterator] || o2["@@iterator"];
      if (!it2) {
        if (Array.isArray(o2) || (it2 = _unsupportedIterableToArray(o2)) || allowArrayLike && o2 && typeof o2.length === "number") {
          if (it2)
            o2 = it2;
          var i4 = 0;
          var F = function F3() {
          };
          return { s: F, n: function n2() {
            if (i4 >= o2.length)
              return { done: true };
            return { done: false, value: o2[i4++] };
          }, e: function e3(_e) {
            throw _e;
          }, f: F };
        }
        throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
      }
      var normalCompletion = true, didErr = false, err;
      return { s: function s3() {
        it2 = it2.call(o2);
      }, n: function n2() {
        var step = it2.next();
        normalCompletion = step.done;
        return step;
      }, e: function e3(_e2) {
        didErr = true;
        err = _e2;
      }, f: function f4() {
        try {
          if (!normalCompletion && it2.return != null)
            it2.return();
        } finally {
          if (didErr)
            throw err;
        }
      } };
    }
    function _unsupportedIterableToArray(o2, minLen) {
      if (!o2)
        return;
      if (typeof o2 === "string")
        return _arrayLikeToArray(o2, minLen);
      var n2 = Object.prototype.toString.call(o2).slice(8, -1);
      if (n2 === "Object" && o2.constructor)
        n2 = o2.constructor.name;
      if (n2 === "Map" || n2 === "Set")
        return Array.from(o2);
      if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
        return _arrayLikeToArray(o2, minLen);
    }
    function _arrayLikeToArray(arr, len) {
      if (len == null || len > arr.length)
        len = arr.length;
      for (var i4 = 0, arr2 = new Array(len); i4 < len; i4++)
        arr2[i4] = arr[i4];
      return arr2;
    }
    function asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, key, arg3) {
      try {
        var info2 = gen[key](arg3);
        var value = info2.value;
      } catch (error2) {
        reject2(error2);
        return;
      }
      if (info2.done) {
        resolve3(value);
      } else {
        Promise.resolve(value).then(_next, _throw);
      }
    }
    function _asyncToGenerator(fn2) {
      return function() {
        var self2 = this, args3 = arguments;
        return new Promise(function(resolve3, reject2) {
          var gen = fn2.apply(self2, args3);
          function _next(value) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "next", value);
          }
          function _throw(err) {
            asyncGeneratorStep(gen, resolve3, reject2, _next, _throw, "throw", err);
          }
          _next(void 0);
        });
      };
    }
    var prompts2 = require_prompts();
    var passOn2 = ["suggest", "format", "onState", "validate", "onRender", "type"];
    var noop2 = () => {
    };
    function prompt9() {
      return _prompt.apply(this, arguments);
    }
    function _prompt() {
      _prompt = _asyncToGenerator(function* (questions = [], {
        onSubmit = noop2,
        onCancel = noop2
      } = {}) {
        const answers = {};
        const override3 = prompt9._override || {};
        questions = [].concat(questions);
        let answer, question, quit, name, type, lastPrompt;
        const getFormattedAnswer = /* @__PURE__ */ function() {
          var _ref = _asyncToGenerator(function* (question2, answer2, skipValidation = false) {
            if (!skipValidation && question2.validate && question2.validate(answer2) !== true) {
              return;
            }
            return question2.format ? yield question2.format(answer2, answers) : answer2;
          });
          return function getFormattedAnswer2(_x, _x2) {
            return _ref.apply(this, arguments);
          };
        }();
        var _iterator = _createForOfIteratorHelper(questions), _step;
        try {
          for (_iterator.s(); !(_step = _iterator.n()).done; ) {
            question = _step.value;
            var _question = question;
            name = _question.name;
            type = _question.type;
            if (typeof type === "function") {
              type = yield type(answer, _objectSpread({}, answers), question);
              question["type"] = type;
            }
            if (!type)
              continue;
            for (let key in question) {
              if (passOn2.includes(key))
                continue;
              let value = question[key];
              question[key] = typeof value === "function" ? yield value(answer, _objectSpread({}, answers), lastPrompt) : value;
            }
            lastPrompt = question;
            if (typeof question.message !== "string") {
              throw new Error("prompt message is required");
            }
            var _question2 = question;
            name = _question2.name;
            type = _question2.type;
            if (prompts2[type] === void 0) {
              throw new Error(`prompt type (${type}) is not defined`);
            }
            if (override3[question.name] !== void 0) {
              answer = yield getFormattedAnswer(question, override3[question.name]);
              if (answer !== void 0) {
                answers[name] = answer;
                continue;
              }
            }
            try {
              answer = prompt9._injected ? getInjectedAnswer2(prompt9._injected, question.initial) : yield prompts2[type](question);
              answers[name] = answer = yield getFormattedAnswer(question, answer, true);
              quit = yield onSubmit(question, answer, answers);
            } catch (err) {
              quit = !(yield onCancel(question, answers));
            }
            if (quit)
              return answers;
          }
        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }
        return answers;
      });
      return _prompt.apply(this, arguments);
    }
    function getInjectedAnswer2(injected, deafultValue) {
      const answer = injected.shift();
      if (answer instanceof Error) {
        throw answer;
      }
      return answer === void 0 ? deafultValue : answer;
    }
    function inject2(answers) {
      prompt9._injected = (prompt9._injected || []).concat(answers);
    }
    function override2(answers) {
      prompt9._override = Object.assign({}, answers);
    }
    module2.exports = Object.assign(prompt9, {
      prompt: prompt9,
      prompts: prompts2,
      inject: inject2,
      override: override2
    });
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/action.js
var require_action2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/action.js"(exports2, module2) {
    "use strict";
    module2.exports = (key, isSelect) => {
      if (key.meta && key.name !== "escape")
        return;
      if (key.ctrl) {
        if (key.name === "a")
          return "first";
        if (key.name === "c")
          return "abort";
        if (key.name === "d")
          return "abort";
        if (key.name === "e")
          return "last";
        if (key.name === "g")
          return "reset";
      }
      if (isSelect) {
        if (key.name === "j")
          return "down";
        if (key.name === "k")
          return "up";
      }
      if (key.name === "return")
        return "submit";
      if (key.name === "enter")
        return "submit";
      if (key.name === "backspace")
        return "delete";
      if (key.name === "delete")
        return "deleteForward";
      if (key.name === "abort")
        return "abort";
      if (key.name === "escape")
        return "exit";
      if (key.name === "tab")
        return "next";
      if (key.name === "pagedown")
        return "nextPage";
      if (key.name === "pageup")
        return "prevPage";
      if (key.name === "home")
        return "home";
      if (key.name === "end")
        return "end";
      if (key.name === "up")
        return "up";
      if (key.name === "down")
        return "down";
      if (key.name === "right")
        return "right";
      if (key.name === "left")
        return "left";
      return false;
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/strip.js
var require_strip2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/strip.js"(exports2, module2) {
    "use strict";
    module2.exports = (str) => {
      const pattern = [
        "[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)",
        "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))"
      ].join("|");
      const RGX = new RegExp(pattern, "g");
      return typeof str === "string" ? str.replace(RGX, "") : str;
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/clear.js
var require_clear2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/clear.js"(exports2, module2) {
    "use strict";
    var strip2 = require_strip2();
    var { erase: erase2, cursor: cursor2 } = require_src3();
    var width2 = (str) => [...strip2(str)].length;
    module2.exports = function(prompt9, perLine) {
      if (!perLine)
        return erase2.line + cursor2.to(0);
      let rows = 0;
      const lines2 = prompt9.split(/\r?\n/);
      for (let line of lines2) {
        rows += 1 + Math.floor(Math.max(width2(line) - 1, 0) / perLine);
      }
      return erase2.lines(rows);
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/figures.js
var require_figures2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/figures.js"(exports2, module2) {
    "use strict";
    var main3 = {
      arrowUp: "\u2191",
      arrowDown: "\u2193",
      arrowLeft: "\u2190",
      arrowRight: "\u2192",
      radioOn: "\u25C9",
      radioOff: "\u25EF",
      tick: "\u2714",
      cross: "\u2716",
      ellipsis: "\u2026",
      pointerSmall: "\u203A",
      line: "\u2500",
      pointer: "\u276F"
    };
    var win2 = {
      arrowUp: main3.arrowUp,
      arrowDown: main3.arrowDown,
      arrowLeft: main3.arrowLeft,
      arrowRight: main3.arrowRight,
      radioOn: "(*)",
      radioOff: "( )",
      tick: "\u221A",
      cross: "\xD7",
      ellipsis: "...",
      pointerSmall: "\xBB",
      line: "\u2500",
      pointer: ">"
    };
    var figures2 = process.platform === "win32" ? win2 : main3;
    module2.exports = figures2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/style.js
var require_style2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/style.js"(exports2, module2) {
    "use strict";
    var c4 = require_kleur();
    var figures2 = require_figures2();
    var styles2 = Object.freeze({
      password: { scale: 1, render: (input) => "*".repeat(input.length) },
      emoji: { scale: 2, render: (input) => "\u{1F603}".repeat(input.length) },
      invisible: { scale: 0, render: (input) => "" },
      default: { scale: 1, render: (input) => `${input}` }
    });
    var render2 = (type) => styles2[type] || styles2.default;
    var symbols2 = Object.freeze({
      aborted: c4.red(figures2.cross),
      done: c4.green(figures2.tick),
      exited: c4.yellow(figures2.cross),
      default: c4.cyan("?")
    });
    var symbol2 = (done, aborted, exited) => aborted ? symbols2.aborted : exited ? symbols2.exited : done ? symbols2.done : symbols2.default;
    var delimiter2 = (completing) => c4.gray(completing ? figures2.ellipsis : figures2.pointerSmall);
    var item2 = (expandable, expanded) => c4.gray(expandable ? expanded ? figures2.pointerSmall : "+" : figures2.line);
    module2.exports = {
      styles: styles2,
      render: render2,
      symbols: symbols2,
      symbol: symbol2,
      delimiter: delimiter2,
      item: item2
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/lines.js
var require_lines2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/lines.js"(exports2, module2) {
    "use strict";
    var strip2 = require_strip2();
    module2.exports = function(msg, perLine) {
      let lines2 = String(strip2(msg) || "").split(/\r?\n/);
      if (!perLine)
        return lines2.length;
      return lines2.map((l2) => Math.ceil(l2.length / perLine)).reduce((a3, b6) => a3 + b6);
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/wrap.js
var require_wrap2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/wrap.js"(exports2, module2) {
    "use strict";
    module2.exports = (msg, opts2 = {}) => {
      const tab2 = Number.isSafeInteger(parseInt(opts2.margin)) ? new Array(parseInt(opts2.margin)).fill(" ").join("") : opts2.margin || "";
      const width2 = opts2.width;
      return (msg || "").split(/\r?\n/g).map((line) => line.split(/\s+/g).reduce((arr, w7) => {
        if (w7.length + tab2.length >= width2 || arr[arr.length - 1].length + w7.length + 1 < width2)
          arr[arr.length - 1] += ` ${w7}`;
        else
          arr.push(`${tab2}${w7}`);
        return arr;
      }, [tab2]).join("\n")).join("\n");
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/entriesToDisplay.js
var require_entriesToDisplay2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/entriesToDisplay.js"(exports2, module2) {
    "use strict";
    module2.exports = (cursor2, total, maxVisible) => {
      maxVisible = maxVisible || total;
      let startIndex = Math.min(total - maxVisible, cursor2 - Math.floor(maxVisible / 2));
      if (startIndex < 0)
        startIndex = 0;
      let endIndex = Math.min(startIndex + maxVisible, total);
      return { startIndex, endIndex };
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/index.js
var require_util5 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/util/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      action: require_action2(),
      clear: require_clear2(),
      style: require_style2(),
      strip: require_strip2(),
      figures: require_figures2(),
      lines: require_lines2(),
      wrap: require_wrap2(),
      entriesToDisplay: require_entriesToDisplay2()
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/prompt.js
var require_prompt2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/prompt.js"(exports2, module2) {
    "use strict";
    var readline2 = require("readline");
    var { action: action2 } = require_util5();
    var EventEmitter2 = require("events");
    var { beep: beep2, cursor: cursor2 } = require_src3();
    var color2 = require_kleur();
    var Prompt3 = class extends EventEmitter2 {
      constructor(opts2 = {}) {
        super();
        this.firstRender = true;
        this.in = opts2.stdin || process.stdin;
        this.out = opts2.stdout || process.stdout;
        this.onRender = (opts2.onRender || (() => void 0)).bind(this);
        const rl = readline2.createInterface({ input: this.in, escapeCodeTimeout: 50 });
        readline2.emitKeypressEvents(this.in, rl);
        if (this.in.isTTY)
          this.in.setRawMode(true);
        const isSelect = ["SelectPrompt", "MultiselectPrompt"].indexOf(this.constructor.name) > -1;
        const keypress = (str, key) => {
          let a3 = action2(key, isSelect);
          if (a3 === false) {
            this._ && this._(str, key);
          } else if (typeof this[a3] === "function") {
            this[a3](key);
          } else {
            this.bell();
          }
        };
        this.close = () => {
          this.out.write(cursor2.show);
          this.in.removeListener("keypress", keypress);
          if (this.in.isTTY)
            this.in.setRawMode(false);
          rl.close();
          this.emit(this.aborted ? "abort" : this.exited ? "exit" : "submit", this.value);
          this.closed = true;
        };
        this.in.on("keypress", keypress);
      }
      fire() {
        this.emit("state", {
          value: this.value,
          aborted: !!this.aborted,
          exited: !!this.exited
        });
      }
      bell() {
        this.out.write(beep2);
      }
      render() {
        this.onRender(color2);
        if (this.firstRender)
          this.firstRender = false;
      }
    };
    module2.exports = Prompt3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/text.js
var require_text2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/text.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt2();
    var { erase: erase2, cursor: cursor2 } = require_src3();
    var { style: style2, clear: clear2, lines: lines2, figures: figures2 } = require_util5();
    var TextPrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.transform = style2.render(opts2.style);
        this.scale = this.transform.scale;
        this.msg = opts2.message;
        this.initial = opts2.initial || ``;
        this.validator = opts2.validate || (() => true);
        this.value = ``;
        this.errorMsg = opts2.error || `Please Enter A Valid Value`;
        this.cursor = Number(!!this.initial);
        this.cursorOffset = 0;
        this.clear = clear2(``, this.out.columns);
        this.render();
      }
      set value(v2) {
        if (!v2 && this.initial) {
          this.placeholder = true;
          this.rendered = color2.gray(this.transform.render(this.initial));
        } else {
          this.placeholder = false;
          this.rendered = this.transform.render(v2);
        }
        this._value = v2;
        this.fire();
      }
      get value() {
        return this._value;
      }
      reset() {
        this.value = ``;
        this.cursor = Number(!!this.initial);
        this.cursorOffset = 0;
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.value = this.value || this.initial;
        this.done = this.aborted = true;
        this.error = false;
        this.red = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      async validate() {
        let valid = await this.validator(this.value);
        if (typeof valid === `string`) {
          this.errorMsg = valid;
          valid = false;
        }
        this.error = !valid;
      }
      async submit() {
        this.value = this.value || this.initial;
        this.cursorOffset = 0;
        this.cursor = this.rendered.length;
        await this.validate();
        if (this.error) {
          this.red = true;
          this.fire();
          this.render();
          return;
        }
        this.done = true;
        this.aborted = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      next() {
        if (!this.placeholder)
          return this.bell();
        this.value = this.initial;
        this.cursor = this.rendered.length;
        this.fire();
        this.render();
      }
      moveCursor(n2) {
        if (this.placeholder)
          return;
        this.cursor = this.cursor + n2;
        this.cursorOffset += n2;
      }
      _(c4, key) {
        let s1 = this.value.slice(0, this.cursor);
        let s22 = this.value.slice(this.cursor);
        this.value = `${s1}${c4}${s22}`;
        this.red = false;
        this.cursor = this.placeholder ? 0 : s1.length + 1;
        this.render();
      }
      delete() {
        if (this.isCursorAtStart())
          return this.bell();
        let s1 = this.value.slice(0, this.cursor - 1);
        let s22 = this.value.slice(this.cursor);
        this.value = `${s1}${s22}`;
        this.red = false;
        if (this.isCursorAtStart()) {
          this.cursorOffset = 0;
        } else {
          this.cursorOffset++;
          this.moveCursor(-1);
        }
        this.render();
      }
      deleteForward() {
        if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
          return this.bell();
        let s1 = this.value.slice(0, this.cursor);
        let s22 = this.value.slice(this.cursor + 1);
        this.value = `${s1}${s22}`;
        this.red = false;
        if (this.isCursorAtEnd()) {
          this.cursorOffset = 0;
        } else {
          this.cursorOffset++;
        }
        this.render();
      }
      first() {
        this.cursor = 0;
        this.render();
      }
      last() {
        this.cursor = this.value.length;
        this.render();
      }
      left() {
        if (this.cursor <= 0 || this.placeholder)
          return this.bell();
        this.moveCursor(-1);
        this.render();
      }
      right() {
        if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
          return this.bell();
        this.moveCursor(1);
        this.render();
      }
      isCursorAtStart() {
        return this.cursor === 0 || this.placeholder && this.cursor === 1;
      }
      isCursorAtEnd() {
        return this.cursor === this.rendered.length || this.placeholder && this.cursor === this.rendered.length + 1;
      }
      render() {
        if (this.closed)
          return;
        if (!this.firstRender) {
          if (this.outputError)
            this.out.write(cursor2.down(lines2(this.outputError, this.out.columns) - 1) + clear2(this.outputError, this.out.columns));
          this.out.write(clear2(this.outputText, this.out.columns));
        }
        super.render();
        this.outputError = "";
        this.outputText = [
          style2.symbol(this.done, this.aborted),
          color2.bold(this.msg),
          style2.delimiter(this.done),
          this.red ? color2.red(this.rendered) : this.rendered
        ].join(` `);
        if (this.error) {
          this.outputError += this.errorMsg.split(`
`).reduce((a3, l2, i4) => a3 + `
${i4 ? " " : figures2.pointerSmall} ${color2.red().italic(l2)}`, ``);
        }
        this.out.write(erase2.line + cursor2.to(0) + this.outputText + cursor2.save + this.outputError + cursor2.restore + cursor2.move(this.cursorOffset, 0));
      }
    };
    module2.exports = TextPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/select.js
var require_select2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/select.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt2();
    var { style: style2, clear: clear2, figures: figures2, wrap: wrap3, entriesToDisplay: entriesToDisplay2 } = require_util5();
    var { cursor: cursor2 } = require_src3();
    var SelectPrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.hint = opts2.hint || "- Use arrow-keys. Return to submit.";
        this.warn = opts2.warn || "- This option is disabled";
        this.cursor = opts2.initial || 0;
        this.choices = opts2.choices.map((ch, idx) => {
          if (typeof ch === "string")
            ch = { title: ch, value: idx };
          return {
            title: ch && (ch.title || ch.value || ch),
            value: ch && (ch.value === void 0 ? idx : ch.value),
            description: ch && ch.description,
            selected: ch && ch.selected,
            disabled: ch && ch.disabled
          };
        });
        this.optionsPerPage = opts2.optionsPerPage || 10;
        this.value = (this.choices[this.cursor] || {}).value;
        this.clear = clear2("", this.out.columns);
        this.render();
      }
      moveCursor(n2) {
        this.cursor = n2;
        this.value = this.choices[n2].value;
        this.fire();
      }
      reset() {
        this.moveCursor(0);
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        if (!this.selection.disabled) {
          this.done = true;
          this.aborted = false;
          this.fire();
          this.render();
          this.out.write("\n");
          this.close();
        } else
          this.bell();
      }
      first() {
        this.moveCursor(0);
        this.render();
      }
      last() {
        this.moveCursor(this.choices.length - 1);
        this.render();
      }
      up() {
        if (this.cursor === 0) {
          this.moveCursor(this.choices.length - 1);
        } else {
          this.moveCursor(this.cursor - 1);
        }
        this.render();
      }
      down() {
        if (this.cursor === this.choices.length - 1) {
          this.moveCursor(0);
        } else {
          this.moveCursor(this.cursor + 1);
        }
        this.render();
      }
      next() {
        this.moveCursor((this.cursor + 1) % this.choices.length);
        this.render();
      }
      _(c4, key) {
        if (c4 === " ")
          return this.submit();
      }
      get selection() {
        return this.choices[this.cursor];
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        let { startIndex, endIndex } = entriesToDisplay2(this.cursor, this.choices.length, this.optionsPerPage);
        this.outputText = [
          style2.symbol(this.done, this.aborted),
          color2.bold(this.msg),
          style2.delimiter(false),
          this.done ? this.selection.title : this.selection.disabled ? color2.yellow(this.warn) : color2.gray(this.hint)
        ].join(" ");
        if (!this.done) {
          this.outputText += "\n";
          for (let i4 = startIndex; i4 < endIndex; i4++) {
            let title, prefix, desc = "", v2 = this.choices[i4];
            if (i4 === startIndex && startIndex > 0) {
              prefix = figures2.arrowUp;
            } else if (i4 === endIndex - 1 && endIndex < this.choices.length) {
              prefix = figures2.arrowDown;
            } else {
              prefix = " ";
            }
            if (v2.disabled) {
              title = this.cursor === i4 ? color2.gray().underline(v2.title) : color2.strikethrough().gray(v2.title);
              prefix = (this.cursor === i4 ? color2.bold().gray(figures2.pointer) + " " : "  ") + prefix;
            } else {
              title = this.cursor === i4 ? color2.cyan().underline(v2.title) : v2.title;
              prefix = (this.cursor === i4 ? color2.cyan(figures2.pointer) + " " : "  ") + prefix;
              if (v2.description && this.cursor === i4) {
                desc = ` - ${v2.description}`;
                if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
                  desc = "\n" + wrap3(v2.description, { margin: 3, width: this.out.columns });
                }
              }
            }
            this.outputText += `${prefix} ${title}${color2.gray(desc)}
`;
          }
        }
        this.out.write(this.outputText);
      }
    };
    module2.exports = SelectPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/toggle.js
var require_toggle2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/toggle.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt2();
    var { style: style2, clear: clear2 } = require_util5();
    var { cursor: cursor2, erase: erase2 } = require_src3();
    var TogglePrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.value = !!opts2.initial;
        this.active = opts2.active || "on";
        this.inactive = opts2.inactive || "off";
        this.initialValue = this.value;
        this.render();
      }
      reset() {
        this.value = this.initialValue;
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        this.done = true;
        this.aborted = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      deactivate() {
        if (this.value === false)
          return this.bell();
        this.value = false;
        this.render();
      }
      activate() {
        if (this.value === true)
          return this.bell();
        this.value = true;
        this.render();
      }
      delete() {
        this.deactivate();
      }
      left() {
        this.deactivate();
      }
      right() {
        this.activate();
      }
      down() {
        this.deactivate();
      }
      up() {
        this.activate();
      }
      next() {
        this.value = !this.value;
        this.fire();
        this.render();
      }
      _(c4, key) {
        if (c4 === " ") {
          this.value = !this.value;
        } else if (c4 === "1") {
          this.value = true;
        } else if (c4 === "0") {
          this.value = false;
        } else
          return this.bell();
        this.render();
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        this.outputText = [
          style2.symbol(this.done, this.aborted),
          color2.bold(this.msg),
          style2.delimiter(this.done),
          this.value ? this.inactive : color2.cyan().underline(this.inactive),
          color2.gray("/"),
          this.value ? color2.cyan().underline(this.active) : this.active
        ].join(" ");
        this.out.write(erase2.line + cursor2.to(0) + this.outputText);
      }
    };
    module2.exports = TogglePrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/datepart.js
var require_datepart2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/datepart.js"(exports2, module2) {
    "use strict";
    var DatePart3 = class _DatePart {
      constructor({ token, date: date2, parts, locales }) {
        this.token = token;
        this.date = date2 || /* @__PURE__ */ new Date();
        this.parts = parts || [this];
        this.locales = locales || {};
      }
      up() {
      }
      down() {
      }
      next() {
        const currentIdx = this.parts.indexOf(this);
        return this.parts.find((part, idx) => idx > currentIdx && part instanceof _DatePart);
      }
      setTo(val) {
      }
      prev() {
        let parts = [].concat(this.parts).reverse();
        const currentIdx = parts.indexOf(this);
        return parts.find((part, idx) => idx > currentIdx && part instanceof _DatePart);
      }
      toString() {
        return String(this.date);
      }
    };
    module2.exports = DatePart3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/meridiem.js
var require_meridiem2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/meridiem.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart2();
    var Meridiem3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setHours((this.date.getHours() + 12) % 24);
      }
      down() {
        this.up();
      }
      toString() {
        let meridiem2 = this.date.getHours() > 12 ? "pm" : "am";
        return /\A/.test(this.token) ? meridiem2.toUpperCase() : meridiem2;
      }
    };
    module2.exports = Meridiem3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/day.js
var require_day2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/day.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart2();
    var pos2 = (n2) => {
      n2 = n2 % 10;
      return n2 === 1 ? "st" : n2 === 2 ? "nd" : n2 === 3 ? "rd" : "th";
    };
    var Day3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setDate(this.date.getDate() + 1);
      }
      down() {
        this.date.setDate(this.date.getDate() - 1);
      }
      setTo(val) {
        this.date.setDate(parseInt(val.substr(-2)));
      }
      toString() {
        let date2 = this.date.getDate();
        let day2 = this.date.getDay();
        return this.token === "DD" ? String(date2).padStart(2, "0") : this.token === "Do" ? date2 + pos2(date2) : this.token === "d" ? day2 + 1 : this.token === "ddd" ? this.locales.weekdaysShort[day2] : this.token === "dddd" ? this.locales.weekdays[day2] : date2;
      }
    };
    module2.exports = Day3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/hours.js
var require_hours2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/hours.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart2();
    var Hours3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setHours(this.date.getHours() + 1);
      }
      down() {
        this.date.setHours(this.date.getHours() - 1);
      }
      setTo(val) {
        this.date.setHours(parseInt(val.substr(-2)));
      }
      toString() {
        let hours2 = this.date.getHours();
        if (/h/.test(this.token))
          hours2 = hours2 % 12 || 12;
        return this.token.length > 1 ? String(hours2).padStart(2, "0") : hours2;
      }
    };
    module2.exports = Hours3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/milliseconds.js
var require_milliseconds2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/milliseconds.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart2();
    var Milliseconds3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setMilliseconds(this.date.getMilliseconds() + 1);
      }
      down() {
        this.date.setMilliseconds(this.date.getMilliseconds() - 1);
      }
      setTo(val) {
        this.date.setMilliseconds(parseInt(val.substr(-this.token.length)));
      }
      toString() {
        return String(this.date.getMilliseconds()).padStart(4, "0").substr(0, this.token.length);
      }
    };
    module2.exports = Milliseconds3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/minutes.js
var require_minutes2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/minutes.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart2();
    var Minutes3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setMinutes(this.date.getMinutes() + 1);
      }
      down() {
        this.date.setMinutes(this.date.getMinutes() - 1);
      }
      setTo(val) {
        this.date.setMinutes(parseInt(val.substr(-2)));
      }
      toString() {
        let m3 = this.date.getMinutes();
        return this.token.length > 1 ? String(m3).padStart(2, "0") : m3;
      }
    };
    module2.exports = Minutes3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/month.js
var require_month2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/month.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart2();
    var Month3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setMonth(this.date.getMonth() + 1);
      }
      down() {
        this.date.setMonth(this.date.getMonth() - 1);
      }
      setTo(val) {
        val = parseInt(val.substr(-2)) - 1;
        this.date.setMonth(val < 0 ? 0 : val);
      }
      toString() {
        let month2 = this.date.getMonth();
        let tl = this.token.length;
        return tl === 2 ? String(month2 + 1).padStart(2, "0") : tl === 3 ? this.locales.monthsShort[month2] : tl === 4 ? this.locales.months[month2] : String(month2 + 1);
      }
    };
    module2.exports = Month3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/seconds.js
var require_seconds2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/seconds.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart2();
    var Seconds3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setSeconds(this.date.getSeconds() + 1);
      }
      down() {
        this.date.setSeconds(this.date.getSeconds() - 1);
      }
      setTo(val) {
        this.date.setSeconds(parseInt(val.substr(-2)));
      }
      toString() {
        let s3 = this.date.getSeconds();
        return this.token.length > 1 ? String(s3).padStart(2, "0") : s3;
      }
    };
    module2.exports = Seconds3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/year.js
var require_year2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/year.js"(exports2, module2) {
    "use strict";
    var DatePart3 = require_datepart2();
    var Year3 = class extends DatePart3 {
      constructor(opts2 = {}) {
        super(opts2);
      }
      up() {
        this.date.setFullYear(this.date.getFullYear() + 1);
      }
      down() {
        this.date.setFullYear(this.date.getFullYear() - 1);
      }
      setTo(val) {
        this.date.setFullYear(val.substr(-4));
      }
      toString() {
        let year2 = String(this.date.getFullYear()).padStart(4, "0");
        return this.token.length === 2 ? year2.substr(-2) : year2;
      }
    };
    module2.exports = Year3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/index.js
var require_dateparts2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/dateparts/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      DatePart: require_datepart2(),
      Meridiem: require_meridiem2(),
      Day: require_day2(),
      Hours: require_hours2(),
      Milliseconds: require_milliseconds2(),
      Minutes: require_minutes2(),
      Month: require_month2(),
      Seconds: require_seconds2(),
      Year: require_year2()
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/date.js
var require_date2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/date.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt2();
    var { style: style2, clear: clear2, figures: figures2 } = require_util5();
    var { erase: erase2, cursor: cursor2 } = require_src3();
    var { DatePart: DatePart3, Meridiem: Meridiem3, Day: Day3, Hours: Hours3, Milliseconds: Milliseconds3, Minutes: Minutes3, Month: Month3, Seconds: Seconds3, Year: Year3 } = require_dateparts2();
    var regex2 = /\\(.)|"((?:\\["\\]|[^"])+)"|(D[Do]?|d{3,4}|d)|(M{1,4})|(YY(?:YY)?)|([aA])|([Hh]{1,2})|(m{1,2})|(s{1,2})|(S{1,4})|./g;
    var regexGroups2 = {
      1: ({ token }) => token.replace(/\\(.)/g, "$1"),
      2: (opts2) => new Day3(opts2),
      // Day // TODO
      3: (opts2) => new Month3(opts2),
      // Month
      4: (opts2) => new Year3(opts2),
      // Year
      5: (opts2) => new Meridiem3(opts2),
      // AM/PM // TODO (special)
      6: (opts2) => new Hours3(opts2),
      // Hours
      7: (opts2) => new Minutes3(opts2),
      // Minutes
      8: (opts2) => new Seconds3(opts2),
      // Seconds
      9: (opts2) => new Milliseconds3(opts2)
      // Fractional seconds
    };
    var dfltLocales2 = {
      months: "January,February,March,April,May,June,July,August,September,October,November,December".split(","),
      monthsShort: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".split(","),
      weekdays: "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".split(","),
      weekdaysShort: "Sun,Mon,Tue,Wed,Thu,Fri,Sat".split(",")
    };
    var DatePrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.cursor = 0;
        this.typed = "";
        this.locales = Object.assign(dfltLocales2, opts2.locales);
        this._date = opts2.initial || /* @__PURE__ */ new Date();
        this.errorMsg = opts2.error || "Please Enter A Valid Value";
        this.validator = opts2.validate || (() => true);
        this.mask = opts2.mask || "YYYY-MM-DD HH:mm:ss";
        this.clear = clear2("", this.out.columns);
        this.render();
      }
      get value() {
        return this.date;
      }
      get date() {
        return this._date;
      }
      set date(date2) {
        if (date2)
          this._date.setTime(date2.getTime());
      }
      set mask(mask) {
        let result;
        this.parts = [];
        while (result = regex2.exec(mask)) {
          let match4 = result.shift();
          let idx = result.findIndex((gr) => gr != null);
          this.parts.push(idx in regexGroups2 ? regexGroups2[idx]({ token: result[idx] || match4, date: this.date, parts: this.parts, locales: this.locales }) : result[idx] || match4);
        }
        let parts = this.parts.reduce((arr, i4) => {
          if (typeof i4 === "string" && typeof arr[arr.length - 1] === "string")
            arr[arr.length - 1] += i4;
          else
            arr.push(i4);
          return arr;
        }, []);
        this.parts.splice(0);
        this.parts.push(...parts);
        this.reset();
      }
      moveCursor(n2) {
        this.typed = "";
        this.cursor = n2;
        this.fire();
      }
      reset() {
        this.moveCursor(this.parts.findIndex((p2) => p2 instanceof DatePart3));
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.error = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      async validate() {
        let valid = await this.validator(this.value);
        if (typeof valid === "string") {
          this.errorMsg = valid;
          valid = false;
        }
        this.error = !valid;
      }
      async submit() {
        await this.validate();
        if (this.error) {
          this.color = "red";
          this.fire();
          this.render();
          return;
        }
        this.done = true;
        this.aborted = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      up() {
        this.typed = "";
        this.parts[this.cursor].up();
        this.render();
      }
      down() {
        this.typed = "";
        this.parts[this.cursor].down();
        this.render();
      }
      left() {
        let prev = this.parts[this.cursor].prev();
        if (prev == null)
          return this.bell();
        this.moveCursor(this.parts.indexOf(prev));
        this.render();
      }
      right() {
        let next = this.parts[this.cursor].next();
        if (next == null)
          return this.bell();
        this.moveCursor(this.parts.indexOf(next));
        this.render();
      }
      next() {
        let next = this.parts[this.cursor].next();
        this.moveCursor(next ? this.parts.indexOf(next) : this.parts.findIndex((part) => part instanceof DatePart3));
        this.render();
      }
      _(c4) {
        if (/\d/.test(c4)) {
          this.typed += c4;
          this.parts[this.cursor].setTo(this.typed);
          this.render();
        }
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        this.outputText = [
          style2.symbol(this.done, this.aborted),
          color2.bold(this.msg),
          style2.delimiter(false),
          this.parts.reduce((arr, p2, idx) => arr.concat(idx === this.cursor && !this.done ? color2.cyan().underline(p2.toString()) : p2), []).join("")
        ].join(" ");
        if (this.error) {
          this.outputText += this.errorMsg.split("\n").reduce(
            (a3, l2, i4) => a3 + `
${i4 ? ` ` : figures2.pointerSmall} ${color2.red().italic(l2)}`,
            ``
          );
        }
        this.out.write(erase2.line + cursor2.to(0) + this.outputText);
      }
    };
    module2.exports = DatePrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/number.js
var require_number2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/number.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt2();
    var { cursor: cursor2, erase: erase2 } = require_src3();
    var { style: style2, figures: figures2, clear: clear2, lines: lines2 } = require_util5();
    var isNumber2 = /[0-9]/;
    var isDef2 = (any) => any !== void 0;
    var round2 = (number2, precision) => {
      let factor = Math.pow(10, precision);
      return Math.round(number2 * factor) / factor;
    };
    var NumberPrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.transform = style2.render(opts2.style);
        this.msg = opts2.message;
        this.initial = isDef2(opts2.initial) ? opts2.initial : "";
        this.float = !!opts2.float;
        this.round = opts2.round || 2;
        this.inc = opts2.increment || 1;
        this.min = isDef2(opts2.min) ? opts2.min : -Infinity;
        this.max = isDef2(opts2.max) ? opts2.max : Infinity;
        this.errorMsg = opts2.error || `Please Enter A Valid Value`;
        this.validator = opts2.validate || (() => true);
        this.color = `cyan`;
        this.value = ``;
        this.typed = ``;
        this.lastHit = 0;
        this.render();
      }
      set value(v2) {
        if (!v2 && v2 !== 0) {
          this.placeholder = true;
          this.rendered = color2.gray(this.transform.render(`${this.initial}`));
          this._value = ``;
        } else {
          this.placeholder = false;
          this.rendered = this.transform.render(`${round2(v2, this.round)}`);
          this._value = round2(v2, this.round);
        }
        this.fire();
      }
      get value() {
        return this._value;
      }
      parse(x) {
        return this.float ? parseFloat(x) : parseInt(x);
      }
      valid(c4) {
        return c4 === `-` || c4 === `.` && this.float || isNumber2.test(c4);
      }
      reset() {
        this.typed = ``;
        this.value = ``;
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        let x = this.value;
        this.value = x !== `` ? x : this.initial;
        this.done = this.aborted = true;
        this.error = false;
        this.fire();
        this.render();
        this.out.write(`
`);
        this.close();
      }
      async validate() {
        let valid = await this.validator(this.value);
        if (typeof valid === `string`) {
          this.errorMsg = valid;
          valid = false;
        }
        this.error = !valid;
      }
      async submit() {
        await this.validate();
        if (this.error) {
          this.color = `red`;
          this.fire();
          this.render();
          return;
        }
        let x = this.value;
        this.value = x !== `` ? x : this.initial;
        this.done = true;
        this.aborted = false;
        this.error = false;
        this.fire();
        this.render();
        this.out.write(`
`);
        this.close();
      }
      up() {
        this.typed = ``;
        if (this.value === "") {
          this.value = this.min - this.inc;
        }
        if (this.value >= this.max)
          return this.bell();
        this.value += this.inc;
        this.color = `cyan`;
        this.fire();
        this.render();
      }
      down() {
        this.typed = ``;
        if (this.value === "") {
          this.value = this.min + this.inc;
        }
        if (this.value <= this.min)
          return this.bell();
        this.value -= this.inc;
        this.color = `cyan`;
        this.fire();
        this.render();
      }
      delete() {
        let val = this.value.toString();
        if (val.length === 0)
          return this.bell();
        this.value = this.parse(val = val.slice(0, -1)) || ``;
        if (this.value !== "" && this.value < this.min) {
          this.value = this.min;
        }
        this.color = `cyan`;
        this.fire();
        this.render();
      }
      next() {
        this.value = this.initial;
        this.fire();
        this.render();
      }
      _(c4, key) {
        if (!this.valid(c4))
          return this.bell();
        const now = Date.now();
        if (now - this.lastHit > 1e3)
          this.typed = ``;
        this.typed += c4;
        this.lastHit = now;
        this.color = `cyan`;
        if (c4 === `.`)
          return this.fire();
        this.value = Math.min(this.parse(this.typed), this.max);
        if (this.value > this.max)
          this.value = this.max;
        if (this.value < this.min)
          this.value = this.min;
        this.fire();
        this.render();
      }
      render() {
        if (this.closed)
          return;
        if (!this.firstRender) {
          if (this.outputError)
            this.out.write(cursor2.down(lines2(this.outputError, this.out.columns) - 1) + clear2(this.outputError, this.out.columns));
          this.out.write(clear2(this.outputText, this.out.columns));
        }
        super.render();
        this.outputError = "";
        this.outputText = [
          style2.symbol(this.done, this.aborted),
          color2.bold(this.msg),
          style2.delimiter(this.done),
          !this.done || !this.done && !this.placeholder ? color2[this.color]().underline(this.rendered) : this.rendered
        ].join(` `);
        if (this.error) {
          this.outputError += this.errorMsg.split(`
`).reduce((a3, l2, i4) => a3 + `
${i4 ? ` ` : figures2.pointerSmall} ${color2.red().italic(l2)}`, ``);
        }
        this.out.write(erase2.line + cursor2.to(0) + this.outputText + cursor2.save + this.outputError + cursor2.restore);
      }
    };
    module2.exports = NumberPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/multiselect.js
var require_multiselect2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/multiselect.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var { cursor: cursor2 } = require_src3();
    var Prompt3 = require_prompt2();
    var { clear: clear2, figures: figures2, style: style2, wrap: wrap3, entriesToDisplay: entriesToDisplay2 } = require_util5();
    var MultiselectPrompt3 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.cursor = opts2.cursor || 0;
        this.scrollIndex = opts2.cursor || 0;
        this.hint = opts2.hint || "";
        this.warn = opts2.warn || "- This option is disabled -";
        this.minSelected = opts2.min;
        this.showMinError = false;
        this.maxChoices = opts2.max;
        this.instructions = opts2.instructions;
        this.optionsPerPage = opts2.optionsPerPage || 10;
        this.value = opts2.choices.map((ch, idx) => {
          if (typeof ch === "string")
            ch = { title: ch, value: idx };
          return {
            title: ch && (ch.title || ch.value || ch),
            description: ch && ch.description,
            value: ch && (ch.value === void 0 ? idx : ch.value),
            selected: ch && ch.selected,
            disabled: ch && ch.disabled
          };
        });
        this.clear = clear2("", this.out.columns);
        if (!opts2.overrideRender) {
          this.render();
        }
      }
      reset() {
        this.value.map((v2) => !v2.selected);
        this.cursor = 0;
        this.fire();
        this.render();
      }
      selected() {
        return this.value.filter((v2) => v2.selected);
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        const selected = this.value.filter((e3) => e3.selected);
        if (this.minSelected && selected.length < this.minSelected) {
          this.showMinError = true;
          this.render();
        } else {
          this.done = true;
          this.aborted = false;
          this.fire();
          this.render();
          this.out.write("\n");
          this.close();
        }
      }
      first() {
        this.cursor = 0;
        this.render();
      }
      last() {
        this.cursor = this.value.length - 1;
        this.render();
      }
      next() {
        this.cursor = (this.cursor + 1) % this.value.length;
        this.render();
      }
      up() {
        if (this.cursor === 0) {
          this.cursor = this.value.length - 1;
        } else {
          this.cursor--;
        }
        this.render();
      }
      down() {
        if (this.cursor === this.value.length - 1) {
          this.cursor = 0;
        } else {
          this.cursor++;
        }
        this.render();
      }
      left() {
        this.value[this.cursor].selected = false;
        this.render();
      }
      right() {
        if (this.value.filter((e3) => e3.selected).length >= this.maxChoices)
          return this.bell();
        this.value[this.cursor].selected = true;
        this.render();
      }
      handleSpaceToggle() {
        const v2 = this.value[this.cursor];
        if (v2.selected) {
          v2.selected = false;
          this.render();
        } else if (v2.disabled || this.value.filter((e3) => e3.selected).length >= this.maxChoices) {
          return this.bell();
        } else {
          v2.selected = true;
          this.render();
        }
      }
      toggleAll() {
        if (this.maxChoices !== void 0 || this.value[this.cursor].disabled) {
          return this.bell();
        }
        const newSelected = !this.value[this.cursor].selected;
        this.value.filter((v2) => !v2.disabled).forEach((v2) => v2.selected = newSelected);
        this.render();
      }
      _(c4, key) {
        if (c4 === " ") {
          this.handleSpaceToggle();
        } else if (c4 === "a") {
          this.toggleAll();
        } else {
          return this.bell();
        }
      }
      renderInstructions() {
        if (this.instructions === void 0 || this.instructions) {
          if (typeof this.instructions === "string") {
            return this.instructions;
          }
          return `
Instructions:
    ${figures2.arrowUp}/${figures2.arrowDown}: Highlight option
    ${figures2.arrowLeft}/${figures2.arrowRight}/[space]: Toggle selection
` + (this.maxChoices === void 0 ? `    a: Toggle all
` : "") + `    enter/return: Complete answer`;
        }
        return "";
      }
      renderOption(cursor3, v2, i4, arrowIndicator) {
        const prefix = (v2.selected ? color2.green(figures2.radioOn) : figures2.radioOff) + " " + arrowIndicator + " ";
        let title, desc;
        if (v2.disabled) {
          title = cursor3 === i4 ? color2.gray().underline(v2.title) : color2.strikethrough().gray(v2.title);
        } else {
          title = cursor3 === i4 ? color2.cyan().underline(v2.title) : v2.title;
          if (cursor3 === i4 && v2.description) {
            desc = ` - ${v2.description}`;
            if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
              desc = "\n" + wrap3(v2.description, { margin: prefix.length, width: this.out.columns });
            }
          }
        }
        return prefix + title + color2.gray(desc || "");
      }
      // shared with autocompleteMultiselect
      paginateOptions(options2) {
        if (options2.length === 0) {
          return color2.red("No matches for this query.");
        }
        let { startIndex, endIndex } = entriesToDisplay2(this.cursor, options2.length, this.optionsPerPage);
        let prefix, styledOptions = [];
        for (let i4 = startIndex; i4 < endIndex; i4++) {
          if (i4 === startIndex && startIndex > 0) {
            prefix = figures2.arrowUp;
          } else if (i4 === endIndex - 1 && endIndex < options2.length) {
            prefix = figures2.arrowDown;
          } else {
            prefix = " ";
          }
          styledOptions.push(this.renderOption(this.cursor, options2[i4], i4, prefix));
        }
        return "\n" + styledOptions.join("\n");
      }
      // shared with autocomleteMultiselect
      renderOptions(options2) {
        if (!this.done) {
          return this.paginateOptions(options2);
        }
        return "";
      }
      renderDoneOrInstructions() {
        if (this.done) {
          return this.value.filter((e3) => e3.selected).map((v2) => v2.title).join(", ");
        }
        const output = [color2.gray(this.hint), this.renderInstructions()];
        if (this.value[this.cursor].disabled) {
          output.push(color2.yellow(this.warn));
        }
        return output.join(" ");
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        super.render();
        let prompt9 = [
          style2.symbol(this.done, this.aborted),
          color2.bold(this.msg),
          style2.delimiter(false),
          this.renderDoneOrInstructions()
        ].join(" ");
        if (this.showMinError) {
          prompt9 += color2.red(`You must select a minimum of ${this.minSelected} choices.`);
          this.showMinError = false;
        }
        prompt9 += this.renderOptions(this.value);
        this.out.write(this.clear + prompt9);
        this.clear = clear2(prompt9, this.out.columns);
      }
    };
    module2.exports = MultiselectPrompt3;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/autocomplete.js
var require_autocomplete2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/autocomplete.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt2();
    var { erase: erase2, cursor: cursor2 } = require_src3();
    var { style: style2, clear: clear2, figures: figures2, wrap: wrap3, entriesToDisplay: entriesToDisplay2 } = require_util5();
    var getVal2 = (arr, i4) => arr[i4] && (arr[i4].value || arr[i4].title || arr[i4]);
    var getTitle2 = (arr, i4) => arr[i4] && (arr[i4].title || arr[i4].value || arr[i4]);
    var getIndex2 = (arr, valOrTitle) => {
      const index2 = arr.findIndex((el) => el.value === valOrTitle || el.title === valOrTitle);
      return index2 > -1 ? index2 : void 0;
    };
    var AutocompletePrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.suggest = opts2.suggest;
        this.choices = opts2.choices;
        this.initial = typeof opts2.initial === "number" ? opts2.initial : getIndex2(opts2.choices, opts2.initial);
        this.select = this.initial || opts2.cursor || 0;
        this.i18n = { noMatches: opts2.noMatches || "no matches found" };
        this.fallback = opts2.fallback || this.initial;
        this.clearFirst = opts2.clearFirst || false;
        this.suggestions = [];
        this.input = "";
        this.limit = opts2.limit || 10;
        this.cursor = 0;
        this.transform = style2.render(opts2.style);
        this.scale = this.transform.scale;
        this.render = this.render.bind(this);
        this.complete = this.complete.bind(this);
        this.clear = clear2("", this.out.columns);
        this.complete(this.render);
        this.render();
      }
      set fallback(fb) {
        this._fb = Number.isSafeInteger(parseInt(fb)) ? parseInt(fb) : fb;
      }
      get fallback() {
        let choice;
        if (typeof this._fb === "number")
          choice = this.choices[this._fb];
        else if (typeof this._fb === "string")
          choice = { title: this._fb };
        return choice || this._fb || { title: this.i18n.noMatches };
      }
      moveSelect(i4) {
        this.select = i4;
        if (this.suggestions.length > 0)
          this.value = getVal2(this.suggestions, i4);
        else
          this.value = this.fallback.value;
        this.fire();
      }
      async complete(cb2) {
        const p2 = this.completing = this.suggest(this.input, this.choices);
        const suggestions = await p2;
        if (this.completing !== p2)
          return;
        this.suggestions = suggestions.map((s3, i4, arr) => ({ title: getTitle2(arr, i4), value: getVal2(arr, i4), description: s3.description }));
        this.completing = false;
        const l2 = Math.max(suggestions.length - 1, 0);
        this.moveSelect(Math.min(l2, this.select));
        cb2 && cb2();
      }
      reset() {
        this.input = "";
        this.complete(() => {
          this.moveSelect(this.initial !== void 0 ? this.initial : 0);
          this.render();
        });
        this.render();
      }
      exit() {
        if (this.clearFirst && this.input.length > 0) {
          this.reset();
        } else {
          this.done = this.exited = true;
          this.aborted = false;
          this.fire();
          this.render();
          this.out.write("\n");
          this.close();
        }
      }
      abort() {
        this.done = this.aborted = true;
        this.exited = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        this.done = true;
        this.aborted = this.exited = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      _(c4, key) {
        let s1 = this.input.slice(0, this.cursor);
        let s22 = this.input.slice(this.cursor);
        this.input = `${s1}${c4}${s22}`;
        this.cursor = s1.length + 1;
        this.complete(this.render);
        this.render();
      }
      delete() {
        if (this.cursor === 0)
          return this.bell();
        let s1 = this.input.slice(0, this.cursor - 1);
        let s22 = this.input.slice(this.cursor);
        this.input = `${s1}${s22}`;
        this.complete(this.render);
        this.cursor = this.cursor - 1;
        this.render();
      }
      deleteForward() {
        if (this.cursor * this.scale >= this.rendered.length)
          return this.bell();
        let s1 = this.input.slice(0, this.cursor);
        let s22 = this.input.slice(this.cursor + 1);
        this.input = `${s1}${s22}`;
        this.complete(this.render);
        this.render();
      }
      first() {
        this.moveSelect(0);
        this.render();
      }
      last() {
        this.moveSelect(this.suggestions.length - 1);
        this.render();
      }
      up() {
        if (this.select === 0) {
          this.moveSelect(this.suggestions.length - 1);
        } else {
          this.moveSelect(this.select - 1);
        }
        this.render();
      }
      down() {
        if (this.select === this.suggestions.length - 1) {
          this.moveSelect(0);
        } else {
          this.moveSelect(this.select + 1);
        }
        this.render();
      }
      next() {
        if (this.select === this.suggestions.length - 1) {
          this.moveSelect(0);
        } else
          this.moveSelect(this.select + 1);
        this.render();
      }
      nextPage() {
        this.moveSelect(Math.min(this.select + this.limit, this.suggestions.length - 1));
        this.render();
      }
      prevPage() {
        this.moveSelect(Math.max(this.select - this.limit, 0));
        this.render();
      }
      left() {
        if (this.cursor <= 0)
          return this.bell();
        this.cursor = this.cursor - 1;
        this.render();
      }
      right() {
        if (this.cursor * this.scale >= this.rendered.length)
          return this.bell();
        this.cursor = this.cursor + 1;
        this.render();
      }
      renderOption(v2, hovered, isStart, isEnd) {
        let desc;
        let prefix = isStart ? figures2.arrowUp : isEnd ? figures2.arrowDown : " ";
        let title = hovered ? color2.cyan().underline(v2.title) : v2.title;
        prefix = (hovered ? color2.cyan(figures2.pointer) + " " : "  ") + prefix;
        if (v2.description) {
          desc = ` - ${v2.description}`;
          if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
            desc = "\n" + wrap3(v2.description, { margin: 3, width: this.out.columns });
          }
        }
        return prefix + " " + title + color2.gray(desc || "");
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        let { startIndex, endIndex } = entriesToDisplay2(this.select, this.choices.length, this.limit);
        this.outputText = [
          style2.symbol(this.done, this.aborted, this.exited),
          color2.bold(this.msg),
          style2.delimiter(this.completing),
          this.done && this.suggestions[this.select] ? this.suggestions[this.select].title : this.rendered = this.transform.render(this.input)
        ].join(" ");
        if (!this.done) {
          const suggestions = this.suggestions.slice(startIndex, endIndex).map((item2, i4) => this.renderOption(
            item2,
            this.select === i4 + startIndex,
            i4 === 0 && startIndex > 0,
            i4 + startIndex === endIndex - 1 && endIndex < this.choices.length
          )).join("\n");
          this.outputText += `
` + (suggestions || color2.gray(this.fallback.title));
        }
        this.out.write(erase2.line + cursor2.to(0) + this.outputText);
      }
    };
    module2.exports = AutocompletePrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/autocompleteMultiselect.js
var require_autocompleteMultiselect2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/autocompleteMultiselect.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var { cursor: cursor2 } = require_src3();
    var MultiselectPrompt3 = require_multiselect2();
    var { clear: clear2, style: style2, figures: figures2 } = require_util5();
    var AutocompleteMultiselectPrompt2 = class extends MultiselectPrompt3 {
      constructor(opts2 = {}) {
        opts2.overrideRender = true;
        super(opts2);
        this.inputValue = "";
        this.clear = clear2("", this.out.columns);
        this.filteredOptions = this.value;
        this.render();
      }
      last() {
        this.cursor = this.filteredOptions.length - 1;
        this.render();
      }
      next() {
        this.cursor = (this.cursor + 1) % this.filteredOptions.length;
        this.render();
      }
      up() {
        if (this.cursor === 0) {
          this.cursor = this.filteredOptions.length - 1;
        } else {
          this.cursor--;
        }
        this.render();
      }
      down() {
        if (this.cursor === this.filteredOptions.length - 1) {
          this.cursor = 0;
        } else {
          this.cursor++;
        }
        this.render();
      }
      left() {
        this.filteredOptions[this.cursor].selected = false;
        this.render();
      }
      right() {
        if (this.value.filter((e3) => e3.selected).length >= this.maxChoices)
          return this.bell();
        this.filteredOptions[this.cursor].selected = true;
        this.render();
      }
      delete() {
        if (this.inputValue.length) {
          this.inputValue = this.inputValue.substr(0, this.inputValue.length - 1);
          this.updateFilteredOptions();
        }
      }
      updateFilteredOptions() {
        const currentHighlight = this.filteredOptions[this.cursor];
        this.filteredOptions = this.value.filter((v2) => {
          if (this.inputValue) {
            if (typeof v2.title === "string") {
              if (v2.title.toLowerCase().includes(this.inputValue.toLowerCase())) {
                return true;
              }
            }
            if (typeof v2.value === "string") {
              if (v2.value.toLowerCase().includes(this.inputValue.toLowerCase())) {
                return true;
              }
            }
            return false;
          }
          return true;
        });
        const newHighlightIndex = this.filteredOptions.findIndex((v2) => v2 === currentHighlight);
        this.cursor = newHighlightIndex < 0 ? 0 : newHighlightIndex;
        this.render();
      }
      handleSpaceToggle() {
        const v2 = this.filteredOptions[this.cursor];
        if (v2.selected) {
          v2.selected = false;
          this.render();
        } else if (v2.disabled || this.value.filter((e3) => e3.selected).length >= this.maxChoices) {
          return this.bell();
        } else {
          v2.selected = true;
          this.render();
        }
      }
      handleInputChange(c4) {
        this.inputValue = this.inputValue + c4;
        this.updateFilteredOptions();
      }
      _(c4, key) {
        if (c4 === " ") {
          this.handleSpaceToggle();
        } else {
          this.handleInputChange(c4);
        }
      }
      renderInstructions() {
        if (this.instructions === void 0 || this.instructions) {
          if (typeof this.instructions === "string") {
            return this.instructions;
          }
          return `
Instructions:
    ${figures2.arrowUp}/${figures2.arrowDown}: Highlight option
    ${figures2.arrowLeft}/${figures2.arrowRight}/[space]: Toggle selection
    [a,b,c]/delete: Filter choices
    enter/return: Complete answer
`;
        }
        return "";
      }
      renderCurrentInput() {
        return `
Filtered results for: ${this.inputValue ? this.inputValue : color2.gray("Enter something to filter")}
`;
      }
      renderOption(cursor3, v2, i4) {
        let title;
        if (v2.disabled)
          title = cursor3 === i4 ? color2.gray().underline(v2.title) : color2.strikethrough().gray(v2.title);
        else
          title = cursor3 === i4 ? color2.cyan().underline(v2.title) : v2.title;
        return (v2.selected ? color2.green(figures2.radioOn) : figures2.radioOff) + "  " + title;
      }
      renderDoneOrInstructions() {
        if (this.done) {
          return this.value.filter((e3) => e3.selected).map((v2) => v2.title).join(", ");
        }
        const output = [color2.gray(this.hint), this.renderInstructions(), this.renderCurrentInput()];
        if (this.filteredOptions.length && this.filteredOptions[this.cursor].disabled) {
          output.push(color2.yellow(this.warn));
        }
        return output.join(" ");
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        super.render();
        let prompt9 = [
          style2.symbol(this.done, this.aborted),
          color2.bold(this.msg),
          style2.delimiter(false),
          this.renderDoneOrInstructions()
        ].join(" ");
        if (this.showMinError) {
          prompt9 += color2.red(`You must select a minimum of ${this.minSelected} choices.`);
          this.showMinError = false;
        }
        prompt9 += this.renderOptions(this.filteredOptions);
        this.out.write(this.clear + prompt9);
        this.clear = clear2(prompt9, this.out.columns);
      }
    };
    module2.exports = AutocompleteMultiselectPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/confirm.js
var require_confirm2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/confirm.js"(exports2, module2) {
    "use strict";
    var color2 = require_kleur();
    var Prompt3 = require_prompt2();
    var { style: style2, clear: clear2 } = require_util5();
    var { erase: erase2, cursor: cursor2 } = require_src3();
    var ConfirmPrompt2 = class extends Prompt3 {
      constructor(opts2 = {}) {
        super(opts2);
        this.msg = opts2.message;
        this.value = opts2.initial;
        this.initialValue = !!opts2.initial;
        this.yesMsg = opts2.yes || "yes";
        this.yesOption = opts2.yesOption || "(Y/n)";
        this.noMsg = opts2.no || "no";
        this.noOption = opts2.noOption || "(y/N)";
        this.render();
      }
      reset() {
        this.value = this.initialValue;
        this.fire();
        this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      submit() {
        this.value = this.value || false;
        this.done = true;
        this.aborted = false;
        this.fire();
        this.render();
        this.out.write("\n");
        this.close();
      }
      _(c4, key) {
        if (c4.toLowerCase() === "y") {
          this.value = true;
          return this.submit();
        }
        if (c4.toLowerCase() === "n") {
          this.value = false;
          return this.submit();
        }
        return this.bell();
      }
      render() {
        if (this.closed)
          return;
        if (this.firstRender)
          this.out.write(cursor2.hide);
        else
          this.out.write(clear2(this.outputText, this.out.columns));
        super.render();
        this.outputText = [
          style2.symbol(this.done, this.aborted),
          color2.bold(this.msg),
          style2.delimiter(this.done),
          this.done ? this.value ? this.yesMsg : this.noMsg : color2.gray(this.initialValue ? this.yesOption : this.noOption)
        ].join(" ");
        this.out.write(erase2.line + cursor2.to(0) + this.outputText);
      }
    };
    module2.exports = ConfirmPrompt2;
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/index.js
var require_elements2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/elements/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      TextPrompt: require_text2(),
      SelectPrompt: require_select2(),
      TogglePrompt: require_toggle2(),
      DatePrompt: require_date2(),
      NumberPrompt: require_number2(),
      MultiselectPrompt: require_multiselect2(),
      AutocompletePrompt: require_autocomplete2(),
      AutocompleteMultiselectPrompt: require_autocompleteMultiselect2(),
      ConfirmPrompt: require_confirm2()
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/prompts.js
var require_prompts2 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/prompts.js"(exports2) {
    "use strict";
    var $3 = exports2;
    var el = require_elements2();
    var noop2 = (v2) => v2;
    function toPrompt(type, args3, opts2 = {}) {
      return new Promise((res, rej) => {
        const p2 = new el[type](args3);
        const onAbort = opts2.onAbort || noop2;
        const onSubmit = opts2.onSubmit || noop2;
        const onExit2 = opts2.onExit || noop2;
        p2.on("state", args3.onState || noop2);
        p2.on("submit", (x) => res(onSubmit(x)));
        p2.on("exit", (x) => res(onExit2(x)));
        p2.on("abort", (x) => rej(onAbort(x)));
      });
    }
    $3.text = (args3) => toPrompt("TextPrompt", args3);
    $3.password = (args3) => {
      args3.style = "password";
      return $3.text(args3);
    };
    $3.invisible = (args3) => {
      args3.style = "invisible";
      return $3.text(args3);
    };
    $3.number = (args3) => toPrompt("NumberPrompt", args3);
    $3.date = (args3) => toPrompt("DatePrompt", args3);
    $3.confirm = (args3) => toPrompt("ConfirmPrompt", args3);
    $3.list = (args3) => {
      const sep2 = args3.separator || ",";
      return toPrompt("TextPrompt", args3, {
        onSubmit: (str) => str.split(sep2).map((s3) => s3.trim())
      });
    };
    $3.toggle = (args3) => toPrompt("TogglePrompt", args3);
    $3.select = (args3) => toPrompt("SelectPrompt", args3);
    $3.multiselect = (args3) => {
      args3.choices = [].concat(args3.choices || []);
      const toSelected = (items) => items.filter((item2) => item2.selected).map((item2) => item2.value);
      return toPrompt("MultiselectPrompt", args3, {
        onAbort: toSelected,
        onSubmit: toSelected
      });
    };
    $3.autocompleteMultiselect = (args3) => {
      args3.choices = [].concat(args3.choices || []);
      const toSelected = (items) => items.filter((item2) => item2.selected).map((item2) => item2.value);
      return toPrompt("AutocompleteMultiselectPrompt", args3, {
        onAbort: toSelected,
        onSubmit: toSelected
      });
    };
    var byTitle = (input, choices) => Promise.resolve(
      choices.filter((item2) => item2.title.slice(0, input.length).toLowerCase() === input.toLowerCase())
    );
    $3.autocomplete = (args3) => {
      args3.suggest = args3.suggest || byTitle;
      args3.choices = [].concat(args3.choices || []);
      return toPrompt("AutocompletePrompt", args3);
    };
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/index.js
var require_lib7 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/lib/index.js"(exports2, module2) {
    "use strict";
    var prompts2 = require_prompts2();
    var passOn2 = ["suggest", "format", "onState", "validate", "onRender", "type"];
    var noop2 = () => {
    };
    async function prompt9(questions = [], { onSubmit = noop2, onCancel = noop2 } = {}) {
      const answers = {};
      const override3 = prompt9._override || {};
      questions = [].concat(questions);
      let answer, question, quit, name, type, lastPrompt;
      const getFormattedAnswer = async (question2, answer2, skipValidation = false) => {
        if (!skipValidation && question2.validate && question2.validate(answer2) !== true) {
          return;
        }
        return question2.format ? await question2.format(answer2, answers) : answer2;
      };
      for (question of questions) {
        ({ name, type } = question);
        if (typeof type === "function") {
          type = await type(answer, { ...answers }, question);
          question["type"] = type;
        }
        if (!type)
          continue;
        for (let key in question) {
          if (passOn2.includes(key))
            continue;
          let value = question[key];
          question[key] = typeof value === "function" ? await value(answer, { ...answers }, lastPrompt) : value;
        }
        lastPrompt = question;
        if (typeof question.message !== "string") {
          throw new Error("prompt message is required");
        }
        ({ name, type } = question);
        if (prompts2[type] === void 0) {
          throw new Error(`prompt type (${type}) is not defined`);
        }
        if (override3[question.name] !== void 0) {
          answer = await getFormattedAnswer(question, override3[question.name]);
          if (answer !== void 0) {
            answers[name] = answer;
            continue;
          }
        }
        try {
          answer = prompt9._injected ? getInjectedAnswer2(prompt9._injected, question.initial) : await prompts2[type](question);
          answers[name] = answer = await getFormattedAnswer(question, answer, true);
          quit = await onSubmit(question, answer, answers);
        } catch (err) {
          quit = !await onCancel(question, answers);
        }
        if (quit)
          return answers;
      }
      return answers;
    }
    function getInjectedAnswer2(injected, deafultValue) {
      const answer = injected.shift();
      if (answer instanceof Error) {
        throw answer;
      }
      return answer === void 0 ? deafultValue : answer;
    }
    function inject2(answers) {
      prompt9._injected = (prompt9._injected || []).concat(answers);
    }
    function override2(answers) {
      prompt9._override = Object.assign({}, answers);
    }
    module2.exports = Object.assign(prompt9, { prompt: prompt9, prompts: prompts2, inject: inject2, override: override2 });
  }
});

// ../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/index.js
var require_prompts3 = __commonJS({
  "../../node_modules/.pnpm/prompts@2.4.2/node_modules/prompts/index.js"(exports2, module2) {
    "use strict";
    function isNodeLT(tar) {
      tar = (Array.isArray(tar) ? tar : tar.split(".")).map(Number);
      let i4 = 0, src2 = process.versions.node.split(".").map(Number);
      for (; i4 < tar.length; i4++) {
        if (src2[i4] > tar[i4])
          return false;
        if (tar[i4] > src2[i4])
          return true;
      }
      return false;
    }
    module2.exports = isNodeLT("8.6.0") ? require_dist5() : require_lib7();
  }
});

// ../../node_modules/.pnpm/is-fullwidth-code-point@3.0.0/node_modules/is-fullwidth-code-point/index.js
var require_is_fullwidth_code_point = __commonJS({
  "../../node_modules/.pnpm/is-fullwidth-code-point@3.0.0/node_modules/is-fullwidth-code-point/index.js"(exports2, module2) {
    "use strict";
    var isFullwidthCodePoint = (codePoint) => {
      if (Number.isNaN(codePoint)) {
        return false;
      }
      if (codePoint >= 4352 && (codePoint <= 4447 || // Hangul Jamo
      codePoint === 9001 || // LEFT-POINTING ANGLE BRACKET
      codePoint === 9002 || // RIGHT-POINTING ANGLE BRACKET
      // CJK Radicals Supplement .. Enclosed CJK Letters and Months
      11904 <= codePoint && codePoint <= 12871 && codePoint !== 12351 || // Enclosed CJK Letters and Months .. CJK Unified Ideographs Extension A
      12880 <= codePoint && codePoint <= 19903 || // CJK Unified Ideographs .. Yi Radicals
      19968 <= codePoint && codePoint <= 42182 || // Hangul Jamo Extended-A
      43360 <= codePoint && codePoint <= 43388 || // Hangul Syllables
      44032 <= codePoint && codePoint <= 55203 || // CJK Compatibility Ideographs
      63744 <= codePoint && codePoint <= 64255 || // Vertical Forms
      65040 <= codePoint && codePoint <= 65049 || // CJK Compatibility Forms .. Small Form Variants
      65072 <= codePoint && codePoint <= 65131 || // Halfwidth and Fullwidth Forms
      65281 <= codePoint && codePoint <= 65376 || 65504 <= codePoint && codePoint <= 65510 || // Kana Supplement
      110592 <= codePoint && codePoint <= 110593 || // Enclosed Ideographic Supplement
      127488 <= codePoint && codePoint <= 127569 || // CJK Unified Ideographs Extension B .. Tertiary Ideographic Plane
      131072 <= codePoint && codePoint <= 262141)) {
        return true;
      }
      return false;
    };
    module2.exports = isFullwidthCodePoint;
    module2.exports.default = isFullwidthCodePoint;
  }
});

// ../../node_modules/.pnpm/astral-regex@2.0.0/node_modules/astral-regex/index.js
var require_astral_regex = __commonJS({
  "../../node_modules/.pnpm/astral-regex@2.0.0/node_modules/astral-regex/index.js"(exports2, module2) {
    "use strict";
    var regex2 = "[\uD800-\uDBFF][\uDC00-\uDFFF]";
    var astralRegex = (options2) => options2 && options2.exact ? new RegExp(`^${regex2}$`) : new RegExp(regex2, "g");
    module2.exports = astralRegex;
  }
});

// ../../node_modules/.pnpm/color-name@1.1.4/node_modules/color-name/index.js
var require_color_name2 = __commonJS({
  "../../node_modules/.pnpm/color-name@1.1.4/node_modules/color-name/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      "aliceblue": [240, 248, 255],
      "antiquewhite": [250, 235, 215],
      "aqua": [0, 255, 255],
      "aquamarine": [127, 255, 212],
      "azure": [240, 255, 255],
      "beige": [245, 245, 220],
      "bisque": [255, 228, 196],
      "black": [0, 0, 0],
      "blanchedalmond": [255, 235, 205],
      "blue": [0, 0, 255],
      "blueviolet": [138, 43, 226],
      "brown": [165, 42, 42],
      "burlywood": [222, 184, 135],
      "cadetblue": [95, 158, 160],
      "chartreuse": [127, 255, 0],
      "chocolate": [210, 105, 30],
      "coral": [255, 127, 80],
      "cornflowerblue": [100, 149, 237],
      "cornsilk": [255, 248, 220],
      "crimson": [220, 20, 60],
      "cyan": [0, 255, 255],
      "darkblue": [0, 0, 139],
      "darkcyan": [0, 139, 139],
      "darkgoldenrod": [184, 134, 11],
      "darkgray": [169, 169, 169],
      "darkgreen": [0, 100, 0],
      "darkgrey": [169, 169, 169],
      "darkkhaki": [189, 183, 107],
      "darkmagenta": [139, 0, 139],
      "darkolivegreen": [85, 107, 47],
      "darkorange": [255, 140, 0],
      "darkorchid": [153, 50, 204],
      "darkred": [139, 0, 0],
      "darksalmon": [233, 150, 122],
      "darkseagreen": [143, 188, 143],
      "darkslateblue": [72, 61, 139],
      "darkslategray": [47, 79, 79],
      "darkslategrey": [47, 79, 79],
      "darkturquoise": [0, 206, 209],
      "darkviolet": [148, 0, 211],
      "deeppink": [255, 20, 147],
      "deepskyblue": [0, 191, 255],
      "dimgray": [105, 105, 105],
      "dimgrey": [105, 105, 105],
      "dodgerblue": [30, 144, 255],
      "firebrick": [178, 34, 34],
      "floralwhite": [255, 250, 240],
      "forestgreen": [34, 139, 34],
      "fuchsia": [255, 0, 255],
      "gainsboro": [220, 220, 220],
      "ghostwhite": [248, 248, 255],
      "gold": [255, 215, 0],
      "goldenrod": [218, 165, 32],
      "gray": [128, 128, 128],
      "green": [0, 128, 0],
      "greenyellow": [173, 255, 47],
      "grey": [128, 128, 128],
      "honeydew": [240, 255, 240],
      "hotpink": [255, 105, 180],
      "indianred": [205, 92, 92],
      "indigo": [75, 0, 130],
      "ivory": [255, 255, 240],
      "khaki": [240, 230, 140],
      "lavender": [230, 230, 250],
      "lavenderblush": [255, 240, 245],
      "lawngreen": [124, 252, 0],
      "lemonchiffon": [255, 250, 205],
      "lightblue": [173, 216, 230],
      "lightcoral": [240, 128, 128],
      "lightcyan": [224, 255, 255],
      "lightgoldenrodyellow": [250, 250, 210],
      "lightgray": [211, 211, 211],
      "lightgreen": [144, 238, 144],
      "lightgrey": [211, 211, 211],
      "lightpink": [255, 182, 193],
      "lightsalmon": [255, 160, 122],
      "lightseagreen": [32, 178, 170],
      "lightskyblue": [135, 206, 250],
      "lightslategray": [119, 136, 153],
      "lightslategrey": [119, 136, 153],
      "lightsteelblue": [176, 196, 222],
      "lightyellow": [255, 255, 224],
      "lime": [0, 255, 0],
      "limegreen": [50, 205, 50],
      "linen": [250, 240, 230],
      "magenta": [255, 0, 255],
      "maroon": [128, 0, 0],
      "mediumaquamarine": [102, 205, 170],
      "mediumblue": [0, 0, 205],
      "mediumorchid": [186, 85, 211],
      "mediumpurple": [147, 112, 219],
      "mediumseagreen": [60, 179, 113],
      "mediumslateblue": [123, 104, 238],
      "mediumspringgreen": [0, 250, 154],
      "mediumturquoise": [72, 209, 204],
      "mediumvioletred": [199, 21, 133],
      "midnightblue": [25, 25, 112],
      "mintcream": [245, 255, 250],
      "mistyrose": [255, 228, 225],
      "moccasin": [255, 228, 181],
      "navajowhite": [255, 222, 173],
      "navy": [0, 0, 128],
      "oldlace": [253, 245, 230],
      "olive": [128, 128, 0],
      "olivedrab": [107, 142, 35],
      "orange": [255, 165, 0],
      "orangered": [255, 69, 0],
      "orchid": [218, 112, 214],
      "palegoldenrod": [238, 232, 170],
      "palegreen": [152, 251, 152],
      "paleturquoise": [175, 238, 238],
      "palevioletred": [219, 112, 147],
      "papayawhip": [255, 239, 213],
      "peachpuff": [255, 218, 185],
      "peru": [205, 133, 63],
      "pink": [255, 192, 203],
      "plum": [221, 160, 221],
      "powderblue": [176, 224, 230],
      "purple": [128, 0, 128],
      "rebeccapurple": [102, 51, 153],
      "red": [255, 0, 0],
      "rosybrown": [188, 143, 143],
      "royalblue": [65, 105, 225],
      "saddlebrown": [139, 69, 19],
      "salmon": [250, 128, 114],
      "sandybrown": [244, 164, 96],
      "seagreen": [46, 139, 87],
      "seashell": [255, 245, 238],
      "sienna": [160, 82, 45],
      "silver": [192, 192, 192],
      "skyblue": [135, 206, 235],
      "slateblue": [106, 90, 205],
      "slategray": [112, 128, 144],
      "slategrey": [112, 128, 144],
      "snow": [255, 250, 250],
      "springgreen": [0, 255, 127],
      "steelblue": [70, 130, 180],
      "tan": [210, 180, 140],
      "teal": [0, 128, 128],
      "thistle": [216, 191, 216],
      "tomato": [255, 99, 71],
      "turquoise": [64, 224, 208],
      "violet": [238, 130, 238],
      "wheat": [245, 222, 179],
      "white": [255, 255, 255],
      "whitesmoke": [245, 245, 245],
      "yellow": [255, 255, 0],
      "yellowgreen": [154, 205, 50]
    };
  }
});

// ../../node_modules/.pnpm/color-convert@2.0.1/node_modules/color-convert/conversions.js
var require_conversions2 = __commonJS({
  "../../node_modules/.pnpm/color-convert@2.0.1/node_modules/color-convert/conversions.js"(exports2, module2) {
    "use strict";
    var cssKeywords = require_color_name2();
    var reverseKeywords = {};
    for (const key of Object.keys(cssKeywords)) {
      reverseKeywords[cssKeywords[key]] = key;
    }
    var convert2 = {
      rgb: { channels: 3, labels: "rgb" },
      hsl: { channels: 3, labels: "hsl" },
      hsv: { channels: 3, labels: "hsv" },
      hwb: { channels: 3, labels: "hwb" },
      cmyk: { channels: 4, labels: "cmyk" },
      xyz: { channels: 3, labels: "xyz" },
      lab: { channels: 3, labels: "lab" },
      lch: { channels: 3, labels: "lch" },
      hex: { channels: 1, labels: ["hex"] },
      keyword: { channels: 1, labels: ["keyword"] },
      ansi16: { channels: 1, labels: ["ansi16"] },
      ansi256: { channels: 1, labels: ["ansi256"] },
      hcg: { channels: 3, labels: ["h", "c", "g"] },
      apple: { channels: 3, labels: ["r16", "g16", "b16"] },
      gray: { channels: 1, labels: ["gray"] }
    };
    module2.exports = convert2;
    for (const model of Object.keys(convert2)) {
      if (!("channels" in convert2[model])) {
        throw new Error("missing channels property: " + model);
      }
      if (!("labels" in convert2[model])) {
        throw new Error("missing channel labels property: " + model);
      }
      if (convert2[model].labels.length !== convert2[model].channels) {
        throw new Error("channel and label counts mismatch: " + model);
      }
      const { channels, labels } = convert2[model];
      delete convert2[model].channels;
      delete convert2[model].labels;
      Object.defineProperty(convert2[model], "channels", { value: channels });
      Object.defineProperty(convert2[model], "labels", { value: labels });
    }
    convert2.rgb.hsl = function(rgb) {
      const r2 = rgb[0] / 255;
      const g2 = rgb[1] / 255;
      const b6 = rgb[2] / 255;
      const min = Math.min(r2, g2, b6);
      const max = Math.max(r2, g2, b6);
      const delta = max - min;
      let h3;
      let s3;
      if (max === min) {
        h3 = 0;
      } else if (r2 === max) {
        h3 = (g2 - b6) / delta;
      } else if (g2 === max) {
        h3 = 2 + (b6 - r2) / delta;
      } else if (b6 === max) {
        h3 = 4 + (r2 - g2) / delta;
      }
      h3 = Math.min(h3 * 60, 360);
      if (h3 < 0) {
        h3 += 360;
      }
      const l2 = (min + max) / 2;
      if (max === min) {
        s3 = 0;
      } else if (l2 <= 0.5) {
        s3 = delta / (max + min);
      } else {
        s3 = delta / (2 - max - min);
      }
      return [h3, s3 * 100, l2 * 100];
    };
    convert2.rgb.hsv = function(rgb) {
      let rdif;
      let gdif;
      let bdif;
      let h3;
      let s3;
      const r2 = rgb[0] / 255;
      const g2 = rgb[1] / 255;
      const b6 = rgb[2] / 255;
      const v2 = Math.max(r2, g2, b6);
      const diff = v2 - Math.min(r2, g2, b6);
      const diffc = function(c4) {
        return (v2 - c4) / 6 / diff + 1 / 2;
      };
      if (diff === 0) {
        h3 = 0;
        s3 = 0;
      } else {
        s3 = diff / v2;
        rdif = diffc(r2);
        gdif = diffc(g2);
        bdif = diffc(b6);
        if (r2 === v2) {
          h3 = bdif - gdif;
        } else if (g2 === v2) {
          h3 = 1 / 3 + rdif - bdif;
        } else if (b6 === v2) {
          h3 = 2 / 3 + gdif - rdif;
        }
        if (h3 < 0) {
          h3 += 1;
        } else if (h3 > 1) {
          h3 -= 1;
        }
      }
      return [
        h3 * 360,
        s3 * 100,
        v2 * 100
      ];
    };
    convert2.rgb.hwb = function(rgb) {
      const r2 = rgb[0];
      const g2 = rgb[1];
      let b6 = rgb[2];
      const h3 = convert2.rgb.hsl(rgb)[0];
      const w7 = 1 / 255 * Math.min(r2, Math.min(g2, b6));
      b6 = 1 - 1 / 255 * Math.max(r2, Math.max(g2, b6));
      return [h3, w7 * 100, b6 * 100];
    };
    convert2.rgb.cmyk = function(rgb) {
      const r2 = rgb[0] / 255;
      const g2 = rgb[1] / 255;
      const b6 = rgb[2] / 255;
      const k = Math.min(1 - r2, 1 - g2, 1 - b6);
      const c4 = (1 - r2 - k) / (1 - k) || 0;
      const m3 = (1 - g2 - k) / (1 - k) || 0;
      const y3 = (1 - b6 - k) / (1 - k) || 0;
      return [c4 * 100, m3 * 100, y3 * 100, k * 100];
    };
    function comparativeDistance(x, y3) {
      return (x[0] - y3[0]) ** 2 + (x[1] - y3[1]) ** 2 + (x[2] - y3[2]) ** 2;
    }
    convert2.rgb.keyword = function(rgb) {
      const reversed = reverseKeywords[rgb];
      if (reversed) {
        return reversed;
      }
      let currentClosestDistance = Infinity;
      let currentClosestKeyword;
      for (const keyword of Object.keys(cssKeywords)) {
        const value = cssKeywords[keyword];
        const distance = comparativeDistance(rgb, value);
        if (distance < currentClosestDistance) {
          currentClosestDistance = distance;
          currentClosestKeyword = keyword;
        }
      }
      return currentClosestKeyword;
    };
    convert2.keyword.rgb = function(keyword) {
      return cssKeywords[keyword];
    };
    convert2.rgb.xyz = function(rgb) {
      let r2 = rgb[0] / 255;
      let g2 = rgb[1] / 255;
      let b6 = rgb[2] / 255;
      r2 = r2 > 0.04045 ? ((r2 + 0.055) / 1.055) ** 2.4 : r2 / 12.92;
      g2 = g2 > 0.04045 ? ((g2 + 0.055) / 1.055) ** 2.4 : g2 / 12.92;
      b6 = b6 > 0.04045 ? ((b6 + 0.055) / 1.055) ** 2.4 : b6 / 12.92;
      const x = r2 * 0.4124 + g2 * 0.3576 + b6 * 0.1805;
      const y3 = r2 * 0.2126 + g2 * 0.7152 + b6 * 0.0722;
      const z2 = r2 * 0.0193 + g2 * 0.1192 + b6 * 0.9505;
      return [x * 100, y3 * 100, z2 * 100];
    };
    convert2.rgb.lab = function(rgb) {
      const xyz = convert2.rgb.xyz(rgb);
      let x = xyz[0];
      let y3 = xyz[1];
      let z2 = xyz[2];
      x /= 95.047;
      y3 /= 100;
      z2 /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y3 = y3 > 8856e-6 ? y3 ** (1 / 3) : 7.787 * y3 + 16 / 116;
      z2 = z2 > 8856e-6 ? z2 ** (1 / 3) : 7.787 * z2 + 16 / 116;
      const l2 = 116 * y3 - 16;
      const a3 = 500 * (x - y3);
      const b6 = 200 * (y3 - z2);
      return [l2, a3, b6];
    };
    convert2.hsl.rgb = function(hsl) {
      const h3 = hsl[0] / 360;
      const s3 = hsl[1] / 100;
      const l2 = hsl[2] / 100;
      let t22;
      let t32;
      let val;
      if (s3 === 0) {
        val = l2 * 255;
        return [val, val, val];
      }
      if (l2 < 0.5) {
        t22 = l2 * (1 + s3);
      } else {
        t22 = l2 + s3 - l2 * s3;
      }
      const t1 = 2 * l2 - t22;
      const rgb = [0, 0, 0];
      for (let i4 = 0; i4 < 3; i4++) {
        t32 = h3 + 1 / 3 * -(i4 - 1);
        if (t32 < 0) {
          t32++;
        }
        if (t32 > 1) {
          t32--;
        }
        if (6 * t32 < 1) {
          val = t1 + (t22 - t1) * 6 * t32;
        } else if (2 * t32 < 1) {
          val = t22;
        } else if (3 * t32 < 2) {
          val = t1 + (t22 - t1) * (2 / 3 - t32) * 6;
        } else {
          val = t1;
        }
        rgb[i4] = val * 255;
      }
      return rgb;
    };
    convert2.hsl.hsv = function(hsl) {
      const h3 = hsl[0];
      let s3 = hsl[1] / 100;
      let l2 = hsl[2] / 100;
      let smin = s3;
      const lmin = Math.max(l2, 0.01);
      l2 *= 2;
      s3 *= l2 <= 1 ? l2 : 2 - l2;
      smin *= lmin <= 1 ? lmin : 2 - lmin;
      const v2 = (l2 + s3) / 2;
      const sv = l2 === 0 ? 2 * smin / (lmin + smin) : 2 * s3 / (l2 + s3);
      return [h3, sv * 100, v2 * 100];
    };
    convert2.hsv.rgb = function(hsv) {
      const h3 = hsv[0] / 60;
      const s3 = hsv[1] / 100;
      let v2 = hsv[2] / 100;
      const hi = Math.floor(h3) % 6;
      const f4 = h3 - Math.floor(h3);
      const p2 = 255 * v2 * (1 - s3);
      const q = 255 * v2 * (1 - s3 * f4);
      const t9 = 255 * v2 * (1 - s3 * (1 - f4));
      v2 *= 255;
      switch (hi) {
        case 0:
          return [v2, t9, p2];
        case 1:
          return [q, v2, p2];
        case 2:
          return [p2, v2, t9];
        case 3:
          return [p2, q, v2];
        case 4:
          return [t9, p2, v2];
        case 5:
          return [v2, p2, q];
      }
    };
    convert2.hsv.hsl = function(hsv) {
      const h3 = hsv[0];
      const s3 = hsv[1] / 100;
      const v2 = hsv[2] / 100;
      const vmin = Math.max(v2, 0.01);
      let sl;
      let l2;
      l2 = (2 - s3) * v2;
      const lmin = (2 - s3) * vmin;
      sl = s3 * vmin;
      sl /= lmin <= 1 ? lmin : 2 - lmin;
      sl = sl || 0;
      l2 /= 2;
      return [h3, sl * 100, l2 * 100];
    };
    convert2.hwb.rgb = function(hwb) {
      const h3 = hwb[0] / 360;
      let wh2 = hwb[1] / 100;
      let bl2 = hwb[2] / 100;
      const ratio = wh2 + bl2;
      let f4;
      if (ratio > 1) {
        wh2 /= ratio;
        bl2 /= ratio;
      }
      const i4 = Math.floor(6 * h3);
      const v2 = 1 - bl2;
      f4 = 6 * h3 - i4;
      if ((i4 & 1) !== 0) {
        f4 = 1 - f4;
      }
      const n2 = wh2 + f4 * (v2 - wh2);
      let r2;
      let g2;
      let b6;
      switch (i4) {
        default:
        case 6:
        case 0:
          r2 = v2;
          g2 = n2;
          b6 = wh2;
          break;
        case 1:
          r2 = n2;
          g2 = v2;
          b6 = wh2;
          break;
        case 2:
          r2 = wh2;
          g2 = v2;
          b6 = n2;
          break;
        case 3:
          r2 = wh2;
          g2 = n2;
          b6 = v2;
          break;
        case 4:
          r2 = n2;
          g2 = wh2;
          b6 = v2;
          break;
        case 5:
          r2 = v2;
          g2 = wh2;
          b6 = n2;
          break;
      }
      return [r2 * 255, g2 * 255, b6 * 255];
    };
    convert2.cmyk.rgb = function(cmyk) {
      const c4 = cmyk[0] / 100;
      const m3 = cmyk[1] / 100;
      const y3 = cmyk[2] / 100;
      const k = cmyk[3] / 100;
      const r2 = 1 - Math.min(1, c4 * (1 - k) + k);
      const g2 = 1 - Math.min(1, m3 * (1 - k) + k);
      const b6 = 1 - Math.min(1, y3 * (1 - k) + k);
      return [r2 * 255, g2 * 255, b6 * 255];
    };
    convert2.xyz.rgb = function(xyz) {
      const x = xyz[0] / 100;
      const y3 = xyz[1] / 100;
      const z2 = xyz[2] / 100;
      let r2;
      let g2;
      let b6;
      r2 = x * 3.2406 + y3 * -1.5372 + z2 * -0.4986;
      g2 = x * -0.9689 + y3 * 1.8758 + z2 * 0.0415;
      b6 = x * 0.0557 + y3 * -0.204 + z2 * 1.057;
      r2 = r2 > 31308e-7 ? 1.055 * r2 ** (1 / 2.4) - 0.055 : r2 * 12.92;
      g2 = g2 > 31308e-7 ? 1.055 * g2 ** (1 / 2.4) - 0.055 : g2 * 12.92;
      b6 = b6 > 31308e-7 ? 1.055 * b6 ** (1 / 2.4) - 0.055 : b6 * 12.92;
      r2 = Math.min(Math.max(0, r2), 1);
      g2 = Math.min(Math.max(0, g2), 1);
      b6 = Math.min(Math.max(0, b6), 1);
      return [r2 * 255, g2 * 255, b6 * 255];
    };
    convert2.xyz.lab = function(xyz) {
      let x = xyz[0];
      let y3 = xyz[1];
      let z2 = xyz[2];
      x /= 95.047;
      y3 /= 100;
      z2 /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y3 = y3 > 8856e-6 ? y3 ** (1 / 3) : 7.787 * y3 + 16 / 116;
      z2 = z2 > 8856e-6 ? z2 ** (1 / 3) : 7.787 * z2 + 16 / 116;
      const l2 = 116 * y3 - 16;
      const a3 = 500 * (x - y3);
      const b6 = 200 * (y3 - z2);
      return [l2, a3, b6];
    };
    convert2.lab.xyz = function(lab) {
      const l2 = lab[0];
      const a3 = lab[1];
      const b6 = lab[2];
      let x;
      let y3;
      let z2;
      y3 = (l2 + 16) / 116;
      x = a3 / 500 + y3;
      z2 = y3 - b6 / 200;
      const y22 = y3 ** 3;
      const x2 = x ** 3;
      const z22 = z2 ** 3;
      y3 = y22 > 8856e-6 ? y22 : (y3 - 16 / 116) / 7.787;
      x = x2 > 8856e-6 ? x2 : (x - 16 / 116) / 7.787;
      z2 = z22 > 8856e-6 ? z22 : (z2 - 16 / 116) / 7.787;
      x *= 95.047;
      y3 *= 100;
      z2 *= 108.883;
      return [x, y3, z2];
    };
    convert2.lab.lch = function(lab) {
      const l2 = lab[0];
      const a3 = lab[1];
      const b6 = lab[2];
      let h3;
      const hr = Math.atan2(b6, a3);
      h3 = hr * 360 / 2 / Math.PI;
      if (h3 < 0) {
        h3 += 360;
      }
      const c4 = Math.sqrt(a3 * a3 + b6 * b6);
      return [l2, c4, h3];
    };
    convert2.lch.lab = function(lch) {
      const l2 = lch[0];
      const c4 = lch[1];
      const h3 = lch[2];
      const hr = h3 / 360 * 2 * Math.PI;
      const a3 = c4 * Math.cos(hr);
      const b6 = c4 * Math.sin(hr);
      return [l2, a3, b6];
    };
    convert2.rgb.ansi16 = function(args3, saturation = null) {
      const [r2, g2, b6] = args3;
      let value = saturation === null ? convert2.rgb.hsv(args3)[2] : saturation;
      value = Math.round(value / 50);
      if (value === 0) {
        return 30;
      }
      let ansi = 30 + (Math.round(b6 / 255) << 2 | Math.round(g2 / 255) << 1 | Math.round(r2 / 255));
      if (value === 2) {
        ansi += 60;
      }
      return ansi;
    };
    convert2.hsv.ansi16 = function(args3) {
      return convert2.rgb.ansi16(convert2.hsv.rgb(args3), args3[2]);
    };
    convert2.rgb.ansi256 = function(args3) {
      const r2 = args3[0];
      const g2 = args3[1];
      const b6 = args3[2];
      if (r2 === g2 && g2 === b6) {
        if (r2 < 8) {
          return 16;
        }
        if (r2 > 248) {
          return 231;
        }
        return Math.round((r2 - 8) / 247 * 24) + 232;
      }
      const ansi = 16 + 36 * Math.round(r2 / 255 * 5) + 6 * Math.round(g2 / 255 * 5) + Math.round(b6 / 255 * 5);
      return ansi;
    };
    convert2.ansi16.rgb = function(args3) {
      let color2 = args3 % 10;
      if (color2 === 0 || color2 === 7) {
        if (args3 > 50) {
          color2 += 3.5;
        }
        color2 = color2 / 10.5 * 255;
        return [color2, color2, color2];
      }
      const mult = (~~(args3 > 50) + 1) * 0.5;
      const r2 = (color2 & 1) * mult * 255;
      const g2 = (color2 >> 1 & 1) * mult * 255;
      const b6 = (color2 >> 2 & 1) * mult * 255;
      return [r2, g2, b6];
    };
    convert2.ansi256.rgb = function(args3) {
      if (args3 >= 232) {
        const c4 = (args3 - 232) * 10 + 8;
        return [c4, c4, c4];
      }
      args3 -= 16;
      let rem;
      const r2 = Math.floor(args3 / 36) / 5 * 255;
      const g2 = Math.floor((rem = args3 % 36) / 6) / 5 * 255;
      const b6 = rem % 6 / 5 * 255;
      return [r2, g2, b6];
    };
    convert2.rgb.hex = function(args3) {
      const integer = ((Math.round(args3[0]) & 255) << 16) + ((Math.round(args3[1]) & 255) << 8) + (Math.round(args3[2]) & 255);
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert2.hex.rgb = function(args3) {
      const match4 = args3.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
      if (!match4) {
        return [0, 0, 0];
      }
      let colorString = match4[0];
      if (match4[0].length === 3) {
        colorString = colorString.split("").map((char) => {
          return char + char;
        }).join("");
      }
      const integer = parseInt(colorString, 16);
      const r2 = integer >> 16 & 255;
      const g2 = integer >> 8 & 255;
      const b6 = integer & 255;
      return [r2, g2, b6];
    };
    convert2.rgb.hcg = function(rgb) {
      const r2 = rgb[0] / 255;
      const g2 = rgb[1] / 255;
      const b6 = rgb[2] / 255;
      const max = Math.max(Math.max(r2, g2), b6);
      const min = Math.min(Math.min(r2, g2), b6);
      const chroma = max - min;
      let grayscale;
      let hue;
      if (chroma < 1) {
        grayscale = min / (1 - chroma);
      } else {
        grayscale = 0;
      }
      if (chroma <= 0) {
        hue = 0;
      } else if (max === r2) {
        hue = (g2 - b6) / chroma % 6;
      } else if (max === g2) {
        hue = 2 + (b6 - r2) / chroma;
      } else {
        hue = 4 + (r2 - g2) / chroma;
      }
      hue /= 6;
      hue %= 1;
      return [hue * 360, chroma * 100, grayscale * 100];
    };
    convert2.hsl.hcg = function(hsl) {
      const s3 = hsl[1] / 100;
      const l2 = hsl[2] / 100;
      const c4 = l2 < 0.5 ? 2 * s3 * l2 : 2 * s3 * (1 - l2);
      let f4 = 0;
      if (c4 < 1) {
        f4 = (l2 - 0.5 * c4) / (1 - c4);
      }
      return [hsl[0], c4 * 100, f4 * 100];
    };
    convert2.hsv.hcg = function(hsv) {
      const s3 = hsv[1] / 100;
      const v2 = hsv[2] / 100;
      const c4 = s3 * v2;
      let f4 = 0;
      if (c4 < 1) {
        f4 = (v2 - c4) / (1 - c4);
      }
      return [hsv[0], c4 * 100, f4 * 100];
    };
    convert2.hcg.rgb = function(hcg) {
      const h3 = hcg[0] / 360;
      const c4 = hcg[1] / 100;
      const g2 = hcg[2] / 100;
      if (c4 === 0) {
        return [g2 * 255, g2 * 255, g2 * 255];
      }
      const pure = [0, 0, 0];
      const hi = h3 % 1 * 6;
      const v2 = hi % 1;
      const w7 = 1 - v2;
      let mg2 = 0;
      switch (Math.floor(hi)) {
        case 0:
          pure[0] = 1;
          pure[1] = v2;
          pure[2] = 0;
          break;
        case 1:
          pure[0] = w7;
          pure[1] = 1;
          pure[2] = 0;
          break;
        case 2:
          pure[0] = 0;
          pure[1] = 1;
          pure[2] = v2;
          break;
        case 3:
          pure[0] = 0;
          pure[1] = w7;
          pure[2] = 1;
          break;
        case 4:
          pure[0] = v2;
          pure[1] = 0;
          pure[2] = 1;
          break;
        default:
          pure[0] = 1;
          pure[1] = 0;
          pure[2] = w7;
      }
      mg2 = (1 - c4) * g2;
      return [
        (c4 * pure[0] + mg2) * 255,
        (c4 * pure[1] + mg2) * 255,
        (c4 * pure[2] + mg2) * 255
      ];
    };
    convert2.hcg.hsv = function(hcg) {
      const c4 = hcg[1] / 100;
      const g2 = hcg[2] / 100;
      const v2 = c4 + g2 * (1 - c4);
      let f4 = 0;
      if (v2 > 0) {
        f4 = c4 / v2;
      }
      return [hcg[0], f4 * 100, v2 * 100];
    };
    convert2.hcg.hsl = function(hcg) {
      const c4 = hcg[1] / 100;
      const g2 = hcg[2] / 100;
      const l2 = g2 * (1 - c4) + 0.5 * c4;
      let s3 = 0;
      if (l2 > 0 && l2 < 0.5) {
        s3 = c4 / (2 * l2);
      } else if (l2 >= 0.5 && l2 < 1) {
        s3 = c4 / (2 * (1 - l2));
      }
      return [hcg[0], s3 * 100, l2 * 100];
    };
    convert2.hcg.hwb = function(hcg) {
      const c4 = hcg[1] / 100;
      const g2 = hcg[2] / 100;
      const v2 = c4 + g2 * (1 - c4);
      return [hcg[0], (v2 - c4) * 100, (1 - v2) * 100];
    };
    convert2.hwb.hcg = function(hwb) {
      const w7 = hwb[1] / 100;
      const b6 = hwb[2] / 100;
      const v2 = 1 - b6;
      const c4 = v2 - w7;
      let g2 = 0;
      if (c4 < 1) {
        g2 = (v2 - c4) / (1 - c4);
      }
      return [hwb[0], c4 * 100, g2 * 100];
    };
    convert2.apple.rgb = function(apple) {
      return [apple[0] / 65535 * 255, apple[1] / 65535 * 255, apple[2] / 65535 * 255];
    };
    convert2.rgb.apple = function(rgb) {
      return [rgb[0] / 255 * 65535, rgb[1] / 255 * 65535, rgb[2] / 255 * 65535];
    };
    convert2.gray.rgb = function(args3) {
      return [args3[0] / 100 * 255, args3[0] / 100 * 255, args3[0] / 100 * 255];
    };
    convert2.gray.hsl = function(args3) {
      return [0, 0, args3[0]];
    };
    convert2.gray.hsv = convert2.gray.hsl;
    convert2.gray.hwb = function(gray2) {
      return [0, 100, gray2[0]];
    };
    convert2.gray.cmyk = function(gray2) {
      return [0, 0, 0, gray2[0]];
    };
    convert2.gray.lab = function(gray2) {
      return [gray2[0], 0, 0];
    };
    convert2.gray.hex = function(gray2) {
      const val = Math.round(gray2[0] / 100 * 255) & 255;
      const integer = (val << 16) + (val << 8) + val;
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert2.rgb.gray = function(rgb) {
      const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
      return [val / 255 * 100];
    };
  }
});

// ../../node_modules/.pnpm/color-convert@2.0.1/node_modules/color-convert/route.js
var require_route2 = __commonJS({
  "../../node_modules/.pnpm/color-convert@2.0.1/node_modules/color-convert/route.js"(exports2, module2) {
    "use strict";
    var conversions = require_conversions2();
    function buildGraph() {
      const graph = {};
      const models = Object.keys(conversions);
      for (let len = models.length, i4 = 0; i4 < len; i4++) {
        graph[models[i4]] = {
          // http://jsperf.com/1-vs-infinity
          // micro-opt, but this is simple.
          distance: -1,
          parent: null
        };
      }
      return graph;
    }
    function deriveBFS(fromModel) {
      const graph = buildGraph();
      const queue2 = [fromModel];
      graph[fromModel].distance = 0;
      while (queue2.length) {
        const current = queue2.pop();
        const adjacents = Object.keys(conversions[current]);
        for (let len = adjacents.length, i4 = 0; i4 < len; i4++) {
          const adjacent = adjacents[i4];
          const node = graph[adjacent];
          if (node.distance === -1) {
            node.distance = graph[current].distance + 1;
            node.parent = current;
            queue2.unshift(adjacent);
          }
        }
      }
      return graph;
    }
    function link4(from, to2) {
      return function(args3) {
        return to2(from(args3));
      };
    }
    function wrapConversion(toModel, graph) {
      const path39 = [graph[toModel].parent, toModel];
      let fn2 = conversions[graph[toModel].parent][toModel];
      let cur = graph[toModel].parent;
      while (graph[cur].parent) {
        path39.unshift(graph[cur].parent);
        fn2 = link4(conversions[graph[cur].parent][cur], fn2);
        cur = graph[cur].parent;
      }
      fn2.conversion = path39;
      return fn2;
    }
    module2.exports = function(fromModel) {
      const graph = deriveBFS(fromModel);
      const conversion = {};
      const models = Object.keys(graph);
      for (let len = models.length, i4 = 0; i4 < len; i4++) {
        const toModel = models[i4];
        const node = graph[toModel];
        if (node.parent === null) {
          continue;
        }
        conversion[toModel] = wrapConversion(toModel, graph);
      }
      return conversion;
    };
  }
});

// ../../node_modules/.pnpm/color-convert@2.0.1/node_modules/color-convert/index.js
var require_color_convert2 = __commonJS({
  "../../node_modules/.pnpm/color-convert@2.0.1/node_modules/color-convert/index.js"(exports2, module2) {
    "use strict";
    var conversions = require_conversions2();
    var route = require_route2();
    var convert2 = {};
    var models = Object.keys(conversions);
    function wrapRaw(fn2) {
      const wrappedFn = function(...args3) {
        const arg0 = args3[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args3 = arg0;
        }
        return fn2(args3);
      };
      if ("conversion" in fn2) {
        wrappedFn.conversion = fn2.conversion;
      }
      return wrappedFn;
    }
    function wrapRounded(fn2) {
      const wrappedFn = function(...args3) {
        const arg0 = args3[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args3 = arg0;
        }
        const result = fn2(args3);
        if (typeof result === "object") {
          for (let len = result.length, i4 = 0; i4 < len; i4++) {
            result[i4] = Math.round(result[i4]);
          }
        }
        return result;
      };
      if ("conversion" in fn2) {
        wrappedFn.conversion = fn2.conversion;
      }
      return wrappedFn;
    }
    models.forEach((fromModel) => {
      convert2[fromModel] = {};
      Object.defineProperty(convert2[fromModel], "channels", { value: conversions[fromModel].channels });
      Object.defineProperty(convert2[fromModel], "labels", { value: conversions[fromModel].labels });
      const routes = route(fromModel);
      const routeModels = Object.keys(routes);
      routeModels.forEach((toModel) => {
        const fn2 = routes[toModel];
        convert2[fromModel][toModel] = wrapRounded(fn2);
        convert2[fromModel][toModel].raw = wrapRaw(fn2);
      });
    });
    module2.exports = convert2;
  }
});

// ../../node_modules/.pnpm/ansi-styles@4.3.0/node_modules/ansi-styles/index.js
var require_ansi_styles2 = __commonJS({
  "../../node_modules/.pnpm/ansi-styles@4.3.0/node_modules/ansi-styles/index.js"(exports2, module2) {
    "use strict";
    var wrapAnsi16 = (fn2, offset) => (...args3) => {
      const code = fn2(...args3);
      return `\x1B[${code + offset}m`;
    };
    var wrapAnsi256 = (fn2, offset) => (...args3) => {
      const code = fn2(...args3);
      return `\x1B[${38 + offset};5;${code}m`;
    };
    var wrapAnsi16m = (fn2, offset) => (...args3) => {
      const rgb = fn2(...args3);
      return `\x1B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
    };
    var ansi2ansi = (n2) => n2;
    var rgb2rgb = (r2, g2, b6) => [r2, g2, b6];
    var setLazyProperty = (object, property, get) => {
      Object.defineProperty(object, property, {
        get: () => {
          const value = get();
          Object.defineProperty(object, property, {
            value,
            enumerable: true,
            configurable: true
          });
          return value;
        },
        enumerable: true,
        configurable: true
      });
    };
    var colorConvert;
    var makeDynamicStyles = (wrap3, targetSpace, identity4, isBackground) => {
      if (colorConvert === void 0) {
        colorConvert = require_color_convert2();
      }
      const offset = isBackground ? 10 : 0;
      const styles2 = {};
      for (const [sourceSpace, suite] of Object.entries(colorConvert)) {
        const name = sourceSpace === "ansi16" ? "ansi" : sourceSpace;
        if (sourceSpace === targetSpace) {
          styles2[name] = wrap3(identity4, offset);
        } else if (typeof suite === "object") {
          styles2[name] = wrap3(suite[targetSpace], offset);
        }
      }
      return styles2;
    };
    function assembleStyles() {
      const codes = /* @__PURE__ */ new Map();
      const styles2 = {
        modifier: {
          reset: [0, 0],
          // 21 isn't widely supported and 22 does the same thing
          bold: [1, 22],
          dim: [2, 22],
          italic: [3, 23],
          underline: [4, 24],
          inverse: [7, 27],
          hidden: [8, 28],
          strikethrough: [9, 29]
        },
        color: {
          black: [30, 39],
          red: [31, 39],
          green: [32, 39],
          yellow: [33, 39],
          blue: [34, 39],
          magenta: [35, 39],
          cyan: [36, 39],
          white: [37, 39],
          // Bright color
          blackBright: [90, 39],
          redBright: [91, 39],
          greenBright: [92, 39],
          yellowBright: [93, 39],
          blueBright: [94, 39],
          magentaBright: [95, 39],
          cyanBright: [96, 39],
          whiteBright: [97, 39]
        },
        bgColor: {
          bgBlack: [40, 49],
          bgRed: [41, 49],
          bgGreen: [42, 49],
          bgYellow: [43, 49],
          bgBlue: [44, 49],
          bgMagenta: [45, 49],
          bgCyan: [46, 49],
          bgWhite: [47, 49],
          // Bright color
          bgBlackBright: [100, 49],
          bgRedBright: [101, 49],
          bgGreenBright: [102, 49],
          bgYellowBright: [103, 49],
          bgBlueBright: [104, 49],
          bgMagentaBright: [105, 49],
          bgCyanBright: [106, 49],
          bgWhiteBright: [107, 49]
        }
      };
      styles2.color.gray = styles2.color.blackBright;
      styles2.bgColor.bgGray = styles2.bgColor.bgBlackBright;
      styles2.color.grey = styles2.color.blackBright;
      styles2.bgColor.bgGrey = styles2.bgColor.bgBlackBright;
      for (const [groupName, group] of Object.entries(styles2)) {
        for (const [styleName, style2] of Object.entries(group)) {
          styles2[styleName] = {
            open: `\x1B[${style2[0]}m`,
            close: `\x1B[${style2[1]}m`
          };
          group[styleName] = styles2[styleName];
          codes.set(style2[0], style2[1]);
        }
        Object.defineProperty(styles2, groupName, {
          value: group,
          enumerable: false
        });
      }
      Object.defineProperty(styles2, "codes", {
        value: codes,
        enumerable: false
      });
      styles2.color.close = "\x1B[39m";
      styles2.bgColor.close = "\x1B[49m";
      setLazyProperty(styles2.color, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, false));
      setLazyProperty(styles2.color, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, false));
      setLazyProperty(styles2.color, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, false));
      setLazyProperty(styles2.bgColor, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, true));
      setLazyProperty(styles2.bgColor, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, true));
      setLazyProperty(styles2.bgColor, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, true));
      return styles2;
    }
    Object.defineProperty(module2, "exports", {
      enumerable: true,
      get: assembleStyles
    });
  }
});

// ../../node_modules/.pnpm/slice-ansi@3.0.0/node_modules/slice-ansi/index.js
var require_slice_ansi = __commonJS({
  "../../node_modules/.pnpm/slice-ansi@3.0.0/node_modules/slice-ansi/index.js"(exports2, module2) {
    "use strict";
    var isFullwidthCodePoint = require_is_fullwidth_code_point();
    var astralRegex = require_astral_regex();
    var ansiStyles = require_ansi_styles2();
    var ESCAPES = [
      "\x1B",
      "\x9B"
    ];
    var wrapAnsi = (code) => `${ESCAPES[0]}[${code}m`;
    var checkAnsi = (ansiCodes, isEscapes, endAnsiCode) => {
      let output = [];
      ansiCodes = [...ansiCodes];
      for (let ansiCode of ansiCodes) {
        const ansiCodeOrigin = ansiCode;
        if (ansiCode.match(";")) {
          ansiCode = ansiCode.split(";")[0][0] + "0";
        }
        const item2 = ansiStyles.codes.get(parseInt(ansiCode, 10));
        if (item2) {
          const indexEscape = ansiCodes.indexOf(item2.toString());
          if (indexEscape >= 0) {
            ansiCodes.splice(indexEscape, 1);
          } else {
            output.push(wrapAnsi(isEscapes ? item2 : ansiCodeOrigin));
          }
        } else if (isEscapes) {
          output.push(wrapAnsi(0));
          break;
        } else {
          output.push(wrapAnsi(ansiCodeOrigin));
        }
      }
      if (isEscapes) {
        output = output.filter((element, index2) => output.indexOf(element) === index2);
        if (endAnsiCode !== void 0) {
          const fistEscapeCode = wrapAnsi(ansiStyles.codes.get(parseInt(endAnsiCode, 10)));
          output = output.reduce((current, next) => next === fistEscapeCode ? [next, ...current] : [...current, next], []);
        }
      }
      return output.join("");
    };
    module2.exports = (string, begin, end) => {
      const characters = [...string.normalize()];
      const ansiCodes = [];
      end = typeof end === "number" ? end : characters.length;
      let isInsideEscape = false;
      let ansiCode;
      let visible = 0;
      let output = "";
      for (const [index2, character] of characters.entries()) {
        let leftEscape = false;
        if (ESCAPES.includes(character)) {
          const code = /\d[^m]*/.exec(string.slice(index2, index2 + 18));
          ansiCode = code && code.length > 0 ? code[0] : void 0;
          if (visible < end) {
            isInsideEscape = true;
            if (ansiCode !== void 0) {
              ansiCodes.push(ansiCode);
            }
          }
        } else if (isInsideEscape && character === "m") {
          isInsideEscape = false;
          leftEscape = true;
        }
        if (!isInsideEscape && !leftEscape) {
          ++visible;
        }
        if (!astralRegex({ exact: true }).test(character) && isFullwidthCodePoint(character.codePointAt())) {
          ++visible;
        }
        if (visible > begin && visible <= end) {
          output += character;
        } else if (visible === begin && !isInsideEscape && ansiCode !== void 0) {
          output = checkAnsi(ansiCodes);
        } else if (visible >= end) {
          output += checkAnsi(ansiCodes, true, ansiCode);
          break;
        }
      }
      return output;
    };
  }
});

// ../../node_modules/.pnpm/emoji-regex@8.0.0/node_modules/emoji-regex/index.js
var require_emoji_regex = __commonJS({
  "../../node_modules/.pnpm/emoji-regex@8.0.0/node_modules/emoji-regex/index.js"(exports2, module2) {
    "use strict";
    module2.exports = function() {
      return /\uD83C\uDFF4\uDB40\uDC67\uDB40\uDC62(?:\uDB40\uDC65\uDB40\uDC6E\uDB40\uDC67|\uDB40\uDC73\uDB40\uDC63\uDB40\uDC74|\uDB40\uDC77\uDB40\uDC6C\uDB40\uDC73)\uDB40\uDC7F|\uD83D\uDC68(?:\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68\uD83C\uDFFB|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFE])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83D\uDC68|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D[\uDC66\uDC67])|[\u2695\u2696\u2708]\uFE0F|\uD83D[\uDC66\uDC67]|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|(?:\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708])\uFE0F|\uD83C\uDFFB\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C[\uDFFB-\uDFFF])|(?:\uD83E\uDDD1\uD83C\uDFFB\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)\uD83C\uDFFB|\uD83E\uDDD1(?:\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1)|(?:\uD83E\uDDD1\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB-\uDFFE])|(?:\uD83E\uDDD1\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB\uDFFC])|\uD83D\uDC69(?:\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFD-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFB\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFC-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC\uDFFE\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D(?:\uD83D[\uDC68\uDC69])|\uD83D[\uDC68\uDC69])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD]))|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|(?:\uD83E\uDDD1\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB-\uDFFD])|\uD83D\uDC69\u200D\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D\uDC41\uFE0F\u200D\uD83D\uDDE8|\uD83D\uDC69(?:\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708]|\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\u200D[\u2695\u2696\u2708])|(?:(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)\uFE0F|\uD83D\uDC6F|\uD83E[\uDD3C\uDDDE\uDDDF])\u200D[\u2640\u2642]|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|\u200D[\u2640\u2642])|\uD83C\uDFF4\u200D\u2620)\uFE0F|\uD83D\uDC69\u200D\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|\uD83C\uDFF3\uFE0F\u200D\uD83C\uDF08|\uD83D\uDC15\u200D\uD83E\uDDBA|\uD83D\uDC69\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC67|\uD83C\uDDFD\uD83C\uDDF0|\uD83C\uDDF4\uD83C\uDDF2|\uD83C\uDDF6\uD83C\uDDE6|[#\*0-9]\uFE0F\u20E3|\uD83C\uDDE7(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEF\uDDF1-\uDDF4\uDDF6-\uDDF9\uDDFB\uDDFC\uDDFE\uDDFF])|\uD83C\uDDF9(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDED\uDDEF-\uDDF4\uDDF7\uDDF9\uDDFB\uDDFC\uDDFF])|\uD83C\uDDEA(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDED\uDDF7-\uDDFA])|\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF7(?:\uD83C[\uDDEA\uDDF4\uDDF8\uDDFA\uDDFC])|\uD83D\uDC69(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF2(?:\uD83C[\uDDE6\uDDE8-\uDDED\uDDF0-\uDDFF])|\uD83C\uDDE6(?:\uD83C[\uDDE8-\uDDEC\uDDEE\uDDF1\uDDF2\uDDF4\uDDF6-\uDDFA\uDDFC\uDDFD\uDDFF])|\uD83C\uDDF0(?:\uD83C[\uDDEA\uDDEC-\uDDEE\uDDF2\uDDF3\uDDF5\uDDF7\uDDFC\uDDFE\uDDFF])|\uD83C\uDDED(?:\uD83C[\uDDF0\uDDF2\uDDF3\uDDF7\uDDF9\uDDFA])|\uD83C\uDDE9(?:\uD83C[\uDDEA\uDDEC\uDDEF\uDDF0\uDDF2\uDDF4\uDDFF])|\uD83C\uDDFE(?:\uD83C[\uDDEA\uDDF9])|\uD83C\uDDEC(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEE\uDDF1-\uDDF3\uDDF5-\uDDFA\uDDFC\uDDFE])|\uD83C\uDDF8(?:\uD83C[\uDDE6-\uDDEA\uDDEC-\uDDF4\uDDF7-\uDDF9\uDDFB\uDDFD-\uDDFF])|\uD83C\uDDEB(?:\uD83C[\uDDEE-\uDDF0\uDDF2\uDDF4\uDDF7])|\uD83C\uDDF5(?:\uD83C[\uDDE6\uDDEA-\uDDED\uDDF0-\uDDF3\uDDF7-\uDDF9\uDDFC\uDDFE])|\uD83C\uDDFB(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDEE\uDDF3\uDDFA])|\uD83C\uDDF3(?:\uD83C[\uDDE6\uDDE8\uDDEA-\uDDEC\uDDEE\uDDF1\uDDF4\uDDF5\uDDF7\uDDFA\uDDFF])|\uD83C\uDDE8(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDEE\uDDF0-\uDDF5\uDDF7\uDDFA-\uDDFF])|\uD83C\uDDF1(?:\uD83C[\uDDE6-\uDDE8\uDDEE\uDDF0\uDDF7-\uDDFB\uDDFE])|\uD83C\uDDFF(?:\uD83C[\uDDE6\uDDF2\uDDFC])|\uD83C\uDDFC(?:\uD83C[\uDDEB\uDDF8])|\uD83C\uDDFA(?:\uD83C[\uDDE6\uDDEC\uDDF2\uDDF3\uDDF8\uDDFE\uDDFF])|\uD83C\uDDEE(?:\uD83C[\uDDE8-\uDDEA\uDDF1-\uDDF4\uDDF6-\uDDF9])|\uD83C\uDDEF(?:\uD83C[\uDDEA\uDDF2\uDDF4\uDDF5])|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:\uD83C[\uDFFB-\uDFFF])|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u261D\u270A-\u270D]|\uD83C[\uDF85\uDFC2\uDFC7]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66\uDC67\uDC6B-\uDC6D\uDC70\uDC72\uDC74-\uDC76\uDC78\uDC7C\uDC83\uDC85\uDCAA\uDD74\uDD7A\uDD90\uDD95\uDD96\uDE4C\uDE4F\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1C\uDD1E\uDD1F\uDD30-\uDD36\uDDB5\uDDB6\uDDBB\uDDD2-\uDDD5])(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u231A\u231B\u23E9-\u23EC\u23F0\u23F3\u25FD\u25FE\u2614\u2615\u2648-\u2653\u267F\u2693\u26A1\u26AA\u26AB\u26BD\u26BE\u26C4\u26C5\u26CE\u26D4\u26EA\u26F2\u26F3\u26F5\u26FA\u26FD\u2705\u270A\u270B\u2728\u274C\u274E\u2753-\u2755\u2757\u2795-\u2797\u27B0\u27BF\u2B1B\u2B1C\u2B50\u2B55]|\uD83C[\uDC04\uDCCF\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE1A\uDE2F\uDE32-\uDE36\uDE38-\uDE3A\uDE50\uDE51\uDF00-\uDF20\uDF2D-\uDF35\uDF37-\uDF7C\uDF7E-\uDF93\uDFA0-\uDFCA\uDFCF-\uDFD3\uDFE0-\uDFF0\uDFF4\uDFF8-\uDFFF]|\uD83D[\uDC00-\uDC3E\uDC40\uDC42-\uDCFC\uDCFF-\uDD3D\uDD4B-\uDD4E\uDD50-\uDD67\uDD7A\uDD95\uDD96\uDDA4\uDDFB-\uDE4F\uDE80-\uDEC5\uDECC\uDED0-\uDED2\uDED5\uDEEB\uDEEC\uDEF4-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])|(?:[#\*0-9\xA9\xAE\u203C\u2049\u2122\u2139\u2194-\u2199\u21A9\u21AA\u231A\u231B\u2328\u23CF\u23E9-\u23F3\u23F8-\u23FA\u24C2\u25AA\u25AB\u25B6\u25C0\u25FB-\u25FE\u2600-\u2604\u260E\u2611\u2614\u2615\u2618\u261D\u2620\u2622\u2623\u2626\u262A\u262E\u262F\u2638-\u263A\u2640\u2642\u2648-\u2653\u265F\u2660\u2663\u2665\u2666\u2668\u267B\u267E\u267F\u2692-\u2697\u2699\u269B\u269C\u26A0\u26A1\u26AA\u26AB\u26B0\u26B1\u26BD\u26BE\u26C4\u26C5\u26C8\u26CE\u26CF\u26D1\u26D3\u26D4\u26E9\u26EA\u26F0-\u26F5\u26F7-\u26FA\u26FD\u2702\u2705\u2708-\u270D\u270F\u2712\u2714\u2716\u271D\u2721\u2728\u2733\u2734\u2744\u2747\u274C\u274E\u2753-\u2755\u2757\u2763\u2764\u2795-\u2797\u27A1\u27B0\u27BF\u2934\u2935\u2B05-\u2B07\u2B1B\u2B1C\u2B50\u2B55\u3030\u303D\u3297\u3299]|\uD83C[\uDC04\uDCCF\uDD70\uDD71\uDD7E\uDD7F\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE02\uDE1A\uDE2F\uDE32-\uDE3A\uDE50\uDE51\uDF00-\uDF21\uDF24-\uDF93\uDF96\uDF97\uDF99-\uDF9B\uDF9E-\uDFF0\uDFF3-\uDFF5\uDFF7-\uDFFF]|\uD83D[\uDC00-\uDCFD\uDCFF-\uDD3D\uDD49-\uDD4E\uDD50-\uDD67\uDD6F\uDD70\uDD73-\uDD7A\uDD87\uDD8A-\uDD8D\uDD90\uDD95\uDD96\uDDA4\uDDA5\uDDA8\uDDB1\uDDB2\uDDBC\uDDC2-\uDDC4\uDDD1-\uDDD3\uDDDC-\uDDDE\uDDE1\uDDE3\uDDE8\uDDEF\uDDF3\uDDFA-\uDE4F\uDE80-\uDEC5\uDECB-\uDED2\uDED5\uDEE0-\uDEE5\uDEE9\uDEEB\uDEEC\uDEF0\uDEF3-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])\uFE0F|(?:[\u261D\u26F9\u270A-\u270D]|\uD83C[\uDF85\uDFC2-\uDFC4\uDFC7\uDFCA-\uDFCC]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66-\uDC78\uDC7C\uDC81-\uDC83\uDC85-\uDC87\uDC8F\uDC91\uDCAA\uDD74\uDD75\uDD7A\uDD90\uDD95\uDD96\uDE45-\uDE47\uDE4B-\uDE4F\uDEA3\uDEB4-\uDEB6\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1F\uDD26\uDD30-\uDD39\uDD3C-\uDD3E\uDDB5\uDDB6\uDDB8\uDDB9\uDDBB\uDDCD-\uDDCF\uDDD1-\uDDDD])/g;
    };
  }
});

// ../../node_modules/.pnpm/string-width@4.2.3/node_modules/string-width/index.js
var require_string_width = __commonJS({
  "../../node_modules/.pnpm/string-width@4.2.3/node_modules/string-width/index.js"(exports2, module2) {
    "use strict";
    var stripAnsi3 = require_strip_ansi();
    var isFullwidthCodePoint = require_is_fullwidth_code_point();
    var emojiRegex = require_emoji_regex();
    var stringWidth2 = (string) => {
      if (typeof string !== "string" || string.length === 0) {
        return 0;
      }
      string = stripAnsi3(string);
      if (string.length === 0) {
        return 0;
      }
      string = string.replace(emojiRegex(), "  ");
      let width2 = 0;
      for (let i4 = 0; i4 < string.length; i4++) {
        const code = string.codePointAt(i4);
        if (code <= 31 || code >= 127 && code <= 159) {
          continue;
        }
        if (code >= 768 && code <= 879) {
          continue;
        }
        if (code > 65535) {
          i4++;
        }
        width2 += isFullwidthCodePoint(code) ? 2 : 1;
      }
      return width2;
    };
    module2.exports = stringWidth2;
    module2.exports.default = stringWidth2;
  }
});

// ../../node_modules/.pnpm/cli-truncate@2.1.0/node_modules/cli-truncate/index.js
var require_cli_truncate = __commonJS({
  "../../node_modules/.pnpm/cli-truncate@2.1.0/node_modules/cli-truncate/index.js"(exports2, module2) {
    "use strict";
    var sliceAnsi = require_slice_ansi();
    var stringWidth2 = require_string_width();
    function getIndexOfNearestSpace(string, index2, shouldSearchRight) {
      if (string.charAt(index2) === " ") {
        return index2;
      }
      for (let i4 = 1; i4 <= 3; i4++) {
        if (shouldSearchRight) {
          if (string.charAt(index2 + i4) === " ") {
            return index2 + i4;
          }
        } else if (string.charAt(index2 - i4) === " ") {
          return index2 - i4;
        }
      }
      return index2;
    }
    module2.exports = (text2, columns, options2) => {
      options2 = {
        position: "end",
        preferTruncationOnSpace: false,
        ...options2
      };
      const { position, space, preferTruncationOnSpace } = options2;
      let ellipsis = "\u2026";
      let ellipsisWidth = 1;
      if (typeof text2 !== "string") {
        throw new TypeError(`Expected \`input\` to be a string, got ${typeof text2}`);
      }
      if (typeof columns !== "number") {
        throw new TypeError(`Expected \`columns\` to be a number, got ${typeof columns}`);
      }
      if (columns < 1) {
        return "";
      }
      if (columns === 1) {
        return ellipsis;
      }
      const length = stringWidth2(text2);
      if (length <= columns) {
        return text2;
      }
      if (position === "start") {
        if (preferTruncationOnSpace) {
          const nearestSpace = getIndexOfNearestSpace(text2, length - columns + 1, true);
          return ellipsis + sliceAnsi(text2, nearestSpace, length).trim();
        }
        if (space === true) {
          ellipsis += " ";
          ellipsisWidth = 2;
        }
        return ellipsis + sliceAnsi(text2, length - columns + ellipsisWidth, length);
      }
      if (position === "middle") {
        if (space === true) {
          ellipsis = " " + ellipsis + " ";
          ellipsisWidth = 3;
        }
        const half = Math.floor(columns / 2);
        if (preferTruncationOnSpace) {
          const spaceNearFirstBreakPoint = getIndexOfNearestSpace(text2, half);
          const spaceNearSecondBreakPoint = getIndexOfNearestSpace(text2, length - (columns - half) + 1, true);
          return sliceAnsi(text2, 0, spaceNearFirstBreakPoint) + ellipsis + sliceAnsi(text2, spaceNearSecondBreakPoint, length).trim();
        }
        return sliceAnsi(text2, 0, half) + ellipsis + sliceAnsi(text2, length - (columns - half) + ellipsisWidth, length);
      }
      if (position === "end") {
        if (preferTruncationOnSpace) {
          const nearestSpace = getIndexOfNearestSpace(text2, columns - 1);
          return sliceAnsi(text2, 0, nearestSpace) + ellipsis;
        }
        if (space === true) {
          ellipsis = " " + ellipsis;
          ellipsisWidth = 2;
        }
        return sliceAnsi(text2, 0, columns - ellipsisWidth) + ellipsis;
      }
      throw new Error(`Expected \`options.position\` to be either \`start\`, \`middle\` or \`end\`, got ${position}`);
    };
  }
});

// ../../node_modules/.pnpm/ini@2.0.0/node_modules/ini/ini.js
var require_ini = __commonJS({
  "../../node_modules/.pnpm/ini@2.0.0/node_modules/ini/ini.js"(exports2, module2) {
    "use strict";
    var { hasOwnProperty: hasOwnProperty3 } = Object.prototype;
    var eol = typeof process !== "undefined" && process.platform === "win32" ? "\r\n" : "\n";
    var encode = (obj, opt) => {
      const children = [];
      let out = "";
      if (typeof opt === "string") {
        opt = {
          section: opt,
          whitespace: false
        };
      } else {
        opt = opt || /* @__PURE__ */ Object.create(null);
        opt.whitespace = opt.whitespace === true;
      }
      const separator = opt.whitespace ? " = " : "=";
      for (const k of Object.keys(obj)) {
        const val = obj[k];
        if (val && Array.isArray(val)) {
          for (const item2 of val)
            out += safe(k + "[]") + separator + safe(item2) + "\n";
        } else if (val && typeof val === "object")
          children.push(k);
        else
          out += safe(k) + separator + safe(val) + eol;
      }
      if (opt.section && out.length)
        out = "[" + safe(opt.section) + "]" + eol + out;
      for (const k of children) {
        const nk = dotSplit(k).join("\\.");
        const section = (opt.section ? opt.section + "." : "") + nk;
        const { whitespace } = opt;
        const child = encode(obj[k], {
          section,
          whitespace
        });
        if (out.length && child.length)
          out += eol;
        out += child;
      }
      return out;
    };
    var dotSplit = (str) => str.replace(/\1/g, "LITERAL\\1LITERAL").replace(/\\\./g, "").split(/\./).map((part) => part.replace(/\1/g, "\\.").replace(/\2LITERAL\\1LITERAL\2/g, ""));
    var decode = (str) => {
      const out = /* @__PURE__ */ Object.create(null);
      let p2 = out;
      let section = null;
      const re2 = /^\[([^\]]*)\]$|^([^=]+)(=(.*))?$/i;
      const lines2 = str.split(/[\r\n]+/g);
      for (const line of lines2) {
        if (!line || line.match(/^\s*[;#]/))
          continue;
        const match4 = line.match(re2);
        if (!match4)
          continue;
        if (match4[1] !== void 0) {
          section = unsafe(match4[1]);
          if (section === "__proto__") {
            p2 = /* @__PURE__ */ Object.create(null);
            continue;
          }
          p2 = out[section] = out[section] || /* @__PURE__ */ Object.create(null);
          continue;
        }
        const keyRaw = unsafe(match4[2]);
        const isArray = keyRaw.length > 2 && keyRaw.slice(-2) === "[]";
        const key = isArray ? keyRaw.slice(0, -2) : keyRaw;
        if (key === "__proto__")
          continue;
        const valueRaw = match4[3] ? unsafe(match4[4]) : true;
        const value = valueRaw === "true" || valueRaw === "false" || valueRaw === "null" ? JSON.parse(valueRaw) : valueRaw;
        if (isArray) {
          if (!hasOwnProperty3.call(p2, key))
            p2[key] = [];
          else if (!Array.isArray(p2[key]))
            p2[key] = [p2[key]];
        }
        if (Array.isArray(p2[key]))
          p2[key].push(value);
        else
          p2[key] = value;
      }
      const remove2 = [];
      for (const k of Object.keys(out)) {
        if (!hasOwnProperty3.call(out, k) || typeof out[k] !== "object" || Array.isArray(out[k]))
          continue;
        const parts = dotSplit(k);
        let p4 = out;
        const l2 = parts.pop();
        const nl = l2.replace(/\\\./g, ".");
        for (const part of parts) {
          if (part === "__proto__")
            continue;
          if (!hasOwnProperty3.call(p4, part) || typeof p4[part] !== "object")
            p4[part] = /* @__PURE__ */ Object.create(null);
          p4 = p4[part];
        }
        if (p4 === out && nl === l2)
          continue;
        p4[nl] = out[k];
        remove2.push(k);
      }
      for (const del3 of remove2)
        delete out[del3];
      return out;
    };
    var isQuoted = (val) => val.charAt(0) === '"' && val.slice(-1) === '"' || val.charAt(0) === "'" && val.slice(-1) === "'";
    var safe = (val) => typeof val !== "string" || val.match(/[=\r\n]/) || val.match(/^\[/) || val.length > 1 && isQuoted(val) || val !== val.trim() ? JSON.stringify(val) : val.replace(/;/g, "\\;").replace(/#/g, "\\#");
    var unsafe = (val, doUnesc) => {
      val = (val || "").trim();
      if (isQuoted(val)) {
        if (val.charAt(0) === "'")
          val = val.substr(1, val.length - 2);
        try {
          val = JSON.parse(val);
        } catch (_3) {
        }
      } else {
        let esc = false;
        let unesc = "";
        for (let i4 = 0, l2 = val.length; i4 < l2; i4++) {
          const c4 = val.charAt(i4);
          if (esc) {
            if ("\\;#".indexOf(c4) !== -1)
              unesc += c4;
            else
              unesc += "\\" + c4;
            esc = false;
          } else if (";#".indexOf(c4) !== -1)
            break;
          else if (c4 === "\\")
            esc = true;
          else
            unesc += c4;
        }
        if (esc)
          unesc += "\\";
        return unesc.trim();
      }
      return val;
    };
    module2.exports = {
      parse: decode,
      decode,
      stringify: encode,
      encode,
      safe,
      unsafe
    };
  }
});

// ../../node_modules/.pnpm/global-dirs@3.0.1/node_modules/global-dirs/index.js
var require_global_dirs = __commonJS({
  "../../node_modules/.pnpm/global-dirs@3.0.1/node_modules/global-dirs/index.js"(exports2) {
    "use strict";
    var path39 = require("path");
    var os7 = require("os");
    var fs42 = require("fs");
    var ini = require_ini();
    var isWindows3 = process.platform === "win32";
    var readRc = (filePath) => {
      try {
        return ini.parse(fs42.readFileSync(filePath, "utf8")).prefix;
      } catch {
      }
    };
    var getEnvNpmPrefix = () => {
      return Object.keys(process.env).reduce((prefix, name) => {
        return /^npm_config_prefix$/i.test(name) ? process.env[name] : prefix;
      }, void 0);
    };
    var getGlobalNpmrc = () => {
      if (isWindows3 && process.env.APPDATA) {
        return path39.join(process.env.APPDATA, "/npm/etc/npmrc");
      }
      if (process.execPath.includes("/Cellar/node")) {
        const homebrewPrefix = process.execPath.slice(0, process.execPath.indexOf("/Cellar/node"));
        return path39.join(homebrewPrefix, "/lib/node_modules/npm/npmrc");
      }
      if (process.execPath.endsWith("/bin/node")) {
        const installDir = path39.dirname(path39.dirname(process.execPath));
        return path39.join(installDir, "/etc/npmrc");
      }
    };
    var getDefaultNpmPrefix = () => {
      if (isWindows3) {
        const { APPDATA } = process.env;
        return APPDATA ? path39.join(APPDATA, "npm") : path39.dirname(process.execPath);
      }
      return path39.dirname(path39.dirname(process.execPath));
    };
    var getNpmPrefix = () => {
      const envPrefix = getEnvNpmPrefix();
      if (envPrefix) {
        return envPrefix;
      }
      const homePrefix = readRc(path39.join(os7.homedir(), ".npmrc"));
      if (homePrefix) {
        return homePrefix;
      }
      if (process.env.PREFIX) {
        return process.env.PREFIX;
      }
      const globalPrefix = readRc(getGlobalNpmrc());
      if (globalPrefix) {
        return globalPrefix;
      }
      return getDefaultNpmPrefix();
    };
    var npmPrefix = path39.resolve(getNpmPrefix());
    var getYarnWindowsDirectory = () => {
      if (isWindows3 && process.env.LOCALAPPDATA) {
        const dir3 = path39.join(process.env.LOCALAPPDATA, "Yarn");
        if (fs42.existsSync(dir3)) {
          return dir3;
        }
      }
      return false;
    };
    var getYarnPrefix = () => {
      if (process.env.PREFIX) {
        return process.env.PREFIX;
      }
      const windowsPrefix = getYarnWindowsDirectory();
      if (windowsPrefix) {
        return windowsPrefix;
      }
      const configPrefix = path39.join(os7.homedir(), ".config/yarn");
      if (fs42.existsSync(configPrefix)) {
        return configPrefix;
      }
      const homePrefix = path39.join(os7.homedir(), ".yarn-config");
      if (fs42.existsSync(homePrefix)) {
        return homePrefix;
      }
      return npmPrefix;
    };
    exports2.npm = {};
    exports2.npm.prefix = npmPrefix;
    exports2.npm.packages = path39.join(npmPrefix, isWindows3 ? "node_modules" : "lib/node_modules");
    exports2.npm.binaries = isWindows3 ? npmPrefix : path39.join(npmPrefix, "bin");
    var yarnPrefix = path39.resolve(getYarnPrefix());
    exports2.yarn = {};
    exports2.yarn.prefix = yarnPrefix;
    exports2.yarn.packages = path39.join(yarnPrefix, getYarnWindowsDirectory() ? "Data/global/node_modules" : "global/node_modules");
    exports2.yarn.binaries = path39.join(exports2.yarn.packages, ".bin");
  }
});

// ../../node_modules/.pnpm/is-windows@1.0.2/node_modules/is-windows/index.js
var require_is_windows = __commonJS({
  "../../node_modules/.pnpm/is-windows@1.0.2/node_modules/is-windows/index.js"(exports2, module2) {
    "use strict";
    (function(factory2) {
      if (exports2 && typeof exports2 === "object" && typeof module2 !== "undefined") {
        module2.exports = factory2();
      } else if (typeof define === "function" && define.amd) {
        define([], factory2);
      } else if (typeof window !== "undefined") {
        window.isWindows = factory2();
      } else if (typeof global !== "undefined") {
        global.isWindows = factory2();
      } else if (typeof self !== "undefined") {
        self.isWindows = factory2();
      } else {
        this.isWindows = factory2();
      }
    })(function() {
      "use strict";
      return function isWindows3() {
        return process && (process.platform === "win32" || /^(msys|cygwin)$/.test(process.env.OSTYPE));
      };
    });
  }
});

// ../../node_modules/.pnpm/is-docker@2.2.1/node_modules/is-docker/index.js
var require_is_docker = __commonJS({
  "../../node_modules/.pnpm/is-docker@2.2.1/node_modules/is-docker/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    var isDocker;
    function hasDockerEnv() {
      try {
        fs42.statSync("/.dockerenv");
        return true;
      } catch (_3) {
        return false;
      }
    }
    function hasDockerCGroup() {
      try {
        return fs42.readFileSync("/proc/self/cgroup", "utf8").includes("docker");
      } catch (_3) {
        return false;
      }
    }
    module2.exports = () => {
      if (isDocker === void 0) {
        isDocker = hasDockerEnv() || hasDockerCGroup();
      }
      return isDocker;
    };
  }
});

// ../../node_modules/.pnpm/is-wsl@2.2.0/node_modules/is-wsl/index.js
var require_is_wsl = __commonJS({
  "../../node_modules/.pnpm/is-wsl@2.2.0/node_modules/is-wsl/index.js"(exports2, module2) {
    "use strict";
    var os7 = require("os");
    var fs42 = require("fs");
    var isDocker = require_is_docker();
    var isWsl = () => {
      if (process.platform !== "linux") {
        return false;
      }
      if (os7.release().toLowerCase().includes("microsoft")) {
        if (isDocker()) {
          return false;
        }
        return true;
      }
      try {
        return fs42.readFileSync("/proc/version", "utf8").toLowerCase().includes("microsoft") ? !isDocker() : false;
      } catch (_3) {
        return false;
      }
    };
    if (process.env.__IS_WSL_TEST__) {
      module2.exports = isWsl;
    } else {
      module2.exports = isWsl();
    }
  }
});

// ../../node_modules/.pnpm/new-github-issue-url@0.2.1/node_modules/new-github-issue-url/index.js
var require_new_github_issue_url = __commonJS({
  "../../node_modules/.pnpm/new-github-issue-url@0.2.1/node_modules/new-github-issue-url/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (options2 = {}) => {
      let repoUrl;
      if (options2.repoUrl) {
        repoUrl = options2.repoUrl;
      } else if (options2.user && options2.repo) {
        repoUrl = `https://github.com/${options2.user}/${options2.repo}`;
      } else {
        throw new Error("You need to specify either the `repoUrl` option or both the `user` and `repo` options");
      }
      const url2 = new URL(`${repoUrl}/issues/new`);
      const types = [
        "body",
        "title",
        "labels",
        "template",
        "milestone",
        "assignee",
        "projects"
      ];
      for (const type of types) {
        let value = options2[type];
        if (value === void 0) {
          continue;
        }
        if (type === "labels" || type === "projects") {
          if (!Array.isArray(value)) {
            throw new TypeError(`The \`${type}\` option should be an array`);
          }
          value = value.join(",");
        }
        url2.searchParams.set(type, value);
      }
      return url2.toString();
    };
    module2.exports.default = module2.exports;
  }
});

// ../../node_modules/.pnpm/open@7.4.2/node_modules/open/index.js
var require_open = __commonJS({
  "../../node_modules/.pnpm/open@7.4.2/node_modules/open/index.js"(exports2, module2) {
    "use strict";
    var { promisify: promisify9 } = require("util");
    var path39 = require("path");
    var childProcess2 = require("child_process");
    var fs42 = require("fs");
    var isWsl = require_is_wsl();
    var isDocker = require_is_docker();
    var pAccess = promisify9(fs42.access);
    var pReadFile = promisify9(fs42.readFile);
    var localXdgOpenPath = path39.join(__dirname, "xdg-open");
    var getWslDrivesMountPoint = (() => {
      const defaultMountPoint = "/mnt/";
      let mountPoint;
      return async function() {
        if (mountPoint) {
          return mountPoint;
        }
        const configFilePath = "/etc/wsl.conf";
        let isConfigFileExists = false;
        try {
          await pAccess(configFilePath, fs42.constants.F_OK);
          isConfigFileExists = true;
        } catch (_3) {
        }
        if (!isConfigFileExists) {
          return defaultMountPoint;
        }
        const configContent = await pReadFile(configFilePath, { encoding: "utf8" });
        const configMountPoint = /root\s*=\s*(.*)/g.exec(configContent);
        if (!configMountPoint) {
          return defaultMountPoint;
        }
        mountPoint = configMountPoint[1].trim();
        mountPoint = mountPoint.endsWith("/") ? mountPoint : mountPoint + "/";
        return mountPoint;
      };
    })();
    module2.exports = async (target, options2) => {
      if (typeof target !== "string") {
        throw new TypeError("Expected a `target`");
      }
      options2 = {
        wait: false,
        background: false,
        allowNonzeroExitCode: false,
        ...options2
      };
      let command;
      let { app } = options2;
      let appArguments = [];
      const cliArguments = [];
      const childProcessOptions = {};
      if (Array.isArray(app)) {
        appArguments = app.slice(1);
        app = app[0];
      }
      if (process.platform === "darwin") {
        command = "open";
        if (options2.wait) {
          cliArguments.push("--wait-apps");
        }
        if (options2.background) {
          cliArguments.push("--background");
        }
        if (app) {
          cliArguments.push("-a", app);
        }
      } else if (process.platform === "win32" || isWsl && !isDocker()) {
        const mountPoint = await getWslDrivesMountPoint();
        command = isWsl ? `${mountPoint}c/Windows/System32/WindowsPowerShell/v1.0/powershell.exe` : `${process.env.SYSTEMROOT}\\System32\\WindowsPowerShell\\v1.0\\powershell`;
        cliArguments.push(
          "-NoProfile",
          "-NonInteractive",
          "\u2013ExecutionPolicy",
          "Bypass",
          "-EncodedCommand"
        );
        if (!isWsl) {
          childProcessOptions.windowsVerbatimArguments = true;
        }
        const encodedArguments = ["Start"];
        if (options2.wait) {
          encodedArguments.push("-Wait");
        }
        if (app) {
          encodedArguments.push(`"\`"${app}\`""`, "-ArgumentList");
          appArguments.unshift(target);
        } else {
          encodedArguments.push(`"${target}"`);
        }
        if (appArguments.length > 0) {
          appArguments = appArguments.map((arg3) => `"\`"${arg3}\`""`);
          encodedArguments.push(appArguments.join(","));
        }
        target = Buffer.from(encodedArguments.join(" "), "utf16le").toString("base64");
      } else {
        if (app) {
          command = app;
        } else {
          const isBundled = !__dirname || __dirname === "/";
          let exeLocalXdgOpen = false;
          try {
            await pAccess(localXdgOpenPath, fs42.constants.X_OK);
            exeLocalXdgOpen = true;
          } catch (_3) {
          }
          const useSystemXdgOpen = process.versions.electron || process.platform === "android" || isBundled || !exeLocalXdgOpen;
          command = useSystemXdgOpen ? "xdg-open" : localXdgOpenPath;
        }
        if (appArguments.length > 0) {
          cliArguments.push(...appArguments);
        }
        if (!options2.wait) {
          childProcessOptions.stdio = "ignore";
          childProcessOptions.detached = true;
        }
      }
      cliArguments.push(target);
      if (process.platform === "darwin" && appArguments.length > 0) {
        cliArguments.push("--args", ...appArguments);
      }
      const subprocess = childProcess2.spawn(command, cliArguments, childProcessOptions);
      if (options2.wait) {
        return new Promise((resolve3, reject2) => {
          subprocess.once("error", reject2);
          subprocess.once("close", (exitCode) => {
            if (options2.allowNonzeroExitCode && exitCode > 0) {
              reject2(new Error(`Exited with code ${exitCode}`));
              return;
            }
            resolve3(subprocess);
          });
        });
      }
      subprocess.unref();
      return subprocess;
    };
  }
});

// ../../node_modules/.pnpm/escape-string-regexp@4.0.0/node_modules/escape-string-regexp/index.js
var require_escape_string_regexp2 = __commonJS({
  "../../node_modules/.pnpm/escape-string-regexp@4.0.0/node_modules/escape-string-regexp/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (string) => {
      if (typeof string !== "string") {
        throw new TypeError("Expected a string");
      }
      return string.replace(/[|\\{}()[\]^$+*?.]/g, "\\$&").replace(/-/g, "\\x2d");
    };
  }
});

// ../../node_modules/.pnpm/get-stdin@8.0.0/node_modules/get-stdin/index.js
var require_get_stdin = __commonJS({
  "../../node_modules/.pnpm/get-stdin@8.0.0/node_modules/get-stdin/index.js"(exports2, module2) {
    "use strict";
    var { stdin } = process;
    module2.exports = async () => {
      let result = "";
      if (stdin.isTTY) {
        return result;
      }
      stdin.setEncoding("utf8");
      for await (const chunk of stdin) {
        result += chunk;
      }
      return result;
    };
    module2.exports.buffer = async () => {
      const result = [];
      let length = 0;
      if (stdin.isTTY) {
        return Buffer.concat([]);
      }
      for await (const chunk of stdin) {
        result.push(chunk);
        length += chunk.length;
      }
      return Buffer.concat(result, length);
    };
  }
});

// ../../node_modules/.pnpm/@prisma+engines-version@5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e/node_modules/@prisma/engines-version/package.json
var require_package4 = __commonJS({
  "../../node_modules/.pnpm/@prisma+engines-version@5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e/node_modules/@prisma/engines-version/package.json"(exports2, module2) {
    module2.exports = {
      name: "@prisma/engines-version",
      version: "5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e",
      main: "index.js",
      types: "index.d.ts",
      license: "Apache-2.0",
      author: "Tim Suchanek <suchanek@prisma.io>",
      prisma: {
        enginesVersion: "f9579337ab30fca1945346fe90751c3dc992d76e"
      },
      repository: {
        type: "git",
        url: "https://github.com/prisma/engines-wrapper.git",
        directory: "packages/engines-version"
      },
      devDependencies: {
        "@types/node": "18.17.9",
        typescript: "4.9.5"
      },
      files: [
        "index.js",
        "index.d.ts"
      ],
      scripts: {
        build: "tsc -d"
      }
    };
  }
});

// ../../node_modules/.pnpm/@prisma+engines-version@5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e/node_modules/@prisma/engines-version/index.js
var require_engines_version = __commonJS({
  "../../node_modules/.pnpm/@prisma+engines-version@5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e/node_modules/@prisma/engines-version/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.enginesVersion = void 0;
    exports2.enginesVersion = require_package4().prisma.enginesVersion;
  }
});

// ../../node_modules/.pnpm/restore-cursor@3.1.0/node_modules/restore-cursor/index.js
var require_restore_cursor = __commonJS({
  "../../node_modules/.pnpm/restore-cursor@3.1.0/node_modules/restore-cursor/index.js"(exports2, module2) {
    "use strict";
    var onetime2 = require_onetime();
    var signalExit2 = require_signal_exit();
    module2.exports = onetime2(() => {
      signalExit2(() => {
        process.stderr.write("\x1B[?25h");
      }, { alwaysLast: true });
    });
  }
});

// ../../node_modules/.pnpm/cli-cursor@3.1.0/node_modules/cli-cursor/index.js
var require_cli_cursor = __commonJS({
  "../../node_modules/.pnpm/cli-cursor@3.1.0/node_modules/cli-cursor/index.js"(exports2) {
    "use strict";
    var restoreCursor = require_restore_cursor();
    var isHidden = false;
    exports2.show = (writableStream = process.stderr) => {
      if (!writableStream.isTTY) {
        return;
      }
      isHidden = false;
      writableStream.write("\x1B[?25h");
    };
    exports2.hide = (writableStream = process.stderr) => {
      if (!writableStream.isTTY) {
        return;
      }
      restoreCursor();
      isHidden = true;
      writableStream.write("\x1B[?25l");
    };
    exports2.toggle = (force, writableStream) => {
      if (force !== void 0) {
        isHidden = force;
      }
      if (isHidden) {
        exports2.show(writableStream);
      } else {
        exports2.hide(writableStream);
      }
    };
  }
});

// ../../node_modules/.pnpm/wrap-ansi@6.2.0/node_modules/wrap-ansi/index.js
var require_wrap_ansi = __commonJS({
  "../../node_modules/.pnpm/wrap-ansi@6.2.0/node_modules/wrap-ansi/index.js"(exports2, module2) {
    "use strict";
    var stringWidth2 = require_string_width();
    var stripAnsi3 = require_strip_ansi();
    var ansiStyles = require_ansi_styles2();
    var ESCAPES = /* @__PURE__ */ new Set([
      "\x1B",
      "\x9B"
    ]);
    var END_CODE = 39;
    var wrapAnsi = (code) => `${ESCAPES.values().next().value}[${code}m`;
    var wordLengths = (string) => string.split(" ").map((character) => stringWidth2(character));
    var wrapWord = (rows, word, columns) => {
      const characters = [...word];
      let isInsideEscape = false;
      let visible = stringWidth2(stripAnsi3(rows[rows.length - 1]));
      for (const [index2, character] of characters.entries()) {
        const characterLength = stringWidth2(character);
        if (visible + characterLength <= columns) {
          rows[rows.length - 1] += character;
        } else {
          rows.push(character);
          visible = 0;
        }
        if (ESCAPES.has(character)) {
          isInsideEscape = true;
        } else if (isInsideEscape && character === "m") {
          isInsideEscape = false;
          continue;
        }
        if (isInsideEscape) {
          continue;
        }
        visible += characterLength;
        if (visible === columns && index2 < characters.length - 1) {
          rows.push("");
          visible = 0;
        }
      }
      if (!visible && rows[rows.length - 1].length > 0 && rows.length > 1) {
        rows[rows.length - 2] += rows.pop();
      }
    };
    var stringVisibleTrimSpacesRight = (str) => {
      const words = str.split(" ");
      let last = words.length;
      while (last > 0) {
        if (stringWidth2(words[last - 1]) > 0) {
          break;
        }
        last--;
      }
      if (last === words.length) {
        return str;
      }
      return words.slice(0, last).join(" ") + words.slice(last).join("");
    };
    var exec2 = (string, columns, options2 = {}) => {
      if (options2.trim !== false && string.trim() === "") {
        return "";
      }
      let pre = "";
      let ret = "";
      let escapeCode;
      const lengths = wordLengths(string);
      let rows = [""];
      for (const [index2, word] of string.split(" ").entries()) {
        if (options2.trim !== false) {
          rows[rows.length - 1] = rows[rows.length - 1].trimLeft();
        }
        let rowLength = stringWidth2(rows[rows.length - 1]);
        if (index2 !== 0) {
          if (rowLength >= columns && (options2.wordWrap === false || options2.trim === false)) {
            rows.push("");
            rowLength = 0;
          }
          if (rowLength > 0 || options2.trim === false) {
            rows[rows.length - 1] += " ";
            rowLength++;
          }
        }
        if (options2.hard && lengths[index2] > columns) {
          const remainingColumns = columns - rowLength;
          const breaksStartingThisLine = 1 + Math.floor((lengths[index2] - remainingColumns - 1) / columns);
          const breaksStartingNextLine = Math.floor((lengths[index2] - 1) / columns);
          if (breaksStartingNextLine < breaksStartingThisLine) {
            rows.push("");
          }
          wrapWord(rows, word, columns);
          continue;
        }
        if (rowLength + lengths[index2] > columns && rowLength > 0 && lengths[index2] > 0) {
          if (options2.wordWrap === false && rowLength < columns) {
            wrapWord(rows, word, columns);
            continue;
          }
          rows.push("");
        }
        if (rowLength + lengths[index2] > columns && options2.wordWrap === false) {
          wrapWord(rows, word, columns);
          continue;
        }
        rows[rows.length - 1] += word;
      }
      if (options2.trim !== false) {
        rows = rows.map(stringVisibleTrimSpacesRight);
      }
      pre = rows.join("\n");
      for (const [index2, character] of [...pre].entries()) {
        ret += character;
        if (ESCAPES.has(character)) {
          const code2 = parseFloat(/\d[^m]*/.exec(pre.slice(index2, index2 + 4)));
          escapeCode = code2 === END_CODE ? null : code2;
        }
        const code = ansiStyles.codes.get(Number(escapeCode));
        if (escapeCode && code) {
          if (pre[index2 + 1] === "\n") {
            ret += wrapAnsi(code);
          } else if (character === "\n") {
            ret += wrapAnsi(escapeCode);
          }
        }
      }
      return ret;
    };
    module2.exports = (string, columns, options2) => {
      return String(string).normalize().replace(/\r\n/g, "\n").split("\n").map((line) => exec2(line, columns, options2)).join("\n");
    };
  }
});

// ../../node_modules/.pnpm/slice-ansi@4.0.0/node_modules/slice-ansi/index.js
var require_slice_ansi2 = __commonJS({
  "../../node_modules/.pnpm/slice-ansi@4.0.0/node_modules/slice-ansi/index.js"(exports2, module2) {
    "use strict";
    var isFullwidthCodePoint = require_is_fullwidth_code_point();
    var astralRegex = require_astral_regex();
    var ansiStyles = require_ansi_styles2();
    var ESCAPES = [
      "\x1B",
      "\x9B"
    ];
    var wrapAnsi = (code) => `${ESCAPES[0]}[${code}m`;
    var checkAnsi = (ansiCodes, isEscapes, endAnsiCode) => {
      let output = [];
      ansiCodes = [...ansiCodes];
      for (let ansiCode of ansiCodes) {
        const ansiCodeOrigin = ansiCode;
        if (ansiCode.includes(";")) {
          ansiCode = ansiCode.split(";")[0][0] + "0";
        }
        const item2 = ansiStyles.codes.get(Number.parseInt(ansiCode, 10));
        if (item2) {
          const indexEscape = ansiCodes.indexOf(item2.toString());
          if (indexEscape === -1) {
            output.push(wrapAnsi(isEscapes ? item2 : ansiCodeOrigin));
          } else {
            ansiCodes.splice(indexEscape, 1);
          }
        } else if (isEscapes) {
          output.push(wrapAnsi(0));
          break;
        } else {
          output.push(wrapAnsi(ansiCodeOrigin));
        }
      }
      if (isEscapes) {
        output = output.filter((element, index2) => output.indexOf(element) === index2);
        if (endAnsiCode !== void 0) {
          const fistEscapeCode = wrapAnsi(ansiStyles.codes.get(Number.parseInt(endAnsiCode, 10)));
          output = output.reduce((current, next) => next === fistEscapeCode ? [next, ...current] : [...current, next], []);
        }
      }
      return output.join("");
    };
    module2.exports = (string, begin, end) => {
      const characters = [...string];
      const ansiCodes = [];
      let stringEnd = typeof end === "number" ? end : characters.length;
      let isInsideEscape = false;
      let ansiCode;
      let visible = 0;
      let output = "";
      for (const [index2, character] of characters.entries()) {
        let leftEscape = false;
        if (ESCAPES.includes(character)) {
          const code = /\d[^m]*/.exec(string.slice(index2, index2 + 18));
          ansiCode = code && code.length > 0 ? code[0] : void 0;
          if (visible < stringEnd) {
            isInsideEscape = true;
            if (ansiCode !== void 0) {
              ansiCodes.push(ansiCode);
            }
          }
        } else if (isInsideEscape && character === "m") {
          isInsideEscape = false;
          leftEscape = true;
        }
        if (!isInsideEscape && !leftEscape) {
          visible++;
        }
        if (!astralRegex({ exact: true }).test(character) && isFullwidthCodePoint(character.codePointAt())) {
          visible++;
          if (typeof end !== "number") {
            stringEnd++;
          }
        }
        if (visible > begin && visible <= stringEnd) {
          output += character;
        } else if (visible === begin && !isInsideEscape && ansiCode !== void 0) {
          output = checkAnsi(ansiCodes);
        } else if (visible >= stringEnd) {
          output += checkAnsi(ansiCodes, true, ansiCode);
          break;
        }
      }
      return output;
    };
  }
});

// ../../node_modules/.pnpm/log-update@4.0.0/node_modules/log-update/index.js
var require_log_update = __commonJS({
  "../../node_modules/.pnpm/log-update@4.0.0/node_modules/log-update/index.js"(exports2, module2) {
    "use strict";
    var ansiEscapes2 = require_ansi_escapes();
    var cliCursor = require_cli_cursor();
    var wrapAnsi = require_wrap_ansi();
    var sliceAnsi = require_slice_ansi2();
    var defaultTerminalHeight = 24;
    var getWidth = (stream4) => {
      const { columns } = stream4;
      if (!columns) {
        return 80;
      }
      return columns;
    };
    var fitToTerminalHeight = (stream4, text2) => {
      const terminalHeight = stream4.rows || defaultTerminalHeight;
      const lines2 = text2.split("\n");
      const toRemove = lines2.length - terminalHeight;
      if (toRemove <= 0) {
        return text2;
      }
      return sliceAnsi(
        text2,
        lines2.slice(0, toRemove).join("\n").length + 1,
        text2.length
      );
    };
    var main3 = (stream4, { showCursor = false } = {}) => {
      let previousLineCount = 0;
      let previousWidth = getWidth(stream4);
      let previousOutput = "";
      const render2 = (...args3) => {
        if (!showCursor) {
          cliCursor.hide();
        }
        let output = args3.join(" ") + "\n";
        output = fitToTerminalHeight(stream4, output);
        const width2 = getWidth(stream4);
        if (output === previousOutput && previousWidth === width2) {
          return;
        }
        previousOutput = output;
        previousWidth = width2;
        output = wrapAnsi(output, width2, {
          trim: false,
          hard: true,
          wordWrap: false
        });
        stream4.write(ansiEscapes2.eraseLines(previousLineCount) + output);
        previousLineCount = output.split("\n").length;
      };
      render2.clear = () => {
        stream4.write(ansiEscapes2.eraseLines(previousLineCount));
        previousOutput = "";
        previousWidth = getWidth(stream4);
        previousLineCount = 0;
      };
      render2.done = () => {
        previousOutput = "";
        previousWidth = getWidth(stream4);
        previousLineCount = 0;
        if (!showCursor) {
          cliCursor.show();
        }
      };
      return render2;
    };
    module2.exports = main3(process.stdout);
    module2.exports.stderr = main3(process.stderr);
    module2.exports.create = main3;
  }
});

// ../../node_modules/.pnpm/chalk@4.1.2/node_modules/chalk/source/util.js
var require_util6 = __commonJS({
  "../../node_modules/.pnpm/chalk@4.1.2/node_modules/chalk/source/util.js"(exports2, module2) {
    "use strict";
    var stringReplaceAll = (string, substring, replacer) => {
      let index2 = string.indexOf(substring);
      if (index2 === -1) {
        return string;
      }
      const substringLength = substring.length;
      let endIndex = 0;
      let returnValue = "";
      do {
        returnValue += string.substr(endIndex, index2 - endIndex) + substring + replacer;
        endIndex = index2 + substringLength;
        index2 = string.indexOf(substring, endIndex);
      } while (index2 !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    var stringEncaseCRLFWithFirstIndex = (string, prefix, postfix, index2) => {
      let endIndex = 0;
      let returnValue = "";
      do {
        const gotCR = string[index2 - 1] === "\r";
        returnValue += string.substr(endIndex, (gotCR ? index2 - 1 : index2) - endIndex) + prefix + (gotCR ? "\r\n" : "\n") + postfix;
        endIndex = index2 + 1;
        index2 = string.indexOf("\n", endIndex);
      } while (index2 !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    module2.exports = {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    };
  }
});

// ../../node_modules/.pnpm/chalk@4.1.2/node_modules/chalk/source/templates.js
var require_templates2 = __commonJS({
  "../../node_modules/.pnpm/chalk@4.1.2/node_modules/chalk/source/templates.js"(exports2, module2) {
    "use strict";
    var TEMPLATE_REGEX = /(?:\\(u(?:[a-f\d]{4}|\{[a-f\d]{1,6}\})|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
    var STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
    var STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
    var ESCAPE_REGEX = /\\(u(?:[a-f\d]{4}|{[a-f\d]{1,6}})|x[a-f\d]{2}|.)|([^\\])/gi;
    var ESCAPES = /* @__PURE__ */ new Map([
      ["n", "\n"],
      ["r", "\r"],
      ["t", "	"],
      ["b", "\b"],
      ["f", "\f"],
      ["v", "\v"],
      ["0", "\0"],
      ["\\", "\\"],
      ["e", "\x1B"],
      ["a", "\x07"]
    ]);
    function unescape2(c4) {
      const u2 = c4[0] === "u";
      const bracket = c4[1] === "{";
      if (u2 && !bracket && c4.length === 5 || c4[0] === "x" && c4.length === 3) {
        return String.fromCharCode(parseInt(c4.slice(1), 16));
      }
      if (u2 && bracket) {
        return String.fromCodePoint(parseInt(c4.slice(2, -1), 16));
      }
      return ESCAPES.get(c4) || c4;
    }
    function parseArguments(name, arguments_) {
      const results = [];
      const chunks = arguments_.trim().split(/\s*,\s*/g);
      let matches;
      for (const chunk of chunks) {
        const number2 = Number(chunk);
        if (!Number.isNaN(number2)) {
          results.push(number2);
        } else if (matches = chunk.match(STRING_REGEX)) {
          results.push(matches[2].replace(ESCAPE_REGEX, (m3, escape3, character) => escape3 ? unescape2(escape3) : character));
        } else {
          throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
        }
      }
      return results;
    }
    function parseStyle(style2) {
      STYLE_REGEX.lastIndex = 0;
      const results = [];
      let matches;
      while ((matches = STYLE_REGEX.exec(style2)) !== null) {
        const name = matches[1];
        if (matches[2]) {
          const args3 = parseArguments(name, matches[2]);
          results.push([name].concat(args3));
        } else {
          results.push([name]);
        }
      }
      return results;
    }
    function buildStyle(chalk, styles2) {
      const enabled = {};
      for (const layer of styles2) {
        for (const style2 of layer.styles) {
          enabled[style2[0]] = layer.inverse ? null : style2.slice(1);
        }
      }
      let current = chalk;
      for (const [styleName, styles3] of Object.entries(enabled)) {
        if (!Array.isArray(styles3)) {
          continue;
        }
        if (!(styleName in current)) {
          throw new Error(`Unknown Chalk style: ${styleName}`);
        }
        current = styles3.length > 0 ? current[styleName](...styles3) : current[styleName];
      }
      return current;
    }
    module2.exports = (chalk, temporary) => {
      const styles2 = [];
      const chunks = [];
      let chunk = [];
      temporary.replace(TEMPLATE_REGEX, (m3, escapeCharacter, inverse2, style2, close, character) => {
        if (escapeCharacter) {
          chunk.push(unescape2(escapeCharacter));
        } else if (style2) {
          const string = chunk.join("");
          chunk = [];
          chunks.push(styles2.length === 0 ? string : buildStyle(chalk, styles2)(string));
          styles2.push({ inverse: inverse2, styles: parseStyle(style2) });
        } else if (close) {
          if (styles2.length === 0) {
            throw new Error("Found extraneous } in Chalk template literal");
          }
          chunks.push(buildStyle(chalk, styles2)(chunk.join("")));
          chunk = [];
          styles2.pop();
        } else {
          chunk.push(character);
        }
      });
      chunks.push(chunk.join(""));
      if (styles2.length > 0) {
        const errMessage = `Chalk template literal is missing ${styles2.length} closing bracket${styles2.length === 1 ? "" : "s"} (\`}\`)`;
        throw new Error(errMessage);
      }
      return chunks.join("");
    };
  }
});

// ../../node_modules/.pnpm/chalk@4.1.2/node_modules/chalk/source/index.js
var require_source = __commonJS({
  "../../node_modules/.pnpm/chalk@4.1.2/node_modules/chalk/source/index.js"(exports2, module2) {
    "use strict";
    var ansiStyles = require_ansi_styles2();
    var { stdout: stdoutColor, stderr: stderrColor } = require_supports_color();
    var {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    } = require_util6();
    var { isArray } = Array;
    var levelMapping = [
      "ansi",
      "ansi",
      "ansi256",
      "ansi16m"
    ];
    var styles2 = /* @__PURE__ */ Object.create(null);
    var applyOptions = (object, options2 = {}) => {
      if (options2.level && !(Number.isInteger(options2.level) && options2.level >= 0 && options2.level <= 3)) {
        throw new Error("The `level` option should be an integer from 0 to 3");
      }
      const colorLevel = stdoutColor ? stdoutColor.level : 0;
      object.level = options2.level === void 0 ? colorLevel : options2.level;
    };
    var ChalkClass = class {
      constructor(options2) {
        return chalkFactory(options2);
      }
    };
    var chalkFactory = (options2) => {
      const chalk2 = {};
      applyOptions(chalk2, options2);
      chalk2.template = (...arguments_) => chalkTag(chalk2.template, ...arguments_);
      Object.setPrototypeOf(chalk2, Chalk.prototype);
      Object.setPrototypeOf(chalk2.template, chalk2);
      chalk2.template.constructor = () => {
        throw new Error("`chalk.constructor()` is deprecated. Use `new chalk.Instance()` instead.");
      };
      chalk2.template.Instance = ChalkClass;
      return chalk2.template;
    };
    function Chalk(options2) {
      return chalkFactory(options2);
    }
    for (const [styleName, style2] of Object.entries(ansiStyles)) {
      styles2[styleName] = {
        get() {
          const builder = createBuilder(this, createStyler(style2.open, style2.close, this._styler), this._isEmpty);
          Object.defineProperty(this, styleName, { value: builder });
          return builder;
        }
      };
    }
    styles2.visible = {
      get() {
        const builder = createBuilder(this, this._styler, true);
        Object.defineProperty(this, "visible", { value: builder });
        return builder;
      }
    };
    var usedModels = ["rgb", "hex", "keyword", "hsl", "hsv", "hwb", "ansi", "ansi256"];
    for (const model of usedModels) {
      styles2[model] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.color[levelMapping[level]][model](...arguments_), ansiStyles.color.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    for (const model of usedModels) {
      const bgModel = "bg" + model[0].toUpperCase() + model.slice(1);
      styles2[bgModel] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.bgColor[levelMapping[level]][model](...arguments_), ansiStyles.bgColor.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    var proto = Object.defineProperties(() => {
    }, {
      ...styles2,
      level: {
        enumerable: true,
        get() {
          return this._generator.level;
        },
        set(level) {
          this._generator.level = level;
        }
      }
    });
    var createStyler = (open3, close, parent2) => {
      let openAll;
      let closeAll;
      if (parent2 === void 0) {
        openAll = open3;
        closeAll = close;
      } else {
        openAll = parent2.openAll + open3;
        closeAll = close + parent2.closeAll;
      }
      return {
        open: open3,
        close,
        openAll,
        closeAll,
        parent: parent2
      };
    };
    var createBuilder = (self2, _styler, _isEmpty) => {
      const builder = (...arguments_) => {
        if (isArray(arguments_[0]) && isArray(arguments_[0].raw)) {
          return applyStyle(builder, chalkTag(builder, ...arguments_));
        }
        return applyStyle(builder, arguments_.length === 1 ? "" + arguments_[0] : arguments_.join(" "));
      };
      Object.setPrototypeOf(builder, proto);
      builder._generator = self2;
      builder._styler = _styler;
      builder._isEmpty = _isEmpty;
      return builder;
    };
    var applyStyle = (self2, string) => {
      if (self2.level <= 0 || !string) {
        return self2._isEmpty ? "" : string;
      }
      let styler = self2._styler;
      if (styler === void 0) {
        return string;
      }
      const { openAll, closeAll } = styler;
      if (string.indexOf("\x1B") !== -1) {
        while (styler !== void 0) {
          string = stringReplaceAll(string, styler.close, styler.open);
          styler = styler.parent;
        }
      }
      const lfIndex = string.indexOf("\n");
      if (lfIndex !== -1) {
        string = stringEncaseCRLFWithFirstIndex(string, closeAll, openAll, lfIndex);
      }
      return openAll + string + closeAll;
    };
    var template;
    var chalkTag = (chalk2, ...strings) => {
      const [firstString] = strings;
      if (!isArray(firstString) || !isArray(firstString.raw)) {
        return strings.join(" ");
      }
      const arguments_ = strings.slice(1);
      const parts = [firstString.raw[0]];
      for (let i4 = 1; i4 < firstString.length; i4++) {
        parts.push(
          String(arguments_[i4 - 1]).replace(/[{}\\]/g, "\\$&"),
          String(firstString.raw[i4])
        );
      }
      if (template === void 0) {
        template = require_templates2();
      }
      return template(chalk2, parts.join(""));
    };
    Object.defineProperties(Chalk.prototype, styles2);
    var chalk = Chalk();
    chalk.supportsColor = stdoutColor;
    chalk.stderr = Chalk({ level: stderrColor ? stderrColor.level : 0 });
    chalk.stderr.supportsColor = stderrColor;
    module2.exports = chalk;
  }
});

// ../../node_modules/.pnpm/cli-spinners@2.7.0/node_modules/cli-spinners/spinners.json
var require_spinners = __commonJS({
  "../../node_modules/.pnpm/cli-spinners@2.7.0/node_modules/cli-spinners/spinners.json"(exports2, module2) {
    module2.exports = {
      dots: {
        interval: 80,
        frames: [
          "\u280B",
          "\u2819",
          "\u2839",
          "\u2838",
          "\u283C",
          "\u2834",
          "\u2826",
          "\u2827",
          "\u2807",
          "\u280F"
        ]
      },
      dots2: {
        interval: 80,
        frames: [
          "\u28FE",
          "\u28FD",
          "\u28FB",
          "\u28BF",
          "\u287F",
          "\u28DF",
          "\u28EF",
          "\u28F7"
        ]
      },
      dots3: {
        interval: 80,
        frames: [
          "\u280B",
          "\u2819",
          "\u281A",
          "\u281E",
          "\u2816",
          "\u2826",
          "\u2834",
          "\u2832",
          "\u2833",
          "\u2813"
        ]
      },
      dots4: {
        interval: 80,
        frames: [
          "\u2804",
          "\u2806",
          "\u2807",
          "\u280B",
          "\u2819",
          "\u2838",
          "\u2830",
          "\u2820",
          "\u2830",
          "\u2838",
          "\u2819",
          "\u280B",
          "\u2807",
          "\u2806"
        ]
      },
      dots5: {
        interval: 80,
        frames: [
          "\u280B",
          "\u2819",
          "\u281A",
          "\u2812",
          "\u2802",
          "\u2802",
          "\u2812",
          "\u2832",
          "\u2834",
          "\u2826",
          "\u2816",
          "\u2812",
          "\u2810",
          "\u2810",
          "\u2812",
          "\u2813",
          "\u280B"
        ]
      },
      dots6: {
        interval: 80,
        frames: [
          "\u2801",
          "\u2809",
          "\u2819",
          "\u281A",
          "\u2812",
          "\u2802",
          "\u2802",
          "\u2812",
          "\u2832",
          "\u2834",
          "\u2824",
          "\u2804",
          "\u2804",
          "\u2824",
          "\u2834",
          "\u2832",
          "\u2812",
          "\u2802",
          "\u2802",
          "\u2812",
          "\u281A",
          "\u2819",
          "\u2809",
          "\u2801"
        ]
      },
      dots7: {
        interval: 80,
        frames: [
          "\u2808",
          "\u2809",
          "\u280B",
          "\u2813",
          "\u2812",
          "\u2810",
          "\u2810",
          "\u2812",
          "\u2816",
          "\u2826",
          "\u2824",
          "\u2820",
          "\u2820",
          "\u2824",
          "\u2826",
          "\u2816",
          "\u2812",
          "\u2810",
          "\u2810",
          "\u2812",
          "\u2813",
          "\u280B",
          "\u2809",
          "\u2808"
        ]
      },
      dots8: {
        interval: 80,
        frames: [
          "\u2801",
          "\u2801",
          "\u2809",
          "\u2819",
          "\u281A",
          "\u2812",
          "\u2802",
          "\u2802",
          "\u2812",
          "\u2832",
          "\u2834",
          "\u2824",
          "\u2804",
          "\u2804",
          "\u2824",
          "\u2820",
          "\u2820",
          "\u2824",
          "\u2826",
          "\u2816",
          "\u2812",
          "\u2810",
          "\u2810",
          "\u2812",
          "\u2813",
          "\u280B",
          "\u2809",
          "\u2808",
          "\u2808"
        ]
      },
      dots9: {
        interval: 80,
        frames: [
          "\u28B9",
          "\u28BA",
          "\u28BC",
          "\u28F8",
          "\u28C7",
          "\u2867",
          "\u2857",
          "\u284F"
        ]
      },
      dots10: {
        interval: 80,
        frames: [
          "\u2884",
          "\u2882",
          "\u2881",
          "\u2841",
          "\u2848",
          "\u2850",
          "\u2860"
        ]
      },
      dots11: {
        interval: 100,
        frames: [
          "\u2801",
          "\u2802",
          "\u2804",
          "\u2840",
          "\u2880",
          "\u2820",
          "\u2810",
          "\u2808"
        ]
      },
      dots12: {
        interval: 80,
        frames: [
          "\u2880\u2800",
          "\u2840\u2800",
          "\u2804\u2800",
          "\u2882\u2800",
          "\u2842\u2800",
          "\u2805\u2800",
          "\u2883\u2800",
          "\u2843\u2800",
          "\u280D\u2800",
          "\u288B\u2800",
          "\u284B\u2800",
          "\u280D\u2801",
          "\u288B\u2801",
          "\u284B\u2801",
          "\u280D\u2809",
          "\u280B\u2809",
          "\u280B\u2809",
          "\u2809\u2819",
          "\u2809\u2819",
          "\u2809\u2829",
          "\u2808\u2899",
          "\u2808\u2859",
          "\u2888\u2829",
          "\u2840\u2899",
          "\u2804\u2859",
          "\u2882\u2829",
          "\u2842\u2898",
          "\u2805\u2858",
          "\u2883\u2828",
          "\u2843\u2890",
          "\u280D\u2850",
          "\u288B\u2820",
          "\u284B\u2880",
          "\u280D\u2841",
          "\u288B\u2801",
          "\u284B\u2801",
          "\u280D\u2809",
          "\u280B\u2809",
          "\u280B\u2809",
          "\u2809\u2819",
          "\u2809\u2819",
          "\u2809\u2829",
          "\u2808\u2899",
          "\u2808\u2859",
          "\u2808\u2829",
          "\u2800\u2899",
          "\u2800\u2859",
          "\u2800\u2829",
          "\u2800\u2898",
          "\u2800\u2858",
          "\u2800\u2828",
          "\u2800\u2890",
          "\u2800\u2850",
          "\u2800\u2820",
          "\u2800\u2880",
          "\u2800\u2840"
        ]
      },
      dots13: {
        interval: 80,
        frames: [
          "\u28FC",
          "\u28F9",
          "\u28BB",
          "\u283F",
          "\u285F",
          "\u28CF",
          "\u28E7",
          "\u28F6"
        ]
      },
      dots8Bit: {
        interval: 80,
        frames: [
          "\u2800",
          "\u2801",
          "\u2802",
          "\u2803",
          "\u2804",
          "\u2805",
          "\u2806",
          "\u2807",
          "\u2840",
          "\u2841",
          "\u2842",
          "\u2843",
          "\u2844",
          "\u2845",
          "\u2846",
          "\u2847",
          "\u2808",
          "\u2809",
          "\u280A",
          "\u280B",
          "\u280C",
          "\u280D",
          "\u280E",
          "\u280F",
          "\u2848",
          "\u2849",
          "\u284A",
          "\u284B",
          "\u284C",
          "\u284D",
          "\u284E",
          "\u284F",
          "\u2810",
          "\u2811",
          "\u2812",
          "\u2813",
          "\u2814",
          "\u2815",
          "\u2816",
          "\u2817",
          "\u2850",
          "\u2851",
          "\u2852",
          "\u2853",
          "\u2854",
          "\u2855",
          "\u2856",
          "\u2857",
          "\u2818",
          "\u2819",
          "\u281A",
          "\u281B",
          "\u281C",
          "\u281D",
          "\u281E",
          "\u281F",
          "\u2858",
          "\u2859",
          "\u285A",
          "\u285B",
          "\u285C",
          "\u285D",
          "\u285E",
          "\u285F",
          "\u2820",
          "\u2821",
          "\u2822",
          "\u2823",
          "\u2824",
          "\u2825",
          "\u2826",
          "\u2827",
          "\u2860",
          "\u2861",
          "\u2862",
          "\u2863",
          "\u2864",
          "\u2865",
          "\u2866",
          "\u2867",
          "\u2828",
          "\u2829",
          "\u282A",
          "\u282B",
          "\u282C",
          "\u282D",
          "\u282E",
          "\u282F",
          "\u2868",
          "\u2869",
          "\u286A",
          "\u286B",
          "\u286C",
          "\u286D",
          "\u286E",
          "\u286F",
          "\u2830",
          "\u2831",
          "\u2832",
          "\u2833",
          "\u2834",
          "\u2835",
          "\u2836",
          "\u2837",
          "\u2870",
          "\u2871",
          "\u2872",
          "\u2873",
          "\u2874",
          "\u2875",
          "\u2876",
          "\u2877",
          "\u2838",
          "\u2839",
          "\u283A",
          "\u283B",
          "\u283C",
          "\u283D",
          "\u283E",
          "\u283F",
          "\u2878",
          "\u2879",
          "\u287A",
          "\u287B",
          "\u287C",
          "\u287D",
          "\u287E",
          "\u287F",
          "\u2880",
          "\u2881",
          "\u2882",
          "\u2883",
          "\u2884",
          "\u2885",
          "\u2886",
          "\u2887",
          "\u28C0",
          "\u28C1",
          "\u28C2",
          "\u28C3",
          "\u28C4",
          "\u28C5",
          "\u28C6",
          "\u28C7",
          "\u2888",
          "\u2889",
          "\u288A",
          "\u288B",
          "\u288C",
          "\u288D",
          "\u288E",
          "\u288F",
          "\u28C8",
          "\u28C9",
          "\u28CA",
          "\u28CB",
          "\u28CC",
          "\u28CD",
          "\u28CE",
          "\u28CF",
          "\u2890",
          "\u2891",
          "\u2892",
          "\u2893",
          "\u2894",
          "\u2895",
          "\u2896",
          "\u2897",
          "\u28D0",
          "\u28D1",
          "\u28D2",
          "\u28D3",
          "\u28D4",
          "\u28D5",
          "\u28D6",
          "\u28D7",
          "\u2898",
          "\u2899",
          "\u289A",
          "\u289B",
          "\u289C",
          "\u289D",
          "\u289E",
          "\u289F",
          "\u28D8",
          "\u28D9",
          "\u28DA",
          "\u28DB",
          "\u28DC",
          "\u28DD",
          "\u28DE",
          "\u28DF",
          "\u28A0",
          "\u28A1",
          "\u28A2",
          "\u28A3",
          "\u28A4",
          "\u28A5",
          "\u28A6",
          "\u28A7",
          "\u28E0",
          "\u28E1",
          "\u28E2",
          "\u28E3",
          "\u28E4",
          "\u28E5",
          "\u28E6",
          "\u28E7",
          "\u28A8",
          "\u28A9",
          "\u28AA",
          "\u28AB",
          "\u28AC",
          "\u28AD",
          "\u28AE",
          "\u28AF",
          "\u28E8",
          "\u28E9",
          "\u28EA",
          "\u28EB",
          "\u28EC",
          "\u28ED",
          "\u28EE",
          "\u28EF",
          "\u28B0",
          "\u28B1",
          "\u28B2",
          "\u28B3",
          "\u28B4",
          "\u28B5",
          "\u28B6",
          "\u28B7",
          "\u28F0",
          "\u28F1",
          "\u28F2",
          "\u28F3",
          "\u28F4",
          "\u28F5",
          "\u28F6",
          "\u28F7",
          "\u28B8",
          "\u28B9",
          "\u28BA",
          "\u28BB",
          "\u28BC",
          "\u28BD",
          "\u28BE",
          "\u28BF",
          "\u28F8",
          "\u28F9",
          "\u28FA",
          "\u28FB",
          "\u28FC",
          "\u28FD",
          "\u28FE",
          "\u28FF"
        ]
      },
      sand: {
        interval: 80,
        frames: [
          "\u2801",
          "\u2802",
          "\u2804",
          "\u2840",
          "\u2848",
          "\u2850",
          "\u2860",
          "\u28C0",
          "\u28C1",
          "\u28C2",
          "\u28C4",
          "\u28CC",
          "\u28D4",
          "\u28E4",
          "\u28E5",
          "\u28E6",
          "\u28EE",
          "\u28F6",
          "\u28F7",
          "\u28FF",
          "\u287F",
          "\u283F",
          "\u289F",
          "\u281F",
          "\u285B",
          "\u281B",
          "\u282B",
          "\u288B",
          "\u280B",
          "\u280D",
          "\u2849",
          "\u2809",
          "\u2811",
          "\u2821",
          "\u2881"
        ]
      },
      line: {
        interval: 130,
        frames: [
          "-",
          "\\",
          "|",
          "/"
        ]
      },
      line2: {
        interval: 100,
        frames: [
          "\u2802",
          "-",
          "\u2013",
          "\u2014",
          "\u2013",
          "-"
        ]
      },
      pipe: {
        interval: 100,
        frames: [
          "\u2524",
          "\u2518",
          "\u2534",
          "\u2514",
          "\u251C",
          "\u250C",
          "\u252C",
          "\u2510"
        ]
      },
      simpleDots: {
        interval: 400,
        frames: [
          ".  ",
          ".. ",
          "...",
          "   "
        ]
      },
      simpleDotsScrolling: {
        interval: 200,
        frames: [
          ".  ",
          ".. ",
          "...",
          " ..",
          "  .",
          "   "
        ]
      },
      star: {
        interval: 70,
        frames: [
          "\u2736",
          "\u2738",
          "\u2739",
          "\u273A",
          "\u2739",
          "\u2737"
        ]
      },
      star2: {
        interval: 80,
        frames: [
          "+",
          "x",
          "*"
        ]
      },
      flip: {
        interval: 70,
        frames: [
          "_",
          "_",
          "_",
          "-",
          "`",
          "`",
          "'",
          "\xB4",
          "-",
          "_",
          "_",
          "_"
        ]
      },
      hamburger: {
        interval: 100,
        frames: [
          "\u2631",
          "\u2632",
          "\u2634"
        ]
      },
      growVertical: {
        interval: 120,
        frames: [
          "\u2581",
          "\u2583",
          "\u2584",
          "\u2585",
          "\u2586",
          "\u2587",
          "\u2586",
          "\u2585",
          "\u2584",
          "\u2583"
        ]
      },
      growHorizontal: {
        interval: 120,
        frames: [
          "\u258F",
          "\u258E",
          "\u258D",
          "\u258C",
          "\u258B",
          "\u258A",
          "\u2589",
          "\u258A",
          "\u258B",
          "\u258C",
          "\u258D",
          "\u258E"
        ]
      },
      balloon: {
        interval: 140,
        frames: [
          " ",
          ".",
          "o",
          "O",
          "@",
          "*",
          " "
        ]
      },
      balloon2: {
        interval: 120,
        frames: [
          ".",
          "o",
          "O",
          "\xB0",
          "O",
          "o",
          "."
        ]
      },
      noise: {
        interval: 100,
        frames: [
          "\u2593",
          "\u2592",
          "\u2591"
        ]
      },
      bounce: {
        interval: 120,
        frames: [
          "\u2801",
          "\u2802",
          "\u2804",
          "\u2802"
        ]
      },
      boxBounce: {
        interval: 120,
        frames: [
          "\u2596",
          "\u2598",
          "\u259D",
          "\u2597"
        ]
      },
      boxBounce2: {
        interval: 100,
        frames: [
          "\u258C",
          "\u2580",
          "\u2590",
          "\u2584"
        ]
      },
      triangle: {
        interval: 50,
        frames: [
          "\u25E2",
          "\u25E3",
          "\u25E4",
          "\u25E5"
        ]
      },
      arc: {
        interval: 100,
        frames: [
          "\u25DC",
          "\u25E0",
          "\u25DD",
          "\u25DE",
          "\u25E1",
          "\u25DF"
        ]
      },
      circle: {
        interval: 120,
        frames: [
          "\u25E1",
          "\u2299",
          "\u25E0"
        ]
      },
      squareCorners: {
        interval: 180,
        frames: [
          "\u25F0",
          "\u25F3",
          "\u25F2",
          "\u25F1"
        ]
      },
      circleQuarters: {
        interval: 120,
        frames: [
          "\u25F4",
          "\u25F7",
          "\u25F6",
          "\u25F5"
        ]
      },
      circleHalves: {
        interval: 50,
        frames: [
          "\u25D0",
          "\u25D3",
          "\u25D1",
          "\u25D2"
        ]
      },
      squish: {
        interval: 100,
        frames: [
          "\u256B",
          "\u256A"
        ]
      },
      toggle: {
        interval: 250,
        frames: [
          "\u22B6",
          "\u22B7"
        ]
      },
      toggle2: {
        interval: 80,
        frames: [
          "\u25AB",
          "\u25AA"
        ]
      },
      toggle3: {
        interval: 120,
        frames: [
          "\u25A1",
          "\u25A0"
        ]
      },
      toggle4: {
        interval: 100,
        frames: [
          "\u25A0",
          "\u25A1",
          "\u25AA",
          "\u25AB"
        ]
      },
      toggle5: {
        interval: 100,
        frames: [
          "\u25AE",
          "\u25AF"
        ]
      },
      toggle6: {
        interval: 300,
        frames: [
          "\u101D",
          "\u1040"
        ]
      },
      toggle7: {
        interval: 80,
        frames: [
          "\u29BE",
          "\u29BF"
        ]
      },
      toggle8: {
        interval: 100,
        frames: [
          "\u25CD",
          "\u25CC"
        ]
      },
      toggle9: {
        interval: 100,
        frames: [
          "\u25C9",
          "\u25CE"
        ]
      },
      toggle10: {
        interval: 100,
        frames: [
          "\u3282",
          "\u3280",
          "\u3281"
        ]
      },
      toggle11: {
        interval: 50,
        frames: [
          "\u29C7",
          "\u29C6"
        ]
      },
      toggle12: {
        interval: 120,
        frames: [
          "\u2617",
          "\u2616"
        ]
      },
      toggle13: {
        interval: 80,
        frames: [
          "=",
          "*",
          "-"
        ]
      },
      arrow: {
        interval: 100,
        frames: [
          "\u2190",
          "\u2196",
          "\u2191",
          "\u2197",
          "\u2192",
          "\u2198",
          "\u2193",
          "\u2199"
        ]
      },
      arrow2: {
        interval: 80,
        frames: [
          "\u2B06\uFE0F ",
          "\u2197\uFE0F ",
          "\u27A1\uFE0F ",
          "\u2198\uFE0F ",
          "\u2B07\uFE0F ",
          "\u2199\uFE0F ",
          "\u2B05\uFE0F ",
          "\u2196\uFE0F "
        ]
      },
      arrow3: {
        interval: 120,
        frames: [
          "\u25B9\u25B9\u25B9\u25B9\u25B9",
          "\u25B8\u25B9\u25B9\u25B9\u25B9",
          "\u25B9\u25B8\u25B9\u25B9\u25B9",
          "\u25B9\u25B9\u25B8\u25B9\u25B9",
          "\u25B9\u25B9\u25B9\u25B8\u25B9",
          "\u25B9\u25B9\u25B9\u25B9\u25B8"
        ]
      },
      bouncingBar: {
        interval: 80,
        frames: [
          "[    ]",
          "[=   ]",
          "[==  ]",
          "[=== ]",
          "[ ===]",
          "[  ==]",
          "[   =]",
          "[    ]",
          "[   =]",
          "[  ==]",
          "[ ===]",
          "[====]",
          "[=== ]",
          "[==  ]",
          "[=   ]"
        ]
      },
      bouncingBall: {
        interval: 80,
        frames: [
          "( \u25CF    )",
          "(  \u25CF   )",
          "(   \u25CF  )",
          "(    \u25CF )",
          "(     \u25CF)",
          "(    \u25CF )",
          "(   \u25CF  )",
          "(  \u25CF   )",
          "( \u25CF    )",
          "(\u25CF     )"
        ]
      },
      smiley: {
        interval: 200,
        frames: [
          "\u{1F604} ",
          "\u{1F61D} "
        ]
      },
      monkey: {
        interval: 300,
        frames: [
          "\u{1F648} ",
          "\u{1F648} ",
          "\u{1F649} ",
          "\u{1F64A} "
        ]
      },
      hearts: {
        interval: 100,
        frames: [
          "\u{1F49B} ",
          "\u{1F499} ",
          "\u{1F49C} ",
          "\u{1F49A} ",
          "\u2764\uFE0F "
        ]
      },
      clock: {
        interval: 100,
        frames: [
          "\u{1F55B} ",
          "\u{1F550} ",
          "\u{1F551} ",
          "\u{1F552} ",
          "\u{1F553} ",
          "\u{1F554} ",
          "\u{1F555} ",
          "\u{1F556} ",
          "\u{1F557} ",
          "\u{1F558} ",
          "\u{1F559} ",
          "\u{1F55A} "
        ]
      },
      earth: {
        interval: 180,
        frames: [
          "\u{1F30D} ",
          "\u{1F30E} ",
          "\u{1F30F} "
        ]
      },
      material: {
        interval: 17,
        frames: [
          "\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588",
          "\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588",
          "\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588",
          "\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588",
          "\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588",
          "\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588",
          "\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588",
          "\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2588",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581",
          "\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581\u2581"
        ]
      },
      moon: {
        interval: 80,
        frames: [
          "\u{1F311} ",
          "\u{1F312} ",
          "\u{1F313} ",
          "\u{1F314} ",
          "\u{1F315} ",
          "\u{1F316} ",
          "\u{1F317} ",
          "\u{1F318} "
        ]
      },
      runner: {
        interval: 140,
        frames: [
          "\u{1F6B6} ",
          "\u{1F3C3} "
        ]
      },
      pong: {
        interval: 80,
        frames: [
          "\u2590\u2802       \u258C",
          "\u2590\u2808       \u258C",
          "\u2590 \u2802      \u258C",
          "\u2590 \u2820      \u258C",
          "\u2590  \u2840     \u258C",
          "\u2590  \u2820     \u258C",
          "\u2590   \u2802    \u258C",
          "\u2590   \u2808    \u258C",
          "\u2590    \u2802   \u258C",
          "\u2590    \u2820   \u258C",
          "\u2590     \u2840  \u258C",
          "\u2590     \u2820  \u258C",
          "\u2590      \u2802 \u258C",
          "\u2590      \u2808 \u258C",
          "\u2590       \u2802\u258C",
          "\u2590       \u2820\u258C",
          "\u2590       \u2840\u258C",
          "\u2590      \u2820 \u258C",
          "\u2590      \u2802 \u258C",
          "\u2590     \u2808  \u258C",
          "\u2590     \u2802  \u258C",
          "\u2590    \u2820   \u258C",
          "\u2590    \u2840   \u258C",
          "\u2590   \u2820    \u258C",
          "\u2590   \u2802    \u258C",
          "\u2590  \u2808     \u258C",
          "\u2590  \u2802     \u258C",
          "\u2590 \u2820      \u258C",
          "\u2590 \u2840      \u258C",
          "\u2590\u2820       \u258C"
        ]
      },
      shark: {
        interval: 120,
        frames: [
          "\u2590|\\____________\u258C",
          "\u2590_|\\___________\u258C",
          "\u2590__|\\__________\u258C",
          "\u2590___|\\_________\u258C",
          "\u2590____|\\________\u258C",
          "\u2590_____|\\_______\u258C",
          "\u2590______|\\______\u258C",
          "\u2590_______|\\_____\u258C",
          "\u2590________|\\____\u258C",
          "\u2590_________|\\___\u258C",
          "\u2590__________|\\__\u258C",
          "\u2590___________|\\_\u258C",
          "\u2590____________|\\\u258C",
          "\u2590____________/|\u258C",
          "\u2590___________/|_\u258C",
          "\u2590__________/|__\u258C",
          "\u2590_________/|___\u258C",
          "\u2590________/|____\u258C",
          "\u2590_______/|_____\u258C",
          "\u2590______/|______\u258C",
          "\u2590_____/|_______\u258C",
          "\u2590____/|________\u258C",
          "\u2590___/|_________\u258C",
          "\u2590__/|__________\u258C",
          "\u2590_/|___________\u258C",
          "\u2590/|____________\u258C"
        ]
      },
      dqpb: {
        interval: 100,
        frames: [
          "d",
          "q",
          "p",
          "b"
        ]
      },
      weather: {
        interval: 100,
        frames: [
          "\u2600\uFE0F ",
          "\u2600\uFE0F ",
          "\u2600\uFE0F ",
          "\u{1F324} ",
          "\u26C5\uFE0F ",
          "\u{1F325} ",
          "\u2601\uFE0F ",
          "\u{1F327} ",
          "\u{1F328} ",
          "\u{1F327} ",
          "\u{1F328} ",
          "\u{1F327} ",
          "\u{1F328} ",
          "\u26C8 ",
          "\u{1F328} ",
          "\u{1F327} ",
          "\u{1F328} ",
          "\u2601\uFE0F ",
          "\u{1F325} ",
          "\u26C5\uFE0F ",
          "\u{1F324} ",
          "\u2600\uFE0F ",
          "\u2600\uFE0F "
        ]
      },
      christmas: {
        interval: 400,
        frames: [
          "\u{1F332}",
          "\u{1F384}"
        ]
      },
      grenade: {
        interval: 80,
        frames: [
          "\u060C  ",
          "\u2032  ",
          " \xB4 ",
          " \u203E ",
          "  \u2E0C",
          "  \u2E0A",
          "  |",
          "  \u204E",
          "  \u2055",
          " \u0DF4 ",
          "  \u2053",
          "   ",
          "   ",
          "   "
        ]
      },
      point: {
        interval: 125,
        frames: [
          "\u2219\u2219\u2219",
          "\u25CF\u2219\u2219",
          "\u2219\u25CF\u2219",
          "\u2219\u2219\u25CF",
          "\u2219\u2219\u2219"
        ]
      },
      layer: {
        interval: 150,
        frames: [
          "-",
          "=",
          "\u2261"
        ]
      },
      betaWave: {
        interval: 80,
        frames: [
          "\u03C1\u03B2\u03B2\u03B2\u03B2\u03B2\u03B2",
          "\u03B2\u03C1\u03B2\u03B2\u03B2\u03B2\u03B2",
          "\u03B2\u03B2\u03C1\u03B2\u03B2\u03B2\u03B2",
          "\u03B2\u03B2\u03B2\u03C1\u03B2\u03B2\u03B2",
          "\u03B2\u03B2\u03B2\u03B2\u03C1\u03B2\u03B2",
          "\u03B2\u03B2\u03B2\u03B2\u03B2\u03C1\u03B2",
          "\u03B2\u03B2\u03B2\u03B2\u03B2\u03B2\u03C1"
        ]
      },
      fingerDance: {
        interval: 160,
        frames: [
          "\u{1F918} ",
          "\u{1F91F} ",
          "\u{1F596} ",
          "\u270B ",
          "\u{1F91A} ",
          "\u{1F446} "
        ]
      },
      fistBump: {
        interval: 80,
        frames: [
          "\u{1F91C}\u3000\u3000\u3000\u3000\u{1F91B} ",
          "\u{1F91C}\u3000\u3000\u3000\u3000\u{1F91B} ",
          "\u{1F91C}\u3000\u3000\u3000\u3000\u{1F91B} ",
          "\u3000\u{1F91C}\u3000\u3000\u{1F91B}\u3000 ",
          "\u3000\u3000\u{1F91C}\u{1F91B}\u3000\u3000 ",
          "\u3000\u{1F91C}\u2728\u{1F91B}\u3000\u3000 ",
          "\u{1F91C}\u3000\u2728\u3000\u{1F91B}\u3000 "
        ]
      },
      soccerHeader: {
        interval: 80,
        frames: [
          " \u{1F9D1}\u26BD\uFE0F       \u{1F9D1} ",
          "\u{1F9D1}  \u26BD\uFE0F      \u{1F9D1} ",
          "\u{1F9D1}   \u26BD\uFE0F     \u{1F9D1} ",
          "\u{1F9D1}    \u26BD\uFE0F    \u{1F9D1} ",
          "\u{1F9D1}     \u26BD\uFE0F   \u{1F9D1} ",
          "\u{1F9D1}      \u26BD\uFE0F  \u{1F9D1} ",
          "\u{1F9D1}       \u26BD\uFE0F\u{1F9D1}  ",
          "\u{1F9D1}      \u26BD\uFE0F  \u{1F9D1} ",
          "\u{1F9D1}     \u26BD\uFE0F   \u{1F9D1} ",
          "\u{1F9D1}    \u26BD\uFE0F    \u{1F9D1} ",
          "\u{1F9D1}   \u26BD\uFE0F     \u{1F9D1} ",
          "\u{1F9D1}  \u26BD\uFE0F      \u{1F9D1} "
        ]
      },
      mindblown: {
        interval: 160,
        frames: [
          "\u{1F610} ",
          "\u{1F610} ",
          "\u{1F62E} ",
          "\u{1F62E} ",
          "\u{1F626} ",
          "\u{1F626} ",
          "\u{1F627} ",
          "\u{1F627} ",
          "\u{1F92F} ",
          "\u{1F4A5} ",
          "\u2728 ",
          "\u3000 ",
          "\u3000 ",
          "\u3000 "
        ]
      },
      speaker: {
        interval: 160,
        frames: [
          "\u{1F508} ",
          "\u{1F509} ",
          "\u{1F50A} ",
          "\u{1F509} "
        ]
      },
      orangePulse: {
        interval: 100,
        frames: [
          "\u{1F538} ",
          "\u{1F536} ",
          "\u{1F7E0} ",
          "\u{1F7E0} ",
          "\u{1F536} "
        ]
      },
      bluePulse: {
        interval: 100,
        frames: [
          "\u{1F539} ",
          "\u{1F537} ",
          "\u{1F535} ",
          "\u{1F535} ",
          "\u{1F537} "
        ]
      },
      orangeBluePulse: {
        interval: 100,
        frames: [
          "\u{1F538} ",
          "\u{1F536} ",
          "\u{1F7E0} ",
          "\u{1F7E0} ",
          "\u{1F536} ",
          "\u{1F539} ",
          "\u{1F537} ",
          "\u{1F535} ",
          "\u{1F535} ",
          "\u{1F537} "
        ]
      },
      timeTravel: {
        interval: 100,
        frames: [
          "\u{1F55B} ",
          "\u{1F55A} ",
          "\u{1F559} ",
          "\u{1F558} ",
          "\u{1F557} ",
          "\u{1F556} ",
          "\u{1F555} ",
          "\u{1F554} ",
          "\u{1F553} ",
          "\u{1F552} ",
          "\u{1F551} ",
          "\u{1F550} "
        ]
      },
      aesthetic: {
        interval: 80,
        frames: [
          "\u25B0\u25B1\u25B1\u25B1\u25B1\u25B1\u25B1",
          "\u25B0\u25B0\u25B1\u25B1\u25B1\u25B1\u25B1",
          "\u25B0\u25B0\u25B0\u25B1\u25B1\u25B1\u25B1",
          "\u25B0\u25B0\u25B0\u25B0\u25B1\u25B1\u25B1",
          "\u25B0\u25B0\u25B0\u25B0\u25B0\u25B1\u25B1",
          "\u25B0\u25B0\u25B0\u25B0\u25B0\u25B0\u25B1",
          "\u25B0\u25B0\u25B0\u25B0\u25B0\u25B0\u25B0",
          "\u25B0\u25B1\u25B1\u25B1\u25B1\u25B1\u25B1"
        ]
      }
    };
  }
});

// ../../node_modules/.pnpm/cli-spinners@2.7.0/node_modules/cli-spinners/index.js
var require_cli_spinners = __commonJS({
  "../../node_modules/.pnpm/cli-spinners@2.7.0/node_modules/cli-spinners/index.js"(exports2, module2) {
    "use strict";
    var spinners = Object.assign({}, require_spinners());
    var spinnersList = Object.keys(spinners);
    Object.defineProperty(spinners, "random", {
      get() {
        const randomIndex = Math.floor(Math.random() * spinnersList.length);
        const spinnerName = spinnersList[randomIndex];
        return spinners[spinnerName];
      }
    });
    module2.exports = spinners;
  }
});

// ../../node_modules/.pnpm/is-unicode-supported@0.1.0/node_modules/is-unicode-supported/index.js
var require_is_unicode_supported = __commonJS({
  "../../node_modules/.pnpm/is-unicode-supported@0.1.0/node_modules/is-unicode-supported/index.js"(exports2, module2) {
    "use strict";
    module2.exports = () => {
      if (process.platform !== "win32") {
        return true;
      }
      return Boolean(process.env.CI) || Boolean(process.env.WT_SESSION) || // Windows Terminal
      process.env.TERM_PROGRAM === "vscode" || process.env.TERM === "xterm-256color" || process.env.TERM === "alacritty";
    };
  }
});

// ../../node_modules/.pnpm/log-symbols@4.1.0/node_modules/log-symbols/index.js
var require_log_symbols = __commonJS({
  "../../node_modules/.pnpm/log-symbols@4.1.0/node_modules/log-symbols/index.js"(exports2, module2) {
    "use strict";
    var chalk = require_source();
    var isUnicodeSupported = require_is_unicode_supported();
    var main3 = {
      info: chalk.blue("\u2139"),
      success: chalk.green("\u2714"),
      warning: chalk.yellow("\u26A0"),
      error: chalk.red("\u2716")
    };
    var fallback2 = {
      info: chalk.blue("i"),
      success: chalk.green("\u221A"),
      warning: chalk.yellow("\u203C"),
      error: chalk.red("\xD7")
    };
    module2.exports = isUnicodeSupported() ? main3 : fallback2;
  }
});

// ../../node_modules/.pnpm/clone@1.0.4/node_modules/clone/clone.js
var require_clone2 = __commonJS({
  "../../node_modules/.pnpm/clone@1.0.4/node_modules/clone/clone.js"(exports2, module2) {
    "use strict";
    var clone2 = function() {
      "use strict";
      function clone3(parent2, circular, depth, prototype) {
        var filter2;
        if (typeof circular === "object") {
          depth = circular.depth;
          prototype = circular.prototype;
          filter2 = circular.filter;
          circular = circular.circular;
        }
        var allParents = [];
        var allChildren = [];
        var useBuffer = typeof Buffer != "undefined";
        if (typeof circular == "undefined")
          circular = true;
        if (typeof depth == "undefined")
          depth = Infinity;
        function _clone(parent3, depth2) {
          if (parent3 === null)
            return null;
          if (depth2 == 0)
            return parent3;
          var child;
          var proto;
          if (typeof parent3 != "object") {
            return parent3;
          }
          if (clone3.__isArray(parent3)) {
            child = [];
          } else if (clone3.__isRegExp(parent3)) {
            child = new RegExp(parent3.source, __getRegExpFlags(parent3));
            if (parent3.lastIndex)
              child.lastIndex = parent3.lastIndex;
          } else if (clone3.__isDate(parent3)) {
            child = new Date(parent3.getTime());
          } else if (useBuffer && Buffer.isBuffer(parent3)) {
            if (Buffer.allocUnsafe) {
              child = Buffer.allocUnsafe(parent3.length);
            } else {
              child = new Buffer(parent3.length);
            }
            parent3.copy(child);
            return child;
          } else {
            if (typeof prototype == "undefined") {
              proto = Object.getPrototypeOf(parent3);
              child = Object.create(proto);
            } else {
              child = Object.create(prototype);
              proto = prototype;
            }
          }
          if (circular) {
            var index2 = allParents.indexOf(parent3);
            if (index2 != -1) {
              return allChildren[index2];
            }
            allParents.push(parent3);
            allChildren.push(child);
          }
          for (var i4 in parent3) {
            var attrs;
            if (proto) {
              attrs = Object.getOwnPropertyDescriptor(proto, i4);
            }
            if (attrs && attrs.set == null) {
              continue;
            }
            child[i4] = _clone(parent3[i4], depth2 - 1);
          }
          return child;
        }
        return _clone(parent2, depth);
      }
      clone3.clonePrototype = function clonePrototype(parent2) {
        if (parent2 === null)
          return null;
        var c4 = function() {
        };
        c4.prototype = parent2;
        return new c4();
      };
      function __objToStr(o2) {
        return Object.prototype.toString.call(o2);
      }
      ;
      clone3.__objToStr = __objToStr;
      function __isDate(o2) {
        return typeof o2 === "object" && __objToStr(o2) === "[object Date]";
      }
      ;
      clone3.__isDate = __isDate;
      function __isArray(o2) {
        return typeof o2 === "object" && __objToStr(o2) === "[object Array]";
      }
      ;
      clone3.__isArray = __isArray;
      function __isRegExp(o2) {
        return typeof o2 === "object" && __objToStr(o2) === "[object RegExp]";
      }
      ;
      clone3.__isRegExp = __isRegExp;
      function __getRegExpFlags(re2) {
        var flags = "";
        if (re2.global)
          flags += "g";
        if (re2.ignoreCase)
          flags += "i";
        if (re2.multiline)
          flags += "m";
        return flags;
      }
      ;
      clone3.__getRegExpFlags = __getRegExpFlags;
      return clone3;
    }();
    if (typeof module2 === "object" && module2.exports) {
      module2.exports = clone2;
    }
  }
});

// ../../node_modules/.pnpm/defaults@1.0.4/node_modules/defaults/index.js
var require_defaults = __commonJS({
  "../../node_modules/.pnpm/defaults@1.0.4/node_modules/defaults/index.js"(exports2, module2) {
    "use strict";
    var clone2 = require_clone2();
    module2.exports = function(options2, defaults) {
      options2 = options2 || {};
      Object.keys(defaults).forEach(function(key) {
        if (typeof options2[key] === "undefined") {
          options2[key] = clone2(defaults[key]);
        }
      });
      return options2;
    };
  }
});

// ../../node_modules/.pnpm/wcwidth@1.0.1/node_modules/wcwidth/combining.js
var require_combining = __commonJS({
  "../../node_modules/.pnpm/wcwidth@1.0.1/node_modules/wcwidth/combining.js"(exports2, module2) {
    "use strict";
    module2.exports = [
      [768, 879],
      [1155, 1158],
      [1160, 1161],
      [1425, 1469],
      [1471, 1471],
      [1473, 1474],
      [1476, 1477],
      [1479, 1479],
      [1536, 1539],
      [1552, 1557],
      [1611, 1630],
      [1648, 1648],
      [1750, 1764],
      [1767, 1768],
      [1770, 1773],
      [1807, 1807],
      [1809, 1809],
      [1840, 1866],
      [1958, 1968],
      [2027, 2035],
      [2305, 2306],
      [2364, 2364],
      [2369, 2376],
      [2381, 2381],
      [2385, 2388],
      [2402, 2403],
      [2433, 2433],
      [2492, 2492],
      [2497, 2500],
      [2509, 2509],
      [2530, 2531],
      [2561, 2562],
      [2620, 2620],
      [2625, 2626],
      [2631, 2632],
      [2635, 2637],
      [2672, 2673],
      [2689, 2690],
      [2748, 2748],
      [2753, 2757],
      [2759, 2760],
      [2765, 2765],
      [2786, 2787],
      [2817, 2817],
      [2876, 2876],
      [2879, 2879],
      [2881, 2883],
      [2893, 2893],
      [2902, 2902],
      [2946, 2946],
      [3008, 3008],
      [3021, 3021],
      [3134, 3136],
      [3142, 3144],
      [3146, 3149],
      [3157, 3158],
      [3260, 3260],
      [3263, 3263],
      [3270, 3270],
      [3276, 3277],
      [3298, 3299],
      [3393, 3395],
      [3405, 3405],
      [3530, 3530],
      [3538, 3540],
      [3542, 3542],
      [3633, 3633],
      [3636, 3642],
      [3655, 3662],
      [3761, 3761],
      [3764, 3769],
      [3771, 3772],
      [3784, 3789],
      [3864, 3865],
      [3893, 3893],
      [3895, 3895],
      [3897, 3897],
      [3953, 3966],
      [3968, 3972],
      [3974, 3975],
      [3984, 3991],
      [3993, 4028],
      [4038, 4038],
      [4141, 4144],
      [4146, 4146],
      [4150, 4151],
      [4153, 4153],
      [4184, 4185],
      [4448, 4607],
      [4959, 4959],
      [5906, 5908],
      [5938, 5940],
      [5970, 5971],
      [6002, 6003],
      [6068, 6069],
      [6071, 6077],
      [6086, 6086],
      [6089, 6099],
      [6109, 6109],
      [6155, 6157],
      [6313, 6313],
      [6432, 6434],
      [6439, 6440],
      [6450, 6450],
      [6457, 6459],
      [6679, 6680],
      [6912, 6915],
      [6964, 6964],
      [6966, 6970],
      [6972, 6972],
      [6978, 6978],
      [7019, 7027],
      [7616, 7626],
      [7678, 7679],
      [8203, 8207],
      [8234, 8238],
      [8288, 8291],
      [8298, 8303],
      [8400, 8431],
      [12330, 12335],
      [12441, 12442],
      [43014, 43014],
      [43019, 43019],
      [43045, 43046],
      [64286, 64286],
      [65024, 65039],
      [65056, 65059],
      [65279, 65279],
      [65529, 65531],
      [68097, 68099],
      [68101, 68102],
      [68108, 68111],
      [68152, 68154],
      [68159, 68159],
      [119143, 119145],
      [119155, 119170],
      [119173, 119179],
      [119210, 119213],
      [119362, 119364],
      [917505, 917505],
      [917536, 917631],
      [917760, 917999]
    ];
  }
});

// ../../node_modules/.pnpm/wcwidth@1.0.1/node_modules/wcwidth/index.js
var require_wcwidth = __commonJS({
  "../../node_modules/.pnpm/wcwidth@1.0.1/node_modules/wcwidth/index.js"(exports2, module2) {
    "use strict";
    var defaults = require_defaults();
    var combining = require_combining();
    var DEFAULTS = {
      nul: 0,
      control: 0
    };
    module2.exports = function wcwidth2(str) {
      return wcswidth(str, DEFAULTS);
    };
    module2.exports.config = function(opts2) {
      opts2 = defaults(opts2 || {}, DEFAULTS);
      return function wcwidth2(str) {
        return wcswidth(str, opts2);
      };
    };
    function wcswidth(str, opts2) {
      if (typeof str !== "string")
        return wcwidth(str, opts2);
      var s3 = 0;
      for (var i4 = 0; i4 < str.length; i4++) {
        var n2 = wcwidth(str.charCodeAt(i4), opts2);
        if (n2 < 0)
          return -1;
        s3 += n2;
      }
      return s3;
    }
    function wcwidth(ucs, opts2) {
      if (ucs === 0)
        return opts2.nul;
      if (ucs < 32 || ucs >= 127 && ucs < 160)
        return opts2.control;
      if (bisearch(ucs))
        return 0;
      return 1 + (ucs >= 4352 && (ucs <= 4447 || // Hangul Jamo init. consonants
      ucs == 9001 || ucs == 9002 || ucs >= 11904 && ucs <= 42191 && ucs != 12351 || // CJK ... Yi
      ucs >= 44032 && ucs <= 55203 || // Hangul Syllables
      ucs >= 63744 && ucs <= 64255 || // CJK Compatibility Ideographs
      ucs >= 65040 && ucs <= 65049 || // Vertical forms
      ucs >= 65072 && ucs <= 65135 || // CJK Compatibility Forms
      ucs >= 65280 && ucs <= 65376 || // Fullwidth Forms
      ucs >= 65504 && ucs <= 65510 || ucs >= 131072 && ucs <= 196605 || ucs >= 196608 && ucs <= 262141));
    }
    function bisearch(ucs) {
      var min = 0;
      var max = combining.length - 1;
      var mid;
      if (ucs < combining[0][0] || ucs > combining[max][1])
        return false;
      while (max >= min) {
        mid = Math.floor((min + max) / 2);
        if (ucs > combining[mid][1])
          min = mid + 1;
        else if (ucs < combining[mid][0])
          max = mid - 1;
        else
          return true;
      }
      return false;
    }
  }
});

// ../../node_modules/.pnpm/is-interactive@1.0.0/node_modules/is-interactive/index.js
var require_is_interactive = __commonJS({
  "../../node_modules/.pnpm/is-interactive@1.0.0/node_modules/is-interactive/index.js"(exports2, module2) {
    "use strict";
    module2.exports = ({ stream: stream4 = process.stdout } = {}) => {
      return Boolean(
        stream4 && stream4.isTTY && process.env.TERM !== "dumb" && !("CI" in process.env)
      );
    };
  }
});

// ../../node_modules/.pnpm/ora@5.4.1/node_modules/ora/index.js
var require_ora = __commonJS({
  "../../node_modules/.pnpm/ora@5.4.1/node_modules/ora/index.js"(exports2, module2) {
    "use strict";
    var readline2 = require("readline");
    var chalk = require_source();
    var cliCursor = require_cli_cursor();
    var cliSpinners = require_cli_spinners();
    var logSymbols = require_log_symbols();
    var stripAnsi3 = require_strip_ansi();
    var wcwidth = require_wcwidth();
    var isInteractive3 = require_is_interactive();
    var isUnicodeSupported = require_is_unicode_supported();
    var { BufferListStream } = require_bl();
    var TEXT = Symbol("text");
    var PREFIX_TEXT = Symbol("prefixText");
    var ASCII_ETX_CODE = 3;
    var StdinDiscarder = class {
      constructor() {
        this.requests = 0;
        this.mutedStream = new BufferListStream();
        this.mutedStream.pipe(process.stdout);
        const self2 = this;
        this.ourEmit = function(event, data, ...args3) {
          const { stdin } = process;
          if (self2.requests > 0 || stdin.emit === self2.ourEmit) {
            if (event === "keypress") {
              return;
            }
            if (event === "data" && data.includes(ASCII_ETX_CODE)) {
              process.emit("SIGINT");
            }
            Reflect.apply(self2.oldEmit, this, [event, data, ...args3]);
          } else {
            Reflect.apply(process.stdin.emit, this, [event, data, ...args3]);
          }
        };
      }
      start() {
        this.requests++;
        if (this.requests === 1) {
          this.realStart();
        }
      }
      stop() {
        if (this.requests <= 0) {
          throw new Error("`stop` called more times than `start`");
        }
        this.requests--;
        if (this.requests === 0) {
          this.realStop();
        }
      }
      realStart() {
        if (process.platform === "win32") {
          return;
        }
        this.rl = readline2.createInterface({
          input: process.stdin,
          output: this.mutedStream
        });
        this.rl.on("SIGINT", () => {
          if (process.listenerCount("SIGINT") === 0) {
            process.emit("SIGINT");
          } else {
            this.rl.close();
            process.kill(process.pid, "SIGINT");
          }
        });
      }
      realStop() {
        if (process.platform === "win32") {
          return;
        }
        this.rl.close();
        this.rl = void 0;
      }
    };
    var stdinDiscarder;
    var Ora = class {
      constructor(options2) {
        if (!stdinDiscarder) {
          stdinDiscarder = new StdinDiscarder();
        }
        if (typeof options2 === "string") {
          options2 = {
            text: options2
          };
        }
        this.options = {
          text: "",
          color: "cyan",
          stream: process.stderr,
          discardStdin: true,
          ...options2
        };
        this.spinner = this.options.spinner;
        this.color = this.options.color;
        this.hideCursor = this.options.hideCursor !== false;
        this.interval = this.options.interval || this.spinner.interval || 100;
        this.stream = this.options.stream;
        this.id = void 0;
        this.isEnabled = typeof this.options.isEnabled === "boolean" ? this.options.isEnabled : isInteractive3({ stream: this.stream });
        this.isSilent = typeof this.options.isSilent === "boolean" ? this.options.isSilent : false;
        this.text = this.options.text;
        this.prefixText = this.options.prefixText;
        this.linesToClear = 0;
        this.indent = this.options.indent;
        this.discardStdin = this.options.discardStdin;
        this.isDiscardingStdin = false;
      }
      get indent() {
        return this._indent;
      }
      set indent(indent4 = 0) {
        if (!(indent4 >= 0 && Number.isInteger(indent4))) {
          throw new Error("The `indent` option must be an integer from 0 and up");
        }
        this._indent = indent4;
      }
      _updateInterval(interval) {
        if (interval !== void 0) {
          this.interval = interval;
        }
      }
      get spinner() {
        return this._spinner;
      }
      set spinner(spinner) {
        this.frameIndex = 0;
        if (typeof spinner === "object") {
          if (spinner.frames === void 0) {
            throw new Error("The given spinner must have a `frames` property");
          }
          this._spinner = spinner;
        } else if (!isUnicodeSupported()) {
          this._spinner = cliSpinners.line;
        } else if (spinner === void 0) {
          this._spinner = cliSpinners.dots;
        } else if (spinner !== "default" && cliSpinners[spinner]) {
          this._spinner = cliSpinners[spinner];
        } else {
          throw new Error(`There is no built-in spinner named '${spinner}'. See https://github.com/sindresorhus/cli-spinners/blob/main/spinners.json for a full list.`);
        }
        this._updateInterval(this._spinner.interval);
      }
      get text() {
        return this[TEXT];
      }
      set text(value) {
        this[TEXT] = value;
        this.updateLineCount();
      }
      get prefixText() {
        return this[PREFIX_TEXT];
      }
      set prefixText(value) {
        this[PREFIX_TEXT] = value;
        this.updateLineCount();
      }
      get isSpinning() {
        return this.id !== void 0;
      }
      getFullPrefixText(prefixText = this[PREFIX_TEXT], postfix = " ") {
        if (typeof prefixText === "string") {
          return prefixText + postfix;
        }
        if (typeof prefixText === "function") {
          return prefixText() + postfix;
        }
        return "";
      }
      updateLineCount() {
        const columns = this.stream.columns || 80;
        const fullPrefixText = this.getFullPrefixText(this.prefixText, "-");
        this.lineCount = 0;
        for (const line of stripAnsi3(fullPrefixText + "--" + this[TEXT]).split("\n")) {
          this.lineCount += Math.max(1, Math.ceil(wcwidth(line) / columns));
        }
      }
      get isEnabled() {
        return this._isEnabled && !this.isSilent;
      }
      set isEnabled(value) {
        if (typeof value !== "boolean") {
          throw new TypeError("The `isEnabled` option must be a boolean");
        }
        this._isEnabled = value;
      }
      get isSilent() {
        return this._isSilent;
      }
      set isSilent(value) {
        if (typeof value !== "boolean") {
          throw new TypeError("The `isSilent` option must be a boolean");
        }
        this._isSilent = value;
      }
      frame() {
        const { frames } = this.spinner;
        let frame = frames[this.frameIndex];
        if (this.color) {
          frame = chalk[this.color](frame);
        }
        this.frameIndex = ++this.frameIndex % frames.length;
        const fullPrefixText = typeof this.prefixText === "string" && this.prefixText !== "" ? this.prefixText + " " : "";
        const fullText = typeof this.text === "string" ? " " + this.text : "";
        return fullPrefixText + frame + fullText;
      }
      clear() {
        if (!this.isEnabled || !this.stream.isTTY) {
          return this;
        }
        for (let i4 = 0; i4 < this.linesToClear; i4++) {
          if (i4 > 0) {
            this.stream.moveCursor(0, -1);
          }
          this.stream.clearLine();
          this.stream.cursorTo(this.indent);
        }
        this.linesToClear = 0;
        return this;
      }
      render() {
        if (this.isSilent) {
          return this;
        }
        this.clear();
        this.stream.write(this.frame());
        this.linesToClear = this.lineCount;
        return this;
      }
      start(text2) {
        if (text2) {
          this.text = text2;
        }
        if (this.isSilent) {
          return this;
        }
        if (!this.isEnabled) {
          if (this.text) {
            this.stream.write(`- ${this.text}
`);
          }
          return this;
        }
        if (this.isSpinning) {
          return this;
        }
        if (this.hideCursor) {
          cliCursor.hide(this.stream);
        }
        if (this.discardStdin && process.stdin.isTTY) {
          this.isDiscardingStdin = true;
          stdinDiscarder.start();
        }
        this.render();
        this.id = setInterval(this.render.bind(this), this.interval);
        return this;
      }
      stop() {
        if (!this.isEnabled) {
          return this;
        }
        clearInterval(this.id);
        this.id = void 0;
        this.frameIndex = 0;
        this.clear();
        if (this.hideCursor) {
          cliCursor.show(this.stream);
        }
        if (this.discardStdin && process.stdin.isTTY && this.isDiscardingStdin) {
          stdinDiscarder.stop();
          this.isDiscardingStdin = false;
        }
        return this;
      }
      succeed(text2) {
        return this.stopAndPersist({ symbol: logSymbols.success, text: text2 });
      }
      fail(text2) {
        return this.stopAndPersist({ symbol: logSymbols.error, text: text2 });
      }
      warn(text2) {
        return this.stopAndPersist({ symbol: logSymbols.warning, text: text2 });
      }
      info(text2) {
        return this.stopAndPersist({ symbol: logSymbols.info, text: text2 });
      }
      stopAndPersist(options2 = {}) {
        if (this.isSilent) {
          return this;
        }
        const prefixText = options2.prefixText || this.prefixText;
        const text2 = options2.text || this.text;
        const fullText = typeof text2 === "string" ? " " + text2 : "";
        this.stop();
        this.stream.write(`${this.getFullPrefixText(prefixText, " ")}${options2.symbol || " "}${fullText}
`);
        return this;
      }
    };
    var oraFactory = function(options2) {
      return new Ora(options2);
    };
    module2.exports = oraFactory;
    module2.exports.promise = (action2, options2) => {
      if (typeof action2.then !== "function") {
        throw new TypeError("Parameter `action` must be a Promise");
      }
      const spinner = new Ora(options2);
      spinner.start();
      (async () => {
        try {
          await action2;
          spinner.succeed();
        } catch {
          spinner.fail();
        }
      })();
      return spinner;
    };
  }
});

// ../../node_modules/.pnpm/has-yarn@2.1.0/node_modules/has-yarn/index.js
var require_has_yarn = __commonJS({
  "../../node_modules/.pnpm/has-yarn@2.1.0/node_modules/has-yarn/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var fs42 = require("fs");
    var hasYarn2 = (cwd = process.cwd()) => fs42.existsSync(path39.resolve(cwd, "yarn.lock"));
    module2.exports = hasYarn2;
    module2.exports.default = hasYarn2;
  }
});

// ../../node_modules/.pnpm/path-exists@3.0.0/node_modules/path-exists/index.js
var require_path_exists3 = __commonJS({
  "../../node_modules/.pnpm/path-exists@3.0.0/node_modules/path-exists/index.js"(exports2, module2) {
    "use strict";
    var fs42 = require("fs");
    module2.exports = (fp) => new Promise((resolve3) => {
      fs42.access(fp, (err) => {
        resolve3(!err);
      });
    });
    module2.exports.sync = (fp) => {
      try {
        fs42.accessSync(fp);
        return true;
      } catch (err) {
        return false;
      }
    };
  }
});

// ../../node_modules/.pnpm/p-locate@3.0.0/node_modules/p-locate/index.js
var require_p_locate3 = __commonJS({
  "../../node_modules/.pnpm/p-locate@3.0.0/node_modules/p-locate/index.js"(exports2, module2) {
    "use strict";
    var pLimit2 = require_p_limit2();
    var EndError2 = class extends Error {
      constructor(value) {
        super();
        this.value = value;
      }
    };
    var testElement2 = (el, tester) => Promise.resolve(el).then(tester);
    var finder2 = (el) => Promise.all(el).then((val) => val[1] === true && Promise.reject(new EndError2(val[0])));
    module2.exports = (iterable, tester, opts2) => {
      opts2 = Object.assign({
        concurrency: Infinity,
        preserveOrder: true
      }, opts2);
      const limit = pLimit2(opts2.concurrency);
      const items = [...iterable].map((el) => [el, limit(testElement2, el, tester)]);
      const checkLimit = pLimit2(opts2.preserveOrder ? 1 : Infinity);
      return Promise.all(items.map((el) => checkLimit(finder2, el))).then(() => {
      }).catch((err) => err instanceof EndError2 ? err.value : Promise.reject(err));
    };
  }
});

// ../../node_modules/.pnpm/locate-path@3.0.0/node_modules/locate-path/index.js
var require_locate_path3 = __commonJS({
  "../../node_modules/.pnpm/locate-path@3.0.0/node_modules/locate-path/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var pathExists = require_path_exists3();
    var pLocate2 = require_p_locate3();
    module2.exports = (iterable, options2) => {
      options2 = Object.assign({
        cwd: process.cwd()
      }, options2);
      return pLocate2(iterable, (el) => pathExists(path39.resolve(options2.cwd, el)), options2);
    };
    module2.exports.sync = (iterable, options2) => {
      options2 = Object.assign({
        cwd: process.cwd()
      }, options2);
      for (const el of iterable) {
        if (pathExists.sync(path39.resolve(options2.cwd, el))) {
          return el;
        }
      }
    };
  }
});

// ../../node_modules/.pnpm/find-up@3.0.0/node_modules/find-up/index.js
var require_find_up3 = __commonJS({
  "../../node_modules/.pnpm/find-up@3.0.0/node_modules/find-up/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var locatePath2 = require_locate_path3();
    module2.exports = (filename, opts2 = {}) => {
      const startDir = path39.resolve(opts2.cwd || "");
      const { root } = path39.parse(startDir);
      const filenames = [].concat(filename);
      return new Promise((resolve3) => {
        (function find2(dir3) {
          locatePath2(filenames, { cwd: dir3 }).then((file2) => {
            if (file2) {
              resolve3(path39.join(dir3, file2));
            } else if (dir3 === root) {
              resolve3(null);
            } else {
              find2(path39.dirname(dir3));
            }
          });
        })(startDir);
      });
    };
    module2.exports.sync = (filename, opts2 = {}) => {
      let dir3 = path39.resolve(opts2.cwd || "");
      const { root } = path39.parse(dir3);
      const filenames = [].concat(filename);
      while (true) {
        const file2 = locatePath2.sync(filenames, { cwd: dir3 });
        if (file2) {
          return path39.join(dir3, file2);
        }
        if (dir3 === root) {
          return null;
        }
        dir3 = path39.dirname(dir3);
      }
    };
  }
});

// ../../node_modules/.pnpm/pkg-up@3.1.0/node_modules/pkg-up/index.js
var require_pkg_up = __commonJS({
  "../../node_modules/.pnpm/pkg-up@3.1.0/node_modules/pkg-up/index.js"(exports2, module2) {
    "use strict";
    var findUp3 = require_find_up3();
    module2.exports = async ({ cwd } = {}) => findUp3("package.json", { cwd });
    module2.exports.sync = ({ cwd } = {}) => findUp3.sync("package.json", { cwd });
  }
});

// ../../node_modules/.pnpm/lodash.deburr@4.1.0/node_modules/lodash.deburr/index.js
var require_lodash6 = __commonJS({
  "../../node_modules/.pnpm/lodash.deburr@4.1.0/node_modules/lodash.deburr/index.js"(exports2, module2) {
    "use strict";
    var INFINITY = 1 / 0;
    var symbolTag = "[object Symbol]";
    var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;
    var rsComboMarksRange = "\\u0300-\\u036f\\ufe20-\\ufe23";
    var rsComboSymbolsRange = "\\u20d0-\\u20f0";
    var rsCombo = "[" + rsComboMarksRange + rsComboSymbolsRange + "]";
    var reComboMark = RegExp(rsCombo, "g");
    var deburredLetters = {
      // Latin-1 Supplement block.
      "\xC0": "A",
      "\xC1": "A",
      "\xC2": "A",
      "\xC3": "A",
      "\xC4": "A",
      "\xC5": "A",
      "\xE0": "a",
      "\xE1": "a",
      "\xE2": "a",
      "\xE3": "a",
      "\xE4": "a",
      "\xE5": "a",
      "\xC7": "C",
      "\xE7": "c",
      "\xD0": "D",
      "\xF0": "d",
      "\xC8": "E",
      "\xC9": "E",
      "\xCA": "E",
      "\xCB": "E",
      "\xE8": "e",
      "\xE9": "e",
      "\xEA": "e",
      "\xEB": "e",
      "\xCC": "I",
      "\xCD": "I",
      "\xCE": "I",
      "\xCF": "I",
      "\xEC": "i",
      "\xED": "i",
      "\xEE": "i",
      "\xEF": "i",
      "\xD1": "N",
      "\xF1": "n",
      "\xD2": "O",
      "\xD3": "O",
      "\xD4": "O",
      "\xD5": "O",
      "\xD6": "O",
      "\xD8": "O",
      "\xF2": "o",
      "\xF3": "o",
      "\xF4": "o",
      "\xF5": "o",
      "\xF6": "o",
      "\xF8": "o",
      "\xD9": "U",
      "\xDA": "U",
      "\xDB": "U",
      "\xDC": "U",
      "\xF9": "u",
      "\xFA": "u",
      "\xFB": "u",
      "\xFC": "u",
      "\xDD": "Y",
      "\xFD": "y",
      "\xFF": "y",
      "\xC6": "Ae",
      "\xE6": "ae",
      "\xDE": "Th",
      "\xFE": "th",
      "\xDF": "ss",
      // Latin Extended-A block.
      "\u0100": "A",
      "\u0102": "A",
      "\u0104": "A",
      "\u0101": "a",
      "\u0103": "a",
      "\u0105": "a",
      "\u0106": "C",
      "\u0108": "C",
      "\u010A": "C",
      "\u010C": "C",
      "\u0107": "c",
      "\u0109": "c",
      "\u010B": "c",
      "\u010D": "c",
      "\u010E": "D",
      "\u0110": "D",
      "\u010F": "d",
      "\u0111": "d",
      "\u0112": "E",
      "\u0114": "E",
      "\u0116": "E",
      "\u0118": "E",
      "\u011A": "E",
      "\u0113": "e",
      "\u0115": "e",
      "\u0117": "e",
      "\u0119": "e",
      "\u011B": "e",
      "\u011C": "G",
      "\u011E": "G",
      "\u0120": "G",
      "\u0122": "G",
      "\u011D": "g",
      "\u011F": "g",
      "\u0121": "g",
      "\u0123": "g",
      "\u0124": "H",
      "\u0126": "H",
      "\u0125": "h",
      "\u0127": "h",
      "\u0128": "I",
      "\u012A": "I",
      "\u012C": "I",
      "\u012E": "I",
      "\u0130": "I",
      "\u0129": "i",
      "\u012B": "i",
      "\u012D": "i",
      "\u012F": "i",
      "\u0131": "i",
      "\u0134": "J",
      "\u0135": "j",
      "\u0136": "K",
      "\u0137": "k",
      "\u0138": "k",
      "\u0139": "L",
      "\u013B": "L",
      "\u013D": "L",
      "\u013F": "L",
      "\u0141": "L",
      "\u013A": "l",
      "\u013C": "l",
      "\u013E": "l",
      "\u0140": "l",
      "\u0142": "l",
      "\u0143": "N",
      "\u0145": "N",
      "\u0147": "N",
      "\u014A": "N",
      "\u0144": "n",
      "\u0146": "n",
      "\u0148": "n",
      "\u014B": "n",
      "\u014C": "O",
      "\u014E": "O",
      "\u0150": "O",
      "\u014D": "o",
      "\u014F": "o",
      "\u0151": "o",
      "\u0154": "R",
      "\u0156": "R",
      "\u0158": "R",
      "\u0155": "r",
      "\u0157": "r",
      "\u0159": "r",
      "\u015A": "S",
      "\u015C": "S",
      "\u015E": "S",
      "\u0160": "S",
      "\u015B": "s",
      "\u015D": "s",
      "\u015F": "s",
      "\u0161": "s",
      "\u0162": "T",
      "\u0164": "T",
      "\u0166": "T",
      "\u0163": "t",
      "\u0165": "t",
      "\u0167": "t",
      "\u0168": "U",
      "\u016A": "U",
      "\u016C": "U",
      "\u016E": "U",
      "\u0170": "U",
      "\u0172": "U",
      "\u0169": "u",
      "\u016B": "u",
      "\u016D": "u",
      "\u016F": "u",
      "\u0171": "u",
      "\u0173": "u",
      "\u0174": "W",
      "\u0175": "w",
      "\u0176": "Y",
      "\u0177": "y",
      "\u0178": "Y",
      "\u0179": "Z",
      "\u017B": "Z",
      "\u017D": "Z",
      "\u017A": "z",
      "\u017C": "z",
      "\u017E": "z",
      "\u0132": "IJ",
      "\u0133": "ij",
      "\u0152": "Oe",
      "\u0153": "oe",
      "\u0149": "'n",
      "\u017F": "ss"
    };
    var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
    var freeSelf = typeof self == "object" && self && self.Object === Object && self;
    var root = freeGlobal || freeSelf || Function("return this")();
    function basePropertyOf(object) {
      return function(key) {
        return object == null ? void 0 : object[key];
      };
    }
    var deburrLetter = basePropertyOf(deburredLetters);
    var objectProto = Object.prototype;
    var objectToString = objectProto.toString;
    var Symbol2 = root.Symbol;
    var symbolProto = Symbol2 ? Symbol2.prototype : void 0;
    var symbolToString = symbolProto ? symbolProto.toString : void 0;
    function baseToString(value) {
      if (typeof value == "string") {
        return value;
      }
      if (isSymbol(value)) {
        return symbolToString ? symbolToString.call(value) : "";
      }
      var result = value + "";
      return result == "0" && 1 / value == -INFINITY ? "-0" : result;
    }
    function isObjectLike(value) {
      return !!value && typeof value == "object";
    }
    function isSymbol(value) {
      return typeof value == "symbol" || isObjectLike(value) && objectToString.call(value) == symbolTag;
    }
    function toString(value) {
      return value == null ? "" : baseToString(value);
    }
    function deburr(string) {
      string = toString(string);
      return string && string.replace(reLatin, deburrLetter).replace(reComboMark, "");
    }
    module2.exports = deburr;
  }
});

// ../../node_modules/.pnpm/escape-string-regexp@2.0.0/node_modules/escape-string-regexp/index.js
var require_escape_string_regexp3 = __commonJS({
  "../../node_modules/.pnpm/escape-string-regexp@2.0.0/node_modules/escape-string-regexp/index.js"(exports2, module2) {
    "use strict";
    var matchOperatorsRegex = /[|\\{}()[\]^$+*?.-]/g;
    module2.exports = (string) => {
      if (typeof string !== "string") {
        throw new TypeError("Expected a string");
      }
      return string.replace(matchOperatorsRegex, "\\$&");
    };
  }
});

// ../../node_modules/.pnpm/@sindresorhus+transliterate@0.1.2/node_modules/@sindresorhus/transliterate/replacements.js
var require_replacements = __commonJS({
  "../../node_modules/.pnpm/@sindresorhus+transliterate@0.1.2/node_modules/@sindresorhus/transliterate/replacements.js"(exports2, module2) {
    "use strict";
    module2.exports = [
      // German umlauts
      ["\xDF", "ss"],
      ["\xE4", "ae"],
      ["\xC4", "Ae"],
      ["\xF6", "oe"],
      ["\xD6", "Oe"],
      ["\xFC", "ue"],
      ["\xDC", "Ue"],
      // Latin
      ["\xC0", "A"],
      ["\xC1", "A"],
      ["\xC2", "A"],
      ["\xC3", "A"],
      ["\xC4", "Ae"],
      ["\xC5", "A"],
      ["\xC6", "AE"],
      ["\xC7", "C"],
      ["\xC8", "E"],
      ["\xC9", "E"],
      ["\xCA", "E"],
      ["\xCB", "E"],
      ["\xCC", "I"],
      ["\xCD", "I"],
      ["\xCE", "I"],
      ["\xCF", "I"],
      ["\xD0", "D"],
      ["\xD1", "N"],
      ["\xD2", "O"],
      ["\xD3", "O"],
      ["\xD4", "O"],
      ["\xD5", "O"],
      ["\xD6", "Oe"],
      ["\u0150", "O"],
      ["\xD8", "O"],
      ["\xD9", "U"],
      ["\xDA", "U"],
      ["\xDB", "U"],
      ["\xDC", "Ue"],
      ["\u0170", "U"],
      ["\xDD", "Y"],
      ["\xDE", "TH"],
      ["\xDF", "ss"],
      ["\xE0", "a"],
      ["\xE1", "a"],
      ["\xE2", "a"],
      ["\xE3", "a"],
      ["\xE4", "ae"],
      ["\xE5", "a"],
      ["\xE6", "ae"],
      ["\xE7", "c"],
      ["\xE8", "e"],
      ["\xE9", "e"],
      ["\xEA", "e"],
      ["\xEB", "e"],
      ["\xEC", "i"],
      ["\xED", "i"],
      ["\xEE", "i"],
      ["\xEF", "i"],
      ["\xF0", "d"],
      ["\xF1", "n"],
      ["\xF2", "o"],
      ["\xF3", "o"],
      ["\xF4", "o"],
      ["\xF5", "o"],
      ["\xF6", "oe"],
      ["\u0151", "o"],
      ["\xF8", "o"],
      ["\xF9", "u"],
      ["\xFA", "u"],
      ["\xFB", "u"],
      ["\xFC", "ue"],
      ["\u0171", "u"],
      ["\xFD", "y"],
      ["\xFE", "th"],
      ["\xFF", "y"],
      ["\u1E9E", "SS"],
      // Vietnamese
      ["\xE0", "a"],
      ["\xC0", "A"],
      ["\xE1", "a"],
      ["\xC1", "A"],
      ["\xE2", "a"],
      ["\xC2", "A"],
      ["\xE3", "a"],
      ["\xC3", "A"],
      ["\xE8", "e"],
      ["\xC8", "E"],
      ["\xE9", "e"],
      ["\xC9", "E"],
      ["\xEA", "e"],
      ["\xCA", "E"],
      ["\xEC", "i"],
      ["\xCC", "I"],
      ["\xED", "i"],
      ["\xCD", "I"],
      ["\xF2", "o"],
      ["\xD2", "O"],
      ["\xF3", "o"],
      ["\xD3", "O"],
      ["\xF4", "o"],
      ["\xD4", "O"],
      ["\xF5", "o"],
      ["\xD5", "O"],
      ["\xF9", "u"],
      ["\xD9", "U"],
      ["\xFA", "u"],
      ["\xDA", "U"],
      ["\xFD", "y"],
      ["\xDD", "Y"],
      ["\u0103", "a"],
      ["\u0102", "A"],
      ["\u0110", "D"],
      ["\u0111", "d"],
      ["\u0129", "i"],
      ["\u0128", "I"],
      ["\u0169", "u"],
      ["\u0168", "U"],
      ["\u01A1", "o"],
      ["\u01A0", "O"],
      ["\u01B0", "u"],
      ["\u01AF", "U"],
      ["\u1EA1", "a"],
      ["\u1EA0", "A"],
      ["\u1EA3", "a"],
      ["\u1EA2", "A"],
      ["\u1EA5", "a"],
      ["\u1EA4", "A"],
      ["\u1EA7", "a"],
      ["\u1EA6", "A"],
      ["\u1EA9", "a"],
      ["\u1EA8", "A"],
      ["\u1EAB", "a"],
      ["\u1EAA", "A"],
      ["\u1EAD", "a"],
      ["\u1EAC", "A"],
      ["\u1EAF", "a"],
      ["\u1EAE", "A"],
      ["\u1EB1", "a"],
      ["\u1EB0", "A"],
      ["\u1EB3", "a"],
      ["\u1EB2", "A"],
      ["\u1EB5", "a"],
      ["\u1EB4", "A"],
      ["\u1EB7", "a"],
      ["\u1EB6", "A"],
      ["\u1EB9", "e"],
      ["\u1EB8", "E"],
      ["\u1EBB", "e"],
      ["\u1EBA", "E"],
      ["\u1EBD", "e"],
      ["\u1EBC", "E"],
      ["\u1EBF", "e"],
      ["\u1EBE", "E"],
      ["\u1EC1", "e"],
      ["\u1EC0", "E"],
      ["\u1EC3", "e"],
      ["\u1EC2", "E"],
      ["\u1EC5", "e"],
      ["\u1EC4", "E"],
      ["\u1EC7", "e"],
      ["\u1EC6", "E"],
      ["\u1EC9", "i"],
      ["\u1EC8", "I"],
      ["\u1ECB", "i"],
      ["\u1ECA", "I"],
      ["\u1ECD", "o"],
      ["\u1ECC", "O"],
      ["\u1ECF", "o"],
      ["\u1ECE", "O"],
      ["\u1ED1", "o"],
      ["\u1ED0", "O"],
      ["\u1ED3", "o"],
      ["\u1ED2", "O"],
      ["\u1ED5", "o"],
      ["\u1ED4", "O"],
      ["\u1ED7", "o"],
      ["\u1ED6", "O"],
      ["\u1ED9", "o"],
      ["\u1ED8", "O"],
      ["\u1EDB", "o"],
      ["\u1EDA", "O"],
      ["\u1EDD", "o"],
      ["\u1EDC", "O"],
      ["\u1EDF", "o"],
      ["\u1EDE", "O"],
      ["\u1EE1", "o"],
      ["\u1EE0", "O"],
      ["\u1EE3", "o"],
      ["\u1EE2", "O"],
      ["\u1EE5", "u"],
      ["\u1EE4", "U"],
      ["\u1EE7", "u"],
      ["\u1EE6", "U"],
      ["\u1EE9", "u"],
      ["\u1EE8", "U"],
      ["\u1EEB", "u"],
      ["\u1EEA", "U"],
      ["\u1EED", "u"],
      ["\u1EEC", "U"],
      ["\u1EEF", "u"],
      ["\u1EEE", "U"],
      ["\u1EF1", "u"],
      ["\u1EF0", "U"],
      ["\u1EF3", "y"],
      ["\u1EF2", "Y"],
      ["\u1EF5", "y"],
      ["\u1EF4", "Y"],
      ["\u1EF7", "y"],
      ["\u1EF6", "Y"],
      ["\u1EF9", "y"],
      ["\u1EF8", "Y"],
      // Arabic
      ["\u0621", "e"],
      ["\u0622", "a"],
      ["\u0623", "a"],
      ["\u0624", "w"],
      ["\u0625", "i"],
      ["\u0626", "y"],
      ["\u0627", "a"],
      ["\u0628", "b"],
      ["\u0629", "t"],
      ["\u062A", "t"],
      ["\u062B", "th"],
      ["\u062C", "j"],
      ["\u062D", "h"],
      ["\u062E", "kh"],
      ["\u062F", "d"],
      ["\u0630", "dh"],
      ["\u0631", "r"],
      ["\u0632", "z"],
      ["\u0633", "s"],
      ["\u0634", "sh"],
      ["\u0635", "s"],
      ["\u0636", "d"],
      ["\u0637", "t"],
      ["\u0638", "z"],
      ["\u0639", "e"],
      ["\u063A", "gh"],
      ["\u0640", "_"],
      ["\u0641", "f"],
      ["\u0642", "q"],
      ["\u0643", "k"],
      ["\u0644", "l"],
      ["\u0645", "m"],
      ["\u0646", "n"],
      ["\u0647", "h"],
      ["\u0648", "w"],
      ["\u0649", "a"],
      ["\u064A", "y"],
      ["\u064E\u200E", "a"],
      ["\u064F", "u"],
      ["\u0650\u200E", "i"],
      ["\u0660", "0"],
      ["\u0661", "1"],
      ["\u0662", "2"],
      ["\u0663", "3"],
      ["\u0664", "4"],
      ["\u0665", "5"],
      ["\u0666", "6"],
      ["\u0667", "7"],
      ["\u0668", "8"],
      ["\u0669", "9"],
      // Persian / Farsi
      ["\u0686", "ch"],
      ["\u06A9", "k"],
      ["\u06AF", "g"],
      ["\u067E", "p"],
      ["\u0698", "zh"],
      ["\u06CC", "y"],
      ["\u06F0", "0"],
      ["\u06F1", "1"],
      ["\u06F2", "2"],
      ["\u06F3", "3"],
      ["\u06F4", "4"],
      ["\u06F5", "5"],
      ["\u06F6", "6"],
      ["\u06F7", "7"],
      ["\u06F8", "8"],
      ["\u06F9", "9"],
      // Pashto
      ["\u067C", "p"],
      ["\u0681", "z"],
      ["\u0685", "c"],
      ["\u0689", "d"],
      ["\uFEAB", "d"],
      ["\uFEAD", "r"],
      ["\u0693", "r"],
      ["\uFEAF", "z"],
      ["\u0696", "g"],
      ["\u069A", "x"],
      ["\u06AB", "g"],
      ["\u06BC", "n"],
      ["\u06C0", "e"],
      ["\u06D0", "e"],
      ["\u06CD", "ai"],
      // Urdu
      ["\u0679", "t"],
      ["\u0688", "d"],
      ["\u0691", "r"],
      ["\u06BA", "n"],
      ["\u06C1", "h"],
      ["\u06BE", "h"],
      ["\u06D2", "e"],
      // Russian
      ["\u0410", "A"],
      ["\u0430", "a"],
      ["\u0411", "B"],
      ["\u0431", "b"],
      ["\u0412", "V"],
      ["\u0432", "v"],
      ["\u0413", "G"],
      ["\u0433", "g"],
      ["\u0414", "D"],
      ["\u0434", "d"],
      ["\u0415", "E"],
      ["\u0435", "e"],
      ["\u0416", "Zh"],
      ["\u0436", "zh"],
      ["\u0417", "Z"],
      ["\u0437", "z"],
      ["\u0418", "I"],
      ["\u0438", "i"],
      ["\u0419", "J"],
      ["\u0439", "j"],
      ["\u041A", "K"],
      ["\u043A", "k"],
      ["\u041B", "L"],
      ["\u043B", "l"],
      ["\u041C", "M"],
      ["\u043C", "m"],
      ["\u041D", "N"],
      ["\u043D", "n"],
      ["\u041E", "O"],
      ["\u043E", "o"],
      ["\u041F", "P"],
      ["\u043F", "p"],
      ["\u0420", "R"],
      ["\u0440", "r"],
      ["\u0421", "S"],
      ["\u0441", "s"],
      ["\u0422", "T"],
      ["\u0442", "t"],
      ["\u0423", "U"],
      ["\u0443", "u"],
      ["\u0424", "F"],
      ["\u0444", "f"],
      ["\u0425", "H"],
      ["\u0445", "h"],
      ["\u0426", "Cz"],
      ["\u0446", "cz"],
      ["\u0427", "Ch"],
      ["\u0447", "ch"],
      ["\u0428", "Sh"],
      ["\u0448", "sh"],
      ["\u0429", "Shh"],
      ["\u0449", "shh"],
      ["\u042A", ""],
      ["\u044A", ""],
      ["\u042B", "Y"],
      ["\u044B", "y"],
      ["\u042C", ""],
      ["\u044C", ""],
      ["\u042D", "E"],
      ["\u044D", "e"],
      ["\u042E", "Yu"],
      ["\u044E", "yu"],
      ["\u042F", "Ya"],
      ["\u044F", "ya"],
      ["\u0401", "Yo"],
      ["\u0451", "yo"],
      // Romanian
      ["\u0103", "a"],
      ["\u0102", "A"],
      ["\u0219", "s"],
      ["\u0218", "S"],
      ["\u021B", "t"],
      ["\u021A", "T"],
      ["\u0163", "t"],
      ["\u0162", "T"],
      // Turkish
      ["\u015F", "s"],
      ["\u015E", "S"],
      ["\xE7", "c"],
      ["\xC7", "C"],
      ["\u011F", "g"],
      ["\u011E", "G"],
      ["\u0131", "i"],
      ["\u0130", "I"],
      // Armenian
      ["\u0561", "a"],
      ["\u0531", "A"],
      ["\u0562", "b"],
      ["\u0532", "B"],
      ["\u0563", "g"],
      ["\u0533", "G"],
      ["\u0564", "d"],
      ["\u0534", "D"],
      ["\u0565", "ye"],
      ["\u0535", "Ye"],
      ["\u0566", "z"],
      ["\u0536", "Z"],
      ["\u0567", "e"],
      ["\u0537", "E"],
      ["\u0568", "y"],
      ["\u0538", "Y"],
      ["\u0569", "t"],
      ["\u0539", "T"],
      ["\u056A", "zh"],
      ["\u053A", "Zh"],
      ["\u056B", "i"],
      ["\u053B", "I"],
      ["\u056C", "l"],
      ["\u053C", "L"],
      ["\u056D", "kh"],
      ["\u053D", "Kh"],
      ["\u056E", "ts"],
      ["\u053E", "Ts"],
      ["\u056F", "k"],
      ["\u053F", "K"],
      ["\u0570", "h"],
      ["\u0540", "H"],
      ["\u0571", "dz"],
      ["\u0541", "Dz"],
      ["\u0572", "gh"],
      ["\u0542", "Gh"],
      ["\u0573", "tch"],
      ["\u0543", "Tch"],
      ["\u0574", "m"],
      ["\u0544", "M"],
      ["\u0575", "y"],
      ["\u0545", "Y"],
      ["\u0576", "n"],
      ["\u0546", "N"],
      ["\u0577", "sh"],
      ["\u0547", "Sh"],
      ["\u0578", "vo"],
      ["\u0548", "Vo"],
      ["\u0579", "ch"],
      ["\u0549", "Ch"],
      ["\u057A", "p"],
      ["\u054A", "P"],
      ["\u057B", "j"],
      ["\u054B", "J"],
      ["\u057C", "r"],
      ["\u054C", "R"],
      ["\u057D", "s"],
      ["\u054D", "S"],
      ["\u057E", "v"],
      ["\u054E", "V"],
      ["\u057F", "t"],
      ["\u054F", "T"],
      ["\u0580", "r"],
      ["\u0550", "R"],
      ["\u0581", "c"],
      ["\u0551", "C"],
      ["\u0578\u0582", "u"],
      ["\u0548\u0552", "U"],
      ["\u0548\u0582", "U"],
      ["\u0583", "p"],
      ["\u0553", "P"],
      ["\u0584", "q"],
      ["\u0554", "Q"],
      ["\u0585", "o"],
      ["\u0555", "O"],
      ["\u0586", "f"],
      ["\u0556", "F"],
      ["\u0587", "yev"],
      // Georgian
      ["\u10D0", "a"],
      ["\u10D1", "b"],
      ["\u10D2", "g"],
      ["\u10D3", "d"],
      ["\u10D4", "e"],
      ["\u10D5", "v"],
      ["\u10D6", "z"],
      ["\u10D7", "t"],
      ["\u10D8", "i"],
      ["\u10D9", "k"],
      ["\u10DA", "l"],
      ["\u10DB", "m"],
      ["\u10DC", "n"],
      ["\u10DD", "o"],
      ["\u10DE", "p"],
      ["\u10DF", "zh"],
      ["\u10E0", "r"],
      ["\u10E1", "s"],
      ["\u10E2", "t"],
      ["\u10E3", "u"],
      ["\u10E4", "ph"],
      ["\u10E5", "q"],
      ["\u10E6", "gh"],
      ["\u10E7", "k"],
      ["\u10E8", "sh"],
      ["\u10E9", "ch"],
      ["\u10EA", "ts"],
      ["\u10EB", "dz"],
      ["\u10EC", "ts"],
      ["\u10ED", "tch"],
      ["\u10EE", "kh"],
      ["\u10EF", "j"],
      ["\u10F0", "h"],
      // Czech
      ["\u010D", "c"],
      ["\u010F", "d"],
      ["\u011B", "e"],
      ["\u0148", "n"],
      ["\u0159", "r"],
      ["\u0161", "s"],
      ["\u0165", "t"],
      ["\u016F", "u"],
      ["\u017E", "z"],
      ["\u010C", "C"],
      ["\u010E", "D"],
      ["\u011A", "E"],
      ["\u0147", "N"],
      ["\u0158", "R"],
      ["\u0160", "S"],
      ["\u0164", "T"],
      ["\u016E", "U"],
      ["\u017D", "Z"],
      // Dhivehi
      ["\u0780", "h"],
      ["\u0781", "sh"],
      ["\u0782", "n"],
      ["\u0783", "r"],
      ["\u0784", "b"],
      ["\u0785", "lh"],
      ["\u0786", "k"],
      ["\u0787", "a"],
      ["\u0788", "v"],
      ["\u0789", "m"],
      ["\u078A", "f"],
      ["\u078B", "dh"],
      ["\u078C", "th"],
      ["\u078D", "l"],
      ["\u078E", "g"],
      ["\u078F", "gn"],
      ["\u0790", "s"],
      ["\u0791", "d"],
      ["\u0792", "z"],
      ["\u0793", "t"],
      ["\u0794", "y"],
      ["\u0795", "p"],
      ["\u0796", "j"],
      ["\u0797", "ch"],
      ["\u0798", "tt"],
      ["\u0799", "hh"],
      ["\u079A", "kh"],
      ["\u079B", "th"],
      ["\u079C", "z"],
      ["\u079D", "sh"],
      ["\u079E", "s"],
      ["\u079F", "d"],
      ["\u07A0", "t"],
      ["\u07A1", "z"],
      ["\u07A2", "a"],
      ["\u07A3", "gh"],
      ["\u07A4", "q"],
      ["\u07A5", "w"],
      ["\u07A6", "a"],
      ["\u07A7", "aa"],
      ["\u07A8", "i"],
      ["\u07A9", "ee"],
      ["\u07AA", "u"],
      ["\u07AB", "oo"],
      ["\u07AC", "e"],
      ["\u07AD", "ey"],
      ["\u07AE", "o"],
      ["\u07AF", "oa"],
      ["\u07B0", ""],
      // Greek
      ["\u03B1", "a"],
      ["\u03B2", "v"],
      ["\u03B3", "g"],
      ["\u03B4", "d"],
      ["\u03B5", "e"],
      ["\u03B6", "z"],
      ["\u03B7", "i"],
      ["\u03B8", "th"],
      ["\u03B9", "i"],
      ["\u03BA", "k"],
      ["\u03BB", "l"],
      ["\u03BC", "m"],
      ["\u03BD", "n"],
      ["\u03BE", "ks"],
      ["\u03BF", "o"],
      ["\u03C0", "p"],
      ["\u03C1", "r"],
      ["\u03C3", "s"],
      ["\u03C4", "t"],
      ["\u03C5", "y"],
      ["\u03C6", "f"],
      ["\u03C7", "x"],
      ["\u03C8", "ps"],
      ["\u03C9", "o"],
      ["\u03AC", "a"],
      ["\u03AD", "e"],
      ["\u03AF", "i"],
      ["\u03CC", "o"],
      ["\u03CD", "y"],
      ["\u03AE", "i"],
      ["\u03CE", "o"],
      ["\u03C2", "s"],
      ["\u03CA", "i"],
      ["\u03B0", "y"],
      ["\u03CB", "y"],
      ["\u0390", "i"],
      ["\u0391", "A"],
      ["\u0392", "B"],
      ["\u0393", "G"],
      ["\u0394", "D"],
      ["\u0395", "E"],
      ["\u0396", "Z"],
      ["\u0397", "I"],
      ["\u0398", "TH"],
      ["\u0399", "I"],
      ["\u039A", "K"],
      ["\u039B", "L"],
      ["\u039C", "M"],
      ["\u039D", "N"],
      ["\u039E", "KS"],
      ["\u039F", "O"],
      ["\u03A0", "P"],
      ["\u03A1", "R"],
      ["\u03A3", "S"],
      ["\u03A4", "T"],
      ["\u03A5", "Y"],
      ["\u03A6", "F"],
      ["\u03A7", "X"],
      ["\u03A8", "PS"],
      ["\u03A9", "O"],
      ["\u0386", "A"],
      ["\u0388", "E"],
      ["\u038A", "I"],
      ["\u038C", "O"],
      ["\u038E", "Y"],
      ["\u0389", "I"],
      ["\u038F", "O"],
      ["\u03AA", "I"],
      ["\u03AB", "Y"],
      // Disabled as it conflicts with German and Latin.
      // Hungarian
      // ['ä', 'a'],
      // ['Ä', 'A'],
      // ['ö', 'o'],
      // ['Ö', 'O'],
      // ['ü', 'u'],
      // ['Ü', 'U'],
      // ['ű', 'u'],
      // ['Ű', 'U'],
      // Latvian
      ["\u0101", "a"],
      ["\u0113", "e"],
      ["\u0123", "g"],
      ["\u012B", "i"],
      ["\u0137", "k"],
      ["\u013C", "l"],
      ["\u0146", "n"],
      ["\u016B", "u"],
      ["\u0100", "A"],
      ["\u0112", "E"],
      ["\u0122", "G"],
      ["\u012A", "I"],
      ["\u0136", "K"],
      ["\u013B", "L"],
      ["\u0145", "N"],
      ["\u016A", "U"],
      ["\u010D", "c"],
      ["\u0161", "s"],
      ["\u017E", "z"],
      ["\u010C", "C"],
      ["\u0160", "S"],
      ["\u017D", "Z"],
      // Lithuanian
      ["\u0105", "a"],
      ["\u010D", "c"],
      ["\u0119", "e"],
      ["\u0117", "e"],
      ["\u012F", "i"],
      ["\u0161", "s"],
      ["\u0173", "u"],
      ["\u016B", "u"],
      ["\u017E", "z"],
      ["\u0104", "A"],
      ["\u010C", "C"],
      ["\u0118", "E"],
      ["\u0116", "E"],
      ["\u012E", "I"],
      ["\u0160", "S"],
      ["\u0172", "U"],
      ["\u016A", "U"],
      // Macedonian
      ["\u040C", "Kj"],
      ["\u045C", "kj"],
      ["\u0409", "Lj"],
      ["\u0459", "lj"],
      ["\u040A", "Nj"],
      ["\u045A", "nj"],
      ["\u0422\u0441", "Ts"],
      ["\u0442\u0441", "ts"],
      // Polish
      ["\u0105", "a"],
      ["\u0107", "c"],
      ["\u0119", "e"],
      ["\u0142", "l"],
      ["\u0144", "n"],
      ["\u015B", "s"],
      ["\u017A", "z"],
      ["\u017C", "z"],
      ["\u0104", "A"],
      ["\u0106", "C"],
      ["\u0118", "E"],
      ["\u0141", "L"],
      ["\u0143", "N"],
      ["\u015A", "S"],
      ["\u0179", "Z"],
      ["\u017B", "Z"],
      // Disabled as it conflicts with Vietnamese.
      // Serbian
      // ['љ', 'lj'],
      // ['њ', 'nj'],
      // ['Љ', 'Lj'],
      // ['Њ', 'Nj'],
      // ['đ', 'dj'],
      // ['Đ', 'Dj'],
      // ['ђ', 'dj'],
      // ['ј', 'j'],
      // ['ћ', 'c'],
      // ['џ', 'dz'],
      // ['Ђ', 'Dj'],
      // ['Ј', 'j'],
      // ['Ћ', 'C'],
      // ['Џ', 'Dz'],
      // Disabled as it conflicts with German and Latin.
      // Slovak
      // ['ä', 'a'],
      // ['Ä', 'A'],
      // ['ľ', 'l'],
      // ['ĺ', 'l'],
      // ['ŕ', 'r'],
      // ['Ľ', 'L'],
      // ['Ĺ', 'L'],
      // ['Ŕ', 'R'],
      // Disabled as it conflicts with German and Latin.
      // Swedish
      // ['å', 'o'],
      // ['Å', 'o'],
      // ['ä', 'a'],
      // ['Ä', 'A'],
      // ['ë', 'e'],
      // ['Ë', 'E'],
      // ['ö', 'o'],
      // ['Ö', 'O'],
      // Ukrainian
      ["\u0404", "Ye"],
      ["\u0406", "I"],
      ["\u0407", "Yi"],
      ["\u0490", "G"],
      ["\u0454", "ye"],
      ["\u0456", "i"],
      ["\u0457", "yi"],
      ["\u0491", "g"]
      // Danish
      // ['Æ', 'Ae'],
      // ['Ø', 'Oe'],
      // ['Å', 'Aa'],
      // ['æ', 'ae'],
      // ['ø', 'oe'],
      // ['å', 'aa']
    ];
  }
});

// ../../node_modules/.pnpm/@sindresorhus+transliterate@0.1.2/node_modules/@sindresorhus/transliterate/index.js
var require_transliterate = __commonJS({
  "../../node_modules/.pnpm/@sindresorhus+transliterate@0.1.2/node_modules/@sindresorhus/transliterate/index.js"(exports2, module2) {
    "use strict";
    var deburr = require_lodash6();
    var escapeStringRegexp = require_escape_string_regexp3();
    var builtinReplacements = require_replacements();
    var doCustomReplacements = (string, replacements) => {
      for (const [key, value] of replacements) {
        string = string.replace(new RegExp(escapeStringRegexp(key), "g"), value);
      }
      return string;
    };
    module2.exports = (string, options2) => {
      if (typeof string !== "string") {
        throw new TypeError(`Expected a string, got \`${typeof string}\``);
      }
      options2 = {
        customReplacements: [],
        ...options2
      };
      const customReplacements = new Map([
        ...builtinReplacements,
        ...options2.customReplacements
      ]);
      string = string.normalize();
      string = doCustomReplacements(string, customReplacements);
      string = deburr(string);
      return string;
    };
  }
});

// ../../node_modules/.pnpm/@sindresorhus+slugify@1.1.2/node_modules/@sindresorhus/slugify/overridable-replacements.js
var require_overridable_replacements = __commonJS({
  "../../node_modules/.pnpm/@sindresorhus+slugify@1.1.2/node_modules/@sindresorhus/slugify/overridable-replacements.js"(exports2, module2) {
    "use strict";
    module2.exports = [
      ["&", " and "],
      ["\u{1F984}", " unicorn "],
      ["\u2665", " love "]
    ];
  }
});

// ../../node_modules/.pnpm/@sindresorhus+slugify@1.1.2/node_modules/@sindresorhus/slugify/index.js
var require_slugify = __commonJS({
  "../../node_modules/.pnpm/@sindresorhus+slugify@1.1.2/node_modules/@sindresorhus/slugify/index.js"(exports2, module2) {
    "use strict";
    var escapeStringRegexp = require_escape_string_regexp2();
    var transliterate = require_transliterate();
    var builtinOverridableReplacements = require_overridable_replacements();
    var decamelize = (string) => {
      return string.replace(/([A-Z]{2,})(\d+)/g, "$1 $2").replace(/([a-z\d]+)([A-Z]{2,})/g, "$1 $2").replace(/([a-z\d])([A-Z])/g, "$1 $2").replace(/([A-Z]+)([A-Z][a-z\d]+)/g, "$1 $2");
    };
    var removeMootSeparators = (string, separator) => {
      const escapedSeparator = escapeStringRegexp(separator);
      return string.replace(new RegExp(`${escapedSeparator}{2,}`, "g"), separator).replace(new RegExp(`^${escapedSeparator}|${escapedSeparator}$`, "g"), "");
    };
    var slugify3 = (string, options2) => {
      if (typeof string !== "string") {
        throw new TypeError(`Expected a string, got \`${typeof string}\``);
      }
      options2 = {
        separator: "-",
        lowercase: true,
        decamelize: true,
        customReplacements: [],
        preserveLeadingUnderscore: false,
        ...options2
      };
      const shouldPrependUnderscore = options2.preserveLeadingUnderscore && string.startsWith("_");
      const customReplacements = new Map([
        ...builtinOverridableReplacements,
        ...options2.customReplacements
      ]);
      string = transliterate(string, { customReplacements });
      if (options2.decamelize) {
        string = decamelize(string);
      }
      let patternSlug = /[^a-zA-Z\d]+/g;
      if (options2.lowercase) {
        string = string.toLowerCase();
        patternSlug = /[^a-z\d]+/g;
      }
      string = string.replace(patternSlug, options2.separator);
      string = string.replace(/\\/g, "");
      if (options2.separator) {
        string = removeMootSeparators(string, options2.separator);
      }
      if (shouldPrependUnderscore) {
        string = `_${string}`;
      }
      return string;
    };
    var counter = () => {
      const occurrences = /* @__PURE__ */ new Map();
      const countable = (string, options2) => {
        string = slugify3(string, options2);
        if (!string) {
          return "";
        }
        const stringLower = string.toLowerCase();
        const numberless = occurrences.get(stringLower.replace(/(?:-\d+?)+?$/, "")) || 0;
        const counter2 = occurrences.get(stringLower);
        occurrences.set(stringLower, typeof counter2 === "number" ? counter2 + 1 : 1);
        const newCounter = occurrences.get(stringLower) || 2;
        if (newCounter >= 2 || numberless > 2) {
          string = `${string}-${newCounter}`;
        }
        return string;
      };
      countable.reset = () => {
        occurrences.clear();
      };
      return countable;
    };
    module2.exports = slugify3;
    module2.exports.counter = counter;
  }
});

// package.json
var require_package5 = __commonJS({
  "package.json"(exports2, module2) {
    module2.exports = {
      version: "5.3.0-integration-chore-upgrade-esm-deps.1",
      name: "prisma",
      description: "Prisma is an open-source database toolkit. It includes a JavaScript/TypeScript ORM for Node.js, migrations and a modern GUI to view and edit the data in your database. You can use Prisma in new projects or add it to an existing one.",
      keywords: [
        "orm",
        "prisma2",
        "prisma",
        "cli",
        "database",
        "sql",
        "postgresql",
        "mysql",
        "sqlite",
        "mariadb",
        "mssql",
        "typescript",
        "query-builder"
      ],
      main: "build/index.js",
      repository: {
        type: "git",
        url: "https://github.com/prisma/prisma.git",
        directory: "packages/cli"
      },
      homepage: "https://www.prisma.io",
      author: "Tim Suchanek <suchanek@prisma.io>",
      bugs: "https://github.com/prisma/prisma/issues",
      license: "Apache-2.0",
      engines: {
        node: ">=16.13"
      },
      prisma: {
        prismaCommit: "ebeb4cddc160b62225cdb57b7c45289b8c6a406d"
      },
      files: [
        "README.md",
        "build",
        "install",
        "runtime/*.js",
        "runtime/*.d.ts",
        "runtime/utils",
        "runtime/dist",
        "runtime/llhttp",
        "prisma-client",
        "preinstall",
        "scripts/preinstall-entry.js"
      ],
      pkg: {
        assets: [
          "build/**/*",
          "runtime/**/*",
          "prisma-client/**/*",
          "node_modules/@prisma/engines/**/*",
          "node_modules/@prisma/engines/*"
        ]
      },
      bin: {
        prisma: "build/index.js"
      },
      devDependencies: {
        "@prisma/client": "workspace:*",
        "@prisma/debug": "workspace:*",
        "@prisma/fetch-engine": "workspace:*",
        "@prisma/generator-helper": "workspace:*",
        "@prisma/get-platform": "workspace:*",
        "@prisma/internals": "workspace:*",
        "@prisma/migrate": "workspace:*",
        "@prisma/mini-proxy": "0.9.4",
        "@prisma/studio": "0.494.0",
        "@prisma/studio-server": "0.494.0",
        "@swc/core": "1.3.75",
        "@swc/jest": "0.2.29",
        "@types/debug": "4.1.8",
        "@types/fs-extra": "9.0.13",
        "@types/jest": "29.5.4",
        "@types/rimraf": "3.0.2",
        "checkpoint-client": "1.1.27",
        debug: "4.3.4",
        dotenv: "16.0.3",
        esbuild: "0.19.2",
        execa: "5.1.1",
        "fast-glob": "3.3.1",
        "fs-extra": "11.1.1",
        "fs-jetpack": "5.1.0",
        "get-port": "5.1.1",
        "global-dirs": "3.0.1",
        jest: "29.6.3",
        "jest-junit": "16.0.0",
        kleur: "4.1.5",
        "line-replace": "2.0.1",
        "log-update": "4.0.0",
        "node-fetch": "2.6.12",
        "npm-packlist": "5.1.3",
        open: "7.4.2",
        "pkg-up": "3.1.0",
        "resolve-pkg": "2.0.0",
        rimraf: "3.0.2",
        "strip-ansi": "6.0.1",
        "ts-pattern": "4.3.0",
        typescript: "4.9.5",
        zx: "7.2.3"
      },
      scripts: {
        dev: "DEV=true node -r esbuild-register helpers/build.ts",
        build: "node -r esbuild-register helpers/build.ts",
        test: "node -r esbuild-register helpers/run-tests.ts",
        tsc: "tsc -d -p tsconfig.build.json",
        preinstall: "node scripts/preinstall-entry.js",
        prepublishOnly: "pnpm run build"
      },
      dependencies: {
        "@prisma/engines": "workspace:*"
      },
      sideEffects: false
    };
  }
});

// ../../node_modules/.pnpm/resolve-from@5.0.0/node_modules/resolve-from/index.js
var require_resolve_from = __commonJS({
  "../../node_modules/.pnpm/resolve-from@5.0.0/node_modules/resolve-from/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var Module2 = require("module");
    var fs42 = require("fs");
    var resolveFrom = (fromDirectory, moduleId, silent) => {
      if (typeof fromDirectory !== "string") {
        throw new TypeError(`Expected \`fromDir\` to be of type \`string\`, got \`${typeof fromDirectory}\``);
      }
      if (typeof moduleId !== "string") {
        throw new TypeError(`Expected \`moduleId\` to be of type \`string\`, got \`${typeof moduleId}\``);
      }
      try {
        fromDirectory = fs42.realpathSync(fromDirectory);
      } catch (error2) {
        if (error2.code === "ENOENT") {
          fromDirectory = path39.resolve(fromDirectory);
        } else if (silent) {
          return;
        } else {
          throw error2;
        }
      }
      const fromFile = path39.join(fromDirectory, "noop.js");
      const resolveFileName = () => Module2._resolveFilename(moduleId, {
        id: fromFile,
        filename: fromFile,
        paths: Module2._nodeModulePaths(fromDirectory)
      });
      if (silent) {
        try {
          return resolveFileName();
        } catch (error2) {
          return;
        }
      }
      return resolveFileName();
    };
    module2.exports = (fromDirectory, moduleId) => resolveFrom(fromDirectory, moduleId);
    module2.exports.silent = (fromDirectory, moduleId) => resolveFrom(fromDirectory, moduleId, true);
  }
});

// ../../node_modules/.pnpm/resolve-pkg@2.0.0/node_modules/resolve-pkg/index.js
var require_resolve_pkg = __commonJS({
  "../../node_modules/.pnpm/resolve-pkg@2.0.0/node_modules/resolve-pkg/index.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var resolveFrom = require_resolve_from();
    module2.exports = (moduleId, options2 = {}) => {
      const parts = moduleId.replace(/\\/g, "/").split("/");
      let packageName = "";
      if (parts.length > 0 && parts[0][0] === "@") {
        packageName += parts.shift() + "/";
      }
      packageName += parts.shift();
      const packageJson6 = path39.join(packageName, "package.json");
      const resolved = resolveFrom.silent(options2.cwd || process.cwd(), packageJson6);
      if (!resolved) {
        return;
      }
      return path39.join(path39.dirname(resolved), parts.join("/"));
    };
  }
});

// ../../node_modules/.pnpm/object-assign@4.1.1/node_modules/object-assign/index.js
var require_object_assign = __commonJS({
  "../../node_modules/.pnpm/object-assign@4.1.1/node_modules/object-assign/index.js"(exports2, module2) {
    "use strict";
    var getOwnPropertySymbols = Object.getOwnPropertySymbols;
    var hasOwnProperty3 = Object.prototype.hasOwnProperty;
    var propIsEnumerable = Object.prototype.propertyIsEnumerable;
    function toObject(val) {
      if (val === null || val === void 0) {
        throw new TypeError("Object.assign cannot be called with null or undefined");
      }
      return Object(val);
    }
    function shouldUseNative() {
      try {
        if (!Object.assign) {
          return false;
        }
        var test1 = new String("abc");
        test1[5] = "de";
        if (Object.getOwnPropertyNames(test1)[0] === "5") {
          return false;
        }
        var test2 = {};
        for (var i4 = 0; i4 < 10; i4++) {
          test2["_" + String.fromCharCode(i4)] = i4;
        }
        var order2 = Object.getOwnPropertyNames(test2).map(function(n2) {
          return test2[n2];
        });
        if (order2.join("") !== "0123456789") {
          return false;
        }
        var test3 = {};
        "abcdefghijklmnopqrst".split("").forEach(function(letter) {
          test3[letter] = letter;
        });
        if (Object.keys(Object.assign({}, test3)).join("") !== "abcdefghijklmnopqrst") {
          return false;
        }
        return true;
      } catch (err) {
        return false;
      }
    }
    module2.exports = shouldUseNative() ? Object.assign : function(target, source) {
      var from;
      var to2 = toObject(target);
      var symbols2;
      for (var s3 = 1; s3 < arguments.length; s3++) {
        from = Object(arguments[s3]);
        for (var key in from) {
          if (hasOwnProperty3.call(from, key)) {
            to2[key] = from[key];
          }
        }
        if (getOwnPropertySymbols) {
          symbols2 = getOwnPropertySymbols(from);
          for (var i4 = 0; i4 < symbols2.length; i4++) {
            if (propIsEnumerable.call(from, symbols2[i4])) {
              to2[symbols2[i4]] = from[symbols2[i4]];
            }
          }
        }
      }
      return to2;
    };
  }
});

// ../../node_modules/.pnpm/vary@1.1.2/node_modules/vary/index.js
var require_vary = __commonJS({
  "../../node_modules/.pnpm/vary@1.1.2/node_modules/vary/index.js"(exports2, module2) {
    "use strict";
    module2.exports = vary;
    module2.exports.append = append;
    var FIELD_NAME_REGEXP = /^[!#$%&'*+\-.^_`|~0-9A-Za-z]+$/;
    function append(header, field) {
      if (typeof header !== "string") {
        throw new TypeError("header argument is required");
      }
      if (!field) {
        throw new TypeError("field argument is required");
      }
      var fields = !Array.isArray(field) ? parse3(String(field)) : field;
      for (var j2 = 0; j2 < fields.length; j2++) {
        if (!FIELD_NAME_REGEXP.test(fields[j2])) {
          throw new TypeError("field argument contains an invalid header name");
        }
      }
      if (header === "*") {
        return header;
      }
      var val = header;
      var vals = parse3(header.toLowerCase());
      if (fields.indexOf("*") !== -1 || vals.indexOf("*") !== -1) {
        return "*";
      }
      for (var i4 = 0; i4 < fields.length; i4++) {
        var fld = fields[i4].toLowerCase();
        if (vals.indexOf(fld) === -1) {
          vals.push(fld);
          val = val ? val + ", " + fields[i4] : fields[i4];
        }
      }
      return val;
    }
    function parse3(header) {
      var end = 0;
      var list = [];
      var start = 0;
      for (var i4 = 0, len = header.length; i4 < len; i4++) {
        switch (header.charCodeAt(i4)) {
          case 32:
            if (start === end) {
              start = end = i4 + 1;
            }
            break;
          case 44:
            list.push(header.substring(start, end));
            start = end = i4 + 1;
            break;
          default:
            end = i4 + 1;
            break;
        }
      }
      list.push(header.substring(start, end));
      return list;
    }
    function vary(res, field) {
      if (!res || !res.getHeader || !res.setHeader) {
        throw new TypeError("res argument is required");
      }
      var val = res.getHeader("Vary") || "";
      var header = Array.isArray(val) ? val.join(", ") : String(val);
      if (val = append(header, field)) {
        res.setHeader("Vary", val);
      }
    }
  }
});

// ../../node_modules/.pnpm/cors@2.8.5/node_modules/cors/lib/index.js
var require_lib8 = __commonJS({
  "../../node_modules/.pnpm/cors@2.8.5/node_modules/cors/lib/index.js"(exports2, module2) {
    "use strict";
    (function() {
      "use strict";
      var assign = require_object_assign();
      var vary = require_vary();
      var defaults = {
        origin: "*",
        methods: "GET,HEAD,PUT,PATCH,POST,DELETE",
        preflightContinue: false,
        optionsSuccessStatus: 204
      };
      function isString(s3) {
        return typeof s3 === "string" || s3 instanceof String;
      }
      function isOriginAllowed(origin, allowedOrigin) {
        if (Array.isArray(allowedOrigin)) {
          for (var i4 = 0; i4 < allowedOrigin.length; ++i4) {
            if (isOriginAllowed(origin, allowedOrigin[i4])) {
              return true;
            }
          }
          return false;
        } else if (isString(allowedOrigin)) {
          return origin === allowedOrigin;
        } else if (allowedOrigin instanceof RegExp) {
          return allowedOrigin.test(origin);
        } else {
          return !!allowedOrigin;
        }
      }
      function configureOrigin(options2, req) {
        var requestOrigin = req.headers.origin, headers = [], isAllowed;
        if (!options2.origin || options2.origin === "*") {
          headers.push([{
            key: "Access-Control-Allow-Origin",
            value: "*"
          }]);
        } else if (isString(options2.origin)) {
          headers.push([{
            key: "Access-Control-Allow-Origin",
            value: options2.origin
          }]);
          headers.push([{
            key: "Vary",
            value: "Origin"
          }]);
        } else {
          isAllowed = isOriginAllowed(requestOrigin, options2.origin);
          headers.push([{
            key: "Access-Control-Allow-Origin",
            value: isAllowed ? requestOrigin : false
          }]);
          headers.push([{
            key: "Vary",
            value: "Origin"
          }]);
        }
        return headers;
      }
      function configureMethods(options2) {
        var methods = options2.methods;
        if (methods.join) {
          methods = options2.methods.join(",");
        }
        return {
          key: "Access-Control-Allow-Methods",
          value: methods
        };
      }
      function configureCredentials(options2) {
        if (options2.credentials === true) {
          return {
            key: "Access-Control-Allow-Credentials",
            value: "true"
          };
        }
        return null;
      }
      function configureAllowedHeaders(options2, req) {
        var allowedHeaders = options2.allowedHeaders || options2.headers;
        var headers = [];
        if (!allowedHeaders) {
          allowedHeaders = req.headers["access-control-request-headers"];
          headers.push([{
            key: "Vary",
            value: "Access-Control-Request-Headers"
          }]);
        } else if (allowedHeaders.join) {
          allowedHeaders = allowedHeaders.join(",");
        }
        if (allowedHeaders && allowedHeaders.length) {
          headers.push([{
            key: "Access-Control-Allow-Headers",
            value: allowedHeaders
          }]);
        }
        return headers;
      }
      function configureExposedHeaders(options2) {
        var headers = options2.exposedHeaders;
        if (!headers) {
          return null;
        } else if (headers.join) {
          headers = headers.join(",");
        }
        if (headers && headers.length) {
          return {
            key: "Access-Control-Expose-Headers",
            value: headers
          };
        }
        return null;
      }
      function configureMaxAge(options2) {
        var maxAge = (typeof options2.maxAge === "number" || options2.maxAge) && options2.maxAge.toString();
        if (maxAge && maxAge.length) {
          return {
            key: "Access-Control-Max-Age",
            value: maxAge
          };
        }
        return null;
      }
      function applyHeaders(headers, res) {
        for (var i4 = 0, n2 = headers.length; i4 < n2; i4++) {
          var header = headers[i4];
          if (header) {
            if (Array.isArray(header)) {
              applyHeaders(header, res);
            } else if (header.key === "Vary" && header.value) {
              vary(res, header.value);
            } else if (header.value) {
              res.setHeader(header.key, header.value);
            }
          }
        }
      }
      function cors(options2, req, res, next) {
        var headers = [], method = req.method && req.method.toUpperCase && req.method.toUpperCase();
        if (method === "OPTIONS") {
          headers.push(configureOrigin(options2, req));
          headers.push(configureCredentials(options2, req));
          headers.push(configureMethods(options2, req));
          headers.push(configureAllowedHeaders(options2, req));
          headers.push(configureMaxAge(options2, req));
          headers.push(configureExposedHeaders(options2, req));
          applyHeaders(headers, res);
          if (options2.preflightContinue) {
            next();
          } else {
            res.statusCode = options2.optionsSuccessStatus;
            res.setHeader("Content-Length", "0");
            res.end();
          }
        } else {
          headers.push(configureOrigin(options2, req));
          headers.push(configureCredentials(options2, req));
          headers.push(configureExposedHeaders(options2, req));
          applyHeaders(headers, res);
          next();
        }
      }
      function middlewareWrapper(o2) {
        var optionsCallback = null;
        if (typeof o2 === "function") {
          optionsCallback = o2;
        } else {
          optionsCallback = function(req, cb2) {
            cb2(null, o2);
          };
        }
        return function corsMiddleware(req, res, next) {
          optionsCallback(req, function(err, options2) {
            if (err) {
              next(err);
            } else {
              var corsOptions = assign({}, defaults, options2);
              var originCallback = null;
              if (corsOptions.origin && typeof corsOptions.origin === "function") {
                originCallback = corsOptions.origin;
              } else if (corsOptions.origin) {
                originCallback = function(origin, cb2) {
                  cb2(null, corsOptions.origin);
                };
              }
              if (originCallback) {
                originCallback(req.headers.origin, function(err2, origin) {
                  if (err2 || !origin) {
                    next(err2);
                  } else {
                    corsOptions.origin = origin;
                    cors(corsOptions, req, res, next);
                  }
                });
              } else {
                next();
              }
            }
          });
        };
      }
      module2.exports = middlewareWrapper;
    })();
  }
});

// ../../node_modules/.pnpm/depd@1.1.2/node_modules/depd/lib/compat/callsite-tostring.js
var require_callsite_tostring = __commonJS({
  "../../node_modules/.pnpm/depd@1.1.2/node_modules/depd/lib/compat/callsite-tostring.js"(exports2, module2) {
    "use strict";
    module2.exports = callSiteToString2;
    function callSiteFileLocation(callSite) {
      var fileName;
      var fileLocation = "";
      if (callSite.isNative()) {
        fileLocation = "native";
      } else if (callSite.isEval()) {
        fileName = callSite.getScriptNameOrSourceURL();
        if (!fileName) {
          fileLocation = callSite.getEvalOrigin();
        }
      } else {
        fileName = callSite.getFileName();
      }
      if (fileName) {
        fileLocation += fileName;
        var lineNumber = callSite.getLineNumber();
        if (lineNumber != null) {
          fileLocation += ":" + lineNumber;
          var columnNumber = callSite.getColumnNumber();
          if (columnNumber) {
            fileLocation += ":" + columnNumber;
          }
        }
      }
      return fileLocation || "unknown source";
    }
    function callSiteToString2(callSite) {
      var addSuffix = true;
      var fileLocation = callSiteFileLocation(callSite);
      var functionName = callSite.getFunctionName();
      var isConstructor = callSite.isConstructor();
      var isMethodCall = !(callSite.isToplevel() || isConstructor);
      var line = "";
      if (isMethodCall) {
        var methodName = callSite.getMethodName();
        var typeName = getConstructorName(callSite);
        if (functionName) {
          if (typeName && functionName.indexOf(typeName) !== 0) {
            line += typeName + ".";
          }
          line += functionName;
          if (methodName && functionName.lastIndexOf("." + methodName) !== functionName.length - methodName.length - 1) {
            line += " [as " + methodName + "]";
          }
        } else {
          line += typeName + "." + (methodName || "<anonymous>");
        }
      } else if (isConstructor) {
        line += "new " + (functionName || "<anonymous>");
      } else if (functionName) {
        line += functionName;
      } else {
        addSuffix = false;
        line += fileLocation;
      }
      if (addSuffix) {
        line += " (" + fileLocation + ")";
      }
      return line;
    }
    function getConstructorName(obj) {
      var receiver = obj.receiver;
      return receiver.constructor && receiver.constructor.name || null;
    }
  }
});

// ../../node_modules/.pnpm/depd@1.1.2/node_modules/depd/lib/compat/event-listener-count.js
var require_event_listener_count = __commonJS({
  "../../node_modules/.pnpm/depd@1.1.2/node_modules/depd/lib/compat/event-listener-count.js"(exports2, module2) {
    "use strict";
    module2.exports = eventListenerCount2;
    function eventListenerCount2(emitter, type) {
      return emitter.listeners(type).length;
    }
  }
});

// ../../node_modules/.pnpm/depd@1.1.2/node_modules/depd/lib/compat/index.js
var require_compat = __commonJS({
  "../../node_modules/.pnpm/depd@1.1.2/node_modules/depd/lib/compat/index.js"(exports2, module2) {
    "use strict";
    var EventEmitter2 = require("events").EventEmitter;
    lazyProperty(module2.exports, "callSiteToString", function callSiteToString2() {
      var limit = Error.stackTraceLimit;
      var obj = {};
      var prep = Error.prepareStackTrace;
      function prepareObjectStackTrace2(obj2, stack3) {
        return stack3;
      }
      Error.prepareStackTrace = prepareObjectStackTrace2;
      Error.stackTraceLimit = 2;
      Error.captureStackTrace(obj);
      var stack2 = obj.stack.slice();
      Error.prepareStackTrace = prep;
      Error.stackTraceLimit = limit;
      return stack2[0].toString ? toString : require_callsite_tostring();
    });
    lazyProperty(module2.exports, "eventListenerCount", function eventListenerCount2() {
      return EventEmitter2.listenerCount || require_event_listener_count();
    });
    function lazyProperty(obj, prop, getter) {
      function get() {
        var val = getter();
        Object.defineProperty(obj, prop, {
          configurable: true,
          enumerable: true,
          value: val
        });
        return val;
      }
      Object.defineProperty(obj, prop, {
        configurable: true,
        enumerable: true,
        get
      });
    }
    function toString(obj) {
      return obj.toString();
    }
  }
});

// ../../node_modules/.pnpm/depd@1.1.2/node_modules/depd/index.js
var require_depd = __commonJS({
  "../../node_modules/.pnpm/depd@1.1.2/node_modules/depd/index.js"(exports, module) {
    "use strict";
    var callSiteToString = require_compat().callSiteToString;
    var eventListenerCount = require_compat().eventListenerCount;
    var relative = require("path").relative;
    module.exports = depd;
    var basePath = process.cwd();
    function containsNamespace(str, namespace) {
      var vals = str.split(/[ ,]+/);
      var ns = String(namespace).toLowerCase();
      for (var i4 = 0; i4 < vals.length; i4++) {
        var val = vals[i4];
        if (val && (val === "*" || val.toLowerCase() === ns)) {
          return true;
        }
      }
      return false;
    }
    function convertDataDescriptorToAccessor(obj, prop, message2) {
      var descriptor = Object.getOwnPropertyDescriptor(obj, prop);
      var value = descriptor.value;
      descriptor.get = function getter() {
        return value;
      };
      if (descriptor.writable) {
        descriptor.set = function setter(val) {
          return value = val;
        };
      }
      delete descriptor.value;
      delete descriptor.writable;
      Object.defineProperty(obj, prop, descriptor);
      return descriptor;
    }
    function createArgumentsString(arity) {
      var str = "";
      for (var i4 = 0; i4 < arity; i4++) {
        str += ", arg" + i4;
      }
      return str.substr(2);
    }
    function createStackString(stack2) {
      var str = this.name + ": " + this.namespace;
      if (this.message) {
        str += " deprecated " + this.message;
      }
      for (var i4 = 0; i4 < stack2.length; i4++) {
        str += "\n    at " + callSiteToString(stack2[i4]);
      }
      return str;
    }
    function depd(namespace) {
      if (!namespace) {
        throw new TypeError("argument namespace is required");
      }
      var stack2 = getStack();
      var site2 = callSiteLocation(stack2[1]);
      var file2 = site2[0];
      function deprecate2(message2) {
        log.call(deprecate2, message2);
      }
      deprecate2._file = file2;
      deprecate2._ignored = isignored(namespace);
      deprecate2._namespace = namespace;
      deprecate2._traced = istraced(namespace);
      deprecate2._warned = /* @__PURE__ */ Object.create(null);
      deprecate2.function = wrapfunction;
      deprecate2.property = wrapproperty;
      return deprecate2;
    }
    function isignored(namespace) {
      if (process.noDeprecation) {
        return true;
      }
      var str = process.env.NO_DEPRECATION || "";
      return containsNamespace(str, namespace);
    }
    function istraced(namespace) {
      if (process.traceDeprecation) {
        return true;
      }
      var str = process.env.TRACE_DEPRECATION || "";
      return containsNamespace(str, namespace);
    }
    function log(message2, site2) {
      var haslisteners = eventListenerCount(process, "deprecation") !== 0;
      if (!haslisteners && this._ignored) {
        return;
      }
      var caller;
      var callFile;
      var callSite;
      var depSite;
      var i4 = 0;
      var seen = false;
      var stack2 = getStack();
      var file2 = this._file;
      if (site2) {
        depSite = site2;
        callSite = callSiteLocation(stack2[1]);
        callSite.name = depSite.name;
        file2 = callSite[0];
      } else {
        i4 = 2;
        depSite = callSiteLocation(stack2[i4]);
        callSite = depSite;
      }
      for (; i4 < stack2.length; i4++) {
        caller = callSiteLocation(stack2[i4]);
        callFile = caller[0];
        if (callFile === file2) {
          seen = true;
        } else if (callFile === this._file) {
          file2 = this._file;
        } else if (seen) {
          break;
        }
      }
      var key = caller ? depSite.join(":") + "__" + caller.join(":") : void 0;
      if (key !== void 0 && key in this._warned) {
        return;
      }
      this._warned[key] = true;
      var msg = message2;
      if (!msg) {
        msg = callSite === depSite || !callSite.name ? defaultMessage(depSite) : defaultMessage(callSite);
      }
      if (haslisteners) {
        var err = DeprecationError(this._namespace, msg, stack2.slice(i4));
        process.emit("deprecation", err);
        return;
      }
      var format3 = process.stderr.isTTY ? formatColor : formatPlain;
      var output = format3.call(this, msg, caller, stack2.slice(i4));
      process.stderr.write(output + "\n", "utf8");
    }
    function callSiteLocation(callSite) {
      var file2 = callSite.getFileName() || "<anonymous>";
      var line = callSite.getLineNumber();
      var colm = callSite.getColumnNumber();
      if (callSite.isEval()) {
        file2 = callSite.getEvalOrigin() + ", " + file2;
      }
      var site2 = [file2, line, colm];
      site2.callSite = callSite;
      site2.name = callSite.getFunctionName();
      return site2;
    }
    function defaultMessage(site2) {
      var callSite = site2.callSite;
      var funcName = site2.name;
      if (!funcName) {
        funcName = "<anonymous@" + formatLocation(site2) + ">";
      }
      var context = callSite.getThis();
      var typeName = context && callSite.getTypeName();
      if (typeName === "Object") {
        typeName = void 0;
      }
      if (typeName === "Function") {
        typeName = context.name || typeName;
      }
      return typeName && callSite.getMethodName() ? typeName + "." + funcName : funcName;
    }
    function formatPlain(msg, caller, stack2) {
      var timestamp = (/* @__PURE__ */ new Date()).toUTCString();
      var formatted = timestamp + " " + this._namespace + " deprecated " + msg;
      if (this._traced) {
        for (var i4 = 0; i4 < stack2.length; i4++) {
          formatted += "\n    at " + callSiteToString(stack2[i4]);
        }
        return formatted;
      }
      if (caller) {
        formatted += " at " + formatLocation(caller);
      }
      return formatted;
    }
    function formatColor(msg, caller, stack2) {
      var formatted = "\x1B[36;1m" + this._namespace + "\x1B[22;39m \x1B[33;1mdeprecated\x1B[22;39m \x1B[0m" + msg + "\x1B[39m";
      if (this._traced) {
        for (var i4 = 0; i4 < stack2.length; i4++) {
          formatted += "\n    \x1B[36mat " + callSiteToString(stack2[i4]) + "\x1B[39m";
        }
        return formatted;
      }
      if (caller) {
        formatted += " \x1B[36m" + formatLocation(caller) + "\x1B[39m";
      }
      return formatted;
    }
    function formatLocation(callSite) {
      return relative(basePath, callSite[0]) + ":" + callSite[1] + ":" + callSite[2];
    }
    function getStack() {
      var limit = Error.stackTraceLimit;
      var obj = {};
      var prep = Error.prepareStackTrace;
      Error.prepareStackTrace = prepareObjectStackTrace;
      Error.stackTraceLimit = Math.max(10, limit);
      Error.captureStackTrace(obj);
      var stack2 = obj.stack.slice(1);
      Error.prepareStackTrace = prep;
      Error.stackTraceLimit = limit;
      return stack2;
    }
    function prepareObjectStackTrace(obj, stack2) {
      return stack2;
    }
    function wrapfunction(fn, message) {
      if (typeof fn !== "function") {
        throw new TypeError("argument fn must be a function");
      }
      var args = createArgumentsString(fn.length);
      var deprecate = this;
      var stack = getStack();
      var site = callSiteLocation(stack[1]);
      site.name = fn.name;
      var deprecatedfn = eval("(function (" + args + ') {\n"use strict"\nlog.call(deprecate, message, site)\nreturn fn.apply(this, arguments)\n})');
      return deprecatedfn;
    }
    function wrapproperty(obj, prop, message2) {
      if (!obj || typeof obj !== "object" && typeof obj !== "function") {
        throw new TypeError("argument obj must be object");
      }
      var descriptor = Object.getOwnPropertyDescriptor(obj, prop);
      if (!descriptor) {
        throw new TypeError("must call property on owner object");
      }
      if (!descriptor.configurable) {
        throw new TypeError("property must be configurable");
      }
      var deprecate2 = this;
      var stack2 = getStack();
      var site2 = callSiteLocation(stack2[1]);
      site2.name = prop;
      if ("value" in descriptor) {
        descriptor = convertDataDescriptorToAccessor(obj, prop, message2);
      }
      var get = descriptor.get;
      var set = descriptor.set;
      if (typeof get === "function") {
        descriptor.get = function getter() {
          log.call(deprecate2, message2, site2);
          return get.apply(this, arguments);
        };
      }
      if (typeof set === "function") {
        descriptor.set = function setter() {
          log.call(deprecate2, message2, site2);
          return set.apply(this, arguments);
        };
      }
      Object.defineProperty(obj, prop, descriptor);
    }
    function DeprecationError(namespace, message2, stack2) {
      var error2 = new Error();
      var stackString;
      Object.defineProperty(error2, "constructor", {
        value: DeprecationError
      });
      Object.defineProperty(error2, "message", {
        configurable: true,
        enumerable: false,
        value: message2,
        writable: true
      });
      Object.defineProperty(error2, "name", {
        enumerable: false,
        configurable: true,
        value: "DeprecationError",
        writable: true
      });
      Object.defineProperty(error2, "namespace", {
        configurable: true,
        enumerable: false,
        value: namespace,
        writable: true
      });
      Object.defineProperty(error2, "stack", {
        configurable: true,
        enumerable: false,
        get: function() {
          if (stackString !== void 0) {
            return stackString;
          }
          return stackString = createStackString.call(this, stack2);
        },
        set: function setter(val) {
          stackString = val;
        }
      });
      return error2;
    }
  }
});

// ../../node_modules/.pnpm/bytes@3.1.1/node_modules/bytes/index.js
var require_bytes = __commonJS({
  "../../node_modules/.pnpm/bytes@3.1.1/node_modules/bytes/index.js"(exports2, module2) {
    "use strict";
    module2.exports = bytes;
    module2.exports.format = format3;
    module2.exports.parse = parse3;
    var formatThousandsRegExp = /\B(?=(\d{3})+(?!\d))/g;
    var formatDecimalsRegExp = /(?:\.0*|(\.[^0]+)0+)$/;
    var map8 = {
      b: 1,
      kb: 1 << 10,
      mb: 1 << 20,
      gb: 1 << 30,
      tb: Math.pow(1024, 4),
      pb: Math.pow(1024, 5)
    };
    var parseRegExp = /^((-|\+)?(\d+(?:\.\d+)?)) *(kb|mb|gb|tb|pb)$/i;
    function bytes(value, options2) {
      if (typeof value === "string") {
        return parse3(value);
      }
      if (typeof value === "number") {
        return format3(value, options2);
      }
      return null;
    }
    function format3(value, options2) {
      if (!Number.isFinite(value)) {
        return null;
      }
      var mag = Math.abs(value);
      var thousandsSeparator = options2 && options2.thousandsSeparator || "";
      var unitSeparator = options2 && options2.unitSeparator || "";
      var decimalPlaces = options2 && options2.decimalPlaces !== void 0 ? options2.decimalPlaces : 2;
      var fixedDecimals = Boolean(options2 && options2.fixedDecimals);
      var unit = options2 && options2.unit || "";
      if (!unit || !map8[unit.toLowerCase()]) {
        if (mag >= map8.pb) {
          unit = "PB";
        } else if (mag >= map8.tb) {
          unit = "TB";
        } else if (mag >= map8.gb) {
          unit = "GB";
        } else if (mag >= map8.mb) {
          unit = "MB";
        } else if (mag >= map8.kb) {
          unit = "KB";
        } else {
          unit = "B";
        }
      }
      var val = value / map8[unit.toLowerCase()];
      var str = val.toFixed(decimalPlaces);
      if (!fixedDecimals) {
        str = str.replace(formatDecimalsRegExp, "$1");
      }
      if (thousandsSeparator) {
        str = str.split(".").map(function(s3, i4) {
          return i4 === 0 ? s3.replace(formatThousandsRegExp, thousandsSeparator) : s3;
        }).join(".");
      }
      return str + unitSeparator + unit;
    }
    function parse3(val) {
      if (typeof val === "number" && !isNaN(val)) {
        return val;
      }
      if (typeof val !== "string") {
        return null;
      }
      var results = parseRegExp.exec(val);
      var floatValue;
      var unit = "b";
      if (!results) {
        floatValue = parseInt(val, 10);
        unit = "b";
      } else {
        floatValue = parseFloat(results[1]);
        unit = results[4].toLowerCase();
      }
      return Math.floor(map8[unit] * floatValue);
    }
  }
});

// ../../node_modules/.pnpm/content-type@1.0.5/node_modules/content-type/index.js
var require_content_type = __commonJS({
  "../../node_modules/.pnpm/content-type@1.0.5/node_modules/content-type/index.js"(exports2) {
    "use strict";
    var PARAM_REGEXP = /; *([!#$%&'*+.^_`|~0-9A-Za-z-]+) *= *("(?:[\u000b\u0020\u0021\u0023-\u005b\u005d-\u007e\u0080-\u00ff]|\\[\u000b\u0020-\u00ff])*"|[!#$%&'*+.^_`|~0-9A-Za-z-]+) */g;
    var TEXT_REGEXP = /^[\u000b\u0020-\u007e\u0080-\u00ff]+$/;
    var TOKEN_REGEXP = /^[!#$%&'*+.^_`|~0-9A-Za-z-]+$/;
    var QESC_REGEXP = /\\([\u000b\u0020-\u00ff])/g;
    var QUOTE_REGEXP = /([\\"])/g;
    var TYPE_REGEXP = /^[!#$%&'*+.^_`|~0-9A-Za-z-]+\/[!#$%&'*+.^_`|~0-9A-Za-z-]+$/;
    exports2.format = format3;
    exports2.parse = parse3;
    function format3(obj) {
      if (!obj || typeof obj !== "object") {
        throw new TypeError("argument obj is required");
      }
      var parameters = obj.parameters;
      var type = obj.type;
      if (!type || !TYPE_REGEXP.test(type)) {
        throw new TypeError("invalid type");
      }
      var string = type;
      if (parameters && typeof parameters === "object") {
        var param;
        var params = Object.keys(parameters).sort();
        for (var i4 = 0; i4 < params.length; i4++) {
          param = params[i4];
          if (!TOKEN_REGEXP.test(param)) {
            throw new TypeError("invalid parameter name");
          }
          string += "; " + param + "=" + qstring(parameters[param]);
        }
      }
      return string;
    }
    function parse3(string) {
      if (!string) {
        throw new TypeError("argument string is required");
      }
      var header = typeof string === "object" ? getcontenttype(string) : string;
      if (typeof header !== "string") {
        throw new TypeError("argument string is required to be a string");
      }
      var index2 = header.indexOf(";");
      var type = index2 !== -1 ? header.slice(0, index2).trim() : header.trim();
      if (!TYPE_REGEXP.test(type)) {
        throw new TypeError("invalid media type");
      }
      var obj = new ContentType(type.toLowerCase());
      if (index2 !== -1) {
        var key;
        var match4;
        var value;
        PARAM_REGEXP.lastIndex = index2;
        while (match4 = PARAM_REGEXP.exec(header)) {
          if (match4.index !== index2) {
            throw new TypeError("invalid parameter format");
          }
          index2 += match4[0].length;
          key = match4[1].toLowerCase();
          value = match4[2];
          if (value.charCodeAt(0) === 34) {
            value = value.slice(1, -1);
            if (value.indexOf("\\") !== -1) {
              value = value.replace(QESC_REGEXP, "$1");
            }
          }
          obj.parameters[key] = value;
        }
        if (index2 !== header.length) {
          throw new TypeError("invalid parameter format");
        }
      }
      return obj;
    }
    function getcontenttype(obj) {
      var header;
      if (typeof obj.getHeader === "function") {
        header = obj.getHeader("content-type");
      } else if (typeof obj.headers === "object") {
        header = obj.headers && obj.headers["content-type"];
      }
      if (typeof header !== "string") {
        throw new TypeError("content-type header is missing from object");
      }
      return header;
    }
    function qstring(val) {
      var str = String(val);
      if (TOKEN_REGEXP.test(str)) {
        return str;
      }
      if (str.length > 0 && !TEXT_REGEXP.test(str)) {
        throw new TypeError("invalid parameter value");
      }
      return '"' + str.replace(QUOTE_REGEXP, "\\$1") + '"';
    }
    function ContentType(type) {
      this.parameters = /* @__PURE__ */ Object.create(null);
      this.type = type;
    }
  }
});

// ../../node_modules/.pnpm/setprototypeof@1.2.0/node_modules/setprototypeof/index.js
var require_setprototypeof = __commonJS({
  "../../node_modules/.pnpm/setprototypeof@1.2.0/node_modules/setprototypeof/index.js"(exports2, module2) {
    "use strict";
    module2.exports = Object.setPrototypeOf || ({ __proto__: [] } instanceof Array ? setProtoOf : mixinProperties);
    function setProtoOf(obj, proto) {
      obj.__proto__ = proto;
      return obj;
    }
    function mixinProperties(obj, proto) {
      for (var prop in proto) {
        if (!Object.prototype.hasOwnProperty.call(obj, prop)) {
          obj[prop] = proto[prop];
        }
      }
      return obj;
    }
  }
});

// ../../node_modules/.pnpm/statuses@1.5.0/node_modules/statuses/codes.json
var require_codes = __commonJS({
  "../../node_modules/.pnpm/statuses@1.5.0/node_modules/statuses/codes.json"(exports2, module2) {
    module2.exports = {
      "100": "Continue",
      "101": "Switching Protocols",
      "102": "Processing",
      "103": "Early Hints",
      "200": "OK",
      "201": "Created",
      "202": "Accepted",
      "203": "Non-Authoritative Information",
      "204": "No Content",
      "205": "Reset Content",
      "206": "Partial Content",
      "207": "Multi-Status",
      "208": "Already Reported",
      "226": "IM Used",
      "300": "Multiple Choices",
      "301": "Moved Permanently",
      "302": "Found",
      "303": "See Other",
      "304": "Not Modified",
      "305": "Use Proxy",
      "306": "(Unused)",
      "307": "Temporary Redirect",
      "308": "Permanent Redirect",
      "400": "Bad Request",
      "401": "Unauthorized",
      "402": "Payment Required",
      "403": "Forbidden",
      "404": "Not Found",
      "405": "Method Not Allowed",
      "406": "Not Acceptable",
      "407": "Proxy Authentication Required",
      "408": "Request Timeout",
      "409": "Conflict",
      "410": "Gone",
      "411": "Length Required",
      "412": "Precondition Failed",
      "413": "Payload Too Large",
      "414": "URI Too Long",
      "415": "Unsupported Media Type",
      "416": "Range Not Satisfiable",
      "417": "Expectation Failed",
      "418": "I'm a teapot",
      "421": "Misdirected Request",
      "422": "Unprocessable Entity",
      "423": "Locked",
      "424": "Failed Dependency",
      "425": "Unordered Collection",
      "426": "Upgrade Required",
      "428": "Precondition Required",
      "429": "Too Many Requests",
      "431": "Request Header Fields Too Large",
      "451": "Unavailable For Legal Reasons",
      "500": "Internal Server Error",
      "501": "Not Implemented",
      "502": "Bad Gateway",
      "503": "Service Unavailable",
      "504": "Gateway Timeout",
      "505": "HTTP Version Not Supported",
      "506": "Variant Also Negotiates",
      "507": "Insufficient Storage",
      "508": "Loop Detected",
      "509": "Bandwidth Limit Exceeded",
      "510": "Not Extended",
      "511": "Network Authentication Required"
    };
  }
});

// ../../node_modules/.pnpm/statuses@1.5.0/node_modules/statuses/index.js
var require_statuses = __commonJS({
  "../../node_modules/.pnpm/statuses@1.5.0/node_modules/statuses/index.js"(exports2, module2) {
    "use strict";
    var codes = require_codes();
    module2.exports = status;
    status.STATUS_CODES = codes;
    status.codes = populateStatusesMap(status, codes);
    status.redirect = {
      300: true,
      301: true,
      302: true,
      303: true,
      305: true,
      307: true,
      308: true
    };
    status.empty = {
      204: true,
      205: true,
      304: true
    };
    status.retry = {
      502: true,
      503: true,
      504: true
    };
    function populateStatusesMap(statuses, codes2) {
      var arr = [];
      Object.keys(codes2).forEach(function forEachCode(code) {
        var message2 = codes2[code];
        var status2 = Number(code);
        statuses[status2] = message2;
        statuses[message2] = status2;
        statuses[message2.toLowerCase()] = status2;
        arr.push(status2);
      });
      return arr;
    }
    function status(code) {
      if (typeof code === "number") {
        if (!status[code])
          throw new Error("invalid status code: " + code);
        return code;
      }
      if (typeof code !== "string") {
        throw new TypeError("code must be a number or string");
      }
      var n2 = parseInt(code, 10);
      if (!isNaN(n2)) {
        if (!status[n2])
          throw new Error("invalid status code: " + n2);
        return n2;
      }
      n2 = status[code.toLowerCase()];
      if (!n2)
        throw new Error('invalid status message: "' + code + '"');
      return n2;
    }
  }
});

// ../../node_modules/.pnpm/toidentifier@1.0.1/node_modules/toidentifier/index.js
var require_toidentifier = __commonJS({
  "../../node_modules/.pnpm/toidentifier@1.0.1/node_modules/toidentifier/index.js"(exports2, module2) {
    "use strict";
    module2.exports = toIdentifier;
    function toIdentifier(str) {
      return str.split(" ").map(function(token) {
        return token.slice(0, 1).toUpperCase() + token.slice(1);
      }).join("").replace(/[^ _0-9a-z]/gi, "");
    }
  }
});

// ../../node_modules/.pnpm/http-errors@1.8.1/node_modules/http-errors/index.js
var require_http_errors = __commonJS({
  "../../node_modules/.pnpm/http-errors@1.8.1/node_modules/http-errors/index.js"(exports2, module2) {
    "use strict";
    var deprecate2 = require_depd()("http-errors");
    var setPrototypeOf = require_setprototypeof();
    var statuses = require_statuses();
    var inherits = require_inherits();
    var toIdentifier = require_toidentifier();
    module2.exports = createError;
    module2.exports.HttpError = createHttpErrorConstructor();
    module2.exports.isHttpError = createIsHttpErrorFunction(module2.exports.HttpError);
    populateConstructorExports(module2.exports, statuses.codes, module2.exports.HttpError);
    function codeClass(status) {
      return Number(String(status).charAt(0) + "00");
    }
    function createError() {
      var err;
      var msg;
      var status = 500;
      var props = {};
      for (var i4 = 0; i4 < arguments.length; i4++) {
        var arg3 = arguments[i4];
        if (arg3 instanceof Error) {
          err = arg3;
          status = err.status || err.statusCode || status;
          continue;
        }
        switch (typeof arg3) {
          case "string":
            msg = arg3;
            break;
          case "number":
            status = arg3;
            if (i4 !== 0) {
              deprecate2("non-first-argument status code; replace with createError(" + arg3 + ", ...)");
            }
            break;
          case "object":
            props = arg3;
            break;
        }
      }
      if (typeof status === "number" && (status < 400 || status >= 600)) {
        deprecate2("non-error status code; use only 4xx or 5xx status codes");
      }
      if (typeof status !== "number" || !statuses[status] && (status < 400 || status >= 600)) {
        status = 500;
      }
      var HttpError = createError[status] || createError[codeClass(status)];
      if (!err) {
        err = HttpError ? new HttpError(msg) : new Error(msg || statuses[status]);
        Error.captureStackTrace(err, createError);
      }
      if (!HttpError || !(err instanceof HttpError) || err.status !== status) {
        err.expose = status < 500;
        err.status = err.statusCode = status;
      }
      for (var key in props) {
        if (key !== "status" && key !== "statusCode") {
          err[key] = props[key];
        }
      }
      return err;
    }
    function createHttpErrorConstructor() {
      function HttpError() {
        throw new TypeError("cannot construct abstract class");
      }
      inherits(HttpError, Error);
      return HttpError;
    }
    function createClientErrorConstructor(HttpError, name, code) {
      var className = toClassName(name);
      function ClientError(message2) {
        var msg = message2 != null ? message2 : statuses[code];
        var err = new Error(msg);
        Error.captureStackTrace(err, ClientError);
        setPrototypeOf(err, ClientError.prototype);
        Object.defineProperty(err, "message", {
          enumerable: true,
          configurable: true,
          value: msg,
          writable: true
        });
        Object.defineProperty(err, "name", {
          enumerable: false,
          configurable: true,
          value: className,
          writable: true
        });
        return err;
      }
      inherits(ClientError, HttpError);
      nameFunc(ClientError, className);
      ClientError.prototype.status = code;
      ClientError.prototype.statusCode = code;
      ClientError.prototype.expose = true;
      return ClientError;
    }
    function createIsHttpErrorFunction(HttpError) {
      return function isHttpError(val) {
        if (!val || typeof val !== "object") {
          return false;
        }
        if (val instanceof HttpError) {
          return true;
        }
        return val instanceof Error && typeof val.expose === "boolean" && typeof val.statusCode === "number" && val.status === val.statusCode;
      };
    }
    function createServerErrorConstructor(HttpError, name, code) {
      var className = toClassName(name);
      function ServerError(message2) {
        var msg = message2 != null ? message2 : statuses[code];
        var err = new Error(msg);
        Error.captureStackTrace(err, ServerError);
        setPrototypeOf(err, ServerError.prototype);
        Object.defineProperty(err, "message", {
          enumerable: true,
          configurable: true,
          value: msg,
          writable: true
        });
        Object.defineProperty(err, "name", {
          enumerable: false,
          configurable: true,
          value: className,
          writable: true
        });
        return err;
      }
      inherits(ServerError, HttpError);
      nameFunc(ServerError, className);
      ServerError.prototype.status = code;
      ServerError.prototype.statusCode = code;
      ServerError.prototype.expose = false;
      return ServerError;
    }
    function nameFunc(func, name) {
      var desc = Object.getOwnPropertyDescriptor(func, "name");
      if (desc && desc.configurable) {
        desc.value = name;
        Object.defineProperty(func, "name", desc);
      }
    }
    function populateConstructorExports(exports3, codes, HttpError) {
      codes.forEach(function forEachCode(code) {
        var CodeError;
        var name = toIdentifier(statuses[code]);
        switch (codeClass(code)) {
          case 400:
            CodeError = createClientErrorConstructor(HttpError, name, code);
            break;
          case 500:
            CodeError = createServerErrorConstructor(HttpError, name, code);
            break;
        }
        if (CodeError) {
          exports3[code] = CodeError;
          exports3[name] = CodeError;
        }
      });
      exports3["I'mateapot"] = deprecate2.function(
        exports3.ImATeapot,
        `"I'mateapot"; use "ImATeapot" instead`
      );
    }
    function toClassName(name) {
      return name.substr(-5) !== "Error" ? name + "Error" : name;
    }
  }
});

// ../../node_modules/.pnpm/ms@2.0.0/node_modules/ms/index.js
var require_ms2 = __commonJS({
  "../../node_modules/.pnpm/ms@2.0.0/node_modules/ms/index.js"(exports2, module2) {
    "use strict";
    var s3 = 1e3;
    var m3 = s3 * 60;
    var h3 = m3 * 60;
    var d3 = h3 * 24;
    var y3 = d3 * 365.25;
    module2.exports = function(val, options2) {
      options2 = options2 || {};
      var type = typeof val;
      if (type === "string" && val.length > 0) {
        return parse3(val);
      } else if (type === "number" && isNaN(val) === false) {
        return options2.long ? fmtLong2(val) : fmtShort2(val);
      }
      throw new Error(
        "val is not a non-empty string or a valid number. val=" + JSON.stringify(val)
      );
    };
    function parse3(str) {
      str = String(str);
      if (str.length > 100) {
        return;
      }
      var match4 = /^((?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|years?|yrs?|y)?$/i.exec(
        str
      );
      if (!match4) {
        return;
      }
      var n2 = parseFloat(match4[1]);
      var type = (match4[2] || "ms").toLowerCase();
      switch (type) {
        case "years":
        case "year":
        case "yrs":
        case "yr":
        case "y":
          return n2 * y3;
        case "days":
        case "day":
        case "d":
          return n2 * d3;
        case "hours":
        case "hour":
        case "hrs":
        case "hr":
        case "h":
          return n2 * h3;
        case "minutes":
        case "minute":
        case "mins":
        case "min":
        case "m":
          return n2 * m3;
        case "seconds":
        case "second":
        case "secs":
        case "sec":
        case "s":
          return n2 * s3;
        case "milliseconds":
        case "millisecond":
        case "msecs":
        case "msec":
        case "ms":
          return n2;
        default:
          return void 0;
      }
    }
    function fmtShort2(ms2) {
      if (ms2 >= d3) {
        return Math.round(ms2 / d3) + "d";
      }
      if (ms2 >= h3) {
        return Math.round(ms2 / h3) + "h";
      }
      if (ms2 >= m3) {
        return Math.round(ms2 / m3) + "m";
      }
      if (ms2 >= s3) {
        return Math.round(ms2 / s3) + "s";
      }
      return ms2 + "ms";
    }
    function fmtLong2(ms2) {
      return plural2(ms2, d3, "day") || plural2(ms2, h3, "hour") || plural2(ms2, m3, "minute") || plural2(ms2, s3, "second") || ms2 + " ms";
    }
    function plural2(ms2, n2, name) {
      if (ms2 < n2) {
        return;
      }
      if (ms2 < n2 * 1.5) {
        return Math.floor(ms2 / n2) + " " + name;
      }
      return Math.ceil(ms2 / n2) + " " + name + "s";
    }
  }
});

// ../../node_modules/.pnpm/debug@2.6.9/node_modules/debug/src/debug.js
var require_debug = __commonJS({
  "../../node_modules/.pnpm/debug@2.6.9/node_modules/debug/src/debug.js"(exports2, module2) {
    "use strict";
    exports2 = module2.exports = createDebug.debug = createDebug["default"] = createDebug;
    exports2.coerce = coerce;
    exports2.disable = disable;
    exports2.enable = enable;
    exports2.enabled = enabled;
    exports2.humanize = require_ms2();
    exports2.names = [];
    exports2.skips = [];
    exports2.formatters = {};
    var prevTime;
    function selectColor(namespace) {
      var hash = 0, i4;
      for (i4 in namespace) {
        hash = (hash << 5) - hash + namespace.charCodeAt(i4);
        hash |= 0;
      }
      return exports2.colors[Math.abs(hash) % exports2.colors.length];
    }
    function createDebug(namespace) {
      function debug30() {
        if (!debug30.enabled)
          return;
        var self2 = debug30;
        var curr = +/* @__PURE__ */ new Date();
        var ms2 = curr - (prevTime || curr);
        self2.diff = ms2;
        self2.prev = prevTime;
        self2.curr = curr;
        prevTime = curr;
        var args3 = new Array(arguments.length);
        for (var i4 = 0; i4 < args3.length; i4++) {
          args3[i4] = arguments[i4];
        }
        args3[0] = exports2.coerce(args3[0]);
        if ("string" !== typeof args3[0]) {
          args3.unshift("%O");
        }
        var index2 = 0;
        args3[0] = args3[0].replace(/%([a-zA-Z%])/g, function(match4, format3) {
          if (match4 === "%%")
            return match4;
          index2++;
          var formatter = exports2.formatters[format3];
          if ("function" === typeof formatter) {
            var val = args3[index2];
            match4 = formatter.call(self2, val);
            args3.splice(index2, 1);
            index2--;
          }
          return match4;
        });
        exports2.formatArgs.call(self2, args3);
        var logFn = debug30.log || exports2.log || console.log.bind(console);
        logFn.apply(self2, args3);
      }
      debug30.namespace = namespace;
      debug30.enabled = exports2.enabled(namespace);
      debug30.useColors = exports2.useColors();
      debug30.color = selectColor(namespace);
      if ("function" === typeof exports2.init) {
        exports2.init(debug30);
      }
      return debug30;
    }
    function enable(namespaces) {
      exports2.save(namespaces);
      exports2.names = [];
      exports2.skips = [];
      var split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
      var len = split.length;
      for (var i4 = 0; i4 < len; i4++) {
        if (!split[i4])
          continue;
        namespaces = split[i4].replace(/\*/g, ".*?");
        if (namespaces[0] === "-") {
          exports2.skips.push(new RegExp("^" + namespaces.substr(1) + "$"));
        } else {
          exports2.names.push(new RegExp("^" + namespaces + "$"));
        }
      }
    }
    function disable() {
      exports2.enable("");
    }
    function enabled(name) {
      var i4, len;
      for (i4 = 0, len = exports2.skips.length; i4 < len; i4++) {
        if (exports2.skips[i4].test(name)) {
          return false;
        }
      }
      for (i4 = 0, len = exports2.names.length; i4 < len; i4++) {
        if (exports2.names[i4].test(name)) {
          return true;
        }
      }
      return false;
    }
    function coerce(val) {
      if (val instanceof Error)
        return val.stack || val.message;
      return val;
    }
  }
});

// ../../node_modules/.pnpm/debug@2.6.9/node_modules/debug/src/browser.js
var require_browser2 = __commonJS({
  "../../node_modules/.pnpm/debug@2.6.9/node_modules/debug/src/browser.js"(exports2, module2) {
    "use strict";
    exports2 = module2.exports = require_debug();
    exports2.log = log4;
    exports2.formatArgs = formatArgs;
    exports2.save = save;
    exports2.load = load2;
    exports2.useColors = useColors;
    exports2.storage = "undefined" != typeof chrome && "undefined" != typeof chrome.storage ? chrome.storage.local : localstorage();
    exports2.colors = [
      "lightseagreen",
      "forestgreen",
      "goldenrod",
      "dodgerblue",
      "darkorchid",
      "crimson"
    ];
    function useColors() {
      if (typeof window !== "undefined" && window.process && window.process.type === "renderer") {
        return true;
      }
      return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || // is firebug? http://stackoverflow.com/a/398120/376773
      typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || // is firefox >= v31?
      // https://developer.mozilla.org/en-US/docs/Tools/Web_Console#Styling_messages
      typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || // double check webkit in userAgent just in case we are in a worker
      typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
    }
    exports2.formatters.j = function(v2) {
      try {
        return JSON.stringify(v2);
      } catch (err) {
        return "[UnexpectedJSONParseError]: " + err.message;
      }
    };
    function formatArgs(args3) {
      var useColors2 = this.useColors;
      args3[0] = (useColors2 ? "%c" : "") + this.namespace + (useColors2 ? " %c" : " ") + args3[0] + (useColors2 ? "%c " : " ") + "+" + exports2.humanize(this.diff);
      if (!useColors2)
        return;
      var c4 = "color: " + this.color;
      args3.splice(1, 0, c4, "color: inherit");
      var index2 = 0;
      var lastC = 0;
      args3[0].replace(/%[a-zA-Z%]/g, function(match4) {
        if ("%%" === match4)
          return;
        index2++;
        if ("%c" === match4) {
          lastC = index2;
        }
      });
      args3.splice(lastC, 0, c4);
    }
    function log4() {
      return "object" === typeof console && console.log && Function.prototype.apply.call(console.log, console, arguments);
    }
    function save(namespaces) {
      try {
        if (null == namespaces) {
          exports2.storage.removeItem("debug");
        } else {
          exports2.storage.debug = namespaces;
        }
      } catch (e3) {
      }
    }
    function load2() {
      var r2;
      try {
        r2 = exports2.storage.debug;
      } catch (e3) {
      }
      if (!r2 && typeof process !== "undefined" && "env" in process) {
        r2 = process.env.DEBUG;
      }
      return r2;
    }
    exports2.enable(load2());
    function localstorage() {
      try {
        return window.localStorage;
      } catch (e3) {
      }
    }
  }
});

// ../../node_modules/.pnpm/debug@2.6.9/node_modules/debug/src/node.js
var require_node3 = __commonJS({
  "../../node_modules/.pnpm/debug@2.6.9/node_modules/debug/src/node.js"(exports2, module2) {
    "use strict";
    var tty2 = require("tty");
    var util4 = require("util");
    exports2 = module2.exports = require_debug();
    exports2.init = init3;
    exports2.log = log4;
    exports2.formatArgs = formatArgs;
    exports2.save = save;
    exports2.load = load2;
    exports2.useColors = useColors;
    exports2.colors = [6, 2, 3, 4, 5, 1];
    exports2.inspectOpts = Object.keys(process.env).filter(function(key) {
      return /^debug_/i.test(key);
    }).reduce(function(obj, key) {
      var prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, function(_3, k) {
        return k.toUpperCase();
      });
      var val = process.env[key];
      if (/^(yes|on|true|enabled)$/i.test(val))
        val = true;
      else if (/^(no|off|false|disabled)$/i.test(val))
        val = false;
      else if (val === "null")
        val = null;
      else
        val = Number(val);
      obj[prop] = val;
      return obj;
    }, {});
    var fd = parseInt(process.env.DEBUG_FD, 10) || 2;
    if (1 !== fd && 2 !== fd) {
      util4.deprecate(function() {
      }, "except for stderr(2) and stdout(1), any other usage of DEBUG_FD is deprecated. Override debug.log if you want to use a different log function (https://git.io/debug_fd)")();
    }
    var stream4 = 1 === fd ? process.stdout : 2 === fd ? process.stderr : createWritableStdioStream(fd);
    function useColors() {
      return "colors" in exports2.inspectOpts ? Boolean(exports2.inspectOpts.colors) : tty2.isatty(fd);
    }
    exports2.formatters.o = function(v2) {
      this.inspectOpts.colors = this.useColors;
      return util4.inspect(v2, this.inspectOpts).split("\n").map(function(str) {
        return str.trim();
      }).join(" ");
    };
    exports2.formatters.O = function(v2) {
      this.inspectOpts.colors = this.useColors;
      return util4.inspect(v2, this.inspectOpts);
    };
    function formatArgs(args3) {
      var name = this.namespace;
      var useColors2 = this.useColors;
      if (useColors2) {
        var c4 = this.color;
        var prefix = "  \x1B[3" + c4 + ";1m" + name + " \x1B[0m";
        args3[0] = prefix + args3[0].split("\n").join("\n" + prefix);
        args3.push("\x1B[3" + c4 + "m+" + exports2.humanize(this.diff) + "\x1B[0m");
      } else {
        args3[0] = (/* @__PURE__ */ new Date()).toUTCString() + " " + name + " " + args3[0];
      }
    }
    function log4() {
      return stream4.write(util4.format.apply(util4, arguments) + "\n");
    }
    function save(namespaces) {
      if (null == namespaces) {
        delete process.env.DEBUG;
      } else {
        process.env.DEBUG = namespaces;
      }
    }
    function load2() {
      return process.env.DEBUG;
    }
    function createWritableStdioStream(fd2) {
      var stream5;
      var tty_wrap = process.binding("tty_wrap");
      switch (tty_wrap.guessHandleType(fd2)) {
        case "TTY":
          stream5 = new tty2.WriteStream(fd2);
          stream5._type = "tty";
          if (stream5._handle && stream5._handle.unref) {
            stream5._handle.unref();
          }
          break;
        case "FILE":
          var fs42 = require("fs");
          stream5 = new fs42.SyncWriteStream(fd2, { autoClose: false });
          stream5._type = "fs";
          break;
        case "PIPE":
        case "TCP":
          var net = require("net");
          stream5 = new net.Socket({
            fd: fd2,
            readable: false,
            writable: true
          });
          stream5.readable = false;
          stream5.read = null;
          stream5._type = "pipe";
          if (stream5._handle && stream5._handle.unref) {
            stream5._handle.unref();
          }
          break;
        default:
          throw new Error("Implement me. Unknown stream file type!");
      }
      stream5.fd = fd2;
      stream5._isStdio = true;
      return stream5;
    }
    function init3(debug30) {
      debug30.inspectOpts = {};
      var keys = Object.keys(exports2.inspectOpts);
      for (var i4 = 0; i4 < keys.length; i4++) {
        debug30.inspectOpts[keys[i4]] = exports2.inspectOpts[keys[i4]];
      }
    }
    exports2.enable(load2());
  }
});

// ../../node_modules/.pnpm/debug@2.6.9/node_modules/debug/src/index.js
var require_src4 = __commonJS({
  "../../node_modules/.pnpm/debug@2.6.9/node_modules/debug/src/index.js"(exports2, module2) {
    "use strict";
    if (typeof process !== "undefined" && process.type === "renderer") {
      module2.exports = require_browser2();
    } else {
      module2.exports = require_node3();
    }
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/lib/bom-handling.js
var require_bom_handling2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/lib/bom-handling.js"(exports2) {
    "use strict";
    var BOMChar = "\uFEFF";
    exports2.PrependBOM = PrependBOMWrapper;
    function PrependBOMWrapper(encoder, options2) {
      this.encoder = encoder;
      this.addBOM = true;
    }
    PrependBOMWrapper.prototype.write = function(str) {
      if (this.addBOM) {
        str = BOMChar + str;
        this.addBOM = false;
      }
      return this.encoder.write(str);
    };
    PrependBOMWrapper.prototype.end = function() {
      return this.encoder.end();
    };
    exports2.StripBOM = StripBOMWrapper;
    function StripBOMWrapper(decoder, options2) {
      this.decoder = decoder;
      this.pass = false;
      this.options = options2 || {};
    }
    StripBOMWrapper.prototype.write = function(buf) {
      var res = this.decoder.write(buf);
      if (this.pass || !res)
        return res;
      if (res[0] === BOMChar) {
        res = res.slice(1);
        if (typeof this.options.stripBOM === "function")
          this.options.stripBOM();
      }
      this.pass = true;
      return res;
    };
    StripBOMWrapper.prototype.end = function() {
      return this.decoder.end();
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/internal.js
var require_internal3 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/internal.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    module2.exports = {
      // Encodings
      utf8: { type: "_internal", bomAware: true },
      cesu8: { type: "_internal", bomAware: true },
      unicode11utf8: "utf8",
      ucs2: { type: "_internal", bomAware: true },
      utf16le: "ucs2",
      binary: { type: "_internal" },
      base64: { type: "_internal" },
      hex: { type: "_internal" },
      // Codec.
      _internal: InternalCodec
    };
    function InternalCodec(codecOptions, iconv) {
      this.enc = codecOptions.encodingName;
      this.bomAware = codecOptions.bomAware;
      if (this.enc === "base64")
        this.encoder = InternalEncoderBase64;
      else if (this.enc === "cesu8") {
        this.enc = "utf8";
        this.encoder = InternalEncoderCesu8;
        if (Buffer2.from("eda0bdedb2a9", "hex").toString() !== "\u{1F4A9}") {
          this.decoder = InternalDecoderCesu8;
          this.defaultCharUnicode = iconv.defaultCharUnicode;
        }
      }
    }
    InternalCodec.prototype.encoder = InternalEncoder;
    InternalCodec.prototype.decoder = InternalDecoder;
    var StringDecoder = require("string_decoder").StringDecoder;
    if (!StringDecoder.prototype.end)
      StringDecoder.prototype.end = function() {
      };
    function InternalDecoder(options2, codec) {
      StringDecoder.call(this, codec.enc);
    }
    InternalDecoder.prototype = StringDecoder.prototype;
    function InternalEncoder(options2, codec) {
      this.enc = codec.enc;
    }
    InternalEncoder.prototype.write = function(str) {
      return Buffer2.from(str, this.enc);
    };
    InternalEncoder.prototype.end = function() {
    };
    function InternalEncoderBase64(options2, codec) {
      this.prevStr = "";
    }
    InternalEncoderBase64.prototype.write = function(str) {
      str = this.prevStr + str;
      var completeQuads = str.length - str.length % 4;
      this.prevStr = str.slice(completeQuads);
      str = str.slice(0, completeQuads);
      return Buffer2.from(str, "base64");
    };
    InternalEncoderBase64.prototype.end = function() {
      return Buffer2.from(this.prevStr, "base64");
    };
    function InternalEncoderCesu8(options2, codec) {
    }
    InternalEncoderCesu8.prototype.write = function(str) {
      var buf = Buffer2.alloc(str.length * 3), bufIdx = 0;
      for (var i4 = 0; i4 < str.length; i4++) {
        var charCode = str.charCodeAt(i4);
        if (charCode < 128)
          buf[bufIdx++] = charCode;
        else if (charCode < 2048) {
          buf[bufIdx++] = 192 + (charCode >>> 6);
          buf[bufIdx++] = 128 + (charCode & 63);
        } else {
          buf[bufIdx++] = 224 + (charCode >>> 12);
          buf[bufIdx++] = 128 + (charCode >>> 6 & 63);
          buf[bufIdx++] = 128 + (charCode & 63);
        }
      }
      return buf.slice(0, bufIdx);
    };
    InternalEncoderCesu8.prototype.end = function() {
    };
    function InternalDecoderCesu8(options2, codec) {
      this.acc = 0;
      this.contBytes = 0;
      this.accBytes = 0;
      this.defaultCharUnicode = codec.defaultCharUnicode;
    }
    InternalDecoderCesu8.prototype.write = function(buf) {
      var acc = this.acc, contBytes = this.contBytes, accBytes = this.accBytes, res = "";
      for (var i4 = 0; i4 < buf.length; i4++) {
        var curByte = buf[i4];
        if ((curByte & 192) !== 128) {
          if (contBytes > 0) {
            res += this.defaultCharUnicode;
            contBytes = 0;
          }
          if (curByte < 128) {
            res += String.fromCharCode(curByte);
          } else if (curByte < 224) {
            acc = curByte & 31;
            contBytes = 1;
            accBytes = 1;
          } else if (curByte < 240) {
            acc = curByte & 15;
            contBytes = 2;
            accBytes = 1;
          } else {
            res += this.defaultCharUnicode;
          }
        } else {
          if (contBytes > 0) {
            acc = acc << 6 | curByte & 63;
            contBytes--;
            accBytes++;
            if (contBytes === 0) {
              if (accBytes === 2 && acc < 128 && acc > 0)
                res += this.defaultCharUnicode;
              else if (accBytes === 3 && acc < 2048)
                res += this.defaultCharUnicode;
              else
                res += String.fromCharCode(acc);
            }
          } else {
            res += this.defaultCharUnicode;
          }
        }
      }
      this.acc = acc;
      this.contBytes = contBytes;
      this.accBytes = accBytes;
      return res;
    };
    InternalDecoderCesu8.prototype.end = function() {
      var res = 0;
      if (this.contBytes > 0)
        res += this.defaultCharUnicode;
      return res;
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/utf16.js
var require_utf162 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/utf16.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2.utf16be = Utf16BECodec;
    function Utf16BECodec() {
    }
    Utf16BECodec.prototype.encoder = Utf16BEEncoder;
    Utf16BECodec.prototype.decoder = Utf16BEDecoder;
    Utf16BECodec.prototype.bomAware = true;
    function Utf16BEEncoder() {
    }
    Utf16BEEncoder.prototype.write = function(str) {
      var buf = Buffer2.from(str, "ucs2");
      for (var i4 = 0; i4 < buf.length; i4 += 2) {
        var tmp2 = buf[i4];
        buf[i4] = buf[i4 + 1];
        buf[i4 + 1] = tmp2;
      }
      return buf;
    };
    Utf16BEEncoder.prototype.end = function() {
    };
    function Utf16BEDecoder() {
      this.overflowByte = -1;
    }
    Utf16BEDecoder.prototype.write = function(buf) {
      if (buf.length == 0)
        return "";
      var buf2 = Buffer2.alloc(buf.length + 1), i4 = 0, j2 = 0;
      if (this.overflowByte !== -1) {
        buf2[0] = buf[0];
        buf2[1] = this.overflowByte;
        i4 = 1;
        j2 = 2;
      }
      for (; i4 < buf.length - 1; i4 += 2, j2 += 2) {
        buf2[j2] = buf[i4 + 1];
        buf2[j2 + 1] = buf[i4];
      }
      this.overflowByte = i4 == buf.length - 1 ? buf[buf.length - 1] : -1;
      return buf2.slice(0, j2).toString("ucs2");
    };
    Utf16BEDecoder.prototype.end = function() {
    };
    exports2.utf16 = Utf16Codec;
    function Utf16Codec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf16Codec.prototype.encoder = Utf16Encoder;
    Utf16Codec.prototype.decoder = Utf16Decoder;
    function Utf16Encoder(options2, codec) {
      options2 = options2 || {};
      if (options2.addBOM === void 0)
        options2.addBOM = true;
      this.encoder = codec.iconv.getEncoder("utf-16le", options2);
    }
    Utf16Encoder.prototype.write = function(str) {
      return this.encoder.write(str);
    };
    Utf16Encoder.prototype.end = function() {
      return this.encoder.end();
    };
    function Utf16Decoder(options2, codec) {
      this.decoder = null;
      this.initialBytes = [];
      this.initialBytesLen = 0;
      this.options = options2 || {};
      this.iconv = codec.iconv;
    }
    Utf16Decoder.prototype.write = function(buf) {
      if (!this.decoder) {
        this.initialBytes.push(buf);
        this.initialBytesLen += buf.length;
        if (this.initialBytesLen < 16)
          return "";
        var buf = Buffer2.concat(this.initialBytes), encoding = detectEncoding(buf, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        this.initialBytes.length = this.initialBytesLen = 0;
      }
      return this.decoder.write(buf);
    };
    Utf16Decoder.prototype.end = function() {
      if (!this.decoder) {
        var buf = Buffer2.concat(this.initialBytes), encoding = detectEncoding(buf, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var res = this.decoder.write(buf), trail = this.decoder.end();
        return trail ? res + trail : res;
      }
      return this.decoder.end();
    };
    function detectEncoding(buf, defaultEncoding) {
      var enc = defaultEncoding || "utf-16le";
      if (buf.length >= 2) {
        if (buf[0] == 254 && buf[1] == 255)
          enc = "utf-16be";
        else if (buf[0] == 255 && buf[1] == 254)
          enc = "utf-16le";
        else {
          var asciiCharsLE = 0, asciiCharsBE = 0, _len = Math.min(buf.length - buf.length % 2, 64);
          for (var i4 = 0; i4 < _len; i4 += 2) {
            if (buf[i4] === 0 && buf[i4 + 1] !== 0)
              asciiCharsBE++;
            if (buf[i4] !== 0 && buf[i4 + 1] === 0)
              asciiCharsLE++;
          }
          if (asciiCharsBE > asciiCharsLE)
            enc = "utf-16be";
          else if (asciiCharsBE < asciiCharsLE)
            enc = "utf-16le";
        }
      }
      return enc;
    }
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/utf7.js
var require_utf72 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/utf7.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2.utf7 = Utf7Codec;
    exports2.unicode11utf7 = "utf7";
    function Utf7Codec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf7Codec.prototype.encoder = Utf7Encoder;
    Utf7Codec.prototype.decoder = Utf7Decoder;
    Utf7Codec.prototype.bomAware = true;
    var nonDirectChars = /[^A-Za-z0-9'\(\),-\.\/:\? \n\r\t]+/g;
    function Utf7Encoder(options2, codec) {
      this.iconv = codec.iconv;
    }
    Utf7Encoder.prototype.write = function(str) {
      return Buffer2.from(str.replace(nonDirectChars, function(chunk) {
        return "+" + (chunk === "+" ? "" : this.iconv.encode(chunk, "utf16-be").toString("base64").replace(/=+$/, "")) + "-";
      }.bind(this)));
    };
    Utf7Encoder.prototype.end = function() {
    };
    function Utf7Decoder(options2, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = "";
    }
    var base64Regex = /[A-Za-z0-9\/+]/;
    var base64Chars = [];
    for (i4 = 0; i4 < 256; i4++)
      base64Chars[i4] = base64Regex.test(String.fromCharCode(i4));
    var i4;
    var plusChar = "+".charCodeAt(0);
    var minusChar = "-".charCodeAt(0);
    var andChar = "&".charCodeAt(0);
    Utf7Decoder.prototype.write = function(buf) {
      var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
      for (var i7 = 0; i7 < buf.length; i7++) {
        if (!inBase64) {
          if (buf[i7] == plusChar) {
            res += this.iconv.decode(buf.slice(lastI, i7), "ascii");
            lastI = i7 + 1;
            inBase64 = true;
          }
        } else {
          if (!base64Chars[buf[i7]]) {
            if (i7 == lastI && buf[i7] == minusChar) {
              res += "+";
            } else {
              var b64str = base64Accum + buf.slice(lastI, i7).toString();
              res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
            }
            if (buf[i7] != minusChar)
              i7--;
            lastI = i7 + 1;
            inBase64 = false;
            base64Accum = "";
          }
        }
      }
      if (!inBase64) {
        res += this.iconv.decode(buf.slice(lastI), "ascii");
      } else {
        var b64str = base64Accum + buf.slice(lastI).toString();
        var canBeDecoded = b64str.length - b64str.length % 8;
        base64Accum = b64str.slice(canBeDecoded);
        b64str = b64str.slice(0, canBeDecoded);
        res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
      }
      this.inBase64 = inBase64;
      this.base64Accum = base64Accum;
      return res;
    };
    Utf7Decoder.prototype.end = function() {
      var res = "";
      if (this.inBase64 && this.base64Accum.length > 0)
        res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
      this.inBase64 = false;
      this.base64Accum = "";
      return res;
    };
    exports2.utf7imap = Utf7IMAPCodec;
    function Utf7IMAPCodec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf7IMAPCodec.prototype.encoder = Utf7IMAPEncoder;
    Utf7IMAPCodec.prototype.decoder = Utf7IMAPDecoder;
    Utf7IMAPCodec.prototype.bomAware = true;
    function Utf7IMAPEncoder(options2, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = Buffer2.alloc(6);
      this.base64AccumIdx = 0;
    }
    Utf7IMAPEncoder.prototype.write = function(str) {
      var inBase64 = this.inBase64, base64Accum = this.base64Accum, base64AccumIdx = this.base64AccumIdx, buf = Buffer2.alloc(str.length * 5 + 10), bufIdx = 0;
      for (var i7 = 0; i7 < str.length; i7++) {
        var uChar = str.charCodeAt(i7);
        if (32 <= uChar && uChar <= 126) {
          if (inBase64) {
            if (base64AccumIdx > 0) {
              bufIdx += buf.write(base64Accum.slice(0, base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
              base64AccumIdx = 0;
            }
            buf[bufIdx++] = minusChar;
            inBase64 = false;
          }
          if (!inBase64) {
            buf[bufIdx++] = uChar;
            if (uChar === andChar)
              buf[bufIdx++] = minusChar;
          }
        } else {
          if (!inBase64) {
            buf[bufIdx++] = andChar;
            inBase64 = true;
          }
          if (inBase64) {
            base64Accum[base64AccumIdx++] = uChar >> 8;
            base64Accum[base64AccumIdx++] = uChar & 255;
            if (base64AccumIdx == base64Accum.length) {
              bufIdx += buf.write(base64Accum.toString("base64").replace(/\//g, ","), bufIdx);
              base64AccumIdx = 0;
            }
          }
        }
      }
      this.inBase64 = inBase64;
      this.base64AccumIdx = base64AccumIdx;
      return buf.slice(0, bufIdx);
    };
    Utf7IMAPEncoder.prototype.end = function() {
      var buf = Buffer2.alloc(10), bufIdx = 0;
      if (this.inBase64) {
        if (this.base64AccumIdx > 0) {
          bufIdx += buf.write(this.base64Accum.slice(0, this.base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
          this.base64AccumIdx = 0;
        }
        buf[bufIdx++] = minusChar;
        this.inBase64 = false;
      }
      return buf.slice(0, bufIdx);
    };
    function Utf7IMAPDecoder(options2, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = "";
    }
    var base64IMAPChars = base64Chars.slice();
    base64IMAPChars[",".charCodeAt(0)] = true;
    Utf7IMAPDecoder.prototype.write = function(buf) {
      var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
      for (var i7 = 0; i7 < buf.length; i7++) {
        if (!inBase64) {
          if (buf[i7] == andChar) {
            res += this.iconv.decode(buf.slice(lastI, i7), "ascii");
            lastI = i7 + 1;
            inBase64 = true;
          }
        } else {
          if (!base64IMAPChars[buf[i7]]) {
            if (i7 == lastI && buf[i7] == minusChar) {
              res += "&";
            } else {
              var b64str = base64Accum + buf.slice(lastI, i7).toString().replace(/,/g, "/");
              res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
            }
            if (buf[i7] != minusChar)
              i7--;
            lastI = i7 + 1;
            inBase64 = false;
            base64Accum = "";
          }
        }
      }
      if (!inBase64) {
        res += this.iconv.decode(buf.slice(lastI), "ascii");
      } else {
        var b64str = base64Accum + buf.slice(lastI).toString().replace(/,/g, "/");
        var canBeDecoded = b64str.length - b64str.length % 8;
        base64Accum = b64str.slice(canBeDecoded);
        b64str = b64str.slice(0, canBeDecoded);
        res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
      }
      this.inBase64 = inBase64;
      this.base64Accum = base64Accum;
      return res;
    };
    Utf7IMAPDecoder.prototype.end = function() {
      var res = "";
      if (this.inBase64 && this.base64Accum.length > 0)
        res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
      this.inBase64 = false;
      this.base64Accum = "";
      return res;
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/sbcs-codec.js
var require_sbcs_codec2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/sbcs-codec.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2._sbcs = SBCSCodec;
    function SBCSCodec(codecOptions, iconv) {
      if (!codecOptions)
        throw new Error("SBCS codec is called without the data.");
      if (!codecOptions.chars || codecOptions.chars.length !== 128 && codecOptions.chars.length !== 256)
        throw new Error("Encoding '" + codecOptions.type + "' has incorrect 'chars' (must be of len 128 or 256)");
      if (codecOptions.chars.length === 128) {
        var asciiString = "";
        for (var i4 = 0; i4 < 128; i4++)
          asciiString += String.fromCharCode(i4);
        codecOptions.chars = asciiString + codecOptions.chars;
      }
      this.decodeBuf = Buffer2.from(codecOptions.chars, "ucs2");
      var encodeBuf = Buffer2.alloc(65536, iconv.defaultCharSingleByte.charCodeAt(0));
      for (var i4 = 0; i4 < codecOptions.chars.length; i4++)
        encodeBuf[codecOptions.chars.charCodeAt(i4)] = i4;
      this.encodeBuf = encodeBuf;
    }
    SBCSCodec.prototype.encoder = SBCSEncoder;
    SBCSCodec.prototype.decoder = SBCSDecoder;
    function SBCSEncoder(options2, codec) {
      this.encodeBuf = codec.encodeBuf;
    }
    SBCSEncoder.prototype.write = function(str) {
      var buf = Buffer2.alloc(str.length);
      for (var i4 = 0; i4 < str.length; i4++)
        buf[i4] = this.encodeBuf[str.charCodeAt(i4)];
      return buf;
    };
    SBCSEncoder.prototype.end = function() {
    };
    function SBCSDecoder(options2, codec) {
      this.decodeBuf = codec.decodeBuf;
    }
    SBCSDecoder.prototype.write = function(buf) {
      var decodeBuf = this.decodeBuf;
      var newBuf = Buffer2.alloc(buf.length * 2);
      var idx1 = 0, idx2 = 0;
      for (var i4 = 0; i4 < buf.length; i4++) {
        idx1 = buf[i4] * 2;
        idx2 = i4 * 2;
        newBuf[idx2] = decodeBuf[idx1];
        newBuf[idx2 + 1] = decodeBuf[idx1 + 1];
      }
      return newBuf.toString("ucs2");
    };
    SBCSDecoder.prototype.end = function() {
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/sbcs-data.js
var require_sbcs_data2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/sbcs-data.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      // Not supported by iconv, not sure why.
      "10029": "maccenteuro",
      "maccenteuro": {
        "type": "_sbcs",
        "chars": "\xC4\u0100\u0101\xC9\u0104\xD6\xDC\xE1\u0105\u010C\xE4\u010D\u0106\u0107\xE9\u0179\u017A\u010E\xED\u010F\u0112\u0113\u0116\xF3\u0117\xF4\xF6\xF5\xFA\u011A\u011B\xFC\u2020\xB0\u0118\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\u0119\xA8\u2260\u0123\u012E\u012F\u012A\u2264\u2265\u012B\u0136\u2202\u2211\u0142\u013B\u013C\u013D\u013E\u0139\u013A\u0145\u0146\u0143\xAC\u221A\u0144\u0147\u2206\xAB\xBB\u2026\xA0\u0148\u0150\xD5\u0151\u014C\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\u014D\u0154\u0155\u0158\u2039\u203A\u0159\u0156\u0157\u0160\u201A\u201E\u0161\u015A\u015B\xC1\u0164\u0165\xCD\u017D\u017E\u016A\xD3\xD4\u016B\u016E\xDA\u016F\u0170\u0171\u0172\u0173\xDD\xFD\u0137\u017B\u0141\u017C\u0122\u02C7"
      },
      "808": "cp808",
      "ibm808": "cp808",
      "cp808": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0404\u0454\u0407\u0457\u040E\u045E\xB0\u2219\xB7\u221A\u2116\u20AC\u25A0\xA0"
      },
      "mik": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2514\u2534\u252C\u251C\u2500\u253C\u2563\u2551\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2510\u2591\u2592\u2593\u2502\u2524\u2116\xA7\u2557\u255D\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      // Aliases of generated encodings.
      "ascii8bit": "ascii",
      "usascii": "ascii",
      "ansix34": "ascii",
      "ansix341968": "ascii",
      "ansix341986": "ascii",
      "csascii": "ascii",
      "cp367": "ascii",
      "ibm367": "ascii",
      "isoir6": "ascii",
      "iso646us": "ascii",
      "iso646irv": "ascii",
      "us": "ascii",
      "latin1": "iso88591",
      "latin2": "iso88592",
      "latin3": "iso88593",
      "latin4": "iso88594",
      "latin5": "iso88599",
      "latin6": "iso885910",
      "latin7": "iso885913",
      "latin8": "iso885914",
      "latin9": "iso885915",
      "latin10": "iso885916",
      "csisolatin1": "iso88591",
      "csisolatin2": "iso88592",
      "csisolatin3": "iso88593",
      "csisolatin4": "iso88594",
      "csisolatincyrillic": "iso88595",
      "csisolatinarabic": "iso88596",
      "csisolatingreek": "iso88597",
      "csisolatinhebrew": "iso88598",
      "csisolatin5": "iso88599",
      "csisolatin6": "iso885910",
      "l1": "iso88591",
      "l2": "iso88592",
      "l3": "iso88593",
      "l4": "iso88594",
      "l5": "iso88599",
      "l6": "iso885910",
      "l7": "iso885913",
      "l8": "iso885914",
      "l9": "iso885915",
      "l10": "iso885916",
      "isoir14": "iso646jp",
      "isoir57": "iso646cn",
      "isoir100": "iso88591",
      "isoir101": "iso88592",
      "isoir109": "iso88593",
      "isoir110": "iso88594",
      "isoir144": "iso88595",
      "isoir127": "iso88596",
      "isoir126": "iso88597",
      "isoir138": "iso88598",
      "isoir148": "iso88599",
      "isoir157": "iso885910",
      "isoir166": "tis620",
      "isoir179": "iso885913",
      "isoir199": "iso885914",
      "isoir203": "iso885915",
      "isoir226": "iso885916",
      "cp819": "iso88591",
      "ibm819": "iso88591",
      "cyrillic": "iso88595",
      "arabic": "iso88596",
      "arabic8": "iso88596",
      "ecma114": "iso88596",
      "asmo708": "iso88596",
      "greek": "iso88597",
      "greek8": "iso88597",
      "ecma118": "iso88597",
      "elot928": "iso88597",
      "hebrew": "iso88598",
      "hebrew8": "iso88598",
      "turkish": "iso88599",
      "turkish8": "iso88599",
      "thai": "iso885911",
      "thai8": "iso885911",
      "celtic": "iso885914",
      "celtic8": "iso885914",
      "isoceltic": "iso885914",
      "tis6200": "tis620",
      "tis62025291": "tis620",
      "tis62025330": "tis620",
      "10000": "macroman",
      "10006": "macgreek",
      "10007": "maccyrillic",
      "10079": "maciceland",
      "10081": "macturkish",
      "cspc8codepage437": "cp437",
      "cspc775baltic": "cp775",
      "cspc850multilingual": "cp850",
      "cspcp852": "cp852",
      "cspc862latinhebrew": "cp862",
      "cpgr": "cp869",
      "msee": "cp1250",
      "mscyrl": "cp1251",
      "msansi": "cp1252",
      "msgreek": "cp1253",
      "msturk": "cp1254",
      "mshebr": "cp1255",
      "msarab": "cp1256",
      "winbaltrim": "cp1257",
      "cp20866": "koi8r",
      "20866": "koi8r",
      "ibm878": "koi8r",
      "cskoi8r": "koi8r",
      "cp21866": "koi8u",
      "21866": "koi8u",
      "ibm1168": "koi8u",
      "strk10482002": "rk1048",
      "tcvn5712": "tcvn",
      "tcvn57121": "tcvn",
      "gb198880": "iso646cn",
      "cn": "iso646cn",
      "csiso14jisc6220ro": "iso646jp",
      "jisc62201969ro": "iso646jp",
      "jp": "iso646jp",
      "cshproman8": "hproman8",
      "r8": "hproman8",
      "roman8": "hproman8",
      "xroman8": "hproman8",
      "ibm1051": "hproman8",
      "mac": "macintosh",
      "csmacintosh": "macintosh"
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/sbcs-data-generated.js
var require_sbcs_data_generated2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/sbcs-data-generated.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      "437": "cp437",
      "737": "cp737",
      "775": "cp775",
      "850": "cp850",
      "852": "cp852",
      "855": "cp855",
      "856": "cp856",
      "857": "cp857",
      "858": "cp858",
      "860": "cp860",
      "861": "cp861",
      "862": "cp862",
      "863": "cp863",
      "864": "cp864",
      "865": "cp865",
      "866": "cp866",
      "869": "cp869",
      "874": "windows874",
      "922": "cp922",
      "1046": "cp1046",
      "1124": "cp1124",
      "1125": "cp1125",
      "1129": "cp1129",
      "1133": "cp1133",
      "1161": "cp1161",
      "1162": "cp1162",
      "1163": "cp1163",
      "1250": "windows1250",
      "1251": "windows1251",
      "1252": "windows1252",
      "1253": "windows1253",
      "1254": "windows1254",
      "1255": "windows1255",
      "1256": "windows1256",
      "1257": "windows1257",
      "1258": "windows1258",
      "28591": "iso88591",
      "28592": "iso88592",
      "28593": "iso88593",
      "28594": "iso88594",
      "28595": "iso88595",
      "28596": "iso88596",
      "28597": "iso88597",
      "28598": "iso88598",
      "28599": "iso88599",
      "28600": "iso885910",
      "28601": "iso885911",
      "28603": "iso885913",
      "28604": "iso885914",
      "28605": "iso885915",
      "28606": "iso885916",
      "windows874": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\uFFFD\uFFFD\uFFFD\u2026\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "win874": "windows874",
      "cp874": "windows874",
      "windows1250": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\uFFFD\u201E\u2026\u2020\u2021\uFFFD\u2030\u0160\u2039\u015A\u0164\u017D\u0179\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0161\u203A\u015B\u0165\u017E\u017A\xA0\u02C7\u02D8\u0141\xA4\u0104\xA6\xA7\xA8\xA9\u015E\xAB\xAC\xAD\xAE\u017B\xB0\xB1\u02DB\u0142\xB4\xB5\xB6\xB7\xB8\u0105\u015F\xBB\u013D\u02DD\u013E\u017C\u0154\xC1\xC2\u0102\xC4\u0139\u0106\xC7\u010C\xC9\u0118\xCB\u011A\xCD\xCE\u010E\u0110\u0143\u0147\xD3\xD4\u0150\xD6\xD7\u0158\u016E\xDA\u0170\xDC\xDD\u0162\xDF\u0155\xE1\xE2\u0103\xE4\u013A\u0107\xE7\u010D\xE9\u0119\xEB\u011B\xED\xEE\u010F\u0111\u0144\u0148\xF3\xF4\u0151\xF6\xF7\u0159\u016F\xFA\u0171\xFC\xFD\u0163\u02D9"
      },
      "win1250": "windows1250",
      "cp1250": "windows1250",
      "windows1251": {
        "type": "_sbcs",
        "chars": "\u0402\u0403\u201A\u0453\u201E\u2026\u2020\u2021\u20AC\u2030\u0409\u2039\u040A\u040C\u040B\u040F\u0452\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0459\u203A\u045A\u045C\u045B\u045F\xA0\u040E\u045E\u0408\xA4\u0490\xA6\xA7\u0401\xA9\u0404\xAB\xAC\xAD\xAE\u0407\xB0\xB1\u0406\u0456\u0491\xB5\xB6\xB7\u0451\u2116\u0454\xBB\u0458\u0405\u0455\u0457\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "win1251": "windows1251",
      "cp1251": "windows1251",
      "windows1252": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\uFFFD\u017D\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\uFFFD\u017E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "win1252": "windows1252",
      "cp1252": "windows1252",
      "windows1253": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\uFFFD\u2030\uFFFD\u2039\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\xA0\u0385\u0386\xA3\xA4\xA5\xA6\xA7\xA8\xA9\uFFFD\xAB\xAC\xAD\xAE\u2015\xB0\xB1\xB2\xB3\u0384\xB5\xB6\xB7\u0388\u0389\u038A\xBB\u038C\xBD\u038E\u038F\u0390\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\uFFFD\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03AA\u03AB\u03AC\u03AD\u03AE\u03AF\u03B0\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C2\u03C3\u03C4\u03C5\u03C6\u03C7\u03C8\u03C9\u03CA\u03CB\u03CC\u03CD\u03CE\uFFFD"
      },
      "win1253": "windows1253",
      "cp1253": "windows1253",
      "windows1254": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\uFFFD\uFFFD\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u011E\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u0130\u015E\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u011F\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u0131\u015F\xFF"
      },
      "win1254": "windows1254",
      "cp1254": "windows1254",
      "windows1255": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\uFFFD\u2039\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\xA0\xA1\xA2\xA3\u20AA\xA5\xA6\xA7\xA8\xA9\xD7\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xF7\xBB\xBC\xBD\xBE\xBF\u05B0\u05B1\u05B2\u05B3\u05B4\u05B5\u05B6\u05B7\u05B8\u05B9\u05BA\u05BB\u05BC\u05BD\u05BE\u05BF\u05C0\u05C1\u05C2\u05C3\u05F0\u05F1\u05F2\u05F3\u05F4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\uFFFD\u200E\u200F\uFFFD"
      },
      "win1255": "windows1255",
      "cp1255": "windows1255",
      "windows1256": {
        "type": "_sbcs",
        "chars": "\u20AC\u067E\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0679\u2039\u0152\u0686\u0698\u0688\u06AF\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u06A9\u2122\u0691\u203A\u0153\u200C\u200D\u06BA\xA0\u060C\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\u06BE\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\u061B\xBB\xBC\xBD\xBE\u061F\u06C1\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\xD7\u0637\u0638\u0639\u063A\u0640\u0641\u0642\u0643\xE0\u0644\xE2\u0645\u0646\u0647\u0648\xE7\xE8\xE9\xEA\xEB\u0649\u064A\xEE\xEF\u064B\u064C\u064D\u064E\xF4\u064F\u0650\xF7\u0651\xF9\u0652\xFB\xFC\u200E\u200F\u06D2"
      },
      "win1256": "windows1256",
      "cp1256": "windows1256",
      "windows1257": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\uFFFD\u201E\u2026\u2020\u2021\uFFFD\u2030\uFFFD\u2039\uFFFD\xA8\u02C7\xB8\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\xAF\u02DB\uFFFD\xA0\uFFFD\xA2\xA3\xA4\uFFFD\xA6\xA7\xD8\xA9\u0156\xAB\xAC\xAD\xAE\xC6\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xF8\xB9\u0157\xBB\xBC\xBD\xBE\xE6\u0104\u012E\u0100\u0106\xC4\xC5\u0118\u0112\u010C\xC9\u0179\u0116\u0122\u0136\u012A\u013B\u0160\u0143\u0145\xD3\u014C\xD5\xD6\xD7\u0172\u0141\u015A\u016A\xDC\u017B\u017D\xDF\u0105\u012F\u0101\u0107\xE4\xE5\u0119\u0113\u010D\xE9\u017A\u0117\u0123\u0137\u012B\u013C\u0161\u0144\u0146\xF3\u014D\xF5\xF6\xF7\u0173\u0142\u015B\u016B\xFC\u017C\u017E\u02D9"
      },
      "win1257": "windows1257",
      "cp1257": "windows1257",
      "windows1258": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\uFFFD\u2039\u0152\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\uFFFD\u203A\u0153\uFFFD\uFFFD\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "win1258": "windows1258",
      "cp1258": "windows1258",
      "iso88591": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "cp28591": "iso88591",
      "iso88592": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u02D8\u0141\xA4\u013D\u015A\xA7\xA8\u0160\u015E\u0164\u0179\xAD\u017D\u017B\xB0\u0105\u02DB\u0142\xB4\u013E\u015B\u02C7\xB8\u0161\u015F\u0165\u017A\u02DD\u017E\u017C\u0154\xC1\xC2\u0102\xC4\u0139\u0106\xC7\u010C\xC9\u0118\xCB\u011A\xCD\xCE\u010E\u0110\u0143\u0147\xD3\xD4\u0150\xD6\xD7\u0158\u016E\xDA\u0170\xDC\xDD\u0162\xDF\u0155\xE1\xE2\u0103\xE4\u013A\u0107\xE7\u010D\xE9\u0119\xEB\u011B\xED\xEE\u010F\u0111\u0144\u0148\xF3\xF4\u0151\xF6\xF7\u0159\u016F\xFA\u0171\xFC\xFD\u0163\u02D9"
      },
      "cp28592": "iso88592",
      "iso88593": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0126\u02D8\xA3\xA4\uFFFD\u0124\xA7\xA8\u0130\u015E\u011E\u0134\xAD\uFFFD\u017B\xB0\u0127\xB2\xB3\xB4\xB5\u0125\xB7\xB8\u0131\u015F\u011F\u0135\xBD\uFFFD\u017C\xC0\xC1\xC2\uFFFD\xC4\u010A\u0108\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\uFFFD\xD1\xD2\xD3\xD4\u0120\xD6\xD7\u011C\xD9\xDA\xDB\xDC\u016C\u015C\xDF\xE0\xE1\xE2\uFFFD\xE4\u010B\u0109\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\uFFFD\xF1\xF2\xF3\xF4\u0121\xF6\xF7\u011D\xF9\xFA\xFB\xFC\u016D\u015D\u02D9"
      },
      "cp28593": "iso88593",
      "iso88594": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0138\u0156\xA4\u0128\u013B\xA7\xA8\u0160\u0112\u0122\u0166\xAD\u017D\xAF\xB0\u0105\u02DB\u0157\xB4\u0129\u013C\u02C7\xB8\u0161\u0113\u0123\u0167\u014A\u017E\u014B\u0100\xC1\xC2\xC3\xC4\xC5\xC6\u012E\u010C\xC9\u0118\xCB\u0116\xCD\xCE\u012A\u0110\u0145\u014C\u0136\xD4\xD5\xD6\xD7\xD8\u0172\xDA\xDB\xDC\u0168\u016A\xDF\u0101\xE1\xE2\xE3\xE4\xE5\xE6\u012F\u010D\xE9\u0119\xEB\u0117\xED\xEE\u012B\u0111\u0146\u014D\u0137\xF4\xF5\xF6\xF7\xF8\u0173\xFA\xFB\xFC\u0169\u016B\u02D9"
      },
      "cp28594": "iso88594",
      "iso88595": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0401\u0402\u0403\u0404\u0405\u0406\u0407\u0408\u0409\u040A\u040B\u040C\xAD\u040E\u040F\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2116\u0451\u0452\u0453\u0454\u0455\u0456\u0457\u0458\u0459\u045A\u045B\u045C\xA7\u045E\u045F"
      },
      "cp28595": "iso88595",
      "iso88596": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\uFFFD\uFFFD\xA4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u060C\xAD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u061B\uFFFD\uFFFD\uFFFD\u061F\uFFFD\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u0637\u0638\u0639\u063A\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0640\u0641\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u064B\u064C\u064D\u064E\u064F\u0650\u0651\u0652\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "cp28596": "iso88596",
      "iso88597": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u2018\u2019\xA3\u20AC\u20AF\xA6\xA7\xA8\xA9\u037A\xAB\xAC\xAD\uFFFD\u2015\xB0\xB1\xB2\xB3\u0384\u0385\u0386\xB7\u0388\u0389\u038A\xBB\u038C\xBD\u038E\u038F\u0390\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\uFFFD\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03AA\u03AB\u03AC\u03AD\u03AE\u03AF\u03B0\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C2\u03C3\u03C4\u03C5\u03C6\u03C7\u03C8\u03C9\u03CA\u03CB\u03CC\u03CD\u03CE\uFFFD"
      },
      "cp28597": "iso88597",
      "iso88598": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xD7\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xF7\xBB\xBC\xBD\xBE\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2017\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\uFFFD\u200E\u200F\uFFFD"
      },
      "cp28598": "iso88598",
      "iso88599": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u011E\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u0130\u015E\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u011F\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u0131\u015F\xFF"
      },
      "cp28599": "iso88599",
      "iso885910": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0112\u0122\u012A\u0128\u0136\xA7\u013B\u0110\u0160\u0166\u017D\xAD\u016A\u014A\xB0\u0105\u0113\u0123\u012B\u0129\u0137\xB7\u013C\u0111\u0161\u0167\u017E\u2015\u016B\u014B\u0100\xC1\xC2\xC3\xC4\xC5\xC6\u012E\u010C\xC9\u0118\xCB\u0116\xCD\xCE\xCF\xD0\u0145\u014C\xD3\xD4\xD5\xD6\u0168\xD8\u0172\xDA\xDB\xDC\xDD\xDE\xDF\u0101\xE1\xE2\xE3\xE4\xE5\xE6\u012F\u010D\xE9\u0119\xEB\u0117\xED\xEE\xEF\xF0\u0146\u014D\xF3\xF4\xF5\xF6\u0169\xF8\u0173\xFA\xFB\xFC\xFD\xFE\u0138"
      },
      "cp28600": "iso885910",
      "iso885911": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "cp28601": "iso885911",
      "iso885913": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u201D\xA2\xA3\xA4\u201E\xA6\xA7\xD8\xA9\u0156\xAB\xAC\xAD\xAE\xC6\xB0\xB1\xB2\xB3\u201C\xB5\xB6\xB7\xF8\xB9\u0157\xBB\xBC\xBD\xBE\xE6\u0104\u012E\u0100\u0106\xC4\xC5\u0118\u0112\u010C\xC9\u0179\u0116\u0122\u0136\u012A\u013B\u0160\u0143\u0145\xD3\u014C\xD5\xD6\xD7\u0172\u0141\u015A\u016A\xDC\u017B\u017D\xDF\u0105\u012F\u0101\u0107\xE4\xE5\u0119\u0113\u010D\xE9\u017A\u0117\u0123\u0137\u012B\u013C\u0161\u0144\u0146\xF3\u014D\xF5\xF6\xF7\u0173\u0142\u015B\u016B\xFC\u017C\u017E\u2019"
      },
      "cp28603": "iso885913",
      "iso885914": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u1E02\u1E03\xA3\u010A\u010B\u1E0A\xA7\u1E80\xA9\u1E82\u1E0B\u1EF2\xAD\xAE\u0178\u1E1E\u1E1F\u0120\u0121\u1E40\u1E41\xB6\u1E56\u1E81\u1E57\u1E83\u1E60\u1EF3\u1E84\u1E85\u1E61\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0174\xD1\xD2\xD3\xD4\xD5\xD6\u1E6A\xD8\xD9\xDA\xDB\xDC\xDD\u0176\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0175\xF1\xF2\xF3\xF4\xF5\xF6\u1E6B\xF8\xF9\xFA\xFB\xFC\xFD\u0177\xFF"
      },
      "cp28604": "iso885914",
      "iso885915": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\u20AC\xA5\u0160\xA7\u0161\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u017D\xB5\xB6\xB7\u017E\xB9\xBA\xBB\u0152\u0153\u0178\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "cp28605": "iso885915",
      "iso885916": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0105\u0141\u20AC\u201E\u0160\xA7\u0161\xA9\u0218\xAB\u0179\xAD\u017A\u017B\xB0\xB1\u010C\u0142\u017D\u201D\xB6\xB7\u017E\u010D\u0219\xBB\u0152\u0153\u0178\u017C\xC0\xC1\xC2\u0102\xC4\u0106\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0110\u0143\xD2\xD3\xD4\u0150\xD6\u015A\u0170\xD9\xDA\xDB\xDC\u0118\u021A\xDF\xE0\xE1\xE2\u0103\xE4\u0107\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0111\u0144\xF2\xF3\xF4\u0151\xF6\u015B\u0171\xF9\xFA\xFB\xFC\u0119\u021B\xFF"
      },
      "cp28606": "iso885916",
      "cp437": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xA2\xA3\xA5\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm437": "cp437",
      "csibm437": "cp437",
      "cp737": {
        "type": "_sbcs",
        "chars": "\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C3\u03C2\u03C4\u03C5\u03C6\u03C7\u03C8\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03C9\u03AC\u03AD\u03AE\u03CA\u03AF\u03CC\u03CD\u03CB\u03CE\u0386\u0388\u0389\u038A\u038C\u038E\u038F\xB1\u2265\u2264\u03AA\u03AB\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm737": "cp737",
      "csibm737": "cp737",
      "cp775": {
        "type": "_sbcs",
        "chars": "\u0106\xFC\xE9\u0101\xE4\u0123\xE5\u0107\u0142\u0113\u0156\u0157\u012B\u0179\xC4\xC5\xC9\xE6\xC6\u014D\xF6\u0122\xA2\u015A\u015B\xD6\xDC\xF8\xA3\xD8\xD7\xA4\u0100\u012A\xF3\u017B\u017C\u017A\u201D\xA6\xA9\xAE\xAC\xBD\xBC\u0141\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u0104\u010C\u0118\u0116\u2563\u2551\u2557\u255D\u012E\u0160\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u0172\u016A\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u017D\u0105\u010D\u0119\u0117\u012F\u0161\u0173\u016B\u017E\u2518\u250C\u2588\u2584\u258C\u2590\u2580\xD3\xDF\u014C\u0143\xF5\xD5\xB5\u0144\u0136\u0137\u013B\u013C\u0146\u0112\u0145\u2019\xAD\xB1\u201C\xBE\xB6\xA7\xF7\u201E\xB0\u2219\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm775": "cp775",
      "csibm775": "cp775",
      "cp850": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\xD7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xF0\xD0\xCA\xCB\xC8\u0131\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\xFE\xDE\xDA\xDB\xD9\xFD\xDD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm850": "cp850",
      "csibm850": "cp850",
      "cp852": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\u016F\u0107\xE7\u0142\xEB\u0150\u0151\xEE\u0179\xC4\u0106\xC9\u0139\u013A\xF4\xF6\u013D\u013E\u015A\u015B\xD6\xDC\u0164\u0165\u0141\xD7\u010D\xE1\xED\xF3\xFA\u0104\u0105\u017D\u017E\u0118\u0119\xAC\u017A\u010C\u015F\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\u011A\u015E\u2563\u2551\u2557\u255D\u017B\u017C\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u0102\u0103\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\u0111\u0110\u010E\xCB\u010F\u0147\xCD\xCE\u011B\u2518\u250C\u2588\u2584\u0162\u016E\u2580\xD3\xDF\xD4\u0143\u0144\u0148\u0160\u0161\u0154\xDA\u0155\u0170\xFD\xDD\u0163\xB4\xAD\u02DD\u02DB\u02C7\u02D8\xA7\xF7\xB8\xB0\xA8\u02D9\u0171\u0158\u0159\u25A0\xA0"
      },
      "ibm852": "cp852",
      "csibm852": "cp852",
      "cp855": {
        "type": "_sbcs",
        "chars": "\u0452\u0402\u0453\u0403\u0451\u0401\u0454\u0404\u0455\u0405\u0456\u0406\u0457\u0407\u0458\u0408\u0459\u0409\u045A\u040A\u045B\u040B\u045C\u040C\u045E\u040E\u045F\u040F\u044E\u042E\u044A\u042A\u0430\u0410\u0431\u0411\u0446\u0426\u0434\u0414\u0435\u0415\u0444\u0424\u0433\u0413\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u0445\u0425\u0438\u0418\u2563\u2551\u2557\u255D\u0439\u0419\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u043A\u041A\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\u043B\u041B\u043C\u041C\u043D\u041D\u043E\u041E\u043F\u2518\u250C\u2588\u2584\u041F\u044F\u2580\u042F\u0440\u0420\u0441\u0421\u0442\u0422\u0443\u0423\u0436\u0416\u0432\u0412\u044C\u042C\u2116\xAD\u044B\u042B\u0437\u0417\u0448\u0428\u044D\u042D\u0449\u0429\u0447\u0427\xA7\u25A0\xA0"
      },
      "ibm855": "cp855",
      "csibm855": "cp855",
      "cp856": {
        "type": "_sbcs",
        "chars": "\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\xA3\uFFFD\xD7\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xAE\xAC\xBD\xBC\uFFFD\xAB\xBB\u2591\u2592\u2593\u2502\u2524\uFFFD\uFFFD\uFFFD\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\uFFFD\uFFFD\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2518\u250C\u2588\u2584\xA6\uFFFD\u2580\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xB5\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm856": "cp856",
      "csibm856": "cp856",
      "cp857": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\u0131\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\u0130\xD6\xDC\xF8\xA3\xD8\u015E\u015F\xE1\xED\xF3\xFA\xF1\xD1\u011E\u011F\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xBA\xAA\xCA\xCB\xC8\uFFFD\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\uFFFD\xD7\xDA\xDB\xD9\xEC\xFF\xAF\xB4\xAD\xB1\uFFFD\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm857": "cp857",
      "csibm857": "cp857",
      "cp858": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\xD7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xF0\xD0\xCA\xCB\xC8\u20AC\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\xFE\xDE\xDA\xDB\xD9\xFD\xDD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm858": "cp858",
      "csibm858": "cp858",
      "cp860": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE3\xE0\xC1\xE7\xEA\xCA\xE8\xCD\xD4\xEC\xC3\xC2\xC9\xC0\xC8\xF4\xF5\xF2\xDA\xF9\xCC\xD5\xDC\xA2\xA3\xD9\u20A7\xD3\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xD2\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm860": "cp860",
      "csibm860": "cp860",
      "cp861": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xD0\xF0\xDE\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xFE\xFB\xDD\xFD\xD6\xDC\xF8\xA3\xD8\u20A7\u0192\xE1\xED\xF3\xFA\xC1\xCD\xD3\xDA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm861": "cp861",
      "csibm861": "cp861",
      "cp862": {
        "type": "_sbcs",
        "chars": "\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\xA2\xA3\xA5\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm862": "cp862",
      "csibm862": "cp862",
      "cp863": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xC2\xE0\xB6\xE7\xEA\xEB\xE8\xEF\xEE\u2017\xC0\xA7\xC9\xC8\xCA\xF4\xCB\xCF\xFB\xF9\xA4\xD4\xDC\xA2\xA3\xD9\xDB\u0192\xA6\xB4\xF3\xFA\xA8\xB8\xB3\xAF\xCE\u2310\xAC\xBD\xBC\xBE\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm863": "cp863",
      "csibm863": "cp863",
      "cp864": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#$\u066A&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\xB0\xB7\u2219\u221A\u2592\u2500\u2502\u253C\u2524\u252C\u251C\u2534\u2510\u250C\u2514\u2518\u03B2\u221E\u03C6\xB1\xBD\xBC\u2248\xAB\xBB\uFEF7\uFEF8\uFFFD\uFFFD\uFEFB\uFEFC\uFFFD\xA0\xAD\uFE82\xA3\xA4\uFE84\uFFFD\uFFFD\uFE8E\uFE8F\uFE95\uFE99\u060C\uFE9D\uFEA1\uFEA5\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669\uFED1\u061B\uFEB1\uFEB5\uFEB9\u061F\xA2\uFE80\uFE81\uFE83\uFE85\uFECA\uFE8B\uFE8D\uFE91\uFE93\uFE97\uFE9B\uFE9F\uFEA3\uFEA7\uFEA9\uFEAB\uFEAD\uFEAF\uFEB3\uFEB7\uFEBB\uFEBF\uFEC1\uFEC5\uFECB\uFECF\xA6\xAC\xF7\xD7\uFEC9\u0640\uFED3\uFED7\uFEDB\uFEDF\uFEE3\uFEE7\uFEEB\uFEED\uFEEF\uFEF3\uFEBD\uFECC\uFECE\uFECD\uFEE1\uFE7D\u0651\uFEE5\uFEE9\uFEEC\uFEF0\uFEF2\uFED0\uFED5\uFEF5\uFEF6\uFEDD\uFED9\uFEF1\u25A0\uFFFD"
      },
      "ibm864": "cp864",
      "csibm864": "cp864",
      "cp865": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xA4\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm865": "cp865",
      "csibm865": "cp865",
      "cp866": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0404\u0454\u0407\u0457\u040E\u045E\xB0\u2219\xB7\u221A\u2116\xA4\u25A0\xA0"
      },
      "ibm866": "cp866",
      "csibm866": "cp866",
      "cp869": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0386\uFFFD\xB7\xAC\xA6\u2018\u2019\u0388\u2015\u0389\u038A\u03AA\u038C\uFFFD\uFFFD\u038E\u03AB\xA9\u038F\xB2\xB3\u03AC\xA3\u03AD\u03AE\u03AF\u03CA\u0390\u03CC\u03CD\u0391\u0392\u0393\u0394\u0395\u0396\u0397\xBD\u0398\u0399\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u039A\u039B\u039C\u039D\u2563\u2551\u2557\u255D\u039E\u039F\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u03A0\u03A1\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03B1\u03B2\u03B3\u2518\u250C\u2588\u2584\u03B4\u03B5\u2580\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C3\u03C2\u03C4\u0384\xAD\xB1\u03C5\u03C6\u03C7\xA7\u03C8\u0385\xB0\xA8\u03C9\u03CB\u03B0\u03CE\u25A0\xA0"
      },
      "ibm869": "cp869",
      "csibm869": "cp869",
      "cp922": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\u203E\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0160\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\u017D\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0161\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\u017E\xFF"
      },
      "ibm922": "cp922",
      "csibm922": "cp922",
      "cp1046": {
        "type": "_sbcs",
        "chars": "\uFE88\xD7\xF7\uF8F6\uF8F5\uF8F4\uF8F7\uFE71\x88\u25A0\u2502\u2500\u2510\u250C\u2514\u2518\uFE79\uFE7B\uFE7D\uFE7F\uFE77\uFE8A\uFEF0\uFEF3\uFEF2\uFECE\uFECF\uFED0\uFEF6\uFEF8\uFEFA\uFEFC\xA0\uF8FA\uF8F9\uF8F8\xA4\uF8FB\uFE8B\uFE91\uFE97\uFE9B\uFE9F\uFEA3\u060C\xAD\uFEA7\uFEB3\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669\uFEB7\u061B\uFEBB\uFEBF\uFECA\u061F\uFECB\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u0637\uFEC7\u0639\u063A\uFECC\uFE82\uFE84\uFE8E\uFED3\u0640\u0641\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u064B\u064C\u064D\u064E\u064F\u0650\u0651\u0652\uFED7\uFEDB\uFEDF\uF8FC\uFEF5\uFEF7\uFEF9\uFEFB\uFEE3\uFEE7\uFEEC\uFEE9\uFFFD"
      },
      "ibm1046": "cp1046",
      "csibm1046": "cp1046",
      "cp1124": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0401\u0402\u0490\u0404\u0405\u0406\u0407\u0408\u0409\u040A\u040B\u040C\xAD\u040E\u040F\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2116\u0451\u0452\u0491\u0454\u0455\u0456\u0457\u0458\u0459\u045A\u045B\u045C\xA7\u045E\u045F"
      },
      "ibm1124": "cp1124",
      "csibm1124": "cp1124",
      "cp1125": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0490\u0491\u0404\u0454\u0406\u0456\u0407\u0457\xB7\u221A\u2116\xA4\u25A0\xA0"
      },
      "ibm1125": "cp1125",
      "csibm1125": "cp1125",
      "cp1129": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\u0153\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u0178\xB5\xB6\xB7\u0152\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "ibm1129": "cp1129",
      "csibm1129": "cp1129",
      "cp1133": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E81\u0E82\u0E84\u0E87\u0E88\u0EAA\u0E8A\u0E8D\u0E94\u0E95\u0E96\u0E97\u0E99\u0E9A\u0E9B\u0E9C\u0E9D\u0E9E\u0E9F\u0EA1\u0EA2\u0EA3\u0EA5\u0EA7\u0EAB\u0EAD\u0EAE\uFFFD\uFFFD\uFFFD\u0EAF\u0EB0\u0EB2\u0EB3\u0EB4\u0EB5\u0EB6\u0EB7\u0EB8\u0EB9\u0EBC\u0EB1\u0EBB\u0EBD\uFFFD\uFFFD\uFFFD\u0EC0\u0EC1\u0EC2\u0EC3\u0EC4\u0EC8\u0EC9\u0ECA\u0ECB\u0ECC\u0ECD\u0EC6\uFFFD\u0EDC\u0EDD\u20AD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0ED0\u0ED1\u0ED2\u0ED3\u0ED4\u0ED5\u0ED6\u0ED7\u0ED8\u0ED9\uFFFD\uFFFD\xA2\xAC\xA6\uFFFD"
      },
      "ibm1133": "cp1133",
      "csibm1133": "cp1133",
      "cp1161": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0E48\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\u0E49\u0E4A\u0E4B\u20AC\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\xA2\xAC\xA6\xA0"
      },
      "ibm1161": "cp1161",
      "csibm1161": "cp1161",
      "cp1162": {
        "type": "_sbcs",
        "chars": "\u20AC\x81\x82\x83\x84\u2026\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "ibm1162": "cp1162",
      "csibm1162": "cp1162",
      "cp1163": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\u20AC\xA5\xA6\xA7\u0153\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u0178\xB5\xB6\xB7\u0152\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "ibm1163": "cp1163",
      "csibm1163": "cp1163",
      "maccroatian": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\u0160\u2122\xB4\xA8\u2260\u017D\xD8\u221E\xB1\u2264\u2265\u2206\xB5\u2202\u2211\u220F\u0161\u222B\xAA\xBA\u2126\u017E\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u0106\xAB\u010C\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u0110\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\uFFFD\xA9\u2044\xA4\u2039\u203A\xC6\xBB\u2013\xB7\u201A\u201E\u2030\xC2\u0107\xC1\u010D\xC8\xCD\xCE\xCF\xCC\xD3\xD4\u0111\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u03C0\xCB\u02DA\xB8\xCA\xE6\u02C7"
      },
      "maccyrillic": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u2020\xB0\xA2\xA3\xA7\u2022\xB6\u0406\xAE\xA9\u2122\u0402\u0452\u2260\u0403\u0453\u221E\xB1\u2264\u2265\u0456\xB5\u2202\u0408\u0404\u0454\u0407\u0457\u0409\u0459\u040A\u045A\u0458\u0405\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\u040B\u045B\u040C\u045C\u0455\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u201E\u040E\u045E\u040F\u045F\u2116\u0401\u0451\u044F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\xA4"
      },
      "macgreek": {
        "type": "_sbcs",
        "chars": "\xC4\xB9\xB2\xC9\xB3\xD6\xDC\u0385\xE0\xE2\xE4\u0384\xA8\xE7\xE9\xE8\xEA\xEB\xA3\u2122\xEE\xEF\u2022\xBD\u2030\xF4\xF6\xA6\xAD\xF9\xFB\xFC\u2020\u0393\u0394\u0398\u039B\u039E\u03A0\xDF\xAE\xA9\u03A3\u03AA\xA7\u2260\xB0\u0387\u0391\xB1\u2264\u2265\xA5\u0392\u0395\u0396\u0397\u0399\u039A\u039C\u03A6\u03AB\u03A8\u03A9\u03AC\u039D\xAC\u039F\u03A1\u2248\u03A4\xAB\xBB\u2026\xA0\u03A5\u03A7\u0386\u0388\u0153\u2013\u2015\u201C\u201D\u2018\u2019\xF7\u0389\u038A\u038C\u038E\u03AD\u03AE\u03AF\u03CC\u038F\u03CD\u03B1\u03B2\u03C8\u03B4\u03B5\u03C6\u03B3\u03B7\u03B9\u03BE\u03BA\u03BB\u03BC\u03BD\u03BF\u03C0\u03CE\u03C1\u03C3\u03C4\u03B8\u03C9\u03C2\u03C7\u03C5\u03B6\u03CA\u03CB\u0390\u03B0\uFFFD"
      },
      "maciceland": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\xDD\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\xD0\xF0\xDE\xFE\xFD\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macroman": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\uFB01\uFB02\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macromania": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\u0102\u015E\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\u0103\u015F\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\u0162\u0163\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macthai": {
        "type": "_sbcs",
        "chars": "\xAB\xBB\u2026\uF88C\uF88F\uF892\uF895\uF898\uF88B\uF88E\uF891\uF894\uF897\u201C\u201D\uF899\uFFFD\u2022\uF884\uF889\uF885\uF886\uF887\uF888\uF88A\uF88D\uF890\uF893\uF896\u2018\u2019\uFFFD\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFEFF\u200B\u2013\u2014\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u2122\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\xAE\xA9\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "macturkish": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u011E\u011F\u0130\u0131\u015E\u015F\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\uFFFD\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macukraine": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u2020\xB0\u0490\xA3\xA7\u2022\xB6\u0406\xAE\xA9\u2122\u0402\u0452\u2260\u0403\u0453\u221E\xB1\u2264\u2265\u0456\xB5\u0491\u0408\u0404\u0454\u0407\u0457\u0409\u0459\u040A\u045A\u0458\u0405\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\u040B\u045B\u040C\u045C\u0455\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u201E\u040E\u045E\u040F\u045F\u2116\u0401\u0451\u044F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\xA4"
      },
      "koi8r": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u2553\u2554\u2555\u2556\u2557\u2558\u2559\u255A\u255B\u255C\u255D\u255E\u255F\u2560\u2561\u0401\u2562\u2563\u2564\u2565\u2566\u2567\u2568\u2569\u256A\u256B\u256C\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8u": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u0454\u2554\u0456\u0457\u2557\u2558\u2559\u255A\u255B\u0491\u255D\u255E\u255F\u2560\u2561\u0401\u0404\u2563\u0406\u0407\u2566\u2567\u2568\u2569\u256A\u0490\u256C\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8ru": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u0454\u2554\u0456\u0457\u2557\u2558\u2559\u255A\u255B\u0491\u045E\u255E\u255F\u2560\u2561\u0401\u0404\u2563\u0406\u0407\u2566\u2567\u2568\u2569\u256A\u0490\u040E\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8t": {
        "type": "_sbcs",
        "chars": "\u049B\u0493\u201A\u0492\u201E\u2026\u2020\u2021\uFFFD\u2030\u04B3\u2039\u04B2\u04B7\u04B6\uFFFD\u049A\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u04EF\u04EE\u0451\xA4\u04E3\xA6\xA7\uFFFD\uFFFD\uFFFD\xAB\xAC\xAD\xAE\uFFFD\xB0\xB1\xB2\u0401\uFFFD\u04E2\xB6\xB7\uFFFD\u2116\uFFFD\xBB\uFFFD\uFFFD\uFFFD\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "armscii8": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\u0587\u0589)(\xBB\xAB\u2014.\u055D,-\u058A\u2026\u055C\u055B\u055E\u0531\u0561\u0532\u0562\u0533\u0563\u0534\u0564\u0535\u0565\u0536\u0566\u0537\u0567\u0538\u0568\u0539\u0569\u053A\u056A\u053B\u056B\u053C\u056C\u053D\u056D\u053E\u056E\u053F\u056F\u0540\u0570\u0541\u0571\u0542\u0572\u0543\u0573\u0544\u0574\u0545\u0575\u0546\u0576\u0547\u0577\u0548\u0578\u0549\u0579\u054A\u057A\u054B\u057B\u054C\u057C\u054D\u057D\u054E\u057E\u054F\u057F\u0550\u0580\u0551\u0581\u0552\u0582\u0553\u0583\u0554\u0584\u0555\u0585\u0556\u0586\u055A\uFFFD"
      },
      "rk1048": {
        "type": "_sbcs",
        "chars": "\u0402\u0403\u201A\u0453\u201E\u2026\u2020\u2021\u20AC\u2030\u0409\u2039\u040A\u049A\u04BA\u040F\u0452\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0459\u203A\u045A\u049B\u04BB\u045F\xA0\u04B0\u04B1\u04D8\xA4\u04E8\xA6\xA7\u0401\xA9\u0492\xAB\xAC\xAD\xAE\u04AE\xB0\xB1\u0406\u0456\u04E9\xB5\xB6\xB7\u0451\u2116\u0493\xBB\u04D9\u04A2\u04A3\u04AF\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "tcvn": {
        "type": "_sbcs",
        "chars": "\0\xDA\u1EE4\u1EEA\u1EEC\u1EEE\x07\b	\n\v\f\r\u1EE8\u1EF0\u1EF2\u1EF6\u1EF8\xDD\u1EF4\x1B !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\xC0\u1EA2\xC3\xC1\u1EA0\u1EB6\u1EAC\xC8\u1EBA\u1EBC\xC9\u1EB8\u1EC6\xCC\u1EC8\u0128\xCD\u1ECA\xD2\u1ECE\xD5\xD3\u1ECC\u1ED8\u1EDC\u1EDE\u1EE0\u1EDA\u1EE2\xD9\u1EE6\u0168\xA0\u0102\xC2\xCA\xD4\u01A0\u01AF\u0110\u0103\xE2\xEA\xF4\u01A1\u01B0\u0111\u1EB0\u0300\u0309\u0303\u0301\u0323\xE0\u1EA3\xE3\xE1\u1EA1\u1EB2\u1EB1\u1EB3\u1EB5\u1EAF\u1EB4\u1EAE\u1EA6\u1EA8\u1EAA\u1EA4\u1EC0\u1EB7\u1EA7\u1EA9\u1EAB\u1EA5\u1EAD\xE8\u1EC2\u1EBB\u1EBD\xE9\u1EB9\u1EC1\u1EC3\u1EC5\u1EBF\u1EC7\xEC\u1EC9\u1EC4\u1EBE\u1ED2\u0129\xED\u1ECB\xF2\u1ED4\u1ECF\xF5\xF3\u1ECD\u1ED3\u1ED5\u1ED7\u1ED1\u1ED9\u1EDD\u1EDF\u1EE1\u1EDB\u1EE3\xF9\u1ED6\u1EE7\u0169\xFA\u1EE5\u1EEB\u1EED\u1EEF\u1EE9\u1EF1\u1EF3\u1EF7\u1EF9\xFD\u1EF5\u1ED0"
      },
      "georgianacademy": {
        "type": "_sbcs",
        "chars": "\x80\x81\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\x9D\x9E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\u10D0\u10D1\u10D2\u10D3\u10D4\u10D5\u10D6\u10D7\u10D8\u10D9\u10DA\u10DB\u10DC\u10DD\u10DE\u10DF\u10E0\u10E1\u10E2\u10E3\u10E4\u10E5\u10E6\u10E7\u10E8\u10E9\u10EA\u10EB\u10EC\u10ED\u10EE\u10EF\u10F0\u10F1\u10F2\u10F3\u10F4\u10F5\u10F6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "georgianps": {
        "type": "_sbcs",
        "chars": "\x80\x81\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\x9D\x9E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\u10D0\u10D1\u10D2\u10D3\u10D4\u10D5\u10D6\u10F1\u10D7\u10D8\u10D9\u10DA\u10DB\u10DC\u10F2\u10DD\u10DE\u10DF\u10E0\u10E1\u10E2\u10F3\u10E3\u10E4\u10E5\u10E6\u10E7\u10E8\u10E9\u10EA\u10EB\u10EC\u10ED\u10EE\u10F4\u10EF\u10F0\u10F5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "pt154": {
        "type": "_sbcs",
        "chars": "\u0496\u0492\u04EE\u0493\u201E\u2026\u04B6\u04AE\u04B2\u04AF\u04A0\u04E2\u04A2\u049A\u04BA\u04B8\u0497\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u04B3\u04B7\u04A1\u04E3\u04A3\u049B\u04BB\u04B9\xA0\u040E\u045E\u0408\u04E8\u0498\u04B0\xA7\u0401\xA9\u04D8\xAB\xAC\u04EF\xAE\u049C\xB0\u04B1\u0406\u0456\u0499\u04E9\xB6\xB7\u0451\u2116\u04D9\xBB\u0458\u04AA\u04AB\u049D\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "viscii": {
        "type": "_sbcs",
        "chars": "\0\u1EB2\u1EB4\u1EAA\x07\b	\n\v\f\r\u1EF6\u1EF8\x1B\u1EF4 !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\u1EA0\u1EAE\u1EB0\u1EB6\u1EA4\u1EA6\u1EA8\u1EAC\u1EBC\u1EB8\u1EBE\u1EC0\u1EC2\u1EC4\u1EC6\u1ED0\u1ED2\u1ED4\u1ED6\u1ED8\u1EE2\u1EDA\u1EDC\u1EDE\u1ECA\u1ECE\u1ECC\u1EC8\u1EE6\u0168\u1EE4\u1EF2\xD5\u1EAF\u1EB1\u1EB7\u1EA5\u1EA7\u1EA9\u1EAD\u1EBD\u1EB9\u1EBF\u1EC1\u1EC3\u1EC5\u1EC7\u1ED1\u1ED3\u1ED5\u1ED7\u1EE0\u01A0\u1ED9\u1EDD\u1EDF\u1ECB\u1EF0\u1EE8\u1EEA\u1EEC\u01A1\u1EDB\u01AF\xC0\xC1\xC2\xC3\u1EA2\u0102\u1EB3\u1EB5\xC8\xC9\xCA\u1EBA\xCC\xCD\u0128\u1EF3\u0110\u1EE9\xD2\xD3\xD4\u1EA1\u1EF7\u1EEB\u1EED\xD9\xDA\u1EF9\u1EF5\xDD\u1EE1\u01B0\xE0\xE1\xE2\xE3\u1EA3\u0103\u1EEF\u1EAB\xE8\xE9\xEA\u1EBB\xEC\xED\u0129\u1EC9\u0111\u1EF1\xF2\xF3\xF4\xF5\u1ECF\u1ECD\u1EE5\xF9\xFA\u0169\u1EE7\xFD\u1EE3\u1EEE"
      },
      "iso646cn": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#\xA5%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}\u203E\x7F\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "iso646jp": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\xA5]^_`abcdefghijklmnopqrstuvwxyz{|}\u203E\x7F\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "hproman8": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xC0\xC2\xC8\xCA\xCB\xCE\xCF\xB4\u02CB\u02C6\xA8\u02DC\xD9\xDB\u20A4\xAF\xDD\xFD\xB0\xC7\xE7\xD1\xF1\xA1\xBF\xA4\xA3\xA5\xA7\u0192\xA2\xE2\xEA\xF4\xFB\xE1\xE9\xF3\xFA\xE0\xE8\xF2\xF9\xE4\xEB\xF6\xFC\xC5\xEE\xD8\xC6\xE5\xED\xF8\xE6\xC4\xEC\xD6\xDC\xC9\xEF\xDF\xD4\xC1\xC3\xE3\xD0\xF0\xCD\xCC\xD3\xD2\xD5\xF5\u0160\u0161\xDA\u0178\xFF\xDE\xFE\xB7\xB5\xB6\xBE\u2014\xBC\xBD\xAA\xBA\xAB\u25A0\xBB\xB1\uFFFD"
      },
      "macintosh": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\uFB01\uFB02\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "ascii": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "tis620": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      }
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/dbcs-codec.js
var require_dbcs_codec2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/dbcs-codec.js"(exports2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports2._dbcs = DBCSCodec;
    var UNASSIGNED = -1;
    var GB18030_CODE = -2;
    var SEQ_START = -10;
    var NODE_START = -1e3;
    var UNASSIGNED_NODE = new Array(256);
    var DEF_CHAR = -1;
    for (i4 = 0; i4 < 256; i4++)
      UNASSIGNED_NODE[i4] = UNASSIGNED;
    var i4;
    function DBCSCodec(codecOptions, iconv) {
      this.encodingName = codecOptions.encodingName;
      if (!codecOptions)
        throw new Error("DBCS codec is called without the data.");
      if (!codecOptions.table)
        throw new Error("Encoding '" + this.encodingName + "' has no data.");
      var mappingTable = codecOptions.table();
      this.decodeTables = [];
      this.decodeTables[0] = UNASSIGNED_NODE.slice(0);
      this.decodeTableSeq = [];
      for (var i7 = 0; i7 < mappingTable.length; i7++)
        this._addDecodeChunk(mappingTable[i7]);
      this.defaultCharUnicode = iconv.defaultCharUnicode;
      this.encodeTable = [];
      this.encodeTableSeq = [];
      var skipEncodeChars = {};
      if (codecOptions.encodeSkipVals)
        for (var i7 = 0; i7 < codecOptions.encodeSkipVals.length; i7++) {
          var val = codecOptions.encodeSkipVals[i7];
          if (typeof val === "number")
            skipEncodeChars[val] = true;
          else
            for (var j2 = val.from; j2 <= val.to; j2++)
              skipEncodeChars[j2] = true;
        }
      this._fillEncodeTable(0, 0, skipEncodeChars);
      if (codecOptions.encodeAdd) {
        for (var uChar in codecOptions.encodeAdd)
          if (Object.prototype.hasOwnProperty.call(codecOptions.encodeAdd, uChar))
            this._setEncodeChar(uChar.charCodeAt(0), codecOptions.encodeAdd[uChar]);
      }
      this.defCharSB = this.encodeTable[0][iconv.defaultCharSingleByte.charCodeAt(0)];
      if (this.defCharSB === UNASSIGNED)
        this.defCharSB = this.encodeTable[0]["?"];
      if (this.defCharSB === UNASSIGNED)
        this.defCharSB = "?".charCodeAt(0);
      if (typeof codecOptions.gb18030 === "function") {
        this.gb18030 = codecOptions.gb18030();
        var thirdByteNodeIdx = this.decodeTables.length;
        var thirdByteNode = this.decodeTables[thirdByteNodeIdx] = UNASSIGNED_NODE.slice(0);
        var fourthByteNodeIdx = this.decodeTables.length;
        var fourthByteNode = this.decodeTables[fourthByteNodeIdx] = UNASSIGNED_NODE.slice(0);
        for (var i7 = 129; i7 <= 254; i7++) {
          var secondByteNodeIdx = NODE_START - this.decodeTables[0][i7];
          var secondByteNode = this.decodeTables[secondByteNodeIdx];
          for (var j2 = 48; j2 <= 57; j2++)
            secondByteNode[j2] = NODE_START - thirdByteNodeIdx;
        }
        for (var i7 = 129; i7 <= 254; i7++)
          thirdByteNode[i7] = NODE_START - fourthByteNodeIdx;
        for (var i7 = 48; i7 <= 57; i7++)
          fourthByteNode[i7] = GB18030_CODE;
      }
    }
    DBCSCodec.prototype.encoder = DBCSEncoder;
    DBCSCodec.prototype.decoder = DBCSDecoder;
    DBCSCodec.prototype._getDecodeTrieNode = function(addr) {
      var bytes = [];
      for (; addr > 0; addr >>= 8)
        bytes.push(addr & 255);
      if (bytes.length == 0)
        bytes.push(0);
      var node = this.decodeTables[0];
      for (var i7 = bytes.length - 1; i7 > 0; i7--) {
        var val = node[bytes[i7]];
        if (val == UNASSIGNED) {
          node[bytes[i7]] = NODE_START - this.decodeTables.length;
          this.decodeTables.push(node = UNASSIGNED_NODE.slice(0));
        } else if (val <= NODE_START) {
          node = this.decodeTables[NODE_START - val];
        } else
          throw new Error("Overwrite byte in " + this.encodingName + ", addr: " + addr.toString(16));
      }
      return node;
    };
    DBCSCodec.prototype._addDecodeChunk = function(chunk) {
      var curAddr = parseInt(chunk[0], 16);
      var writeTable = this._getDecodeTrieNode(curAddr);
      curAddr = curAddr & 255;
      for (var k = 1; k < chunk.length; k++) {
        var part = chunk[k];
        if (typeof part === "string") {
          for (var l2 = 0; l2 < part.length; ) {
            var code = part.charCodeAt(l2++);
            if (55296 <= code && code < 56320) {
              var codeTrail = part.charCodeAt(l2++);
              if (56320 <= codeTrail && codeTrail < 57344)
                writeTable[curAddr++] = 65536 + (code - 55296) * 1024 + (codeTrail - 56320);
              else
                throw new Error("Incorrect surrogate pair in " + this.encodingName + " at chunk " + chunk[0]);
            } else if (4080 < code && code <= 4095) {
              var len = 4095 - code + 2;
              var seq2 = [];
              for (var m3 = 0; m3 < len; m3++)
                seq2.push(part.charCodeAt(l2++));
              writeTable[curAddr++] = SEQ_START - this.decodeTableSeq.length;
              this.decodeTableSeq.push(seq2);
            } else
              writeTable[curAddr++] = code;
          }
        } else if (typeof part === "number") {
          var charCode = writeTable[curAddr - 1] + 1;
          for (var l2 = 0; l2 < part; l2++)
            writeTable[curAddr++] = charCode++;
        } else
          throw new Error("Incorrect type '" + typeof part + "' given in " + this.encodingName + " at chunk " + chunk[0]);
      }
      if (curAddr > 255)
        throw new Error("Incorrect chunk in " + this.encodingName + " at addr " + chunk[0] + ": too long" + curAddr);
    };
    DBCSCodec.prototype._getEncodeBucket = function(uCode) {
      var high = uCode >> 8;
      if (this.encodeTable[high] === void 0)
        this.encodeTable[high] = UNASSIGNED_NODE.slice(0);
      return this.encodeTable[high];
    };
    DBCSCodec.prototype._setEncodeChar = function(uCode, dbcsCode) {
      var bucket = this._getEncodeBucket(uCode);
      var low = uCode & 255;
      if (bucket[low] <= SEQ_START)
        this.encodeTableSeq[SEQ_START - bucket[low]][DEF_CHAR] = dbcsCode;
      else if (bucket[low] == UNASSIGNED)
        bucket[low] = dbcsCode;
    };
    DBCSCodec.prototype._setEncodeSequence = function(seq2, dbcsCode) {
      var uCode = seq2[0];
      var bucket = this._getEncodeBucket(uCode);
      var low = uCode & 255;
      var node;
      if (bucket[low] <= SEQ_START) {
        node = this.encodeTableSeq[SEQ_START - bucket[low]];
      } else {
        node = {};
        if (bucket[low] !== UNASSIGNED)
          node[DEF_CHAR] = bucket[low];
        bucket[low] = SEQ_START - this.encodeTableSeq.length;
        this.encodeTableSeq.push(node);
      }
      for (var j2 = 1; j2 < seq2.length - 1; j2++) {
        var oldVal = node[uCode];
        if (typeof oldVal === "object")
          node = oldVal;
        else {
          node = node[uCode] = {};
          if (oldVal !== void 0)
            node[DEF_CHAR] = oldVal;
        }
      }
      uCode = seq2[seq2.length - 1];
      node[uCode] = dbcsCode;
    };
    DBCSCodec.prototype._fillEncodeTable = function(nodeIdx, prefix, skipEncodeChars) {
      var node = this.decodeTables[nodeIdx];
      for (var i7 = 0; i7 < 256; i7++) {
        var uCode = node[i7];
        var mbCode = prefix + i7;
        if (skipEncodeChars[mbCode])
          continue;
        if (uCode >= 0)
          this._setEncodeChar(uCode, mbCode);
        else if (uCode <= NODE_START)
          this._fillEncodeTable(NODE_START - uCode, mbCode << 8, skipEncodeChars);
        else if (uCode <= SEQ_START)
          this._setEncodeSequence(this.decodeTableSeq[SEQ_START - uCode], mbCode);
      }
    };
    function DBCSEncoder(options2, codec) {
      this.leadSurrogate = -1;
      this.seqObj = void 0;
      this.encodeTable = codec.encodeTable;
      this.encodeTableSeq = codec.encodeTableSeq;
      this.defaultCharSingleByte = codec.defCharSB;
      this.gb18030 = codec.gb18030;
    }
    DBCSEncoder.prototype.write = function(str) {
      var newBuf = Buffer2.alloc(str.length * (this.gb18030 ? 4 : 3)), leadSurrogate = this.leadSurrogate, seqObj = this.seqObj, nextChar = -1, i7 = 0, j2 = 0;
      while (true) {
        if (nextChar === -1) {
          if (i7 == str.length)
            break;
          var uCode = str.charCodeAt(i7++);
        } else {
          var uCode = nextChar;
          nextChar = -1;
        }
        if (55296 <= uCode && uCode < 57344) {
          if (uCode < 56320) {
            if (leadSurrogate === -1) {
              leadSurrogate = uCode;
              continue;
            } else {
              leadSurrogate = uCode;
              uCode = UNASSIGNED;
            }
          } else {
            if (leadSurrogate !== -1) {
              uCode = 65536 + (leadSurrogate - 55296) * 1024 + (uCode - 56320);
              leadSurrogate = -1;
            } else {
              uCode = UNASSIGNED;
            }
          }
        } else if (leadSurrogate !== -1) {
          nextChar = uCode;
          uCode = UNASSIGNED;
          leadSurrogate = -1;
        }
        var dbcsCode = UNASSIGNED;
        if (seqObj !== void 0 && uCode != UNASSIGNED) {
          var resCode = seqObj[uCode];
          if (typeof resCode === "object") {
            seqObj = resCode;
            continue;
          } else if (typeof resCode == "number") {
            dbcsCode = resCode;
          } else if (resCode == void 0) {
            resCode = seqObj[DEF_CHAR];
            if (resCode !== void 0) {
              dbcsCode = resCode;
              nextChar = uCode;
            } else {
            }
          }
          seqObj = void 0;
        } else if (uCode >= 0) {
          var subtable = this.encodeTable[uCode >> 8];
          if (subtable !== void 0)
            dbcsCode = subtable[uCode & 255];
          if (dbcsCode <= SEQ_START) {
            seqObj = this.encodeTableSeq[SEQ_START - dbcsCode];
            continue;
          }
          if (dbcsCode == UNASSIGNED && this.gb18030) {
            var idx = findIdx(this.gb18030.uChars, uCode);
            if (idx != -1) {
              var dbcsCode = this.gb18030.gbChars[idx] + (uCode - this.gb18030.uChars[idx]);
              newBuf[j2++] = 129 + Math.floor(dbcsCode / 12600);
              dbcsCode = dbcsCode % 12600;
              newBuf[j2++] = 48 + Math.floor(dbcsCode / 1260);
              dbcsCode = dbcsCode % 1260;
              newBuf[j2++] = 129 + Math.floor(dbcsCode / 10);
              dbcsCode = dbcsCode % 10;
              newBuf[j2++] = 48 + dbcsCode;
              continue;
            }
          }
        }
        if (dbcsCode === UNASSIGNED)
          dbcsCode = this.defaultCharSingleByte;
        if (dbcsCode < 256) {
          newBuf[j2++] = dbcsCode;
        } else if (dbcsCode < 65536) {
          newBuf[j2++] = dbcsCode >> 8;
          newBuf[j2++] = dbcsCode & 255;
        } else {
          newBuf[j2++] = dbcsCode >> 16;
          newBuf[j2++] = dbcsCode >> 8 & 255;
          newBuf[j2++] = dbcsCode & 255;
        }
      }
      this.seqObj = seqObj;
      this.leadSurrogate = leadSurrogate;
      return newBuf.slice(0, j2);
    };
    DBCSEncoder.prototype.end = function() {
      if (this.leadSurrogate === -1 && this.seqObj === void 0)
        return;
      var newBuf = Buffer2.alloc(10), j2 = 0;
      if (this.seqObj) {
        var dbcsCode = this.seqObj[DEF_CHAR];
        if (dbcsCode !== void 0) {
          if (dbcsCode < 256) {
            newBuf[j2++] = dbcsCode;
          } else {
            newBuf[j2++] = dbcsCode >> 8;
            newBuf[j2++] = dbcsCode & 255;
          }
        } else {
        }
        this.seqObj = void 0;
      }
      if (this.leadSurrogate !== -1) {
        newBuf[j2++] = this.defaultCharSingleByte;
        this.leadSurrogate = -1;
      }
      return newBuf.slice(0, j2);
    };
    DBCSEncoder.prototype.findIdx = findIdx;
    function DBCSDecoder(options2, codec) {
      this.nodeIdx = 0;
      this.prevBuf = Buffer2.alloc(0);
      this.decodeTables = codec.decodeTables;
      this.decodeTableSeq = codec.decodeTableSeq;
      this.defaultCharUnicode = codec.defaultCharUnicode;
      this.gb18030 = codec.gb18030;
    }
    DBCSDecoder.prototype.write = function(buf) {
      var newBuf = Buffer2.alloc(buf.length * 2), nodeIdx = this.nodeIdx, prevBuf = this.prevBuf, prevBufOffset = this.prevBuf.length, seqStart = -this.prevBuf.length, uCode;
      if (prevBufOffset > 0)
        prevBuf = Buffer2.concat([prevBuf, buf.slice(0, 10)]);
      for (var i7 = 0, j2 = 0; i7 < buf.length; i7++) {
        var curByte = i7 >= 0 ? buf[i7] : prevBuf[i7 + prevBufOffset];
        var uCode = this.decodeTables[nodeIdx][curByte];
        if (uCode >= 0) {
        } else if (uCode === UNASSIGNED) {
          i7 = seqStart;
          uCode = this.defaultCharUnicode.charCodeAt(0);
        } else if (uCode === GB18030_CODE) {
          var curSeq = seqStart >= 0 ? buf.slice(seqStart, i7 + 1) : prevBuf.slice(seqStart + prevBufOffset, i7 + 1 + prevBufOffset);
          var ptr = (curSeq[0] - 129) * 12600 + (curSeq[1] - 48) * 1260 + (curSeq[2] - 129) * 10 + (curSeq[3] - 48);
          var idx = findIdx(this.gb18030.gbChars, ptr);
          uCode = this.gb18030.uChars[idx] + ptr - this.gb18030.gbChars[idx];
        } else if (uCode <= NODE_START) {
          nodeIdx = NODE_START - uCode;
          continue;
        } else if (uCode <= SEQ_START) {
          var seq2 = this.decodeTableSeq[SEQ_START - uCode];
          for (var k = 0; k < seq2.length - 1; k++) {
            uCode = seq2[k];
            newBuf[j2++] = uCode & 255;
            newBuf[j2++] = uCode >> 8;
          }
          uCode = seq2[seq2.length - 1];
        } else
          throw new Error("iconv-lite internal error: invalid decoding table value " + uCode + " at " + nodeIdx + "/" + curByte);
        if (uCode > 65535) {
          uCode -= 65536;
          var uCodeLead = 55296 + Math.floor(uCode / 1024);
          newBuf[j2++] = uCodeLead & 255;
          newBuf[j2++] = uCodeLead >> 8;
          uCode = 56320 + uCode % 1024;
        }
        newBuf[j2++] = uCode & 255;
        newBuf[j2++] = uCode >> 8;
        nodeIdx = 0;
        seqStart = i7 + 1;
      }
      this.nodeIdx = nodeIdx;
      this.prevBuf = seqStart >= 0 ? buf.slice(seqStart) : prevBuf.slice(seqStart + prevBufOffset);
      return newBuf.slice(0, j2).toString("ucs2");
    };
    DBCSDecoder.prototype.end = function() {
      var ret = "";
      while (this.prevBuf.length > 0) {
        ret += this.defaultCharUnicode;
        var buf = this.prevBuf.slice(1);
        this.prevBuf = Buffer2.alloc(0);
        this.nodeIdx = 0;
        if (buf.length > 0)
          ret += this.write(buf);
      }
      this.nodeIdx = 0;
      return ret;
    };
    function findIdx(table, val) {
      if (table[0] > val)
        return -1;
      var l2 = 0, r2 = table.length;
      while (l2 < r2 - 1) {
        var mid = l2 + Math.floor((r2 - l2 + 1) / 2);
        if (table[mid] <= val)
          l2 = mid;
        else
          r2 = mid;
      }
      return l2;
    }
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/shiftjis.json
var require_shiftjis2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/shiftjis.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 128],
      ["a1", "\uFF61", 62],
      ["8140", "\u3000\u3001\u3002\uFF0C\uFF0E\u30FB\uFF1A\uFF1B\uFF1F\uFF01\u309B\u309C\xB4\uFF40\xA8\uFF3E\uFFE3\uFF3F\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\u2015\u2010\uFF0F\uFF3C\uFF5E\u2225\uFF5C\u2026\u2025\u2018\u2019\u201C\u201D\uFF08\uFF09\u3014\u3015\uFF3B\uFF3D\uFF5B\uFF5D\u3008", 9, "\uFF0B\uFF0D\xB1\xD7"],
      ["8180", "\xF7\uFF1D\u2260\uFF1C\uFF1E\u2266\u2267\u221E\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFFE5\uFF04\uFFE0\uFFE1\uFF05\uFF03\uFF06\uFF0A\uFF20\xA7\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u203B\u3012\u2192\u2190\u2191\u2193\u3013"],
      ["81b8", "\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229"],
      ["81c8", "\u2227\u2228\uFFE2\u21D2\u21D4\u2200\u2203"],
      ["81da", "\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C"],
      ["81f0", "\u212B\u2030\u266F\u266D\u266A\u2020\u2021\xB6"],
      ["81fc", "\u25EF"],
      ["824f", "\uFF10", 9],
      ["8260", "\uFF21", 25],
      ["8281", "\uFF41", 25],
      ["829f", "\u3041", 82],
      ["8340", "\u30A1", 62],
      ["8380", "\u30E0", 22],
      ["839f", "\u0391", 16, "\u03A3", 6],
      ["83bf", "\u03B1", 16, "\u03C3", 6],
      ["8440", "\u0410", 5, "\u0401\u0416", 25],
      ["8470", "\u0430", 5, "\u0451\u0436", 7],
      ["8480", "\u043E", 17],
      ["849f", "\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542"],
      ["8740", "\u2460", 19, "\u2160", 9],
      ["875f", "\u3349\u3314\u3322\u334D\u3318\u3327\u3303\u3336\u3351\u3357\u330D\u3326\u3323\u332B\u334A\u333B\u339C\u339D\u339E\u338E\u338F\u33C4\u33A1"],
      ["877e", "\u337B"],
      ["8780", "\u301D\u301F\u2116\u33CD\u2121\u32A4", 4, "\u3231\u3232\u3239\u337E\u337D\u337C\u2252\u2261\u222B\u222E\u2211\u221A\u22A5\u2220\u221F\u22BF\u2235\u2229\u222A"],
      ["889f", "\u4E9C\u5516\u5A03\u963F\u54C0\u611B\u6328\u59F6\u9022\u8475\u831C\u7A50\u60AA\u63E1\u6E25\u65ED\u8466\u82A6\u9BF5\u6893\u5727\u65A1\u6271\u5B9B\u59D0\u867B\u98F4\u7D62\u7DBE\u9B8E\u6216\u7C9F\u88B7\u5B89\u5EB5\u6309\u6697\u6848\u95C7\u978D\u674F\u4EE5\u4F0A\u4F4D\u4F9D\u5049\u56F2\u5937\u59D4\u5A01\u5C09\u60DF\u610F\u6170\u6613\u6905\u70BA\u754F\u7570\u79FB\u7DAD\u7DEF\u80C3\u840E\u8863\u8B02\u9055\u907A\u533B\u4E95\u4EA5\u57DF\u80B2\u90C1\u78EF\u4E00\u58F1\u6EA2\u9038\u7A32\u8328\u828B\u9C2F\u5141\u5370\u54BD\u54E1\u56E0\u59FB\u5F15\u98F2\u6DEB\u80E4\u852D"],
      ["8940", "\u9662\u9670\u96A0\u97FB\u540B\u53F3\u5B87\u70CF\u7FBD\u8FC2\u96E8\u536F\u9D5C\u7ABA\u4E11\u7893\u81FC\u6E26\u5618\u5504\u6B1D\u851A\u9C3B\u59E5\u53A9\u6D66\u74DC\u958F\u5642\u4E91\u904B\u96F2\u834F\u990C\u53E1\u55B6\u5B30\u5F71\u6620\u66F3\u6804\u6C38\u6CF3\u6D29\u745B\u76C8\u7A4E\u9834\u82F1\u885B\u8A60\u92ED\u6DB2\u75AB\u76CA\u99C5\u60A6\u8B01\u8D8A\u95B2\u698E\u53AD\u5186"],
      ["8980", "\u5712\u5830\u5944\u5BB4\u5EF6\u6028\u63A9\u63F4\u6CBF\u6F14\u708E\u7114\u7159\u71D5\u733F\u7E01\u8276\u82D1\u8597\u9060\u925B\u9D1B\u5869\u65BC\u6C5A\u7525\u51F9\u592E\u5965\u5F80\u5FDC\u62BC\u65FA\u6A2A\u6B27\u6BB4\u738B\u7FC1\u8956\u9D2C\u9D0E\u9EC4\u5CA1\u6C96\u837B\u5104\u5C4B\u61B6\u81C6\u6876\u7261\u4E59\u4FFA\u5378\u6069\u6E29\u7A4F\u97F3\u4E0B\u5316\u4EEE\u4F55\u4F3D\u4FA1\u4F73\u52A0\u53EF\u5609\u590F\u5AC1\u5BB6\u5BE1\u79D1\u6687\u679C\u67B6\u6B4C\u6CB3\u706B\u73C2\u798D\u79BE\u7A3C\u7B87\u82B1\u82DB\u8304\u8377\u83EF\u83D3\u8766\u8AB2\u5629\u8CA8\u8FE6\u904E\u971E\u868A\u4FC4\u5CE8\u6211\u7259\u753B\u81E5\u82BD\u86FE\u8CC0\u96C5\u9913\u99D5\u4ECB\u4F1A\u89E3\u56DE\u584A\u58CA\u5EFB\u5FEB\u602A\u6094\u6062\u61D0\u6212\u62D0\u6539"],
      ["8a40", "\u9B41\u6666\u68B0\u6D77\u7070\u754C\u7686\u7D75\u82A5\u87F9\u958B\u968E\u8C9D\u51F1\u52BE\u5916\u54B3\u5BB3\u5D16\u6168\u6982\u6DAF\u788D\u84CB\u8857\u8A72\u93A7\u9AB8\u6D6C\u99A8\u86D9\u57A3\u67FF\u86CE\u920E\u5283\u5687\u5404\u5ED3\u62E1\u64B9\u683C\u6838\u6BBB\u7372\u78BA\u7A6B\u899A\u89D2\u8D6B\u8F03\u90ED\u95A3\u9694\u9769\u5B66\u5CB3\u697D\u984D\u984E\u639B\u7B20\u6A2B"],
      ["8a80", "\u6A7F\u68B6\u9C0D\u6F5F\u5272\u559D\u6070\u62EC\u6D3B\u6E07\u6ED1\u845B\u8910\u8F44\u4E14\u9C39\u53F6\u691B\u6A3A\u9784\u682A\u515C\u7AC3\u84B2\u91DC\u938C\u565B\u9D28\u6822\u8305\u8431\u7CA5\u5208\u82C5\u74E6\u4E7E\u4F83\u51A0\u5BD2\u520A\u52D8\u52E7\u5DFB\u559A\u582A\u59E6\u5B8C\u5B98\u5BDB\u5E72\u5E79\u60A3\u611F\u6163\u61BE\u63DB\u6562\u67D1\u6853\u68FA\u6B3E\u6B53\u6C57\u6F22\u6F97\u6F45\u74B0\u7518\u76E3\u770B\u7AFF\u7BA1\u7C21\u7DE9\u7F36\u7FF0\u809D\u8266\u839E\u89B3\u8ACC\u8CAB\u9084\u9451\u9593\u9591\u95A2\u9665\u97D3\u9928\u8218\u4E38\u542B\u5CB8\u5DCC\u73A9\u764C\u773C\u5CA9\u7FEB\u8D0B\u96C1\u9811\u9854\u9858\u4F01\u4F0E\u5371\u559C\u5668\u57FA\u5947\u5B09\u5BC4\u5C90\u5E0C\u5E7E\u5FCC\u63EE\u673A\u65D7\u65E2\u671F\u68CB\u68C4"],
      ["8b40", "\u6A5F\u5E30\u6BC5\u6C17\u6C7D\u757F\u7948\u5B63\u7A00\u7D00\u5FBD\u898F\u8A18\u8CB4\u8D77\u8ECC\u8F1D\u98E2\u9A0E\u9B3C\u4E80\u507D\u5100\u5993\u5B9C\u622F\u6280\u64EC\u6B3A\u72A0\u7591\u7947\u7FA9\u87FB\u8ABC\u8B70\u63AC\u83CA\u97A0\u5409\u5403\u55AB\u6854\u6A58\u8A70\u7827\u6775\u9ECD\u5374\u5BA2\u811A\u8650\u9006\u4E18\u4E45\u4EC7\u4F11\u53CA\u5438\u5BAE\u5F13\u6025\u6551"],
      ["8b80", "\u673D\u6C42\u6C72\u6CE3\u7078\u7403\u7A76\u7AAE\u7B08\u7D1A\u7CFE\u7D66\u65E7\u725B\u53BB\u5C45\u5DE8\u62D2\u62E0\u6319\u6E20\u865A\u8A31\u8DDD\u92F8\u6F01\u79A6\u9B5A\u4EA8\u4EAB\u4EAC\u4F9B\u4FA0\u50D1\u5147\u7AF6\u5171\u51F6\u5354\u5321\u537F\u53EB\u55AC\u5883\u5CE1\u5F37\u5F4A\u602F\u6050\u606D\u631F\u6559\u6A4B\u6CC1\u72C2\u72ED\u77EF\u80F8\u8105\u8208\u854E\u90F7\u93E1\u97FF\u9957\u9A5A\u4EF0\u51DD\u5C2D\u6681\u696D\u5C40\u66F2\u6975\u7389\u6850\u7C81\u50C5\u52E4\u5747\u5DFE\u9326\u65A4\u6B23\u6B3D\u7434\u7981\u79BD\u7B4B\u7DCA\u82B9\u83CC\u887F\u895F\u8B39\u8FD1\u91D1\u541F\u9280\u4E5D\u5036\u53E5\u533A\u72D7\u7396\u77E9\u82E6\u8EAF\u99C6\u99C8\u99D2\u5177\u611A\u865E\u55B0\u7A7A\u5076\u5BD3\u9047\u9685\u4E32\u6ADB\u91E7\u5C51\u5C48"],
      ["8c40", "\u6398\u7A9F\u6C93\u9774\u8F61\u7AAA\u718A\u9688\u7C82\u6817\u7E70\u6851\u936C\u52F2\u541B\u85AB\u8A13\u7FA4\u8ECD\u90E1\u5366\u8888\u7941\u4FC2\u50BE\u5211\u5144\u5553\u572D\u73EA\u578B\u5951\u5F62\u5F84\u6075\u6176\u6167\u61A9\u63B2\u643A\u656C\u666F\u6842\u6E13\u7566\u7A3D\u7CFB\u7D4C\u7D99\u7E4B\u7F6B\u830E\u834A\u86CD\u8A08\u8A63\u8B66\u8EFD\u981A\u9D8F\u82B8\u8FCE\u9BE8"],
      ["8c80", "\u5287\u621F\u6483\u6FC0\u9699\u6841\u5091\u6B20\u6C7A\u6F54\u7A74\u7D50\u8840\u8A23\u6708\u4EF6\u5039\u5026\u5065\u517C\u5238\u5263\u55A7\u570F\u5805\u5ACC\u5EFA\u61B2\u61F8\u62F3\u6372\u691C\u6A29\u727D\u72AC\u732E\u7814\u786F\u7D79\u770C\u80A9\u898B\u8B19\u8CE2\u8ED2\u9063\u9375\u967A\u9855\u9A13\u9E78\u5143\u539F\u53B3\u5E7B\u5F26\u6E1B\u6E90\u7384\u73FE\u7D43\u8237\u8A00\u8AFA\u9650\u4E4E\u500B\u53E4\u547C\u56FA\u59D1\u5B64\u5DF1\u5EAB\u5F27\u6238\u6545\u67AF\u6E56\u72D0\u7CCA\u88B4\u80A1\u80E1\u83F0\u864E\u8A87\u8DE8\u9237\u96C7\u9867\u9F13\u4E94\u4E92\u4F0D\u5348\u5449\u543E\u5A2F\u5F8C\u5FA1\u609F\u68A7\u6A8E\u745A\u7881\u8A9E\u8AA4\u8B77\u9190\u4E5E\u9BC9\u4EA4\u4F7C\u4FAF\u5019\u5016\u5149\u516C\u529F\u52B9\u52FE\u539A\u53E3\u5411"],
      ["8d40", "\u540E\u5589\u5751\u57A2\u597D\u5B54\u5B5D\u5B8F\u5DE5\u5DE7\u5DF7\u5E78\u5E83\u5E9A\u5EB7\u5F18\u6052\u614C\u6297\u62D8\u63A7\u653B\u6602\u6643\u66F4\u676D\u6821\u6897\u69CB\u6C5F\u6D2A\u6D69\u6E2F\u6E9D\u7532\u7687\u786C\u7A3F\u7CE0\u7D05\u7D18\u7D5E\u7DB1\u8015\u8003\u80AF\u80B1\u8154\u818F\u822A\u8352\u884C\u8861\u8B1B\u8CA2\u8CFC\u90CA\u9175\u9271\u783F\u92FC\u95A4\u964D"],
      ["8d80", "\u9805\u9999\u9AD8\u9D3B\u525B\u52AB\u53F7\u5408\u58D5\u62F7\u6FE0\u8C6A\u8F5F\u9EB9\u514B\u523B\u544A\u56FD\u7A40\u9177\u9D60\u9ED2\u7344\u6F09\u8170\u7511\u5FFD\u60DA\u9AA8\u72DB\u8FBC\u6B64\u9803\u4ECA\u56F0\u5764\u58BE\u5A5A\u6068\u61C7\u660F\u6606\u6839\u68B1\u6DF7\u75D5\u7D3A\u826E\u9B42\u4E9B\u4F50\u53C9\u5506\u5D6F\u5DE6\u5DEE\u67FB\u6C99\u7473\u7802\u8A50\u9396\u88DF\u5750\u5EA7\u632B\u50B5\u50AC\u518D\u6700\u54C9\u585E\u59BB\u5BB0\u5F69\u624D\u63A1\u683D\u6B73\u6E08\u707D\u91C7\u7280\u7815\u7826\u796D\u658E\u7D30\u83DC\u88C1\u8F09\u969B\u5264\u5728\u6750\u7F6A\u8CA1\u51B4\u5742\u962A\u583A\u698A\u80B4\u54B2\u5D0E\u57FC\u7895\u9DFA\u4F5C\u524A\u548B\u643E\u6628\u6714\u67F5\u7A84\u7B56\u7D22\u932F\u685C\u9BAD\u7B39\u5319\u518A\u5237"],
      ["8e40", "\u5BDF\u62F6\u64AE\u64E6\u672D\u6BBA\u85A9\u96D1\u7690\u9BD6\u634C\u9306\u9BAB\u76BF\u6652\u4E09\u5098\u53C2\u5C71\u60E8\u6492\u6563\u685F\u71E6\u73CA\u7523\u7B97\u7E82\u8695\u8B83\u8CDB\u9178\u9910\u65AC\u66AB\u6B8B\u4ED5\u4ED4\u4F3A\u4F7F\u523A\u53F8\u53F2\u55E3\u56DB\u58EB\u59CB\u59C9\u59FF\u5B50\u5C4D\u5E02\u5E2B\u5FD7\u601D\u6307\u652F\u5B5C\u65AF\u65BD\u65E8\u679D\u6B62"],
      ["8e80", "\u6B7B\u6C0F\u7345\u7949\u79C1\u7CF8\u7D19\u7D2B\u80A2\u8102\u81F3\u8996\u8A5E\u8A69\u8A66\u8A8C\u8AEE\u8CC7\u8CDC\u96CC\u98FC\u6B6F\u4E8B\u4F3C\u4F8D\u5150\u5B57\u5BFA\u6148\u6301\u6642\u6B21\u6ECB\u6CBB\u723E\u74BD\u75D4\u78C1\u793A\u800C\u8033\u81EA\u8494\u8F9E\u6C50\u9E7F\u5F0F\u8B58\u9D2B\u7AFA\u8EF8\u5B8D\u96EB\u4E03\u53F1\u57F7\u5931\u5AC9\u5BA4\u6089\u6E7F\u6F06\u75BE\u8CEA\u5B9F\u8500\u7BE0\u5072\u67F4\u829D\u5C61\u854A\u7E1E\u820E\u5199\u5C04\u6368\u8D66\u659C\u716E\u793E\u7D17\u8005\u8B1D\u8ECA\u906E\u86C7\u90AA\u501F\u52FA\u5C3A\u6753\u707C\u7235\u914C\u91C8\u932B\u82E5\u5BC2\u5F31\u60F9\u4E3B\u53D6\u5B88\u624B\u6731\u6B8A\u72E9\u73E0\u7A2E\u816B\u8DA3\u9152\u9996\u5112\u53D7\u546A\u5BFF\u6388\u6A39\u7DAC\u9700\u56DA\u53CE\u5468"],
      ["8f40", "\u5B97\u5C31\u5DDE\u4FEE\u6101\u62FE\u6D32\u79C0\u79CB\u7D42\u7E4D\u7FD2\u81ED\u821F\u8490\u8846\u8972\u8B90\u8E74\u8F2F\u9031\u914B\u916C\u96C6\u919C\u4EC0\u4F4F\u5145\u5341\u5F93\u620E\u67D4\u6C41\u6E0B\u7363\u7E26\u91CD\u9283\u53D4\u5919\u5BBF\u6DD1\u795D\u7E2E\u7C9B\u587E\u719F\u51FA\u8853\u8FF0\u4FCA\u5CFB\u6625\u77AC\u7AE3\u821C\u99FF\u51C6\u5FAA\u65EC\u696F\u6B89\u6DF3"],
      ["8f80", "\u6E96\u6F64\u76FE\u7D14\u5DE1\u9075\u9187\u9806\u51E6\u521D\u6240\u6691\u66D9\u6E1A\u5EB6\u7DD2\u7F72\u66F8\u85AF\u85F7\u8AF8\u52A9\u53D9\u5973\u5E8F\u5F90\u6055\u92E4\u9664\u50B7\u511F\u52DD\u5320\u5347\u53EC\u54E8\u5546\u5531\u5617\u5968\u59BE\u5A3C\u5BB5\u5C06\u5C0F\u5C11\u5C1A\u5E84\u5E8A\u5EE0\u5F70\u627F\u6284\u62DB\u638C\u6377\u6607\u660C\u662D\u6676\u677E\u68A2\u6A1F\u6A35\u6CBC\u6D88\u6E09\u6E58\u713C\u7126\u7167\u75C7\u7701\u785D\u7901\u7965\u79F0\u7AE0\u7B11\u7CA7\u7D39\u8096\u83D6\u848B\u8549\u885D\u88F3\u8A1F\u8A3C\u8A54\u8A73\u8C61\u8CDE\u91A4\u9266\u937E\u9418\u969C\u9798\u4E0A\u4E08\u4E1E\u4E57\u5197\u5270\u57CE\u5834\u58CC\u5B22\u5E38\u60C5\u64FE\u6761\u6756\u6D44\u72B6\u7573\u7A63\u84B8\u8B72\u91B8\u9320\u5631\u57F4\u98FE"],
      ["9040", "\u62ED\u690D\u6B96\u71ED\u7E54\u8077\u8272\u89E6\u98DF\u8755\u8FB1\u5C3B\u4F38\u4FE1\u4FB5\u5507\u5A20\u5BDD\u5BE9\u5FC3\u614E\u632F\u65B0\u664B\u68EE\u699B\u6D78\u6DF1\u7533\u75B9\u771F\u795E\u79E6\u7D33\u81E3\u82AF\u85AA\u89AA\u8A3A\u8EAB\u8F9B\u9032\u91DD\u9707\u4EBA\u4EC1\u5203\u5875\u58EC\u5C0B\u751A\u5C3D\u814E\u8A0A\u8FC5\u9663\u976D\u7B25\u8ACF\u9808\u9162\u56F3\u53A8"],
      ["9080", "\u9017\u5439\u5782\u5E25\u63A8\u6C34\u708A\u7761\u7C8B\u7FE0\u8870\u9042\u9154\u9310\u9318\u968F\u745E\u9AC4\u5D07\u5D69\u6570\u67A2\u8DA8\u96DB\u636E\u6749\u6919\u83C5\u9817\u96C0\u88FE\u6F84\u647A\u5BF8\u4E16\u702C\u755D\u662F\u51C4\u5236\u52E2\u59D3\u5F81\u6027\u6210\u653F\u6574\u661F\u6674\u68F2\u6816\u6B63\u6E05\u7272\u751F\u76DB\u7CBE\u8056\u58F0\u88FD\u897F\u8AA0\u8A93\u8ACB\u901D\u9192\u9752\u9759\u6589\u7A0E\u8106\u96BB\u5E2D\u60DC\u621A\u65A5\u6614\u6790\u77F3\u7A4D\u7C4D\u7E3E\u810A\u8CAC\u8D64\u8DE1\u8E5F\u78A9\u5207\u62D9\u63A5\u6442\u6298\u8A2D\u7A83\u7BC0\u8AAC\u96EA\u7D76\u820C\u8749\u4ED9\u5148\u5343\u5360\u5BA3\u5C02\u5C16\u5DDD\u6226\u6247\u64B0\u6813\u6834\u6CC9\u6D45\u6D17\u67D3\u6F5C\u714E\u717D\u65CB\u7A7F\u7BAD\u7DDA"],
      ["9140", "\u7E4A\u7FA8\u817A\u821B\u8239\u85A6\u8A6E\u8CCE\u8DF5\u9078\u9077\u92AD\u9291\u9583\u9BAE\u524D\u5584\u6F38\u7136\u5168\u7985\u7E55\u81B3\u7CCE\u564C\u5851\u5CA8\u63AA\u66FE\u66FD\u695A\u72D9\u758F\u758E\u790E\u7956\u79DF\u7C97\u7D20\u7D44\u8607\u8A34\u963B\u9061\u9F20\u50E7\u5275\u53CC\u53E2\u5009\u55AA\u58EE\u594F\u723D\u5B8B\u5C64\u531D\u60E3\u60F3\u635C\u6383\u633F\u63BB"],
      ["9180", "\u64CD\u65E9\u66F9\u5DE3\u69CD\u69FD\u6F15\u71E5\u4E89\u75E9\u76F8\u7A93\u7CDF\u7DCF\u7D9C\u8061\u8349\u8358\u846C\u84BC\u85FB\u88C5\u8D70\u9001\u906D\u9397\u971C\u9A12\u50CF\u5897\u618E\u81D3\u8535\u8D08\u9020\u4FC3\u5074\u5247\u5373\u606F\u6349\u675F\u6E2C\u8DB3\u901F\u4FD7\u5C5E\u8CCA\u65CF\u7D9A\u5352\u8896\u5176\u63C3\u5B58\u5B6B\u5C0A\u640D\u6751\u905C\u4ED6\u591A\u592A\u6C70\u8A51\u553E\u5815\u59A5\u60F0\u6253\u67C1\u8235\u6955\u9640\u99C4\u9A28\u4F53\u5806\u5BFE\u8010\u5CB1\u5E2F\u5F85\u6020\u614B\u6234\u66FF\u6CF0\u6EDE\u80CE\u817F\u82D4\u888B\u8CB8\u9000\u902E\u968A\u9EDB\u9BDB\u4EE3\u53F0\u5927\u7B2C\u918D\u984C\u9DF9\u6EDD\u7027\u5353\u5544\u5B85\u6258\u629E\u62D3\u6CA2\u6FEF\u7422\u8A17\u9438\u6FC1\u8AFE\u8338\u51E7\u86F8\u53EA"],
      ["9240", "\u53E9\u4F46\u9054\u8FB0\u596A\u8131\u5DFD\u7AEA\u8FBF\u68DA\u8C37\u72F8\u9C48\u6A3D\u8AB0\u4E39\u5358\u5606\u5766\u62C5\u63A2\u65E6\u6B4E\u6DE1\u6E5B\u70AD\u77ED\u7AEF\u7BAA\u7DBB\u803D\u80C6\u86CB\u8A95\u935B\u56E3\u58C7\u5F3E\u65AD\u6696\u6A80\u6BB5\u7537\u8AC7\u5024\u77E5\u5730\u5F1B\u6065\u667A\u6C60\u75F4\u7A1A\u7F6E\u81F4\u8718\u9045\u99B3\u7BC9\u755C\u7AF9\u7B51\u84C4"],
      ["9280", "\u9010\u79E9\u7A92\u8336\u5AE1\u7740\u4E2D\u4EF2\u5B99\u5FE0\u62BD\u663C\u67F1\u6CE8\u866B\u8877\u8A3B\u914E\u92F3\u99D0\u6A17\u7026\u732A\u82E7\u8457\u8CAF\u4E01\u5146\u51CB\u558B\u5BF5\u5E16\u5E33\u5E81\u5F14\u5F35\u5F6B\u5FB4\u61F2\u6311\u66A2\u671D\u6F6E\u7252\u753A\u773A\u8074\u8139\u8178\u8776\u8ABF\u8ADC\u8D85\u8DF3\u929A\u9577\u9802\u9CE5\u52C5\u6357\u76F4\u6715\u6C88\u73CD\u8CC3\u93AE\u9673\u6D25\u589C\u690E\u69CC\u8FFD\u939A\u75DB\u901A\u585A\u6802\u63B4\u69FB\u4F43\u6F2C\u67D8\u8FBB\u8526\u7DB4\u9354\u693F\u6F70\u576A\u58F7\u5B2C\u7D2C\u722A\u540A\u91E3\u9DB4\u4EAD\u4F4E\u505C\u5075\u5243\u8C9E\u5448\u5824\u5B9A\u5E1D\u5E95\u5EAD\u5EF7\u5F1F\u608C\u62B5\u633A\u63D0\u68AF\u6C40\u7887\u798E\u7A0B\u7DE0\u8247\u8A02\u8AE6\u8E44\u9013"],
      ["9340", "\u90B8\u912D\u91D8\u9F0E\u6CE5\u6458\u64E2\u6575\u6EF4\u7684\u7B1B\u9069\u93D1\u6EBA\u54F2\u5FB9\u64A4\u8F4D\u8FED\u9244\u5178\u586B\u5929\u5C55\u5E97\u6DFB\u7E8F\u751C\u8CBC\u8EE2\u985B\u70B9\u4F1D\u6BBF\u6FB1\u7530\u96FB\u514E\u5410\u5835\u5857\u59AC\u5C60\u5F92\u6597\u675C\u6E21\u767B\u83DF\u8CED\u9014\u90FD\u934D\u7825\u783A\u52AA\u5EA6\u571F\u5974\u6012\u5012\u515A\u51AC"],
      ["9380", "\u51CD\u5200\u5510\u5854\u5858\u5957\u5B95\u5CF6\u5D8B\u60BC\u6295\u642D\u6771\u6843\u68BC\u68DF\u76D7\u6DD8\u6E6F\u6D9B\u706F\u71C8\u5F53\u75D8\u7977\u7B49\u7B54\u7B52\u7CD6\u7D71\u5230\u8463\u8569\u85E4\u8A0E\u8B04\u8C46\u8E0F\u9003\u900F\u9419\u9676\u982D\u9A30\u95D8\u50CD\u52D5\u540C\u5802\u5C0E\u61A7\u649E\u6D1E\u77B3\u7AE5\u80F4\u8404\u9053\u9285\u5CE0\u9D07\u533F\u5F97\u5FB3\u6D9C\u7279\u7763\u79BF\u7BE4\u6BD2\u72EC\u8AAD\u6803\u6A61\u51F8\u7A81\u6934\u5C4A\u9CF6\u82EB\u5BC5\u9149\u701E\u5678\u5C6F\u60C7\u6566\u6C8C\u8C5A\u9041\u9813\u5451\u66C7\u920D\u5948\u90A3\u5185\u4E4D\u51EA\u8599\u8B0E\u7058\u637A\u934B\u6962\u99B4\u7E04\u7577\u5357\u6960\u8EDF\u96E3\u6C5D\u4E8C\u5C3C\u5F10\u8FE9\u5302\u8CD1\u8089\u8679\u5EFF\u65E5\u4E73\u5165"],
      ["9440", "\u5982\u5C3F\u97EE\u4EFB\u598A\u5FCD\u8A8D\u6FE1\u79B0\u7962\u5BE7\u8471\u732B\u71B1\u5E74\u5FF5\u637B\u649A\u71C3\u7C98\u4E43\u5EFC\u4E4B\u57DC\u56A2\u60A9\u6FC3\u7D0D\u80FD\u8133\u81BF\u8FB2\u8997\u86A4\u5DF4\u628A\u64AD\u8987\u6777\u6CE2\u6D3E\u7436\u7834\u5A46\u7F75\u82AD\u99AC\u4FF3\u5EC3\u62DD\u6392\u6557\u676F\u76C3\u724C\u80CC\u80BA\u8F29\u914D\u500D\u57F9\u5A92\u6885"],
      ["9480", "\u6973\u7164\u72FD\u8CB7\u58F2\u8CE0\u966A\u9019\u877F\u79E4\u77E7\u8429\u4F2F\u5265\u535A\u62CD\u67CF\u6CCA\u767D\u7B94\u7C95\u8236\u8584\u8FEB\u66DD\u6F20\u7206\u7E1B\u83AB\u99C1\u9EA6\u51FD\u7BB1\u7872\u7BB8\u8087\u7B48\u6AE8\u5E61\u808C\u7551\u7560\u516B\u9262\u6E8C\u767A\u9197\u9AEA\u4F10\u7F70\u629C\u7B4F\u95A5\u9CE9\u567A\u5859\u86E4\u96BC\u4F34\u5224\u534A\u53CD\u53DB\u5E06\u642C\u6591\u677F\u6C3E\u6C4E\u7248\u72AF\u73ED\u7554\u7E41\u822C\u85E9\u8CA9\u7BC4\u91C6\u7169\u9812\u98EF\u633D\u6669\u756A\u76E4\u78D0\u8543\u86EE\u532A\u5351\u5426\u5983\u5E87\u5F7C\u60B2\u6249\u6279\u62AB\u6590\u6BD4\u6CCC\u75B2\u76AE\u7891\u79D8\u7DCB\u7F77\u80A5\u88AB\u8AB9\u8CBB\u907F\u975E\u98DB\u6A0B\u7C38\u5099\u5C3E\u5FAE\u6787\u6BD8\u7435\u7709\u7F8E"],
      ["9540", "\u9F3B\u67CA\u7A17\u5339\u758B\u9AED\u5F66\u819D\u83F1\u8098\u5F3C\u5FC5\u7562\u7B46\u903C\u6867\u59EB\u5A9B\u7D10\u767E\u8B2C\u4FF5\u5F6A\u6A19\u6C37\u6F02\u74E2\u7968\u8868\u8A55\u8C79\u5EDF\u63CF\u75C5\u79D2\u82D7\u9328\u92F2\u849C\u86ED\u9C2D\u54C1\u5F6C\u658C\u6D5C\u7015\u8CA7\u8CD3\u983B\u654F\u74F6\u4E0D\u4ED8\u57E0\u592B\u5A66\u5BCC\u51A8\u5E03\u5E9C\u6016\u6276\u6577"],
      ["9580", "\u65A7\u666E\u6D6E\u7236\u7B26\u8150\u819A\u8299\u8B5C\u8CA0\u8CE6\u8D74\u961C\u9644\u4FAE\u64AB\u6B66\u821E\u8461\u856A\u90E8\u5C01\u6953\u98A8\u847A\u8557\u4F0F\u526F\u5FA9\u5E45\u670D\u798F\u8179\u8907\u8986\u6DF5\u5F17\u6255\u6CB8\u4ECF\u7269\u9B92\u5206\u543B\u5674\u58B3\u61A4\u626E\u711A\u596E\u7C89\u7CDE\u7D1B\u96F0\u6587\u805E\u4E19\u4F75\u5175\u5840\u5E63\u5E73\u5F0A\u67C4\u4E26\u853D\u9589\u965B\u7C73\u9801\u50FB\u58C1\u7656\u78A7\u5225\u77A5\u8511\u7B86\u504F\u5909\u7247\u7BC7\u7DE8\u8FBA\u8FD4\u904D\u4FBF\u52C9\u5A29\u5F01\u97AD\u4FDD\u8217\u92EA\u5703\u6355\u6B69\u752B\u88DC\u8F14\u7A42\u52DF\u5893\u6155\u620A\u66AE\u6BCD\u7C3F\u83E9\u5023\u4FF8\u5305\u5446\u5831\u5949\u5B9D\u5CF0\u5CEF\u5D29\u5E96\u62B1\u6367\u653E\u65B9\u670B"],
      ["9640", "\u6CD5\u6CE1\u70F9\u7832\u7E2B\u80DE\u82B3\u840C\u84EC\u8702\u8912\u8A2A\u8C4A\u90A6\u92D2\u98FD\u9CF3\u9D6C\u4E4F\u4EA1\u508D\u5256\u574A\u59A8\u5E3D\u5FD8\u5FD9\u623F\u66B4\u671B\u67D0\u68D2\u5192\u7D21\u80AA\u81A8\u8B00\u8C8C\u8CBF\u927E\u9632\u5420\u982C\u5317\u50D5\u535C\u58A8\u64B2\u6734\u7267\u7766\u7A46\u91E6\u52C3\u6CA1\u6B86\u5800\u5E4C\u5954\u672C\u7FFB\u51E1\u76C6"],
      ["9680", "\u6469\u78E8\u9B54\u9EBB\u57CB\u59B9\u6627\u679A\u6BCE\u54E9\u69D9\u5E55\u819C\u6795\u9BAA\u67FE\u9C52\u685D\u4EA6\u4FE3\u53C8\u62B9\u672B\u6CAB\u8FC4\u4FAD\u7E6D\u9EBF\u4E07\u6162\u6E80\u6F2B\u8513\u5473\u672A\u9B45\u5DF3\u7B95\u5CAC\u5BC6\u871C\u6E4A\u84D1\u7A14\u8108\u5999\u7C8D\u6C11\u7720\u52D9\u5922\u7121\u725F\u77DB\u9727\u9D61\u690B\u5A7F\u5A18\u51A5\u540D\u547D\u660E\u76DF\u8FF7\u9298\u9CF4\u59EA\u725D\u6EC5\u514D\u68C9\u7DBF\u7DEC\u9762\u9EBA\u6478\u6A21\u8302\u5984\u5B5F\u6BDB\u731B\u76F2\u7DB2\u8017\u8499\u5132\u6728\u9ED9\u76EE\u6762\u52FF\u9905\u5C24\u623B\u7C7E\u8CB0\u554F\u60B6\u7D0B\u9580\u5301\u4E5F\u51B6\u591C\u723A\u8036\u91CE\u5F25\u77E2\u5384\u5F79\u7D04\u85AC\u8A33\u8E8D\u9756\u67F3\u85AE\u9453\u6109\u6108\u6CB9\u7652"],
      ["9740", "\u8AED\u8F38\u552F\u4F51\u512A\u52C7\u53CB\u5BA5\u5E7D\u60A0\u6182\u63D6\u6709\u67DA\u6E67\u6D8C\u7336\u7337\u7531\u7950\u88D5\u8A98\u904A\u9091\u90F5\u96C4\u878D\u5915\u4E88\u4F59\u4E0E\u8A89\u8F3F\u9810\u50AD\u5E7C\u5996\u5BB9\u5EB8\u63DA\u63FA\u64C1\u66DC\u694A\u69D8\u6D0B\u6EB6\u7194\u7528\u7AAF\u7F8A\u8000\u8449\u84C9\u8981\u8B21\u8E0A\u9065\u967D\u990A\u617E\u6291\u6B32"],
      ["9780", "\u6C83\u6D74\u7FCC\u7FFC\u6DC0\u7F85\u87BA\u88F8\u6765\u83B1\u983C\u96F7\u6D1B\u7D61\u843D\u916A\u4E71\u5375\u5D50\u6B04\u6FEB\u85CD\u862D\u89A7\u5229\u540F\u5C65\u674E\u68A8\u7406\u7483\u75E2\u88CF\u88E1\u91CC\u96E2\u9678\u5F8B\u7387\u7ACB\u844E\u63A0\u7565\u5289\u6D41\u6E9C\u7409\u7559\u786B\u7C92\u9686\u7ADC\u9F8D\u4FB6\u616E\u65C5\u865C\u4E86\u4EAE\u50DA\u4E21\u51CC\u5BEE\u6599\u6881\u6DBC\u731F\u7642\u77AD\u7A1C\u7CE7\u826F\u8AD2\u907C\u91CF\u9675\u9818\u529B\u7DD1\u502B\u5398\u6797\u6DCB\u71D0\u7433\u81E8\u8F2A\u96A3\u9C57\u9E9F\u7460\u5841\u6D99\u7D2F\u985E\u4EE4\u4F36\u4F8B\u51B7\u52B1\u5DBA\u601C\u73B2\u793C\u82D3\u9234\u96B7\u96F6\u970A\u9E97\u9F62\u66A6\u6B74\u5217\u52A3\u70C8\u88C2\u5EC9\u604B\u6190\u6F23\u7149\u7C3E\u7DF4\u806F"],
      ["9840", "\u84EE\u9023\u932C\u5442\u9B6F\u6AD3\u7089\u8CC2\u8DEF\u9732\u52B4\u5A41\u5ECA\u5F04\u6717\u697C\u6994\u6D6A\u6F0F\u7262\u72FC\u7BED\u8001\u807E\u874B\u90CE\u516D\u9E93\u7984\u808B\u9332\u8AD6\u502D\u548C\u8A71\u6B6A\u8CC4\u8107\u60D1\u67A0\u9DF2\u4E99\u4E98\u9C10\u8A6B\u85C1\u8568\u6900\u6E7E\u7897\u8155"],
      ["989f", "\u5F0C\u4E10\u4E15\u4E2A\u4E31\u4E36\u4E3C\u4E3F\u4E42\u4E56\u4E58\u4E82\u4E85\u8C6B\u4E8A\u8212\u5F0D\u4E8E\u4E9E\u4E9F\u4EA0\u4EA2\u4EB0\u4EB3\u4EB6\u4ECE\u4ECD\u4EC4\u4EC6\u4EC2\u4ED7\u4EDE\u4EED\u4EDF\u4EF7\u4F09\u4F5A\u4F30\u4F5B\u4F5D\u4F57\u4F47\u4F76\u4F88\u4F8F\u4F98\u4F7B\u4F69\u4F70\u4F91\u4F6F\u4F86\u4F96\u5118\u4FD4\u4FDF\u4FCE\u4FD8\u4FDB\u4FD1\u4FDA\u4FD0\u4FE4\u4FE5\u501A\u5028\u5014\u502A\u5025\u5005\u4F1C\u4FF6\u5021\u5029\u502C\u4FFE\u4FEF\u5011\u5006\u5043\u5047\u6703\u5055\u5050\u5048\u505A\u5056\u506C\u5078\u5080\u509A\u5085\u50B4\u50B2"],
      ["9940", "\u50C9\u50CA\u50B3\u50C2\u50D6\u50DE\u50E5\u50ED\u50E3\u50EE\u50F9\u50F5\u5109\u5101\u5102\u5116\u5115\u5114\u511A\u5121\u513A\u5137\u513C\u513B\u513F\u5140\u5152\u514C\u5154\u5162\u7AF8\u5169\u516A\u516E\u5180\u5182\u56D8\u518C\u5189\u518F\u5191\u5193\u5195\u5196\u51A4\u51A6\u51A2\u51A9\u51AA\u51AB\u51B3\u51B1\u51B2\u51B0\u51B5\u51BD\u51C5\u51C9\u51DB\u51E0\u8655\u51E9\u51ED"],
      ["9980", "\u51F0\u51F5\u51FE\u5204\u520B\u5214\u520E\u5227\u522A\u522E\u5233\u5239\u524F\u5244\u524B\u524C\u525E\u5254\u526A\u5274\u5269\u5273\u527F\u527D\u528D\u5294\u5292\u5271\u5288\u5291\u8FA8\u8FA7\u52AC\u52AD\u52BC\u52B5\u52C1\u52CD\u52D7\u52DE\u52E3\u52E6\u98ED\u52E0\u52F3\u52F5\u52F8\u52F9\u5306\u5308\u7538\u530D\u5310\u530F\u5315\u531A\u5323\u532F\u5331\u5333\u5338\u5340\u5346\u5345\u4E17\u5349\u534D\u51D6\u535E\u5369\u536E\u5918\u537B\u5377\u5382\u5396\u53A0\u53A6\u53A5\u53AE\u53B0\u53B6\u53C3\u7C12\u96D9\u53DF\u66FC\u71EE\u53EE\u53E8\u53ED\u53FA\u5401\u543D\u5440\u542C\u542D\u543C\u542E\u5436\u5429\u541D\u544E\u548F\u5475\u548E\u545F\u5471\u5477\u5470\u5492\u547B\u5480\u5476\u5484\u5490\u5486\u54C7\u54A2\u54B8\u54A5\u54AC\u54C4\u54C8\u54A8"],
      ["9a40", "\u54AB\u54C2\u54A4\u54BE\u54BC\u54D8\u54E5\u54E6\u550F\u5514\u54FD\u54EE\u54ED\u54FA\u54E2\u5539\u5540\u5563\u554C\u552E\u555C\u5545\u5556\u5557\u5538\u5533\u555D\u5599\u5580\u54AF\u558A\u559F\u557B\u557E\u5598\u559E\u55AE\u557C\u5583\u55A9\u5587\u55A8\u55DA\u55C5\u55DF\u55C4\u55DC\u55E4\u55D4\u5614\u55F7\u5616\u55FE\u55FD\u561B\u55F9\u564E\u5650\u71DF\u5634\u5636\u5632\u5638"],
      ["9a80", "\u566B\u5664\u562F\u566C\u566A\u5686\u5680\u568A\u56A0\u5694\u568F\u56A5\u56AE\u56B6\u56B4\u56C2\u56BC\u56C1\u56C3\u56C0\u56C8\u56CE\u56D1\u56D3\u56D7\u56EE\u56F9\u5700\u56FF\u5704\u5709\u5708\u570B\u570D\u5713\u5718\u5716\u55C7\u571C\u5726\u5737\u5738\u574E\u573B\u5740\u574F\u5769\u57C0\u5788\u5761\u577F\u5789\u5793\u57A0\u57B3\u57A4\u57AA\u57B0\u57C3\u57C6\u57D4\u57D2\u57D3\u580A\u57D6\u57E3\u580B\u5819\u581D\u5872\u5821\u5862\u584B\u5870\u6BC0\u5852\u583D\u5879\u5885\u58B9\u589F\u58AB\u58BA\u58DE\u58BB\u58B8\u58AE\u58C5\u58D3\u58D1\u58D7\u58D9\u58D8\u58E5\u58DC\u58E4\u58DF\u58EF\u58FA\u58F9\u58FB\u58FC\u58FD\u5902\u590A\u5910\u591B\u68A6\u5925\u592C\u592D\u5932\u5938\u593E\u7AD2\u5955\u5950\u594E\u595A\u5958\u5962\u5960\u5967\u596C\u5969"],
      ["9b40", "\u5978\u5981\u599D\u4F5E\u4FAB\u59A3\u59B2\u59C6\u59E8\u59DC\u598D\u59D9\u59DA\u5A25\u5A1F\u5A11\u5A1C\u5A09\u5A1A\u5A40\u5A6C\u5A49\u5A35\u5A36\u5A62\u5A6A\u5A9A\u5ABC\u5ABE\u5ACB\u5AC2\u5ABD\u5AE3\u5AD7\u5AE6\u5AE9\u5AD6\u5AFA\u5AFB\u5B0C\u5B0B\u5B16\u5B32\u5AD0\u5B2A\u5B36\u5B3E\u5B43\u5B45\u5B40\u5B51\u5B55\u5B5A\u5B5B\u5B65\u5B69\u5B70\u5B73\u5B75\u5B78\u6588\u5B7A\u5B80"],
      ["9b80", "\u5B83\u5BA6\u5BB8\u5BC3\u5BC7\u5BC9\u5BD4\u5BD0\u5BE4\u5BE6\u5BE2\u5BDE\u5BE5\u5BEB\u5BF0\u5BF6\u5BF3\u5C05\u5C07\u5C08\u5C0D\u5C13\u5C20\u5C22\u5C28\u5C38\u5C39\u5C41\u5C46\u5C4E\u5C53\u5C50\u5C4F\u5B71\u5C6C\u5C6E\u4E62\u5C76\u5C79\u5C8C\u5C91\u5C94\u599B\u5CAB\u5CBB\u5CB6\u5CBC\u5CB7\u5CC5\u5CBE\u5CC7\u5CD9\u5CE9\u5CFD\u5CFA\u5CED\u5D8C\u5CEA\u5D0B\u5D15\u5D17\u5D5C\u5D1F\u5D1B\u5D11\u5D14\u5D22\u5D1A\u5D19\u5D18\u5D4C\u5D52\u5D4E\u5D4B\u5D6C\u5D73\u5D76\u5D87\u5D84\u5D82\u5DA2\u5D9D\u5DAC\u5DAE\u5DBD\u5D90\u5DB7\u5DBC\u5DC9\u5DCD\u5DD3\u5DD2\u5DD6\u5DDB\u5DEB\u5DF2\u5DF5\u5E0B\u5E1A\u5E19\u5E11\u5E1B\u5E36\u5E37\u5E44\u5E43\u5E40\u5E4E\u5E57\u5E54\u5E5F\u5E62\u5E64\u5E47\u5E75\u5E76\u5E7A\u9EBC\u5E7F\u5EA0\u5EC1\u5EC2\u5EC8\u5ED0\u5ECF"],
      ["9c40", "\u5ED6\u5EE3\u5EDD\u5EDA\u5EDB\u5EE2\u5EE1\u5EE8\u5EE9\u5EEC\u5EF1\u5EF3\u5EF0\u5EF4\u5EF8\u5EFE\u5F03\u5F09\u5F5D\u5F5C\u5F0B\u5F11\u5F16\u5F29\u5F2D\u5F38\u5F41\u5F48\u5F4C\u5F4E\u5F2F\u5F51\u5F56\u5F57\u5F59\u5F61\u5F6D\u5F73\u5F77\u5F83\u5F82\u5F7F\u5F8A\u5F88\u5F91\u5F87\u5F9E\u5F99\u5F98\u5FA0\u5FA8\u5FAD\u5FBC\u5FD6\u5FFB\u5FE4\u5FF8\u5FF1\u5FDD\u60B3\u5FFF\u6021\u6060"],
      ["9c80", "\u6019\u6010\u6029\u600E\u6031\u601B\u6015\u602B\u6026\u600F\u603A\u605A\u6041\u606A\u6077\u605F\u604A\u6046\u604D\u6063\u6043\u6064\u6042\u606C\u606B\u6059\u6081\u608D\u60E7\u6083\u609A\u6084\u609B\u6096\u6097\u6092\u60A7\u608B\u60E1\u60B8\u60E0\u60D3\u60B4\u5FF0\u60BD\u60C6\u60B5\u60D8\u614D\u6115\u6106\u60F6\u60F7\u6100\u60F4\u60FA\u6103\u6121\u60FB\u60F1\u610D\u610E\u6147\u613E\u6128\u6127\u614A\u613F\u613C\u612C\u6134\u613D\u6142\u6144\u6173\u6177\u6158\u6159\u615A\u616B\u6174\u616F\u6165\u6171\u615F\u615D\u6153\u6175\u6199\u6196\u6187\u61AC\u6194\u619A\u618A\u6191\u61AB\u61AE\u61CC\u61CA\u61C9\u61F7\u61C8\u61C3\u61C6\u61BA\u61CB\u7F79\u61CD\u61E6\u61E3\u61F6\u61FA\u61F4\u61FF\u61FD\u61FC\u61FE\u6200\u6208\u6209\u620D\u620C\u6214\u621B"],
      ["9d40", "\u621E\u6221\u622A\u622E\u6230\u6232\u6233\u6241\u624E\u625E\u6263\u625B\u6260\u6268\u627C\u6282\u6289\u627E\u6292\u6293\u6296\u62D4\u6283\u6294\u62D7\u62D1\u62BB\u62CF\u62FF\u62C6\u64D4\u62C8\u62DC\u62CC\u62CA\u62C2\u62C7\u629B\u62C9\u630C\u62EE\u62F1\u6327\u6302\u6308\u62EF\u62F5\u6350\u633E\u634D\u641C\u634F\u6396\u638E\u6380\u63AB\u6376\u63A3\u638F\u6389\u639F\u63B5\u636B"],
      ["9d80", "\u6369\u63BE\u63E9\u63C0\u63C6\u63E3\u63C9\u63D2\u63F6\u63C4\u6416\u6434\u6406\u6413\u6426\u6436\u651D\u6417\u6428\u640F\u6467\u646F\u6476\u644E\u652A\u6495\u6493\u64A5\u64A9\u6488\u64BC\u64DA\u64D2\u64C5\u64C7\u64BB\u64D8\u64C2\u64F1\u64E7\u8209\u64E0\u64E1\u62AC\u64E3\u64EF\u652C\u64F6\u64F4\u64F2\u64FA\u6500\u64FD\u6518\u651C\u6505\u6524\u6523\u652B\u6534\u6535\u6537\u6536\u6538\u754B\u6548\u6556\u6555\u654D\u6558\u655E\u655D\u6572\u6578\u6582\u6583\u8B8A\u659B\u659F\u65AB\u65B7\u65C3\u65C6\u65C1\u65C4\u65CC\u65D2\u65DB\u65D9\u65E0\u65E1\u65F1\u6772\u660A\u6603\u65FB\u6773\u6635\u6636\u6634\u661C\u664F\u6644\u6649\u6641\u665E\u665D\u6664\u6667\u6668\u665F\u6662\u6670\u6683\u6688\u668E\u6689\u6684\u6698\u669D\u66C1\u66B9\u66C9\u66BE\u66BC"],
      ["9e40", "\u66C4\u66B8\u66D6\u66DA\u66E0\u663F\u66E6\u66E9\u66F0\u66F5\u66F7\u670F\u6716\u671E\u6726\u6727\u9738\u672E\u673F\u6736\u6741\u6738\u6737\u6746\u675E\u6760\u6759\u6763\u6764\u6789\u6770\u67A9\u677C\u676A\u678C\u678B\u67A6\u67A1\u6785\u67B7\u67EF\u67B4\u67EC\u67B3\u67E9\u67B8\u67E4\u67DE\u67DD\u67E2\u67EE\u67B9\u67CE\u67C6\u67E7\u6A9C\u681E\u6846\u6829\u6840\u684D\u6832\u684E"],
      ["9e80", "\u68B3\u682B\u6859\u6863\u6877\u687F\u689F\u688F\u68AD\u6894\u689D\u689B\u6883\u6AAE\u68B9\u6874\u68B5\u68A0\u68BA\u690F\u688D\u687E\u6901\u68CA\u6908\u68D8\u6922\u6926\u68E1\u690C\u68CD\u68D4\u68E7\u68D5\u6936\u6912\u6904\u68D7\u68E3\u6925\u68F9\u68E0\u68EF\u6928\u692A\u691A\u6923\u6921\u68C6\u6979\u6977\u695C\u6978\u696B\u6954\u697E\u696E\u6939\u6974\u693D\u6959\u6930\u6961\u695E\u695D\u6981\u696A\u69B2\u69AE\u69D0\u69BF\u69C1\u69D3\u69BE\u69CE\u5BE8\u69CA\u69DD\u69BB\u69C3\u69A7\u6A2E\u6991\u69A0\u699C\u6995\u69B4\u69DE\u69E8\u6A02\u6A1B\u69FF\u6B0A\u69F9\u69F2\u69E7\u6A05\u69B1\u6A1E\u69ED\u6A14\u69EB\u6A0A\u6A12\u6AC1\u6A23\u6A13\u6A44\u6A0C\u6A72\u6A36\u6A78\u6A47\u6A62\u6A59\u6A66\u6A48\u6A38\u6A22\u6A90\u6A8D\u6AA0\u6A84\u6AA2\u6AA3"],
      ["9f40", "\u6A97\u8617\u6ABB\u6AC3\u6AC2\u6AB8\u6AB3\u6AAC\u6ADE\u6AD1\u6ADF\u6AAA\u6ADA\u6AEA\u6AFB\u6B05\u8616\u6AFA\u6B12\u6B16\u9B31\u6B1F\u6B38\u6B37\u76DC\u6B39\u98EE\u6B47\u6B43\u6B49\u6B50\u6B59\u6B54\u6B5B\u6B5F\u6B61\u6B78\u6B79\u6B7F\u6B80\u6B84\u6B83\u6B8D\u6B98\u6B95\u6B9E\u6BA4\u6BAA\u6BAB\u6BAF\u6BB2\u6BB1\u6BB3\u6BB7\u6BBC\u6BC6\u6BCB\u6BD3\u6BDF\u6BEC\u6BEB\u6BF3\u6BEF"],
      ["9f80", "\u9EBE\u6C08\u6C13\u6C14\u6C1B\u6C24\u6C23\u6C5E\u6C55\u6C62\u6C6A\u6C82\u6C8D\u6C9A\u6C81\u6C9B\u6C7E\u6C68\u6C73\u6C92\u6C90\u6CC4\u6CF1\u6CD3\u6CBD\u6CD7\u6CC5\u6CDD\u6CAE\u6CB1\u6CBE\u6CBA\u6CDB\u6CEF\u6CD9\u6CEA\u6D1F\u884D\u6D36\u6D2B\u6D3D\u6D38\u6D19\u6D35\u6D33\u6D12\u6D0C\u6D63\u6D93\u6D64\u6D5A\u6D79\u6D59\u6D8E\u6D95\u6FE4\u6D85\u6DF9\u6E15\u6E0A\u6DB5\u6DC7\u6DE6\u6DB8\u6DC6\u6DEC\u6DDE\u6DCC\u6DE8\u6DD2\u6DC5\u6DFA\u6DD9\u6DE4\u6DD5\u6DEA\u6DEE\u6E2D\u6E6E\u6E2E\u6E19\u6E72\u6E5F\u6E3E\u6E23\u6E6B\u6E2B\u6E76\u6E4D\u6E1F\u6E43\u6E3A\u6E4E\u6E24\u6EFF\u6E1D\u6E38\u6E82\u6EAA\u6E98\u6EC9\u6EB7\u6ED3\u6EBD\u6EAF\u6EC4\u6EB2\u6ED4\u6ED5\u6E8F\u6EA5\u6EC2\u6E9F\u6F41\u6F11\u704C\u6EEC\u6EF8\u6EFE\u6F3F\u6EF2\u6F31\u6EEF\u6F32\u6ECC"],
      ["e040", "\u6F3E\u6F13\u6EF7\u6F86\u6F7A\u6F78\u6F81\u6F80\u6F6F\u6F5B\u6FF3\u6F6D\u6F82\u6F7C\u6F58\u6F8E\u6F91\u6FC2\u6F66\u6FB3\u6FA3\u6FA1\u6FA4\u6FB9\u6FC6\u6FAA\u6FDF\u6FD5\u6FEC\u6FD4\u6FD8\u6FF1\u6FEE\u6FDB\u7009\u700B\u6FFA\u7011\u7001\u700F\u6FFE\u701B\u701A\u6F74\u701D\u7018\u701F\u7030\u703E\u7032\u7051\u7063\u7099\u7092\u70AF\u70F1\u70AC\u70B8\u70B3\u70AE\u70DF\u70CB\u70DD"],
      ["e080", "\u70D9\u7109\u70FD\u711C\u7119\u7165\u7155\u7188\u7166\u7162\u714C\u7156\u716C\u718F\u71FB\u7184\u7195\u71A8\u71AC\u71D7\u71B9\u71BE\u71D2\u71C9\u71D4\u71CE\u71E0\u71EC\u71E7\u71F5\u71FC\u71F9\u71FF\u720D\u7210\u721B\u7228\u722D\u722C\u7230\u7232\u723B\u723C\u723F\u7240\u7246\u724B\u7258\u7274\u727E\u7282\u7281\u7287\u7292\u7296\u72A2\u72A7\u72B9\u72B2\u72C3\u72C6\u72C4\u72CE\u72D2\u72E2\u72E0\u72E1\u72F9\u72F7\u500F\u7317\u730A\u731C\u7316\u731D\u7334\u732F\u7329\u7325\u733E\u734E\u734F\u9ED8\u7357\u736A\u7368\u7370\u7378\u7375\u737B\u737A\u73C8\u73B3\u73CE\u73BB\u73C0\u73E5\u73EE\u73DE\u74A2\u7405\u746F\u7425\u73F8\u7432\u743A\u7455\u743F\u745F\u7459\u7441\u745C\u7469\u7470\u7463\u746A\u7476\u747E\u748B\u749E\u74A7\u74CA\u74CF\u74D4\u73F1"],
      ["e140", "\u74E0\u74E3\u74E7\u74E9\u74EE\u74F2\u74F0\u74F1\u74F8\u74F7\u7504\u7503\u7505\u750C\u750E\u750D\u7515\u7513\u751E\u7526\u752C\u753C\u7544\u754D\u754A\u7549\u755B\u7546\u755A\u7569\u7564\u7567\u756B\u756D\u7578\u7576\u7586\u7587\u7574\u758A\u7589\u7582\u7594\u759A\u759D\u75A5\u75A3\u75C2\u75B3\u75C3\u75B5\u75BD\u75B8\u75BC\u75B1\u75CD\u75CA\u75D2\u75D9\u75E3\u75DE\u75FE\u75FF"],
      ["e180", "\u75FC\u7601\u75F0\u75FA\u75F2\u75F3\u760B\u760D\u7609\u761F\u7627\u7620\u7621\u7622\u7624\u7634\u7630\u763B\u7647\u7648\u7646\u765C\u7658\u7661\u7662\u7668\u7669\u766A\u7667\u766C\u7670\u7672\u7676\u7678\u767C\u7680\u7683\u7688\u768B\u768E\u7696\u7693\u7699\u769A\u76B0\u76B4\u76B8\u76B9\u76BA\u76C2\u76CD\u76D6\u76D2\u76DE\u76E1\u76E5\u76E7\u76EA\u862F\u76FB\u7708\u7707\u7704\u7729\u7724\u771E\u7725\u7726\u771B\u7737\u7738\u7747\u775A\u7768\u776B\u775B\u7765\u777F\u777E\u7779\u778E\u778B\u7791\u77A0\u779E\u77B0\u77B6\u77B9\u77BF\u77BC\u77BD\u77BB\u77C7\u77CD\u77D7\u77DA\u77DC\u77E3\u77EE\u77FC\u780C\u7812\u7926\u7820\u792A\u7845\u788E\u7874\u7886\u787C\u789A\u788C\u78A3\u78B5\u78AA\u78AF\u78D1\u78C6\u78CB\u78D4\u78BE\u78BC\u78C5\u78CA\u78EC"],
      ["e240", "\u78E7\u78DA\u78FD\u78F4\u7907\u7912\u7911\u7919\u792C\u792B\u7940\u7960\u7957\u795F\u795A\u7955\u7953\u797A\u797F\u798A\u799D\u79A7\u9F4B\u79AA\u79AE\u79B3\u79B9\u79BA\u79C9\u79D5\u79E7\u79EC\u79E1\u79E3\u7A08\u7A0D\u7A18\u7A19\u7A20\u7A1F\u7980\u7A31\u7A3B\u7A3E\u7A37\u7A43\u7A57\u7A49\u7A61\u7A62\u7A69\u9F9D\u7A70\u7A79\u7A7D\u7A88\u7A97\u7A95\u7A98\u7A96\u7AA9\u7AC8\u7AB0"],
      ["e280", "\u7AB6\u7AC5\u7AC4\u7ABF\u9083\u7AC7\u7ACA\u7ACD\u7ACF\u7AD5\u7AD3\u7AD9\u7ADA\u7ADD\u7AE1\u7AE2\u7AE6\u7AED\u7AF0\u7B02\u7B0F\u7B0A\u7B06\u7B33\u7B18\u7B19\u7B1E\u7B35\u7B28\u7B36\u7B50\u7B7A\u7B04\u7B4D\u7B0B\u7B4C\u7B45\u7B75\u7B65\u7B74\u7B67\u7B70\u7B71\u7B6C\u7B6E\u7B9D\u7B98\u7B9F\u7B8D\u7B9C\u7B9A\u7B8B\u7B92\u7B8F\u7B5D\u7B99\u7BCB\u7BC1\u7BCC\u7BCF\u7BB4\u7BC6\u7BDD\u7BE9\u7C11\u7C14\u7BE6\u7BE5\u7C60\u7C00\u7C07\u7C13\u7BF3\u7BF7\u7C17\u7C0D\u7BF6\u7C23\u7C27\u7C2A\u7C1F\u7C37\u7C2B\u7C3D\u7C4C\u7C43\u7C54\u7C4F\u7C40\u7C50\u7C58\u7C5F\u7C64\u7C56\u7C65\u7C6C\u7C75\u7C83\u7C90\u7CA4\u7CAD\u7CA2\u7CAB\u7CA1\u7CA8\u7CB3\u7CB2\u7CB1\u7CAE\u7CB9\u7CBD\u7CC0\u7CC5\u7CC2\u7CD8\u7CD2\u7CDC\u7CE2\u9B3B\u7CEF\u7CF2\u7CF4\u7CF6\u7CFA\u7D06"],
      ["e340", "\u7D02\u7D1C\u7D15\u7D0A\u7D45\u7D4B\u7D2E\u7D32\u7D3F\u7D35\u7D46\u7D73\u7D56\u7D4E\u7D72\u7D68\u7D6E\u7D4F\u7D63\u7D93\u7D89\u7D5B\u7D8F\u7D7D\u7D9B\u7DBA\u7DAE\u7DA3\u7DB5\u7DC7\u7DBD\u7DAB\u7E3D\u7DA2\u7DAF\u7DDC\u7DB8\u7D9F\u7DB0\u7DD8\u7DDD\u7DE4\u7DDE\u7DFB\u7DF2\u7DE1\u7E05\u7E0A\u7E23\u7E21\u7E12\u7E31\u7E1F\u7E09\u7E0B\u7E22\u7E46\u7E66\u7E3B\u7E35\u7E39\u7E43\u7E37"],
      ["e380", "\u7E32\u7E3A\u7E67\u7E5D\u7E56\u7E5E\u7E59\u7E5A\u7E79\u7E6A\u7E69\u7E7C\u7E7B\u7E83\u7DD5\u7E7D\u8FAE\u7E7F\u7E88\u7E89\u7E8C\u7E92\u7E90\u7E93\u7E94\u7E96\u7E8E\u7E9B\u7E9C\u7F38\u7F3A\u7F45\u7F4C\u7F4D\u7F4E\u7F50\u7F51\u7F55\u7F54\u7F58\u7F5F\u7F60\u7F68\u7F69\u7F67\u7F78\u7F82\u7F86\u7F83\u7F88\u7F87\u7F8C\u7F94\u7F9E\u7F9D\u7F9A\u7FA3\u7FAF\u7FB2\u7FB9\u7FAE\u7FB6\u7FB8\u8B71\u7FC5\u7FC6\u7FCA\u7FD5\u7FD4\u7FE1\u7FE6\u7FE9\u7FF3\u7FF9\u98DC\u8006\u8004\u800B\u8012\u8018\u8019\u801C\u8021\u8028\u803F\u803B\u804A\u8046\u8052\u8058\u805A\u805F\u8062\u8068\u8073\u8072\u8070\u8076\u8079\u807D\u807F\u8084\u8086\u8085\u809B\u8093\u809A\u80AD\u5190\u80AC\u80DB\u80E5\u80D9\u80DD\u80C4\u80DA\u80D6\u8109\u80EF\u80F1\u811B\u8129\u8123\u812F\u814B"],
      ["e440", "\u968B\u8146\u813E\u8153\u8151\u80FC\u8171\u816E\u8165\u8166\u8174\u8183\u8188\u818A\u8180\u8182\u81A0\u8195\u81A4\u81A3\u815F\u8193\u81A9\u81B0\u81B5\u81BE\u81B8\u81BD\u81C0\u81C2\u81BA\u81C9\u81CD\u81D1\u81D9\u81D8\u81C8\u81DA\u81DF\u81E0\u81E7\u81FA\u81FB\u81FE\u8201\u8202\u8205\u8207\u820A\u820D\u8210\u8216\u8229\u822B\u8238\u8233\u8240\u8259\u8258\u825D\u825A\u825F\u8264"],
      ["e480", "\u8262\u8268\u826A\u826B\u822E\u8271\u8277\u8278\u827E\u828D\u8292\u82AB\u829F\u82BB\u82AC\u82E1\u82E3\u82DF\u82D2\u82F4\u82F3\u82FA\u8393\u8303\u82FB\u82F9\u82DE\u8306\u82DC\u8309\u82D9\u8335\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345\u832F\u832B\u8317\u8318\u8385\u839A\u83AA\u839F\u83A2\u8396\u8323\u838E\u8387\u838A\u837C\u83B5\u8373\u8375\u83A0\u8389\u83A8\u83F4\u8413\u83EB\u83CE\u83FD\u8403\u83D8\u840B\u83C1\u83F7\u8407\u83E0\u83F2\u840D\u8422\u8420\u83BD\u8438\u8506\u83FB\u846D\u842A\u843C\u855A\u8484\u8477\u846B\u84AD\u846E\u8482\u8469\u8446\u842C\u846F\u8479\u8435\u84CA\u8462\u84B9\u84BF\u849F\u84D9\u84CD\u84BB\u84DA\u84D0\u84C1\u84C6\u84D6\u84A1\u8521\u84FF\u84F4\u8517\u8518\u852C\u851F\u8515\u8514\u84FC\u8540\u8563\u8558\u8548"],
      ["e540", "\u8541\u8602\u854B\u8555\u8580\u85A4\u8588\u8591\u858A\u85A8\u856D\u8594\u859B\u85EA\u8587\u859C\u8577\u857E\u8590\u85C9\u85BA\u85CF\u85B9\u85D0\u85D5\u85DD\u85E5\u85DC\u85F9\u860A\u8613\u860B\u85FE\u85FA\u8606\u8622\u861A\u8630\u863F\u864D\u4E55\u8654\u865F\u8667\u8671\u8693\u86A3\u86A9\u86AA\u868B\u868C\u86B6\u86AF\u86C4\u86C6\u86B0\u86C9\u8823\u86AB\u86D4\u86DE\u86E9\u86EC"],
      ["e580", "\u86DF\u86DB\u86EF\u8712\u8706\u8708\u8700\u8703\u86FB\u8711\u8709\u870D\u86F9\u870A\u8734\u873F\u8737\u873B\u8725\u8729\u871A\u8760\u875F\u8778\u874C\u874E\u8774\u8757\u8768\u876E\u8759\u8753\u8763\u876A\u8805\u87A2\u879F\u8782\u87AF\u87CB\u87BD\u87C0\u87D0\u96D6\u87AB\u87C4\u87B3\u87C7\u87C6\u87BB\u87EF\u87F2\u87E0\u880F\u880D\u87FE\u87F6\u87F7\u880E\u87D2\u8811\u8816\u8815\u8822\u8821\u8831\u8836\u8839\u8827\u883B\u8844\u8842\u8852\u8859\u885E\u8862\u886B\u8881\u887E\u889E\u8875\u887D\u88B5\u8872\u8882\u8897\u8892\u88AE\u8899\u88A2\u888D\u88A4\u88B0\u88BF\u88B1\u88C3\u88C4\u88D4\u88D8\u88D9\u88DD\u88F9\u8902\u88FC\u88F4\u88E8\u88F2\u8904\u890C\u890A\u8913\u8943\u891E\u8925\u892A\u892B\u8941\u8944\u893B\u8936\u8938\u894C\u891D\u8960\u895E"],
      ["e640", "\u8966\u8964\u896D\u896A\u896F\u8974\u8977\u897E\u8983\u8988\u898A\u8993\u8998\u89A1\u89A9\u89A6\u89AC\u89AF\u89B2\u89BA\u89BD\u89BF\u89C0\u89DA\u89DC\u89DD\u89E7\u89F4\u89F8\u8A03\u8A16\u8A10\u8A0C\u8A1B\u8A1D\u8A25\u8A36\u8A41\u8A5B\u8A52\u8A46\u8A48\u8A7C\u8A6D\u8A6C\u8A62\u8A85\u8A82\u8A84\u8AA8\u8AA1\u8A91\u8AA5\u8AA6\u8A9A\u8AA3\u8AC4\u8ACD\u8AC2\u8ADA\u8AEB\u8AF3\u8AE7"],
      ["e680", "\u8AE4\u8AF1\u8B14\u8AE0\u8AE2\u8AF7\u8ADE\u8ADB\u8B0C\u8B07\u8B1A\u8AE1\u8B16\u8B10\u8B17\u8B20\u8B33\u97AB\u8B26\u8B2B\u8B3E\u8B28\u8B41\u8B4C\u8B4F\u8B4E\u8B49\u8B56\u8B5B\u8B5A\u8B6B\u8B5F\u8B6C\u8B6F\u8B74\u8B7D\u8B80\u8B8C\u8B8E\u8B92\u8B93\u8B96\u8B99\u8B9A\u8C3A\u8C41\u8C3F\u8C48\u8C4C\u8C4E\u8C50\u8C55\u8C62\u8C6C\u8C78\u8C7A\u8C82\u8C89\u8C85\u8C8A\u8C8D\u8C8E\u8C94\u8C7C\u8C98\u621D\u8CAD\u8CAA\u8CBD\u8CB2\u8CB3\u8CAE\u8CB6\u8CC8\u8CC1\u8CE4\u8CE3\u8CDA\u8CFD\u8CFA\u8CFB\u8D04\u8D05\u8D0A\u8D07\u8D0F\u8D0D\u8D10\u9F4E\u8D13\u8CCD\u8D14\u8D16\u8D67\u8D6D\u8D71\u8D73\u8D81\u8D99\u8DC2\u8DBE\u8DBA\u8DCF\u8DDA\u8DD6\u8DCC\u8DDB\u8DCB\u8DEA\u8DEB\u8DDF\u8DE3\u8DFC\u8E08\u8E09\u8DFF\u8E1D\u8E1E\u8E10\u8E1F\u8E42\u8E35\u8E30\u8E34\u8E4A"],
      ["e740", "\u8E47\u8E49\u8E4C\u8E50\u8E48\u8E59\u8E64\u8E60\u8E2A\u8E63\u8E55\u8E76\u8E72\u8E7C\u8E81\u8E87\u8E85\u8E84\u8E8B\u8E8A\u8E93\u8E91\u8E94\u8E99\u8EAA\u8EA1\u8EAC\u8EB0\u8EC6\u8EB1\u8EBE\u8EC5\u8EC8\u8ECB\u8EDB\u8EE3\u8EFC\u8EFB\u8EEB\u8EFE\u8F0A\u8F05\u8F15\u8F12\u8F19\u8F13\u8F1C\u8F1F\u8F1B\u8F0C\u8F26\u8F33\u8F3B\u8F39\u8F45\u8F42\u8F3E\u8F4C\u8F49\u8F46\u8F4E\u8F57\u8F5C"],
      ["e780", "\u8F62\u8F63\u8F64\u8F9C\u8F9F\u8FA3\u8FAD\u8FAF\u8FB7\u8FDA\u8FE5\u8FE2\u8FEA\u8FEF\u9087\u8FF4\u9005\u8FF9\u8FFA\u9011\u9015\u9021\u900D\u901E\u9016\u900B\u9027\u9036\u9035\u9039\u8FF8\u904F\u9050\u9051\u9052\u900E\u9049\u903E\u9056\u9058\u905E\u9068\u906F\u9076\u96A8\u9072\u9082\u907D\u9081\u9080\u908A\u9089\u908F\u90A8\u90AF\u90B1\u90B5\u90E2\u90E4\u6248\u90DB\u9102\u9112\u9119\u9132\u9130\u914A\u9156\u9158\u9163\u9165\u9169\u9173\u9172\u918B\u9189\u9182\u91A2\u91AB\u91AF\u91AA\u91B5\u91B4\u91BA\u91C0\u91C1\u91C9\u91CB\u91D0\u91D6\u91DF\u91E1\u91DB\u91FC\u91F5\u91F6\u921E\u91FF\u9214\u922C\u9215\u9211\u925E\u9257\u9245\u9249\u9264\u9248\u9295\u923F\u924B\u9250\u929C\u9296\u9293\u929B\u925A\u92CF\u92B9\u92B7\u92E9\u930F\u92FA\u9344\u932E"],
      ["e840", "\u9319\u9322\u931A\u9323\u933A\u9335\u933B\u935C\u9360\u937C\u936E\u9356\u93B0\u93AC\u93AD\u9394\u93B9\u93D6\u93D7\u93E8\u93E5\u93D8\u93C3\u93DD\u93D0\u93C8\u93E4\u941A\u9414\u9413\u9403\u9407\u9410\u9436\u942B\u9435\u9421\u943A\u9441\u9452\u9444\u945B\u9460\u9462\u945E\u946A\u9229\u9470\u9475\u9477\u947D\u945A\u947C\u947E\u9481\u947F\u9582\u9587\u958A\u9594\u9596\u9598\u9599"],
      ["e880", "\u95A0\u95A8\u95A7\u95AD\u95BC\u95BB\u95B9\u95BE\u95CA\u6FF6\u95C3\u95CD\u95CC\u95D5\u95D4\u95D6\u95DC\u95E1\u95E5\u95E2\u9621\u9628\u962E\u962F\u9642\u964C\u964F\u964B\u9677\u965C\u965E\u965D\u965F\u9666\u9672\u966C\u968D\u9698\u9695\u9697\u96AA\u96A7\u96B1\u96B2\u96B0\u96B4\u96B6\u96B8\u96B9\u96CE\u96CB\u96C9\u96CD\u894D\u96DC\u970D\u96D5\u96F9\u9704\u9706\u9708\u9713\u970E\u9711\u970F\u9716\u9719\u9724\u972A\u9730\u9739\u973D\u973E\u9744\u9746\u9748\u9742\u9749\u975C\u9760\u9764\u9766\u9768\u52D2\u976B\u9771\u9779\u9785\u977C\u9781\u977A\u9786\u978B\u978F\u9790\u979C\u97A8\u97A6\u97A3\u97B3\u97B4\u97C3\u97C6\u97C8\u97CB\u97DC\u97ED\u9F4F\u97F2\u7ADF\u97F6\u97F5\u980F\u980C\u9838\u9824\u9821\u9837\u983D\u9846\u984F\u984B\u986B\u986F\u9870"],
      ["e940", "\u9871\u9874\u9873\u98AA\u98AF\u98B1\u98B6\u98C4\u98C3\u98C6\u98E9\u98EB\u9903\u9909\u9912\u9914\u9918\u9921\u991D\u991E\u9924\u9920\u992C\u992E\u993D\u993E\u9942\u9949\u9945\u9950\u994B\u9951\u9952\u994C\u9955\u9997\u9998\u99A5\u99AD\u99AE\u99BC\u99DF\u99DB\u99DD\u99D8\u99D1\u99ED\u99EE\u99F1\u99F2\u99FB\u99F8\u9A01\u9A0F\u9A05\u99E2\u9A19\u9A2B\u9A37\u9A45\u9A42\u9A40\u9A43"],
      ["e980", "\u9A3E\u9A55\u9A4D\u9A5B\u9A57\u9A5F\u9A62\u9A65\u9A64\u9A69\u9A6B\u9A6A\u9AAD\u9AB0\u9ABC\u9AC0\u9ACF\u9AD1\u9AD3\u9AD4\u9ADE\u9ADF\u9AE2\u9AE3\u9AE6\u9AEF\u9AEB\u9AEE\u9AF4\u9AF1\u9AF7\u9AFB\u9B06\u9B18\u9B1A\u9B1F\u9B22\u9B23\u9B25\u9B27\u9B28\u9B29\u9B2A\u9B2E\u9B2F\u9B32\u9B44\u9B43\u9B4F\u9B4D\u9B4E\u9B51\u9B58\u9B74\u9B93\u9B83\u9B91\u9B96\u9B97\u9B9F\u9BA0\u9BA8\u9BB4\u9BC0\u9BCA\u9BB9\u9BC6\u9BCF\u9BD1\u9BD2\u9BE3\u9BE2\u9BE4\u9BD4\u9BE1\u9C3A\u9BF2\u9BF1\u9BF0\u9C15\u9C14\u9C09\u9C13\u9C0C\u9C06\u9C08\u9C12\u9C0A\u9C04\u9C2E\u9C1B\u9C25\u9C24\u9C21\u9C30\u9C47\u9C32\u9C46\u9C3E\u9C5A\u9C60\u9C67\u9C76\u9C78\u9CE7\u9CEC\u9CF0\u9D09\u9D08\u9CEB\u9D03\u9D06\u9D2A\u9D26\u9DAF\u9D23\u9D1F\u9D44\u9D15\u9D12\u9D41\u9D3F\u9D3E\u9D46\u9D48"],
      ["ea40", "\u9D5D\u9D5E\u9D64\u9D51\u9D50\u9D59\u9D72\u9D89\u9D87\u9DAB\u9D6F\u9D7A\u9D9A\u9DA4\u9DA9\u9DB2\u9DC4\u9DC1\u9DBB\u9DB8\u9DBA\u9DC6\u9DCF\u9DC2\u9DD9\u9DD3\u9DF8\u9DE6\u9DED\u9DEF\u9DFD\u9E1A\u9E1B\u9E1E\u9E75\u9E79\u9E7D\u9E81\u9E88\u9E8B\u9E8C\u9E92\u9E95\u9E91\u9E9D\u9EA5\u9EA9\u9EB8\u9EAA\u9EAD\u9761\u9ECC\u9ECE\u9ECF\u9ED0\u9ED4\u9EDC\u9EDE\u9EDD\u9EE0\u9EE5\u9EE8\u9EEF"],
      ["ea80", "\u9EF4\u9EF6\u9EF7\u9EF9\u9EFB\u9EFC\u9EFD\u9F07\u9F08\u76B7\u9F15\u9F21\u9F2C\u9F3E\u9F4A\u9F52\u9F54\u9F63\u9F5F\u9F60\u9F61\u9F66\u9F67\u9F6C\u9F6A\u9F77\u9F72\u9F76\u9F95\u9F9C\u9FA0\u582F\u69C7\u9059\u7464\u51DC\u7199"],
      ["ed40", "\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F"],
      ["ed80", "\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1"],
      ["ee40", "\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559"],
      ["ee80", "\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"],
      ["eeef", "\u2170", 9, "\uFFE2\uFFE4\uFF07\uFF02"],
      ["f040", "\uE000", 62],
      ["f080", "\uE03F", 124],
      ["f140", "\uE0BC", 62],
      ["f180", "\uE0FB", 124],
      ["f240", "\uE178", 62],
      ["f280", "\uE1B7", 124],
      ["f340", "\uE234", 62],
      ["f380", "\uE273", 124],
      ["f440", "\uE2F0", 62],
      ["f480", "\uE32F", 124],
      ["f540", "\uE3AC", 62],
      ["f580", "\uE3EB", 124],
      ["f640", "\uE468", 62],
      ["f680", "\uE4A7", 124],
      ["f740", "\uE524", 62],
      ["f780", "\uE563", 124],
      ["f840", "\uE5E0", 62],
      ["f880", "\uE61F", 124],
      ["f940", "\uE69C"],
      ["fa40", "\u2170", 9, "\u2160", 9, "\uFFE2\uFFE4\uFF07\uFF02\u3231\u2116\u2121\u2235\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A"],
      ["fa80", "\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F"],
      ["fb40", "\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19"],
      ["fb80", "\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9"],
      ["fc40", "\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/eucjp.json
var require_eucjp2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/eucjp.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["8ea1", "\uFF61", 62],
      ["a1a1", "\u3000\u3001\u3002\uFF0C\uFF0E\u30FB\uFF1A\uFF1B\uFF1F\uFF01\u309B\u309C\xB4\uFF40\xA8\uFF3E\uFFE3\uFF3F\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\u2015\u2010\uFF0F\uFF3C\uFF5E\u2225\uFF5C\u2026\u2025\u2018\u2019\u201C\u201D\uFF08\uFF09\u3014\u3015\uFF3B\uFF3D\uFF5B\uFF5D\u3008", 9, "\uFF0B\uFF0D\xB1\xD7\xF7\uFF1D\u2260\uFF1C\uFF1E\u2266\u2267\u221E\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFFE5\uFF04\uFFE0\uFFE1\uFF05\uFF03\uFF06\uFF0A\uFF20\xA7\u2606\u2605\u25CB\u25CF\u25CE\u25C7"],
      ["a2a1", "\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u203B\u3012\u2192\u2190\u2191\u2193\u3013"],
      ["a2ba", "\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229"],
      ["a2ca", "\u2227\u2228\uFFE2\u21D2\u21D4\u2200\u2203"],
      ["a2dc", "\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C"],
      ["a2f2", "\u212B\u2030\u266F\u266D\u266A\u2020\u2021\xB6"],
      ["a2fe", "\u25EF"],
      ["a3b0", "\uFF10", 9],
      ["a3c1", "\uFF21", 25],
      ["a3e1", "\uFF41", 25],
      ["a4a1", "\u3041", 82],
      ["a5a1", "\u30A1", 85],
      ["a6a1", "\u0391", 16, "\u03A3", 6],
      ["a6c1", "\u03B1", 16, "\u03C3", 6],
      ["a7a1", "\u0410", 5, "\u0401\u0416", 25],
      ["a7d1", "\u0430", 5, "\u0451\u0436", 25],
      ["a8a1", "\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542"],
      ["ada1", "\u2460", 19, "\u2160", 9],
      ["adc0", "\u3349\u3314\u3322\u334D\u3318\u3327\u3303\u3336\u3351\u3357\u330D\u3326\u3323\u332B\u334A\u333B\u339C\u339D\u339E\u338E\u338F\u33C4\u33A1"],
      ["addf", "\u337B\u301D\u301F\u2116\u33CD\u2121\u32A4", 4, "\u3231\u3232\u3239\u337E\u337D\u337C\u2252\u2261\u222B\u222E\u2211\u221A\u22A5\u2220\u221F\u22BF\u2235\u2229\u222A"],
      ["b0a1", "\u4E9C\u5516\u5A03\u963F\u54C0\u611B\u6328\u59F6\u9022\u8475\u831C\u7A50\u60AA\u63E1\u6E25\u65ED\u8466\u82A6\u9BF5\u6893\u5727\u65A1\u6271\u5B9B\u59D0\u867B\u98F4\u7D62\u7DBE\u9B8E\u6216\u7C9F\u88B7\u5B89\u5EB5\u6309\u6697\u6848\u95C7\u978D\u674F\u4EE5\u4F0A\u4F4D\u4F9D\u5049\u56F2\u5937\u59D4\u5A01\u5C09\u60DF\u610F\u6170\u6613\u6905\u70BA\u754F\u7570\u79FB\u7DAD\u7DEF\u80C3\u840E\u8863\u8B02\u9055\u907A\u533B\u4E95\u4EA5\u57DF\u80B2\u90C1\u78EF\u4E00\u58F1\u6EA2\u9038\u7A32\u8328\u828B\u9C2F\u5141\u5370\u54BD\u54E1\u56E0\u59FB\u5F15\u98F2\u6DEB\u80E4\u852D"],
      ["b1a1", "\u9662\u9670\u96A0\u97FB\u540B\u53F3\u5B87\u70CF\u7FBD\u8FC2\u96E8\u536F\u9D5C\u7ABA\u4E11\u7893\u81FC\u6E26\u5618\u5504\u6B1D\u851A\u9C3B\u59E5\u53A9\u6D66\u74DC\u958F\u5642\u4E91\u904B\u96F2\u834F\u990C\u53E1\u55B6\u5B30\u5F71\u6620\u66F3\u6804\u6C38\u6CF3\u6D29\u745B\u76C8\u7A4E\u9834\u82F1\u885B\u8A60\u92ED\u6DB2\u75AB\u76CA\u99C5\u60A6\u8B01\u8D8A\u95B2\u698E\u53AD\u5186\u5712\u5830\u5944\u5BB4\u5EF6\u6028\u63A9\u63F4\u6CBF\u6F14\u708E\u7114\u7159\u71D5\u733F\u7E01\u8276\u82D1\u8597\u9060\u925B\u9D1B\u5869\u65BC\u6C5A\u7525\u51F9\u592E\u5965\u5F80\u5FDC"],
      ["b2a1", "\u62BC\u65FA\u6A2A\u6B27\u6BB4\u738B\u7FC1\u8956\u9D2C\u9D0E\u9EC4\u5CA1\u6C96\u837B\u5104\u5C4B\u61B6\u81C6\u6876\u7261\u4E59\u4FFA\u5378\u6069\u6E29\u7A4F\u97F3\u4E0B\u5316\u4EEE\u4F55\u4F3D\u4FA1\u4F73\u52A0\u53EF\u5609\u590F\u5AC1\u5BB6\u5BE1\u79D1\u6687\u679C\u67B6\u6B4C\u6CB3\u706B\u73C2\u798D\u79BE\u7A3C\u7B87\u82B1\u82DB\u8304\u8377\u83EF\u83D3\u8766\u8AB2\u5629\u8CA8\u8FE6\u904E\u971E\u868A\u4FC4\u5CE8\u6211\u7259\u753B\u81E5\u82BD\u86FE\u8CC0\u96C5\u9913\u99D5\u4ECB\u4F1A\u89E3\u56DE\u584A\u58CA\u5EFB\u5FEB\u602A\u6094\u6062\u61D0\u6212\u62D0\u6539"],
      ["b3a1", "\u9B41\u6666\u68B0\u6D77\u7070\u754C\u7686\u7D75\u82A5\u87F9\u958B\u968E\u8C9D\u51F1\u52BE\u5916\u54B3\u5BB3\u5D16\u6168\u6982\u6DAF\u788D\u84CB\u8857\u8A72\u93A7\u9AB8\u6D6C\u99A8\u86D9\u57A3\u67FF\u86CE\u920E\u5283\u5687\u5404\u5ED3\u62E1\u64B9\u683C\u6838\u6BBB\u7372\u78BA\u7A6B\u899A\u89D2\u8D6B\u8F03\u90ED\u95A3\u9694\u9769\u5B66\u5CB3\u697D\u984D\u984E\u639B\u7B20\u6A2B\u6A7F\u68B6\u9C0D\u6F5F\u5272\u559D\u6070\u62EC\u6D3B\u6E07\u6ED1\u845B\u8910\u8F44\u4E14\u9C39\u53F6\u691B\u6A3A\u9784\u682A\u515C\u7AC3\u84B2\u91DC\u938C\u565B\u9D28\u6822\u8305\u8431"],
      ["b4a1", "\u7CA5\u5208\u82C5\u74E6\u4E7E\u4F83\u51A0\u5BD2\u520A\u52D8\u52E7\u5DFB\u559A\u582A\u59E6\u5B8C\u5B98\u5BDB\u5E72\u5E79\u60A3\u611F\u6163\u61BE\u63DB\u6562\u67D1\u6853\u68FA\u6B3E\u6B53\u6C57\u6F22\u6F97\u6F45\u74B0\u7518\u76E3\u770B\u7AFF\u7BA1\u7C21\u7DE9\u7F36\u7FF0\u809D\u8266\u839E\u89B3\u8ACC\u8CAB\u9084\u9451\u9593\u9591\u95A2\u9665\u97D3\u9928\u8218\u4E38\u542B\u5CB8\u5DCC\u73A9\u764C\u773C\u5CA9\u7FEB\u8D0B\u96C1\u9811\u9854\u9858\u4F01\u4F0E\u5371\u559C\u5668\u57FA\u5947\u5B09\u5BC4\u5C90\u5E0C\u5E7E\u5FCC\u63EE\u673A\u65D7\u65E2\u671F\u68CB\u68C4"],
      ["b5a1", "\u6A5F\u5E30\u6BC5\u6C17\u6C7D\u757F\u7948\u5B63\u7A00\u7D00\u5FBD\u898F\u8A18\u8CB4\u8D77\u8ECC\u8F1D\u98E2\u9A0E\u9B3C\u4E80\u507D\u5100\u5993\u5B9C\u622F\u6280\u64EC\u6B3A\u72A0\u7591\u7947\u7FA9\u87FB\u8ABC\u8B70\u63AC\u83CA\u97A0\u5409\u5403\u55AB\u6854\u6A58\u8A70\u7827\u6775\u9ECD\u5374\u5BA2\u811A\u8650\u9006\u4E18\u4E45\u4EC7\u4F11\u53CA\u5438\u5BAE\u5F13\u6025\u6551\u673D\u6C42\u6C72\u6CE3\u7078\u7403\u7A76\u7AAE\u7B08\u7D1A\u7CFE\u7D66\u65E7\u725B\u53BB\u5C45\u5DE8\u62D2\u62E0\u6319\u6E20\u865A\u8A31\u8DDD\u92F8\u6F01\u79A6\u9B5A\u4EA8\u4EAB\u4EAC"],
      ["b6a1", "\u4F9B\u4FA0\u50D1\u5147\u7AF6\u5171\u51F6\u5354\u5321\u537F\u53EB\u55AC\u5883\u5CE1\u5F37\u5F4A\u602F\u6050\u606D\u631F\u6559\u6A4B\u6CC1\u72C2\u72ED\u77EF\u80F8\u8105\u8208\u854E\u90F7\u93E1\u97FF\u9957\u9A5A\u4EF0\u51DD\u5C2D\u6681\u696D\u5C40\u66F2\u6975\u7389\u6850\u7C81\u50C5\u52E4\u5747\u5DFE\u9326\u65A4\u6B23\u6B3D\u7434\u7981\u79BD\u7B4B\u7DCA\u82B9\u83CC\u887F\u895F\u8B39\u8FD1\u91D1\u541F\u9280\u4E5D\u5036\u53E5\u533A\u72D7\u7396\u77E9\u82E6\u8EAF\u99C6\u99C8\u99D2\u5177\u611A\u865E\u55B0\u7A7A\u5076\u5BD3\u9047\u9685\u4E32\u6ADB\u91E7\u5C51\u5C48"],
      ["b7a1", "\u6398\u7A9F\u6C93\u9774\u8F61\u7AAA\u718A\u9688\u7C82\u6817\u7E70\u6851\u936C\u52F2\u541B\u85AB\u8A13\u7FA4\u8ECD\u90E1\u5366\u8888\u7941\u4FC2\u50BE\u5211\u5144\u5553\u572D\u73EA\u578B\u5951\u5F62\u5F84\u6075\u6176\u6167\u61A9\u63B2\u643A\u656C\u666F\u6842\u6E13\u7566\u7A3D\u7CFB\u7D4C\u7D99\u7E4B\u7F6B\u830E\u834A\u86CD\u8A08\u8A63\u8B66\u8EFD\u981A\u9D8F\u82B8\u8FCE\u9BE8\u5287\u621F\u6483\u6FC0\u9699\u6841\u5091\u6B20\u6C7A\u6F54\u7A74\u7D50\u8840\u8A23\u6708\u4EF6\u5039\u5026\u5065\u517C\u5238\u5263\u55A7\u570F\u5805\u5ACC\u5EFA\u61B2\u61F8\u62F3\u6372"],
      ["b8a1", "\u691C\u6A29\u727D\u72AC\u732E\u7814\u786F\u7D79\u770C\u80A9\u898B\u8B19\u8CE2\u8ED2\u9063\u9375\u967A\u9855\u9A13\u9E78\u5143\u539F\u53B3\u5E7B\u5F26\u6E1B\u6E90\u7384\u73FE\u7D43\u8237\u8A00\u8AFA\u9650\u4E4E\u500B\u53E4\u547C\u56FA\u59D1\u5B64\u5DF1\u5EAB\u5F27\u6238\u6545\u67AF\u6E56\u72D0\u7CCA\u88B4\u80A1\u80E1\u83F0\u864E\u8A87\u8DE8\u9237\u96C7\u9867\u9F13\u4E94\u4E92\u4F0D\u5348\u5449\u543E\u5A2F\u5F8C\u5FA1\u609F\u68A7\u6A8E\u745A\u7881\u8A9E\u8AA4\u8B77\u9190\u4E5E\u9BC9\u4EA4\u4F7C\u4FAF\u5019\u5016\u5149\u516C\u529F\u52B9\u52FE\u539A\u53E3\u5411"],
      ["b9a1", "\u540E\u5589\u5751\u57A2\u597D\u5B54\u5B5D\u5B8F\u5DE5\u5DE7\u5DF7\u5E78\u5E83\u5E9A\u5EB7\u5F18\u6052\u614C\u6297\u62D8\u63A7\u653B\u6602\u6643\u66F4\u676D\u6821\u6897\u69CB\u6C5F\u6D2A\u6D69\u6E2F\u6E9D\u7532\u7687\u786C\u7A3F\u7CE0\u7D05\u7D18\u7D5E\u7DB1\u8015\u8003\u80AF\u80B1\u8154\u818F\u822A\u8352\u884C\u8861\u8B1B\u8CA2\u8CFC\u90CA\u9175\u9271\u783F\u92FC\u95A4\u964D\u9805\u9999\u9AD8\u9D3B\u525B\u52AB\u53F7\u5408\u58D5\u62F7\u6FE0\u8C6A\u8F5F\u9EB9\u514B\u523B\u544A\u56FD\u7A40\u9177\u9D60\u9ED2\u7344\u6F09\u8170\u7511\u5FFD\u60DA\u9AA8\u72DB\u8FBC"],
      ["baa1", "\u6B64\u9803\u4ECA\u56F0\u5764\u58BE\u5A5A\u6068\u61C7\u660F\u6606\u6839\u68B1\u6DF7\u75D5\u7D3A\u826E\u9B42\u4E9B\u4F50\u53C9\u5506\u5D6F\u5DE6\u5DEE\u67FB\u6C99\u7473\u7802\u8A50\u9396\u88DF\u5750\u5EA7\u632B\u50B5\u50AC\u518D\u6700\u54C9\u585E\u59BB\u5BB0\u5F69\u624D\u63A1\u683D\u6B73\u6E08\u707D\u91C7\u7280\u7815\u7826\u796D\u658E\u7D30\u83DC\u88C1\u8F09\u969B\u5264\u5728\u6750\u7F6A\u8CA1\u51B4\u5742\u962A\u583A\u698A\u80B4\u54B2\u5D0E\u57FC\u7895\u9DFA\u4F5C\u524A\u548B\u643E\u6628\u6714\u67F5\u7A84\u7B56\u7D22\u932F\u685C\u9BAD\u7B39\u5319\u518A\u5237"],
      ["bba1", "\u5BDF\u62F6\u64AE\u64E6\u672D\u6BBA\u85A9\u96D1\u7690\u9BD6\u634C\u9306\u9BAB\u76BF\u6652\u4E09\u5098\u53C2\u5C71\u60E8\u6492\u6563\u685F\u71E6\u73CA\u7523\u7B97\u7E82\u8695\u8B83\u8CDB\u9178\u9910\u65AC\u66AB\u6B8B\u4ED5\u4ED4\u4F3A\u4F7F\u523A\u53F8\u53F2\u55E3\u56DB\u58EB\u59CB\u59C9\u59FF\u5B50\u5C4D\u5E02\u5E2B\u5FD7\u601D\u6307\u652F\u5B5C\u65AF\u65BD\u65E8\u679D\u6B62\u6B7B\u6C0F\u7345\u7949\u79C1\u7CF8\u7D19\u7D2B\u80A2\u8102\u81F3\u8996\u8A5E\u8A69\u8A66\u8A8C\u8AEE\u8CC7\u8CDC\u96CC\u98FC\u6B6F\u4E8B\u4F3C\u4F8D\u5150\u5B57\u5BFA\u6148\u6301\u6642"],
      ["bca1", "\u6B21\u6ECB\u6CBB\u723E\u74BD\u75D4\u78C1\u793A\u800C\u8033\u81EA\u8494\u8F9E\u6C50\u9E7F\u5F0F\u8B58\u9D2B\u7AFA\u8EF8\u5B8D\u96EB\u4E03\u53F1\u57F7\u5931\u5AC9\u5BA4\u6089\u6E7F\u6F06\u75BE\u8CEA\u5B9F\u8500\u7BE0\u5072\u67F4\u829D\u5C61\u854A\u7E1E\u820E\u5199\u5C04\u6368\u8D66\u659C\u716E\u793E\u7D17\u8005\u8B1D\u8ECA\u906E\u86C7\u90AA\u501F\u52FA\u5C3A\u6753\u707C\u7235\u914C\u91C8\u932B\u82E5\u5BC2\u5F31\u60F9\u4E3B\u53D6\u5B88\u624B\u6731\u6B8A\u72E9\u73E0\u7A2E\u816B\u8DA3\u9152\u9996\u5112\u53D7\u546A\u5BFF\u6388\u6A39\u7DAC\u9700\u56DA\u53CE\u5468"],
      ["bda1", "\u5B97\u5C31\u5DDE\u4FEE\u6101\u62FE\u6D32\u79C0\u79CB\u7D42\u7E4D\u7FD2\u81ED\u821F\u8490\u8846\u8972\u8B90\u8E74\u8F2F\u9031\u914B\u916C\u96C6\u919C\u4EC0\u4F4F\u5145\u5341\u5F93\u620E\u67D4\u6C41\u6E0B\u7363\u7E26\u91CD\u9283\u53D4\u5919\u5BBF\u6DD1\u795D\u7E2E\u7C9B\u587E\u719F\u51FA\u8853\u8FF0\u4FCA\u5CFB\u6625\u77AC\u7AE3\u821C\u99FF\u51C6\u5FAA\u65EC\u696F\u6B89\u6DF3\u6E96\u6F64\u76FE\u7D14\u5DE1\u9075\u9187\u9806\u51E6\u521D\u6240\u6691\u66D9\u6E1A\u5EB6\u7DD2\u7F72\u66F8\u85AF\u85F7\u8AF8\u52A9\u53D9\u5973\u5E8F\u5F90\u6055\u92E4\u9664\u50B7\u511F"],
      ["bea1", "\u52DD\u5320\u5347\u53EC\u54E8\u5546\u5531\u5617\u5968\u59BE\u5A3C\u5BB5\u5C06\u5C0F\u5C11\u5C1A\u5E84\u5E8A\u5EE0\u5F70\u627F\u6284\u62DB\u638C\u6377\u6607\u660C\u662D\u6676\u677E\u68A2\u6A1F\u6A35\u6CBC\u6D88\u6E09\u6E58\u713C\u7126\u7167\u75C7\u7701\u785D\u7901\u7965\u79F0\u7AE0\u7B11\u7CA7\u7D39\u8096\u83D6\u848B\u8549\u885D\u88F3\u8A1F\u8A3C\u8A54\u8A73\u8C61\u8CDE\u91A4\u9266\u937E\u9418\u969C\u9798\u4E0A\u4E08\u4E1E\u4E57\u5197\u5270\u57CE\u5834\u58CC\u5B22\u5E38\u60C5\u64FE\u6761\u6756\u6D44\u72B6\u7573\u7A63\u84B8\u8B72\u91B8\u9320\u5631\u57F4\u98FE"],
      ["bfa1", "\u62ED\u690D\u6B96\u71ED\u7E54\u8077\u8272\u89E6\u98DF\u8755\u8FB1\u5C3B\u4F38\u4FE1\u4FB5\u5507\u5A20\u5BDD\u5BE9\u5FC3\u614E\u632F\u65B0\u664B\u68EE\u699B\u6D78\u6DF1\u7533\u75B9\u771F\u795E\u79E6\u7D33\u81E3\u82AF\u85AA\u89AA\u8A3A\u8EAB\u8F9B\u9032\u91DD\u9707\u4EBA\u4EC1\u5203\u5875\u58EC\u5C0B\u751A\u5C3D\u814E\u8A0A\u8FC5\u9663\u976D\u7B25\u8ACF\u9808\u9162\u56F3\u53A8\u9017\u5439\u5782\u5E25\u63A8\u6C34\u708A\u7761\u7C8B\u7FE0\u8870\u9042\u9154\u9310\u9318\u968F\u745E\u9AC4\u5D07\u5D69\u6570\u67A2\u8DA8\u96DB\u636E\u6749\u6919\u83C5\u9817\u96C0\u88FE"],
      ["c0a1", "\u6F84\u647A\u5BF8\u4E16\u702C\u755D\u662F\u51C4\u5236\u52E2\u59D3\u5F81\u6027\u6210\u653F\u6574\u661F\u6674\u68F2\u6816\u6B63\u6E05\u7272\u751F\u76DB\u7CBE\u8056\u58F0\u88FD\u897F\u8AA0\u8A93\u8ACB\u901D\u9192\u9752\u9759\u6589\u7A0E\u8106\u96BB\u5E2D\u60DC\u621A\u65A5\u6614\u6790\u77F3\u7A4D\u7C4D\u7E3E\u810A\u8CAC\u8D64\u8DE1\u8E5F\u78A9\u5207\u62D9\u63A5\u6442\u6298\u8A2D\u7A83\u7BC0\u8AAC\u96EA\u7D76\u820C\u8749\u4ED9\u5148\u5343\u5360\u5BA3\u5C02\u5C16\u5DDD\u6226\u6247\u64B0\u6813\u6834\u6CC9\u6D45\u6D17\u67D3\u6F5C\u714E\u717D\u65CB\u7A7F\u7BAD\u7DDA"],
      ["c1a1", "\u7E4A\u7FA8\u817A\u821B\u8239\u85A6\u8A6E\u8CCE\u8DF5\u9078\u9077\u92AD\u9291\u9583\u9BAE\u524D\u5584\u6F38\u7136\u5168\u7985\u7E55\u81B3\u7CCE\u564C\u5851\u5CA8\u63AA\u66FE\u66FD\u695A\u72D9\u758F\u758E\u790E\u7956\u79DF\u7C97\u7D20\u7D44\u8607\u8A34\u963B\u9061\u9F20\u50E7\u5275\u53CC\u53E2\u5009\u55AA\u58EE\u594F\u723D\u5B8B\u5C64\u531D\u60E3\u60F3\u635C\u6383\u633F\u63BB\u64CD\u65E9\u66F9\u5DE3\u69CD\u69FD\u6F15\u71E5\u4E89\u75E9\u76F8\u7A93\u7CDF\u7DCF\u7D9C\u8061\u8349\u8358\u846C\u84BC\u85FB\u88C5\u8D70\u9001\u906D\u9397\u971C\u9A12\u50CF\u5897\u618E"],
      ["c2a1", "\u81D3\u8535\u8D08\u9020\u4FC3\u5074\u5247\u5373\u606F\u6349\u675F\u6E2C\u8DB3\u901F\u4FD7\u5C5E\u8CCA\u65CF\u7D9A\u5352\u8896\u5176\u63C3\u5B58\u5B6B\u5C0A\u640D\u6751\u905C\u4ED6\u591A\u592A\u6C70\u8A51\u553E\u5815\u59A5\u60F0\u6253\u67C1\u8235\u6955\u9640\u99C4\u9A28\u4F53\u5806\u5BFE\u8010\u5CB1\u5E2F\u5F85\u6020\u614B\u6234\u66FF\u6CF0\u6EDE\u80CE\u817F\u82D4\u888B\u8CB8\u9000\u902E\u968A\u9EDB\u9BDB\u4EE3\u53F0\u5927\u7B2C\u918D\u984C\u9DF9\u6EDD\u7027\u5353\u5544\u5B85\u6258\u629E\u62D3\u6CA2\u6FEF\u7422\u8A17\u9438\u6FC1\u8AFE\u8338\u51E7\u86F8\u53EA"],
      ["c3a1", "\u53E9\u4F46\u9054\u8FB0\u596A\u8131\u5DFD\u7AEA\u8FBF\u68DA\u8C37\u72F8\u9C48\u6A3D\u8AB0\u4E39\u5358\u5606\u5766\u62C5\u63A2\u65E6\u6B4E\u6DE1\u6E5B\u70AD\u77ED\u7AEF\u7BAA\u7DBB\u803D\u80C6\u86CB\u8A95\u935B\u56E3\u58C7\u5F3E\u65AD\u6696\u6A80\u6BB5\u7537\u8AC7\u5024\u77E5\u5730\u5F1B\u6065\u667A\u6C60\u75F4\u7A1A\u7F6E\u81F4\u8718\u9045\u99B3\u7BC9\u755C\u7AF9\u7B51\u84C4\u9010\u79E9\u7A92\u8336\u5AE1\u7740\u4E2D\u4EF2\u5B99\u5FE0\u62BD\u663C\u67F1\u6CE8\u866B\u8877\u8A3B\u914E\u92F3\u99D0\u6A17\u7026\u732A\u82E7\u8457\u8CAF\u4E01\u5146\u51CB\u558B\u5BF5"],
      ["c4a1", "\u5E16\u5E33\u5E81\u5F14\u5F35\u5F6B\u5FB4\u61F2\u6311\u66A2\u671D\u6F6E\u7252\u753A\u773A\u8074\u8139\u8178\u8776\u8ABF\u8ADC\u8D85\u8DF3\u929A\u9577\u9802\u9CE5\u52C5\u6357\u76F4\u6715\u6C88\u73CD\u8CC3\u93AE\u9673\u6D25\u589C\u690E\u69CC\u8FFD\u939A\u75DB\u901A\u585A\u6802\u63B4\u69FB\u4F43\u6F2C\u67D8\u8FBB\u8526\u7DB4\u9354\u693F\u6F70\u576A\u58F7\u5B2C\u7D2C\u722A\u540A\u91E3\u9DB4\u4EAD\u4F4E\u505C\u5075\u5243\u8C9E\u5448\u5824\u5B9A\u5E1D\u5E95\u5EAD\u5EF7\u5F1F\u608C\u62B5\u633A\u63D0\u68AF\u6C40\u7887\u798E\u7A0B\u7DE0\u8247\u8A02\u8AE6\u8E44\u9013"],
      ["c5a1", "\u90B8\u912D\u91D8\u9F0E\u6CE5\u6458\u64E2\u6575\u6EF4\u7684\u7B1B\u9069\u93D1\u6EBA\u54F2\u5FB9\u64A4\u8F4D\u8FED\u9244\u5178\u586B\u5929\u5C55\u5E97\u6DFB\u7E8F\u751C\u8CBC\u8EE2\u985B\u70B9\u4F1D\u6BBF\u6FB1\u7530\u96FB\u514E\u5410\u5835\u5857\u59AC\u5C60\u5F92\u6597\u675C\u6E21\u767B\u83DF\u8CED\u9014\u90FD\u934D\u7825\u783A\u52AA\u5EA6\u571F\u5974\u6012\u5012\u515A\u51AC\u51CD\u5200\u5510\u5854\u5858\u5957\u5B95\u5CF6\u5D8B\u60BC\u6295\u642D\u6771\u6843\u68BC\u68DF\u76D7\u6DD8\u6E6F\u6D9B\u706F\u71C8\u5F53\u75D8\u7977\u7B49\u7B54\u7B52\u7CD6\u7D71\u5230"],
      ["c6a1", "\u8463\u8569\u85E4\u8A0E\u8B04\u8C46\u8E0F\u9003\u900F\u9419\u9676\u982D\u9A30\u95D8\u50CD\u52D5\u540C\u5802\u5C0E\u61A7\u649E\u6D1E\u77B3\u7AE5\u80F4\u8404\u9053\u9285\u5CE0\u9D07\u533F\u5F97\u5FB3\u6D9C\u7279\u7763\u79BF\u7BE4\u6BD2\u72EC\u8AAD\u6803\u6A61\u51F8\u7A81\u6934\u5C4A\u9CF6\u82EB\u5BC5\u9149\u701E\u5678\u5C6F\u60C7\u6566\u6C8C\u8C5A\u9041\u9813\u5451\u66C7\u920D\u5948\u90A3\u5185\u4E4D\u51EA\u8599\u8B0E\u7058\u637A\u934B\u6962\u99B4\u7E04\u7577\u5357\u6960\u8EDF\u96E3\u6C5D\u4E8C\u5C3C\u5F10\u8FE9\u5302\u8CD1\u8089\u8679\u5EFF\u65E5\u4E73\u5165"],
      ["c7a1", "\u5982\u5C3F\u97EE\u4EFB\u598A\u5FCD\u8A8D\u6FE1\u79B0\u7962\u5BE7\u8471\u732B\u71B1\u5E74\u5FF5\u637B\u649A\u71C3\u7C98\u4E43\u5EFC\u4E4B\u57DC\u56A2\u60A9\u6FC3\u7D0D\u80FD\u8133\u81BF\u8FB2\u8997\u86A4\u5DF4\u628A\u64AD\u8987\u6777\u6CE2\u6D3E\u7436\u7834\u5A46\u7F75\u82AD\u99AC\u4FF3\u5EC3\u62DD\u6392\u6557\u676F\u76C3\u724C\u80CC\u80BA\u8F29\u914D\u500D\u57F9\u5A92\u6885\u6973\u7164\u72FD\u8CB7\u58F2\u8CE0\u966A\u9019\u877F\u79E4\u77E7\u8429\u4F2F\u5265\u535A\u62CD\u67CF\u6CCA\u767D\u7B94\u7C95\u8236\u8584\u8FEB\u66DD\u6F20\u7206\u7E1B\u83AB\u99C1\u9EA6"],
      ["c8a1", "\u51FD\u7BB1\u7872\u7BB8\u8087\u7B48\u6AE8\u5E61\u808C\u7551\u7560\u516B\u9262\u6E8C\u767A\u9197\u9AEA\u4F10\u7F70\u629C\u7B4F\u95A5\u9CE9\u567A\u5859\u86E4\u96BC\u4F34\u5224\u534A\u53CD\u53DB\u5E06\u642C\u6591\u677F\u6C3E\u6C4E\u7248\u72AF\u73ED\u7554\u7E41\u822C\u85E9\u8CA9\u7BC4\u91C6\u7169\u9812\u98EF\u633D\u6669\u756A\u76E4\u78D0\u8543\u86EE\u532A\u5351\u5426\u5983\u5E87\u5F7C\u60B2\u6249\u6279\u62AB\u6590\u6BD4\u6CCC\u75B2\u76AE\u7891\u79D8\u7DCB\u7F77\u80A5\u88AB\u8AB9\u8CBB\u907F\u975E\u98DB\u6A0B\u7C38\u5099\u5C3E\u5FAE\u6787\u6BD8\u7435\u7709\u7F8E"],
      ["c9a1", "\u9F3B\u67CA\u7A17\u5339\u758B\u9AED\u5F66\u819D\u83F1\u8098\u5F3C\u5FC5\u7562\u7B46\u903C\u6867\u59EB\u5A9B\u7D10\u767E\u8B2C\u4FF5\u5F6A\u6A19\u6C37\u6F02\u74E2\u7968\u8868\u8A55\u8C79\u5EDF\u63CF\u75C5\u79D2\u82D7\u9328\u92F2\u849C\u86ED\u9C2D\u54C1\u5F6C\u658C\u6D5C\u7015\u8CA7\u8CD3\u983B\u654F\u74F6\u4E0D\u4ED8\u57E0\u592B\u5A66\u5BCC\u51A8\u5E03\u5E9C\u6016\u6276\u6577\u65A7\u666E\u6D6E\u7236\u7B26\u8150\u819A\u8299\u8B5C\u8CA0\u8CE6\u8D74\u961C\u9644\u4FAE\u64AB\u6B66\u821E\u8461\u856A\u90E8\u5C01\u6953\u98A8\u847A\u8557\u4F0F\u526F\u5FA9\u5E45\u670D"],
      ["caa1", "\u798F\u8179\u8907\u8986\u6DF5\u5F17\u6255\u6CB8\u4ECF\u7269\u9B92\u5206\u543B\u5674\u58B3\u61A4\u626E\u711A\u596E\u7C89\u7CDE\u7D1B\u96F0\u6587\u805E\u4E19\u4F75\u5175\u5840\u5E63\u5E73\u5F0A\u67C4\u4E26\u853D\u9589\u965B\u7C73\u9801\u50FB\u58C1\u7656\u78A7\u5225\u77A5\u8511\u7B86\u504F\u5909\u7247\u7BC7\u7DE8\u8FBA\u8FD4\u904D\u4FBF\u52C9\u5A29\u5F01\u97AD\u4FDD\u8217\u92EA\u5703\u6355\u6B69\u752B\u88DC\u8F14\u7A42\u52DF\u5893\u6155\u620A\u66AE\u6BCD\u7C3F\u83E9\u5023\u4FF8\u5305\u5446\u5831\u5949\u5B9D\u5CF0\u5CEF\u5D29\u5E96\u62B1\u6367\u653E\u65B9\u670B"],
      ["cba1", "\u6CD5\u6CE1\u70F9\u7832\u7E2B\u80DE\u82B3\u840C\u84EC\u8702\u8912\u8A2A\u8C4A\u90A6\u92D2\u98FD\u9CF3\u9D6C\u4E4F\u4EA1\u508D\u5256\u574A\u59A8\u5E3D\u5FD8\u5FD9\u623F\u66B4\u671B\u67D0\u68D2\u5192\u7D21\u80AA\u81A8\u8B00\u8C8C\u8CBF\u927E\u9632\u5420\u982C\u5317\u50D5\u535C\u58A8\u64B2\u6734\u7267\u7766\u7A46\u91E6\u52C3\u6CA1\u6B86\u5800\u5E4C\u5954\u672C\u7FFB\u51E1\u76C6\u6469\u78E8\u9B54\u9EBB\u57CB\u59B9\u6627\u679A\u6BCE\u54E9\u69D9\u5E55\u819C\u6795\u9BAA\u67FE\u9C52\u685D\u4EA6\u4FE3\u53C8\u62B9\u672B\u6CAB\u8FC4\u4FAD\u7E6D\u9EBF\u4E07\u6162\u6E80"],
      ["cca1", "\u6F2B\u8513\u5473\u672A\u9B45\u5DF3\u7B95\u5CAC\u5BC6\u871C\u6E4A\u84D1\u7A14\u8108\u5999\u7C8D\u6C11\u7720\u52D9\u5922\u7121\u725F\u77DB\u9727\u9D61\u690B\u5A7F\u5A18\u51A5\u540D\u547D\u660E\u76DF\u8FF7\u9298\u9CF4\u59EA\u725D\u6EC5\u514D\u68C9\u7DBF\u7DEC\u9762\u9EBA\u6478\u6A21\u8302\u5984\u5B5F\u6BDB\u731B\u76F2\u7DB2\u8017\u8499\u5132\u6728\u9ED9\u76EE\u6762\u52FF\u9905\u5C24\u623B\u7C7E\u8CB0\u554F\u60B6\u7D0B\u9580\u5301\u4E5F\u51B6\u591C\u723A\u8036\u91CE\u5F25\u77E2\u5384\u5F79\u7D04\u85AC\u8A33\u8E8D\u9756\u67F3\u85AE\u9453\u6109\u6108\u6CB9\u7652"],
      ["cda1", "\u8AED\u8F38\u552F\u4F51\u512A\u52C7\u53CB\u5BA5\u5E7D\u60A0\u6182\u63D6\u6709\u67DA\u6E67\u6D8C\u7336\u7337\u7531\u7950\u88D5\u8A98\u904A\u9091\u90F5\u96C4\u878D\u5915\u4E88\u4F59\u4E0E\u8A89\u8F3F\u9810\u50AD\u5E7C\u5996\u5BB9\u5EB8\u63DA\u63FA\u64C1\u66DC\u694A\u69D8\u6D0B\u6EB6\u7194\u7528\u7AAF\u7F8A\u8000\u8449\u84C9\u8981\u8B21\u8E0A\u9065\u967D\u990A\u617E\u6291\u6B32\u6C83\u6D74\u7FCC\u7FFC\u6DC0\u7F85\u87BA\u88F8\u6765\u83B1\u983C\u96F7\u6D1B\u7D61\u843D\u916A\u4E71\u5375\u5D50\u6B04\u6FEB\u85CD\u862D\u89A7\u5229\u540F\u5C65\u674E\u68A8\u7406\u7483"],
      ["cea1", "\u75E2\u88CF\u88E1\u91CC\u96E2\u9678\u5F8B\u7387\u7ACB\u844E\u63A0\u7565\u5289\u6D41\u6E9C\u7409\u7559\u786B\u7C92\u9686\u7ADC\u9F8D\u4FB6\u616E\u65C5\u865C\u4E86\u4EAE\u50DA\u4E21\u51CC\u5BEE\u6599\u6881\u6DBC\u731F\u7642\u77AD\u7A1C\u7CE7\u826F\u8AD2\u907C\u91CF\u9675\u9818\u529B\u7DD1\u502B\u5398\u6797\u6DCB\u71D0\u7433\u81E8\u8F2A\u96A3\u9C57\u9E9F\u7460\u5841\u6D99\u7D2F\u985E\u4EE4\u4F36\u4F8B\u51B7\u52B1\u5DBA\u601C\u73B2\u793C\u82D3\u9234\u96B7\u96F6\u970A\u9E97\u9F62\u66A6\u6B74\u5217\u52A3\u70C8\u88C2\u5EC9\u604B\u6190\u6F23\u7149\u7C3E\u7DF4\u806F"],
      ["cfa1", "\u84EE\u9023\u932C\u5442\u9B6F\u6AD3\u7089\u8CC2\u8DEF\u9732\u52B4\u5A41\u5ECA\u5F04\u6717\u697C\u6994\u6D6A\u6F0F\u7262\u72FC\u7BED\u8001\u807E\u874B\u90CE\u516D\u9E93\u7984\u808B\u9332\u8AD6\u502D\u548C\u8A71\u6B6A\u8CC4\u8107\u60D1\u67A0\u9DF2\u4E99\u4E98\u9C10\u8A6B\u85C1\u8568\u6900\u6E7E\u7897\u8155"],
      ["d0a1", "\u5F0C\u4E10\u4E15\u4E2A\u4E31\u4E36\u4E3C\u4E3F\u4E42\u4E56\u4E58\u4E82\u4E85\u8C6B\u4E8A\u8212\u5F0D\u4E8E\u4E9E\u4E9F\u4EA0\u4EA2\u4EB0\u4EB3\u4EB6\u4ECE\u4ECD\u4EC4\u4EC6\u4EC2\u4ED7\u4EDE\u4EED\u4EDF\u4EF7\u4F09\u4F5A\u4F30\u4F5B\u4F5D\u4F57\u4F47\u4F76\u4F88\u4F8F\u4F98\u4F7B\u4F69\u4F70\u4F91\u4F6F\u4F86\u4F96\u5118\u4FD4\u4FDF\u4FCE\u4FD8\u4FDB\u4FD1\u4FDA\u4FD0\u4FE4\u4FE5\u501A\u5028\u5014\u502A\u5025\u5005\u4F1C\u4FF6\u5021\u5029\u502C\u4FFE\u4FEF\u5011\u5006\u5043\u5047\u6703\u5055\u5050\u5048\u505A\u5056\u506C\u5078\u5080\u509A\u5085\u50B4\u50B2"],
      ["d1a1", "\u50C9\u50CA\u50B3\u50C2\u50D6\u50DE\u50E5\u50ED\u50E3\u50EE\u50F9\u50F5\u5109\u5101\u5102\u5116\u5115\u5114\u511A\u5121\u513A\u5137\u513C\u513B\u513F\u5140\u5152\u514C\u5154\u5162\u7AF8\u5169\u516A\u516E\u5180\u5182\u56D8\u518C\u5189\u518F\u5191\u5193\u5195\u5196\u51A4\u51A6\u51A2\u51A9\u51AA\u51AB\u51B3\u51B1\u51B2\u51B0\u51B5\u51BD\u51C5\u51C9\u51DB\u51E0\u8655\u51E9\u51ED\u51F0\u51F5\u51FE\u5204\u520B\u5214\u520E\u5227\u522A\u522E\u5233\u5239\u524F\u5244\u524B\u524C\u525E\u5254\u526A\u5274\u5269\u5273\u527F\u527D\u528D\u5294\u5292\u5271\u5288\u5291\u8FA8"],
      ["d2a1", "\u8FA7\u52AC\u52AD\u52BC\u52B5\u52C1\u52CD\u52D7\u52DE\u52E3\u52E6\u98ED\u52E0\u52F3\u52F5\u52F8\u52F9\u5306\u5308\u7538\u530D\u5310\u530F\u5315\u531A\u5323\u532F\u5331\u5333\u5338\u5340\u5346\u5345\u4E17\u5349\u534D\u51D6\u535E\u5369\u536E\u5918\u537B\u5377\u5382\u5396\u53A0\u53A6\u53A5\u53AE\u53B0\u53B6\u53C3\u7C12\u96D9\u53DF\u66FC\u71EE\u53EE\u53E8\u53ED\u53FA\u5401\u543D\u5440\u542C\u542D\u543C\u542E\u5436\u5429\u541D\u544E\u548F\u5475\u548E\u545F\u5471\u5477\u5470\u5492\u547B\u5480\u5476\u5484\u5490\u5486\u54C7\u54A2\u54B8\u54A5\u54AC\u54C4\u54C8\u54A8"],
      ["d3a1", "\u54AB\u54C2\u54A4\u54BE\u54BC\u54D8\u54E5\u54E6\u550F\u5514\u54FD\u54EE\u54ED\u54FA\u54E2\u5539\u5540\u5563\u554C\u552E\u555C\u5545\u5556\u5557\u5538\u5533\u555D\u5599\u5580\u54AF\u558A\u559F\u557B\u557E\u5598\u559E\u55AE\u557C\u5583\u55A9\u5587\u55A8\u55DA\u55C5\u55DF\u55C4\u55DC\u55E4\u55D4\u5614\u55F7\u5616\u55FE\u55FD\u561B\u55F9\u564E\u5650\u71DF\u5634\u5636\u5632\u5638\u566B\u5664\u562F\u566C\u566A\u5686\u5680\u568A\u56A0\u5694\u568F\u56A5\u56AE\u56B6\u56B4\u56C2\u56BC\u56C1\u56C3\u56C0\u56C8\u56CE\u56D1\u56D3\u56D7\u56EE\u56F9\u5700\u56FF\u5704\u5709"],
      ["d4a1", "\u5708\u570B\u570D\u5713\u5718\u5716\u55C7\u571C\u5726\u5737\u5738\u574E\u573B\u5740\u574F\u5769\u57C0\u5788\u5761\u577F\u5789\u5793\u57A0\u57B3\u57A4\u57AA\u57B0\u57C3\u57C6\u57D4\u57D2\u57D3\u580A\u57D6\u57E3\u580B\u5819\u581D\u5872\u5821\u5862\u584B\u5870\u6BC0\u5852\u583D\u5879\u5885\u58B9\u589F\u58AB\u58BA\u58DE\u58BB\u58B8\u58AE\u58C5\u58D3\u58D1\u58D7\u58D9\u58D8\u58E5\u58DC\u58E4\u58DF\u58EF\u58FA\u58F9\u58FB\u58FC\u58FD\u5902\u590A\u5910\u591B\u68A6\u5925\u592C\u592D\u5932\u5938\u593E\u7AD2\u5955\u5950\u594E\u595A\u5958\u5962\u5960\u5967\u596C\u5969"],
      ["d5a1", "\u5978\u5981\u599D\u4F5E\u4FAB\u59A3\u59B2\u59C6\u59E8\u59DC\u598D\u59D9\u59DA\u5A25\u5A1F\u5A11\u5A1C\u5A09\u5A1A\u5A40\u5A6C\u5A49\u5A35\u5A36\u5A62\u5A6A\u5A9A\u5ABC\u5ABE\u5ACB\u5AC2\u5ABD\u5AE3\u5AD7\u5AE6\u5AE9\u5AD6\u5AFA\u5AFB\u5B0C\u5B0B\u5B16\u5B32\u5AD0\u5B2A\u5B36\u5B3E\u5B43\u5B45\u5B40\u5B51\u5B55\u5B5A\u5B5B\u5B65\u5B69\u5B70\u5B73\u5B75\u5B78\u6588\u5B7A\u5B80\u5B83\u5BA6\u5BB8\u5BC3\u5BC7\u5BC9\u5BD4\u5BD0\u5BE4\u5BE6\u5BE2\u5BDE\u5BE5\u5BEB\u5BF0\u5BF6\u5BF3\u5C05\u5C07\u5C08\u5C0D\u5C13\u5C20\u5C22\u5C28\u5C38\u5C39\u5C41\u5C46\u5C4E\u5C53"],
      ["d6a1", "\u5C50\u5C4F\u5B71\u5C6C\u5C6E\u4E62\u5C76\u5C79\u5C8C\u5C91\u5C94\u599B\u5CAB\u5CBB\u5CB6\u5CBC\u5CB7\u5CC5\u5CBE\u5CC7\u5CD9\u5CE9\u5CFD\u5CFA\u5CED\u5D8C\u5CEA\u5D0B\u5D15\u5D17\u5D5C\u5D1F\u5D1B\u5D11\u5D14\u5D22\u5D1A\u5D19\u5D18\u5D4C\u5D52\u5D4E\u5D4B\u5D6C\u5D73\u5D76\u5D87\u5D84\u5D82\u5DA2\u5D9D\u5DAC\u5DAE\u5DBD\u5D90\u5DB7\u5DBC\u5DC9\u5DCD\u5DD3\u5DD2\u5DD6\u5DDB\u5DEB\u5DF2\u5DF5\u5E0B\u5E1A\u5E19\u5E11\u5E1B\u5E36\u5E37\u5E44\u5E43\u5E40\u5E4E\u5E57\u5E54\u5E5F\u5E62\u5E64\u5E47\u5E75\u5E76\u5E7A\u9EBC\u5E7F\u5EA0\u5EC1\u5EC2\u5EC8\u5ED0\u5ECF"],
      ["d7a1", "\u5ED6\u5EE3\u5EDD\u5EDA\u5EDB\u5EE2\u5EE1\u5EE8\u5EE9\u5EEC\u5EF1\u5EF3\u5EF0\u5EF4\u5EF8\u5EFE\u5F03\u5F09\u5F5D\u5F5C\u5F0B\u5F11\u5F16\u5F29\u5F2D\u5F38\u5F41\u5F48\u5F4C\u5F4E\u5F2F\u5F51\u5F56\u5F57\u5F59\u5F61\u5F6D\u5F73\u5F77\u5F83\u5F82\u5F7F\u5F8A\u5F88\u5F91\u5F87\u5F9E\u5F99\u5F98\u5FA0\u5FA8\u5FAD\u5FBC\u5FD6\u5FFB\u5FE4\u5FF8\u5FF1\u5FDD\u60B3\u5FFF\u6021\u6060\u6019\u6010\u6029\u600E\u6031\u601B\u6015\u602B\u6026\u600F\u603A\u605A\u6041\u606A\u6077\u605F\u604A\u6046\u604D\u6063\u6043\u6064\u6042\u606C\u606B\u6059\u6081\u608D\u60E7\u6083\u609A"],
      ["d8a1", "\u6084\u609B\u6096\u6097\u6092\u60A7\u608B\u60E1\u60B8\u60E0\u60D3\u60B4\u5FF0\u60BD\u60C6\u60B5\u60D8\u614D\u6115\u6106\u60F6\u60F7\u6100\u60F4\u60FA\u6103\u6121\u60FB\u60F1\u610D\u610E\u6147\u613E\u6128\u6127\u614A\u613F\u613C\u612C\u6134\u613D\u6142\u6144\u6173\u6177\u6158\u6159\u615A\u616B\u6174\u616F\u6165\u6171\u615F\u615D\u6153\u6175\u6199\u6196\u6187\u61AC\u6194\u619A\u618A\u6191\u61AB\u61AE\u61CC\u61CA\u61C9\u61F7\u61C8\u61C3\u61C6\u61BA\u61CB\u7F79\u61CD\u61E6\u61E3\u61F6\u61FA\u61F4\u61FF\u61FD\u61FC\u61FE\u6200\u6208\u6209\u620D\u620C\u6214\u621B"],
      ["d9a1", "\u621E\u6221\u622A\u622E\u6230\u6232\u6233\u6241\u624E\u625E\u6263\u625B\u6260\u6268\u627C\u6282\u6289\u627E\u6292\u6293\u6296\u62D4\u6283\u6294\u62D7\u62D1\u62BB\u62CF\u62FF\u62C6\u64D4\u62C8\u62DC\u62CC\u62CA\u62C2\u62C7\u629B\u62C9\u630C\u62EE\u62F1\u6327\u6302\u6308\u62EF\u62F5\u6350\u633E\u634D\u641C\u634F\u6396\u638E\u6380\u63AB\u6376\u63A3\u638F\u6389\u639F\u63B5\u636B\u6369\u63BE\u63E9\u63C0\u63C6\u63E3\u63C9\u63D2\u63F6\u63C4\u6416\u6434\u6406\u6413\u6426\u6436\u651D\u6417\u6428\u640F\u6467\u646F\u6476\u644E\u652A\u6495\u6493\u64A5\u64A9\u6488\u64BC"],
      ["daa1", "\u64DA\u64D2\u64C5\u64C7\u64BB\u64D8\u64C2\u64F1\u64E7\u8209\u64E0\u64E1\u62AC\u64E3\u64EF\u652C\u64F6\u64F4\u64F2\u64FA\u6500\u64FD\u6518\u651C\u6505\u6524\u6523\u652B\u6534\u6535\u6537\u6536\u6538\u754B\u6548\u6556\u6555\u654D\u6558\u655E\u655D\u6572\u6578\u6582\u6583\u8B8A\u659B\u659F\u65AB\u65B7\u65C3\u65C6\u65C1\u65C4\u65CC\u65D2\u65DB\u65D9\u65E0\u65E1\u65F1\u6772\u660A\u6603\u65FB\u6773\u6635\u6636\u6634\u661C\u664F\u6644\u6649\u6641\u665E\u665D\u6664\u6667\u6668\u665F\u6662\u6670\u6683\u6688\u668E\u6689\u6684\u6698\u669D\u66C1\u66B9\u66C9\u66BE\u66BC"],
      ["dba1", "\u66C4\u66B8\u66D6\u66DA\u66E0\u663F\u66E6\u66E9\u66F0\u66F5\u66F7\u670F\u6716\u671E\u6726\u6727\u9738\u672E\u673F\u6736\u6741\u6738\u6737\u6746\u675E\u6760\u6759\u6763\u6764\u6789\u6770\u67A9\u677C\u676A\u678C\u678B\u67A6\u67A1\u6785\u67B7\u67EF\u67B4\u67EC\u67B3\u67E9\u67B8\u67E4\u67DE\u67DD\u67E2\u67EE\u67B9\u67CE\u67C6\u67E7\u6A9C\u681E\u6846\u6829\u6840\u684D\u6832\u684E\u68B3\u682B\u6859\u6863\u6877\u687F\u689F\u688F\u68AD\u6894\u689D\u689B\u6883\u6AAE\u68B9\u6874\u68B5\u68A0\u68BA\u690F\u688D\u687E\u6901\u68CA\u6908\u68D8\u6922\u6926\u68E1\u690C\u68CD"],
      ["dca1", "\u68D4\u68E7\u68D5\u6936\u6912\u6904\u68D7\u68E3\u6925\u68F9\u68E0\u68EF\u6928\u692A\u691A\u6923\u6921\u68C6\u6979\u6977\u695C\u6978\u696B\u6954\u697E\u696E\u6939\u6974\u693D\u6959\u6930\u6961\u695E\u695D\u6981\u696A\u69B2\u69AE\u69D0\u69BF\u69C1\u69D3\u69BE\u69CE\u5BE8\u69CA\u69DD\u69BB\u69C3\u69A7\u6A2E\u6991\u69A0\u699C\u6995\u69B4\u69DE\u69E8\u6A02\u6A1B\u69FF\u6B0A\u69F9\u69F2\u69E7\u6A05\u69B1\u6A1E\u69ED\u6A14\u69EB\u6A0A\u6A12\u6AC1\u6A23\u6A13\u6A44\u6A0C\u6A72\u6A36\u6A78\u6A47\u6A62\u6A59\u6A66\u6A48\u6A38\u6A22\u6A90\u6A8D\u6AA0\u6A84\u6AA2\u6AA3"],
      ["dda1", "\u6A97\u8617\u6ABB\u6AC3\u6AC2\u6AB8\u6AB3\u6AAC\u6ADE\u6AD1\u6ADF\u6AAA\u6ADA\u6AEA\u6AFB\u6B05\u8616\u6AFA\u6B12\u6B16\u9B31\u6B1F\u6B38\u6B37\u76DC\u6B39\u98EE\u6B47\u6B43\u6B49\u6B50\u6B59\u6B54\u6B5B\u6B5F\u6B61\u6B78\u6B79\u6B7F\u6B80\u6B84\u6B83\u6B8D\u6B98\u6B95\u6B9E\u6BA4\u6BAA\u6BAB\u6BAF\u6BB2\u6BB1\u6BB3\u6BB7\u6BBC\u6BC6\u6BCB\u6BD3\u6BDF\u6BEC\u6BEB\u6BF3\u6BEF\u9EBE\u6C08\u6C13\u6C14\u6C1B\u6C24\u6C23\u6C5E\u6C55\u6C62\u6C6A\u6C82\u6C8D\u6C9A\u6C81\u6C9B\u6C7E\u6C68\u6C73\u6C92\u6C90\u6CC4\u6CF1\u6CD3\u6CBD\u6CD7\u6CC5\u6CDD\u6CAE\u6CB1\u6CBE"],
      ["dea1", "\u6CBA\u6CDB\u6CEF\u6CD9\u6CEA\u6D1F\u884D\u6D36\u6D2B\u6D3D\u6D38\u6D19\u6D35\u6D33\u6D12\u6D0C\u6D63\u6D93\u6D64\u6D5A\u6D79\u6D59\u6D8E\u6D95\u6FE4\u6D85\u6DF9\u6E15\u6E0A\u6DB5\u6DC7\u6DE6\u6DB8\u6DC6\u6DEC\u6DDE\u6DCC\u6DE8\u6DD2\u6DC5\u6DFA\u6DD9\u6DE4\u6DD5\u6DEA\u6DEE\u6E2D\u6E6E\u6E2E\u6E19\u6E72\u6E5F\u6E3E\u6E23\u6E6B\u6E2B\u6E76\u6E4D\u6E1F\u6E43\u6E3A\u6E4E\u6E24\u6EFF\u6E1D\u6E38\u6E82\u6EAA\u6E98\u6EC9\u6EB7\u6ED3\u6EBD\u6EAF\u6EC4\u6EB2\u6ED4\u6ED5\u6E8F\u6EA5\u6EC2\u6E9F\u6F41\u6F11\u704C\u6EEC\u6EF8\u6EFE\u6F3F\u6EF2\u6F31\u6EEF\u6F32\u6ECC"],
      ["dfa1", "\u6F3E\u6F13\u6EF7\u6F86\u6F7A\u6F78\u6F81\u6F80\u6F6F\u6F5B\u6FF3\u6F6D\u6F82\u6F7C\u6F58\u6F8E\u6F91\u6FC2\u6F66\u6FB3\u6FA3\u6FA1\u6FA4\u6FB9\u6FC6\u6FAA\u6FDF\u6FD5\u6FEC\u6FD4\u6FD8\u6FF1\u6FEE\u6FDB\u7009\u700B\u6FFA\u7011\u7001\u700F\u6FFE\u701B\u701A\u6F74\u701D\u7018\u701F\u7030\u703E\u7032\u7051\u7063\u7099\u7092\u70AF\u70F1\u70AC\u70B8\u70B3\u70AE\u70DF\u70CB\u70DD\u70D9\u7109\u70FD\u711C\u7119\u7165\u7155\u7188\u7166\u7162\u714C\u7156\u716C\u718F\u71FB\u7184\u7195\u71A8\u71AC\u71D7\u71B9\u71BE\u71D2\u71C9\u71D4\u71CE\u71E0\u71EC\u71E7\u71F5\u71FC"],
      ["e0a1", "\u71F9\u71FF\u720D\u7210\u721B\u7228\u722D\u722C\u7230\u7232\u723B\u723C\u723F\u7240\u7246\u724B\u7258\u7274\u727E\u7282\u7281\u7287\u7292\u7296\u72A2\u72A7\u72B9\u72B2\u72C3\u72C6\u72C4\u72CE\u72D2\u72E2\u72E0\u72E1\u72F9\u72F7\u500F\u7317\u730A\u731C\u7316\u731D\u7334\u732F\u7329\u7325\u733E\u734E\u734F\u9ED8\u7357\u736A\u7368\u7370\u7378\u7375\u737B\u737A\u73C8\u73B3\u73CE\u73BB\u73C0\u73E5\u73EE\u73DE\u74A2\u7405\u746F\u7425\u73F8\u7432\u743A\u7455\u743F\u745F\u7459\u7441\u745C\u7469\u7470\u7463\u746A\u7476\u747E\u748B\u749E\u74A7\u74CA\u74CF\u74D4\u73F1"],
      ["e1a1", "\u74E0\u74E3\u74E7\u74E9\u74EE\u74F2\u74F0\u74F1\u74F8\u74F7\u7504\u7503\u7505\u750C\u750E\u750D\u7515\u7513\u751E\u7526\u752C\u753C\u7544\u754D\u754A\u7549\u755B\u7546\u755A\u7569\u7564\u7567\u756B\u756D\u7578\u7576\u7586\u7587\u7574\u758A\u7589\u7582\u7594\u759A\u759D\u75A5\u75A3\u75C2\u75B3\u75C3\u75B5\u75BD\u75B8\u75BC\u75B1\u75CD\u75CA\u75D2\u75D9\u75E3\u75DE\u75FE\u75FF\u75FC\u7601\u75F0\u75FA\u75F2\u75F3\u760B\u760D\u7609\u761F\u7627\u7620\u7621\u7622\u7624\u7634\u7630\u763B\u7647\u7648\u7646\u765C\u7658\u7661\u7662\u7668\u7669\u766A\u7667\u766C\u7670"],
      ["e2a1", "\u7672\u7676\u7678\u767C\u7680\u7683\u7688\u768B\u768E\u7696\u7693\u7699\u769A\u76B0\u76B4\u76B8\u76B9\u76BA\u76C2\u76CD\u76D6\u76D2\u76DE\u76E1\u76E5\u76E7\u76EA\u862F\u76FB\u7708\u7707\u7704\u7729\u7724\u771E\u7725\u7726\u771B\u7737\u7738\u7747\u775A\u7768\u776B\u775B\u7765\u777F\u777E\u7779\u778E\u778B\u7791\u77A0\u779E\u77B0\u77B6\u77B9\u77BF\u77BC\u77BD\u77BB\u77C7\u77CD\u77D7\u77DA\u77DC\u77E3\u77EE\u77FC\u780C\u7812\u7926\u7820\u792A\u7845\u788E\u7874\u7886\u787C\u789A\u788C\u78A3\u78B5\u78AA\u78AF\u78D1\u78C6\u78CB\u78D4\u78BE\u78BC\u78C5\u78CA\u78EC"],
      ["e3a1", "\u78E7\u78DA\u78FD\u78F4\u7907\u7912\u7911\u7919\u792C\u792B\u7940\u7960\u7957\u795F\u795A\u7955\u7953\u797A\u797F\u798A\u799D\u79A7\u9F4B\u79AA\u79AE\u79B3\u79B9\u79BA\u79C9\u79D5\u79E7\u79EC\u79E1\u79E3\u7A08\u7A0D\u7A18\u7A19\u7A20\u7A1F\u7980\u7A31\u7A3B\u7A3E\u7A37\u7A43\u7A57\u7A49\u7A61\u7A62\u7A69\u9F9D\u7A70\u7A79\u7A7D\u7A88\u7A97\u7A95\u7A98\u7A96\u7AA9\u7AC8\u7AB0\u7AB6\u7AC5\u7AC4\u7ABF\u9083\u7AC7\u7ACA\u7ACD\u7ACF\u7AD5\u7AD3\u7AD9\u7ADA\u7ADD\u7AE1\u7AE2\u7AE6\u7AED\u7AF0\u7B02\u7B0F\u7B0A\u7B06\u7B33\u7B18\u7B19\u7B1E\u7B35\u7B28\u7B36\u7B50"],
      ["e4a1", "\u7B7A\u7B04\u7B4D\u7B0B\u7B4C\u7B45\u7B75\u7B65\u7B74\u7B67\u7B70\u7B71\u7B6C\u7B6E\u7B9D\u7B98\u7B9F\u7B8D\u7B9C\u7B9A\u7B8B\u7B92\u7B8F\u7B5D\u7B99\u7BCB\u7BC1\u7BCC\u7BCF\u7BB4\u7BC6\u7BDD\u7BE9\u7C11\u7C14\u7BE6\u7BE5\u7C60\u7C00\u7C07\u7C13\u7BF3\u7BF7\u7C17\u7C0D\u7BF6\u7C23\u7C27\u7C2A\u7C1F\u7C37\u7C2B\u7C3D\u7C4C\u7C43\u7C54\u7C4F\u7C40\u7C50\u7C58\u7C5F\u7C64\u7C56\u7C65\u7C6C\u7C75\u7C83\u7C90\u7CA4\u7CAD\u7CA2\u7CAB\u7CA1\u7CA8\u7CB3\u7CB2\u7CB1\u7CAE\u7CB9\u7CBD\u7CC0\u7CC5\u7CC2\u7CD8\u7CD2\u7CDC\u7CE2\u9B3B\u7CEF\u7CF2\u7CF4\u7CF6\u7CFA\u7D06"],
      ["e5a1", "\u7D02\u7D1C\u7D15\u7D0A\u7D45\u7D4B\u7D2E\u7D32\u7D3F\u7D35\u7D46\u7D73\u7D56\u7D4E\u7D72\u7D68\u7D6E\u7D4F\u7D63\u7D93\u7D89\u7D5B\u7D8F\u7D7D\u7D9B\u7DBA\u7DAE\u7DA3\u7DB5\u7DC7\u7DBD\u7DAB\u7E3D\u7DA2\u7DAF\u7DDC\u7DB8\u7D9F\u7DB0\u7DD8\u7DDD\u7DE4\u7DDE\u7DFB\u7DF2\u7DE1\u7E05\u7E0A\u7E23\u7E21\u7E12\u7E31\u7E1F\u7E09\u7E0B\u7E22\u7E46\u7E66\u7E3B\u7E35\u7E39\u7E43\u7E37\u7E32\u7E3A\u7E67\u7E5D\u7E56\u7E5E\u7E59\u7E5A\u7E79\u7E6A\u7E69\u7E7C\u7E7B\u7E83\u7DD5\u7E7D\u8FAE\u7E7F\u7E88\u7E89\u7E8C\u7E92\u7E90\u7E93\u7E94\u7E96\u7E8E\u7E9B\u7E9C\u7F38\u7F3A"],
      ["e6a1", "\u7F45\u7F4C\u7F4D\u7F4E\u7F50\u7F51\u7F55\u7F54\u7F58\u7F5F\u7F60\u7F68\u7F69\u7F67\u7F78\u7F82\u7F86\u7F83\u7F88\u7F87\u7F8C\u7F94\u7F9E\u7F9D\u7F9A\u7FA3\u7FAF\u7FB2\u7FB9\u7FAE\u7FB6\u7FB8\u8B71\u7FC5\u7FC6\u7FCA\u7FD5\u7FD4\u7FE1\u7FE6\u7FE9\u7FF3\u7FF9\u98DC\u8006\u8004\u800B\u8012\u8018\u8019\u801C\u8021\u8028\u803F\u803B\u804A\u8046\u8052\u8058\u805A\u805F\u8062\u8068\u8073\u8072\u8070\u8076\u8079\u807D\u807F\u8084\u8086\u8085\u809B\u8093\u809A\u80AD\u5190\u80AC\u80DB\u80E5\u80D9\u80DD\u80C4\u80DA\u80D6\u8109\u80EF\u80F1\u811B\u8129\u8123\u812F\u814B"],
      ["e7a1", "\u968B\u8146\u813E\u8153\u8151\u80FC\u8171\u816E\u8165\u8166\u8174\u8183\u8188\u818A\u8180\u8182\u81A0\u8195\u81A4\u81A3\u815F\u8193\u81A9\u81B0\u81B5\u81BE\u81B8\u81BD\u81C0\u81C2\u81BA\u81C9\u81CD\u81D1\u81D9\u81D8\u81C8\u81DA\u81DF\u81E0\u81E7\u81FA\u81FB\u81FE\u8201\u8202\u8205\u8207\u820A\u820D\u8210\u8216\u8229\u822B\u8238\u8233\u8240\u8259\u8258\u825D\u825A\u825F\u8264\u8262\u8268\u826A\u826B\u822E\u8271\u8277\u8278\u827E\u828D\u8292\u82AB\u829F\u82BB\u82AC\u82E1\u82E3\u82DF\u82D2\u82F4\u82F3\u82FA\u8393\u8303\u82FB\u82F9\u82DE\u8306\u82DC\u8309\u82D9"],
      ["e8a1", "\u8335\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345\u832F\u832B\u8317\u8318\u8385\u839A\u83AA\u839F\u83A2\u8396\u8323\u838E\u8387\u838A\u837C\u83B5\u8373\u8375\u83A0\u8389\u83A8\u83F4\u8413\u83EB\u83CE\u83FD\u8403\u83D8\u840B\u83C1\u83F7\u8407\u83E0\u83F2\u840D\u8422\u8420\u83BD\u8438\u8506\u83FB\u846D\u842A\u843C\u855A\u8484\u8477\u846B\u84AD\u846E\u8482\u8469\u8446\u842C\u846F\u8479\u8435\u84CA\u8462\u84B9\u84BF\u849F\u84D9\u84CD\u84BB\u84DA\u84D0\u84C1\u84C6\u84D6\u84A1\u8521\u84FF\u84F4\u8517\u8518\u852C\u851F\u8515\u8514\u84FC\u8540\u8563\u8558\u8548"],
      ["e9a1", "\u8541\u8602\u854B\u8555\u8580\u85A4\u8588\u8591\u858A\u85A8\u856D\u8594\u859B\u85EA\u8587\u859C\u8577\u857E\u8590\u85C9\u85BA\u85CF\u85B9\u85D0\u85D5\u85DD\u85E5\u85DC\u85F9\u860A\u8613\u860B\u85FE\u85FA\u8606\u8622\u861A\u8630\u863F\u864D\u4E55\u8654\u865F\u8667\u8671\u8693\u86A3\u86A9\u86AA\u868B\u868C\u86B6\u86AF\u86C4\u86C6\u86B0\u86C9\u8823\u86AB\u86D4\u86DE\u86E9\u86EC\u86DF\u86DB\u86EF\u8712\u8706\u8708\u8700\u8703\u86FB\u8711\u8709\u870D\u86F9\u870A\u8734\u873F\u8737\u873B\u8725\u8729\u871A\u8760\u875F\u8778\u874C\u874E\u8774\u8757\u8768\u876E\u8759"],
      ["eaa1", "\u8753\u8763\u876A\u8805\u87A2\u879F\u8782\u87AF\u87CB\u87BD\u87C0\u87D0\u96D6\u87AB\u87C4\u87B3\u87C7\u87C6\u87BB\u87EF\u87F2\u87E0\u880F\u880D\u87FE\u87F6\u87F7\u880E\u87D2\u8811\u8816\u8815\u8822\u8821\u8831\u8836\u8839\u8827\u883B\u8844\u8842\u8852\u8859\u885E\u8862\u886B\u8881\u887E\u889E\u8875\u887D\u88B5\u8872\u8882\u8897\u8892\u88AE\u8899\u88A2\u888D\u88A4\u88B0\u88BF\u88B1\u88C3\u88C4\u88D4\u88D8\u88D9\u88DD\u88F9\u8902\u88FC\u88F4\u88E8\u88F2\u8904\u890C\u890A\u8913\u8943\u891E\u8925\u892A\u892B\u8941\u8944\u893B\u8936\u8938\u894C\u891D\u8960\u895E"],
      ["eba1", "\u8966\u8964\u896D\u896A\u896F\u8974\u8977\u897E\u8983\u8988\u898A\u8993\u8998\u89A1\u89A9\u89A6\u89AC\u89AF\u89B2\u89BA\u89BD\u89BF\u89C0\u89DA\u89DC\u89DD\u89E7\u89F4\u89F8\u8A03\u8A16\u8A10\u8A0C\u8A1B\u8A1D\u8A25\u8A36\u8A41\u8A5B\u8A52\u8A46\u8A48\u8A7C\u8A6D\u8A6C\u8A62\u8A85\u8A82\u8A84\u8AA8\u8AA1\u8A91\u8AA5\u8AA6\u8A9A\u8AA3\u8AC4\u8ACD\u8AC2\u8ADA\u8AEB\u8AF3\u8AE7\u8AE4\u8AF1\u8B14\u8AE0\u8AE2\u8AF7\u8ADE\u8ADB\u8B0C\u8B07\u8B1A\u8AE1\u8B16\u8B10\u8B17\u8B20\u8B33\u97AB\u8B26\u8B2B\u8B3E\u8B28\u8B41\u8B4C\u8B4F\u8B4E\u8B49\u8B56\u8B5B\u8B5A\u8B6B"],
      ["eca1", "\u8B5F\u8B6C\u8B6F\u8B74\u8B7D\u8B80\u8B8C\u8B8E\u8B92\u8B93\u8B96\u8B99\u8B9A\u8C3A\u8C41\u8C3F\u8C48\u8C4C\u8C4E\u8C50\u8C55\u8C62\u8C6C\u8C78\u8C7A\u8C82\u8C89\u8C85\u8C8A\u8C8D\u8C8E\u8C94\u8C7C\u8C98\u621D\u8CAD\u8CAA\u8CBD\u8CB2\u8CB3\u8CAE\u8CB6\u8CC8\u8CC1\u8CE4\u8CE3\u8CDA\u8CFD\u8CFA\u8CFB\u8D04\u8D05\u8D0A\u8D07\u8D0F\u8D0D\u8D10\u9F4E\u8D13\u8CCD\u8D14\u8D16\u8D67\u8D6D\u8D71\u8D73\u8D81\u8D99\u8DC2\u8DBE\u8DBA\u8DCF\u8DDA\u8DD6\u8DCC\u8DDB\u8DCB\u8DEA\u8DEB\u8DDF\u8DE3\u8DFC\u8E08\u8E09\u8DFF\u8E1D\u8E1E\u8E10\u8E1F\u8E42\u8E35\u8E30\u8E34\u8E4A"],
      ["eda1", "\u8E47\u8E49\u8E4C\u8E50\u8E48\u8E59\u8E64\u8E60\u8E2A\u8E63\u8E55\u8E76\u8E72\u8E7C\u8E81\u8E87\u8E85\u8E84\u8E8B\u8E8A\u8E93\u8E91\u8E94\u8E99\u8EAA\u8EA1\u8EAC\u8EB0\u8EC6\u8EB1\u8EBE\u8EC5\u8EC8\u8ECB\u8EDB\u8EE3\u8EFC\u8EFB\u8EEB\u8EFE\u8F0A\u8F05\u8F15\u8F12\u8F19\u8F13\u8F1C\u8F1F\u8F1B\u8F0C\u8F26\u8F33\u8F3B\u8F39\u8F45\u8F42\u8F3E\u8F4C\u8F49\u8F46\u8F4E\u8F57\u8F5C\u8F62\u8F63\u8F64\u8F9C\u8F9F\u8FA3\u8FAD\u8FAF\u8FB7\u8FDA\u8FE5\u8FE2\u8FEA\u8FEF\u9087\u8FF4\u9005\u8FF9\u8FFA\u9011\u9015\u9021\u900D\u901E\u9016\u900B\u9027\u9036\u9035\u9039\u8FF8"],
      ["eea1", "\u904F\u9050\u9051\u9052\u900E\u9049\u903E\u9056\u9058\u905E\u9068\u906F\u9076\u96A8\u9072\u9082\u907D\u9081\u9080\u908A\u9089\u908F\u90A8\u90AF\u90B1\u90B5\u90E2\u90E4\u6248\u90DB\u9102\u9112\u9119\u9132\u9130\u914A\u9156\u9158\u9163\u9165\u9169\u9173\u9172\u918B\u9189\u9182\u91A2\u91AB\u91AF\u91AA\u91B5\u91B4\u91BA\u91C0\u91C1\u91C9\u91CB\u91D0\u91D6\u91DF\u91E1\u91DB\u91FC\u91F5\u91F6\u921E\u91FF\u9214\u922C\u9215\u9211\u925E\u9257\u9245\u9249\u9264\u9248\u9295\u923F\u924B\u9250\u929C\u9296\u9293\u929B\u925A\u92CF\u92B9\u92B7\u92E9\u930F\u92FA\u9344\u932E"],
      ["efa1", "\u9319\u9322\u931A\u9323\u933A\u9335\u933B\u935C\u9360\u937C\u936E\u9356\u93B0\u93AC\u93AD\u9394\u93B9\u93D6\u93D7\u93E8\u93E5\u93D8\u93C3\u93DD\u93D0\u93C8\u93E4\u941A\u9414\u9413\u9403\u9407\u9410\u9436\u942B\u9435\u9421\u943A\u9441\u9452\u9444\u945B\u9460\u9462\u945E\u946A\u9229\u9470\u9475\u9477\u947D\u945A\u947C\u947E\u9481\u947F\u9582\u9587\u958A\u9594\u9596\u9598\u9599\u95A0\u95A8\u95A7\u95AD\u95BC\u95BB\u95B9\u95BE\u95CA\u6FF6\u95C3\u95CD\u95CC\u95D5\u95D4\u95D6\u95DC\u95E1\u95E5\u95E2\u9621\u9628\u962E\u962F\u9642\u964C\u964F\u964B\u9677\u965C\u965E"],
      ["f0a1", "\u965D\u965F\u9666\u9672\u966C\u968D\u9698\u9695\u9697\u96AA\u96A7\u96B1\u96B2\u96B0\u96B4\u96B6\u96B8\u96B9\u96CE\u96CB\u96C9\u96CD\u894D\u96DC\u970D\u96D5\u96F9\u9704\u9706\u9708\u9713\u970E\u9711\u970F\u9716\u9719\u9724\u972A\u9730\u9739\u973D\u973E\u9744\u9746\u9748\u9742\u9749\u975C\u9760\u9764\u9766\u9768\u52D2\u976B\u9771\u9779\u9785\u977C\u9781\u977A\u9786\u978B\u978F\u9790\u979C\u97A8\u97A6\u97A3\u97B3\u97B4\u97C3\u97C6\u97C8\u97CB\u97DC\u97ED\u9F4F\u97F2\u7ADF\u97F6\u97F5\u980F\u980C\u9838\u9824\u9821\u9837\u983D\u9846\u984F\u984B\u986B\u986F\u9870"],
      ["f1a1", "\u9871\u9874\u9873\u98AA\u98AF\u98B1\u98B6\u98C4\u98C3\u98C6\u98E9\u98EB\u9903\u9909\u9912\u9914\u9918\u9921\u991D\u991E\u9924\u9920\u992C\u992E\u993D\u993E\u9942\u9949\u9945\u9950\u994B\u9951\u9952\u994C\u9955\u9997\u9998\u99A5\u99AD\u99AE\u99BC\u99DF\u99DB\u99DD\u99D8\u99D1\u99ED\u99EE\u99F1\u99F2\u99FB\u99F8\u9A01\u9A0F\u9A05\u99E2\u9A19\u9A2B\u9A37\u9A45\u9A42\u9A40\u9A43\u9A3E\u9A55\u9A4D\u9A5B\u9A57\u9A5F\u9A62\u9A65\u9A64\u9A69\u9A6B\u9A6A\u9AAD\u9AB0\u9ABC\u9AC0\u9ACF\u9AD1\u9AD3\u9AD4\u9ADE\u9ADF\u9AE2\u9AE3\u9AE6\u9AEF\u9AEB\u9AEE\u9AF4\u9AF1\u9AF7"],
      ["f2a1", "\u9AFB\u9B06\u9B18\u9B1A\u9B1F\u9B22\u9B23\u9B25\u9B27\u9B28\u9B29\u9B2A\u9B2E\u9B2F\u9B32\u9B44\u9B43\u9B4F\u9B4D\u9B4E\u9B51\u9B58\u9B74\u9B93\u9B83\u9B91\u9B96\u9B97\u9B9F\u9BA0\u9BA8\u9BB4\u9BC0\u9BCA\u9BB9\u9BC6\u9BCF\u9BD1\u9BD2\u9BE3\u9BE2\u9BE4\u9BD4\u9BE1\u9C3A\u9BF2\u9BF1\u9BF0\u9C15\u9C14\u9C09\u9C13\u9C0C\u9C06\u9C08\u9C12\u9C0A\u9C04\u9C2E\u9C1B\u9C25\u9C24\u9C21\u9C30\u9C47\u9C32\u9C46\u9C3E\u9C5A\u9C60\u9C67\u9C76\u9C78\u9CE7\u9CEC\u9CF0\u9D09\u9D08\u9CEB\u9D03\u9D06\u9D2A\u9D26\u9DAF\u9D23\u9D1F\u9D44\u9D15\u9D12\u9D41\u9D3F\u9D3E\u9D46\u9D48"],
      ["f3a1", "\u9D5D\u9D5E\u9D64\u9D51\u9D50\u9D59\u9D72\u9D89\u9D87\u9DAB\u9D6F\u9D7A\u9D9A\u9DA4\u9DA9\u9DB2\u9DC4\u9DC1\u9DBB\u9DB8\u9DBA\u9DC6\u9DCF\u9DC2\u9DD9\u9DD3\u9DF8\u9DE6\u9DED\u9DEF\u9DFD\u9E1A\u9E1B\u9E1E\u9E75\u9E79\u9E7D\u9E81\u9E88\u9E8B\u9E8C\u9E92\u9E95\u9E91\u9E9D\u9EA5\u9EA9\u9EB8\u9EAA\u9EAD\u9761\u9ECC\u9ECE\u9ECF\u9ED0\u9ED4\u9EDC\u9EDE\u9EDD\u9EE0\u9EE5\u9EE8\u9EEF\u9EF4\u9EF6\u9EF7\u9EF9\u9EFB\u9EFC\u9EFD\u9F07\u9F08\u76B7\u9F15\u9F21\u9F2C\u9F3E\u9F4A\u9F52\u9F54\u9F63\u9F5F\u9F60\u9F61\u9F66\u9F67\u9F6C\u9F6A\u9F77\u9F72\u9F76\u9F95\u9F9C\u9FA0"],
      ["f4a1", "\u582F\u69C7\u9059\u7464\u51DC\u7199"],
      ["f9a1", "\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7"],
      ["faa1", "\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1"],
      ["fba1", "\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA"],
      ["fca1", "\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"],
      ["fcf1", "\u2170", 9, "\uFFE2\uFFE4\uFF07\uFF02"],
      ["8fa2af", "\u02D8\u02C7\xB8\u02D9\u02DD\xAF\u02DB\u02DA\uFF5E\u0384\u0385"],
      ["8fa2c2", "\xA1\xA6\xBF"],
      ["8fa2eb", "\xBA\xAA\xA9\xAE\u2122\xA4\u2116"],
      ["8fa6e1", "\u0386\u0388\u0389\u038A\u03AA"],
      ["8fa6e7", "\u038C"],
      ["8fa6e9", "\u038E\u03AB"],
      ["8fa6ec", "\u038F"],
      ["8fa6f1", "\u03AC\u03AD\u03AE\u03AF\u03CA\u0390\u03CC\u03C2\u03CD\u03CB\u03B0\u03CE"],
      ["8fa7c2", "\u0402", 10, "\u040E\u040F"],
      ["8fa7f2", "\u0452", 10, "\u045E\u045F"],
      ["8fa9a1", "\xC6\u0110"],
      ["8fa9a4", "\u0126"],
      ["8fa9a6", "\u0132"],
      ["8fa9a8", "\u0141\u013F"],
      ["8fa9ab", "\u014A\xD8\u0152"],
      ["8fa9af", "\u0166\xDE"],
      ["8fa9c1", "\xE6\u0111\xF0\u0127\u0131\u0133\u0138\u0142\u0140\u0149\u014B\xF8\u0153\xDF\u0167\xFE"],
      ["8faaa1", "\xC1\xC0\xC4\xC2\u0102\u01CD\u0100\u0104\xC5\xC3\u0106\u0108\u010C\xC7\u010A\u010E\xC9\xC8\xCB\xCA\u011A\u0116\u0112\u0118"],
      ["8faaba", "\u011C\u011E\u0122\u0120\u0124\xCD\xCC\xCF\xCE\u01CF\u0130\u012A\u012E\u0128\u0134\u0136\u0139\u013D\u013B\u0143\u0147\u0145\xD1\xD3\xD2\xD6\xD4\u01D1\u0150\u014C\xD5\u0154\u0158\u0156\u015A\u015C\u0160\u015E\u0164\u0162\xDA\xD9\xDC\xDB\u016C\u01D3\u0170\u016A\u0172\u016E\u0168\u01D7\u01DB\u01D9\u01D5\u0174\xDD\u0178\u0176\u0179\u017D\u017B"],
      ["8faba1", "\xE1\xE0\xE4\xE2\u0103\u01CE\u0101\u0105\xE5\xE3\u0107\u0109\u010D\xE7\u010B\u010F\xE9\xE8\xEB\xEA\u011B\u0117\u0113\u0119\u01F5\u011D\u011F"],
      ["8fabbd", "\u0121\u0125\xED\xEC\xEF\xEE\u01D0"],
      ["8fabc5", "\u012B\u012F\u0129\u0135\u0137\u013A\u013E\u013C\u0144\u0148\u0146\xF1\xF3\xF2\xF6\xF4\u01D2\u0151\u014D\xF5\u0155\u0159\u0157\u015B\u015D\u0161\u015F\u0165\u0163\xFA\xF9\xFC\xFB\u016D\u01D4\u0171\u016B\u0173\u016F\u0169\u01D8\u01DC\u01DA\u01D6\u0175\xFD\xFF\u0177\u017A\u017E\u017C"],
      ["8fb0a1", "\u4E02\u4E04\u4E05\u4E0C\u4E12\u4E1F\u4E23\u4E24\u4E28\u4E2B\u4E2E\u4E2F\u4E30\u4E35\u4E40\u4E41\u4E44\u4E47\u4E51\u4E5A\u4E5C\u4E63\u4E68\u4E69\u4E74\u4E75\u4E79\u4E7F\u4E8D\u4E96\u4E97\u4E9D\u4EAF\u4EB9\u4EC3\u4ED0\u4EDA\u4EDB\u4EE0\u4EE1\u4EE2\u4EE8\u4EEF\u4EF1\u4EF3\u4EF5\u4EFD\u4EFE\u4EFF\u4F00\u4F02\u4F03\u4F08\u4F0B\u4F0C\u4F12\u4F15\u4F16\u4F17\u4F19\u4F2E\u4F31\u4F60\u4F33\u4F35\u4F37\u4F39\u4F3B\u4F3E\u4F40\u4F42\u4F48\u4F49\u4F4B\u4F4C\u4F52\u4F54\u4F56\u4F58\u4F5F\u4F63\u4F6A\u4F6C\u4F6E\u4F71\u4F77\u4F78\u4F79\u4F7A\u4F7D\u4F7E\u4F81\u4F82\u4F84"],
      ["8fb1a1", "\u4F85\u4F89\u4F8A\u4F8C\u4F8E\u4F90\u4F92\u4F93\u4F94\u4F97\u4F99\u4F9A\u4F9E\u4F9F\u4FB2\u4FB7\u4FB9\u4FBB\u4FBC\u4FBD\u4FBE\u4FC0\u4FC1\u4FC5\u4FC6\u4FC8\u4FC9\u4FCB\u4FCC\u4FCD\u4FCF\u4FD2\u4FDC\u4FE0\u4FE2\u4FF0\u4FF2\u4FFC\u4FFD\u4FFF\u5000\u5001\u5004\u5007\u500A\u500C\u500E\u5010\u5013\u5017\u5018\u501B\u501C\u501D\u501E\u5022\u5027\u502E\u5030\u5032\u5033\u5035\u5040\u5041\u5042\u5045\u5046\u504A\u504C\u504E\u5051\u5052\u5053\u5057\u5059\u505F\u5060\u5062\u5063\u5066\u5067\u506A\u506D\u5070\u5071\u503B\u5081\u5083\u5084\u5086\u508A\u508E\u508F\u5090"],
      ["8fb2a1", "\u5092\u5093\u5094\u5096\u509B\u509C\u509E", 4, "\u50AA\u50AF\u50B0\u50B9\u50BA\u50BD\u50C0\u50C3\u50C4\u50C7\u50CC\u50CE\u50D0\u50D3\u50D4\u50D8\u50DC\u50DD\u50DF\u50E2\u50E4\u50E6\u50E8\u50E9\u50EF\u50F1\u50F6\u50FA\u50FE\u5103\u5106\u5107\u5108\u510B\u510C\u510D\u510E\u50F2\u5110\u5117\u5119\u511B\u511C\u511D\u511E\u5123\u5127\u5128\u512C\u512D\u512F\u5131\u5133\u5134\u5135\u5138\u5139\u5142\u514A\u514F\u5153\u5155\u5157\u5158\u515F\u5164\u5166\u517E\u5183\u5184\u518B\u518E\u5198\u519D\u51A1\u51A3\u51AD\u51B8\u51BA\u51BC\u51BE\u51BF\u51C2"],
      ["8fb3a1", "\u51C8\u51CF\u51D1\u51D2\u51D3\u51D5\u51D8\u51DE\u51E2\u51E5\u51EE\u51F2\u51F3\u51F4\u51F7\u5201\u5202\u5205\u5212\u5213\u5215\u5216\u5218\u5222\u5228\u5231\u5232\u5235\u523C\u5245\u5249\u5255\u5257\u5258\u525A\u525C\u525F\u5260\u5261\u5266\u526E\u5277\u5278\u5279\u5280\u5282\u5285\u528A\u528C\u5293\u5295\u5296\u5297\u5298\u529A\u529C\u52A4\u52A5\u52A6\u52A7\u52AF\u52B0\u52B6\u52B7\u52B8\u52BA\u52BB\u52BD\u52C0\u52C4\u52C6\u52C8\u52CC\u52CF\u52D1\u52D4\u52D6\u52DB\u52DC\u52E1\u52E5\u52E8\u52E9\u52EA\u52EC\u52F0\u52F1\u52F4\u52F6\u52F7\u5300\u5303\u530A\u530B"],
      ["8fb4a1", "\u530C\u5311\u5313\u5318\u531B\u531C\u531E\u531F\u5325\u5327\u5328\u5329\u532B\u532C\u532D\u5330\u5332\u5335\u533C\u533D\u533E\u5342\u534C\u534B\u5359\u535B\u5361\u5363\u5365\u536C\u536D\u5372\u5379\u537E\u5383\u5387\u5388\u538E\u5393\u5394\u5399\u539D\u53A1\u53A4\u53AA\u53AB\u53AF\u53B2\u53B4\u53B5\u53B7\u53B8\u53BA\u53BD\u53C0\u53C5\u53CF\u53D2\u53D3\u53D5\u53DA\u53DD\u53DE\u53E0\u53E6\u53E7\u53F5\u5402\u5413\u541A\u5421\u5427\u5428\u542A\u542F\u5431\u5434\u5435\u5443\u5444\u5447\u544D\u544F\u545E\u5462\u5464\u5466\u5467\u5469\u546B\u546D\u546E\u5474\u547F"],
      ["8fb5a1", "\u5481\u5483\u5485\u5488\u5489\u548D\u5491\u5495\u5496\u549C\u549F\u54A1\u54A6\u54A7\u54A9\u54AA\u54AD\u54AE\u54B1\u54B7\u54B9\u54BA\u54BB\u54BF\u54C6\u54CA\u54CD\u54CE\u54E0\u54EA\u54EC\u54EF\u54F6\u54FC\u54FE\u54FF\u5500\u5501\u5505\u5508\u5509\u550C\u550D\u550E\u5515\u552A\u552B\u5532\u5535\u5536\u553B\u553C\u553D\u5541\u5547\u5549\u554A\u554D\u5550\u5551\u5558\u555A\u555B\u555E\u5560\u5561\u5564\u5566\u557F\u5581\u5582\u5586\u5588\u558E\u558F\u5591\u5592\u5593\u5594\u5597\u55A3\u55A4\u55AD\u55B2\u55BF\u55C1\u55C3\u55C6\u55C9\u55CB\u55CC\u55CE\u55D1\u55D2"],
      ["8fb6a1", "\u55D3\u55D7\u55D8\u55DB\u55DE\u55E2\u55E9\u55F6\u55FF\u5605\u5608\u560A\u560D", 5, "\u5619\u562C\u5630\u5633\u5635\u5637\u5639\u563B\u563C\u563D\u563F\u5640\u5641\u5643\u5644\u5646\u5649\u564B\u564D\u564F\u5654\u565E\u5660\u5661\u5662\u5663\u5666\u5669\u566D\u566F\u5671\u5672\u5675\u5684\u5685\u5688\u568B\u568C\u5695\u5699\u569A\u569D\u569E\u569F\u56A6\u56A7\u56A8\u56A9\u56AB\u56AC\u56AD\u56B1\u56B3\u56B7\u56BE\u56C5\u56C9\u56CA\u56CB\u56CF\u56D0\u56CC\u56CD\u56D9\u56DC\u56DD\u56DF\u56E1\u56E4", 4, "\u56F1\u56EB\u56ED"],
      ["8fb7a1", "\u56F6\u56F7\u5701\u5702\u5707\u570A\u570C\u5711\u5715\u571A\u571B\u571D\u5720\u5722\u5723\u5724\u5725\u5729\u572A\u572C\u572E\u572F\u5733\u5734\u573D\u573E\u573F\u5745\u5746\u574C\u574D\u5752\u5762\u5765\u5767\u5768\u576B\u576D", 4, "\u5773\u5774\u5775\u5777\u5779\u577A\u577B\u577C\u577E\u5781\u5783\u578C\u5794\u5797\u5799\u579A\u579C\u579D\u579E\u579F\u57A1\u5795\u57A7\u57A8\u57A9\u57AC\u57B8\u57BD\u57C7\u57C8\u57CC\u57CF\u57D5\u57DD\u57DE\u57E4\u57E6\u57E7\u57E9\u57ED\u57F0\u57F5\u57F6\u57F8\u57FD\u57FE\u57FF\u5803\u5804\u5808\u5809\u57E1"],
      ["8fb8a1", "\u580C\u580D\u581B\u581E\u581F\u5820\u5826\u5827\u582D\u5832\u5839\u583F\u5849\u584C\u584D\u584F\u5850\u5855\u585F\u5861\u5864\u5867\u5868\u5878\u587C\u587F\u5880\u5881\u5887\u5888\u5889\u588A\u588C\u588D\u588F\u5890\u5894\u5896\u589D\u58A0\u58A1\u58A2\u58A6\u58A9\u58B1\u58B2\u58C4\u58BC\u58C2\u58C8\u58CD\u58CE\u58D0\u58D2\u58D4\u58D6\u58DA\u58DD\u58E1\u58E2\u58E9\u58F3\u5905\u5906\u590B\u590C\u5912\u5913\u5914\u8641\u591D\u5921\u5923\u5924\u5928\u592F\u5930\u5933\u5935\u5936\u593F\u5943\u5946\u5952\u5953\u5959\u595B\u595D\u595E\u595F\u5961\u5963\u596B\u596D"],
      ["8fb9a1", "\u596F\u5972\u5975\u5976\u5979\u597B\u597C\u598B\u598C\u598E\u5992\u5995\u5997\u599F\u59A4\u59A7\u59AD\u59AE\u59AF\u59B0\u59B3\u59B7\u59BA\u59BC\u59C1\u59C3\u59C4\u59C8\u59CA\u59CD\u59D2\u59DD\u59DE\u59DF\u59E3\u59E4\u59E7\u59EE\u59EF\u59F1\u59F2\u59F4\u59F7\u5A00\u5A04\u5A0C\u5A0D\u5A0E\u5A12\u5A13\u5A1E\u5A23\u5A24\u5A27\u5A28\u5A2A\u5A2D\u5A30\u5A44\u5A45\u5A47\u5A48\u5A4C\u5A50\u5A55\u5A5E\u5A63\u5A65\u5A67\u5A6D\u5A77\u5A7A\u5A7B\u5A7E\u5A8B\u5A90\u5A93\u5A96\u5A99\u5A9C\u5A9E\u5A9F\u5AA0\u5AA2\u5AA7\u5AAC\u5AB1\u5AB2\u5AB3\u5AB5\u5AB8\u5ABA\u5ABB\u5ABF"],
      ["8fbaa1", "\u5AC4\u5AC6\u5AC8\u5ACF\u5ADA\u5ADC\u5AE0\u5AE5\u5AEA\u5AEE\u5AF5\u5AF6\u5AFD\u5B00\u5B01\u5B08\u5B17\u5B34\u5B19\u5B1B\u5B1D\u5B21\u5B25\u5B2D\u5B38\u5B41\u5B4B\u5B4C\u5B52\u5B56\u5B5E\u5B68\u5B6E\u5B6F\u5B7C\u5B7D\u5B7E\u5B7F\u5B81\u5B84\u5B86\u5B8A\u5B8E\u5B90\u5B91\u5B93\u5B94\u5B96\u5BA8\u5BA9\u5BAC\u5BAD\u5BAF\u5BB1\u5BB2\u5BB7\u5BBA\u5BBC\u5BC0\u5BC1\u5BCD\u5BCF\u5BD6", 4, "\u5BE0\u5BEF\u5BF1\u5BF4\u5BFD\u5C0C\u5C17\u5C1E\u5C1F\u5C23\u5C26\u5C29\u5C2B\u5C2C\u5C2E\u5C30\u5C32\u5C35\u5C36\u5C59\u5C5A\u5C5C\u5C62\u5C63\u5C67\u5C68\u5C69"],
      ["8fbba1", "\u5C6D\u5C70\u5C74\u5C75\u5C7A\u5C7B\u5C7C\u5C7D\u5C87\u5C88\u5C8A\u5C8F\u5C92\u5C9D\u5C9F\u5CA0\u5CA2\u5CA3\u5CA6\u5CAA\u5CB2\u5CB4\u5CB5\u5CBA\u5CC9\u5CCB\u5CD2\u5CDD\u5CD7\u5CEE\u5CF1\u5CF2\u5CF4\u5D01\u5D06\u5D0D\u5D12\u5D2B\u5D23\u5D24\u5D26\u5D27\u5D31\u5D34\u5D39\u5D3D\u5D3F\u5D42\u5D43\u5D46\u5D48\u5D55\u5D51\u5D59\u5D4A\u5D5F\u5D60\u5D61\u5D62\u5D64\u5D6A\u5D6D\u5D70\u5D79\u5D7A\u5D7E\u5D7F\u5D81\u5D83\u5D88\u5D8A\u5D92\u5D93\u5D94\u5D95\u5D99\u5D9B\u5D9F\u5DA0\u5DA7\u5DAB\u5DB0\u5DB4\u5DB8\u5DB9\u5DC3\u5DC7\u5DCB\u5DD0\u5DCE\u5DD8\u5DD9\u5DE0\u5DE4"],
      ["8fbca1", "\u5DE9\u5DF8\u5DF9\u5E00\u5E07\u5E0D\u5E12\u5E14\u5E15\u5E18\u5E1F\u5E20\u5E2E\u5E28\u5E32\u5E35\u5E3E\u5E4B\u5E50\u5E49\u5E51\u5E56\u5E58\u5E5B\u5E5C\u5E5E\u5E68\u5E6A", 4, "\u5E70\u5E80\u5E8B\u5E8E\u5EA2\u5EA4\u5EA5\u5EA8\u5EAA\u5EAC\u5EB1\u5EB3\u5EBD\u5EBE\u5EBF\u5EC6\u5ECC\u5ECB\u5ECE\u5ED1\u5ED2\u5ED4\u5ED5\u5EDC\u5EDE\u5EE5\u5EEB\u5F02\u5F06\u5F07\u5F08\u5F0E\u5F19\u5F1C\u5F1D\u5F21\u5F22\u5F23\u5F24\u5F28\u5F2B\u5F2C\u5F2E\u5F30\u5F34\u5F36\u5F3B\u5F3D\u5F3F\u5F40\u5F44\u5F45\u5F47\u5F4D\u5F50\u5F54\u5F58\u5F5B\u5F60\u5F63\u5F64\u5F67"],
      ["8fbda1", "\u5F6F\u5F72\u5F74\u5F75\u5F78\u5F7A\u5F7D\u5F7E\u5F89\u5F8D\u5F8F\u5F96\u5F9C\u5F9D\u5FA2\u5FA7\u5FAB\u5FA4\u5FAC\u5FAF\u5FB0\u5FB1\u5FB8\u5FC4\u5FC7\u5FC8\u5FC9\u5FCB\u5FD0", 4, "\u5FDE\u5FE1\u5FE2\u5FE8\u5FE9\u5FEA\u5FEC\u5FED\u5FEE\u5FEF\u5FF2\u5FF3\u5FF6\u5FFA\u5FFC\u6007\u600A\u600D\u6013\u6014\u6017\u6018\u601A\u601F\u6024\u602D\u6033\u6035\u6040\u6047\u6048\u6049\u604C\u6051\u6054\u6056\u6057\u605D\u6061\u6067\u6071\u607E\u607F\u6082\u6086\u6088\u608A\u608E\u6091\u6093\u6095\u6098\u609D\u609E\u60A2\u60A4\u60A5\u60A8\u60B0\u60B1\u60B7"],
      ["8fbea1", "\u60BB\u60BE\u60C2\u60C4\u60C8\u60C9\u60CA\u60CB\u60CE\u60CF\u60D4\u60D5\u60D9\u60DB\u60DD\u60DE\u60E2\u60E5\u60F2\u60F5\u60F8\u60FC\u60FD\u6102\u6107\u610A\u610C\u6110", 4, "\u6116\u6117\u6119\u611C\u611E\u6122\u612A\u612B\u6130\u6131\u6135\u6136\u6137\u6139\u6141\u6145\u6146\u6149\u615E\u6160\u616C\u6172\u6178\u617B\u617C\u617F\u6180\u6181\u6183\u6184\u618B\u618D\u6192\u6193\u6197\u6198\u619C\u619D\u619F\u61A0\u61A5\u61A8\u61AA\u61AD\u61B8\u61B9\u61BC\u61C0\u61C1\u61C2\u61CE\u61CF\u61D5\u61DC\u61DD\u61DE\u61DF\u61E1\u61E2\u61E7\u61E9\u61E5"],
      ["8fbfa1", "\u61EC\u61ED\u61EF\u6201\u6203\u6204\u6207\u6213\u6215\u621C\u6220\u6222\u6223\u6227\u6229\u622B\u6239\u623D\u6242\u6243\u6244\u6246\u624C\u6250\u6251\u6252\u6254\u6256\u625A\u625C\u6264\u626D\u626F\u6273\u627A\u627D\u628D\u628E\u628F\u6290\u62A6\u62A8\u62B3\u62B6\u62B7\u62BA\u62BE\u62BF\u62C4\u62CE\u62D5\u62D6\u62DA\u62EA\u62F2\u62F4\u62FC\u62FD\u6303\u6304\u630A\u630B\u630D\u6310\u6313\u6316\u6318\u6329\u632A\u632D\u6335\u6336\u6339\u633C\u6341\u6342\u6343\u6344\u6346\u634A\u634B\u634E\u6352\u6353\u6354\u6358\u635B\u6365\u6366\u636C\u636D\u6371\u6374\u6375"],
      ["8fc0a1", "\u6378\u637C\u637D\u637F\u6382\u6384\u6387\u638A\u6390\u6394\u6395\u6399\u639A\u639E\u63A4\u63A6\u63AD\u63AE\u63AF\u63BD\u63C1\u63C5\u63C8\u63CE\u63D1\u63D3\u63D4\u63D5\u63DC\u63E0\u63E5\u63EA\u63EC\u63F2\u63F3\u63F5\u63F8\u63F9\u6409\u640A\u6410\u6412\u6414\u6418\u641E\u6420\u6422\u6424\u6425\u6429\u642A\u642F\u6430\u6435\u643D\u643F\u644B\u644F\u6451\u6452\u6453\u6454\u645A\u645B\u645C\u645D\u645F\u6460\u6461\u6463\u646D\u6473\u6474\u647B\u647D\u6485\u6487\u648F\u6490\u6491\u6498\u6499\u649B\u649D\u649F\u64A1\u64A3\u64A6\u64A8\u64AC\u64B3\u64BD\u64BE\u64BF"],
      ["8fc1a1", "\u64C4\u64C9\u64CA\u64CB\u64CC\u64CE\u64D0\u64D1\u64D5\u64D7\u64E4\u64E5\u64E9\u64EA\u64ED\u64F0\u64F5\u64F7\u64FB\u64FF\u6501\u6504\u6508\u6509\u650A\u650F\u6513\u6514\u6516\u6519\u651B\u651E\u651F\u6522\u6526\u6529\u652E\u6531\u653A\u653C\u653D\u6543\u6547\u6549\u6550\u6552\u6554\u655F\u6560\u6567\u656B\u657A\u657D\u6581\u6585\u658A\u6592\u6595\u6598\u659D\u65A0\u65A3\u65A6\u65AE\u65B2\u65B3\u65B4\u65BF\u65C2\u65C8\u65C9\u65CE\u65D0\u65D4\u65D6\u65D8\u65DF\u65F0\u65F2\u65F4\u65F5\u65F9\u65FE\u65FF\u6600\u6604\u6608\u6609\u660D\u6611\u6612\u6615\u6616\u661D"],
      ["8fc2a1", "\u661E\u6621\u6622\u6623\u6624\u6626\u6629\u662A\u662B\u662C\u662E\u6630\u6631\u6633\u6639\u6637\u6640\u6645\u6646\u664A\u664C\u6651\u664E\u6657\u6658\u6659\u665B\u665C\u6660\u6661\u66FB\u666A\u666B\u666C\u667E\u6673\u6675\u667F\u6677\u6678\u6679\u667B\u6680\u667C\u668B\u668C\u668D\u6690\u6692\u6699\u669A\u669B\u669C\u669F\u66A0\u66A4\u66AD\u66B1\u66B2\u66B5\u66BB\u66BF\u66C0\u66C2\u66C3\u66C8\u66CC\u66CE\u66CF\u66D4\u66DB\u66DF\u66E8\u66EB\u66EC\u66EE\u66FA\u6705\u6707\u670E\u6713\u6719\u671C\u6720\u6722\u6733\u673E\u6745\u6747\u6748\u674C\u6754\u6755\u675D"],
      ["8fc3a1", "\u6766\u676C\u676E\u6774\u6776\u677B\u6781\u6784\u678E\u678F\u6791\u6793\u6796\u6798\u6799\u679B\u67B0\u67B1\u67B2\u67B5\u67BB\u67BC\u67BD\u67F9\u67C0\u67C2\u67C3\u67C5\u67C8\u67C9\u67D2\u67D7\u67D9\u67DC\u67E1\u67E6\u67F0\u67F2\u67F6\u67F7\u6852\u6814\u6819\u681D\u681F\u6828\u6827\u682C\u682D\u682F\u6830\u6831\u6833\u683B\u683F\u6844\u6845\u684A\u684C\u6855\u6857\u6858\u685B\u686B\u686E", 4, "\u6875\u6879\u687A\u687B\u687C\u6882\u6884\u6886\u6888\u6896\u6898\u689A\u689C\u68A1\u68A3\u68A5\u68A9\u68AA\u68AE\u68B2\u68BB\u68C5\u68C8\u68CC\u68CF"],
      ["8fc4a1", "\u68D0\u68D1\u68D3\u68D6\u68D9\u68DC\u68DD\u68E5\u68E8\u68EA\u68EB\u68EC\u68ED\u68F0\u68F1\u68F5\u68F6\u68FB\u68FC\u68FD\u6906\u6909\u690A\u6910\u6911\u6913\u6916\u6917\u6931\u6933\u6935\u6938\u693B\u6942\u6945\u6949\u694E\u6957\u695B\u6963\u6964\u6965\u6966\u6968\u6969\u696C\u6970\u6971\u6972\u697A\u697B\u697F\u6980\u698D\u6992\u6996\u6998\u69A1\u69A5\u69A6\u69A8\u69AB\u69AD\u69AF\u69B7\u69B8\u69BA\u69BC\u69C5\u69C8\u69D1\u69D6\u69D7\u69E2\u69E5\u69EE\u69EF\u69F1\u69F3\u69F5\u69FE\u6A00\u6A01\u6A03\u6A0F\u6A11\u6A15\u6A1A\u6A1D\u6A20\u6A24\u6A28\u6A30\u6A32"],
      ["8fc5a1", "\u6A34\u6A37\u6A3B\u6A3E\u6A3F\u6A45\u6A46\u6A49\u6A4A\u6A4E\u6A50\u6A51\u6A52\u6A55\u6A56\u6A5B\u6A64\u6A67\u6A6A\u6A71\u6A73\u6A7E\u6A81\u6A83\u6A86\u6A87\u6A89\u6A8B\u6A91\u6A9B\u6A9D\u6A9E\u6A9F\u6AA5\u6AAB\u6AAF\u6AB0\u6AB1\u6AB4\u6ABD\u6ABE\u6ABF\u6AC6\u6AC9\u6AC8\u6ACC\u6AD0\u6AD4\u6AD5\u6AD6\u6ADC\u6ADD\u6AE4\u6AE7\u6AEC\u6AF0\u6AF1\u6AF2\u6AFC\u6AFD\u6B02\u6B03\u6B06\u6B07\u6B09\u6B0F\u6B10\u6B11\u6B17\u6B1B\u6B1E\u6B24\u6B28\u6B2B\u6B2C\u6B2F\u6B35\u6B36\u6B3B\u6B3F\u6B46\u6B4A\u6B4D\u6B52\u6B56\u6B58\u6B5D\u6B60\u6B67\u6B6B\u6B6E\u6B70\u6B75\u6B7D"],
      ["8fc6a1", "\u6B7E\u6B82\u6B85\u6B97\u6B9B\u6B9F\u6BA0\u6BA2\u6BA3\u6BA8\u6BA9\u6BAC\u6BAD\u6BAE\u6BB0\u6BB8\u6BB9\u6BBD\u6BBE\u6BC3\u6BC4\u6BC9\u6BCC\u6BD6\u6BDA\u6BE1\u6BE3\u6BE6\u6BE7\u6BEE\u6BF1\u6BF7\u6BF9\u6BFF\u6C02\u6C04\u6C05\u6C09\u6C0D\u6C0E\u6C10\u6C12\u6C19\u6C1F\u6C26\u6C27\u6C28\u6C2C\u6C2E\u6C33\u6C35\u6C36\u6C3A\u6C3B\u6C3F\u6C4A\u6C4B\u6C4D\u6C4F\u6C52\u6C54\u6C59\u6C5B\u6C5C\u6C6B\u6C6D\u6C6F\u6C74\u6C76\u6C78\u6C79\u6C7B\u6C85\u6C86\u6C87\u6C89\u6C94\u6C95\u6C97\u6C98\u6C9C\u6C9F\u6CB0\u6CB2\u6CB4\u6CC2\u6CC6\u6CCD\u6CCF\u6CD0\u6CD1\u6CD2\u6CD4\u6CD6"],
      ["8fc7a1", "\u6CDA\u6CDC\u6CE0\u6CE7\u6CE9\u6CEB\u6CEC\u6CEE\u6CF2\u6CF4\u6D04\u6D07\u6D0A\u6D0E\u6D0F\u6D11\u6D13\u6D1A\u6D26\u6D27\u6D28\u6C67\u6D2E\u6D2F\u6D31\u6D39\u6D3C\u6D3F\u6D57\u6D5E\u6D5F\u6D61\u6D65\u6D67\u6D6F\u6D70\u6D7C\u6D82\u6D87\u6D91\u6D92\u6D94\u6D96\u6D97\u6D98\u6DAA\u6DAC\u6DB4\u6DB7\u6DB9\u6DBD\u6DBF\u6DC4\u6DC8\u6DCA\u6DCE\u6DCF\u6DD6\u6DDB\u6DDD\u6DDF\u6DE0\u6DE2\u6DE5\u6DE9\u6DEF\u6DF0\u6DF4\u6DF6\u6DFC\u6E00\u6E04\u6E1E\u6E22\u6E27\u6E32\u6E36\u6E39\u6E3B\u6E3C\u6E44\u6E45\u6E48\u6E49\u6E4B\u6E4F\u6E51\u6E52\u6E53\u6E54\u6E57\u6E5C\u6E5D\u6E5E"],
      ["8fc8a1", "\u6E62\u6E63\u6E68\u6E73\u6E7B\u6E7D\u6E8D\u6E93\u6E99\u6EA0\u6EA7\u6EAD\u6EAE\u6EB1\u6EB3\u6EBB\u6EBF\u6EC0\u6EC1\u6EC3\u6EC7\u6EC8\u6ECA\u6ECD\u6ECE\u6ECF\u6EEB\u6EED\u6EEE\u6EF9\u6EFB\u6EFD\u6F04\u6F08\u6F0A\u6F0C\u6F0D\u6F16\u6F18\u6F1A\u6F1B\u6F26\u6F29\u6F2A\u6F2F\u6F30\u6F33\u6F36\u6F3B\u6F3C\u6F2D\u6F4F\u6F51\u6F52\u6F53\u6F57\u6F59\u6F5A\u6F5D\u6F5E\u6F61\u6F62\u6F68\u6F6C\u6F7D\u6F7E\u6F83\u6F87\u6F88\u6F8B\u6F8C\u6F8D\u6F90\u6F92\u6F93\u6F94\u6F96\u6F9A\u6F9F\u6FA0\u6FA5\u6FA6\u6FA7\u6FA8\u6FAE\u6FAF\u6FB0\u6FB5\u6FB6\u6FBC\u6FC5\u6FC7\u6FC8\u6FCA"],
      ["8fc9a1", "\u6FDA\u6FDE\u6FE8\u6FE9\u6FF0\u6FF5\u6FF9\u6FFC\u6FFD\u7000\u7005\u7006\u7007\u700D\u7017\u7020\u7023\u702F\u7034\u7037\u7039\u703C\u7043\u7044\u7048\u7049\u704A\u704B\u7054\u7055\u705D\u705E\u704E\u7064\u7065\u706C\u706E\u7075\u7076\u707E\u7081\u7085\u7086\u7094", 4, "\u709B\u70A4\u70AB\u70B0\u70B1\u70B4\u70B7\u70CA\u70D1\u70D3\u70D4\u70D5\u70D6\u70D8\u70DC\u70E4\u70FA\u7103", 4, "\u710B\u710C\u710F\u711E\u7120\u712B\u712D\u712F\u7130\u7131\u7138\u7141\u7145\u7146\u7147\u714A\u714B\u7150\u7152\u7157\u715A\u715C\u715E\u7160"],
      ["8fcaa1", "\u7168\u7179\u7180\u7185\u7187\u718C\u7192\u719A\u719B\u71A0\u71A2\u71AF\u71B0\u71B2\u71B3\u71BA\u71BF\u71C0\u71C1\u71C4\u71CB\u71CC\u71D3\u71D6\u71D9\u71DA\u71DC\u71F8\u71FE\u7200\u7207\u7208\u7209\u7213\u7217\u721A\u721D\u721F\u7224\u722B\u722F\u7234\u7238\u7239\u7241\u7242\u7243\u7245\u724E\u724F\u7250\u7253\u7255\u7256\u725A\u725C\u725E\u7260\u7263\u7268\u726B\u726E\u726F\u7271\u7277\u7278\u727B\u727C\u727F\u7284\u7289\u728D\u728E\u7293\u729B\u72A8\u72AD\u72AE\u72B1\u72B4\u72BE\u72C1\u72C7\u72C9\u72CC\u72D5\u72D6\u72D8\u72DF\u72E5\u72F3\u72F4\u72FA\u72FB"],
      ["8fcba1", "\u72FE\u7302\u7304\u7305\u7307\u730B\u730D\u7312\u7313\u7318\u7319\u731E\u7322\u7324\u7327\u7328\u732C\u7331\u7332\u7335\u733A\u733B\u733D\u7343\u734D\u7350\u7352\u7356\u7358\u735D\u735E\u735F\u7360\u7366\u7367\u7369\u736B\u736C\u736E\u736F\u7371\u7377\u7379\u737C\u7380\u7381\u7383\u7385\u7386\u738E\u7390\u7393\u7395\u7397\u7398\u739C\u739E\u739F\u73A0\u73A2\u73A5\u73A6\u73AA\u73AB\u73AD\u73B5\u73B7\u73B9\u73BC\u73BD\u73BF\u73C5\u73C6\u73C9\u73CB\u73CC\u73CF\u73D2\u73D3\u73D6\u73D9\u73DD\u73E1\u73E3\u73E6\u73E7\u73E9\u73F4\u73F5\u73F7\u73F9\u73FA\u73FB\u73FD"],
      ["8fcca1", "\u73FF\u7400\u7401\u7404\u7407\u740A\u7411\u741A\u741B\u7424\u7426\u7428", 9, "\u7439\u7440\u7443\u7444\u7446\u7447\u744B\u744D\u7451\u7452\u7457\u745D\u7462\u7466\u7467\u7468\u746B\u746D\u746E\u7471\u7472\u7480\u7481\u7485\u7486\u7487\u7489\u748F\u7490\u7491\u7492\u7498\u7499\u749A\u749C\u749F\u74A0\u74A1\u74A3\u74A6\u74A8\u74A9\u74AA\u74AB\u74AE\u74AF\u74B1\u74B2\u74B5\u74B9\u74BB\u74BF\u74C8\u74C9\u74CC\u74D0\u74D3\u74D8\u74DA\u74DB\u74DE\u74DF\u74E4\u74E8\u74EA\u74EB\u74EF\u74F4\u74FA\u74FB\u74FC\u74FF\u7506"],
      ["8fcda1", "\u7512\u7516\u7517\u7520\u7521\u7524\u7527\u7529\u752A\u752F\u7536\u7539\u753D\u753E\u753F\u7540\u7543\u7547\u7548\u754E\u7550\u7552\u7557\u755E\u755F\u7561\u756F\u7571\u7579", 5, "\u7581\u7585\u7590\u7592\u7593\u7595\u7599\u759C\u75A2\u75A4\u75B4\u75BA\u75BF\u75C0\u75C1\u75C4\u75C6\u75CC\u75CE\u75CF\u75D7\u75DC\u75DF\u75E0\u75E1\u75E4\u75E7\u75EC\u75EE\u75EF\u75F1\u75F9\u7600\u7602\u7603\u7604\u7607\u7608\u760A\u760C\u760F\u7612\u7613\u7615\u7616\u7619\u761B\u761C\u761D\u761E\u7623\u7625\u7626\u7629\u762D\u7632\u7633\u7635\u7638\u7639"],
      ["8fcea1", "\u763A\u763C\u764A\u7640\u7641\u7643\u7644\u7645\u7649\u764B\u7655\u7659\u765F\u7664\u7665\u766D\u766E\u766F\u7671\u7674\u7681\u7685\u768C\u768D\u7695\u769B\u769C\u769D\u769F\u76A0\u76A2", 6, "\u76AA\u76AD\u76BD\u76C1\u76C5\u76C9\u76CB\u76CC\u76CE\u76D4\u76D9\u76E0\u76E6\u76E8\u76EC\u76F0\u76F1\u76F6\u76F9\u76FC\u7700\u7706\u770A\u770E\u7712\u7714\u7715\u7717\u7719\u771A\u771C\u7722\u7728\u772D\u772E\u772F\u7734\u7735\u7736\u7739\u773D\u773E\u7742\u7745\u7746\u774A\u774D\u774E\u774F\u7752\u7756\u7757\u775C\u775E\u775F\u7760\u7762"],
      ["8fcfa1", "\u7764\u7767\u776A\u776C\u7770\u7772\u7773\u7774\u777A\u777D\u7780\u7784\u778C\u778D\u7794\u7795\u7796\u779A\u779F\u77A2\u77A7\u77AA\u77AE\u77AF\u77B1\u77B5\u77BE\u77C3\u77C9\u77D1\u77D2\u77D5\u77D9\u77DE\u77DF\u77E0\u77E4\u77E6\u77EA\u77EC\u77F0\u77F1\u77F4\u77F8\u77FB\u7805\u7806\u7809\u780D\u780E\u7811\u781D\u7821\u7822\u7823\u782D\u782E\u7830\u7835\u7837\u7843\u7844\u7847\u7848\u784C\u784E\u7852\u785C\u785E\u7860\u7861\u7863\u7864\u7868\u786A\u786E\u787A\u787E\u788A\u788F\u7894\u7898\u78A1\u789D\u789E\u789F\u78A4\u78A8\u78AC\u78AD\u78B0\u78B1\u78B2\u78B3"],
      ["8fd0a1", "\u78BB\u78BD\u78BF\u78C7\u78C8\u78C9\u78CC\u78CE\u78D2\u78D3\u78D5\u78D6\u78E4\u78DB\u78DF\u78E0\u78E1\u78E6\u78EA\u78F2\u78F3\u7900\u78F6\u78F7\u78FA\u78FB\u78FF\u7906\u790C\u7910\u791A\u791C\u791E\u791F\u7920\u7925\u7927\u7929\u792D\u7931\u7934\u7935\u793B\u793D\u793F\u7944\u7945\u7946\u794A\u794B\u794F\u7951\u7954\u7958\u795B\u795C\u7967\u7969\u796B\u7972\u7979\u797B\u797C\u797E\u798B\u798C\u7991\u7993\u7994\u7995\u7996\u7998\u799B\u799C\u79A1\u79A8\u79A9\u79AB\u79AF\u79B1\u79B4\u79B8\u79BB\u79C2\u79C4\u79C7\u79C8\u79CA\u79CF\u79D4\u79D6\u79DA\u79DD\u79DE"],
      ["8fd1a1", "\u79E0\u79E2\u79E5\u79EA\u79EB\u79ED\u79F1\u79F8\u79FC\u7A02\u7A03\u7A07\u7A09\u7A0A\u7A0C\u7A11\u7A15\u7A1B\u7A1E\u7A21\u7A27\u7A2B\u7A2D\u7A2F\u7A30\u7A34\u7A35\u7A38\u7A39\u7A3A\u7A44\u7A45\u7A47\u7A48\u7A4C\u7A55\u7A56\u7A59\u7A5C\u7A5D\u7A5F\u7A60\u7A65\u7A67\u7A6A\u7A6D\u7A75\u7A78\u7A7E\u7A80\u7A82\u7A85\u7A86\u7A8A\u7A8B\u7A90\u7A91\u7A94\u7A9E\u7AA0\u7AA3\u7AAC\u7AB3\u7AB5\u7AB9\u7ABB\u7ABC\u7AC6\u7AC9\u7ACC\u7ACE\u7AD1\u7ADB\u7AE8\u7AE9\u7AEB\u7AEC\u7AF1\u7AF4\u7AFB\u7AFD\u7AFE\u7B07\u7B14\u7B1F\u7B23\u7B27\u7B29\u7B2A\u7B2B\u7B2D\u7B2E\u7B2F\u7B30"],
      ["8fd2a1", "\u7B31\u7B34\u7B3D\u7B3F\u7B40\u7B41\u7B47\u7B4E\u7B55\u7B60\u7B64\u7B66\u7B69\u7B6A\u7B6D\u7B6F\u7B72\u7B73\u7B77\u7B84\u7B89\u7B8E\u7B90\u7B91\u7B96\u7B9B\u7B9E\u7BA0\u7BA5\u7BAC\u7BAF\u7BB0\u7BB2\u7BB5\u7BB6\u7BBA\u7BBB\u7BBC\u7BBD\u7BC2\u7BC5\u7BC8\u7BCA\u7BD4\u7BD6\u7BD7\u7BD9\u7BDA\u7BDB\u7BE8\u7BEA\u7BF2\u7BF4\u7BF5\u7BF8\u7BF9\u7BFA\u7BFC\u7BFE\u7C01\u7C02\u7C03\u7C04\u7C06\u7C09\u7C0B\u7C0C\u7C0E\u7C0F\u7C19\u7C1B\u7C20\u7C25\u7C26\u7C28\u7C2C\u7C31\u7C33\u7C34\u7C36\u7C39\u7C3A\u7C46\u7C4A\u7C55\u7C51\u7C52\u7C53\u7C59", 5],
      ["8fd3a1", "\u7C61\u7C63\u7C67\u7C69\u7C6D\u7C6E\u7C70\u7C72\u7C79\u7C7C\u7C7D\u7C86\u7C87\u7C8F\u7C94\u7C9E\u7CA0\u7CA6\u7CB0\u7CB6\u7CB7\u7CBA\u7CBB\u7CBC\u7CBF\u7CC4\u7CC7\u7CC8\u7CC9\u7CCD\u7CCF\u7CD3\u7CD4\u7CD5\u7CD7\u7CD9\u7CDA\u7CDD\u7CE6\u7CE9\u7CEB\u7CF5\u7D03\u7D07\u7D08\u7D09\u7D0F\u7D11\u7D12\u7D13\u7D16\u7D1D\u7D1E\u7D23\u7D26\u7D2A\u7D2D\u7D31\u7D3C\u7D3D\u7D3E\u7D40\u7D41\u7D47\u7D48\u7D4D\u7D51\u7D53\u7D57\u7D59\u7D5A\u7D5C\u7D5D\u7D65\u7D67\u7D6A\u7D70\u7D78\u7D7A\u7D7B\u7D7F\u7D81\u7D82\u7D83\u7D85\u7D86\u7D88\u7D8B\u7D8C\u7D8D\u7D91\u7D96\u7D97\u7D9D"],
      ["8fd4a1", "\u7D9E\u7DA6\u7DA7\u7DAA\u7DB3\u7DB6\u7DB7\u7DB9\u7DC2", 4, "\u7DCC\u7DCD\u7DCE\u7DD7\u7DD9\u7E00\u7DE2\u7DE5\u7DE6\u7DEA\u7DEB\u7DED\u7DF1\u7DF5\u7DF6\u7DF9\u7DFA\u7E08\u7E10\u7E11\u7E15\u7E17\u7E1C\u7E1D\u7E20\u7E27\u7E28\u7E2C\u7E2D\u7E2F\u7E33\u7E36\u7E3F\u7E44\u7E45\u7E47\u7E4E\u7E50\u7E52\u7E58\u7E5F\u7E61\u7E62\u7E65\u7E6B\u7E6E\u7E6F\u7E73\u7E78\u7E7E\u7E81\u7E86\u7E87\u7E8A\u7E8D\u7E91\u7E95\u7E98\u7E9A\u7E9D\u7E9E\u7F3C\u7F3B\u7F3D\u7F3E\u7F3F\u7F43\u7F44\u7F47\u7F4F\u7F52\u7F53\u7F5B\u7F5C\u7F5D\u7F61\u7F63\u7F64\u7F65\u7F66\u7F6D"],
      ["8fd5a1", "\u7F71\u7F7D\u7F7E\u7F7F\u7F80\u7F8B\u7F8D\u7F8F\u7F90\u7F91\u7F96\u7F97\u7F9C\u7FA1\u7FA2\u7FA6\u7FAA\u7FAD\u7FB4\u7FBC\u7FBF\u7FC0\u7FC3\u7FC8\u7FCE\u7FCF\u7FDB\u7FDF\u7FE3\u7FE5\u7FE8\u7FEC\u7FEE\u7FEF\u7FF2\u7FFA\u7FFD\u7FFE\u7FFF\u8007\u8008\u800A\u800D\u800E\u800F\u8011\u8013\u8014\u8016\u801D\u801E\u801F\u8020\u8024\u8026\u802C\u802E\u8030\u8034\u8035\u8037\u8039\u803A\u803C\u803E\u8040\u8044\u8060\u8064\u8066\u806D\u8071\u8075\u8081\u8088\u808E\u809C\u809E\u80A6\u80A7\u80AB\u80B8\u80B9\u80C8\u80CD\u80CF\u80D2\u80D4\u80D5\u80D7\u80D8\u80E0\u80ED\u80EE"],
      ["8fd6a1", "\u80F0\u80F2\u80F3\u80F6\u80F9\u80FA\u80FE\u8103\u810B\u8116\u8117\u8118\u811C\u811E\u8120\u8124\u8127\u812C\u8130\u8135\u813A\u813C\u8145\u8147\u814A\u814C\u8152\u8157\u8160\u8161\u8167\u8168\u8169\u816D\u816F\u8177\u8181\u8190\u8184\u8185\u8186\u818B\u818E\u8196\u8198\u819B\u819E\u81A2\u81AE\u81B2\u81B4\u81BB\u81CB\u81C3\u81C5\u81CA\u81CE\u81CF\u81D5\u81D7\u81DB\u81DD\u81DE\u81E1\u81E4\u81EB\u81EC\u81F0\u81F1\u81F2\u81F5\u81F6\u81F8\u81F9\u81FD\u81FF\u8200\u8203\u820F\u8213\u8214\u8219\u821A\u821D\u8221\u8222\u8228\u8232\u8234\u823A\u8243\u8244\u8245\u8246"],
      ["8fd7a1", "\u824B\u824E\u824F\u8251\u8256\u825C\u8260\u8263\u8267\u826D\u8274\u827B\u827D\u827F\u8280\u8281\u8283\u8284\u8287\u8289\u828A\u828E\u8291\u8294\u8296\u8298\u829A\u829B\u82A0\u82A1\u82A3\u82A4\u82A7\u82A8\u82A9\u82AA\u82AE\u82B0\u82B2\u82B4\u82B7\u82BA\u82BC\u82BE\u82BF\u82C6\u82D0\u82D5\u82DA\u82E0\u82E2\u82E4\u82E8\u82EA\u82ED\u82EF\u82F6\u82F7\u82FD\u82FE\u8300\u8301\u8307\u8308\u830A\u830B\u8354\u831B\u831D\u831E\u831F\u8321\u8322\u832C\u832D\u832E\u8330\u8333\u8337\u833A\u833C\u833D\u8342\u8343\u8344\u8347\u834D\u834E\u8351\u8355\u8356\u8357\u8370\u8378"],
      ["8fd8a1", "\u837D\u837F\u8380\u8382\u8384\u8386\u838D\u8392\u8394\u8395\u8398\u8399\u839B\u839C\u839D\u83A6\u83A7\u83A9\u83AC\u83BE\u83BF\u83C0\u83C7\u83C9\u83CF\u83D0\u83D1\u83D4\u83DD\u8353\u83E8\u83EA\u83F6\u83F8\u83F9\u83FC\u8401\u8406\u840A\u840F\u8411\u8415\u8419\u83AD\u842F\u8439\u8445\u8447\u8448\u844A\u844D\u844F\u8451\u8452\u8456\u8458\u8459\u845A\u845C\u8460\u8464\u8465\u8467\u846A\u8470\u8473\u8474\u8476\u8478\u847C\u847D\u8481\u8485\u8492\u8493\u8495\u849E\u84A6\u84A8\u84A9\u84AA\u84AF\u84B1\u84B4\u84BA\u84BD\u84BE\u84C0\u84C2\u84C7\u84C8\u84CC\u84CF\u84D3"],
      ["8fd9a1", "\u84DC\u84E7\u84EA\u84EF\u84F0\u84F1\u84F2\u84F7\u8532\u84FA\u84FB\u84FD\u8502\u8503\u8507\u850C\u850E\u8510\u851C\u851E\u8522\u8523\u8524\u8525\u8527\u852A\u852B\u852F\u8533\u8534\u8536\u853F\u8546\u854F", 4, "\u8556\u8559\u855C", 6, "\u8564\u856B\u856F\u8579\u857A\u857B\u857D\u857F\u8581\u8585\u8586\u8589\u858B\u858C\u858F\u8593\u8598\u859D\u859F\u85A0\u85A2\u85A5\u85A7\u85B4\u85B6\u85B7\u85B8\u85BC\u85BD\u85BE\u85BF\u85C2\u85C7\u85CA\u85CB\u85CE\u85AD\u85D8\u85DA\u85DF\u85E0\u85E6\u85E8\u85ED\u85F3\u85F6\u85FC"],
      ["8fdaa1", "\u85FF\u8600\u8604\u8605\u860D\u860E\u8610\u8611\u8612\u8618\u8619\u861B\u861E\u8621\u8627\u8629\u8636\u8638\u863A\u863C\u863D\u8640\u8642\u8646\u8652\u8653\u8656\u8657\u8658\u8659\u865D\u8660", 4, "\u8669\u866C\u866F\u8675\u8676\u8677\u867A\u868D\u8691\u8696\u8698\u869A\u869C\u86A1\u86A6\u86A7\u86A8\u86AD\u86B1\u86B3\u86B4\u86B5\u86B7\u86B8\u86B9\u86BF\u86C0\u86C1\u86C3\u86C5\u86D1\u86D2\u86D5\u86D7\u86DA\u86DC\u86E0\u86E3\u86E5\u86E7\u8688\u86FA\u86FC\u86FD\u8704\u8705\u8707\u870B\u870E\u870F\u8710\u8713\u8714\u8719\u871E\u871F\u8721\u8723"],
      ["8fdba1", "\u8728\u872E\u872F\u8731\u8732\u8739\u873A\u873C\u873D\u873E\u8740\u8743\u8745\u874D\u8758\u875D\u8761\u8764\u8765\u876F\u8771\u8772\u877B\u8783", 6, "\u878B\u878C\u8790\u8793\u8795\u8797\u8798\u8799\u879E\u87A0\u87A3\u87A7\u87AC\u87AD\u87AE\u87B1\u87B5\u87BE\u87BF\u87C1\u87C8\u87C9\u87CA\u87CE\u87D5\u87D6\u87D9\u87DA\u87DC\u87DF\u87E2\u87E3\u87E4\u87EA\u87EB\u87ED\u87F1\u87F3\u87F8\u87FA\u87FF\u8801\u8803\u8806\u8809\u880A\u880B\u8810\u8819\u8812\u8813\u8814\u8818\u881A\u881B\u881C\u881E\u881F\u8828\u882D\u882E\u8830\u8832\u8835"],
      ["8fdca1", "\u883A\u883C\u8841\u8843\u8845\u8848\u8849\u884A\u884B\u884E\u8851\u8855\u8856\u8858\u885A\u885C\u885F\u8860\u8864\u8869\u8871\u8879\u887B\u8880\u8898\u889A\u889B\u889C\u889F\u88A0\u88A8\u88AA\u88BA\u88BD\u88BE\u88C0\u88CA", 4, "\u88D1\u88D2\u88D3\u88DB\u88DE\u88E7\u88EF\u88F0\u88F1\u88F5\u88F7\u8901\u8906\u890D\u890E\u890F\u8915\u8916\u8918\u8919\u891A\u891C\u8920\u8926\u8927\u8928\u8930\u8931\u8932\u8935\u8939\u893A\u893E\u8940\u8942\u8945\u8946\u8949\u894F\u8952\u8957\u895A\u895B\u895C\u8961\u8962\u8963\u896B\u896E\u8970\u8973\u8975\u897A"],
      ["8fdda1", "\u897B\u897C\u897D\u8989\u898D\u8990\u8994\u8995\u899B\u899C\u899F\u89A0\u89A5\u89B0\u89B4\u89B5\u89B6\u89B7\u89BC\u89D4", 4, "\u89E5\u89E9\u89EB\u89ED\u89F1\u89F3\u89F6\u89F9\u89FD\u89FF\u8A04\u8A05\u8A07\u8A0F\u8A11\u8A12\u8A14\u8A15\u8A1E\u8A20\u8A22\u8A24\u8A26\u8A2B\u8A2C\u8A2F\u8A35\u8A37\u8A3D\u8A3E\u8A40\u8A43\u8A45\u8A47\u8A49\u8A4D\u8A4E\u8A53\u8A56\u8A57\u8A58\u8A5C\u8A5D\u8A61\u8A65\u8A67\u8A75\u8A76\u8A77\u8A79\u8A7A\u8A7B\u8A7E\u8A7F\u8A80\u8A83\u8A86\u8A8B\u8A8F\u8A90\u8A92\u8A96\u8A97\u8A99\u8A9F\u8AA7\u8AA9\u8AAE\u8AAF\u8AB3"],
      ["8fdea1", "\u8AB6\u8AB7\u8ABB\u8ABE\u8AC3\u8AC6\u8AC8\u8AC9\u8ACA\u8AD1\u8AD3\u8AD4\u8AD5\u8AD7\u8ADD\u8ADF\u8AEC\u8AF0\u8AF4\u8AF5\u8AF6\u8AFC\u8AFF\u8B05\u8B06\u8B0B\u8B11\u8B1C\u8B1E\u8B1F\u8B0A\u8B2D\u8B30\u8B37\u8B3C\u8B42", 4, "\u8B48\u8B52\u8B53\u8B54\u8B59\u8B4D\u8B5E\u8B63\u8B6D\u8B76\u8B78\u8B79\u8B7C\u8B7E\u8B81\u8B84\u8B85\u8B8B\u8B8D\u8B8F\u8B94\u8B95\u8B9C\u8B9E\u8B9F\u8C38\u8C39\u8C3D\u8C3E\u8C45\u8C47\u8C49\u8C4B\u8C4F\u8C51\u8C53\u8C54\u8C57\u8C58\u8C5B\u8C5D\u8C59\u8C63\u8C64\u8C66\u8C68\u8C69\u8C6D\u8C73\u8C75\u8C76\u8C7B\u8C7E\u8C86"],
      ["8fdfa1", "\u8C87\u8C8B\u8C90\u8C92\u8C93\u8C99\u8C9B\u8C9C\u8CA4\u8CB9\u8CBA\u8CC5\u8CC6\u8CC9\u8CCB\u8CCF\u8CD6\u8CD5\u8CD9\u8CDD\u8CE1\u8CE8\u8CEC\u8CEF\u8CF0\u8CF2\u8CF5\u8CF7\u8CF8\u8CFE\u8CFF\u8D01\u8D03\u8D09\u8D12\u8D17\u8D1B\u8D65\u8D69\u8D6C\u8D6E\u8D7F\u8D82\u8D84\u8D88\u8D8D\u8D90\u8D91\u8D95\u8D9E\u8D9F\u8DA0\u8DA6\u8DAB\u8DAC\u8DAF\u8DB2\u8DB5\u8DB7\u8DB9\u8DBB\u8DC0\u8DC5\u8DC6\u8DC7\u8DC8\u8DCA\u8DCE\u8DD1\u8DD4\u8DD5\u8DD7\u8DD9\u8DE4\u8DE5\u8DE7\u8DEC\u8DF0\u8DBC\u8DF1\u8DF2\u8DF4\u8DFD\u8E01\u8E04\u8E05\u8E06\u8E0B\u8E11\u8E14\u8E16\u8E20\u8E21\u8E22"],
      ["8fe0a1", "\u8E23\u8E26\u8E27\u8E31\u8E33\u8E36\u8E37\u8E38\u8E39\u8E3D\u8E40\u8E41\u8E4B\u8E4D\u8E4E\u8E4F\u8E54\u8E5B\u8E5C\u8E5D\u8E5E\u8E61\u8E62\u8E69\u8E6C\u8E6D\u8E6F\u8E70\u8E71\u8E79\u8E7A\u8E7B\u8E82\u8E83\u8E89\u8E90\u8E92\u8E95\u8E9A\u8E9B\u8E9D\u8E9E\u8EA2\u8EA7\u8EA9\u8EAD\u8EAE\u8EB3\u8EB5\u8EBA\u8EBB\u8EC0\u8EC1\u8EC3\u8EC4\u8EC7\u8ECF\u8ED1\u8ED4\u8EDC\u8EE8\u8EEE\u8EF0\u8EF1\u8EF7\u8EF9\u8EFA\u8EED\u8F00\u8F02\u8F07\u8F08\u8F0F\u8F10\u8F16\u8F17\u8F18\u8F1E\u8F20\u8F21\u8F23\u8F25\u8F27\u8F28\u8F2C\u8F2D\u8F2E\u8F34\u8F35\u8F36\u8F37\u8F3A\u8F40\u8F41"],
      ["8fe1a1", "\u8F43\u8F47\u8F4F\u8F51", 4, "\u8F58\u8F5D\u8F5E\u8F65\u8F9D\u8FA0\u8FA1\u8FA4\u8FA5\u8FA6\u8FB5\u8FB6\u8FB8\u8FBE\u8FC0\u8FC1\u8FC6\u8FCA\u8FCB\u8FCD\u8FD0\u8FD2\u8FD3\u8FD5\u8FE0\u8FE3\u8FE4\u8FE8\u8FEE\u8FF1\u8FF5\u8FF6\u8FFB\u8FFE\u9002\u9004\u9008\u900C\u9018\u901B\u9028\u9029\u902F\u902A\u902C\u902D\u9033\u9034\u9037\u903F\u9043\u9044\u904C\u905B\u905D\u9062\u9066\u9067\u906C\u9070\u9074\u9079\u9085\u9088\u908B\u908C\u908E\u9090\u9095\u9097\u9098\u9099\u909B\u90A0\u90A1\u90A2\u90A5\u90B0\u90B2\u90B3\u90B4\u90B6\u90BD\u90CC\u90BE\u90C3"],
      ["8fe2a1", "\u90C4\u90C5\u90C7\u90C8\u90D5\u90D7\u90D8\u90D9\u90DC\u90DD\u90DF\u90E5\u90D2\u90F6\u90EB\u90EF\u90F0\u90F4\u90FE\u90FF\u9100\u9104\u9105\u9106\u9108\u910D\u9110\u9114\u9116\u9117\u9118\u911A\u911C\u911E\u9120\u9125\u9122\u9123\u9127\u9129\u912E\u912F\u9131\u9134\u9136\u9137\u9139\u913A\u913C\u913D\u9143\u9147\u9148\u914F\u9153\u9157\u9159\u915A\u915B\u9161\u9164\u9167\u916D\u9174\u9179\u917A\u917B\u9181\u9183\u9185\u9186\u918A\u918E\u9191\u9193\u9194\u9195\u9198\u919E\u91A1\u91A6\u91A8\u91AC\u91AD\u91AE\u91B0\u91B1\u91B2\u91B3\u91B6\u91BB\u91BC\u91BD\u91BF"],
      ["8fe3a1", "\u91C2\u91C3\u91C5\u91D3\u91D4\u91D7\u91D9\u91DA\u91DE\u91E4\u91E5\u91E9\u91EA\u91EC", 5, "\u91F7\u91F9\u91FB\u91FD\u9200\u9201\u9204\u9205\u9206\u9207\u9209\u920A\u920C\u9210\u9212\u9213\u9216\u9218\u921C\u921D\u9223\u9224\u9225\u9226\u9228\u922E\u922F\u9230\u9233\u9235\u9236\u9238\u9239\u923A\u923C\u923E\u9240\u9242\u9243\u9246\u9247\u924A\u924D\u924E\u924F\u9251\u9258\u9259\u925C\u925D\u9260\u9261\u9265\u9267\u9268\u9269\u926E\u926F\u9270\u9275", 4, "\u927B\u927C\u927D\u927F\u9288\u9289\u928A\u928D\u928E\u9292\u9297"],
      ["8fe4a1", "\u9299\u929F\u92A0\u92A4\u92A5\u92A7\u92A8\u92AB\u92AF\u92B2\u92B6\u92B8\u92BA\u92BB\u92BC\u92BD\u92BF", 4, "\u92C5\u92C6\u92C7\u92C8\u92CB\u92CC\u92CD\u92CE\u92D0\u92D3\u92D5\u92D7\u92D8\u92D9\u92DC\u92DD\u92DF\u92E0\u92E1\u92E3\u92E5\u92E7\u92E8\u92EC\u92EE\u92F0\u92F9\u92FB\u92FF\u9300\u9302\u9308\u930D\u9311\u9314\u9315\u931C\u931D\u931E\u931F\u9321\u9324\u9325\u9327\u9329\u932A\u9333\u9334\u9336\u9337\u9347\u9348\u9349\u9350\u9351\u9352\u9355\u9357\u9358\u935A\u935E\u9364\u9365\u9367\u9369\u936A\u936D\u936F\u9370\u9371\u9373\u9374\u9376"],
      ["8fe5a1", "\u937A\u937D\u937F\u9380\u9381\u9382\u9388\u938A\u938B\u938D\u938F\u9392\u9395\u9398\u939B\u939E\u93A1\u93A3\u93A4\u93A6\u93A8\u93AB\u93B4\u93B5\u93B6\u93BA\u93A9\u93C1\u93C4\u93C5\u93C6\u93C7\u93C9", 4, "\u93D3\u93D9\u93DC\u93DE\u93DF\u93E2\u93E6\u93E7\u93F9\u93F7\u93F8\u93FA\u93FB\u93FD\u9401\u9402\u9404\u9408\u9409\u940D\u940E\u940F\u9415\u9416\u9417\u941F\u942E\u942F\u9431\u9432\u9433\u9434\u943B\u943F\u943D\u9443\u9445\u9448\u944A\u944C\u9455\u9459\u945C\u945F\u9461\u9463\u9468\u946B\u946D\u946E\u946F\u9471\u9472\u9484\u9483\u9578\u9579"],
      ["8fe6a1", "\u957E\u9584\u9588\u958C\u958D\u958E\u959D\u959E\u959F\u95A1\u95A6\u95A9\u95AB\u95AC\u95B4\u95B6\u95BA\u95BD\u95BF\u95C6\u95C8\u95C9\u95CB\u95D0\u95D1\u95D2\u95D3\u95D9\u95DA\u95DD\u95DE\u95DF\u95E0\u95E4\u95E6\u961D\u961E\u9622\u9624\u9625\u9626\u962C\u9631\u9633\u9637\u9638\u9639\u963A\u963C\u963D\u9641\u9652\u9654\u9656\u9657\u9658\u9661\u966E\u9674\u967B\u967C\u967E\u967F\u9681\u9682\u9683\u9684\u9689\u9691\u9696\u969A\u969D\u969F\u96A4\u96A5\u96A6\u96A9\u96AE\u96AF\u96B3\u96BA\u96CA\u96D2\u5DB2\u96D8\u96DA\u96DD\u96DE\u96DF\u96E9\u96EF\u96F1\u96FA\u9702"],
      ["8fe7a1", "\u9703\u9705\u9709\u971A\u971B\u971D\u9721\u9722\u9723\u9728\u9731\u9733\u9741\u9743\u974A\u974E\u974F\u9755\u9757\u9758\u975A\u975B\u9763\u9767\u976A\u976E\u9773\u9776\u9777\u9778\u977B\u977D\u977F\u9780\u9789\u9795\u9796\u9797\u9799\u979A\u979E\u979F\u97A2\u97AC\u97AE\u97B1\u97B2\u97B5\u97B6\u97B8\u97B9\u97BA\u97BC\u97BE\u97BF\u97C1\u97C4\u97C5\u97C7\u97C9\u97CA\u97CC\u97CD\u97CE\u97D0\u97D1\u97D4\u97D7\u97D8\u97D9\u97DD\u97DE\u97E0\u97DB\u97E1\u97E4\u97EF\u97F1\u97F4\u97F7\u97F8\u97FA\u9807\u980A\u9819\u980D\u980E\u9814\u9816\u981C\u981E\u9820\u9823\u9826"],
      ["8fe8a1", "\u982B\u982E\u982F\u9830\u9832\u9833\u9835\u9825\u983E\u9844\u9847\u984A\u9851\u9852\u9853\u9856\u9857\u9859\u985A\u9862\u9863\u9865\u9866\u986A\u986C\u98AB\u98AD\u98AE\u98B0\u98B4\u98B7\u98B8\u98BA\u98BB\u98BF\u98C2\u98C5\u98C8\u98CC\u98E1\u98E3\u98E5\u98E6\u98E7\u98EA\u98F3\u98F6\u9902\u9907\u9908\u9911\u9915\u9916\u9917\u991A\u991B\u991C\u991F\u9922\u9926\u9927\u992B\u9931", 4, "\u9939\u993A\u993B\u993C\u9940\u9941\u9946\u9947\u9948\u994D\u994E\u9954\u9958\u9959\u995B\u995C\u995E\u995F\u9960\u999B\u999D\u999F\u99A6\u99B0\u99B1\u99B2\u99B5"],
      ["8fe9a1", "\u99B9\u99BA\u99BD\u99BF\u99C3\u99C9\u99D3\u99D4\u99D9\u99DA\u99DC\u99DE\u99E7\u99EA\u99EB\u99EC\u99F0\u99F4\u99F5\u99F9\u99FD\u99FE\u9A02\u9A03\u9A04\u9A0B\u9A0C\u9A10\u9A11\u9A16\u9A1E\u9A20\u9A22\u9A23\u9A24\u9A27\u9A2D\u9A2E\u9A33\u9A35\u9A36\u9A38\u9A47\u9A41\u9A44\u9A4A\u9A4B\u9A4C\u9A4E\u9A51\u9A54\u9A56\u9A5D\u9AAA\u9AAC\u9AAE\u9AAF\u9AB2\u9AB4\u9AB5\u9AB6\u9AB9\u9ABB\u9ABE\u9ABF\u9AC1\u9AC3\u9AC6\u9AC8\u9ACE\u9AD0\u9AD2\u9AD5\u9AD6\u9AD7\u9ADB\u9ADC\u9AE0\u9AE4\u9AE5\u9AE7\u9AE9\u9AEC\u9AF2\u9AF3\u9AF5\u9AF9\u9AFA\u9AFD\u9AFF", 4],
      ["8feaa1", "\u9B04\u9B05\u9B08\u9B09\u9B0B\u9B0C\u9B0D\u9B0E\u9B10\u9B12\u9B16\u9B19\u9B1B\u9B1C\u9B20\u9B26\u9B2B\u9B2D\u9B33\u9B34\u9B35\u9B37\u9B39\u9B3A\u9B3D\u9B48\u9B4B\u9B4C\u9B55\u9B56\u9B57\u9B5B\u9B5E\u9B61\u9B63\u9B65\u9B66\u9B68\u9B6A", 4, "\u9B73\u9B75\u9B77\u9B78\u9B79\u9B7F\u9B80\u9B84\u9B85\u9B86\u9B87\u9B89\u9B8A\u9B8B\u9B8D\u9B8F\u9B90\u9B94\u9B9A\u9B9D\u9B9E\u9BA6\u9BA7\u9BA9\u9BAC\u9BB0\u9BB1\u9BB2\u9BB7\u9BB8\u9BBB\u9BBC\u9BBE\u9BBF\u9BC1\u9BC7\u9BC8\u9BCE\u9BD0\u9BD7\u9BD8\u9BDD\u9BDF\u9BE5\u9BE7\u9BEA\u9BEB\u9BEF\u9BF3\u9BF7\u9BF8"],
      ["8feba1", "\u9BF9\u9BFA\u9BFD\u9BFF\u9C00\u9C02\u9C0B\u9C0F\u9C11\u9C16\u9C18\u9C19\u9C1A\u9C1C\u9C1E\u9C22\u9C23\u9C26", 4, "\u9C31\u9C35\u9C36\u9C37\u9C3D\u9C41\u9C43\u9C44\u9C45\u9C49\u9C4A\u9C4E\u9C4F\u9C50\u9C53\u9C54\u9C56\u9C58\u9C5B\u9C5D\u9C5E\u9C5F\u9C63\u9C69\u9C6A\u9C5C\u9C6B\u9C68\u9C6E\u9C70\u9C72\u9C75\u9C77\u9C7B\u9CE6\u9CF2\u9CF7\u9CF9\u9D0B\u9D02\u9D11\u9D17\u9D18\u9D1C\u9D1D\u9D1E\u9D2F\u9D30\u9D32\u9D33\u9D34\u9D3A\u9D3C\u9D45\u9D3D\u9D42\u9D43\u9D47\u9D4A\u9D53\u9D54\u9D5F\u9D63\u9D62\u9D65\u9D69\u9D6A\u9D6B\u9D70\u9D76\u9D77\u9D7B"],
      ["8feca1", "\u9D7C\u9D7E\u9D83\u9D84\u9D86\u9D8A\u9D8D\u9D8E\u9D92\u9D93\u9D95\u9D96\u9D97\u9D98\u9DA1\u9DAA\u9DAC\u9DAE\u9DB1\u9DB5\u9DB9\u9DBC\u9DBF\u9DC3\u9DC7\u9DC9\u9DCA\u9DD4\u9DD5\u9DD6\u9DD7\u9DDA\u9DDE\u9DDF\u9DE0\u9DE5\u9DE7\u9DE9\u9DEB\u9DEE\u9DF0\u9DF3\u9DF4\u9DFE\u9E0A\u9E02\u9E07\u9E0E\u9E10\u9E11\u9E12\u9E15\u9E16\u9E19\u9E1C\u9E1D\u9E7A\u9E7B\u9E7C\u9E80\u9E82\u9E83\u9E84\u9E85\u9E87\u9E8E\u9E8F\u9E96\u9E98\u9E9B\u9E9E\u9EA4\u9EA8\u9EAC\u9EAE\u9EAF\u9EB0\u9EB3\u9EB4\u9EB5\u9EC6\u9EC8\u9ECB\u9ED5\u9EDF\u9EE4\u9EE7\u9EEC\u9EED\u9EEE\u9EF0\u9EF1\u9EF2\u9EF5"],
      ["8feda1", "\u9EF8\u9EFF\u9F02\u9F03\u9F09\u9F0F\u9F10\u9F11\u9F12\u9F14\u9F16\u9F17\u9F19\u9F1A\u9F1B\u9F1F\u9F22\u9F26\u9F2A\u9F2B\u9F2F\u9F31\u9F32\u9F34\u9F37\u9F39\u9F3A\u9F3C\u9F3D\u9F3F\u9F41\u9F43", 4, "\u9F53\u9F55\u9F56\u9F57\u9F58\u9F5A\u9F5D\u9F5E\u9F68\u9F69\u9F6D", 4, "\u9F73\u9F75\u9F7A\u9F7D\u9F8F\u9F90\u9F91\u9F92\u9F94\u9F96\u9F97\u9F9E\u9FA1\u9FA2\u9FA3\u9FA5"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/cp936.json
var require_cp9362 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/cp936.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 127, "\u20AC"],
      ["8140", "\u4E02\u4E04\u4E05\u4E06\u4E0F\u4E12\u4E17\u4E1F\u4E20\u4E21\u4E23\u4E26\u4E29\u4E2E\u4E2F\u4E31\u4E33\u4E35\u4E37\u4E3C\u4E40\u4E41\u4E42\u4E44\u4E46\u4E4A\u4E51\u4E55\u4E57\u4E5A\u4E5B\u4E62\u4E63\u4E64\u4E65\u4E67\u4E68\u4E6A", 5, "\u4E72\u4E74", 9, "\u4E7F", 6, "\u4E87\u4E8A"],
      ["8180", "\u4E90\u4E96\u4E97\u4E99\u4E9C\u4E9D\u4E9E\u4EA3\u4EAA\u4EAF\u4EB0\u4EB1\u4EB4\u4EB6\u4EB7\u4EB8\u4EB9\u4EBC\u4EBD\u4EBE\u4EC8\u4ECC\u4ECF\u4ED0\u4ED2\u4EDA\u4EDB\u4EDC\u4EE0\u4EE2\u4EE6\u4EE7\u4EE9\u4EED\u4EEE\u4EEF\u4EF1\u4EF4\u4EF8\u4EF9\u4EFA\u4EFC\u4EFE\u4F00\u4F02", 6, "\u4F0B\u4F0C\u4F12", 4, "\u4F1C\u4F1D\u4F21\u4F23\u4F28\u4F29\u4F2C\u4F2D\u4F2E\u4F31\u4F33\u4F35\u4F37\u4F39\u4F3B\u4F3E", 4, "\u4F44\u4F45\u4F47", 5, "\u4F52\u4F54\u4F56\u4F61\u4F62\u4F66\u4F68\u4F6A\u4F6B\u4F6D\u4F6E\u4F71\u4F72\u4F75\u4F77\u4F78\u4F79\u4F7A\u4F7D\u4F80\u4F81\u4F82\u4F85\u4F86\u4F87\u4F8A\u4F8C\u4F8E\u4F90\u4F92\u4F93\u4F95\u4F96\u4F98\u4F99\u4F9A\u4F9C\u4F9E\u4F9F\u4FA1\u4FA2"],
      ["8240", "\u4FA4\u4FAB\u4FAD\u4FB0", 4, "\u4FB6", 8, "\u4FC0\u4FC1\u4FC2\u4FC6\u4FC7\u4FC8\u4FC9\u4FCB\u4FCC\u4FCD\u4FD2", 4, "\u4FD9\u4FDB\u4FE0\u4FE2\u4FE4\u4FE5\u4FE7\u4FEB\u4FEC\u4FF0\u4FF2\u4FF4\u4FF5\u4FF6\u4FF7\u4FF9\u4FFB\u4FFC\u4FFD\u4FFF", 11],
      ["8280", "\u500B\u500E\u5010\u5011\u5013\u5015\u5016\u5017\u501B\u501D\u501E\u5020\u5022\u5023\u5024\u5027\u502B\u502F", 10, "\u503B\u503D\u503F\u5040\u5041\u5042\u5044\u5045\u5046\u5049\u504A\u504B\u504D\u5050", 4, "\u5056\u5057\u5058\u5059\u505B\u505D", 7, "\u5066", 5, "\u506D", 8, "\u5078\u5079\u507A\u507C\u507D\u5081\u5082\u5083\u5084\u5086\u5087\u5089\u508A\u508B\u508C\u508E", 20, "\u50A4\u50A6\u50AA\u50AB\u50AD", 4, "\u50B3", 6, "\u50BC"],
      ["8340", "\u50BD", 17, "\u50D0", 5, "\u50D7\u50D8\u50D9\u50DB", 10, "\u50E8\u50E9\u50EA\u50EB\u50EF\u50F0\u50F1\u50F2\u50F4\u50F6", 4, "\u50FC", 9, "\u5108"],
      ["8380", "\u5109\u510A\u510C", 5, "\u5113", 13, "\u5122", 28, "\u5142\u5147\u514A\u514C\u514E\u514F\u5150\u5152\u5153\u5157\u5158\u5159\u515B\u515D", 4, "\u5163\u5164\u5166\u5167\u5169\u516A\u516F\u5172\u517A\u517E\u517F\u5183\u5184\u5186\u5187\u518A\u518B\u518E\u518F\u5190\u5191\u5193\u5194\u5198\u519A\u519D\u519E\u519F\u51A1\u51A3\u51A6", 4, "\u51AD\u51AE\u51B4\u51B8\u51B9\u51BA\u51BE\u51BF\u51C1\u51C2\u51C3\u51C5\u51C8\u51CA\u51CD\u51CE\u51D0\u51D2", 5],
      ["8440", "\u51D8\u51D9\u51DA\u51DC\u51DE\u51DF\u51E2\u51E3\u51E5", 5, "\u51EC\u51EE\u51F1\u51F2\u51F4\u51F7\u51FE\u5204\u5205\u5209\u520B\u520C\u520F\u5210\u5213\u5214\u5215\u521C\u521E\u521F\u5221\u5222\u5223\u5225\u5226\u5227\u522A\u522C\u522F\u5231\u5232\u5234\u5235\u523C\u523E\u5244", 5, "\u524B\u524E\u524F\u5252\u5253\u5255\u5257\u5258"],
      ["8480", "\u5259\u525A\u525B\u525D\u525F\u5260\u5262\u5263\u5264\u5266\u5268\u526B\u526C\u526D\u526E\u5270\u5271\u5273", 9, "\u527E\u5280\u5283", 4, "\u5289", 6, "\u5291\u5292\u5294", 6, "\u529C\u52A4\u52A5\u52A6\u52A7\u52AE\u52AF\u52B0\u52B4", 9, "\u52C0\u52C1\u52C2\u52C4\u52C5\u52C6\u52C8\u52CA\u52CC\u52CD\u52CE\u52CF\u52D1\u52D3\u52D4\u52D5\u52D7\u52D9", 5, "\u52E0\u52E1\u52E2\u52E3\u52E5", 10, "\u52F1", 7, "\u52FB\u52FC\u52FD\u5301\u5302\u5303\u5304\u5307\u5309\u530A\u530B\u530C\u530E"],
      ["8540", "\u5311\u5312\u5313\u5314\u5318\u531B\u531C\u531E\u531F\u5322\u5324\u5325\u5327\u5328\u5329\u532B\u532C\u532D\u532F", 9, "\u533C\u533D\u5340\u5342\u5344\u5346\u534B\u534C\u534D\u5350\u5354\u5358\u5359\u535B\u535D\u5365\u5368\u536A\u536C\u536D\u5372\u5376\u5379\u537B\u537C\u537D\u537E\u5380\u5381\u5383\u5387\u5388\u538A\u538E\u538F"],
      ["8580", "\u5390", 4, "\u5396\u5397\u5399\u539B\u539C\u539E\u53A0\u53A1\u53A4\u53A7\u53AA\u53AB\u53AC\u53AD\u53AF", 6, "\u53B7\u53B8\u53B9\u53BA\u53BC\u53BD\u53BE\u53C0\u53C3", 4, "\u53CE\u53CF\u53D0\u53D2\u53D3\u53D5\u53DA\u53DC\u53DD\u53DE\u53E1\u53E2\u53E7\u53F4\u53FA\u53FE\u53FF\u5400\u5402\u5405\u5407\u540B\u5414\u5418\u5419\u541A\u541C\u5422\u5424\u5425\u542A\u5430\u5433\u5436\u5437\u543A\u543D\u543F\u5441\u5442\u5444\u5445\u5447\u5449\u544C\u544D\u544E\u544F\u5451\u545A\u545D", 4, "\u5463\u5465\u5467\u5469", 7, "\u5474\u5479\u547A\u547E\u547F\u5481\u5483\u5485\u5487\u5488\u5489\u548A\u548D\u5491\u5493\u5497\u5498\u549C\u549E\u549F\u54A0\u54A1"],
      ["8640", "\u54A2\u54A5\u54AE\u54B0\u54B2\u54B5\u54B6\u54B7\u54B9\u54BA\u54BC\u54BE\u54C3\u54C5\u54CA\u54CB\u54D6\u54D8\u54DB\u54E0", 4, "\u54EB\u54EC\u54EF\u54F0\u54F1\u54F4", 5, "\u54FB\u54FE\u5500\u5502\u5503\u5504\u5505\u5508\u550A", 4, "\u5512\u5513\u5515", 5, "\u551C\u551D\u551E\u551F\u5521\u5525\u5526"],
      ["8680", "\u5528\u5529\u552B\u552D\u5532\u5534\u5535\u5536\u5538\u5539\u553A\u553B\u553D\u5540\u5542\u5545\u5547\u5548\u554B", 4, "\u5551\u5552\u5553\u5554\u5557", 4, "\u555D\u555E\u555F\u5560\u5562\u5563\u5568\u5569\u556B\u556F", 5, "\u5579\u557A\u557D\u557F\u5585\u5586\u558C\u558D\u558E\u5590\u5592\u5593\u5595\u5596\u5597\u559A\u559B\u559E\u55A0", 6, "\u55A8", 8, "\u55B2\u55B4\u55B6\u55B8\u55BA\u55BC\u55BF", 4, "\u55C6\u55C7\u55C8\u55CA\u55CB\u55CE\u55CF\u55D0\u55D5\u55D7", 4, "\u55DE\u55E0\u55E2\u55E7\u55E9\u55ED\u55EE\u55F0\u55F1\u55F4\u55F6\u55F8", 4, "\u55FF\u5602\u5603\u5604\u5605"],
      ["8740", "\u5606\u5607\u560A\u560B\u560D\u5610", 7, "\u5619\u561A\u561C\u561D\u5620\u5621\u5622\u5625\u5626\u5628\u5629\u562A\u562B\u562E\u562F\u5630\u5633\u5635\u5637\u5638\u563A\u563C\u563D\u563E\u5640", 11, "\u564F", 4, "\u5655\u5656\u565A\u565B\u565D", 4],
      ["8780", "\u5663\u5665\u5666\u5667\u566D\u566E\u566F\u5670\u5672\u5673\u5674\u5675\u5677\u5678\u5679\u567A\u567D", 7, "\u5687", 6, "\u5690\u5691\u5692\u5694", 14, "\u56A4", 10, "\u56B0", 6, "\u56B8\u56B9\u56BA\u56BB\u56BD", 12, "\u56CB", 8, "\u56D5\u56D6\u56D8\u56D9\u56DC\u56E3\u56E5", 5, "\u56EC\u56EE\u56EF\u56F2\u56F3\u56F6\u56F7\u56F8\u56FB\u56FC\u5700\u5701\u5702\u5705\u5707\u570B", 6],
      ["8840", "\u5712", 9, "\u571D\u571E\u5720\u5721\u5722\u5724\u5725\u5726\u5727\u572B\u5731\u5732\u5734", 4, "\u573C\u573D\u573F\u5741\u5743\u5744\u5745\u5746\u5748\u5749\u574B\u5752", 4, "\u5758\u5759\u5762\u5763\u5765\u5767\u576C\u576E\u5770\u5771\u5772\u5774\u5775\u5778\u5779\u577A\u577D\u577E\u577F\u5780"],
      ["8880", "\u5781\u5787\u5788\u5789\u578A\u578D", 4, "\u5794", 6, "\u579C\u579D\u579E\u579F\u57A5\u57A8\u57AA\u57AC\u57AF\u57B0\u57B1\u57B3\u57B5\u57B6\u57B7\u57B9", 8, "\u57C4", 6, "\u57CC\u57CD\u57D0\u57D1\u57D3\u57D6\u57D7\u57DB\u57DC\u57DE\u57E1\u57E2\u57E3\u57E5", 7, "\u57EE\u57F0\u57F1\u57F2\u57F3\u57F5\u57F6\u57F7\u57FB\u57FC\u57FE\u57FF\u5801\u5803\u5804\u5805\u5808\u5809\u580A\u580C\u580E\u580F\u5810\u5812\u5813\u5814\u5816\u5817\u5818\u581A\u581B\u581C\u581D\u581F\u5822\u5823\u5825", 4, "\u582B", 4, "\u5831\u5832\u5833\u5834\u5836", 7],
      ["8940", "\u583E", 5, "\u5845", 6, "\u584E\u584F\u5850\u5852\u5853\u5855\u5856\u5857\u5859", 4, "\u585F", 5, "\u5866", 4, "\u586D", 16, "\u587F\u5882\u5884\u5886\u5887\u5888\u588A\u588B\u588C"],
      ["8980", "\u588D", 4, "\u5894", 4, "\u589B\u589C\u589D\u58A0", 7, "\u58AA", 17, "\u58BD\u58BE\u58BF\u58C0\u58C2\u58C3\u58C4\u58C6", 10, "\u58D2\u58D3\u58D4\u58D6", 13, "\u58E5", 5, "\u58ED\u58EF\u58F1\u58F2\u58F4\u58F5\u58F7\u58F8\u58FA", 7, "\u5903\u5905\u5906\u5908", 4, "\u590E\u5910\u5911\u5912\u5913\u5917\u5918\u591B\u591D\u591E\u5920\u5921\u5922\u5923\u5926\u5928\u592C\u5930\u5932\u5933\u5935\u5936\u593B"],
      ["8a40", "\u593D\u593E\u593F\u5940\u5943\u5945\u5946\u594A\u594C\u594D\u5950\u5952\u5953\u5959\u595B", 4, "\u5961\u5963\u5964\u5966", 12, "\u5975\u5977\u597A\u597B\u597C\u597E\u597F\u5980\u5985\u5989\u598B\u598C\u598E\u598F\u5990\u5991\u5994\u5995\u5998\u599A\u599B\u599C\u599D\u599F\u59A0\u59A1\u59A2\u59A6"],
      ["8a80", "\u59A7\u59AC\u59AD\u59B0\u59B1\u59B3", 5, "\u59BA\u59BC\u59BD\u59BF", 6, "\u59C7\u59C8\u59C9\u59CC\u59CD\u59CE\u59CF\u59D5\u59D6\u59D9\u59DB\u59DE", 4, "\u59E4\u59E6\u59E7\u59E9\u59EA\u59EB\u59ED", 11, "\u59FA\u59FC\u59FD\u59FE\u5A00\u5A02\u5A0A\u5A0B\u5A0D\u5A0E\u5A0F\u5A10\u5A12\u5A14\u5A15\u5A16\u5A17\u5A19\u5A1A\u5A1B\u5A1D\u5A1E\u5A21\u5A22\u5A24\u5A26\u5A27\u5A28\u5A2A", 6, "\u5A33\u5A35\u5A37", 4, "\u5A3D\u5A3E\u5A3F\u5A41", 4, "\u5A47\u5A48\u5A4B", 9, "\u5A56\u5A57\u5A58\u5A59\u5A5B", 5],
      ["8b40", "\u5A61\u5A63\u5A64\u5A65\u5A66\u5A68\u5A69\u5A6B", 8, "\u5A78\u5A79\u5A7B\u5A7C\u5A7D\u5A7E\u5A80", 17, "\u5A93", 6, "\u5A9C", 13, "\u5AAB\u5AAC"],
      ["8b80", "\u5AAD", 4, "\u5AB4\u5AB6\u5AB7\u5AB9", 4, "\u5ABF\u5AC0\u5AC3", 5, "\u5ACA\u5ACB\u5ACD", 4, "\u5AD3\u5AD5\u5AD7\u5AD9\u5ADA\u5ADB\u5ADD\u5ADE\u5ADF\u5AE2\u5AE4\u5AE5\u5AE7\u5AE8\u5AEA\u5AEC", 4, "\u5AF2", 22, "\u5B0A", 11, "\u5B18", 25, "\u5B33\u5B35\u5B36\u5B38", 7, "\u5B41", 6],
      ["8c40", "\u5B48", 7, "\u5B52\u5B56\u5B5E\u5B60\u5B61\u5B67\u5B68\u5B6B\u5B6D\u5B6E\u5B6F\u5B72\u5B74\u5B76\u5B77\u5B78\u5B79\u5B7B\u5B7C\u5B7E\u5B7F\u5B82\u5B86\u5B8A\u5B8D\u5B8E\u5B90\u5B91\u5B92\u5B94\u5B96\u5B9F\u5BA7\u5BA8\u5BA9\u5BAC\u5BAD\u5BAE\u5BAF\u5BB1\u5BB2\u5BB7\u5BBA\u5BBB\u5BBC\u5BC0\u5BC1\u5BC3\u5BC8\u5BC9\u5BCA\u5BCB\u5BCD\u5BCE\u5BCF"],
      ["8c80", "\u5BD1\u5BD4", 8, "\u5BE0\u5BE2\u5BE3\u5BE6\u5BE7\u5BE9", 4, "\u5BEF\u5BF1", 6, "\u5BFD\u5BFE\u5C00\u5C02\u5C03\u5C05\u5C07\u5C08\u5C0B\u5C0C\u5C0D\u5C0E\u5C10\u5C12\u5C13\u5C17\u5C19\u5C1B\u5C1E\u5C1F\u5C20\u5C21\u5C23\u5C26\u5C28\u5C29\u5C2A\u5C2B\u5C2D\u5C2E\u5C2F\u5C30\u5C32\u5C33\u5C35\u5C36\u5C37\u5C43\u5C44\u5C46\u5C47\u5C4C\u5C4D\u5C52\u5C53\u5C54\u5C56\u5C57\u5C58\u5C5A\u5C5B\u5C5C\u5C5D\u5C5F\u5C62\u5C64\u5C67", 6, "\u5C70\u5C72", 6, "\u5C7B\u5C7C\u5C7D\u5C7E\u5C80\u5C83", 4, "\u5C89\u5C8A\u5C8B\u5C8E\u5C8F\u5C92\u5C93\u5C95\u5C9D", 4, "\u5CA4", 4],
      ["8d40", "\u5CAA\u5CAE\u5CAF\u5CB0\u5CB2\u5CB4\u5CB6\u5CB9\u5CBA\u5CBB\u5CBC\u5CBE\u5CC0\u5CC2\u5CC3\u5CC5", 5, "\u5CCC", 5, "\u5CD3", 5, "\u5CDA", 6, "\u5CE2\u5CE3\u5CE7\u5CE9\u5CEB\u5CEC\u5CEE\u5CEF\u5CF1", 9, "\u5CFC", 4],
      ["8d80", "\u5D01\u5D04\u5D05\u5D08", 5, "\u5D0F", 4, "\u5D15\u5D17\u5D18\u5D19\u5D1A\u5D1C\u5D1D\u5D1F", 4, "\u5D25\u5D28\u5D2A\u5D2B\u5D2C\u5D2F", 4, "\u5D35", 7, "\u5D3F", 7, "\u5D48\u5D49\u5D4D", 10, "\u5D59\u5D5A\u5D5C\u5D5E", 10, "\u5D6A\u5D6D\u5D6E\u5D70\u5D71\u5D72\u5D73\u5D75", 12, "\u5D83", 21, "\u5D9A\u5D9B\u5D9C\u5D9E\u5D9F\u5DA0"],
      ["8e40", "\u5DA1", 21, "\u5DB8", 12, "\u5DC6", 6, "\u5DCE", 12, "\u5DDC\u5DDF\u5DE0\u5DE3\u5DE4\u5DEA\u5DEC\u5DED"],
      ["8e80", "\u5DF0\u5DF5\u5DF6\u5DF8", 4, "\u5DFF\u5E00\u5E04\u5E07\u5E09\u5E0A\u5E0B\u5E0D\u5E0E\u5E12\u5E13\u5E17\u5E1E", 7, "\u5E28", 4, "\u5E2F\u5E30\u5E32", 4, "\u5E39\u5E3A\u5E3E\u5E3F\u5E40\u5E41\u5E43\u5E46", 5, "\u5E4D", 6, "\u5E56", 4, "\u5E5C\u5E5D\u5E5F\u5E60\u5E63", 14, "\u5E75\u5E77\u5E79\u5E7E\u5E81\u5E82\u5E83\u5E85\u5E88\u5E89\u5E8C\u5E8D\u5E8E\u5E92\u5E98\u5E9B\u5E9D\u5EA1\u5EA2\u5EA3\u5EA4\u5EA8", 4, "\u5EAE", 4, "\u5EB4\u5EBA\u5EBB\u5EBC\u5EBD\u5EBF", 6],
      ["8f40", "\u5EC6\u5EC7\u5EC8\u5ECB", 5, "\u5ED4\u5ED5\u5ED7\u5ED8\u5ED9\u5EDA\u5EDC", 11, "\u5EE9\u5EEB", 8, "\u5EF5\u5EF8\u5EF9\u5EFB\u5EFC\u5EFD\u5F05\u5F06\u5F07\u5F09\u5F0C\u5F0D\u5F0E\u5F10\u5F12\u5F14\u5F16\u5F19\u5F1A\u5F1C\u5F1D\u5F1E\u5F21\u5F22\u5F23\u5F24"],
      ["8f80", "\u5F28\u5F2B\u5F2C\u5F2E\u5F30\u5F32", 6, "\u5F3B\u5F3D\u5F3E\u5F3F\u5F41", 14, "\u5F51\u5F54\u5F59\u5F5A\u5F5B\u5F5C\u5F5E\u5F5F\u5F60\u5F63\u5F65\u5F67\u5F68\u5F6B\u5F6E\u5F6F\u5F72\u5F74\u5F75\u5F76\u5F78\u5F7A\u5F7D\u5F7E\u5F7F\u5F83\u5F86\u5F8D\u5F8E\u5F8F\u5F91\u5F93\u5F94\u5F96\u5F9A\u5F9B\u5F9D\u5F9E\u5F9F\u5FA0\u5FA2", 5, "\u5FA9\u5FAB\u5FAC\u5FAF", 5, "\u5FB6\u5FB8\u5FB9\u5FBA\u5FBB\u5FBE", 4, "\u5FC7\u5FC8\u5FCA\u5FCB\u5FCE\u5FD3\u5FD4\u5FD5\u5FDA\u5FDB\u5FDC\u5FDE\u5FDF\u5FE2\u5FE3\u5FE5\u5FE6\u5FE8\u5FE9\u5FEC\u5FEF\u5FF0\u5FF2\u5FF3\u5FF4\u5FF6\u5FF7\u5FF9\u5FFA\u5FFC\u6007"],
      ["9040", "\u6008\u6009\u600B\u600C\u6010\u6011\u6013\u6017\u6018\u601A\u601E\u601F\u6022\u6023\u6024\u602C\u602D\u602E\u6030", 4, "\u6036", 4, "\u603D\u603E\u6040\u6044", 6, "\u604C\u604E\u604F\u6051\u6053\u6054\u6056\u6057\u6058\u605B\u605C\u605E\u605F\u6060\u6061\u6065\u6066\u606E\u6071\u6072\u6074\u6075\u6077\u607E\u6080"],
      ["9080", "\u6081\u6082\u6085\u6086\u6087\u6088\u608A\u608B\u608E\u608F\u6090\u6091\u6093\u6095\u6097\u6098\u6099\u609C\u609E\u60A1\u60A2\u60A4\u60A5\u60A7\u60A9\u60AA\u60AE\u60B0\u60B3\u60B5\u60B6\u60B7\u60B9\u60BA\u60BD", 7, "\u60C7\u60C8\u60C9\u60CC", 4, "\u60D2\u60D3\u60D4\u60D6\u60D7\u60D9\u60DB\u60DE\u60E1", 4, "\u60EA\u60F1\u60F2\u60F5\u60F7\u60F8\u60FB", 4, "\u6102\u6103\u6104\u6105\u6107\u610A\u610B\u610C\u6110", 4, "\u6116\u6117\u6118\u6119\u611B\u611C\u611D\u611E\u6121\u6122\u6125\u6128\u6129\u612A\u612C", 18, "\u6140", 6],
      ["9140", "\u6147\u6149\u614B\u614D\u614F\u6150\u6152\u6153\u6154\u6156", 6, "\u615E\u615F\u6160\u6161\u6163\u6164\u6165\u6166\u6169", 6, "\u6171\u6172\u6173\u6174\u6176\u6178", 18, "\u618C\u618D\u618F", 4, "\u6195"],
      ["9180", "\u6196", 6, "\u619E", 8, "\u61AA\u61AB\u61AD", 9, "\u61B8", 5, "\u61BF\u61C0\u61C1\u61C3", 4, "\u61C9\u61CC", 4, "\u61D3\u61D5", 16, "\u61E7", 13, "\u61F6", 8, "\u6200", 5, "\u6207\u6209\u6213\u6214\u6219\u621C\u621D\u621E\u6220\u6223\u6226\u6227\u6228\u6229\u622B\u622D\u622F\u6230\u6231\u6232\u6235\u6236\u6238", 4, "\u6242\u6244\u6245\u6246\u624A"],
      ["9240", "\u624F\u6250\u6255\u6256\u6257\u6259\u625A\u625C", 6, "\u6264\u6265\u6268\u6271\u6272\u6274\u6275\u6277\u6278\u627A\u627B\u627D\u6281\u6282\u6283\u6285\u6286\u6287\u6288\u628B", 5, "\u6294\u6299\u629C\u629D\u629E\u62A3\u62A6\u62A7\u62A9\u62AA\u62AD\u62AE\u62AF\u62B0\u62B2\u62B3\u62B4\u62B6\u62B7\u62B8\u62BA\u62BE\u62C0\u62C1"],
      ["9280", "\u62C3\u62CB\u62CF\u62D1\u62D5\u62DD\u62DE\u62E0\u62E1\u62E4\u62EA\u62EB\u62F0\u62F2\u62F5\u62F8\u62F9\u62FA\u62FB\u6300\u6303\u6304\u6305\u6306\u630A\u630B\u630C\u630D\u630F\u6310\u6312\u6313\u6314\u6315\u6317\u6318\u6319\u631C\u6326\u6327\u6329\u632C\u632D\u632E\u6330\u6331\u6333", 5, "\u633B\u633C\u633E\u633F\u6340\u6341\u6344\u6347\u6348\u634A\u6351\u6352\u6353\u6354\u6356", 7, "\u6360\u6364\u6365\u6366\u6368\u636A\u636B\u636C\u636F\u6370\u6372\u6373\u6374\u6375\u6378\u6379\u637C\u637D\u637E\u637F\u6381\u6383\u6384\u6385\u6386\u638B\u638D\u6391\u6393\u6394\u6395\u6397\u6399", 6, "\u63A1\u63A4\u63A6\u63AB\u63AF\u63B1\u63B2\u63B5\u63B6\u63B9\u63BB\u63BD\u63BF\u63C0"],
      ["9340", "\u63C1\u63C2\u63C3\u63C5\u63C7\u63C8\u63CA\u63CB\u63CC\u63D1\u63D3\u63D4\u63D5\u63D7", 6, "\u63DF\u63E2\u63E4", 4, "\u63EB\u63EC\u63EE\u63EF\u63F0\u63F1\u63F3\u63F5\u63F7\u63F9\u63FA\u63FB\u63FC\u63FE\u6403\u6404\u6406", 4, "\u640D\u640E\u6411\u6412\u6415", 5, "\u641D\u641F\u6422\u6423\u6424"],
      ["9380", "\u6425\u6427\u6428\u6429\u642B\u642E", 5, "\u6435", 4, "\u643B\u643C\u643E\u6440\u6442\u6443\u6449\u644B", 6, "\u6453\u6455\u6456\u6457\u6459", 4, "\u645F", 7, "\u6468\u646A\u646B\u646C\u646E", 9, "\u647B", 6, "\u6483\u6486\u6488", 8, "\u6493\u6494\u6497\u6498\u649A\u649B\u649C\u649D\u649F", 4, "\u64A5\u64A6\u64A7\u64A8\u64AA\u64AB\u64AF\u64B1\u64B2\u64B3\u64B4\u64B6\u64B9\u64BB\u64BD\u64BE\u64BF\u64C1\u64C3\u64C4\u64C6", 6, "\u64CF\u64D1\u64D3\u64D4\u64D5\u64D6\u64D9\u64DA"],
      ["9440", "\u64DB\u64DC\u64DD\u64DF\u64E0\u64E1\u64E3\u64E5\u64E7", 24, "\u6501", 7, "\u650A", 7, "\u6513", 4, "\u6519", 8],
      ["9480", "\u6522\u6523\u6524\u6526", 4, "\u652C\u652D\u6530\u6531\u6532\u6533\u6537\u653A\u653C\u653D\u6540", 4, "\u6546\u6547\u654A\u654B\u654D\u654E\u6550\u6552\u6553\u6554\u6557\u6558\u655A\u655C\u655F\u6560\u6561\u6564\u6565\u6567\u6568\u6569\u656A\u656D\u656E\u656F\u6571\u6573\u6575\u6576\u6578", 14, "\u6588\u6589\u658A\u658D\u658E\u658F\u6592\u6594\u6595\u6596\u6598\u659A\u659D\u659E\u65A0\u65A2\u65A3\u65A6\u65A8\u65AA\u65AC\u65AE\u65B1", 7, "\u65BA\u65BB\u65BE\u65BF\u65C0\u65C2\u65C7\u65C8\u65C9\u65CA\u65CD\u65D0\u65D1\u65D3\u65D4\u65D5\u65D8", 7, "\u65E1\u65E3\u65E4\u65EA\u65EB"],
      ["9540", "\u65F2\u65F3\u65F4\u65F5\u65F8\u65F9\u65FB", 4, "\u6601\u6604\u6605\u6607\u6608\u6609\u660B\u660D\u6610\u6611\u6612\u6616\u6617\u6618\u661A\u661B\u661C\u661E\u6621\u6622\u6623\u6624\u6626\u6629\u662A\u662B\u662C\u662E\u6630\u6632\u6633\u6637", 4, "\u663D\u663F\u6640\u6642\u6644", 6, "\u664D\u664E\u6650\u6651\u6658"],
      ["9580", "\u6659\u665B\u665C\u665D\u665E\u6660\u6662\u6663\u6665\u6667\u6669", 4, "\u6671\u6672\u6673\u6675\u6678\u6679\u667B\u667C\u667D\u667F\u6680\u6681\u6683\u6685\u6686\u6688\u6689\u668A\u668B\u668D\u668E\u668F\u6690\u6692\u6693\u6694\u6695\u6698", 4, "\u669E", 8, "\u66A9", 4, "\u66AF", 4, "\u66B5\u66B6\u66B7\u66B8\u66BA\u66BB\u66BC\u66BD\u66BF", 25, "\u66DA\u66DE", 7, "\u66E7\u66E8\u66EA", 5, "\u66F1\u66F5\u66F6\u66F8\u66FA\u66FB\u66FD\u6701\u6702\u6703"],
      ["9640", "\u6704\u6705\u6706\u6707\u670C\u670E\u670F\u6711\u6712\u6713\u6716\u6718\u6719\u671A\u671C\u671E\u6720", 5, "\u6727\u6729\u672E\u6730\u6732\u6733\u6736\u6737\u6738\u6739\u673B\u673C\u673E\u673F\u6741\u6744\u6745\u6747\u674A\u674B\u674D\u6752\u6754\u6755\u6757", 4, "\u675D\u6762\u6763\u6764\u6766\u6767\u676B\u676C\u676E\u6771\u6774\u6776"],
      ["9680", "\u6778\u6779\u677A\u677B\u677D\u6780\u6782\u6783\u6785\u6786\u6788\u678A\u678C\u678D\u678E\u678F\u6791\u6792\u6793\u6794\u6796\u6799\u679B\u679F\u67A0\u67A1\u67A4\u67A6\u67A9\u67AC\u67AE\u67B1\u67B2\u67B4\u67B9", 7, "\u67C2\u67C5", 9, "\u67D5\u67D6\u67D7\u67DB\u67DF\u67E1\u67E3\u67E4\u67E6\u67E7\u67E8\u67EA\u67EB\u67ED\u67EE\u67F2\u67F5", 7, "\u67FE\u6801\u6802\u6803\u6804\u6806\u680D\u6810\u6812\u6814\u6815\u6818", 4, "\u681E\u681F\u6820\u6822", 6, "\u682B", 6, "\u6834\u6835\u6836\u683A\u683B\u683F\u6847\u684B\u684D\u684F\u6852\u6856", 5],
      ["9740", "\u685C\u685D\u685E\u685F\u686A\u686C", 7, "\u6875\u6878", 8, "\u6882\u6884\u6887", 7, "\u6890\u6891\u6892\u6894\u6895\u6896\u6898", 9, "\u68A3\u68A4\u68A5\u68A9\u68AA\u68AB\u68AC\u68AE\u68B1\u68B2\u68B4\u68B6\u68B7\u68B8"],
      ["9780", "\u68B9", 6, "\u68C1\u68C3", 5, "\u68CA\u68CC\u68CE\u68CF\u68D0\u68D1\u68D3\u68D4\u68D6\u68D7\u68D9\u68DB", 4, "\u68E1\u68E2\u68E4", 9, "\u68EF\u68F2\u68F3\u68F4\u68F6\u68F7\u68F8\u68FB\u68FD\u68FE\u68FF\u6900\u6902\u6903\u6904\u6906", 4, "\u690C\u690F\u6911\u6913", 11, "\u6921\u6922\u6923\u6925", 7, "\u692E\u692F\u6931\u6932\u6933\u6935\u6936\u6937\u6938\u693A\u693B\u693C\u693E\u6940\u6941\u6943", 16, "\u6955\u6956\u6958\u6959\u695B\u695C\u695F"],
      ["9840", "\u6961\u6962\u6964\u6965\u6967\u6968\u6969\u696A\u696C\u696D\u696F\u6970\u6972", 4, "\u697A\u697B\u697D\u697E\u697F\u6981\u6983\u6985\u698A\u698B\u698C\u698E", 5, "\u6996\u6997\u6999\u699A\u699D", 9, "\u69A9\u69AA\u69AC\u69AE\u69AF\u69B0\u69B2\u69B3\u69B5\u69B6\u69B8\u69B9\u69BA\u69BC\u69BD"],
      ["9880", "\u69BE\u69BF\u69C0\u69C2", 7, "\u69CB\u69CD\u69CF\u69D1\u69D2\u69D3\u69D5", 5, "\u69DC\u69DD\u69DE\u69E1", 11, "\u69EE\u69EF\u69F0\u69F1\u69F3", 9, "\u69FE\u6A00", 9, "\u6A0B", 11, "\u6A19", 5, "\u6A20\u6A22", 5, "\u6A29\u6A2B\u6A2C\u6A2D\u6A2E\u6A30\u6A32\u6A33\u6A34\u6A36", 6, "\u6A3F", 4, "\u6A45\u6A46\u6A48", 7, "\u6A51", 6, "\u6A5A"],
      ["9940", "\u6A5C", 4, "\u6A62\u6A63\u6A64\u6A66", 10, "\u6A72", 6, "\u6A7A\u6A7B\u6A7D\u6A7E\u6A7F\u6A81\u6A82\u6A83\u6A85", 8, "\u6A8F\u6A92", 4, "\u6A98", 7, "\u6AA1", 5],
      ["9980", "\u6AA7\u6AA8\u6AAA\u6AAD", 114, "\u6B25\u6B26\u6B28", 6],
      ["9a40", "\u6B2F\u6B30\u6B31\u6B33\u6B34\u6B35\u6B36\u6B38\u6B3B\u6B3C\u6B3D\u6B3F\u6B40\u6B41\u6B42\u6B44\u6B45\u6B48\u6B4A\u6B4B\u6B4D", 11, "\u6B5A", 7, "\u6B68\u6B69\u6B6B", 13, "\u6B7A\u6B7D\u6B7E\u6B7F\u6B80\u6B85\u6B88"],
      ["9a80", "\u6B8C\u6B8E\u6B8F\u6B90\u6B91\u6B94\u6B95\u6B97\u6B98\u6B99\u6B9C", 4, "\u6BA2", 7, "\u6BAB", 7, "\u6BB6\u6BB8", 6, "\u6BC0\u6BC3\u6BC4\u6BC6", 4, "\u6BCC\u6BCE\u6BD0\u6BD1\u6BD8\u6BDA\u6BDC", 4, "\u6BE2", 7, "\u6BEC\u6BED\u6BEE\u6BF0\u6BF1\u6BF2\u6BF4\u6BF6\u6BF7\u6BF8\u6BFA\u6BFB\u6BFC\u6BFE", 6, "\u6C08", 4, "\u6C0E\u6C12\u6C17\u6C1C\u6C1D\u6C1E\u6C20\u6C23\u6C25\u6C2B\u6C2C\u6C2D\u6C31\u6C33\u6C36\u6C37\u6C39\u6C3A\u6C3B\u6C3C\u6C3E\u6C3F\u6C43\u6C44\u6C45\u6C48\u6C4B", 4, "\u6C51\u6C52\u6C53\u6C56\u6C58"],
      ["9b40", "\u6C59\u6C5A\u6C62\u6C63\u6C65\u6C66\u6C67\u6C6B", 4, "\u6C71\u6C73\u6C75\u6C77\u6C78\u6C7A\u6C7B\u6C7C\u6C7F\u6C80\u6C84\u6C87\u6C8A\u6C8B\u6C8D\u6C8E\u6C91\u6C92\u6C95\u6C96\u6C97\u6C98\u6C9A\u6C9C\u6C9D\u6C9E\u6CA0\u6CA2\u6CA8\u6CAC\u6CAF\u6CB0\u6CB4\u6CB5\u6CB6\u6CB7\u6CBA\u6CC0\u6CC1\u6CC2\u6CC3\u6CC6\u6CC7\u6CC8\u6CCB\u6CCD\u6CCE\u6CCF\u6CD1\u6CD2\u6CD8"],
      ["9b80", "\u6CD9\u6CDA\u6CDC\u6CDD\u6CDF\u6CE4\u6CE6\u6CE7\u6CE9\u6CEC\u6CED\u6CF2\u6CF4\u6CF9\u6CFF\u6D00\u6D02\u6D03\u6D05\u6D06\u6D08\u6D09\u6D0A\u6D0D\u6D0F\u6D10\u6D11\u6D13\u6D14\u6D15\u6D16\u6D18\u6D1C\u6D1D\u6D1F", 5, "\u6D26\u6D28\u6D29\u6D2C\u6D2D\u6D2F\u6D30\u6D34\u6D36\u6D37\u6D38\u6D3A\u6D3F\u6D40\u6D42\u6D44\u6D49\u6D4C\u6D50\u6D55\u6D56\u6D57\u6D58\u6D5B\u6D5D\u6D5F\u6D61\u6D62\u6D64\u6D65\u6D67\u6D68\u6D6B\u6D6C\u6D6D\u6D70\u6D71\u6D72\u6D73\u6D75\u6D76\u6D79\u6D7A\u6D7B\u6D7D", 4, "\u6D83\u6D84\u6D86\u6D87\u6D8A\u6D8B\u6D8D\u6D8F\u6D90\u6D92\u6D96", 4, "\u6D9C\u6DA2\u6DA5\u6DAC\u6DAD\u6DB0\u6DB1\u6DB3\u6DB4\u6DB6\u6DB7\u6DB9", 5, "\u6DC1\u6DC2\u6DC3\u6DC8\u6DC9\u6DCA"],
      ["9c40", "\u6DCD\u6DCE\u6DCF\u6DD0\u6DD2\u6DD3\u6DD4\u6DD5\u6DD7\u6DDA\u6DDB\u6DDC\u6DDF\u6DE2\u6DE3\u6DE5\u6DE7\u6DE8\u6DE9\u6DEA\u6DED\u6DEF\u6DF0\u6DF2\u6DF4\u6DF5\u6DF6\u6DF8\u6DFA\u6DFD", 7, "\u6E06\u6E07\u6E08\u6E09\u6E0B\u6E0F\u6E12\u6E13\u6E15\u6E18\u6E19\u6E1B\u6E1C\u6E1E\u6E1F\u6E22\u6E26\u6E27\u6E28\u6E2A\u6E2C\u6E2E\u6E30\u6E31\u6E33\u6E35"],
      ["9c80", "\u6E36\u6E37\u6E39\u6E3B", 7, "\u6E45", 7, "\u6E4F\u6E50\u6E51\u6E52\u6E55\u6E57\u6E59\u6E5A\u6E5C\u6E5D\u6E5E\u6E60", 10, "\u6E6C\u6E6D\u6E6F", 14, "\u6E80\u6E81\u6E82\u6E84\u6E87\u6E88\u6E8A", 4, "\u6E91", 6, "\u6E99\u6E9A\u6E9B\u6E9D\u6E9E\u6EA0\u6EA1\u6EA3\u6EA4\u6EA6\u6EA8\u6EA9\u6EAB\u6EAC\u6EAD\u6EAE\u6EB0\u6EB3\u6EB5\u6EB8\u6EB9\u6EBC\u6EBE\u6EBF\u6EC0\u6EC3\u6EC4\u6EC5\u6EC6\u6EC8\u6EC9\u6ECA\u6ECC\u6ECD\u6ECE\u6ED0\u6ED2\u6ED6\u6ED8\u6ED9\u6EDB\u6EDC\u6EDD\u6EE3\u6EE7\u6EEA", 5],
      ["9d40", "\u6EF0\u6EF1\u6EF2\u6EF3\u6EF5\u6EF6\u6EF7\u6EF8\u6EFA", 7, "\u6F03\u6F04\u6F05\u6F07\u6F08\u6F0A", 4, "\u6F10\u6F11\u6F12\u6F16", 9, "\u6F21\u6F22\u6F23\u6F25\u6F26\u6F27\u6F28\u6F2C\u6F2E\u6F30\u6F32\u6F34\u6F35\u6F37", 6, "\u6F3F\u6F40\u6F41\u6F42"],
      ["9d80", "\u6F43\u6F44\u6F45\u6F48\u6F49\u6F4A\u6F4C\u6F4E", 9, "\u6F59\u6F5A\u6F5B\u6F5D\u6F5F\u6F60\u6F61\u6F63\u6F64\u6F65\u6F67", 5, "\u6F6F\u6F70\u6F71\u6F73\u6F75\u6F76\u6F77\u6F79\u6F7B\u6F7D", 6, "\u6F85\u6F86\u6F87\u6F8A\u6F8B\u6F8F", 12, "\u6F9D\u6F9E\u6F9F\u6FA0\u6FA2", 4, "\u6FA8", 10, "\u6FB4\u6FB5\u6FB7\u6FB8\u6FBA", 5, "\u6FC1\u6FC3", 5, "\u6FCA", 6, "\u6FD3", 10, "\u6FDF\u6FE2\u6FE3\u6FE4\u6FE5"],
      ["9e40", "\u6FE6", 7, "\u6FF0", 32, "\u7012", 7, "\u701C", 6, "\u7024", 6],
      ["9e80", "\u702B", 9, "\u7036\u7037\u7038\u703A", 17, "\u704D\u704E\u7050", 13, "\u705F", 11, "\u706E\u7071\u7072\u7073\u7074\u7077\u7079\u707A\u707B\u707D\u7081\u7082\u7083\u7084\u7086\u7087\u7088\u708B\u708C\u708D\u708F\u7090\u7091\u7093\u7097\u7098\u709A\u709B\u709E", 12, "\u70B0\u70B2\u70B4\u70B5\u70B6\u70BA\u70BE\u70BF\u70C4\u70C5\u70C6\u70C7\u70C9\u70CB", 12, "\u70DA"],
      ["9f40", "\u70DC\u70DD\u70DE\u70E0\u70E1\u70E2\u70E3\u70E5\u70EA\u70EE\u70F0", 6, "\u70F8\u70FA\u70FB\u70FC\u70FE", 10, "\u710B", 4, "\u7111\u7112\u7114\u7117\u711B", 10, "\u7127", 7, "\u7132\u7133\u7134"],
      ["9f80", "\u7135\u7137", 13, "\u7146\u7147\u7148\u7149\u714B\u714D\u714F", 12, "\u715D\u715F", 4, "\u7165\u7169", 4, "\u716F\u7170\u7171\u7174\u7175\u7176\u7177\u7179\u717B\u717C\u717E", 5, "\u7185", 4, "\u718B\u718C\u718D\u718E\u7190\u7191\u7192\u7193\u7195\u7196\u7197\u719A", 4, "\u71A1", 6, "\u71A9\u71AA\u71AB\u71AD", 5, "\u71B4\u71B6\u71B7\u71B8\u71BA", 8, "\u71C4", 9, "\u71CF", 4],
      ["a040", "\u71D6", 9, "\u71E1\u71E2\u71E3\u71E4\u71E6\u71E8", 5, "\u71EF", 9, "\u71FA", 11, "\u7207", 19],
      ["a080", "\u721B\u721C\u721E", 9, "\u7229\u722B\u722D\u722E\u722F\u7232\u7233\u7234\u723A\u723C\u723E\u7240", 6, "\u7249\u724A\u724B\u724E\u724F\u7250\u7251\u7253\u7254\u7255\u7257\u7258\u725A\u725C\u725E\u7260\u7263\u7264\u7265\u7268\u726A\u726B\u726C\u726D\u7270\u7271\u7273\u7274\u7276\u7277\u7278\u727B\u727C\u727D\u7282\u7283\u7285", 4, "\u728C\u728E\u7290\u7291\u7293", 11, "\u72A0", 11, "\u72AE\u72B1\u72B2\u72B3\u72B5\u72BA", 6, "\u72C5\u72C6\u72C7\u72C9\u72CA\u72CB\u72CC\u72CF\u72D1\u72D3\u72D4\u72D5\u72D6\u72D8\u72DA\u72DB"],
      ["a1a1", "\u3000\u3001\u3002\xB7\u02C9\u02C7\xA8\u3003\u3005\u2014\uFF5E\u2016\u2026\u2018\u2019\u201C\u201D\u3014\u3015\u3008", 7, "\u3016\u3017\u3010\u3011\xB1\xD7\xF7\u2236\u2227\u2228\u2211\u220F\u222A\u2229\u2208\u2237\u221A\u22A5\u2225\u2220\u2312\u2299\u222B\u222E\u2261\u224C\u2248\u223D\u221D\u2260\u226E\u226F\u2264\u2265\u221E\u2235\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFF04\xA4\uFFE0\uFFE1\u2030\xA7\u2116\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u203B\u2192\u2190\u2191\u2193\u3013"],
      ["a2a1", "\u2170", 9],
      ["a2b1", "\u2488", 19, "\u2474", 19, "\u2460", 9],
      ["a2e5", "\u3220", 9],
      ["a2f1", "\u2160", 11],
      ["a3a1", "\uFF01\uFF02\uFF03\uFFE5\uFF05", 88, "\uFFE3"],
      ["a4a1", "\u3041", 82],
      ["a5a1", "\u30A1", 85],
      ["a6a1", "\u0391", 16, "\u03A3", 6],
      ["a6c1", "\u03B1", 16, "\u03C3", 6],
      ["a6e0", "\uFE35\uFE36\uFE39\uFE3A\uFE3F\uFE40\uFE3D\uFE3E\uFE41\uFE42\uFE43\uFE44"],
      ["a6ee", "\uFE3B\uFE3C\uFE37\uFE38\uFE31"],
      ["a6f4", "\uFE33\uFE34"],
      ["a7a1", "\u0410", 5, "\u0401\u0416", 25],
      ["a7d1", "\u0430", 5, "\u0451\u0436", 25],
      ["a840", "\u02CA\u02CB\u02D9\u2013\u2015\u2025\u2035\u2105\u2109\u2196\u2197\u2198\u2199\u2215\u221F\u2223\u2252\u2266\u2267\u22BF\u2550", 35, "\u2581", 6],
      ["a880", "\u2588", 7, "\u2593\u2594\u2595\u25BC\u25BD\u25E2\u25E3\u25E4\u25E5\u2609\u2295\u3012\u301D\u301E"],
      ["a8a1", "\u0101\xE1\u01CE\xE0\u0113\xE9\u011B\xE8\u012B\xED\u01D0\xEC\u014D\xF3\u01D2\xF2\u016B\xFA\u01D4\xF9\u01D6\u01D8\u01DA\u01DC\xFC\xEA\u0251"],
      ["a8bd", "\u0144\u0148"],
      ["a8c0", "\u0261"],
      ["a8c5", "\u3105", 36],
      ["a940", "\u3021", 8, "\u32A3\u338E\u338F\u339C\u339D\u339E\u33A1\u33C4\u33CE\u33D1\u33D2\u33D5\uFE30\uFFE2\uFFE4"],
      ["a959", "\u2121\u3231"],
      ["a95c", "\u2010"],
      ["a960", "\u30FC\u309B\u309C\u30FD\u30FE\u3006\u309D\u309E\uFE49", 9, "\uFE54\uFE55\uFE56\uFE57\uFE59", 8],
      ["a980", "\uFE62", 4, "\uFE68\uFE69\uFE6A\uFE6B"],
      ["a996", "\u3007"],
      ["a9a4", "\u2500", 75],
      ["aa40", "\u72DC\u72DD\u72DF\u72E2", 5, "\u72EA\u72EB\u72F5\u72F6\u72F9\u72FD\u72FE\u72FF\u7300\u7302\u7304", 5, "\u730B\u730C\u730D\u730F\u7310\u7311\u7312\u7314\u7318\u7319\u731A\u731F\u7320\u7323\u7324\u7326\u7327\u7328\u732D\u732F\u7330\u7332\u7333\u7335\u7336\u733A\u733B\u733C\u733D\u7340", 8],
      ["aa80", "\u7349\u734A\u734B\u734C\u734E\u734F\u7351\u7353\u7354\u7355\u7356\u7358", 7, "\u7361", 10, "\u736E\u7370\u7371"],
      ["ab40", "\u7372", 11, "\u737F", 4, "\u7385\u7386\u7388\u738A\u738C\u738D\u738F\u7390\u7392\u7393\u7394\u7395\u7397\u7398\u7399\u739A\u739C\u739D\u739E\u73A0\u73A1\u73A3", 5, "\u73AA\u73AC\u73AD\u73B1\u73B4\u73B5\u73B6\u73B8\u73B9\u73BC\u73BD\u73BE\u73BF\u73C1\u73C3", 4],
      ["ab80", "\u73CB\u73CC\u73CE\u73D2", 6, "\u73DA\u73DB\u73DC\u73DD\u73DF\u73E1\u73E2\u73E3\u73E4\u73E6\u73E8\u73EA\u73EB\u73EC\u73EE\u73EF\u73F0\u73F1\u73F3", 4],
      ["ac40", "\u73F8", 10, "\u7404\u7407\u7408\u740B\u740C\u740D\u740E\u7411", 8, "\u741C", 5, "\u7423\u7424\u7427\u7429\u742B\u742D\u742F\u7431\u7432\u7437", 4, "\u743D\u743E\u743F\u7440\u7442", 11],
      ["ac80", "\u744E", 6, "\u7456\u7458\u745D\u7460", 12, "\u746E\u746F\u7471", 4, "\u7478\u7479\u747A"],
      ["ad40", "\u747B\u747C\u747D\u747F\u7482\u7484\u7485\u7486\u7488\u7489\u748A\u748C\u748D\u748F\u7491", 10, "\u749D\u749F", 7, "\u74AA", 15, "\u74BB", 12],
      ["ad80", "\u74C8", 9, "\u74D3", 8, "\u74DD\u74DF\u74E1\u74E5\u74E7", 6, "\u74F0\u74F1\u74F2"],
      ["ae40", "\u74F3\u74F5\u74F8", 6, "\u7500\u7501\u7502\u7503\u7505", 7, "\u750E\u7510\u7512\u7514\u7515\u7516\u7517\u751B\u751D\u751E\u7520", 4, "\u7526\u7527\u752A\u752E\u7534\u7536\u7539\u753C\u753D\u753F\u7541\u7542\u7543\u7544\u7546\u7547\u7549\u754A\u754D\u7550\u7551\u7552\u7553\u7555\u7556\u7557\u7558"],
      ["ae80", "\u755D", 7, "\u7567\u7568\u7569\u756B", 6, "\u7573\u7575\u7576\u7577\u757A", 4, "\u7580\u7581\u7582\u7584\u7585\u7587"],
      ["af40", "\u7588\u7589\u758A\u758C\u758D\u758E\u7590\u7593\u7595\u7598\u759B\u759C\u759E\u75A2\u75A6", 4, "\u75AD\u75B6\u75B7\u75BA\u75BB\u75BF\u75C0\u75C1\u75C6\u75CB\u75CC\u75CE\u75CF\u75D0\u75D1\u75D3\u75D7\u75D9\u75DA\u75DC\u75DD\u75DF\u75E0\u75E1\u75E5\u75E9\u75EC\u75ED\u75EE\u75EF\u75F2\u75F3\u75F5\u75F6\u75F7\u75F8\u75FA\u75FB\u75FD\u75FE\u7602\u7604\u7606\u7607"],
      ["af80", "\u7608\u7609\u760B\u760D\u760E\u760F\u7611\u7612\u7613\u7614\u7616\u761A\u761C\u761D\u761E\u7621\u7623\u7627\u7628\u762C\u762E\u762F\u7631\u7632\u7636\u7637\u7639\u763A\u763B\u763D\u7641\u7642\u7644"],
      ["b040", "\u7645", 6, "\u764E", 5, "\u7655\u7657", 4, "\u765D\u765F\u7660\u7661\u7662\u7664", 6, "\u766C\u766D\u766E\u7670", 7, "\u7679\u767A\u767C\u767F\u7680\u7681\u7683\u7685\u7689\u768A\u768C\u768D\u768F\u7690\u7692\u7694\u7695\u7697\u7698\u769A\u769B"],
      ["b080", "\u769C", 7, "\u76A5", 8, "\u76AF\u76B0\u76B3\u76B5", 9, "\u76C0\u76C1\u76C3\u554A\u963F\u57C3\u6328\u54CE\u5509\u54C0\u7691\u764C\u853C\u77EE\u827E\u788D\u7231\u9698\u978D\u6C28\u5B89\u4FFA\u6309\u6697\u5CB8\u80FA\u6848\u80AE\u6602\u76CE\u51F9\u6556\u71AC\u7FF1\u8884\u50B2\u5965\u61CA\u6FB3\u82AD\u634C\u6252\u53ED\u5427\u7B06\u516B\u75A4\u5DF4\u62D4\u8DCB\u9776\u628A\u8019\u575D\u9738\u7F62\u7238\u767D\u67CF\u767E\u6446\u4F70\u8D25\u62DC\u7A17\u6591\u73ED\u642C\u6273\u822C\u9881\u677F\u7248\u626E\u62CC\u4F34\u74E3\u534A\u529E\u7ECA\u90A6\u5E2E\u6886\u699C\u8180\u7ED1\u68D2\u78C5\u868C\u9551\u508D\u8C24\u82DE\u80DE\u5305\u8912\u5265"],
      ["b140", "\u76C4\u76C7\u76C9\u76CB\u76CC\u76D3\u76D5\u76D9\u76DA\u76DC\u76DD\u76DE\u76E0", 4, "\u76E6", 7, "\u76F0\u76F3\u76F5\u76F6\u76F7\u76FA\u76FB\u76FD\u76FF\u7700\u7702\u7703\u7705\u7706\u770A\u770C\u770E", 10, "\u771B\u771C\u771D\u771E\u7721\u7723\u7724\u7725\u7727\u772A\u772B"],
      ["b180", "\u772C\u772E\u7730", 4, "\u7739\u773B\u773D\u773E\u773F\u7742\u7744\u7745\u7746\u7748", 7, "\u7752", 7, "\u775C\u8584\u96F9\u4FDD\u5821\u9971\u5B9D\u62B1\u62A5\u66B4\u8C79\u9C8D\u7206\u676F\u7891\u60B2\u5351\u5317\u8F88\u80CC\u8D1D\u94A1\u500D\u72C8\u5907\u60EB\u7119\u88AB\u5954\u82EF\u672C\u7B28\u5D29\u7EF7\u752D\u6CF5\u8E66\u8FF8\u903C\u9F3B\u6BD4\u9119\u7B14\u5F7C\u78A7\u84D6\u853D\u6BD5\u6BD9\u6BD6\u5E01\u5E87\u75F9\u95ED\u655D\u5F0A\u5FC5\u8F9F\u58C1\u81C2\u907F\u965B\u97AD\u8FB9\u7F16\u8D2C\u6241\u4FBF\u53D8\u535E\u8FA8\u8FA9\u8FAB\u904D\u6807\u5F6A\u8198\u8868\u9CD6\u618B\u522B\u762A\u5F6C\u658C\u6FD2\u6EE8\u5BBE\u6448\u5175\u51B0\u67C4\u4E19\u79C9\u997C\u70B3"],
      ["b240", "\u775D\u775E\u775F\u7760\u7764\u7767\u7769\u776A\u776D", 11, "\u777A\u777B\u777C\u7781\u7782\u7783\u7786", 5, "\u778F\u7790\u7793", 11, "\u77A1\u77A3\u77A4\u77A6\u77A8\u77AB\u77AD\u77AE\u77AF\u77B1\u77B2\u77B4\u77B6", 4],
      ["b280", "\u77BC\u77BE\u77C0", 12, "\u77CE", 8, "\u77D8\u77D9\u77DA\u77DD", 4, "\u77E4\u75C5\u5E76\u73BB\u83E0\u64AD\u62E8\u94B5\u6CE2\u535A\u52C3\u640F\u94C2\u7B94\u4F2F\u5E1B\u8236\u8116\u818A\u6E24\u6CCA\u9A73\u6355\u535C\u54FA\u8865\u57E0\u4E0D\u5E03\u6B65\u7C3F\u90E8\u6016\u64E6\u731C\u88C1\u6750\u624D\u8D22\u776C\u8E29\u91C7\u5F69\u83DC\u8521\u9910\u53C2\u8695\u6B8B\u60ED\u60E8\u707F\u82CD\u8231\u4ED3\u6CA7\u85CF\u64CD\u7CD9\u69FD\u66F9\u8349\u5395\u7B56\u4FA7\u518C\u6D4B\u5C42\u8E6D\u63D2\u53C9\u832C\u8336\u67E5\u78B4\u643D\u5BDF\u5C94\u5DEE\u8BE7\u62C6\u67F4\u8C7A\u6400\u63BA\u8749\u998B\u8C17\u7F20\u94F2\u4EA7\u9610\u98A4\u660C\u7316"],
      ["b340", "\u77E6\u77E8\u77EA\u77EF\u77F0\u77F1\u77F2\u77F4\u77F5\u77F7\u77F9\u77FA\u77FB\u77FC\u7803", 5, "\u780A\u780B\u780E\u780F\u7810\u7813\u7815\u7819\u781B\u781E\u7820\u7821\u7822\u7824\u7828\u782A\u782B\u782E\u782F\u7831\u7832\u7833\u7835\u7836\u783D\u783F\u7841\u7842\u7843\u7844\u7846\u7848\u7849\u784A\u784B\u784D\u784F\u7851\u7853\u7854\u7858\u7859\u785A"],
      ["b380", "\u785B\u785C\u785E", 11, "\u786F", 7, "\u7878\u7879\u787A\u787B\u787D", 6, "\u573A\u5C1D\u5E38\u957F\u507F\u80A0\u5382\u655E\u7545\u5531\u5021\u8D85\u6284\u949E\u671D\u5632\u6F6E\u5DE2\u5435\u7092\u8F66\u626F\u64A4\u63A3\u5F7B\u6F88\u90F4\u81E3\u8FB0\u5C18\u6668\u5FF1\u6C89\u9648\u8D81\u886C\u6491\u79F0\u57CE\u6A59\u6210\u5448\u4E58\u7A0B\u60E9\u6F84\u8BDA\u627F\u901E\u9A8B\u79E4\u5403\u75F4\u6301\u5319\u6C60\u8FDF\u5F1B\u9A70\u803B\u9F7F\u4F88\u5C3A\u8D64\u7FC5\u65A5\u70BD\u5145\u51B2\u866B\u5D07\u5BA0\u62BD\u916C\u7574\u8E0C\u7A20\u6101\u7B79\u4EC7\u7EF8\u7785\u4E11\u81ED\u521D\u51FA\u6A71\u53A8\u8E87\u9504\u96CF\u6EC1\u9664\u695A"],
      ["b440", "\u7884\u7885\u7886\u7888\u788A\u788B\u788F\u7890\u7892\u7894\u7895\u7896\u7899\u789D\u789E\u78A0\u78A2\u78A4\u78A6\u78A8", 7, "\u78B5\u78B6\u78B7\u78B8\u78BA\u78BB\u78BC\u78BD\u78BF\u78C0\u78C2\u78C3\u78C4\u78C6\u78C7\u78C8\u78CC\u78CD\u78CE\u78CF\u78D1\u78D2\u78D3\u78D6\u78D7\u78D8\u78DA", 9],
      ["b480", "\u78E4\u78E5\u78E6\u78E7\u78E9\u78EA\u78EB\u78ED", 4, "\u78F3\u78F5\u78F6\u78F8\u78F9\u78FB", 5, "\u7902\u7903\u7904\u7906", 6, "\u7840\u50A8\u77D7\u6410\u89E6\u5904\u63E3\u5DDD\u7A7F\u693D\u4F20\u8239\u5598\u4E32\u75AE\u7A97\u5E62\u5E8A\u95EF\u521B\u5439\u708A\u6376\u9524\u5782\u6625\u693F\u9187\u5507\u6DF3\u7EAF\u8822\u6233\u7EF0\u75B5\u8328\u78C1\u96CC\u8F9E\u6148\u74F7\u8BCD\u6B64\u523A\u8D50\u6B21\u806A\u8471\u56F1\u5306\u4ECE\u4E1B\u51D1\u7C97\u918B\u7C07\u4FC3\u8E7F\u7BE1\u7A9C\u6467\u5D14\u50AC\u8106\u7601\u7CB9\u6DEC\u7FE0\u6751\u5B58\u5BF8\u78CB\u64AE\u6413\u63AA\u632B\u9519\u642D\u8FBE\u7B54\u7629\u6253\u5927\u5446\u6B79\u50A3\u6234\u5E26\u6B86\u4EE3\u8D37\u888B\u5F85\u902E"],
      ["b540", "\u790D", 5, "\u7914", 9, "\u791F", 4, "\u7925", 14, "\u7935", 4, "\u793D\u793F\u7942\u7943\u7944\u7945\u7947\u794A", 8, "\u7954\u7955\u7958\u7959\u7961\u7963"],
      ["b580", "\u7964\u7966\u7969\u796A\u796B\u796C\u796E\u7970", 6, "\u7979\u797B", 4, "\u7982\u7983\u7986\u7987\u7988\u7989\u798B\u798C\u798D\u798E\u7990\u7991\u7992\u6020\u803D\u62C5\u4E39\u5355\u90F8\u63B8\u80C6\u65E6\u6C2E\u4F46\u60EE\u6DE1\u8BDE\u5F39\u86CB\u5F53\u6321\u515A\u8361\u6863\u5200\u6363\u8E48\u5012\u5C9B\u7977\u5BFC\u5230\u7A3B\u60BC\u9053\u76D7\u5FB7\u5F97\u7684\u8E6C\u706F\u767B\u7B49\u77AA\u51F3\u9093\u5824\u4F4E\u6EF4\u8FEA\u654C\u7B1B\u72C4\u6DA4\u7FDF\u5AE1\u62B5\u5E95\u5730\u8482\u7B2C\u5E1D\u5F1F\u9012\u7F14\u98A0\u6382\u6EC7\u7898\u70B9\u5178\u975B\u57AB\u7535\u4F43\u7538\u5E97\u60E6\u5960\u6DC0\u6BBF\u7889\u53FC\u96D5\u51CB\u5201\u6389\u540A\u9493\u8C03\u8DCC\u7239\u789F\u8776\u8FED\u8C0D\u53E0"],
      ["b640", "\u7993", 6, "\u799B", 11, "\u79A8", 10, "\u79B4", 4, "\u79BC\u79BF\u79C2\u79C4\u79C5\u79C7\u79C8\u79CA\u79CC\u79CE\u79CF\u79D0\u79D3\u79D4\u79D6\u79D7\u79D9", 5, "\u79E0\u79E1\u79E2\u79E5\u79E8\u79EA"],
      ["b680", "\u79EC\u79EE\u79F1", 6, "\u79F9\u79FA\u79FC\u79FE\u79FF\u7A01\u7A04\u7A05\u7A07\u7A08\u7A09\u7A0A\u7A0C\u7A0F", 4, "\u7A15\u7A16\u7A18\u7A19\u7A1B\u7A1C\u4E01\u76EF\u53EE\u9489\u9876\u9F0E\u952D\u5B9A\u8BA2\u4E22\u4E1C\u51AC\u8463\u61C2\u52A8\u680B\u4F97\u606B\u51BB\u6D1E\u515C\u6296\u6597\u9661\u8C46\u9017\u75D8\u90FD\u7763\u6BD2\u728A\u72EC\u8BFB\u5835\u7779\u8D4C\u675C\u9540\u809A\u5EA6\u6E21\u5992\u7AEF\u77ED\u953B\u6BB5\u65AD\u7F0E\u5806\u5151\u961F\u5BF9\u58A9\u5428\u8E72\u6566\u987F\u56E4\u949D\u76FE\u9041\u6387\u54C6\u591A\u593A\u579B\u8EB2\u6735\u8DFA\u8235\u5241\u60F0\u5815\u86FE\u5CE8\u9E45\u4FC4\u989D\u8BB9\u5A25\u6076\u5384\u627C\u904F\u9102\u997F\u6069\u800C\u513F\u8033\u5C14\u9975\u6D31\u4E8C"],
      ["b740", "\u7A1D\u7A1F\u7A21\u7A22\u7A24", 14, "\u7A34\u7A35\u7A36\u7A38\u7A3A\u7A3E\u7A40", 5, "\u7A47", 9, "\u7A52", 4, "\u7A58", 16],
      ["b780", "\u7A69", 6, "\u7A71\u7A72\u7A73\u7A75\u7A7B\u7A7C\u7A7D\u7A7E\u7A82\u7A85\u7A87\u7A89\u7A8A\u7A8B\u7A8C\u7A8E\u7A8F\u7A90\u7A93\u7A94\u7A99\u7A9A\u7A9B\u7A9E\u7AA1\u7AA2\u8D30\u53D1\u7F5A\u7B4F\u4F10\u4E4F\u9600\u6CD5\u73D0\u85E9\u5E06\u756A\u7FFB\u6A0A\u77FE\u9492\u7E41\u51E1\u70E6\u53CD\u8FD4\u8303\u8D29\u72AF\u996D\u6CDB\u574A\u82B3\u65B9\u80AA\u623F\u9632\u59A8\u4EFF\u8BBF\u7EBA\u653E\u83F2\u975E\u5561\u98DE\u80A5\u532A\u8BFD\u5420\u80BA\u5E9F\u6CB8\u8D39\u82AC\u915A\u5429\u6C1B\u5206\u7EB7\u575F\u711A\u6C7E\u7C89\u594B\u4EFD\u5FFF\u6124\u7CAA\u4E30\u5C01\u67AB\u8702\u5CF0\u950B\u98CE\u75AF\u70FD\u9022\u51AF\u7F1D\u8BBD\u5949\u51E4\u4F5B\u5426\u592B\u6577\u80A4\u5B75\u6276\u62C2\u8F90\u5E45\u6C1F\u7B26\u4F0F\u4FD8\u670D"],
      ["b840", "\u7AA3\u7AA4\u7AA7\u7AA9\u7AAA\u7AAB\u7AAE", 4, "\u7AB4", 10, "\u7AC0", 10, "\u7ACC", 9, "\u7AD7\u7AD8\u7ADA\u7ADB\u7ADC\u7ADD\u7AE1\u7AE2\u7AE4\u7AE7", 5, "\u7AEE\u7AF0\u7AF1\u7AF2\u7AF3"],
      ["b880", "\u7AF4", 4, "\u7AFB\u7AFC\u7AFE\u7B00\u7B01\u7B02\u7B05\u7B07\u7B09\u7B0C\u7B0D\u7B0E\u7B10\u7B12\u7B13\u7B16\u7B17\u7B18\u7B1A\u7B1C\u7B1D\u7B1F\u7B21\u7B22\u7B23\u7B27\u7B29\u7B2D\u6D6E\u6DAA\u798F\u88B1\u5F17\u752B\u629A\u8F85\u4FEF\u91DC\u65A7\u812F\u8151\u5E9C\u8150\u8D74\u526F\u8986\u8D4B\u590D\u5085\u4ED8\u961C\u7236\u8179\u8D1F\u5BCC\u8BA3\u9644\u5987\u7F1A\u5490\u5676\u560E\u8BE5\u6539\u6982\u9499\u76D6\u6E89\u5E72\u7518\u6746\u67D1\u7AFF\u809D\u8D76\u611F\u79C6\u6562\u8D63\u5188\u521A\u94A2\u7F38\u809B\u7EB2\u5C97\u6E2F\u6760\u7BD9\u768B\u9AD8\u818F\u7F94\u7CD5\u641E\u9550\u7A3F\u544A\u54E5\u6B4C\u6401\u6208\u9E3D\u80F3\u7599\u5272\u9769\u845B\u683C\u86E4\u9601\u9694\u94EC\u4E2A\u5404\u7ED9\u6839\u8DDF\u8015\u66F4\u5E9A\u7FB9"],
      ["b940", "\u7B2F\u7B30\u7B32\u7B34\u7B35\u7B36\u7B37\u7B39\u7B3B\u7B3D\u7B3F", 5, "\u7B46\u7B48\u7B4A\u7B4D\u7B4E\u7B53\u7B55\u7B57\u7B59\u7B5C\u7B5E\u7B5F\u7B61\u7B63", 10, "\u7B6F\u7B70\u7B73\u7B74\u7B76\u7B78\u7B7A\u7B7C\u7B7D\u7B7F\u7B81\u7B82\u7B83\u7B84\u7B86", 6, "\u7B8E\u7B8F"],
      ["b980", "\u7B91\u7B92\u7B93\u7B96\u7B98\u7B99\u7B9A\u7B9B\u7B9E\u7B9F\u7BA0\u7BA3\u7BA4\u7BA5\u7BAE\u7BAF\u7BB0\u7BB2\u7BB3\u7BB5\u7BB6\u7BB7\u7BB9", 7, "\u7BC2\u7BC3\u7BC4\u57C2\u803F\u6897\u5DE5\u653B\u529F\u606D\u9F9A\u4F9B\u8EAC\u516C\u5BAB\u5F13\u5DE9\u6C5E\u62F1\u8D21\u5171\u94A9\u52FE\u6C9F\u82DF\u72D7\u57A2\u6784\u8D2D\u591F\u8F9C\u83C7\u5495\u7B8D\u4F30\u6CBD\u5B64\u59D1\u9F13\u53E4\u86CA\u9AA8\u8C37\u80A1\u6545\u987E\u56FA\u96C7\u522E\u74DC\u5250\u5BE1\u6302\u8902\u4E56\u62D0\u602A\u68FA\u5173\u5B98\u51A0\u89C2\u7BA1\u9986\u7F50\u60EF\u704C\u8D2F\u5149\u5E7F\u901B\u7470\u89C4\u572D\u7845\u5F52\u9F9F\u95FA\u8F68\u9B3C\u8BE1\u7678\u6842\u67DC\u8DEA\u8D35\u523D\u8F8A\u6EDA\u68CD\u9505\u90ED\u56FD\u679C\u88F9\u8FC7\u54C8"],
      ["ba40", "\u7BC5\u7BC8\u7BC9\u7BCA\u7BCB\u7BCD\u7BCE\u7BCF\u7BD0\u7BD2\u7BD4", 4, "\u7BDB\u7BDC\u7BDE\u7BDF\u7BE0\u7BE2\u7BE3\u7BE4\u7BE7\u7BE8\u7BE9\u7BEB\u7BEC\u7BED\u7BEF\u7BF0\u7BF2", 4, "\u7BF8\u7BF9\u7BFA\u7BFB\u7BFD\u7BFF", 7, "\u7C08\u7C09\u7C0A\u7C0D\u7C0E\u7C10", 5, "\u7C17\u7C18\u7C19"],
      ["ba80", "\u7C1A", 4, "\u7C20", 5, "\u7C28\u7C29\u7C2B", 12, "\u7C39", 5, "\u7C42\u9AB8\u5B69\u6D77\u6C26\u4EA5\u5BB3\u9A87\u9163\u61A8\u90AF\u97E9\u542B\u6DB5\u5BD2\u51FD\u558A\u7F55\u7FF0\u64BC\u634D\u65F1\u61BE\u608D\u710A\u6C57\u6C49\u592F\u676D\u822A\u58D5\u568E\u8C6A\u6BEB\u90DD\u597D\u8017\u53F7\u6D69\u5475\u559D\u8377\u83CF\u6838\u79BE\u548C\u4F55\u5408\u76D2\u8C89\u9602\u6CB3\u6DB8\u8D6B\u8910\u9E64\u8D3A\u563F\u9ED1\u75D5\u5F88\u72E0\u6068\u54FC\u4EA8\u6A2A\u8861\u6052\u8F70\u54C4\u70D8\u8679\u9E3F\u6D2A\u5B8F\u5F18\u7EA2\u5589\u4FAF\u7334\u543C\u539A\u5019\u540E\u547C\u4E4E\u5FFD\u745A\u58F6\u846B\u80E1\u8774\u72D0\u7CCA\u6E56"],
      ["bb40", "\u7C43", 9, "\u7C4E", 36, "\u7C75", 5, "\u7C7E", 9],
      ["bb80", "\u7C88\u7C8A", 6, "\u7C93\u7C94\u7C96\u7C99\u7C9A\u7C9B\u7CA0\u7CA1\u7CA3\u7CA6\u7CA7\u7CA8\u7CA9\u7CAB\u7CAC\u7CAD\u7CAF\u7CB0\u7CB4", 4, "\u7CBA\u7CBB\u5F27\u864E\u552C\u62A4\u4E92\u6CAA\u6237\u82B1\u54D7\u534E\u733E\u6ED1\u753B\u5212\u5316\u8BDD\u69D0\u5F8A\u6000\u6DEE\u574F\u6B22\u73AF\u6853\u8FD8\u7F13\u6362\u60A3\u5524\u75EA\u8C62\u7115\u6DA3\u5BA6\u5E7B\u8352\u614C\u9EC4\u78FA\u8757\u7C27\u7687\u51F0\u60F6\u714C\u6643\u5E4C\u604D\u8C0E\u7070\u6325\u8F89\u5FBD\u6062\u86D4\u56DE\u6BC1\u6094\u6167\u5349\u60E0\u6666\u8D3F\u79FD\u4F1A\u70E9\u6C47\u8BB3\u8BF2\u7ED8\u8364\u660F\u5A5A\u9B42\u6D51\u6DF7\u8C41\u6D3B\u4F19\u706B\u83B7\u6216\u60D1\u970D\u8D27\u7978\u51FB\u573E\u57FA\u673A\u7578\u7A3D\u79EF\u7B95"],
      ["bc40", "\u7CBF\u7CC0\u7CC2\u7CC3\u7CC4\u7CC6\u7CC9\u7CCB\u7CCE", 6, "\u7CD8\u7CDA\u7CDB\u7CDD\u7CDE\u7CE1", 6, "\u7CE9", 5, "\u7CF0", 7, "\u7CF9\u7CFA\u7CFC", 13, "\u7D0B", 5],
      ["bc80", "\u7D11", 14, "\u7D21\u7D23\u7D24\u7D25\u7D26\u7D28\u7D29\u7D2A\u7D2C\u7D2D\u7D2E\u7D30", 6, "\u808C\u9965\u8FF9\u6FC0\u8BA5\u9E21\u59EC\u7EE9\u7F09\u5409\u6781\u68D8\u8F91\u7C4D\u96C6\u53CA\u6025\u75BE\u6C72\u5373\u5AC9\u7EA7\u6324\u51E0\u810A\u5DF1\u84DF\u6280\u5180\u5B63\u4F0E\u796D\u5242\u60B8\u6D4E\u5BC4\u5BC2\u8BA1\u8BB0\u65E2\u5FCC\u9645\u5993\u7EE7\u7EAA\u5609\u67B7\u5939\u4F73\u5BB6\u52A0\u835A\u988A\u8D3E\u7532\u94BE\u5047\u7A3C\u4EF7\u67B6\u9A7E\u5AC1\u6B7C\u76D1\u575A\u5C16\u7B3A\u95F4\u714E\u517C\u80A9\u8270\u5978\u7F04\u8327\u68C0\u67EC\u78B1\u7877\u62E3\u6361\u7B80\u4FED\u526A\u51CF\u8350\u69DB\u9274\u8DF5\u8D31\u89C1\u952E\u7BAD\u4EF6"],
      ["bd40", "\u7D37", 54, "\u7D6F", 7],
      ["bd80", "\u7D78", 32, "\u5065\u8230\u5251\u996F\u6E10\u6E85\u6DA7\u5EFA\u50F5\u59DC\u5C06\u6D46\u6C5F\u7586\u848B\u6868\u5956\u8BB2\u5320\u9171\u964D\u8549\u6912\u7901\u7126\u80F6\u4EA4\u90CA\u6D47\u9A84\u5A07\u56BC\u6405\u94F0\u77EB\u4FA5\u811A\u72E1\u89D2\u997A\u7F34\u7EDE\u527F\u6559\u9175\u8F7F\u8F83\u53EB\u7A96\u63ED\u63A5\u7686\u79F8\u8857\u9636\u622A\u52AB\u8282\u6854\u6770\u6377\u776B\u7AED\u6D01\u7ED3\u89E3\u59D0\u6212\u85C9\u82A5\u754C\u501F\u4ECB\u75A5\u8BEB\u5C4A\u5DFE\u7B4B\u65A4\u91D1\u4ECA\u6D25\u895F\u7D27\u9526\u4EC5\u8C28\u8FDB\u9773\u664B\u7981\u8FD1\u70EC\u6D78"],
      ["be40", "\u7D99", 12, "\u7DA7", 6, "\u7DAF", 42],
      ["be80", "\u7DDA", 32, "\u5C3D\u52B2\u8346\u5162\u830E\u775B\u6676\u9CB8\u4EAC\u60CA\u7CBE\u7CB3\u7ECF\u4E95\u8B66\u666F\u9888\u9759\u5883\u656C\u955C\u5F84\u75C9\u9756\u7ADF\u7ADE\u51C0\u70AF\u7A98\u63EA\u7A76\u7EA0\u7396\u97ED\u4E45\u7078\u4E5D\u9152\u53A9\u6551\u65E7\u81FC\u8205\u548E\u5C31\u759A\u97A0\u62D8\u72D9\u75BD\u5C45\u9A79\u83CA\u5C40\u5480\u77E9\u4E3E\u6CAE\u805A\u62D2\u636E\u5DE8\u5177\u8DDD\u8E1E\u952F\u4FF1\u53E5\u60E7\u70AC\u5267\u6350\u9E43\u5A1F\u5026\u7737\u5377\u7EE2\u6485\u652B\u6289\u6398\u5014\u7235\u89C9\u51B3\u8BC0\u7EDD\u5747\u83CC\u94A7\u519B\u541B\u5CFB"],
      ["bf40", "\u7DFB", 62],
      ["bf80", "\u7E3A\u7E3C", 4, "\u7E42", 4, "\u7E48", 21, "\u4FCA\u7AE3\u6D5A\u90E1\u9A8F\u5580\u5496\u5361\u54AF\u5F00\u63E9\u6977\u51EF\u6168\u520A\u582A\u52D8\u574E\u780D\u770B\u5EB7\u6177\u7CE0\u625B\u6297\u4EA2\u7095\u8003\u62F7\u70E4\u9760\u5777\u82DB\u67EF\u68F5\u78D5\u9897\u79D1\u58F3\u54B3\u53EF\u6E34\u514B\u523B\u5BA2\u8BFE\u80AF\u5543\u57A6\u6073\u5751\u542D\u7A7A\u6050\u5B54\u63A7\u62A0\u53E3\u6263\u5BC7\u67AF\u54ED\u7A9F\u82E6\u9177\u5E93\u88E4\u5938\u57AE\u630E\u8DE8\u80EF\u5757\u7B77\u4FA9\u5FEB\u5BBD\u6B3E\u5321\u7B50\u72C2\u6846\u77FF\u7736\u65F7\u51B5\u4E8F\u76D4\u5CBF\u7AA5\u8475\u594E\u9B41\u5080"],
      ["c040", "\u7E5E", 35, "\u7E83", 23, "\u7E9C\u7E9D\u7E9E"],
      ["c080", "\u7EAE\u7EB4\u7EBB\u7EBC\u7ED6\u7EE4\u7EEC\u7EF9\u7F0A\u7F10\u7F1E\u7F37\u7F39\u7F3B", 6, "\u7F43\u7F46", 9, "\u7F52\u7F53\u9988\u6127\u6E83\u5764\u6606\u6346\u56F0\u62EC\u6269\u5ED3\u9614\u5783\u62C9\u5587\u8721\u814A\u8FA3\u5566\u83B1\u6765\u8D56\u84DD\u5A6A\u680F\u62E6\u7BEE\u9611\u5170\u6F9C\u8C30\u63FD\u89C8\u61D2\u7F06\u70C2\u6EE5\u7405\u6994\u72FC\u5ECA\u90CE\u6717\u6D6A\u635E\u52B3\u7262\u8001\u4F6C\u59E5\u916A\u70D9\u6D9D\u52D2\u4E50\u96F7\u956D\u857E\u78CA\u7D2F\u5121\u5792\u64C2\u808B\u7C7B\u6CEA\u68F1\u695E\u51B7\u5398\u68A8\u7281\u9ECE\u7BF1\u72F8\u79BB\u6F13\u7406\u674E\u91CC\u9CA4\u793C\u8389\u8354\u540F\u6817\u4E3D\u5389\u52B1\u783E\u5386\u5229\u5088\u4F8B\u4FD0"],
      ["c140", "\u7F56\u7F59\u7F5B\u7F5C\u7F5D\u7F5E\u7F60\u7F63", 4, "\u7F6B\u7F6C\u7F6D\u7F6F\u7F70\u7F73\u7F75\u7F76\u7F77\u7F78\u7F7A\u7F7B\u7F7C\u7F7D\u7F7F\u7F80\u7F82", 7, "\u7F8B\u7F8D\u7F8F", 4, "\u7F95", 4, "\u7F9B\u7F9C\u7FA0\u7FA2\u7FA3\u7FA5\u7FA6\u7FA8", 6, "\u7FB1"],
      ["c180", "\u7FB3", 4, "\u7FBA\u7FBB\u7FBE\u7FC0\u7FC2\u7FC3\u7FC4\u7FC6\u7FC7\u7FC8\u7FC9\u7FCB\u7FCD\u7FCF", 4, "\u7FD6\u7FD7\u7FD9", 5, "\u7FE2\u7FE3\u75E2\u7ACB\u7C92\u6CA5\u96B6\u529B\u7483\u54E9\u4FE9\u8054\u83B2\u8FDE\u9570\u5EC9\u601C\u6D9F\u5E18\u655B\u8138\u94FE\u604B\u70BC\u7EC3\u7CAE\u51C9\u6881\u7CB1\u826F\u4E24\u8F86\u91CF\u667E\u4EAE\u8C05\u64A9\u804A\u50DA\u7597\u71CE\u5BE5\u8FBD\u6F66\u4E86\u6482\u9563\u5ED6\u6599\u5217\u88C2\u70C8\u52A3\u730E\u7433\u6797\u78F7\u9716\u4E34\u90BB\u9CDE\u6DCB\u51DB\u8D41\u541D\u62CE\u73B2\u83F1\u96F6\u9F84\u94C3\u4F36\u7F9A\u51CC\u7075\u9675\u5CAD\u9886\u53E6\u4EE4\u6E9C\u7409\u69B4\u786B\u998F\u7559\u5218\u7624\u6D41\u67F3\u516D\u9F99\u804B\u5499\u7B3C\u7ABF"],
      ["c240", "\u7FE4\u7FE7\u7FE8\u7FEA\u7FEB\u7FEC\u7FED\u7FEF\u7FF2\u7FF4", 6, "\u7FFD\u7FFE\u7FFF\u8002\u8007\u8008\u8009\u800A\u800E\u800F\u8011\u8013\u801A\u801B\u801D\u801E\u801F\u8021\u8023\u8024\u802B", 5, "\u8032\u8034\u8039\u803A\u803C\u803E\u8040\u8041\u8044\u8045\u8047\u8048\u8049\u804E\u804F\u8050\u8051\u8053\u8055\u8056\u8057"],
      ["c280", "\u8059\u805B", 13, "\u806B", 5, "\u8072", 11, "\u9686\u5784\u62E2\u9647\u697C\u5A04\u6402\u7BD3\u6F0F\u964B\u82A6\u5362\u9885\u5E90\u7089\u63B3\u5364\u864F\u9C81\u9E93\u788C\u9732\u8DEF\u8D42\u9E7F\u6F5E\u7984\u5F55\u9646\u622E\u9A74\u5415\u94DD\u4FA3\u65C5\u5C65\u5C61\u7F15\u8651\u6C2F\u5F8B\u7387\u6EE4\u7EFF\u5CE6\u631B\u5B6A\u6EE6\u5375\u4E71\u63A0\u7565\u62A1\u8F6E\u4F26\u4ED1\u6CA6\u7EB6\u8BBA\u841D\u87BA\u7F57\u903B\u9523\u7BA9\u9AA1\u88F8\u843D\u6D1B\u9A86\u7EDC\u5988\u9EBB\u739B\u7801\u8682\u9A6C\u9A82\u561B\u5417\u57CB\u4E70\u9EA6\u5356\u8FC8\u8109\u7792\u9992\u86EE\u6EE1\u8513\u66FC\u6162\u6F2B"],
      ["c340", "\u807E\u8081\u8082\u8085\u8088\u808A\u808D", 5, "\u8094\u8095\u8097\u8099\u809E\u80A3\u80A6\u80A7\u80A8\u80AC\u80B0\u80B3\u80B5\u80B6\u80B8\u80B9\u80BB\u80C5\u80C7", 4, "\u80CF", 6, "\u80D8\u80DF\u80E0\u80E2\u80E3\u80E6\u80EE\u80F5\u80F7\u80F9\u80FB\u80FE\u80FF\u8100\u8101\u8103\u8104\u8105\u8107\u8108\u810B"],
      ["c380", "\u810C\u8115\u8117\u8119\u811B\u811C\u811D\u811F", 12, "\u812D\u812E\u8130\u8133\u8134\u8135\u8137\u8139", 4, "\u813F\u8C29\u8292\u832B\u76F2\u6C13\u5FD9\u83BD\u732B\u8305\u951A\u6BDB\u77DB\u94C6\u536F\u8302\u5192\u5E3D\u8C8C\u8D38\u4E48\u73AB\u679A\u6885\u9176\u9709\u7164\u6CA1\u7709\u5A92\u9541\u6BCF\u7F8E\u6627\u5BD0\u59B9\u5A9A\u95E8\u95F7\u4EEC\u840C\u8499\u6AAC\u76DF\u9530\u731B\u68A6\u5B5F\u772F\u919A\u9761\u7CDC\u8FF7\u8C1C\u5F25\u7C73\u79D8\u89C5\u6CCC\u871C\u5BC6\u5E42\u68C9\u7720\u7EF5\u5195\u514D\u52C9\u5A29\u7F05\u9762\u82D7\u63CF\u7784\u85D0\u79D2\u6E3A\u5E99\u5999\u8511\u706D\u6C11\u62BF\u76BF\u654F\u60AF\u95FD\u660E\u879F\u9E23\u94ED\u540D\u547D\u8C2C\u6478"],
      ["c440", "\u8140", 5, "\u8147\u8149\u814D\u814E\u814F\u8152\u8156\u8157\u8158\u815B", 4, "\u8161\u8162\u8163\u8164\u8166\u8168\u816A\u816B\u816C\u816F\u8172\u8173\u8175\u8176\u8177\u8178\u8181\u8183", 4, "\u8189\u818B\u818C\u818D\u818E\u8190\u8192", 5, "\u8199\u819A\u819E", 4, "\u81A4\u81A5"],
      ["c480", "\u81A7\u81A9\u81AB", 7, "\u81B4", 5, "\u81BC\u81BD\u81BE\u81BF\u81C4\u81C5\u81C7\u81C8\u81C9\u81CB\u81CD", 6, "\u6479\u8611\u6A21\u819C\u78E8\u6469\u9B54\u62B9\u672B\u83AB\u58A8\u9ED8\u6CAB\u6F20\u5BDE\u964C\u8C0B\u725F\u67D0\u62C7\u7261\u4EA9\u59C6\u6BCD\u5893\u66AE\u5E55\u52DF\u6155\u6728\u76EE\u7766\u7267\u7A46\u62FF\u54EA\u5450\u94A0\u90A3\u5A1C\u7EB3\u6C16\u4E43\u5976\u8010\u5948\u5357\u7537\u96BE\u56CA\u6320\u8111\u607C\u95F9\u6DD6\u5462\u9981\u5185\u5AE9\u80FD\u59AE\u9713\u502A\u6CE5\u5C3C\u62DF\u4F60\u533F\u817B\u9006\u6EBA\u852B\u62C8\u5E74\u78BE\u64B5\u637B\u5FF5\u5A18\u917F\u9E1F\u5C3F\u634F\u8042\u5B7D\u556E\u954A\u954D\u6D85\u60A8\u67E0\u72DE\u51DD\u5B81"],
      ["c540", "\u81D4", 14, "\u81E4\u81E5\u81E6\u81E8\u81E9\u81EB\u81EE", 4, "\u81F5", 5, "\u81FD\u81FF\u8203\u8207", 4, "\u820E\u820F\u8211\u8213\u8215", 5, "\u821D\u8220\u8224\u8225\u8226\u8227\u8229\u822E\u8232\u823A\u823C\u823D\u823F"],
      ["c580", "\u8240\u8241\u8242\u8243\u8245\u8246\u8248\u824A\u824C\u824D\u824E\u8250", 7, "\u8259\u825B\u825C\u825D\u825E\u8260", 7, "\u8269\u62E7\u6CDE\u725B\u626D\u94AE\u7EBD\u8113\u6D53\u519C\u5F04\u5974\u52AA\u6012\u5973\u6696\u8650\u759F\u632A\u61E6\u7CEF\u8BFA\u54E6\u6B27\u9E25\u6BB4\u85D5\u5455\u5076\u6CA4\u556A\u8DB4\u722C\u5E15\u6015\u7436\u62CD\u6392\u724C\u5F98\u6E43\u6D3E\u6500\u6F58\u76D8\u78D0\u76FC\u7554\u5224\u53DB\u4E53\u5E9E\u65C1\u802A\u80D6\u629B\u5486\u5228\u70AE\u888D\u8DD1\u6CE1\u5478\u80DA\u57F9\u88F4\u8D54\u966A\u914D\u4F69\u6C9B\u55B7\u76C6\u7830\u62A8\u70F9\u6F8E\u5F6D\u84EC\u68DA\u787C\u7BF7\u81A8\u670B\u9E4F\u6367\u78B0\u576F\u7812\u9739\u6279\u62AB\u5288\u7435\u6BD7"],
      ["c640", "\u826A\u826B\u826C\u826D\u8271\u8275\u8276\u8277\u8278\u827B\u827C\u8280\u8281\u8283\u8285\u8286\u8287\u8289\u828C\u8290\u8293\u8294\u8295\u8296\u829A\u829B\u829E\u82A0\u82A2\u82A3\u82A7\u82B2\u82B5\u82B6\u82BA\u82BB\u82BC\u82BF\u82C0\u82C2\u82C3\u82C5\u82C6\u82C9\u82D0\u82D6\u82D9\u82DA\u82DD\u82E2\u82E7\u82E8\u82E9\u82EA\u82EC\u82ED\u82EE\u82F0\u82F2\u82F3\u82F5\u82F6\u82F8"],
      ["c680", "\u82FA\u82FC", 4, "\u830A\u830B\u830D\u8310\u8312\u8313\u8316\u8318\u8319\u831D", 9, "\u8329\u832A\u832E\u8330\u8332\u8337\u833B\u833D\u5564\u813E\u75B2\u76AE\u5339\u75DE\u50FB\u5C41\u8B6C\u7BC7\u504F\u7247\u9A97\u98D8\u6F02\u74E2\u7968\u6487\u77A5\u62FC\u9891\u8D2B\u54C1\u8058\u4E52\u576A\u82F9\u840D\u5E73\u51ED\u74F6\u8BC4\u5C4F\u5761\u6CFC\u9887\u5A46\u7834\u9B44\u8FEB\u7C95\u5256\u6251\u94FA\u4EC6\u8386\u8461\u83E9\u84B2\u57D4\u6734\u5703\u666E\u6D66\u8C31\u66DD\u7011\u671F\u6B3A\u6816\u621A\u59BB\u4E03\u51C4\u6F06\u67D2\u6C8F\u5176\u68CB\u5947\u6B67\u7566\u5D0E\u8110\u9F50\u65D7\u7948\u7941\u9A91\u8D77\u5C82\u4E5E\u4F01\u542F\u5951\u780C\u5668\u6C14\u8FC4\u5F03\u6C7D\u6CE3\u8BAB\u6390"],
      ["c740", "\u833E\u833F\u8341\u8342\u8344\u8345\u8348\u834A", 4, "\u8353\u8355", 4, "\u835D\u8362\u8370", 6, "\u8379\u837A\u837E", 6, "\u8387\u8388\u838A\u838B\u838C\u838D\u838F\u8390\u8391\u8394\u8395\u8396\u8397\u8399\u839A\u839D\u839F\u83A1", 6, "\u83AC\u83AD\u83AE"],
      ["c780", "\u83AF\u83B5\u83BB\u83BE\u83BF\u83C2\u83C3\u83C4\u83C6\u83C8\u83C9\u83CB\u83CD\u83CE\u83D0\u83D1\u83D2\u83D3\u83D5\u83D7\u83D9\u83DA\u83DB\u83DE\u83E2\u83E3\u83E4\u83E6\u83E7\u83E8\u83EB\u83EC\u83ED\u6070\u6D3D\u7275\u6266\u948E\u94C5\u5343\u8FC1\u7B7E\u4EDF\u8C26\u4E7E\u9ED4\u94B1\u94B3\u524D\u6F5C\u9063\u6D45\u8C34\u5811\u5D4C\u6B20\u6B49\u67AA\u545B\u8154\u7F8C\u5899\u8537\u5F3A\u62A2\u6A47\u9539\u6572\u6084\u6865\u77A7\u4E54\u4FA8\u5DE7\u9798\u64AC\u7FD8\u5CED\u4FCF\u7A8D\u5207\u8304\u4E14\u602F\u7A83\u94A6\u4FB5\u4EB2\u79E6\u7434\u52E4\u82B9\u64D2\u79BD\u5BDD\u6C81\u9752\u8F7B\u6C22\u503E\u537F\u6E05\u64CE\u6674\u6C30\u60C5\u9877\u8BF7\u5E86\u743C\u7A77\u79CB\u4E18\u90B1\u7403\u6C42\u56DA\u914B\u6CC5\u8D8B\u533A\u86C6\u66F2\u8EAF\u5C48\u9A71\u6E20"],
      ["c840", "\u83EE\u83EF\u83F3", 4, "\u83FA\u83FB\u83FC\u83FE\u83FF\u8400\u8402\u8405\u8407\u8408\u8409\u840A\u8410\u8412", 5, "\u8419\u841A\u841B\u841E", 5, "\u8429", 7, "\u8432", 5, "\u8439\u843A\u843B\u843E", 7, "\u8447\u8448\u8449"],
      ["c880", "\u844A", 6, "\u8452", 4, "\u8458\u845D\u845E\u845F\u8460\u8462\u8464", 4, "\u846A\u846E\u846F\u8470\u8472\u8474\u8477\u8479\u847B\u847C\u53D6\u5A36\u9F8B\u8DA3\u53BB\u5708\u98A7\u6743\u919B\u6CC9\u5168\u75CA\u62F3\u72AC\u5238\u529D\u7F3A\u7094\u7638\u5374\u9E4A\u69B7\u786E\u96C0\u88D9\u7FA4\u7136\u71C3\u5189\u67D3\u74E4\u58E4\u6518\u56B7\u8BA9\u9976\u6270\u7ED5\u60F9\u70ED\u58EC\u4EC1\u4EBA\u5FCD\u97E7\u4EFB\u8BA4\u5203\u598A\u7EAB\u6254\u4ECD\u65E5\u620E\u8338\u84C9\u8363\u878D\u7194\u6EB6\u5BB9\u7ED2\u5197\u63C9\u67D4\u8089\u8339\u8815\u5112\u5B7A\u5982\u8FB1\u4E73\u6C5D\u5165\u8925\u8F6F\u962E\u854A\u745E\u9510\u95F0\u6DA6\u82E5\u5F31\u6492\u6D12\u8428\u816E\u9CC3\u585E\u8D5B\u4E09\u53C1"],
      ["c940", "\u847D", 4, "\u8483\u8484\u8485\u8486\u848A\u848D\u848F", 7, "\u8498\u849A\u849B\u849D\u849E\u849F\u84A0\u84A2", 12, "\u84B0\u84B1\u84B3\u84B5\u84B6\u84B7\u84BB\u84BC\u84BE\u84C0\u84C2\u84C3\u84C5\u84C6\u84C7\u84C8\u84CB\u84CC\u84CE\u84CF\u84D2\u84D4\u84D5\u84D7"],
      ["c980", "\u84D8", 4, "\u84DE\u84E1\u84E2\u84E4\u84E7", 4, "\u84ED\u84EE\u84EF\u84F1", 10, "\u84FD\u84FE\u8500\u8501\u8502\u4F1E\u6563\u6851\u55D3\u4E27\u6414\u9A9A\u626B\u5AC2\u745F\u8272\u6DA9\u68EE\u50E7\u838E\u7802\u6740\u5239\u6C99\u7EB1\u50BB\u5565\u715E\u7B5B\u6652\u73CA\u82EB\u6749\u5C71\u5220\u717D\u886B\u95EA\u9655\u64C5\u8D61\u81B3\u5584\u6C55\u6247\u7F2E\u5892\u4F24\u5546\u8D4F\u664C\u4E0A\u5C1A\u88F3\u68A2\u634E\u7A0D\u70E7\u828D\u52FA\u97F6\u5C11\u54E8\u90B5\u7ECD\u5962\u8D4A\u86C7\u820C\u820D\u8D66\u6444\u5C04\u6151\u6D89\u793E\u8BBE\u7837\u7533\u547B\u4F38\u8EAB\u6DF1\u5A20\u7EC5\u795E\u6C88\u5BA1\u5A76\u751A\u80BE\u614E\u6E17\u58F0\u751F\u7525\u7272\u5347\u7EF3"],
      ["ca40", "\u8503", 8, "\u850D\u850E\u850F\u8510\u8512\u8514\u8515\u8516\u8518\u8519\u851B\u851C\u851D\u851E\u8520\u8522", 8, "\u852D", 9, "\u853E", 4, "\u8544\u8545\u8546\u8547\u854B", 10],
      ["ca80", "\u8557\u8558\u855A\u855B\u855C\u855D\u855F", 4, "\u8565\u8566\u8567\u8569", 8, "\u8573\u8575\u8576\u8577\u8578\u857C\u857D\u857F\u8580\u8581\u7701\u76DB\u5269\u80DC\u5723\u5E08\u5931\u72EE\u65BD\u6E7F\u8BD7\u5C38\u8671\u5341\u77F3\u62FE\u65F6\u4EC0\u98DF\u8680\u5B9E\u8BC6\u53F2\u77E2\u4F7F\u5C4E\u9A76\u59CB\u5F0F\u793A\u58EB\u4E16\u67FF\u4E8B\u62ED\u8A93\u901D\u52BF\u662F\u55DC\u566C\u9002\u4ED5\u4F8D\u91CA\u9970\u6C0F\u5E02\u6043\u5BA4\u89C6\u8BD5\u6536\u624B\u9996\u5B88\u5BFF\u6388\u552E\u53D7\u7626\u517D\u852C\u67A2\u68B3\u6B8A\u6292\u8F93\u53D4\u8212\u6DD1\u758F\u4E66\u8D4E\u5B70\u719F\u85AF\u6691\u66D9\u7F72\u8700\u9ECD\u9F20\u5C5E\u672F\u8FF0\u6811\u675F\u620D\u7AD6\u5885\u5EB6\u6570\u6F31"],
      ["cb40", "\u8582\u8583\u8586\u8588", 6, "\u8590", 10, "\u859D", 6, "\u85A5\u85A6\u85A7\u85A9\u85AB\u85AC\u85AD\u85B1", 5, "\u85B8\u85BA", 6, "\u85C2", 6, "\u85CA", 4, "\u85D1\u85D2"],
      ["cb80", "\u85D4\u85D6", 5, "\u85DD", 6, "\u85E5\u85E6\u85E7\u85E8\u85EA", 14, "\u6055\u5237\u800D\u6454\u8870\u7529\u5E05\u6813\u62F4\u971C\u53CC\u723D\u8C01\u6C34\u7761\u7A0E\u542E\u77AC\u987A\u821C\u8BF4\u7855\u6714\u70C1\u65AF\u6495\u5636\u601D\u79C1\u53F8\u4E1D\u6B7B\u8086\u5BFA\u55E3\u56DB\u4F3A\u4F3C\u9972\u5DF3\u677E\u8038\u6002\u9882\u9001\u5B8B\u8BBC\u8BF5\u641C\u8258\u64DE\u55FD\u82CF\u9165\u4FD7\u7D20\u901F\u7C9F\u50F3\u5851\u6EAF\u5BBF\u8BC9\u8083\u9178\u849C\u7B97\u867D\u968B\u968F\u7EE5\u9AD3\u788E\u5C81\u7A57\u9042\u96A7\u795F\u5B59\u635F\u7B0B\u84D1\u68AD\u5506\u7F29\u7410\u7D22\u9501\u6240\u584C\u4ED6\u5B83\u5979\u5854"],
      ["cc40", "\u85F9\u85FA\u85FC\u85FD\u85FE\u8600", 4, "\u8606", 10, "\u8612\u8613\u8614\u8615\u8617", 15, "\u8628\u862A", 13, "\u8639\u863A\u863B\u863D\u863E\u863F\u8640"],
      ["cc80", "\u8641", 11, "\u8652\u8653\u8655", 4, "\u865B\u865C\u865D\u865F\u8660\u8661\u8663", 7, "\u736D\u631E\u8E4B\u8E0F\u80CE\u82D4\u62AC\u53F0\u6CF0\u915E\u592A\u6001\u6C70\u574D\u644A\u8D2A\u762B\u6EE9\u575B\u6A80\u75F0\u6F6D\u8C2D\u8C08\u5766\u6BEF\u8892\u78B3\u63A2\u53F9\u70AD\u6C64\u5858\u642A\u5802\u68E0\u819B\u5510\u7CD6\u5018\u8EBA\u6DCC\u8D9F\u70EB\u638F\u6D9B\u6ED4\u7EE6\u8404\u6843\u9003\u6DD8\u9676\u8BA8\u5957\u7279\u85E4\u817E\u75BC\u8A8A\u68AF\u5254\u8E22\u9511\u63D0\u9898\u8E44\u557C\u4F53\u66FF\u568F\u60D5\u6D95\u5243\u5C49\u5929\u6DFB\u586B\u7530\u751C\u606C\u8214\u8146\u6311\u6761\u8FE2\u773A\u8DF3\u8D34\u94C1\u5E16\u5385\u542C\u70C3"],
      ["cd40", "\u866D\u866F\u8670\u8672", 6, "\u8683", 6, "\u868E", 4, "\u8694\u8696", 5, "\u869E", 4, "\u86A5\u86A6\u86AB\u86AD\u86AE\u86B2\u86B3\u86B7\u86B8\u86B9\u86BB", 4, "\u86C1\u86C2\u86C3\u86C5\u86C8\u86CC\u86CD\u86D2\u86D3\u86D5\u86D6\u86D7\u86DA\u86DC"],
      ["cd80", "\u86DD\u86E0\u86E1\u86E2\u86E3\u86E5\u86E6\u86E7\u86E8\u86EA\u86EB\u86EC\u86EF\u86F5\u86F6\u86F7\u86FA\u86FB\u86FC\u86FD\u86FF\u8701\u8704\u8705\u8706\u870B\u870C\u870E\u870F\u8710\u8711\u8714\u8716\u6C40\u5EF7\u505C\u4EAD\u5EAD\u633A\u8247\u901A\u6850\u916E\u77B3\u540C\u94DC\u5F64\u7AE5\u6876\u6345\u7B52\u7EDF\u75DB\u5077\u6295\u5934\u900F\u51F8\u79C3\u7A81\u56FE\u5F92\u9014\u6D82\u5C60\u571F\u5410\u5154\u6E4D\u56E2\u63A8\u9893\u817F\u8715\u892A\u9000\u541E\u5C6F\u81C0\u62D6\u6258\u8131\u9E35\u9640\u9A6E\u9A7C\u692D\u59A5\u62D3\u553E\u6316\u54C7\u86D9\u6D3C\u5A03\u74E6\u889C\u6B6A\u5916\u8C4C\u5F2F\u6E7E\u73A9\u987D\u4E38\u70F7\u5B8C\u7897\u633D\u665A\u7696\u60CB\u5B9B\u5A49\u4E07\u8155\u6C6A\u738B\u4EA1\u6789\u7F51\u5F80\u65FA\u671B\u5FD8\u5984\u5A01"],
      ["ce40", "\u8719\u871B\u871D\u871F\u8720\u8724\u8726\u8727\u8728\u872A\u872B\u872C\u872D\u872F\u8730\u8732\u8733\u8735\u8736\u8738\u8739\u873A\u873C\u873D\u8740", 6, "\u874A\u874B\u874D\u874F\u8750\u8751\u8752\u8754\u8755\u8756\u8758\u875A", 5, "\u8761\u8762\u8766", 7, "\u876F\u8771\u8772\u8773\u8775"],
      ["ce80", "\u8777\u8778\u8779\u877A\u877F\u8780\u8781\u8784\u8786\u8787\u8789\u878A\u878C\u878E", 4, "\u8794\u8795\u8796\u8798", 6, "\u87A0", 4, "\u5DCD\u5FAE\u5371\u97E6\u8FDD\u6845\u56F4\u552F\u60DF\u4E3A\u6F4D\u7EF4\u82C7\u840E\u59D4\u4F1F\u4F2A\u5C3E\u7EAC\u672A\u851A\u5473\u754F\u80C3\u5582\u9B4F\u4F4D\u6E2D\u8C13\u5C09\u6170\u536B\u761F\u6E29\u868A\u6587\u95FB\u7EB9\u543B\u7A33\u7D0A\u95EE\u55E1\u7FC1\u74EE\u631D\u8717\u6DA1\u7A9D\u6211\u65A1\u5367\u63E1\u6C83\u5DEB\u545C\u94A8\u4E4C\u6C61\u8BEC\u5C4B\u65E0\u829C\u68A7\u543E\u5434\u6BCB\u6B66\u4E94\u6342\u5348\u821E\u4F0D\u4FAE\u575E\u620A\u96FE\u6664\u7269\u52FF\u52A1\u609F\u8BEF\u6614\u7199\u6790\u897F\u7852\u77FD\u6670\u563B\u5438\u9521\u727A"],
      ["cf40", "\u87A5\u87A6\u87A7\u87A9\u87AA\u87AE\u87B0\u87B1\u87B2\u87B4\u87B6\u87B7\u87B8\u87B9\u87BB\u87BC\u87BE\u87BF\u87C1", 4, "\u87C7\u87C8\u87C9\u87CC", 4, "\u87D4", 6, "\u87DC\u87DD\u87DE\u87DF\u87E1\u87E2\u87E3\u87E4\u87E6\u87E7\u87E8\u87E9\u87EB\u87EC\u87ED\u87EF", 9],
      ["cf80", "\u87FA\u87FB\u87FC\u87FD\u87FF\u8800\u8801\u8802\u8804", 5, "\u880B", 7, "\u8814\u8817\u8818\u8819\u881A\u881C", 4, "\u8823\u7A00\u606F\u5E0C\u6089\u819D\u5915\u60DC\u7184\u70EF\u6EAA\u6C50\u7280\u6A84\u88AD\u5E2D\u4E60\u5AB3\u559C\u94E3\u6D17\u7CFB\u9699\u620F\u7EC6\u778E\u867E\u5323\u971E\u8F96\u6687\u5CE1\u4FA0\u72ED\u4E0B\u53A6\u590F\u5413\u6380\u9528\u5148\u4ED9\u9C9C\u7EA4\u54B8\u8D24\u8854\u8237\u95F2\u6D8E\u5F26\u5ACC\u663E\u9669\u73B0\u732E\u53BF\u817A\u9985\u7FA1\u5BAA\u9677\u9650\u7EBF\u76F8\u53A2\u9576\u9999\u7BB1\u8944\u6E58\u4E61\u7FD4\u7965\u8BE6\u60F3\u54CD\u4EAB\u9879\u5DF7\u6A61\u50CF\u5411\u8C61\u8427\u785D\u9704\u524A\u54EE\u56A3\u9500\u6D88\u5BB5\u6DC6\u6653"],
      ["d040", "\u8824", 13, "\u8833", 5, "\u883A\u883B\u883D\u883E\u883F\u8841\u8842\u8843\u8846", 5, "\u884E", 5, "\u8855\u8856\u8858\u885A", 6, "\u8866\u8867\u886A\u886D\u886F\u8871\u8873\u8874\u8875\u8876\u8878\u8879\u887A"],
      ["d080", "\u887B\u887C\u8880\u8883\u8886\u8887\u8889\u888A\u888C\u888E\u888F\u8890\u8891\u8893\u8894\u8895\u8897", 4, "\u889D", 4, "\u88A3\u88A5", 5, "\u5C0F\u5B5D\u6821\u8096\u5578\u7B11\u6548\u6954\u4E9B\u6B47\u874E\u978B\u534F\u631F\u643A\u90AA\u659C\u80C1\u8C10\u5199\u68B0\u5378\u87F9\u61C8\u6CC4\u6CFB\u8C22\u5C51\u85AA\u82AF\u950C\u6B23\u8F9B\u65B0\u5FFB\u5FC3\u4FE1\u8845\u661F\u8165\u7329\u60FA\u5174\u5211\u578B\u5F62\u90A2\u884C\u9192\u5E78\u674F\u6027\u59D3\u5144\u51F6\u80F8\u5308\u6C79\u96C4\u718A\u4F11\u4FEE\u7F9E\u673D\u55C5\u9508\u79C0\u8896\u7EE3\u589F\u620C\u9700\u865A\u5618\u987B\u5F90\u8BB8\u84C4\u9157\u53D9\u65ED\u5E8F\u755C\u6064\u7D6E\u5A7F\u7EEA\u7EED\u8F69\u55A7\u5BA3\u60AC\u65CB\u7384"],
      ["d140", "\u88AC\u88AE\u88AF\u88B0\u88B2", 4, "\u88B8\u88B9\u88BA\u88BB\u88BD\u88BE\u88BF\u88C0\u88C3\u88C4\u88C7\u88C8\u88CA\u88CB\u88CC\u88CD\u88CF\u88D0\u88D1\u88D3\u88D6\u88D7\u88DA", 4, "\u88E0\u88E1\u88E6\u88E7\u88E9", 6, "\u88F2\u88F5\u88F6\u88F7\u88FA\u88FB\u88FD\u88FF\u8900\u8901\u8903", 5],
      ["d180", "\u8909\u890B", 4, "\u8911\u8914", 4, "\u891C", 4, "\u8922\u8923\u8924\u8926\u8927\u8928\u8929\u892C\u892D\u892E\u892F\u8931\u8932\u8933\u8935\u8937\u9009\u7663\u7729\u7EDA\u9774\u859B\u5B66\u7A74\u96EA\u8840\u52CB\u718F\u5FAA\u65EC\u8BE2\u5BFB\u9A6F\u5DE1\u6B89\u6C5B\u8BAD\u8BAF\u900A\u8FC5\u538B\u62BC\u9E26\u9E2D\u5440\u4E2B\u82BD\u7259\u869C\u5D16\u8859\u6DAF\u96C5\u54D1\u4E9A\u8BB6\u7109\u54BD\u9609\u70DF\u6DF9\u76D0\u4E25\u7814\u8712\u5CA9\u5EF6\u8A00\u989C\u960E\u708E\u6CBF\u5944\u63A9\u773C\u884D\u6F14\u8273\u5830\u71D5\u538C\u781A\u96C1\u5501\u5F66\u7130\u5BB4\u8C1A\u9A8C\u6B83\u592E\u9E2F\u79E7\u6768\u626C\u4F6F\u75A1\u7F8A\u6D0B\u9633\u6C27\u4EF0\u75D2\u517B\u6837\u6F3E\u9080\u8170\u5996\u7476"],
      ["d240", "\u8938", 8, "\u8942\u8943\u8945", 24, "\u8960", 5, "\u8967", 19, "\u897C"],
      ["d280", "\u897D\u897E\u8980\u8982\u8984\u8985\u8987", 26, "\u6447\u5C27\u9065\u7A91\u8C23\u59DA\u54AC\u8200\u836F\u8981\u8000\u6930\u564E\u8036\u7237\u91CE\u51B6\u4E5F\u9875\u6396\u4E1A\u53F6\u66F3\u814B\u591C\u6DB2\u4E00\u58F9\u533B\u63D6\u94F1\u4F9D\u4F0A\u8863\u9890\u5937\u9057\u79FB\u4EEA\u80F0\u7591\u6C82\u5B9C\u59E8\u5F5D\u6905\u8681\u501A\u5DF2\u4E59\u77E3\u4EE5\u827A\u6291\u6613\u9091\u5C79\u4EBF\u5F79\u81C6\u9038\u8084\u75AB\u4EA6\u88D4\u610F\u6BC5\u5FC6\u4E49\u76CA\u6EA2\u8BE3\u8BAE\u8C0A\u8BD1\u5F02\u7FFC\u7FCC\u7ECE\u8335\u836B\u56E0\u6BB7\u97F3\u9634\u59FB\u541F\u94F6\u6DEB\u5BC5\u996E\u5C39\u5F15\u9690"],
      ["d340", "\u89A2", 30, "\u89C3\u89CD\u89D3\u89D4\u89D5\u89D7\u89D8\u89D9\u89DB\u89DD\u89DF\u89E0\u89E1\u89E2\u89E4\u89E7\u89E8\u89E9\u89EA\u89EC\u89ED\u89EE\u89F0\u89F1\u89F2\u89F4", 6],
      ["d380", "\u89FB", 4, "\u8A01", 5, "\u8A08", 21, "\u5370\u82F1\u6A31\u5A74\u9E70\u5E94\u7F28\u83B9\u8424\u8425\u8367\u8747\u8FCE\u8D62\u76C8\u5F71\u9896\u786C\u6620\u54DF\u62E5\u4F63\u81C3\u75C8\u5EB8\u96CD\u8E0A\u86F9\u548F\u6CF3\u6D8C\u6C38\u607F\u52C7\u7528\u5E7D\u4F18\u60A0\u5FE7\u5C24\u7531\u90AE\u94C0\u72B9\u6CB9\u6E38\u9149\u6709\u53CB\u53F3\u4F51\u91C9\u8BF1\u53C8\u5E7C\u8FC2\u6DE4\u4E8E\u76C2\u6986\u865E\u611A\u8206\u4F59\u4FDE\u903E\u9C7C\u6109\u6E1D\u6E14\u9685\u4E88\u5A31\u96E8\u4E0E\u5C7F\u79B9\u5B87\u8BED\u7FBD\u7389\u57DF\u828B\u90C1\u5401\u9047\u55BB\u5CEA\u5FA1\u6108\u6B32\u72F1\u80B2\u8A89"],
      ["d440", "\u8A1E", 31, "\u8A3F", 8, "\u8A49", 21],
      ["d480", "\u8A5F", 25, "\u8A7A", 6, "\u6D74\u5BD3\u88D5\u9884\u8C6B\u9A6D\u9E33\u6E0A\u51A4\u5143\u57A3\u8881\u539F\u63F4\u8F95\u56ED\u5458\u5706\u733F\u6E90\u7F18\u8FDC\u82D1\u613F\u6028\u9662\u66F0\u7EA6\u8D8A\u8DC3\u94A5\u5CB3\u7CA4\u6708\u60A6\u9605\u8018\u4E91\u90E7\u5300\u9668\u5141\u8FD0\u8574\u915D\u6655\u97F5\u5B55\u531D\u7838\u6742\u683D\u54C9\u707E\u5BB0\u8F7D\u518D\u5728\u54B1\u6512\u6682\u8D5E\u8D43\u810F\u846C\u906D\u7CDF\u51FF\u85FB\u67A3\u65E9\u6FA1\u86A4\u8E81\u566A\u9020\u7682\u7076\u71E5\u8D23\u62E9\u5219\u6CFD\u8D3C\u600E\u589E\u618E\u66FE\u8D60\u624E\u55B3\u6E23\u672D\u8F67"],
      ["d540", "\u8A81", 7, "\u8A8B", 7, "\u8A94", 46],
      ["d580", "\u8AC3", 32, "\u94E1\u95F8\u7728\u6805\u69A8\u548B\u4E4D\u70B8\u8BC8\u6458\u658B\u5B85\u7A84\u503A\u5BE8\u77BB\u6BE1\u8A79\u7C98\u6CBE\u76CF\u65A9\u8F97\u5D2D\u5C55\u8638\u6808\u5360\u6218\u7AD9\u6E5B\u7EFD\u6A1F\u7AE0\u5F70\u6F33\u5F20\u638C\u6DA8\u6756\u4E08\u5E10\u8D26\u4ED7\u80C0\u7634\u969C\u62DB\u662D\u627E\u6CBC\u8D75\u7167\u7F69\u5146\u8087\u53EC\u906E\u6298\u54F2\u86F0\u8F99\u8005\u9517\u8517\u8FD9\u6D59\u73CD\u659F\u771F\u7504\u7827\u81FB\u8D1E\u9488\u4FA6\u6795\u75B9\u8BCA\u9707\u632F\u9547\u9635\u84B8\u6323\u7741\u5F81\u72F0\u4E89\u6014\u6574\u62EF\u6B63\u653F"],
      ["d640", "\u8AE4", 34, "\u8B08", 27],
      ["d680", "\u8B24\u8B25\u8B27", 30, "\u5E27\u75C7\u90D1\u8BC1\u829D\u679D\u652F\u5431\u8718\u77E5\u80A2\u8102\u6C41\u4E4B\u7EC7\u804C\u76F4\u690D\u6B96\u6267\u503C\u4F84\u5740\u6307\u6B62\u8DBE\u53EA\u65E8\u7EB8\u5FD7\u631A\u63B7\u81F3\u81F4\u7F6E\u5E1C\u5CD9\u5236\u667A\u79E9\u7A1A\u8D28\u7099\u75D4\u6EDE\u6CBB\u7A92\u4E2D\u76C5\u5FE0\u949F\u8877\u7EC8\u79CD\u80BF\u91CD\u4EF2\u4F17\u821F\u5468\u5DDE\u6D32\u8BCC\u7CA5\u8F74\u8098\u5E1A\u5492\u76B1\u5B99\u663C\u9AA4\u73E0\u682A\u86DB\u6731\u732A\u8BF8\u8BDB\u9010\u7AF9\u70DB\u716E\u62C4\u77A9\u5631\u4E3B\u8457\u67F1\u52A9\u86C0\u8D2E\u94F8\u7B51"],
      ["d740", "\u8B46", 31, "\u8B67", 4, "\u8B6D", 25],
      ["d780", "\u8B87", 24, "\u8BAC\u8BB1\u8BBB\u8BC7\u8BD0\u8BEA\u8C09\u8C1E\u4F4F\u6CE8\u795D\u9A7B\u6293\u722A\u62FD\u4E13\u7816\u8F6C\u64B0\u8D5A\u7BC6\u6869\u5E84\u88C5\u5986\u649E\u58EE\u72B6\u690E\u9525\u8FFD\u8D58\u5760\u7F00\u8C06\u51C6\u6349\u62D9\u5353\u684C\u7422\u8301\u914C\u5544\u7740\u707C\u6D4A\u5179\u54A8\u8D44\u59FF\u6ECB\u6DC4\u5B5C\u7D2B\u4ED4\u7C7D\u6ED3\u5B50\u81EA\u6E0D\u5B57\u9B03\u68D5\u8E2A\u5B97\u7EFC\u603B\u7EB5\u90B9\u8D70\u594F\u63CD\u79DF\u8DB3\u5352\u65CF\u7956\u8BC5\u963B\u7EC4\u94BB\u7E82\u5634\u9189\u6700\u7F6A\u5C0A\u9075\u6628\u5DE6\u4F50\u67DE\u505A\u4F5C\u5750\u5EA7"],
      ["d840", "\u8C38", 8, "\u8C42\u8C43\u8C44\u8C45\u8C48\u8C4A\u8C4B\u8C4D", 7, "\u8C56\u8C57\u8C58\u8C59\u8C5B", 5, "\u8C63", 6, "\u8C6C", 6, "\u8C74\u8C75\u8C76\u8C77\u8C7B", 6, "\u8C83\u8C84\u8C86\u8C87"],
      ["d880", "\u8C88\u8C8B\u8C8D", 6, "\u8C95\u8C96\u8C97\u8C99", 20, "\u4E8D\u4E0C\u5140\u4E10\u5EFF\u5345\u4E15\u4E98\u4E1E\u9B32\u5B6C\u5669\u4E28\u79BA\u4E3F\u5315\u4E47\u592D\u723B\u536E\u6C10\u56DF\u80E4\u9997\u6BD3\u777E\u9F17\u4E36\u4E9F\u9F10\u4E5C\u4E69\u4E93\u8288\u5B5B\u556C\u560F\u4EC4\u538D\u539D\u53A3\u53A5\u53AE\u9765\u8D5D\u531A\u53F5\u5326\u532E\u533E\u8D5C\u5366\u5363\u5202\u5208\u520E\u522D\u5233\u523F\u5240\u524C\u525E\u5261\u525C\u84AF\u527D\u5282\u5281\u5290\u5293\u5182\u7F54\u4EBB\u4EC3\u4EC9\u4EC2\u4EE8\u4EE1\u4EEB\u4EDE\u4F1B\u4EF3\u4F22\u4F64\u4EF5\u4F25\u4F27\u4F09\u4F2B\u4F5E\u4F67\u6538\u4F5A\u4F5D"],
      ["d940", "\u8CAE", 62],
      ["d980", "\u8CED", 32, "\u4F5F\u4F57\u4F32\u4F3D\u4F76\u4F74\u4F91\u4F89\u4F83\u4F8F\u4F7E\u4F7B\u4FAA\u4F7C\u4FAC\u4F94\u4FE6\u4FE8\u4FEA\u4FC5\u4FDA\u4FE3\u4FDC\u4FD1\u4FDF\u4FF8\u5029\u504C\u4FF3\u502C\u500F\u502E\u502D\u4FFE\u501C\u500C\u5025\u5028\u507E\u5043\u5055\u5048\u504E\u506C\u507B\u50A5\u50A7\u50A9\u50BA\u50D6\u5106\u50ED\u50EC\u50E6\u50EE\u5107\u510B\u4EDD\u6C3D\u4F58\u4F65\u4FCE\u9FA0\u6C46\u7C74\u516E\u5DFD\u9EC9\u9998\u5181\u5914\u52F9\u530D\u8A07\u5310\u51EB\u5919\u5155\u4EA0\u5156\u4EB3\u886E\u88A4\u4EB5\u8114\u88D2\u7980\u5B34\u8803\u7FB8\u51AB\u51B1\u51BD\u51BC"],
      ["da40", "\u8D0E", 14, "\u8D20\u8D51\u8D52\u8D57\u8D5F\u8D65\u8D68\u8D69\u8D6A\u8D6C\u8D6E\u8D6F\u8D71\u8D72\u8D78", 8, "\u8D82\u8D83\u8D86\u8D87\u8D88\u8D89\u8D8C", 4, "\u8D92\u8D93\u8D95", 9, "\u8DA0\u8DA1"],
      ["da80", "\u8DA2\u8DA4", 12, "\u8DB2\u8DB6\u8DB7\u8DB9\u8DBB\u8DBD\u8DC0\u8DC1\u8DC2\u8DC5\u8DC7\u8DC8\u8DC9\u8DCA\u8DCD\u8DD0\u8DD2\u8DD3\u8DD4\u51C7\u5196\u51A2\u51A5\u8BA0\u8BA6\u8BA7\u8BAA\u8BB4\u8BB5\u8BB7\u8BC2\u8BC3\u8BCB\u8BCF\u8BCE\u8BD2\u8BD3\u8BD4\u8BD6\u8BD8\u8BD9\u8BDC\u8BDF\u8BE0\u8BE4\u8BE8\u8BE9\u8BEE\u8BF0\u8BF3\u8BF6\u8BF9\u8BFC\u8BFF\u8C00\u8C02\u8C04\u8C07\u8C0C\u8C0F\u8C11\u8C12\u8C14\u8C15\u8C16\u8C19\u8C1B\u8C18\u8C1D\u8C1F\u8C20\u8C21\u8C25\u8C27\u8C2A\u8C2B\u8C2E\u8C2F\u8C32\u8C33\u8C35\u8C36\u5369\u537A\u961D\u9622\u9621\u9631\u962A\u963D\u963C\u9642\u9649\u9654\u965F\u9667\u966C\u9672\u9674\u9688\u968D\u9697\u96B0\u9097\u909B\u909D\u9099\u90AC\u90A1\u90B4\u90B3\u90B6\u90BA"],
      ["db40", "\u8DD5\u8DD8\u8DD9\u8DDC\u8DE0\u8DE1\u8DE2\u8DE5\u8DE6\u8DE7\u8DE9\u8DED\u8DEE\u8DF0\u8DF1\u8DF2\u8DF4\u8DF6\u8DFC\u8DFE", 6, "\u8E06\u8E07\u8E08\u8E0B\u8E0D\u8E0E\u8E10\u8E11\u8E12\u8E13\u8E15", 7, "\u8E20\u8E21\u8E24", 4, "\u8E2B\u8E2D\u8E30\u8E32\u8E33\u8E34\u8E36\u8E37\u8E38\u8E3B\u8E3C\u8E3E"],
      ["db80", "\u8E3F\u8E43\u8E45\u8E46\u8E4C", 4, "\u8E53", 5, "\u8E5A", 11, "\u8E67\u8E68\u8E6A\u8E6B\u8E6E\u8E71\u90B8\u90B0\u90CF\u90C5\u90BE\u90D0\u90C4\u90C7\u90D3\u90E6\u90E2\u90DC\u90D7\u90DB\u90EB\u90EF\u90FE\u9104\u9122\u911E\u9123\u9131\u912F\u9139\u9143\u9146\u520D\u5942\u52A2\u52AC\u52AD\u52BE\u54FF\u52D0\u52D6\u52F0\u53DF\u71EE\u77CD\u5EF4\u51F5\u51FC\u9B2F\u53B6\u5F01\u755A\u5DEF\u574C\u57A9\u57A1\u587E\u58BC\u58C5\u58D1\u5729\u572C\u572A\u5733\u5739\u572E\u572F\u575C\u573B\u5742\u5769\u5785\u576B\u5786\u577C\u577B\u5768\u576D\u5776\u5773\u57AD\u57A4\u578C\u57B2\u57CF\u57A7\u57B4\u5793\u57A0\u57D5\u57D8\u57DA\u57D9\u57D2\u57B8\u57F4\u57EF\u57F8\u57E4\u57DD"],
      ["dc40", "\u8E73\u8E75\u8E77", 4, "\u8E7D\u8E7E\u8E80\u8E82\u8E83\u8E84\u8E86\u8E88", 6, "\u8E91\u8E92\u8E93\u8E95", 6, "\u8E9D\u8E9F", 11, "\u8EAD\u8EAE\u8EB0\u8EB1\u8EB3", 6, "\u8EBB", 7],
      ["dc80", "\u8EC3", 10, "\u8ECF", 21, "\u580B\u580D\u57FD\u57ED\u5800\u581E\u5819\u5844\u5820\u5865\u586C\u5881\u5889\u589A\u5880\u99A8\u9F19\u61FF\u8279\u827D\u827F\u828F\u828A\u82A8\u8284\u828E\u8291\u8297\u8299\u82AB\u82B8\u82BE\u82B0\u82C8\u82CA\u82E3\u8298\u82B7\u82AE\u82CB\u82CC\u82C1\u82A9\u82B4\u82A1\u82AA\u829F\u82C4\u82CE\u82A4\u82E1\u8309\u82F7\u82E4\u830F\u8307\u82DC\u82F4\u82D2\u82D8\u830C\u82FB\u82D3\u8311\u831A\u8306\u8314\u8315\u82E0\u82D5\u831C\u8351\u835B\u835C\u8308\u8392\u833C\u8334\u8331\u839B\u835E\u832F\u834F\u8347\u8343\u835F\u8340\u8317\u8360\u832D\u833A\u8333\u8366\u8365"],
      ["dd40", "\u8EE5", 62],
      ["dd80", "\u8F24", 32, "\u8368\u831B\u8369\u836C\u836A\u836D\u836E\u83B0\u8378\u83B3\u83B4\u83A0\u83AA\u8393\u839C\u8385\u837C\u83B6\u83A9\u837D\u83B8\u837B\u8398\u839E\u83A8\u83BA\u83BC\u83C1\u8401\u83E5\u83D8\u5807\u8418\u840B\u83DD\u83FD\u83D6\u841C\u8438\u8411\u8406\u83D4\u83DF\u840F\u8403\u83F8\u83F9\u83EA\u83C5\u83C0\u8426\u83F0\u83E1\u845C\u8451\u845A\u8459\u8473\u8487\u8488\u847A\u8489\u8478\u843C\u8446\u8469\u8476\u848C\u848E\u8431\u846D\u84C1\u84CD\u84D0\u84E6\u84BD\u84D3\u84CA\u84BF\u84BA\u84E0\u84A1\u84B9\u84B4\u8497\u84E5\u84E3\u850C\u750D\u8538\u84F0\u8539\u851F\u853A"],
      ["de40", "\u8F45", 32, "\u8F6A\u8F80\u8F8C\u8F92\u8F9D\u8FA0\u8FA1\u8FA2\u8FA4\u8FA5\u8FA6\u8FA7\u8FAA\u8FAC\u8FAD\u8FAE\u8FAF\u8FB2\u8FB3\u8FB4\u8FB5\u8FB7\u8FB8\u8FBA\u8FBB\u8FBC\u8FBF\u8FC0\u8FC3\u8FC6"],
      ["de80", "\u8FC9", 4, "\u8FCF\u8FD2\u8FD6\u8FD7\u8FDA\u8FE0\u8FE1\u8FE3\u8FE7\u8FEC\u8FEF\u8FF1\u8FF2\u8FF4\u8FF5\u8FF6\u8FFA\u8FFB\u8FFC\u8FFE\u8FFF\u9007\u9008\u900C\u900E\u9013\u9015\u9018\u8556\u853B\u84FF\u84FC\u8559\u8548\u8568\u8564\u855E\u857A\u77A2\u8543\u8572\u857B\u85A4\u85A8\u8587\u858F\u8579\u85AE\u859C\u8585\u85B9\u85B7\u85B0\u85D3\u85C1\u85DC\u85FF\u8627\u8605\u8629\u8616\u863C\u5EFE\u5F08\u593C\u5941\u8037\u5955\u595A\u5958\u530F\u5C22\u5C25\u5C2C\u5C34\u624C\u626A\u629F\u62BB\u62CA\u62DA\u62D7\u62EE\u6322\u62F6\u6339\u634B\u6343\u63AD\u63F6\u6371\u637A\u638E\u63B4\u636D\u63AC\u638A\u6369\u63AE\u63BC\u63F2\u63F8\u63E0\u63FF\u63C4\u63DE\u63CE\u6452\u63C6\u63BE\u6445\u6441\u640B\u641B\u6420\u640C\u6426\u6421\u645E\u6484\u646D\u6496"],
      ["df40", "\u9019\u901C\u9023\u9024\u9025\u9027", 5, "\u9030", 4, "\u9037\u9039\u903A\u903D\u903F\u9040\u9043\u9045\u9046\u9048", 4, "\u904E\u9054\u9055\u9056\u9059\u905A\u905C", 5, "\u9064\u9066\u9067\u9069\u906A\u906B\u906C\u906F", 4, "\u9076", 6, "\u907E\u9081"],
      ["df80", "\u9084\u9085\u9086\u9087\u9089\u908A\u908C", 4, "\u9092\u9094\u9096\u9098\u909A\u909C\u909E\u909F\u90A0\u90A4\u90A5\u90A7\u90A8\u90A9\u90AB\u90AD\u90B2\u90B7\u90BC\u90BD\u90BF\u90C0\u647A\u64B7\u64B8\u6499\u64BA\u64C0\u64D0\u64D7\u64E4\u64E2\u6509\u6525\u652E\u5F0B\u5FD2\u7519\u5F11\u535F\u53F1\u53FD\u53E9\u53E8\u53FB\u5412\u5416\u5406\u544B\u5452\u5453\u5454\u5456\u5443\u5421\u5457\u5459\u5423\u5432\u5482\u5494\u5477\u5471\u5464\u549A\u549B\u5484\u5476\u5466\u549D\u54D0\u54AD\u54C2\u54B4\u54D2\u54A7\u54A6\u54D3\u54D4\u5472\u54A3\u54D5\u54BB\u54BF\u54CC\u54D9\u54DA\u54DC\u54A9\u54AA\u54A4\u54DD\u54CF\u54DE\u551B\u54E7\u5520\u54FD\u5514\u54F3\u5522\u5523\u550F\u5511\u5527\u552A\u5567\u558F\u55B5\u5549\u556D\u5541\u5555\u553F\u5550\u553C"],
      ["e040", "\u90C2\u90C3\u90C6\u90C8\u90C9\u90CB\u90CC\u90CD\u90D2\u90D4\u90D5\u90D6\u90D8\u90D9\u90DA\u90DE\u90DF\u90E0\u90E3\u90E4\u90E5\u90E9\u90EA\u90EC\u90EE\u90F0\u90F1\u90F2\u90F3\u90F5\u90F6\u90F7\u90F9\u90FA\u90FB\u90FC\u90FF\u9100\u9101\u9103\u9105", 19, "\u911A\u911B\u911C"],
      ["e080", "\u911D\u911F\u9120\u9121\u9124", 10, "\u9130\u9132", 6, "\u913A", 8, "\u9144\u5537\u5556\u5575\u5576\u5577\u5533\u5530\u555C\u558B\u55D2\u5583\u55B1\u55B9\u5588\u5581\u559F\u557E\u55D6\u5591\u557B\u55DF\u55BD\u55BE\u5594\u5599\u55EA\u55F7\u55C9\u561F\u55D1\u55EB\u55EC\u55D4\u55E6\u55DD\u55C4\u55EF\u55E5\u55F2\u55F3\u55CC\u55CD\u55E8\u55F5\u55E4\u8F94\u561E\u5608\u560C\u5601\u5624\u5623\u55FE\u5600\u5627\u562D\u5658\u5639\u5657\u562C\u564D\u5662\u5659\u565C\u564C\u5654\u5686\u5664\u5671\u566B\u567B\u567C\u5685\u5693\u56AF\u56D4\u56D7\u56DD\u56E1\u56F5\u56EB\u56F9\u56FF\u5704\u570A\u5709\u571C\u5E0F\u5E19\u5E14\u5E11\u5E31\u5E3B\u5E3C"],
      ["e140", "\u9145\u9147\u9148\u9151\u9153\u9154\u9155\u9156\u9158\u9159\u915B\u915C\u915F\u9160\u9166\u9167\u9168\u916B\u916D\u9173\u917A\u917B\u917C\u9180", 4, "\u9186\u9188\u918A\u918E\u918F\u9193", 6, "\u919C", 5, "\u91A4", 5, "\u91AB\u91AC\u91B0\u91B1\u91B2\u91B3\u91B6\u91B7\u91B8\u91B9\u91BB"],
      ["e180", "\u91BC", 10, "\u91C8\u91CB\u91D0\u91D2", 9, "\u91DD", 8, "\u5E37\u5E44\u5E54\u5E5B\u5E5E\u5E61\u5C8C\u5C7A\u5C8D\u5C90\u5C96\u5C88\u5C98\u5C99\u5C91\u5C9A\u5C9C\u5CB5\u5CA2\u5CBD\u5CAC\u5CAB\u5CB1\u5CA3\u5CC1\u5CB7\u5CC4\u5CD2\u5CE4\u5CCB\u5CE5\u5D02\u5D03\u5D27\u5D26\u5D2E\u5D24\u5D1E\u5D06\u5D1B\u5D58\u5D3E\u5D34\u5D3D\u5D6C\u5D5B\u5D6F\u5D5D\u5D6B\u5D4B\u5D4A\u5D69\u5D74\u5D82\u5D99\u5D9D\u8C73\u5DB7\u5DC5\u5F73\u5F77\u5F82\u5F87\u5F89\u5F8C\u5F95\u5F99\u5F9C\u5FA8\u5FAD\u5FB5\u5FBC\u8862\u5F61\u72AD\u72B0\u72B4\u72B7\u72B8\u72C3\u72C1\u72CE\u72CD\u72D2\u72E8\u72EF\u72E9\u72F2\u72F4\u72F7\u7301\u72F3\u7303\u72FA"],
      ["e240", "\u91E6", 62],
      ["e280", "\u9225", 32, "\u72FB\u7317\u7313\u7321\u730A\u731E\u731D\u7315\u7322\u7339\u7325\u732C\u7338\u7331\u7350\u734D\u7357\u7360\u736C\u736F\u737E\u821B\u5925\u98E7\u5924\u5902\u9963\u9967", 5, "\u9974\u9977\u997D\u9980\u9984\u9987\u998A\u998D\u9990\u9991\u9993\u9994\u9995\u5E80\u5E91\u5E8B\u5E96\u5EA5\u5EA0\u5EB9\u5EB5\u5EBE\u5EB3\u8D53\u5ED2\u5ED1\u5EDB\u5EE8\u5EEA\u81BA\u5FC4\u5FC9\u5FD6\u5FCF\u6003\u5FEE\u6004\u5FE1\u5FE4\u5FFE\u6005\u6006\u5FEA\u5FED\u5FF8\u6019\u6035\u6026\u601B\u600F\u600D\u6029\u602B\u600A\u603F\u6021\u6078\u6079\u607B\u607A\u6042"],
      ["e340", "\u9246", 45, "\u9275", 16],
      ["e380", "\u9286", 7, "\u928F", 24, "\u606A\u607D\u6096\u609A\u60AD\u609D\u6083\u6092\u608C\u609B\u60EC\u60BB\u60B1\u60DD\u60D8\u60C6\u60DA\u60B4\u6120\u6126\u6115\u6123\u60F4\u6100\u610E\u612B\u614A\u6175\u61AC\u6194\u61A7\u61B7\u61D4\u61F5\u5FDD\u96B3\u95E9\u95EB\u95F1\u95F3\u95F5\u95F6\u95FC\u95FE\u9603\u9604\u9606\u9608\u960A\u960B\u960C\u960D\u960F\u9612\u9615\u9616\u9617\u9619\u961A\u4E2C\u723F\u6215\u6C35\u6C54\u6C5C\u6C4A\u6CA3\u6C85\u6C90\u6C94\u6C8C\u6C68\u6C69\u6C74\u6C76\u6C86\u6CA9\u6CD0\u6CD4\u6CAD\u6CF7\u6CF8\u6CF1\u6CD7\u6CB2\u6CE0\u6CD6\u6CFA\u6CEB\u6CEE\u6CB1\u6CD3\u6CEF\u6CFE"],
      ["e440", "\u92A8", 5, "\u92AF", 24, "\u92C9", 31],
      ["e480", "\u92E9", 32, "\u6D39\u6D27\u6D0C\u6D43\u6D48\u6D07\u6D04\u6D19\u6D0E\u6D2B\u6D4D\u6D2E\u6D35\u6D1A\u6D4F\u6D52\u6D54\u6D33\u6D91\u6D6F\u6D9E\u6DA0\u6D5E\u6D93\u6D94\u6D5C\u6D60\u6D7C\u6D63\u6E1A\u6DC7\u6DC5\u6DDE\u6E0E\u6DBF\u6DE0\u6E11\u6DE6\u6DDD\u6DD9\u6E16\u6DAB\u6E0C\u6DAE\u6E2B\u6E6E\u6E4E\u6E6B\u6EB2\u6E5F\u6E86\u6E53\u6E54\u6E32\u6E25\u6E44\u6EDF\u6EB1\u6E98\u6EE0\u6F2D\u6EE2\u6EA5\u6EA7\u6EBD\u6EBB\u6EB7\u6ED7\u6EB4\u6ECF\u6E8F\u6EC2\u6E9F\u6F62\u6F46\u6F47\u6F24\u6F15\u6EF9\u6F2F\u6F36\u6F4B\u6F74\u6F2A\u6F09\u6F29\u6F89\u6F8D\u6F8C\u6F78\u6F72\u6F7C\u6F7A\u6FD1"],
      ["e540", "\u930A", 51, "\u933F", 10],
      ["e580", "\u934A", 31, "\u936B\u6FC9\u6FA7\u6FB9\u6FB6\u6FC2\u6FE1\u6FEE\u6FDE\u6FE0\u6FEF\u701A\u7023\u701B\u7039\u7035\u704F\u705E\u5B80\u5B84\u5B95\u5B93\u5BA5\u5BB8\u752F\u9A9E\u6434\u5BE4\u5BEE\u8930\u5BF0\u8E47\u8B07\u8FB6\u8FD3\u8FD5\u8FE5\u8FEE\u8FE4\u8FE9\u8FE6\u8FF3\u8FE8\u9005\u9004\u900B\u9026\u9011\u900D\u9016\u9021\u9035\u9036\u902D\u902F\u9044\u9051\u9052\u9050\u9068\u9058\u9062\u905B\u66B9\u9074\u907D\u9082\u9088\u9083\u908B\u5F50\u5F57\u5F56\u5F58\u5C3B\u54AB\u5C50\u5C59\u5B71\u5C63\u5C66\u7FBC\u5F2A\u5F29\u5F2D\u8274\u5F3C\u9B3B\u5C6E\u5981\u5983\u598D\u59A9\u59AA\u59A3"],
      ["e640", "\u936C", 34, "\u9390", 27],
      ["e680", "\u93AC", 29, "\u93CB\u93CC\u93CD\u5997\u59CA\u59AB\u599E\u59A4\u59D2\u59B2\u59AF\u59D7\u59BE\u5A05\u5A06\u59DD\u5A08\u59E3\u59D8\u59F9\u5A0C\u5A09\u5A32\u5A34\u5A11\u5A23\u5A13\u5A40\u5A67\u5A4A\u5A55\u5A3C\u5A62\u5A75\u80EC\u5AAA\u5A9B\u5A77\u5A7A\u5ABE\u5AEB\u5AB2\u5AD2\u5AD4\u5AB8\u5AE0\u5AE3\u5AF1\u5AD6\u5AE6\u5AD8\u5ADC\u5B09\u5B17\u5B16\u5B32\u5B37\u5B40\u5C15\u5C1C\u5B5A\u5B65\u5B73\u5B51\u5B53\u5B62\u9A75\u9A77\u9A78\u9A7A\u9A7F\u9A7D\u9A80\u9A81\u9A85\u9A88\u9A8A\u9A90\u9A92\u9A93\u9A96\u9A98\u9A9B\u9A9C\u9A9D\u9A9F\u9AA0\u9AA2\u9AA3\u9AA5\u9AA7\u7E9F\u7EA1\u7EA3\u7EA5\u7EA8\u7EA9"],
      ["e740", "\u93CE", 7, "\u93D7", 54],
      ["e780", "\u940E", 32, "\u7EAD\u7EB0\u7EBE\u7EC0\u7EC1\u7EC2\u7EC9\u7ECB\u7ECC\u7ED0\u7ED4\u7ED7\u7EDB\u7EE0\u7EE1\u7EE8\u7EEB\u7EEE\u7EEF\u7EF1\u7EF2\u7F0D\u7EF6\u7EFA\u7EFB\u7EFE\u7F01\u7F02\u7F03\u7F07\u7F08\u7F0B\u7F0C\u7F0F\u7F11\u7F12\u7F17\u7F19\u7F1C\u7F1B\u7F1F\u7F21", 6, "\u7F2A\u7F2B\u7F2C\u7F2D\u7F2F", 4, "\u7F35\u5E7A\u757F\u5DDB\u753E\u9095\u738E\u7391\u73AE\u73A2\u739F\u73CF\u73C2\u73D1\u73B7\u73B3\u73C0\u73C9\u73C8\u73E5\u73D9\u987C\u740A\u73E9\u73E7\u73DE\u73BA\u73F2\u740F\u742A\u745B\u7426\u7425\u7428\u7430\u742E\u742C"],
      ["e840", "\u942F", 14, "\u943F", 43, "\u946C\u946D\u946E\u946F"],
      ["e880", "\u9470", 20, "\u9491\u9496\u9498\u94C7\u94CF\u94D3\u94D4\u94DA\u94E6\u94FB\u951C\u9520\u741B\u741A\u7441\u745C\u7457\u7455\u7459\u7477\u746D\u747E\u749C\u748E\u7480\u7481\u7487\u748B\u749E\u74A8\u74A9\u7490\u74A7\u74D2\u74BA\u97EA\u97EB\u97EC\u674C\u6753\u675E\u6748\u6769\u67A5\u6787\u676A\u6773\u6798\u67A7\u6775\u67A8\u679E\u67AD\u678B\u6777\u677C\u67F0\u6809\u67D8\u680A\u67E9\u67B0\u680C\u67D9\u67B5\u67DA\u67B3\u67DD\u6800\u67C3\u67B8\u67E2\u680E\u67C1\u67FD\u6832\u6833\u6860\u6861\u684E\u6862\u6844\u6864\u6883\u681D\u6855\u6866\u6841\u6867\u6840\u683E\u684A\u6849\u6829\u68B5\u688F\u6874\u6877\u6893\u686B\u68C2\u696E\u68FC\u691F\u6920\u68F9"],
      ["e940", "\u9527\u9533\u953D\u9543\u9548\u954B\u9555\u955A\u9560\u956E\u9574\u9575\u9577", 7, "\u9580", 42],
      ["e980", "\u95AB", 32, "\u6924\u68F0\u690B\u6901\u6957\u68E3\u6910\u6971\u6939\u6960\u6942\u695D\u6984\u696B\u6980\u6998\u6978\u6934\u69CC\u6987\u6988\u69CE\u6989\u6966\u6963\u6979\u699B\u69A7\u69BB\u69AB\u69AD\u69D4\u69B1\u69C1\u69CA\u69DF\u6995\u69E0\u698D\u69FF\u6A2F\u69ED\u6A17\u6A18\u6A65\u69F2\u6A44\u6A3E\u6AA0\u6A50\u6A5B\u6A35\u6A8E\u6A79\u6A3D\u6A28\u6A58\u6A7C\u6A91\u6A90\u6AA9\u6A97\u6AAB\u7337\u7352\u6B81\u6B82\u6B87\u6B84\u6B92\u6B93\u6B8D\u6B9A\u6B9B\u6BA1\u6BAA\u8F6B\u8F6D\u8F71\u8F72\u8F73\u8F75\u8F76\u8F78\u8F77\u8F79\u8F7A\u8F7C\u8F7E\u8F81\u8F82\u8F84\u8F87\u8F8B"],
      ["ea40", "\u95CC", 27, "\u95EC\u95FF\u9607\u9613\u9618\u961B\u961E\u9620\u9623", 6, "\u962B\u962C\u962D\u962F\u9630\u9637\u9638\u9639\u963A\u963E\u9641\u9643\u964A\u964E\u964F\u9651\u9652\u9653\u9656\u9657"],
      ["ea80", "\u9658\u9659\u965A\u965C\u965D\u965E\u9660\u9663\u9665\u9666\u966B\u966D", 4, "\u9673\u9678", 12, "\u9687\u9689\u968A\u8F8D\u8F8E\u8F8F\u8F98\u8F9A\u8ECE\u620B\u6217\u621B\u621F\u6222\u6221\u6225\u6224\u622C\u81E7\u74EF\u74F4\u74FF\u750F\u7511\u7513\u6534\u65EE\u65EF\u65F0\u660A\u6619\u6772\u6603\u6615\u6600\u7085\u66F7\u661D\u6634\u6631\u6636\u6635\u8006\u665F\u6654\u6641\u664F\u6656\u6661\u6657\u6677\u6684\u668C\u66A7\u669D\u66BE\u66DB\u66DC\u66E6\u66E9\u8D32\u8D33\u8D36\u8D3B\u8D3D\u8D40\u8D45\u8D46\u8D48\u8D49\u8D47\u8D4D\u8D55\u8D59\u89C7\u89CA\u89CB\u89CC\u89CE\u89CF\u89D0\u89D1\u726E\u729F\u725D\u7266\u726F\u727E\u727F\u7284\u728B\u728D\u728F\u7292\u6308\u6332\u63B0"],
      ["eb40", "\u968C\u968E\u9691\u9692\u9693\u9695\u9696\u969A\u969B\u969D", 9, "\u96A8", 7, "\u96B1\u96B2\u96B4\u96B5\u96B7\u96B8\u96BA\u96BB\u96BF\u96C2\u96C3\u96C8\u96CA\u96CB\u96D0\u96D1\u96D3\u96D4\u96D6", 9, "\u96E1", 6, "\u96EB"],
      ["eb80", "\u96EC\u96ED\u96EE\u96F0\u96F1\u96F2\u96F4\u96F5\u96F8\u96FA\u96FB\u96FC\u96FD\u96FF\u9702\u9703\u9705\u970A\u970B\u970C\u9710\u9711\u9712\u9714\u9715\u9717", 4, "\u971D\u971F\u9720\u643F\u64D8\u8004\u6BEA\u6BF3\u6BFD\u6BF5\u6BF9\u6C05\u6C07\u6C06\u6C0D\u6C15\u6C18\u6C19\u6C1A\u6C21\u6C29\u6C24\u6C2A\u6C32\u6535\u6555\u656B\u724D\u7252\u7256\u7230\u8662\u5216\u809F\u809C\u8093\u80BC\u670A\u80BD\u80B1\u80AB\u80AD\u80B4\u80B7\u80E7\u80E8\u80E9\u80EA\u80DB\u80C2\u80C4\u80D9\u80CD\u80D7\u6710\u80DD\u80EB\u80F1\u80F4\u80ED\u810D\u810E\u80F2\u80FC\u6715\u8112\u8C5A\u8136\u811E\u812C\u8118\u8132\u8148\u814C\u8153\u8174\u8159\u815A\u8171\u8160\u8169\u817C\u817D\u816D\u8167\u584D\u5AB5\u8188\u8182\u8191\u6ED5\u81A3\u81AA\u81CC\u6726\u81CA\u81BB"],
      ["ec40", "\u9721", 8, "\u972B\u972C\u972E\u972F\u9731\u9733", 4, "\u973A\u973B\u973C\u973D\u973F", 18, "\u9754\u9755\u9757\u9758\u975A\u975C\u975D\u975F\u9763\u9764\u9766\u9767\u9768\u976A", 7],
      ["ec80", "\u9772\u9775\u9777", 4, "\u977D", 7, "\u9786", 4, "\u978C\u978E\u978F\u9790\u9793\u9795\u9796\u9797\u9799", 4, "\u81C1\u81A6\u6B24\u6B37\u6B39\u6B43\u6B46\u6B59\u98D1\u98D2\u98D3\u98D5\u98D9\u98DA\u6BB3\u5F40\u6BC2\u89F3\u6590\u9F51\u6593\u65BC\u65C6\u65C4\u65C3\u65CC\u65CE\u65D2\u65D6\u7080\u709C\u7096\u709D\u70BB\u70C0\u70B7\u70AB\u70B1\u70E8\u70CA\u7110\u7113\u7116\u712F\u7131\u7173\u715C\u7168\u7145\u7172\u714A\u7178\u717A\u7198\u71B3\u71B5\u71A8\u71A0\u71E0\u71D4\u71E7\u71F9\u721D\u7228\u706C\u7118\u7166\u71B9\u623E\u623D\u6243\u6248\u6249\u793B\u7940\u7946\u7949\u795B\u795C\u7953\u795A\u7962\u7957\u7960\u796F\u7967\u797A\u7985\u798A\u799A\u79A7\u79B3\u5FD1\u5FD0"],
      ["ed40", "\u979E\u979F\u97A1\u97A2\u97A4", 6, "\u97AC\u97AE\u97B0\u97B1\u97B3\u97B5", 46],
      ["ed80", "\u97E4\u97E5\u97E8\u97EE", 4, "\u97F4\u97F7", 23, "\u603C\u605D\u605A\u6067\u6041\u6059\u6063\u60AB\u6106\u610D\u615D\u61A9\u619D\u61CB\u61D1\u6206\u8080\u807F\u6C93\u6CF6\u6DFC\u77F6\u77F8\u7800\u7809\u7817\u7818\u7811\u65AB\u782D\u781C\u781D\u7839\u783A\u783B\u781F\u783C\u7825\u782C\u7823\u7829\u784E\u786D\u7856\u7857\u7826\u7850\u7847\u784C\u786A\u789B\u7893\u789A\u7887\u789C\u78A1\u78A3\u78B2\u78B9\u78A5\u78D4\u78D9\u78C9\u78EC\u78F2\u7905\u78F4\u7913\u7924\u791E\u7934\u9F9B\u9EF9\u9EFB\u9EFC\u76F1\u7704\u770D\u76F9\u7707\u7708\u771A\u7722\u7719\u772D\u7726\u7735\u7738\u7750\u7751\u7747\u7743\u775A\u7768"],
      ["ee40", "\u980F", 62],
      ["ee80", "\u984E", 32, "\u7762\u7765\u777F\u778D\u777D\u7780\u778C\u7791\u779F\u77A0\u77B0\u77B5\u77BD\u753A\u7540\u754E\u754B\u7548\u755B\u7572\u7579\u7583\u7F58\u7F61\u7F5F\u8A48\u7F68\u7F74\u7F71\u7F79\u7F81\u7F7E\u76CD\u76E5\u8832\u9485\u9486\u9487\u948B\u948A\u948C\u948D\u948F\u9490\u9494\u9497\u9495\u949A\u949B\u949C\u94A3\u94A4\u94AB\u94AA\u94AD\u94AC\u94AF\u94B0\u94B2\u94B4\u94B6", 4, "\u94BC\u94BD\u94BF\u94C4\u94C8", 6, "\u94D0\u94D1\u94D2\u94D5\u94D6\u94D7\u94D9\u94D8\u94DB\u94DE\u94DF\u94E0\u94E2\u94E4\u94E5\u94E7\u94E8\u94EA"],
      ["ef40", "\u986F", 5, "\u988B\u988E\u9892\u9895\u9899\u98A3\u98A8", 37, "\u98CF\u98D0\u98D4\u98D6\u98D7\u98DB\u98DC\u98DD\u98E0", 4],
      ["ef80", "\u98E5\u98E6\u98E9", 30, "\u94E9\u94EB\u94EE\u94EF\u94F3\u94F4\u94F5\u94F7\u94F9\u94FC\u94FD\u94FF\u9503\u9502\u9506\u9507\u9509\u950A\u950D\u950E\u950F\u9512", 4, "\u9518\u951B\u951D\u951E\u951F\u9522\u952A\u952B\u9529\u952C\u9531\u9532\u9534\u9536\u9537\u9538\u953C\u953E\u953F\u9542\u9535\u9544\u9545\u9546\u9549\u954C\u954E\u954F\u9552\u9553\u9554\u9556\u9557\u9558\u9559\u955B\u955E\u955F\u955D\u9561\u9562\u9564", 8, "\u956F\u9571\u9572\u9573\u953A\u77E7\u77EC\u96C9\u79D5\u79ED\u79E3\u79EB\u7A06\u5D47\u7A03\u7A02\u7A1E\u7A14"],
      ["f040", "\u9908", 4, "\u990E\u990F\u9911", 28, "\u992F", 26],
      ["f080", "\u994A", 9, "\u9956", 12, "\u9964\u9966\u9973\u9978\u9979\u997B\u997E\u9982\u9983\u9989\u7A39\u7A37\u7A51\u9ECF\u99A5\u7A70\u7688\u768E\u7693\u7699\u76A4\u74DE\u74E0\u752C\u9E20\u9E22\u9E28", 4, "\u9E32\u9E31\u9E36\u9E38\u9E37\u9E39\u9E3A\u9E3E\u9E41\u9E42\u9E44\u9E46\u9E47\u9E48\u9E49\u9E4B\u9E4C\u9E4E\u9E51\u9E55\u9E57\u9E5A\u9E5B\u9E5C\u9E5E\u9E63\u9E66", 6, "\u9E71\u9E6D\u9E73\u7592\u7594\u7596\u75A0\u759D\u75AC\u75A3\u75B3\u75B4\u75B8\u75C4\u75B1\u75B0\u75C3\u75C2\u75D6\u75CD\u75E3\u75E8\u75E6\u75E4\u75EB\u75E7\u7603\u75F1\u75FC\u75FF\u7610\u7600\u7605\u760C\u7617\u760A\u7625\u7618\u7615\u7619"],
      ["f140", "\u998C\u998E\u999A", 10, "\u99A6\u99A7\u99A9", 47],
      ["f180", "\u99D9", 32, "\u761B\u763C\u7622\u7620\u7640\u762D\u7630\u763F\u7635\u7643\u763E\u7633\u764D\u765E\u7654\u765C\u7656\u766B\u766F\u7FCA\u7AE6\u7A78\u7A79\u7A80\u7A86\u7A88\u7A95\u7AA6\u7AA0\u7AAC\u7AA8\u7AAD\u7AB3\u8864\u8869\u8872\u887D\u887F\u8882\u88A2\u88C6\u88B7\u88BC\u88C9\u88E2\u88CE\u88E3\u88E5\u88F1\u891A\u88FC\u88E8\u88FE\u88F0\u8921\u8919\u8913\u891B\u890A\u8934\u892B\u8936\u8941\u8966\u897B\u758B\u80E5\u76B2\u76B4\u77DC\u8012\u8014\u8016\u801C\u8020\u8022\u8025\u8026\u8027\u8029\u8028\u8031\u800B\u8035\u8043\u8046\u804D\u8052\u8069\u8071\u8983\u9878\u9880\u9883"],
      ["f240", "\u99FA", 62],
      ["f280", "\u9A39", 32, "\u9889\u988C\u988D\u988F\u9894\u989A\u989B\u989E\u989F\u98A1\u98A2\u98A5\u98A6\u864D\u8654\u866C\u866E\u867F\u867A\u867C\u867B\u86A8\u868D\u868B\u86AC\u869D\u86A7\u86A3\u86AA\u8693\u86A9\u86B6\u86C4\u86B5\u86CE\u86B0\u86BA\u86B1\u86AF\u86C9\u86CF\u86B4\u86E9\u86F1\u86F2\u86ED\u86F3\u86D0\u8713\u86DE\u86F4\u86DF\u86D8\u86D1\u8703\u8707\u86F8\u8708\u870A\u870D\u8709\u8723\u873B\u871E\u8725\u872E\u871A\u873E\u8748\u8734\u8731\u8729\u8737\u873F\u8782\u8722\u877D\u877E\u877B\u8760\u8770\u874C\u876E\u878B\u8753\u8763\u877C\u8764\u8759\u8765\u8793\u87AF\u87A8\u87D2"],
      ["f340", "\u9A5A", 17, "\u9A72\u9A83\u9A89\u9A8D\u9A8E\u9A94\u9A95\u9A99\u9AA6\u9AA9", 6, "\u9AB2\u9AB3\u9AB4\u9AB5\u9AB9\u9ABB\u9ABD\u9ABE\u9ABF\u9AC3\u9AC4\u9AC6", 4, "\u9ACD\u9ACE\u9ACF\u9AD0\u9AD2\u9AD4\u9AD5\u9AD6\u9AD7\u9AD9\u9ADA\u9ADB\u9ADC"],
      ["f380", "\u9ADD\u9ADE\u9AE0\u9AE2\u9AE3\u9AE4\u9AE5\u9AE7\u9AE8\u9AE9\u9AEA\u9AEC\u9AEE\u9AF0", 8, "\u9AFA\u9AFC", 6, "\u9B04\u9B05\u9B06\u87C6\u8788\u8785\u87AD\u8797\u8783\u87AB\u87E5\u87AC\u87B5\u87B3\u87CB\u87D3\u87BD\u87D1\u87C0\u87CA\u87DB\u87EA\u87E0\u87EE\u8816\u8813\u87FE\u880A\u881B\u8821\u8839\u883C\u7F36\u7F42\u7F44\u7F45\u8210\u7AFA\u7AFD\u7B08\u7B03\u7B04\u7B15\u7B0A\u7B2B\u7B0F\u7B47\u7B38\u7B2A\u7B19\u7B2E\u7B31\u7B20\u7B25\u7B24\u7B33\u7B3E\u7B1E\u7B58\u7B5A\u7B45\u7B75\u7B4C\u7B5D\u7B60\u7B6E\u7B7B\u7B62\u7B72\u7B71\u7B90\u7BA6\u7BA7\u7BB8\u7BAC\u7B9D\u7BA8\u7B85\u7BAA\u7B9C\u7BA2\u7BAB\u7BB4\u7BD1\u7BC1\u7BCC\u7BDD\u7BDA\u7BE5\u7BE6\u7BEA\u7C0C\u7BFE\u7BFC\u7C0F\u7C16\u7C0B"],
      ["f440", "\u9B07\u9B09", 5, "\u9B10\u9B11\u9B12\u9B14", 10, "\u9B20\u9B21\u9B22\u9B24", 10, "\u9B30\u9B31\u9B33", 7, "\u9B3D\u9B3E\u9B3F\u9B40\u9B46\u9B4A\u9B4B\u9B4C\u9B4E\u9B50\u9B52\u9B53\u9B55", 5],
      ["f480", "\u9B5B", 32, "\u7C1F\u7C2A\u7C26\u7C38\u7C41\u7C40\u81FE\u8201\u8202\u8204\u81EC\u8844\u8221\u8222\u8223\u822D\u822F\u8228\u822B\u8238\u823B\u8233\u8234\u823E\u8244\u8249\u824B\u824F\u825A\u825F\u8268\u887E\u8885\u8888\u88D8\u88DF\u895E\u7F9D\u7F9F\u7FA7\u7FAF\u7FB0\u7FB2\u7C7C\u6549\u7C91\u7C9D\u7C9C\u7C9E\u7CA2\u7CB2\u7CBC\u7CBD\u7CC1\u7CC7\u7CCC\u7CCD\u7CC8\u7CC5\u7CD7\u7CE8\u826E\u66A8\u7FBF\u7FCE\u7FD5\u7FE5\u7FE1\u7FE6\u7FE9\u7FEE\u7FF3\u7CF8\u7D77\u7DA6\u7DAE\u7E47\u7E9B\u9EB8\u9EB4\u8D73\u8D84\u8D94\u8D91\u8DB1\u8D67\u8D6D\u8C47\u8C49\u914A\u9150\u914E\u914F\u9164"],
      ["f540", "\u9B7C", 62],
      ["f580", "\u9BBB", 32, "\u9162\u9161\u9170\u9169\u916F\u917D\u917E\u9172\u9174\u9179\u918C\u9185\u9190\u918D\u9191\u91A2\u91A3\u91AA\u91AD\u91AE\u91AF\u91B5\u91B4\u91BA\u8C55\u9E7E\u8DB8\u8DEB\u8E05\u8E59\u8E69\u8DB5\u8DBF\u8DBC\u8DBA\u8DC4\u8DD6\u8DD7\u8DDA\u8DDE\u8DCE\u8DCF\u8DDB\u8DC6\u8DEC\u8DF7\u8DF8\u8DE3\u8DF9\u8DFB\u8DE4\u8E09\u8DFD\u8E14\u8E1D\u8E1F\u8E2C\u8E2E\u8E23\u8E2F\u8E3A\u8E40\u8E39\u8E35\u8E3D\u8E31\u8E49\u8E41\u8E42\u8E51\u8E52\u8E4A\u8E70\u8E76\u8E7C\u8E6F\u8E74\u8E85\u8E8F\u8E94\u8E90\u8E9C\u8E9E\u8C78\u8C82\u8C8A\u8C85\u8C98\u8C94\u659B\u89D6\u89DE\u89DA\u89DC"],
      ["f640", "\u9BDC", 62],
      ["f680", "\u9C1B", 32, "\u89E5\u89EB\u89EF\u8A3E\u8B26\u9753\u96E9\u96F3\u96EF\u9706\u9701\u9708\u970F\u970E\u972A\u972D\u9730\u973E\u9F80\u9F83\u9F85", 5, "\u9F8C\u9EFE\u9F0B\u9F0D\u96B9\u96BC\u96BD\u96CE\u96D2\u77BF\u96E0\u928E\u92AE\u92C8\u933E\u936A\u93CA\u938F\u943E\u946B\u9C7F\u9C82\u9C85\u9C86\u9C87\u9C88\u7A23\u9C8B\u9C8E\u9C90\u9C91\u9C92\u9C94\u9C95\u9C9A\u9C9B\u9C9E", 5, "\u9CA5", 4, "\u9CAB\u9CAD\u9CAE\u9CB0", 7, "\u9CBA\u9CBB\u9CBC\u9CBD\u9CC4\u9CC5\u9CC6\u9CC7\u9CCA\u9CCB"],
      ["f740", "\u9C3C", 62],
      ["f780", "\u9C7B\u9C7D\u9C7E\u9C80\u9C83\u9C84\u9C89\u9C8A\u9C8C\u9C8F\u9C93\u9C96\u9C97\u9C98\u9C99\u9C9D\u9CAA\u9CAC\u9CAF\u9CB9\u9CBE", 4, "\u9CC8\u9CC9\u9CD1\u9CD2\u9CDA\u9CDB\u9CE0\u9CE1\u9CCC", 4, "\u9CD3\u9CD4\u9CD5\u9CD7\u9CD8\u9CD9\u9CDC\u9CDD\u9CDF\u9CE2\u977C\u9785\u9791\u9792\u9794\u97AF\u97AB\u97A3\u97B2\u97B4\u9AB1\u9AB0\u9AB7\u9E58\u9AB6\u9ABA\u9ABC\u9AC1\u9AC0\u9AC5\u9AC2\u9ACB\u9ACC\u9AD1\u9B45\u9B43\u9B47\u9B49\u9B48\u9B4D\u9B51\u98E8\u990D\u992E\u9955\u9954\u9ADF\u9AE1\u9AE6\u9AEF\u9AEB\u9AFB\u9AED\u9AF9\u9B08\u9B0F\u9B13\u9B1F\u9B23\u9EBD\u9EBE\u7E3B\u9E82\u9E87\u9E88\u9E8B\u9E92\u93D6\u9E9D\u9E9F\u9EDB\u9EDC\u9EDD\u9EE0\u9EDF\u9EE2\u9EE9\u9EE7\u9EE5\u9EEA\u9EEF\u9F22\u9F2C\u9F2F\u9F39\u9F37\u9F3D\u9F3E\u9F44"],
      ["f840", "\u9CE3", 62],
      ["f880", "\u9D22", 32],
      ["f940", "\u9D43", 62],
      ["f980", "\u9D82", 32],
      ["fa40", "\u9DA3", 62],
      ["fa80", "\u9DE2", 32],
      ["fb40", "\u9E03", 27, "\u9E24\u9E27\u9E2E\u9E30\u9E34\u9E3B\u9E3C\u9E40\u9E4D\u9E50\u9E52\u9E53\u9E54\u9E56\u9E59\u9E5D\u9E5F\u9E60\u9E61\u9E62\u9E65\u9E6E\u9E6F\u9E72\u9E74", 9, "\u9E80"],
      ["fb80", "\u9E81\u9E83\u9E84\u9E85\u9E86\u9E89\u9E8A\u9E8C", 5, "\u9E94", 8, "\u9E9E\u9EA0", 5, "\u9EA7\u9EA8\u9EA9\u9EAA"],
      ["fc40", "\u9EAB", 8, "\u9EB5\u9EB6\u9EB7\u9EB9\u9EBA\u9EBC\u9EBF", 4, "\u9EC5\u9EC6\u9EC7\u9EC8\u9ECA\u9ECB\u9ECC\u9ED0\u9ED2\u9ED3\u9ED5\u9ED6\u9ED7\u9ED9\u9EDA\u9EDE\u9EE1\u9EE3\u9EE4\u9EE6\u9EE8\u9EEB\u9EEC\u9EED\u9EEE\u9EF0", 8, "\u9EFA\u9EFD\u9EFF", 6],
      ["fc80", "\u9F06", 4, "\u9F0C\u9F0F\u9F11\u9F12\u9F14\u9F15\u9F16\u9F18\u9F1A", 5, "\u9F21\u9F23", 8, "\u9F2D\u9F2E\u9F30\u9F31"],
      ["fd40", "\u9F32", 4, "\u9F38\u9F3A\u9F3C\u9F3F", 4, "\u9F45", 10, "\u9F52", 38],
      ["fd80", "\u9F79", 5, "\u9F81\u9F82\u9F8D", 11, "\u9F9C\u9F9D\u9F9E\u9FA1", 4, "\uF92C\uF979\uF995\uF9E7\uF9F1"],
      ["fe40", "\uFA0C\uFA0D\uFA0E\uFA0F\uFA11\uFA13\uFA14\uFA18\uFA1F\uFA20\uFA21\uFA23\uFA24\uFA27\uFA28\uFA29"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/gbk-added.json
var require_gbk_added2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/gbk-added.json"(exports2, module2) {
    module2.exports = [
      ["a140", "\uE4C6", 62],
      ["a180", "\uE505", 32],
      ["a240", "\uE526", 62],
      ["a280", "\uE565", 32],
      ["a2ab", "\uE766", 5],
      ["a2e3", "\u20AC\uE76D"],
      ["a2ef", "\uE76E\uE76F"],
      ["a2fd", "\uE770\uE771"],
      ["a340", "\uE586", 62],
      ["a380", "\uE5C5", 31, "\u3000"],
      ["a440", "\uE5E6", 62],
      ["a480", "\uE625", 32],
      ["a4f4", "\uE772", 10],
      ["a540", "\uE646", 62],
      ["a580", "\uE685", 32],
      ["a5f7", "\uE77D", 7],
      ["a640", "\uE6A6", 62],
      ["a680", "\uE6E5", 32],
      ["a6b9", "\uE785", 7],
      ["a6d9", "\uE78D", 6],
      ["a6ec", "\uE794\uE795"],
      ["a6f3", "\uE796"],
      ["a6f6", "\uE797", 8],
      ["a740", "\uE706", 62],
      ["a780", "\uE745", 32],
      ["a7c2", "\uE7A0", 14],
      ["a7f2", "\uE7AF", 12],
      ["a896", "\uE7BC", 10],
      ["a8bc", "\uE7C7"],
      ["a8bf", "\u01F9"],
      ["a8c1", "\uE7C9\uE7CA\uE7CB\uE7CC"],
      ["a8ea", "\uE7CD", 20],
      ["a958", "\uE7E2"],
      ["a95b", "\uE7E3"],
      ["a95d", "\uE7E4\uE7E5\uE7E6"],
      ["a989", "\u303E\u2FF0", 11],
      ["a997", "\uE7F4", 12],
      ["a9f0", "\uE801", 14],
      ["aaa1", "\uE000", 93],
      ["aba1", "\uE05E", 93],
      ["aca1", "\uE0BC", 93],
      ["ada1", "\uE11A", 93],
      ["aea1", "\uE178", 93],
      ["afa1", "\uE1D6", 93],
      ["d7fa", "\uE810", 4],
      ["f8a1", "\uE234", 93],
      ["f9a1", "\uE292", 93],
      ["faa1", "\uE2F0", 93],
      ["fba1", "\uE34E", 93],
      ["fca1", "\uE3AC", 93],
      ["fda1", "\uE40A", 93],
      ["fe50", "\u2E81\uE816\uE817\uE818\u2E84\u3473\u3447\u2E88\u2E8B\uE81E\u359E\u361A\u360E\u2E8C\u2E97\u396E\u3918\uE826\u39CF\u39DF\u3A73\u39D0\uE82B\uE82C\u3B4E\u3C6E\u3CE0\u2EA7\uE831\uE832\u2EAA\u4056\u415F\u2EAE\u4337\u2EB3\u2EB6\u2EB7\uE83B\u43B1\u43AC\u2EBB\u43DD\u44D6\u4661\u464C\uE843"],
      ["fe80", "\u4723\u4729\u477C\u478D\u2ECA\u4947\u497A\u497D\u4982\u4983\u4985\u4986\u499F\u499B\u49B7\u49B6\uE854\uE855\u4CA3\u4C9F\u4CA0\u4CA1\u4C77\u4CA2\u4D13", 6, "\u4DAE\uE864\uE468", 93]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/gb18030-ranges.json
var require_gb18030_ranges2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/gb18030-ranges.json"(exports2, module2) {
    module2.exports = { uChars: [128, 165, 169, 178, 184, 216, 226, 235, 238, 244, 248, 251, 253, 258, 276, 284, 300, 325, 329, 334, 364, 463, 465, 467, 469, 471, 473, 475, 477, 506, 594, 610, 712, 716, 730, 930, 938, 962, 970, 1026, 1104, 1106, 8209, 8215, 8218, 8222, 8231, 8241, 8244, 8246, 8252, 8365, 8452, 8454, 8458, 8471, 8482, 8556, 8570, 8596, 8602, 8713, 8720, 8722, 8726, 8731, 8737, 8740, 8742, 8748, 8751, 8760, 8766, 8777, 8781, 8787, 8802, 8808, 8816, 8854, 8858, 8870, 8896, 8979, 9322, 9372, 9548, 9588, 9616, 9622, 9634, 9652, 9662, 9672, 9676, 9680, 9702, 9735, 9738, 9793, 9795, 11906, 11909, 11913, 11917, 11928, 11944, 11947, 11951, 11956, 11960, 11964, 11979, 12284, 12292, 12312, 12319, 12330, 12351, 12436, 12447, 12535, 12543, 12586, 12842, 12850, 12964, 13200, 13215, 13218, 13253, 13263, 13267, 13270, 13384, 13428, 13727, 13839, 13851, 14617, 14703, 14801, 14816, 14964, 15183, 15471, 15585, 16471, 16736, 17208, 17325, 17330, 17374, 17623, 17997, 18018, 18212, 18218, 18301, 18318, 18760, 18811, 18814, 18820, 18823, 18844, 18848, 18872, 19576, 19620, 19738, 19887, 40870, 59244, 59336, 59367, 59413, 59417, 59423, 59431, 59437, 59443, 59452, 59460, 59478, 59493, 63789, 63866, 63894, 63976, 63986, 64016, 64018, 64021, 64025, 64034, 64037, 64042, 65074, 65093, 65107, 65112, 65127, 65132, 65375, 65510, 65536], gbChars: [0, 36, 38, 45, 50, 81, 89, 95, 96, 100, 103, 104, 105, 109, 126, 133, 148, 172, 175, 179, 208, 306, 307, 308, 309, 310, 311, 312, 313, 341, 428, 443, 544, 545, 558, 741, 742, 749, 750, 805, 819, 820, 7922, 7924, 7925, 7927, 7934, 7943, 7944, 7945, 7950, 8062, 8148, 8149, 8152, 8164, 8174, 8236, 8240, 8262, 8264, 8374, 8380, 8381, 8384, 8388, 8390, 8392, 8393, 8394, 8396, 8401, 8406, 8416, 8419, 8424, 8437, 8439, 8445, 8482, 8485, 8496, 8521, 8603, 8936, 8946, 9046, 9050, 9063, 9066, 9076, 9092, 9100, 9108, 9111, 9113, 9131, 9162, 9164, 9218, 9219, 11329, 11331, 11334, 11336, 11346, 11361, 11363, 11366, 11370, 11372, 11375, 11389, 11682, 11686, 11687, 11692, 11694, 11714, 11716, 11723, 11725, 11730, 11736, 11982, 11989, 12102, 12336, 12348, 12350, 12384, 12393, 12395, 12397, 12510, 12553, 12851, 12962, 12973, 13738, 13823, 13919, 13933, 14080, 14298, 14585, 14698, 15583, 15847, 16318, 16434, 16438, 16481, 16729, 17102, 17122, 17315, 17320, 17402, 17418, 17859, 17909, 17911, 17915, 17916, 17936, 17939, 17961, 18664, 18703, 18814, 18962, 19043, 33469, 33470, 33471, 33484, 33485, 33490, 33497, 33501, 33505, 33513, 33520, 33536, 33550, 37845, 37921, 37948, 38029, 38038, 38064, 38065, 38066, 38069, 38075, 38076, 38078, 39108, 39109, 39113, 39114, 39115, 39116, 39265, 39394, 189e3] };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/cp949.json
var require_cp9492 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/cp949.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["8141", "\uAC02\uAC03\uAC05\uAC06\uAC0B", 4, "\uAC18\uAC1E\uAC1F\uAC21\uAC22\uAC23\uAC25", 6, "\uAC2E\uAC32\uAC33\uAC34"],
      ["8161", "\uAC35\uAC36\uAC37\uAC3A\uAC3B\uAC3D\uAC3E\uAC3F\uAC41", 9, "\uAC4C\uAC4E", 5, "\uAC55"],
      ["8181", "\uAC56\uAC57\uAC59\uAC5A\uAC5B\uAC5D", 18, "\uAC72\uAC73\uAC75\uAC76\uAC79\uAC7B", 4, "\uAC82\uAC87\uAC88\uAC8D\uAC8E\uAC8F\uAC91\uAC92\uAC93\uAC95", 6, "\uAC9E\uACA2", 5, "\uACAB\uACAD\uACAE\uACB1", 6, "\uACBA\uACBE\uACBF\uACC0\uACC2\uACC3\uACC5\uACC6\uACC7\uACC9\uACCA\uACCB\uACCD", 7, "\uACD6\uACD8", 7, "\uACE2\uACE3\uACE5\uACE6\uACE9\uACEB\uACED\uACEE\uACF2\uACF4\uACF7", 4, "\uACFE\uACFF\uAD01\uAD02\uAD03\uAD05\uAD07", 4, "\uAD0E\uAD10\uAD12\uAD13"],
      ["8241", "\uAD14\uAD15\uAD16\uAD17\uAD19\uAD1A\uAD1B\uAD1D\uAD1E\uAD1F\uAD21", 7, "\uAD2A\uAD2B\uAD2E", 5],
      ["8261", "\uAD36\uAD37\uAD39\uAD3A\uAD3B\uAD3D", 6, "\uAD46\uAD48\uAD4A", 5, "\uAD51\uAD52\uAD53\uAD55\uAD56\uAD57"],
      ["8281", "\uAD59", 7, "\uAD62\uAD64", 7, "\uAD6E\uAD6F\uAD71\uAD72\uAD77\uAD78\uAD79\uAD7A\uAD7E\uAD80\uAD83", 4, "\uAD8A\uAD8B\uAD8D\uAD8E\uAD8F\uAD91", 10, "\uAD9E", 5, "\uADA5", 17, "\uADB8", 7, "\uADC2\uADC3\uADC5\uADC6\uADC7\uADC9", 6, "\uADD2\uADD4", 7, "\uADDD\uADDE\uADDF\uADE1\uADE2\uADE3\uADE5", 18],
      ["8341", "\uADFA\uADFB\uADFD\uADFE\uAE02", 5, "\uAE0A\uAE0C\uAE0E", 5, "\uAE15", 7],
      ["8361", "\uAE1D", 18, "\uAE32\uAE33\uAE35\uAE36\uAE39\uAE3B\uAE3C"],
      ["8381", "\uAE3D\uAE3E\uAE3F\uAE42\uAE44\uAE47\uAE48\uAE49\uAE4B\uAE4F\uAE51\uAE52\uAE53\uAE55\uAE57", 4, "\uAE5E\uAE62\uAE63\uAE64\uAE66\uAE67\uAE6A\uAE6B\uAE6D\uAE6E\uAE6F\uAE71", 6, "\uAE7A\uAE7E", 5, "\uAE86", 5, "\uAE8D", 46, "\uAEBF\uAEC1\uAEC2\uAEC3\uAEC5", 6, "\uAECE\uAED2", 5, "\uAEDA\uAEDB\uAEDD", 8],
      ["8441", "\uAEE6\uAEE7\uAEE9\uAEEA\uAEEC\uAEEE", 5, "\uAEF5\uAEF6\uAEF7\uAEF9\uAEFA\uAEFB\uAEFD", 8],
      ["8461", "\uAF06\uAF09\uAF0A\uAF0B\uAF0C\uAF0E\uAF0F\uAF11", 18],
      ["8481", "\uAF24", 7, "\uAF2E\uAF2F\uAF31\uAF33\uAF35", 6, "\uAF3E\uAF40\uAF44\uAF45\uAF46\uAF47\uAF4A", 5, "\uAF51", 10, "\uAF5E", 5, "\uAF66", 18, "\uAF7A", 5, "\uAF81\uAF82\uAF83\uAF85\uAF86\uAF87\uAF89", 6, "\uAF92\uAF93\uAF94\uAF96", 5, "\uAF9D", 26, "\uAFBA\uAFBB\uAFBD\uAFBE"],
      ["8541", "\uAFBF\uAFC1", 5, "\uAFCA\uAFCC\uAFCF", 4, "\uAFD5", 6, "\uAFDD", 4],
      ["8561", "\uAFE2", 5, "\uAFEA", 5, "\uAFF2\uAFF3\uAFF5\uAFF6\uAFF7\uAFF9", 6, "\uB002\uB003"],
      ["8581", "\uB005", 6, "\uB00D\uB00E\uB00F\uB011\uB012\uB013\uB015", 6, "\uB01E", 9, "\uB029", 26, "\uB046\uB047\uB049\uB04B\uB04D\uB04F\uB050\uB051\uB052\uB056\uB058\uB05A\uB05B\uB05C\uB05E", 29, "\uB07E\uB07F\uB081\uB082\uB083\uB085", 6, "\uB08E\uB090\uB092", 5, "\uB09B\uB09D\uB09E\uB0A3\uB0A4"],
      ["8641", "\uB0A5\uB0A6\uB0A7\uB0AA\uB0B0\uB0B2\uB0B6\uB0B7\uB0B9\uB0BA\uB0BB\uB0BD", 6, "\uB0C6\uB0CA", 5, "\uB0D2"],
      ["8661", "\uB0D3\uB0D5\uB0D6\uB0D7\uB0D9", 6, "\uB0E1\uB0E2\uB0E3\uB0E4\uB0E6", 10],
      ["8681", "\uB0F1", 22, "\uB10A\uB10D\uB10E\uB10F\uB111\uB114\uB115\uB116\uB117\uB11A\uB11E", 4, "\uB126\uB127\uB129\uB12A\uB12B\uB12D", 6, "\uB136\uB13A", 5, "\uB142\uB143\uB145\uB146\uB147\uB149", 6, "\uB152\uB153\uB156\uB157\uB159\uB15A\uB15B\uB15D\uB15E\uB15F\uB161", 22, "\uB17A\uB17B\uB17D\uB17E\uB17F\uB181\uB183", 4, "\uB18A\uB18C\uB18E\uB18F\uB190\uB191\uB195\uB196\uB197\uB199\uB19A\uB19B\uB19D"],
      ["8741", "\uB19E", 9, "\uB1A9", 15],
      ["8761", "\uB1B9", 18, "\uB1CD\uB1CE\uB1CF\uB1D1\uB1D2\uB1D3\uB1D5"],
      ["8781", "\uB1D6", 5, "\uB1DE\uB1E0", 7, "\uB1EA\uB1EB\uB1ED\uB1EE\uB1EF\uB1F1", 7, "\uB1FA\uB1FC\uB1FE", 5, "\uB206\uB207\uB209\uB20A\uB20D", 6, "\uB216\uB218\uB21A", 5, "\uB221", 18, "\uB235", 6, "\uB23D", 26, "\uB259\uB25A\uB25B\uB25D\uB25E\uB25F\uB261", 6, "\uB26A", 4],
      ["8841", "\uB26F", 4, "\uB276", 5, "\uB27D", 6, "\uB286\uB287\uB288\uB28A", 4],
      ["8861", "\uB28F\uB292\uB293\uB295\uB296\uB297\uB29B", 4, "\uB2A2\uB2A4\uB2A7\uB2A8\uB2A9\uB2AB\uB2AD\uB2AE\uB2AF\uB2B1\uB2B2\uB2B3\uB2B5\uB2B6\uB2B7"],
      ["8881", "\uB2B8", 15, "\uB2CA\uB2CB\uB2CD\uB2CE\uB2CF\uB2D1\uB2D3", 4, "\uB2DA\uB2DC\uB2DE\uB2DF\uB2E0\uB2E1\uB2E3\uB2E7\uB2E9\uB2EA\uB2F0\uB2F1\uB2F2\uB2F6\uB2FC\uB2FD\uB2FE\uB302\uB303\uB305\uB306\uB307\uB309", 6, "\uB312\uB316", 5, "\uB31D", 54, "\uB357\uB359\uB35A\uB35D\uB360\uB361\uB362\uB363"],
      ["8941", "\uB366\uB368\uB36A\uB36C\uB36D\uB36F\uB372\uB373\uB375\uB376\uB377\uB379", 6, "\uB382\uB386", 5, "\uB38D"],
      ["8961", "\uB38E\uB38F\uB391\uB392\uB393\uB395", 10, "\uB3A2", 5, "\uB3A9\uB3AA\uB3AB\uB3AD"],
      ["8981", "\uB3AE", 21, "\uB3C6\uB3C7\uB3C9\uB3CA\uB3CD\uB3CF\uB3D1\uB3D2\uB3D3\uB3D6\uB3D8\uB3DA\uB3DC\uB3DE\uB3DF\uB3E1\uB3E2\uB3E3\uB3E5\uB3E6\uB3E7\uB3E9", 18, "\uB3FD", 18, "\uB411", 6, "\uB419\uB41A\uB41B\uB41D\uB41E\uB41F\uB421", 6, "\uB42A\uB42C", 7, "\uB435", 15],
      ["8a41", "\uB445", 10, "\uB452\uB453\uB455\uB456\uB457\uB459", 6, "\uB462\uB464\uB466"],
      ["8a61", "\uB467", 4, "\uB46D", 18, "\uB481\uB482"],
      ["8a81", "\uB483", 4, "\uB489", 19, "\uB49E", 5, "\uB4A5\uB4A6\uB4A7\uB4A9\uB4AA\uB4AB\uB4AD", 7, "\uB4B6\uB4B8\uB4BA", 5, "\uB4C1\uB4C2\uB4C3\uB4C5\uB4C6\uB4C7\uB4C9", 6, "\uB4D1\uB4D2\uB4D3\uB4D4\uB4D6", 5, "\uB4DE\uB4DF\uB4E1\uB4E2\uB4E5\uB4E7", 4, "\uB4EE\uB4F0\uB4F2", 5, "\uB4F9", 26, "\uB516\uB517\uB519\uB51A\uB51D"],
      ["8b41", "\uB51E", 5, "\uB526\uB52B", 4, "\uB532\uB533\uB535\uB536\uB537\uB539", 6, "\uB542\uB546"],
      ["8b61", "\uB547\uB548\uB549\uB54A\uB54E\uB54F\uB551\uB552\uB553\uB555", 6, "\uB55E\uB562", 8],
      ["8b81", "\uB56B", 52, "\uB5A2\uB5A3\uB5A5\uB5A6\uB5A7\uB5A9\uB5AC\uB5AD\uB5AE\uB5AF\uB5B2\uB5B6", 4, "\uB5BE\uB5BF\uB5C1\uB5C2\uB5C3\uB5C5", 6, "\uB5CE\uB5D2", 5, "\uB5D9", 18, "\uB5ED", 18],
      ["8c41", "\uB600", 15, "\uB612\uB613\uB615\uB616\uB617\uB619", 4],
      ["8c61", "\uB61E", 6, "\uB626", 5, "\uB62D", 6, "\uB635", 5],
      ["8c81", "\uB63B", 12, "\uB649", 26, "\uB665\uB666\uB667\uB669", 50, "\uB69E\uB69F\uB6A1\uB6A2\uB6A3\uB6A5", 5, "\uB6AD\uB6AE\uB6AF\uB6B0\uB6B2", 16],
      ["8d41", "\uB6C3", 16, "\uB6D5", 8],
      ["8d61", "\uB6DE", 17, "\uB6F1\uB6F2\uB6F3\uB6F5\uB6F6\uB6F7\uB6F9\uB6FA"],
      ["8d81", "\uB6FB", 4, "\uB702\uB703\uB704\uB706", 33, "\uB72A\uB72B\uB72D\uB72E\uB731", 6, "\uB73A\uB73C", 7, "\uB745\uB746\uB747\uB749\uB74A\uB74B\uB74D", 6, "\uB756", 9, "\uB761\uB762\uB763\uB765\uB766\uB767\uB769", 6, "\uB772\uB774\uB776", 5, "\uB77E\uB77F\uB781\uB782\uB783\uB785", 6, "\uB78E\uB793\uB794\uB795\uB79A\uB79B\uB79D\uB79E"],
      ["8e41", "\uB79F\uB7A1", 6, "\uB7AA\uB7AE", 5, "\uB7B6\uB7B7\uB7B9", 8],
      ["8e61", "\uB7C2", 4, "\uB7C8\uB7CA", 19],
      ["8e81", "\uB7DE", 13, "\uB7EE\uB7EF\uB7F1\uB7F2\uB7F3\uB7F5", 6, "\uB7FE\uB802", 4, "\uB80A\uB80B\uB80D\uB80E\uB80F\uB811", 6, "\uB81A\uB81C\uB81E", 5, "\uB826\uB827\uB829\uB82A\uB82B\uB82D", 6, "\uB836\uB83A", 5, "\uB841\uB842\uB843\uB845", 11, "\uB852\uB854", 7, "\uB85E\uB85F\uB861\uB862\uB863\uB865", 6, "\uB86E\uB870\uB872", 5, "\uB879\uB87A\uB87B\uB87D", 7],
      ["8f41", "\uB885", 7, "\uB88E", 17],
      ["8f61", "\uB8A0", 7, "\uB8A9", 6, "\uB8B1\uB8B2\uB8B3\uB8B5\uB8B6\uB8B7\uB8B9", 4],
      ["8f81", "\uB8BE\uB8BF\uB8C2\uB8C4\uB8C6", 5, "\uB8CD\uB8CE\uB8CF\uB8D1\uB8D2\uB8D3\uB8D5", 7, "\uB8DE\uB8E0\uB8E2", 5, "\uB8EA\uB8EB\uB8ED\uB8EE\uB8EF\uB8F1", 6, "\uB8FA\uB8FC\uB8FE", 5, "\uB905", 18, "\uB919", 6, "\uB921", 26, "\uB93E\uB93F\uB941\uB942\uB943\uB945", 6, "\uB94D\uB94E\uB950\uB952", 5],
      ["9041", "\uB95A\uB95B\uB95D\uB95E\uB95F\uB961", 6, "\uB96A\uB96C\uB96E", 5, "\uB976\uB977\uB979\uB97A\uB97B\uB97D"],
      ["9061", "\uB97E", 5, "\uB986\uB988\uB98B\uB98C\uB98F", 15],
      ["9081", "\uB99F", 12, "\uB9AE\uB9AF\uB9B1\uB9B2\uB9B3\uB9B5", 6, "\uB9BE\uB9C0\uB9C2", 5, "\uB9CA\uB9CB\uB9CD\uB9D3", 4, "\uB9DA\uB9DC\uB9DF\uB9E0\uB9E2\uB9E6\uB9E7\uB9E9\uB9EA\uB9EB\uB9ED", 6, "\uB9F6\uB9FB", 4, "\uBA02", 5, "\uBA09", 11, "\uBA16", 33, "\uBA3A\uBA3B\uBA3D\uBA3E\uBA3F\uBA41\uBA43\uBA44\uBA45\uBA46"],
      ["9141", "\uBA47\uBA4A\uBA4C\uBA4F\uBA50\uBA51\uBA52\uBA56\uBA57\uBA59\uBA5A\uBA5B\uBA5D", 6, "\uBA66\uBA6A", 5],
      ["9161", "\uBA72\uBA73\uBA75\uBA76\uBA77\uBA79", 9, "\uBA86\uBA88\uBA89\uBA8A\uBA8B\uBA8D", 5],
      ["9181", "\uBA93", 20, "\uBAAA\uBAAD\uBAAE\uBAAF\uBAB1\uBAB3", 4, "\uBABA\uBABC\uBABE", 5, "\uBAC5\uBAC6\uBAC7\uBAC9", 14, "\uBADA", 33, "\uBAFD\uBAFE\uBAFF\uBB01\uBB02\uBB03\uBB05", 7, "\uBB0E\uBB10\uBB12", 5, "\uBB19\uBB1A\uBB1B\uBB1D\uBB1E\uBB1F\uBB21", 6],
      ["9241", "\uBB28\uBB2A\uBB2C", 7, "\uBB37\uBB39\uBB3A\uBB3F", 4, "\uBB46\uBB48\uBB4A\uBB4B\uBB4C\uBB4E\uBB51\uBB52"],
      ["9261", "\uBB53\uBB55\uBB56\uBB57\uBB59", 7, "\uBB62\uBB64", 7, "\uBB6D", 4],
      ["9281", "\uBB72", 21, "\uBB89\uBB8A\uBB8B\uBB8D\uBB8E\uBB8F\uBB91", 18, "\uBBA5\uBBA6\uBBA7\uBBA9\uBBAA\uBBAB\uBBAD", 6, "\uBBB5\uBBB6\uBBB8", 7, "\uBBC1\uBBC2\uBBC3\uBBC5\uBBC6\uBBC7\uBBC9", 6, "\uBBD1\uBBD2\uBBD4", 35, "\uBBFA\uBBFB\uBBFD\uBBFE\uBC01"],
      ["9341", "\uBC03", 4, "\uBC0A\uBC0E\uBC10\uBC12\uBC13\uBC19\uBC1A\uBC20\uBC21\uBC22\uBC23\uBC26\uBC28\uBC2A\uBC2B\uBC2C\uBC2E\uBC2F\uBC32\uBC33\uBC35"],
      ["9361", "\uBC36\uBC37\uBC39", 6, "\uBC42\uBC46\uBC47\uBC48\uBC4A\uBC4B\uBC4E\uBC4F\uBC51", 8],
      ["9381", "\uBC5A\uBC5B\uBC5C\uBC5E", 37, "\uBC86\uBC87\uBC89\uBC8A\uBC8D\uBC8F", 4, "\uBC96\uBC98\uBC9B", 4, "\uBCA2\uBCA3\uBCA5\uBCA6\uBCA9", 6, "\uBCB2\uBCB6", 5, "\uBCBE\uBCBF\uBCC1\uBCC2\uBCC3\uBCC5", 7, "\uBCCE\uBCD2\uBCD3\uBCD4\uBCD6\uBCD7\uBCD9\uBCDA\uBCDB\uBCDD", 22, "\uBCF7\uBCF9\uBCFA\uBCFB\uBCFD"],
      ["9441", "\uBCFE", 5, "\uBD06\uBD08\uBD0A", 5, "\uBD11\uBD12\uBD13\uBD15", 8],
      ["9461", "\uBD1E", 5, "\uBD25", 6, "\uBD2D", 12],
      ["9481", "\uBD3A", 5, "\uBD41", 6, "\uBD4A\uBD4B\uBD4D\uBD4E\uBD4F\uBD51", 6, "\uBD5A", 9, "\uBD65\uBD66\uBD67\uBD69", 22, "\uBD82\uBD83\uBD85\uBD86\uBD8B", 4, "\uBD92\uBD94\uBD96\uBD97\uBD98\uBD9B\uBD9D", 6, "\uBDA5", 10, "\uBDB1", 6, "\uBDB9", 24],
      ["9541", "\uBDD2\uBDD3\uBDD6\uBDD7\uBDD9\uBDDA\uBDDB\uBDDD", 11, "\uBDEA", 5, "\uBDF1"],
      ["9561", "\uBDF2\uBDF3\uBDF5\uBDF6\uBDF7\uBDF9", 6, "\uBE01\uBE02\uBE04\uBE06", 5, "\uBE0E\uBE0F\uBE11\uBE12\uBE13"],
      ["9581", "\uBE15", 6, "\uBE1E\uBE20", 35, "\uBE46\uBE47\uBE49\uBE4A\uBE4B\uBE4D\uBE4F", 4, "\uBE56\uBE58\uBE5C\uBE5D\uBE5E\uBE5F\uBE62\uBE63\uBE65\uBE66\uBE67\uBE69\uBE6B", 4, "\uBE72\uBE76", 4, "\uBE7E\uBE7F\uBE81\uBE82\uBE83\uBE85", 6, "\uBE8E\uBE92", 5, "\uBE9A", 13, "\uBEA9", 14],
      ["9641", "\uBEB8", 23, "\uBED2\uBED3"],
      ["9661", "\uBED5\uBED6\uBED9", 6, "\uBEE1\uBEE2\uBEE6", 5, "\uBEED", 8],
      ["9681", "\uBEF6", 10, "\uBF02", 5, "\uBF0A", 13, "\uBF1A\uBF1E", 33, "\uBF42\uBF43\uBF45\uBF46\uBF47\uBF49", 6, "\uBF52\uBF53\uBF54\uBF56", 44],
      ["9741", "\uBF83", 16, "\uBF95", 8],
      ["9761", "\uBF9E", 17, "\uBFB1", 7],
      ["9781", "\uBFB9", 11, "\uBFC6", 5, "\uBFCE\uBFCF\uBFD1\uBFD2\uBFD3\uBFD5", 6, "\uBFDD\uBFDE\uBFE0\uBFE2", 89, "\uC03D\uC03E\uC03F"],
      ["9841", "\uC040", 16, "\uC052", 5, "\uC059\uC05A\uC05B"],
      ["9861", "\uC05D\uC05E\uC05F\uC061", 6, "\uC06A", 15],
      ["9881", "\uC07A", 21, "\uC092\uC093\uC095\uC096\uC097\uC099", 6, "\uC0A2\uC0A4\uC0A6", 5, "\uC0AE\uC0B1\uC0B2\uC0B7", 4, "\uC0BE\uC0C2\uC0C3\uC0C4\uC0C6\uC0C7\uC0CA\uC0CB\uC0CD\uC0CE\uC0CF\uC0D1", 6, "\uC0DA\uC0DE", 5, "\uC0E6\uC0E7\uC0E9\uC0EA\uC0EB\uC0ED", 6, "\uC0F6\uC0F8\uC0FA", 5, "\uC101\uC102\uC103\uC105\uC106\uC107\uC109", 6, "\uC111\uC112\uC113\uC114\uC116", 5, "\uC121\uC122\uC125\uC128\uC129\uC12A\uC12B\uC12E"],
      ["9941", "\uC132\uC133\uC134\uC135\uC137\uC13A\uC13B\uC13D\uC13E\uC13F\uC141", 6, "\uC14A\uC14E", 5, "\uC156\uC157"],
      ["9961", "\uC159\uC15A\uC15B\uC15D", 6, "\uC166\uC16A", 5, "\uC171\uC172\uC173\uC175\uC176\uC177\uC179\uC17A\uC17B"],
      ["9981", "\uC17C", 8, "\uC186", 5, "\uC18F\uC191\uC192\uC193\uC195\uC197", 4, "\uC19E\uC1A0\uC1A2\uC1A3\uC1A4\uC1A6\uC1A7\uC1AA\uC1AB\uC1AD\uC1AE\uC1AF\uC1B1", 11, "\uC1BE", 5, "\uC1C5\uC1C6\uC1C7\uC1C9\uC1CA\uC1CB\uC1CD", 6, "\uC1D5\uC1D6\uC1D9", 6, "\uC1E1\uC1E2\uC1E3\uC1E5\uC1E6\uC1E7\uC1E9", 6, "\uC1F2\uC1F4", 7, "\uC1FE\uC1FF\uC201\uC202\uC203\uC205", 6, "\uC20E\uC210\uC212", 5, "\uC21A\uC21B\uC21D\uC21E\uC221\uC222\uC223"],
      ["9a41", "\uC224\uC225\uC226\uC227\uC22A\uC22C\uC22E\uC230\uC233\uC235", 16],
      ["9a61", "\uC246\uC247\uC249", 6, "\uC252\uC253\uC255\uC256\uC257\uC259", 6, "\uC261\uC262\uC263\uC264\uC266"],
      ["9a81", "\uC267", 4, "\uC26E\uC26F\uC271\uC272\uC273\uC275", 6, "\uC27E\uC280\uC282", 5, "\uC28A", 5, "\uC291", 6, "\uC299\uC29A\uC29C\uC29E", 5, "\uC2A6\uC2A7\uC2A9\uC2AA\uC2AB\uC2AE", 5, "\uC2B6\uC2B8\uC2BA", 33, "\uC2DE\uC2DF\uC2E1\uC2E2\uC2E5", 5, "\uC2EE\uC2F0\uC2F2\uC2F3\uC2F4\uC2F5\uC2F7\uC2FA\uC2FD\uC2FE\uC2FF\uC301", 6, "\uC30A\uC30B\uC30E\uC30F"],
      ["9b41", "\uC310\uC311\uC312\uC316\uC317\uC319\uC31A\uC31B\uC31D", 6, "\uC326\uC327\uC32A", 8],
      ["9b61", "\uC333", 17, "\uC346", 7],
      ["9b81", "\uC34E", 25, "\uC36A\uC36B\uC36D\uC36E\uC36F\uC371\uC373", 4, "\uC37A\uC37B\uC37E", 5, "\uC385\uC386\uC387\uC389\uC38A\uC38B\uC38D", 50, "\uC3C1", 22, "\uC3DA"],
      ["9c41", "\uC3DB\uC3DD\uC3DE\uC3E1\uC3E3", 4, "\uC3EA\uC3EB\uC3EC\uC3EE", 5, "\uC3F6\uC3F7\uC3F9", 5],
      ["9c61", "\uC3FF", 8, "\uC409", 6, "\uC411", 9],
      ["9c81", "\uC41B", 8, "\uC425", 6, "\uC42D\uC42E\uC42F\uC431\uC432\uC433\uC435", 6, "\uC43E", 9, "\uC449", 26, "\uC466\uC467\uC469\uC46A\uC46B\uC46D", 6, "\uC476\uC477\uC478\uC47A", 5, "\uC481", 18, "\uC495", 6, "\uC49D", 12],
      ["9d41", "\uC4AA", 13, "\uC4B9\uC4BA\uC4BB\uC4BD", 8],
      ["9d61", "\uC4C6", 25],
      ["9d81", "\uC4E0", 8, "\uC4EA", 5, "\uC4F2\uC4F3\uC4F5\uC4F6\uC4F7\uC4F9\uC4FB\uC4FC\uC4FD\uC4FE\uC502", 9, "\uC50D\uC50E\uC50F\uC511\uC512\uC513\uC515", 6, "\uC51D", 10, "\uC52A\uC52B\uC52D\uC52E\uC52F\uC531", 6, "\uC53A\uC53C\uC53E", 5, "\uC546\uC547\uC54B\uC54F\uC550\uC551\uC552\uC556\uC55A\uC55B\uC55C\uC55F\uC562\uC563\uC565\uC566\uC567\uC569", 6, "\uC572\uC576", 5, "\uC57E\uC57F\uC581\uC582\uC583\uC585\uC586\uC588\uC589\uC58A\uC58B\uC58E\uC590\uC592\uC593\uC594"],
      ["9e41", "\uC596\uC599\uC59A\uC59B\uC59D\uC59E\uC59F\uC5A1", 7, "\uC5AA", 9, "\uC5B6"],
      ["9e61", "\uC5B7\uC5BA\uC5BF", 4, "\uC5CB\uC5CD\uC5CF\uC5D2\uC5D3\uC5D5\uC5D6\uC5D7\uC5D9", 6, "\uC5E2\uC5E4\uC5E6\uC5E7"],
      ["9e81", "\uC5E8\uC5E9\uC5EA\uC5EB\uC5EF\uC5F1\uC5F2\uC5F3\uC5F5\uC5F8\uC5F9\uC5FA\uC5FB\uC602\uC603\uC604\uC609\uC60A\uC60B\uC60D\uC60E\uC60F\uC611", 6, "\uC61A\uC61D", 6, "\uC626\uC627\uC629\uC62A\uC62B\uC62F\uC631\uC632\uC636\uC638\uC63A\uC63C\uC63D\uC63E\uC63F\uC642\uC643\uC645\uC646\uC647\uC649", 6, "\uC652\uC656", 5, "\uC65E\uC65F\uC661", 10, "\uC66D\uC66E\uC670\uC672", 5, "\uC67A\uC67B\uC67D\uC67E\uC67F\uC681", 6, "\uC68A\uC68C\uC68E", 5, "\uC696\uC697\uC699\uC69A\uC69B\uC69D", 6, "\uC6A6"],
      ["9f41", "\uC6A8\uC6AA", 5, "\uC6B2\uC6B3\uC6B5\uC6B6\uC6B7\uC6BB", 4, "\uC6C2\uC6C4\uC6C6", 5, "\uC6CE"],
      ["9f61", "\uC6CF\uC6D1\uC6D2\uC6D3\uC6D5", 6, "\uC6DE\uC6DF\uC6E2", 5, "\uC6EA\uC6EB\uC6ED\uC6EE\uC6EF\uC6F1\uC6F2"],
      ["9f81", "\uC6F3", 4, "\uC6FA\uC6FB\uC6FC\uC6FE", 5, "\uC706\uC707\uC709\uC70A\uC70B\uC70D", 6, "\uC716\uC718\uC71A", 5, "\uC722\uC723\uC725\uC726\uC727\uC729", 6, "\uC732\uC734\uC736\uC738\uC739\uC73A\uC73B\uC73E\uC73F\uC741\uC742\uC743\uC745", 4, "\uC74B\uC74E\uC750\uC759\uC75A\uC75B\uC75D\uC75E\uC75F\uC761", 6, "\uC769\uC76A\uC76C", 7, "\uC776\uC777\uC779\uC77A\uC77B\uC77F\uC780\uC781\uC782\uC786\uC78B\uC78C\uC78D\uC78F\uC792\uC793\uC795\uC799\uC79B", 4, "\uC7A2\uC7A7", 4, "\uC7AE\uC7AF\uC7B1\uC7B2\uC7B3\uC7B5\uC7B6\uC7B7"],
      ["a041", "\uC7B8\uC7B9\uC7BA\uC7BB\uC7BE\uC7C2", 5, "\uC7CA\uC7CB\uC7CD\uC7CF\uC7D1", 6, "\uC7D9\uC7DA\uC7DB\uC7DC"],
      ["a061", "\uC7DE", 5, "\uC7E5\uC7E6\uC7E7\uC7E9\uC7EA\uC7EB\uC7ED", 13],
      ["a081", "\uC7FB", 4, "\uC802\uC803\uC805\uC806\uC807\uC809\uC80B", 4, "\uC812\uC814\uC817", 4, "\uC81E\uC81F\uC821\uC822\uC823\uC825", 6, "\uC82E\uC830\uC832", 5, "\uC839\uC83A\uC83B\uC83D\uC83E\uC83F\uC841", 6, "\uC84A\uC84B\uC84E", 5, "\uC855", 26, "\uC872\uC873\uC875\uC876\uC877\uC879\uC87B", 4, "\uC882\uC884\uC888\uC889\uC88A\uC88E", 5, "\uC895", 7, "\uC89E\uC8A0\uC8A2\uC8A3\uC8A4"],
      ["a141", "\uC8A5\uC8A6\uC8A7\uC8A9", 18, "\uC8BE\uC8BF\uC8C0\uC8C1"],
      ["a161", "\uC8C2\uC8C3\uC8C5\uC8C6\uC8C7\uC8C9\uC8CA\uC8CB\uC8CD", 6, "\uC8D6\uC8D8\uC8DA", 5, "\uC8E2\uC8E3\uC8E5"],
      ["a181", "\uC8E6", 14, "\uC8F6", 5, "\uC8FE\uC8FF\uC901\uC902\uC903\uC907", 4, "\uC90E\u3000\u3001\u3002\xB7\u2025\u2026\xA8\u3003\xAD\u2015\u2225\uFF3C\u223C\u2018\u2019\u201C\u201D\u3014\u3015\u3008", 9, "\xB1\xD7\xF7\u2260\u2264\u2265\u221E\u2234\xB0\u2032\u2033\u2103\u212B\uFFE0\uFFE1\uFFE5\u2642\u2640\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\xA7\u203B\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u2192\u2190\u2191\u2193\u2194\u3013\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229\u2227\u2228\uFFE2"],
      ["a241", "\uC910\uC912", 5, "\uC919", 18],
      ["a261", "\uC92D", 6, "\uC935", 18],
      ["a281", "\uC948", 7, "\uC952\uC953\uC955\uC956\uC957\uC959", 6, "\uC962\uC964", 7, "\uC96D\uC96E\uC96F\u21D2\u21D4\u2200\u2203\xB4\uFF5E\u02C7\u02D8\u02DD\u02DA\u02D9\xB8\u02DB\xA1\xBF\u02D0\u222E\u2211\u220F\xA4\u2109\u2030\u25C1\u25C0\u25B7\u25B6\u2664\u2660\u2661\u2665\u2667\u2663\u2299\u25C8\u25A3\u25D0\u25D1\u2592\u25A4\u25A5\u25A8\u25A7\u25A6\u25A9\u2668\u260F\u260E\u261C\u261E\xB6\u2020\u2021\u2195\u2197\u2199\u2196\u2198\u266D\u2669\u266A\u266C\u327F\u321C\u2116\u33C7\u2122\u33C2\u33D8\u2121\u20AC\xAE"],
      ["a341", "\uC971\uC972\uC973\uC975", 6, "\uC97D", 10, "\uC98A\uC98B\uC98D\uC98E\uC98F"],
      ["a361", "\uC991", 6, "\uC99A\uC99C\uC99E", 16],
      ["a381", "\uC9AF", 16, "\uC9C2\uC9C3\uC9C5\uC9C6\uC9C9\uC9CB", 4, "\uC9D2\uC9D4\uC9D7\uC9D8\uC9DB\uFF01", 58, "\uFFE6\uFF3D", 32, "\uFFE3"],
      ["a441", "\uC9DE\uC9DF\uC9E1\uC9E3\uC9E5\uC9E6\uC9E8\uC9E9\uC9EA\uC9EB\uC9EE\uC9F2", 5, "\uC9FA\uC9FB\uC9FD\uC9FE\uC9FF\uCA01\uCA02\uCA03\uCA04"],
      ["a461", "\uCA05\uCA06\uCA07\uCA0A\uCA0E", 5, "\uCA15\uCA16\uCA17\uCA19", 12],
      ["a481", "\uCA26\uCA27\uCA28\uCA2A", 28, "\u3131", 93],
      ["a541", "\uCA47", 4, "\uCA4E\uCA4F\uCA51\uCA52\uCA53\uCA55", 6, "\uCA5E\uCA62", 5, "\uCA69\uCA6A"],
      ["a561", "\uCA6B", 17, "\uCA7E", 5, "\uCA85\uCA86"],
      ["a581", "\uCA87", 16, "\uCA99", 14, "\u2170", 9],
      ["a5b0", "\u2160", 9],
      ["a5c1", "\u0391", 16, "\u03A3", 6],
      ["a5e1", "\u03B1", 16, "\u03C3", 6],
      ["a641", "\uCAA8", 19, "\uCABE\uCABF\uCAC1\uCAC2\uCAC3\uCAC5"],
      ["a661", "\uCAC6", 5, "\uCACE\uCAD0\uCAD2\uCAD4\uCAD5\uCAD6\uCAD7\uCADA", 5, "\uCAE1", 6],
      ["a681", "\uCAE8\uCAE9\uCAEA\uCAEB\uCAED", 6, "\uCAF5", 18, "\uCB09\uCB0A\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542\u2512\u2511\u251A\u2519\u2516\u2515\u250E\u250D\u251E\u251F\u2521\u2522\u2526\u2527\u2529\u252A\u252D\u252E\u2531\u2532\u2535\u2536\u2539\u253A\u253D\u253E\u2540\u2541\u2543", 7],
      ["a741", "\uCB0B", 4, "\uCB11\uCB12\uCB13\uCB15\uCB16\uCB17\uCB19", 6, "\uCB22", 7],
      ["a761", "\uCB2A", 22, "\uCB42\uCB43\uCB44"],
      ["a781", "\uCB45\uCB46\uCB47\uCB4A\uCB4B\uCB4D\uCB4E\uCB4F\uCB51", 6, "\uCB5A\uCB5B\uCB5C\uCB5E", 5, "\uCB65", 7, "\u3395\u3396\u3397\u2113\u3398\u33C4\u33A3\u33A4\u33A5\u33A6\u3399", 9, "\u33CA\u338D\u338E\u338F\u33CF\u3388\u3389\u33C8\u33A7\u33A8\u33B0", 9, "\u3380", 4, "\u33BA", 5, "\u3390", 4, "\u2126\u33C0\u33C1\u338A\u338B\u338C\u33D6\u33C5\u33AD\u33AE\u33AF\u33DB\u33A9\u33AA\u33AB\u33AC\u33DD\u33D0\u33D3\u33C3\u33C9\u33DC\u33C6"],
      ["a841", "\uCB6D", 10, "\uCB7A", 14],
      ["a861", "\uCB89", 18, "\uCB9D", 6],
      ["a881", "\uCBA4", 19, "\uCBB9", 11, "\xC6\xD0\xAA\u0126"],
      ["a8a6", "\u0132"],
      ["a8a8", "\u013F\u0141\xD8\u0152\xBA\xDE\u0166\u014A"],
      ["a8b1", "\u3260", 27, "\u24D0", 25, "\u2460", 14, "\xBD\u2153\u2154\xBC\xBE\u215B\u215C\u215D\u215E"],
      ["a941", "\uCBC5", 14, "\uCBD5", 10],
      ["a961", "\uCBE0\uCBE1\uCBE2\uCBE3\uCBE5\uCBE6\uCBE8\uCBEA", 18],
      ["a981", "\uCBFD", 14, "\uCC0E\uCC0F\uCC11\uCC12\uCC13\uCC15", 6, "\uCC1E\uCC1F\uCC20\uCC23\uCC24\xE6\u0111\xF0\u0127\u0131\u0133\u0138\u0140\u0142\xF8\u0153\xDF\xFE\u0167\u014B\u0149\u3200", 27, "\u249C", 25, "\u2474", 14, "\xB9\xB2\xB3\u2074\u207F\u2081\u2082\u2083\u2084"],
      ["aa41", "\uCC25\uCC26\uCC2A\uCC2B\uCC2D\uCC2F\uCC31", 6, "\uCC3A\uCC3F", 4, "\uCC46\uCC47\uCC49\uCC4A\uCC4B\uCC4D\uCC4E"],
      ["aa61", "\uCC4F", 4, "\uCC56\uCC5A", 5, "\uCC61\uCC62\uCC63\uCC65\uCC67\uCC69", 6, "\uCC71\uCC72"],
      ["aa81", "\uCC73\uCC74\uCC76", 29, "\u3041", 82],
      ["ab41", "\uCC94\uCC95\uCC96\uCC97\uCC9A\uCC9B\uCC9D\uCC9E\uCC9F\uCCA1", 6, "\uCCAA\uCCAE", 5, "\uCCB6\uCCB7\uCCB9"],
      ["ab61", "\uCCBA\uCCBB\uCCBD", 6, "\uCCC6\uCCC8\uCCCA", 5, "\uCCD1\uCCD2\uCCD3\uCCD5", 5],
      ["ab81", "\uCCDB", 8, "\uCCE5", 6, "\uCCED\uCCEE\uCCEF\uCCF1", 12, "\u30A1", 85],
      ["ac41", "\uCCFE\uCCFF\uCD00\uCD02", 5, "\uCD0A\uCD0B\uCD0D\uCD0E\uCD0F\uCD11", 6, "\uCD1A\uCD1C\uCD1E\uCD1F\uCD20"],
      ["ac61", "\uCD21\uCD22\uCD23\uCD25\uCD26\uCD27\uCD29\uCD2A\uCD2B\uCD2D", 11, "\uCD3A", 4],
      ["ac81", "\uCD3F", 28, "\uCD5D\uCD5E\uCD5F\u0410", 5, "\u0401\u0416", 25],
      ["acd1", "\u0430", 5, "\u0451\u0436", 25],
      ["ad41", "\uCD61\uCD62\uCD63\uCD65", 6, "\uCD6E\uCD70\uCD72", 5, "\uCD79", 7],
      ["ad61", "\uCD81", 6, "\uCD89", 10, "\uCD96\uCD97\uCD99\uCD9A\uCD9B\uCD9D\uCD9E\uCD9F"],
      ["ad81", "\uCDA0\uCDA1\uCDA2\uCDA3\uCDA6\uCDA8\uCDAA", 5, "\uCDB1", 18, "\uCDC5"],
      ["ae41", "\uCDC6", 5, "\uCDCD\uCDCE\uCDCF\uCDD1", 16],
      ["ae61", "\uCDE2", 5, "\uCDE9\uCDEA\uCDEB\uCDED\uCDEE\uCDEF\uCDF1", 6, "\uCDFA\uCDFC\uCDFE", 4],
      ["ae81", "\uCE03\uCE05\uCE06\uCE07\uCE09\uCE0A\uCE0B\uCE0D", 6, "\uCE15\uCE16\uCE17\uCE18\uCE1A", 5, "\uCE22\uCE23\uCE25\uCE26\uCE27\uCE29\uCE2A\uCE2B"],
      ["af41", "\uCE2C\uCE2D\uCE2E\uCE2F\uCE32\uCE34\uCE36", 19],
      ["af61", "\uCE4A", 13, "\uCE5A\uCE5B\uCE5D\uCE5E\uCE62", 5, "\uCE6A\uCE6C"],
      ["af81", "\uCE6E", 5, "\uCE76\uCE77\uCE79\uCE7A\uCE7B\uCE7D", 6, "\uCE86\uCE88\uCE8A", 5, "\uCE92\uCE93\uCE95\uCE96\uCE97\uCE99"],
      ["b041", "\uCE9A", 5, "\uCEA2\uCEA6", 5, "\uCEAE", 12],
      ["b061", "\uCEBB", 5, "\uCEC2", 19],
      ["b081", "\uCED6", 13, "\uCEE6\uCEE7\uCEE9\uCEEA\uCEED", 6, "\uCEF6\uCEFA", 5, "\uAC00\uAC01\uAC04\uAC07\uAC08\uAC09\uAC0A\uAC10", 7, "\uAC19", 4, "\uAC20\uAC24\uAC2C\uAC2D\uAC2F\uAC30\uAC31\uAC38\uAC39\uAC3C\uAC40\uAC4B\uAC4D\uAC54\uAC58\uAC5C\uAC70\uAC71\uAC74\uAC77\uAC78\uAC7A\uAC80\uAC81\uAC83\uAC84\uAC85\uAC86\uAC89\uAC8A\uAC8B\uAC8C\uAC90\uAC94\uAC9C\uAC9D\uAC9F\uACA0\uACA1\uACA8\uACA9\uACAA\uACAC\uACAF\uACB0\uACB8\uACB9\uACBB\uACBC\uACBD\uACC1\uACC4\uACC8\uACCC\uACD5\uACD7\uACE0\uACE1\uACE4\uACE7\uACE8\uACEA\uACEC\uACEF\uACF0\uACF1\uACF3\uACF5\uACF6\uACFC\uACFD\uAD00\uAD04\uAD06"],
      ["b141", "\uCF02\uCF03\uCF05\uCF06\uCF07\uCF09", 6, "\uCF12\uCF14\uCF16", 5, "\uCF1D\uCF1E\uCF1F\uCF21\uCF22\uCF23"],
      ["b161", "\uCF25", 6, "\uCF2E\uCF32", 5, "\uCF39", 11],
      ["b181", "\uCF45", 14, "\uCF56\uCF57\uCF59\uCF5A\uCF5B\uCF5D", 6, "\uCF66\uCF68\uCF6A\uCF6B\uCF6C\uAD0C\uAD0D\uAD0F\uAD11\uAD18\uAD1C\uAD20\uAD29\uAD2C\uAD2D\uAD34\uAD35\uAD38\uAD3C\uAD44\uAD45\uAD47\uAD49\uAD50\uAD54\uAD58\uAD61\uAD63\uAD6C\uAD6D\uAD70\uAD73\uAD74\uAD75\uAD76\uAD7B\uAD7C\uAD7D\uAD7F\uAD81\uAD82\uAD88\uAD89\uAD8C\uAD90\uAD9C\uAD9D\uADA4\uADB7\uADC0\uADC1\uADC4\uADC8\uADD0\uADD1\uADD3\uADDC\uADE0\uADE4\uADF8\uADF9\uADFC\uADFF\uAE00\uAE01\uAE08\uAE09\uAE0B\uAE0D\uAE14\uAE30\uAE31\uAE34\uAE37\uAE38\uAE3A\uAE40\uAE41\uAE43\uAE45\uAE46\uAE4A\uAE4C\uAE4D\uAE4E\uAE50\uAE54\uAE56\uAE5C\uAE5D\uAE5F\uAE60\uAE61\uAE65\uAE68\uAE69\uAE6C\uAE70\uAE78"],
      ["b241", "\uCF6D\uCF6E\uCF6F\uCF72\uCF73\uCF75\uCF76\uCF77\uCF79", 6, "\uCF81\uCF82\uCF83\uCF84\uCF86", 5, "\uCF8D"],
      ["b261", "\uCF8E", 18, "\uCFA2", 5, "\uCFA9"],
      ["b281", "\uCFAA", 5, "\uCFB1", 18, "\uCFC5", 6, "\uAE79\uAE7B\uAE7C\uAE7D\uAE84\uAE85\uAE8C\uAEBC\uAEBD\uAEBE\uAEC0\uAEC4\uAECC\uAECD\uAECF\uAED0\uAED1\uAED8\uAED9\uAEDC\uAEE8\uAEEB\uAEED\uAEF4\uAEF8\uAEFC\uAF07\uAF08\uAF0D\uAF10\uAF2C\uAF2D\uAF30\uAF32\uAF34\uAF3C\uAF3D\uAF3F\uAF41\uAF42\uAF43\uAF48\uAF49\uAF50\uAF5C\uAF5D\uAF64\uAF65\uAF79\uAF80\uAF84\uAF88\uAF90\uAF91\uAF95\uAF9C\uAFB8\uAFB9\uAFBC\uAFC0\uAFC7\uAFC8\uAFC9\uAFCB\uAFCD\uAFCE\uAFD4\uAFDC\uAFE8\uAFE9\uAFF0\uAFF1\uAFF4\uAFF8\uB000\uB001\uB004\uB00C\uB010\uB014\uB01C\uB01D\uB028\uB044\uB045\uB048\uB04A\uB04C\uB04E\uB053\uB054\uB055\uB057\uB059"],
      ["b341", "\uCFCC", 19, "\uCFE2\uCFE3\uCFE5\uCFE6\uCFE7\uCFE9"],
      ["b361", "\uCFEA", 5, "\uCFF2\uCFF4\uCFF6", 5, "\uCFFD\uCFFE\uCFFF\uD001\uD002\uD003\uD005", 5],
      ["b381", "\uD00B", 5, "\uD012", 5, "\uD019", 19, "\uB05D\uB07C\uB07D\uB080\uB084\uB08C\uB08D\uB08F\uB091\uB098\uB099\uB09A\uB09C\uB09F\uB0A0\uB0A1\uB0A2\uB0A8\uB0A9\uB0AB", 4, "\uB0B1\uB0B3\uB0B4\uB0B5\uB0B8\uB0BC\uB0C4\uB0C5\uB0C7\uB0C8\uB0C9\uB0D0\uB0D1\uB0D4\uB0D8\uB0E0\uB0E5\uB108\uB109\uB10B\uB10C\uB110\uB112\uB113\uB118\uB119\uB11B\uB11C\uB11D\uB123\uB124\uB125\uB128\uB12C\uB134\uB135\uB137\uB138\uB139\uB140\uB141\uB144\uB148\uB150\uB151\uB154\uB155\uB158\uB15C\uB160\uB178\uB179\uB17C\uB180\uB182\uB188\uB189\uB18B\uB18D\uB192\uB193\uB194\uB198\uB19C\uB1A8\uB1CC\uB1D0\uB1D4\uB1DC\uB1DD"],
      ["b441", "\uD02E", 5, "\uD036\uD037\uD039\uD03A\uD03B\uD03D", 6, "\uD046\uD048\uD04A", 5],
      ["b461", "\uD051\uD052\uD053\uD055\uD056\uD057\uD059", 6, "\uD061", 10, "\uD06E\uD06F"],
      ["b481", "\uD071\uD072\uD073\uD075", 6, "\uD07E\uD07F\uD080\uD082", 18, "\uB1DF\uB1E8\uB1E9\uB1EC\uB1F0\uB1F9\uB1FB\uB1FD\uB204\uB205\uB208\uB20B\uB20C\uB214\uB215\uB217\uB219\uB220\uB234\uB23C\uB258\uB25C\uB260\uB268\uB269\uB274\uB275\uB27C\uB284\uB285\uB289\uB290\uB291\uB294\uB298\uB299\uB29A\uB2A0\uB2A1\uB2A3\uB2A5\uB2A6\uB2AA\uB2AC\uB2B0\uB2B4\uB2C8\uB2C9\uB2CC\uB2D0\uB2D2\uB2D8\uB2D9\uB2DB\uB2DD\uB2E2\uB2E4\uB2E5\uB2E6\uB2E8\uB2EB", 4, "\uB2F3\uB2F4\uB2F5\uB2F7", 4, "\uB2FF\uB300\uB301\uB304\uB308\uB310\uB311\uB313\uB314\uB315\uB31C\uB354\uB355\uB356\uB358\uB35B\uB35C\uB35E\uB35F\uB364\uB365"],
      ["b541", "\uD095", 14, "\uD0A6\uD0A7\uD0A9\uD0AA\uD0AB\uD0AD", 5],
      ["b561", "\uD0B3\uD0B6\uD0B8\uD0BA", 5, "\uD0C2\uD0C3\uD0C5\uD0C6\uD0C7\uD0CA", 5, "\uD0D2\uD0D6", 4],
      ["b581", "\uD0DB\uD0DE\uD0DF\uD0E1\uD0E2\uD0E3\uD0E5", 6, "\uD0EE\uD0F2", 5, "\uD0F9", 11, "\uB367\uB369\uB36B\uB36E\uB370\uB371\uB374\uB378\uB380\uB381\uB383\uB384\uB385\uB38C\uB390\uB394\uB3A0\uB3A1\uB3A8\uB3AC\uB3C4\uB3C5\uB3C8\uB3CB\uB3CC\uB3CE\uB3D0\uB3D4\uB3D5\uB3D7\uB3D9\uB3DB\uB3DD\uB3E0\uB3E4\uB3E8\uB3FC\uB410\uB418\uB41C\uB420\uB428\uB429\uB42B\uB434\uB450\uB451\uB454\uB458\uB460\uB461\uB463\uB465\uB46C\uB480\uB488\uB49D\uB4A4\uB4A8\uB4AC\uB4B5\uB4B7\uB4B9\uB4C0\uB4C4\uB4C8\uB4D0\uB4D5\uB4DC\uB4DD\uB4E0\uB4E3\uB4E4\uB4E6\uB4EC\uB4ED\uB4EF\uB4F1\uB4F8\uB514\uB515\uB518\uB51B\uB51C\uB524\uB525\uB527\uB528\uB529\uB52A\uB530\uB531\uB534\uB538"],
      ["b641", "\uD105", 7, "\uD10E", 17],
      ["b661", "\uD120", 15, "\uD132\uD133\uD135\uD136\uD137\uD139\uD13B\uD13C\uD13D\uD13E"],
      ["b681", "\uD13F\uD142\uD146", 5, "\uD14E\uD14F\uD151\uD152\uD153\uD155", 6, "\uD15E\uD160\uD162", 5, "\uD169\uD16A\uD16B\uD16D\uB540\uB541\uB543\uB544\uB545\uB54B\uB54C\uB54D\uB550\uB554\uB55C\uB55D\uB55F\uB560\uB561\uB5A0\uB5A1\uB5A4\uB5A8\uB5AA\uB5AB\uB5B0\uB5B1\uB5B3\uB5B4\uB5B5\uB5BB\uB5BC\uB5BD\uB5C0\uB5C4\uB5CC\uB5CD\uB5CF\uB5D0\uB5D1\uB5D8\uB5EC\uB610\uB611\uB614\uB618\uB625\uB62C\uB634\uB648\uB664\uB668\uB69C\uB69D\uB6A0\uB6A4\uB6AB\uB6AC\uB6B1\uB6D4\uB6F0\uB6F4\uB6F8\uB700\uB701\uB705\uB728\uB729\uB72C\uB72F\uB730\uB738\uB739\uB73B\uB744\uB748\uB74C\uB754\uB755\uB760\uB764\uB768\uB770\uB771\uB773\uB775\uB77C\uB77D\uB780\uB784\uB78C\uB78D\uB78F\uB790\uB791\uB792\uB796\uB797"],
      ["b741", "\uD16E", 13, "\uD17D", 6, "\uD185\uD186\uD187\uD189\uD18A"],
      ["b761", "\uD18B", 20, "\uD1A2\uD1A3\uD1A5\uD1A6\uD1A7"],
      ["b781", "\uD1A9", 6, "\uD1B2\uD1B4\uD1B6\uD1B7\uD1B8\uD1B9\uD1BB\uD1BD\uD1BE\uD1BF\uD1C1", 14, "\uB798\uB799\uB79C\uB7A0\uB7A8\uB7A9\uB7AB\uB7AC\uB7AD\uB7B4\uB7B5\uB7B8\uB7C7\uB7C9\uB7EC\uB7ED\uB7F0\uB7F4\uB7FC\uB7FD\uB7FF\uB800\uB801\uB807\uB808\uB809\uB80C\uB810\uB818\uB819\uB81B\uB81D\uB824\uB825\uB828\uB82C\uB834\uB835\uB837\uB838\uB839\uB840\uB844\uB851\uB853\uB85C\uB85D\uB860\uB864\uB86C\uB86D\uB86F\uB871\uB878\uB87C\uB88D\uB8A8\uB8B0\uB8B4\uB8B8\uB8C0\uB8C1\uB8C3\uB8C5\uB8CC\uB8D0\uB8D4\uB8DD\uB8DF\uB8E1\uB8E8\uB8E9\uB8EC\uB8F0\uB8F8\uB8F9\uB8FB\uB8FD\uB904\uB918\uB920\uB93C\uB93D\uB940\uB944\uB94C\uB94F\uB951\uB958\uB959\uB95C\uB960\uB968\uB969"],
      ["b841", "\uD1D0", 7, "\uD1D9", 17],
      ["b861", "\uD1EB", 8, "\uD1F5\uD1F6\uD1F7\uD1F9", 13],
      ["b881", "\uD208\uD20A", 5, "\uD211", 24, "\uB96B\uB96D\uB974\uB975\uB978\uB97C\uB984\uB985\uB987\uB989\uB98A\uB98D\uB98E\uB9AC\uB9AD\uB9B0\uB9B4\uB9BC\uB9BD\uB9BF\uB9C1\uB9C8\uB9C9\uB9CC\uB9CE", 4, "\uB9D8\uB9D9\uB9DB\uB9DD\uB9DE\uB9E1\uB9E3\uB9E4\uB9E5\uB9E8\uB9EC\uB9F4\uB9F5\uB9F7\uB9F8\uB9F9\uB9FA\uBA00\uBA01\uBA08\uBA15\uBA38\uBA39\uBA3C\uBA40\uBA42\uBA48\uBA49\uBA4B\uBA4D\uBA4E\uBA53\uBA54\uBA55\uBA58\uBA5C\uBA64\uBA65\uBA67\uBA68\uBA69\uBA70\uBA71\uBA74\uBA78\uBA83\uBA84\uBA85\uBA87\uBA8C\uBAA8\uBAA9\uBAAB\uBAAC\uBAB0\uBAB2\uBAB8\uBAB9\uBABB\uBABD\uBAC4\uBAC8\uBAD8\uBAD9\uBAFC"],
      ["b941", "\uD22A\uD22B\uD22E\uD22F\uD231\uD232\uD233\uD235", 6, "\uD23E\uD240\uD242", 5, "\uD249\uD24A\uD24B\uD24C"],
      ["b961", "\uD24D", 14, "\uD25D", 6, "\uD265\uD266\uD267\uD268"],
      ["b981", "\uD269", 22, "\uD282\uD283\uD285\uD286\uD287\uD289\uD28A\uD28B\uD28C\uBB00\uBB04\uBB0D\uBB0F\uBB11\uBB18\uBB1C\uBB20\uBB29\uBB2B\uBB34\uBB35\uBB36\uBB38\uBB3B\uBB3C\uBB3D\uBB3E\uBB44\uBB45\uBB47\uBB49\uBB4D\uBB4F\uBB50\uBB54\uBB58\uBB61\uBB63\uBB6C\uBB88\uBB8C\uBB90\uBBA4\uBBA8\uBBAC\uBBB4\uBBB7\uBBC0\uBBC4\uBBC8\uBBD0\uBBD3\uBBF8\uBBF9\uBBFC\uBBFF\uBC00\uBC02\uBC08\uBC09\uBC0B\uBC0C\uBC0D\uBC0F\uBC11\uBC14", 4, "\uBC1B", 4, "\uBC24\uBC25\uBC27\uBC29\uBC2D\uBC30\uBC31\uBC34\uBC38\uBC40\uBC41\uBC43\uBC44\uBC45\uBC49\uBC4C\uBC4D\uBC50\uBC5D\uBC84\uBC85\uBC88\uBC8B\uBC8C\uBC8E\uBC94\uBC95\uBC97"],
      ["ba41", "\uD28D\uD28E\uD28F\uD292\uD293\uD294\uD296", 5, "\uD29D\uD29E\uD29F\uD2A1\uD2A2\uD2A3\uD2A5", 6, "\uD2AD"],
      ["ba61", "\uD2AE\uD2AF\uD2B0\uD2B2", 5, "\uD2BA\uD2BB\uD2BD\uD2BE\uD2C1\uD2C3", 4, "\uD2CA\uD2CC", 5],
      ["ba81", "\uD2D2\uD2D3\uD2D5\uD2D6\uD2D7\uD2D9\uD2DA\uD2DB\uD2DD", 6, "\uD2E6", 9, "\uD2F2\uD2F3\uD2F5\uD2F6\uD2F7\uD2F9\uD2FA\uBC99\uBC9A\uBCA0\uBCA1\uBCA4\uBCA7\uBCA8\uBCB0\uBCB1\uBCB3\uBCB4\uBCB5\uBCBC\uBCBD\uBCC0\uBCC4\uBCCD\uBCCF\uBCD0\uBCD1\uBCD5\uBCD8\uBCDC\uBCF4\uBCF5\uBCF6\uBCF8\uBCFC\uBD04\uBD05\uBD07\uBD09\uBD10\uBD14\uBD24\uBD2C\uBD40\uBD48\uBD49\uBD4C\uBD50\uBD58\uBD59\uBD64\uBD68\uBD80\uBD81\uBD84\uBD87\uBD88\uBD89\uBD8A\uBD90\uBD91\uBD93\uBD95\uBD99\uBD9A\uBD9C\uBDA4\uBDB0\uBDB8\uBDD4\uBDD5\uBDD8\uBDDC\uBDE9\uBDF0\uBDF4\uBDF8\uBE00\uBE03\uBE05\uBE0C\uBE0D\uBE10\uBE14\uBE1C\uBE1D\uBE1F\uBE44\uBE45\uBE48\uBE4C\uBE4E\uBE54\uBE55\uBE57\uBE59\uBE5A\uBE5B\uBE60\uBE61\uBE64"],
      ["bb41", "\uD2FB", 4, "\uD302\uD304\uD306", 5, "\uD30F\uD311\uD312\uD313\uD315\uD317", 4, "\uD31E\uD322\uD323"],
      ["bb61", "\uD324\uD326\uD327\uD32A\uD32B\uD32D\uD32E\uD32F\uD331", 6, "\uD33A\uD33E", 5, "\uD346\uD347\uD348\uD349"],
      ["bb81", "\uD34A", 31, "\uBE68\uBE6A\uBE70\uBE71\uBE73\uBE74\uBE75\uBE7B\uBE7C\uBE7D\uBE80\uBE84\uBE8C\uBE8D\uBE8F\uBE90\uBE91\uBE98\uBE99\uBEA8\uBED0\uBED1\uBED4\uBED7\uBED8\uBEE0\uBEE3\uBEE4\uBEE5\uBEEC\uBF01\uBF08\uBF09\uBF18\uBF19\uBF1B\uBF1C\uBF1D\uBF40\uBF41\uBF44\uBF48\uBF50\uBF51\uBF55\uBF94\uBFB0\uBFC5\uBFCC\uBFCD\uBFD0\uBFD4\uBFDC\uBFDF\uBFE1\uC03C\uC051\uC058\uC05C\uC060\uC068\uC069\uC090\uC091\uC094\uC098\uC0A0\uC0A1\uC0A3\uC0A5\uC0AC\uC0AD\uC0AF\uC0B0\uC0B3\uC0B4\uC0B5\uC0B6\uC0BC\uC0BD\uC0BF\uC0C0\uC0C1\uC0C5\uC0C8\uC0C9\uC0CC\uC0D0\uC0D8\uC0D9\uC0DB\uC0DC\uC0DD\uC0E4"],
      ["bc41", "\uD36A", 17, "\uD37E\uD37F\uD381\uD382\uD383\uD385\uD386\uD387"],
      ["bc61", "\uD388\uD389\uD38A\uD38B\uD38E\uD392", 5, "\uD39A\uD39B\uD39D\uD39E\uD39F\uD3A1", 6, "\uD3AA\uD3AC\uD3AE"],
      ["bc81", "\uD3AF", 4, "\uD3B5\uD3B6\uD3B7\uD3B9\uD3BA\uD3BB\uD3BD", 6, "\uD3C6\uD3C7\uD3CA", 5, "\uD3D1", 5, "\uC0E5\uC0E8\uC0EC\uC0F4\uC0F5\uC0F7\uC0F9\uC100\uC104\uC108\uC110\uC115\uC11C", 4, "\uC123\uC124\uC126\uC127\uC12C\uC12D\uC12F\uC130\uC131\uC136\uC138\uC139\uC13C\uC140\uC148\uC149\uC14B\uC14C\uC14D\uC154\uC155\uC158\uC15C\uC164\uC165\uC167\uC168\uC169\uC170\uC174\uC178\uC185\uC18C\uC18D\uC18E\uC190\uC194\uC196\uC19C\uC19D\uC19F\uC1A1\uC1A5\uC1A8\uC1A9\uC1AC\uC1B0\uC1BD\uC1C4\uC1C8\uC1CC\uC1D4\uC1D7\uC1D8\uC1E0\uC1E4\uC1E8\uC1F0\uC1F1\uC1F3\uC1FC\uC1FD\uC200\uC204\uC20C\uC20D\uC20F\uC211\uC218\uC219\uC21C\uC21F\uC220\uC228\uC229\uC22B\uC22D"],
      ["bd41", "\uD3D7\uD3D9", 7, "\uD3E2\uD3E4", 7, "\uD3EE\uD3EF\uD3F1\uD3F2\uD3F3\uD3F5\uD3F6\uD3F7"],
      ["bd61", "\uD3F8\uD3F9\uD3FA\uD3FB\uD3FE\uD400\uD402", 5, "\uD409", 13],
      ["bd81", "\uD417", 5, "\uD41E", 25, "\uC22F\uC231\uC232\uC234\uC248\uC250\uC251\uC254\uC258\uC260\uC265\uC26C\uC26D\uC270\uC274\uC27C\uC27D\uC27F\uC281\uC288\uC289\uC290\uC298\uC29B\uC29D\uC2A4\uC2A5\uC2A8\uC2AC\uC2AD\uC2B4\uC2B5\uC2B7\uC2B9\uC2DC\uC2DD\uC2E0\uC2E3\uC2E4\uC2EB\uC2EC\uC2ED\uC2EF\uC2F1\uC2F6\uC2F8\uC2F9\uC2FB\uC2FC\uC300\uC308\uC309\uC30C\uC30D\uC313\uC314\uC315\uC318\uC31C\uC324\uC325\uC328\uC329\uC345\uC368\uC369\uC36C\uC370\uC372\uC378\uC379\uC37C\uC37D\uC384\uC388\uC38C\uC3C0\uC3D8\uC3D9\uC3DC\uC3DF\uC3E0\uC3E2\uC3E8\uC3E9\uC3ED\uC3F4\uC3F5\uC3F8\uC408\uC410\uC424\uC42C\uC430"],
      ["be41", "\uD438", 7, "\uD441\uD442\uD443\uD445", 14],
      ["be61", "\uD454", 7, "\uD45D\uD45E\uD45F\uD461\uD462\uD463\uD465", 7, "\uD46E\uD470\uD471\uD472"],
      ["be81", "\uD473", 4, "\uD47A\uD47B\uD47D\uD47E\uD481\uD483", 4, "\uD48A\uD48C\uD48E", 5, "\uD495", 8, "\uC434\uC43C\uC43D\uC448\uC464\uC465\uC468\uC46C\uC474\uC475\uC479\uC480\uC494\uC49C\uC4B8\uC4BC\uC4E9\uC4F0\uC4F1\uC4F4\uC4F8\uC4FA\uC4FF\uC500\uC501\uC50C\uC510\uC514\uC51C\uC528\uC529\uC52C\uC530\uC538\uC539\uC53B\uC53D\uC544\uC545\uC548\uC549\uC54A\uC54C\uC54D\uC54E\uC553\uC554\uC555\uC557\uC558\uC559\uC55D\uC55E\uC560\uC561\uC564\uC568\uC570\uC571\uC573\uC574\uC575\uC57C\uC57D\uC580\uC584\uC587\uC58C\uC58D\uC58F\uC591\uC595\uC597\uC598\uC59C\uC5A0\uC5A9\uC5B4\uC5B5\uC5B8\uC5B9\uC5BB\uC5BC\uC5BD\uC5BE\uC5C4", 6, "\uC5CC\uC5CE"],
      ["bf41", "\uD49E", 10, "\uD4AA", 14],
      ["bf61", "\uD4B9", 18, "\uD4CD\uD4CE\uD4CF\uD4D1\uD4D2\uD4D3\uD4D5"],
      ["bf81", "\uD4D6", 5, "\uD4DD\uD4DE\uD4E0", 7, "\uD4E9\uD4EA\uD4EB\uD4ED\uD4EE\uD4EF\uD4F1", 6, "\uD4F9\uD4FA\uD4FC\uC5D0\uC5D1\uC5D4\uC5D8\uC5E0\uC5E1\uC5E3\uC5E5\uC5EC\uC5ED\uC5EE\uC5F0\uC5F4\uC5F6\uC5F7\uC5FC", 5, "\uC605\uC606\uC607\uC608\uC60C\uC610\uC618\uC619\uC61B\uC61C\uC624\uC625\uC628\uC62C\uC62D\uC62E\uC630\uC633\uC634\uC635\uC637\uC639\uC63B\uC640\uC641\uC644\uC648\uC650\uC651\uC653\uC654\uC655\uC65C\uC65D\uC660\uC66C\uC66F\uC671\uC678\uC679\uC67C\uC680\uC688\uC689\uC68B\uC68D\uC694\uC695\uC698\uC69C\uC6A4\uC6A5\uC6A7\uC6A9\uC6B0\uC6B1\uC6B4\uC6B8\uC6B9\uC6BA\uC6C0\uC6C1\uC6C3\uC6C5\uC6CC\uC6CD\uC6D0\uC6D4\uC6DC\uC6DD\uC6E0\uC6E1\uC6E8"],
      ["c041", "\uD4FE", 5, "\uD505\uD506\uD507\uD509\uD50A\uD50B\uD50D", 6, "\uD516\uD518", 5],
      ["c061", "\uD51E", 25],
      ["c081", "\uD538\uD539\uD53A\uD53B\uD53E\uD53F\uD541\uD542\uD543\uD545", 6, "\uD54E\uD550\uD552", 5, "\uD55A\uD55B\uD55D\uD55E\uD55F\uD561\uD562\uD563\uC6E9\uC6EC\uC6F0\uC6F8\uC6F9\uC6FD\uC704\uC705\uC708\uC70C\uC714\uC715\uC717\uC719\uC720\uC721\uC724\uC728\uC730\uC731\uC733\uC735\uC737\uC73C\uC73D\uC740\uC744\uC74A\uC74C\uC74D\uC74F\uC751", 7, "\uC75C\uC760\uC768\uC76B\uC774\uC775\uC778\uC77C\uC77D\uC77E\uC783\uC784\uC785\uC787\uC788\uC789\uC78A\uC78E\uC790\uC791\uC794\uC796\uC797\uC798\uC79A\uC7A0\uC7A1\uC7A3\uC7A4\uC7A5\uC7A6\uC7AC\uC7AD\uC7B0\uC7B4\uC7BC\uC7BD\uC7BF\uC7C0\uC7C1\uC7C8\uC7C9\uC7CC\uC7CE\uC7D0\uC7D8\uC7DD\uC7E4\uC7E8\uC7EC\uC800\uC801\uC804\uC808\uC80A"],
      ["c141", "\uD564\uD566\uD567\uD56A\uD56C\uD56E", 5, "\uD576\uD577\uD579\uD57A\uD57B\uD57D", 6, "\uD586\uD58A\uD58B"],
      ["c161", "\uD58C\uD58D\uD58E\uD58F\uD591", 19, "\uD5A6\uD5A7"],
      ["c181", "\uD5A8", 31, "\uC810\uC811\uC813\uC815\uC816\uC81C\uC81D\uC820\uC824\uC82C\uC82D\uC82F\uC831\uC838\uC83C\uC840\uC848\uC849\uC84C\uC84D\uC854\uC870\uC871\uC874\uC878\uC87A\uC880\uC881\uC883\uC885\uC886\uC887\uC88B\uC88C\uC88D\uC894\uC89D\uC89F\uC8A1\uC8A8\uC8BC\uC8BD\uC8C4\uC8C8\uC8CC\uC8D4\uC8D5\uC8D7\uC8D9\uC8E0\uC8E1\uC8E4\uC8F5\uC8FC\uC8FD\uC900\uC904\uC905\uC906\uC90C\uC90D\uC90F\uC911\uC918\uC92C\uC934\uC950\uC951\uC954\uC958\uC960\uC961\uC963\uC96C\uC970\uC974\uC97C\uC988\uC989\uC98C\uC990\uC998\uC999\uC99B\uC99D\uC9C0\uC9C1\uC9C4\uC9C7\uC9C8\uC9CA\uC9D0\uC9D1\uC9D3"],
      ["c241", "\uD5CA\uD5CB\uD5CD\uD5CE\uD5CF\uD5D1\uD5D3", 4, "\uD5DA\uD5DC\uD5DE", 5, "\uD5E6\uD5E7\uD5E9\uD5EA\uD5EB\uD5ED\uD5EE"],
      ["c261", "\uD5EF", 4, "\uD5F6\uD5F8\uD5FA", 5, "\uD602\uD603\uD605\uD606\uD607\uD609", 6, "\uD612"],
      ["c281", "\uD616", 5, "\uD61D\uD61E\uD61F\uD621\uD622\uD623\uD625", 7, "\uD62E", 9, "\uD63A\uD63B\uC9D5\uC9D6\uC9D9\uC9DA\uC9DC\uC9DD\uC9E0\uC9E2\uC9E4\uC9E7\uC9EC\uC9ED\uC9EF\uC9F0\uC9F1\uC9F8\uC9F9\uC9FC\uCA00\uCA08\uCA09\uCA0B\uCA0C\uCA0D\uCA14\uCA18\uCA29\uCA4C\uCA4D\uCA50\uCA54\uCA5C\uCA5D\uCA5F\uCA60\uCA61\uCA68\uCA7D\uCA84\uCA98\uCABC\uCABD\uCAC0\uCAC4\uCACC\uCACD\uCACF\uCAD1\uCAD3\uCAD8\uCAD9\uCAE0\uCAEC\uCAF4\uCB08\uCB10\uCB14\uCB18\uCB20\uCB21\uCB41\uCB48\uCB49\uCB4C\uCB50\uCB58\uCB59\uCB5D\uCB64\uCB78\uCB79\uCB9C\uCBB8\uCBD4\uCBE4\uCBE7\uCBE9\uCC0C\uCC0D\uCC10\uCC14\uCC1C\uCC1D\uCC21\uCC22\uCC27\uCC28\uCC29\uCC2C\uCC2E\uCC30\uCC38\uCC39\uCC3B"],
      ["c341", "\uD63D\uD63E\uD63F\uD641\uD642\uD643\uD644\uD646\uD647\uD64A\uD64C\uD64E\uD64F\uD650\uD652\uD653\uD656\uD657\uD659\uD65A\uD65B\uD65D", 4],
      ["c361", "\uD662", 4, "\uD668\uD66A", 5, "\uD672\uD673\uD675", 11],
      ["c381", "\uD681\uD682\uD684\uD686", 5, "\uD68E\uD68F\uD691\uD692\uD693\uD695", 7, "\uD69E\uD6A0\uD6A2", 5, "\uD6A9\uD6AA\uCC3C\uCC3D\uCC3E\uCC44\uCC45\uCC48\uCC4C\uCC54\uCC55\uCC57\uCC58\uCC59\uCC60\uCC64\uCC66\uCC68\uCC70\uCC75\uCC98\uCC99\uCC9C\uCCA0\uCCA8\uCCA9\uCCAB\uCCAC\uCCAD\uCCB4\uCCB5\uCCB8\uCCBC\uCCC4\uCCC5\uCCC7\uCCC9\uCCD0\uCCD4\uCCE4\uCCEC\uCCF0\uCD01\uCD08\uCD09\uCD0C\uCD10\uCD18\uCD19\uCD1B\uCD1D\uCD24\uCD28\uCD2C\uCD39\uCD5C\uCD60\uCD64\uCD6C\uCD6D\uCD6F\uCD71\uCD78\uCD88\uCD94\uCD95\uCD98\uCD9C\uCDA4\uCDA5\uCDA7\uCDA9\uCDB0\uCDC4\uCDCC\uCDD0\uCDE8\uCDEC\uCDF0\uCDF8\uCDF9\uCDFB\uCDFD\uCE04\uCE08\uCE0C\uCE14\uCE19\uCE20\uCE21\uCE24\uCE28\uCE30\uCE31\uCE33\uCE35"],
      ["c441", "\uD6AB\uD6AD\uD6AE\uD6AF\uD6B1", 7, "\uD6BA\uD6BC", 7, "\uD6C6\uD6C7\uD6C9\uD6CA\uD6CB"],
      ["c461", "\uD6CD\uD6CE\uD6CF\uD6D0\uD6D2\uD6D3\uD6D5\uD6D6\uD6D8\uD6DA", 5, "\uD6E1\uD6E2\uD6E3\uD6E5\uD6E6\uD6E7\uD6E9", 4],
      ["c481", "\uD6EE\uD6EF\uD6F1\uD6F2\uD6F3\uD6F4\uD6F6", 5, "\uD6FE\uD6FF\uD701\uD702\uD703\uD705", 11, "\uD712\uD713\uD714\uCE58\uCE59\uCE5C\uCE5F\uCE60\uCE61\uCE68\uCE69\uCE6B\uCE6D\uCE74\uCE75\uCE78\uCE7C\uCE84\uCE85\uCE87\uCE89\uCE90\uCE91\uCE94\uCE98\uCEA0\uCEA1\uCEA3\uCEA4\uCEA5\uCEAC\uCEAD\uCEC1\uCEE4\uCEE5\uCEE8\uCEEB\uCEEC\uCEF4\uCEF5\uCEF7\uCEF8\uCEF9\uCF00\uCF01\uCF04\uCF08\uCF10\uCF11\uCF13\uCF15\uCF1C\uCF20\uCF24\uCF2C\uCF2D\uCF2F\uCF30\uCF31\uCF38\uCF54\uCF55\uCF58\uCF5C\uCF64\uCF65\uCF67\uCF69\uCF70\uCF71\uCF74\uCF78\uCF80\uCF85\uCF8C\uCFA1\uCFA8\uCFB0\uCFC4\uCFE0\uCFE1\uCFE4\uCFE8\uCFF0\uCFF1\uCFF3\uCFF5\uCFFC\uD000\uD004\uD011\uD018\uD02D\uD034\uD035\uD038\uD03C"],
      ["c541", "\uD715\uD716\uD717\uD71A\uD71B\uD71D\uD71E\uD71F\uD721", 6, "\uD72A\uD72C\uD72E", 5, "\uD736\uD737\uD739"],
      ["c561", "\uD73A\uD73B\uD73D", 6, "\uD745\uD746\uD748\uD74A", 5, "\uD752\uD753\uD755\uD75A", 4],
      ["c581", "\uD75F\uD762\uD764\uD766\uD767\uD768\uD76A\uD76B\uD76D\uD76E\uD76F\uD771\uD772\uD773\uD775", 6, "\uD77E\uD77F\uD780\uD782", 5, "\uD78A\uD78B\uD044\uD045\uD047\uD049\uD050\uD054\uD058\uD060\uD06C\uD06D\uD070\uD074\uD07C\uD07D\uD081\uD0A4\uD0A5\uD0A8\uD0AC\uD0B4\uD0B5\uD0B7\uD0B9\uD0C0\uD0C1\uD0C4\uD0C8\uD0C9\uD0D0\uD0D1\uD0D3\uD0D4\uD0D5\uD0DC\uD0DD\uD0E0\uD0E4\uD0EC\uD0ED\uD0EF\uD0F0\uD0F1\uD0F8\uD10D\uD130\uD131\uD134\uD138\uD13A\uD140\uD141\uD143\uD144\uD145\uD14C\uD14D\uD150\uD154\uD15C\uD15D\uD15F\uD161\uD168\uD16C\uD17C\uD184\uD188\uD1A0\uD1A1\uD1A4\uD1A8\uD1B0\uD1B1\uD1B3\uD1B5\uD1BA\uD1BC\uD1C0\uD1D8\uD1F4\uD1F8\uD207\uD209\uD210\uD22C\uD22D\uD230\uD234\uD23C\uD23D\uD23F\uD241\uD248\uD25C"],
      ["c641", "\uD78D\uD78E\uD78F\uD791", 6, "\uD79A\uD79C\uD79E", 5],
      ["c6a1", "\uD264\uD280\uD281\uD284\uD288\uD290\uD291\uD295\uD29C\uD2A0\uD2A4\uD2AC\uD2B1\uD2B8\uD2B9\uD2BC\uD2BF\uD2C0\uD2C2\uD2C8\uD2C9\uD2CB\uD2D4\uD2D8\uD2DC\uD2E4\uD2E5\uD2F0\uD2F1\uD2F4\uD2F8\uD300\uD301\uD303\uD305\uD30C\uD30D\uD30E\uD310\uD314\uD316\uD31C\uD31D\uD31F\uD320\uD321\uD325\uD328\uD329\uD32C\uD330\uD338\uD339\uD33B\uD33C\uD33D\uD344\uD345\uD37C\uD37D\uD380\uD384\uD38C\uD38D\uD38F\uD390\uD391\uD398\uD399\uD39C\uD3A0\uD3A8\uD3A9\uD3AB\uD3AD\uD3B4\uD3B8\uD3BC\uD3C4\uD3C5\uD3C8\uD3C9\uD3D0\uD3D8\uD3E1\uD3E3\uD3EC\uD3ED\uD3F0\uD3F4\uD3FC\uD3FD\uD3FF\uD401"],
      ["c7a1", "\uD408\uD41D\uD440\uD444\uD45C\uD460\uD464\uD46D\uD46F\uD478\uD479\uD47C\uD47F\uD480\uD482\uD488\uD489\uD48B\uD48D\uD494\uD4A9\uD4CC\uD4D0\uD4D4\uD4DC\uD4DF\uD4E8\uD4EC\uD4F0\uD4F8\uD4FB\uD4FD\uD504\uD508\uD50C\uD514\uD515\uD517\uD53C\uD53D\uD540\uD544\uD54C\uD54D\uD54F\uD551\uD558\uD559\uD55C\uD560\uD565\uD568\uD569\uD56B\uD56D\uD574\uD575\uD578\uD57C\uD584\uD585\uD587\uD588\uD589\uD590\uD5A5\uD5C8\uD5C9\uD5CC\uD5D0\uD5D2\uD5D8\uD5D9\uD5DB\uD5DD\uD5E4\uD5E5\uD5E8\uD5EC\uD5F4\uD5F5\uD5F7\uD5F9\uD600\uD601\uD604\uD608\uD610\uD611\uD613\uD614\uD615\uD61C\uD620"],
      ["c8a1", "\uD624\uD62D\uD638\uD639\uD63C\uD640\uD645\uD648\uD649\uD64B\uD64D\uD651\uD654\uD655\uD658\uD65C\uD667\uD669\uD670\uD671\uD674\uD683\uD685\uD68C\uD68D\uD690\uD694\uD69D\uD69F\uD6A1\uD6A8\uD6AC\uD6B0\uD6B9\uD6BB\uD6C4\uD6C5\uD6C8\uD6CC\uD6D1\uD6D4\uD6D7\uD6D9\uD6E0\uD6E4\uD6E8\uD6F0\uD6F5\uD6FC\uD6FD\uD700\uD704\uD711\uD718\uD719\uD71C\uD720\uD728\uD729\uD72B\uD72D\uD734\uD735\uD738\uD73C\uD744\uD747\uD749\uD750\uD751\uD754\uD756\uD757\uD758\uD759\uD760\uD761\uD763\uD765\uD769\uD76C\uD770\uD774\uD77C\uD77D\uD781\uD788\uD789\uD78C\uD790\uD798\uD799\uD79B\uD79D"],
      ["caa1", "\u4F3D\u4F73\u5047\u50F9\u52A0\u53EF\u5475\u54E5\u5609\u5AC1\u5BB6\u6687\u67B6\u67B7\u67EF\u6B4C\u73C2\u75C2\u7A3C\u82DB\u8304\u8857\u8888\u8A36\u8CC8\u8DCF\u8EFB\u8FE6\u99D5\u523B\u5374\u5404\u606A\u6164\u6BBC\u73CF\u811A\u89BA\u89D2\u95A3\u4F83\u520A\u58BE\u5978\u59E6\u5E72\u5E79\u61C7\u63C0\u6746\u67EC\u687F\u6F97\u764E\u770B\u78F5\u7A08\u7AFF\u7C21\u809D\u826E\u8271\u8AEB\u9593\u4E6B\u559D\u66F7\u6E34\u78A3\u7AED\u845B\u8910\u874E\u97A8\u52D8\u574E\u582A\u5D4C\u611F\u61BE\u6221\u6562\u67D1\u6A44\u6E1B\u7518\u75B3\u76E3\u77B0\u7D3A\u90AF\u9451\u9452\u9F95"],
      ["cba1", "\u5323\u5CAC\u7532\u80DB\u9240\u9598\u525B\u5808\u59DC\u5CA1\u5D17\u5EB7\u5F3A\u5F4A\u6177\u6C5F\u757A\u7586\u7CE0\u7D73\u7DB1\u7F8C\u8154\u8221\u8591\u8941\u8B1B\u92FC\u964D\u9C47\u4ECB\u4EF7\u500B\u51F1\u584F\u6137\u613E\u6168\u6539\u69EA\u6F11\u75A5\u7686\u76D6\u7B87\u82A5\u84CB\uF900\u93A7\u958B\u5580\u5BA2\u5751\uF901\u7CB3\u7FB9\u91B5\u5028\u53BB\u5C45\u5DE8\u62D2\u636E\u64DA\u64E7\u6E20\u70AC\u795B\u8DDD\u8E1E\uF902\u907D\u9245\u92F8\u4E7E\u4EF6\u5065\u5DFE\u5EFA\u6106\u6957\u8171\u8654\u8E47\u9375\u9A2B\u4E5E\u5091\u6770\u6840\u5109\u528D\u5292\u6AA2"],
      ["cca1", "\u77BC\u9210\u9ED4\u52AB\u602F\u8FF2\u5048\u61A9\u63ED\u64CA\u683C\u6A84\u6FC0\u8188\u89A1\u9694\u5805\u727D\u72AC\u7504\u7D79\u7E6D\u80A9\u898B\u8B74\u9063\u9D51\u6289\u6C7A\u6F54\u7D50\u7F3A\u8A23\u517C\u614A\u7B9D\u8B19\u9257\u938C\u4EAC\u4FD3\u501E\u50BE\u5106\u52C1\u52CD\u537F\u5770\u5883\u5E9A\u5F91\u6176\u61AC\u64CE\u656C\u666F\u66BB\u66F4\u6897\u6D87\u7085\u70F1\u749F\u74A5\u74CA\u75D9\u786C\u78EC\u7ADF\u7AF6\u7D45\u7D93\u8015\u803F\u811B\u8396\u8B66\u8F15\u9015\u93E1\u9803\u9838\u9A5A\u9BE8\u4FC2\u5553\u583A\u5951\u5B63\u5C46\u60B8\u6212\u6842\u68B0"],
      ["cda1", "\u68E8\u6EAA\u754C\u7678\u78CE\u7A3D\u7CFB\u7E6B\u7E7C\u8A08\u8AA1\u8C3F\u968E\u9DC4\u53E4\u53E9\u544A\u5471\u56FA\u59D1\u5B64\u5C3B\u5EAB\u62F7\u6537\u6545\u6572\u66A0\u67AF\u69C1\u6CBD\u75FC\u7690\u777E\u7A3F\u7F94\u8003\u80A1\u818F\u82E6\u82FD\u83F0\u85C1\u8831\u88B4\u8AA5\uF903\u8F9C\u932E\u96C7\u9867\u9AD8\u9F13\u54ED\u659B\u66F2\u688F\u7A40\u8C37\u9D60\u56F0\u5764\u5D11\u6606\u68B1\u68CD\u6EFE\u7428\u889E\u9BE4\u6C68\uF904\u9AA8\u4F9B\u516C\u5171\u529F\u5B54\u5DE5\u6050\u606D\u62F1\u63A7\u653B\u73D9\u7A7A\u86A3\u8CA2\u978F\u4E32\u5BE1\u6208\u679C\u74DC"],
      ["cea1", "\u79D1\u83D3\u8A87\u8AB2\u8DE8\u904E\u934B\u9846\u5ED3\u69E8\u85FF\u90ED\uF905\u51A0\u5B98\u5BEC\u6163\u68FA\u6B3E\u704C\u742F\u74D8\u7BA1\u7F50\u83C5\u89C0\u8CAB\u95DC\u9928\u522E\u605D\u62EC\u9002\u4F8A\u5149\u5321\u58D9\u5EE3\u66E0\u6D38\u709A\u72C2\u73D6\u7B50\u80F1\u945B\u5366\u639B\u7F6B\u4E56\u5080\u584A\u58DE\u602A\u6127\u62D0\u69D0\u9B41\u5B8F\u7D18\u80B1\u8F5F\u4EA4\u50D1\u54AC\u55AC\u5B0C\u5DA0\u5DE7\u652A\u654E\u6821\u6A4B\u72E1\u768E\u77EF\u7D5E\u7FF9\u81A0\u854E\u86DF\u8F03\u8F4E\u90CA\u9903\u9A55\u9BAB\u4E18\u4E45\u4E5D\u4EC7\u4FF1\u5177\u52FE"],
      ["cfa1", "\u5340\u53E3\u53E5\u548E\u5614\u5775\u57A2\u5BC7\u5D87\u5ED0\u61FC\u62D8\u6551\u67B8\u67E9\u69CB\u6B50\u6BC6\u6BEC\u6C42\u6E9D\u7078\u72D7\u7396\u7403\u77BF\u77E9\u7A76\u7D7F\u8009\u81FC\u8205\u820A\u82DF\u8862\u8B33\u8CFC\u8EC0\u9011\u90B1\u9264\u92B6\u99D2\u9A45\u9CE9\u9DD7\u9F9C\u570B\u5C40\u83CA\u97A0\u97AB\u9EB4\u541B\u7A98\u7FA4\u88D9\u8ECD\u90E1\u5800\u5C48\u6398\u7A9F\u5BAE\u5F13\u7A79\u7AAE\u828E\u8EAC\u5026\u5238\u52F8\u5377\u5708\u62F3\u6372\u6B0A\u6DC3\u7737\u53A5\u7357\u8568\u8E76\u95D5\u673A\u6AC3\u6F70\u8A6D\u8ECC\u994B\uF906\u6677\u6B78\u8CB4"],
      ["d0a1", "\u9B3C\uF907\u53EB\u572D\u594E\u63C6\u69FB\u73EA\u7845\u7ABA\u7AC5\u7CFE\u8475\u898F\u8D73\u9035\u95A8\u52FB\u5747\u7547\u7B60\u83CC\u921E\uF908\u6A58\u514B\u524B\u5287\u621F\u68D8\u6975\u9699\u50C5\u52A4\u52E4\u61C3\u65A4\u6839\u69FF\u747E\u7B4B\u82B9\u83EB\u89B2\u8B39\u8FD1\u9949\uF909\u4ECA\u5997\u64D2\u6611\u6A8E\u7434\u7981\u79BD\u82A9\u887E\u887F\u895F\uF90A\u9326\u4F0B\u53CA\u6025\u6271\u6C72\u7D1A\u7D66\u4E98\u5162\u77DC\u80AF\u4F01\u4F0E\u5176\u5180\u55DC\u5668\u573B\u57FA\u57FC\u5914\u5947\u5993\u5BC4\u5C90\u5D0E\u5DF1\u5E7E\u5FCC\u6280\u65D7\u65E3"],
      ["d1a1", "\u671E\u671F\u675E\u68CB\u68C4\u6A5F\u6B3A\u6C23\u6C7D\u6C82\u6DC7\u7398\u7426\u742A\u7482\u74A3\u7578\u757F\u7881\u78EF\u7941\u7947\u7948\u797A\u7B95\u7D00\u7DBA\u7F88\u8006\u802D\u808C\u8A18\u8B4F\u8C48\u8D77\u9321\u9324\u98E2\u9951\u9A0E\u9A0F\u9A65\u9E92\u7DCA\u4F76\u5409\u62EE\u6854\u91D1\u55AB\u513A\uF90B\uF90C\u5A1C\u61E6\uF90D\u62CF\u62FF\uF90E", 5, "\u90A3\uF914", 4, "\u8AFE\uF919\uF91A\uF91B\uF91C\u6696\uF91D\u7156\uF91E\uF91F\u96E3\uF920\u634F\u637A\u5357\uF921\u678F\u6960\u6E73\uF922\u7537\uF923\uF924\uF925"],
      ["d2a1", "\u7D0D\uF926\uF927\u8872\u56CA\u5A18\uF928", 4, "\u4E43\uF92D\u5167\u5948\u67F0\u8010\uF92E\u5973\u5E74\u649A\u79CA\u5FF5\u606C\u62C8\u637B\u5BE7\u5BD7\u52AA\uF92F\u5974\u5F29\u6012\uF930\uF931\uF932\u7459\uF933", 5, "\u99D1\uF939", 10, "\u6FC3\uF944\uF945\u81BF\u8FB2\u60F1\uF946\uF947\u8166\uF948\uF949\u5C3F\uF94A", 7, "\u5AE9\u8A25\u677B\u7D10\uF952", 5, "\u80FD\uF958\uF959\u5C3C\u6CE5\u533F\u6EBA\u591A\u8336"],
      ["d3a1", "\u4E39\u4EB6\u4F46\u55AE\u5718\u58C7\u5F56\u65B7\u65E6\u6A80\u6BB5\u6E4D\u77ED\u7AEF\u7C1E\u7DDE\u86CB\u8892\u9132\u935B\u64BB\u6FBE\u737A\u75B8\u9054\u5556\u574D\u61BA\u64D4\u66C7\u6DE1\u6E5B\u6F6D\u6FB9\u75F0\u8043\u81BD\u8541\u8983\u8AC7\u8B5A\u931F\u6C93\u7553\u7B54\u8E0F\u905D\u5510\u5802\u5858\u5E62\u6207\u649E\u68E0\u7576\u7CD6\u87B3\u9EE8\u4EE3\u5788\u576E\u5927\u5C0D\u5CB1\u5E36\u5F85\u6234\u64E1\u73B3\u81FA\u888B\u8CB8\u968A\u9EDB\u5B85\u5FB7\u60B3\u5012\u5200\u5230\u5716\u5835\u5857\u5C0E\u5C60\u5CF6\u5D8B\u5EA6\u5F92\u60BC\u6311\u6389\u6417\u6843"],
      ["d4a1", "\u68F9\u6AC2\u6DD8\u6E21\u6ED4\u6FE4\u71FE\u76DC\u7779\u79B1\u7A3B\u8404\u89A9\u8CED\u8DF3\u8E48\u9003\u9014\u9053\u90FD\u934D\u9676\u97DC\u6BD2\u7006\u7258\u72A2\u7368\u7763\u79BF\u7BE4\u7E9B\u8B80\u58A9\u60C7\u6566\u65FD\u66BE\u6C8C\u711E\u71C9\u8C5A\u9813\u4E6D\u7A81\u4EDD\u51AC\u51CD\u52D5\u540C\u61A7\u6771\u6850\u68DF\u6D1E\u6F7C\u75BC\u77B3\u7AE5\u80F4\u8463\u9285\u515C\u6597\u675C\u6793\u75D8\u7AC7\u8373\uF95A\u8C46\u9017\u982D\u5C6F\u81C0\u829A\u9041\u906F\u920D\u5F97\u5D9D\u6A59\u71C8\u767B\u7B49\u85E4\u8B04\u9127\u9A30\u5587\u61F6\uF95B\u7669\u7F85"],
      ["d5a1", "\u863F\u87BA\u88F8\u908F\uF95C\u6D1B\u70D9\u73DE\u7D61\u843D\uF95D\u916A\u99F1\uF95E\u4E82\u5375\u6B04\u6B12\u703E\u721B\u862D\u9E1E\u524C\u8FA3\u5D50\u64E5\u652C\u6B16\u6FEB\u7C43\u7E9C\u85CD\u8964\u89BD\u62C9\u81D8\u881F\u5ECA\u6717\u6D6A\u72FC\u7405\u746F\u8782\u90DE\u4F86\u5D0D\u5FA0\u840A\u51B7\u63A0\u7565\u4EAE\u5006\u5169\u51C9\u6881\u6A11\u7CAE\u7CB1\u7CE7\u826F\u8AD2\u8F1B\u91CF\u4FB6\u5137\u52F5\u5442\u5EEC\u616E\u623E\u65C5\u6ADA\u6FFE\u792A\u85DC\u8823\u95AD\u9A62\u9A6A\u9E97\u9ECE\u529B\u66C6\u6B77\u701D\u792B\u8F62\u9742\u6190\u6200\u6523\u6F23"],
      ["d6a1", "\u7149\u7489\u7DF4\u806F\u84EE\u8F26\u9023\u934A\u51BD\u5217\u52A3\u6D0C\u70C8\u88C2\u5EC9\u6582\u6BAE\u6FC2\u7C3E\u7375\u4EE4\u4F36\u56F9\uF95F\u5CBA\u5DBA\u601C\u73B2\u7B2D\u7F9A\u7FCE\u8046\u901E\u9234\u96F6\u9748\u9818\u9F61\u4F8B\u6FA7\u79AE\u91B4\u96B7\u52DE\uF960\u6488\u64C4\u6AD3\u6F5E\u7018\u7210\u76E7\u8001\u8606\u865C\u8DEF\u8F05\u9732\u9B6F\u9DFA\u9E75\u788C\u797F\u7DA0\u83C9\u9304\u9E7F\u9E93\u8AD6\u58DF\u5F04\u6727\u7027\u74CF\u7C60\u807E\u5121\u7028\u7262\u78CA\u8CC2\u8CDA\u8CF4\u96F7\u4E86\u50DA\u5BEE\u5ED6\u6599\u71CE\u7642\u77AD\u804A\u84FC"],
      ["d7a1", "\u907C\u9B27\u9F8D\u58D8\u5A41\u5C62\u6A13\u6DDA\u6F0F\u763B\u7D2F\u7E37\u851E\u8938\u93E4\u964B\u5289\u65D2\u67F3\u69B4\u6D41\u6E9C\u700F\u7409\u7460\u7559\u7624\u786B\u8B2C\u985E\u516D\u622E\u9678\u4F96\u502B\u5D19\u6DEA\u7DB8\u8F2A\u5F8B\u6144\u6817\uF961\u9686\u52D2\u808B\u51DC\u51CC\u695E\u7A1C\u7DBE\u83F1\u9675\u4FDA\u5229\u5398\u540F\u550E\u5C65\u60A7\u674E\u68A8\u6D6C\u7281\u72F8\u7406\u7483\uF962\u75E2\u7C6C\u7F79\u7FB8\u8389\u88CF\u88E1\u91CC\u91D0\u96E2\u9BC9\u541D\u6F7E\u71D0\u7498\u85FA\u8EAA\u96A3\u9C57\u9E9F\u6797\u6DCB\u7433\u81E8\u9716\u782C"],
      ["d8a1", "\u7ACB\u7B20\u7C92\u6469\u746A\u75F2\u78BC\u78E8\u99AC\u9B54\u9EBB\u5BDE\u5E55\u6F20\u819C\u83AB\u9088\u4E07\u534D\u5A29\u5DD2\u5F4E\u6162\u633D\u6669\u66FC\u6EFF\u6F2B\u7063\u779E\u842C\u8513\u883B\u8F13\u9945\u9C3B\u551C\u62B9\u672B\u6CAB\u8309\u896A\u977A\u4EA1\u5984\u5FD8\u5FD9\u671B\u7DB2\u7F54\u8292\u832B\u83BD\u8F1E\u9099\u57CB\u59B9\u5A92\u5BD0\u6627\u679A\u6885\u6BCF\u7164\u7F75\u8CB7\u8CE3\u9081\u9B45\u8108\u8C8A\u964C\u9A40\u9EA5\u5B5F\u6C13\u731B\u76F2\u76DF\u840C\u51AA\u8993\u514D\u5195\u52C9\u68C9\u6C94\u7704\u7720\u7DBF\u7DEC\u9762\u9EB5\u6EC5"],
      ["d9a1", "\u8511\u51A5\u540D\u547D\u660E\u669D\u6927\u6E9F\u76BF\u7791\u8317\u84C2\u879F\u9169\u9298\u9CF4\u8882\u4FAE\u5192\u52DF\u59C6\u5E3D\u6155\u6478\u6479\u66AE\u67D0\u6A21\u6BCD\u6BDB\u725F\u7261\u7441\u7738\u77DB\u8017\u82BC\u8305\u8B00\u8B28\u8C8C\u6728\u6C90\u7267\u76EE\u7766\u7A46\u9DA9\u6B7F\u6C92\u5922\u6726\u8499\u536F\u5893\u5999\u5EDF\u63CF\u6634\u6773\u6E3A\u732B\u7AD7\u82D7\u9328\u52D9\u5DEB\u61AE\u61CB\u620A\u62C7\u64AB\u65E0\u6959\u6B66\u6BCB\u7121\u73F7\u755D\u7E46\u821E\u8302\u856A\u8AA3\u8CBF\u9727\u9D61\u58A8\u9ED8\u5011\u520E\u543B\u554F\u6587"],
      ["daa1", "\u6C76\u7D0A\u7D0B\u805E\u868A\u9580\u96EF\u52FF\u6C95\u7269\u5473\u5A9A\u5C3E\u5D4B\u5F4C\u5FAE\u672A\u68B6\u6963\u6E3C\u6E44\u7709\u7C73\u7F8E\u8587\u8B0E\u8FF7\u9761\u9EF4\u5CB7\u60B6\u610D\u61AB\u654F\u65FB\u65FC\u6C11\u6CEF\u739F\u73C9\u7DE1\u9594\u5BC6\u871C\u8B10\u525D\u535A\u62CD\u640F\u64B2\u6734\u6A38\u6CCA\u73C0\u749E\u7B94\u7C95\u7E1B\u818A\u8236\u8584\u8FEB\u96F9\u99C1\u4F34\u534A\u53CD\u53DB\u62CC\u642C\u6500\u6591\u69C3\u6CEE\u6F58\u73ED\u7554\u7622\u76E4\u76FC\u78D0\u78FB\u792C\u7D46\u822C\u87E0\u8FD4\u9812\u98EF\u52C3\u62D4\u64A5\u6E24\u6F51"],
      ["dba1", "\u767C\u8DCB\u91B1\u9262\u9AEE\u9B43\u5023\u508D\u574A\u59A8\u5C28\u5E47\u5F77\u623F\u653E\u65B9\u65C1\u6609\u678B\u699C\u6EC2\u78C5\u7D21\u80AA\u8180\u822B\u82B3\u84A1\u868C\u8A2A\u8B17\u90A6\u9632\u9F90\u500D\u4FF3\uF963\u57F9\u5F98\u62DC\u6392\u676F\u6E43\u7119\u76C3\u80CC\u80DA\u88F4\u88F5\u8919\u8CE0\u8F29\u914D\u966A\u4F2F\u4F70\u5E1B\u67CF\u6822\u767D\u767E\u9B44\u5E61\u6A0A\u7169\u71D4\u756A\uF964\u7E41\u8543\u85E9\u98DC\u4F10\u7B4F\u7F70\u95A5\u51E1\u5E06\u68B5\u6C3E\u6C4E\u6CDB\u72AF\u7BC4\u8303\u6CD5\u743A\u50FB\u5288\u58C1\u64D8\u6A97\u74A7\u7656"],
      ["dca1", "\u78A7\u8617\u95E2\u9739\uF965\u535E\u5F01\u8B8A\u8FA8\u8FAF\u908A\u5225\u77A5\u9C49\u9F08\u4E19\u5002\u5175\u5C5B\u5E77\u661E\u663A\u67C4\u68C5\u70B3\u7501\u75C5\u79C9\u7ADD\u8F27\u9920\u9A08\u4FDD\u5821\u5831\u5BF6\u666E\u6B65\u6D11\u6E7A\u6F7D\u73E4\u752B\u83E9\u88DC\u8913\u8B5C\u8F14\u4F0F\u50D5\u5310\u535C\u5B93\u5FA9\u670D\u798F\u8179\u832F\u8514\u8907\u8986\u8F39\u8F3B\u99A5\u9C12\u672C\u4E76\u4FF8\u5949\u5C01\u5CEF\u5CF0\u6367\u68D2\u70FD\u71A2\u742B\u7E2B\u84EC\u8702\u9022\u92D2\u9CF3\u4E0D\u4ED8\u4FEF\u5085\u5256\u526F\u5426\u5490\u57E0\u592B\u5A66"],
      ["dda1", "\u5B5A\u5B75\u5BCC\u5E9C\uF966\u6276\u6577\u65A7\u6D6E\u6EA5\u7236\u7B26\u7C3F\u7F36\u8150\u8151\u819A\u8240\u8299\u83A9\u8A03\u8CA0\u8CE6\u8CFB\u8D74\u8DBA\u90E8\u91DC\u961C\u9644\u99D9\u9CE7\u5317\u5206\u5429\u5674\u58B3\u5954\u596E\u5FFF\u61A4\u626E\u6610\u6C7E\u711A\u76C6\u7C89\u7CDE\u7D1B\u82AC\u8CC1\u96F0\uF967\u4F5B\u5F17\u5F7F\u62C2\u5D29\u670B\u68DA\u787C\u7E43\u9D6C\u4E15\u5099\u5315\u532A\u5351\u5983\u5A62\u5E87\u60B2\u618A\u6249\u6279\u6590\u6787\u69A7\u6BD4\u6BD6\u6BD7\u6BD8\u6CB8\uF968\u7435\u75FA\u7812\u7891\u79D5\u79D8\u7C83\u7DCB\u7FE1\u80A5"],
      ["dea1", "\u813E\u81C2\u83F2\u871A\u88E8\u8AB9\u8B6C\u8CBB\u9119\u975E\u98DB\u9F3B\u56AC\u5B2A\u5F6C\u658C\u6AB3\u6BAF\u6D5C\u6FF1\u7015\u725D\u73AD\u8CA7\u8CD3\u983B\u6191\u6C37\u8058\u9A01\u4E4D\u4E8B\u4E9B\u4ED5\u4F3A\u4F3C\u4F7F\u4FDF\u50FF\u53F2\u53F8\u5506\u55E3\u56DB\u58EB\u5962\u5A11\u5BEB\u5BFA\u5C04\u5DF3\u5E2B\u5F99\u601D\u6368\u659C\u65AF\u67F6\u67FB\u68AD\u6B7B\u6C99\u6CD7\u6E23\u7009\u7345\u7802\u793E\u7940\u7960\u79C1\u7BE9\u7D17\u7D72\u8086\u820D\u838E\u84D1\u86C7\u88DF\u8A50\u8A5E\u8B1D\u8CDC\u8D66\u8FAD\u90AA\u98FC\u99DF\u9E9D\u524A\uF969\u6714\uF96A"],
      ["dfa1", "\u5098\u522A\u5C71\u6563\u6C55\u73CA\u7523\u759D\u7B97\u849C\u9178\u9730\u4E77\u6492\u6BBA\u715E\u85A9\u4E09\uF96B\u6749\u68EE\u6E17\u829F\u8518\u886B\u63F7\u6F81\u9212\u98AF\u4E0A\u50B7\u50CF\u511F\u5546\u55AA\u5617\u5B40\u5C19\u5CE0\u5E38\u5E8A\u5EA0\u5EC2\u60F3\u6851\u6A61\u6E58\u723D\u7240\u72C0\u76F8\u7965\u7BB1\u7FD4\u88F3\u89F4\u8A73\u8C61\u8CDE\u971C\u585E\u74BD\u8CFD\u55C7\uF96C\u7A61\u7D22\u8272\u7272\u751F\u7525\uF96D\u7B19\u5885\u58FB\u5DBC\u5E8F\u5EB6\u5F90\u6055\u6292\u637F\u654D\u6691\u66D9\u66F8\u6816\u68F2\u7280\u745E\u7B6E\u7D6E\u7DD6\u7F72"],
      ["e0a1", "\u80E5\u8212\u85AF\u897F\u8A93\u901D\u92E4\u9ECD\u9F20\u5915\u596D\u5E2D\u60DC\u6614\u6673\u6790\u6C50\u6DC5\u6F5F\u77F3\u78A9\u84C6\u91CB\u932B\u4ED9\u50CA\u5148\u5584\u5B0B\u5BA3\u6247\u657E\u65CB\u6E32\u717D\u7401\u7444\u7487\u74BF\u766C\u79AA\u7DDA\u7E55\u7FA8\u817A\u81B3\u8239\u861A\u87EC\u8A75\u8DE3\u9078\u9291\u9425\u994D\u9BAE\u5368\u5C51\u6954\u6CC4\u6D29\u6E2B\u820C\u859B\u893B\u8A2D\u8AAA\u96EA\u9F67\u5261\u66B9\u6BB2\u7E96\u87FE\u8D0D\u9583\u965D\u651D\u6D89\u71EE\uF96E\u57CE\u59D3\u5BAC\u6027\u60FA\u6210\u661F\u665F\u7329\u73F9\u76DB\u7701\u7B6C"],
      ["e1a1", "\u8056\u8072\u8165\u8AA0\u9192\u4E16\u52E2\u6B72\u6D17\u7A05\u7B39\u7D30\uF96F\u8CB0\u53EC\u562F\u5851\u5BB5\u5C0F\u5C11\u5DE2\u6240\u6383\u6414\u662D\u68B3\u6CBC\u6D88\u6EAF\u701F\u70A4\u71D2\u7526\u758F\u758E\u7619\u7B11\u7BE0\u7C2B\u7D20\u7D39\u852C\u856D\u8607\u8A34\u900D\u9061\u90B5\u92B7\u97F6\u9A37\u4FD7\u5C6C\u675F\u6D91\u7C9F\u7E8C\u8B16\u8D16\u901F\u5B6B\u5DFD\u640D\u84C0\u905C\u98E1\u7387\u5B8B\u609A\u677E\u6DDE\u8A1F\u8AA6\u9001\u980C\u5237\uF970\u7051\u788E\u9396\u8870\u91D7\u4FEE\u53D7\u55FD\u56DA\u5782\u58FD\u5AC2\u5B88\u5CAB\u5CC0\u5E25\u6101"],
      ["e2a1", "\u620D\u624B\u6388\u641C\u6536\u6578\u6A39\u6B8A\u6C34\u6D19\u6F31\u71E7\u72E9\u7378\u7407\u74B2\u7626\u7761\u79C0\u7A57\u7AEA\u7CB9\u7D8F\u7DAC\u7E61\u7F9E\u8129\u8331\u8490\u84DA\u85EA\u8896\u8AB0\u8B90\u8F38\u9042\u9083\u916C\u9296\u92B9\u968B\u96A7\u96A8\u96D6\u9700\u9808\u9996\u9AD3\u9B1A\u53D4\u587E\u5919\u5B70\u5BBF\u6DD1\u6F5A\u719F\u7421\u74B9\u8085\u83FD\u5DE1\u5F87\u5FAA\u6042\u65EC\u6812\u696F\u6A53\u6B89\u6D35\u6DF3\u73E3\u76FE\u77AC\u7B4D\u7D14\u8123\u821C\u8340\u84F4\u8563\u8A62\u8AC4\u9187\u931E\u9806\u99B4\u620C\u8853\u8FF0\u9265\u5D07\u5D27"],
      ["e3a1", "\u5D69\u745F\u819D\u8768\u6FD5\u62FE\u7FD2\u8936\u8972\u4E1E\u4E58\u50E7\u52DD\u5347\u627F\u6607\u7E69\u8805\u965E\u4F8D\u5319\u5636\u59CB\u5AA4\u5C38\u5C4E\u5C4D\u5E02\u5F11\u6043\u65BD\u662F\u6642\u67BE\u67F4\u731C\u77E2\u793A\u7FC5\u8494\u84CD\u8996\u8A66\u8A69\u8AE1\u8C55\u8C7A\u57F4\u5BD4\u5F0F\u606F\u62ED\u690D\u6B96\u6E5C\u7184\u7BD2\u8755\u8B58\u8EFE\u98DF\u98FE\u4F38\u4F81\u4FE1\u547B\u5A20\u5BB8\u613C\u65B0\u6668\u71FC\u7533\u795E\u7D33\u814E\u81E3\u8398\u85AA\u85CE\u8703\u8A0A\u8EAB\u8F9B\uF971\u8FC5\u5931\u5BA4\u5BE6\u6089\u5BE9\u5C0B\u5FC3\u6C81"],
      ["e4a1", "\uF972\u6DF1\u700B\u751A\u82AF\u8AF6\u4EC0\u5341\uF973\u96D9\u6C0F\u4E9E\u4FC4\u5152\u555E\u5A25\u5CE8\u6211\u7259\u82BD\u83AA\u86FE\u8859\u8A1D\u963F\u96C5\u9913\u9D09\u9D5D\u580A\u5CB3\u5DBD\u5E44\u60E1\u6115\u63E1\u6A02\u6E25\u9102\u9354\u984E\u9C10\u9F77\u5B89\u5CB8\u6309\u664F\u6848\u773C\u96C1\u978D\u9854\u9B9F\u65A1\u8B01\u8ECB\u95BC\u5535\u5CA9\u5DD6\u5EB5\u6697\u764C\u83F4\u95C7\u58D3\u62BC\u72CE\u9D28\u4EF0\u592E\u600F\u663B\u6B83\u79E7\u9D26\u5393\u54C0\u57C3\u5D16\u611B\u66D6\u6DAF\u788D\u827E\u9698\u9744\u5384\u627C\u6396\u6DB2\u7E0A\u814B\u984D"],
      ["e5a1", "\u6AFB\u7F4C\u9DAF\u9E1A\u4E5F\u503B\u51B6\u591C\u60F9\u63F6\u6930\u723A\u8036\uF974\u91CE\u5F31\uF975\uF976\u7D04\u82E5\u846F\u84BB\u85E5\u8E8D\uF977\u4F6F\uF978\uF979\u58E4\u5B43\u6059\u63DA\u6518\u656D\u6698\uF97A\u694A\u6A23\u6D0B\u7001\u716C\u75D2\u760D\u79B3\u7A70\uF97B\u7F8A\uF97C\u8944\uF97D\u8B93\u91C0\u967D\uF97E\u990A\u5704\u5FA1\u65BC\u6F01\u7600\u79A6\u8A9E\u99AD\u9B5A\u9F6C\u5104\u61B6\u6291\u6A8D\u81C6\u5043\u5830\u5F66\u7109\u8A00\u8AFA\u5B7C\u8616\u4FFA\u513C\u56B4\u5944\u63A9\u6DF9\u5DAA\u696D\u5186\u4E88\u4F59\uF97F\uF980\uF981\u5982\uF982"],
      ["e6a1", "\uF983\u6B5F\u6C5D\uF984\u74B5\u7916\uF985\u8207\u8245\u8339\u8F3F\u8F5D\uF986\u9918\uF987\uF988\uF989\u4EA6\uF98A\u57DF\u5F79\u6613\uF98B\uF98C\u75AB\u7E79\u8B6F\uF98D\u9006\u9A5B\u56A5\u5827\u59F8\u5A1F\u5BB4\uF98E\u5EF6\uF98F\uF990\u6350\u633B\uF991\u693D\u6C87\u6CBF\u6D8E\u6D93\u6DF5\u6F14\uF992\u70DF\u7136\u7159\uF993\u71C3\u71D5\uF994\u784F\u786F\uF995\u7B75\u7DE3\uF996\u7E2F\uF997\u884D\u8EDF\uF998\uF999\uF99A\u925B\uF99B\u9CF6\uF99C\uF99D\uF99E\u6085\u6D85\uF99F\u71B1\uF9A0\uF9A1\u95B1\u53AD\uF9A2\uF9A3\uF9A4\u67D3\uF9A5\u708E\u7130\u7430\u8276\u82D2"],
      ["e7a1", "\uF9A6\u95BB\u9AE5\u9E7D\u66C4\uF9A7\u71C1\u8449\uF9A8\uF9A9\u584B\uF9AA\uF9AB\u5DB8\u5F71\uF9AC\u6620\u668E\u6979\u69AE\u6C38\u6CF3\u6E36\u6F41\u6FDA\u701B\u702F\u7150\u71DF\u7370\uF9AD\u745B\uF9AE\u74D4\u76C8\u7A4E\u7E93\uF9AF\uF9B0\u82F1\u8A60\u8FCE\uF9B1\u9348\uF9B2\u9719\uF9B3\uF9B4\u4E42\u502A\uF9B5\u5208\u53E1\u66F3\u6C6D\u6FCA\u730A\u777F\u7A62\u82AE\u85DD\u8602\uF9B6\u88D4\u8A63\u8B7D\u8C6B\uF9B7\u92B3\uF9B8\u9713\u9810\u4E94\u4F0D\u4FC9\u50B2\u5348\u543E\u5433\u55DA\u5862\u58BA\u5967\u5A1B\u5BE4\u609F\uF9B9\u61CA\u6556\u65FF\u6664\u68A7\u6C5A\u6FB3"],
      ["e8a1", "\u70CF\u71AC\u7352\u7B7D\u8708\u8AA4\u9C32\u9F07\u5C4B\u6C83\u7344\u7389\u923A\u6EAB\u7465\u761F\u7A69\u7E15\u860A\u5140\u58C5\u64C1\u74EE\u7515\u7670\u7FC1\u9095\u96CD\u9954\u6E26\u74E6\u7AA9\u7AAA\u81E5\u86D9\u8778\u8A1B\u5A49\u5B8C\u5B9B\u68A1\u6900\u6D63\u73A9\u7413\u742C\u7897\u7DE9\u7FEB\u8118\u8155\u839E\u8C4C\u962E\u9811\u66F0\u5F80\u65FA\u6789\u6C6A\u738B\u502D\u5A03\u6B6A\u77EE\u5916\u5D6C\u5DCD\u7325\u754F\uF9BA\uF9BB\u50E5\u51F9\u582F\u592D\u5996\u59DA\u5BE5\uF9BC\uF9BD\u5DA2\u62D7\u6416\u6493\u64FE\uF9BE\u66DC\uF9BF\u6A48\uF9C0\u71FF\u7464\uF9C1"],
      ["e9a1", "\u7A88\u7AAF\u7E47\u7E5E\u8000\u8170\uF9C2\u87EF\u8981\u8B20\u9059\uF9C3\u9080\u9952\u617E\u6B32\u6D74\u7E1F\u8925\u8FB1\u4FD1\u50AD\u5197\u52C7\u57C7\u5889\u5BB9\u5EB8\u6142\u6995\u6D8C\u6E67\u6EB6\u7194\u7462\u7528\u752C\u8073\u8338\u84C9\u8E0A\u9394\u93DE\uF9C4\u4E8E\u4F51\u5076\u512A\u53C8\u53CB\u53F3\u5B87\u5BD3\u5C24\u611A\u6182\u65F4\u725B\u7397\u7440\u76C2\u7950\u7991\u79B9\u7D06\u7FBD\u828B\u85D5\u865E\u8FC2\u9047\u90F5\u91EA\u9685\u96E8\u96E9\u52D6\u5F67\u65ED\u6631\u682F\u715C\u7A36\u90C1\u980A\u4E91\uF9C5\u6A52\u6B9E\u6F90\u7189\u8018\u82B8\u8553"],
      ["eaa1", "\u904B\u9695\u96F2\u97FB\u851A\u9B31\u4E90\u718A\u96C4\u5143\u539F\u54E1\u5713\u5712\u57A3\u5A9B\u5AC4\u5BC3\u6028\u613F\u63F4\u6C85\u6D39\u6E72\u6E90\u7230\u733F\u7457\u82D1\u8881\u8F45\u9060\uF9C6\u9662\u9858\u9D1B\u6708\u8D8A\u925E\u4F4D\u5049\u50DE\u5371\u570D\u59D4\u5A01\u5C09\u6170\u6690\u6E2D\u7232\u744B\u7DEF\u80C3\u840E\u8466\u853F\u875F\u885B\u8918\u8B02\u9055\u97CB\u9B4F\u4E73\u4F91\u5112\u516A\uF9C7\u552F\u55A9\u5B7A\u5BA5\u5E7C\u5E7D\u5EBE\u60A0\u60DF\u6108\u6109\u63C4\u6538\u6709\uF9C8\u67D4\u67DA\uF9C9\u6961\u6962\u6CB9\u6D27\uF9CA\u6E38\uF9CB"],
      ["eba1", "\u6FE1\u7336\u7337\uF9CC\u745C\u7531\uF9CD\u7652\uF9CE\uF9CF\u7DAD\u81FE\u8438\u88D5\u8A98\u8ADB\u8AED\u8E30\u8E42\u904A\u903E\u907A\u9149\u91C9\u936E\uF9D0\uF9D1\u5809\uF9D2\u6BD3\u8089\u80B2\uF9D3\uF9D4\u5141\u596B\u5C39\uF9D5\uF9D6\u6F64\u73A7\u80E4\u8D07\uF9D7\u9217\u958F\uF9D8\uF9D9\uF9DA\uF9DB\u807F\u620E\u701C\u7D68\u878D\uF9DC\u57A0\u6069\u6147\u6BB7\u8ABE\u9280\u96B1\u4E59\u541F\u6DEB\u852D\u9670\u97F3\u98EE\u63D6\u6CE3\u9091\u51DD\u61C9\u81BA\u9DF9\u4F9D\u501A\u5100\u5B9C\u610F\u61FF\u64EC\u6905\u6BC5\u7591\u77E3\u7FA9\u8264\u858F\u87FB\u8863\u8ABC"],
      ["eca1", "\u8B70\u91AB\u4E8C\u4EE5\u4F0A\uF9DD\uF9DE\u5937\u59E8\uF9DF\u5DF2\u5F1B\u5F5B\u6021\uF9E0\uF9E1\uF9E2\uF9E3\u723E\u73E5\uF9E4\u7570\u75CD\uF9E5\u79FB\uF9E6\u800C\u8033\u8084\u82E1\u8351\uF9E7\uF9E8\u8CBD\u8CB3\u9087\uF9E9\uF9EA\u98F4\u990C\uF9EB\uF9EC\u7037\u76CA\u7FCA\u7FCC\u7FFC\u8B1A\u4EBA\u4EC1\u5203\u5370\uF9ED\u54BD\u56E0\u59FB\u5BC5\u5F15\u5FCD\u6E6E\uF9EE\uF9EF\u7D6A\u8335\uF9F0\u8693\u8A8D\uF9F1\u976D\u9777\uF9F2\uF9F3\u4E00\u4F5A\u4F7E\u58F9\u65E5\u6EA2\u9038\u93B0\u99B9\u4EFB\u58EC\u598A\u59D9\u6041\uF9F4\uF9F5\u7A14\uF9F6\u834F\u8CC3\u5165\u5344"],
      ["eda1", "\uF9F7\uF9F8\uF9F9\u4ECD\u5269\u5B55\u82BF\u4ED4\u523A\u54A8\u59C9\u59FF\u5B50\u5B57\u5B5C\u6063\u6148\u6ECB\u7099\u716E\u7386\u74F7\u75B5\u78C1\u7D2B\u8005\u81EA\u8328\u8517\u85C9\u8AEE\u8CC7\u96CC\u4F5C\u52FA\u56BC\u65AB\u6628\u707C\u70B8\u7235\u7DBD\u828D\u914C\u96C0\u9D72\u5B71\u68E7\u6B98\u6F7A\u76DE\u5C91\u66AB\u6F5B\u7BB4\u7C2A\u8836\u96DC\u4E08\u4ED7\u5320\u5834\u58BB\u58EF\u596C\u5C07\u5E33\u5E84\u5F35\u638C\u66B2\u6756\u6A1F\u6AA3\u6B0C\u6F3F\u7246\uF9FA\u7350\u748B\u7AE0\u7CA7\u8178\u81DF\u81E7\u838A\u846C\u8523\u8594\u85CF\u88DD\u8D13\u91AC\u9577"],
      ["eea1", "\u969C\u518D\u54C9\u5728\u5BB0\u624D\u6750\u683D\u6893\u6E3D\u6ED3\u707D\u7E21\u88C1\u8CA1\u8F09\u9F4B\u9F4E\u722D\u7B8F\u8ACD\u931A\u4F47\u4F4E\u5132\u5480\u59D0\u5E95\u62B5\u6775\u696E\u6A17\u6CAE\u6E1A\u72D9\u732A\u75BD\u7BB8\u7D35\u82E7\u83F9\u8457\u85F7\u8A5B\u8CAF\u8E87\u9019\u90B8\u96CE\u9F5F\u52E3\u540A\u5AE1\u5BC2\u6458\u6575\u6EF4\u72C4\uF9FB\u7684\u7A4D\u7B1B\u7C4D\u7E3E\u7FDF\u837B\u8B2B\u8CCA\u8D64\u8DE1\u8E5F\u8FEA\u8FF9\u9069\u93D1\u4F43\u4F7A\u50B3\u5168\u5178\u524D\u526A\u5861\u587C\u5960\u5C08\u5C55\u5EDB\u609B\u6230\u6813\u6BBF\u6C08\u6FB1"],
      ["efa1", "\u714E\u7420\u7530\u7538\u7551\u7672\u7B4C\u7B8B\u7BAD\u7BC6\u7E8F\u8A6E\u8F3E\u8F49\u923F\u9293\u9322\u942B\u96FB\u985A\u986B\u991E\u5207\u622A\u6298\u6D59\u7664\u7ACA\u7BC0\u7D76\u5360\u5CBE\u5E97\u6F38\u70B9\u7C98\u9711\u9B8E\u9EDE\u63A5\u647A\u8776\u4E01\u4E95\u4EAD\u505C\u5075\u5448\u59C3\u5B9A\u5E40\u5EAD\u5EF7\u5F81\u60C5\u633A\u653F\u6574\u65CC\u6676\u6678\u67FE\u6968\u6A89\u6B63\u6C40\u6DC0\u6DE8\u6E1F\u6E5E\u701E\u70A1\u738E\u73FD\u753A\u775B\u7887\u798E\u7A0B\u7A7D\u7CBE\u7D8E\u8247\u8A02\u8AEA\u8C9E\u912D\u914A\u91D8\u9266\u92CC\u9320\u9706\u9756"],
      ["f0a1", "\u975C\u9802\u9F0E\u5236\u5291\u557C\u5824\u5E1D\u5F1F\u608C\u63D0\u68AF\u6FDF\u796D\u7B2C\u81CD\u85BA\u88FD\u8AF8\u8E44\u918D\u9664\u969B\u973D\u984C\u9F4A\u4FCE\u5146\u51CB\u52A9\u5632\u5F14\u5F6B\u63AA\u64CD\u65E9\u6641\u66FA\u66F9\u671D\u689D\u68D7\u69FD\u6F15\u6F6E\u7167\u71E5\u722A\u74AA\u773A\u7956\u795A\u79DF\u7A20\u7A95\u7C97\u7CDF\u7D44\u7E70\u8087\u85FB\u86A4\u8A54\u8ABF\u8D99\u8E81\u9020\u906D\u91E3\u963B\u96D5\u9CE5\u65CF\u7C07\u8DB3\u93C3\u5B58\u5C0A\u5352\u62D9\u731D\u5027\u5B97\u5F9E\u60B0\u616B\u68D5\u6DD9\u742E\u7A2E\u7D42\u7D9C\u7E31\u816B"],
      ["f1a1", "\u8E2A\u8E35\u937E\u9418\u4F50\u5750\u5DE6\u5EA7\u632B\u7F6A\u4E3B\u4F4F\u4F8F\u505A\u59DD\u80C4\u546A\u5468\u55FE\u594F\u5B99\u5DDE\u5EDA\u665D\u6731\u67F1\u682A\u6CE8\u6D32\u6E4A\u6F8D\u70B7\u73E0\u7587\u7C4C\u7D02\u7D2C\u7DA2\u821F\u86DB\u8A3B\u8A85\u8D70\u8E8A\u8F33\u9031\u914E\u9152\u9444\u99D0\u7AF9\u7CA5\u4FCA\u5101\u51C6\u57C8\u5BEF\u5CFB\u6659\u6A3D\u6D5A\u6E96\u6FEC\u710C\u756F\u7AE3\u8822\u9021\u9075\u96CB\u99FF\u8301\u4E2D\u4EF2\u8846\u91CD\u537D\u6ADB\u696B\u6C41\u847A\u589E\u618E\u66FE\u62EF\u70DD\u7511\u75C7\u7E52\u84B8\u8B49\u8D08\u4E4B\u53EA"],
      ["f2a1", "\u54AB\u5730\u5740\u5FD7\u6301\u6307\u646F\u652F\u65E8\u667A\u679D\u67B3\u6B62\u6C60\u6C9A\u6F2C\u77E5\u7825\u7949\u7957\u7D19\u80A2\u8102\u81F3\u829D\u82B7\u8718\u8A8C\uF9FC\u8D04\u8DBE\u9072\u76F4\u7A19\u7A37\u7E54\u8077\u5507\u55D4\u5875\u632F\u6422\u6649\u664B\u686D\u699B\u6B84\u6D25\u6EB1\u73CD\u7468\u74A1\u755B\u75B9\u76E1\u771E\u778B\u79E6\u7E09\u7E1D\u81FB\u852F\u8897\u8A3A\u8CD1\u8EEB\u8FB0\u9032\u93AD\u9663\u9673\u9707\u4F84\u53F1\u59EA\u5AC9\u5E19\u684E\u74C6\u75BE\u79E9\u7A92\u81A3\u86ED\u8CEA\u8DCC\u8FED\u659F\u6715\uF9FD\u57F7\u6F57\u7DDD\u8F2F"],
      ["f3a1", "\u93F6\u96C6\u5FB5\u61F2\u6F84\u4E14\u4F98\u501F\u53C9\u55DF\u5D6F\u5DEE\u6B21\u6B64\u78CB\u7B9A\uF9FE\u8E49\u8ECA\u906E\u6349\u643E\u7740\u7A84\u932F\u947F\u9F6A\u64B0\u6FAF\u71E6\u74A8\u74DA\u7AC4\u7C12\u7E82\u7CB2\u7E98\u8B9A\u8D0A\u947D\u9910\u994C\u5239\u5BDF\u64E6\u672D\u7D2E\u50ED\u53C3\u5879\u6158\u6159\u61FA\u65AC\u7AD9\u8B92\u8B96\u5009\u5021\u5275\u5531\u5A3C\u5EE0\u5F70\u6134\u655E\u660C\u6636\u66A2\u69CD\u6EC4\u6F32\u7316\u7621\u7A93\u8139\u8259\u83D6\u84BC\u50B5\u57F0\u5BC0\u5BE8\u5F69\u63A1\u7826\u7DB5\u83DC\u8521\u91C7\u91F5\u518A\u67F5\u7B56"],
      ["f4a1", "\u8CAC\u51C4\u59BB\u60BD\u8655\u501C\uF9FF\u5254\u5C3A\u617D\u621A\u62D3\u64F2\u65A5\u6ECC\u7620\u810A\u8E60\u965F\u96BB\u4EDF\u5343\u5598\u5929\u5DDD\u64C5\u6CC9\u6DFA\u7394\u7A7F\u821B\u85A6\u8CE4\u8E10\u9077\u91E7\u95E1\u9621\u97C6\u51F8\u54F2\u5586\u5FB9\u64A4\u6F88\u7DB4\u8F1F\u8F4D\u9435\u50C9\u5C16\u6CBE\u6DFB\u751B\u77BB\u7C3D\u7C64\u8A79\u8AC2\u581E\u59BE\u5E16\u6377\u7252\u758A\u776B\u8ADC\u8CBC\u8F12\u5EF3\u6674\u6DF8\u807D\u83C1\u8ACB\u9751\u9BD6\uFA00\u5243\u66FF\u6D95\u6EEF\u7DE0\u8AE6\u902E\u905E\u9AD4\u521D\u527F\u54E8\u6194\u6284\u62DB\u68A2"],
      ["f5a1", "\u6912\u695A\u6A35\u7092\u7126\u785D\u7901\u790E\u79D2\u7A0D\u8096\u8278\u82D5\u8349\u8549\u8C82\u8D85\u9162\u918B\u91AE\u4FC3\u56D1\u71ED\u77D7\u8700\u89F8\u5BF8\u5FD6\u6751\u90A8\u53E2\u585A\u5BF5\u60A4\u6181\u6460\u7E3D\u8070\u8525\u9283\u64AE\u50AC\u5D14\u6700\u589C\u62BD\u63A8\u690E\u6978\u6A1E\u6E6B\u76BA\u79CB\u82BB\u8429\u8ACF\u8DA8\u8FFD\u9112\u914B\u919C\u9310\u9318\u939A\u96DB\u9A36\u9C0D\u4E11\u755C\u795D\u7AFA\u7B51\u7BC9\u7E2E\u84C4\u8E59\u8E74\u8EF8\u9010\u6625\u693F\u7443\u51FA\u672E\u9EDC\u5145\u5FE0\u6C96\u87F2\u885D\u8877\u60B4\u81B5\u8403"],
      ["f6a1", "\u8D05\u53D6\u5439\u5634\u5A36\u5C31\u708A\u7FE0\u805A\u8106\u81ED\u8DA3\u9189\u9A5F\u9DF2\u5074\u4EC4\u53A0\u60FB\u6E2C\u5C64\u4F88\u5024\u55E4\u5CD9\u5E5F\u6065\u6894\u6CBB\u6DC4\u71BE\u75D4\u75F4\u7661\u7A1A\u7A49\u7DC7\u7DFB\u7F6E\u81F4\u86A9\u8F1C\u96C9\u99B3\u9F52\u5247\u52C5\u98ED\u89AA\u4E03\u67D2\u6F06\u4FB5\u5BE2\u6795\u6C88\u6D78\u741B\u7827\u91DD\u937C\u87C4\u79E4\u7A31\u5FEB\u4ED6\u54A4\u553E\u58AE\u59A5\u60F0\u6253\u62D6\u6736\u6955\u8235\u9640\u99B1\u99DD\u502C\u5353\u5544\u577C\uFA01\u6258\uFA02\u64E2\u666B\u67DD\u6FC1\u6FEF\u7422\u7438\u8A17"],
      ["f7a1", "\u9438\u5451\u5606\u5766\u5F48\u619A\u6B4E\u7058\u70AD\u7DBB\u8A95\u596A\u812B\u63A2\u7708\u803D\u8CAA\u5854\u642D\u69BB\u5B95\u5E11\u6E6F\uFA03\u8569\u514C\u53F0\u592A\u6020\u614B\u6B86\u6C70\u6CF0\u7B1E\u80CE\u82D4\u8DC6\u90B0\u98B1\uFA04\u64C7\u6FA4\u6491\u6504\u514E\u5410\u571F\u8A0E\u615F\u6876\uFA05\u75DB\u7B52\u7D71\u901A\u5806\u69CC\u817F\u892A\u9000\u9839\u5078\u5957\u59AC\u6295\u900F\u9B2A\u615D\u7279\u95D6\u5761\u5A46\u5DF4\u628A\u64AD\u64FA\u6777\u6CE2\u6D3E\u722C\u7436\u7834\u7F77\u82AD\u8DDB\u9817\u5224\u5742\u677F\u7248\u74E3\u8CA9\u8FA6\u9211"],
      ["f8a1", "\u962A\u516B\u53ED\u634C\u4F69\u5504\u6096\u6557\u6C9B\u6D7F\u724C\u72FD\u7A17\u8987\u8C9D\u5F6D\u6F8E\u70F9\u81A8\u610E\u4FBF\u504F\u6241\u7247\u7BC7\u7DE8\u7FE9\u904D\u97AD\u9A19\u8CB6\u576A\u5E73\u67B0\u840D\u8A55\u5420\u5B16\u5E63\u5EE2\u5F0A\u6583\u80BA\u853D\u9589\u965B\u4F48\u5305\u530D\u530F\u5486\u54FA\u5703\u5E03\u6016\u629B\u62B1\u6355\uFA06\u6CE1\u6D66\u75B1\u7832\u80DE\u812F\u82DE\u8461\u84B2\u888D\u8912\u900B\u92EA\u98FD\u9B91\u5E45\u66B4\u66DD\u7011\u7206\uFA07\u4FF5\u527D\u5F6A\u6153\u6753\u6A19\u6F02\u74E2\u7968\u8868\u8C79\u98C7\u98C4\u9A43"],
      ["f9a1", "\u54C1\u7A1F\u6953\u8AF7\u8C4A\u98A8\u99AE\u5F7C\u62AB\u75B2\u76AE\u88AB\u907F\u9642\u5339\u5F3C\u5FC5\u6CCC\u73CC\u7562\u758B\u7B46\u82FE\u999D\u4E4F\u903C\u4E0B\u4F55\u53A6\u590F\u5EC8\u6630\u6CB3\u7455\u8377\u8766\u8CC0\u9050\u971E\u9C15\u58D1\u5B78\u8650\u8B14\u9DB4\u5BD2\u6068\u608D\u65F1\u6C57\u6F22\u6FA3\u701A\u7F55\u7FF0\u9591\u9592\u9650\u97D3\u5272\u8F44\u51FD\u542B\u54B8\u5563\u558A\u6ABB\u6DB5\u7DD8\u8266\u929C\u9677\u9E79\u5408\u54C8\u76D2\u86E4\u95A4\u95D4\u965C\u4EA2\u4F09\u59EE\u5AE6\u5DF7\u6052\u6297\u676D\u6841\u6C86\u6E2F\u7F38\u809B\u822A"],
      ["faa1", "\uFA08\uFA09\u9805\u4EA5\u5055\u54B3\u5793\u595A\u5B69\u5BB3\u61C8\u6977\u6D77\u7023\u87F9\u89E3\u8A72\u8AE7\u9082\u99ED\u9AB8\u52BE\u6838\u5016\u5E78\u674F\u8347\u884C\u4EAB\u5411\u56AE\u73E6\u9115\u97FF\u9909\u9957\u9999\u5653\u589F\u865B\u8A31\u61B2\u6AF6\u737B\u8ED2\u6B47\u96AA\u9A57\u5955\u7200\u8D6B\u9769\u4FD4\u5CF4\u5F26\u61F8\u665B\u6CEB\u70AB\u7384\u73B9\u73FE\u7729\u774D\u7D43\u7D62\u7E23\u8237\u8852\uFA0A\u8CE2\u9249\u986F\u5B51\u7A74\u8840\u9801\u5ACC\u4FE0\u5354\u593E\u5CFD\u633E\u6D79\u72F9\u8105\u8107\u83A2\u92CF\u9830\u4EA8\u5144\u5211\u578B"],
      ["fba1", "\u5F62\u6CC2\u6ECE\u7005\u7050\u70AF\u7192\u73E9\u7469\u834A\u87A2\u8861\u9008\u90A2\u93A3\u99A8\u516E\u5F57\u60E0\u6167\u66B3\u8559\u8E4A\u91AF\u978B\u4E4E\u4E92\u547C\u58D5\u58FA\u597D\u5CB5\u5F27\u6236\u6248\u660A\u6667\u6BEB\u6D69\u6DCF\u6E56\u6EF8\u6F94\u6FE0\u6FE9\u705D\u72D0\u7425\u745A\u74E0\u7693\u795C\u7CCA\u7E1E\u80E1\u82A6\u846B\u84BF\u864E\u865F\u8774\u8B77\u8C6A\u93AC\u9800\u9865\u60D1\u6216\u9177\u5A5A\u660F\u6DF7\u6E3E\u743F\u9B42\u5FFD\u60DA\u7B0F\u54C4\u5F18\u6C5E\u6CD3\u6D2A\u70D8\u7D05\u8679\u8A0C\u9D3B\u5316\u548C\u5B05\u6A3A\u706B\u7575"],
      ["fca1", "\u798D\u79BE\u82B1\u83EF\u8A71\u8B41\u8CA8\u9774\uFA0B\u64F4\u652B\u78BA\u78BB\u7A6B\u4E38\u559A\u5950\u5BA6\u5E7B\u60A3\u63DB\u6B61\u6665\u6853\u6E19\u7165\u74B0\u7D08\u9084\u9A69\u9C25\u6D3B\u6ED1\u733E\u8C41\u95CA\u51F0\u5E4C\u5FA8\u604D\u60F6\u6130\u614C\u6643\u6644\u69A5\u6CC1\u6E5F\u6EC9\u6F62\u714C\u749C\u7687\u7BC1\u7C27\u8352\u8757\u9051\u968D\u9EC3\u532F\u56DE\u5EFB\u5F8A\u6062\u6094\u61F7\u6666\u6703\u6A9C\u6DEE\u6FAE\u7070\u736A\u7E6A\u81BE\u8334\u86D4\u8AA8\u8CC4\u5283\u7372\u5B96\u6A6B\u9404\u54EE\u5686\u5B5D\u6548\u6585\u66C9\u689F\u6D8D\u6DC6"],
      ["fda1", "\u723B\u80B4\u9175\u9A4D\u4FAF\u5019\u539A\u540E\u543C\u5589\u55C5\u5E3F\u5F8C\u673D\u7166\u73DD\u9005\u52DB\u52F3\u5864\u58CE\u7104\u718F\u71FB\u85B0\u8A13\u6688\u85A8\u55A7\u6684\u714A\u8431\u5349\u5599\u6BC1\u5F59\u5FBD\u63EE\u6689\u7147\u8AF1\u8F1D\u9EBE\u4F11\u643A\u70CB\u7566\u8667\u6064\u8B4E\u9DF8\u5147\u51F6\u5308\u6D36\u80F8\u9ED1\u6615\u6B23\u7098\u75D5\u5403\u5C79\u7D07\u8A16\u6B20\u6B3D\u6B46\u5438\u6070\u6D3D\u7FD5\u8208\u50D6\u51DE\u559C\u566B\u56CD\u59EC\u5B09\u5E0C\u6199\u6198\u6231\u665E\u66E6\u7199\u71B9\u71BA\u72A7\u79A7\u7A00\u7FB2\u8A70"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/cp950.json
var require_cp9502 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/cp950.json"(exports2, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["a140", "\u3000\uFF0C\u3001\u3002\uFF0E\u2027\uFF1B\uFF1A\uFF1F\uFF01\uFE30\u2026\u2025\uFE50\uFE51\uFE52\xB7\uFE54\uFE55\uFE56\uFE57\uFF5C\u2013\uFE31\u2014\uFE33\u2574\uFE34\uFE4F\uFF08\uFF09\uFE35\uFE36\uFF5B\uFF5D\uFE37\uFE38\u3014\u3015\uFE39\uFE3A\u3010\u3011\uFE3B\uFE3C\u300A\u300B\uFE3D\uFE3E\u3008\u3009\uFE3F\uFE40\u300C\u300D\uFE41\uFE42\u300E\u300F\uFE43\uFE44\uFE59\uFE5A"],
      ["a1a1", "\uFE5B\uFE5C\uFE5D\uFE5E\u2018\u2019\u201C\u201D\u301D\u301E\u2035\u2032\uFF03\uFF06\uFF0A\u203B\xA7\u3003\u25CB\u25CF\u25B3\u25B2\u25CE\u2606\u2605\u25C7\u25C6\u25A1\u25A0\u25BD\u25BC\u32A3\u2105\xAF\uFFE3\uFF3F\u02CD\uFE49\uFE4A\uFE4D\uFE4E\uFE4B\uFE4C\uFE5F\uFE60\uFE61\uFF0B\uFF0D\xD7\xF7\xB1\u221A\uFF1C\uFF1E\uFF1D\u2266\u2267\u2260\u221E\u2252\u2261\uFE62", 4, "\uFF5E\u2229\u222A\u22A5\u2220\u221F\u22BF\u33D2\u33D1\u222B\u222E\u2235\u2234\u2640\u2642\u2295\u2299\u2191\u2193\u2190\u2192\u2196\u2197\u2199\u2198\u2225\u2223\uFF0F"],
      ["a240", "\uFF3C\u2215\uFE68\uFF04\uFFE5\u3012\uFFE0\uFFE1\uFF05\uFF20\u2103\u2109\uFE69\uFE6A\uFE6B\u33D5\u339C\u339D\u339E\u33CE\u33A1\u338E\u338F\u33C4\xB0\u5159\u515B\u515E\u515D\u5161\u5163\u55E7\u74E9\u7CCE\u2581", 7, "\u258F\u258E\u258D\u258C\u258B\u258A\u2589\u253C\u2534\u252C\u2524\u251C\u2594\u2500\u2502\u2595\u250C\u2510\u2514\u2518\u256D"],
      ["a2a1", "\u256E\u2570\u256F\u2550\u255E\u256A\u2561\u25E2\u25E3\u25E5\u25E4\u2571\u2572\u2573\uFF10", 9, "\u2160", 9, "\u3021", 8, "\u5341\u5344\u5345\uFF21", 25, "\uFF41", 21],
      ["a340", "\uFF57\uFF58\uFF59\uFF5A\u0391", 16, "\u03A3", 6, "\u03B1", 16, "\u03C3", 6, "\u3105", 10],
      ["a3a1", "\u3110", 25, "\u02D9\u02C9\u02CA\u02C7\u02CB"],
      ["a3e1", "\u20AC"],
      ["a440", "\u4E00\u4E59\u4E01\u4E03\u4E43\u4E5D\u4E86\u4E8C\u4EBA\u513F\u5165\u516B\u51E0\u5200\u5201\u529B\u5315\u5341\u535C\u53C8\u4E09\u4E0B\u4E08\u4E0A\u4E2B\u4E38\u51E1\u4E45\u4E48\u4E5F\u4E5E\u4E8E\u4EA1\u5140\u5203\u52FA\u5343\u53C9\u53E3\u571F\u58EB\u5915\u5927\u5973\u5B50\u5B51\u5B53\u5BF8\u5C0F\u5C22\u5C38\u5C71\u5DDD\u5DE5\u5DF1\u5DF2\u5DF3\u5DFE\u5E72\u5EFE\u5F0B\u5F13\u624D"],
      ["a4a1", "\u4E11\u4E10\u4E0D\u4E2D\u4E30\u4E39\u4E4B\u5C39\u4E88\u4E91\u4E95\u4E92\u4E94\u4EA2\u4EC1\u4EC0\u4EC3\u4EC6\u4EC7\u4ECD\u4ECA\u4ECB\u4EC4\u5143\u5141\u5167\u516D\u516E\u516C\u5197\u51F6\u5206\u5207\u5208\u52FB\u52FE\u52FF\u5316\u5339\u5348\u5347\u5345\u535E\u5384\u53CB\u53CA\u53CD\u58EC\u5929\u592B\u592A\u592D\u5B54\u5C11\u5C24\u5C3A\u5C6F\u5DF4\u5E7B\u5EFF\u5F14\u5F15\u5FC3\u6208\u6236\u624B\u624E\u652F\u6587\u6597\u65A4\u65B9\u65E5\u66F0\u6708\u6728\u6B20\u6B62\u6B79\u6BCB\u6BD4\u6BDB\u6C0F\u6C34\u706B\u722A\u7236\u723B\u7247\u7259\u725B\u72AC\u738B\u4E19"],
      ["a540", "\u4E16\u4E15\u4E14\u4E18\u4E3B\u4E4D\u4E4F\u4E4E\u4EE5\u4ED8\u4ED4\u4ED5\u4ED6\u4ED7\u4EE3\u4EE4\u4ED9\u4EDE\u5145\u5144\u5189\u518A\u51AC\u51F9\u51FA\u51F8\u520A\u52A0\u529F\u5305\u5306\u5317\u531D\u4EDF\u534A\u5349\u5361\u5360\u536F\u536E\u53BB\u53EF\u53E4\u53F3\u53EC\u53EE\u53E9\u53E8\u53FC\u53F8\u53F5\u53EB\u53E6\u53EA\u53F2\u53F1\u53F0\u53E5\u53ED\u53FB\u56DB\u56DA\u5916"],
      ["a5a1", "\u592E\u5931\u5974\u5976\u5B55\u5B83\u5C3C\u5DE8\u5DE7\u5DE6\u5E02\u5E03\u5E73\u5E7C\u5F01\u5F18\u5F17\u5FC5\u620A\u6253\u6254\u6252\u6251\u65A5\u65E6\u672E\u672C\u672A\u672B\u672D\u6B63\u6BCD\u6C11\u6C10\u6C38\u6C41\u6C40\u6C3E\u72AF\u7384\u7389\u74DC\u74E6\u7518\u751F\u7528\u7529\u7530\u7531\u7532\u7533\u758B\u767D\u76AE\u76BF\u76EE\u77DB\u77E2\u77F3\u793A\u79BE\u7A74\u7ACB\u4E1E\u4E1F\u4E52\u4E53\u4E69\u4E99\u4EA4\u4EA6\u4EA5\u4EFF\u4F09\u4F19\u4F0A\u4F15\u4F0D\u4F10\u4F11\u4F0F\u4EF2\u4EF6\u4EFB\u4EF0\u4EF3\u4EFD\u4F01\u4F0B\u5149\u5147\u5146\u5148\u5168"],
      ["a640", "\u5171\u518D\u51B0\u5217\u5211\u5212\u520E\u5216\u52A3\u5308\u5321\u5320\u5370\u5371\u5409\u540F\u540C\u540A\u5410\u5401\u540B\u5404\u5411\u540D\u5408\u5403\u540E\u5406\u5412\u56E0\u56DE\u56DD\u5733\u5730\u5728\u572D\u572C\u572F\u5729\u5919\u591A\u5937\u5938\u5984\u5978\u5983\u597D\u5979\u5982\u5981\u5B57\u5B58\u5B87\u5B88\u5B85\u5B89\u5BFA\u5C16\u5C79\u5DDE\u5E06\u5E76\u5E74"],
      ["a6a1", "\u5F0F\u5F1B\u5FD9\u5FD6\u620E\u620C\u620D\u6210\u6263\u625B\u6258\u6536\u65E9\u65E8\u65EC\u65ED\u66F2\u66F3\u6709\u673D\u6734\u6731\u6735\u6B21\u6B64\u6B7B\u6C16\u6C5D\u6C57\u6C59\u6C5F\u6C60\u6C50\u6C55\u6C61\u6C5B\u6C4D\u6C4E\u7070\u725F\u725D\u767E\u7AF9\u7C73\u7CF8\u7F36\u7F8A\u7FBD\u8001\u8003\u800C\u8012\u8033\u807F\u8089\u808B\u808C\u81E3\u81EA\u81F3\u81FC\u820C\u821B\u821F\u826E\u8272\u827E\u866B\u8840\u884C\u8863\u897F\u9621\u4E32\u4EA8\u4F4D\u4F4F\u4F47\u4F57\u4F5E\u4F34\u4F5B\u4F55\u4F30\u4F50\u4F51\u4F3D\u4F3A\u4F38\u4F43\u4F54\u4F3C\u4F46\u4F63"],
      ["a740", "\u4F5C\u4F60\u4F2F\u4F4E\u4F36\u4F59\u4F5D\u4F48\u4F5A\u514C\u514B\u514D\u5175\u51B6\u51B7\u5225\u5224\u5229\u522A\u5228\u52AB\u52A9\u52AA\u52AC\u5323\u5373\u5375\u541D\u542D\u541E\u543E\u5426\u544E\u5427\u5446\u5443\u5433\u5448\u5442\u541B\u5429\u544A\u5439\u543B\u5438\u542E\u5435\u5436\u5420\u543C\u5440\u5431\u542B\u541F\u542C\u56EA\u56F0\u56E4\u56EB\u574A\u5751\u5740\u574D"],
      ["a7a1", "\u5747\u574E\u573E\u5750\u574F\u573B\u58EF\u593E\u599D\u5992\u59A8\u599E\u59A3\u5999\u5996\u598D\u59A4\u5993\u598A\u59A5\u5B5D\u5B5C\u5B5A\u5B5B\u5B8C\u5B8B\u5B8F\u5C2C\u5C40\u5C41\u5C3F\u5C3E\u5C90\u5C91\u5C94\u5C8C\u5DEB\u5E0C\u5E8F\u5E87\u5E8A\u5EF7\u5F04\u5F1F\u5F64\u5F62\u5F77\u5F79\u5FD8\u5FCC\u5FD7\u5FCD\u5FF1\u5FEB\u5FF8\u5FEA\u6212\u6211\u6284\u6297\u6296\u6280\u6276\u6289\u626D\u628A\u627C\u627E\u6279\u6273\u6292\u626F\u6298\u626E\u6295\u6293\u6291\u6286\u6539\u653B\u6538\u65F1\u66F4\u675F\u674E\u674F\u6750\u6751\u675C\u6756\u675E\u6749\u6746\u6760"],
      ["a840", "\u6753\u6757\u6B65\u6BCF\u6C42\u6C5E\u6C99\u6C81\u6C88\u6C89\u6C85\u6C9B\u6C6A\u6C7A\u6C90\u6C70\u6C8C\u6C68\u6C96\u6C92\u6C7D\u6C83\u6C72\u6C7E\u6C74\u6C86\u6C76\u6C8D\u6C94\u6C98\u6C82\u7076\u707C\u707D\u7078\u7262\u7261\u7260\u72C4\u72C2\u7396\u752C\u752B\u7537\u7538\u7682\u76EF\u77E3\u79C1\u79C0\u79BF\u7A76\u7CFB\u7F55\u8096\u8093\u809D\u8098\u809B\u809A\u80B2\u826F\u8292"],
      ["a8a1", "\u828B\u828D\u898B\u89D2\u8A00\u8C37\u8C46\u8C55\u8C9D\u8D64\u8D70\u8DB3\u8EAB\u8ECA\u8F9B\u8FB0\u8FC2\u8FC6\u8FC5\u8FC4\u5DE1\u9091\u90A2\u90AA\u90A6\u90A3\u9149\u91C6\u91CC\u9632\u962E\u9631\u962A\u962C\u4E26\u4E56\u4E73\u4E8B\u4E9B\u4E9E\u4EAB\u4EAC\u4F6F\u4F9D\u4F8D\u4F73\u4F7F\u4F6C\u4F9B\u4F8B\u4F86\u4F83\u4F70\u4F75\u4F88\u4F69\u4F7B\u4F96\u4F7E\u4F8F\u4F91\u4F7A\u5154\u5152\u5155\u5169\u5177\u5176\u5178\u51BD\u51FD\u523B\u5238\u5237\u523A\u5230\u522E\u5236\u5241\u52BE\u52BB\u5352\u5354\u5353\u5351\u5366\u5377\u5378\u5379\u53D6\u53D4\u53D7\u5473\u5475"],
      ["a940", "\u5496\u5478\u5495\u5480\u547B\u5477\u5484\u5492\u5486\u547C\u5490\u5471\u5476\u548C\u549A\u5462\u5468\u548B\u547D\u548E\u56FA\u5783\u5777\u576A\u5769\u5761\u5766\u5764\u577C\u591C\u5949\u5947\u5948\u5944\u5954\u59BE\u59BB\u59D4\u59B9\u59AE\u59D1\u59C6\u59D0\u59CD\u59CB\u59D3\u59CA\u59AF\u59B3\u59D2\u59C5\u5B5F\u5B64\u5B63\u5B97\u5B9A\u5B98\u5B9C\u5B99\u5B9B\u5C1A\u5C48\u5C45"],
      ["a9a1", "\u5C46\u5CB7\u5CA1\u5CB8\u5CA9\u5CAB\u5CB1\u5CB3\u5E18\u5E1A\u5E16\u5E15\u5E1B\u5E11\u5E78\u5E9A\u5E97\u5E9C\u5E95\u5E96\u5EF6\u5F26\u5F27\u5F29\u5F80\u5F81\u5F7F\u5F7C\u5FDD\u5FE0\u5FFD\u5FF5\u5FFF\u600F\u6014\u602F\u6035\u6016\u602A\u6015\u6021\u6027\u6029\u602B\u601B\u6216\u6215\u623F\u623E\u6240\u627F\u62C9\u62CC\u62C4\u62BF\u62C2\u62B9\u62D2\u62DB\u62AB\u62D3\u62D4\u62CB\u62C8\u62A8\u62BD\u62BC\u62D0\u62D9\u62C7\u62CD\u62B5\u62DA\u62B1\u62D8\u62D6\u62D7\u62C6\u62AC\u62CE\u653E\u65A7\u65BC\u65FA\u6614\u6613\u660C\u6606\u6602\u660E\u6600\u660F\u6615\u660A"],
      ["aa40", "\u6607\u670D\u670B\u676D\u678B\u6795\u6771\u679C\u6773\u6777\u6787\u679D\u6797\u676F\u6770\u677F\u6789\u677E\u6790\u6775\u679A\u6793\u677C\u676A\u6772\u6B23\u6B66\u6B67\u6B7F\u6C13\u6C1B\u6CE3\u6CE8\u6CF3\u6CB1\u6CCC\u6CE5\u6CB3\u6CBD\u6CBE\u6CBC\u6CE2\u6CAB\u6CD5\u6CD3\u6CB8\u6CC4\u6CB9\u6CC1\u6CAE\u6CD7\u6CC5\u6CF1\u6CBF\u6CBB\u6CE1\u6CDB\u6CCA\u6CAC\u6CEF\u6CDC\u6CD6\u6CE0"],
      ["aaa1", "\u7095\u708E\u7092\u708A\u7099\u722C\u722D\u7238\u7248\u7267\u7269\u72C0\u72CE\u72D9\u72D7\u72D0\u73A9\u73A8\u739F\u73AB\u73A5\u753D\u759D\u7599\u759A\u7684\u76C2\u76F2\u76F4\u77E5\u77FD\u793E\u7940\u7941\u79C9\u79C8\u7A7A\u7A79\u7AFA\u7CFE\u7F54\u7F8C\u7F8B\u8005\u80BA\u80A5\u80A2\u80B1\u80A1\u80AB\u80A9\u80B4\u80AA\u80AF\u81E5\u81FE\u820D\u82B3\u829D\u8299\u82AD\u82BD\u829F\u82B9\u82B1\u82AC\u82A5\u82AF\u82B8\u82A3\u82B0\u82BE\u82B7\u864E\u8671\u521D\u8868\u8ECB\u8FCE\u8FD4\u8FD1\u90B5\u90B8\u90B1\u90B6\u91C7\u91D1\u9577\u9580\u961C\u9640\u963F\u963B\u9644"],
      ["ab40", "\u9642\u96B9\u96E8\u9752\u975E\u4E9F\u4EAD\u4EAE\u4FE1\u4FB5\u4FAF\u4FBF\u4FE0\u4FD1\u4FCF\u4FDD\u4FC3\u4FB6\u4FD8\u4FDF\u4FCA\u4FD7\u4FAE\u4FD0\u4FC4\u4FC2\u4FDA\u4FCE\u4FDE\u4FB7\u5157\u5192\u5191\u51A0\u524E\u5243\u524A\u524D\u524C\u524B\u5247\u52C7\u52C9\u52C3\u52C1\u530D\u5357\u537B\u539A\u53DB\u54AC\u54C0\u54A8\u54CE\u54C9\u54B8\u54A6\u54B3\u54C7\u54C2\u54BD\u54AA\u54C1"],
      ["aba1", "\u54C4\u54C8\u54AF\u54AB\u54B1\u54BB\u54A9\u54A7\u54BF\u56FF\u5782\u578B\u57A0\u57A3\u57A2\u57CE\u57AE\u5793\u5955\u5951\u594F\u594E\u5950\u59DC\u59D8\u59FF\u59E3\u59E8\u5A03\u59E5\u59EA\u59DA\u59E6\u5A01\u59FB\u5B69\u5BA3\u5BA6\u5BA4\u5BA2\u5BA5\u5C01\u5C4E\u5C4F\u5C4D\u5C4B\u5CD9\u5CD2\u5DF7\u5E1D\u5E25\u5E1F\u5E7D\u5EA0\u5EA6\u5EFA\u5F08\u5F2D\u5F65\u5F88\u5F85\u5F8A\u5F8B\u5F87\u5F8C\u5F89\u6012\u601D\u6020\u6025\u600E\u6028\u604D\u6070\u6068\u6062\u6046\u6043\u606C\u606B\u606A\u6064\u6241\u62DC\u6316\u6309\u62FC\u62ED\u6301\u62EE\u62FD\u6307\u62F1\u62F7"],
      ["ac40", "\u62EF\u62EC\u62FE\u62F4\u6311\u6302\u653F\u6545\u65AB\u65BD\u65E2\u6625\u662D\u6620\u6627\u662F\u661F\u6628\u6631\u6624\u66F7\u67FF\u67D3\u67F1\u67D4\u67D0\u67EC\u67B6\u67AF\u67F5\u67E9\u67EF\u67C4\u67D1\u67B4\u67DA\u67E5\u67B8\u67CF\u67DE\u67F3\u67B0\u67D9\u67E2\u67DD\u67D2\u6B6A\u6B83\u6B86\u6BB5\u6BD2\u6BD7\u6C1F\u6CC9\u6D0B\u6D32\u6D2A\u6D41\u6D25\u6D0C\u6D31\u6D1E\u6D17"],
      ["aca1", "\u6D3B\u6D3D\u6D3E\u6D36\u6D1B\u6CF5\u6D39\u6D27\u6D38\u6D29\u6D2E\u6D35\u6D0E\u6D2B\u70AB\u70BA\u70B3\u70AC\u70AF\u70AD\u70B8\u70AE\u70A4\u7230\u7272\u726F\u7274\u72E9\u72E0\u72E1\u73B7\u73CA\u73BB\u73B2\u73CD\u73C0\u73B3\u751A\u752D\u754F\u754C\u754E\u754B\u75AB\u75A4\u75A5\u75A2\u75A3\u7678\u7686\u7687\u7688\u76C8\u76C6\u76C3\u76C5\u7701\u76F9\u76F8\u7709\u770B\u76FE\u76FC\u7707\u77DC\u7802\u7814\u780C\u780D\u7946\u7949\u7948\u7947\u79B9\u79BA\u79D1\u79D2\u79CB\u7A7F\u7A81\u7AFF\u7AFD\u7C7D\u7D02\u7D05\u7D00\u7D09\u7D07\u7D04\u7D06\u7F38\u7F8E\u7FBF\u8004"],
      ["ad40", "\u8010\u800D\u8011\u8036\u80D6\u80E5\u80DA\u80C3\u80C4\u80CC\u80E1\u80DB\u80CE\u80DE\u80E4\u80DD\u81F4\u8222\u82E7\u8303\u8305\u82E3\u82DB\u82E6\u8304\u82E5\u8302\u8309\u82D2\u82D7\u82F1\u8301\u82DC\u82D4\u82D1\u82DE\u82D3\u82DF\u82EF\u8306\u8650\u8679\u867B\u867A\u884D\u886B\u8981\u89D4\u8A08\u8A02\u8A03\u8C9E\u8CA0\u8D74\u8D73\u8DB4\u8ECD\u8ECC\u8FF0\u8FE6\u8FE2\u8FEA\u8FE5"],
      ["ada1", "\u8FED\u8FEB\u8FE4\u8FE8\u90CA\u90CE\u90C1\u90C3\u914B\u914A\u91CD\u9582\u9650\u964B\u964C\u964D\u9762\u9769\u97CB\u97ED\u97F3\u9801\u98A8\u98DB\u98DF\u9996\u9999\u4E58\u4EB3\u500C\u500D\u5023\u4FEF\u5026\u5025\u4FF8\u5029\u5016\u5006\u503C\u501F\u501A\u5012\u5011\u4FFA\u5000\u5014\u5028\u4FF1\u5021\u500B\u5019\u5018\u4FF3\u4FEE\u502D\u502A\u4FFE\u502B\u5009\u517C\u51A4\u51A5\u51A2\u51CD\u51CC\u51C6\u51CB\u5256\u525C\u5254\u525B\u525D\u532A\u537F\u539F\u539D\u53DF\u54E8\u5510\u5501\u5537\u54FC\u54E5\u54F2\u5506\u54FA\u5514\u54E9\u54ED\u54E1\u5509\u54EE\u54EA"],
      ["ae40", "\u54E6\u5527\u5507\u54FD\u550F\u5703\u5704\u57C2\u57D4\u57CB\u57C3\u5809\u590F\u5957\u5958\u595A\u5A11\u5A18\u5A1C\u5A1F\u5A1B\u5A13\u59EC\u5A20\u5A23\u5A29\u5A25\u5A0C\u5A09\u5B6B\u5C58\u5BB0\u5BB3\u5BB6\u5BB4\u5BAE\u5BB5\u5BB9\u5BB8\u5C04\u5C51\u5C55\u5C50\u5CED\u5CFD\u5CFB\u5CEA\u5CE8\u5CF0\u5CF6\u5D01\u5CF4\u5DEE\u5E2D\u5E2B\u5EAB\u5EAD\u5EA7\u5F31\u5F92\u5F91\u5F90\u6059"],
      ["aea1", "\u6063\u6065\u6050\u6055\u606D\u6069\u606F\u6084\u609F\u609A\u608D\u6094\u608C\u6085\u6096\u6247\u62F3\u6308\u62FF\u634E\u633E\u632F\u6355\u6342\u6346\u634F\u6349\u633A\u6350\u633D\u632A\u632B\u6328\u634D\u634C\u6548\u6549\u6599\u65C1\u65C5\u6642\u6649\u664F\u6643\u6652\u664C\u6645\u6641\u66F8\u6714\u6715\u6717\u6821\u6838\u6848\u6846\u6853\u6839\u6842\u6854\u6829\u68B3\u6817\u684C\u6851\u683D\u67F4\u6850\u6840\u683C\u6843\u682A\u6845\u6813\u6818\u6841\u6B8A\u6B89\u6BB7\u6C23\u6C27\u6C28\u6C26\u6C24\u6CF0\u6D6A\u6D95\u6D88\u6D87\u6D66\u6D78\u6D77\u6D59\u6D93"],
      ["af40", "\u6D6C\u6D89\u6D6E\u6D5A\u6D74\u6D69\u6D8C\u6D8A\u6D79\u6D85\u6D65\u6D94\u70CA\u70D8\u70E4\u70D9\u70C8\u70CF\u7239\u7279\u72FC\u72F9\u72FD\u72F8\u72F7\u7386\u73ED\u7409\u73EE\u73E0\u73EA\u73DE\u7554\u755D\u755C\u755A\u7559\u75BE\u75C5\u75C7\u75B2\u75B3\u75BD\u75BC\u75B9\u75C2\u75B8\u768B\u76B0\u76CA\u76CD\u76CE\u7729\u771F\u7720\u7728\u77E9\u7830\u7827\u7838\u781D\u7834\u7837"],
      ["afa1", "\u7825\u782D\u7820\u781F\u7832\u7955\u7950\u7960\u795F\u7956\u795E\u795D\u7957\u795A\u79E4\u79E3\u79E7\u79DF\u79E6\u79E9\u79D8\u7A84\u7A88\u7AD9\u7B06\u7B11\u7C89\u7D21\u7D17\u7D0B\u7D0A\u7D20\u7D22\u7D14\u7D10\u7D15\u7D1A\u7D1C\u7D0D\u7D19\u7D1B\u7F3A\u7F5F\u7F94\u7FC5\u7FC1\u8006\u8018\u8015\u8019\u8017\u803D\u803F\u80F1\u8102\u80F0\u8105\u80ED\u80F4\u8106\u80F8\u80F3\u8108\u80FD\u810A\u80FC\u80EF\u81ED\u81EC\u8200\u8210\u822A\u822B\u8228\u822C\u82BB\u832B\u8352\u8354\u834A\u8338\u8350\u8349\u8335\u8334\u834F\u8332\u8339\u8336\u8317\u8340\u8331\u8328\u8343"],
      ["b040", "\u8654\u868A\u86AA\u8693\u86A4\u86A9\u868C\u86A3\u869C\u8870\u8877\u8881\u8882\u887D\u8879\u8A18\u8A10\u8A0E\u8A0C\u8A15\u8A0A\u8A17\u8A13\u8A16\u8A0F\u8A11\u8C48\u8C7A\u8C79\u8CA1\u8CA2\u8D77\u8EAC\u8ED2\u8ED4\u8ECF\u8FB1\u9001\u9006\u8FF7\u9000\u8FFA\u8FF4\u9003\u8FFD\u9005\u8FF8\u9095\u90E1\u90DD\u90E2\u9152\u914D\u914C\u91D8\u91DD\u91D7\u91DC\u91D9\u9583\u9662\u9663\u9661"],
      ["b0a1", "\u965B\u965D\u9664\u9658\u965E\u96BB\u98E2\u99AC\u9AA8\u9AD8\u9B25\u9B32\u9B3C\u4E7E\u507A\u507D\u505C\u5047\u5043\u504C\u505A\u5049\u5065\u5076\u504E\u5055\u5075\u5074\u5077\u504F\u500F\u506F\u506D\u515C\u5195\u51F0\u526A\u526F\u52D2\u52D9\u52D8\u52D5\u5310\u530F\u5319\u533F\u5340\u533E\u53C3\u66FC\u5546\u556A\u5566\u5544\u555E\u5561\u5543\u554A\u5531\u5556\u554F\u5555\u552F\u5564\u5538\u552E\u555C\u552C\u5563\u5533\u5541\u5557\u5708\u570B\u5709\u57DF\u5805\u580A\u5806\u57E0\u57E4\u57FA\u5802\u5835\u57F7\u57F9\u5920\u5962\u5A36\u5A41\u5A49\u5A66\u5A6A\u5A40"],
      ["b140", "\u5A3C\u5A62\u5A5A\u5A46\u5A4A\u5B70\u5BC7\u5BC5\u5BC4\u5BC2\u5BBF\u5BC6\u5C09\u5C08\u5C07\u5C60\u5C5C\u5C5D\u5D07\u5D06\u5D0E\u5D1B\u5D16\u5D22\u5D11\u5D29\u5D14\u5D19\u5D24\u5D27\u5D17\u5DE2\u5E38\u5E36\u5E33\u5E37\u5EB7\u5EB8\u5EB6\u5EB5\u5EBE\u5F35\u5F37\u5F57\u5F6C\u5F69\u5F6B\u5F97\u5F99\u5F9E\u5F98\u5FA1\u5FA0\u5F9C\u607F\u60A3\u6089\u60A0\u60A8\u60CB\u60B4\u60E6\u60BD"],
      ["b1a1", "\u60C5\u60BB\u60B5\u60DC\u60BC\u60D8\u60D5\u60C6\u60DF\u60B8\u60DA\u60C7\u621A\u621B\u6248\u63A0\u63A7\u6372\u6396\u63A2\u63A5\u6377\u6367\u6398\u63AA\u6371\u63A9\u6389\u6383\u639B\u636B\u63A8\u6384\u6388\u6399\u63A1\u63AC\u6392\u638F\u6380\u637B\u6369\u6368\u637A\u655D\u6556\u6551\u6559\u6557\u555F\u654F\u6558\u6555\u6554\u659C\u659B\u65AC\u65CF\u65CB\u65CC\u65CE\u665D\u665A\u6664\u6668\u6666\u665E\u66F9\u52D7\u671B\u6881\u68AF\u68A2\u6893\u68B5\u687F\u6876\u68B1\u68A7\u6897\u68B0\u6883\u68C4\u68AD\u6886\u6885\u6894\u689D\u68A8\u689F\u68A1\u6882\u6B32\u6BBA"],
      ["b240", "\u6BEB\u6BEC\u6C2B\u6D8E\u6DBC\u6DF3\u6DD9\u6DB2\u6DE1\u6DCC\u6DE4\u6DFB\u6DFA\u6E05\u6DC7\u6DCB\u6DAF\u6DD1\u6DAE\u6DDE\u6DF9\u6DB8\u6DF7\u6DF5\u6DC5\u6DD2\u6E1A\u6DB5\u6DDA\u6DEB\u6DD8\u6DEA\u6DF1\u6DEE\u6DE8\u6DC6\u6DC4\u6DAA\u6DEC\u6DBF\u6DE6\u70F9\u7109\u710A\u70FD\u70EF\u723D\u727D\u7281\u731C\u731B\u7316\u7313\u7319\u7387\u7405\u740A\u7403\u7406\u73FE\u740D\u74E0\u74F6"],
      ["b2a1", "\u74F7\u751C\u7522\u7565\u7566\u7562\u7570\u758F\u75D4\u75D5\u75B5\u75CA\u75CD\u768E\u76D4\u76D2\u76DB\u7737\u773E\u773C\u7736\u7738\u773A\u786B\u7843\u784E\u7965\u7968\u796D\u79FB\u7A92\u7A95\u7B20\u7B28\u7B1B\u7B2C\u7B26\u7B19\u7B1E\u7B2E\u7C92\u7C97\u7C95\u7D46\u7D43\u7D71\u7D2E\u7D39\u7D3C\u7D40\u7D30\u7D33\u7D44\u7D2F\u7D42\u7D32\u7D31\u7F3D\u7F9E\u7F9A\u7FCC\u7FCE\u7FD2\u801C\u804A\u8046\u812F\u8116\u8123\u812B\u8129\u8130\u8124\u8202\u8235\u8237\u8236\u8239\u838E\u839E\u8398\u8378\u83A2\u8396\u83BD\u83AB\u8392\u838A\u8393\u8389\u83A0\u8377\u837B\u837C"],
      ["b340", "\u8386\u83A7\u8655\u5F6A\u86C7\u86C0\u86B6\u86C4\u86B5\u86C6\u86CB\u86B1\u86AF\u86C9\u8853\u889E\u8888\u88AB\u8892\u8896\u888D\u888B\u8993\u898F\u8A2A\u8A1D\u8A23\u8A25\u8A31\u8A2D\u8A1F\u8A1B\u8A22\u8C49\u8C5A\u8CA9\u8CAC\u8CAB\u8CA8\u8CAA\u8CA7\u8D67\u8D66\u8DBE\u8DBA\u8EDB\u8EDF\u9019\u900D\u901A\u9017\u9023\u901F\u901D\u9010\u9015\u901E\u9020\u900F\u9022\u9016\u901B\u9014"],
      ["b3a1", "\u90E8\u90ED\u90FD\u9157\u91CE\u91F5\u91E6\u91E3\u91E7\u91ED\u91E9\u9589\u966A\u9675\u9673\u9678\u9670\u9674\u9676\u9677\u966C\u96C0\u96EA\u96E9\u7AE0\u7ADF\u9802\u9803\u9B5A\u9CE5\u9E75\u9E7F\u9EA5\u9EBB\u50A2\u508D\u5085\u5099\u5091\u5080\u5096\u5098\u509A\u6700\u51F1\u5272\u5274\u5275\u5269\u52DE\u52DD\u52DB\u535A\u53A5\u557B\u5580\u55A7\u557C\u558A\u559D\u5598\u5582\u559C\u55AA\u5594\u5587\u558B\u5583\u55B3\u55AE\u559F\u553E\u55B2\u559A\u55BB\u55AC\u55B1\u557E\u5589\u55AB\u5599\u570D\u582F\u582A\u5834\u5824\u5830\u5831\u5821\u581D\u5820\u58F9\u58FA\u5960"],
      ["b440", "\u5A77\u5A9A\u5A7F\u5A92\u5A9B\u5AA7\u5B73\u5B71\u5BD2\u5BCC\u5BD3\u5BD0\u5C0A\u5C0B\u5C31\u5D4C\u5D50\u5D34\u5D47\u5DFD\u5E45\u5E3D\u5E40\u5E43\u5E7E\u5ECA\u5EC1\u5EC2\u5EC4\u5F3C\u5F6D\u5FA9\u5FAA\u5FA8\u60D1\u60E1\u60B2\u60B6\u60E0\u611C\u6123\u60FA\u6115\u60F0\u60FB\u60F4\u6168\u60F1\u610E\u60F6\u6109\u6100\u6112\u621F\u6249\u63A3\u638C\u63CF\u63C0\u63E9\u63C9\u63C6\u63CD"],
      ["b4a1", "\u63D2\u63E3\u63D0\u63E1\u63D6\u63ED\u63EE\u6376\u63F4\u63EA\u63DB\u6452\u63DA\u63F9\u655E\u6566\u6562\u6563\u6591\u6590\u65AF\u666E\u6670\u6674\u6676\u666F\u6691\u667A\u667E\u6677\u66FE\u66FF\u671F\u671D\u68FA\u68D5\u68E0\u68D8\u68D7\u6905\u68DF\u68F5\u68EE\u68E7\u68F9\u68D2\u68F2\u68E3\u68CB\u68CD\u690D\u6912\u690E\u68C9\u68DA\u696E\u68FB\u6B3E\u6B3A\u6B3D\u6B98\u6B96\u6BBC\u6BEF\u6C2E\u6C2F\u6C2C\u6E2F\u6E38\u6E54\u6E21\u6E32\u6E67\u6E4A\u6E20\u6E25\u6E23\u6E1B\u6E5B\u6E58\u6E24\u6E56\u6E6E\u6E2D\u6E26\u6E6F\u6E34\u6E4D\u6E3A\u6E2C\u6E43\u6E1D\u6E3E\u6ECB"],
      ["b540", "\u6E89\u6E19\u6E4E\u6E63\u6E44\u6E72\u6E69\u6E5F\u7119\u711A\u7126\u7130\u7121\u7136\u716E\u711C\u724C\u7284\u7280\u7336\u7325\u7334\u7329\u743A\u742A\u7433\u7422\u7425\u7435\u7436\u7434\u742F\u741B\u7426\u7428\u7525\u7526\u756B\u756A\u75E2\u75DB\u75E3\u75D9\u75D8\u75DE\u75E0\u767B\u767C\u7696\u7693\u76B4\u76DC\u774F\u77ED\u785D\u786C\u786F\u7A0D\u7A08\u7A0B\u7A05\u7A00\u7A98"],
      ["b5a1", "\u7A97\u7A96\u7AE5\u7AE3\u7B49\u7B56\u7B46\u7B50\u7B52\u7B54\u7B4D\u7B4B\u7B4F\u7B51\u7C9F\u7CA5\u7D5E\u7D50\u7D68\u7D55\u7D2B\u7D6E\u7D72\u7D61\u7D66\u7D62\u7D70\u7D73\u5584\u7FD4\u7FD5\u800B\u8052\u8085\u8155\u8154\u814B\u8151\u814E\u8139\u8146\u813E\u814C\u8153\u8174\u8212\u821C\u83E9\u8403\u83F8\u840D\u83E0\u83C5\u840B\u83C1\u83EF\u83F1\u83F4\u8457\u840A\u83F0\u840C\u83CC\u83FD\u83F2\u83CA\u8438\u840E\u8404\u83DC\u8407\u83D4\u83DF\u865B\u86DF\u86D9\u86ED\u86D4\u86DB\u86E4\u86D0\u86DE\u8857\u88C1\u88C2\u88B1\u8983\u8996\u8A3B\u8A60\u8A55\u8A5E\u8A3C\u8A41"],
      ["b640", "\u8A54\u8A5B\u8A50\u8A46\u8A34\u8A3A\u8A36\u8A56\u8C61\u8C82\u8CAF\u8CBC\u8CB3\u8CBD\u8CC1\u8CBB\u8CC0\u8CB4\u8CB7\u8CB6\u8CBF\u8CB8\u8D8A\u8D85\u8D81\u8DCE\u8DDD\u8DCB\u8DDA\u8DD1\u8DCC\u8DDB\u8DC6\u8EFB\u8EF8\u8EFC\u8F9C\u902E\u9035\u9031\u9038\u9032\u9036\u9102\u90F5\u9109\u90FE\u9163\u9165\u91CF\u9214\u9215\u9223\u9209\u921E\u920D\u9210\u9207\u9211\u9594\u958F\u958B\u9591"],
      ["b6a1", "\u9593\u9592\u958E\u968A\u968E\u968B\u967D\u9685\u9686\u968D\u9672\u9684\u96C1\u96C5\u96C4\u96C6\u96C7\u96EF\u96F2\u97CC\u9805\u9806\u9808\u98E7\u98EA\u98EF\u98E9\u98F2\u98ED\u99AE\u99AD\u9EC3\u9ECD\u9ED1\u4E82\u50AD\u50B5\u50B2\u50B3\u50C5\u50BE\u50AC\u50B7\u50BB\u50AF\u50C7\u527F\u5277\u527D\u52DF\u52E6\u52E4\u52E2\u52E3\u532F\u55DF\u55E8\u55D3\u55E6\u55CE\u55DC\u55C7\u55D1\u55E3\u55E4\u55EF\u55DA\u55E1\u55C5\u55C6\u55E5\u55C9\u5712\u5713\u585E\u5851\u5858\u5857\u585A\u5854\u586B\u584C\u586D\u584A\u5862\u5852\u584B\u5967\u5AC1\u5AC9\u5ACC\u5ABE\u5ABD\u5ABC"],
      ["b740", "\u5AB3\u5AC2\u5AB2\u5D69\u5D6F\u5E4C\u5E79\u5EC9\u5EC8\u5F12\u5F59\u5FAC\u5FAE\u611A\u610F\u6148\u611F\u60F3\u611B\u60F9\u6101\u6108\u614E\u614C\u6144\u614D\u613E\u6134\u6127\u610D\u6106\u6137\u6221\u6222\u6413\u643E\u641E\u642A\u642D\u643D\u642C\u640F\u641C\u6414\u640D\u6436\u6416\u6417\u6406\u656C\u659F\u65B0\u6697\u6689\u6687\u6688\u6696\u6684\u6698\u668D\u6703\u6994\u696D"],
      ["b7a1", "\u695A\u6977\u6960\u6954\u6975\u6930\u6982\u694A\u6968\u696B\u695E\u6953\u6979\u6986\u695D\u6963\u695B\u6B47\u6B72\u6BC0\u6BBF\u6BD3\u6BFD\u6EA2\u6EAF\u6ED3\u6EB6\u6EC2\u6E90\u6E9D\u6EC7\u6EC5\u6EA5\u6E98\u6EBC\u6EBA\u6EAB\u6ED1\u6E96\u6E9C\u6EC4\u6ED4\u6EAA\u6EA7\u6EB4\u714E\u7159\u7169\u7164\u7149\u7167\u715C\u716C\u7166\u714C\u7165\u715E\u7146\u7168\u7156\u723A\u7252\u7337\u7345\u733F\u733E\u746F\u745A\u7455\u745F\u745E\u7441\u743F\u7459\u745B\u745C\u7576\u7578\u7600\u75F0\u7601\u75F2\u75F1\u75FA\u75FF\u75F4\u75F3\u76DE\u76DF\u775B\u776B\u7766\u775E\u7763"],
      ["b840", "\u7779\u776A\u776C\u775C\u7765\u7768\u7762\u77EE\u788E\u78B0\u7897\u7898\u788C\u7889\u787C\u7891\u7893\u787F\u797A\u797F\u7981\u842C\u79BD\u7A1C\u7A1A\u7A20\u7A14\u7A1F\u7A1E\u7A9F\u7AA0\u7B77\u7BC0\u7B60\u7B6E\u7B67\u7CB1\u7CB3\u7CB5\u7D93\u7D79\u7D91\u7D81\u7D8F\u7D5B\u7F6E\u7F69\u7F6A\u7F72\u7FA9\u7FA8\u7FA4\u8056\u8058\u8086\u8084\u8171\u8170\u8178\u8165\u816E\u8173\u816B"],
      ["b8a1", "\u8179\u817A\u8166\u8205\u8247\u8482\u8477\u843D\u8431\u8475\u8466\u846B\u8449\u846C\u845B\u843C\u8435\u8461\u8463\u8469\u846D\u8446\u865E\u865C\u865F\u86F9\u8713\u8708\u8707\u8700\u86FE\u86FB\u8702\u8703\u8706\u870A\u8859\u88DF\u88D4\u88D9\u88DC\u88D8\u88DD\u88E1\u88CA\u88D5\u88D2\u899C\u89E3\u8A6B\u8A72\u8A73\u8A66\u8A69\u8A70\u8A87\u8A7C\u8A63\u8AA0\u8A71\u8A85\u8A6D\u8A62\u8A6E\u8A6C\u8A79\u8A7B\u8A3E\u8A68\u8C62\u8C8A\u8C89\u8CCA\u8CC7\u8CC8\u8CC4\u8CB2\u8CC3\u8CC2\u8CC5\u8DE1\u8DDF\u8DE8\u8DEF\u8DF3\u8DFA\u8DEA\u8DE4\u8DE6\u8EB2\u8F03\u8F09\u8EFE\u8F0A"],
      ["b940", "\u8F9F\u8FB2\u904B\u904A\u9053\u9042\u9054\u903C\u9055\u9050\u9047\u904F\u904E\u904D\u9051\u903E\u9041\u9112\u9117\u916C\u916A\u9169\u91C9\u9237\u9257\u9238\u923D\u9240\u923E\u925B\u924B\u9264\u9251\u9234\u9249\u924D\u9245\u9239\u923F\u925A\u9598\u9698\u9694\u9695\u96CD\u96CB\u96C9\u96CA\u96F7\u96FB\u96F9\u96F6\u9756\u9774\u9776\u9810\u9811\u9813\u980A\u9812\u980C\u98FC\u98F4"],
      ["b9a1", "\u98FD\u98FE\u99B3\u99B1\u99B4\u9AE1\u9CE9\u9E82\u9F0E\u9F13\u9F20\u50E7\u50EE\u50E5\u50D6\u50ED\u50DA\u50D5\u50CF\u50D1\u50F1\u50CE\u50E9\u5162\u51F3\u5283\u5282\u5331\u53AD\u55FE\u5600\u561B\u5617\u55FD\u5614\u5606\u5609\u560D\u560E\u55F7\u5616\u561F\u5608\u5610\u55F6\u5718\u5716\u5875\u587E\u5883\u5893\u588A\u5879\u5885\u587D\u58FD\u5925\u5922\u5924\u596A\u5969\u5AE1\u5AE6\u5AE9\u5AD7\u5AD6\u5AD8\u5AE3\u5B75\u5BDE\u5BE7\u5BE1\u5BE5\u5BE6\u5BE8\u5BE2\u5BE4\u5BDF\u5C0D\u5C62\u5D84\u5D87\u5E5B\u5E63\u5E55\u5E57\u5E54\u5ED3\u5ED6\u5F0A\u5F46\u5F70\u5FB9\u6147"],
      ["ba40", "\u613F\u614B\u6177\u6162\u6163\u615F\u615A\u6158\u6175\u622A\u6487\u6458\u6454\u64A4\u6478\u645F\u647A\u6451\u6467\u6434\u646D\u647B\u6572\u65A1\u65D7\u65D6\u66A2\u66A8\u669D\u699C\u69A8\u6995\u69C1\u69AE\u69D3\u69CB\u699B\u69B7\u69BB\u69AB\u69B4\u69D0\u69CD\u69AD\u69CC\u69A6\u69C3\u69A3\u6B49\u6B4C\u6C33\u6F33\u6F14\u6EFE\u6F13\u6EF4\u6F29\u6F3E\u6F20\u6F2C\u6F0F\u6F02\u6F22"],
      ["baa1", "\u6EFF\u6EEF\u6F06\u6F31\u6F38\u6F32\u6F23\u6F15\u6F2B\u6F2F\u6F88\u6F2A\u6EEC\u6F01\u6EF2\u6ECC\u6EF7\u7194\u7199\u717D\u718A\u7184\u7192\u723E\u7292\u7296\u7344\u7350\u7464\u7463\u746A\u7470\u746D\u7504\u7591\u7627\u760D\u760B\u7609\u7613\u76E1\u76E3\u7784\u777D\u777F\u7761\u78C1\u789F\u78A7\u78B3\u78A9\u78A3\u798E\u798F\u798D\u7A2E\u7A31\u7AAA\u7AA9\u7AED\u7AEF\u7BA1\u7B95\u7B8B\u7B75\u7B97\u7B9D\u7B94\u7B8F\u7BB8\u7B87\u7B84\u7CB9\u7CBD\u7CBE\u7DBB\u7DB0\u7D9C\u7DBD\u7DBE\u7DA0\u7DCA\u7DB4\u7DB2\u7DB1\u7DBA\u7DA2\u7DBF\u7DB5\u7DB8\u7DAD\u7DD2\u7DC7\u7DAC"],
      ["bb40", "\u7F70\u7FE0\u7FE1\u7FDF\u805E\u805A\u8087\u8150\u8180\u818F\u8188\u818A\u817F\u8182\u81E7\u81FA\u8207\u8214\u821E\u824B\u84C9\u84BF\u84C6\u84C4\u8499\u849E\u84B2\u849C\u84CB\u84B8\u84C0\u84D3\u8490\u84BC\u84D1\u84CA\u873F\u871C\u873B\u8722\u8725\u8734\u8718\u8755\u8737\u8729\u88F3\u8902\u88F4\u88F9\u88F8\u88FD\u88E8\u891A\u88EF\u8AA6\u8A8C\u8A9E\u8AA3\u8A8D\u8AA1\u8A93\u8AA4"],
      ["bba1", "\u8AAA\u8AA5\u8AA8\u8A98\u8A91\u8A9A\u8AA7\u8C6A\u8C8D\u8C8C\u8CD3\u8CD1\u8CD2\u8D6B\u8D99\u8D95\u8DFC\u8F14\u8F12\u8F15\u8F13\u8FA3\u9060\u9058\u905C\u9063\u9059\u905E\u9062\u905D\u905B\u9119\u9118\u911E\u9175\u9178\u9177\u9174\u9278\u9280\u9285\u9298\u9296\u927B\u9293\u929C\u92A8\u927C\u9291\u95A1\u95A8\u95A9\u95A3\u95A5\u95A4\u9699\u969C\u969B\u96CC\u96D2\u9700\u977C\u9785\u97F6\u9817\u9818\u98AF\u98B1\u9903\u9905\u990C\u9909\u99C1\u9AAF\u9AB0\u9AE6\u9B41\u9B42\u9CF4\u9CF6\u9CF3\u9EBC\u9F3B\u9F4A\u5104\u5100\u50FB\u50F5\u50F9\u5102\u5108\u5109\u5105\u51DC"],
      ["bc40", "\u5287\u5288\u5289\u528D\u528A\u52F0\u53B2\u562E\u563B\u5639\u5632\u563F\u5634\u5629\u5653\u564E\u5657\u5674\u5636\u562F\u5630\u5880\u589F\u589E\u58B3\u589C\u58AE\u58A9\u58A6\u596D\u5B09\u5AFB\u5B0B\u5AF5\u5B0C\u5B08\u5BEE\u5BEC\u5BE9\u5BEB\u5C64\u5C65\u5D9D\u5D94\u5E62\u5E5F\u5E61\u5EE2\u5EDA\u5EDF\u5EDD\u5EE3\u5EE0\u5F48\u5F71\u5FB7\u5FB5\u6176\u6167\u616E\u615D\u6155\u6182"],
      ["bca1", "\u617C\u6170\u616B\u617E\u61A7\u6190\u61AB\u618E\u61AC\u619A\u61A4\u6194\u61AE\u622E\u6469\u646F\u6479\u649E\u64B2\u6488\u6490\u64B0\u64A5\u6493\u6495\u64A9\u6492\u64AE\u64AD\u64AB\u649A\u64AC\u6499\u64A2\u64B3\u6575\u6577\u6578\u66AE\u66AB\u66B4\u66B1\u6A23\u6A1F\u69E8\u6A01\u6A1E\u6A19\u69FD\u6A21\u6A13\u6A0A\u69F3\u6A02\u6A05\u69ED\u6A11\u6B50\u6B4E\u6BA4\u6BC5\u6BC6\u6F3F\u6F7C\u6F84\u6F51\u6F66\u6F54\u6F86\u6F6D\u6F5B\u6F78\u6F6E\u6F8E\u6F7A\u6F70\u6F64\u6F97\u6F58\u6ED5\u6F6F\u6F60\u6F5F\u719F\u71AC\u71B1\u71A8\u7256\u729B\u734E\u7357\u7469\u748B\u7483"],
      ["bd40", "\u747E\u7480\u757F\u7620\u7629\u761F\u7624\u7626\u7621\u7622\u769A\u76BA\u76E4\u778E\u7787\u778C\u7791\u778B\u78CB\u78C5\u78BA\u78CA\u78BE\u78D5\u78BC\u78D0\u7A3F\u7A3C\u7A40\u7A3D\u7A37\u7A3B\u7AAF\u7AAE\u7BAD\u7BB1\u7BC4\u7BB4\u7BC6\u7BC7\u7BC1\u7BA0\u7BCC\u7CCA\u7DE0\u7DF4\u7DEF\u7DFB\u7DD8\u7DEC\u7DDD\u7DE8\u7DE3\u7DDA\u7DDE\u7DE9\u7D9E\u7DD9\u7DF2\u7DF9\u7F75\u7F77\u7FAF"],
      ["bda1", "\u7FE9\u8026\u819B\u819C\u819D\u81A0\u819A\u8198\u8517\u853D\u851A\u84EE\u852C\u852D\u8513\u8511\u8523\u8521\u8514\u84EC\u8525\u84FF\u8506\u8782\u8774\u8776\u8760\u8766\u8778\u8768\u8759\u8757\u874C\u8753\u885B\u885D\u8910\u8907\u8912\u8913\u8915\u890A\u8ABC\u8AD2\u8AC7\u8AC4\u8A95\u8ACB\u8AF8\u8AB2\u8AC9\u8AC2\u8ABF\u8AB0\u8AD6\u8ACD\u8AB6\u8AB9\u8ADB\u8C4C\u8C4E\u8C6C\u8CE0\u8CDE\u8CE6\u8CE4\u8CEC\u8CED\u8CE2\u8CE3\u8CDC\u8CEA\u8CE1\u8D6D\u8D9F\u8DA3\u8E2B\u8E10\u8E1D\u8E22\u8E0F\u8E29\u8E1F\u8E21\u8E1E\u8EBA\u8F1D\u8F1B\u8F1F\u8F29\u8F26\u8F2A\u8F1C\u8F1E"],
      ["be40", "\u8F25\u9069\u906E\u9068\u906D\u9077\u9130\u912D\u9127\u9131\u9187\u9189\u918B\u9183\u92C5\u92BB\u92B7\u92EA\u92AC\u92E4\u92C1\u92B3\u92BC\u92D2\u92C7\u92F0\u92B2\u95AD\u95B1\u9704\u9706\u9707\u9709\u9760\u978D\u978B\u978F\u9821\u982B\u981C\u98B3\u990A\u9913\u9912\u9918\u99DD\u99D0\u99DF\u99DB\u99D1\u99D5\u99D2\u99D9\u9AB7\u9AEE\u9AEF\u9B27\u9B45\u9B44\u9B77\u9B6F\u9D06\u9D09"],
      ["bea1", "\u9D03\u9EA9\u9EBE\u9ECE\u58A8\u9F52\u5112\u5118\u5114\u5110\u5115\u5180\u51AA\u51DD\u5291\u5293\u52F3\u5659\u566B\u5679\u5669\u5664\u5678\u566A\u5668\u5665\u5671\u566F\u566C\u5662\u5676\u58C1\u58BE\u58C7\u58C5\u596E\u5B1D\u5B34\u5B78\u5BF0\u5C0E\u5F4A\u61B2\u6191\u61A9\u618A\u61CD\u61B6\u61BE\u61CA\u61C8\u6230\u64C5\u64C1\u64CB\u64BB\u64BC\u64DA\u64C4\u64C7\u64C2\u64CD\u64BF\u64D2\u64D4\u64BE\u6574\u66C6\u66C9\u66B9\u66C4\u66C7\u66B8\u6A3D\u6A38\u6A3A\u6A59\u6A6B\u6A58\u6A39\u6A44\u6A62\u6A61\u6A4B\u6A47\u6A35\u6A5F\u6A48\u6B59\u6B77\u6C05\u6FC2\u6FB1\u6FA1"],
      ["bf40", "\u6FC3\u6FA4\u6FC1\u6FA7\u6FB3\u6FC0\u6FB9\u6FB6\u6FA6\u6FA0\u6FB4\u71BE\u71C9\u71D0\u71D2\u71C8\u71D5\u71B9\u71CE\u71D9\u71DC\u71C3\u71C4\u7368\u749C\u74A3\u7498\u749F\u749E\u74E2\u750C\u750D\u7634\u7638\u763A\u76E7\u76E5\u77A0\u779E\u779F\u77A5\u78E8\u78DA\u78EC\u78E7\u79A6\u7A4D\u7A4E\u7A46\u7A4C\u7A4B\u7ABA\u7BD9\u7C11\u7BC9\u7BE4\u7BDB\u7BE1\u7BE9\u7BE6\u7CD5\u7CD6\u7E0A"],
      ["bfa1", "\u7E11\u7E08\u7E1B\u7E23\u7E1E\u7E1D\u7E09\u7E10\u7F79\u7FB2\u7FF0\u7FF1\u7FEE\u8028\u81B3\u81A9\u81A8\u81FB\u8208\u8258\u8259\u854A\u8559\u8548\u8568\u8569\u8543\u8549\u856D\u856A\u855E\u8783\u879F\u879E\u87A2\u878D\u8861\u892A\u8932\u8925\u892B\u8921\u89AA\u89A6\u8AE6\u8AFA\u8AEB\u8AF1\u8B00\u8ADC\u8AE7\u8AEE\u8AFE\u8B01\u8B02\u8AF7\u8AED\u8AF3\u8AF6\u8AFC\u8C6B\u8C6D\u8C93\u8CF4\u8E44\u8E31\u8E34\u8E42\u8E39\u8E35\u8F3B\u8F2F\u8F38\u8F33\u8FA8\u8FA6\u9075\u9074\u9078\u9072\u907C\u907A\u9134\u9192\u9320\u9336\u92F8\u9333\u932F\u9322\u92FC\u932B\u9304\u931A"],
      ["c040", "\u9310\u9326\u9321\u9315\u932E\u9319\u95BB\u96A7\u96A8\u96AA\u96D5\u970E\u9711\u9716\u970D\u9713\u970F\u975B\u975C\u9766\u9798\u9830\u9838\u983B\u9837\u982D\u9839\u9824\u9910\u9928\u991E\u991B\u9921\u991A\u99ED\u99E2\u99F1\u9AB8\u9ABC\u9AFB\u9AED\u9B28\u9B91\u9D15\u9D23\u9D26\u9D28\u9D12\u9D1B\u9ED8\u9ED4\u9F8D\u9F9C\u512A\u511F\u5121\u5132\u52F5\u568E\u5680\u5690\u5685\u5687"],
      ["c0a1", "\u568F\u58D5\u58D3\u58D1\u58CE\u5B30\u5B2A\u5B24\u5B7A\u5C37\u5C68\u5DBC\u5DBA\u5DBD\u5DB8\u5E6B\u5F4C\u5FBD\u61C9\u61C2\u61C7\u61E6\u61CB\u6232\u6234\u64CE\u64CA\u64D8\u64E0\u64F0\u64E6\u64EC\u64F1\u64E2\u64ED\u6582\u6583\u66D9\u66D6\u6A80\u6A94\u6A84\u6AA2\u6A9C\u6ADB\u6AA3\u6A7E\u6A97\u6A90\u6AA0\u6B5C\u6BAE\u6BDA\u6C08\u6FD8\u6FF1\u6FDF\u6FE0\u6FDB\u6FE4\u6FEB\u6FEF\u6F80\u6FEC\u6FE1\u6FE9\u6FD5\u6FEE\u6FF0\u71E7\u71DF\u71EE\u71E6\u71E5\u71ED\u71EC\u71F4\u71E0\u7235\u7246\u7370\u7372\u74A9\u74B0\u74A6\u74A8\u7646\u7642\u764C\u76EA\u77B3\u77AA\u77B0\u77AC"],
      ["c140", "\u77A7\u77AD\u77EF\u78F7\u78FA\u78F4\u78EF\u7901\u79A7\u79AA\u7A57\u7ABF\u7C07\u7C0D\u7BFE\u7BF7\u7C0C\u7BE0\u7CE0\u7CDC\u7CDE\u7CE2\u7CDF\u7CD9\u7CDD\u7E2E\u7E3E\u7E46\u7E37\u7E32\u7E43\u7E2B\u7E3D\u7E31\u7E45\u7E41\u7E34\u7E39\u7E48\u7E35\u7E3F\u7E2F\u7F44\u7FF3\u7FFC\u8071\u8072\u8070\u806F\u8073\u81C6\u81C3\u81BA\u81C2\u81C0\u81BF\u81BD\u81C9\u81BE\u81E8\u8209\u8271\u85AA"],
      ["c1a1", "\u8584\u857E\u859C\u8591\u8594\u85AF\u859B\u8587\u85A8\u858A\u8667\u87C0\u87D1\u87B3\u87D2\u87C6\u87AB\u87BB\u87BA\u87C8\u87CB\u893B\u8936\u8944\u8938\u893D\u89AC\u8B0E\u8B17\u8B19\u8B1B\u8B0A\u8B20\u8B1D\u8B04\u8B10\u8C41\u8C3F\u8C73\u8CFA\u8CFD\u8CFC\u8CF8\u8CFB\u8DA8\u8E49\u8E4B\u8E48\u8E4A\u8F44\u8F3E\u8F42\u8F45\u8F3F\u907F\u907D\u9084\u9081\u9082\u9080\u9139\u91A3\u919E\u919C\u934D\u9382\u9328\u9375\u934A\u9365\u934B\u9318\u937E\u936C\u935B\u9370\u935A\u9354\u95CA\u95CB\u95CC\u95C8\u95C6\u96B1\u96B8\u96D6\u971C\u971E\u97A0\u97D3\u9846\u98B6\u9935\u9A01"],
      ["c240", "\u99FF\u9BAE\u9BAB\u9BAA\u9BAD\u9D3B\u9D3F\u9E8B\u9ECF\u9EDE\u9EDC\u9EDD\u9EDB\u9F3E\u9F4B\u53E2\u5695\u56AE\u58D9\u58D8\u5B38\u5F5D\u61E3\u6233\u64F4\u64F2\u64FE\u6506\u64FA\u64FB\u64F7\u65B7\u66DC\u6726\u6AB3\u6AAC\u6AC3\u6ABB\u6AB8\u6AC2\u6AAE\u6AAF\u6B5F\u6B78\u6BAF\u7009\u700B\u6FFE\u7006\u6FFA\u7011\u700F\u71FB\u71FC\u71FE\u71F8\u7377\u7375\u74A7\u74BF\u7515\u7656\u7658"],
      ["c2a1", "\u7652\u77BD\u77BF\u77BB\u77BC\u790E\u79AE\u7A61\u7A62\u7A60\u7AC4\u7AC5\u7C2B\u7C27\u7C2A\u7C1E\u7C23\u7C21\u7CE7\u7E54\u7E55\u7E5E\u7E5A\u7E61\u7E52\u7E59\u7F48\u7FF9\u7FFB\u8077\u8076\u81CD\u81CF\u820A\u85CF\u85A9\u85CD\u85D0\u85C9\u85B0\u85BA\u85B9\u85A6\u87EF\u87EC\u87F2\u87E0\u8986\u89B2\u89F4\u8B28\u8B39\u8B2C\u8B2B\u8C50\u8D05\u8E59\u8E63\u8E66\u8E64\u8E5F\u8E55\u8EC0\u8F49\u8F4D\u9087\u9083\u9088\u91AB\u91AC\u91D0\u9394\u938A\u9396\u93A2\u93B3\u93AE\u93AC\u93B0\u9398\u939A\u9397\u95D4\u95D6\u95D0\u95D5\u96E2\u96DC\u96D9\u96DB\u96DE\u9724\u97A3\u97A6"],
      ["c340", "\u97AD\u97F9\u984D\u984F\u984C\u984E\u9853\u98BA\u993E\u993F\u993D\u992E\u99A5\u9A0E\u9AC1\u9B03\u9B06\u9B4F\u9B4E\u9B4D\u9BCA\u9BC9\u9BFD\u9BC8\u9BC0\u9D51\u9D5D\u9D60\u9EE0\u9F15\u9F2C\u5133\u56A5\u58DE\u58DF\u58E2\u5BF5\u9F90\u5EEC\u61F2\u61F7\u61F6\u61F5\u6500\u650F\u66E0\u66DD\u6AE5\u6ADD\u6ADA\u6AD3\u701B\u701F\u7028\u701A\u701D\u7015\u7018\u7206\u720D\u7258\u72A2\u7378"],
      ["c3a1", "\u737A\u74BD\u74CA\u74E3\u7587\u7586\u765F\u7661\u77C7\u7919\u79B1\u7A6B\u7A69\u7C3E\u7C3F\u7C38\u7C3D\u7C37\u7C40\u7E6B\u7E6D\u7E79\u7E69\u7E6A\u7F85\u7E73\u7FB6\u7FB9\u7FB8\u81D8\u85E9\u85DD\u85EA\u85D5\u85E4\u85E5\u85F7\u87FB\u8805\u880D\u87F9\u87FE\u8960\u895F\u8956\u895E\u8B41\u8B5C\u8B58\u8B49\u8B5A\u8B4E\u8B4F\u8B46\u8B59\u8D08\u8D0A\u8E7C\u8E72\u8E87\u8E76\u8E6C\u8E7A\u8E74\u8F54\u8F4E\u8FAD\u908A\u908B\u91B1\u91AE\u93E1\u93D1\u93DF\u93C3\u93C8\u93DC\u93DD\u93D6\u93E2\u93CD\u93D8\u93E4\u93D7\u93E8\u95DC\u96B4\u96E3\u972A\u9727\u9761\u97DC\u97FB\u985E"],
      ["c440", "\u9858\u985B\u98BC\u9945\u9949\u9A16\u9A19\u9B0D\u9BE8\u9BE7\u9BD6\u9BDB\u9D89\u9D61\u9D72\u9D6A\u9D6C\u9E92\u9E97\u9E93\u9EB4\u52F8\u56A8\u56B7\u56B6\u56B4\u56BC\u58E4\u5B40\u5B43\u5B7D\u5BF6\u5DC9\u61F8\u61FA\u6518\u6514\u6519\u66E6\u6727\u6AEC\u703E\u7030\u7032\u7210\u737B\u74CF\u7662\u7665\u7926\u792A\u792C\u792B\u7AC7\u7AF6\u7C4C\u7C43\u7C4D\u7CEF\u7CF0\u8FAE\u7E7D\u7E7C"],
      ["c4a1", "\u7E82\u7F4C\u8000\u81DA\u8266\u85FB\u85F9\u8611\u85FA\u8606\u860B\u8607\u860A\u8814\u8815\u8964\u89BA\u89F8\u8B70\u8B6C\u8B66\u8B6F\u8B5F\u8B6B\u8D0F\u8D0D\u8E89\u8E81\u8E85\u8E82\u91B4\u91CB\u9418\u9403\u93FD\u95E1\u9730\u98C4\u9952\u9951\u99A8\u9A2B\u9A30\u9A37\u9A35\u9C13\u9C0D\u9E79\u9EB5\u9EE8\u9F2F\u9F5F\u9F63\u9F61\u5137\u5138\u56C1\u56C0\u56C2\u5914\u5C6C\u5DCD\u61FC\u61FE\u651D\u651C\u6595\u66E9\u6AFB\u6B04\u6AFA\u6BB2\u704C\u721B\u72A7\u74D6\u74D4\u7669\u77D3\u7C50\u7E8F\u7E8C\u7FBC\u8617\u862D\u861A\u8823\u8822\u8821\u881F\u896A\u896C\u89BD\u8B74"],
      ["c540", "\u8B77\u8B7D\u8D13\u8E8A\u8E8D\u8E8B\u8F5F\u8FAF\u91BA\u942E\u9433\u9435\u943A\u9438\u9432\u942B\u95E2\u9738\u9739\u9732\u97FF\u9867\u9865\u9957\u9A45\u9A43\u9A40\u9A3E\u9ACF\u9B54\u9B51\u9C2D\u9C25\u9DAF\u9DB4\u9DC2\u9DB8\u9E9D\u9EEF\u9F19\u9F5C\u9F66\u9F67\u513C\u513B\u56C8\u56CA\u56C9\u5B7F\u5DD4\u5DD2\u5F4E\u61FF\u6524\u6B0A\u6B61\u7051\u7058\u7380\u74E4\u758A\u766E\u766C"],
      ["c5a1", "\u79B3\u7C60\u7C5F\u807E\u807D\u81DF\u8972\u896F\u89FC\u8B80\u8D16\u8D17\u8E91\u8E93\u8F61\u9148\u9444\u9451\u9452\u973D\u973E\u97C3\u97C1\u986B\u9955\u9A55\u9A4D\u9AD2\u9B1A\u9C49\u9C31\u9C3E\u9C3B\u9DD3\u9DD7\u9F34\u9F6C\u9F6A\u9F94\u56CC\u5DD6\u6200\u6523\u652B\u652A\u66EC\u6B10\u74DA\u7ACA\u7C64\u7C63\u7C65\u7E93\u7E96\u7E94\u81E2\u8638\u863F\u8831\u8B8A\u9090\u908F\u9463\u9460\u9464\u9768\u986F\u995C\u9A5A\u9A5B\u9A57\u9AD3\u9AD4\u9AD1\u9C54\u9C57\u9C56\u9DE5\u9E9F\u9EF4\u56D1\u58E9\u652C\u705E\u7671\u7672\u77D7\u7F50\u7F88\u8836\u8839\u8862\u8B93\u8B92"],
      ["c640", "\u8B96\u8277\u8D1B\u91C0\u946A\u9742\u9748\u9744\u97C6\u9870\u9A5F\u9B22\u9B58\u9C5F\u9DF9\u9DFA\u9E7C\u9E7D\u9F07\u9F77\u9F72\u5EF3\u6B16\u7063\u7C6C\u7C6E\u883B\u89C0\u8EA1\u91C1\u9472\u9470\u9871\u995E\u9AD6\u9B23\u9ECC\u7064\u77DA\u8B9A\u9477\u97C9\u9A62\u9A65\u7E9C\u8B9C\u8EAA\u91C5\u947D\u947E\u947C\u9C77\u9C78\u9EF7\u8C54\u947F\u9E1A\u7228\u9A6A\u9B31\u9E1B\u9E1E\u7C72"],
      ["c940", "\u4E42\u4E5C\u51F5\u531A\u5382\u4E07\u4E0C\u4E47\u4E8D\u56D7\uFA0C\u5C6E\u5F73\u4E0F\u5187\u4E0E\u4E2E\u4E93\u4EC2\u4EC9\u4EC8\u5198\u52FC\u536C\u53B9\u5720\u5903\u592C\u5C10\u5DFF\u65E1\u6BB3\u6BCC\u6C14\u723F\u4E31\u4E3C\u4EE8\u4EDC\u4EE9\u4EE1\u4EDD\u4EDA\u520C\u531C\u534C\u5722\u5723\u5917\u592F\u5B81\u5B84\u5C12\u5C3B\u5C74\u5C73\u5E04\u5E80\u5E82\u5FC9\u6209\u6250\u6C15"],
      ["c9a1", "\u6C36\u6C43\u6C3F\u6C3B\u72AE\u72B0\u738A\u79B8\u808A\u961E\u4F0E\u4F18\u4F2C\u4EF5\u4F14\u4EF1\u4F00\u4EF7\u4F08\u4F1D\u4F02\u4F05\u4F22\u4F13\u4F04\u4EF4\u4F12\u51B1\u5213\u5209\u5210\u52A6\u5322\u531F\u534D\u538A\u5407\u56E1\u56DF\u572E\u572A\u5734\u593C\u5980\u597C\u5985\u597B\u597E\u5977\u597F\u5B56\u5C15\u5C25\u5C7C\u5C7A\u5C7B\u5C7E\u5DDF\u5E75\u5E84\u5F02\u5F1A\u5F74\u5FD5\u5FD4\u5FCF\u625C\u625E\u6264\u6261\u6266\u6262\u6259\u6260\u625A\u6265\u65EF\u65EE\u673E\u6739\u6738\u673B\u673A\u673F\u673C\u6733\u6C18\u6C46\u6C52\u6C5C\u6C4F\u6C4A\u6C54\u6C4B"],
      ["ca40", "\u6C4C\u7071\u725E\u72B4\u72B5\u738E\u752A\u767F\u7A75\u7F51\u8278\u827C\u8280\u827D\u827F\u864D\u897E\u9099\u9097\u9098\u909B\u9094\u9622\u9624\u9620\u9623\u4F56\u4F3B\u4F62\u4F49\u4F53\u4F64\u4F3E\u4F67\u4F52\u4F5F\u4F41\u4F58\u4F2D\u4F33\u4F3F\u4F61\u518F\u51B9\u521C\u521E\u5221\u52AD\u52AE\u5309\u5363\u5372\u538E\u538F\u5430\u5437\u542A\u5454\u5445\u5419\u541C\u5425\u5418"],
      ["caa1", "\u543D\u544F\u5441\u5428\u5424\u5447\u56EE\u56E7\u56E5\u5741\u5745\u574C\u5749\u574B\u5752\u5906\u5940\u59A6\u5998\u59A0\u5997\u598E\u59A2\u5990\u598F\u59A7\u59A1\u5B8E\u5B92\u5C28\u5C2A\u5C8D\u5C8F\u5C88\u5C8B\u5C89\u5C92\u5C8A\u5C86\u5C93\u5C95\u5DE0\u5E0A\u5E0E\u5E8B\u5E89\u5E8C\u5E88\u5E8D\u5F05\u5F1D\u5F78\u5F76\u5FD2\u5FD1\u5FD0\u5FED\u5FE8\u5FEE\u5FF3\u5FE1\u5FE4\u5FE3\u5FFA\u5FEF\u5FF7\u5FFB\u6000\u5FF4\u623A\u6283\u628C\u628E\u628F\u6294\u6287\u6271\u627B\u627A\u6270\u6281\u6288\u6277\u627D\u6272\u6274\u6537\u65F0\u65F4\u65F3\u65F2\u65F5\u6745\u6747"],
      ["cb40", "\u6759\u6755\u674C\u6748\u675D\u674D\u675A\u674B\u6BD0\u6C19\u6C1A\u6C78\u6C67\u6C6B\u6C84\u6C8B\u6C8F\u6C71\u6C6F\u6C69\u6C9A\u6C6D\u6C87\u6C95\u6C9C\u6C66\u6C73\u6C65\u6C7B\u6C8E\u7074\u707A\u7263\u72BF\u72BD\u72C3\u72C6\u72C1\u72BA\u72C5\u7395\u7397\u7393\u7394\u7392\u753A\u7539\u7594\u7595\u7681\u793D\u8034\u8095\u8099\u8090\u8092\u809C\u8290\u828F\u8285\u828E\u8291\u8293"],
      ["cba1", "\u828A\u8283\u8284\u8C78\u8FC9\u8FBF\u909F\u90A1\u90A5\u909E\u90A7\u90A0\u9630\u9628\u962F\u962D\u4E33\u4F98\u4F7C\u4F85\u4F7D\u4F80\u4F87\u4F76\u4F74\u4F89\u4F84\u4F77\u4F4C\u4F97\u4F6A\u4F9A\u4F79\u4F81\u4F78\u4F90\u4F9C\u4F94\u4F9E\u4F92\u4F82\u4F95\u4F6B\u4F6E\u519E\u51BC\u51BE\u5235\u5232\u5233\u5246\u5231\u52BC\u530A\u530B\u533C\u5392\u5394\u5487\u547F\u5481\u5491\u5482\u5488\u546B\u547A\u547E\u5465\u546C\u5474\u5466\u548D\u546F\u5461\u5460\u5498\u5463\u5467\u5464\u56F7\u56F9\u576F\u5772\u576D\u576B\u5771\u5770\u5776\u5780\u5775\u577B\u5773\u5774\u5762"],
      ["cc40", "\u5768\u577D\u590C\u5945\u59B5\u59BA\u59CF\u59CE\u59B2\u59CC\u59C1\u59B6\u59BC\u59C3\u59D6\u59B1\u59BD\u59C0\u59C8\u59B4\u59C7\u5B62\u5B65\u5B93\u5B95\u5C44\u5C47\u5CAE\u5CA4\u5CA0\u5CB5\u5CAF\u5CA8\u5CAC\u5C9F\u5CA3\u5CAD\u5CA2\u5CAA\u5CA7\u5C9D\u5CA5\u5CB6\u5CB0\u5CA6\u5E17\u5E14\u5E19\u5F28\u5F22\u5F23\u5F24\u5F54\u5F82\u5F7E\u5F7D\u5FDE\u5FE5\u602D\u6026\u6019\u6032\u600B"],
      ["cca1", "\u6034\u600A\u6017\u6033\u601A\u601E\u602C\u6022\u600D\u6010\u602E\u6013\u6011\u600C\u6009\u601C\u6214\u623D\u62AD\u62B4\u62D1\u62BE\u62AA\u62B6\u62CA\u62AE\u62B3\u62AF\u62BB\u62A9\u62B0\u62B8\u653D\u65A8\u65BB\u6609\u65FC\u6604\u6612\u6608\u65FB\u6603\u660B\u660D\u6605\u65FD\u6611\u6610\u66F6\u670A\u6785\u676C\u678E\u6792\u6776\u677B\u6798\u6786\u6784\u6774\u678D\u678C\u677A\u679F\u6791\u6799\u6783\u677D\u6781\u6778\u6779\u6794\u6B25\u6B80\u6B7E\u6BDE\u6C1D\u6C93\u6CEC\u6CEB\u6CEE\u6CD9\u6CB6\u6CD4\u6CAD\u6CE7\u6CB7\u6CD0\u6CC2\u6CBA\u6CC3\u6CC6\u6CED\u6CF2"],
      ["cd40", "\u6CD2\u6CDD\u6CB4\u6C8A\u6C9D\u6C80\u6CDE\u6CC0\u6D30\u6CCD\u6CC7\u6CB0\u6CF9\u6CCF\u6CE9\u6CD1\u7094\u7098\u7085\u7093\u7086\u7084\u7091\u7096\u7082\u709A\u7083\u726A\u72D6\u72CB\u72D8\u72C9\u72DC\u72D2\u72D4\u72DA\u72CC\u72D1\u73A4\u73A1\u73AD\u73A6\u73A2\u73A0\u73AC\u739D\u74DD\u74E8\u753F\u7540\u753E\u758C\u7598\u76AF\u76F3\u76F1\u76F0\u76F5\u77F8\u77FC\u77F9\u77FB\u77FA"],
      ["cda1", "\u77F7\u7942\u793F\u79C5\u7A78\u7A7B\u7AFB\u7C75\u7CFD\u8035\u808F\u80AE\u80A3\u80B8\u80B5\u80AD\u8220\u82A0\u82C0\u82AB\u829A\u8298\u829B\u82B5\u82A7\u82AE\u82BC\u829E\u82BA\u82B4\u82A8\u82A1\u82A9\u82C2\u82A4\u82C3\u82B6\u82A2\u8670\u866F\u866D\u866E\u8C56\u8FD2\u8FCB\u8FD3\u8FCD\u8FD6\u8FD5\u8FD7\u90B2\u90B4\u90AF\u90B3\u90B0\u9639\u963D\u963C\u963A\u9643\u4FCD\u4FC5\u4FD3\u4FB2\u4FC9\u4FCB\u4FC1\u4FD4\u4FDC\u4FD9\u4FBB\u4FB3\u4FDB\u4FC7\u4FD6\u4FBA\u4FC0\u4FB9\u4FEC\u5244\u5249\u52C0\u52C2\u533D\u537C\u5397\u5396\u5399\u5398\u54BA\u54A1\u54AD\u54A5\u54CF"],
      ["ce40", "\u54C3\u830D\u54B7\u54AE\u54D6\u54B6\u54C5\u54C6\u54A0\u5470\u54BC\u54A2\u54BE\u5472\u54DE\u54B0\u57B5\u579E\u579F\u57A4\u578C\u5797\u579D\u579B\u5794\u5798\u578F\u5799\u57A5\u579A\u5795\u58F4\u590D\u5953\u59E1\u59DE\u59EE\u5A00\u59F1\u59DD\u59FA\u59FD\u59FC\u59F6\u59E4\u59F2\u59F7\u59DB\u59E9\u59F3\u59F5\u59E0\u59FE\u59F4\u59ED\u5BA8\u5C4C\u5CD0\u5CD8\u5CCC\u5CD7\u5CCB\u5CDB"],
      ["cea1", "\u5CDE\u5CDA\u5CC9\u5CC7\u5CCA\u5CD6\u5CD3\u5CD4\u5CCF\u5CC8\u5CC6\u5CCE\u5CDF\u5CF8\u5DF9\u5E21\u5E22\u5E23\u5E20\u5E24\u5EB0\u5EA4\u5EA2\u5E9B\u5EA3\u5EA5\u5F07\u5F2E\u5F56\u5F86\u6037\u6039\u6054\u6072\u605E\u6045\u6053\u6047\u6049\u605B\u604C\u6040\u6042\u605F\u6024\u6044\u6058\u6066\u606E\u6242\u6243\u62CF\u630D\u630B\u62F5\u630E\u6303\u62EB\u62F9\u630F\u630C\u62F8\u62F6\u6300\u6313\u6314\u62FA\u6315\u62FB\u62F0\u6541\u6543\u65AA\u65BF\u6636\u6621\u6632\u6635\u661C\u6626\u6622\u6633\u662B\u663A\u661D\u6634\u6639\u662E\u670F\u6710\u67C1\u67F2\u67C8\u67BA"],
      ["cf40", "\u67DC\u67BB\u67F8\u67D8\u67C0\u67B7\u67C5\u67EB\u67E4\u67DF\u67B5\u67CD\u67B3\u67F7\u67F6\u67EE\u67E3\u67C2\u67B9\u67CE\u67E7\u67F0\u67B2\u67FC\u67C6\u67ED\u67CC\u67AE\u67E6\u67DB\u67FA\u67C9\u67CA\u67C3\u67EA\u67CB\u6B28\u6B82\u6B84\u6BB6\u6BD6\u6BD8\u6BE0\u6C20\u6C21\u6D28\u6D34\u6D2D\u6D1F\u6D3C\u6D3F\u6D12\u6D0A\u6CDA\u6D33\u6D04\u6D19\u6D3A\u6D1A\u6D11\u6D00\u6D1D\u6D42"],
      ["cfa1", "\u6D01\u6D18\u6D37\u6D03\u6D0F\u6D40\u6D07\u6D20\u6D2C\u6D08\u6D22\u6D09\u6D10\u70B7\u709F\u70BE\u70B1\u70B0\u70A1\u70B4\u70B5\u70A9\u7241\u7249\u724A\u726C\u7270\u7273\u726E\u72CA\u72E4\u72E8\u72EB\u72DF\u72EA\u72E6\u72E3\u7385\u73CC\u73C2\u73C8\u73C5\u73B9\u73B6\u73B5\u73B4\u73EB\u73BF\u73C7\u73BE\u73C3\u73C6\u73B8\u73CB\u74EC\u74EE\u752E\u7547\u7548\u75A7\u75AA\u7679\u76C4\u7708\u7703\u7704\u7705\u770A\u76F7\u76FB\u76FA\u77E7\u77E8\u7806\u7811\u7812\u7805\u7810\u780F\u780E\u7809\u7803\u7813\u794A\u794C\u794B\u7945\u7944\u79D5\u79CD\u79CF\u79D6\u79CE\u7A80"],
      ["d040", "\u7A7E\u7AD1\u7B00\u7B01\u7C7A\u7C78\u7C79\u7C7F\u7C80\u7C81\u7D03\u7D08\u7D01\u7F58\u7F91\u7F8D\u7FBE\u8007\u800E\u800F\u8014\u8037\u80D8\u80C7\u80E0\u80D1\u80C8\u80C2\u80D0\u80C5\u80E3\u80D9\u80DC\u80CA\u80D5\u80C9\u80CF\u80D7\u80E6\u80CD\u81FF\u8221\u8294\u82D9\u82FE\u82F9\u8307\u82E8\u8300\u82D5\u833A\u82EB\u82D6\u82F4\u82EC\u82E1\u82F2\u82F5\u830C\u82FB\u82F6\u82F0\u82EA"],
      ["d0a1", "\u82E4\u82E0\u82FA\u82F3\u82ED\u8677\u8674\u867C\u8673\u8841\u884E\u8867\u886A\u8869\u89D3\u8A04\u8A07\u8D72\u8FE3\u8FE1\u8FEE\u8FE0\u90F1\u90BD\u90BF\u90D5\u90C5\u90BE\u90C7\u90CB\u90C8\u91D4\u91D3\u9654\u964F\u9651\u9653\u964A\u964E\u501E\u5005\u5007\u5013\u5022\u5030\u501B\u4FF5\u4FF4\u5033\u5037\u502C\u4FF6\u4FF7\u5017\u501C\u5020\u5027\u5035\u502F\u5031\u500E\u515A\u5194\u5193\u51CA\u51C4\u51C5\u51C8\u51CE\u5261\u525A\u5252\u525E\u525F\u5255\u5262\u52CD\u530E\u539E\u5526\u54E2\u5517\u5512\u54E7\u54F3\u54E4\u551A\u54FF\u5504\u5508\u54EB\u5511\u5505\u54F1"],
      ["d140", "\u550A\u54FB\u54F7\u54F8\u54E0\u550E\u5503\u550B\u5701\u5702\u57CC\u5832\u57D5\u57D2\u57BA\u57C6\u57BD\u57BC\u57B8\u57B6\u57BF\u57C7\u57D0\u57B9\u57C1\u590E\u594A\u5A19\u5A16\u5A2D\u5A2E\u5A15\u5A0F\u5A17\u5A0A\u5A1E\u5A33\u5B6C\u5BA7\u5BAD\u5BAC\u5C03\u5C56\u5C54\u5CEC\u5CFF\u5CEE\u5CF1\u5CF7\u5D00\u5CF9\u5E29\u5E28\u5EA8\u5EAE\u5EAA\u5EAC\u5F33\u5F30\u5F67\u605D\u605A\u6067"],
      ["d1a1", "\u6041\u60A2\u6088\u6080\u6092\u6081\u609D\u6083\u6095\u609B\u6097\u6087\u609C\u608E\u6219\u6246\u62F2\u6310\u6356\u632C\u6344\u6345\u6336\u6343\u63E4\u6339\u634B\u634A\u633C\u6329\u6341\u6334\u6358\u6354\u6359\u632D\u6347\u6333\u635A\u6351\u6338\u6357\u6340\u6348\u654A\u6546\u65C6\u65C3\u65C4\u65C2\u664A\u665F\u6647\u6651\u6712\u6713\u681F\u681A\u6849\u6832\u6833\u683B\u684B\u684F\u6816\u6831\u681C\u6835\u682B\u682D\u682F\u684E\u6844\u6834\u681D\u6812\u6814\u6826\u6828\u682E\u684D\u683A\u6825\u6820\u6B2C\u6B2F\u6B2D\u6B31\u6B34\u6B6D\u8082\u6B88\u6BE6\u6BE4"],
      ["d240", "\u6BE8\u6BE3\u6BE2\u6BE7\u6C25\u6D7A\u6D63\u6D64\u6D76\u6D0D\u6D61\u6D92\u6D58\u6D62\u6D6D\u6D6F\u6D91\u6D8D\u6DEF\u6D7F\u6D86\u6D5E\u6D67\u6D60\u6D97\u6D70\u6D7C\u6D5F\u6D82\u6D98\u6D2F\u6D68\u6D8B\u6D7E\u6D80\u6D84\u6D16\u6D83\u6D7B\u6D7D\u6D75\u6D90\u70DC\u70D3\u70D1\u70DD\u70CB\u7F39\u70E2\u70D7\u70D2\u70DE\u70E0\u70D4\u70CD\u70C5\u70C6\u70C7\u70DA\u70CE\u70E1\u7242\u7278"],
      ["d2a1", "\u7277\u7276\u7300\u72FA\u72F4\u72FE\u72F6\u72F3\u72FB\u7301\u73D3\u73D9\u73E5\u73D6\u73BC\u73E7\u73E3\u73E9\u73DC\u73D2\u73DB\u73D4\u73DD\u73DA\u73D7\u73D8\u73E8\u74DE\u74DF\u74F4\u74F5\u7521\u755B\u755F\u75B0\u75C1\u75BB\u75C4\u75C0\u75BF\u75B6\u75BA\u768A\u76C9\u771D\u771B\u7710\u7713\u7712\u7723\u7711\u7715\u7719\u771A\u7722\u7727\u7823\u782C\u7822\u7835\u782F\u7828\u782E\u782B\u7821\u7829\u7833\u782A\u7831\u7954\u795B\u794F\u795C\u7953\u7952\u7951\u79EB\u79EC\u79E0\u79EE\u79ED\u79EA\u79DC\u79DE\u79DD\u7A86\u7A89\u7A85\u7A8B\u7A8C\u7A8A\u7A87\u7AD8\u7B10"],
      ["d340", "\u7B04\u7B13\u7B05\u7B0F\u7B08\u7B0A\u7B0E\u7B09\u7B12\u7C84\u7C91\u7C8A\u7C8C\u7C88\u7C8D\u7C85\u7D1E\u7D1D\u7D11\u7D0E\u7D18\u7D16\u7D13\u7D1F\u7D12\u7D0F\u7D0C\u7F5C\u7F61\u7F5E\u7F60\u7F5D\u7F5B\u7F96\u7F92\u7FC3\u7FC2\u7FC0\u8016\u803E\u8039\u80FA\u80F2\u80F9\u80F5\u8101\u80FB\u8100\u8201\u822F\u8225\u8333\u832D\u8344\u8319\u8351\u8325\u8356\u833F\u8341\u8326\u831C\u8322"],
      ["d3a1", "\u8342\u834E\u831B\u832A\u8308\u833C\u834D\u8316\u8324\u8320\u8337\u832F\u8329\u8347\u8345\u834C\u8353\u831E\u832C\u834B\u8327\u8348\u8653\u8652\u86A2\u86A8\u8696\u868D\u8691\u869E\u8687\u8697\u8686\u868B\u869A\u8685\u86A5\u8699\u86A1\u86A7\u8695\u8698\u868E\u869D\u8690\u8694\u8843\u8844\u886D\u8875\u8876\u8872\u8880\u8871\u887F\u886F\u8883\u887E\u8874\u887C\u8A12\u8C47\u8C57\u8C7B\u8CA4\u8CA3\u8D76\u8D78\u8DB5\u8DB7\u8DB6\u8ED1\u8ED3\u8FFE\u8FF5\u9002\u8FFF\u8FFB\u9004\u8FFC\u8FF6\u90D6\u90E0\u90D9\u90DA\u90E3\u90DF\u90E5\u90D8\u90DB\u90D7\u90DC\u90E4\u9150"],
      ["d440", "\u914E\u914F\u91D5\u91E2\u91DA\u965C\u965F\u96BC\u98E3\u9ADF\u9B2F\u4E7F\u5070\u506A\u5061\u505E\u5060\u5053\u504B\u505D\u5072\u5048\u504D\u5041\u505B\u504A\u5062\u5015\u5045\u505F\u5069\u506B\u5063\u5064\u5046\u5040\u506E\u5073\u5057\u5051\u51D0\u526B\u526D\u526C\u526E\u52D6\u52D3\u532D\u539C\u5575\u5576\u553C\u554D\u5550\u5534\u552A\u5551\u5562\u5536\u5535\u5530\u5552\u5545"],
      ["d4a1", "\u550C\u5532\u5565\u554E\u5539\u5548\u552D\u553B\u5540\u554B\u570A\u5707\u57FB\u5814\u57E2\u57F6\u57DC\u57F4\u5800\u57ED\u57FD\u5808\u57F8\u580B\u57F3\u57CF\u5807\u57EE\u57E3\u57F2\u57E5\u57EC\u57E1\u580E\u57FC\u5810\u57E7\u5801\u580C\u57F1\u57E9\u57F0\u580D\u5804\u595C\u5A60\u5A58\u5A55\u5A67\u5A5E\u5A38\u5A35\u5A6D\u5A50\u5A5F\u5A65\u5A6C\u5A53\u5A64\u5A57\u5A43\u5A5D\u5A52\u5A44\u5A5B\u5A48\u5A8E\u5A3E\u5A4D\u5A39\u5A4C\u5A70\u5A69\u5A47\u5A51\u5A56\u5A42\u5A5C\u5B72\u5B6E\u5BC1\u5BC0\u5C59\u5D1E\u5D0B\u5D1D\u5D1A\u5D20\u5D0C\u5D28\u5D0D\u5D26\u5D25\u5D0F"],
      ["d540", "\u5D30\u5D12\u5D23\u5D1F\u5D2E\u5E3E\u5E34\u5EB1\u5EB4\u5EB9\u5EB2\u5EB3\u5F36\u5F38\u5F9B\u5F96\u5F9F\u608A\u6090\u6086\u60BE\u60B0\u60BA\u60D3\u60D4\u60CF\u60E4\u60D9\u60DD\u60C8\u60B1\u60DB\u60B7\u60CA\u60BF\u60C3\u60CD\u60C0\u6332\u6365\u638A\u6382\u637D\u63BD\u639E\u63AD\u639D\u6397\u63AB\u638E\u636F\u6387\u6390\u636E\u63AF\u6375\u639C\u636D\u63AE\u637C\u63A4\u633B\u639F"],
      ["d5a1", "\u6378\u6385\u6381\u6391\u638D\u6370\u6553\u65CD\u6665\u6661\u665B\u6659\u665C\u6662\u6718\u6879\u6887\u6890\u689C\u686D\u686E\u68AE\u68AB\u6956\u686F\u68A3\u68AC\u68A9\u6875\u6874\u68B2\u688F\u6877\u6892\u687C\u686B\u6872\u68AA\u6880\u6871\u687E\u689B\u6896\u688B\u68A0\u6889\u68A4\u6878\u687B\u6891\u688C\u688A\u687D\u6B36\u6B33\u6B37\u6B38\u6B91\u6B8F\u6B8D\u6B8E\u6B8C\u6C2A\u6DC0\u6DAB\u6DB4\u6DB3\u6E74\u6DAC\u6DE9\u6DE2\u6DB7\u6DF6\u6DD4\u6E00\u6DC8\u6DE0\u6DDF\u6DD6\u6DBE\u6DE5\u6DDC\u6DDD\u6DDB\u6DF4\u6DCA\u6DBD\u6DED\u6DF0\u6DBA\u6DD5\u6DC2\u6DCF\u6DC9"],
      ["d640", "\u6DD0\u6DF2\u6DD3\u6DFD\u6DD7\u6DCD\u6DE3\u6DBB\u70FA\u710D\u70F7\u7117\u70F4\u710C\u70F0\u7104\u70F3\u7110\u70FC\u70FF\u7106\u7113\u7100\u70F8\u70F6\u710B\u7102\u710E\u727E\u727B\u727C\u727F\u731D\u7317\u7307\u7311\u7318\u730A\u7308\u72FF\u730F\u731E\u7388\u73F6\u73F8\u73F5\u7404\u7401\u73FD\u7407\u7400\u73FA\u73FC\u73FF\u740C\u740B\u73F4\u7408\u7564\u7563\u75CE\u75D2\u75CF"],
      ["d6a1", "\u75CB\u75CC\u75D1\u75D0\u768F\u7689\u76D3\u7739\u772F\u772D\u7731\u7732\u7734\u7733\u773D\u7725\u773B\u7735\u7848\u7852\u7849\u784D\u784A\u784C\u7826\u7845\u7850\u7964\u7967\u7969\u796A\u7963\u796B\u7961\u79BB\u79FA\u79F8\u79F6\u79F7\u7A8F\u7A94\u7A90\u7B35\u7B47\u7B34\u7B25\u7B30\u7B22\u7B24\u7B33\u7B18\u7B2A\u7B1D\u7B31\u7B2B\u7B2D\u7B2F\u7B32\u7B38\u7B1A\u7B23\u7C94\u7C98\u7C96\u7CA3\u7D35\u7D3D\u7D38\u7D36\u7D3A\u7D45\u7D2C\u7D29\u7D41\u7D47\u7D3E\u7D3F\u7D4A\u7D3B\u7D28\u7F63\u7F95\u7F9C\u7F9D\u7F9B\u7FCA\u7FCB\u7FCD\u7FD0\u7FD1\u7FC7\u7FCF\u7FC9\u801F"],
      ["d740", "\u801E\u801B\u8047\u8043\u8048\u8118\u8125\u8119\u811B\u812D\u811F\u812C\u811E\u8121\u8115\u8127\u811D\u8122\u8211\u8238\u8233\u823A\u8234\u8232\u8274\u8390\u83A3\u83A8\u838D\u837A\u8373\u83A4\u8374\u838F\u8381\u8395\u8399\u8375\u8394\u83A9\u837D\u8383\u838C\u839D\u839B\u83AA\u838B\u837E\u83A5\u83AF\u8388\u8397\u83B0\u837F\u83A6\u8387\u83AE\u8376\u839A\u8659\u8656\u86BF\u86B7"],
      ["d7a1", "\u86C2\u86C1\u86C5\u86BA\u86B0\u86C8\u86B9\u86B3\u86B8\u86CC\u86B4\u86BB\u86BC\u86C3\u86BD\u86BE\u8852\u8889\u8895\u88A8\u88A2\u88AA\u889A\u8891\u88A1\u889F\u8898\u88A7\u8899\u889B\u8897\u88A4\u88AC\u888C\u8893\u888E\u8982\u89D6\u89D9\u89D5\u8A30\u8A27\u8A2C\u8A1E\u8C39\u8C3B\u8C5C\u8C5D\u8C7D\u8CA5\u8D7D\u8D7B\u8D79\u8DBC\u8DC2\u8DB9\u8DBF\u8DC1\u8ED8\u8EDE\u8EDD\u8EDC\u8ED7\u8EE0\u8EE1\u9024\u900B\u9011\u901C\u900C\u9021\u90EF\u90EA\u90F0\u90F4\u90F2\u90F3\u90D4\u90EB\u90EC\u90E9\u9156\u9158\u915A\u9153\u9155\u91EC\u91F4\u91F1\u91F3\u91F8\u91E4\u91F9\u91EA"],
      ["d840", "\u91EB\u91F7\u91E8\u91EE\u957A\u9586\u9588\u967C\u966D\u966B\u9671\u966F\u96BF\u976A\u9804\u98E5\u9997\u509B\u5095\u5094\u509E\u508B\u50A3\u5083\u508C\u508E\u509D\u5068\u509C\u5092\u5082\u5087\u515F\u51D4\u5312\u5311\u53A4\u53A7\u5591\u55A8\u55A5\u55AD\u5577\u5645\u55A2\u5593\u5588\u558F\u55B5\u5581\u55A3\u5592\u55A4\u557D\u558C\u55A6\u557F\u5595\u55A1\u558E\u570C\u5829\u5837"],
      ["d8a1", "\u5819\u581E\u5827\u5823\u5828\u57F5\u5848\u5825\u581C\u581B\u5833\u583F\u5836\u582E\u5839\u5838\u582D\u582C\u583B\u5961\u5AAF\u5A94\u5A9F\u5A7A\u5AA2\u5A9E\u5A78\u5AA6\u5A7C\u5AA5\u5AAC\u5A95\u5AAE\u5A37\u5A84\u5A8A\u5A97\u5A83\u5A8B\u5AA9\u5A7B\u5A7D\u5A8C\u5A9C\u5A8F\u5A93\u5A9D\u5BEA\u5BCD\u5BCB\u5BD4\u5BD1\u5BCA\u5BCE\u5C0C\u5C30\u5D37\u5D43\u5D6B\u5D41\u5D4B\u5D3F\u5D35\u5D51\u5D4E\u5D55\u5D33\u5D3A\u5D52\u5D3D\u5D31\u5D59\u5D42\u5D39\u5D49\u5D38\u5D3C\u5D32\u5D36\u5D40\u5D45\u5E44\u5E41\u5F58\u5FA6\u5FA5\u5FAB\u60C9\u60B9\u60CC\u60E2\u60CE\u60C4\u6114"],
      ["d940", "\u60F2\u610A\u6116\u6105\u60F5\u6113\u60F8\u60FC\u60FE\u60C1\u6103\u6118\u611D\u6110\u60FF\u6104\u610B\u624A\u6394\u63B1\u63B0\u63CE\u63E5\u63E8\u63EF\u63C3\u649D\u63F3\u63CA\u63E0\u63F6\u63D5\u63F2\u63F5\u6461\u63DF\u63BE\u63DD\u63DC\u63C4\u63D8\u63D3\u63C2\u63C7\u63CC\u63CB\u63C8\u63F0\u63D7\u63D9\u6532\u6567\u656A\u6564\u655C\u6568\u6565\u658C\u659D\u659E\u65AE\u65D0\u65D2"],
      ["d9a1", "\u667C\u666C\u667B\u6680\u6671\u6679\u666A\u6672\u6701\u690C\u68D3\u6904\u68DC\u692A\u68EC\u68EA\u68F1\u690F\u68D6\u68F7\u68EB\u68E4\u68F6\u6913\u6910\u68F3\u68E1\u6907\u68CC\u6908\u6970\u68B4\u6911\u68EF\u68C6\u6914\u68F8\u68D0\u68FD\u68FC\u68E8\u690B\u690A\u6917\u68CE\u68C8\u68DD\u68DE\u68E6\u68F4\u68D1\u6906\u68D4\u68E9\u6915\u6925\u68C7\u6B39\u6B3B\u6B3F\u6B3C\u6B94\u6B97\u6B99\u6B95\u6BBD\u6BF0\u6BF2\u6BF3\u6C30\u6DFC\u6E46\u6E47\u6E1F\u6E49\u6E88\u6E3C\u6E3D\u6E45\u6E62\u6E2B\u6E3F\u6E41\u6E5D\u6E73\u6E1C\u6E33\u6E4B\u6E40\u6E51\u6E3B\u6E03\u6E2E\u6E5E"],
      ["da40", "\u6E68\u6E5C\u6E61\u6E31\u6E28\u6E60\u6E71\u6E6B\u6E39\u6E22\u6E30\u6E53\u6E65\u6E27\u6E78\u6E64\u6E77\u6E55\u6E79\u6E52\u6E66\u6E35\u6E36\u6E5A\u7120\u711E\u712F\u70FB\u712E\u7131\u7123\u7125\u7122\u7132\u711F\u7128\u713A\u711B\u724B\u725A\u7288\u7289\u7286\u7285\u728B\u7312\u730B\u7330\u7322\u7331\u7333\u7327\u7332\u732D\u7326\u7323\u7335\u730C\u742E\u742C\u7430\u742B\u7416"],
      ["daa1", "\u741A\u7421\u742D\u7431\u7424\u7423\u741D\u7429\u7420\u7432\u74FB\u752F\u756F\u756C\u75E7\u75DA\u75E1\u75E6\u75DD\u75DF\u75E4\u75D7\u7695\u7692\u76DA\u7746\u7747\u7744\u774D\u7745\u774A\u774E\u774B\u774C\u77DE\u77EC\u7860\u7864\u7865\u785C\u786D\u7871\u786A\u786E\u7870\u7869\u7868\u785E\u7862\u7974\u7973\u7972\u7970\u7A02\u7A0A\u7A03\u7A0C\u7A04\u7A99\u7AE6\u7AE4\u7B4A\u7B3B\u7B44\u7B48\u7B4C\u7B4E\u7B40\u7B58\u7B45\u7CA2\u7C9E\u7CA8\u7CA1\u7D58\u7D6F\u7D63\u7D53\u7D56\u7D67\u7D6A\u7D4F\u7D6D\u7D5C\u7D6B\u7D52\u7D54\u7D69\u7D51\u7D5F\u7D4E\u7F3E\u7F3F\u7F65"],
      ["db40", "\u7F66\u7FA2\u7FA0\u7FA1\u7FD7\u8051\u804F\u8050\u80FE\u80D4\u8143\u814A\u8152\u814F\u8147\u813D\u814D\u813A\u81E6\u81EE\u81F7\u81F8\u81F9\u8204\u823C\u823D\u823F\u8275\u833B\u83CF\u83F9\u8423\u83C0\u83E8\u8412\u83E7\u83E4\u83FC\u83F6\u8410\u83C6\u83C8\u83EB\u83E3\u83BF\u8401\u83DD\u83E5\u83D8\u83FF\u83E1\u83CB\u83CE\u83D6\u83F5\u83C9\u8409\u840F\u83DE\u8411\u8406\u83C2\u83F3"],
      ["dba1", "\u83D5\u83FA\u83C7\u83D1\u83EA\u8413\u83C3\u83EC\u83EE\u83C4\u83FB\u83D7\u83E2\u841B\u83DB\u83FE\u86D8\u86E2\u86E6\u86D3\u86E3\u86DA\u86EA\u86DD\u86EB\u86DC\u86EC\u86E9\u86D7\u86E8\u86D1\u8848\u8856\u8855\u88BA\u88D7\u88B9\u88B8\u88C0\u88BE\u88B6\u88BC\u88B7\u88BD\u88B2\u8901\u88C9\u8995\u8998\u8997\u89DD\u89DA\u89DB\u8A4E\u8A4D\u8A39\u8A59\u8A40\u8A57\u8A58\u8A44\u8A45\u8A52\u8A48\u8A51\u8A4A\u8A4C\u8A4F\u8C5F\u8C81\u8C80\u8CBA\u8CBE\u8CB0\u8CB9\u8CB5\u8D84\u8D80\u8D89\u8DD8\u8DD3\u8DCD\u8DC7\u8DD6\u8DDC\u8DCF\u8DD5\u8DD9\u8DC8\u8DD7\u8DC5\u8EEF\u8EF7\u8EFA"],
      ["dc40", "\u8EF9\u8EE6\u8EEE\u8EE5\u8EF5\u8EE7\u8EE8\u8EF6\u8EEB\u8EF1\u8EEC\u8EF4\u8EE9\u902D\u9034\u902F\u9106\u912C\u9104\u90FF\u90FC\u9108\u90F9\u90FB\u9101\u9100\u9107\u9105\u9103\u9161\u9164\u915F\u9162\u9160\u9201\u920A\u9225\u9203\u921A\u9226\u920F\u920C\u9200\u9212\u91FF\u91FD\u9206\u9204\u9227\u9202\u921C\u9224\u9219\u9217\u9205\u9216\u957B\u958D\u958C\u9590\u9687\u967E\u9688"],
      ["dca1", "\u9689\u9683\u9680\u96C2\u96C8\u96C3\u96F1\u96F0\u976C\u9770\u976E\u9807\u98A9\u98EB\u9CE6\u9EF9\u4E83\u4E84\u4EB6\u50BD\u50BF\u50C6\u50AE\u50C4\u50CA\u50B4\u50C8\u50C2\u50B0\u50C1\u50BA\u50B1\u50CB\u50C9\u50B6\u50B8\u51D7\u527A\u5278\u527B\u527C\u55C3\u55DB\u55CC\u55D0\u55CB\u55CA\u55DD\u55C0\u55D4\u55C4\u55E9\u55BF\u55D2\u558D\u55CF\u55D5\u55E2\u55D6\u55C8\u55F2\u55CD\u55D9\u55C2\u5714\u5853\u5868\u5864\u584F\u584D\u5849\u586F\u5855\u584E\u585D\u5859\u5865\u585B\u583D\u5863\u5871\u58FC\u5AC7\u5AC4\u5ACB\u5ABA\u5AB8\u5AB1\u5AB5\u5AB0\u5ABF\u5AC8\u5ABB\u5AC6"],
      ["dd40", "\u5AB7\u5AC0\u5ACA\u5AB4\u5AB6\u5ACD\u5AB9\u5A90\u5BD6\u5BD8\u5BD9\u5C1F\u5C33\u5D71\u5D63\u5D4A\u5D65\u5D72\u5D6C\u5D5E\u5D68\u5D67\u5D62\u5DF0\u5E4F\u5E4E\u5E4A\u5E4D\u5E4B\u5EC5\u5ECC\u5EC6\u5ECB\u5EC7\u5F40\u5FAF\u5FAD\u60F7\u6149\u614A\u612B\u6145\u6136\u6132\u612E\u6146\u612F\u614F\u6129\u6140\u6220\u9168\u6223\u6225\u6224\u63C5\u63F1\u63EB\u6410\u6412\u6409\u6420\u6424"],
      ["dda1", "\u6433\u6443\u641F\u6415\u6418\u6439\u6437\u6422\u6423\u640C\u6426\u6430\u6428\u6441\u6435\u642F\u640A\u641A\u6440\u6425\u6427\u640B\u63E7\u641B\u642E\u6421\u640E\u656F\u6592\u65D3\u6686\u668C\u6695\u6690\u668B\u668A\u6699\u6694\u6678\u6720\u6966\u695F\u6938\u694E\u6962\u6971\u693F\u6945\u696A\u6939\u6942\u6957\u6959\u697A\u6948\u6949\u6935\u696C\u6933\u693D\u6965\u68F0\u6978\u6934\u6969\u6940\u696F\u6944\u6976\u6958\u6941\u6974\u694C\u693B\u694B\u6937\u695C\u694F\u6951\u6932\u6952\u692F\u697B\u693C\u6B46\u6B45\u6B43\u6B42\u6B48\u6B41\u6B9B\uFA0D\u6BFB\u6BFC"],
      ["de40", "\u6BF9\u6BF7\u6BF8\u6E9B\u6ED6\u6EC8\u6E8F\u6EC0\u6E9F\u6E93\u6E94\u6EA0\u6EB1\u6EB9\u6EC6\u6ED2\u6EBD\u6EC1\u6E9E\u6EC9\u6EB7\u6EB0\u6ECD\u6EA6\u6ECF\u6EB2\u6EBE\u6EC3\u6EDC\u6ED8\u6E99\u6E92\u6E8E\u6E8D\u6EA4\u6EA1\u6EBF\u6EB3\u6ED0\u6ECA\u6E97\u6EAE\u6EA3\u7147\u7154\u7152\u7163\u7160\u7141\u715D\u7162\u7172\u7178\u716A\u7161\u7142\u7158\u7143\u714B\u7170\u715F\u7150\u7153"],
      ["dea1", "\u7144\u714D\u715A\u724F\u728D\u728C\u7291\u7290\u728E\u733C\u7342\u733B\u733A\u7340\u734A\u7349\u7444\u744A\u744B\u7452\u7451\u7457\u7440\u744F\u7450\u744E\u7442\u7446\u744D\u7454\u74E1\u74FF\u74FE\u74FD\u751D\u7579\u7577\u6983\u75EF\u760F\u7603\u75F7\u75FE\u75FC\u75F9\u75F8\u7610\u75FB\u75F6\u75ED\u75F5\u75FD\u7699\u76B5\u76DD\u7755\u775F\u7760\u7752\u7756\u775A\u7769\u7767\u7754\u7759\u776D\u77E0\u7887\u789A\u7894\u788F\u7884\u7895\u7885\u7886\u78A1\u7883\u7879\u7899\u7880\u7896\u787B\u797C\u7982\u797D\u7979\u7A11\u7A18\u7A19\u7A12\u7A17\u7A15\u7A22\u7A13"],
      ["df40", "\u7A1B\u7A10\u7AA3\u7AA2\u7A9E\u7AEB\u7B66\u7B64\u7B6D\u7B74\u7B69\u7B72\u7B65\u7B73\u7B71\u7B70\u7B61\u7B78\u7B76\u7B63\u7CB2\u7CB4\u7CAF\u7D88\u7D86\u7D80\u7D8D\u7D7F\u7D85\u7D7A\u7D8E\u7D7B\u7D83\u7D7C\u7D8C\u7D94\u7D84\u7D7D\u7D92\u7F6D\u7F6B\u7F67\u7F68\u7F6C\u7FA6\u7FA5\u7FA7\u7FDB\u7FDC\u8021\u8164\u8160\u8177\u815C\u8169\u815B\u8162\u8172\u6721\u815E\u8176\u8167\u816F"],
      ["dfa1", "\u8144\u8161\u821D\u8249\u8244\u8240\u8242\u8245\u84F1\u843F\u8456\u8476\u8479\u848F\u848D\u8465\u8451\u8440\u8486\u8467\u8430\u844D\u847D\u845A\u8459\u8474\u8473\u845D\u8507\u845E\u8437\u843A\u8434\u847A\u8443\u8478\u8432\u8445\u8429\u83D9\u844B\u842F\u8442\u842D\u845F\u8470\u8439\u844E\u844C\u8452\u846F\u84C5\u848E\u843B\u8447\u8436\u8433\u8468\u847E\u8444\u842B\u8460\u8454\u846E\u8450\u870B\u8704\u86F7\u870C\u86FA\u86D6\u86F5\u874D\u86F8\u870E\u8709\u8701\u86F6\u870D\u8705\u88D6\u88CB\u88CD\u88CE\u88DE\u88DB\u88DA\u88CC\u88D0\u8985\u899B\u89DF\u89E5\u89E4"],
      ["e040", "\u89E1\u89E0\u89E2\u89DC\u89E6\u8A76\u8A86\u8A7F\u8A61\u8A3F\u8A77\u8A82\u8A84\u8A75\u8A83\u8A81\u8A74\u8A7A\u8C3C\u8C4B\u8C4A\u8C65\u8C64\u8C66\u8C86\u8C84\u8C85\u8CCC\u8D68\u8D69\u8D91\u8D8C\u8D8E\u8D8F\u8D8D\u8D93\u8D94\u8D90\u8D92\u8DF0\u8DE0\u8DEC\u8DF1\u8DEE\u8DD0\u8DE9\u8DE3\u8DE2\u8DE7\u8DF2\u8DEB\u8DF4\u8F06\u8EFF\u8F01\u8F00\u8F05\u8F07\u8F08\u8F02\u8F0B\u9052\u903F"],
      ["e0a1", "\u9044\u9049\u903D\u9110\u910D\u910F\u9111\u9116\u9114\u910B\u910E\u916E\u916F\u9248\u9252\u9230\u923A\u9266\u9233\u9265\u925E\u9283\u922E\u924A\u9246\u926D\u926C\u924F\u9260\u9267\u926F\u9236\u9261\u9270\u9231\u9254\u9263\u9250\u9272\u924E\u9253\u924C\u9256\u9232\u959F\u959C\u959E\u959B\u9692\u9693\u9691\u9697\u96CE\u96FA\u96FD\u96F8\u96F5\u9773\u9777\u9778\u9772\u980F\u980D\u980E\u98AC\u98F6\u98F9\u99AF\u99B2\u99B0\u99B5\u9AAD\u9AAB\u9B5B\u9CEA\u9CED\u9CE7\u9E80\u9EFD\u50E6\u50D4\u50D7\u50E8\u50F3\u50DB\u50EA\u50DD\u50E4\u50D3\u50EC\u50F0\u50EF\u50E3\u50E0"],
      ["e140", "\u51D8\u5280\u5281\u52E9\u52EB\u5330\u53AC\u5627\u5615\u560C\u5612\u55FC\u560F\u561C\u5601\u5613\u5602\u55FA\u561D\u5604\u55FF\u55F9\u5889\u587C\u5890\u5898\u5886\u5881\u587F\u5874\u588B\u587A\u5887\u5891\u588E\u5876\u5882\u5888\u587B\u5894\u588F\u58FE\u596B\u5ADC\u5AEE\u5AE5\u5AD5\u5AEA\u5ADA\u5AED\u5AEB\u5AF3\u5AE2\u5AE0\u5ADB\u5AEC\u5ADE\u5ADD\u5AD9\u5AE8\u5ADF\u5B77\u5BE0"],
      ["e1a1", "\u5BE3\u5C63\u5D82\u5D80\u5D7D\u5D86\u5D7A\u5D81\u5D77\u5D8A\u5D89\u5D88\u5D7E\u5D7C\u5D8D\u5D79\u5D7F\u5E58\u5E59\u5E53\u5ED8\u5ED1\u5ED7\u5ECE\u5EDC\u5ED5\u5ED9\u5ED2\u5ED4\u5F44\u5F43\u5F6F\u5FB6\u612C\u6128\u6141\u615E\u6171\u6173\u6152\u6153\u6172\u616C\u6180\u6174\u6154\u617A\u615B\u6165\u613B\u616A\u6161\u6156\u6229\u6227\u622B\u642B\u644D\u645B\u645D\u6474\u6476\u6472\u6473\u647D\u6475\u6466\u64A6\u644E\u6482\u645E\u645C\u644B\u6453\u6460\u6450\u647F\u643F\u646C\u646B\u6459\u6465\u6477\u6573\u65A0\u66A1\u66A0\u669F\u6705\u6704\u6722\u69B1\u69B6\u69C9"],
      ["e240", "\u69A0\u69CE\u6996\u69B0\u69AC\u69BC\u6991\u6999\u698E\u69A7\u698D\u69A9\u69BE\u69AF\u69BF\u69C4\u69BD\u69A4\u69D4\u69B9\u69CA\u699A\u69CF\u69B3\u6993\u69AA\u69A1\u699E\u69D9\u6997\u6990\u69C2\u69B5\u69A5\u69C6\u6B4A\u6B4D\u6B4B\u6B9E\u6B9F\u6BA0\u6BC3\u6BC4\u6BFE\u6ECE\u6EF5\u6EF1\u6F03\u6F25\u6EF8\u6F37\u6EFB\u6F2E\u6F09\u6F4E\u6F19\u6F1A\u6F27\u6F18\u6F3B\u6F12\u6EED\u6F0A"],
      ["e2a1", "\u6F36\u6F73\u6EF9\u6EEE\u6F2D\u6F40\u6F30\u6F3C\u6F35\u6EEB\u6F07\u6F0E\u6F43\u6F05\u6EFD\u6EF6\u6F39\u6F1C\u6EFC\u6F3A\u6F1F\u6F0D\u6F1E\u6F08\u6F21\u7187\u7190\u7189\u7180\u7185\u7182\u718F\u717B\u7186\u7181\u7197\u7244\u7253\u7297\u7295\u7293\u7343\u734D\u7351\u734C\u7462\u7473\u7471\u7475\u7472\u7467\u746E\u7500\u7502\u7503\u757D\u7590\u7616\u7608\u760C\u7615\u7611\u760A\u7614\u76B8\u7781\u777C\u7785\u7782\u776E\u7780\u776F\u777E\u7783\u78B2\u78AA\u78B4\u78AD\u78A8\u787E\u78AB\u789E\u78A5\u78A0\u78AC\u78A2\u78A4\u7998\u798A\u798B\u7996\u7995\u7994\u7993"],
      ["e340", "\u7997\u7988\u7992\u7990\u7A2B\u7A4A\u7A30\u7A2F\u7A28\u7A26\u7AA8\u7AAB\u7AAC\u7AEE\u7B88\u7B9C\u7B8A\u7B91\u7B90\u7B96\u7B8D\u7B8C\u7B9B\u7B8E\u7B85\u7B98\u5284\u7B99\u7BA4\u7B82\u7CBB\u7CBF\u7CBC\u7CBA\u7DA7\u7DB7\u7DC2\u7DA3\u7DAA\u7DC1\u7DC0\u7DC5\u7D9D\u7DCE\u7DC4\u7DC6\u7DCB\u7DCC\u7DAF\u7DB9\u7D96\u7DBC\u7D9F\u7DA6\u7DAE\u7DA9\u7DA1\u7DC9\u7F73\u7FE2\u7FE3\u7FE5\u7FDE"],
      ["e3a1", "\u8024\u805D\u805C\u8189\u8186\u8183\u8187\u818D\u818C\u818B\u8215\u8497\u84A4\u84A1\u849F\u84BA\u84CE\u84C2\u84AC\u84AE\u84AB\u84B9\u84B4\u84C1\u84CD\u84AA\u849A\u84B1\u84D0\u849D\u84A7\u84BB\u84A2\u8494\u84C7\u84CC\u849B\u84A9\u84AF\u84A8\u84D6\u8498\u84B6\u84CF\u84A0\u84D7\u84D4\u84D2\u84DB\u84B0\u8491\u8661\u8733\u8723\u8728\u876B\u8740\u872E\u871E\u8721\u8719\u871B\u8743\u872C\u8741\u873E\u8746\u8720\u8732\u872A\u872D\u873C\u8712\u873A\u8731\u8735\u8742\u8726\u8727\u8738\u8724\u871A\u8730\u8711\u88F7\u88E7\u88F1\u88F2\u88FA\u88FE\u88EE\u88FC\u88F6\u88FB"],
      ["e440", "\u88F0\u88EC\u88EB\u899D\u89A1\u899F\u899E\u89E9\u89EB\u89E8\u8AAB\u8A99\u8A8B\u8A92\u8A8F\u8A96\u8C3D\u8C68\u8C69\u8CD5\u8CCF\u8CD7\u8D96\u8E09\u8E02\u8DFF\u8E0D\u8DFD\u8E0A\u8E03\u8E07\u8E06\u8E05\u8DFE\u8E00\u8E04\u8F10\u8F11\u8F0E\u8F0D\u9123\u911C\u9120\u9122\u911F\u911D\u911A\u9124\u9121\u911B\u917A\u9172\u9179\u9173\u92A5\u92A4\u9276\u929B\u927A\u92A0\u9294\u92AA\u928D"],
      ["e4a1", "\u92A6\u929A\u92AB\u9279\u9297\u927F\u92A3\u92EE\u928E\u9282\u9295\u92A2\u927D\u9288\u92A1\u928A\u9286\u928C\u9299\u92A7\u927E\u9287\u92A9\u929D\u928B\u922D\u969E\u96A1\u96FF\u9758\u977D\u977A\u977E\u9783\u9780\u9782\u977B\u9784\u9781\u977F\u97CE\u97CD\u9816\u98AD\u98AE\u9902\u9900\u9907\u999D\u999C\u99C3\u99B9\u99BB\u99BA\u99C2\u99BD\u99C7\u9AB1\u9AE3\u9AE7\u9B3E\u9B3F\u9B60\u9B61\u9B5F\u9CF1\u9CF2\u9CF5\u9EA7\u50FF\u5103\u5130\u50F8\u5106\u5107\u50F6\u50FE\u510B\u510C\u50FD\u510A\u528B\u528C\u52F1\u52EF\u5648\u5642\u564C\u5635\u5641\u564A\u5649\u5646\u5658"],
      ["e540", "\u565A\u5640\u5633\u563D\u562C\u563E\u5638\u562A\u563A\u571A\u58AB\u589D\u58B1\u58A0\u58A3\u58AF\u58AC\u58A5\u58A1\u58FF\u5AFF\u5AF4\u5AFD\u5AF7\u5AF6\u5B03\u5AF8\u5B02\u5AF9\u5B01\u5B07\u5B05\u5B0F\u5C67\u5D99\u5D97\u5D9F\u5D92\u5DA2\u5D93\u5D95\u5DA0\u5D9C\u5DA1\u5D9A\u5D9E\u5E69\u5E5D\u5E60\u5E5C\u7DF3\u5EDB\u5EDE\u5EE1\u5F49\u5FB2\u618B\u6183\u6179\u61B1\u61B0\u61A2\u6189"],
      ["e5a1", "\u619B\u6193\u61AF\u61AD\u619F\u6192\u61AA\u61A1\u618D\u6166\u61B3\u622D\u646E\u6470\u6496\u64A0\u6485\u6497\u649C\u648F\u648B\u648A\u648C\u64A3\u649F\u6468\u64B1\u6498\u6576\u657A\u6579\u657B\u65B2\u65B3\u66B5\u66B0\u66A9\u66B2\u66B7\u66AA\u66AF\u6A00\u6A06\u6A17\u69E5\u69F8\u6A15\u69F1\u69E4\u6A20\u69FF\u69EC\u69E2\u6A1B\u6A1D\u69FE\u6A27\u69F2\u69EE\u6A14\u69F7\u69E7\u6A40\u6A08\u69E6\u69FB\u6A0D\u69FC\u69EB\u6A09\u6A04\u6A18\u6A25\u6A0F\u69F6\u6A26\u6A07\u69F4\u6A16\u6B51\u6BA5\u6BA3\u6BA2\u6BA6\u6C01\u6C00\u6BFF\u6C02\u6F41\u6F26\u6F7E\u6F87\u6FC6\u6F92"],
      ["e640", "\u6F8D\u6F89\u6F8C\u6F62\u6F4F\u6F85\u6F5A\u6F96\u6F76\u6F6C\u6F82\u6F55\u6F72\u6F52\u6F50\u6F57\u6F94\u6F93\u6F5D\u6F00\u6F61\u6F6B\u6F7D\u6F67\u6F90\u6F53\u6F8B\u6F69\u6F7F\u6F95\u6F63\u6F77\u6F6A\u6F7B\u71B2\u71AF\u719B\u71B0\u71A0\u719A\u71A9\u71B5\u719D\u71A5\u719E\u71A4\u71A1\u71AA\u719C\u71A7\u71B3\u7298\u729A\u7358\u7352\u735E\u735F\u7360\u735D\u735B\u7361\u735A\u7359"],
      ["e6a1", "\u7362\u7487\u7489\u748A\u7486\u7481\u747D\u7485\u7488\u747C\u7479\u7508\u7507\u757E\u7625\u761E\u7619\u761D\u761C\u7623\u761A\u7628\u761B\u769C\u769D\u769E\u769B\u778D\u778F\u7789\u7788\u78CD\u78BB\u78CF\u78CC\u78D1\u78CE\u78D4\u78C8\u78C3\u78C4\u78C9\u799A\u79A1\u79A0\u799C\u79A2\u799B\u6B76\u7A39\u7AB2\u7AB4\u7AB3\u7BB7\u7BCB\u7BBE\u7BAC\u7BCE\u7BAF\u7BB9\u7BCA\u7BB5\u7CC5\u7CC8\u7CCC\u7CCB\u7DF7\u7DDB\u7DEA\u7DE7\u7DD7\u7DE1\u7E03\u7DFA\u7DE6\u7DF6\u7DF1\u7DF0\u7DEE\u7DDF\u7F76\u7FAC\u7FB0\u7FAD\u7FED\u7FEB\u7FEA\u7FEC\u7FE6\u7FE8\u8064\u8067\u81A3\u819F"],
      ["e740", "\u819E\u8195\u81A2\u8199\u8197\u8216\u824F\u8253\u8252\u8250\u824E\u8251\u8524\u853B\u850F\u8500\u8529\u850E\u8509\u850D\u851F\u850A\u8527\u851C\u84FB\u852B\u84FA\u8508\u850C\u84F4\u852A\u84F2\u8515\u84F7\u84EB\u84F3\u84FC\u8512\u84EA\u84E9\u8516\u84FE\u8528\u851D\u852E\u8502\u84FD\u851E\u84F6\u8531\u8526\u84E7\u84E8\u84F0\u84EF\u84F9\u8518\u8520\u8530\u850B\u8519\u852F\u8662"],
      ["e7a1", "\u8756\u8763\u8764\u8777\u87E1\u8773\u8758\u8754\u875B\u8752\u8761\u875A\u8751\u875E\u876D\u876A\u8750\u874E\u875F\u875D\u876F\u876C\u877A\u876E\u875C\u8765\u874F\u877B\u8775\u8762\u8767\u8769\u885A\u8905\u890C\u8914\u890B\u8917\u8918\u8919\u8906\u8916\u8911\u890E\u8909\u89A2\u89A4\u89A3\u89ED\u89F0\u89EC\u8ACF\u8AC6\u8AB8\u8AD3\u8AD1\u8AD4\u8AD5\u8ABB\u8AD7\u8ABE\u8AC0\u8AC5\u8AD8\u8AC3\u8ABA\u8ABD\u8AD9\u8C3E\u8C4D\u8C8F\u8CE5\u8CDF\u8CD9\u8CE8\u8CDA\u8CDD\u8CE7\u8DA0\u8D9C\u8DA1\u8D9B\u8E20\u8E23\u8E25\u8E24\u8E2E\u8E15\u8E1B\u8E16\u8E11\u8E19\u8E26\u8E27"],
      ["e840", "\u8E14\u8E12\u8E18\u8E13\u8E1C\u8E17\u8E1A\u8F2C\u8F24\u8F18\u8F1A\u8F20\u8F23\u8F16\u8F17\u9073\u9070\u906F\u9067\u906B\u912F\u912B\u9129\u912A\u9132\u9126\u912E\u9185\u9186\u918A\u9181\u9182\u9184\u9180\u92D0\u92C3\u92C4\u92C0\u92D9\u92B6\u92CF\u92F1\u92DF\u92D8\u92E9\u92D7\u92DD\u92CC\u92EF\u92C2\u92E8\u92CA\u92C8\u92CE\u92E6\u92CD\u92D5\u92C9\u92E0\u92DE\u92E7\u92D1\u92D3"],
      ["e8a1", "\u92B5\u92E1\u92C6\u92B4\u957C\u95AC\u95AB\u95AE\u95B0\u96A4\u96A2\u96D3\u9705\u9708\u9702\u975A\u978A\u978E\u9788\u97D0\u97CF\u981E\u981D\u9826\u9829\u9828\u9820\u981B\u9827\u98B2\u9908\u98FA\u9911\u9914\u9916\u9917\u9915\u99DC\u99CD\u99CF\u99D3\u99D4\u99CE\u99C9\u99D6\u99D8\u99CB\u99D7\u99CC\u9AB3\u9AEC\u9AEB\u9AF3\u9AF2\u9AF1\u9B46\u9B43\u9B67\u9B74\u9B71\u9B66\u9B76\u9B75\u9B70\u9B68\u9B64\u9B6C\u9CFC\u9CFA\u9CFD\u9CFF\u9CF7\u9D07\u9D00\u9CF9\u9CFB\u9D08\u9D05\u9D04\u9E83\u9ED3\u9F0F\u9F10\u511C\u5113\u5117\u511A\u5111\u51DE\u5334\u53E1\u5670\u5660\u566E"],
      ["e940", "\u5673\u5666\u5663\u566D\u5672\u565E\u5677\u571C\u571B\u58C8\u58BD\u58C9\u58BF\u58BA\u58C2\u58BC\u58C6\u5B17\u5B19\u5B1B\u5B21\u5B14\u5B13\u5B10\u5B16\u5B28\u5B1A\u5B20\u5B1E\u5BEF\u5DAC\u5DB1\u5DA9\u5DA7\u5DB5\u5DB0\u5DAE\u5DAA\u5DA8\u5DB2\u5DAD\u5DAF\u5DB4\u5E67\u5E68\u5E66\u5E6F\u5EE9\u5EE7\u5EE6\u5EE8\u5EE5\u5F4B\u5FBC\u619D\u61A8\u6196\u61C5\u61B4\u61C6\u61C1\u61CC\u61BA"],
      ["e9a1", "\u61BF\u61B8\u618C\u64D7\u64D6\u64D0\u64CF\u64C9\u64BD\u6489\u64C3\u64DB\u64F3\u64D9\u6533\u657F\u657C\u65A2\u66C8\u66BE\u66C0\u66CA\u66CB\u66CF\u66BD\u66BB\u66BA\u66CC\u6723\u6A34\u6A66\u6A49\u6A67\u6A32\u6A68\u6A3E\u6A5D\u6A6D\u6A76\u6A5B\u6A51\u6A28\u6A5A\u6A3B\u6A3F\u6A41\u6A6A\u6A64\u6A50\u6A4F\u6A54\u6A6F\u6A69\u6A60\u6A3C\u6A5E\u6A56\u6A55\u6A4D\u6A4E\u6A46\u6B55\u6B54\u6B56\u6BA7\u6BAA\u6BAB\u6BC8\u6BC7\u6C04\u6C03\u6C06\u6FAD\u6FCB\u6FA3\u6FC7\u6FBC\u6FCE\u6FC8\u6F5E\u6FC4\u6FBD\u6F9E\u6FCA\u6FA8\u7004\u6FA5\u6FAE\u6FBA\u6FAC\u6FAA\u6FCF\u6FBF\u6FB8"],
      ["ea40", "\u6FA2\u6FC9\u6FAB\u6FCD\u6FAF\u6FB2\u6FB0\u71C5\u71C2\u71BF\u71B8\u71D6\u71C0\u71C1\u71CB\u71D4\u71CA\u71C7\u71CF\u71BD\u71D8\u71BC\u71C6\u71DA\u71DB\u729D\u729E\u7369\u7366\u7367\u736C\u7365\u736B\u736A\u747F\u749A\u74A0\u7494\u7492\u7495\u74A1\u750B\u7580\u762F\u762D\u7631\u763D\u7633\u763C\u7635\u7632\u7630\u76BB\u76E6\u779A\u779D\u77A1\u779C\u779B\u77A2\u77A3\u7795\u7799"],
      ["eaa1", "\u7797\u78DD\u78E9\u78E5\u78EA\u78DE\u78E3\u78DB\u78E1\u78E2\u78ED\u78DF\u78E0\u79A4\u7A44\u7A48\u7A47\u7AB6\u7AB8\u7AB5\u7AB1\u7AB7\u7BDE\u7BE3\u7BE7\u7BDD\u7BD5\u7BE5\u7BDA\u7BE8\u7BF9\u7BD4\u7BEA\u7BE2\u7BDC\u7BEB\u7BD8\u7BDF\u7CD2\u7CD4\u7CD7\u7CD0\u7CD1\u7E12\u7E21\u7E17\u7E0C\u7E1F\u7E20\u7E13\u7E0E\u7E1C\u7E15\u7E1A\u7E22\u7E0B\u7E0F\u7E16\u7E0D\u7E14\u7E25\u7E24\u7F43\u7F7B\u7F7C\u7F7A\u7FB1\u7FEF\u802A\u8029\u806C\u81B1\u81A6\u81AE\u81B9\u81B5\u81AB\u81B0\u81AC\u81B4\u81B2\u81B7\u81A7\u81F2\u8255\u8256\u8257\u8556\u8545\u856B\u854D\u8553\u8561\u8558"],
      ["eb40", "\u8540\u8546\u8564\u8541\u8562\u8544\u8551\u8547\u8563\u853E\u855B\u8571\u854E\u856E\u8575\u8555\u8567\u8560\u858C\u8566\u855D\u8554\u8565\u856C\u8663\u8665\u8664\u879B\u878F\u8797\u8793\u8792\u8788\u8781\u8796\u8798\u8779\u8787\u87A3\u8785\u8790\u8791\u879D\u8784\u8794\u879C\u879A\u8789\u891E\u8926\u8930\u892D\u892E\u8927\u8931\u8922\u8929\u8923\u892F\u892C\u891F\u89F1\u8AE0"],
      ["eba1", "\u8AE2\u8AF2\u8AF4\u8AF5\u8ADD\u8B14\u8AE4\u8ADF\u8AF0\u8AC8\u8ADE\u8AE1\u8AE8\u8AFF\u8AEF\u8AFB\u8C91\u8C92\u8C90\u8CF5\u8CEE\u8CF1\u8CF0\u8CF3\u8D6C\u8D6E\u8DA5\u8DA7\u8E33\u8E3E\u8E38\u8E40\u8E45\u8E36\u8E3C\u8E3D\u8E41\u8E30\u8E3F\u8EBD\u8F36\u8F2E\u8F35\u8F32\u8F39\u8F37\u8F34\u9076\u9079\u907B\u9086\u90FA\u9133\u9135\u9136\u9193\u9190\u9191\u918D\u918F\u9327\u931E\u9308\u931F\u9306\u930F\u937A\u9338\u933C\u931B\u9323\u9312\u9301\u9346\u932D\u930E\u930D\u92CB\u931D\u92FA\u9325\u9313\u92F9\u92F7\u9334\u9302\u9324\u92FF\u9329\u9339\u9335\u932A\u9314\u930C"],
      ["ec40", "\u930B\u92FE\u9309\u9300\u92FB\u9316\u95BC\u95CD\u95BE\u95B9\u95BA\u95B6\u95BF\u95B5\u95BD\u96A9\u96D4\u970B\u9712\u9710\u9799\u9797\u9794\u97F0\u97F8\u9835\u982F\u9832\u9924\u991F\u9927\u9929\u999E\u99EE\u99EC\u99E5\u99E4\u99F0\u99E3\u99EA\u99E9\u99E7\u9AB9\u9ABF\u9AB4\u9ABB\u9AF6\u9AFA\u9AF9\u9AF7\u9B33\u9B80\u9B85\u9B87\u9B7C\u9B7E\u9B7B\u9B82\u9B93\u9B92\u9B90\u9B7A\u9B95"],
      ["eca1", "\u9B7D\u9B88\u9D25\u9D17\u9D20\u9D1E\u9D14\u9D29\u9D1D\u9D18\u9D22\u9D10\u9D19\u9D1F\u9E88\u9E86\u9E87\u9EAE\u9EAD\u9ED5\u9ED6\u9EFA\u9F12\u9F3D\u5126\u5125\u5122\u5124\u5120\u5129\u52F4\u5693\u568C\u568D\u5686\u5684\u5683\u567E\u5682\u567F\u5681\u58D6\u58D4\u58CF\u58D2\u5B2D\u5B25\u5B32\u5B23\u5B2C\u5B27\u5B26\u5B2F\u5B2E\u5B7B\u5BF1\u5BF2\u5DB7\u5E6C\u5E6A\u5FBE\u5FBB\u61C3\u61B5\u61BC\u61E7\u61E0\u61E5\u61E4\u61E8\u61DE\u64EF\u64E9\u64E3\u64EB\u64E4\u64E8\u6581\u6580\u65B6\u65DA\u66D2\u6A8D\u6A96\u6A81\u6AA5\u6A89\u6A9F\u6A9B\u6AA1\u6A9E\u6A87\u6A93\u6A8E"],
      ["ed40", "\u6A95\u6A83\u6AA8\u6AA4\u6A91\u6A7F\u6AA6\u6A9A\u6A85\u6A8C\u6A92\u6B5B\u6BAD\u6C09\u6FCC\u6FA9\u6FF4\u6FD4\u6FE3\u6FDC\u6FED\u6FE7\u6FE6\u6FDE\u6FF2\u6FDD\u6FE2\u6FE8\u71E1\u71F1\u71E8\u71F2\u71E4\u71F0\u71E2\u7373\u736E\u736F\u7497\u74B2\u74AB\u7490\u74AA\u74AD\u74B1\u74A5\u74AF\u7510\u7511\u7512\u750F\u7584\u7643\u7648\u7649\u7647\u76A4\u76E9\u77B5\u77AB\u77B2\u77B7\u77B6"],
      ["eda1", "\u77B4\u77B1\u77A8\u77F0\u78F3\u78FD\u7902\u78FB\u78FC\u78F2\u7905\u78F9\u78FE\u7904\u79AB\u79A8\u7A5C\u7A5B\u7A56\u7A58\u7A54\u7A5A\u7ABE\u7AC0\u7AC1\u7C05\u7C0F\u7BF2\u7C00\u7BFF\u7BFB\u7C0E\u7BF4\u7C0B\u7BF3\u7C02\u7C09\u7C03\u7C01\u7BF8\u7BFD\u7C06\u7BF0\u7BF1\u7C10\u7C0A\u7CE8\u7E2D\u7E3C\u7E42\u7E33\u9848\u7E38\u7E2A\u7E49\u7E40\u7E47\u7E29\u7E4C\u7E30\u7E3B\u7E36\u7E44\u7E3A\u7F45\u7F7F\u7F7E\u7F7D\u7FF4\u7FF2\u802C\u81BB\u81C4\u81CC\u81CA\u81C5\u81C7\u81BC\u81E9\u825B\u825A\u825C\u8583\u8580\u858F\u85A7\u8595\u85A0\u858B\u85A3\u857B\u85A4\u859A\u859E"],
      ["ee40", "\u8577\u857C\u8589\u85A1\u857A\u8578\u8557\u858E\u8596\u8586\u858D\u8599\u859D\u8581\u85A2\u8582\u8588\u8585\u8579\u8576\u8598\u8590\u859F\u8668\u87BE\u87AA\u87AD\u87C5\u87B0\u87AC\u87B9\u87B5\u87BC\u87AE\u87C9\u87C3\u87C2\u87CC\u87B7\u87AF\u87C4\u87CA\u87B4\u87B6\u87BF\u87B8\u87BD\u87DE\u87B2\u8935\u8933\u893C\u893E\u8941\u8952\u8937\u8942\u89AD\u89AF\u89AE\u89F2\u89F3\u8B1E"],
      ["eea1", "\u8B18\u8B16\u8B11\u8B05\u8B0B\u8B22\u8B0F\u8B12\u8B15\u8B07\u8B0D\u8B08\u8B06\u8B1C\u8B13\u8B1A\u8C4F\u8C70\u8C72\u8C71\u8C6F\u8C95\u8C94\u8CF9\u8D6F\u8E4E\u8E4D\u8E53\u8E50\u8E4C\u8E47\u8F43\u8F40\u9085\u907E\u9138\u919A\u91A2\u919B\u9199\u919F\u91A1\u919D\u91A0\u93A1\u9383\u93AF\u9364\u9356\u9347\u937C\u9358\u935C\u9376\u9349\u9350\u9351\u9360\u936D\u938F\u934C\u936A\u9379\u9357\u9355\u9352\u934F\u9371\u9377\u937B\u9361\u935E\u9363\u9367\u9380\u934E\u9359\u95C7\u95C0\u95C9\u95C3\u95C5\u95B7\u96AE\u96B0\u96AC\u9720\u971F\u9718\u971D\u9719\u979A\u97A1\u979C"],
      ["ef40", "\u979E\u979D\u97D5\u97D4\u97F1\u9841\u9844\u984A\u9849\u9845\u9843\u9925\u992B\u992C\u992A\u9933\u9932\u992F\u992D\u9931\u9930\u9998\u99A3\u99A1\u9A02\u99FA\u99F4\u99F7\u99F9\u99F8\u99F6\u99FB\u99FD\u99FE\u99FC\u9A03\u9ABE\u9AFE\u9AFD\u9B01\u9AFC\u9B48\u9B9A\u9BA8\u9B9E\u9B9B\u9BA6\u9BA1\u9BA5\u9BA4\u9B86\u9BA2\u9BA0\u9BAF\u9D33\u9D41\u9D67\u9D36\u9D2E\u9D2F\u9D31\u9D38\u9D30"],
      ["efa1", "\u9D45\u9D42\u9D43\u9D3E\u9D37\u9D40\u9D3D\u7FF5\u9D2D\u9E8A\u9E89\u9E8D\u9EB0\u9EC8\u9EDA\u9EFB\u9EFF\u9F24\u9F23\u9F22\u9F54\u9FA0\u5131\u512D\u512E\u5698\u569C\u5697\u569A\u569D\u5699\u5970\u5B3C\u5C69\u5C6A\u5DC0\u5E6D\u5E6E\u61D8\u61DF\u61ED\u61EE\u61F1\u61EA\u61F0\u61EB\u61D6\u61E9\u64FF\u6504\u64FD\u64F8\u6501\u6503\u64FC\u6594\u65DB\u66DA\u66DB\u66D8\u6AC5\u6AB9\u6ABD\u6AE1\u6AC6\u6ABA\u6AB6\u6AB7\u6AC7\u6AB4\u6AAD\u6B5E\u6BC9\u6C0B\u7007\u700C\u700D\u7001\u7005\u7014\u700E\u6FFF\u7000\u6FFB\u7026\u6FFC\u6FF7\u700A\u7201\u71FF\u71F9\u7203\u71FD\u7376"],
      ["f040", "\u74B8\u74C0\u74B5\u74C1\u74BE\u74B6\u74BB\u74C2\u7514\u7513\u765C\u7664\u7659\u7650\u7653\u7657\u765A\u76A6\u76BD\u76EC\u77C2\u77BA\u78FF\u790C\u7913\u7914\u7909\u7910\u7912\u7911\u79AD\u79AC\u7A5F\u7C1C\u7C29\u7C19\u7C20\u7C1F\u7C2D\u7C1D\u7C26\u7C28\u7C22\u7C25\u7C30\u7E5C\u7E50\u7E56\u7E63\u7E58\u7E62\u7E5F\u7E51\u7E60\u7E57\u7E53\u7FB5\u7FB3\u7FF7\u7FF8\u8075\u81D1\u81D2"],
      ["f0a1", "\u81D0\u825F\u825E\u85B4\u85C6\u85C0\u85C3\u85C2\u85B3\u85B5\u85BD\u85C7\u85C4\u85BF\u85CB\u85CE\u85C8\u85C5\u85B1\u85B6\u85D2\u8624\u85B8\u85B7\u85BE\u8669\u87E7\u87E6\u87E2\u87DB\u87EB\u87EA\u87E5\u87DF\u87F3\u87E4\u87D4\u87DC\u87D3\u87ED\u87D8\u87E3\u87A4\u87D7\u87D9\u8801\u87F4\u87E8\u87DD\u8953\u894B\u894F\u894C\u8946\u8950\u8951\u8949\u8B2A\u8B27\u8B23\u8B33\u8B30\u8B35\u8B47\u8B2F\u8B3C\u8B3E\u8B31\u8B25\u8B37\u8B26\u8B36\u8B2E\u8B24\u8B3B\u8B3D\u8B3A\u8C42\u8C75\u8C99\u8C98\u8C97\u8CFE\u8D04\u8D02\u8D00\u8E5C\u8E62\u8E60\u8E57\u8E56\u8E5E\u8E65\u8E67"],
      ["f140", "\u8E5B\u8E5A\u8E61\u8E5D\u8E69\u8E54\u8F46\u8F47\u8F48\u8F4B\u9128\u913A\u913B\u913E\u91A8\u91A5\u91A7\u91AF\u91AA\u93B5\u938C\u9392\u93B7\u939B\u939D\u9389\u93A7\u938E\u93AA\u939E\u93A6\u9395\u9388\u9399\u939F\u938D\u93B1\u9391\u93B2\u93A4\u93A8\u93B4\u93A3\u93A5\u95D2\u95D3\u95D1\u96B3\u96D7\u96DA\u5DC2\u96DF\u96D8\u96DD\u9723\u9722\u9725\u97AC\u97AE\u97A8\u97AB\u97A4\u97AA"],
      ["f1a1", "\u97A2\u97A5\u97D7\u97D9\u97D6\u97D8\u97FA\u9850\u9851\u9852\u98B8\u9941\u993C\u993A\u9A0F\u9A0B\u9A09\u9A0D\u9A04\u9A11\u9A0A\u9A05\u9A07\u9A06\u9AC0\u9ADC\u9B08\u9B04\u9B05\u9B29\u9B35\u9B4A\u9B4C\u9B4B\u9BC7\u9BC6\u9BC3\u9BBF\u9BC1\u9BB5\u9BB8\u9BD3\u9BB6\u9BC4\u9BB9\u9BBD\u9D5C\u9D53\u9D4F\u9D4A\u9D5B\u9D4B\u9D59\u9D56\u9D4C\u9D57\u9D52\u9D54\u9D5F\u9D58\u9D5A\u9E8E\u9E8C\u9EDF\u9F01\u9F00\u9F16\u9F25\u9F2B\u9F2A\u9F29\u9F28\u9F4C\u9F55\u5134\u5135\u5296\u52F7\u53B4\u56AB\u56AD\u56A6\u56A7\u56AA\u56AC\u58DA\u58DD\u58DB\u5912\u5B3D\u5B3E\u5B3F\u5DC3\u5E70"],
      ["f240", "\u5FBF\u61FB\u6507\u6510\u650D\u6509\u650C\u650E\u6584\u65DE\u65DD\u66DE\u6AE7\u6AE0\u6ACC\u6AD1\u6AD9\u6ACB\u6ADF\u6ADC\u6AD0\u6AEB\u6ACF\u6ACD\u6ADE\u6B60\u6BB0\u6C0C\u7019\u7027\u7020\u7016\u702B\u7021\u7022\u7023\u7029\u7017\u7024\u701C\u702A\u720C\u720A\u7207\u7202\u7205\u72A5\u72A6\u72A4\u72A3\u72A1\u74CB\u74C5\u74B7\u74C3\u7516\u7660\u77C9\u77CA\u77C4\u77F1\u791D\u791B"],
      ["f2a1", "\u7921\u791C\u7917\u791E\u79B0\u7A67\u7A68\u7C33\u7C3C\u7C39\u7C2C\u7C3B\u7CEC\u7CEA\u7E76\u7E75\u7E78\u7E70\u7E77\u7E6F\u7E7A\u7E72\u7E74\u7E68\u7F4B\u7F4A\u7F83\u7F86\u7FB7\u7FFD\u7FFE\u8078\u81D7\u81D5\u8264\u8261\u8263\u85EB\u85F1\u85ED\u85D9\u85E1\u85E8\u85DA\u85D7\u85EC\u85F2\u85F8\u85D8\u85DF\u85E3\u85DC\u85D1\u85F0\u85E6\u85EF\u85DE\u85E2\u8800\u87FA\u8803\u87F6\u87F7\u8809\u880C\u880B\u8806\u87FC\u8808\u87FF\u880A\u8802\u8962\u895A\u895B\u8957\u8961\u895C\u8958\u895D\u8959\u8988\u89B7\u89B6\u89F6\u8B50\u8B48\u8B4A\u8B40\u8B53\u8B56\u8B54\u8B4B\u8B55"],
      ["f340", "\u8B51\u8B42\u8B52\u8B57\u8C43\u8C77\u8C76\u8C9A\u8D06\u8D07\u8D09\u8DAC\u8DAA\u8DAD\u8DAB\u8E6D\u8E78\u8E73\u8E6A\u8E6F\u8E7B\u8EC2\u8F52\u8F51\u8F4F\u8F50\u8F53\u8FB4\u9140\u913F\u91B0\u91AD\u93DE\u93C7\u93CF\u93C2\u93DA\u93D0\u93F9\u93EC\u93CC\u93D9\u93A9\u93E6\u93CA\u93D4\u93EE\u93E3\u93D5\u93C4\u93CE\u93C0\u93D2\u93E7\u957D\u95DA\u95DB\u96E1\u9729\u972B\u972C\u9728\u9726"],
      ["f3a1", "\u97B3\u97B7\u97B6\u97DD\u97DE\u97DF\u985C\u9859\u985D\u9857\u98BF\u98BD\u98BB\u98BE\u9948\u9947\u9943\u99A6\u99A7\u9A1A\u9A15\u9A25\u9A1D\u9A24\u9A1B\u9A22\u9A20\u9A27\u9A23\u9A1E\u9A1C\u9A14\u9AC2\u9B0B\u9B0A\u9B0E\u9B0C\u9B37\u9BEA\u9BEB\u9BE0\u9BDE\u9BE4\u9BE6\u9BE2\u9BF0\u9BD4\u9BD7\u9BEC\u9BDC\u9BD9\u9BE5\u9BD5\u9BE1\u9BDA\u9D77\u9D81\u9D8A\u9D84\u9D88\u9D71\u9D80\u9D78\u9D86\u9D8B\u9D8C\u9D7D\u9D6B\u9D74\u9D75\u9D70\u9D69\u9D85\u9D73\u9D7B\u9D82\u9D6F\u9D79\u9D7F\u9D87\u9D68\u9E94\u9E91\u9EC0\u9EFC\u9F2D\u9F40\u9F41\u9F4D\u9F56\u9F57\u9F58\u5337\u56B2"],
      ["f440", "\u56B5\u56B3\u58E3\u5B45\u5DC6\u5DC7\u5EEE\u5EEF\u5FC0\u5FC1\u61F9\u6517\u6516\u6515\u6513\u65DF\u66E8\u66E3\u66E4\u6AF3\u6AF0\u6AEA\u6AE8\u6AF9\u6AF1\u6AEE\u6AEF\u703C\u7035\u702F\u7037\u7034\u7031\u7042\u7038\u703F\u703A\u7039\u7040\u703B\u7033\u7041\u7213\u7214\u72A8\u737D\u737C\u74BA\u76AB\u76AA\u76BE\u76ED\u77CC\u77CE\u77CF\u77CD\u77F2\u7925\u7923\u7927\u7928\u7924\u7929"],
      ["f4a1", "\u79B2\u7A6E\u7A6C\u7A6D\u7AF7\u7C49\u7C48\u7C4A\u7C47\u7C45\u7CEE\u7E7B\u7E7E\u7E81\u7E80\u7FBA\u7FFF\u8079\u81DB\u81D9\u820B\u8268\u8269\u8622\u85FF\u8601\u85FE\u861B\u8600\u85F6\u8604\u8609\u8605\u860C\u85FD\u8819\u8810\u8811\u8817\u8813\u8816\u8963\u8966\u89B9\u89F7\u8B60\u8B6A\u8B5D\u8B68\u8B63\u8B65\u8B67\u8B6D\u8DAE\u8E86\u8E88\u8E84\u8F59\u8F56\u8F57\u8F55\u8F58\u8F5A\u908D\u9143\u9141\u91B7\u91B5\u91B2\u91B3\u940B\u9413\u93FB\u9420\u940F\u9414\u93FE\u9415\u9410\u9428\u9419\u940D\u93F5\u9400\u93F7\u9407\u940E\u9416\u9412\u93FA\u9409\u93F8\u940A\u93FF"],
      ["f540", "\u93FC\u940C\u93F6\u9411\u9406\u95DE\u95E0\u95DF\u972E\u972F\u97B9\u97BB\u97FD\u97FE\u9860\u9862\u9863\u985F\u98C1\u98C2\u9950\u994E\u9959\u994C\u994B\u9953\u9A32\u9A34\u9A31\u9A2C\u9A2A\u9A36\u9A29\u9A2E\u9A38\u9A2D\u9AC7\u9ACA\u9AC6\u9B10\u9B12\u9B11\u9C0B\u9C08\u9BF7\u9C05\u9C12\u9BF8\u9C40\u9C07\u9C0E\u9C06\u9C17\u9C14\u9C09\u9D9F\u9D99\u9DA4\u9D9D\u9D92\u9D98\u9D90\u9D9B"],
      ["f5a1", "\u9DA0\u9D94\u9D9C\u9DAA\u9D97\u9DA1\u9D9A\u9DA2\u9DA8\u9D9E\u9DA3\u9DBF\u9DA9\u9D96\u9DA6\u9DA7\u9E99\u9E9B\u9E9A\u9EE5\u9EE4\u9EE7\u9EE6\u9F30\u9F2E\u9F5B\u9F60\u9F5E\u9F5D\u9F59\u9F91\u513A\u5139\u5298\u5297\u56C3\u56BD\u56BE\u5B48\u5B47\u5DCB\u5DCF\u5EF1\u61FD\u651B\u6B02\u6AFC\u6B03\u6AF8\u6B00\u7043\u7044\u704A\u7048\u7049\u7045\u7046\u721D\u721A\u7219\u737E\u7517\u766A\u77D0\u792D\u7931\u792F\u7C54\u7C53\u7CF2\u7E8A\u7E87\u7E88\u7E8B\u7E86\u7E8D\u7F4D\u7FBB\u8030\u81DD\u8618\u862A\u8626\u861F\u8623\u861C\u8619\u8627\u862E\u8621\u8620\u8629\u861E\u8625"],
      ["f640", "\u8829\u881D\u881B\u8820\u8824\u881C\u882B\u884A\u896D\u8969\u896E\u896B\u89FA\u8B79\u8B78\u8B45\u8B7A\u8B7B\u8D10\u8D14\u8DAF\u8E8E\u8E8C\u8F5E\u8F5B\u8F5D\u9146\u9144\u9145\u91B9\u943F\u943B\u9436\u9429\u943D\u943C\u9430\u9439\u942A\u9437\u942C\u9440\u9431\u95E5\u95E4\u95E3\u9735\u973A\u97BF\u97E1\u9864\u98C9\u98C6\u98C0\u9958\u9956\u9A39\u9A3D\u9A46\u9A44\u9A42\u9A41\u9A3A"],
      ["f6a1", "\u9A3F\u9ACD\u9B15\u9B17\u9B18\u9B16\u9B3A\u9B52\u9C2B\u9C1D\u9C1C\u9C2C\u9C23\u9C28\u9C29\u9C24\u9C21\u9DB7\u9DB6\u9DBC\u9DC1\u9DC7\u9DCA\u9DCF\u9DBE\u9DC5\u9DC3\u9DBB\u9DB5\u9DCE\u9DB9\u9DBA\u9DAC\u9DC8\u9DB1\u9DAD\u9DCC\u9DB3\u9DCD\u9DB2\u9E7A\u9E9C\u9EEB\u9EEE\u9EED\u9F1B\u9F18\u9F1A\u9F31\u9F4E\u9F65\u9F64\u9F92\u4EB9\u56C6\u56C5\u56CB\u5971\u5B4B\u5B4C\u5DD5\u5DD1\u5EF2\u6521\u6520\u6526\u6522\u6B0B\u6B08\u6B09\u6C0D\u7055\u7056\u7057\u7052\u721E\u721F\u72A9\u737F\u74D8\u74D5\u74D9\u74D7\u766D\u76AD\u7935\u79B4\u7A70\u7A71\u7C57\u7C5C\u7C59\u7C5B\u7C5A"],
      ["f740", "\u7CF4\u7CF1\u7E91\u7F4F\u7F87\u81DE\u826B\u8634\u8635\u8633\u862C\u8632\u8636\u882C\u8828\u8826\u882A\u8825\u8971\u89BF\u89BE\u89FB\u8B7E\u8B84\u8B82\u8B86\u8B85\u8B7F\u8D15\u8E95\u8E94\u8E9A\u8E92\u8E90\u8E96\u8E97\u8F60\u8F62\u9147\u944C\u9450\u944A\u944B\u944F\u9447\u9445\u9448\u9449\u9446\u973F\u97E3\u986A\u9869\u98CB\u9954\u995B\u9A4E\u9A53\u9A54\u9A4C\u9A4F\u9A48\u9A4A"],
      ["f7a1", "\u9A49\u9A52\u9A50\u9AD0\u9B19\u9B2B\u9B3B\u9B56\u9B55\u9C46\u9C48\u9C3F\u9C44\u9C39\u9C33\u9C41\u9C3C\u9C37\u9C34\u9C32\u9C3D\u9C36\u9DDB\u9DD2\u9DDE\u9DDA\u9DCB\u9DD0\u9DDC\u9DD1\u9DDF\u9DE9\u9DD9\u9DD8\u9DD6\u9DF5\u9DD5\u9DDD\u9EB6\u9EF0\u9F35\u9F33\u9F32\u9F42\u9F6B\u9F95\u9FA2\u513D\u5299\u58E8\u58E7\u5972\u5B4D\u5DD8\u882F\u5F4F\u6201\u6203\u6204\u6529\u6525\u6596\u66EB\u6B11\u6B12\u6B0F\u6BCA\u705B\u705A\u7222\u7382\u7381\u7383\u7670\u77D4\u7C67\u7C66\u7E95\u826C\u863A\u8640\u8639\u863C\u8631\u863B\u863E\u8830\u8832\u882E\u8833\u8976\u8974\u8973\u89FE"],
      ["f840", "\u8B8C\u8B8E\u8B8B\u8B88\u8C45\u8D19\u8E98\u8F64\u8F63\u91BC\u9462\u9455\u945D\u9457\u945E\u97C4\u97C5\u9800\u9A56\u9A59\u9B1E\u9B1F\u9B20\u9C52\u9C58\u9C50\u9C4A\u9C4D\u9C4B\u9C55\u9C59\u9C4C\u9C4E\u9DFB\u9DF7\u9DEF\u9DE3\u9DEB\u9DF8\u9DE4\u9DF6\u9DE1\u9DEE\u9DE6\u9DF2\u9DF0\u9DE2\u9DEC\u9DF4\u9DF3\u9DE8\u9DED\u9EC2\u9ED0\u9EF2\u9EF3\u9F06\u9F1C\u9F38\u9F37\u9F36\u9F43\u9F4F"],
      ["f8a1", "\u9F71\u9F70\u9F6E\u9F6F\u56D3\u56CD\u5B4E\u5C6D\u652D\u66ED\u66EE\u6B13\u705F\u7061\u705D\u7060\u7223\u74DB\u74E5\u77D5\u7938\u79B7\u79B6\u7C6A\u7E97\u7F89\u826D\u8643\u8838\u8837\u8835\u884B\u8B94\u8B95\u8E9E\u8E9F\u8EA0\u8E9D\u91BE\u91BD\u91C2\u946B\u9468\u9469\u96E5\u9746\u9743\u9747\u97C7\u97E5\u9A5E\u9AD5\u9B59\u9C63\u9C67\u9C66\u9C62\u9C5E\u9C60\u9E02\u9DFE\u9E07\u9E03\u9E06\u9E05\u9E00\u9E01\u9E09\u9DFF\u9DFD\u9E04\u9EA0\u9F1E\u9F46\u9F74\u9F75\u9F76\u56D4\u652E\u65B8\u6B18\u6B19\u6B17\u6B1A\u7062\u7226\u72AA\u77D8\u77D9\u7939\u7C69\u7C6B\u7CF6\u7E9A"],
      ["f940", "\u7E98\u7E9B\u7E99\u81E0\u81E1\u8646\u8647\u8648\u8979\u897A\u897C\u897B\u89FF\u8B98\u8B99\u8EA5\u8EA4\u8EA3\u946E\u946D\u946F\u9471\u9473\u9749\u9872\u995F\u9C68\u9C6E\u9C6D\u9E0B\u9E0D\u9E10\u9E0F\u9E12\u9E11\u9EA1\u9EF5\u9F09\u9F47\u9F78\u9F7B\u9F7A\u9F79\u571E\u7066\u7C6F\u883C\u8DB2\u8EA6\u91C3\u9474\u9478\u9476\u9475\u9A60\u9C74\u9C73\u9C71\u9C75\u9E14\u9E13\u9EF6\u9F0A"],
      ["f9a1", "\u9FA4\u7068\u7065\u7CF7\u866A\u883E\u883D\u883F\u8B9E\u8C9C\u8EA9\u8EC9\u974B\u9873\u9874\u98CC\u9961\u99AB\u9A64\u9A66\u9A67\u9B24\u9E15\u9E17\u9F48\u6207\u6B1E\u7227\u864C\u8EA8\u9482\u9480\u9481\u9A69\u9A68\u9B2E\u9E19\u7229\u864B\u8B9F\u9483\u9C79\u9EB7\u7675\u9A6B\u9C7A\u9E1D\u7069\u706A\u9EA4\u9F7E\u9F49\u9F98\u7881\u92B9\u88CF\u58BB\u6052\u7CA7\u5AFA\u2554\u2566\u2557\u2560\u256C\u2563\u255A\u2569\u255D\u2552\u2564\u2555\u255E\u256A\u2561\u2558\u2567\u255B\u2553\u2565\u2556\u255F\u256B\u2562\u2559\u2568\u255C\u2551\u2550\u256D\u256E\u2570\u256F\u2593"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/big5-added.json
var require_big5_added2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/tables/big5-added.json"(exports2, module2) {
    module2.exports = [
      ["8740", "\u43F0\u4C32\u4603\u45A6\u4578\u{27267}\u4D77\u45B3\u{27CB1}\u4CE2\u{27CC5}\u3B95\u4736\u4744\u4C47\u4C40\u{242BF}\u{23617}\u{27352}\u{26E8B}\u{270D2}\u4C57\u{2A351}\u474F\u45DA\u4C85\u{27C6C}\u4D07\u4AA4\u46A1\u{26B23}\u7225\u{25A54}\u{21A63}\u{23E06}\u{23F61}\u664D\u56FB"],
      ["8767", "\u7D95\u591D\u{28BB9}\u3DF4\u9734\u{27BEF}\u5BDB\u{21D5E}\u5AA4\u3625\u{29EB0}\u5AD1\u5BB7\u5CFC\u676E\u8593\u{29945}\u7461\u749D\u3875\u{21D53}\u{2369E}\u{26021}\u3EEC"],
      ["87a1", "\u{258DE}\u3AF5\u7AFC\u9F97\u{24161}\u{2890D}\u{231EA}\u{20A8A}\u{2325E}\u430A\u8484\u9F96\u942F\u4930\u8613\u5896\u974A\u9218\u79D0\u7A32\u6660\u6A29\u889D\u744C\u7BC5\u6782\u7A2C\u524F\u9046\u34E6\u73C4\u{25DB9}\u74C6\u9FC7\u57B3\u492F\u544C\u4131\u{2368E}\u5818\u7A72\u{27B65}\u8B8F\u46AE\u{26E88}\u4181\u{25D99}\u7BAE\u{224BC}\u9FC8\u{224C1}\u{224C9}\u{224CC}\u9FC9\u8504\u{235BB}\u40B4\u9FCA\u44E1\u{2ADFF}\u62C1\u706E\u9FCB"],
      ["8840", "\u31C0", 4, "\u{2010C}\u31C5\u{200D1}\u{200CD}\u31C6\u31C7\u{200CB}\u{21FE8}\u31C8\u{200CA}\u31C9\u31CA\u31CB\u31CC\u{2010E}\u31CD\u31CE\u0100\xC1\u01CD\xC0\u0112\xC9\u011A\xC8\u014C\xD3\u01D1\xD2\u0FFF\xCA\u0304\u1EBE\u0FFF\xCA\u030C\u1EC0\xCA\u0101\xE1\u01CE\xE0\u0251\u0113\xE9\u011B\xE8\u012B\xED\u01D0\xEC\u014D\xF3\u01D2\xF2\u016B\xFA\u01D4\xF9\u01D6\u01D8\u01DA"],
      ["88a1", "\u01DC\xFC\u0FFF\xEA\u0304\u1EBF\u0FFF\xEA\u030C\u1EC1\xEA\u0261\u23DA\u23DB"],
      ["8940", "\u{2A3A9}\u{21145}"],
      ["8943", "\u650A"],
      ["8946", "\u4E3D\u6EDD\u9D4E\u91DF"],
      ["894c", "\u{27735}\u6491\u4F1A\u4F28\u4FA8\u5156\u5174\u519C\u51E4\u52A1\u52A8\u533B\u534E\u53D1\u53D8\u56E2\u58F0\u5904\u5907\u5932\u5934\u5B66\u5B9E\u5B9F\u5C9A\u5E86\u603B\u6589\u67FE\u6804\u6865\u6D4E\u70BC\u7535\u7EA4\u7EAC\u7EBA\u7EC7\u7ECF\u7EDF\u7F06\u7F37\u827A\u82CF\u836F\u89C6\u8BBE\u8BE2\u8F66\u8F67\u8F6E"],
      ["89a1", "\u7411\u7CFC\u7DCD\u6946\u7AC9\u5227"],
      ["89ab", "\u918C\u78B8\u915E\u80BC"],
      ["89b0", "\u8D0B\u80F6\u{209E7}"],
      ["89b5", "\u809F\u9EC7\u4CCD\u9DC9\u9E0C\u4C3E\u{29DF6}\u{2700E}\u9E0A\u{2A133}\u35C1"],
      ["89c1", "\u6E9A\u823E\u7519"],
      ["89c5", "\u4911\u9A6C\u9A8F\u9F99\u7987\u{2846C}\u{21DCA}\u{205D0}\u{22AE6}\u4E24\u4E81\u4E80\u4E87\u4EBF\u4EEB\u4F37\u344C\u4FBD\u3E48\u5003\u5088\u347D\u3493\u34A5\u5186\u5905\u51DB\u51FC\u5205\u4E89\u5279\u5290\u5327\u35C7\u53A9\u3551\u53B0\u3553\u53C2\u5423\u356D\u3572\u3681\u5493\u54A3\u54B4\u54B9\u54D0\u54EF\u5518\u5523\u5528\u3598\u553F\u35A5\u35BF\u55D7\u35C5"],
      ["8a40", "\u{27D84}\u5525"],
      ["8a43", "\u{20C42}\u{20D15}\u{2512B}\u5590\u{22CC6}\u39EC\u{20341}\u8E46\u{24DB8}\u{294E5}\u4053\u{280BE}\u777A\u{22C38}\u3A34\u47D5\u{2815D}\u{269F2}\u{24DEA}\u64DD\u{20D7C}\u{20FB4}\u{20CD5}\u{210F4}\u648D\u8E7E\u{20E96}\u{20C0B}\u{20F64}\u{22CA9}\u{28256}\u{244D3}"],
      ["8a64", "\u{20D46}\u{29A4D}\u{280E9}\u47F4\u{24EA7}\u{22CC2}\u9AB2\u3A67\u{295F4}\u3FED\u3506\u{252C7}\u{297D4}\u{278C8}\u{22D44}\u9D6E\u9815"],
      ["8a76", "\u43D9\u{260A5}\u64B4\u54E3\u{22D4C}\u{22BCA}\u{21077}\u39FB\u{2106F}"],
      ["8aa1", "\u{266DA}\u{26716}\u{279A0}\u64EA\u{25052}\u{20C43}\u8E68\u{221A1}\u{28B4C}\u{20731}"],
      ["8aac", "\u480B\u{201A9}\u3FFA\u5873\u{22D8D}"],
      ["8ab2", "\u{245C8}\u{204FC}\u{26097}\u{20F4C}\u{20D96}\u5579\u40BB\u43BA"],
      ["8abb", "\u4AB4\u{22A66}\u{2109D}\u81AA\u98F5\u{20D9C}\u6379\u39FE\u{22775}\u8DC0\u56A1\u647C\u3E43"],
      ["8ac9", "\u{2A601}\u{20E09}\u{22ACF}\u{22CC9}"],
      ["8ace", "\u{210C8}\u{239C2}\u3992\u3A06\u{2829B}\u3578\u{25E49}\u{220C7}\u5652\u{20F31}\u{22CB2}\u{29720}\u34BC\u6C3D\u{24E3B}"],
      ["8adf", "\u{27574}\u{22E8B}\u{22208}\u{2A65B}\u{28CCD}\u{20E7A}\u{20C34}\u{2681C}\u7F93\u{210CF}\u{22803}\u{22939}\u35FB\u{251E3}\u{20E8C}\u{20F8D}\u{20EAA}\u3F93\u{20F30}\u{20D47}\u{2114F}\u{20E4C}"],
      ["8af6", "\u{20EAB}\u{20BA9}\u{20D48}\u{210C0}\u{2113D}\u3FF9\u{22696}\u6432\u{20FAD}"],
      ["8b40", "\u{233F4}\u{27639}\u{22BCE}\u{20D7E}\u{20D7F}\u{22C51}\u{22C55}\u3A18\u{20E98}\u{210C7}\u{20F2E}\u{2A632}\u{26B50}\u{28CD2}\u{28D99}\u{28CCA}\u95AA\u54CC\u82C4\u55B9"],
      ["8b55", "\u{29EC3}\u9C26\u9AB6\u{2775E}\u{22DEE}\u7140\u816D\u80EC\u5C1C\u{26572}\u8134\u3797\u535F\u{280BD}\u91B6\u{20EFA}\u{20E0F}\u{20E77}\u{20EFB}\u35DD\u{24DEB}\u3609\u{20CD6}\u56AF\u{227B5}\u{210C9}\u{20E10}\u{20E78}\u{21078}\u{21148}\u{28207}\u{21455}\u{20E79}\u{24E50}\u{22DA4}\u5A54\u{2101D}\u{2101E}\u{210F5}\u{210F6}\u579C\u{20E11}"],
      ["8ba1", "\u{27694}\u{282CD}\u{20FB5}\u{20E7B}\u{2517E}\u3703\u{20FB6}\u{21180}\u{252D8}\u{2A2BD}\u{249DA}\u{2183A}\u{24177}\u{2827C}\u5899\u5268\u361A\u{2573D}\u7BB2\u5B68\u4800\u4B2C\u9F27\u49E7\u9C1F\u9B8D\u{25B74}\u{2313D}\u55FB\u35F2\u5689\u4E28\u5902\u{21BC1}\u{2F878}\u9751\u{20086}\u4E5B\u4EBB\u353E\u5C23\u5F51\u5FC4\u38FA\u624C\u6535\u6B7A\u6C35\u6C3A\u706C\u722B\u4E2C\u72AD\u{248E9}\u7F52\u793B\u7CF9\u7F53\u{2626A}\u34C1"],
      ["8bde", "\u{2634B}\u8002\u8080\u{26612}\u{26951}\u535D\u8864\u89C1\u{278B2}\u8BA0\u8D1D\u9485\u9578\u957F\u95E8\u{28E0F}\u97E6\u9875\u98CE\u98DE\u9963\u{29810}\u9C7C\u9E1F\u9EC4\u6B6F\uF907\u4E37\u{20087}\u961D\u6237\u94A2"],
      ["8c40", "\u503B\u6DFE\u{29C73}\u9FA6\u3DC9\u888F\u{2414E}\u7077\u5CF5\u4B20\u{251CD}\u3559\u{25D30}\u6122\u{28A32}\u8FA7\u91F6\u7191\u6719\u73BA\u{23281}\u{2A107}\u3C8B\u{21980}\u4B10\u78E4\u7402\u51AE\u{2870F}\u4009\u6A63\u{2A2BA}\u4223\u860F\u{20A6F}\u7A2A\u{29947}\u{28AEA}\u9755\u704D\u5324\u{2207E}\u93F4\u76D9\u{289E3}\u9FA7\u77DD\u4EA3\u4FF0\u50BC\u4E2F\u4F17\u9FA8\u5434\u7D8B\u5892\u58D0\u{21DB6}\u5E92\u5E99\u5FC2\u{22712}\u658B"],
      ["8ca1", "\u{233F9}\u6919\u6A43\u{23C63}\u6CFF"],
      ["8ca7", "\u7200\u{24505}\u738C\u3EDB\u{24A13}\u5B15\u74B9\u8B83\u{25CA4}\u{25695}\u7A93\u7BEC\u7CC3\u7E6C\u82F8\u8597\u9FA9\u8890\u9FAA\u8EB9\u9FAB\u8FCF\u855F\u99E0\u9221\u9FAC\u{28DB9}\u{2143F}\u4071\u42A2\u5A1A"],
      ["8cc9", "\u9868\u676B\u4276\u573D"],
      ["8cce", "\u85D6\u{2497B}\u82BF\u{2710D}\u4C81\u{26D74}\u5D7B\u{26B15}\u{26FBE}\u9FAD\u9FAE\u5B96\u9FAF\u66E7\u7E5B\u6E57\u79CA\u3D88\u44C3\u{23256}\u{22796}\u439A\u4536"],
      ["8ce6", "\u5CD5\u{23B1A}\u8AF9\u5C78\u3D12\u{23551}\u5D78\u9FB2\u7157\u4558\u{240EC}\u{21E23}\u4C77\u3978\u344A\u{201A4}\u{26C41}\u8ACC\u4FB4\u{20239}\u59BF\u816C\u9856\u{298FA}\u5F3B"],
      ["8d40", "\u{20B9F}"],
      ["8d42", "\u{221C1}\u{2896D}\u4102\u46BB\u{29079}\u3F07\u9FB3\u{2A1B5}\u40F8\u37D6\u46F7\u{26C46}\u417C\u{286B2}\u{273FF}\u456D\u38D4\u{2549A}\u4561\u451B\u4D89\u4C7B\u4D76\u45EA\u3FC8\u{24B0F}\u3661\u44DE\u44BD\u41ED\u5D3E\u5D48\u5D56\u3DFC\u380F\u5DA4\u5DB9\u3820\u3838\u5E42\u5EBD\u5F25\u5F83\u3908\u3914\u393F\u394D\u60D7\u613D\u5CE5\u3989\u61B7\u61B9\u61CF\u39B8\u622C\u6290\u62E5\u6318\u39F8\u56B1"],
      ["8da1", "\u3A03\u63E2\u63FB\u6407\u645A\u3A4B\u64C0\u5D15\u5621\u9F9F\u3A97\u6586\u3ABD\u65FF\u6653\u3AF2\u6692\u3B22\u6716\u3B42\u67A4\u6800\u3B58\u684A\u6884\u3B72\u3B71\u3B7B\u6909\u6943\u725C\u6964\u699F\u6985\u3BBC\u69D6\u3BDD\u6A65\u6A74\u6A71\u6A82\u3BEC\u6A99\u3BF2\u6AAB\u6AB5\u6AD4\u6AF6\u6B81\u6BC1\u6BEA\u6C75\u6CAA\u3CCB\u6D02\u6D06\u6D26\u6D81\u3CEF\u6DA4\u6DB1\u6E15\u6E18\u6E29\u6E86\u{289C0}\u6EBB\u6EE2\u6EDA\u9F7F\u6EE8\u6EE9\u6F24\u6F34\u3D46\u{23F41}\u6F81\u6FBE\u3D6A\u3D75\u71B7\u5C99\u3D8A\u702C\u3D91\u7050\u7054\u706F\u707F\u7089\u{20325}\u43C1\u35F1\u{20ED8}"],
      ["8e40", "\u{23ED7}\u57BE\u{26ED3}\u713E\u{257E0}\u364E\u69A2\u{28BE9}\u5B74\u7A49\u{258E1}\u{294D9}\u7A65\u7A7D\u{259AC}\u7ABB\u7AB0\u7AC2\u7AC3\u71D1\u{2648D}\u41CA\u7ADA\u7ADD\u7AEA\u41EF\u54B2\u{25C01}\u7B0B\u7B55\u7B29\u{2530E}\u{25CFE}\u7BA2\u7B6F\u839C\u{25BB4}\u{26C7F}\u7BD0\u8421\u7B92\u7BB8\u{25D20}\u3DAD\u{25C65}\u8492\u7BFA\u7C06\u7C35\u{25CC1}\u7C44\u7C83\u{24882}\u7CA6\u667D\u{24578}\u7CC9\u7CC7\u7CE6\u7C74\u7CF3\u7CF5\u7CCE"],
      ["8ea1", "\u7E67\u451D\u{26E44}\u7D5D\u{26ED6}\u748D\u7D89\u7DAB\u7135\u7DB3\u7DD2\u{24057}\u{26029}\u7DE4\u3D13\u7DF5\u{217F9}\u7DE5\u{2836D}\u7E1D\u{26121}\u{2615A}\u7E6E\u7E92\u432B\u946C\u7E27\u7F40\u7F41\u7F47\u7936\u{262D0}\u99E1\u7F97\u{26351}\u7FA3\u{21661}\u{20068}\u455C\u{23766}\u4503\u{2833A}\u7FFA\u{26489}\u8005\u8008\u801D\u8028\u802F\u{2A087}\u{26CC3}\u803B\u803C\u8061\u{22714}\u4989\u{26626}\u{23DE3}\u{266E8}\u6725\u80A7\u{28A48}\u8107\u811A\u58B0\u{226F6}\u6C7F\u{26498}\u{24FB8}\u64E7\u{2148A}\u8218\u{2185E}\u6A53\u{24A65}\u{24A95}\u447A\u8229\u{20B0D}\u{26A52}\u{23D7E}\u4FF9\u{214FD}\u84E2\u8362\u{26B0A}\u{249A7}\u{23530}\u{21773}\u{23DF8}\u82AA\u691B\u{2F994}\u41DB"],
      ["8f40", "\u854B\u82D0\u831A\u{20E16}\u{217B4}\u36C1\u{2317D}\u{2355A}\u827B\u82E2\u8318\u{23E8B}\u{26DA3}\u{26B05}\u{26B97}\u{235CE}\u3DBF\u831D\u55EC\u8385\u450B\u{26DA5}\u83AC\u83C1\u83D3\u347E\u{26ED4}\u6A57\u855A\u3496\u{26E42}\u{22EEF}\u8458\u{25BE4}\u8471\u3DD3\u44E4\u6AA7\u844A\u{23CB5}\u7958\u84A8\u{26B96}\u{26E77}\u{26E43}\u84DE\u840F\u8391\u44A0\u8493\u84E4\u{25C91}\u4240\u{25CC0}\u4543\u8534\u5AF2\u{26E99}\u4527\u8573\u4516\u67BF\u8616"],
      ["8fa1", "\u{28625}\u{2863B}\u85C1\u{27088}\u8602\u{21582}\u{270CD}\u{2F9B2}\u456A\u8628\u3648\u{218A2}\u53F7\u{2739A}\u867E\u8771\u{2A0F8}\u87EE\u{22C27}\u87B1\u87DA\u880F\u5661\u866C\u6856\u460F\u8845\u8846\u{275E0}\u{23DB9}\u{275E4}\u885E\u889C\u465B\u88B4\u88B5\u63C1\u88C5\u7777\u{2770F}\u8987\u898A\u89A6\u89A9\u89A7\u89BC\u{28A25}\u89E7\u{27924}\u{27ABD}\u8A9C\u7793\u91FE\u8A90\u{27A59}\u7AE9\u{27B3A}\u{23F8F}\u4713\u{27B38}\u717C\u8B0C\u8B1F\u{25430}\u{25565}\u8B3F\u8B4C\u8B4D\u8AA9\u{24A7A}\u8B90\u8B9B\u8AAF\u{216DF}\u4615\u884F\u8C9B\u{27D54}\u{27D8F}\u{2F9D4}\u3725\u{27D53}\u8CD6\u{27D98}\u{27DBD}\u8D12\u8D03\u{21910}\u8CDB\u705C\u8D11\u{24CC9}\u3ED0\u8D77"],
      ["9040", "\u8DA9\u{28002}\u{21014}\u{2498A}\u3B7C\u{281BC}\u{2710C}\u7AE7\u8EAD\u8EB6\u8EC3\u92D4\u8F19\u8F2D\u{28365}\u{28412}\u8FA5\u9303\u{2A29F}\u{20A50}\u8FB3\u492A\u{289DE}\u{2853D}\u{23DBB}\u5EF8\u{23262}\u8FF9\u{2A014}\u{286BC}\u{28501}\u{22325}\u3980\u{26ED7}\u9037\u{2853C}\u{27ABE}\u9061\u{2856C}\u{2860B}\u90A8\u{28713}\u90C4\u{286E6}\u90AE\u90FD\u9167\u3AF0\u91A9\u91C4\u7CAC\u{28933}\u{21E89}\u920E\u6C9F\u9241\u9262\u{255B9}\u92B9\u{28AC6}\u{23C9B}\u{28B0C}\u{255DB}"],
      ["90a1", "\u{20D31}\u932C\u936B\u{28AE1}\u{28BEB}\u708F\u5AC3\u{28AE2}\u{28AE5}\u4965\u9244\u{28BEC}\u{28C39}\u{28BFF}\u9373\u945B\u8EBC\u9585\u95A6\u9426\u95A0\u6FF6\u42B9\u{2267A}\u{286D8}\u{2127C}\u{23E2E}\u49DF\u6C1C\u967B\u9696\u416C\u96A3\u{26ED5}\u61DA\u96B6\u78F5\u{28AE0}\u96BD\u53CC\u49A1\u{26CB8}\u{20274}\u{26410}\u{290AF}\u{290E5}\u{24AD1}\u{21915}\u{2330A}\u9731\u8642\u9736\u4A0F\u453D\u4585\u{24AE9}\u7075\u5B41\u971B\u975C\u{291D5}\u9757\u5B4A\u{291EB}\u975F\u9425\u50D0\u{230B7}\u{230BC}\u9789\u979F\u97B1\u97BE\u97C0\u97D2\u97E0\u{2546C}\u97EE\u741C\u{29433}\u97FF\u97F5\u{2941D}\u{2797A}\u4AD1\u9834\u9833\u984B\u9866\u3B0E\u{27175}\u3D51\u{20630}\u{2415C}"],
      ["9140", "\u{25706}\u98CA\u98B7\u98C8\u98C7\u4AFF\u{26D27}\u{216D3}\u55B0\u98E1\u98E6\u98EC\u9378\u9939\u{24A29}\u4B72\u{29857}\u{29905}\u99F5\u9A0C\u9A3B\u9A10\u9A58\u{25725}\u36C4\u{290B1}\u{29BD5}\u9AE0\u9AE2\u{29B05}\u9AF4\u4C0E\u9B14\u9B2D\u{28600}\u5034\u9B34\u{269A8}\u38C3\u{2307D}\u9B50\u9B40\u{29D3E}\u5A45\u{21863}\u9B8E\u{2424B}\u9C02\u9BFF\u9C0C\u{29E68}\u9DD4\u{29FB7}\u{2A192}\u{2A1AB}\u{2A0E1}\u{2A123}\u{2A1DF}\u9D7E\u9D83\u{2A134}\u9E0E\u6888"],
      ["91a1", "\u9DC4\u{2215B}\u{2A193}\u{2A220}\u{2193B}\u{2A233}\u9D39\u{2A0B9}\u{2A2B4}\u9E90\u9E95\u9E9E\u9EA2\u4D34\u9EAA\u9EAF\u{24364}\u9EC1\u3B60\u39E5\u3D1D\u4F32\u37BE\u{28C2B}\u9F02\u9F08\u4B96\u9424\u{26DA2}\u9F17\u9F16\u9F39\u569F\u568A\u9F45\u99B8\u{2908B}\u97F2\u847F\u9F62\u9F69\u7ADC\u9F8E\u7216\u4BBE\u{24975}\u{249BB}\u7177\u{249F8}\u{24348}\u{24A51}\u739E\u{28BDA}\u{218FA}\u799F\u{2897E}\u{28E36}\u9369\u93F3\u{28A44}\u92EC\u9381\u93CB\u{2896C}\u{244B9}\u7217\u3EEB\u7772\u7A43\u70D0\u{24473}\u{243F8}\u717E\u{217EF}\u70A3\u{218BE}\u{23599}\u3EC7\u{21885}\u{2542F}\u{217F8}\u3722\u{216FB}\u{21839}\u36E1\u{21774}\u{218D1}\u{25F4B}\u3723\u{216C0}\u575B\u{24A25}\u{213FE}\u{212A8}"],
      ["9240", "\u{213C6}\u{214B6}\u8503\u{236A6}\u8503\u8455\u{24994}\u{27165}\u{23E31}\u{2555C}\u{23EFB}\u{27052}\u44F4\u{236EE}\u{2999D}\u{26F26}\u67F9\u3733\u3C15\u3DE7\u586C\u{21922}\u6810\u4057\u{2373F}\u{240E1}\u{2408B}\u{2410F}\u{26C21}\u54CB\u569E\u{266B1}\u5692\u{20FDF}\u{20BA8}\u{20E0D}\u93C6\u{28B13}\u939C\u4EF8\u512B\u3819\u{24436}\u4EBC\u{20465}\u{2037F}\u4F4B\u4F8A\u{25651}\u5A68\u{201AB}\u{203CB}\u3999\u{2030A}\u{20414}\u3435\u4F29\u{202C0}\u{28EB3}\u{20275}\u8ADA\u{2020C}\u4E98"],
      ["92a1", "\u50CD\u510D\u4FA2\u4F03\u{24A0E}\u{23E8A}\u4F42\u502E\u506C\u5081\u4FCC\u4FE5\u5058\u50FC\u5159\u515B\u515D\u515E\u6E76\u{23595}\u{23E39}\u{23EBF}\u6D72\u{21884}\u{23E89}\u51A8\u51C3\u{205E0}\u44DD\u{204A3}\u{20492}\u{20491}\u8D7A\u{28A9C}\u{2070E}\u5259\u52A4\u{20873}\u52E1\u936E\u467A\u718C\u{2438C}\u{20C20}\u{249AC}\u{210E4}\u69D1\u{20E1D}\u7479\u3EDE\u7499\u7414\u7456\u7398\u4B8E\u{24ABC}\u{2408D}\u53D0\u3584\u720F\u{240C9}\u55B4\u{20345}\u54CD\u{20BC6}\u571D\u925D\u96F4\u9366\u57DD\u578D\u577F\u363E\u58CB\u5A99\u{28A46}\u{216FA}\u{2176F}\u{21710}\u5A2C\u59B8\u928F\u5A7E\u5ACF\u5A12\u{25946}\u{219F3}\u{21861}\u{24295}\u36F5\u6D05\u7443\u5A21\u{25E83}"],
      ["9340", "\u5A81\u{28BD7}\u{20413}\u93E0\u748C\u{21303}\u7105\u4972\u9408\u{289FB}\u93BD\u37A0\u5C1E\u5C9E\u5E5E\u5E48\u{21996}\u{2197C}\u{23AEE}\u5ECD\u5B4F\u{21903}\u{21904}\u3701\u{218A0}\u36DD\u{216FE}\u36D3\u812A\u{28A47}\u{21DBA}\u{23472}\u{289A8}\u5F0C\u5F0E\u{21927}\u{217AB}\u5A6B\u{2173B}\u5B44\u8614\u{275FD}\u8860\u607E\u{22860}\u{2262B}\u5FDB\u3EB8\u{225AF}\u{225BE}\u{29088}\u{26F73}\u61C0\u{2003E}\u{20046}\u{2261B}\u6199\u6198\u6075\u{22C9B}\u{22D07}\u{246D4}\u{2914D}"],
      ["93a1", "\u6471\u{24665}\u{22B6A}\u3A29\u{22B22}\u{23450}\u{298EA}\u{22E78}\u6337\u{2A45B}\u64B6\u6331\u63D1\u{249E3}\u{22D67}\u62A4\u{22CA1}\u643B\u656B\u6972\u3BF4\u{2308E}\u{232AD}\u{24989}\u{232AB}\u550D\u{232E0}\u{218D9}\u{2943F}\u66CE\u{23289}\u{231B3}\u3AE0\u4190\u{25584}\u{28B22}\u{2558F}\u{216FC}\u{2555B}\u{25425}\u78EE\u{23103}\u{2182A}\u{23234}\u3464\u{2320F}\u{23182}\u{242C9}\u668E\u{26D24}\u666B\u4B93\u6630\u{27870}\u{21DEB}\u6663\u{232D2}\u{232E1}\u661E\u{25872}\u38D1\u{2383A}\u{237BC}\u3B99\u{237A2}\u{233FE}\u74D0\u3B96\u678F\u{2462A}\u68B6\u681E\u3BC4\u6ABE\u3863\u{237D5}\u{24487}\u6A33\u6A52\u6AC9\u6B05\u{21912}\u6511\u6898\u6A4C\u3BD7\u6A7A\u6B57\u{23FC0}\u{23C9A}\u93A0\u92F2\u{28BEA}\u{28ACB}"],
      ["9440", "\u9289\u{2801E}\u{289DC}\u9467\u6DA5\u6F0B\u{249EC}\u6D67\u{23F7F}\u3D8F\u6E04\u{2403C}\u5A3D\u6E0A\u5847\u6D24\u7842\u713B\u{2431A}\u{24276}\u70F1\u7250\u7287\u7294\u{2478F}\u{24725}\u5179\u{24AA4}\u{205EB}\u747A\u{23EF8}\u{2365F}\u{24A4A}\u{24917}\u{25FE1}\u3F06\u3EB1\u{24ADF}\u{28C23}\u{23F35}\u60A7\u3EF3\u74CC\u743C\u9387\u7437\u449F\u{26DEA}\u4551\u7583\u3F63\u{24CD9}\u{24D06}\u3F58\u7555\u7673\u{2A5C6}\u3B19\u7468\u{28ACC}\u{249AB}\u{2498E}\u3AFB"],
      ["94a1", "\u3DCD\u{24A4E}\u3EFF\u{249C5}\u{248F3}\u91FA\u5732\u9342\u{28AE3}\u{21864}\u50DF\u{25221}\u{251E7}\u7778\u{23232}\u770E\u770F\u777B\u{24697}\u{23781}\u3A5E\u{248F0}\u7438\u749B\u3EBF\u{24ABA}\u{24AC7}\u40C8\u{24A96}\u{261AE}\u9307\u{25581}\u781E\u788D\u7888\u78D2\u73D0\u7959\u{27741}\u{256E3}\u410E\u799B\u8496\u79A5\u6A2D\u{23EFA}\u7A3A\u79F4\u416E\u{216E6}\u4132\u9235\u79F1\u{20D4C}\u{2498C}\u{20299}\u{23DBA}\u{2176E}\u3597\u556B\u3570\u36AA\u{201D4}\u{20C0D}\u7AE2\u5A59\u{226F5}\u{25AAF}\u{25A9C}\u5A0D\u{2025B}\u78F0\u5A2A\u{25BC6}\u7AFE\u41F9\u7C5D\u7C6D\u4211\u{25BB3}\u{25EBC}\u{25EA6}\u7CCD\u{249F9}\u{217B0}\u7C8E\u7C7C\u7CAE\u6AB2\u7DDC\u7E07\u7DD3\u7F4E\u{26261}"],
      ["9540", "\u{2615C}\u{27B48}\u7D97\u{25E82}\u426A\u{26B75}\u{20916}\u67D6\u{2004E}\u{235CF}\u57C4\u{26412}\u{263F8}\u{24962}\u7FDD\u7B27\u{2082C}\u{25AE9}\u{25D43}\u7B0C\u{25E0E}\u99E6\u8645\u9A63\u6A1C\u{2343F}\u39E2\u{249F7}\u{265AD}\u9A1F\u{265A0}\u8480\u{27127}\u{26CD1}\u44EA\u8137\u4402\u80C6\u8109\u8142\u{267B4}\u98C3\u{26A42}\u8262\u8265\u{26A51}\u8453\u{26DA7}\u8610\u{2721B}\u5A86\u417F\u{21840}\u5B2B\u{218A1}\u5AE4\u{218D8}\u86A0\u{2F9BC}\u{23D8F}\u882D\u{27422}\u5A02"],
      ["95a1", "\u886E\u4F45\u8887\u88BF\u88E6\u8965\u894D\u{25683}\u8954\u{27785}\u{27784}\u{28BF5}\u{28BD9}\u{28B9C}\u{289F9}\u3EAD\u84A3\u46F5\u46CF\u37F2\u8A3D\u8A1C\u{29448}\u5F4D\u922B\u{24284}\u65D4\u7129\u70C4\u{21845}\u9D6D\u8C9F\u8CE9\u{27DDC}\u599A\u77C3\u59F0\u436E\u36D4\u8E2A\u8EA7\u{24C09}\u8F30\u8F4A\u42F4\u6C58\u6FBB\u{22321}\u489B\u6F79\u6E8B\u{217DA}\u9BE9\u36B5\u{2492F}\u90BB\u9097\u5571\u4906\u91BB\u9404\u{28A4B}\u4062\u{28AFC}\u9427\u{28C1D}\u{28C3B}\u84E5\u8A2B\u9599\u95A7\u9597\u9596\u{28D34}\u7445\u3EC2\u{248FF}\u{24A42}\u{243EA}\u3EE7\u{23225}\u968F\u{28EE7}\u{28E66}\u{28E65}\u3ECC\u{249ED}\u{24A78}\u{23FEE}\u7412\u746B\u3EFC\u9741\u{290B0}"],
      ["9640", "\u6847\u4A1D\u{29093}\u{257DF}\u975D\u9368\u{28989}\u{28C26}\u{28B2F}\u{263BE}\u92BA\u5B11\u8B69\u493C\u73F9\u{2421B}\u979B\u9771\u9938\u{20F26}\u5DC1\u{28BC5}\u{24AB2}\u981F\u{294DA}\u92F6\u{295D7}\u91E5\u44C0\u{28B50}\u{24A67}\u{28B64}\u98DC\u{28A45}\u3F00\u922A\u4925\u8414\u993B\u994D\u{27B06}\u3DFD\u999B\u4B6F\u99AA\u9A5C\u{28B65}\u{258C8}\u6A8F\u9A21\u5AFE\u9A2F\u{298F1}\u4B90\u{29948}\u99BC\u4BBD\u4B97\u937D\u5872\u{21302}\u5822\u{249B8}"],
      ["96a1", "\u{214E8}\u7844\u{2271F}\u{23DB8}\u68C5\u3D7D\u9458\u3927\u6150\u{22781}\u{2296B}\u6107\u9C4F\u9C53\u9C7B\u9C35\u9C10\u9B7F\u9BCF\u{29E2D}\u9B9F\u{2A1F5}\u{2A0FE}\u9D21\u4CAE\u{24104}\u9E18\u4CB0\u9D0C\u{2A1B4}\u{2A0ED}\u{2A0F3}\u{2992F}\u9DA5\u84BD\u{26E12}\u{26FDF}\u{26B82}\u85FC\u4533\u{26DA4}\u{26E84}\u{26DF0}\u8420\u85EE\u{26E00}\u{237D7}\u{26064}\u79E2\u{2359C}\u{23640}\u492D\u{249DE}\u3D62\u93DB\u92BE\u9348\u{202BF}\u78B9\u9277\u944D\u4FE4\u3440\u9064\u{2555D}\u783D\u7854\u78B6\u784B\u{21757}\u{231C9}\u{24941}\u369A\u4F72\u6FDA\u6FD9\u701E\u701E\u5414\u{241B5}\u57BB\u58F3\u578A\u9D16\u57D7\u7134\u34AF\u{241AC}\u71EB\u{26C40}\u{24F97}\u5B28\u{217B5}\u{28A49}"],
      ["9740", "\u610C\u5ACE\u5A0B\u42BC\u{24488}\u372C\u4B7B\u{289FC}\u93BB\u93B8\u{218D6}\u{20F1D}\u8472\u{26CC0}\u{21413}\u{242FA}\u{22C26}\u{243C1}\u5994\u{23DB7}\u{26741}\u7DA8\u{2615B}\u{260A4}\u{249B9}\u{2498B}\u{289FA}\u92E5\u73E2\u3EE9\u74B4\u{28B63}\u{2189F}\u3EE1\u{24AB3}\u6AD8\u73F3\u73FB\u3ED6\u{24A3E}\u{24A94}\u{217D9}\u{24A66}\u{203A7}\u{21424}\u{249E5}\u7448\u{24916}\u70A5\u{24976}\u9284\u73E6\u935F\u{204FE}\u9331\u{28ACE}\u{28A16}\u9386\u{28BE7}\u{255D5}\u4935\u{28A82}\u716B"],
      ["97a1", "\u{24943}\u{20CFF}\u56A4\u{2061A}\u{20BEB}\u{20CB8}\u5502\u79C4\u{217FA}\u7DFE\u{216C2}\u{24A50}\u{21852}\u452E\u9401\u370A\u{28AC0}\u{249AD}\u59B0\u{218BF}\u{21883}\u{27484}\u5AA1\u36E2\u{23D5B}\u36B0\u925F\u5A79\u{28A81}\u{21862}\u9374\u3CCD\u{20AB4}\u4A96\u398A\u50F4\u3D69\u3D4C\u{2139C}\u7175\u42FB\u{28218}\u6E0F\u{290E4}\u44EB\u6D57\u{27E4F}\u7067\u6CAF\u3CD6\u{23FED}\u{23E2D}\u6E02\u6F0C\u3D6F\u{203F5}\u7551\u36BC\u34C8\u4680\u3EDA\u4871\u59C4\u926E\u493E\u8F41\u{28C1C}\u{26BC0}\u5812\u57C8\u36D6\u{21452}\u70FE\u{24362}\u{24A71}\u{22FE3}\u{212B0}\u{223BD}\u68B9\u6967\u{21398}\u{234E5}\u{27BF4}\u{236DF}\u{28A83}\u{237D6}\u{233FA}\u{24C9F}\u6A1A\u{236AD}\u{26CB7}\u843E\u44DF\u44CE"],
      ["9840", "\u{26D26}\u{26D51}\u{26C82}\u{26FDE}\u6F17\u{27109}\u833D\u{2173A}\u83ED\u{26C80}\u{27053}\u{217DB}\u5989\u5A82\u{217B3}\u5A61\u5A71\u{21905}\u{241FC}\u372D\u59EF\u{2173C}\u36C7\u718E\u9390\u669A\u{242A5}\u5A6E\u5A2B\u{24293}\u6A2B\u{23EF9}\u{27736}\u{2445B}\u{242CA}\u711D\u{24259}\u{289E1}\u4FB0\u{26D28}\u5CC2\u{244CE}\u{27E4D}\u{243BD}\u6A0C\u{24256}\u{21304}\u70A6\u7133\u{243E9}\u3DA5\u6CDF\u{2F825}\u{24A4F}\u7E65\u59EB\u5D2F\u3DF3\u5F5C\u{24A5D}\u{217DF}\u7DA4\u8426"],
      ["98a1", "\u5485\u{23AFA}\u{23300}\u{20214}\u577E\u{208D5}\u{20619}\u3FE5\u{21F9E}\u{2A2B6}\u7003\u{2915B}\u5D70\u738F\u7CD3\u{28A59}\u{29420}\u4FC8\u7FE7\u72CD\u7310\u{27AF4}\u7338\u7339\u{256F6}\u7341\u7348\u3EA9\u{27B18}\u906C\u71F5\u{248F2}\u73E1\u81F6\u3ECA\u770C\u3ED1\u6CA2\u56FD\u7419\u741E\u741F\u3EE2\u3EF0\u3EF4\u3EFA\u74D3\u3F0E\u3F53\u7542\u756D\u7572\u758D\u3F7C\u75C8\u75DC\u3FC0\u764D\u3FD7\u7674\u3FDC\u767A\u{24F5C}\u7188\u5623\u8980\u5869\u401D\u7743\u4039\u6761\u4045\u35DB\u7798\u406A\u406F\u5C5E\u77BE\u77CB\u58F2\u7818\u70B9\u781C\u40A8\u7839\u7847\u7851\u7866\u8448\u{25535}\u7933\u6803\u7932\u4103"],
      ["9940", "\u4109\u7991\u7999\u8FBB\u7A06\u8FBC\u4167\u7A91\u41B2\u7ABC\u8279\u41C4\u7ACF\u7ADB\u41CF\u4E21\u7B62\u7B6C\u7B7B\u7C12\u7C1B\u4260\u427A\u7C7B\u7C9C\u428C\u7CB8\u4294\u7CED\u8F93\u70C0\u{20CCF}\u7DCF\u7DD4\u7DD0\u7DFD\u7FAE\u7FB4\u729F\u4397\u8020\u8025\u7B39\u802E\u8031\u8054\u3DCC\u57B4\u70A0\u80B7\u80E9\u43ED\u810C\u732A\u810E\u8112\u7560\u8114\u4401\u3B39\u8156\u8159\u815A"],
      ["99a1", "\u4413\u583A\u817C\u8184\u4425\u8193\u442D\u81A5\u57EF\u81C1\u81E4\u8254\u448F\u82A6\u8276\u82CA\u82D8\u82FF\u44B0\u8357\u9669\u698A\u8405\u70F5\u8464\u60E3\u8488\u4504\u84BE\u84E1\u84F8\u8510\u8538\u8552\u453B\u856F\u8570\u85E0\u4577\u8672\u8692\u86B2\u86EF\u9645\u878B\u4606\u4617\u88AE\u88FF\u8924\u8947\u8991\u{27967}\u8A29\u8A38\u8A94\u8AB4\u8C51\u8CD4\u8CF2\u8D1C\u4798\u585F\u8DC3\u47ED\u4EEE\u8E3A\u55D8\u5754\u8E71\u55F5\u8EB0\u4837\u8ECE\u8EE2\u8EE4\u8EED\u8EF2\u8FB7\u8FC1\u8FCA\u8FCC\u9033\u99C4\u48AD\u98E0\u9213\u491E\u9228\u9258\u926B\u92B1\u92AE\u92BF"],
      ["9a40", "\u92E3\u92EB\u92F3\u92F4\u92FD\u9343\u9384\u93AD\u4945\u4951\u9EBF\u9417\u5301\u941D\u942D\u943E\u496A\u9454\u9479\u952D\u95A2\u49A7\u95F4\u9633\u49E5\u67A0\u4A24\u9740\u4A35\u97B2\u97C2\u5654\u4AE4\u60E8\u98B9\u4B19\u98F1\u5844\u990E\u9919\u51B4\u991C\u9937\u9942\u995D\u9962\u4B70\u99C5\u4B9D\u9A3C\u9B0F\u7A83\u9B69\u9B81\u9BDD\u9BF1\u9BF4\u4C6D\u9C20\u376F\u{21BC2}\u9D49\u9C3A"],
      ["9aa1", "\u9EFE\u5650\u9D93\u9DBD\u9DC0\u9DFC\u94F6\u8FB6\u9E7B\u9EAC\u9EB1\u9EBD\u9EC6\u94DC\u9EE2\u9EF1\u9EF8\u7AC8\u9F44\u{20094}\u{202B7}\u{203A0}\u691A\u94C3\u59AC\u{204D7}\u5840\u94C1\u37B9\u{205D5}\u{20615}\u{20676}\u{216BA}\u5757\u7173\u{20AC2}\u{20ACD}\u{20BBF}\u546A\u{2F83B}\u{20BCB}\u549E\u{20BFB}\u{20C3B}\u{20C53}\u{20C65}\u{20C7C}\u60E7\u{20C8D}\u567A\u{20CB5}\u{20CDD}\u{20CED}\u{20D6F}\u{20DB2}\u{20DC8}\u6955\u9C2F\u87A5\u{20E04}\u{20E0E}\u{20ED7}\u{20F90}\u{20F2D}\u{20E73}\u5C20\u{20FBC}\u5E0B\u{2105C}\u{2104F}\u{21076}\u671E\u{2107B}\u{21088}\u{21096}\u3647\u{210BF}\u{210D3}\u{2112F}\u{2113B}\u5364\u84AD\u{212E3}\u{21375}\u{21336}\u8B81\u{21577}\u{21619}\u{217C3}\u{217C7}\u4E78\u70BB\u{2182D}\u{2196A}"],
      ["9b40", "\u{21A2D}\u{21A45}\u{21C2A}\u{21C70}\u{21CAC}\u{21EC8}\u62C3\u{21ED5}\u{21F15}\u7198\u6855\u{22045}\u69E9\u36C8\u{2227C}\u{223D7}\u{223FA}\u{2272A}\u{22871}\u{2294F}\u82FD\u{22967}\u{22993}\u{22AD5}\u89A5\u{22AE8}\u8FA0\u{22B0E}\u97B8\u{22B3F}\u9847\u9ABD\u{22C4C}"],
      ["9b62", "\u{22C88}\u{22CB7}\u{25BE8}\u{22D08}\u{22D12}\u{22DB7}\u{22D95}\u{22E42}\u{22F74}\u{22FCC}\u{23033}\u{23066}\u{2331F}\u{233DE}\u5FB1\u6648\u66BF\u{27A79}\u{23567}\u{235F3}\u7201\u{249BA}\u77D7\u{2361A}\u{23716}\u7E87\u{20346}\u58B5\u670E"],
      ["9ba1", "\u6918\u{23AA7}\u{27657}\u{25FE2}\u{23E11}\u{23EB9}\u{275FE}\u{2209A}\u48D0\u4AB8\u{24119}\u{28A9A}\u{242EE}\u{2430D}\u{2403B}\u{24334}\u{24396}\u{24A45}\u{205CA}\u51D2\u{20611}\u599F\u{21EA8}\u3BBE\u{23CFF}\u{24404}\u{244D6}\u5788\u{24674}\u399B\u{2472F}\u{285E8}\u{299C9}\u3762\u{221C3}\u8B5E\u{28B4E}\u99D6\u{24812}\u{248FB}\u{24A15}\u7209\u{24AC0}\u{20C78}\u5965\u{24EA5}\u{24F86}\u{20779}\u8EDA\u{2502C}\u528F\u573F\u7171\u{25299}\u{25419}\u{23F4A}\u{24AA7}\u55BC\u{25446}\u{2546E}\u{26B52}\u91D4\u3473\u{2553F}\u{27632}\u{2555E}\u4718\u{25562}\u{25566}\u{257C7}\u{2493F}\u{2585D}\u5066\u34FB\u{233CC}\u60DE\u{25903}\u477C\u{28948}\u{25AAE}\u{25B89}\u{25C06}\u{21D90}\u57A1\u7151\u6FB6\u{26102}\u{27C12}\u9056\u{261B2}\u{24F9A}\u8B62\u{26402}\u{2644A}"],
      ["9c40", "\u5D5B\u{26BF7}\u8F36\u{26484}\u{2191C}\u8AEA\u{249F6}\u{26488}\u{23FEF}\u{26512}\u4BC0\u{265BF}\u{266B5}\u{2271B}\u9465\u{257E1}\u6195\u5A27\u{2F8CD}\u4FBB\u56B9\u{24521}\u{266FC}\u4E6A\u{24934}\u9656\u6D8F\u{26CBD}\u3618\u8977\u{26799}\u{2686E}\u{26411}\u{2685E}\u71DF\u{268C7}\u7B42\u{290C0}\u{20A11}\u{26926}\u9104\u{26939}\u7A45\u9DF0\u{269FA}\u9A26\u{26A2D}\u365F\u{26469}\u{20021}\u7983\u{26A34}\u{26B5B}\u5D2C\u{23519}\u83CF\u{26B9D}\u46D0\u{26CA4}\u753B\u8865\u{26DAE}\u58B6"],
      ["9ca1", "\u371C\u{2258D}\u{2704B}\u{271CD}\u3C54\u{27280}\u{27285}\u9281\u{2217A}\u{2728B}\u9330\u{272E6}\u{249D0}\u6C39\u949F\u{27450}\u{20EF8}\u8827\u88F5\u{22926}\u{28473}\u{217B1}\u6EB8\u{24A2A}\u{21820}\u39A4\u36B9\u5C10\u79E3\u453F\u66B6\u{29CAD}\u{298A4}\u8943\u{277CC}\u{27858}\u56D6\u40DF\u{2160A}\u39A1\u{2372F}\u{280E8}\u{213C5}\u71AD\u8366\u{279DD}\u{291A8}\u5A67\u4CB7\u{270AF}\u{289AB}\u{279FD}\u{27A0A}\u{27B0B}\u{27D66}\u{2417A}\u7B43\u797E\u{28009}\u6FB5\u{2A2DF}\u6A03\u{28318}\u53A2\u{26E07}\u93BF\u6836\u975D\u{2816F}\u{28023}\u{269B5}\u{213ED}\u{2322F}\u{28048}\u5D85\u{28C30}\u{28083}\u5715\u9823\u{28949}\u5DAB\u{24988}\u65BE\u69D5\u53D2\u{24AA5}\u{23F81}\u3C11\u6736\u{28090}\u{280F4}\u{2812E}\u{21FA1}\u{2814F}"],
      ["9d40", "\u{28189}\u{281AF}\u{2821A}\u{28306}\u{2832F}\u{2838A}\u35CA\u{28468}\u{286AA}\u48FA\u63E6\u{28956}\u7808\u9255\u{289B8}\u43F2\u{289E7}\u43DF\u{289E8}\u{28B46}\u{28BD4}\u59F8\u{28C09}\u8F0B\u{28FC5}\u{290EC}\u7B51\u{29110}\u{2913C}\u3DF7\u{2915E}\u{24ACA}\u8FD0\u728F\u568B\u{294E7}\u{295E9}\u{295B0}\u{295B8}\u{29732}\u{298D1}\u{29949}\u{2996A}\u{299C3}\u{29A28}\u{29B0E}\u{29D5A}\u{29D9B}\u7E9F\u{29EF8}\u{29F23}\u4CA4\u9547\u{2A293}\u71A2\u{2A2FF}\u4D91\u9012\u{2A5CB}\u4D9C\u{20C9C}\u8FBE\u55C1"],
      ["9da1", "\u8FBA\u{224B0}\u8FB9\u{24A93}\u4509\u7E7F\u6F56\u6AB1\u4EEA\u34E4\u{28B2C}\u{2789D}\u373A\u8E80\u{217F5}\u{28024}\u{28B6C}\u{28B99}\u{27A3E}\u{266AF}\u3DEB\u{27655}\u{23CB7}\u{25635}\u{25956}\u4E9A\u{25E81}\u{26258}\u56BF\u{20E6D}\u8E0E\u5B6D\u{23E88}\u{24C9E}\u63DE\u62D0\u{217F6}\u{2187B}\u6530\u562D\u{25C4A}\u541A\u{25311}\u3DC6\u{29D98}\u4C7D\u5622\u561E\u7F49\u{25ED8}\u5975\u{23D40}\u8770\u4E1C\u{20FEA}\u{20D49}\u{236BA}\u8117\u9D5E\u8D18\u763B\u9C45\u764E\u77B9\u9345\u5432\u8148\u82F7\u5625\u8132\u8418\u80BD\u55EA\u7962\u5643\u5416\u{20E9D}\u35CE\u5605\u55F1\u66F1\u{282E2}\u362D\u7534\u55F0\u55BA\u5497\u5572\u{20C41}\u{20C96}\u5ED0\u{25148}\u{20E76}\u{22C62}"],
      ["9e40", "\u{20EA2}\u9EAB\u7D5A\u55DE\u{21075}\u629D\u976D\u5494\u8CCD\u71F6\u9176\u63FC\u63B9\u63FE\u5569\u{22B43}\u9C72\u{22EB3}\u519A\u34DF\u{20DA7}\u51A7\u544D\u551E\u5513\u7666\u8E2D\u{2688A}\u75B1\u80B6\u8804\u8786\u88C7\u81B6\u841C\u{210C1}\u44EC\u7304\u{24706}\u5B90\u830B\u{26893}\u567B\u{226F4}\u{27D2F}\u{241A3}\u{27D73}\u{26ED0}\u{272B6}\u9170\u{211D9}\u9208\u{23CFC}\u{2A6A9}\u{20EAC}\u{20EF9}\u7266\u{21CA2}\u474E\u{24FC2}\u{27FF9}\u{20FEB}\u40FA"],
      ["9ea1", "\u9C5D\u651F\u{22DA0}\u48F3\u{247E0}\u{29D7C}\u{20FEC}\u{20E0A}\u6062\u{275A3}\u{20FED}"],
      ["9ead", "\u{26048}\u{21187}\u71A3\u7E8E\u9D50\u4E1A\u4E04\u3577\u5B0D\u6CB2\u5367\u36AC\u39DC\u537D\u36A5\u{24618}\u589A\u{24B6E}\u822D\u544B\u57AA\u{25A95}\u{20979}"],
      ["9ec5", "\u3A52\u{22465}\u7374\u{29EAC}\u4D09\u9BED\u{23CFE}\u{29F30}\u4C5B\u{24FA9}\u{2959E}\u{29FDE}\u845C\u{23DB6}\u{272B2}\u{267B3}\u{23720}\u632E\u7D25\u{23EF7}\u{23E2C}\u3A2A\u9008\u52CC\u3E74\u367A\u45E9\u{2048E}\u7640\u5AF0\u{20EB6}\u787A\u{27F2E}\u58A7\u40BF\u567C\u9B8B\u5D74\u7654\u{2A434}\u9E85\u4CE1\u75F9\u37FB\u6119\u{230DA}\u{243F2}"],
      ["9ef5", "\u565D\u{212A9}\u57A7\u{24963}\u{29E06}\u5234\u{270AE}\u35AD\u6C4A\u9D7C"],
      ["9f40", "\u7C56\u9B39\u57DE\u{2176C}\u5C53\u64D3\u{294D0}\u{26335}\u{27164}\u86AD\u{20D28}\u{26D22}\u{24AE2}\u{20D71}"],
      ["9f4f", "\u51FE\u{21F0F}\u5D8E\u9703\u{21DD1}\u9E81\u904C\u7B1F\u9B02\u5CD1\u7BA3\u6268\u6335\u9AFF\u7BCF\u9B2A\u7C7E\u9B2E\u7C42\u7C86\u9C15\u7BFC\u9B09\u9F17\u9C1B\u{2493E}\u9F5A\u5573\u5BC3\u4FFD\u9E98\u4FF2\u5260\u3E06\u52D1\u5767\u5056\u59B7\u5E12\u97C8\u9DAB\u8F5C\u5469\u97B4\u9940\u97BA\u532C\u6130"],
      ["9fa1", "\u692C\u53DA\u9C0A\u9D02\u4C3B\u9641\u6980\u50A6\u7546\u{2176D}\u99DA\u5273"],
      ["9fae", "\u9159\u9681\u915C"],
      ["9fb2", "\u9151\u{28E97}\u637F\u{26D23}\u6ACA\u5611\u918E\u757A\u6285\u{203FC}\u734F\u7C70\u{25C21}\u{23CFD}"],
      ["9fc1", "\u{24919}\u76D6\u9B9D\u4E2A\u{20CD4}\u83BE\u8842"],
      ["9fc9", "\u5C4A\u69C0\u50ED\u577A\u521F\u5DF5\u4ECE\u6C31\u{201F2}\u4F39\u549C\u54DA\u529A\u8D82\u35FE\u5F0C\u35F3"],
      ["9fdb", "\u6B52\u917C\u9FA5\u9B97\u982E\u98B4\u9ABA\u9EA8\u9E84\u717A\u7B14"],
      ["9fe7", "\u6BFA\u8818\u7F78"],
      ["9feb", "\u5620\u{2A64A}\u8E77\u9F53"],
      ["9ff0", "\u8DD4\u8E4F\u9E1C\u8E01\u6282\u{2837D}\u8E28\u8E75\u7AD3\u{24A77}\u7A3E\u78D8\u6CEA\u8A67\u7607"],
      ["a040", "\u{28A5A}\u9F26\u6CCE\u87D6\u75C3\u{2A2B2}\u7853\u{2F840}\u8D0C\u72E2\u7371\u8B2D\u7302\u74F1\u8CEB\u{24ABB}\u862F\u5FBA\u88A0\u44B7"],
      ["a055", "\u{2183B}\u{26E05}"],
      ["a058", "\u8A7E\u{2251B}"],
      ["a05b", "\u60FD\u7667\u9AD7\u9D44\u936E\u9B8F\u87F5"],
      ["a063", "\u880F\u8CF7\u732C\u9721\u9BB0\u35D6\u72B2\u4C07\u7C51\u994A\u{26159}\u6159\u4C04\u9E96\u617D"],
      ["a073", "\u575F\u616F\u62A6\u6239\u62CE\u3A5C\u61E2\u53AA\u{233F5}\u6364\u6802\u35D2"],
      ["a0a1", "\u5D57\u{28BC2}\u8FDA\u{28E39}"],
      ["a0a6", "\u50D9\u{21D46}\u7906\u5332\u9638\u{20F3B}\u4065"],
      ["a0ae", "\u77FE"],
      ["a0b0", "\u7CC2\u{25F1A}\u7CDA\u7A2D\u8066\u8063\u7D4D\u7505\u74F2\u8994\u821A\u670C\u8062\u{27486}\u805B\u74F0\u8103\u7724\u8989\u{267CC}\u7553\u{26ED1}\u87A9\u87CE\u81C8\u878C\u8A49\u8CAD\u8B43\u772B\u74F8\u84DA\u3635\u69B2\u8DA6"],
      ["a0d4", "\u89A9\u7468\u6DB9\u87C1\u{24011}\u74E7\u3DDB\u7176\u60A4\u619C\u3CD1\u7162\u6077"],
      ["a0e2", "\u7F71\u{28B2D}\u7250\u60E9\u4B7E\u5220\u3C18\u{23CC7}\u{25ED7}\u{27656}\u{25531}\u{21944}\u{212FE}\u{29903}\u{26DDC}\u{270AD}\u5CC1\u{261AD}\u{28A0F}\u{23677}\u{200EE}\u{26846}\u{24F0E}\u4562\u5B1F\u{2634C}\u9F50\u9EA6\u{2626B}"],
      ["a3c0", "\u2400", 31, "\u2421"],
      ["c6a1", "\u2460", 9, "\u2474", 9, "\u2170", 9, "\u4E36\u4E3F\u4E85\u4EA0\u5182\u5196\u51AB\u52F9\u5338\u5369\u53B6\u590A\u5B80\u5DDB\u2F33\u5E7F\u5EF4\u5F50\u5F61\u6534\u65E0\u7592\u7676\u8FB5\u96B6\xA8\u02C6\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\uFF3B\uFF3D\u273D\u3041", 23],
      ["c740", "\u3059", 58, "\u30A1\u30A2\u30A3\u30A4"],
      ["c7a1", "\u30A5", 81, "\u0410", 5, "\u0401\u0416", 4],
      ["c840", "\u041B", 26, "\u0451\u0436", 25, "\u21E7\u21B8\u21B9\u31CF\u{200CC}\u4E5A\u{2008A}\u5202\u4491"],
      ["c8a1", "\u9FB0\u5188\u9FB1\u{27607}"],
      ["c8cd", "\uFFE2\uFFE4\uFF07\uFF02\u3231\u2116\u2121\u309B\u309C\u2E80\u2E84\u2E86\u2E87\u2E88\u2E8A\u2E8C\u2E8D\u2E95\u2E9C\u2E9D\u2EA5\u2EA7\u2EAA\u2EAC\u2EAE\u2EB6\u2EBC\u2EBE\u2EC6\u2ECA\u2ECC\u2ECD\u2ECF\u2ED6\u2ED7\u2EDE\u2EE3"],
      ["c8f5", "\u0283\u0250\u025B\u0254\u0275\u0153\xF8\u014B\u028A\u026A"],
      ["f9fe", "\uFFED"],
      ["fa40", "\u{20547}\u92DB\u{205DF}\u{23FC5}\u854C\u42B5\u73EF\u51B5\u3649\u{24942}\u{289E4}\u9344\u{219DB}\u82EE\u{23CC8}\u783C\u6744\u62DF\u{24933}\u{289AA}\u{202A0}\u{26BB3}\u{21305}\u4FAB\u{224ED}\u5008\u{26D29}\u{27A84}\u{23600}\u{24AB1}\u{22513}\u5029\u{2037E}\u5FA4\u{20380}\u{20347}\u6EDB\u{2041F}\u507D\u5101\u347A\u510E\u986C\u3743\u8416\u{249A4}\u{20487}\u5160\u{233B4}\u516A\u{20BFF}\u{220FC}\u{202E5}\u{22530}\u{2058E}\u{23233}\u{21983}\u5B82\u877D\u{205B3}\u{23C99}\u51B2\u51B8"],
      ["faa1", "\u9D34\u51C9\u51CF\u51D1\u3CDC\u51D3\u{24AA6}\u51B3\u51E2\u5342\u51ED\u83CD\u693E\u{2372D}\u5F7B\u520B\u5226\u523C\u52B5\u5257\u5294\u52B9\u52C5\u7C15\u8542\u52E0\u860D\u{26B13}\u5305\u{28ADE}\u5549\u6ED9\u{23F80}\u{20954}\u{23FEC}\u5333\u5344\u{20BE2}\u6CCB\u{21726}\u681B\u73D5\u604A\u3EAA\u38CC\u{216E8}\u71DD\u44A2\u536D\u5374\u{286AB}\u537E\u537F\u{21596}\u{21613}\u77E6\u5393\u{28A9B}\u53A0\u53AB\u53AE\u73A7\u{25772}\u3F59\u739C\u53C1\u53C5\u6C49\u4E49\u57FE\u53D9\u3AAB\u{20B8F}\u53E0\u{23FEB}\u{22DA3}\u53F6\u{20C77}\u5413\u7079\u552B\u6657\u6D5B\u546D\u{26B53}\u{20D74}\u555D\u548F\u54A4\u47A6\u{2170D}\u{20EDD}\u3DB4\u{20D4D}"],
      ["fb40", "\u{289BC}\u{22698}\u5547\u4CED\u542F\u7417\u5586\u55A9\u5605\u{218D7}\u{2403A}\u4552\u{24435}\u66B3\u{210B4}\u5637\u66CD\u{2328A}\u66A4\u66AD\u564D\u564F\u78F1\u56F1\u9787\u53FE\u5700\u56EF\u56ED\u{28B66}\u3623\u{2124F}\u5746\u{241A5}\u6C6E\u708B\u5742\u36B1\u{26C7E}\u57E6\u{21416}\u5803\u{21454}\u{24363}\u5826\u{24BF5}\u585C\u58AA\u3561\u58E0\u58DC\u{2123C}\u58FB\u5BFF\u5743\u{2A150}\u{24278}\u93D3\u35A1\u591F\u68A6\u36C3\u6E59"],
      ["fba1", "\u{2163E}\u5A24\u5553\u{21692}\u8505\u59C9\u{20D4E}\u{26C81}\u{26D2A}\u{217DC}\u59D9\u{217FB}\u{217B2}\u{26DA6}\u6D71\u{21828}\u{216D5}\u59F9\u{26E45}\u5AAB\u5A63\u36E6\u{249A9}\u5A77\u3708\u5A96\u7465\u5AD3\u{26FA1}\u{22554}\u3D85\u{21911}\u3732\u{216B8}\u5E83\u52D0\u5B76\u6588\u5B7C\u{27A0E}\u4004\u485D\u{20204}\u5BD5\u6160\u{21A34}\u{259CC}\u{205A5}\u5BF3\u5B9D\u4D10\u5C05\u{21B44}\u5C13\u73CE\u5C14\u{21CA5}\u{26B28}\u5C49\u48DD\u5C85\u5CE9\u5CEF\u5D8B\u{21DF9}\u{21E37}\u5D10\u5D18\u5D46\u{21EA4}\u5CBA\u5DD7\u82FC\u382D\u{24901}\u{22049}\u{22173}\u8287\u3836\u3BC2\u5E2E\u6A8A\u5E75\u5E7A\u{244BC}\u{20CD3}\u53A6\u4EB7\u5ED0\u53A8\u{21771}\u5E09\u5EF4\u{28482}"],
      ["fc40", "\u5EF9\u5EFB\u38A0\u5EFC\u683E\u941B\u5F0D\u{201C1}\u{2F894}\u3ADE\u48AE\u{2133A}\u5F3A\u{26888}\u{223D0}\u5F58\u{22471}\u5F63\u97BD\u{26E6E}\u5F72\u9340\u{28A36}\u5FA7\u5DB6\u3D5F\u{25250}\u{21F6A}\u{270F8}\u{22668}\u91D6\u{2029E}\u{28A29}\u6031\u6685\u{21877}\u3963\u3DC7\u3639\u5790\u{227B4}\u7971\u3E40\u609E\u60A4\u60B3\u{24982}\u{2498F}\u{27A53}\u74A4\u50E1\u5AA0\u6164\u8424\u6142\u{2F8A6}\u{26ED2}\u6181\u51F4\u{20656}\u6187\u5BAA\u{23FB7}"],
      ["fca1", "\u{2285F}\u61D3\u{28B9D}\u{2995D}\u61D0\u3932\u{22980}\u{228C1}\u6023\u615C\u651E\u638B\u{20118}\u62C5\u{21770}\u62D5\u{22E0D}\u636C\u{249DF}\u3A17\u6438\u63F8\u{2138E}\u{217FC}\u6490\u6F8A\u{22E36}\u9814\u{2408C}\u{2571D}\u64E1\u64E5\u947B\u3A66\u643A\u3A57\u654D\u6F16\u{24A28}\u{24A23}\u6585\u656D\u655F\u{2307E}\u65B5\u{24940}\u4B37\u65D1\u40D8\u{21829}\u65E0\u65E3\u5FDF\u{23400}\u6618\u{231F7}\u{231F8}\u6644\u{231A4}\u{231A5}\u664B\u{20E75}\u6667\u{251E6}\u6673\u6674\u{21E3D}\u{23231}\u{285F4}\u{231C8}\u{25313}\u77C5\u{228F7}\u99A4\u6702\u{2439C}\u{24A21}\u3B2B\u69FA\u{237C2}\u675E\u6767\u6762\u{241CD}\u{290ED}\u67D7\u44E9\u6822\u6E50\u923C\u6801\u{233E6}\u{26DA0}\u685D"],
      ["fd40", "\u{2346F}\u69E1\u6A0B\u{28ADF}\u6973\u68C3\u{235CD}\u6901\u6900\u3D32\u3A01\u{2363C}\u3B80\u67AC\u6961\u{28A4A}\u42FC\u6936\u6998\u3BA1\u{203C9}\u8363\u5090\u69F9\u{23659}\u{2212A}\u6A45\u{23703}\u6A9D\u3BF3\u67B1\u6AC8\u{2919C}\u3C0D\u6B1D\u{20923}\u60DE\u6B35\u6B74\u{227CD}\u6EB5\u{23ADB}\u{203B5}\u{21958}\u3740\u5421\u{23B5A}\u6BE1\u{23EFC}\u6BDC\u6C37\u{2248B}\u{248F1}\u{26B51}\u6C5A\u8226\u6C79\u{23DBC}\u44C5\u{23DBD}\u{241A4}\u{2490C}\u{24900}"],
      ["fda1", "\u{23CC9}\u36E5\u3CEB\u{20D32}\u9B83\u{231F9}\u{22491}\u7F8F\u6837\u{26D25}\u{26DA1}\u{26DEB}\u6D96\u6D5C\u6E7C\u6F04\u{2497F}\u{24085}\u{26E72}\u8533\u{26F74}\u51C7\u6C9C\u6E1D\u842E\u{28B21}\u6E2F\u{23E2F}\u7453\u{23F82}\u79CC\u6E4F\u5A91\u{2304B}\u6FF8\u370D\u6F9D\u{23E30}\u6EFA\u{21497}\u{2403D}\u4555\u93F0\u6F44\u6F5C\u3D4E\u6F74\u{29170}\u3D3B\u6F9F\u{24144}\u6FD3\u{24091}\u{24155}\u{24039}\u{23FF0}\u{23FB4}\u{2413F}\u51DF\u{24156}\u{24157}\u{24140}\u{261DD}\u704B\u707E\u70A7\u7081\u70CC\u70D5\u70D6\u70DF\u4104\u3DE8\u71B4\u7196\u{24277}\u712B\u7145\u5A88\u714A\u716E\u5C9C\u{24365}\u714F\u9362\u{242C1}\u712C\u{2445A}\u{24A27}\u{24A22}\u71BA\u{28BE8}\u70BD\u720E"],
      ["fe40", "\u9442\u7215\u5911\u9443\u7224\u9341\u{25605}\u722E\u7240\u{24974}\u68BD\u7255\u7257\u3E55\u{23044}\u680D\u6F3D\u7282\u732A\u732B\u{24823}\u{2882B}\u48ED\u{28804}\u7328\u732E\u73CF\u73AA\u{20C3A}\u{26A2E}\u73C9\u7449\u{241E2}\u{216E7}\u{24A24}\u6623\u36C5\u{249B7}\u{2498D}\u{249FB}\u73F7\u7415\u6903\u{24A26}\u7439\u{205C3}\u3ED7\u745C\u{228AD}\u7460\u{28EB2}\u7447\u73E4\u7476\u83B9\u746C\u3730\u7474\u93F1\u6A2C\u7482\u4953\u{24A8C}"],
      ["fea1", "\u{2415F}\u{24A79}\u{28B8F}\u5B46\u{28C03}\u{2189E}\u74C8\u{21988}\u750E\u74E9\u751E\u{28ED9}\u{21A4B}\u5BD7\u{28EAC}\u9385\u754D\u754A\u7567\u756E\u{24F82}\u3F04\u{24D13}\u758E\u745D\u759E\u75B4\u7602\u762C\u7651\u764F\u766F\u7676\u{263F5}\u7690\u81EF\u37F8\u{26911}\u{2690E}\u76A1\u76A5\u76B7\u76CC\u{26F9F}\u8462\u{2509D}\u{2517D}\u{21E1C}\u771E\u7726\u7740\u64AF\u{25220}\u7758\u{232AC}\u77AF\u{28964}\u{28968}\u{216C1}\u77F4\u7809\u{21376}\u{24A12}\u68CA\u78AF\u78C7\u78D3\u96A5\u792E\u{255E0}\u78D7\u7934\u78B1\u{2760C}\u8FB8\u8884\u{28B2B}\u{26083}\u{2261C}\u7986\u8900\u6902\u7980\u{25857}\u799D\u{27B39}\u793C\u79A9\u6E2A\u{27126}\u3EA8\u79C6\u{2910D}\u79D4"]
    ];
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/dbcs-data.js
var require_dbcs_data2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/dbcs-data.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      // == Japanese/ShiftJIS ====================================================
      // All japanese encodings are based on JIS X set of standards:
      // JIS X 0201 - Single-byte encoding of ASCII + ¥ + Kana chars at 0xA1-0xDF.
      // JIS X 0208 - Main set of 6879 characters, placed in 94x94 plane, to be encoded by 2 bytes. 
      //              Has several variations in 1978, 1983, 1990 and 1997.
      // JIS X 0212 - Supplementary plane of 6067 chars in 94x94 plane. 1990. Effectively dead.
      // JIS X 0213 - Extension and modern replacement of 0208 and 0212. Total chars: 11233.
      //              2 planes, first is superset of 0208, second - revised 0212.
      //              Introduced in 2000, revised 2004. Some characters are in Unicode Plane 2 (0x2xxxx)
      // Byte encodings are:
      //  * Shift_JIS: Compatible with 0201, uses not defined chars in top half as lead bytes for double-byte
      //               encoding of 0208. Lead byte ranges: 0x81-0x9F, 0xE0-0xEF; Trail byte ranges: 0x40-0x7E, 0x80-0x9E, 0x9F-0xFC.
      //               Windows CP932 is a superset of Shift_JIS. Some companies added more chars, notably KDDI.
      //  * EUC-JP:    Up to 3 bytes per character. Used mostly on *nixes.
      //               0x00-0x7F       - lower part of 0201
      //               0x8E, 0xA1-0xDF - upper part of 0201
      //               (0xA1-0xFE)x2   - 0208 plane (94x94).
      //               0x8F, (0xA1-0xFE)x2 - 0212 plane (94x94).
      //  * JIS X 208: 7-bit, direct encoding of 0208. Byte ranges: 0x21-0x7E (94 values). Uncommon.
      //               Used as-is in ISO2022 family.
      //  * ISO2022-JP: Stateful encoding, with escape sequences to switch between ASCII, 
      //                0201-1976 Roman, 0208-1978, 0208-1983.
      //  * ISO2022-JP-1: Adds esc seq for 0212-1990.
      //  * ISO2022-JP-2: Adds esc seq for GB2313-1980, KSX1001-1992, ISO8859-1, ISO8859-7.
      //  * ISO2022-JP-3: Adds esc seq for 0201-1976 Kana set, 0213-2000 Planes 1, 2.
      //  * ISO2022-JP-2004: Adds 0213-2004 Plane 1.
      //
      // After JIS X 0213 appeared, Shift_JIS-2004, EUC-JISX0213 and ISO2022-JP-2004 followed, with just changing the planes.
      //
      // Overall, it seems that it's a mess :( http://www8.plala.or.jp/tkubota1/unicode-symbols-map2.html
      "shiftjis": {
        type: "_dbcs",
        table: function() {
          return require_shiftjis2();
        },
        encodeAdd: { "\xA5": 92, "\u203E": 126 },
        encodeSkipVals: [{ from: 60736, to: 63808 }]
      },
      "csshiftjis": "shiftjis",
      "mskanji": "shiftjis",
      "sjis": "shiftjis",
      "windows31j": "shiftjis",
      "ms31j": "shiftjis",
      "xsjis": "shiftjis",
      "windows932": "shiftjis",
      "ms932": "shiftjis",
      "932": "shiftjis",
      "cp932": "shiftjis",
      "eucjp": {
        type: "_dbcs",
        table: function() {
          return require_eucjp2();
        },
        encodeAdd: { "\xA5": 92, "\u203E": 126 }
      },
      // TODO: KDDI extension to Shift_JIS
      // TODO: IBM CCSID 942 = CP932, but F0-F9 custom chars and other char changes.
      // TODO: IBM CCSID 943 = Shift_JIS = CP932 with original Shift_JIS lower 128 chars.
      // == Chinese/GBK ==========================================================
      // http://en.wikipedia.org/wiki/GBK
      // We mostly implement W3C recommendation: https://www.w3.org/TR/encoding/#gbk-encoder
      // Oldest GB2312 (1981, ~7600 chars) is a subset of CP936
      "gb2312": "cp936",
      "gb231280": "cp936",
      "gb23121980": "cp936",
      "csgb2312": "cp936",
      "csiso58gb231280": "cp936",
      "euccn": "cp936",
      // Microsoft's CP936 is a subset and approximation of GBK.
      "windows936": "cp936",
      "ms936": "cp936",
      "936": "cp936",
      "cp936": {
        type: "_dbcs",
        table: function() {
          return require_cp9362();
        }
      },
      // GBK (~22000 chars) is an extension of CP936 that added user-mapped chars and some other.
      "gbk": {
        type: "_dbcs",
        table: function() {
          return require_cp9362().concat(require_gbk_added2());
        }
      },
      "xgbk": "gbk",
      "isoir58": "gbk",
      // GB18030 is an algorithmic extension of GBK.
      // Main source: https://www.w3.org/TR/encoding/#gbk-encoder
      // http://icu-project.org/docs/papers/gb18030.html
      // http://source.icu-project.org/repos/icu/data/trunk/charset/data/xml/gb-18030-2000.xml
      // http://www.khngai.com/chinese/charmap/tblgbk.php?page=0
      "gb18030": {
        type: "_dbcs",
        table: function() {
          return require_cp9362().concat(require_gbk_added2());
        },
        gb18030: function() {
          return require_gb18030_ranges2();
        },
        encodeSkipVals: [128],
        encodeAdd: { "\u20AC": 41699 }
      },
      "chinese": "gb18030",
      // == Korean ===============================================================
      // EUC-KR, KS_C_5601 and KS X 1001 are exactly the same.
      "windows949": "cp949",
      "ms949": "cp949",
      "949": "cp949",
      "cp949": {
        type: "_dbcs",
        table: function() {
          return require_cp9492();
        }
      },
      "cseuckr": "cp949",
      "csksc56011987": "cp949",
      "euckr": "cp949",
      "isoir149": "cp949",
      "korean": "cp949",
      "ksc56011987": "cp949",
      "ksc56011989": "cp949",
      "ksc5601": "cp949",
      // == Big5/Taiwan/Hong Kong ================================================
      // There are lots of tables for Big5 and cp950. Please see the following links for history:
      // http://moztw.org/docs/big5/  http://www.haible.de/bruno/charsets/conversion-tables/Big5.html
      // Variations, in roughly number of defined chars:
      //  * Windows CP 950: Microsoft variant of Big5. Canonical: http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP950.TXT
      //  * Windows CP 951: Microsoft variant of Big5-HKSCS-2001. Seems to be never public. http://me.abelcheung.org/articles/research/what-is-cp951/
      //  * Big5-2003 (Taiwan standard) almost superset of cp950.
      //  * Unicode-at-on (UAO) / Mozilla 1.8. Falling out of use on the Web. Not supported by other browsers.
      //  * Big5-HKSCS (-2001, -2004, -2008). Hong Kong standard. 
      //    many unicode code points moved from PUA to Supplementary plane (U+2XXXX) over the years.
      //    Plus, it has 4 combining sequences.
      //    Seems that Mozilla refused to support it for 10 yrs. https://bugzilla.mozilla.org/show_bug.cgi?id=162431 https://bugzilla.mozilla.org/show_bug.cgi?id=310299
      //    because big5-hkscs is the only encoding to include astral characters in non-algorithmic way.
      //    Implementations are not consistent within browsers; sometimes labeled as just big5.
      //    MS Internet Explorer switches from big5 to big5-hkscs when a patch applied.
      //    Great discussion & recap of what's going on https://bugzilla.mozilla.org/show_bug.cgi?id=912470#c31
      //    In the encoder, it might make sense to support encoding old PUA mappings to Big5 bytes seq-s.
      //    Official spec: http://www.ogcio.gov.hk/en/business/tech_promotion/ccli/terms/doc/2003cmp_2008.txt
      //                   http://www.ogcio.gov.hk/tc/business/tech_promotion/ccli/terms/doc/hkscs-2008-big5-iso.txt
      // 
      // Current understanding of how to deal with Big5(-HKSCS) is in the Encoding Standard, http://encoding.spec.whatwg.org/#big5-encoder
      // Unicode mapping (http://www.unicode.org/Public/MAPPINGS/OBSOLETE/EASTASIA/OTHER/BIG5.TXT) is said to be wrong.
      "windows950": "cp950",
      "ms950": "cp950",
      "950": "cp950",
      "cp950": {
        type: "_dbcs",
        table: function() {
          return require_cp9502();
        }
      },
      // Big5 has many variations and is an extension of cp950. We use Encoding Standard's as a consensus.
      "big5": "big5hkscs",
      "big5hkscs": {
        type: "_dbcs",
        table: function() {
          return require_cp9502().concat(require_big5_added2());
        },
        encodeSkipVals: [41676]
      },
      "cnbig5": "big5hkscs",
      "csbig5": "big5hkscs",
      "xxbig5": "big5hkscs"
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/index.js
var require_encodings2 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/encodings/index.js"(exports2, module2) {
    "use strict";
    var modules = [
      require_internal3(),
      require_utf162(),
      require_utf72(),
      require_sbcs_codec2(),
      require_sbcs_data2(),
      require_sbcs_data_generated2(),
      require_dbcs_codec2(),
      require_dbcs_data2()
    ];
    for (i4 = 0; i4 < modules.length; i4++) {
      module2 = modules[i4];
      for (enc in module2)
        if (Object.prototype.hasOwnProperty.call(module2, enc))
          exports2[enc] = module2[enc];
    }
    var module2;
    var enc;
    var i4;
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/lib/streams.js
var require_streams3 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/lib/streams.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require("buffer").Buffer;
    var Transform = require("stream").Transform;
    module2.exports = function(iconv) {
      iconv.encodeStream = function encodeStream(encoding, options2) {
        return new IconvLiteEncoderStream(iconv.getEncoder(encoding, options2), options2);
      };
      iconv.decodeStream = function decodeStream(encoding, options2) {
        return new IconvLiteDecoderStream(iconv.getDecoder(encoding, options2), options2);
      };
      iconv.supportsStreams = true;
      iconv.IconvLiteEncoderStream = IconvLiteEncoderStream;
      iconv.IconvLiteDecoderStream = IconvLiteDecoderStream;
      iconv._collect = IconvLiteDecoderStream.prototype.collect;
    };
    function IconvLiteEncoderStream(conv, options2) {
      this.conv = conv;
      options2 = options2 || {};
      options2.decodeStrings = false;
      Transform.call(this, options2);
    }
    IconvLiteEncoderStream.prototype = Object.create(Transform.prototype, {
      constructor: { value: IconvLiteEncoderStream }
    });
    IconvLiteEncoderStream.prototype._transform = function(chunk, encoding, done) {
      if (typeof chunk != "string")
        return done(new Error("Iconv encoding stream needs strings as its input."));
      try {
        var res = this.conv.write(chunk);
        if (res && res.length)
          this.push(res);
        done();
      } catch (e3) {
        done(e3);
      }
    };
    IconvLiteEncoderStream.prototype._flush = function(done) {
      try {
        var res = this.conv.end();
        if (res && res.length)
          this.push(res);
        done();
      } catch (e3) {
        done(e3);
      }
    };
    IconvLiteEncoderStream.prototype.collect = function(cb2) {
      var chunks = [];
      this.on("error", cb2);
      this.on("data", function(chunk) {
        chunks.push(chunk);
      });
      this.on("end", function() {
        cb2(null, Buffer2.concat(chunks));
      });
      return this;
    };
    function IconvLiteDecoderStream(conv, options2) {
      this.conv = conv;
      options2 = options2 || {};
      options2.encoding = this.encoding = "utf8";
      Transform.call(this, options2);
    }
    IconvLiteDecoderStream.prototype = Object.create(Transform.prototype, {
      constructor: { value: IconvLiteDecoderStream }
    });
    IconvLiteDecoderStream.prototype._transform = function(chunk, encoding, done) {
      if (!Buffer2.isBuffer(chunk))
        return done(new Error("Iconv decoding stream needs buffers as its input."));
      try {
        var res = this.conv.write(chunk);
        if (res && res.length)
          this.push(res, this.encoding);
        done();
      } catch (e3) {
        done(e3);
      }
    };
    IconvLiteDecoderStream.prototype._flush = function(done) {
      try {
        var res = this.conv.end();
        if (res && res.length)
          this.push(res, this.encoding);
        done();
      } catch (e3) {
        done(e3);
      }
    };
    IconvLiteDecoderStream.prototype.collect = function(cb2) {
      var res = "";
      this.on("error", cb2);
      this.on("data", function(chunk) {
        res += chunk;
      });
      this.on("end", function() {
        cb2(null, res);
      });
      return this;
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/lib/extend-node.js
var require_extend_node = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/lib/extend-node.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require("buffer").Buffer;
    module2.exports = function(iconv) {
      var original = void 0;
      iconv.supportsNodeEncodingsExtension = !(Buffer2.from || new Buffer2(0) instanceof Uint8Array);
      iconv.extendNodeEncodings = function extendNodeEncodings() {
        if (original)
          return;
        original = {};
        if (!iconv.supportsNodeEncodingsExtension) {
          console.error("ACTION NEEDED: require('iconv-lite').extendNodeEncodings() is not supported in your version of Node");
          console.error("See more info at https://github.com/ashtuchkin/iconv-lite/wiki/Node-v4-compatibility");
          return;
        }
        var nodeNativeEncodings = {
          "hex": true,
          "utf8": true,
          "utf-8": true,
          "ascii": true,
          "binary": true,
          "base64": true,
          "ucs2": true,
          "ucs-2": true,
          "utf16le": true,
          "utf-16le": true
        };
        Buffer2.isNativeEncoding = function(enc) {
          return enc && nodeNativeEncodings[enc.toLowerCase()];
        };
        var SlowBuffer = require("buffer").SlowBuffer;
        original.SlowBufferToString = SlowBuffer.prototype.toString;
        SlowBuffer.prototype.toString = function(encoding, start, end) {
          encoding = String(encoding || "utf8").toLowerCase();
          if (Buffer2.isNativeEncoding(encoding))
            return original.SlowBufferToString.call(this, encoding, start, end);
          if (typeof start == "undefined")
            start = 0;
          if (typeof end == "undefined")
            end = this.length;
          return iconv.decode(this.slice(start, end), encoding);
        };
        original.SlowBufferWrite = SlowBuffer.prototype.write;
        SlowBuffer.prototype.write = function(string, offset, length, encoding) {
          if (isFinite(offset)) {
            if (!isFinite(length)) {
              encoding = length;
              length = void 0;
            }
          } else {
            var swap3 = encoding;
            encoding = offset;
            offset = length;
            length = swap3;
          }
          offset = +offset || 0;
          var remaining = this.length - offset;
          if (!length) {
            length = remaining;
          } else {
            length = +length;
            if (length > remaining) {
              length = remaining;
            }
          }
          encoding = String(encoding || "utf8").toLowerCase();
          if (Buffer2.isNativeEncoding(encoding))
            return original.SlowBufferWrite.call(this, string, offset, length, encoding);
          if (string.length > 0 && (length < 0 || offset < 0))
            throw new RangeError("attempt to write beyond buffer bounds");
          var buf = iconv.encode(string, encoding);
          if (buf.length < length)
            length = buf.length;
          buf.copy(this, offset, 0, length);
          return length;
        };
        original.BufferIsEncoding = Buffer2.isEncoding;
        Buffer2.isEncoding = function(encoding) {
          return Buffer2.isNativeEncoding(encoding) || iconv.encodingExists(encoding);
        };
        original.BufferByteLength = Buffer2.byteLength;
        Buffer2.byteLength = SlowBuffer.byteLength = function(str, encoding) {
          encoding = String(encoding || "utf8").toLowerCase();
          if (Buffer2.isNativeEncoding(encoding))
            return original.BufferByteLength.call(this, str, encoding);
          return iconv.encode(str, encoding).length;
        };
        original.BufferToString = Buffer2.prototype.toString;
        Buffer2.prototype.toString = function(encoding, start, end) {
          encoding = String(encoding || "utf8").toLowerCase();
          if (Buffer2.isNativeEncoding(encoding))
            return original.BufferToString.call(this, encoding, start, end);
          if (typeof start == "undefined")
            start = 0;
          if (typeof end == "undefined")
            end = this.length;
          return iconv.decode(this.slice(start, end), encoding);
        };
        original.BufferWrite = Buffer2.prototype.write;
        Buffer2.prototype.write = function(string, offset, length, encoding) {
          var _offset = offset, _length = length, _encoding = encoding;
          if (isFinite(offset)) {
            if (!isFinite(length)) {
              encoding = length;
              length = void 0;
            }
          } else {
            var swap3 = encoding;
            encoding = offset;
            offset = length;
            length = swap3;
          }
          encoding = String(encoding || "utf8").toLowerCase();
          if (Buffer2.isNativeEncoding(encoding))
            return original.BufferWrite.call(this, string, _offset, _length, _encoding);
          offset = +offset || 0;
          var remaining = this.length - offset;
          if (!length) {
            length = remaining;
          } else {
            length = +length;
            if (length > remaining) {
              length = remaining;
            }
          }
          if (string.length > 0 && (length < 0 || offset < 0))
            throw new RangeError("attempt to write beyond buffer bounds");
          var buf = iconv.encode(string, encoding);
          if (buf.length < length)
            length = buf.length;
          buf.copy(this, offset, 0, length);
          return length;
        };
        if (iconv.supportsStreams) {
          var Readable2 = require("stream").Readable;
          original.ReadableSetEncoding = Readable2.prototype.setEncoding;
          Readable2.prototype.setEncoding = function setEncoding(enc, options2) {
            this._readableState.decoder = iconv.getDecoder(enc, options2);
            this._readableState.encoding = enc;
          };
          Readable2.prototype.collect = iconv._collect;
        }
      };
      iconv.undoExtendNodeEncodings = function undoExtendNodeEncodings() {
        if (!iconv.supportsNodeEncodingsExtension)
          return;
        if (!original)
          throw new Error("require('iconv-lite').undoExtendNodeEncodings(): Nothing to undo; extendNodeEncodings() is not called.");
        delete Buffer2.isNativeEncoding;
        var SlowBuffer = require("buffer").SlowBuffer;
        SlowBuffer.prototype.toString = original.SlowBufferToString;
        SlowBuffer.prototype.write = original.SlowBufferWrite;
        Buffer2.isEncoding = original.BufferIsEncoding;
        Buffer2.byteLength = original.BufferByteLength;
        Buffer2.prototype.toString = original.BufferToString;
        Buffer2.prototype.write = original.BufferWrite;
        if (iconv.supportsStreams) {
          var Readable2 = require("stream").Readable;
          Readable2.prototype.setEncoding = original.ReadableSetEncoding;
          delete Readable2.prototype.collect;
        }
        original = void 0;
      };
    };
  }
});

// ../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/lib/index.js
var require_lib9 = __commonJS({
  "../../node_modules/.pnpm/iconv-lite@0.4.24/node_modules/iconv-lite/lib/index.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    var bomHandling = require_bom_handling2();
    var iconv = module2.exports;
    iconv.encodings = null;
    iconv.defaultCharUnicode = "\uFFFD";
    iconv.defaultCharSingleByte = "?";
    iconv.encode = function encode(str, encoding, options2) {
      str = "" + (str || "");
      var encoder = iconv.getEncoder(encoding, options2);
      var res = encoder.write(str);
      var trail = encoder.end();
      return trail && trail.length > 0 ? Buffer2.concat([res, trail]) : res;
    };
    iconv.decode = function decode(buf, encoding, options2) {
      if (typeof buf === "string") {
        if (!iconv.skipDecodeWarning) {
          console.error("Iconv-lite warning: decode()-ing strings is deprecated. Refer to https://github.com/ashtuchkin/iconv-lite/wiki/Use-Buffers-when-decoding");
          iconv.skipDecodeWarning = true;
        }
        buf = Buffer2.from("" + (buf || ""), "binary");
      }
      var decoder = iconv.getDecoder(encoding, options2);
      var res = decoder.write(buf);
      var trail = decoder.end();
      return trail ? res + trail : res;
    };
    iconv.encodingExists = function encodingExists(enc) {
      try {
        iconv.getCodec(enc);
        return true;
      } catch (e3) {
        return false;
      }
    };
    iconv.toEncoding = iconv.encode;
    iconv.fromEncoding = iconv.decode;
    iconv._codecDataCache = {};
    iconv.getCodec = function getCodec(encoding) {
      if (!iconv.encodings)
        iconv.encodings = require_encodings2();
      var enc = iconv._canonicalizeEncoding(encoding);
      var codecOptions = {};
      while (true) {
        var codec = iconv._codecDataCache[enc];
        if (codec)
          return codec;
        var codecDef = iconv.encodings[enc];
        switch (typeof codecDef) {
          case "string":
            enc = codecDef;
            break;
          case "object":
            for (var key in codecDef)
              codecOptions[key] = codecDef[key];
            if (!codecOptions.encodingName)
              codecOptions.encodingName = enc;
            enc = codecDef.type;
            break;
          case "function":
            if (!codecOptions.encodingName)
              codecOptions.encodingName = enc;
            codec = new codecDef(codecOptions, iconv);
            iconv._codecDataCache[codecOptions.encodingName] = codec;
            return codec;
          default:
            throw new Error("Encoding not recognized: '" + encoding + "' (searched as: '" + enc + "')");
        }
      }
    };
    iconv._canonicalizeEncoding = function(encoding) {
      return ("" + encoding).toLowerCase().replace(/:\d{4}$|[^0-9a-z]/g, "");
    };
    iconv.getEncoder = function getEncoder(encoding, options2) {
      var codec = iconv.getCodec(encoding), encoder = new codec.encoder(options2, codec);
      if (codec.bomAware && options2 && options2.addBOM)
        encoder = new bomHandling.PrependBOM(encoder, options2);
      return encoder;
    };
    iconv.getDecoder = function getDecoder(encoding, options2) {
      var codec = iconv.getCodec(encoding), decoder = new codec.decoder(options2, codec);
      if (codec.bomAware && !(options2 && options2.stripBOM === false))
        decoder = new bomHandling.StripBOM(decoder, options2);
      return decoder;
    };
    var nodeVer = typeof process !== "undefined" && process.versions && process.versions.node;
    if (nodeVer) {
      nodeVerArr = nodeVer.split(".").map(Number);
      if (nodeVerArr[0] > 0 || nodeVerArr[1] >= 10) {
        require_streams3()(iconv);
      }
      require_extend_node()(iconv);
    }
    var nodeVerArr;
    if (false) {
      console.error("iconv-lite warning: javascript files use encoding different from utf-8. See https://github.com/ashtuchkin/iconv-lite/wiki/Javascript-source-file-encodings for more info.");
    }
  }
});

// ../../node_modules/.pnpm/unpipe@1.0.0/node_modules/unpipe/index.js
var require_unpipe = __commonJS({
  "../../node_modules/.pnpm/unpipe@1.0.0/node_modules/unpipe/index.js"(exports2, module2) {
    "use strict";
    module2.exports = unpipe;
    function hasPipeDataListeners(stream4) {
      var listeners = stream4.listeners("data");
      for (var i4 = 0; i4 < listeners.length; i4++) {
        if (listeners[i4].name === "ondata") {
          return true;
        }
      }
      return false;
    }
    function unpipe(stream4) {
      if (!stream4) {
        throw new TypeError("argument stream is required");
      }
      if (typeof stream4.unpipe === "function") {
        stream4.unpipe();
        return;
      }
      if (!hasPipeDataListeners(stream4)) {
        return;
      }
      var listener;
      var listeners = stream4.listeners("close");
      for (var i4 = 0; i4 < listeners.length; i4++) {
        listener = listeners[i4];
        if (listener.name !== "cleanup" && listener.name !== "onclose") {
          continue;
        }
        listener.call(stream4);
      }
    }
  }
});

// ../../node_modules/.pnpm/raw-body@2.4.2/node_modules/raw-body/index.js
var require_raw_body = __commonJS({
  "../../node_modules/.pnpm/raw-body@2.4.2/node_modules/raw-body/index.js"(exports2, module2) {
    "use strict";
    var bytes = require_bytes();
    var createError = require_http_errors();
    var iconv = require_lib9();
    var unpipe = require_unpipe();
    module2.exports = getRawBody;
    var ICONV_ENCODING_MESSAGE_REGEXP = /^Encoding not recognized: /;
    function getDecoder(encoding) {
      if (!encoding)
        return null;
      try {
        return iconv.getDecoder(encoding);
      } catch (e3) {
        if (!ICONV_ENCODING_MESSAGE_REGEXP.test(e3.message))
          throw e3;
        throw createError(415, "specified encoding unsupported", {
          encoding,
          type: "encoding.unsupported"
        });
      }
    }
    function getRawBody(stream4, options2, callback) {
      var done = callback;
      var opts2 = options2 || {};
      if (options2 === true || typeof options2 === "string") {
        opts2 = {
          encoding: options2
        };
      }
      if (typeof options2 === "function") {
        done = options2;
        opts2 = {};
      }
      if (done !== void 0 && typeof done !== "function") {
        throw new TypeError("argument callback must be a function");
      }
      if (!done && !global.Promise) {
        throw new TypeError("argument callback is required");
      }
      var encoding = opts2.encoding !== true ? opts2.encoding : "utf-8";
      var limit = bytes.parse(opts2.limit);
      var length = opts2.length != null && !isNaN(opts2.length) ? parseInt(opts2.length, 10) : null;
      if (done) {
        return readStream(stream4, encoding, length, limit, done);
      }
      return new Promise(function executor(resolve3, reject2) {
        readStream(stream4, encoding, length, limit, function onRead(err, buf) {
          if (err)
            return reject2(err);
          resolve3(buf);
        });
      });
    }
    function halt(stream4) {
      unpipe(stream4);
      if (typeof stream4.pause === "function") {
        stream4.pause();
      }
    }
    function readStream(stream4, encoding, length, limit, callback) {
      var complete = false;
      var sync2 = true;
      if (limit !== null && length !== null && length > limit) {
        return done(createError(413, "request entity too large", {
          expected: length,
          length,
          limit,
          type: "entity.too.large"
        }));
      }
      var state = stream4._readableState;
      if (stream4._decoder || state && (state.encoding || state.decoder)) {
        return done(createError(500, "stream encoding should not be set", {
          type: "stream.encoding.set"
        }));
      }
      var received = 0;
      var decoder;
      try {
        decoder = getDecoder(encoding);
      } catch (err) {
        return done(err);
      }
      var buffer = decoder ? "" : [];
      stream4.on("aborted", onAborted);
      stream4.on("close", cleanup);
      stream4.on("data", onData);
      stream4.on("end", onEnd);
      stream4.on("error", onEnd);
      sync2 = false;
      function done() {
        var args3 = new Array(arguments.length);
        for (var i4 = 0; i4 < args3.length; i4++) {
          args3[i4] = arguments[i4];
        }
        complete = true;
        if (sync2) {
          process.nextTick(invokeCallback2);
        } else {
          invokeCallback2();
        }
        function invokeCallback2() {
          cleanup();
          if (args3[0]) {
            halt(stream4);
          }
          callback.apply(null, args3);
        }
      }
      function onAborted() {
        if (complete)
          return;
        done(createError(400, "request aborted", {
          code: "ECONNABORTED",
          expected: length,
          length,
          received,
          type: "request.aborted"
        }));
      }
      function onData(chunk) {
        if (complete)
          return;
        received += chunk.length;
        if (limit !== null && received > limit) {
          done(createError(413, "request entity too large", {
            limit,
            received,
            type: "entity.too.large"
          }));
        } else if (decoder) {
          buffer += decoder.write(chunk);
        } else {
          buffer.push(chunk);
        }
      }
      function onEnd(err) {
        if (complete)
          return;
        if (err)
          return done(err);
        if (length !== null && received !== length) {
          done(createError(400, "request size did not match content length", {
            expected: length,
            length,
            received,
            type: "request.size.invalid"
          }));
        } else {
          var string = decoder ? buffer + (decoder.end() || "") : Buffer.concat(buffer);
          done(null, string);
        }
      }
      function cleanup() {
        buffer = null;
        stream4.removeListener("aborted", onAborted);
        stream4.removeListener("data", onData);
        stream4.removeListener("end", onEnd);
        stream4.removeListener("error", onEnd);
        stream4.removeListener("close", cleanup);
      }
    }
  }
});

// ../../node_modules/.pnpm/ee-first@1.1.1/node_modules/ee-first/index.js
var require_ee_first = __commonJS({
  "../../node_modules/.pnpm/ee-first@1.1.1/node_modules/ee-first/index.js"(exports2, module2) {
    "use strict";
    module2.exports = first;
    function first(stuff, done) {
      if (!Array.isArray(stuff))
        throw new TypeError("arg must be an array of [ee, events...] arrays");
      var cleanups = [];
      for (var i4 = 0; i4 < stuff.length; i4++) {
        var arr = stuff[i4];
        if (!Array.isArray(arr) || arr.length < 2)
          throw new TypeError("each array member must be [ee, events...]");
        var ee = arr[0];
        for (var j2 = 1; j2 < arr.length; j2++) {
          var event = arr[j2];
          var fn2 = listener(event, callback);
          ee.on(event, fn2);
          cleanups.push({
            ee,
            event,
            fn: fn2
          });
        }
      }
      function callback() {
        cleanup();
        done.apply(null, arguments);
      }
      function cleanup() {
        var x;
        for (var i7 = 0; i7 < cleanups.length; i7++) {
          x = cleanups[i7];
          x.ee.removeListener(x.event, x.fn);
        }
      }
      function thunk(fn3) {
        done = fn3;
      }
      thunk.cancel = cleanup;
      return thunk;
    }
    function listener(event, done) {
      return function onevent(arg1) {
        var args3 = new Array(arguments.length);
        var ee = this;
        var err = event === "error" ? arg1 : null;
        for (var i4 = 0; i4 < args3.length; i4++) {
          args3[i4] = arguments[i4];
        }
        done(err, ee, event, args3);
      };
    }
  }
});

// ../../node_modules/.pnpm/on-finished@2.3.0/node_modules/on-finished/index.js
var require_on_finished = __commonJS({
  "../../node_modules/.pnpm/on-finished@2.3.0/node_modules/on-finished/index.js"(exports2, module2) {
    "use strict";
    module2.exports = onFinished;
    module2.exports.isFinished = isFinished;
    var first = require_ee_first();
    var defer = typeof setImmediate === "function" ? setImmediate : function(fn2) {
      process.nextTick(fn2.bind.apply(fn2, arguments));
    };
    function onFinished(msg, listener) {
      if (isFinished(msg) !== false) {
        defer(listener, null, msg);
        return msg;
      }
      attachListener(msg, listener);
      return msg;
    }
    function isFinished(msg) {
      var socket = msg.socket;
      if (typeof msg.finished === "boolean") {
        return Boolean(msg.finished || socket && !socket.writable);
      }
      if (typeof msg.complete === "boolean") {
        return Boolean(msg.upgrade || !socket || !socket.readable || msg.complete && !msg.readable);
      }
      return void 0;
    }
    function attachFinishedListener(msg, callback) {
      var eeMsg;
      var eeSocket;
      var finished = false;
      function onFinish(error2) {
        eeMsg.cancel();
        eeSocket.cancel();
        finished = true;
        callback(error2);
      }
      eeMsg = eeSocket = first([[msg, "end", "finish"]], onFinish);
      function onSocket(socket) {
        msg.removeListener("socket", onSocket);
        if (finished)
          return;
        if (eeMsg !== eeSocket)
          return;
        eeSocket = first([[socket, "error", "close"]], onFinish);
      }
      if (msg.socket) {
        onSocket(msg.socket);
        return;
      }
      msg.on("socket", onSocket);
      if (msg.socket === void 0) {
        patchAssignSocket(msg, onSocket);
      }
    }
    function attachListener(msg, listener) {
      var attached = msg.__onFinished;
      if (!attached || !attached.queue) {
        attached = msg.__onFinished = createListener(msg);
        attachFinishedListener(msg, attached);
      }
      attached.queue.push(listener);
    }
    function createListener(msg) {
      function listener(err) {
        if (msg.__onFinished === listener)
          msg.__onFinished = null;
        if (!listener.queue)
          return;
        var queue2 = listener.queue;
        listener.queue = null;
        for (var i4 = 0; i4 < queue2.length; i4++) {
          queue2[i4](err, msg);
        }
      }
      listener.queue = [];
      return listener;
    }
    function patchAssignSocket(res, callback) {
      var assignSocket = res.assignSocket;
      if (typeof assignSocket !== "function")
        return;
      res.assignSocket = function _assignSocket(socket) {
        assignSocket.call(this, socket);
        callback(socket);
      };
    }
  }
});

// ../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/read.js
var require_read2 = __commonJS({
  "../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/read.js"(exports2, module2) {
    "use strict";
    var createError = require_http_errors();
    var getBody = require_raw_body();
    var iconv = require_lib9();
    var onFinished = require_on_finished();
    var zlib3 = require("zlib");
    module2.exports = read;
    function read(req, res, next, parse3, debug30, options2) {
      var length;
      var opts2 = options2;
      var stream4;
      req._body = true;
      var encoding = opts2.encoding !== null ? opts2.encoding : null;
      var verify = opts2.verify;
      try {
        stream4 = contentstream(req, debug30, opts2.inflate);
        length = stream4.length;
        stream4.length = void 0;
      } catch (err) {
        return next(err);
      }
      opts2.length = length;
      opts2.encoding = verify ? null : encoding;
      if (opts2.encoding === null && encoding !== null && !iconv.encodingExists(encoding)) {
        return next(createError(415, 'unsupported charset "' + encoding.toUpperCase() + '"', {
          charset: encoding.toLowerCase(),
          type: "charset.unsupported"
        }));
      }
      debug30("read body");
      getBody(stream4, opts2, function(error2, body) {
        if (error2) {
          var _error;
          if (error2.type === "encoding.unsupported") {
            _error = createError(415, 'unsupported charset "' + encoding.toUpperCase() + '"', {
              charset: encoding.toLowerCase(),
              type: "charset.unsupported"
            });
          } else {
            _error = createError(400, error2);
          }
          stream4.resume();
          onFinished(req, function onfinished() {
            next(createError(400, _error));
          });
          return;
        }
        if (verify) {
          try {
            debug30("verify body");
            verify(req, res, body, encoding);
          } catch (err) {
            next(createError(403, err, {
              body,
              type: err.type || "entity.verify.failed"
            }));
            return;
          }
        }
        var str = body;
        try {
          debug30("parse body");
          str = typeof body !== "string" && encoding !== null ? iconv.decode(body, encoding) : body;
          req.body = parse3(str);
        } catch (err) {
          next(createError(400, err, {
            body: str,
            type: err.type || "entity.parse.failed"
          }));
          return;
        }
        next();
      });
    }
    function contentstream(req, debug30, inflate) {
      var encoding = (req.headers["content-encoding"] || "identity").toLowerCase();
      var length = req.headers["content-length"];
      var stream4;
      debug30('content-encoding "%s"', encoding);
      if (inflate === false && encoding !== "identity") {
        throw createError(415, "content encoding unsupported", {
          encoding,
          type: "encoding.unsupported"
        });
      }
      switch (encoding) {
        case "deflate":
          stream4 = zlib3.createInflate();
          debug30("inflate body");
          req.pipe(stream4);
          break;
        case "gzip":
          stream4 = zlib3.createGunzip();
          debug30("gunzip body");
          req.pipe(stream4);
          break;
        case "identity":
          stream4 = req;
          stream4.length = length;
          break;
        default:
          throw createError(415, 'unsupported content encoding "' + encoding + '"', {
            encoding,
            type: "encoding.unsupported"
          });
      }
      return stream4;
    }
  }
});

// ../../node_modules/.pnpm/media-typer@0.3.0/node_modules/media-typer/index.js
var require_media_typer = __commonJS({
  "../../node_modules/.pnpm/media-typer@0.3.0/node_modules/media-typer/index.js"(exports2) {
    "use strict";
    var paramRegExp = /; *([!#$%&'\*\+\-\.0-9A-Z\^_`a-z\|~]+) *= *("(?:[ !\u0023-\u005b\u005d-\u007e\u0080-\u00ff]|\\[\u0020-\u007e])*"|[!#$%&'\*\+\-\.0-9A-Z\^_`a-z\|~]+) */g;
    var textRegExp = /^[\u0020-\u007e\u0080-\u00ff]+$/;
    var tokenRegExp = /^[!#$%&'\*\+\-\.0-9A-Z\^_`a-z\|~]+$/;
    var qescRegExp = /\\([\u0000-\u007f])/g;
    var quoteRegExp = /([\\"])/g;
    var subtypeNameRegExp = /^[A-Za-z0-9][A-Za-z0-9!#$&^_.-]{0,126}$/;
    var typeNameRegExp = /^[A-Za-z0-9][A-Za-z0-9!#$&^_-]{0,126}$/;
    var typeRegExp = /^ *([A-Za-z0-9][A-Za-z0-9!#$&^_-]{0,126})\/([A-Za-z0-9][A-Za-z0-9!#$&^_.+-]{0,126}) *$/;
    exports2.format = format3;
    exports2.parse = parse3;
    function format3(obj) {
      if (!obj || typeof obj !== "object") {
        throw new TypeError("argument obj is required");
      }
      var parameters = obj.parameters;
      var subtype = obj.subtype;
      var suffix = obj.suffix;
      var type = obj.type;
      if (!type || !typeNameRegExp.test(type)) {
        throw new TypeError("invalid type");
      }
      if (!subtype || !subtypeNameRegExp.test(subtype)) {
        throw new TypeError("invalid subtype");
      }
      var string = type + "/" + subtype;
      if (suffix) {
        if (!typeNameRegExp.test(suffix)) {
          throw new TypeError("invalid suffix");
        }
        string += "+" + suffix;
      }
      if (parameters && typeof parameters === "object") {
        var param;
        var params = Object.keys(parameters).sort();
        for (var i4 = 0; i4 < params.length; i4++) {
          param = params[i4];
          if (!tokenRegExp.test(param)) {
            throw new TypeError("invalid parameter name");
          }
          string += "; " + param + "=" + qstring(parameters[param]);
        }
      }
      return string;
    }
    function parse3(string) {
      if (!string) {
        throw new TypeError("argument string is required");
      }
      if (typeof string === "object") {
        string = getcontenttype(string);
      }
      if (typeof string !== "string") {
        throw new TypeError("argument string is required to be a string");
      }
      var index2 = string.indexOf(";");
      var type = index2 !== -1 ? string.substr(0, index2) : string;
      var key;
      var match4;
      var obj = splitType(type);
      var params = {};
      var value;
      paramRegExp.lastIndex = index2;
      while (match4 = paramRegExp.exec(string)) {
        if (match4.index !== index2) {
          throw new TypeError("invalid parameter format");
        }
        index2 += match4[0].length;
        key = match4[1].toLowerCase();
        value = match4[2];
        if (value[0] === '"') {
          value = value.substr(1, value.length - 2).replace(qescRegExp, "$1");
        }
        params[key] = value;
      }
      if (index2 !== -1 && index2 !== string.length) {
        throw new TypeError("invalid parameter format");
      }
      obj.parameters = params;
      return obj;
    }
    function getcontenttype(obj) {
      if (typeof obj.getHeader === "function") {
        return obj.getHeader("content-type");
      }
      if (typeof obj.headers === "object") {
        return obj.headers && obj.headers["content-type"];
      }
    }
    function qstring(val) {
      var str = String(val);
      if (tokenRegExp.test(str)) {
        return str;
      }
      if (str.length > 0 && !textRegExp.test(str)) {
        throw new TypeError("invalid parameter value");
      }
      return '"' + str.replace(quoteRegExp, "\\$1") + '"';
    }
    function splitType(string) {
      var match4 = typeRegExp.exec(string.toLowerCase());
      if (!match4) {
        throw new TypeError("invalid media type");
      }
      var type = match4[1];
      var subtype = match4[2];
      var suffix;
      var index2 = subtype.lastIndexOf("+");
      if (index2 !== -1) {
        suffix = subtype.substr(index2 + 1);
        subtype = subtype.substr(0, index2);
      }
      var obj = {
        type,
        subtype,
        suffix
      };
      return obj;
    }
  }
});

// ../../node_modules/.pnpm/mime-db@1.52.0/node_modules/mime-db/db.json
var require_db = __commonJS({
  "../../node_modules/.pnpm/mime-db@1.52.0/node_modules/mime-db/db.json"(exports2, module2) {
    module2.exports = {
      "application/1d-interleaved-parityfec": {
        source: "iana"
      },
      "application/3gpdash-qoe-report+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/3gpp-ims+xml": {
        source: "iana",
        compressible: true
      },
      "application/3gpphal+json": {
        source: "iana",
        compressible: true
      },
      "application/3gpphalforms+json": {
        source: "iana",
        compressible: true
      },
      "application/a2l": {
        source: "iana"
      },
      "application/ace+cbor": {
        source: "iana"
      },
      "application/activemessage": {
        source: "iana"
      },
      "application/activity+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-costmap+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-costmapfilter+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-directory+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-endpointcost+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-endpointcostparams+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-endpointprop+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-endpointpropparams+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-error+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-networkmap+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-networkmapfilter+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-updatestreamcontrol+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-updatestreamparams+json": {
        source: "iana",
        compressible: true
      },
      "application/aml": {
        source: "iana"
      },
      "application/andrew-inset": {
        source: "iana",
        extensions: ["ez"]
      },
      "application/applefile": {
        source: "iana"
      },
      "application/applixware": {
        source: "apache",
        extensions: ["aw"]
      },
      "application/at+jwt": {
        source: "iana"
      },
      "application/atf": {
        source: "iana"
      },
      "application/atfx": {
        source: "iana"
      },
      "application/atom+xml": {
        source: "iana",
        compressible: true,
        extensions: ["atom"]
      },
      "application/atomcat+xml": {
        source: "iana",
        compressible: true,
        extensions: ["atomcat"]
      },
      "application/atomdeleted+xml": {
        source: "iana",
        compressible: true,
        extensions: ["atomdeleted"]
      },
      "application/atomicmail": {
        source: "iana"
      },
      "application/atomsvc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["atomsvc"]
      },
      "application/atsc-dwd+xml": {
        source: "iana",
        compressible: true,
        extensions: ["dwd"]
      },
      "application/atsc-dynamic-event-message": {
        source: "iana"
      },
      "application/atsc-held+xml": {
        source: "iana",
        compressible: true,
        extensions: ["held"]
      },
      "application/atsc-rdt+json": {
        source: "iana",
        compressible: true
      },
      "application/atsc-rsat+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rsat"]
      },
      "application/atxml": {
        source: "iana"
      },
      "application/auth-policy+xml": {
        source: "iana",
        compressible: true
      },
      "application/bacnet-xdd+zip": {
        source: "iana",
        compressible: false
      },
      "application/batch-smtp": {
        source: "iana"
      },
      "application/bdoc": {
        compressible: false,
        extensions: ["bdoc"]
      },
      "application/beep+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/calendar+json": {
        source: "iana",
        compressible: true
      },
      "application/calendar+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xcs"]
      },
      "application/call-completion": {
        source: "iana"
      },
      "application/cals-1840": {
        source: "iana"
      },
      "application/captive+json": {
        source: "iana",
        compressible: true
      },
      "application/cbor": {
        source: "iana"
      },
      "application/cbor-seq": {
        source: "iana"
      },
      "application/cccex": {
        source: "iana"
      },
      "application/ccmp+xml": {
        source: "iana",
        compressible: true
      },
      "application/ccxml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ccxml"]
      },
      "application/cdfx+xml": {
        source: "iana",
        compressible: true,
        extensions: ["cdfx"]
      },
      "application/cdmi-capability": {
        source: "iana",
        extensions: ["cdmia"]
      },
      "application/cdmi-container": {
        source: "iana",
        extensions: ["cdmic"]
      },
      "application/cdmi-domain": {
        source: "iana",
        extensions: ["cdmid"]
      },
      "application/cdmi-object": {
        source: "iana",
        extensions: ["cdmio"]
      },
      "application/cdmi-queue": {
        source: "iana",
        extensions: ["cdmiq"]
      },
      "application/cdni": {
        source: "iana"
      },
      "application/cea": {
        source: "iana"
      },
      "application/cea-2018+xml": {
        source: "iana",
        compressible: true
      },
      "application/cellml+xml": {
        source: "iana",
        compressible: true
      },
      "application/cfw": {
        source: "iana"
      },
      "application/city+json": {
        source: "iana",
        compressible: true
      },
      "application/clr": {
        source: "iana"
      },
      "application/clue+xml": {
        source: "iana",
        compressible: true
      },
      "application/clue_info+xml": {
        source: "iana",
        compressible: true
      },
      "application/cms": {
        source: "iana"
      },
      "application/cnrp+xml": {
        source: "iana",
        compressible: true
      },
      "application/coap-group+json": {
        source: "iana",
        compressible: true
      },
      "application/coap-payload": {
        source: "iana"
      },
      "application/commonground": {
        source: "iana"
      },
      "application/conference-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/cose": {
        source: "iana"
      },
      "application/cose-key": {
        source: "iana"
      },
      "application/cose-key-set": {
        source: "iana"
      },
      "application/cpl+xml": {
        source: "iana",
        compressible: true,
        extensions: ["cpl"]
      },
      "application/csrattrs": {
        source: "iana"
      },
      "application/csta+xml": {
        source: "iana",
        compressible: true
      },
      "application/cstadata+xml": {
        source: "iana",
        compressible: true
      },
      "application/csvm+json": {
        source: "iana",
        compressible: true
      },
      "application/cu-seeme": {
        source: "apache",
        extensions: ["cu"]
      },
      "application/cwt": {
        source: "iana"
      },
      "application/cybercash": {
        source: "iana"
      },
      "application/dart": {
        compressible: true
      },
      "application/dash+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mpd"]
      },
      "application/dash-patch+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mpp"]
      },
      "application/dashdelta": {
        source: "iana"
      },
      "application/davmount+xml": {
        source: "iana",
        compressible: true,
        extensions: ["davmount"]
      },
      "application/dca-rft": {
        source: "iana"
      },
      "application/dcd": {
        source: "iana"
      },
      "application/dec-dx": {
        source: "iana"
      },
      "application/dialog-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/dicom": {
        source: "iana"
      },
      "application/dicom+json": {
        source: "iana",
        compressible: true
      },
      "application/dicom+xml": {
        source: "iana",
        compressible: true
      },
      "application/dii": {
        source: "iana"
      },
      "application/dit": {
        source: "iana"
      },
      "application/dns": {
        source: "iana"
      },
      "application/dns+json": {
        source: "iana",
        compressible: true
      },
      "application/dns-message": {
        source: "iana"
      },
      "application/docbook+xml": {
        source: "apache",
        compressible: true,
        extensions: ["dbk"]
      },
      "application/dots+cbor": {
        source: "iana"
      },
      "application/dskpp+xml": {
        source: "iana",
        compressible: true
      },
      "application/dssc+der": {
        source: "iana",
        extensions: ["dssc"]
      },
      "application/dssc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xdssc"]
      },
      "application/dvcs": {
        source: "iana"
      },
      "application/ecmascript": {
        source: "iana",
        compressible: true,
        extensions: ["es", "ecma"]
      },
      "application/edi-consent": {
        source: "iana"
      },
      "application/edi-x12": {
        source: "iana",
        compressible: false
      },
      "application/edifact": {
        source: "iana",
        compressible: false
      },
      "application/efi": {
        source: "iana"
      },
      "application/elm+json": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/elm+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.cap+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/emergencycalldata.comment+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.control+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.deviceinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.ecall.msd": {
        source: "iana"
      },
      "application/emergencycalldata.providerinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.serviceinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.subscriberinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.veds+xml": {
        source: "iana",
        compressible: true
      },
      "application/emma+xml": {
        source: "iana",
        compressible: true,
        extensions: ["emma"]
      },
      "application/emotionml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["emotionml"]
      },
      "application/encaprtp": {
        source: "iana"
      },
      "application/epp+xml": {
        source: "iana",
        compressible: true
      },
      "application/epub+zip": {
        source: "iana",
        compressible: false,
        extensions: ["epub"]
      },
      "application/eshop": {
        source: "iana"
      },
      "application/exi": {
        source: "iana",
        extensions: ["exi"]
      },
      "application/expect-ct-report+json": {
        source: "iana",
        compressible: true
      },
      "application/express": {
        source: "iana",
        extensions: ["exp"]
      },
      "application/fastinfoset": {
        source: "iana"
      },
      "application/fastsoap": {
        source: "iana"
      },
      "application/fdt+xml": {
        source: "iana",
        compressible: true,
        extensions: ["fdt"]
      },
      "application/fhir+json": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/fhir+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/fido.trusted-apps+json": {
        compressible: true
      },
      "application/fits": {
        source: "iana"
      },
      "application/flexfec": {
        source: "iana"
      },
      "application/font-sfnt": {
        source: "iana"
      },
      "application/font-tdpfr": {
        source: "iana",
        extensions: ["pfr"]
      },
      "application/font-woff": {
        source: "iana",
        compressible: false
      },
      "application/framework-attributes+xml": {
        source: "iana",
        compressible: true
      },
      "application/geo+json": {
        source: "iana",
        compressible: true,
        extensions: ["geojson"]
      },
      "application/geo+json-seq": {
        source: "iana"
      },
      "application/geopackage+sqlite3": {
        source: "iana"
      },
      "application/geoxacml+xml": {
        source: "iana",
        compressible: true
      },
      "application/gltf-buffer": {
        source: "iana"
      },
      "application/gml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["gml"]
      },
      "application/gpx+xml": {
        source: "apache",
        compressible: true,
        extensions: ["gpx"]
      },
      "application/gxf": {
        source: "apache",
        extensions: ["gxf"]
      },
      "application/gzip": {
        source: "iana",
        compressible: false,
        extensions: ["gz"]
      },
      "application/h224": {
        source: "iana"
      },
      "application/held+xml": {
        source: "iana",
        compressible: true
      },
      "application/hjson": {
        extensions: ["hjson"]
      },
      "application/http": {
        source: "iana"
      },
      "application/hyperstudio": {
        source: "iana",
        extensions: ["stk"]
      },
      "application/ibe-key-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/ibe-pkg-reply+xml": {
        source: "iana",
        compressible: true
      },
      "application/ibe-pp-data": {
        source: "iana"
      },
      "application/iges": {
        source: "iana"
      },
      "application/im-iscomposing+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/index": {
        source: "iana"
      },
      "application/index.cmd": {
        source: "iana"
      },
      "application/index.obj": {
        source: "iana"
      },
      "application/index.response": {
        source: "iana"
      },
      "application/index.vnd": {
        source: "iana"
      },
      "application/inkml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ink", "inkml"]
      },
      "application/iotp": {
        source: "iana"
      },
      "application/ipfix": {
        source: "iana",
        extensions: ["ipfix"]
      },
      "application/ipp": {
        source: "iana"
      },
      "application/isup": {
        source: "iana"
      },
      "application/its+xml": {
        source: "iana",
        compressible: true,
        extensions: ["its"]
      },
      "application/java-archive": {
        source: "apache",
        compressible: false,
        extensions: ["jar", "war", "ear"]
      },
      "application/java-serialized-object": {
        source: "apache",
        compressible: false,
        extensions: ["ser"]
      },
      "application/java-vm": {
        source: "apache",
        compressible: false,
        extensions: ["class"]
      },
      "application/javascript": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["js", "mjs"]
      },
      "application/jf2feed+json": {
        source: "iana",
        compressible: true
      },
      "application/jose": {
        source: "iana"
      },
      "application/jose+json": {
        source: "iana",
        compressible: true
      },
      "application/jrd+json": {
        source: "iana",
        compressible: true
      },
      "application/jscalendar+json": {
        source: "iana",
        compressible: true
      },
      "application/json": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["json", "map"]
      },
      "application/json-patch+json": {
        source: "iana",
        compressible: true
      },
      "application/json-seq": {
        source: "iana"
      },
      "application/json5": {
        extensions: ["json5"]
      },
      "application/jsonml+json": {
        source: "apache",
        compressible: true,
        extensions: ["jsonml"]
      },
      "application/jwk+json": {
        source: "iana",
        compressible: true
      },
      "application/jwk-set+json": {
        source: "iana",
        compressible: true
      },
      "application/jwt": {
        source: "iana"
      },
      "application/kpml-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/kpml-response+xml": {
        source: "iana",
        compressible: true
      },
      "application/ld+json": {
        source: "iana",
        compressible: true,
        extensions: ["jsonld"]
      },
      "application/lgr+xml": {
        source: "iana",
        compressible: true,
        extensions: ["lgr"]
      },
      "application/link-format": {
        source: "iana"
      },
      "application/load-control+xml": {
        source: "iana",
        compressible: true
      },
      "application/lost+xml": {
        source: "iana",
        compressible: true,
        extensions: ["lostxml"]
      },
      "application/lostsync+xml": {
        source: "iana",
        compressible: true
      },
      "application/lpf+zip": {
        source: "iana",
        compressible: false
      },
      "application/lxf": {
        source: "iana"
      },
      "application/mac-binhex40": {
        source: "iana",
        extensions: ["hqx"]
      },
      "application/mac-compactpro": {
        source: "apache",
        extensions: ["cpt"]
      },
      "application/macwriteii": {
        source: "iana"
      },
      "application/mads+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mads"]
      },
      "application/manifest+json": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["webmanifest"]
      },
      "application/marc": {
        source: "iana",
        extensions: ["mrc"]
      },
      "application/marcxml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mrcx"]
      },
      "application/mathematica": {
        source: "iana",
        extensions: ["ma", "nb", "mb"]
      },
      "application/mathml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mathml"]
      },
      "application/mathml-content+xml": {
        source: "iana",
        compressible: true
      },
      "application/mathml-presentation+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-associated-procedure-description+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-deregister+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-envelope+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-msk+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-msk-response+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-protection-description+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-reception-report+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-register+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-register-response+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-schedule+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-user-service-description+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbox": {
        source: "iana",
        extensions: ["mbox"]
      },
      "application/media-policy-dataset+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mpf"]
      },
      "application/media_control+xml": {
        source: "iana",
        compressible: true
      },
      "application/mediaservercontrol+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mscml"]
      },
      "application/merge-patch+json": {
        source: "iana",
        compressible: true
      },
      "application/metalink+xml": {
        source: "apache",
        compressible: true,
        extensions: ["metalink"]
      },
      "application/metalink4+xml": {
        source: "iana",
        compressible: true,
        extensions: ["meta4"]
      },
      "application/mets+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mets"]
      },
      "application/mf4": {
        source: "iana"
      },
      "application/mikey": {
        source: "iana"
      },
      "application/mipc": {
        source: "iana"
      },
      "application/missing-blocks+cbor-seq": {
        source: "iana"
      },
      "application/mmt-aei+xml": {
        source: "iana",
        compressible: true,
        extensions: ["maei"]
      },
      "application/mmt-usd+xml": {
        source: "iana",
        compressible: true,
        extensions: ["musd"]
      },
      "application/mods+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mods"]
      },
      "application/moss-keys": {
        source: "iana"
      },
      "application/moss-signature": {
        source: "iana"
      },
      "application/mosskey-data": {
        source: "iana"
      },
      "application/mosskey-request": {
        source: "iana"
      },
      "application/mp21": {
        source: "iana",
        extensions: ["m21", "mp21"]
      },
      "application/mp4": {
        source: "iana",
        extensions: ["mp4s", "m4p"]
      },
      "application/mpeg4-generic": {
        source: "iana"
      },
      "application/mpeg4-iod": {
        source: "iana"
      },
      "application/mpeg4-iod-xmt": {
        source: "iana"
      },
      "application/mrb-consumer+xml": {
        source: "iana",
        compressible: true
      },
      "application/mrb-publish+xml": {
        source: "iana",
        compressible: true
      },
      "application/msc-ivr+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/msc-mixer+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/msword": {
        source: "iana",
        compressible: false,
        extensions: ["doc", "dot"]
      },
      "application/mud+json": {
        source: "iana",
        compressible: true
      },
      "application/multipart-core": {
        source: "iana"
      },
      "application/mxf": {
        source: "iana",
        extensions: ["mxf"]
      },
      "application/n-quads": {
        source: "iana",
        extensions: ["nq"]
      },
      "application/n-triples": {
        source: "iana",
        extensions: ["nt"]
      },
      "application/nasdata": {
        source: "iana"
      },
      "application/news-checkgroups": {
        source: "iana",
        charset: "US-ASCII"
      },
      "application/news-groupinfo": {
        source: "iana",
        charset: "US-ASCII"
      },
      "application/news-transmission": {
        source: "iana"
      },
      "application/nlsml+xml": {
        source: "iana",
        compressible: true
      },
      "application/node": {
        source: "iana",
        extensions: ["cjs"]
      },
      "application/nss": {
        source: "iana"
      },
      "application/oauth-authz-req+jwt": {
        source: "iana"
      },
      "application/oblivious-dns-message": {
        source: "iana"
      },
      "application/ocsp-request": {
        source: "iana"
      },
      "application/ocsp-response": {
        source: "iana"
      },
      "application/octet-stream": {
        source: "iana",
        compressible: false,
        extensions: ["bin", "dms", "lrf", "mar", "so", "dist", "distz", "pkg", "bpk", "dump", "elc", "deploy", "exe", "dll", "deb", "dmg", "iso", "img", "msi", "msp", "msm", "buffer"]
      },
      "application/oda": {
        source: "iana",
        extensions: ["oda"]
      },
      "application/odm+xml": {
        source: "iana",
        compressible: true
      },
      "application/odx": {
        source: "iana"
      },
      "application/oebps-package+xml": {
        source: "iana",
        compressible: true,
        extensions: ["opf"]
      },
      "application/ogg": {
        source: "iana",
        compressible: false,
        extensions: ["ogx"]
      },
      "application/omdoc+xml": {
        source: "apache",
        compressible: true,
        extensions: ["omdoc"]
      },
      "application/onenote": {
        source: "apache",
        extensions: ["onetoc", "onetoc2", "onetmp", "onepkg"]
      },
      "application/opc-nodeset+xml": {
        source: "iana",
        compressible: true
      },
      "application/oscore": {
        source: "iana"
      },
      "application/oxps": {
        source: "iana",
        extensions: ["oxps"]
      },
      "application/p21": {
        source: "iana"
      },
      "application/p21+zip": {
        source: "iana",
        compressible: false
      },
      "application/p2p-overlay+xml": {
        source: "iana",
        compressible: true,
        extensions: ["relo"]
      },
      "application/parityfec": {
        source: "iana"
      },
      "application/passport": {
        source: "iana"
      },
      "application/patch-ops-error+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xer"]
      },
      "application/pdf": {
        source: "iana",
        compressible: false,
        extensions: ["pdf"]
      },
      "application/pdx": {
        source: "iana"
      },
      "application/pem-certificate-chain": {
        source: "iana"
      },
      "application/pgp-encrypted": {
        source: "iana",
        compressible: false,
        extensions: ["pgp"]
      },
      "application/pgp-keys": {
        source: "iana",
        extensions: ["asc"]
      },
      "application/pgp-signature": {
        source: "iana",
        extensions: ["asc", "sig"]
      },
      "application/pics-rules": {
        source: "apache",
        extensions: ["prf"]
      },
      "application/pidf+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/pidf-diff+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/pkcs10": {
        source: "iana",
        extensions: ["p10"]
      },
      "application/pkcs12": {
        source: "iana"
      },
      "application/pkcs7-mime": {
        source: "iana",
        extensions: ["p7m", "p7c"]
      },
      "application/pkcs7-signature": {
        source: "iana",
        extensions: ["p7s"]
      },
      "application/pkcs8": {
        source: "iana",
        extensions: ["p8"]
      },
      "application/pkcs8-encrypted": {
        source: "iana"
      },
      "application/pkix-attr-cert": {
        source: "iana",
        extensions: ["ac"]
      },
      "application/pkix-cert": {
        source: "iana",
        extensions: ["cer"]
      },
      "application/pkix-crl": {
        source: "iana",
        extensions: ["crl"]
      },
      "application/pkix-pkipath": {
        source: "iana",
        extensions: ["pkipath"]
      },
      "application/pkixcmp": {
        source: "iana",
        extensions: ["pki"]
      },
      "application/pls+xml": {
        source: "iana",
        compressible: true,
        extensions: ["pls"]
      },
      "application/poc-settings+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/postscript": {
        source: "iana",
        compressible: true,
        extensions: ["ai", "eps", "ps"]
      },
      "application/ppsp-tracker+json": {
        source: "iana",
        compressible: true
      },
      "application/problem+json": {
        source: "iana",
        compressible: true
      },
      "application/problem+xml": {
        source: "iana",
        compressible: true
      },
      "application/provenance+xml": {
        source: "iana",
        compressible: true,
        extensions: ["provx"]
      },
      "application/prs.alvestrand.titrax-sheet": {
        source: "iana"
      },
      "application/prs.cww": {
        source: "iana",
        extensions: ["cww"]
      },
      "application/prs.cyn": {
        source: "iana",
        charset: "7-BIT"
      },
      "application/prs.hpub+zip": {
        source: "iana",
        compressible: false
      },
      "application/prs.nprend": {
        source: "iana"
      },
      "application/prs.plucker": {
        source: "iana"
      },
      "application/prs.rdf-xml-crypt": {
        source: "iana"
      },
      "application/prs.xsf+xml": {
        source: "iana",
        compressible: true
      },
      "application/pskc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["pskcxml"]
      },
      "application/pvd+json": {
        source: "iana",
        compressible: true
      },
      "application/qsig": {
        source: "iana"
      },
      "application/raml+yaml": {
        compressible: true,
        extensions: ["raml"]
      },
      "application/raptorfec": {
        source: "iana"
      },
      "application/rdap+json": {
        source: "iana",
        compressible: true
      },
      "application/rdf+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rdf", "owl"]
      },
      "application/reginfo+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rif"]
      },
      "application/relax-ng-compact-syntax": {
        source: "iana",
        extensions: ["rnc"]
      },
      "application/remote-printing": {
        source: "iana"
      },
      "application/reputon+json": {
        source: "iana",
        compressible: true
      },
      "application/resource-lists+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rl"]
      },
      "application/resource-lists-diff+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rld"]
      },
      "application/rfc+xml": {
        source: "iana",
        compressible: true
      },
      "application/riscos": {
        source: "iana"
      },
      "application/rlmi+xml": {
        source: "iana",
        compressible: true
      },
      "application/rls-services+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rs"]
      },
      "application/route-apd+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rapd"]
      },
      "application/route-s-tsid+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sls"]
      },
      "application/route-usd+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rusd"]
      },
      "application/rpki-ghostbusters": {
        source: "iana",
        extensions: ["gbr"]
      },
      "application/rpki-manifest": {
        source: "iana",
        extensions: ["mft"]
      },
      "application/rpki-publication": {
        source: "iana"
      },
      "application/rpki-roa": {
        source: "iana",
        extensions: ["roa"]
      },
      "application/rpki-updown": {
        source: "iana"
      },
      "application/rsd+xml": {
        source: "apache",
        compressible: true,
        extensions: ["rsd"]
      },
      "application/rss+xml": {
        source: "apache",
        compressible: true,
        extensions: ["rss"]
      },
      "application/rtf": {
        source: "iana",
        compressible: true,
        extensions: ["rtf"]
      },
      "application/rtploopback": {
        source: "iana"
      },
      "application/rtx": {
        source: "iana"
      },
      "application/samlassertion+xml": {
        source: "iana",
        compressible: true
      },
      "application/samlmetadata+xml": {
        source: "iana",
        compressible: true
      },
      "application/sarif+json": {
        source: "iana",
        compressible: true
      },
      "application/sarif-external-properties+json": {
        source: "iana",
        compressible: true
      },
      "application/sbe": {
        source: "iana"
      },
      "application/sbml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sbml"]
      },
      "application/scaip+xml": {
        source: "iana",
        compressible: true
      },
      "application/scim+json": {
        source: "iana",
        compressible: true
      },
      "application/scvp-cv-request": {
        source: "iana",
        extensions: ["scq"]
      },
      "application/scvp-cv-response": {
        source: "iana",
        extensions: ["scs"]
      },
      "application/scvp-vp-request": {
        source: "iana",
        extensions: ["spq"]
      },
      "application/scvp-vp-response": {
        source: "iana",
        extensions: ["spp"]
      },
      "application/sdp": {
        source: "iana",
        extensions: ["sdp"]
      },
      "application/secevent+jwt": {
        source: "iana"
      },
      "application/senml+cbor": {
        source: "iana"
      },
      "application/senml+json": {
        source: "iana",
        compressible: true
      },
      "application/senml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["senmlx"]
      },
      "application/senml-etch+cbor": {
        source: "iana"
      },
      "application/senml-etch+json": {
        source: "iana",
        compressible: true
      },
      "application/senml-exi": {
        source: "iana"
      },
      "application/sensml+cbor": {
        source: "iana"
      },
      "application/sensml+json": {
        source: "iana",
        compressible: true
      },
      "application/sensml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sensmlx"]
      },
      "application/sensml-exi": {
        source: "iana"
      },
      "application/sep+xml": {
        source: "iana",
        compressible: true
      },
      "application/sep-exi": {
        source: "iana"
      },
      "application/session-info": {
        source: "iana"
      },
      "application/set-payment": {
        source: "iana"
      },
      "application/set-payment-initiation": {
        source: "iana",
        extensions: ["setpay"]
      },
      "application/set-registration": {
        source: "iana"
      },
      "application/set-registration-initiation": {
        source: "iana",
        extensions: ["setreg"]
      },
      "application/sgml": {
        source: "iana"
      },
      "application/sgml-open-catalog": {
        source: "iana"
      },
      "application/shf+xml": {
        source: "iana",
        compressible: true,
        extensions: ["shf"]
      },
      "application/sieve": {
        source: "iana",
        extensions: ["siv", "sieve"]
      },
      "application/simple-filter+xml": {
        source: "iana",
        compressible: true
      },
      "application/simple-message-summary": {
        source: "iana"
      },
      "application/simplesymbolcontainer": {
        source: "iana"
      },
      "application/sipc": {
        source: "iana"
      },
      "application/slate": {
        source: "iana"
      },
      "application/smil": {
        source: "iana"
      },
      "application/smil+xml": {
        source: "iana",
        compressible: true,
        extensions: ["smi", "smil"]
      },
      "application/smpte336m": {
        source: "iana"
      },
      "application/soap+fastinfoset": {
        source: "iana"
      },
      "application/soap+xml": {
        source: "iana",
        compressible: true
      },
      "application/sparql-query": {
        source: "iana",
        extensions: ["rq"]
      },
      "application/sparql-results+xml": {
        source: "iana",
        compressible: true,
        extensions: ["srx"]
      },
      "application/spdx+json": {
        source: "iana",
        compressible: true
      },
      "application/spirits-event+xml": {
        source: "iana",
        compressible: true
      },
      "application/sql": {
        source: "iana"
      },
      "application/srgs": {
        source: "iana",
        extensions: ["gram"]
      },
      "application/srgs+xml": {
        source: "iana",
        compressible: true,
        extensions: ["grxml"]
      },
      "application/sru+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sru"]
      },
      "application/ssdl+xml": {
        source: "apache",
        compressible: true,
        extensions: ["ssdl"]
      },
      "application/ssml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ssml"]
      },
      "application/stix+json": {
        source: "iana",
        compressible: true
      },
      "application/swid+xml": {
        source: "iana",
        compressible: true,
        extensions: ["swidtag"]
      },
      "application/tamp-apex-update": {
        source: "iana"
      },
      "application/tamp-apex-update-confirm": {
        source: "iana"
      },
      "application/tamp-community-update": {
        source: "iana"
      },
      "application/tamp-community-update-confirm": {
        source: "iana"
      },
      "application/tamp-error": {
        source: "iana"
      },
      "application/tamp-sequence-adjust": {
        source: "iana"
      },
      "application/tamp-sequence-adjust-confirm": {
        source: "iana"
      },
      "application/tamp-status-query": {
        source: "iana"
      },
      "application/tamp-status-response": {
        source: "iana"
      },
      "application/tamp-update": {
        source: "iana"
      },
      "application/tamp-update-confirm": {
        source: "iana"
      },
      "application/tar": {
        compressible: true
      },
      "application/taxii+json": {
        source: "iana",
        compressible: true
      },
      "application/td+json": {
        source: "iana",
        compressible: true
      },
      "application/tei+xml": {
        source: "iana",
        compressible: true,
        extensions: ["tei", "teicorpus"]
      },
      "application/tetra_isi": {
        source: "iana"
      },
      "application/thraud+xml": {
        source: "iana",
        compressible: true,
        extensions: ["tfi"]
      },
      "application/timestamp-query": {
        source: "iana"
      },
      "application/timestamp-reply": {
        source: "iana"
      },
      "application/timestamped-data": {
        source: "iana",
        extensions: ["tsd"]
      },
      "application/tlsrpt+gzip": {
        source: "iana"
      },
      "application/tlsrpt+json": {
        source: "iana",
        compressible: true
      },
      "application/tnauthlist": {
        source: "iana"
      },
      "application/token-introspection+jwt": {
        source: "iana"
      },
      "application/toml": {
        compressible: true,
        extensions: ["toml"]
      },
      "application/trickle-ice-sdpfrag": {
        source: "iana"
      },
      "application/trig": {
        source: "iana",
        extensions: ["trig"]
      },
      "application/ttml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ttml"]
      },
      "application/tve-trigger": {
        source: "iana"
      },
      "application/tzif": {
        source: "iana"
      },
      "application/tzif-leap": {
        source: "iana"
      },
      "application/ubjson": {
        compressible: false,
        extensions: ["ubj"]
      },
      "application/ulpfec": {
        source: "iana"
      },
      "application/urc-grpsheet+xml": {
        source: "iana",
        compressible: true
      },
      "application/urc-ressheet+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rsheet"]
      },
      "application/urc-targetdesc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["td"]
      },
      "application/urc-uisocketdesc+xml": {
        source: "iana",
        compressible: true
      },
      "application/vcard+json": {
        source: "iana",
        compressible: true
      },
      "application/vcard+xml": {
        source: "iana",
        compressible: true
      },
      "application/vemmi": {
        source: "iana"
      },
      "application/vividence.scriptfile": {
        source: "apache"
      },
      "application/vnd.1000minds.decision-model+xml": {
        source: "iana",
        compressible: true,
        extensions: ["1km"]
      },
      "application/vnd.3gpp-prose+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp-prose-pc3ch+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp-v2x-local-service-information": {
        source: "iana"
      },
      "application/vnd.3gpp.5gnas": {
        source: "iana"
      },
      "application/vnd.3gpp.access-transfer-events+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.bsf+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.gmop+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.gtpc": {
        source: "iana"
      },
      "application/vnd.3gpp.interworking-data": {
        source: "iana"
      },
      "application/vnd.3gpp.lpp": {
        source: "iana"
      },
      "application/vnd.3gpp.mc-signalling-ear": {
        source: "iana"
      },
      "application/vnd.3gpp.mcdata-affiliation-command+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcdata-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcdata-payload": {
        source: "iana"
      },
      "application/vnd.3gpp.mcdata-service-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcdata-signalling": {
        source: "iana"
      },
      "application/vnd.3gpp.mcdata-ue-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcdata-user-profile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-affiliation-command+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-floor-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-location-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-mbms-usage-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-service-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-signed+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-ue-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-ue-init-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-user-profile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-affiliation-command+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-affiliation-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-location-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-mbms-usage-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-service-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-transmission-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-ue-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-user-profile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mid-call+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.ngap": {
        source: "iana"
      },
      "application/vnd.3gpp.pfcp": {
        source: "iana"
      },
      "application/vnd.3gpp.pic-bw-large": {
        source: "iana",
        extensions: ["plb"]
      },
      "application/vnd.3gpp.pic-bw-small": {
        source: "iana",
        extensions: ["psb"]
      },
      "application/vnd.3gpp.pic-bw-var": {
        source: "iana",
        extensions: ["pvb"]
      },
      "application/vnd.3gpp.s1ap": {
        source: "iana"
      },
      "application/vnd.3gpp.sms": {
        source: "iana"
      },
      "application/vnd.3gpp.sms+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.srvcc-ext+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.srvcc-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.state-and-event-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.ussd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp2.bcmcsinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp2.sms": {
        source: "iana"
      },
      "application/vnd.3gpp2.tcap": {
        source: "iana",
        extensions: ["tcap"]
      },
      "application/vnd.3lightssoftware.imagescal": {
        source: "iana"
      },
      "application/vnd.3m.post-it-notes": {
        source: "iana",
        extensions: ["pwn"]
      },
      "application/vnd.accpac.simply.aso": {
        source: "iana",
        extensions: ["aso"]
      },
      "application/vnd.accpac.simply.imp": {
        source: "iana",
        extensions: ["imp"]
      },
      "application/vnd.acucobol": {
        source: "iana",
        extensions: ["acu"]
      },
      "application/vnd.acucorp": {
        source: "iana",
        extensions: ["atc", "acutc"]
      },
      "application/vnd.adobe.air-application-installer-package+zip": {
        source: "apache",
        compressible: false,
        extensions: ["air"]
      },
      "application/vnd.adobe.flash.movie": {
        source: "iana"
      },
      "application/vnd.adobe.formscentral.fcdt": {
        source: "iana",
        extensions: ["fcdt"]
      },
      "application/vnd.adobe.fxp": {
        source: "iana",
        extensions: ["fxp", "fxpl"]
      },
      "application/vnd.adobe.partial-upload": {
        source: "iana"
      },
      "application/vnd.adobe.xdp+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xdp"]
      },
      "application/vnd.adobe.xfdf": {
        source: "iana",
        extensions: ["xfdf"]
      },
      "application/vnd.aether.imp": {
        source: "iana"
      },
      "application/vnd.afpc.afplinedata": {
        source: "iana"
      },
      "application/vnd.afpc.afplinedata-pagedef": {
        source: "iana"
      },
      "application/vnd.afpc.cmoca-cmresource": {
        source: "iana"
      },
      "application/vnd.afpc.foca-charset": {
        source: "iana"
      },
      "application/vnd.afpc.foca-codedfont": {
        source: "iana"
      },
      "application/vnd.afpc.foca-codepage": {
        source: "iana"
      },
      "application/vnd.afpc.modca": {
        source: "iana"
      },
      "application/vnd.afpc.modca-cmtable": {
        source: "iana"
      },
      "application/vnd.afpc.modca-formdef": {
        source: "iana"
      },
      "application/vnd.afpc.modca-mediummap": {
        source: "iana"
      },
      "application/vnd.afpc.modca-objectcontainer": {
        source: "iana"
      },
      "application/vnd.afpc.modca-overlay": {
        source: "iana"
      },
      "application/vnd.afpc.modca-pagesegment": {
        source: "iana"
      },
      "application/vnd.age": {
        source: "iana",
        extensions: ["age"]
      },
      "application/vnd.ah-barcode": {
        source: "iana"
      },
      "application/vnd.ahead.space": {
        source: "iana",
        extensions: ["ahead"]
      },
      "application/vnd.airzip.filesecure.azf": {
        source: "iana",
        extensions: ["azf"]
      },
      "application/vnd.airzip.filesecure.azs": {
        source: "iana",
        extensions: ["azs"]
      },
      "application/vnd.amadeus+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.amazon.ebook": {
        source: "apache",
        extensions: ["azw"]
      },
      "application/vnd.amazon.mobi8-ebook": {
        source: "iana"
      },
      "application/vnd.americandynamics.acc": {
        source: "iana",
        extensions: ["acc"]
      },
      "application/vnd.amiga.ami": {
        source: "iana",
        extensions: ["ami"]
      },
      "application/vnd.amundsen.maze+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.android.ota": {
        source: "iana"
      },
      "application/vnd.android.package-archive": {
        source: "apache",
        compressible: false,
        extensions: ["apk"]
      },
      "application/vnd.anki": {
        source: "iana"
      },
      "application/vnd.anser-web-certificate-issue-initiation": {
        source: "iana",
        extensions: ["cii"]
      },
      "application/vnd.anser-web-funds-transfer-initiation": {
        source: "apache",
        extensions: ["fti"]
      },
      "application/vnd.antix.game-component": {
        source: "iana",
        extensions: ["atx"]
      },
      "application/vnd.apache.arrow.file": {
        source: "iana"
      },
      "application/vnd.apache.arrow.stream": {
        source: "iana"
      },
      "application/vnd.apache.thrift.binary": {
        source: "iana"
      },
      "application/vnd.apache.thrift.compact": {
        source: "iana"
      },
      "application/vnd.apache.thrift.json": {
        source: "iana"
      },
      "application/vnd.api+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.aplextor.warrp+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.apothekende.reservation+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.apple.installer+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mpkg"]
      },
      "application/vnd.apple.keynote": {
        source: "iana",
        extensions: ["key"]
      },
      "application/vnd.apple.mpegurl": {
        source: "iana",
        extensions: ["m3u8"]
      },
      "application/vnd.apple.numbers": {
        source: "iana",
        extensions: ["numbers"]
      },
      "application/vnd.apple.pages": {
        source: "iana",
        extensions: ["pages"]
      },
      "application/vnd.apple.pkpass": {
        compressible: false,
        extensions: ["pkpass"]
      },
      "application/vnd.arastra.swi": {
        source: "iana"
      },
      "application/vnd.aristanetworks.swi": {
        source: "iana",
        extensions: ["swi"]
      },
      "application/vnd.artisan+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.artsquare": {
        source: "iana"
      },
      "application/vnd.astraea-software.iota": {
        source: "iana",
        extensions: ["iota"]
      },
      "application/vnd.audiograph": {
        source: "iana",
        extensions: ["aep"]
      },
      "application/vnd.autopackage": {
        source: "iana"
      },
      "application/vnd.avalon+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.avistar+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.balsamiq.bmml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["bmml"]
      },
      "application/vnd.balsamiq.bmpr": {
        source: "iana"
      },
      "application/vnd.banana-accounting": {
        source: "iana"
      },
      "application/vnd.bbf.usp.error": {
        source: "iana"
      },
      "application/vnd.bbf.usp.msg": {
        source: "iana"
      },
      "application/vnd.bbf.usp.msg+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.bekitzur-stech+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.bint.med-content": {
        source: "iana"
      },
      "application/vnd.biopax.rdf+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.blink-idb-value-wrapper": {
        source: "iana"
      },
      "application/vnd.blueice.multipass": {
        source: "iana",
        extensions: ["mpm"]
      },
      "application/vnd.bluetooth.ep.oob": {
        source: "iana"
      },
      "application/vnd.bluetooth.le.oob": {
        source: "iana"
      },
      "application/vnd.bmi": {
        source: "iana",
        extensions: ["bmi"]
      },
      "application/vnd.bpf": {
        source: "iana"
      },
      "application/vnd.bpf3": {
        source: "iana"
      },
      "application/vnd.businessobjects": {
        source: "iana",
        extensions: ["rep"]
      },
      "application/vnd.byu.uapi+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cab-jscript": {
        source: "iana"
      },
      "application/vnd.canon-cpdl": {
        source: "iana"
      },
      "application/vnd.canon-lips": {
        source: "iana"
      },
      "application/vnd.capasystems-pg+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cendio.thinlinc.clientconf": {
        source: "iana"
      },
      "application/vnd.century-systems.tcp_stream": {
        source: "iana"
      },
      "application/vnd.chemdraw+xml": {
        source: "iana",
        compressible: true,
        extensions: ["cdxml"]
      },
      "application/vnd.chess-pgn": {
        source: "iana"
      },
      "application/vnd.chipnuts.karaoke-mmd": {
        source: "iana",
        extensions: ["mmd"]
      },
      "application/vnd.ciedi": {
        source: "iana"
      },
      "application/vnd.cinderella": {
        source: "iana",
        extensions: ["cdy"]
      },
      "application/vnd.cirpack.isdn-ext": {
        source: "iana"
      },
      "application/vnd.citationstyles.style+xml": {
        source: "iana",
        compressible: true,
        extensions: ["csl"]
      },
      "application/vnd.claymore": {
        source: "iana",
        extensions: ["cla"]
      },
      "application/vnd.cloanto.rp9": {
        source: "iana",
        extensions: ["rp9"]
      },
      "application/vnd.clonk.c4group": {
        source: "iana",
        extensions: ["c4g", "c4d", "c4f", "c4p", "c4u"]
      },
      "application/vnd.cluetrust.cartomobile-config": {
        source: "iana",
        extensions: ["c11amc"]
      },
      "application/vnd.cluetrust.cartomobile-config-pkg": {
        source: "iana",
        extensions: ["c11amz"]
      },
      "application/vnd.coffeescript": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.document": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.document-template": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.presentation": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.presentation-template": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.spreadsheet": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.spreadsheet-template": {
        source: "iana"
      },
      "application/vnd.collection+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.collection.doc+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.collection.next+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.comicbook+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.comicbook-rar": {
        source: "iana"
      },
      "application/vnd.commerce-battelle": {
        source: "iana"
      },
      "application/vnd.commonspace": {
        source: "iana",
        extensions: ["csp"]
      },
      "application/vnd.contact.cmsg": {
        source: "iana",
        extensions: ["cdbcmsg"]
      },
      "application/vnd.coreos.ignition+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cosmocaller": {
        source: "iana",
        extensions: ["cmc"]
      },
      "application/vnd.crick.clicker": {
        source: "iana",
        extensions: ["clkx"]
      },
      "application/vnd.crick.clicker.keyboard": {
        source: "iana",
        extensions: ["clkk"]
      },
      "application/vnd.crick.clicker.palette": {
        source: "iana",
        extensions: ["clkp"]
      },
      "application/vnd.crick.clicker.template": {
        source: "iana",
        extensions: ["clkt"]
      },
      "application/vnd.crick.clicker.wordbank": {
        source: "iana",
        extensions: ["clkw"]
      },
      "application/vnd.criticaltools.wbs+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wbs"]
      },
      "application/vnd.cryptii.pipe+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.crypto-shade-file": {
        source: "iana"
      },
      "application/vnd.cryptomator.encrypted": {
        source: "iana"
      },
      "application/vnd.cryptomator.vault": {
        source: "iana"
      },
      "application/vnd.ctc-posml": {
        source: "iana",
        extensions: ["pml"]
      },
      "application/vnd.ctct.ws+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cups-pdf": {
        source: "iana"
      },
      "application/vnd.cups-postscript": {
        source: "iana"
      },
      "application/vnd.cups-ppd": {
        source: "iana",
        extensions: ["ppd"]
      },
      "application/vnd.cups-raster": {
        source: "iana"
      },
      "application/vnd.cups-raw": {
        source: "iana"
      },
      "application/vnd.curl": {
        source: "iana"
      },
      "application/vnd.curl.car": {
        source: "apache",
        extensions: ["car"]
      },
      "application/vnd.curl.pcurl": {
        source: "apache",
        extensions: ["pcurl"]
      },
      "application/vnd.cyan.dean.root+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cybank": {
        source: "iana"
      },
      "application/vnd.cyclonedx+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cyclonedx+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.d2l.coursepackage1p0+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.d3m-dataset": {
        source: "iana"
      },
      "application/vnd.d3m-problem": {
        source: "iana"
      },
      "application/vnd.dart": {
        source: "iana",
        compressible: true,
        extensions: ["dart"]
      },
      "application/vnd.data-vision.rdz": {
        source: "iana",
        extensions: ["rdz"]
      },
      "application/vnd.datapackage+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dataresource+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dbf": {
        source: "iana",
        extensions: ["dbf"]
      },
      "application/vnd.debian.binary-package": {
        source: "iana"
      },
      "application/vnd.dece.data": {
        source: "iana",
        extensions: ["uvf", "uvvf", "uvd", "uvvd"]
      },
      "application/vnd.dece.ttml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["uvt", "uvvt"]
      },
      "application/vnd.dece.unspecified": {
        source: "iana",
        extensions: ["uvx", "uvvx"]
      },
      "application/vnd.dece.zip": {
        source: "iana",
        extensions: ["uvz", "uvvz"]
      },
      "application/vnd.denovo.fcselayout-link": {
        source: "iana",
        extensions: ["fe_launch"]
      },
      "application/vnd.desmume.movie": {
        source: "iana"
      },
      "application/vnd.dir-bi.plate-dl-nosuffix": {
        source: "iana"
      },
      "application/vnd.dm.delegation+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dna": {
        source: "iana",
        extensions: ["dna"]
      },
      "application/vnd.document+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dolby.mlp": {
        source: "apache",
        extensions: ["mlp"]
      },
      "application/vnd.dolby.mobile.1": {
        source: "iana"
      },
      "application/vnd.dolby.mobile.2": {
        source: "iana"
      },
      "application/vnd.doremir.scorecloud-binary-document": {
        source: "iana"
      },
      "application/vnd.dpgraph": {
        source: "iana",
        extensions: ["dpg"]
      },
      "application/vnd.dreamfactory": {
        source: "iana",
        extensions: ["dfac"]
      },
      "application/vnd.drive+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ds-keypoint": {
        source: "apache",
        extensions: ["kpxx"]
      },
      "application/vnd.dtg.local": {
        source: "iana"
      },
      "application/vnd.dtg.local.flash": {
        source: "iana"
      },
      "application/vnd.dtg.local.html": {
        source: "iana"
      },
      "application/vnd.dvb.ait": {
        source: "iana",
        extensions: ["ait"]
      },
      "application/vnd.dvb.dvbisl+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.dvbj": {
        source: "iana"
      },
      "application/vnd.dvb.esgcontainer": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcdftnotifaccess": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcesgaccess": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcesgaccess2": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcesgpdd": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcroaming": {
        source: "iana"
      },
      "application/vnd.dvb.iptv.alfec-base": {
        source: "iana"
      },
      "application/vnd.dvb.iptv.alfec-enhancement": {
        source: "iana"
      },
      "application/vnd.dvb.notif-aggregate-root+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-container+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-generic+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-ia-msglist+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-ia-registration-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-ia-registration-response+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-init+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.pfr": {
        source: "iana"
      },
      "application/vnd.dvb.service": {
        source: "iana",
        extensions: ["svc"]
      },
      "application/vnd.dxr": {
        source: "iana"
      },
      "application/vnd.dynageo": {
        source: "iana",
        extensions: ["geo"]
      },
      "application/vnd.dzr": {
        source: "iana"
      },
      "application/vnd.easykaraoke.cdgdownload": {
        source: "iana"
      },
      "application/vnd.ecdis-update": {
        source: "iana"
      },
      "application/vnd.ecip.rlp": {
        source: "iana"
      },
      "application/vnd.eclipse.ditto+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ecowin.chart": {
        source: "iana",
        extensions: ["mag"]
      },
      "application/vnd.ecowin.filerequest": {
        source: "iana"
      },
      "application/vnd.ecowin.fileupdate": {
        source: "iana"
      },
      "application/vnd.ecowin.series": {
        source: "iana"
      },
      "application/vnd.ecowin.seriesrequest": {
        source: "iana"
      },
      "application/vnd.ecowin.seriesupdate": {
        source: "iana"
      },
      "application/vnd.efi.img": {
        source: "iana"
      },
      "application/vnd.efi.iso": {
        source: "iana"
      },
      "application/vnd.emclient.accessrequest+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.enliven": {
        source: "iana",
        extensions: ["nml"]
      },
      "application/vnd.enphase.envoy": {
        source: "iana"
      },
      "application/vnd.eprints.data+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.epson.esf": {
        source: "iana",
        extensions: ["esf"]
      },
      "application/vnd.epson.msf": {
        source: "iana",
        extensions: ["msf"]
      },
      "application/vnd.epson.quickanime": {
        source: "iana",
        extensions: ["qam"]
      },
      "application/vnd.epson.salt": {
        source: "iana",
        extensions: ["slt"]
      },
      "application/vnd.epson.ssf": {
        source: "iana",
        extensions: ["ssf"]
      },
      "application/vnd.ericsson.quickcall": {
        source: "iana"
      },
      "application/vnd.espass-espass+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.eszigno3+xml": {
        source: "iana",
        compressible: true,
        extensions: ["es3", "et3"]
      },
      "application/vnd.etsi.aoc+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.asic-e+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.etsi.asic-s+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.etsi.cug+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvcommand+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvdiscovery+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvprofile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvsad-bc+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvsad-cod+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvsad-npvr+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvservice+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvsync+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvueprofile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.mcid+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.mheg5": {
        source: "iana"
      },
      "application/vnd.etsi.overload-control-policy-dataset+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.pstn+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.sci+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.simservs+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.timestamp-token": {
        source: "iana"
      },
      "application/vnd.etsi.tsl+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.tsl.der": {
        source: "iana"
      },
      "application/vnd.eu.kasparian.car+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.eudora.data": {
        source: "iana"
      },
      "application/vnd.evolv.ecig.profile": {
        source: "iana"
      },
      "application/vnd.evolv.ecig.settings": {
        source: "iana"
      },
      "application/vnd.evolv.ecig.theme": {
        source: "iana"
      },
      "application/vnd.exstream-empower+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.exstream-package": {
        source: "iana"
      },
      "application/vnd.ezpix-album": {
        source: "iana",
        extensions: ["ez2"]
      },
      "application/vnd.ezpix-package": {
        source: "iana",
        extensions: ["ez3"]
      },
      "application/vnd.f-secure.mobile": {
        source: "iana"
      },
      "application/vnd.familysearch.gedcom+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.fastcopy-disk-image": {
        source: "iana"
      },
      "application/vnd.fdf": {
        source: "iana",
        extensions: ["fdf"]
      },
      "application/vnd.fdsn.mseed": {
        source: "iana",
        extensions: ["mseed"]
      },
      "application/vnd.fdsn.seed": {
        source: "iana",
        extensions: ["seed", "dataless"]
      },
      "application/vnd.ffsns": {
        source: "iana"
      },
      "application/vnd.ficlab.flb+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.filmit.zfc": {
        source: "iana"
      },
      "application/vnd.fints": {
        source: "iana"
      },
      "application/vnd.firemonkeys.cloudcell": {
        source: "iana"
      },
      "application/vnd.flographit": {
        source: "iana",
        extensions: ["gph"]
      },
      "application/vnd.fluxtime.clip": {
        source: "iana",
        extensions: ["ftc"]
      },
      "application/vnd.font-fontforge-sfd": {
        source: "iana"
      },
      "application/vnd.framemaker": {
        source: "iana",
        extensions: ["fm", "frame", "maker", "book"]
      },
      "application/vnd.frogans.fnc": {
        source: "iana",
        extensions: ["fnc"]
      },
      "application/vnd.frogans.ltf": {
        source: "iana",
        extensions: ["ltf"]
      },
      "application/vnd.fsc.weblaunch": {
        source: "iana",
        extensions: ["fsc"]
      },
      "application/vnd.fujifilm.fb.docuworks": {
        source: "iana"
      },
      "application/vnd.fujifilm.fb.docuworks.binder": {
        source: "iana"
      },
      "application/vnd.fujifilm.fb.docuworks.container": {
        source: "iana"
      },
      "application/vnd.fujifilm.fb.jfi+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.fujitsu.oasys": {
        source: "iana",
        extensions: ["oas"]
      },
      "application/vnd.fujitsu.oasys2": {
        source: "iana",
        extensions: ["oa2"]
      },
      "application/vnd.fujitsu.oasys3": {
        source: "iana",
        extensions: ["oa3"]
      },
      "application/vnd.fujitsu.oasysgp": {
        source: "iana",
        extensions: ["fg5"]
      },
      "application/vnd.fujitsu.oasysprs": {
        source: "iana",
        extensions: ["bh2"]
      },
      "application/vnd.fujixerox.art-ex": {
        source: "iana"
      },
      "application/vnd.fujixerox.art4": {
        source: "iana"
      },
      "application/vnd.fujixerox.ddd": {
        source: "iana",
        extensions: ["ddd"]
      },
      "application/vnd.fujixerox.docuworks": {
        source: "iana",
        extensions: ["xdw"]
      },
      "application/vnd.fujixerox.docuworks.binder": {
        source: "iana",
        extensions: ["xbd"]
      },
      "application/vnd.fujixerox.docuworks.container": {
        source: "iana"
      },
      "application/vnd.fujixerox.hbpl": {
        source: "iana"
      },
      "application/vnd.fut-misnet": {
        source: "iana"
      },
      "application/vnd.futoin+cbor": {
        source: "iana"
      },
      "application/vnd.futoin+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.fuzzysheet": {
        source: "iana",
        extensions: ["fzs"]
      },
      "application/vnd.genomatix.tuxedo": {
        source: "iana",
        extensions: ["txd"]
      },
      "application/vnd.gentics.grd+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.geo+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.geocube+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.geogebra.file": {
        source: "iana",
        extensions: ["ggb"]
      },
      "application/vnd.geogebra.slides": {
        source: "iana"
      },
      "application/vnd.geogebra.tool": {
        source: "iana",
        extensions: ["ggt"]
      },
      "application/vnd.geometry-explorer": {
        source: "iana",
        extensions: ["gex", "gre"]
      },
      "application/vnd.geonext": {
        source: "iana",
        extensions: ["gxt"]
      },
      "application/vnd.geoplan": {
        source: "iana",
        extensions: ["g2w"]
      },
      "application/vnd.geospace": {
        source: "iana",
        extensions: ["g3w"]
      },
      "application/vnd.gerber": {
        source: "iana"
      },
      "application/vnd.globalplatform.card-content-mgt": {
        source: "iana"
      },
      "application/vnd.globalplatform.card-content-mgt-response": {
        source: "iana"
      },
      "application/vnd.gmx": {
        source: "iana",
        extensions: ["gmx"]
      },
      "application/vnd.google-apps.document": {
        compressible: false,
        extensions: ["gdoc"]
      },
      "application/vnd.google-apps.presentation": {
        compressible: false,
        extensions: ["gslides"]
      },
      "application/vnd.google-apps.spreadsheet": {
        compressible: false,
        extensions: ["gsheet"]
      },
      "application/vnd.google-earth.kml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["kml"]
      },
      "application/vnd.google-earth.kmz": {
        source: "iana",
        compressible: false,
        extensions: ["kmz"]
      },
      "application/vnd.gov.sk.e-form+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.gov.sk.e-form+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.gov.sk.xmldatacontainer+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.grafeq": {
        source: "iana",
        extensions: ["gqf", "gqs"]
      },
      "application/vnd.gridmp": {
        source: "iana"
      },
      "application/vnd.groove-account": {
        source: "iana",
        extensions: ["gac"]
      },
      "application/vnd.groove-help": {
        source: "iana",
        extensions: ["ghf"]
      },
      "application/vnd.groove-identity-message": {
        source: "iana",
        extensions: ["gim"]
      },
      "application/vnd.groove-injector": {
        source: "iana",
        extensions: ["grv"]
      },
      "application/vnd.groove-tool-message": {
        source: "iana",
        extensions: ["gtm"]
      },
      "application/vnd.groove-tool-template": {
        source: "iana",
        extensions: ["tpl"]
      },
      "application/vnd.groove-vcard": {
        source: "iana",
        extensions: ["vcg"]
      },
      "application/vnd.hal+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hal+xml": {
        source: "iana",
        compressible: true,
        extensions: ["hal"]
      },
      "application/vnd.handheld-entertainment+xml": {
        source: "iana",
        compressible: true,
        extensions: ["zmm"]
      },
      "application/vnd.hbci": {
        source: "iana",
        extensions: ["hbci"]
      },
      "application/vnd.hc+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hcl-bireports": {
        source: "iana"
      },
      "application/vnd.hdt": {
        source: "iana"
      },
      "application/vnd.heroku+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hhe.lesson-player": {
        source: "iana",
        extensions: ["les"]
      },
      "application/vnd.hl7cda+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.hl7v2+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.hp-hpgl": {
        source: "iana",
        extensions: ["hpgl"]
      },
      "application/vnd.hp-hpid": {
        source: "iana",
        extensions: ["hpid"]
      },
      "application/vnd.hp-hps": {
        source: "iana",
        extensions: ["hps"]
      },
      "application/vnd.hp-jlyt": {
        source: "iana",
        extensions: ["jlt"]
      },
      "application/vnd.hp-pcl": {
        source: "iana",
        extensions: ["pcl"]
      },
      "application/vnd.hp-pclxl": {
        source: "iana",
        extensions: ["pclxl"]
      },
      "application/vnd.httphone": {
        source: "iana"
      },
      "application/vnd.hydrostatix.sof-data": {
        source: "iana",
        extensions: ["sfd-hdstx"]
      },
      "application/vnd.hyper+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hyper-item+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hyperdrive+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hzn-3d-crossword": {
        source: "iana"
      },
      "application/vnd.ibm.afplinedata": {
        source: "iana"
      },
      "application/vnd.ibm.electronic-media": {
        source: "iana"
      },
      "application/vnd.ibm.minipay": {
        source: "iana",
        extensions: ["mpy"]
      },
      "application/vnd.ibm.modcap": {
        source: "iana",
        extensions: ["afp", "listafp", "list3820"]
      },
      "application/vnd.ibm.rights-management": {
        source: "iana",
        extensions: ["irm"]
      },
      "application/vnd.ibm.secure-container": {
        source: "iana",
        extensions: ["sc"]
      },
      "application/vnd.iccprofile": {
        source: "iana",
        extensions: ["icc", "icm"]
      },
      "application/vnd.ieee.1905": {
        source: "iana"
      },
      "application/vnd.igloader": {
        source: "iana",
        extensions: ["igl"]
      },
      "application/vnd.imagemeter.folder+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.imagemeter.image+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.immervision-ivp": {
        source: "iana",
        extensions: ["ivp"]
      },
      "application/vnd.immervision-ivu": {
        source: "iana",
        extensions: ["ivu"]
      },
      "application/vnd.ims.imsccv1p1": {
        source: "iana"
      },
      "application/vnd.ims.imsccv1p2": {
        source: "iana"
      },
      "application/vnd.ims.imsccv1p3": {
        source: "iana"
      },
      "application/vnd.ims.lis.v2.result+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolconsumerprofile+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolproxy+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolproxy.id+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolsettings+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolsettings.simple+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.informedcontrol.rms+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.informix-visionary": {
        source: "iana"
      },
      "application/vnd.infotech.project": {
        source: "iana"
      },
      "application/vnd.infotech.project+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.innopath.wamp.notification": {
        source: "iana"
      },
      "application/vnd.insors.igm": {
        source: "iana",
        extensions: ["igm"]
      },
      "application/vnd.intercon.formnet": {
        source: "iana",
        extensions: ["xpw", "xpx"]
      },
      "application/vnd.intergeo": {
        source: "iana",
        extensions: ["i2g"]
      },
      "application/vnd.intertrust.digibox": {
        source: "iana"
      },
      "application/vnd.intertrust.nncp": {
        source: "iana"
      },
      "application/vnd.intu.qbo": {
        source: "iana",
        extensions: ["qbo"]
      },
      "application/vnd.intu.qfx": {
        source: "iana",
        extensions: ["qfx"]
      },
      "application/vnd.iptc.g2.catalogitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.conceptitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.knowledgeitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.newsitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.newsmessage+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.packageitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.planningitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ipunplugged.rcprofile": {
        source: "iana",
        extensions: ["rcprofile"]
      },
      "application/vnd.irepository.package+xml": {
        source: "iana",
        compressible: true,
        extensions: ["irp"]
      },
      "application/vnd.is-xpr": {
        source: "iana",
        extensions: ["xpr"]
      },
      "application/vnd.isac.fcs": {
        source: "iana",
        extensions: ["fcs"]
      },
      "application/vnd.iso11783-10+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.jam": {
        source: "iana",
        extensions: ["jam"]
      },
      "application/vnd.japannet-directory-service": {
        source: "iana"
      },
      "application/vnd.japannet-jpnstore-wakeup": {
        source: "iana"
      },
      "application/vnd.japannet-payment-wakeup": {
        source: "iana"
      },
      "application/vnd.japannet-registration": {
        source: "iana"
      },
      "application/vnd.japannet-registration-wakeup": {
        source: "iana"
      },
      "application/vnd.japannet-setstore-wakeup": {
        source: "iana"
      },
      "application/vnd.japannet-verification": {
        source: "iana"
      },
      "application/vnd.japannet-verification-wakeup": {
        source: "iana"
      },
      "application/vnd.jcp.javame.midlet-rms": {
        source: "iana",
        extensions: ["rms"]
      },
      "application/vnd.jisp": {
        source: "iana",
        extensions: ["jisp"]
      },
      "application/vnd.joost.joda-archive": {
        source: "iana",
        extensions: ["joda"]
      },
      "application/vnd.jsk.isdn-ngn": {
        source: "iana"
      },
      "application/vnd.kahootz": {
        source: "iana",
        extensions: ["ktz", "ktr"]
      },
      "application/vnd.kde.karbon": {
        source: "iana",
        extensions: ["karbon"]
      },
      "application/vnd.kde.kchart": {
        source: "iana",
        extensions: ["chrt"]
      },
      "application/vnd.kde.kformula": {
        source: "iana",
        extensions: ["kfo"]
      },
      "application/vnd.kde.kivio": {
        source: "iana",
        extensions: ["flw"]
      },
      "application/vnd.kde.kontour": {
        source: "iana",
        extensions: ["kon"]
      },
      "application/vnd.kde.kpresenter": {
        source: "iana",
        extensions: ["kpr", "kpt"]
      },
      "application/vnd.kde.kspread": {
        source: "iana",
        extensions: ["ksp"]
      },
      "application/vnd.kde.kword": {
        source: "iana",
        extensions: ["kwd", "kwt"]
      },
      "application/vnd.kenameaapp": {
        source: "iana",
        extensions: ["htke"]
      },
      "application/vnd.kidspiration": {
        source: "iana",
        extensions: ["kia"]
      },
      "application/vnd.kinar": {
        source: "iana",
        extensions: ["kne", "knp"]
      },
      "application/vnd.koan": {
        source: "iana",
        extensions: ["skp", "skd", "skt", "skm"]
      },
      "application/vnd.kodak-descriptor": {
        source: "iana",
        extensions: ["sse"]
      },
      "application/vnd.las": {
        source: "iana"
      },
      "application/vnd.las.las+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.las.las+xml": {
        source: "iana",
        compressible: true,
        extensions: ["lasxml"]
      },
      "application/vnd.laszip": {
        source: "iana"
      },
      "application/vnd.leap+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.liberty-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.llamagraphics.life-balance.desktop": {
        source: "iana",
        extensions: ["lbd"]
      },
      "application/vnd.llamagraphics.life-balance.exchange+xml": {
        source: "iana",
        compressible: true,
        extensions: ["lbe"]
      },
      "application/vnd.logipipe.circuit+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.loom": {
        source: "iana"
      },
      "application/vnd.lotus-1-2-3": {
        source: "iana",
        extensions: ["123"]
      },
      "application/vnd.lotus-approach": {
        source: "iana",
        extensions: ["apr"]
      },
      "application/vnd.lotus-freelance": {
        source: "iana",
        extensions: ["pre"]
      },
      "application/vnd.lotus-notes": {
        source: "iana",
        extensions: ["nsf"]
      },
      "application/vnd.lotus-organizer": {
        source: "iana",
        extensions: ["org"]
      },
      "application/vnd.lotus-screencam": {
        source: "iana",
        extensions: ["scm"]
      },
      "application/vnd.lotus-wordpro": {
        source: "iana",
        extensions: ["lwp"]
      },
      "application/vnd.macports.portpkg": {
        source: "iana",
        extensions: ["portpkg"]
      },
      "application/vnd.mapbox-vector-tile": {
        source: "iana",
        extensions: ["mvt"]
      },
      "application/vnd.marlin.drm.actiontoken+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.marlin.drm.conftoken+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.marlin.drm.license+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.marlin.drm.mdcf": {
        source: "iana"
      },
      "application/vnd.mason+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.maxar.archive.3tz+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.maxmind.maxmind-db": {
        source: "iana"
      },
      "application/vnd.mcd": {
        source: "iana",
        extensions: ["mcd"]
      },
      "application/vnd.medcalcdata": {
        source: "iana",
        extensions: ["mc1"]
      },
      "application/vnd.mediastation.cdkey": {
        source: "iana",
        extensions: ["cdkey"]
      },
      "application/vnd.meridian-slingshot": {
        source: "iana"
      },
      "application/vnd.mfer": {
        source: "iana",
        extensions: ["mwf"]
      },
      "application/vnd.mfmp": {
        source: "iana",
        extensions: ["mfm"]
      },
      "application/vnd.micro+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.micrografx.flo": {
        source: "iana",
        extensions: ["flo"]
      },
      "application/vnd.micrografx.igx": {
        source: "iana",
        extensions: ["igx"]
      },
      "application/vnd.microsoft.portable-executable": {
        source: "iana"
      },
      "application/vnd.microsoft.windows.thumbnail-cache": {
        source: "iana"
      },
      "application/vnd.miele+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.mif": {
        source: "iana",
        extensions: ["mif"]
      },
      "application/vnd.minisoft-hp3000-save": {
        source: "iana"
      },
      "application/vnd.mitsubishi.misty-guard.trustweb": {
        source: "iana"
      },
      "application/vnd.mobius.daf": {
        source: "iana",
        extensions: ["daf"]
      },
      "application/vnd.mobius.dis": {
        source: "iana",
        extensions: ["dis"]
      },
      "application/vnd.mobius.mbk": {
        source: "iana",
        extensions: ["mbk"]
      },
      "application/vnd.mobius.mqy": {
        source: "iana",
        extensions: ["mqy"]
      },
      "application/vnd.mobius.msl": {
        source: "iana",
        extensions: ["msl"]
      },
      "application/vnd.mobius.plc": {
        source: "iana",
        extensions: ["plc"]
      },
      "application/vnd.mobius.txf": {
        source: "iana",
        extensions: ["txf"]
      },
      "application/vnd.mophun.application": {
        source: "iana",
        extensions: ["mpn"]
      },
      "application/vnd.mophun.certificate": {
        source: "iana",
        extensions: ["mpc"]
      },
      "application/vnd.motorola.flexsuite": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.adsi": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.fis": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.gotap": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.kmr": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.ttc": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.wem": {
        source: "iana"
      },
      "application/vnd.motorola.iprm": {
        source: "iana"
      },
      "application/vnd.mozilla.xul+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xul"]
      },
      "application/vnd.ms-3mfdocument": {
        source: "iana"
      },
      "application/vnd.ms-artgalry": {
        source: "iana",
        extensions: ["cil"]
      },
      "application/vnd.ms-asf": {
        source: "iana"
      },
      "application/vnd.ms-cab-compressed": {
        source: "iana",
        extensions: ["cab"]
      },
      "application/vnd.ms-color.iccprofile": {
        source: "apache"
      },
      "application/vnd.ms-excel": {
        source: "iana",
        compressible: false,
        extensions: ["xls", "xlm", "xla", "xlc", "xlt", "xlw"]
      },
      "application/vnd.ms-excel.addin.macroenabled.12": {
        source: "iana",
        extensions: ["xlam"]
      },
      "application/vnd.ms-excel.sheet.binary.macroenabled.12": {
        source: "iana",
        extensions: ["xlsb"]
      },
      "application/vnd.ms-excel.sheet.macroenabled.12": {
        source: "iana",
        extensions: ["xlsm"]
      },
      "application/vnd.ms-excel.template.macroenabled.12": {
        source: "iana",
        extensions: ["xltm"]
      },
      "application/vnd.ms-fontobject": {
        source: "iana",
        compressible: true,
        extensions: ["eot"]
      },
      "application/vnd.ms-htmlhelp": {
        source: "iana",
        extensions: ["chm"]
      },
      "application/vnd.ms-ims": {
        source: "iana",
        extensions: ["ims"]
      },
      "application/vnd.ms-lrm": {
        source: "iana",
        extensions: ["lrm"]
      },
      "application/vnd.ms-office.activex+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ms-officetheme": {
        source: "iana",
        extensions: ["thmx"]
      },
      "application/vnd.ms-opentype": {
        source: "apache",
        compressible: true
      },
      "application/vnd.ms-outlook": {
        compressible: false,
        extensions: ["msg"]
      },
      "application/vnd.ms-package.obfuscated-opentype": {
        source: "apache"
      },
      "application/vnd.ms-pki.seccat": {
        source: "apache",
        extensions: ["cat"]
      },
      "application/vnd.ms-pki.stl": {
        source: "apache",
        extensions: ["stl"]
      },
      "application/vnd.ms-playready.initiator+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ms-powerpoint": {
        source: "iana",
        compressible: false,
        extensions: ["ppt", "pps", "pot"]
      },
      "application/vnd.ms-powerpoint.addin.macroenabled.12": {
        source: "iana",
        extensions: ["ppam"]
      },
      "application/vnd.ms-powerpoint.presentation.macroenabled.12": {
        source: "iana",
        extensions: ["pptm"]
      },
      "application/vnd.ms-powerpoint.slide.macroenabled.12": {
        source: "iana",
        extensions: ["sldm"]
      },
      "application/vnd.ms-powerpoint.slideshow.macroenabled.12": {
        source: "iana",
        extensions: ["ppsm"]
      },
      "application/vnd.ms-powerpoint.template.macroenabled.12": {
        source: "iana",
        extensions: ["potm"]
      },
      "application/vnd.ms-printdevicecapabilities+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ms-printing.printticket+xml": {
        source: "apache",
        compressible: true
      },
      "application/vnd.ms-printschematicket+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ms-project": {
        source: "iana",
        extensions: ["mpp", "mpt"]
      },
      "application/vnd.ms-tnef": {
        source: "iana"
      },
      "application/vnd.ms-windows.devicepairing": {
        source: "iana"
      },
      "application/vnd.ms-windows.nwprinting.oob": {
        source: "iana"
      },
      "application/vnd.ms-windows.printerpairing": {
        source: "iana"
      },
      "application/vnd.ms-windows.wsd.oob": {
        source: "iana"
      },
      "application/vnd.ms-wmdrm.lic-chlg-req": {
        source: "iana"
      },
      "application/vnd.ms-wmdrm.lic-resp": {
        source: "iana"
      },
      "application/vnd.ms-wmdrm.meter-chlg-req": {
        source: "iana"
      },
      "application/vnd.ms-wmdrm.meter-resp": {
        source: "iana"
      },
      "application/vnd.ms-word.document.macroenabled.12": {
        source: "iana",
        extensions: ["docm"]
      },
      "application/vnd.ms-word.template.macroenabled.12": {
        source: "iana",
        extensions: ["dotm"]
      },
      "application/vnd.ms-works": {
        source: "iana",
        extensions: ["wps", "wks", "wcm", "wdb"]
      },
      "application/vnd.ms-wpl": {
        source: "iana",
        extensions: ["wpl"]
      },
      "application/vnd.ms-xpsdocument": {
        source: "iana",
        compressible: false,
        extensions: ["xps"]
      },
      "application/vnd.msa-disk-image": {
        source: "iana"
      },
      "application/vnd.mseq": {
        source: "iana",
        extensions: ["mseq"]
      },
      "application/vnd.msign": {
        source: "iana"
      },
      "application/vnd.multiad.creator": {
        source: "iana"
      },
      "application/vnd.multiad.creator.cif": {
        source: "iana"
      },
      "application/vnd.music-niff": {
        source: "iana"
      },
      "application/vnd.musician": {
        source: "iana",
        extensions: ["mus"]
      },
      "application/vnd.muvee.style": {
        source: "iana",
        extensions: ["msty"]
      },
      "application/vnd.mynfc": {
        source: "iana",
        extensions: ["taglet"]
      },
      "application/vnd.nacamar.ybrid+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ncd.control": {
        source: "iana"
      },
      "application/vnd.ncd.reference": {
        source: "iana"
      },
      "application/vnd.nearst.inv+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nebumind.line": {
        source: "iana"
      },
      "application/vnd.nervana": {
        source: "iana"
      },
      "application/vnd.netfpx": {
        source: "iana"
      },
      "application/vnd.neurolanguage.nlu": {
        source: "iana",
        extensions: ["nlu"]
      },
      "application/vnd.nimn": {
        source: "iana"
      },
      "application/vnd.nintendo.nitro.rom": {
        source: "iana"
      },
      "application/vnd.nintendo.snes.rom": {
        source: "iana"
      },
      "application/vnd.nitf": {
        source: "iana",
        extensions: ["ntf", "nitf"]
      },
      "application/vnd.noblenet-directory": {
        source: "iana",
        extensions: ["nnd"]
      },
      "application/vnd.noblenet-sealer": {
        source: "iana",
        extensions: ["nns"]
      },
      "application/vnd.noblenet-web": {
        source: "iana",
        extensions: ["nnw"]
      },
      "application/vnd.nokia.catalogs": {
        source: "iana"
      },
      "application/vnd.nokia.conml+wbxml": {
        source: "iana"
      },
      "application/vnd.nokia.conml+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.iptv.config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.isds-radio-presets": {
        source: "iana"
      },
      "application/vnd.nokia.landmark+wbxml": {
        source: "iana"
      },
      "application/vnd.nokia.landmark+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.landmarkcollection+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.n-gage.ac+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ac"]
      },
      "application/vnd.nokia.n-gage.data": {
        source: "iana",
        extensions: ["ngdat"]
      },
      "application/vnd.nokia.n-gage.symbian.install": {
        source: "iana",
        extensions: ["n-gage"]
      },
      "application/vnd.nokia.ncd": {
        source: "iana"
      },
      "application/vnd.nokia.pcd+wbxml": {
        source: "iana"
      },
      "application/vnd.nokia.pcd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.radio-preset": {
        source: "iana",
        extensions: ["rpst"]
      },
      "application/vnd.nokia.radio-presets": {
        source: "iana",
        extensions: ["rpss"]
      },
      "application/vnd.novadigm.edm": {
        source: "iana",
        extensions: ["edm"]
      },
      "application/vnd.novadigm.edx": {
        source: "iana",
        extensions: ["edx"]
      },
      "application/vnd.novadigm.ext": {
        source: "iana",
        extensions: ["ext"]
      },
      "application/vnd.ntt-local.content-share": {
        source: "iana"
      },
      "application/vnd.ntt-local.file-transfer": {
        source: "iana"
      },
      "application/vnd.ntt-local.ogw_remote-access": {
        source: "iana"
      },
      "application/vnd.ntt-local.sip-ta_remote": {
        source: "iana"
      },
      "application/vnd.ntt-local.sip-ta_tcp_stream": {
        source: "iana"
      },
      "application/vnd.oasis.opendocument.chart": {
        source: "iana",
        extensions: ["odc"]
      },
      "application/vnd.oasis.opendocument.chart-template": {
        source: "iana",
        extensions: ["otc"]
      },
      "application/vnd.oasis.opendocument.database": {
        source: "iana",
        extensions: ["odb"]
      },
      "application/vnd.oasis.opendocument.formula": {
        source: "iana",
        extensions: ["odf"]
      },
      "application/vnd.oasis.opendocument.formula-template": {
        source: "iana",
        extensions: ["odft"]
      },
      "application/vnd.oasis.opendocument.graphics": {
        source: "iana",
        compressible: false,
        extensions: ["odg"]
      },
      "application/vnd.oasis.opendocument.graphics-template": {
        source: "iana",
        extensions: ["otg"]
      },
      "application/vnd.oasis.opendocument.image": {
        source: "iana",
        extensions: ["odi"]
      },
      "application/vnd.oasis.opendocument.image-template": {
        source: "iana",
        extensions: ["oti"]
      },
      "application/vnd.oasis.opendocument.presentation": {
        source: "iana",
        compressible: false,
        extensions: ["odp"]
      },
      "application/vnd.oasis.opendocument.presentation-template": {
        source: "iana",
        extensions: ["otp"]
      },
      "application/vnd.oasis.opendocument.spreadsheet": {
        source: "iana",
        compressible: false,
        extensions: ["ods"]
      },
      "application/vnd.oasis.opendocument.spreadsheet-template": {
        source: "iana",
        extensions: ["ots"]
      },
      "application/vnd.oasis.opendocument.text": {
        source: "iana",
        compressible: false,
        extensions: ["odt"]
      },
      "application/vnd.oasis.opendocument.text-master": {
        source: "iana",
        extensions: ["odm"]
      },
      "application/vnd.oasis.opendocument.text-template": {
        source: "iana",
        extensions: ["ott"]
      },
      "application/vnd.oasis.opendocument.text-web": {
        source: "iana",
        extensions: ["oth"]
      },
      "application/vnd.obn": {
        source: "iana"
      },
      "application/vnd.ocf+cbor": {
        source: "iana"
      },
      "application/vnd.oci.image.manifest.v1+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oftn.l10n+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.contentaccessdownload+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.contentaccessstreaming+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.cspg-hexbinary": {
        source: "iana"
      },
      "application/vnd.oipf.dae.svg+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.dae.xhtml+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.mippvcontrolmessage+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.pae.gem": {
        source: "iana"
      },
      "application/vnd.oipf.spdiscovery+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.spdlist+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.ueprofile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.userprofile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.olpc-sugar": {
        source: "iana",
        extensions: ["xo"]
      },
      "application/vnd.oma-scws-config": {
        source: "iana"
      },
      "application/vnd.oma-scws-http-request": {
        source: "iana"
      },
      "application/vnd.oma-scws-http-response": {
        source: "iana"
      },
      "application/vnd.oma.bcast.associated-procedure-parameter+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.drm-trigger+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.imd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.ltkm": {
        source: "iana"
      },
      "application/vnd.oma.bcast.notification+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.provisioningtrigger": {
        source: "iana"
      },
      "application/vnd.oma.bcast.sgboot": {
        source: "iana"
      },
      "application/vnd.oma.bcast.sgdd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.sgdu": {
        source: "iana"
      },
      "application/vnd.oma.bcast.simple-symbol-container": {
        source: "iana"
      },
      "application/vnd.oma.bcast.smartcard-trigger+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.sprov+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.stkm": {
        source: "iana"
      },
      "application/vnd.oma.cab-address-book+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.cab-feature-handler+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.cab-pcc+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.cab-subs-invite+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.cab-user-prefs+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.dcd": {
        source: "iana"
      },
      "application/vnd.oma.dcdc": {
        source: "iana"
      },
      "application/vnd.oma.dd2+xml": {
        source: "iana",
        compressible: true,
        extensions: ["dd2"]
      },
      "application/vnd.oma.drm.risd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.group-usage-list+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.lwm2m+cbor": {
        source: "iana"
      },
      "application/vnd.oma.lwm2m+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.lwm2m+tlv": {
        source: "iana"
      },
      "application/vnd.oma.pal+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.detailed-progress-report+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.final-report+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.groups+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.invocation-descriptor+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.optimized-progress-report+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.push": {
        source: "iana"
      },
      "application/vnd.oma.scidm.messages+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.xcap-directory+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.omads-email+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.omads-file+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.omads-folder+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.omaloc-supl-init": {
        source: "iana"
      },
      "application/vnd.onepager": {
        source: "iana"
      },
      "application/vnd.onepagertamp": {
        source: "iana"
      },
      "application/vnd.onepagertamx": {
        source: "iana"
      },
      "application/vnd.onepagertat": {
        source: "iana"
      },
      "application/vnd.onepagertatp": {
        source: "iana"
      },
      "application/vnd.onepagertatx": {
        source: "iana"
      },
      "application/vnd.openblox.game+xml": {
        source: "iana",
        compressible: true,
        extensions: ["obgx"]
      },
      "application/vnd.openblox.game-binary": {
        source: "iana"
      },
      "application/vnd.openeye.oeb": {
        source: "iana"
      },
      "application/vnd.openofficeorg.extension": {
        source: "apache",
        extensions: ["oxt"]
      },
      "application/vnd.openstreetmap.data+xml": {
        source: "iana",
        compressible: true,
        extensions: ["osm"]
      },
      "application/vnd.opentimestamps.ots": {
        source: "iana"
      },
      "application/vnd.openxmlformats-officedocument.custom-properties+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.customxmlproperties+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawing+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.chart+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.diagramcolors+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.diagramdata+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.diagramlayout+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.diagramstyle+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.extended-properties+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.commentauthors+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.comments+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.handoutmaster+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.notesmaster+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.notesslide+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.presentation": {
        source: "iana",
        compressible: false,
        extensions: ["pptx"]
      },
      "application/vnd.openxmlformats-officedocument.presentationml.presentation.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.presprops+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slide": {
        source: "iana",
        extensions: ["sldx"]
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slide+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slidelayout+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slidemaster+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slideshow": {
        source: "iana",
        extensions: ["ppsx"]
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slideupdateinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.tablestyles+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.tags+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.template": {
        source: "iana",
        extensions: ["potx"]
      },
      "application/vnd.openxmlformats-officedocument.presentationml.template.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.viewprops+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.calcchain+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.externallink+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcachedefinition+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcacherecords+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.pivottable+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.querytable+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.revisionheaders+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.revisionlog+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sharedstrings+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": {
        source: "iana",
        compressible: false,
        extensions: ["xlsx"]
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sheetmetadata+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.tablesinglecells+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.template": {
        source: "iana",
        extensions: ["xltx"]
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.usernames+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.volatiledependencies+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.theme+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.themeoverride+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.vmldrawing": {
        source: "iana"
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.comments+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.document": {
        source: "iana",
        compressible: false,
        extensions: ["docx"]
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.fonttable+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.template": {
        source: "iana",
        extensions: ["dotx"]
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.websettings+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-package.core-properties+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-package.digital-signature-xmlsignature+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-package.relationships+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oracle.resource+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.orange.indata": {
        source: "iana"
      },
      "application/vnd.osa.netdeploy": {
        source: "iana"
      },
      "application/vnd.osgeo.mapguide.package": {
        source: "iana",
        extensions: ["mgp"]
      },
      "application/vnd.osgi.bundle": {
        source: "iana"
      },
      "application/vnd.osgi.dp": {
        source: "iana",
        extensions: ["dp"]
      },
      "application/vnd.osgi.subsystem": {
        source: "iana",
        extensions: ["esa"]
      },
      "application/vnd.otps.ct-kip+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oxli.countgraph": {
        source: "iana"
      },
      "application/vnd.pagerduty+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.palm": {
        source: "iana",
        extensions: ["pdb", "pqa", "oprc"]
      },
      "application/vnd.panoply": {
        source: "iana"
      },
      "application/vnd.paos.xml": {
        source: "iana"
      },
      "application/vnd.patentdive": {
        source: "iana"
      },
      "application/vnd.patientecommsdoc": {
        source: "iana"
      },
      "application/vnd.pawaafile": {
        source: "iana",
        extensions: ["paw"]
      },
      "application/vnd.pcos": {
        source: "iana"
      },
      "application/vnd.pg.format": {
        source: "iana",
        extensions: ["str"]
      },
      "application/vnd.pg.osasli": {
        source: "iana",
        extensions: ["ei6"]
      },
      "application/vnd.piaccess.application-licence": {
        source: "iana"
      },
      "application/vnd.picsel": {
        source: "iana",
        extensions: ["efif"]
      },
      "application/vnd.pmi.widget": {
        source: "iana",
        extensions: ["wg"]
      },
      "application/vnd.poc.group-advertisement+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.pocketlearn": {
        source: "iana",
        extensions: ["plf"]
      },
      "application/vnd.powerbuilder6": {
        source: "iana",
        extensions: ["pbd"]
      },
      "application/vnd.powerbuilder6-s": {
        source: "iana"
      },
      "application/vnd.powerbuilder7": {
        source: "iana"
      },
      "application/vnd.powerbuilder7-s": {
        source: "iana"
      },
      "application/vnd.powerbuilder75": {
        source: "iana"
      },
      "application/vnd.powerbuilder75-s": {
        source: "iana"
      },
      "application/vnd.preminet": {
        source: "iana"
      },
      "application/vnd.previewsystems.box": {
        source: "iana",
        extensions: ["box"]
      },
      "application/vnd.proteus.magazine": {
        source: "iana",
        extensions: ["mgz"]
      },
      "application/vnd.psfs": {
        source: "iana"
      },
      "application/vnd.publishare-delta-tree": {
        source: "iana",
        extensions: ["qps"]
      },
      "application/vnd.pvi.ptid1": {
        source: "iana",
        extensions: ["ptid"]
      },
      "application/vnd.pwg-multiplexed": {
        source: "iana"
      },
      "application/vnd.pwg-xhtml-print+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.qualcomm.brew-app-res": {
        source: "iana"
      },
      "application/vnd.quarantainenet": {
        source: "iana"
      },
      "application/vnd.quark.quarkxpress": {
        source: "iana",
        extensions: ["qxd", "qxt", "qwd", "qwt", "qxl", "qxb"]
      },
      "application/vnd.quobject-quoxdocument": {
        source: "iana"
      },
      "application/vnd.radisys.moml+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit-conf+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit-conn+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit-dialog+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit-stream+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-conf+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-base+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-fax-detect+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-fax-sendrecv+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-group+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-speech+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-transform+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.rainstor.data": {
        source: "iana"
      },
      "application/vnd.rapid": {
        source: "iana"
      },
      "application/vnd.rar": {
        source: "iana",
        extensions: ["rar"]
      },
      "application/vnd.realvnc.bed": {
        source: "iana",
        extensions: ["bed"]
      },
      "application/vnd.recordare.musicxml": {
        source: "iana",
        extensions: ["mxl"]
      },
      "application/vnd.recordare.musicxml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["musicxml"]
      },
      "application/vnd.renlearn.rlprint": {
        source: "iana"
      },
      "application/vnd.resilient.logic": {
        source: "iana"
      },
      "application/vnd.restful+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.rig.cryptonote": {
        source: "iana",
        extensions: ["cryptonote"]
      },
      "application/vnd.rim.cod": {
        source: "apache",
        extensions: ["cod"]
      },
      "application/vnd.rn-realmedia": {
        source: "apache",
        extensions: ["rm"]
      },
      "application/vnd.rn-realmedia-vbr": {
        source: "apache",
        extensions: ["rmvb"]
      },
      "application/vnd.route66.link66+xml": {
        source: "iana",
        compressible: true,
        extensions: ["link66"]
      },
      "application/vnd.rs-274x": {
        source: "iana"
      },
      "application/vnd.ruckus.download": {
        source: "iana"
      },
      "application/vnd.s3sms": {
        source: "iana"
      },
      "application/vnd.sailingtracker.track": {
        source: "iana",
        extensions: ["st"]
      },
      "application/vnd.sar": {
        source: "iana"
      },
      "application/vnd.sbm.cid": {
        source: "iana"
      },
      "application/vnd.sbm.mid2": {
        source: "iana"
      },
      "application/vnd.scribus": {
        source: "iana"
      },
      "application/vnd.sealed.3df": {
        source: "iana"
      },
      "application/vnd.sealed.csf": {
        source: "iana"
      },
      "application/vnd.sealed.doc": {
        source: "iana"
      },
      "application/vnd.sealed.eml": {
        source: "iana"
      },
      "application/vnd.sealed.mht": {
        source: "iana"
      },
      "application/vnd.sealed.net": {
        source: "iana"
      },
      "application/vnd.sealed.ppt": {
        source: "iana"
      },
      "application/vnd.sealed.tiff": {
        source: "iana"
      },
      "application/vnd.sealed.xls": {
        source: "iana"
      },
      "application/vnd.sealedmedia.softseal.html": {
        source: "iana"
      },
      "application/vnd.sealedmedia.softseal.pdf": {
        source: "iana"
      },
      "application/vnd.seemail": {
        source: "iana",
        extensions: ["see"]
      },
      "application/vnd.seis+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.sema": {
        source: "iana",
        extensions: ["sema"]
      },
      "application/vnd.semd": {
        source: "iana",
        extensions: ["semd"]
      },
      "application/vnd.semf": {
        source: "iana",
        extensions: ["semf"]
      },
      "application/vnd.shade-save-file": {
        source: "iana"
      },
      "application/vnd.shana.informed.formdata": {
        source: "iana",
        extensions: ["ifm"]
      },
      "application/vnd.shana.informed.formtemplate": {
        source: "iana",
        extensions: ["itp"]
      },
      "application/vnd.shana.informed.interchange": {
        source: "iana",
        extensions: ["iif"]
      },
      "application/vnd.shana.informed.package": {
        source: "iana",
        extensions: ["ipk"]
      },
      "application/vnd.shootproof+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.shopkick+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.shp": {
        source: "iana"
      },
      "application/vnd.shx": {
        source: "iana"
      },
      "application/vnd.sigrok.session": {
        source: "iana"
      },
      "application/vnd.simtech-mindmapper": {
        source: "iana",
        extensions: ["twd", "twds"]
      },
      "application/vnd.siren+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.smaf": {
        source: "iana",
        extensions: ["mmf"]
      },
      "application/vnd.smart.notebook": {
        source: "iana"
      },
      "application/vnd.smart.teacher": {
        source: "iana",
        extensions: ["teacher"]
      },
      "application/vnd.snesdev-page-table": {
        source: "iana"
      },
      "application/vnd.software602.filler.form+xml": {
        source: "iana",
        compressible: true,
        extensions: ["fo"]
      },
      "application/vnd.software602.filler.form-xml-zip": {
        source: "iana"
      },
      "application/vnd.solent.sdkm+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sdkm", "sdkd"]
      },
      "application/vnd.spotfire.dxp": {
        source: "iana",
        extensions: ["dxp"]
      },
      "application/vnd.spotfire.sfs": {
        source: "iana",
        extensions: ["sfs"]
      },
      "application/vnd.sqlite3": {
        source: "iana"
      },
      "application/vnd.sss-cod": {
        source: "iana"
      },
      "application/vnd.sss-dtf": {
        source: "iana"
      },
      "application/vnd.sss-ntf": {
        source: "iana"
      },
      "application/vnd.stardivision.calc": {
        source: "apache",
        extensions: ["sdc"]
      },
      "application/vnd.stardivision.draw": {
        source: "apache",
        extensions: ["sda"]
      },
      "application/vnd.stardivision.impress": {
        source: "apache",
        extensions: ["sdd"]
      },
      "application/vnd.stardivision.math": {
        source: "apache",
        extensions: ["smf"]
      },
      "application/vnd.stardivision.writer": {
        source: "apache",
        extensions: ["sdw", "vor"]
      },
      "application/vnd.stardivision.writer-global": {
        source: "apache",
        extensions: ["sgl"]
      },
      "application/vnd.stepmania.package": {
        source: "iana",
        extensions: ["smzip"]
      },
      "application/vnd.stepmania.stepchart": {
        source: "iana",
        extensions: ["sm"]
      },
      "application/vnd.street-stream": {
        source: "iana"
      },
      "application/vnd.sun.wadl+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wadl"]
      },
      "application/vnd.sun.xml.calc": {
        source: "apache",
        extensions: ["sxc"]
      },
      "application/vnd.sun.xml.calc.template": {
        source: "apache",
        extensions: ["stc"]
      },
      "application/vnd.sun.xml.draw": {
        source: "apache",
        extensions: ["sxd"]
      },
      "application/vnd.sun.xml.draw.template": {
        source: "apache",
        extensions: ["std"]
      },
      "application/vnd.sun.xml.impress": {
        source: "apache",
        extensions: ["sxi"]
      },
      "application/vnd.sun.xml.impress.template": {
        source: "apache",
        extensions: ["sti"]
      },
      "application/vnd.sun.xml.math": {
        source: "apache",
        extensions: ["sxm"]
      },
      "application/vnd.sun.xml.writer": {
        source: "apache",
        extensions: ["sxw"]
      },
      "application/vnd.sun.xml.writer.global": {
        source: "apache",
        extensions: ["sxg"]
      },
      "application/vnd.sun.xml.writer.template": {
        source: "apache",
        extensions: ["stw"]
      },
      "application/vnd.sus-calendar": {
        source: "iana",
        extensions: ["sus", "susp"]
      },
      "application/vnd.svd": {
        source: "iana",
        extensions: ["svd"]
      },
      "application/vnd.swiftview-ics": {
        source: "iana"
      },
      "application/vnd.sycle+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.syft+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.symbian.install": {
        source: "apache",
        extensions: ["sis", "sisx"]
      },
      "application/vnd.syncml+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["xsm"]
      },
      "application/vnd.syncml.dm+wbxml": {
        source: "iana",
        charset: "UTF-8",
        extensions: ["bdm"]
      },
      "application/vnd.syncml.dm+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["xdm"]
      },
      "application/vnd.syncml.dm.notification": {
        source: "iana"
      },
      "application/vnd.syncml.dmddf+wbxml": {
        source: "iana"
      },
      "application/vnd.syncml.dmddf+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["ddf"]
      },
      "application/vnd.syncml.dmtnds+wbxml": {
        source: "iana"
      },
      "application/vnd.syncml.dmtnds+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.syncml.ds.notification": {
        source: "iana"
      },
      "application/vnd.tableschema+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.tao.intent-module-archive": {
        source: "iana",
        extensions: ["tao"]
      },
      "application/vnd.tcpdump.pcap": {
        source: "iana",
        extensions: ["pcap", "cap", "dmp"]
      },
      "application/vnd.think-cell.ppttc+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.tmd.mediaflex.api+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.tml": {
        source: "iana"
      },
      "application/vnd.tmobile-livetv": {
        source: "iana",
        extensions: ["tmo"]
      },
      "application/vnd.tri.onesource": {
        source: "iana"
      },
      "application/vnd.trid.tpt": {
        source: "iana",
        extensions: ["tpt"]
      },
      "application/vnd.triscape.mxs": {
        source: "iana",
        extensions: ["mxs"]
      },
      "application/vnd.trueapp": {
        source: "iana",
        extensions: ["tra"]
      },
      "application/vnd.truedoc": {
        source: "iana"
      },
      "application/vnd.ubisoft.webplayer": {
        source: "iana"
      },
      "application/vnd.ufdl": {
        source: "iana",
        extensions: ["ufd", "ufdl"]
      },
      "application/vnd.uiq.theme": {
        source: "iana",
        extensions: ["utz"]
      },
      "application/vnd.umajin": {
        source: "iana",
        extensions: ["umj"]
      },
      "application/vnd.unity": {
        source: "iana",
        extensions: ["unityweb"]
      },
      "application/vnd.uoml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["uoml"]
      },
      "application/vnd.uplanet.alert": {
        source: "iana"
      },
      "application/vnd.uplanet.alert-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.bearer-choice": {
        source: "iana"
      },
      "application/vnd.uplanet.bearer-choice-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.cacheop": {
        source: "iana"
      },
      "application/vnd.uplanet.cacheop-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.channel": {
        source: "iana"
      },
      "application/vnd.uplanet.channel-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.list": {
        source: "iana"
      },
      "application/vnd.uplanet.list-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.listcmd": {
        source: "iana"
      },
      "application/vnd.uplanet.listcmd-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.signal": {
        source: "iana"
      },
      "application/vnd.uri-map": {
        source: "iana"
      },
      "application/vnd.valve.source.material": {
        source: "iana"
      },
      "application/vnd.vcx": {
        source: "iana",
        extensions: ["vcx"]
      },
      "application/vnd.vd-study": {
        source: "iana"
      },
      "application/vnd.vectorworks": {
        source: "iana"
      },
      "application/vnd.vel+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.verimatrix.vcas": {
        source: "iana"
      },
      "application/vnd.veritone.aion+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.veryant.thin": {
        source: "iana"
      },
      "application/vnd.ves.encrypted": {
        source: "iana"
      },
      "application/vnd.vidsoft.vidconference": {
        source: "iana"
      },
      "application/vnd.visio": {
        source: "iana",
        extensions: ["vsd", "vst", "vss", "vsw"]
      },
      "application/vnd.visionary": {
        source: "iana",
        extensions: ["vis"]
      },
      "application/vnd.vividence.scriptfile": {
        source: "iana"
      },
      "application/vnd.vsf": {
        source: "iana",
        extensions: ["vsf"]
      },
      "application/vnd.wap.sic": {
        source: "iana"
      },
      "application/vnd.wap.slc": {
        source: "iana"
      },
      "application/vnd.wap.wbxml": {
        source: "iana",
        charset: "UTF-8",
        extensions: ["wbxml"]
      },
      "application/vnd.wap.wmlc": {
        source: "iana",
        extensions: ["wmlc"]
      },
      "application/vnd.wap.wmlscriptc": {
        source: "iana",
        extensions: ["wmlsc"]
      },
      "application/vnd.webturbo": {
        source: "iana",
        extensions: ["wtb"]
      },
      "application/vnd.wfa.dpp": {
        source: "iana"
      },
      "application/vnd.wfa.p2p": {
        source: "iana"
      },
      "application/vnd.wfa.wsc": {
        source: "iana"
      },
      "application/vnd.windows.devicepairing": {
        source: "iana"
      },
      "application/vnd.wmc": {
        source: "iana"
      },
      "application/vnd.wmf.bootstrap": {
        source: "iana"
      },
      "application/vnd.wolfram.mathematica": {
        source: "iana"
      },
      "application/vnd.wolfram.mathematica.package": {
        source: "iana"
      },
      "application/vnd.wolfram.player": {
        source: "iana",
        extensions: ["nbp"]
      },
      "application/vnd.wordperfect": {
        source: "iana",
        extensions: ["wpd"]
      },
      "application/vnd.wqd": {
        source: "iana",
        extensions: ["wqd"]
      },
      "application/vnd.wrq-hp3000-labelled": {
        source: "iana"
      },
      "application/vnd.wt.stf": {
        source: "iana",
        extensions: ["stf"]
      },
      "application/vnd.wv.csp+wbxml": {
        source: "iana"
      },
      "application/vnd.wv.csp+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.wv.ssp+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.xacml+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.xara": {
        source: "iana",
        extensions: ["xar"]
      },
      "application/vnd.xfdl": {
        source: "iana",
        extensions: ["xfdl"]
      },
      "application/vnd.xfdl.webform": {
        source: "iana"
      },
      "application/vnd.xmi+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.xmpie.cpkg": {
        source: "iana"
      },
      "application/vnd.xmpie.dpkg": {
        source: "iana"
      },
      "application/vnd.xmpie.plan": {
        source: "iana"
      },
      "application/vnd.xmpie.ppkg": {
        source: "iana"
      },
      "application/vnd.xmpie.xlim": {
        source: "iana"
      },
      "application/vnd.yamaha.hv-dic": {
        source: "iana",
        extensions: ["hvd"]
      },
      "application/vnd.yamaha.hv-script": {
        source: "iana",
        extensions: ["hvs"]
      },
      "application/vnd.yamaha.hv-voice": {
        source: "iana",
        extensions: ["hvp"]
      },
      "application/vnd.yamaha.openscoreformat": {
        source: "iana",
        extensions: ["osf"]
      },
      "application/vnd.yamaha.openscoreformat.osfpvg+xml": {
        source: "iana",
        compressible: true,
        extensions: ["osfpvg"]
      },
      "application/vnd.yamaha.remote-setup": {
        source: "iana"
      },
      "application/vnd.yamaha.smaf-audio": {
        source: "iana",
        extensions: ["saf"]
      },
      "application/vnd.yamaha.smaf-phrase": {
        source: "iana",
        extensions: ["spf"]
      },
      "application/vnd.yamaha.through-ngn": {
        source: "iana"
      },
      "application/vnd.yamaha.tunnel-udpencap": {
        source: "iana"
      },
      "application/vnd.yaoweme": {
        source: "iana"
      },
      "application/vnd.yellowriver-custom-menu": {
        source: "iana",
        extensions: ["cmp"]
      },
      "application/vnd.youtube.yt": {
        source: "iana"
      },
      "application/vnd.zul": {
        source: "iana",
        extensions: ["zir", "zirz"]
      },
      "application/vnd.zzazz.deck+xml": {
        source: "iana",
        compressible: true,
        extensions: ["zaz"]
      },
      "application/voicexml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["vxml"]
      },
      "application/voucher-cms+json": {
        source: "iana",
        compressible: true
      },
      "application/vq-rtcpxr": {
        source: "iana"
      },
      "application/wasm": {
        source: "iana",
        compressible: true,
        extensions: ["wasm"]
      },
      "application/watcherinfo+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wif"]
      },
      "application/webpush-options+json": {
        source: "iana",
        compressible: true
      },
      "application/whoispp-query": {
        source: "iana"
      },
      "application/whoispp-response": {
        source: "iana"
      },
      "application/widget": {
        source: "iana",
        extensions: ["wgt"]
      },
      "application/winhlp": {
        source: "apache",
        extensions: ["hlp"]
      },
      "application/wita": {
        source: "iana"
      },
      "application/wordperfect5.1": {
        source: "iana"
      },
      "application/wsdl+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wsdl"]
      },
      "application/wspolicy+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wspolicy"]
      },
      "application/x-7z-compressed": {
        source: "apache",
        compressible: false,
        extensions: ["7z"]
      },
      "application/x-abiword": {
        source: "apache",
        extensions: ["abw"]
      },
      "application/x-ace-compressed": {
        source: "apache",
        extensions: ["ace"]
      },
      "application/x-amf": {
        source: "apache"
      },
      "application/x-apple-diskimage": {
        source: "apache",
        extensions: ["dmg"]
      },
      "application/x-arj": {
        compressible: false,
        extensions: ["arj"]
      },
      "application/x-authorware-bin": {
        source: "apache",
        extensions: ["aab", "x32", "u32", "vox"]
      },
      "application/x-authorware-map": {
        source: "apache",
        extensions: ["aam"]
      },
      "application/x-authorware-seg": {
        source: "apache",
        extensions: ["aas"]
      },
      "application/x-bcpio": {
        source: "apache",
        extensions: ["bcpio"]
      },
      "application/x-bdoc": {
        compressible: false,
        extensions: ["bdoc"]
      },
      "application/x-bittorrent": {
        source: "apache",
        extensions: ["torrent"]
      },
      "application/x-blorb": {
        source: "apache",
        extensions: ["blb", "blorb"]
      },
      "application/x-bzip": {
        source: "apache",
        compressible: false,
        extensions: ["bz"]
      },
      "application/x-bzip2": {
        source: "apache",
        compressible: false,
        extensions: ["bz2", "boz"]
      },
      "application/x-cbr": {
        source: "apache",
        extensions: ["cbr", "cba", "cbt", "cbz", "cb7"]
      },
      "application/x-cdlink": {
        source: "apache",
        extensions: ["vcd"]
      },
      "application/x-cfs-compressed": {
        source: "apache",
        extensions: ["cfs"]
      },
      "application/x-chat": {
        source: "apache",
        extensions: ["chat"]
      },
      "application/x-chess-pgn": {
        source: "apache",
        extensions: ["pgn"]
      },
      "application/x-chrome-extension": {
        extensions: ["crx"]
      },
      "application/x-cocoa": {
        source: "nginx",
        extensions: ["cco"]
      },
      "application/x-compress": {
        source: "apache"
      },
      "application/x-conference": {
        source: "apache",
        extensions: ["nsc"]
      },
      "application/x-cpio": {
        source: "apache",
        extensions: ["cpio"]
      },
      "application/x-csh": {
        source: "apache",
        extensions: ["csh"]
      },
      "application/x-deb": {
        compressible: false
      },
      "application/x-debian-package": {
        source: "apache",
        extensions: ["deb", "udeb"]
      },
      "application/x-dgc-compressed": {
        source: "apache",
        extensions: ["dgc"]
      },
      "application/x-director": {
        source: "apache",
        extensions: ["dir", "dcr", "dxr", "cst", "cct", "cxt", "w3d", "fgd", "swa"]
      },
      "application/x-doom": {
        source: "apache",
        extensions: ["wad"]
      },
      "application/x-dtbncx+xml": {
        source: "apache",
        compressible: true,
        extensions: ["ncx"]
      },
      "application/x-dtbook+xml": {
        source: "apache",
        compressible: true,
        extensions: ["dtb"]
      },
      "application/x-dtbresource+xml": {
        source: "apache",
        compressible: true,
        extensions: ["res"]
      },
      "application/x-dvi": {
        source: "apache",
        compressible: false,
        extensions: ["dvi"]
      },
      "application/x-envoy": {
        source: "apache",
        extensions: ["evy"]
      },
      "application/x-eva": {
        source: "apache",
        extensions: ["eva"]
      },
      "application/x-font-bdf": {
        source: "apache",
        extensions: ["bdf"]
      },
      "application/x-font-dos": {
        source: "apache"
      },
      "application/x-font-framemaker": {
        source: "apache"
      },
      "application/x-font-ghostscript": {
        source: "apache",
        extensions: ["gsf"]
      },
      "application/x-font-libgrx": {
        source: "apache"
      },
      "application/x-font-linux-psf": {
        source: "apache",
        extensions: ["psf"]
      },
      "application/x-font-pcf": {
        source: "apache",
        extensions: ["pcf"]
      },
      "application/x-font-snf": {
        source: "apache",
        extensions: ["snf"]
      },
      "application/x-font-speedo": {
        source: "apache"
      },
      "application/x-font-sunos-news": {
        source: "apache"
      },
      "application/x-font-type1": {
        source: "apache",
        extensions: ["pfa", "pfb", "pfm", "afm"]
      },
      "application/x-font-vfont": {
        source: "apache"
      },
      "application/x-freearc": {
        source: "apache",
        extensions: ["arc"]
      },
      "application/x-futuresplash": {
        source: "apache",
        extensions: ["spl"]
      },
      "application/x-gca-compressed": {
        source: "apache",
        extensions: ["gca"]
      },
      "application/x-glulx": {
        source: "apache",
        extensions: ["ulx"]
      },
      "application/x-gnumeric": {
        source: "apache",
        extensions: ["gnumeric"]
      },
      "application/x-gramps-xml": {
        source: "apache",
        extensions: ["gramps"]
      },
      "application/x-gtar": {
        source: "apache",
        extensions: ["gtar"]
      },
      "application/x-gzip": {
        source: "apache"
      },
      "application/x-hdf": {
        source: "apache",
        extensions: ["hdf"]
      },
      "application/x-httpd-php": {
        compressible: true,
        extensions: ["php"]
      },
      "application/x-install-instructions": {
        source: "apache",
        extensions: ["install"]
      },
      "application/x-iso9660-image": {
        source: "apache",
        extensions: ["iso"]
      },
      "application/x-iwork-keynote-sffkey": {
        extensions: ["key"]
      },
      "application/x-iwork-numbers-sffnumbers": {
        extensions: ["numbers"]
      },
      "application/x-iwork-pages-sffpages": {
        extensions: ["pages"]
      },
      "application/x-java-archive-diff": {
        source: "nginx",
        extensions: ["jardiff"]
      },
      "application/x-java-jnlp-file": {
        source: "apache",
        compressible: false,
        extensions: ["jnlp"]
      },
      "application/x-javascript": {
        compressible: true
      },
      "application/x-keepass2": {
        extensions: ["kdbx"]
      },
      "application/x-latex": {
        source: "apache",
        compressible: false,
        extensions: ["latex"]
      },
      "application/x-lua-bytecode": {
        extensions: ["luac"]
      },
      "application/x-lzh-compressed": {
        source: "apache",
        extensions: ["lzh", "lha"]
      },
      "application/x-makeself": {
        source: "nginx",
        extensions: ["run"]
      },
      "application/x-mie": {
        source: "apache",
        extensions: ["mie"]
      },
      "application/x-mobipocket-ebook": {
        source: "apache",
        extensions: ["prc", "mobi"]
      },
      "application/x-mpegurl": {
        compressible: false
      },
      "application/x-ms-application": {
        source: "apache",
        extensions: ["application"]
      },
      "application/x-ms-shortcut": {
        source: "apache",
        extensions: ["lnk"]
      },
      "application/x-ms-wmd": {
        source: "apache",
        extensions: ["wmd"]
      },
      "application/x-ms-wmz": {
        source: "apache",
        extensions: ["wmz"]
      },
      "application/x-ms-xbap": {
        source: "apache",
        extensions: ["xbap"]
      },
      "application/x-msaccess": {
        source: "apache",
        extensions: ["mdb"]
      },
      "application/x-msbinder": {
        source: "apache",
        extensions: ["obd"]
      },
      "application/x-mscardfile": {
        source: "apache",
        extensions: ["crd"]
      },
      "application/x-msclip": {
        source: "apache",
        extensions: ["clp"]
      },
      "application/x-msdos-program": {
        extensions: ["exe"]
      },
      "application/x-msdownload": {
        source: "apache",
        extensions: ["exe", "dll", "com", "bat", "msi"]
      },
      "application/x-msmediaview": {
        source: "apache",
        extensions: ["mvb", "m13", "m14"]
      },
      "application/x-msmetafile": {
        source: "apache",
        extensions: ["wmf", "wmz", "emf", "emz"]
      },
      "application/x-msmoney": {
        source: "apache",
        extensions: ["mny"]
      },
      "application/x-mspublisher": {
        source: "apache",
        extensions: ["pub"]
      },
      "application/x-msschedule": {
        source: "apache",
        extensions: ["scd"]
      },
      "application/x-msterminal": {
        source: "apache",
        extensions: ["trm"]
      },
      "application/x-mswrite": {
        source: "apache",
        extensions: ["wri"]
      },
      "application/x-netcdf": {
        source: "apache",
        extensions: ["nc", "cdf"]
      },
      "application/x-ns-proxy-autoconfig": {
        compressible: true,
        extensions: ["pac"]
      },
      "application/x-nzb": {
        source: "apache",
        extensions: ["nzb"]
      },
      "application/x-perl": {
        source: "nginx",
        extensions: ["pl", "pm"]
      },
      "application/x-pilot": {
        source: "nginx",
        extensions: ["prc", "pdb"]
      },
      "application/x-pkcs12": {
        source: "apache",
        compressible: false,
        extensions: ["p12", "pfx"]
      },
      "application/x-pkcs7-certificates": {
        source: "apache",
        extensions: ["p7b", "spc"]
      },
      "application/x-pkcs7-certreqresp": {
        source: "apache",
        extensions: ["p7r"]
      },
      "application/x-pki-message": {
        source: "iana"
      },
      "application/x-rar-compressed": {
        source: "apache",
        compressible: false,
        extensions: ["rar"]
      },
      "application/x-redhat-package-manager": {
        source: "nginx",
        extensions: ["rpm"]
      },
      "application/x-research-info-systems": {
        source: "apache",
        extensions: ["ris"]
      },
      "application/x-sea": {
        source: "nginx",
        extensions: ["sea"]
      },
      "application/x-sh": {
        source: "apache",
        compressible: true,
        extensions: ["sh"]
      },
      "application/x-shar": {
        source: "apache",
        extensions: ["shar"]
      },
      "application/x-shockwave-flash": {
        source: "apache",
        compressible: false,
        extensions: ["swf"]
      },
      "application/x-silverlight-app": {
        source: "apache",
        extensions: ["xap"]
      },
      "application/x-sql": {
        source: "apache",
        extensions: ["sql"]
      },
      "application/x-stuffit": {
        source: "apache",
        compressible: false,
        extensions: ["sit"]
      },
      "application/x-stuffitx": {
        source: "apache",
        extensions: ["sitx"]
      },
      "application/x-subrip": {
        source: "apache",
        extensions: ["srt"]
      },
      "application/x-sv4cpio": {
        source: "apache",
        extensions: ["sv4cpio"]
      },
      "application/x-sv4crc": {
        source: "apache",
        extensions: ["sv4crc"]
      },
      "application/x-t3vm-image": {
        source: "apache",
        extensions: ["t3"]
      },
      "application/x-tads": {
        source: "apache",
        extensions: ["gam"]
      },
      "application/x-tar": {
        source: "apache",
        compressible: true,
        extensions: ["tar"]
      },
      "application/x-tcl": {
        source: "apache",
        extensions: ["tcl", "tk"]
      },
      "application/x-tex": {
        source: "apache",
        extensions: ["tex"]
      },
      "application/x-tex-tfm": {
        source: "apache",
        extensions: ["tfm"]
      },
      "application/x-texinfo": {
        source: "apache",
        extensions: ["texinfo", "texi"]
      },
      "application/x-tgif": {
        source: "apache",
        extensions: ["obj"]
      },
      "application/x-ustar": {
        source: "apache",
        extensions: ["ustar"]
      },
      "application/x-virtualbox-hdd": {
        compressible: true,
        extensions: ["hdd"]
      },
      "application/x-virtualbox-ova": {
        compressible: true,
        extensions: ["ova"]
      },
      "application/x-virtualbox-ovf": {
        compressible: true,
        extensions: ["ovf"]
      },
      "application/x-virtualbox-vbox": {
        compressible: true,
        extensions: ["vbox"]
      },
      "application/x-virtualbox-vbox-extpack": {
        compressible: false,
        extensions: ["vbox-extpack"]
      },
      "application/x-virtualbox-vdi": {
        compressible: true,
        extensions: ["vdi"]
      },
      "application/x-virtualbox-vhd": {
        compressible: true,
        extensions: ["vhd"]
      },
      "application/x-virtualbox-vmdk": {
        compressible: true,
        extensions: ["vmdk"]
      },
      "application/x-wais-source": {
        source: "apache",
        extensions: ["src"]
      },
      "application/x-web-app-manifest+json": {
        compressible: true,
        extensions: ["webapp"]
      },
      "application/x-www-form-urlencoded": {
        source: "iana",
        compressible: true
      },
      "application/x-x509-ca-cert": {
        source: "iana",
        extensions: ["der", "crt", "pem"]
      },
      "application/x-x509-ca-ra-cert": {
        source: "iana"
      },
      "application/x-x509-next-ca-cert": {
        source: "iana"
      },
      "application/x-xfig": {
        source: "apache",
        extensions: ["fig"]
      },
      "application/x-xliff+xml": {
        source: "apache",
        compressible: true,
        extensions: ["xlf"]
      },
      "application/x-xpinstall": {
        source: "apache",
        compressible: false,
        extensions: ["xpi"]
      },
      "application/x-xz": {
        source: "apache",
        extensions: ["xz"]
      },
      "application/x-zmachine": {
        source: "apache",
        extensions: ["z1", "z2", "z3", "z4", "z5", "z6", "z7", "z8"]
      },
      "application/x400-bp": {
        source: "iana"
      },
      "application/xacml+xml": {
        source: "iana",
        compressible: true
      },
      "application/xaml+xml": {
        source: "apache",
        compressible: true,
        extensions: ["xaml"]
      },
      "application/xcap-att+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xav"]
      },
      "application/xcap-caps+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xca"]
      },
      "application/xcap-diff+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xdf"]
      },
      "application/xcap-el+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xel"]
      },
      "application/xcap-error+xml": {
        source: "iana",
        compressible: true
      },
      "application/xcap-ns+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xns"]
      },
      "application/xcon-conference-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/xcon-conference-info-diff+xml": {
        source: "iana",
        compressible: true
      },
      "application/xenc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xenc"]
      },
      "application/xhtml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xhtml", "xht"]
      },
      "application/xhtml-voice+xml": {
        source: "apache",
        compressible: true
      },
      "application/xliff+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xlf"]
      },
      "application/xml": {
        source: "iana",
        compressible: true,
        extensions: ["xml", "xsl", "xsd", "rng"]
      },
      "application/xml-dtd": {
        source: "iana",
        compressible: true,
        extensions: ["dtd"]
      },
      "application/xml-external-parsed-entity": {
        source: "iana"
      },
      "application/xml-patch+xml": {
        source: "iana",
        compressible: true
      },
      "application/xmpp+xml": {
        source: "iana",
        compressible: true
      },
      "application/xop+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xop"]
      },
      "application/xproc+xml": {
        source: "apache",
        compressible: true,
        extensions: ["xpl"]
      },
      "application/xslt+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xsl", "xslt"]
      },
      "application/xspf+xml": {
        source: "apache",
        compressible: true,
        extensions: ["xspf"]
      },
      "application/xv+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mxml", "xhvml", "xvml", "xvm"]
      },
      "application/yang": {
        source: "iana",
        extensions: ["yang"]
      },
      "application/yang-data+json": {
        source: "iana",
        compressible: true
      },
      "application/yang-data+xml": {
        source: "iana",
        compressible: true
      },
      "application/yang-patch+json": {
        source: "iana",
        compressible: true
      },
      "application/yang-patch+xml": {
        source: "iana",
        compressible: true
      },
      "application/yin+xml": {
        source: "iana",
        compressible: true,
        extensions: ["yin"]
      },
      "application/zip": {
        source: "iana",
        compressible: false,
        extensions: ["zip"]
      },
      "application/zlib": {
        source: "iana"
      },
      "application/zstd": {
        source: "iana"
      },
      "audio/1d-interleaved-parityfec": {
        source: "iana"
      },
      "audio/32kadpcm": {
        source: "iana"
      },
      "audio/3gpp": {
        source: "iana",
        compressible: false,
        extensions: ["3gpp"]
      },
      "audio/3gpp2": {
        source: "iana"
      },
      "audio/aac": {
        source: "iana"
      },
      "audio/ac3": {
        source: "iana"
      },
      "audio/adpcm": {
        source: "apache",
        extensions: ["adp"]
      },
      "audio/amr": {
        source: "iana",
        extensions: ["amr"]
      },
      "audio/amr-wb": {
        source: "iana"
      },
      "audio/amr-wb+": {
        source: "iana"
      },
      "audio/aptx": {
        source: "iana"
      },
      "audio/asc": {
        source: "iana"
      },
      "audio/atrac-advanced-lossless": {
        source: "iana"
      },
      "audio/atrac-x": {
        source: "iana"
      },
      "audio/atrac3": {
        source: "iana"
      },
      "audio/basic": {
        source: "iana",
        compressible: false,
        extensions: ["au", "snd"]
      },
      "audio/bv16": {
        source: "iana"
      },
      "audio/bv32": {
        source: "iana"
      },
      "audio/clearmode": {
        source: "iana"
      },
      "audio/cn": {
        source: "iana"
      },
      "audio/dat12": {
        source: "iana"
      },
      "audio/dls": {
        source: "iana"
      },
      "audio/dsr-es201108": {
        source: "iana"
      },
      "audio/dsr-es202050": {
        source: "iana"
      },
      "audio/dsr-es202211": {
        source: "iana"
      },
      "audio/dsr-es202212": {
        source: "iana"
      },
      "audio/dv": {
        source: "iana"
      },
      "audio/dvi4": {
        source: "iana"
      },
      "audio/eac3": {
        source: "iana"
      },
      "audio/encaprtp": {
        source: "iana"
      },
      "audio/evrc": {
        source: "iana"
      },
      "audio/evrc-qcp": {
        source: "iana"
      },
      "audio/evrc0": {
        source: "iana"
      },
      "audio/evrc1": {
        source: "iana"
      },
      "audio/evrcb": {
        source: "iana"
      },
      "audio/evrcb0": {
        source: "iana"
      },
      "audio/evrcb1": {
        source: "iana"
      },
      "audio/evrcnw": {
        source: "iana"
      },
      "audio/evrcnw0": {
        source: "iana"
      },
      "audio/evrcnw1": {
        source: "iana"
      },
      "audio/evrcwb": {
        source: "iana"
      },
      "audio/evrcwb0": {
        source: "iana"
      },
      "audio/evrcwb1": {
        source: "iana"
      },
      "audio/evs": {
        source: "iana"
      },
      "audio/flexfec": {
        source: "iana"
      },
      "audio/fwdred": {
        source: "iana"
      },
      "audio/g711-0": {
        source: "iana"
      },
      "audio/g719": {
        source: "iana"
      },
      "audio/g722": {
        source: "iana"
      },
      "audio/g7221": {
        source: "iana"
      },
      "audio/g723": {
        source: "iana"
      },
      "audio/g726-16": {
        source: "iana"
      },
      "audio/g726-24": {
        source: "iana"
      },
      "audio/g726-32": {
        source: "iana"
      },
      "audio/g726-40": {
        source: "iana"
      },
      "audio/g728": {
        source: "iana"
      },
      "audio/g729": {
        source: "iana"
      },
      "audio/g7291": {
        source: "iana"
      },
      "audio/g729d": {
        source: "iana"
      },
      "audio/g729e": {
        source: "iana"
      },
      "audio/gsm": {
        source: "iana"
      },
      "audio/gsm-efr": {
        source: "iana"
      },
      "audio/gsm-hr-08": {
        source: "iana"
      },
      "audio/ilbc": {
        source: "iana"
      },
      "audio/ip-mr_v2.5": {
        source: "iana"
      },
      "audio/isac": {
        source: "apache"
      },
      "audio/l16": {
        source: "iana"
      },
      "audio/l20": {
        source: "iana"
      },
      "audio/l24": {
        source: "iana",
        compressible: false
      },
      "audio/l8": {
        source: "iana"
      },
      "audio/lpc": {
        source: "iana"
      },
      "audio/melp": {
        source: "iana"
      },
      "audio/melp1200": {
        source: "iana"
      },
      "audio/melp2400": {
        source: "iana"
      },
      "audio/melp600": {
        source: "iana"
      },
      "audio/mhas": {
        source: "iana"
      },
      "audio/midi": {
        source: "apache",
        extensions: ["mid", "midi", "kar", "rmi"]
      },
      "audio/mobile-xmf": {
        source: "iana",
        extensions: ["mxmf"]
      },
      "audio/mp3": {
        compressible: false,
        extensions: ["mp3"]
      },
      "audio/mp4": {
        source: "iana",
        compressible: false,
        extensions: ["m4a", "mp4a"]
      },
      "audio/mp4a-latm": {
        source: "iana"
      },
      "audio/mpa": {
        source: "iana"
      },
      "audio/mpa-robust": {
        source: "iana"
      },
      "audio/mpeg": {
        source: "iana",
        compressible: false,
        extensions: ["mpga", "mp2", "mp2a", "mp3", "m2a", "m3a"]
      },
      "audio/mpeg4-generic": {
        source: "iana"
      },
      "audio/musepack": {
        source: "apache"
      },
      "audio/ogg": {
        source: "iana",
        compressible: false,
        extensions: ["oga", "ogg", "spx", "opus"]
      },
      "audio/opus": {
        source: "iana"
      },
      "audio/parityfec": {
        source: "iana"
      },
      "audio/pcma": {
        source: "iana"
      },
      "audio/pcma-wb": {
        source: "iana"
      },
      "audio/pcmu": {
        source: "iana"
      },
      "audio/pcmu-wb": {
        source: "iana"
      },
      "audio/prs.sid": {
        source: "iana"
      },
      "audio/qcelp": {
        source: "iana"
      },
      "audio/raptorfec": {
        source: "iana"
      },
      "audio/red": {
        source: "iana"
      },
      "audio/rtp-enc-aescm128": {
        source: "iana"
      },
      "audio/rtp-midi": {
        source: "iana"
      },
      "audio/rtploopback": {
        source: "iana"
      },
      "audio/rtx": {
        source: "iana"
      },
      "audio/s3m": {
        source: "apache",
        extensions: ["s3m"]
      },
      "audio/scip": {
        source: "iana"
      },
      "audio/silk": {
        source: "apache",
        extensions: ["sil"]
      },
      "audio/smv": {
        source: "iana"
      },
      "audio/smv-qcp": {
        source: "iana"
      },
      "audio/smv0": {
        source: "iana"
      },
      "audio/sofa": {
        source: "iana"
      },
      "audio/sp-midi": {
        source: "iana"
      },
      "audio/speex": {
        source: "iana"
      },
      "audio/t140c": {
        source: "iana"
      },
      "audio/t38": {
        source: "iana"
      },
      "audio/telephone-event": {
        source: "iana"
      },
      "audio/tetra_acelp": {
        source: "iana"
      },
      "audio/tetra_acelp_bb": {
        source: "iana"
      },
      "audio/tone": {
        source: "iana"
      },
      "audio/tsvcis": {
        source: "iana"
      },
      "audio/uemclip": {
        source: "iana"
      },
      "audio/ulpfec": {
        source: "iana"
      },
      "audio/usac": {
        source: "iana"
      },
      "audio/vdvi": {
        source: "iana"
      },
      "audio/vmr-wb": {
        source: "iana"
      },
      "audio/vnd.3gpp.iufp": {
        source: "iana"
      },
      "audio/vnd.4sb": {
        source: "iana"
      },
      "audio/vnd.audiokoz": {
        source: "iana"
      },
      "audio/vnd.celp": {
        source: "iana"
      },
      "audio/vnd.cisco.nse": {
        source: "iana"
      },
      "audio/vnd.cmles.radio-events": {
        source: "iana"
      },
      "audio/vnd.cns.anp1": {
        source: "iana"
      },
      "audio/vnd.cns.inf1": {
        source: "iana"
      },
      "audio/vnd.dece.audio": {
        source: "iana",
        extensions: ["uva", "uvva"]
      },
      "audio/vnd.digital-winds": {
        source: "iana",
        extensions: ["eol"]
      },
      "audio/vnd.dlna.adts": {
        source: "iana"
      },
      "audio/vnd.dolby.heaac.1": {
        source: "iana"
      },
      "audio/vnd.dolby.heaac.2": {
        source: "iana"
      },
      "audio/vnd.dolby.mlp": {
        source: "iana"
      },
      "audio/vnd.dolby.mps": {
        source: "iana"
      },
      "audio/vnd.dolby.pl2": {
        source: "iana"
      },
      "audio/vnd.dolby.pl2x": {
        source: "iana"
      },
      "audio/vnd.dolby.pl2z": {
        source: "iana"
      },
      "audio/vnd.dolby.pulse.1": {
        source: "iana"
      },
      "audio/vnd.dra": {
        source: "iana",
        extensions: ["dra"]
      },
      "audio/vnd.dts": {
        source: "iana",
        extensions: ["dts"]
      },
      "audio/vnd.dts.hd": {
        source: "iana",
        extensions: ["dtshd"]
      },
      "audio/vnd.dts.uhd": {
        source: "iana"
      },
      "audio/vnd.dvb.file": {
        source: "iana"
      },
      "audio/vnd.everad.plj": {
        source: "iana"
      },
      "audio/vnd.hns.audio": {
        source: "iana"
      },
      "audio/vnd.lucent.voice": {
        source: "iana",
        extensions: ["lvp"]
      },
      "audio/vnd.ms-playready.media.pya": {
        source: "iana",
        extensions: ["pya"]
      },
      "audio/vnd.nokia.mobile-xmf": {
        source: "iana"
      },
      "audio/vnd.nortel.vbk": {
        source: "iana"
      },
      "audio/vnd.nuera.ecelp4800": {
        source: "iana",
        extensions: ["ecelp4800"]
      },
      "audio/vnd.nuera.ecelp7470": {
        source: "iana",
        extensions: ["ecelp7470"]
      },
      "audio/vnd.nuera.ecelp9600": {
        source: "iana",
        extensions: ["ecelp9600"]
      },
      "audio/vnd.octel.sbc": {
        source: "iana"
      },
      "audio/vnd.presonus.multitrack": {
        source: "iana"
      },
      "audio/vnd.qcelp": {
        source: "iana"
      },
      "audio/vnd.rhetorex.32kadpcm": {
        source: "iana"
      },
      "audio/vnd.rip": {
        source: "iana",
        extensions: ["rip"]
      },
      "audio/vnd.rn-realaudio": {
        compressible: false
      },
      "audio/vnd.sealedmedia.softseal.mpeg": {
        source: "iana"
      },
      "audio/vnd.vmx.cvsd": {
        source: "iana"
      },
      "audio/vnd.wave": {
        compressible: false
      },
      "audio/vorbis": {
        source: "iana",
        compressible: false
      },
      "audio/vorbis-config": {
        source: "iana"
      },
      "audio/wav": {
        compressible: false,
        extensions: ["wav"]
      },
      "audio/wave": {
        compressible: false,
        extensions: ["wav"]
      },
      "audio/webm": {
        source: "apache",
        compressible: false,
        extensions: ["weba"]
      },
      "audio/x-aac": {
        source: "apache",
        compressible: false,
        extensions: ["aac"]
      },
      "audio/x-aiff": {
        source: "apache",
        extensions: ["aif", "aiff", "aifc"]
      },
      "audio/x-caf": {
        source: "apache",
        compressible: false,
        extensions: ["caf"]
      },
      "audio/x-flac": {
        source: "apache",
        extensions: ["flac"]
      },
      "audio/x-m4a": {
        source: "nginx",
        extensions: ["m4a"]
      },
      "audio/x-matroska": {
        source: "apache",
        extensions: ["mka"]
      },
      "audio/x-mpegurl": {
        source: "apache",
        extensions: ["m3u"]
      },
      "audio/x-ms-wax": {
        source: "apache",
        extensions: ["wax"]
      },
      "audio/x-ms-wma": {
        source: "apache",
        extensions: ["wma"]
      },
      "audio/x-pn-realaudio": {
        source: "apache",
        extensions: ["ram", "ra"]
      },
      "audio/x-pn-realaudio-plugin": {
        source: "apache",
        extensions: ["rmp"]
      },
      "audio/x-realaudio": {
        source: "nginx",
        extensions: ["ra"]
      },
      "audio/x-tta": {
        source: "apache"
      },
      "audio/x-wav": {
        source: "apache",
        extensions: ["wav"]
      },
      "audio/xm": {
        source: "apache",
        extensions: ["xm"]
      },
      "chemical/x-cdx": {
        source: "apache",
        extensions: ["cdx"]
      },
      "chemical/x-cif": {
        source: "apache",
        extensions: ["cif"]
      },
      "chemical/x-cmdf": {
        source: "apache",
        extensions: ["cmdf"]
      },
      "chemical/x-cml": {
        source: "apache",
        extensions: ["cml"]
      },
      "chemical/x-csml": {
        source: "apache",
        extensions: ["csml"]
      },
      "chemical/x-pdb": {
        source: "apache"
      },
      "chemical/x-xyz": {
        source: "apache",
        extensions: ["xyz"]
      },
      "font/collection": {
        source: "iana",
        extensions: ["ttc"]
      },
      "font/otf": {
        source: "iana",
        compressible: true,
        extensions: ["otf"]
      },
      "font/sfnt": {
        source: "iana"
      },
      "font/ttf": {
        source: "iana",
        compressible: true,
        extensions: ["ttf"]
      },
      "font/woff": {
        source: "iana",
        extensions: ["woff"]
      },
      "font/woff2": {
        source: "iana",
        extensions: ["woff2"]
      },
      "image/aces": {
        source: "iana",
        extensions: ["exr"]
      },
      "image/apng": {
        compressible: false,
        extensions: ["apng"]
      },
      "image/avci": {
        source: "iana",
        extensions: ["avci"]
      },
      "image/avcs": {
        source: "iana",
        extensions: ["avcs"]
      },
      "image/avif": {
        source: "iana",
        compressible: false,
        extensions: ["avif"]
      },
      "image/bmp": {
        source: "iana",
        compressible: true,
        extensions: ["bmp"]
      },
      "image/cgm": {
        source: "iana",
        extensions: ["cgm"]
      },
      "image/dicom-rle": {
        source: "iana",
        extensions: ["drle"]
      },
      "image/emf": {
        source: "iana",
        extensions: ["emf"]
      },
      "image/fits": {
        source: "iana",
        extensions: ["fits"]
      },
      "image/g3fax": {
        source: "iana",
        extensions: ["g3"]
      },
      "image/gif": {
        source: "iana",
        compressible: false,
        extensions: ["gif"]
      },
      "image/heic": {
        source: "iana",
        extensions: ["heic"]
      },
      "image/heic-sequence": {
        source: "iana",
        extensions: ["heics"]
      },
      "image/heif": {
        source: "iana",
        extensions: ["heif"]
      },
      "image/heif-sequence": {
        source: "iana",
        extensions: ["heifs"]
      },
      "image/hej2k": {
        source: "iana",
        extensions: ["hej2"]
      },
      "image/hsj2": {
        source: "iana",
        extensions: ["hsj2"]
      },
      "image/ief": {
        source: "iana",
        extensions: ["ief"]
      },
      "image/jls": {
        source: "iana",
        extensions: ["jls"]
      },
      "image/jp2": {
        source: "iana",
        compressible: false,
        extensions: ["jp2", "jpg2"]
      },
      "image/jpeg": {
        source: "iana",
        compressible: false,
        extensions: ["jpeg", "jpg", "jpe"]
      },
      "image/jph": {
        source: "iana",
        extensions: ["jph"]
      },
      "image/jphc": {
        source: "iana",
        extensions: ["jhc"]
      },
      "image/jpm": {
        source: "iana",
        compressible: false,
        extensions: ["jpm"]
      },
      "image/jpx": {
        source: "iana",
        compressible: false,
        extensions: ["jpx", "jpf"]
      },
      "image/jxr": {
        source: "iana",
        extensions: ["jxr"]
      },
      "image/jxra": {
        source: "iana",
        extensions: ["jxra"]
      },
      "image/jxrs": {
        source: "iana",
        extensions: ["jxrs"]
      },
      "image/jxs": {
        source: "iana",
        extensions: ["jxs"]
      },
      "image/jxsc": {
        source: "iana",
        extensions: ["jxsc"]
      },
      "image/jxsi": {
        source: "iana",
        extensions: ["jxsi"]
      },
      "image/jxss": {
        source: "iana",
        extensions: ["jxss"]
      },
      "image/ktx": {
        source: "iana",
        extensions: ["ktx"]
      },
      "image/ktx2": {
        source: "iana",
        extensions: ["ktx2"]
      },
      "image/naplps": {
        source: "iana"
      },
      "image/pjpeg": {
        compressible: false
      },
      "image/png": {
        source: "iana",
        compressible: false,
        extensions: ["png"]
      },
      "image/prs.btif": {
        source: "iana",
        extensions: ["btif"]
      },
      "image/prs.pti": {
        source: "iana",
        extensions: ["pti"]
      },
      "image/pwg-raster": {
        source: "iana"
      },
      "image/sgi": {
        source: "apache",
        extensions: ["sgi"]
      },
      "image/svg+xml": {
        source: "iana",
        compressible: true,
        extensions: ["svg", "svgz"]
      },
      "image/t38": {
        source: "iana",
        extensions: ["t38"]
      },
      "image/tiff": {
        source: "iana",
        compressible: false,
        extensions: ["tif", "tiff"]
      },
      "image/tiff-fx": {
        source: "iana",
        extensions: ["tfx"]
      },
      "image/vnd.adobe.photoshop": {
        source: "iana",
        compressible: true,
        extensions: ["psd"]
      },
      "image/vnd.airzip.accelerator.azv": {
        source: "iana",
        extensions: ["azv"]
      },
      "image/vnd.cns.inf2": {
        source: "iana"
      },
      "image/vnd.dece.graphic": {
        source: "iana",
        extensions: ["uvi", "uvvi", "uvg", "uvvg"]
      },
      "image/vnd.djvu": {
        source: "iana",
        extensions: ["djvu", "djv"]
      },
      "image/vnd.dvb.subtitle": {
        source: "iana",
        extensions: ["sub"]
      },
      "image/vnd.dwg": {
        source: "iana",
        extensions: ["dwg"]
      },
      "image/vnd.dxf": {
        source: "iana",
        extensions: ["dxf"]
      },
      "image/vnd.fastbidsheet": {
        source: "iana",
        extensions: ["fbs"]
      },
      "image/vnd.fpx": {
        source: "iana",
        extensions: ["fpx"]
      },
      "image/vnd.fst": {
        source: "iana",
        extensions: ["fst"]
      },
      "image/vnd.fujixerox.edmics-mmr": {
        source: "iana",
        extensions: ["mmr"]
      },
      "image/vnd.fujixerox.edmics-rlc": {
        source: "iana",
        extensions: ["rlc"]
      },
      "image/vnd.globalgraphics.pgb": {
        source: "iana"
      },
      "image/vnd.microsoft.icon": {
        source: "iana",
        compressible: true,
        extensions: ["ico"]
      },
      "image/vnd.mix": {
        source: "iana"
      },
      "image/vnd.mozilla.apng": {
        source: "iana"
      },
      "image/vnd.ms-dds": {
        compressible: true,
        extensions: ["dds"]
      },
      "image/vnd.ms-modi": {
        source: "iana",
        extensions: ["mdi"]
      },
      "image/vnd.ms-photo": {
        source: "apache",
        extensions: ["wdp"]
      },
      "image/vnd.net-fpx": {
        source: "iana",
        extensions: ["npx"]
      },
      "image/vnd.pco.b16": {
        source: "iana",
        extensions: ["b16"]
      },
      "image/vnd.radiance": {
        source: "iana"
      },
      "image/vnd.sealed.png": {
        source: "iana"
      },
      "image/vnd.sealedmedia.softseal.gif": {
        source: "iana"
      },
      "image/vnd.sealedmedia.softseal.jpg": {
        source: "iana"
      },
      "image/vnd.svf": {
        source: "iana"
      },
      "image/vnd.tencent.tap": {
        source: "iana",
        extensions: ["tap"]
      },
      "image/vnd.valve.source.texture": {
        source: "iana",
        extensions: ["vtf"]
      },
      "image/vnd.wap.wbmp": {
        source: "iana",
        extensions: ["wbmp"]
      },
      "image/vnd.xiff": {
        source: "iana",
        extensions: ["xif"]
      },
      "image/vnd.zbrush.pcx": {
        source: "iana",
        extensions: ["pcx"]
      },
      "image/webp": {
        source: "apache",
        extensions: ["webp"]
      },
      "image/wmf": {
        source: "iana",
        extensions: ["wmf"]
      },
      "image/x-3ds": {
        source: "apache",
        extensions: ["3ds"]
      },
      "image/x-cmu-raster": {
        source: "apache",
        extensions: ["ras"]
      },
      "image/x-cmx": {
        source: "apache",
        extensions: ["cmx"]
      },
      "image/x-freehand": {
        source: "apache",
        extensions: ["fh", "fhc", "fh4", "fh5", "fh7"]
      },
      "image/x-icon": {
        source: "apache",
        compressible: true,
        extensions: ["ico"]
      },
      "image/x-jng": {
        source: "nginx",
        extensions: ["jng"]
      },
      "image/x-mrsid-image": {
        source: "apache",
        extensions: ["sid"]
      },
      "image/x-ms-bmp": {
        source: "nginx",
        compressible: true,
        extensions: ["bmp"]
      },
      "image/x-pcx": {
        source: "apache",
        extensions: ["pcx"]
      },
      "image/x-pict": {
        source: "apache",
        extensions: ["pic", "pct"]
      },
      "image/x-portable-anymap": {
        source: "apache",
        extensions: ["pnm"]
      },
      "image/x-portable-bitmap": {
        source: "apache",
        extensions: ["pbm"]
      },
      "image/x-portable-graymap": {
        source: "apache",
        extensions: ["pgm"]
      },
      "image/x-portable-pixmap": {
        source: "apache",
        extensions: ["ppm"]
      },
      "image/x-rgb": {
        source: "apache",
        extensions: ["rgb"]
      },
      "image/x-tga": {
        source: "apache",
        extensions: ["tga"]
      },
      "image/x-xbitmap": {
        source: "apache",
        extensions: ["xbm"]
      },
      "image/x-xcf": {
        compressible: false
      },
      "image/x-xpixmap": {
        source: "apache",
        extensions: ["xpm"]
      },
      "image/x-xwindowdump": {
        source: "apache",
        extensions: ["xwd"]
      },
      "message/cpim": {
        source: "iana"
      },
      "message/delivery-status": {
        source: "iana"
      },
      "message/disposition-notification": {
        source: "iana",
        extensions: [
          "disposition-notification"
        ]
      },
      "message/external-body": {
        source: "iana"
      },
      "message/feedback-report": {
        source: "iana"
      },
      "message/global": {
        source: "iana",
        extensions: ["u8msg"]
      },
      "message/global-delivery-status": {
        source: "iana",
        extensions: ["u8dsn"]
      },
      "message/global-disposition-notification": {
        source: "iana",
        extensions: ["u8mdn"]
      },
      "message/global-headers": {
        source: "iana",
        extensions: ["u8hdr"]
      },
      "message/http": {
        source: "iana",
        compressible: false
      },
      "message/imdn+xml": {
        source: "iana",
        compressible: true
      },
      "message/news": {
        source: "iana"
      },
      "message/partial": {
        source: "iana",
        compressible: false
      },
      "message/rfc822": {
        source: "iana",
        compressible: true,
        extensions: ["eml", "mime"]
      },
      "message/s-http": {
        source: "iana"
      },
      "message/sip": {
        source: "iana"
      },
      "message/sipfrag": {
        source: "iana"
      },
      "message/tracking-status": {
        source: "iana"
      },
      "message/vnd.si.simp": {
        source: "iana"
      },
      "message/vnd.wfa.wsc": {
        source: "iana",
        extensions: ["wsc"]
      },
      "model/3mf": {
        source: "iana",
        extensions: ["3mf"]
      },
      "model/e57": {
        source: "iana"
      },
      "model/gltf+json": {
        source: "iana",
        compressible: true,
        extensions: ["gltf"]
      },
      "model/gltf-binary": {
        source: "iana",
        compressible: true,
        extensions: ["glb"]
      },
      "model/iges": {
        source: "iana",
        compressible: false,
        extensions: ["igs", "iges"]
      },
      "model/mesh": {
        source: "iana",
        compressible: false,
        extensions: ["msh", "mesh", "silo"]
      },
      "model/mtl": {
        source: "iana",
        extensions: ["mtl"]
      },
      "model/obj": {
        source: "iana",
        extensions: ["obj"]
      },
      "model/step": {
        source: "iana"
      },
      "model/step+xml": {
        source: "iana",
        compressible: true,
        extensions: ["stpx"]
      },
      "model/step+zip": {
        source: "iana",
        compressible: false,
        extensions: ["stpz"]
      },
      "model/step-xml+zip": {
        source: "iana",
        compressible: false,
        extensions: ["stpxz"]
      },
      "model/stl": {
        source: "iana",
        extensions: ["stl"]
      },
      "model/vnd.collada+xml": {
        source: "iana",
        compressible: true,
        extensions: ["dae"]
      },
      "model/vnd.dwf": {
        source: "iana",
        extensions: ["dwf"]
      },
      "model/vnd.flatland.3dml": {
        source: "iana"
      },
      "model/vnd.gdl": {
        source: "iana",
        extensions: ["gdl"]
      },
      "model/vnd.gs-gdl": {
        source: "apache"
      },
      "model/vnd.gs.gdl": {
        source: "iana"
      },
      "model/vnd.gtw": {
        source: "iana",
        extensions: ["gtw"]
      },
      "model/vnd.moml+xml": {
        source: "iana",
        compressible: true
      },
      "model/vnd.mts": {
        source: "iana",
        extensions: ["mts"]
      },
      "model/vnd.opengex": {
        source: "iana",
        extensions: ["ogex"]
      },
      "model/vnd.parasolid.transmit.binary": {
        source: "iana",
        extensions: ["x_b"]
      },
      "model/vnd.parasolid.transmit.text": {
        source: "iana",
        extensions: ["x_t"]
      },
      "model/vnd.pytha.pyox": {
        source: "iana"
      },
      "model/vnd.rosette.annotated-data-model": {
        source: "iana"
      },
      "model/vnd.sap.vds": {
        source: "iana",
        extensions: ["vds"]
      },
      "model/vnd.usdz+zip": {
        source: "iana",
        compressible: false,
        extensions: ["usdz"]
      },
      "model/vnd.valve.source.compiled-map": {
        source: "iana",
        extensions: ["bsp"]
      },
      "model/vnd.vtu": {
        source: "iana",
        extensions: ["vtu"]
      },
      "model/vrml": {
        source: "iana",
        compressible: false,
        extensions: ["wrl", "vrml"]
      },
      "model/x3d+binary": {
        source: "apache",
        compressible: false,
        extensions: ["x3db", "x3dbz"]
      },
      "model/x3d+fastinfoset": {
        source: "iana",
        extensions: ["x3db"]
      },
      "model/x3d+vrml": {
        source: "apache",
        compressible: false,
        extensions: ["x3dv", "x3dvz"]
      },
      "model/x3d+xml": {
        source: "iana",
        compressible: true,
        extensions: ["x3d", "x3dz"]
      },
      "model/x3d-vrml": {
        source: "iana",
        extensions: ["x3dv"]
      },
      "multipart/alternative": {
        source: "iana",
        compressible: false
      },
      "multipart/appledouble": {
        source: "iana"
      },
      "multipart/byteranges": {
        source: "iana"
      },
      "multipart/digest": {
        source: "iana"
      },
      "multipart/encrypted": {
        source: "iana",
        compressible: false
      },
      "multipart/form-data": {
        source: "iana",
        compressible: false
      },
      "multipart/header-set": {
        source: "iana"
      },
      "multipart/mixed": {
        source: "iana"
      },
      "multipart/multilingual": {
        source: "iana"
      },
      "multipart/parallel": {
        source: "iana"
      },
      "multipart/related": {
        source: "iana",
        compressible: false
      },
      "multipart/report": {
        source: "iana"
      },
      "multipart/signed": {
        source: "iana",
        compressible: false
      },
      "multipart/vnd.bint.med-plus": {
        source: "iana"
      },
      "multipart/voice-message": {
        source: "iana"
      },
      "multipart/x-mixed-replace": {
        source: "iana"
      },
      "text/1d-interleaved-parityfec": {
        source: "iana"
      },
      "text/cache-manifest": {
        source: "iana",
        compressible: true,
        extensions: ["appcache", "manifest"]
      },
      "text/calendar": {
        source: "iana",
        extensions: ["ics", "ifb"]
      },
      "text/calender": {
        compressible: true
      },
      "text/cmd": {
        compressible: true
      },
      "text/coffeescript": {
        extensions: ["coffee", "litcoffee"]
      },
      "text/cql": {
        source: "iana"
      },
      "text/cql-expression": {
        source: "iana"
      },
      "text/cql-identifier": {
        source: "iana"
      },
      "text/css": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["css"]
      },
      "text/csv": {
        source: "iana",
        compressible: true,
        extensions: ["csv"]
      },
      "text/csv-schema": {
        source: "iana"
      },
      "text/directory": {
        source: "iana"
      },
      "text/dns": {
        source: "iana"
      },
      "text/ecmascript": {
        source: "iana"
      },
      "text/encaprtp": {
        source: "iana"
      },
      "text/enriched": {
        source: "iana"
      },
      "text/fhirpath": {
        source: "iana"
      },
      "text/flexfec": {
        source: "iana"
      },
      "text/fwdred": {
        source: "iana"
      },
      "text/gff3": {
        source: "iana"
      },
      "text/grammar-ref-list": {
        source: "iana"
      },
      "text/html": {
        source: "iana",
        compressible: true,
        extensions: ["html", "htm", "shtml"]
      },
      "text/jade": {
        extensions: ["jade"]
      },
      "text/javascript": {
        source: "iana",
        compressible: true
      },
      "text/jcr-cnd": {
        source: "iana"
      },
      "text/jsx": {
        compressible: true,
        extensions: ["jsx"]
      },
      "text/less": {
        compressible: true,
        extensions: ["less"]
      },
      "text/markdown": {
        source: "iana",
        compressible: true,
        extensions: ["markdown", "md"]
      },
      "text/mathml": {
        source: "nginx",
        extensions: ["mml"]
      },
      "text/mdx": {
        compressible: true,
        extensions: ["mdx"]
      },
      "text/mizar": {
        source: "iana"
      },
      "text/n3": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["n3"]
      },
      "text/parameters": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/parityfec": {
        source: "iana"
      },
      "text/plain": {
        source: "iana",
        compressible: true,
        extensions: ["txt", "text", "conf", "def", "list", "log", "in", "ini"]
      },
      "text/provenance-notation": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/prs.fallenstein.rst": {
        source: "iana"
      },
      "text/prs.lines.tag": {
        source: "iana",
        extensions: ["dsc"]
      },
      "text/prs.prop.logic": {
        source: "iana"
      },
      "text/raptorfec": {
        source: "iana"
      },
      "text/red": {
        source: "iana"
      },
      "text/rfc822-headers": {
        source: "iana"
      },
      "text/richtext": {
        source: "iana",
        compressible: true,
        extensions: ["rtx"]
      },
      "text/rtf": {
        source: "iana",
        compressible: true,
        extensions: ["rtf"]
      },
      "text/rtp-enc-aescm128": {
        source: "iana"
      },
      "text/rtploopback": {
        source: "iana"
      },
      "text/rtx": {
        source: "iana"
      },
      "text/sgml": {
        source: "iana",
        extensions: ["sgml", "sgm"]
      },
      "text/shaclc": {
        source: "iana"
      },
      "text/shex": {
        source: "iana",
        extensions: ["shex"]
      },
      "text/slim": {
        extensions: ["slim", "slm"]
      },
      "text/spdx": {
        source: "iana",
        extensions: ["spdx"]
      },
      "text/strings": {
        source: "iana"
      },
      "text/stylus": {
        extensions: ["stylus", "styl"]
      },
      "text/t140": {
        source: "iana"
      },
      "text/tab-separated-values": {
        source: "iana",
        compressible: true,
        extensions: ["tsv"]
      },
      "text/troff": {
        source: "iana",
        extensions: ["t", "tr", "roff", "man", "me", "ms"]
      },
      "text/turtle": {
        source: "iana",
        charset: "UTF-8",
        extensions: ["ttl"]
      },
      "text/ulpfec": {
        source: "iana"
      },
      "text/uri-list": {
        source: "iana",
        compressible: true,
        extensions: ["uri", "uris", "urls"]
      },
      "text/vcard": {
        source: "iana",
        compressible: true,
        extensions: ["vcard"]
      },
      "text/vnd.a": {
        source: "iana"
      },
      "text/vnd.abc": {
        source: "iana"
      },
      "text/vnd.ascii-art": {
        source: "iana"
      },
      "text/vnd.curl": {
        source: "iana",
        extensions: ["curl"]
      },
      "text/vnd.curl.dcurl": {
        source: "apache",
        extensions: ["dcurl"]
      },
      "text/vnd.curl.mcurl": {
        source: "apache",
        extensions: ["mcurl"]
      },
      "text/vnd.curl.scurl": {
        source: "apache",
        extensions: ["scurl"]
      },
      "text/vnd.debian.copyright": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/vnd.dmclientscript": {
        source: "iana"
      },
      "text/vnd.dvb.subtitle": {
        source: "iana",
        extensions: ["sub"]
      },
      "text/vnd.esmertec.theme-descriptor": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/vnd.familysearch.gedcom": {
        source: "iana",
        extensions: ["ged"]
      },
      "text/vnd.ficlab.flt": {
        source: "iana"
      },
      "text/vnd.fly": {
        source: "iana",
        extensions: ["fly"]
      },
      "text/vnd.fmi.flexstor": {
        source: "iana",
        extensions: ["flx"]
      },
      "text/vnd.gml": {
        source: "iana"
      },
      "text/vnd.graphviz": {
        source: "iana",
        extensions: ["gv"]
      },
      "text/vnd.hans": {
        source: "iana"
      },
      "text/vnd.hgl": {
        source: "iana"
      },
      "text/vnd.in3d.3dml": {
        source: "iana",
        extensions: ["3dml"]
      },
      "text/vnd.in3d.spot": {
        source: "iana",
        extensions: ["spot"]
      },
      "text/vnd.iptc.newsml": {
        source: "iana"
      },
      "text/vnd.iptc.nitf": {
        source: "iana"
      },
      "text/vnd.latex-z": {
        source: "iana"
      },
      "text/vnd.motorola.reflex": {
        source: "iana"
      },
      "text/vnd.ms-mediapackage": {
        source: "iana"
      },
      "text/vnd.net2phone.commcenter.command": {
        source: "iana"
      },
      "text/vnd.radisys.msml-basic-layout": {
        source: "iana"
      },
      "text/vnd.senx.warpscript": {
        source: "iana"
      },
      "text/vnd.si.uricatalogue": {
        source: "iana"
      },
      "text/vnd.sosi": {
        source: "iana"
      },
      "text/vnd.sun.j2me.app-descriptor": {
        source: "iana",
        charset: "UTF-8",
        extensions: ["jad"]
      },
      "text/vnd.trolltech.linguist": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/vnd.wap.si": {
        source: "iana"
      },
      "text/vnd.wap.sl": {
        source: "iana"
      },
      "text/vnd.wap.wml": {
        source: "iana",
        extensions: ["wml"]
      },
      "text/vnd.wap.wmlscript": {
        source: "iana",
        extensions: ["wmls"]
      },
      "text/vtt": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["vtt"]
      },
      "text/x-asm": {
        source: "apache",
        extensions: ["s", "asm"]
      },
      "text/x-c": {
        source: "apache",
        extensions: ["c", "cc", "cxx", "cpp", "h", "hh", "dic"]
      },
      "text/x-component": {
        source: "nginx",
        extensions: ["htc"]
      },
      "text/x-fortran": {
        source: "apache",
        extensions: ["f", "for", "f77", "f90"]
      },
      "text/x-gwt-rpc": {
        compressible: true
      },
      "text/x-handlebars-template": {
        extensions: ["hbs"]
      },
      "text/x-java-source": {
        source: "apache",
        extensions: ["java"]
      },
      "text/x-jquery-tmpl": {
        compressible: true
      },
      "text/x-lua": {
        extensions: ["lua"]
      },
      "text/x-markdown": {
        compressible: true,
        extensions: ["mkd"]
      },
      "text/x-nfo": {
        source: "apache",
        extensions: ["nfo"]
      },
      "text/x-opml": {
        source: "apache",
        extensions: ["opml"]
      },
      "text/x-org": {
        compressible: true,
        extensions: ["org"]
      },
      "text/x-pascal": {
        source: "apache",
        extensions: ["p", "pas"]
      },
      "text/x-processing": {
        compressible: true,
        extensions: ["pde"]
      },
      "text/x-sass": {
        extensions: ["sass"]
      },
      "text/x-scss": {
        extensions: ["scss"]
      },
      "text/x-setext": {
        source: "apache",
        extensions: ["etx"]
      },
      "text/x-sfv": {
        source: "apache",
        extensions: ["sfv"]
      },
      "text/x-suse-ymp": {
        compressible: true,
        extensions: ["ymp"]
      },
      "text/x-uuencode": {
        source: "apache",
        extensions: ["uu"]
      },
      "text/x-vcalendar": {
        source: "apache",
        extensions: ["vcs"]
      },
      "text/x-vcard": {
        source: "apache",
        extensions: ["vcf"]
      },
      "text/xml": {
        source: "iana",
        compressible: true,
        extensions: ["xml"]
      },
      "text/xml-external-parsed-entity": {
        source: "iana"
      },
      "text/yaml": {
        compressible: true,
        extensions: ["yaml", "yml"]
      },
      "video/1d-interleaved-parityfec": {
        source: "iana"
      },
      "video/3gpp": {
        source: "iana",
        extensions: ["3gp", "3gpp"]
      },
      "video/3gpp-tt": {
        source: "iana"
      },
      "video/3gpp2": {
        source: "iana",
        extensions: ["3g2"]
      },
      "video/av1": {
        source: "iana"
      },
      "video/bmpeg": {
        source: "iana"
      },
      "video/bt656": {
        source: "iana"
      },
      "video/celb": {
        source: "iana"
      },
      "video/dv": {
        source: "iana"
      },
      "video/encaprtp": {
        source: "iana"
      },
      "video/ffv1": {
        source: "iana"
      },
      "video/flexfec": {
        source: "iana"
      },
      "video/h261": {
        source: "iana",
        extensions: ["h261"]
      },
      "video/h263": {
        source: "iana",
        extensions: ["h263"]
      },
      "video/h263-1998": {
        source: "iana"
      },
      "video/h263-2000": {
        source: "iana"
      },
      "video/h264": {
        source: "iana",
        extensions: ["h264"]
      },
      "video/h264-rcdo": {
        source: "iana"
      },
      "video/h264-svc": {
        source: "iana"
      },
      "video/h265": {
        source: "iana"
      },
      "video/iso.segment": {
        source: "iana",
        extensions: ["m4s"]
      },
      "video/jpeg": {
        source: "iana",
        extensions: ["jpgv"]
      },
      "video/jpeg2000": {
        source: "iana"
      },
      "video/jpm": {
        source: "apache",
        extensions: ["jpm", "jpgm"]
      },
      "video/jxsv": {
        source: "iana"
      },
      "video/mj2": {
        source: "iana",
        extensions: ["mj2", "mjp2"]
      },
      "video/mp1s": {
        source: "iana"
      },
      "video/mp2p": {
        source: "iana"
      },
      "video/mp2t": {
        source: "iana",
        extensions: ["ts"]
      },
      "video/mp4": {
        source: "iana",
        compressible: false,
        extensions: ["mp4", "mp4v", "mpg4"]
      },
      "video/mp4v-es": {
        source: "iana"
      },
      "video/mpeg": {
        source: "iana",
        compressible: false,
        extensions: ["mpeg", "mpg", "mpe", "m1v", "m2v"]
      },
      "video/mpeg4-generic": {
        source: "iana"
      },
      "video/mpv": {
        source: "iana"
      },
      "video/nv": {
        source: "iana"
      },
      "video/ogg": {
        source: "iana",
        compressible: false,
        extensions: ["ogv"]
      },
      "video/parityfec": {
        source: "iana"
      },
      "video/pointer": {
        source: "iana"
      },
      "video/quicktime": {
        source: "iana",
        compressible: false,
        extensions: ["qt", "mov"]
      },
      "video/raptorfec": {
        source: "iana"
      },
      "video/raw": {
        source: "iana"
      },
      "video/rtp-enc-aescm128": {
        source: "iana"
      },
      "video/rtploopback": {
        source: "iana"
      },
      "video/rtx": {
        source: "iana"
      },
      "video/scip": {
        source: "iana"
      },
      "video/smpte291": {
        source: "iana"
      },
      "video/smpte292m": {
        source: "iana"
      },
      "video/ulpfec": {
        source: "iana"
      },
      "video/vc1": {
        source: "iana"
      },
      "video/vc2": {
        source: "iana"
      },
      "video/vnd.cctv": {
        source: "iana"
      },
      "video/vnd.dece.hd": {
        source: "iana",
        extensions: ["uvh", "uvvh"]
      },
      "video/vnd.dece.mobile": {
        source: "iana",
        extensions: ["uvm", "uvvm"]
      },
      "video/vnd.dece.mp4": {
        source: "iana"
      },
      "video/vnd.dece.pd": {
        source: "iana",
        extensions: ["uvp", "uvvp"]
      },
      "video/vnd.dece.sd": {
        source: "iana",
        extensions: ["uvs", "uvvs"]
      },
      "video/vnd.dece.video": {
        source: "iana",
        extensions: ["uvv", "uvvv"]
      },
      "video/vnd.directv.mpeg": {
        source: "iana"
      },
      "video/vnd.directv.mpeg-tts": {
        source: "iana"
      },
      "video/vnd.dlna.mpeg-tts": {
        source: "iana"
      },
      "video/vnd.dvb.file": {
        source: "iana",
        extensions: ["dvb"]
      },
      "video/vnd.fvt": {
        source: "iana",
        extensions: ["fvt"]
      },
      "video/vnd.hns.video": {
        source: "iana"
      },
      "video/vnd.iptvforum.1dparityfec-1010": {
        source: "iana"
      },
      "video/vnd.iptvforum.1dparityfec-2005": {
        source: "iana"
      },
      "video/vnd.iptvforum.2dparityfec-1010": {
        source: "iana"
      },
      "video/vnd.iptvforum.2dparityfec-2005": {
        source: "iana"
      },
      "video/vnd.iptvforum.ttsavc": {
        source: "iana"
      },
      "video/vnd.iptvforum.ttsmpeg2": {
        source: "iana"
      },
      "video/vnd.motorola.video": {
        source: "iana"
      },
      "video/vnd.motorola.videop": {
        source: "iana"
      },
      "video/vnd.mpegurl": {
        source: "iana",
        extensions: ["mxu", "m4u"]
      },
      "video/vnd.ms-playready.media.pyv": {
        source: "iana",
        extensions: ["pyv"]
      },
      "video/vnd.nokia.interleaved-multimedia": {
        source: "iana"
      },
      "video/vnd.nokia.mp4vr": {
        source: "iana"
      },
      "video/vnd.nokia.videovoip": {
        source: "iana"
      },
      "video/vnd.objectvideo": {
        source: "iana"
      },
      "video/vnd.radgamettools.bink": {
        source: "iana"
      },
      "video/vnd.radgamettools.smacker": {
        source: "iana"
      },
      "video/vnd.sealed.mpeg1": {
        source: "iana"
      },
      "video/vnd.sealed.mpeg4": {
        source: "iana"
      },
      "video/vnd.sealed.swf": {
        source: "iana"
      },
      "video/vnd.sealedmedia.softseal.mov": {
        source: "iana"
      },
      "video/vnd.uvvu.mp4": {
        source: "iana",
        extensions: ["uvu", "uvvu"]
      },
      "video/vnd.vivo": {
        source: "iana",
        extensions: ["viv"]
      },
      "video/vnd.youtube.yt": {
        source: "iana"
      },
      "video/vp8": {
        source: "iana"
      },
      "video/vp9": {
        source: "iana"
      },
      "video/webm": {
        source: "apache",
        compressible: false,
        extensions: ["webm"]
      },
      "video/x-f4v": {
        source: "apache",
        extensions: ["f4v"]
      },
      "video/x-fli": {
        source: "apache",
        extensions: ["fli"]
      },
      "video/x-flv": {
        source: "apache",
        compressible: false,
        extensions: ["flv"]
      },
      "video/x-m4v": {
        source: "apache",
        extensions: ["m4v"]
      },
      "video/x-matroska": {
        source: "apache",
        compressible: false,
        extensions: ["mkv", "mk3d", "mks"]
      },
      "video/x-mng": {
        source: "apache",
        extensions: ["mng"]
      },
      "video/x-ms-asf": {
        source: "apache",
        extensions: ["asf", "asx"]
      },
      "video/x-ms-vob": {
        source: "apache",
        extensions: ["vob"]
      },
      "video/x-ms-wm": {
        source: "apache",
        extensions: ["wm"]
      },
      "video/x-ms-wmv": {
        source: "apache",
        compressible: false,
        extensions: ["wmv"]
      },
      "video/x-ms-wmx": {
        source: "apache",
        extensions: ["wmx"]
      },
      "video/x-ms-wvx": {
        source: "apache",
        extensions: ["wvx"]
      },
      "video/x-msvideo": {
        source: "apache",
        extensions: ["avi"]
      },
      "video/x-sgi-movie": {
        source: "apache",
        extensions: ["movie"]
      },
      "video/x-smv": {
        source: "apache",
        extensions: ["smv"]
      },
      "x-conference/x-cooltalk": {
        source: "apache",
        extensions: ["ice"]
      },
      "x-shader/x-fragment": {
        compressible: true
      },
      "x-shader/x-vertex": {
        compressible: true
      }
    };
  }
});

// ../../node_modules/.pnpm/mime-db@1.52.0/node_modules/mime-db/index.js
var require_mime_db = __commonJS({
  "../../node_modules/.pnpm/mime-db@1.52.0/node_modules/mime-db/index.js"(exports2, module2) {
    "use strict";
    module2.exports = require_db();
  }
});

// ../../node_modules/.pnpm/mime-types@2.1.35/node_modules/mime-types/index.js
var require_mime_types = __commonJS({
  "../../node_modules/.pnpm/mime-types@2.1.35/node_modules/mime-types/index.js"(exports2) {
    "use strict";
    var db = require_mime_db();
    var extname = require("path").extname;
    var EXTRACT_TYPE_REGEXP = /^\s*([^;\s]*)(?:;|\s|$)/;
    var TEXT_TYPE_REGEXP = /^text\//i;
    exports2.charset = charset;
    exports2.charsets = { lookup: charset };
    exports2.contentType = contentType;
    exports2.extension = extension;
    exports2.extensions = /* @__PURE__ */ Object.create(null);
    exports2.lookup = lookup;
    exports2.types = /* @__PURE__ */ Object.create(null);
    populateMaps(exports2.extensions, exports2.types);
    function charset(type) {
      if (!type || typeof type !== "string") {
        return false;
      }
      var match4 = EXTRACT_TYPE_REGEXP.exec(type);
      var mime = match4 && db[match4[1].toLowerCase()];
      if (mime && mime.charset) {
        return mime.charset;
      }
      if (match4 && TEXT_TYPE_REGEXP.test(match4[1])) {
        return "UTF-8";
      }
      return false;
    }
    function contentType(str) {
      if (!str || typeof str !== "string") {
        return false;
      }
      var mime = str.indexOf("/") === -1 ? exports2.lookup(str) : str;
      if (!mime) {
        return false;
      }
      if (mime.indexOf("charset") === -1) {
        var charset2 = exports2.charset(mime);
        if (charset2)
          mime += "; charset=" + charset2.toLowerCase();
      }
      return mime;
    }
    function extension(type) {
      if (!type || typeof type !== "string") {
        return false;
      }
      var match4 = EXTRACT_TYPE_REGEXP.exec(type);
      var exts = match4 && exports2.extensions[match4[1].toLowerCase()];
      if (!exts || !exts.length) {
        return false;
      }
      return exts[0];
    }
    function lookup(path39) {
      if (!path39 || typeof path39 !== "string") {
        return false;
      }
      var extension2 = extname("x." + path39).toLowerCase().substr(1);
      if (!extension2) {
        return false;
      }
      return exports2.types[extension2] || false;
    }
    function populateMaps(extensions, types) {
      var preference = ["nginx", "apache", void 0, "iana"];
      Object.keys(db).forEach(function forEachMimeType(type) {
        var mime = db[type];
        var exts = mime.extensions;
        if (!exts || !exts.length) {
          return;
        }
        extensions[type] = exts;
        for (var i4 = 0; i4 < exts.length; i4++) {
          var extension2 = exts[i4];
          if (types[extension2]) {
            var from = preference.indexOf(db[types[extension2]].source);
            var to2 = preference.indexOf(mime.source);
            if (types[extension2] !== "application/octet-stream" && (from > to2 || from === to2 && types[extension2].substr(0, 12) === "application/")) {
              continue;
            }
          }
          types[extension2] = type;
        }
      });
    }
  }
});

// ../../node_modules/.pnpm/type-is@1.6.18/node_modules/type-is/index.js
var require_type_is = __commonJS({
  "../../node_modules/.pnpm/type-is@1.6.18/node_modules/type-is/index.js"(exports2, module2) {
    "use strict";
    var typer = require_media_typer();
    var mime = require_mime_types();
    module2.exports = typeofrequest;
    module2.exports.is = typeis;
    module2.exports.hasBody = hasbody;
    module2.exports.normalize = normalize;
    module2.exports.match = mimeMatch;
    function typeis(value, types_) {
      var i4;
      var types = types_;
      var val = tryNormalizeType(value);
      if (!val) {
        return false;
      }
      if (types && !Array.isArray(types)) {
        types = new Array(arguments.length - 1);
        for (i4 = 0; i4 < types.length; i4++) {
          types[i4] = arguments[i4 + 1];
        }
      }
      if (!types || !types.length) {
        return val;
      }
      var type;
      for (i4 = 0; i4 < types.length; i4++) {
        if (mimeMatch(normalize(type = types[i4]), val)) {
          return type[0] === "+" || type.indexOf("*") !== -1 ? val : type;
        }
      }
      return false;
    }
    function hasbody(req) {
      return req.headers["transfer-encoding"] !== void 0 || !isNaN(req.headers["content-length"]);
    }
    function typeofrequest(req, types_) {
      var types = types_;
      if (!hasbody(req)) {
        return null;
      }
      if (arguments.length > 2) {
        types = new Array(arguments.length - 1);
        for (var i4 = 0; i4 < types.length; i4++) {
          types[i4] = arguments[i4 + 1];
        }
      }
      var value = req.headers["content-type"];
      return typeis(value, types);
    }
    function normalize(type) {
      if (typeof type !== "string") {
        return false;
      }
      switch (type) {
        case "urlencoded":
          return "application/x-www-form-urlencoded";
        case "multipart":
          return "multipart/*";
      }
      if (type[0] === "+") {
        return "*/*" + type;
      }
      return type.indexOf("/") === -1 ? mime.lookup(type) : type;
    }
    function mimeMatch(expected, actual) {
      if (expected === false) {
        return false;
      }
      var actualParts = actual.split("/");
      var expectedParts = expected.split("/");
      if (actualParts.length !== 2 || expectedParts.length !== 2) {
        return false;
      }
      if (expectedParts[0] !== "*" && expectedParts[0] !== actualParts[0]) {
        return false;
      }
      if (expectedParts[1].substr(0, 2) === "*+") {
        return expectedParts[1].length <= actualParts[1].length + 1 && expectedParts[1].substr(1) === actualParts[1].substr(1 - expectedParts[1].length);
      }
      if (expectedParts[1] !== "*" && expectedParts[1] !== actualParts[1]) {
        return false;
      }
      return true;
    }
    function normalizeType(value) {
      var type = typer.parse(value);
      type.parameters = void 0;
      return typer.format(type);
    }
    function tryNormalizeType(value) {
      if (!value) {
        return null;
      }
      try {
        return normalizeType(value);
      } catch (err) {
        return null;
      }
    }
  }
});

// ../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/types/json.js
var require_json3 = __commonJS({
  "../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/types/json.js"(exports2, module2) {
    "use strict";
    var bytes = require_bytes();
    var contentType = require_content_type();
    var createError = require_http_errors();
    var debug30 = require_src4()("body-parser:json");
    var read = require_read2();
    var typeis = require_type_is();
    module2.exports = json;
    var FIRST_CHAR_REGEXP = /^[\x20\x09\x0a\x0d]*(.)/;
    function json(options2) {
      var opts2 = options2 || {};
      var limit = typeof opts2.limit !== "number" ? bytes.parse(opts2.limit || "100kb") : opts2.limit;
      var inflate = opts2.inflate !== false;
      var reviver = opts2.reviver;
      var strict = opts2.strict !== false;
      var type = opts2.type || "application/json";
      var verify = opts2.verify || false;
      if (verify !== false && typeof verify !== "function") {
        throw new TypeError("option verify must be function");
      }
      var shouldParse = typeof type !== "function" ? typeChecker(type) : type;
      function parse3(body) {
        if (body.length === 0) {
          return {};
        }
        if (strict) {
          var first = firstchar(body);
          if (first !== "{" && first !== "[") {
            debug30("strict violation");
            throw createStrictSyntaxError(body, first);
          }
        }
        try {
          debug30("parse json");
          return JSON.parse(body, reviver);
        } catch (e3) {
          throw normalizeJsonSyntaxError(e3, {
            message: e3.message,
            stack: e3.stack
          });
        }
      }
      return function jsonParser(req, res, next) {
        if (req._body) {
          debug30("body already parsed");
          next();
          return;
        }
        req.body = req.body || {};
        if (!typeis.hasBody(req)) {
          debug30("skip empty body");
          next();
          return;
        }
        debug30("content-type %j", req.headers["content-type"]);
        if (!shouldParse(req)) {
          debug30("skip parsing");
          next();
          return;
        }
        var charset = getCharset(req) || "utf-8";
        if (charset.substr(0, 4) !== "utf-") {
          debug30("invalid charset");
          next(createError(415, 'unsupported charset "' + charset.toUpperCase() + '"', {
            charset,
            type: "charset.unsupported"
          }));
          return;
        }
        read(req, res, next, parse3, debug30, {
          encoding: charset,
          inflate,
          limit,
          verify
        });
      };
    }
    function createStrictSyntaxError(str, char) {
      var index2 = str.indexOf(char);
      var partial = str.substring(0, index2) + "#";
      try {
        JSON.parse(partial);
        throw new SyntaxError("strict violation");
      } catch (e3) {
        return normalizeJsonSyntaxError(e3, {
          message: e3.message.replace("#", char),
          stack: e3.stack
        });
      }
    }
    function firstchar(str) {
      return FIRST_CHAR_REGEXP.exec(str)[1];
    }
    function getCharset(req) {
      try {
        return (contentType.parse(req).parameters.charset || "").toLowerCase();
      } catch (e3) {
        return void 0;
      }
    }
    function normalizeJsonSyntaxError(error2, obj) {
      var keys = Object.getOwnPropertyNames(error2);
      for (var i4 = 0; i4 < keys.length; i4++) {
        var key = keys[i4];
        if (key !== "stack" && key !== "message") {
          delete error2[key];
        }
      }
      error2.stack = obj.stack.replace(error2.message, obj.message);
      error2.message = obj.message;
      return error2;
    }
    function typeChecker(type) {
      return function checkType2(req) {
        return Boolean(typeis(req, type));
      };
    }
  }
});

// ../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/types/raw.js
var require_raw = __commonJS({
  "../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/types/raw.js"(exports2, module2) {
    "use strict";
    var bytes = require_bytes();
    var debug30 = require_src4()("body-parser:raw");
    var read = require_read2();
    var typeis = require_type_is();
    module2.exports = raw;
    function raw(options2) {
      var opts2 = options2 || {};
      var inflate = opts2.inflate !== false;
      var limit = typeof opts2.limit !== "number" ? bytes.parse(opts2.limit || "100kb") : opts2.limit;
      var type = opts2.type || "application/octet-stream";
      var verify = opts2.verify || false;
      if (verify !== false && typeof verify !== "function") {
        throw new TypeError("option verify must be function");
      }
      var shouldParse = typeof type !== "function" ? typeChecker(type) : type;
      function parse3(buf) {
        return buf;
      }
      return function rawParser(req, res, next) {
        if (req._body) {
          debug30("body already parsed");
          next();
          return;
        }
        req.body = req.body || {};
        if (!typeis.hasBody(req)) {
          debug30("skip empty body");
          next();
          return;
        }
        debug30("content-type %j", req.headers["content-type"]);
        if (!shouldParse(req)) {
          debug30("skip parsing");
          next();
          return;
        }
        read(req, res, next, parse3, debug30, {
          encoding: null,
          inflate,
          limit,
          verify
        });
      };
    }
    function typeChecker(type) {
      return function checkType2(req) {
        return Boolean(typeis(req, type));
      };
    }
  }
});

// ../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/types/text.js
var require_text3 = __commonJS({
  "../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/types/text.js"(exports2, module2) {
    "use strict";
    var bytes = require_bytes();
    var contentType = require_content_type();
    var debug30 = require_src4()("body-parser:text");
    var read = require_read2();
    var typeis = require_type_is();
    module2.exports = text2;
    function text2(options2) {
      var opts2 = options2 || {};
      var defaultCharset = opts2.defaultCharset || "utf-8";
      var inflate = opts2.inflate !== false;
      var limit = typeof opts2.limit !== "number" ? bytes.parse(opts2.limit || "100kb") : opts2.limit;
      var type = opts2.type || "text/plain";
      var verify = opts2.verify || false;
      if (verify !== false && typeof verify !== "function") {
        throw new TypeError("option verify must be function");
      }
      var shouldParse = typeof type !== "function" ? typeChecker(type) : type;
      function parse3(buf) {
        return buf;
      }
      return function textParser(req, res, next) {
        if (req._body) {
          debug30("body already parsed");
          next();
          return;
        }
        req.body = req.body || {};
        if (!typeis.hasBody(req)) {
          debug30("skip empty body");
          next();
          return;
        }
        debug30("content-type %j", req.headers["content-type"]);
        if (!shouldParse(req)) {
          debug30("skip parsing");
          next();
          return;
        }
        var charset = getCharset(req) || defaultCharset;
        read(req, res, next, parse3, debug30, {
          encoding: charset,
          inflate,
          limit,
          verify
        });
      };
    }
    function getCharset(req) {
      try {
        return (contentType.parse(req).parameters.charset || "").toLowerCase();
      } catch (e3) {
        return void 0;
      }
    }
    function typeChecker(type) {
      return function checkType2(req) {
        return Boolean(typeis(req, type));
      };
    }
  }
});

// ../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/formats.js
var require_formats = __commonJS({
  "../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/formats.js"(exports2, module2) {
    "use strict";
    var replace = String.prototype.replace;
    var percentTwenties = /%20/g;
    var Format2 = {
      RFC1738: "RFC1738",
      RFC3986: "RFC3986"
    };
    module2.exports = {
      "default": Format2.RFC3986,
      formatters: {
        RFC1738: function(value) {
          return replace.call(value, percentTwenties, "+");
        },
        RFC3986: function(value) {
          return String(value);
        }
      },
      RFC1738: Format2.RFC1738,
      RFC3986: Format2.RFC3986
    };
  }
});

// ../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/utils.js
var require_utils7 = __commonJS({
  "../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/utils.js"(exports2, module2) {
    "use strict";
    var formats = require_formats();
    var has = Object.prototype.hasOwnProperty;
    var isArray = Array.isArray;
    var hexTable = function() {
      var array = [];
      for (var i4 = 0; i4 < 256; ++i4) {
        array.push("%" + ((i4 < 16 ? "0" : "") + i4.toString(16)).toUpperCase());
      }
      return array;
    }();
    var compactQueue = function compactQueue2(queue2) {
      while (queue2.length > 1) {
        var item2 = queue2.pop();
        var obj = item2.obj[item2.prop];
        if (isArray(obj)) {
          var compacted = [];
          for (var j2 = 0; j2 < obj.length; ++j2) {
            if (typeof obj[j2] !== "undefined") {
              compacted.push(obj[j2]);
            }
          }
          item2.obj[item2.prop] = compacted;
        }
      }
    };
    var arrayToObject = function arrayToObject2(source, options2) {
      var obj = options2 && options2.plainObjects ? /* @__PURE__ */ Object.create(null) : {};
      for (var i4 = 0; i4 < source.length; ++i4) {
        if (typeof source[i4] !== "undefined") {
          obj[i4] = source[i4];
        }
      }
      return obj;
    };
    var merge = function merge2(target, source, options2) {
      if (!source) {
        return target;
      }
      if (typeof source !== "object") {
        if (isArray(target)) {
          target.push(source);
        } else if (target && typeof target === "object") {
          if (options2 && (options2.plainObjects || options2.allowPrototypes) || !has.call(Object.prototype, source)) {
            target[source] = true;
          }
        } else {
          return [target, source];
        }
        return target;
      }
      if (!target || typeof target !== "object") {
        return [target].concat(source);
      }
      var mergeTarget = target;
      if (isArray(target) && !isArray(source)) {
        mergeTarget = arrayToObject(target, options2);
      }
      if (isArray(target) && isArray(source)) {
        source.forEach(function(item2, i4) {
          if (has.call(target, i4)) {
            var targetItem = target[i4];
            if (targetItem && typeof targetItem === "object" && item2 && typeof item2 === "object") {
              target[i4] = merge2(targetItem, item2, options2);
            } else {
              target.push(item2);
            }
          } else {
            target[i4] = item2;
          }
        });
        return target;
      }
      return Object.keys(source).reduce(function(acc, key) {
        var value = source[key];
        if (has.call(acc, key)) {
          acc[key] = merge2(acc[key], value, options2);
        } else {
          acc[key] = value;
        }
        return acc;
      }, mergeTarget);
    };
    var assign = function assignSingleSource(target, source) {
      return Object.keys(source).reduce(function(acc, key) {
        acc[key] = source[key];
        return acc;
      }, target);
    };
    var decode = function(str, decoder, charset) {
      var strWithoutPlus = str.replace(/\+/g, " ");
      if (charset === "iso-8859-1") {
        return strWithoutPlus.replace(/%[0-9a-f]{2}/gi, unescape);
      }
      try {
        return decodeURIComponent(strWithoutPlus);
      } catch (e3) {
        return strWithoutPlus;
      }
    };
    var encode = function encode2(str, defaultEncoder, charset, kind, format3) {
      if (str.length === 0) {
        return str;
      }
      var string = str;
      if (typeof str === "symbol") {
        string = Symbol.prototype.toString.call(str);
      } else if (typeof str !== "string") {
        string = String(str);
      }
      if (charset === "iso-8859-1") {
        return escape(string).replace(/%u[0-9a-f]{4}/gi, function($0) {
          return "%26%23" + parseInt($0.slice(2), 16) + "%3B";
        });
      }
      var out = "";
      for (var i4 = 0; i4 < string.length; ++i4) {
        var c4 = string.charCodeAt(i4);
        if (c4 === 45 || c4 === 46 || c4 === 95 || c4 === 126 || c4 >= 48 && c4 <= 57 || c4 >= 65 && c4 <= 90 || c4 >= 97 && c4 <= 122 || format3 === formats.RFC1738 && (c4 === 40 || c4 === 41)) {
          out += string.charAt(i4);
          continue;
        }
        if (c4 < 128) {
          out = out + hexTable[c4];
          continue;
        }
        if (c4 < 2048) {
          out = out + (hexTable[192 | c4 >> 6] + hexTable[128 | c4 & 63]);
          continue;
        }
        if (c4 < 55296 || c4 >= 57344) {
          out = out + (hexTable[224 | c4 >> 12] + hexTable[128 | c4 >> 6 & 63] + hexTable[128 | c4 & 63]);
          continue;
        }
        i4 += 1;
        c4 = 65536 + ((c4 & 1023) << 10 | string.charCodeAt(i4) & 1023);
        out += hexTable[240 | c4 >> 18] + hexTable[128 | c4 >> 12 & 63] + hexTable[128 | c4 >> 6 & 63] + hexTable[128 | c4 & 63];
      }
      return out;
    };
    var compact = function compact2(value) {
      var queue2 = [{ obj: { o: value }, prop: "o" }];
      var refs = [];
      for (var i4 = 0; i4 < queue2.length; ++i4) {
        var item2 = queue2[i4];
        var obj = item2.obj[item2.prop];
        var keys = Object.keys(obj);
        for (var j2 = 0; j2 < keys.length; ++j2) {
          var key = keys[j2];
          var val = obj[key];
          if (typeof val === "object" && val !== null && refs.indexOf(val) === -1) {
            queue2.push({ obj, prop: key });
            refs.push(val);
          }
        }
      }
      compactQueue(queue2);
      return value;
    };
    var isRegExp = function isRegExp2(obj) {
      return Object.prototype.toString.call(obj) === "[object RegExp]";
    };
    var isBuffer = function isBuffer2(obj) {
      if (!obj || typeof obj !== "object") {
        return false;
      }
      return !!(obj.constructor && obj.constructor.isBuffer && obj.constructor.isBuffer(obj));
    };
    var combine = function combine2(a3, b6) {
      return [].concat(a3, b6);
    };
    var maybeMap = function maybeMap2(val, fn2) {
      if (isArray(val)) {
        var mapped = [];
        for (var i4 = 0; i4 < val.length; i4 += 1) {
          mapped.push(fn2(val[i4]));
        }
        return mapped;
      }
      return fn2(val);
    };
    module2.exports = {
      arrayToObject,
      assign,
      combine,
      compact,
      decode,
      encode,
      isBuffer,
      isRegExp,
      maybeMap,
      merge
    };
  }
});

// ../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/stringify.js
var require_stringify2 = __commonJS({
  "../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/stringify.js"(exports2, module2) {
    "use strict";
    var utils = require_utils7();
    var formats = require_formats();
    var has = Object.prototype.hasOwnProperty;
    var arrayPrefixGenerators = {
      brackets: function brackets(prefix) {
        return prefix + "[]";
      },
      comma: "comma",
      indices: function indices(prefix, key) {
        return prefix + "[" + key + "]";
      },
      repeat: function repeat(prefix) {
        return prefix;
      }
    };
    var isArray = Array.isArray;
    var push = Array.prototype.push;
    var pushToArray = function(arr, valueOrArray) {
      push.apply(arr, isArray(valueOrArray) ? valueOrArray : [valueOrArray]);
    };
    var toISO = Date.prototype.toISOString;
    var defaultFormat = formats["default"];
    var defaults = {
      addQueryPrefix: false,
      allowDots: false,
      charset: "utf-8",
      charsetSentinel: false,
      delimiter: "&",
      encode: true,
      encoder: utils.encode,
      encodeValuesOnly: false,
      format: defaultFormat,
      formatter: formats.formatters[defaultFormat],
      // deprecated
      indices: false,
      serializeDate: function serializeDate(date2) {
        return toISO.call(date2);
      },
      skipNulls: false,
      strictNullHandling: false
    };
    var isNonNullishPrimitive = function isNonNullishPrimitive2(v2) {
      return typeof v2 === "string" || typeof v2 === "number" || typeof v2 === "boolean" || typeof v2 === "symbol" || typeof v2 === "bigint";
    };
    var stringify = function stringify2(object, prefix, generateArrayPrefix, strictNullHandling, skipNulls, encoder, filter2, sort, allowDots, serializeDate, format3, formatter, encodeValuesOnly, charset) {
      var obj = object;
      if (typeof filter2 === "function") {
        obj = filter2(prefix, obj);
      } else if (obj instanceof Date) {
        obj = serializeDate(obj);
      } else if (generateArrayPrefix === "comma" && isArray(obj)) {
        obj = utils.maybeMap(obj, function(value2) {
          if (value2 instanceof Date) {
            return serializeDate(value2);
          }
          return value2;
        });
      }
      if (obj === null) {
        if (strictNullHandling) {
          return encoder && !encodeValuesOnly ? encoder(prefix, defaults.encoder, charset, "key", format3) : prefix;
        }
        obj = "";
      }
      if (isNonNullishPrimitive(obj) || utils.isBuffer(obj)) {
        if (encoder) {
          var keyValue = encodeValuesOnly ? prefix : encoder(prefix, defaults.encoder, charset, "key", format3);
          return [formatter(keyValue) + "=" + formatter(encoder(obj, defaults.encoder, charset, "value", format3))];
        }
        return [formatter(prefix) + "=" + formatter(String(obj))];
      }
      var values = [];
      if (typeof obj === "undefined") {
        return values;
      }
      var objKeys;
      if (generateArrayPrefix === "comma" && isArray(obj)) {
        objKeys = [{ value: obj.length > 0 ? obj.join(",") || null : void 0 }];
      } else if (isArray(filter2)) {
        objKeys = filter2;
      } else {
        var keys = Object.keys(obj);
        objKeys = sort ? keys.sort(sort) : keys;
      }
      for (var i4 = 0; i4 < objKeys.length; ++i4) {
        var key = objKeys[i4];
        var value = typeof key === "object" && key.value !== void 0 ? key.value : obj[key];
        if (skipNulls && value === null) {
          continue;
        }
        var keyPrefix = isArray(obj) ? typeof generateArrayPrefix === "function" ? generateArrayPrefix(prefix, key) : prefix : prefix + (allowDots ? "." + key : "[" + key + "]");
        pushToArray(values, stringify2(
          value,
          keyPrefix,
          generateArrayPrefix,
          strictNullHandling,
          skipNulls,
          encoder,
          filter2,
          sort,
          allowDots,
          serializeDate,
          format3,
          formatter,
          encodeValuesOnly,
          charset
        ));
      }
      return values;
    };
    var normalizeStringifyOptions = function normalizeStringifyOptions2(opts2) {
      if (!opts2) {
        return defaults;
      }
      if (opts2.encoder !== null && opts2.encoder !== void 0 && typeof opts2.encoder !== "function") {
        throw new TypeError("Encoder has to be a function.");
      }
      var charset = opts2.charset || defaults.charset;
      if (typeof opts2.charset !== "undefined" && opts2.charset !== "utf-8" && opts2.charset !== "iso-8859-1") {
        throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");
      }
      var format3 = formats["default"];
      if (typeof opts2.format !== "undefined") {
        if (!has.call(formats.formatters, opts2.format)) {
          throw new TypeError("Unknown format option provided.");
        }
        format3 = opts2.format;
      }
      var formatter = formats.formatters[format3];
      var filter2 = defaults.filter;
      if (typeof opts2.filter === "function" || isArray(opts2.filter)) {
        filter2 = opts2.filter;
      }
      return {
        addQueryPrefix: typeof opts2.addQueryPrefix === "boolean" ? opts2.addQueryPrefix : defaults.addQueryPrefix,
        allowDots: typeof opts2.allowDots === "undefined" ? defaults.allowDots : !!opts2.allowDots,
        charset,
        charsetSentinel: typeof opts2.charsetSentinel === "boolean" ? opts2.charsetSentinel : defaults.charsetSentinel,
        delimiter: typeof opts2.delimiter === "undefined" ? defaults.delimiter : opts2.delimiter,
        encode: typeof opts2.encode === "boolean" ? opts2.encode : defaults.encode,
        encoder: typeof opts2.encoder === "function" ? opts2.encoder : defaults.encoder,
        encodeValuesOnly: typeof opts2.encodeValuesOnly === "boolean" ? opts2.encodeValuesOnly : defaults.encodeValuesOnly,
        filter: filter2,
        format: format3,
        formatter,
        serializeDate: typeof opts2.serializeDate === "function" ? opts2.serializeDate : defaults.serializeDate,
        skipNulls: typeof opts2.skipNulls === "boolean" ? opts2.skipNulls : defaults.skipNulls,
        sort: typeof opts2.sort === "function" ? opts2.sort : null,
        strictNullHandling: typeof opts2.strictNullHandling === "boolean" ? opts2.strictNullHandling : defaults.strictNullHandling
      };
    };
    module2.exports = function(object, opts2) {
      var obj = object;
      var options2 = normalizeStringifyOptions(opts2);
      var objKeys;
      var filter2;
      if (typeof options2.filter === "function") {
        filter2 = options2.filter;
        obj = filter2("", obj);
      } else if (isArray(options2.filter)) {
        filter2 = options2.filter;
        objKeys = filter2;
      }
      var keys = [];
      if (typeof obj !== "object" || obj === null) {
        return "";
      }
      var arrayFormat;
      if (opts2 && opts2.arrayFormat in arrayPrefixGenerators) {
        arrayFormat = opts2.arrayFormat;
      } else if (opts2 && "indices" in opts2) {
        arrayFormat = opts2.indices ? "indices" : "repeat";
      } else {
        arrayFormat = "indices";
      }
      var generateArrayPrefix = arrayPrefixGenerators[arrayFormat];
      if (!objKeys) {
        objKeys = Object.keys(obj);
      }
      if (options2.sort) {
        objKeys.sort(options2.sort);
      }
      for (var i4 = 0; i4 < objKeys.length; ++i4) {
        var key = objKeys[i4];
        if (options2.skipNulls && obj[key] === null) {
          continue;
        }
        pushToArray(keys, stringify(
          obj[key],
          key,
          generateArrayPrefix,
          options2.strictNullHandling,
          options2.skipNulls,
          options2.encode ? options2.encoder : null,
          options2.filter,
          options2.sort,
          options2.allowDots,
          options2.serializeDate,
          options2.format,
          options2.formatter,
          options2.encodeValuesOnly,
          options2.charset
        ));
      }
      var joined = keys.join(options2.delimiter);
      var prefix = options2.addQueryPrefix === true ? "?" : "";
      if (options2.charsetSentinel) {
        if (options2.charset === "iso-8859-1") {
          prefix += "utf8=%26%2310003%3B&";
        } else {
          prefix += "utf8=%E2%9C%93&";
        }
      }
      return joined.length > 0 ? prefix + joined : "";
    };
  }
});

// ../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/parse.js
var require_parse5 = __commonJS({
  "../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/parse.js"(exports2, module2) {
    "use strict";
    var utils = require_utils7();
    var has = Object.prototype.hasOwnProperty;
    var isArray = Array.isArray;
    var defaults = {
      allowDots: false,
      allowPrototypes: false,
      arrayLimit: 20,
      charset: "utf-8",
      charsetSentinel: false,
      comma: false,
      decoder: utils.decode,
      delimiter: "&",
      depth: 5,
      ignoreQueryPrefix: false,
      interpretNumericEntities: false,
      parameterLimit: 1e3,
      parseArrays: true,
      plainObjects: false,
      strictNullHandling: false
    };
    var interpretNumericEntities = function(str) {
      return str.replace(/&#(\d+);/g, function($0, numberStr) {
        return String.fromCharCode(parseInt(numberStr, 10));
      });
    };
    var parseArrayValue = function(val, options2) {
      if (val && typeof val === "string" && options2.comma && val.indexOf(",") > -1) {
        return val.split(",");
      }
      return val;
    };
    var isoSentinel = "utf8=%26%2310003%3B";
    var charsetSentinel = "utf8=%E2%9C%93";
    var parseValues = function parseQueryStringValues(str, options2) {
      var obj = {};
      var cleanStr = options2.ignoreQueryPrefix ? str.replace(/^\?/, "") : str;
      var limit = options2.parameterLimit === Infinity ? void 0 : options2.parameterLimit;
      var parts = cleanStr.split(options2.delimiter, limit);
      var skipIndex2 = -1;
      var i4;
      var charset = options2.charset;
      if (options2.charsetSentinel) {
        for (i4 = 0; i4 < parts.length; ++i4) {
          if (parts[i4].indexOf("utf8=") === 0) {
            if (parts[i4] === charsetSentinel) {
              charset = "utf-8";
            } else if (parts[i4] === isoSentinel) {
              charset = "iso-8859-1";
            }
            skipIndex2 = i4;
            i4 = parts.length;
          }
        }
      }
      for (i4 = 0; i4 < parts.length; ++i4) {
        if (i4 === skipIndex2) {
          continue;
        }
        var part = parts[i4];
        var bracketEqualsPos = part.indexOf("]=");
        var pos2 = bracketEqualsPos === -1 ? part.indexOf("=") : bracketEqualsPos + 1;
        var key, val;
        if (pos2 === -1) {
          key = options2.decoder(part, defaults.decoder, charset, "key");
          val = options2.strictNullHandling ? null : "";
        } else {
          key = options2.decoder(part.slice(0, pos2), defaults.decoder, charset, "key");
          val = utils.maybeMap(
            parseArrayValue(part.slice(pos2 + 1), options2),
            function(encodedVal) {
              return options2.decoder(encodedVal, defaults.decoder, charset, "value");
            }
          );
        }
        if (val && options2.interpretNumericEntities && charset === "iso-8859-1") {
          val = interpretNumericEntities(val);
        }
        if (part.indexOf("[]=") > -1) {
          val = isArray(val) ? [val] : val;
        }
        if (has.call(obj, key)) {
          obj[key] = utils.combine(obj[key], val);
        } else {
          obj[key] = val;
        }
      }
      return obj;
    };
    var parseObject = function(chain4, val, options2, valuesParsed) {
      var leaf = valuesParsed ? val : parseArrayValue(val, options2);
      for (var i4 = chain4.length - 1; i4 >= 0; --i4) {
        var obj;
        var root = chain4[i4];
        if (root === "[]" && options2.parseArrays) {
          obj = [].concat(leaf);
        } else {
          obj = options2.plainObjects ? /* @__PURE__ */ Object.create(null) : {};
          var cleanRoot = root.charAt(0) === "[" && root.charAt(root.length - 1) === "]" ? root.slice(1, -1) : root;
          var index2 = parseInt(cleanRoot, 10);
          if (!options2.parseArrays && cleanRoot === "") {
            obj = { 0: leaf };
          } else if (!isNaN(index2) && root !== cleanRoot && String(index2) === cleanRoot && index2 >= 0 && (options2.parseArrays && index2 <= options2.arrayLimit)) {
            obj = [];
            obj[index2] = leaf;
          } else {
            obj[cleanRoot] = leaf;
          }
        }
        leaf = obj;
      }
      return leaf;
    };
    var parseKeys = function parseQueryStringKeys(givenKey, val, options2, valuesParsed) {
      if (!givenKey) {
        return;
      }
      var key = options2.allowDots ? givenKey.replace(/\.([^.[]+)/g, "[$1]") : givenKey;
      var brackets = /(\[[^[\]]*])/;
      var child = /(\[[^[\]]*])/g;
      var segment = options2.depth > 0 && brackets.exec(key);
      var parent2 = segment ? key.slice(0, segment.index) : key;
      var keys = [];
      if (parent2) {
        if (!options2.plainObjects && has.call(Object.prototype, parent2)) {
          if (!options2.allowPrototypes) {
            return;
          }
        }
        keys.push(parent2);
      }
      var i4 = 0;
      while (options2.depth > 0 && (segment = child.exec(key)) !== null && i4 < options2.depth) {
        i4 += 1;
        if (!options2.plainObjects && has.call(Object.prototype, segment[1].slice(1, -1))) {
          if (!options2.allowPrototypes) {
            return;
          }
        }
        keys.push(segment[1]);
      }
      if (segment) {
        keys.push("[" + key.slice(segment.index) + "]");
      }
      return parseObject(keys, val, options2, valuesParsed);
    };
    var normalizeParseOptions = function normalizeParseOptions2(opts2) {
      if (!opts2) {
        return defaults;
      }
      if (opts2.decoder !== null && opts2.decoder !== void 0 && typeof opts2.decoder !== "function") {
        throw new TypeError("Decoder has to be a function.");
      }
      if (typeof opts2.charset !== "undefined" && opts2.charset !== "utf-8" && opts2.charset !== "iso-8859-1") {
        throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");
      }
      var charset = typeof opts2.charset === "undefined" ? defaults.charset : opts2.charset;
      return {
        allowDots: typeof opts2.allowDots === "undefined" ? defaults.allowDots : !!opts2.allowDots,
        allowPrototypes: typeof opts2.allowPrototypes === "boolean" ? opts2.allowPrototypes : defaults.allowPrototypes,
        arrayLimit: typeof opts2.arrayLimit === "number" ? opts2.arrayLimit : defaults.arrayLimit,
        charset,
        charsetSentinel: typeof opts2.charsetSentinel === "boolean" ? opts2.charsetSentinel : defaults.charsetSentinel,
        comma: typeof opts2.comma === "boolean" ? opts2.comma : defaults.comma,
        decoder: typeof opts2.decoder === "function" ? opts2.decoder : defaults.decoder,
        delimiter: typeof opts2.delimiter === "string" || utils.isRegExp(opts2.delimiter) ? opts2.delimiter : defaults.delimiter,
        // eslint-disable-next-line no-implicit-coercion, no-extra-parens
        depth: typeof opts2.depth === "number" || opts2.depth === false ? +opts2.depth : defaults.depth,
        ignoreQueryPrefix: opts2.ignoreQueryPrefix === true,
        interpretNumericEntities: typeof opts2.interpretNumericEntities === "boolean" ? opts2.interpretNumericEntities : defaults.interpretNumericEntities,
        parameterLimit: typeof opts2.parameterLimit === "number" ? opts2.parameterLimit : defaults.parameterLimit,
        parseArrays: opts2.parseArrays !== false,
        plainObjects: typeof opts2.plainObjects === "boolean" ? opts2.plainObjects : defaults.plainObjects,
        strictNullHandling: typeof opts2.strictNullHandling === "boolean" ? opts2.strictNullHandling : defaults.strictNullHandling
      };
    };
    module2.exports = function(str, opts2) {
      var options2 = normalizeParseOptions(opts2);
      if (str === "" || str === null || typeof str === "undefined") {
        return options2.plainObjects ? /* @__PURE__ */ Object.create(null) : {};
      }
      var tempObj = typeof str === "string" ? parseValues(str, options2) : str;
      var obj = options2.plainObjects ? /* @__PURE__ */ Object.create(null) : {};
      var keys = Object.keys(tempObj);
      for (var i4 = 0; i4 < keys.length; ++i4) {
        var key = keys[i4];
        var newObj = parseKeys(key, tempObj[key], options2, typeof str === "string");
        obj = utils.merge(obj, newObj, options2);
      }
      return utils.compact(obj);
    };
  }
});

// ../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/index.js
var require_lib10 = __commonJS({
  "../../node_modules/.pnpm/qs@6.9.6/node_modules/qs/lib/index.js"(exports2, module2) {
    "use strict";
    var stringify = require_stringify2();
    var parse3 = require_parse5();
    var formats = require_formats();
    module2.exports = {
      formats,
      parse: parse3,
      stringify
    };
  }
});

// ../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/types/urlencoded.js
var require_urlencoded = __commonJS({
  "../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/lib/types/urlencoded.js"(exports2, module2) {
    "use strict";
    var bytes = require_bytes();
    var contentType = require_content_type();
    var createError = require_http_errors();
    var debug30 = require_src4()("body-parser:urlencoded");
    var deprecate2 = require_depd()("body-parser");
    var read = require_read2();
    var typeis = require_type_is();
    module2.exports = urlencoded;
    var parsers = /* @__PURE__ */ Object.create(null);
    function urlencoded(options2) {
      var opts2 = options2 || {};
      if (opts2.extended === void 0) {
        deprecate2("undefined extended: provide extended option");
      }
      var extended = opts2.extended !== false;
      var inflate = opts2.inflate !== false;
      var limit = typeof opts2.limit !== "number" ? bytes.parse(opts2.limit || "100kb") : opts2.limit;
      var type = opts2.type || "application/x-www-form-urlencoded";
      var verify = opts2.verify || false;
      if (verify !== false && typeof verify !== "function") {
        throw new TypeError("option verify must be function");
      }
      var queryparse = extended ? extendedparser(opts2) : simpleparser(opts2);
      var shouldParse = typeof type !== "function" ? typeChecker(type) : type;
      function parse3(body) {
        return body.length ? queryparse(body) : {};
      }
      return function urlencodedParser(req, res, next) {
        if (req._body) {
          debug30("body already parsed");
          next();
          return;
        }
        req.body = req.body || {};
        if (!typeis.hasBody(req)) {
          debug30("skip empty body");
          next();
          return;
        }
        debug30("content-type %j", req.headers["content-type"]);
        if (!shouldParse(req)) {
          debug30("skip parsing");
          next();
          return;
        }
        var charset = getCharset(req) || "utf-8";
        if (charset !== "utf-8") {
          debug30("invalid charset");
          next(createError(415, 'unsupported charset "' + charset.toUpperCase() + '"', {
            charset,
            type: "charset.unsupported"
          }));
          return;
        }
        read(req, res, next, parse3, debug30, {
          debug: debug30,
          encoding: charset,
          inflate,
          limit,
          verify
        });
      };
    }
    function extendedparser(options2) {
      var parameterLimit = options2.parameterLimit !== void 0 ? options2.parameterLimit : 1e3;
      var parse3 = parser("qs");
      if (isNaN(parameterLimit) || parameterLimit < 1) {
        throw new TypeError("option parameterLimit must be a positive number");
      }
      if (isFinite(parameterLimit)) {
        parameterLimit = parameterLimit | 0;
      }
      return function queryparse(body) {
        var paramCount = parameterCount(body, parameterLimit);
        if (paramCount === void 0) {
          debug30("too many parameters");
          throw createError(413, "too many parameters", {
            type: "parameters.too.many"
          });
        }
        var arrayLimit = Math.max(100, paramCount);
        debug30("parse extended urlencoding");
        return parse3(body, {
          allowPrototypes: true,
          arrayLimit,
          depth: Infinity,
          parameterLimit
        });
      };
    }
    function getCharset(req) {
      try {
        return (contentType.parse(req).parameters.charset || "").toLowerCase();
      } catch (e3) {
        return void 0;
      }
    }
    function parameterCount(body, limit) {
      var count = 0;
      var index2 = 0;
      while ((index2 = body.indexOf("&", index2)) !== -1) {
        count++;
        index2++;
        if (count === limit) {
          return void 0;
        }
      }
      return count;
    }
    function parser(name) {
      var mod = parsers[name];
      if (mod !== void 0) {
        return mod.parse;
      }
      switch (name) {
        case "qs":
          mod = require_lib10();
          break;
        case "querystring":
          mod = require("querystring");
          break;
      }
      parsers[name] = mod;
      return mod.parse;
    }
    function simpleparser(options2) {
      var parameterLimit = options2.parameterLimit !== void 0 ? options2.parameterLimit : 1e3;
      var parse3 = parser("querystring");
      if (isNaN(parameterLimit) || parameterLimit < 1) {
        throw new TypeError("option parameterLimit must be a positive number");
      }
      if (isFinite(parameterLimit)) {
        parameterLimit = parameterLimit | 0;
      }
      return function queryparse(body) {
        var paramCount = parameterCount(body, parameterLimit);
        if (paramCount === void 0) {
          debug30("too many parameters");
          throw createError(413, "too many parameters", {
            type: "parameters.too.many"
          });
        }
        debug30("parse urlencoding");
        return parse3(body, void 0, void 0, { maxKeys: parameterLimit });
      };
    }
    function typeChecker(type) {
      return function checkType2(req) {
        return Boolean(typeis(req, type));
      };
    }
  }
});

// ../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/index.js
var require_body_parser = __commonJS({
  "../../node_modules/.pnpm/body-parser@1.19.1/node_modules/body-parser/index.js"(exports2, module2) {
    "use strict";
    var deprecate2 = require_depd()("body-parser");
    var parsers = /* @__PURE__ */ Object.create(null);
    exports2 = module2.exports = deprecate2.function(
      bodyParser,
      "bodyParser: use individual json/urlencoded middlewares"
    );
    Object.defineProperty(exports2, "json", {
      configurable: true,
      enumerable: true,
      get: createParserGetter("json")
    });
    Object.defineProperty(exports2, "raw", {
      configurable: true,
      enumerable: true,
      get: createParserGetter("raw")
    });
    Object.defineProperty(exports2, "text", {
      configurable: true,
      enumerable: true,
      get: createParserGetter("text")
    });
    Object.defineProperty(exports2, "urlencoded", {
      configurable: true,
      enumerable: true,
      get: createParserGetter("urlencoded")
    });
    function bodyParser(options2) {
      var opts2 = {};
      if (options2) {
        for (var prop in options2) {
          if (prop !== "type") {
            opts2[prop] = options2[prop];
          }
        }
      }
      var _urlencoded = exports2.urlencoded(opts2);
      var _json = exports2.json(opts2);
      return function bodyParser2(req, res, next) {
        _json(req, res, function(err) {
          if (err)
            return next(err);
          _urlencoded(req, res, next);
        });
      };
    }
    function createParserGetter(name) {
      return function get() {
        return loadParser(name);
      };
    }
    function loadParser(parserName) {
      var parser = parsers[parserName];
      if (parser !== void 0) {
        return parser;
      }
      switch (parserName) {
        case "json":
          parser = require_json3();
          break;
        case "raw":
          parser = require_raw();
          break;
        case "text":
          parser = require_text3();
          break;
        case "urlencoded":
          parser = require_urlencoded();
          break;
      }
      return parsers[parserName] = parser;
    }
  }
});

// ../../node_modules/.pnpm/merge-descriptors@1.0.1/node_modules/merge-descriptors/index.js
var require_merge_descriptors = __commonJS({
  "../../node_modules/.pnpm/merge-descriptors@1.0.1/node_modules/merge-descriptors/index.js"(exports2, module2) {
    "use strict";
    module2.exports = merge;
    var hasOwnProperty3 = Object.prototype.hasOwnProperty;
    function merge(dest, src2, redefine) {
      if (!dest) {
        throw new TypeError("argument dest is required");
      }
      if (!src2) {
        throw new TypeError("argument src is required");
      }
      if (redefine === void 0) {
        redefine = true;
      }
      Object.getOwnPropertyNames(src2).forEach(function forEachOwnPropertyName(name) {
        if (!redefine && hasOwnProperty3.call(dest, name)) {
          return;
        }
        var descriptor = Object.getOwnPropertyDescriptor(src2, name);
        Object.defineProperty(dest, name, descriptor);
      });
      return dest;
    }
  }
});

// ../../node_modules/.pnpm/encodeurl@1.0.2/node_modules/encodeurl/index.js
var require_encodeurl = __commonJS({
  "../../node_modules/.pnpm/encodeurl@1.0.2/node_modules/encodeurl/index.js"(exports2, module2) {
    "use strict";
    module2.exports = encodeUrl;
    var ENCODE_CHARS_REGEXP = /(?:[^\x21\x25\x26-\x3B\x3D\x3F-\x5B\x5D\x5F\x61-\x7A\x7E]|%(?:[^0-9A-Fa-f]|[0-9A-Fa-f][^0-9A-Fa-f]|$))+/g;
    var UNMATCHED_SURROGATE_PAIR_REGEXP = /(^|[^\uD800-\uDBFF])[\uDC00-\uDFFF]|[\uD800-\uDBFF]([^\uDC00-\uDFFF]|$)/g;
    var UNMATCHED_SURROGATE_PAIR_REPLACE = "$1\uFFFD$2";
    function encodeUrl(url2) {
      return String(url2).replace(UNMATCHED_SURROGATE_PAIR_REGEXP, UNMATCHED_SURROGATE_PAIR_REPLACE).replace(ENCODE_CHARS_REGEXP, encodeURI);
    }
  }
});

// ../../node_modules/.pnpm/escape-html@1.0.3/node_modules/escape-html/index.js
var require_escape_html = __commonJS({
  "../../node_modules/.pnpm/escape-html@1.0.3/node_modules/escape-html/index.js"(exports2, module2) {
    "use strict";
    var matchHtmlRegExp = /["'&<>]/;
    module2.exports = escapeHtml;
    function escapeHtml(string) {
      var str = "" + string;
      var match4 = matchHtmlRegExp.exec(str);
      if (!match4) {
        return str;
      }
      var escape3;
      var html = "";
      var index2 = 0;
      var lastIndex = 0;
      for (index2 = match4.index; index2 < str.length; index2++) {
        switch (str.charCodeAt(index2)) {
          case 34:
            escape3 = "&quot;";
            break;
          case 38:
            escape3 = "&amp;";
            break;
          case 39:
            escape3 = "&#39;";
            break;
          case 60:
            escape3 = "&lt;";
            break;
          case 62:
            escape3 = "&gt;";
            break;
          default:
            continue;
        }
        if (lastIndex !== index2) {
          html += str.substring(lastIndex, index2);
        }
        lastIndex = index2 + 1;
        html += escape3;
      }
      return lastIndex !== index2 ? html + str.substring(lastIndex, index2) : html;
    }
  }
});

// ../../node_modules/.pnpm/parseurl@1.3.3/node_modules/parseurl/index.js
var require_parseurl = __commonJS({
  "../../node_modules/.pnpm/parseurl@1.3.3/node_modules/parseurl/index.js"(exports2, module2) {
    "use strict";
    var url2 = require("url");
    var parse3 = url2.parse;
    var Url3 = url2.Url;
    module2.exports = parseurl;
    module2.exports.original = originalurl;
    function parseurl(req) {
      var url3 = req.url;
      if (url3 === void 0) {
        return void 0;
      }
      var parsed = req._parsedUrl;
      if (fresh(url3, parsed)) {
        return parsed;
      }
      parsed = fastparse(url3);
      parsed._raw = url3;
      return req._parsedUrl = parsed;
    }
    function originalurl(req) {
      var url3 = req.originalUrl;
      if (typeof url3 !== "string") {
        return parseurl(req);
      }
      var parsed = req._parsedOriginalUrl;
      if (fresh(url3, parsed)) {
        return parsed;
      }
      parsed = fastparse(url3);
      parsed._raw = url3;
      return req._parsedOriginalUrl = parsed;
    }
    function fastparse(str) {
      if (typeof str !== "string" || str.charCodeAt(0) !== 47) {
        return parse3(str);
      }
      var pathname = str;
      var query2 = null;
      var search = null;
      for (var i4 = 1; i4 < str.length; i4++) {
        switch (str.charCodeAt(i4)) {
          case 63:
            if (search === null) {
              pathname = str.substring(0, i4);
              query2 = str.substring(i4 + 1);
              search = str.substring(i4);
            }
            break;
          case 9:
          case 10:
          case 12:
          case 13:
          case 32:
          case 35:
          case 160:
          case 65279:
            return parse3(str);
        }
      }
      var url3 = Url3 !== void 0 ? new Url3() : {};
      url3.path = str;
      url3.href = str;
      url3.pathname = pathname;
      if (search !== null) {
        url3.query = query2;
        url3.search = search;
      }
      return url3;
    }
    function fresh(url3, parsedUrl) {
      return typeof parsedUrl === "object" && parsedUrl !== null && (Url3 === void 0 || parsedUrl instanceof Url3) && parsedUrl._raw === url3;
    }
  }
});

// ../../node_modules/.pnpm/finalhandler@1.1.2/node_modules/finalhandler/index.js
var require_finalhandler = __commonJS({
  "../../node_modules/.pnpm/finalhandler@1.1.2/node_modules/finalhandler/index.js"(exports2, module2) {
    "use strict";
    var debug30 = require_src4()("finalhandler");
    var encodeUrl = require_encodeurl();
    var escapeHtml = require_escape_html();
    var onFinished = require_on_finished();
    var parseUrl = require_parseurl();
    var statuses = require_statuses();
    var unpipe = require_unpipe();
    var DOUBLE_SPACE_REGEXP = /\x20{2}/g;
    var NEWLINE_REGEXP = /\n/g;
    var defer = typeof setImmediate === "function" ? setImmediate : function(fn2) {
      process.nextTick(fn2.bind.apply(fn2, arguments));
    };
    var isFinished = onFinished.isFinished;
    function createHtmlDocument(message2) {
      var body = escapeHtml(message2).replace(NEWLINE_REGEXP, "<br>").replace(DOUBLE_SPACE_REGEXP, " &nbsp;");
      return '<!DOCTYPE html>\n<html lang="en">\n<head>\n<meta charset="utf-8">\n<title>Error</title>\n</head>\n<body>\n<pre>' + body + "</pre>\n</body>\n</html>\n";
    }
    module2.exports = finalhandler;
    function finalhandler(req, res, options2) {
      var opts2 = options2 || {};
      var env3 = opts2.env || process.env.NODE_ENV || "development";
      var onerror = opts2.onerror;
      return function(err) {
        var headers;
        var msg;
        var status;
        if (!err && headersSent(res)) {
          debug30("cannot 404 after headers sent");
          return;
        }
        if (err) {
          status = getErrorStatusCode(err);
          if (status === void 0) {
            status = getResponseStatusCode(res);
          } else {
            headers = getErrorHeaders(err);
          }
          msg = getErrorMessage(err, status, env3);
        } else {
          status = 404;
          msg = "Cannot " + req.method + " " + encodeUrl(getResourceName(req));
        }
        debug30("default %s", status);
        if (err && onerror) {
          defer(onerror, err, req, res);
        }
        if (headersSent(res)) {
          debug30("cannot %d after headers sent", status);
          req.socket.destroy();
          return;
        }
        send(req, res, status, headers, msg);
      };
    }
    function getErrorHeaders(err) {
      if (!err.headers || typeof err.headers !== "object") {
        return void 0;
      }
      var headers = /* @__PURE__ */ Object.create(null);
      var keys = Object.keys(err.headers);
      for (var i4 = 0; i4 < keys.length; i4++) {
        var key = keys[i4];
        headers[key] = err.headers[key];
      }
      return headers;
    }
    function getErrorMessage(err, status, env3) {
      var msg;
      if (env3 !== "production") {
        msg = err.stack;
        if (!msg && typeof err.toString === "function") {
          msg = err.toString();
        }
      }
      return msg || statuses[status];
    }
    function getErrorStatusCode(err) {
      if (typeof err.status === "number" && err.status >= 400 && err.status < 600) {
        return err.status;
      }
      if (typeof err.statusCode === "number" && err.statusCode >= 400 && err.statusCode < 600) {
        return err.statusCode;
      }
      return void 0;
    }
    function getResourceName(req) {
      try {
        return parseUrl.original(req).pathname;
      } catch (e3) {
        return "resource";
      }
    }
    function getResponseStatusCode(res) {
      var status = res.statusCode;
      if (typeof status !== "number" || status < 400 || status > 599) {
        status = 500;
      }
      return status;
    }
    function headersSent(res) {
      return typeof res.headersSent !== "boolean" ? Boolean(res._header) : res.headersSent;
    }
    function send(req, res, status, headers, message2) {
      function write() {
        var body = createHtmlDocument(message2);
        res.statusCode = status;
        res.statusMessage = statuses[status];
        setHeaders(res, headers);
        res.setHeader("Content-Security-Policy", "default-src 'none'");
        res.setHeader("X-Content-Type-Options", "nosniff");
        res.setHeader("Content-Type", "text/html; charset=utf-8");
        res.setHeader("Content-Length", Buffer.byteLength(body, "utf8"));
        if (req.method === "HEAD") {
          res.end();
          return;
        }
        res.end(body, "utf8");
      }
      if (isFinished(req)) {
        write();
        return;
      }
      unpipe(req);
      onFinished(req, write);
      req.resume();
    }
    function setHeaders(res, headers) {
      if (!headers) {
        return;
      }
      var keys = Object.keys(headers);
      for (var i4 = 0; i4 < keys.length; i4++) {
        var key = keys[i4];
        res.setHeader(key, headers[key]);
      }
    }
  }
});

// ../../node_modules/.pnpm/array-flatten@1.1.1/node_modules/array-flatten/array-flatten.js
var require_array_flatten = __commonJS({
  "../../node_modules/.pnpm/array-flatten@1.1.1/node_modules/array-flatten/array-flatten.js"(exports2, module2) {
    "use strict";
    module2.exports = arrayFlatten;
    function flattenWithDepth(array, result, depth) {
      for (var i4 = 0; i4 < array.length; i4++) {
        var value = array[i4];
        if (depth > 0 && Array.isArray(value)) {
          flattenWithDepth(value, result, depth - 1);
        } else {
          result.push(value);
        }
      }
      return result;
    }
    function flattenForever(array, result) {
      for (var i4 = 0; i4 < array.length; i4++) {
        var value = array[i4];
        if (Array.isArray(value)) {
          flattenForever(value, result);
        } else {
          result.push(value);
        }
      }
      return result;
    }
    function arrayFlatten(array, depth) {
      if (depth == null) {
        return flattenForever(array, []);
      }
      return flattenWithDepth(array, [], depth);
    }
  }
});

// ../../node_modules/.pnpm/path-to-regexp@0.1.7/node_modules/path-to-regexp/index.js
var require_path_to_regexp = __commonJS({
  "../../node_modules/.pnpm/path-to-regexp@0.1.7/node_modules/path-to-regexp/index.js"(exports2, module2) {
    "use strict";
    module2.exports = pathtoRegexp;
    var MATCHING_GROUP_REGEXP = /\((?!\?)/g;
    function pathtoRegexp(path39, keys, options2) {
      options2 = options2 || {};
      keys = keys || [];
      var strict = options2.strict;
      var end = options2.end !== false;
      var flags = options2.sensitive ? "" : "i";
      var extraOffset = 0;
      var keysOffset = keys.length;
      var i4 = 0;
      var name = 0;
      var m3;
      if (path39 instanceof RegExp) {
        while (m3 = MATCHING_GROUP_REGEXP.exec(path39.source)) {
          keys.push({
            name: name++,
            optional: false,
            offset: m3.index
          });
        }
        return path39;
      }
      if (Array.isArray(path39)) {
        path39 = path39.map(function(value) {
          return pathtoRegexp(value, keys, options2).source;
        });
        return new RegExp("(?:" + path39.join("|") + ")", flags);
      }
      path39 = ("^" + path39 + (strict ? "" : path39[path39.length - 1] === "/" ? "?" : "/?")).replace(/\/\(/g, "/(?:").replace(/([\/\.])/g, "\\$1").replace(/(\\\/)?(\\\.)?:(\w+)(\(.*?\))?(\*)?(\?)?/g, function(match4, slash, format3, key, capture, star, optional, offset) {
        slash = slash || "";
        format3 = format3 || "";
        capture = capture || "([^\\/" + format3 + "]+?)";
        optional = optional || "";
        keys.push({
          name: key,
          optional: !!optional,
          offset: offset + extraOffset
        });
        var result = "" + (optional ? "" : slash) + "(?:" + format3 + (optional ? slash : "") + capture + (star ? "((?:[\\/" + format3 + "].+?)?)" : "") + ")" + optional;
        extraOffset += result.length - match4.length;
        return result;
      }).replace(/\*/g, function(star, index3) {
        var len = keys.length;
        while (len-- > keysOffset && keys[len].offset > index3) {
          keys[len].offset += 3;
        }
        return "(.*)";
      });
      while (m3 = MATCHING_GROUP_REGEXP.exec(path39)) {
        var escapeCount = 0;
        var index2 = m3.index;
        while (path39.charAt(--index2) === "\\") {
          escapeCount++;
        }
        if (escapeCount % 2 === 1) {
          continue;
        }
        if (keysOffset + i4 === keys.length || keys[keysOffset + i4].offset > m3.index) {
          keys.splice(keysOffset + i4, 0, {
            name: name++,
            // Unnamed matching groups must be consistently linear.
            optional: false,
            offset: m3.index
          });
        }
        i4++;
      }
      path39 += end ? "$" : path39[path39.length - 1] === "/" ? "" : "(?=\\/|$)";
      return new RegExp(path39, flags);
    }
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/router/layer.js
var require_layer = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/router/layer.js"(exports2, module2) {
    "use strict";
    var pathRegexp = require_path_to_regexp();
    var debug30 = require_src4()("express:router:layer");
    var hasOwnProperty3 = Object.prototype.hasOwnProperty;
    module2.exports = Layer;
    function Layer(path39, options2, fn2) {
      if (!(this instanceof Layer)) {
        return new Layer(path39, options2, fn2);
      }
      debug30("new %o", path39);
      var opts2 = options2 || {};
      this.handle = fn2;
      this.name = fn2.name || "<anonymous>";
      this.params = void 0;
      this.path = void 0;
      this.regexp = pathRegexp(path39, this.keys = [], opts2);
      this.regexp.fast_star = path39 === "*";
      this.regexp.fast_slash = path39 === "/" && opts2.end === false;
    }
    Layer.prototype.handle_error = function handle_error(error2, req, res, next) {
      var fn2 = this.handle;
      if (fn2.length !== 4) {
        return next(error2);
      }
      try {
        fn2(error2, req, res, next);
      } catch (err) {
        next(err);
      }
    };
    Layer.prototype.handle_request = function handle(req, res, next) {
      var fn2 = this.handle;
      if (fn2.length > 3) {
        return next();
      }
      try {
        fn2(req, res, next);
      } catch (err) {
        next(err);
      }
    };
    Layer.prototype.match = function match4(path39) {
      var match5;
      if (path39 != null) {
        if (this.regexp.fast_slash) {
          this.params = {};
          this.path = "";
          return true;
        }
        if (this.regexp.fast_star) {
          this.params = { "0": decode_param(path39) };
          this.path = path39;
          return true;
        }
        match5 = this.regexp.exec(path39);
      }
      if (!match5) {
        this.params = void 0;
        this.path = void 0;
        return false;
      }
      this.params = {};
      this.path = match5[0];
      var keys = this.keys;
      var params = this.params;
      for (var i4 = 1; i4 < match5.length; i4++) {
        var key = keys[i4 - 1];
        var prop = key.name;
        var val = decode_param(match5[i4]);
        if (val !== void 0 || !hasOwnProperty3.call(params, prop)) {
          params[prop] = val;
        }
      }
      return true;
    };
    function decode_param(val) {
      if (typeof val !== "string" || val.length === 0) {
        return val;
      }
      try {
        return decodeURIComponent(val);
      } catch (err) {
        if (err instanceof URIError) {
          err.message = "Failed to decode param '" + val + "'";
          err.status = err.statusCode = 400;
        }
        throw err;
      }
    }
  }
});

// ../../node_modules/.pnpm/methods@1.1.2/node_modules/methods/index.js
var require_methods = __commonJS({
  "../../node_modules/.pnpm/methods@1.1.2/node_modules/methods/index.js"(exports2, module2) {
    "use strict";
    var http2 = require("http");
    module2.exports = getCurrentNodeMethods() || getBasicNodeMethods();
    function getCurrentNodeMethods() {
      return http2.METHODS && http2.METHODS.map(function lowerCaseMethod(method) {
        return method.toLowerCase();
      });
    }
    function getBasicNodeMethods() {
      return [
        "get",
        "post",
        "put",
        "head",
        "delete",
        "options",
        "trace",
        "copy",
        "lock",
        "mkcol",
        "move",
        "purge",
        "propfind",
        "proppatch",
        "unlock",
        "report",
        "mkactivity",
        "checkout",
        "merge",
        "m-search",
        "notify",
        "subscribe",
        "unsubscribe",
        "patch",
        "search",
        "connect"
      ];
    }
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/router/route.js
var require_route3 = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/router/route.js"(exports2, module2) {
    "use strict";
    var debug30 = require_src4()("express:router:route");
    var flatten = require_array_flatten();
    var Layer = require_layer();
    var methods = require_methods();
    var slice = Array.prototype.slice;
    var toString = Object.prototype.toString;
    module2.exports = Route;
    function Route(path39) {
      this.path = path39;
      this.stack = [];
      debug30("new %o", path39);
      this.methods = {};
    }
    Route.prototype._handles_method = function _handles_method(method) {
      if (this.methods._all) {
        return true;
      }
      var name = method.toLowerCase();
      if (name === "head" && !this.methods["head"]) {
        name = "get";
      }
      return Boolean(this.methods[name]);
    };
    Route.prototype._options = function _options() {
      var methods2 = Object.keys(this.methods);
      if (this.methods.get && !this.methods.head) {
        methods2.push("head");
      }
      for (var i4 = 0; i4 < methods2.length; i4++) {
        methods2[i4] = methods2[i4].toUpperCase();
      }
      return methods2;
    };
    Route.prototype.dispatch = function dispatch(req, res, done) {
      var idx = 0;
      var stack2 = this.stack;
      if (stack2.length === 0) {
        return done();
      }
      var method = req.method.toLowerCase();
      if (method === "head" && !this.methods["head"]) {
        method = "get";
      }
      req.route = this;
      next();
      function next(err) {
        if (err && err === "route") {
          return done();
        }
        if (err && err === "router") {
          return done(err);
        }
        var layer = stack2[idx++];
        if (!layer) {
          return done(err);
        }
        if (layer.method && layer.method !== method) {
          return next(err);
        }
        if (err) {
          layer.handle_error(err, req, res, next);
        } else {
          layer.handle_request(req, res, next);
        }
      }
    };
    Route.prototype.all = function all() {
      var handles = flatten(slice.call(arguments));
      for (var i4 = 0; i4 < handles.length; i4++) {
        var handle = handles[i4];
        if (typeof handle !== "function") {
          var type = toString.call(handle);
          var msg = "Route.all() requires a callback function but got a " + type;
          throw new TypeError(msg);
        }
        var layer = Layer("/", {}, handle);
        layer.method = void 0;
        this.methods._all = true;
        this.stack.push(layer);
      }
      return this;
    };
    methods.forEach(function(method) {
      Route.prototype[method] = function() {
        var handles = flatten(slice.call(arguments));
        for (var i4 = 0; i4 < handles.length; i4++) {
          var handle = handles[i4];
          if (typeof handle !== "function") {
            var type = toString.call(handle);
            var msg = "Route." + method + "() requires a callback function but got a " + type;
            throw new Error(msg);
          }
          debug30("%s %o", method, this.path);
          var layer = Layer("/", {}, handle);
          layer.method = method;
          this.methods[method] = true;
          this.stack.push(layer);
        }
        return this;
      };
    });
  }
});

// ../../node_modules/.pnpm/utils-merge@1.0.1/node_modules/utils-merge/index.js
var require_utils_merge = __commonJS({
  "../../node_modules/.pnpm/utils-merge@1.0.1/node_modules/utils-merge/index.js"(exports2, module2) {
    "use strict";
    exports2 = module2.exports = function(a3, b6) {
      if (a3 && b6) {
        for (var key in b6) {
          a3[key] = b6[key];
        }
      }
      return a3;
    };
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/router/index.js
var require_router = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/router/index.js"(exports2, module2) {
    "use strict";
    var Route = require_route3();
    var Layer = require_layer();
    var methods = require_methods();
    var mixin = require_utils_merge();
    var debug30 = require_src4()("express:router");
    var deprecate2 = require_depd()("express");
    var flatten = require_array_flatten();
    var parseUrl = require_parseurl();
    var setPrototypeOf = require_setprototypeof();
    var objectRegExp = /^\[object (\S+)\]$/;
    var slice = Array.prototype.slice;
    var toString = Object.prototype.toString;
    var proto = module2.exports = function(options2) {
      var opts2 = options2 || {};
      function router(req, res, next) {
        router.handle(req, res, next);
      }
      setPrototypeOf(router, proto);
      router.params = {};
      router._params = [];
      router.caseSensitive = opts2.caseSensitive;
      router.mergeParams = opts2.mergeParams;
      router.strict = opts2.strict;
      router.stack = [];
      return router;
    };
    proto.param = function param(name, fn2) {
      if (typeof name === "function") {
        deprecate2("router.param(fn): Refactor to use path params");
        this._params.push(name);
        return;
      }
      var params = this._params;
      var len = params.length;
      var ret;
      if (name[0] === ":") {
        deprecate2("router.param(" + JSON.stringify(name) + ", fn): Use router.param(" + JSON.stringify(name.substr(1)) + ", fn) instead");
        name = name.substr(1);
      }
      for (var i4 = 0; i4 < len; ++i4) {
        if (ret = params[i4](name, fn2)) {
          fn2 = ret;
        }
      }
      if ("function" !== typeof fn2) {
        throw new Error("invalid param() call for " + name + ", got " + fn2);
      }
      (this.params[name] = this.params[name] || []).push(fn2);
      return this;
    };
    proto.handle = function handle(req, res, out) {
      var self2 = this;
      debug30("dispatching %s %s", req.method, req.url);
      var idx = 0;
      var protohost = getProtohost(req.url) || "";
      var removed = "";
      var slashAdded = false;
      var paramcalled = {};
      var options2 = [];
      var stack2 = self2.stack;
      var parentParams = req.params;
      var parentUrl = req.baseUrl || "";
      var done = restore(out, req, "baseUrl", "next", "params");
      req.next = next;
      if (req.method === "OPTIONS") {
        done = wrap3(done, function(old, err) {
          if (err || options2.length === 0)
            return old(err);
          sendOptionsResponse(res, options2, old);
        });
      }
      req.baseUrl = parentUrl;
      req.originalUrl = req.originalUrl || req.url;
      next();
      function next(err) {
        var layerError = err === "route" ? null : err;
        if (slashAdded) {
          req.url = req.url.substr(1);
          slashAdded = false;
        }
        if (removed.length !== 0) {
          req.baseUrl = parentUrl;
          req.url = protohost + removed + req.url.substr(protohost.length);
          removed = "";
        }
        if (layerError === "router") {
          setImmediate(done, null);
          return;
        }
        if (idx >= stack2.length) {
          setImmediate(done, layerError);
          return;
        }
        var path39 = getPathname(req);
        if (path39 == null) {
          return done(layerError);
        }
        var layer;
        var match4;
        var route;
        while (match4 !== true && idx < stack2.length) {
          layer = stack2[idx++];
          match4 = matchLayer(layer, path39);
          route = layer.route;
          if (typeof match4 !== "boolean") {
            layerError = layerError || match4;
          }
          if (match4 !== true) {
            continue;
          }
          if (!route) {
            continue;
          }
          if (layerError) {
            match4 = false;
            continue;
          }
          var method = req.method;
          var has_method = route._handles_method(method);
          if (!has_method && method === "OPTIONS") {
            appendMethods(options2, route._options());
          }
          if (!has_method && method !== "HEAD") {
            match4 = false;
            continue;
          }
        }
        if (match4 !== true) {
          return done(layerError);
        }
        if (route) {
          req.route = route;
        }
        req.params = self2.mergeParams ? mergeParams(layer.params, parentParams) : layer.params;
        var layerPath = layer.path;
        self2.process_params(layer, paramcalled, req, res, function(err2) {
          if (err2) {
            return next(layerError || err2);
          }
          if (route) {
            return layer.handle_request(req, res, next);
          }
          trim_prefix(layer, layerError, layerPath, path39);
        });
      }
      function trim_prefix(layer, layerError, layerPath, path39) {
        if (layerPath.length !== 0) {
          if (layerPath !== path39.substr(0, layerPath.length)) {
            next(layerError);
            return;
          }
          var c4 = path39[layerPath.length];
          if (c4 && c4 !== "/" && c4 !== ".")
            return next(layerError);
          debug30("trim prefix (%s) from url %s", layerPath, req.url);
          removed = layerPath;
          req.url = protohost + req.url.substr(protohost.length + removed.length);
          if (!protohost && req.url[0] !== "/") {
            req.url = "/" + req.url;
            slashAdded = true;
          }
          req.baseUrl = parentUrl + (removed[removed.length - 1] === "/" ? removed.substring(0, removed.length - 1) : removed);
        }
        debug30("%s %s : %s", layer.name, layerPath, req.originalUrl);
        if (layerError) {
          layer.handle_error(layerError, req, res, next);
        } else {
          layer.handle_request(req, res, next);
        }
      }
    };
    proto.process_params = function process_params(layer, called, req, res, done) {
      var params = this.params;
      var keys = layer.keys;
      if (!keys || keys.length === 0) {
        return done();
      }
      var i4 = 0;
      var name;
      var paramIndex = 0;
      var key;
      var paramVal;
      var paramCallbacks;
      var paramCalled;
      function param(err) {
        if (err) {
          return done(err);
        }
        if (i4 >= keys.length) {
          return done();
        }
        paramIndex = 0;
        key = keys[i4++];
        name = key.name;
        paramVal = req.params[name];
        paramCallbacks = params[name];
        paramCalled = called[name];
        if (paramVal === void 0 || !paramCallbacks) {
          return param();
        }
        if (paramCalled && (paramCalled.match === paramVal || paramCalled.error && paramCalled.error !== "route")) {
          req.params[name] = paramCalled.value;
          return param(paramCalled.error);
        }
        called[name] = paramCalled = {
          error: null,
          match: paramVal,
          value: paramVal
        };
        paramCallback();
      }
      function paramCallback(err) {
        var fn2 = paramCallbacks[paramIndex++];
        paramCalled.value = req.params[key.name];
        if (err) {
          paramCalled.error = err;
          param(err);
          return;
        }
        if (!fn2)
          return param();
        try {
          fn2(req, res, paramCallback, paramVal, key.name);
        } catch (e3) {
          paramCallback(e3);
        }
      }
      param();
    };
    proto.use = function use(fn2) {
      var offset = 0;
      var path39 = "/";
      if (typeof fn2 !== "function") {
        var arg3 = fn2;
        while (Array.isArray(arg3) && arg3.length !== 0) {
          arg3 = arg3[0];
        }
        if (typeof arg3 !== "function") {
          offset = 1;
          path39 = fn2;
        }
      }
      var callbacks = flatten(slice.call(arguments, offset));
      if (callbacks.length === 0) {
        throw new TypeError("Router.use() requires a middleware function");
      }
      for (var i4 = 0; i4 < callbacks.length; i4++) {
        var fn2 = callbacks[i4];
        if (typeof fn2 !== "function") {
          throw new TypeError("Router.use() requires a middleware function but got a " + gettype(fn2));
        }
        debug30("use %o %s", path39, fn2.name || "<anonymous>");
        var layer = new Layer(path39, {
          sensitive: this.caseSensitive,
          strict: false,
          end: false
        }, fn2);
        layer.route = void 0;
        this.stack.push(layer);
      }
      return this;
    };
    proto.route = function route(path39) {
      var route2 = new Route(path39);
      var layer = new Layer(path39, {
        sensitive: this.caseSensitive,
        strict: this.strict,
        end: true
      }, route2.dispatch.bind(route2));
      layer.route = route2;
      this.stack.push(layer);
      return route2;
    };
    methods.concat("all").forEach(function(method) {
      proto[method] = function(path39) {
        var route = this.route(path39);
        route[method].apply(route, slice.call(arguments, 1));
        return this;
      };
    });
    function appendMethods(list, addition) {
      for (var i4 = 0; i4 < addition.length; i4++) {
        var method = addition[i4];
        if (list.indexOf(method) === -1) {
          list.push(method);
        }
      }
    }
    function getPathname(req) {
      try {
        return parseUrl(req).pathname;
      } catch (err) {
        return void 0;
      }
    }
    function getProtohost(url2) {
      if (typeof url2 !== "string" || url2.length === 0 || url2[0] === "/") {
        return void 0;
      }
      var searchIndex = url2.indexOf("?");
      var pathLength = searchIndex !== -1 ? searchIndex : url2.length;
      var fqdnIndex = url2.substr(0, pathLength).indexOf("://");
      return fqdnIndex !== -1 ? url2.substr(0, url2.indexOf("/", 3 + fqdnIndex)) : void 0;
    }
    function gettype(obj) {
      var type = typeof obj;
      if (type !== "object") {
        return type;
      }
      return toString.call(obj).replace(objectRegExp, "$1");
    }
    function matchLayer(layer, path39) {
      try {
        return layer.match(path39);
      } catch (err) {
        return err;
      }
    }
    function mergeParams(params, parent2) {
      if (typeof parent2 !== "object" || !parent2) {
        return params;
      }
      var obj = mixin({}, parent2);
      if (!(0 in params) || !(0 in parent2)) {
        return mixin(obj, params);
      }
      var i4 = 0;
      var o2 = 0;
      while (i4 in params) {
        i4++;
      }
      while (o2 in parent2) {
        o2++;
      }
      for (i4--; i4 >= 0; i4--) {
        params[i4 + o2] = params[i4];
        if (i4 < o2) {
          delete params[i4];
        }
      }
      return mixin(obj, params);
    }
    function restore(fn2, obj) {
      var props = new Array(arguments.length - 2);
      var vals = new Array(arguments.length - 2);
      for (var i4 = 0; i4 < props.length; i4++) {
        props[i4] = arguments[i4 + 2];
        vals[i4] = obj[props[i4]];
      }
      return function() {
        for (var i7 = 0; i7 < props.length; i7++) {
          obj[props[i7]] = vals[i7];
        }
        return fn2.apply(this, arguments);
      };
    }
    function sendOptionsResponse(res, options2, next) {
      try {
        var body = options2.join(",");
        res.set("Allow", body);
        res.send(body);
      } catch (err) {
        next(err);
      }
    }
    function wrap3(old, fn2) {
      return function proxy() {
        var args3 = new Array(arguments.length + 1);
        args3[0] = old;
        for (var i4 = 0, len = arguments.length; i4 < len; i4++) {
          args3[i4 + 1] = arguments[i4];
        }
        fn2.apply(this, args3);
      };
    }
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/middleware/init.js
var require_init = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/middleware/init.js"(exports2) {
    "use strict";
    var setPrototypeOf = require_setprototypeof();
    exports2.init = function(app) {
      return function expressInit(req, res, next) {
        if (app.enabled("x-powered-by"))
          res.setHeader("X-Powered-By", "Express");
        req.res = res;
        res.req = req;
        req.next = next;
        setPrototypeOf(req, app.request);
        setPrototypeOf(res, app.response);
        res.locals = res.locals || /* @__PURE__ */ Object.create(null);
        next();
      };
    };
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/middleware/query.js
var require_query = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/middleware/query.js"(exports2, module2) {
    "use strict";
    var merge = require_utils_merge();
    var parseUrl = require_parseurl();
    var qs2 = require_lib10();
    module2.exports = function query2(options2) {
      var opts2 = merge({}, options2);
      var queryparse = qs2.parse;
      if (typeof options2 === "function") {
        queryparse = options2;
        opts2 = void 0;
      }
      if (opts2 !== void 0 && opts2.allowPrototypes === void 0) {
        opts2.allowPrototypes = true;
      }
      return function query3(req, res, next) {
        if (!req.query) {
          var val = parseUrl(req).query;
          req.query = queryparse(val, opts2);
        }
        next();
      };
    };
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/view.js
var require_view = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/view.js"(exports2, module2) {
    "use strict";
    var debug30 = require_src4()("express:view");
    var path39 = require("path");
    var fs42 = require("fs");
    var dirname2 = path39.dirname;
    var basename = path39.basename;
    var extname = path39.extname;
    var join2 = path39.join;
    var resolve3 = path39.resolve;
    module2.exports = View;
    function View(name, options2) {
      var opts2 = options2 || {};
      this.defaultEngine = opts2.defaultEngine;
      this.ext = extname(name);
      this.name = name;
      this.root = opts2.root;
      if (!this.ext && !this.defaultEngine) {
        throw new Error("No default engine was specified and no extension was provided.");
      }
      var fileName = name;
      if (!this.ext) {
        this.ext = this.defaultEngine[0] !== "." ? "." + this.defaultEngine : this.defaultEngine;
        fileName += this.ext;
      }
      if (!opts2.engines[this.ext]) {
        var mod = this.ext.substr(1);
        debug30('require "%s"', mod);
        var fn2 = require(mod).__express;
        if (typeof fn2 !== "function") {
          throw new Error('Module "' + mod + '" does not provide a view engine.');
        }
        opts2.engines[this.ext] = fn2;
      }
      this.engine = opts2.engines[this.ext];
      this.path = this.lookup(fileName);
    }
    View.prototype.lookup = function lookup(name) {
      var path40;
      var roots = [].concat(this.root);
      debug30('lookup "%s"', name);
      for (var i4 = 0; i4 < roots.length && !path40; i4++) {
        var root = roots[i4];
        var loc = resolve3(root, name);
        var dir3 = dirname2(loc);
        var file2 = basename(loc);
        path40 = this.resolve(dir3, file2);
      }
      return path40;
    };
    View.prototype.render = function render2(options2, callback) {
      debug30('render "%s"', this.path);
      this.engine(this.path, options2, callback);
    };
    View.prototype.resolve = function resolve4(dir3, file2) {
      var ext = this.ext;
      var path40 = join2(dir3, file2);
      var stat = tryStat(path40);
      if (stat && stat.isFile()) {
        return path40;
      }
      path40 = join2(dir3, basename(file2, ext), "index" + ext);
      stat = tryStat(path40);
      if (stat && stat.isFile()) {
        return path40;
      }
    };
    function tryStat(path40) {
      debug30('stat "%s"', path40);
      try {
        return fs42.statSync(path40);
      } catch (e3) {
        return void 0;
      }
    }
  }
});

// ../../node_modules/.pnpm/content-disposition@0.5.4/node_modules/content-disposition/index.js
var require_content_disposition = __commonJS({
  "../../node_modules/.pnpm/content-disposition@0.5.4/node_modules/content-disposition/index.js"(exports2, module2) {
    "use strict";
    module2.exports = contentDisposition;
    module2.exports.parse = parse3;
    var basename = require("path").basename;
    var Buffer2 = require_safe_buffer2().Buffer;
    var ENCODE_URL_ATTR_CHAR_REGEXP = /[\x00-\x20"'()*,/:;<=>?@[\\\]{}\x7f]/g;
    var HEX_ESCAPE_REGEXP = /%[0-9A-Fa-f]{2}/;
    var HEX_ESCAPE_REPLACE_REGEXP = /%([0-9A-Fa-f]{2})/g;
    var NON_LATIN1_REGEXP = /[^\x20-\x7e\xa0-\xff]/g;
    var QESC_REGEXP = /\\([\u0000-\u007f])/g;
    var QUOTE_REGEXP = /([\\"])/g;
    var PARAM_REGEXP = /;[\x09\x20]*([!#$%&'*+.0-9A-Z^_`a-z|~-]+)[\x09\x20]*=[\x09\x20]*("(?:[\x20!\x23-\x5b\x5d-\x7e\x80-\xff]|\\[\x20-\x7e])*"|[!#$%&'*+.0-9A-Z^_`a-z|~-]+)[\x09\x20]*/g;
    var TEXT_REGEXP = /^[\x20-\x7e\x80-\xff]+$/;
    var TOKEN_REGEXP = /^[!#$%&'*+.0-9A-Z^_`a-z|~-]+$/;
    var EXT_VALUE_REGEXP = /^([A-Za-z0-9!#$%&+\-^_`{}~]+)'(?:[A-Za-z]{2,3}(?:-[A-Za-z]{3}){0,3}|[A-Za-z]{4,8}|)'((?:%[0-9A-Fa-f]{2}|[A-Za-z0-9!#$&+.^_`|~-])+)$/;
    var DISPOSITION_TYPE_REGEXP = /^([!#$%&'*+.0-9A-Z^_`a-z|~-]+)[\x09\x20]*(?:$|;)/;
    function contentDisposition(filename, options2) {
      var opts2 = options2 || {};
      var type = opts2.type || "attachment";
      var params = createparams(filename, opts2.fallback);
      return format3(new ContentDisposition(type, params));
    }
    function createparams(filename, fallback2) {
      if (filename === void 0) {
        return;
      }
      var params = {};
      if (typeof filename !== "string") {
        throw new TypeError("filename must be a string");
      }
      if (fallback2 === void 0) {
        fallback2 = true;
      }
      if (typeof fallback2 !== "string" && typeof fallback2 !== "boolean") {
        throw new TypeError("fallback must be a string or boolean");
      }
      if (typeof fallback2 === "string" && NON_LATIN1_REGEXP.test(fallback2)) {
        throw new TypeError("fallback must be ISO-8859-1 string");
      }
      var name = basename(filename);
      var isQuotedString = TEXT_REGEXP.test(name);
      var fallbackName = typeof fallback2 !== "string" ? fallback2 && getlatin1(name) : basename(fallback2);
      var hasFallback = typeof fallbackName === "string" && fallbackName !== name;
      if (hasFallback || !isQuotedString || HEX_ESCAPE_REGEXP.test(name)) {
        params["filename*"] = name;
      }
      if (isQuotedString || hasFallback) {
        params.filename = hasFallback ? fallbackName : name;
      }
      return params;
    }
    function format3(obj) {
      var parameters = obj.parameters;
      var type = obj.type;
      if (!type || typeof type !== "string" || !TOKEN_REGEXP.test(type)) {
        throw new TypeError("invalid type");
      }
      var string = String(type).toLowerCase();
      if (parameters && typeof parameters === "object") {
        var param;
        var params = Object.keys(parameters).sort();
        for (var i4 = 0; i4 < params.length; i4++) {
          param = params[i4];
          var val = param.substr(-1) === "*" ? ustring(parameters[param]) : qstring(parameters[param]);
          string += "; " + param + "=" + val;
        }
      }
      return string;
    }
    function decodefield(str) {
      var match4 = EXT_VALUE_REGEXP.exec(str);
      if (!match4) {
        throw new TypeError("invalid extended field value");
      }
      var charset = match4[1].toLowerCase();
      var encoded = match4[2];
      var value;
      var binary = encoded.replace(HEX_ESCAPE_REPLACE_REGEXP, pdecode);
      switch (charset) {
        case "iso-8859-1":
          value = getlatin1(binary);
          break;
        case "utf-8":
          value = Buffer2.from(binary, "binary").toString("utf8");
          break;
        default:
          throw new TypeError("unsupported charset in extended field");
      }
      return value;
    }
    function getlatin1(val) {
      return String(val).replace(NON_LATIN1_REGEXP, "?");
    }
    function parse3(string) {
      if (!string || typeof string !== "string") {
        throw new TypeError("argument string is required");
      }
      var match4 = DISPOSITION_TYPE_REGEXP.exec(string);
      if (!match4) {
        throw new TypeError("invalid type format");
      }
      var index2 = match4[0].length;
      var type = match4[1].toLowerCase();
      var key;
      var names = [];
      var params = {};
      var value;
      index2 = PARAM_REGEXP.lastIndex = match4[0].substr(-1) === ";" ? index2 - 1 : index2;
      while (match4 = PARAM_REGEXP.exec(string)) {
        if (match4.index !== index2) {
          throw new TypeError("invalid parameter format");
        }
        index2 += match4[0].length;
        key = match4[1].toLowerCase();
        value = match4[2];
        if (names.indexOf(key) !== -1) {
          throw new TypeError("invalid duplicate parameter");
        }
        names.push(key);
        if (key.indexOf("*") + 1 === key.length) {
          key = key.slice(0, -1);
          value = decodefield(value);
          params[key] = value;
          continue;
        }
        if (typeof params[key] === "string") {
          continue;
        }
        if (value[0] === '"') {
          value = value.substr(1, value.length - 2).replace(QESC_REGEXP, "$1");
        }
        params[key] = value;
      }
      if (index2 !== -1 && index2 !== string.length) {
        throw new TypeError("invalid parameter format");
      }
      return new ContentDisposition(type, params);
    }
    function pdecode(str, hex) {
      return String.fromCharCode(parseInt(hex, 16));
    }
    function pencode(char) {
      return "%" + String(char).charCodeAt(0).toString(16).toUpperCase();
    }
    function qstring(val) {
      var str = String(val);
      return '"' + str.replace(QUOTE_REGEXP, "\\$1") + '"';
    }
    function ustring(val) {
      var str = String(val);
      var encoded = encodeURIComponent(str).replace(ENCODE_URL_ATTR_CHAR_REGEXP, pencode);
      return "UTF-8''" + encoded;
    }
    function ContentDisposition(type, parameters) {
      this.type = type;
      this.parameters = parameters;
    }
  }
});

// ../../node_modules/.pnpm/destroy@1.0.4/node_modules/destroy/index.js
var require_destroy3 = __commonJS({
  "../../node_modules/.pnpm/destroy@1.0.4/node_modules/destroy/index.js"(exports2, module2) {
    "use strict";
    var ReadStream = require("fs").ReadStream;
    var Stream2 = require("stream");
    module2.exports = destroy;
    function destroy(stream4) {
      if (stream4 instanceof ReadStream) {
        return destroyReadStream(stream4);
      }
      if (!(stream4 instanceof Stream2)) {
        return stream4;
      }
      if (typeof stream4.destroy === "function") {
        stream4.destroy();
      }
      return stream4;
    }
    function destroyReadStream(stream4) {
      stream4.destroy();
      if (typeof stream4.close === "function") {
        stream4.on("open", onOpenClose);
      }
      return stream4;
    }
    function onOpenClose() {
      if (typeof this.fd === "number") {
        this.close();
      }
    }
  }
});

// ../../node_modules/.pnpm/etag@1.8.1/node_modules/etag/index.js
var require_etag = __commonJS({
  "../../node_modules/.pnpm/etag@1.8.1/node_modules/etag/index.js"(exports2, module2) {
    "use strict";
    module2.exports = etag;
    var crypto4 = require("crypto");
    var Stats = require("fs").Stats;
    var toString = Object.prototype.toString;
    function entitytag(entity) {
      if (entity.length === 0) {
        return '"0-2jmj7l5rSw0yVb/vlWAYkK/YBwk"';
      }
      var hash = crypto4.createHash("sha1").update(entity, "utf8").digest("base64").substring(0, 27);
      var len = typeof entity === "string" ? Buffer.byteLength(entity, "utf8") : entity.length;
      return '"' + len.toString(16) + "-" + hash + '"';
    }
    function etag(entity, options2) {
      if (entity == null) {
        throw new TypeError("argument entity is required");
      }
      var isStats = isstats(entity);
      var weak = options2 && typeof options2.weak === "boolean" ? options2.weak : isStats;
      if (!isStats && typeof entity !== "string" && !Buffer.isBuffer(entity)) {
        throw new TypeError("argument entity must be string, Buffer, or fs.Stats");
      }
      var tag = isStats ? stattag(entity) : entitytag(entity);
      return weak ? "W/" + tag : tag;
    }
    function isstats(obj) {
      if (typeof Stats === "function" && obj instanceof Stats) {
        return true;
      }
      return obj && typeof obj === "object" && "ctime" in obj && toString.call(obj.ctime) === "[object Date]" && "mtime" in obj && toString.call(obj.mtime) === "[object Date]" && "ino" in obj && typeof obj.ino === "number" && "size" in obj && typeof obj.size === "number";
    }
    function stattag(stat) {
      var mtime = stat.mtime.getTime().toString(16);
      var size = stat.size.toString(16);
      return '"' + size + "-" + mtime + '"';
    }
  }
});

// ../../node_modules/.pnpm/fresh@0.5.2/node_modules/fresh/index.js
var require_fresh = __commonJS({
  "../../node_modules/.pnpm/fresh@0.5.2/node_modules/fresh/index.js"(exports2, module2) {
    "use strict";
    var CACHE_CONTROL_NO_CACHE_REGEXP = /(?:^|,)\s*?no-cache\s*?(?:,|$)/;
    module2.exports = fresh;
    function fresh(reqHeaders, resHeaders) {
      var modifiedSince = reqHeaders["if-modified-since"];
      var noneMatch = reqHeaders["if-none-match"];
      if (!modifiedSince && !noneMatch) {
        return false;
      }
      var cacheControl = reqHeaders["cache-control"];
      if (cacheControl && CACHE_CONTROL_NO_CACHE_REGEXP.test(cacheControl)) {
        return false;
      }
      if (noneMatch && noneMatch !== "*") {
        var etag = resHeaders["etag"];
        if (!etag) {
          return false;
        }
        var etagStale = true;
        var matches = parseTokenList(noneMatch);
        for (var i4 = 0; i4 < matches.length; i4++) {
          var match4 = matches[i4];
          if (match4 === etag || match4 === "W/" + etag || "W/" + match4 === etag) {
            etagStale = false;
            break;
          }
        }
        if (etagStale) {
          return false;
        }
      }
      if (modifiedSince) {
        var lastModified = resHeaders["last-modified"];
        var modifiedStale = !lastModified || !(parseHttpDate(lastModified) <= parseHttpDate(modifiedSince));
        if (modifiedStale) {
          return false;
        }
      }
      return true;
    }
    function parseHttpDate(date2) {
      var timestamp = date2 && Date.parse(date2);
      return typeof timestamp === "number" ? timestamp : NaN;
    }
    function parseTokenList(str) {
      var end = 0;
      var list = [];
      var start = 0;
      for (var i4 = 0, len = str.length; i4 < len; i4++) {
        switch (str.charCodeAt(i4)) {
          case 32:
            if (start === end) {
              start = end = i4 + 1;
            }
            break;
          case 44:
            list.push(str.substring(start, end));
            start = end = i4 + 1;
            break;
          default:
            end = i4 + 1;
            break;
        }
      }
      list.push(str.substring(start, end));
      return list;
    }
  }
});

// ../../node_modules/.pnpm/mime@1.6.0/node_modules/mime/types.json
var require_types = __commonJS({
  "../../node_modules/.pnpm/mime@1.6.0/node_modules/mime/types.json"(exports2, module2) {
    module2.exports = { "application/andrew-inset": ["ez"], "application/applixware": ["aw"], "application/atom+xml": ["atom"], "application/atomcat+xml": ["atomcat"], "application/atomsvc+xml": ["atomsvc"], "application/bdoc": ["bdoc"], "application/ccxml+xml": ["ccxml"], "application/cdmi-capability": ["cdmia"], "application/cdmi-container": ["cdmic"], "application/cdmi-domain": ["cdmid"], "application/cdmi-object": ["cdmio"], "application/cdmi-queue": ["cdmiq"], "application/cu-seeme": ["cu"], "application/dash+xml": ["mpd"], "application/davmount+xml": ["davmount"], "application/docbook+xml": ["dbk"], "application/dssc+der": ["dssc"], "application/dssc+xml": ["xdssc"], "application/ecmascript": ["ecma"], "application/emma+xml": ["emma"], "application/epub+zip": ["epub"], "application/exi": ["exi"], "application/font-tdpfr": ["pfr"], "application/font-woff": [], "application/font-woff2": [], "application/geo+json": ["geojson"], "application/gml+xml": ["gml"], "application/gpx+xml": ["gpx"], "application/gxf": ["gxf"], "application/gzip": ["gz"], "application/hyperstudio": ["stk"], "application/inkml+xml": ["ink", "inkml"], "application/ipfix": ["ipfix"], "application/java-archive": ["jar", "war", "ear"], "application/java-serialized-object": ["ser"], "application/java-vm": ["class"], "application/javascript": ["js", "mjs"], "application/json": ["json", "map"], "application/json5": ["json5"], "application/jsonml+json": ["jsonml"], "application/ld+json": ["jsonld"], "application/lost+xml": ["lostxml"], "application/mac-binhex40": ["hqx"], "application/mac-compactpro": ["cpt"], "application/mads+xml": ["mads"], "application/manifest+json": ["webmanifest"], "application/marc": ["mrc"], "application/marcxml+xml": ["mrcx"], "application/mathematica": ["ma", "nb", "mb"], "application/mathml+xml": ["mathml"], "application/mbox": ["mbox"], "application/mediaservercontrol+xml": ["mscml"], "application/metalink+xml": ["metalink"], "application/metalink4+xml": ["meta4"], "application/mets+xml": ["mets"], "application/mods+xml": ["mods"], "application/mp21": ["m21", "mp21"], "application/mp4": ["mp4s", "m4p"], "application/msword": ["doc", "dot"], "application/mxf": ["mxf"], "application/octet-stream": ["bin", "dms", "lrf", "mar", "so", "dist", "distz", "pkg", "bpk", "dump", "elc", "deploy", "exe", "dll", "deb", "dmg", "iso", "img", "msi", "msp", "msm", "buffer"], "application/oda": ["oda"], "application/oebps-package+xml": ["opf"], "application/ogg": ["ogx"], "application/omdoc+xml": ["omdoc"], "application/onenote": ["onetoc", "onetoc2", "onetmp", "onepkg"], "application/oxps": ["oxps"], "application/patch-ops-error+xml": ["xer"], "application/pdf": ["pdf"], "application/pgp-encrypted": ["pgp"], "application/pgp-signature": ["asc", "sig"], "application/pics-rules": ["prf"], "application/pkcs10": ["p10"], "application/pkcs7-mime": ["p7m", "p7c"], "application/pkcs7-signature": ["p7s"], "application/pkcs8": ["p8"], "application/pkix-attr-cert": ["ac"], "application/pkix-cert": ["cer"], "application/pkix-crl": ["crl"], "application/pkix-pkipath": ["pkipath"], "application/pkixcmp": ["pki"], "application/pls+xml": ["pls"], "application/postscript": ["ai", "eps", "ps"], "application/prs.cww": ["cww"], "application/pskc+xml": ["pskcxml"], "application/raml+yaml": ["raml"], "application/rdf+xml": ["rdf"], "application/reginfo+xml": ["rif"], "application/relax-ng-compact-syntax": ["rnc"], "application/resource-lists+xml": ["rl"], "application/resource-lists-diff+xml": ["rld"], "application/rls-services+xml": ["rs"], "application/rpki-ghostbusters": ["gbr"], "application/rpki-manifest": ["mft"], "application/rpki-roa": ["roa"], "application/rsd+xml": ["rsd"], "application/rss+xml": ["rss"], "application/rtf": ["rtf"], "application/sbml+xml": ["sbml"], "application/scvp-cv-request": ["scq"], "application/scvp-cv-response": ["scs"], "application/scvp-vp-request": ["spq"], "application/scvp-vp-response": ["spp"], "application/sdp": ["sdp"], "application/set-payment-initiation": ["setpay"], "application/set-registration-initiation": ["setreg"], "application/shf+xml": ["shf"], "application/smil+xml": ["smi", "smil"], "application/sparql-query": ["rq"], "application/sparql-results+xml": ["srx"], "application/srgs": ["gram"], "application/srgs+xml": ["grxml"], "application/sru+xml": ["sru"], "application/ssdl+xml": ["ssdl"], "application/ssml+xml": ["ssml"], "application/tei+xml": ["tei", "teicorpus"], "application/thraud+xml": ["tfi"], "application/timestamped-data": ["tsd"], "application/vnd.3gpp.pic-bw-large": ["plb"], "application/vnd.3gpp.pic-bw-small": ["psb"], "application/vnd.3gpp.pic-bw-var": ["pvb"], "application/vnd.3gpp2.tcap": ["tcap"], "application/vnd.3m.post-it-notes": ["pwn"], "application/vnd.accpac.simply.aso": ["aso"], "application/vnd.accpac.simply.imp": ["imp"], "application/vnd.acucobol": ["acu"], "application/vnd.acucorp": ["atc", "acutc"], "application/vnd.adobe.air-application-installer-package+zip": ["air"], "application/vnd.adobe.formscentral.fcdt": ["fcdt"], "application/vnd.adobe.fxp": ["fxp", "fxpl"], "application/vnd.adobe.xdp+xml": ["xdp"], "application/vnd.adobe.xfdf": ["xfdf"], "application/vnd.ahead.space": ["ahead"], "application/vnd.airzip.filesecure.azf": ["azf"], "application/vnd.airzip.filesecure.azs": ["azs"], "application/vnd.amazon.ebook": ["azw"], "application/vnd.americandynamics.acc": ["acc"], "application/vnd.amiga.ami": ["ami"], "application/vnd.android.package-archive": ["apk"], "application/vnd.anser-web-certificate-issue-initiation": ["cii"], "application/vnd.anser-web-funds-transfer-initiation": ["fti"], "application/vnd.antix.game-component": ["atx"], "application/vnd.apple.installer+xml": ["mpkg"], "application/vnd.apple.mpegurl": ["m3u8"], "application/vnd.apple.pkpass": ["pkpass"], "application/vnd.aristanetworks.swi": ["swi"], "application/vnd.astraea-software.iota": ["iota"], "application/vnd.audiograph": ["aep"], "application/vnd.blueice.multipass": ["mpm"], "application/vnd.bmi": ["bmi"], "application/vnd.businessobjects": ["rep"], "application/vnd.chemdraw+xml": ["cdxml"], "application/vnd.chipnuts.karaoke-mmd": ["mmd"], "application/vnd.cinderella": ["cdy"], "application/vnd.claymore": ["cla"], "application/vnd.cloanto.rp9": ["rp9"], "application/vnd.clonk.c4group": ["c4g", "c4d", "c4f", "c4p", "c4u"], "application/vnd.cluetrust.cartomobile-config": ["c11amc"], "application/vnd.cluetrust.cartomobile-config-pkg": ["c11amz"], "application/vnd.commonspace": ["csp"], "application/vnd.contact.cmsg": ["cdbcmsg"], "application/vnd.cosmocaller": ["cmc"], "application/vnd.crick.clicker": ["clkx"], "application/vnd.crick.clicker.keyboard": ["clkk"], "application/vnd.crick.clicker.palette": ["clkp"], "application/vnd.crick.clicker.template": ["clkt"], "application/vnd.crick.clicker.wordbank": ["clkw"], "application/vnd.criticaltools.wbs+xml": ["wbs"], "application/vnd.ctc-posml": ["pml"], "application/vnd.cups-ppd": ["ppd"], "application/vnd.curl.car": ["car"], "application/vnd.curl.pcurl": ["pcurl"], "application/vnd.dart": ["dart"], "application/vnd.data-vision.rdz": ["rdz"], "application/vnd.dece.data": ["uvf", "uvvf", "uvd", "uvvd"], "application/vnd.dece.ttml+xml": ["uvt", "uvvt"], "application/vnd.dece.unspecified": ["uvx", "uvvx"], "application/vnd.dece.zip": ["uvz", "uvvz"], "application/vnd.denovo.fcselayout-link": ["fe_launch"], "application/vnd.dna": ["dna"], "application/vnd.dolby.mlp": ["mlp"], "application/vnd.dpgraph": ["dpg"], "application/vnd.dreamfactory": ["dfac"], "application/vnd.ds-keypoint": ["kpxx"], "application/vnd.dvb.ait": ["ait"], "application/vnd.dvb.service": ["svc"], "application/vnd.dynageo": ["geo"], "application/vnd.ecowin.chart": ["mag"], "application/vnd.enliven": ["nml"], "application/vnd.epson.esf": ["esf"], "application/vnd.epson.msf": ["msf"], "application/vnd.epson.quickanime": ["qam"], "application/vnd.epson.salt": ["slt"], "application/vnd.epson.ssf": ["ssf"], "application/vnd.eszigno3+xml": ["es3", "et3"], "application/vnd.ezpix-album": ["ez2"], "application/vnd.ezpix-package": ["ez3"], "application/vnd.fdf": ["fdf"], "application/vnd.fdsn.mseed": ["mseed"], "application/vnd.fdsn.seed": ["seed", "dataless"], "application/vnd.flographit": ["gph"], "application/vnd.fluxtime.clip": ["ftc"], "application/vnd.framemaker": ["fm", "frame", "maker", "book"], "application/vnd.frogans.fnc": ["fnc"], "application/vnd.frogans.ltf": ["ltf"], "application/vnd.fsc.weblaunch": ["fsc"], "application/vnd.fujitsu.oasys": ["oas"], "application/vnd.fujitsu.oasys2": ["oa2"], "application/vnd.fujitsu.oasys3": ["oa3"], "application/vnd.fujitsu.oasysgp": ["fg5"], "application/vnd.fujitsu.oasysprs": ["bh2"], "application/vnd.fujixerox.ddd": ["ddd"], "application/vnd.fujixerox.docuworks": ["xdw"], "application/vnd.fujixerox.docuworks.binder": ["xbd"], "application/vnd.fuzzysheet": ["fzs"], "application/vnd.genomatix.tuxedo": ["txd"], "application/vnd.geogebra.file": ["ggb"], "application/vnd.geogebra.tool": ["ggt"], "application/vnd.geometry-explorer": ["gex", "gre"], "application/vnd.geonext": ["gxt"], "application/vnd.geoplan": ["g2w"], "application/vnd.geospace": ["g3w"], "application/vnd.gmx": ["gmx"], "application/vnd.google-apps.document": ["gdoc"], "application/vnd.google-apps.presentation": ["gslides"], "application/vnd.google-apps.spreadsheet": ["gsheet"], "application/vnd.google-earth.kml+xml": ["kml"], "application/vnd.google-earth.kmz": ["kmz"], "application/vnd.grafeq": ["gqf", "gqs"], "application/vnd.groove-account": ["gac"], "application/vnd.groove-help": ["ghf"], "application/vnd.groove-identity-message": ["gim"], "application/vnd.groove-injector": ["grv"], "application/vnd.groove-tool-message": ["gtm"], "application/vnd.groove-tool-template": ["tpl"], "application/vnd.groove-vcard": ["vcg"], "application/vnd.hal+xml": ["hal"], "application/vnd.handheld-entertainment+xml": ["zmm"], "application/vnd.hbci": ["hbci"], "application/vnd.hhe.lesson-player": ["les"], "application/vnd.hp-hpgl": ["hpgl"], "application/vnd.hp-hpid": ["hpid"], "application/vnd.hp-hps": ["hps"], "application/vnd.hp-jlyt": ["jlt"], "application/vnd.hp-pcl": ["pcl"], "application/vnd.hp-pclxl": ["pclxl"], "application/vnd.hydrostatix.sof-data": ["sfd-hdstx"], "application/vnd.ibm.minipay": ["mpy"], "application/vnd.ibm.modcap": ["afp", "listafp", "list3820"], "application/vnd.ibm.rights-management": ["irm"], "application/vnd.ibm.secure-container": ["sc"], "application/vnd.iccprofile": ["icc", "icm"], "application/vnd.igloader": ["igl"], "application/vnd.immervision-ivp": ["ivp"], "application/vnd.immervision-ivu": ["ivu"], "application/vnd.insors.igm": ["igm"], "application/vnd.intercon.formnet": ["xpw", "xpx"], "application/vnd.intergeo": ["i2g"], "application/vnd.intu.qbo": ["qbo"], "application/vnd.intu.qfx": ["qfx"], "application/vnd.ipunplugged.rcprofile": ["rcprofile"], "application/vnd.irepository.package+xml": ["irp"], "application/vnd.is-xpr": ["xpr"], "application/vnd.isac.fcs": ["fcs"], "application/vnd.jam": ["jam"], "application/vnd.jcp.javame.midlet-rms": ["rms"], "application/vnd.jisp": ["jisp"], "application/vnd.joost.joda-archive": ["joda"], "application/vnd.kahootz": ["ktz", "ktr"], "application/vnd.kde.karbon": ["karbon"], "application/vnd.kde.kchart": ["chrt"], "application/vnd.kde.kformula": ["kfo"], "application/vnd.kde.kivio": ["flw"], "application/vnd.kde.kontour": ["kon"], "application/vnd.kde.kpresenter": ["kpr", "kpt"], "application/vnd.kde.kspread": ["ksp"], "application/vnd.kde.kword": ["kwd", "kwt"], "application/vnd.kenameaapp": ["htke"], "application/vnd.kidspiration": ["kia"], "application/vnd.kinar": ["kne", "knp"], "application/vnd.koan": ["skp", "skd", "skt", "skm"], "application/vnd.kodak-descriptor": ["sse"], "application/vnd.las.las+xml": ["lasxml"], "application/vnd.llamagraphics.life-balance.desktop": ["lbd"], "application/vnd.llamagraphics.life-balance.exchange+xml": ["lbe"], "application/vnd.lotus-1-2-3": ["123"], "application/vnd.lotus-approach": ["apr"], "application/vnd.lotus-freelance": ["pre"], "application/vnd.lotus-notes": ["nsf"], "application/vnd.lotus-organizer": ["org"], "application/vnd.lotus-screencam": ["scm"], "application/vnd.lotus-wordpro": ["lwp"], "application/vnd.macports.portpkg": ["portpkg"], "application/vnd.mcd": ["mcd"], "application/vnd.medcalcdata": ["mc1"], "application/vnd.mediastation.cdkey": ["cdkey"], "application/vnd.mfer": ["mwf"], "application/vnd.mfmp": ["mfm"], "application/vnd.micrografx.flo": ["flo"], "application/vnd.micrografx.igx": ["igx"], "application/vnd.mif": ["mif"], "application/vnd.mobius.daf": ["daf"], "application/vnd.mobius.dis": ["dis"], "application/vnd.mobius.mbk": ["mbk"], "application/vnd.mobius.mqy": ["mqy"], "application/vnd.mobius.msl": ["msl"], "application/vnd.mobius.plc": ["plc"], "application/vnd.mobius.txf": ["txf"], "application/vnd.mophun.application": ["mpn"], "application/vnd.mophun.certificate": ["mpc"], "application/vnd.mozilla.xul+xml": ["xul"], "application/vnd.ms-artgalry": ["cil"], "application/vnd.ms-cab-compressed": ["cab"], "application/vnd.ms-excel": ["xls", "xlm", "xla", "xlc", "xlt", "xlw"], "application/vnd.ms-excel.addin.macroenabled.12": ["xlam"], "application/vnd.ms-excel.sheet.binary.macroenabled.12": ["xlsb"], "application/vnd.ms-excel.sheet.macroenabled.12": ["xlsm"], "application/vnd.ms-excel.template.macroenabled.12": ["xltm"], "application/vnd.ms-fontobject": ["eot"], "application/vnd.ms-htmlhelp": ["chm"], "application/vnd.ms-ims": ["ims"], "application/vnd.ms-lrm": ["lrm"], "application/vnd.ms-officetheme": ["thmx"], "application/vnd.ms-outlook": ["msg"], "application/vnd.ms-pki.seccat": ["cat"], "application/vnd.ms-pki.stl": ["stl"], "application/vnd.ms-powerpoint": ["ppt", "pps", "pot"], "application/vnd.ms-powerpoint.addin.macroenabled.12": ["ppam"], "application/vnd.ms-powerpoint.presentation.macroenabled.12": ["pptm"], "application/vnd.ms-powerpoint.slide.macroenabled.12": ["sldm"], "application/vnd.ms-powerpoint.slideshow.macroenabled.12": ["ppsm"], "application/vnd.ms-powerpoint.template.macroenabled.12": ["potm"], "application/vnd.ms-project": ["mpp", "mpt"], "application/vnd.ms-word.document.macroenabled.12": ["docm"], "application/vnd.ms-word.template.macroenabled.12": ["dotm"], "application/vnd.ms-works": ["wps", "wks", "wcm", "wdb"], "application/vnd.ms-wpl": ["wpl"], "application/vnd.ms-xpsdocument": ["xps"], "application/vnd.mseq": ["mseq"], "application/vnd.musician": ["mus"], "application/vnd.muvee.style": ["msty"], "application/vnd.mynfc": ["taglet"], "application/vnd.neurolanguage.nlu": ["nlu"], "application/vnd.nitf": ["ntf", "nitf"], "application/vnd.noblenet-directory": ["nnd"], "application/vnd.noblenet-sealer": ["nns"], "application/vnd.noblenet-web": ["nnw"], "application/vnd.nokia.n-gage.data": ["ngdat"], "application/vnd.nokia.n-gage.symbian.install": ["n-gage"], "application/vnd.nokia.radio-preset": ["rpst"], "application/vnd.nokia.radio-presets": ["rpss"], "application/vnd.novadigm.edm": ["edm"], "application/vnd.novadigm.edx": ["edx"], "application/vnd.novadigm.ext": ["ext"], "application/vnd.oasis.opendocument.chart": ["odc"], "application/vnd.oasis.opendocument.chart-template": ["otc"], "application/vnd.oasis.opendocument.database": ["odb"], "application/vnd.oasis.opendocument.formula": ["odf"], "application/vnd.oasis.opendocument.formula-template": ["odft"], "application/vnd.oasis.opendocument.graphics": ["odg"], "application/vnd.oasis.opendocument.graphics-template": ["otg"], "application/vnd.oasis.opendocument.image": ["odi"], "application/vnd.oasis.opendocument.image-template": ["oti"], "application/vnd.oasis.opendocument.presentation": ["odp"], "application/vnd.oasis.opendocument.presentation-template": ["otp"], "application/vnd.oasis.opendocument.spreadsheet": ["ods"], "application/vnd.oasis.opendocument.spreadsheet-template": ["ots"], "application/vnd.oasis.opendocument.text": ["odt"], "application/vnd.oasis.opendocument.text-master": ["odm"], "application/vnd.oasis.opendocument.text-template": ["ott"], "application/vnd.oasis.opendocument.text-web": ["oth"], "application/vnd.olpc-sugar": ["xo"], "application/vnd.oma.dd2+xml": ["dd2"], "application/vnd.openofficeorg.extension": ["oxt"], "application/vnd.openxmlformats-officedocument.presentationml.presentation": ["pptx"], "application/vnd.openxmlformats-officedocument.presentationml.slide": ["sldx"], "application/vnd.openxmlformats-officedocument.presentationml.slideshow": ["ppsx"], "application/vnd.openxmlformats-officedocument.presentationml.template": ["potx"], "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": ["xlsx"], "application/vnd.openxmlformats-officedocument.spreadsheetml.template": ["xltx"], "application/vnd.openxmlformats-officedocument.wordprocessingml.document": ["docx"], "application/vnd.openxmlformats-officedocument.wordprocessingml.template": ["dotx"], "application/vnd.osgeo.mapguide.package": ["mgp"], "application/vnd.osgi.dp": ["dp"], "application/vnd.osgi.subsystem": ["esa"], "application/vnd.palm": ["pdb", "pqa", "oprc"], "application/vnd.pawaafile": ["paw"], "application/vnd.pg.format": ["str"], "application/vnd.pg.osasli": ["ei6"], "application/vnd.picsel": ["efif"], "application/vnd.pmi.widget": ["wg"], "application/vnd.pocketlearn": ["plf"], "application/vnd.powerbuilder6": ["pbd"], "application/vnd.previewsystems.box": ["box"], "application/vnd.proteus.magazine": ["mgz"], "application/vnd.publishare-delta-tree": ["qps"], "application/vnd.pvi.ptid1": ["ptid"], "application/vnd.quark.quarkxpress": ["qxd", "qxt", "qwd", "qwt", "qxl", "qxb"], "application/vnd.realvnc.bed": ["bed"], "application/vnd.recordare.musicxml": ["mxl"], "application/vnd.recordare.musicxml+xml": ["musicxml"], "application/vnd.rig.cryptonote": ["cryptonote"], "application/vnd.rim.cod": ["cod"], "application/vnd.rn-realmedia": ["rm"], "application/vnd.rn-realmedia-vbr": ["rmvb"], "application/vnd.route66.link66+xml": ["link66"], "application/vnd.sailingtracker.track": ["st"], "application/vnd.seemail": ["see"], "application/vnd.sema": ["sema"], "application/vnd.semd": ["semd"], "application/vnd.semf": ["semf"], "application/vnd.shana.informed.formdata": ["ifm"], "application/vnd.shana.informed.formtemplate": ["itp"], "application/vnd.shana.informed.interchange": ["iif"], "application/vnd.shana.informed.package": ["ipk"], "application/vnd.simtech-mindmapper": ["twd", "twds"], "application/vnd.smaf": ["mmf"], "application/vnd.smart.teacher": ["teacher"], "application/vnd.solent.sdkm+xml": ["sdkm", "sdkd"], "application/vnd.spotfire.dxp": ["dxp"], "application/vnd.spotfire.sfs": ["sfs"], "application/vnd.stardivision.calc": ["sdc"], "application/vnd.stardivision.draw": ["sda"], "application/vnd.stardivision.impress": ["sdd"], "application/vnd.stardivision.math": ["smf"], "application/vnd.stardivision.writer": ["sdw", "vor"], "application/vnd.stardivision.writer-global": ["sgl"], "application/vnd.stepmania.package": ["smzip"], "application/vnd.stepmania.stepchart": ["sm"], "application/vnd.sun.wadl+xml": ["wadl"], "application/vnd.sun.xml.calc": ["sxc"], "application/vnd.sun.xml.calc.template": ["stc"], "application/vnd.sun.xml.draw": ["sxd"], "application/vnd.sun.xml.draw.template": ["std"], "application/vnd.sun.xml.impress": ["sxi"], "application/vnd.sun.xml.impress.template": ["sti"], "application/vnd.sun.xml.math": ["sxm"], "application/vnd.sun.xml.writer": ["sxw"], "application/vnd.sun.xml.writer.global": ["sxg"], "application/vnd.sun.xml.writer.template": ["stw"], "application/vnd.sus-calendar": ["sus", "susp"], "application/vnd.svd": ["svd"], "application/vnd.symbian.install": ["sis", "sisx"], "application/vnd.syncml+xml": ["xsm"], "application/vnd.syncml.dm+wbxml": ["bdm"], "application/vnd.syncml.dm+xml": ["xdm"], "application/vnd.tao.intent-module-archive": ["tao"], "application/vnd.tcpdump.pcap": ["pcap", "cap", "dmp"], "application/vnd.tmobile-livetv": ["tmo"], "application/vnd.trid.tpt": ["tpt"], "application/vnd.triscape.mxs": ["mxs"], "application/vnd.trueapp": ["tra"], "application/vnd.ufdl": ["ufd", "ufdl"], "application/vnd.uiq.theme": ["utz"], "application/vnd.umajin": ["umj"], "application/vnd.unity": ["unityweb"], "application/vnd.uoml+xml": ["uoml"], "application/vnd.vcx": ["vcx"], "application/vnd.visio": ["vsd", "vst", "vss", "vsw"], "application/vnd.visionary": ["vis"], "application/vnd.vsf": ["vsf"], "application/vnd.wap.wbxml": ["wbxml"], "application/vnd.wap.wmlc": ["wmlc"], "application/vnd.wap.wmlscriptc": ["wmlsc"], "application/vnd.webturbo": ["wtb"], "application/vnd.wolfram.player": ["nbp"], "application/vnd.wordperfect": ["wpd"], "application/vnd.wqd": ["wqd"], "application/vnd.wt.stf": ["stf"], "application/vnd.xara": ["xar"], "application/vnd.xfdl": ["xfdl"], "application/vnd.yamaha.hv-dic": ["hvd"], "application/vnd.yamaha.hv-script": ["hvs"], "application/vnd.yamaha.hv-voice": ["hvp"], "application/vnd.yamaha.openscoreformat": ["osf"], "application/vnd.yamaha.openscoreformat.osfpvg+xml": ["osfpvg"], "application/vnd.yamaha.smaf-audio": ["saf"], "application/vnd.yamaha.smaf-phrase": ["spf"], "application/vnd.yellowriver-custom-menu": ["cmp"], "application/vnd.zul": ["zir", "zirz"], "application/vnd.zzazz.deck+xml": ["zaz"], "application/voicexml+xml": ["vxml"], "application/wasm": ["wasm"], "application/widget": ["wgt"], "application/winhlp": ["hlp"], "application/wsdl+xml": ["wsdl"], "application/wspolicy+xml": ["wspolicy"], "application/x-7z-compressed": ["7z"], "application/x-abiword": ["abw"], "application/x-ace-compressed": ["ace"], "application/x-apple-diskimage": [], "application/x-arj": ["arj"], "application/x-authorware-bin": ["aab", "x32", "u32", "vox"], "application/x-authorware-map": ["aam"], "application/x-authorware-seg": ["aas"], "application/x-bcpio": ["bcpio"], "application/x-bdoc": [], "application/x-bittorrent": ["torrent"], "application/x-blorb": ["blb", "blorb"], "application/x-bzip": ["bz"], "application/x-bzip2": ["bz2", "boz"], "application/x-cbr": ["cbr", "cba", "cbt", "cbz", "cb7"], "application/x-cdlink": ["vcd"], "application/x-cfs-compressed": ["cfs"], "application/x-chat": ["chat"], "application/x-chess-pgn": ["pgn"], "application/x-chrome-extension": ["crx"], "application/x-cocoa": ["cco"], "application/x-conference": ["nsc"], "application/x-cpio": ["cpio"], "application/x-csh": ["csh"], "application/x-debian-package": ["udeb"], "application/x-dgc-compressed": ["dgc"], "application/x-director": ["dir", "dcr", "dxr", "cst", "cct", "cxt", "w3d", "fgd", "swa"], "application/x-doom": ["wad"], "application/x-dtbncx+xml": ["ncx"], "application/x-dtbook+xml": ["dtb"], "application/x-dtbresource+xml": ["res"], "application/x-dvi": ["dvi"], "application/x-envoy": ["evy"], "application/x-eva": ["eva"], "application/x-font-bdf": ["bdf"], "application/x-font-ghostscript": ["gsf"], "application/x-font-linux-psf": ["psf"], "application/x-font-pcf": ["pcf"], "application/x-font-snf": ["snf"], "application/x-font-type1": ["pfa", "pfb", "pfm", "afm"], "application/x-freearc": ["arc"], "application/x-futuresplash": ["spl"], "application/x-gca-compressed": ["gca"], "application/x-glulx": ["ulx"], "application/x-gnumeric": ["gnumeric"], "application/x-gramps-xml": ["gramps"], "application/x-gtar": ["gtar"], "application/x-hdf": ["hdf"], "application/x-httpd-php": ["php"], "application/x-install-instructions": ["install"], "application/x-iso9660-image": [], "application/x-java-archive-diff": ["jardiff"], "application/x-java-jnlp-file": ["jnlp"], "application/x-latex": ["latex"], "application/x-lua-bytecode": ["luac"], "application/x-lzh-compressed": ["lzh", "lha"], "application/x-makeself": ["run"], "application/x-mie": ["mie"], "application/x-mobipocket-ebook": ["prc", "mobi"], "application/x-ms-application": ["application"], "application/x-ms-shortcut": ["lnk"], "application/x-ms-wmd": ["wmd"], "application/x-ms-wmz": ["wmz"], "application/x-ms-xbap": ["xbap"], "application/x-msaccess": ["mdb"], "application/x-msbinder": ["obd"], "application/x-mscardfile": ["crd"], "application/x-msclip": ["clp"], "application/x-msdos-program": [], "application/x-msdownload": ["com", "bat"], "application/x-msmediaview": ["mvb", "m13", "m14"], "application/x-msmetafile": ["wmf", "emf", "emz"], "application/x-msmoney": ["mny"], "application/x-mspublisher": ["pub"], "application/x-msschedule": ["scd"], "application/x-msterminal": ["trm"], "application/x-mswrite": ["wri"], "application/x-netcdf": ["nc", "cdf"], "application/x-ns-proxy-autoconfig": ["pac"], "application/x-nzb": ["nzb"], "application/x-perl": ["pl", "pm"], "application/x-pilot": [], "application/x-pkcs12": ["p12", "pfx"], "application/x-pkcs7-certificates": ["p7b", "spc"], "application/x-pkcs7-certreqresp": ["p7r"], "application/x-rar-compressed": ["rar"], "application/x-redhat-package-manager": ["rpm"], "application/x-research-info-systems": ["ris"], "application/x-sea": ["sea"], "application/x-sh": ["sh"], "application/x-shar": ["shar"], "application/x-shockwave-flash": ["swf"], "application/x-silverlight-app": ["xap"], "application/x-sql": ["sql"], "application/x-stuffit": ["sit"], "application/x-stuffitx": ["sitx"], "application/x-subrip": ["srt"], "application/x-sv4cpio": ["sv4cpio"], "application/x-sv4crc": ["sv4crc"], "application/x-t3vm-image": ["t3"], "application/x-tads": ["gam"], "application/x-tar": ["tar"], "application/x-tcl": ["tcl", "tk"], "application/x-tex": ["tex"], "application/x-tex-tfm": ["tfm"], "application/x-texinfo": ["texinfo", "texi"], "application/x-tgif": ["obj"], "application/x-ustar": ["ustar"], "application/x-virtualbox-hdd": ["hdd"], "application/x-virtualbox-ova": ["ova"], "application/x-virtualbox-ovf": ["ovf"], "application/x-virtualbox-vbox": ["vbox"], "application/x-virtualbox-vbox-extpack": ["vbox-extpack"], "application/x-virtualbox-vdi": ["vdi"], "application/x-virtualbox-vhd": ["vhd"], "application/x-virtualbox-vmdk": ["vmdk"], "application/x-wais-source": ["src"], "application/x-web-app-manifest+json": ["webapp"], "application/x-x509-ca-cert": ["der", "crt", "pem"], "application/x-xfig": ["fig"], "application/x-xliff+xml": ["xlf"], "application/x-xpinstall": ["xpi"], "application/x-xz": ["xz"], "application/x-zmachine": ["z1", "z2", "z3", "z4", "z5", "z6", "z7", "z8"], "application/xaml+xml": ["xaml"], "application/xcap-diff+xml": ["xdf"], "application/xenc+xml": ["xenc"], "application/xhtml+xml": ["xhtml", "xht"], "application/xml": ["xml", "xsl", "xsd", "rng"], "application/xml-dtd": ["dtd"], "application/xop+xml": ["xop"], "application/xproc+xml": ["xpl"], "application/xslt+xml": ["xslt"], "application/xspf+xml": ["xspf"], "application/xv+xml": ["mxml", "xhvml", "xvml", "xvm"], "application/yang": ["yang"], "application/yin+xml": ["yin"], "application/zip": ["zip"], "audio/3gpp": [], "audio/adpcm": ["adp"], "audio/basic": ["au", "snd"], "audio/midi": ["mid", "midi", "kar", "rmi"], "audio/mp3": [], "audio/mp4": ["m4a", "mp4a"], "audio/mpeg": ["mpga", "mp2", "mp2a", "mp3", "m2a", "m3a"], "audio/ogg": ["oga", "ogg", "spx"], "audio/s3m": ["s3m"], "audio/silk": ["sil"], "audio/vnd.dece.audio": ["uva", "uvva"], "audio/vnd.digital-winds": ["eol"], "audio/vnd.dra": ["dra"], "audio/vnd.dts": ["dts"], "audio/vnd.dts.hd": ["dtshd"], "audio/vnd.lucent.voice": ["lvp"], "audio/vnd.ms-playready.media.pya": ["pya"], "audio/vnd.nuera.ecelp4800": ["ecelp4800"], "audio/vnd.nuera.ecelp7470": ["ecelp7470"], "audio/vnd.nuera.ecelp9600": ["ecelp9600"], "audio/vnd.rip": ["rip"], "audio/wav": ["wav"], "audio/wave": [], "audio/webm": ["weba"], "audio/x-aac": ["aac"], "audio/x-aiff": ["aif", "aiff", "aifc"], "audio/x-caf": ["caf"], "audio/x-flac": ["flac"], "audio/x-m4a": [], "audio/x-matroska": ["mka"], "audio/x-mpegurl": ["m3u"], "audio/x-ms-wax": ["wax"], "audio/x-ms-wma": ["wma"], "audio/x-pn-realaudio": ["ram", "ra"], "audio/x-pn-realaudio-plugin": ["rmp"], "audio/x-realaudio": [], "audio/x-wav": [], "audio/xm": ["xm"], "chemical/x-cdx": ["cdx"], "chemical/x-cif": ["cif"], "chemical/x-cmdf": ["cmdf"], "chemical/x-cml": ["cml"], "chemical/x-csml": ["csml"], "chemical/x-xyz": ["xyz"], "font/collection": ["ttc"], "font/otf": ["otf"], "font/ttf": ["ttf"], "font/woff": ["woff"], "font/woff2": ["woff2"], "image/apng": ["apng"], "image/bmp": ["bmp"], "image/cgm": ["cgm"], "image/g3fax": ["g3"], "image/gif": ["gif"], "image/ief": ["ief"], "image/jp2": ["jp2", "jpg2"], "image/jpeg": ["jpeg", "jpg", "jpe"], "image/jpm": ["jpm"], "image/jpx": ["jpx", "jpf"], "image/ktx": ["ktx"], "image/png": ["png"], "image/prs.btif": ["btif"], "image/sgi": ["sgi"], "image/svg+xml": ["svg", "svgz"], "image/tiff": ["tiff", "tif"], "image/vnd.adobe.photoshop": ["psd"], "image/vnd.dece.graphic": ["uvi", "uvvi", "uvg", "uvvg"], "image/vnd.djvu": ["djvu", "djv"], "image/vnd.dvb.subtitle": [], "image/vnd.dwg": ["dwg"], "image/vnd.dxf": ["dxf"], "image/vnd.fastbidsheet": ["fbs"], "image/vnd.fpx": ["fpx"], "image/vnd.fst": ["fst"], "image/vnd.fujixerox.edmics-mmr": ["mmr"], "image/vnd.fujixerox.edmics-rlc": ["rlc"], "image/vnd.ms-modi": ["mdi"], "image/vnd.ms-photo": ["wdp"], "image/vnd.net-fpx": ["npx"], "image/vnd.wap.wbmp": ["wbmp"], "image/vnd.xiff": ["xif"], "image/webp": ["webp"], "image/x-3ds": ["3ds"], "image/x-cmu-raster": ["ras"], "image/x-cmx": ["cmx"], "image/x-freehand": ["fh", "fhc", "fh4", "fh5", "fh7"], "image/x-icon": ["ico"], "image/x-jng": ["jng"], "image/x-mrsid-image": ["sid"], "image/x-ms-bmp": [], "image/x-pcx": ["pcx"], "image/x-pict": ["pic", "pct"], "image/x-portable-anymap": ["pnm"], "image/x-portable-bitmap": ["pbm"], "image/x-portable-graymap": ["pgm"], "image/x-portable-pixmap": ["ppm"], "image/x-rgb": ["rgb"], "image/x-tga": ["tga"], "image/x-xbitmap": ["xbm"], "image/x-xpixmap": ["xpm"], "image/x-xwindowdump": ["xwd"], "message/rfc822": ["eml", "mime"], "model/gltf+json": ["gltf"], "model/gltf-binary": ["glb"], "model/iges": ["igs", "iges"], "model/mesh": ["msh", "mesh", "silo"], "model/vnd.collada+xml": ["dae"], "model/vnd.dwf": ["dwf"], "model/vnd.gdl": ["gdl"], "model/vnd.gtw": ["gtw"], "model/vnd.mts": ["mts"], "model/vnd.vtu": ["vtu"], "model/vrml": ["wrl", "vrml"], "model/x3d+binary": ["x3db", "x3dbz"], "model/x3d+vrml": ["x3dv", "x3dvz"], "model/x3d+xml": ["x3d", "x3dz"], "text/cache-manifest": ["appcache", "manifest"], "text/calendar": ["ics", "ifb"], "text/coffeescript": ["coffee", "litcoffee"], "text/css": ["css"], "text/csv": ["csv"], "text/hjson": ["hjson"], "text/html": ["html", "htm", "shtml"], "text/jade": ["jade"], "text/jsx": ["jsx"], "text/less": ["less"], "text/markdown": ["markdown", "md"], "text/mathml": ["mml"], "text/n3": ["n3"], "text/plain": ["txt", "text", "conf", "def", "list", "log", "in", "ini"], "text/prs.lines.tag": ["dsc"], "text/richtext": ["rtx"], "text/rtf": [], "text/sgml": ["sgml", "sgm"], "text/slim": ["slim", "slm"], "text/stylus": ["stylus", "styl"], "text/tab-separated-values": ["tsv"], "text/troff": ["t", "tr", "roff", "man", "me", "ms"], "text/turtle": ["ttl"], "text/uri-list": ["uri", "uris", "urls"], "text/vcard": ["vcard"], "text/vnd.curl": ["curl"], "text/vnd.curl.dcurl": ["dcurl"], "text/vnd.curl.mcurl": ["mcurl"], "text/vnd.curl.scurl": ["scurl"], "text/vnd.dvb.subtitle": ["sub"], "text/vnd.fly": ["fly"], "text/vnd.fmi.flexstor": ["flx"], "text/vnd.graphviz": ["gv"], "text/vnd.in3d.3dml": ["3dml"], "text/vnd.in3d.spot": ["spot"], "text/vnd.sun.j2me.app-descriptor": ["jad"], "text/vnd.wap.wml": ["wml"], "text/vnd.wap.wmlscript": ["wmls"], "text/vtt": ["vtt"], "text/x-asm": ["s", "asm"], "text/x-c": ["c", "cc", "cxx", "cpp", "h", "hh", "dic"], "text/x-component": ["htc"], "text/x-fortran": ["f", "for", "f77", "f90"], "text/x-handlebars-template": ["hbs"], "text/x-java-source": ["java"], "text/x-lua": ["lua"], "text/x-markdown": ["mkd"], "text/x-nfo": ["nfo"], "text/x-opml": ["opml"], "text/x-org": [], "text/x-pascal": ["p", "pas"], "text/x-processing": ["pde"], "text/x-sass": ["sass"], "text/x-scss": ["scss"], "text/x-setext": ["etx"], "text/x-sfv": ["sfv"], "text/x-suse-ymp": ["ymp"], "text/x-uuencode": ["uu"], "text/x-vcalendar": ["vcs"], "text/x-vcard": ["vcf"], "text/xml": [], "text/yaml": ["yaml", "yml"], "video/3gpp": ["3gp", "3gpp"], "video/3gpp2": ["3g2"], "video/h261": ["h261"], "video/h263": ["h263"], "video/h264": ["h264"], "video/jpeg": ["jpgv"], "video/jpm": ["jpgm"], "video/mj2": ["mj2", "mjp2"], "video/mp2t": ["ts"], "video/mp4": ["mp4", "mp4v", "mpg4"], "video/mpeg": ["mpeg", "mpg", "mpe", "m1v", "m2v"], "video/ogg": ["ogv"], "video/quicktime": ["qt", "mov"], "video/vnd.dece.hd": ["uvh", "uvvh"], "video/vnd.dece.mobile": ["uvm", "uvvm"], "video/vnd.dece.pd": ["uvp", "uvvp"], "video/vnd.dece.sd": ["uvs", "uvvs"], "video/vnd.dece.video": ["uvv", "uvvv"], "video/vnd.dvb.file": ["dvb"], "video/vnd.fvt": ["fvt"], "video/vnd.mpegurl": ["mxu", "m4u"], "video/vnd.ms-playready.media.pyv": ["pyv"], "video/vnd.uvvu.mp4": ["uvu", "uvvu"], "video/vnd.vivo": ["viv"], "video/webm": ["webm"], "video/x-f4v": ["f4v"], "video/x-fli": ["fli"], "video/x-flv": ["flv"], "video/x-m4v": ["m4v"], "video/x-matroska": ["mkv", "mk3d", "mks"], "video/x-mng": ["mng"], "video/x-ms-asf": ["asf", "asx"], "video/x-ms-vob": ["vob"], "video/x-ms-wm": ["wm"], "video/x-ms-wmv": ["wmv"], "video/x-ms-wmx": ["wmx"], "video/x-ms-wvx": ["wvx"], "video/x-msvideo": ["avi"], "video/x-sgi-movie": ["movie"], "video/x-smv": ["smv"], "x-conference/x-cooltalk": ["ice"] };
  }
});

// ../../node_modules/.pnpm/mime@1.6.0/node_modules/mime/mime.js
var require_mime = __commonJS({
  "../../node_modules/.pnpm/mime@1.6.0/node_modules/mime/mime.js"(exports2, module2) {
    "use strict";
    var path39 = require("path");
    var fs42 = require("fs");
    function Mime() {
      this.types = /* @__PURE__ */ Object.create(null);
      this.extensions = /* @__PURE__ */ Object.create(null);
    }
    Mime.prototype.define = function(map8) {
      for (var type in map8) {
        var exts = map8[type];
        for (var i4 = 0; i4 < exts.length; i4++) {
          if (process.env.DEBUG_MIME && this.types[exts[i4]]) {
            console.warn((this._loading || "define()").replace(/.*\//, ""), 'changes "' + exts[i4] + '" extension type from ' + this.types[exts[i4]] + " to " + type);
          }
          this.types[exts[i4]] = type;
        }
        if (!this.extensions[type]) {
          this.extensions[type] = exts[0];
        }
      }
    };
    Mime.prototype.load = function(file2) {
      this._loading = file2;
      var map8 = {}, content = fs42.readFileSync(file2, "ascii"), lines2 = content.split(/[\r\n]+/);
      lines2.forEach(function(line) {
        var fields = line.replace(/\s*#.*|^\s*|\s*$/g, "").split(/\s+/);
        map8[fields.shift()] = fields;
      });
      this.define(map8);
      this._loading = null;
    };
    Mime.prototype.lookup = function(path40, fallback2) {
      var ext = path40.replace(/^.*[\.\/\\]/, "").toLowerCase();
      return this.types[ext] || fallback2 || this.default_type;
    };
    Mime.prototype.extension = function(mimeType) {
      var type = mimeType.match(/^\s*([^;\s]*)(?:;|\s|$)/)[1].toLowerCase();
      return this.extensions[type];
    };
    var mime = new Mime();
    mime.define(require_types());
    mime.default_type = mime.lookup("bin");
    mime.Mime = Mime;
    mime.charsets = {
      lookup: function(mimeType, fallback2) {
        return /^text\/|^application\/(javascript|json)/.test(mimeType) ? "UTF-8" : fallback2;
      }
    };
    module2.exports = mime;
  }
});

// ../../node_modules/.pnpm/ms@2.1.3/node_modules/ms/index.js
var require_ms3 = __commonJS({
  "../../node_modules/.pnpm/ms@2.1.3/node_modules/ms/index.js"(exports2, module2) {
    "use strict";
    var s3 = 1e3;
    var m3 = s3 * 60;
    var h3 = m3 * 60;
    var d3 = h3 * 24;
    var w7 = d3 * 7;
    var y3 = d3 * 365.25;
    module2.exports = function(val, options2) {
      options2 = options2 || {};
      var type = typeof val;
      if (type === "string" && val.length > 0) {
        return parse3(val);
      } else if (type === "number" && isFinite(val)) {
        return options2.long ? fmtLong2(val) : fmtShort2(val);
      }
      throw new Error(
        "val is not a non-empty string or a valid number. val=" + JSON.stringify(val)
      );
    };
    function parse3(str) {
      str = String(str);
      if (str.length > 100) {
        return;
      }
      var match4 = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(
        str
      );
      if (!match4) {
        return;
      }
      var n2 = parseFloat(match4[1]);
      var type = (match4[2] || "ms").toLowerCase();
      switch (type) {
        case "years":
        case "year":
        case "yrs":
        case "yr":
        case "y":
          return n2 * y3;
        case "weeks":
        case "week":
        case "w":
          return n2 * w7;
        case "days":
        case "day":
        case "d":
          return n2 * d3;
        case "hours":
        case "hour":
        case "hrs":
        case "hr":
        case "h":
          return n2 * h3;
        case "minutes":
        case "minute":
        case "mins":
        case "min":
        case "m":
          return n2 * m3;
        case "seconds":
        case "second":
        case "secs":
        case "sec":
        case "s":
          return n2 * s3;
        case "milliseconds":
        case "millisecond":
        case "msecs":
        case "msec":
        case "ms":
          return n2;
        default:
          return void 0;
      }
    }
    function fmtShort2(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d3) {
        return Math.round(ms2 / d3) + "d";
      }
      if (msAbs >= h3) {
        return Math.round(ms2 / h3) + "h";
      }
      if (msAbs >= m3) {
        return Math.round(ms2 / m3) + "m";
      }
      if (msAbs >= s3) {
        return Math.round(ms2 / s3) + "s";
      }
      return ms2 + "ms";
    }
    function fmtLong2(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d3) {
        return plural2(ms2, msAbs, d3, "day");
      }
      if (msAbs >= h3) {
        return plural2(ms2, msAbs, h3, "hour");
      }
      if (msAbs >= m3) {
        return plural2(ms2, msAbs, m3, "minute");
      }
      if (msAbs >= s3) {
        return plural2(ms2, msAbs, s3, "second");
      }
      return ms2 + " ms";
    }
    function plural2(ms2, msAbs, n2, name) {
      var isPlural = msAbs >= n2 * 1.5;
      return Math.round(ms2 / n2) + " " + name + (isPlural ? "s" : "");
    }
  }
});

// ../../node_modules/.pnpm/range-parser@1.2.1/node_modules/range-parser/index.js
var require_range_parser = __commonJS({
  "../../node_modules/.pnpm/range-parser@1.2.1/node_modules/range-parser/index.js"(exports2, module2) {
    "use strict";
    module2.exports = rangeParser;
    function rangeParser(size, str, options2) {
      if (typeof str !== "string") {
        throw new TypeError("argument str must be a string");
      }
      var index2 = str.indexOf("=");
      if (index2 === -1) {
        return -2;
      }
      var arr = str.slice(index2 + 1).split(",");
      var ranges = [];
      ranges.type = str.slice(0, index2);
      for (var i4 = 0; i4 < arr.length; i4++) {
        var range2 = arr[i4].split("-");
        var start = parseInt(range2[0], 10);
        var end = parseInt(range2[1], 10);
        if (isNaN(start)) {
          start = size - end;
          end = size - 1;
        } else if (isNaN(end)) {
          end = size - 1;
        }
        if (end > size - 1) {
          end = size - 1;
        }
        if (isNaN(start) || isNaN(end) || start > end || start < 0) {
          continue;
        }
        ranges.push({
          start,
          end
        });
      }
      if (ranges.length < 1) {
        return -1;
      }
      return options2 && options2.combine ? combineRanges(ranges) : ranges;
    }
    function combineRanges(ranges) {
      var ordered = ranges.map(mapWithIndex).sort(sortByRangeStart);
      for (var j2 = 0, i4 = 1; i4 < ordered.length; i4++) {
        var range2 = ordered[i4];
        var current = ordered[j2];
        if (range2.start > current.end + 1) {
          ordered[++j2] = range2;
        } else if (range2.end > current.end) {
          current.end = range2.end;
          current.index = Math.min(current.index, range2.index);
        }
      }
      ordered.length = j2 + 1;
      var combined = ordered.sort(sortByRangeIndex).map(mapWithoutIndex);
      combined.type = ranges.type;
      return combined;
    }
    function mapWithIndex(range2, index2) {
      return {
        start: range2.start,
        end: range2.end,
        index: index2
      };
    }
    function mapWithoutIndex(range2) {
      return {
        start: range2.start,
        end: range2.end
      };
    }
    function sortByRangeIndex(a3, b6) {
      return a3.index - b6.index;
    }
    function sortByRangeStart(a3, b6) {
      return a3.start - b6.start;
    }
  }
});

// ../../node_modules/.pnpm/send@0.17.2/node_modules/send/index.js
var require_send = __commonJS({
  "../../node_modules/.pnpm/send@0.17.2/node_modules/send/index.js"(exports2, module2) {
    "use strict";
    var createError = require_http_errors();
    var debug30 = require_src4()("send");
    var deprecate2 = require_depd()("send");
    var destroy = require_destroy3();
    var encodeUrl = require_encodeurl();
    var escapeHtml = require_escape_html();
    var etag = require_etag();
    var fresh = require_fresh();
    var fs42 = require("fs");
    var mime = require_mime();
    var ms2 = require_ms3();
    var onFinished = require_on_finished();
    var parseRange = require_range_parser();
    var path39 = require("path");
    var statuses = require_statuses();
    var Stream2 = require("stream");
    var util4 = require("util");
    var extname = path39.extname;
    var join2 = path39.join;
    var normalize = path39.normalize;
    var resolve3 = path39.resolve;
    var sep2 = path39.sep;
    var BYTES_RANGE_REGEXP = /^ *bytes=/;
    var MAX_MAXAGE = 60 * 60 * 24 * 365 * 1e3;
    var UP_PATH_REGEXP = /(?:^|[\\/])\.\.(?:[\\/]|$)/;
    module2.exports = send;
    module2.exports.mime = mime;
    function send(req, path40, options2) {
      return new SendStream(req, path40, options2);
    }
    function SendStream(req, path40, options2) {
      Stream2.call(this);
      var opts2 = options2 || {};
      this.options = opts2;
      this.path = path40;
      this.req = req;
      this._acceptRanges = opts2.acceptRanges !== void 0 ? Boolean(opts2.acceptRanges) : true;
      this._cacheControl = opts2.cacheControl !== void 0 ? Boolean(opts2.cacheControl) : true;
      this._etag = opts2.etag !== void 0 ? Boolean(opts2.etag) : true;
      this._dotfiles = opts2.dotfiles !== void 0 ? opts2.dotfiles : "ignore";
      if (this._dotfiles !== "ignore" && this._dotfiles !== "allow" && this._dotfiles !== "deny") {
        throw new TypeError('dotfiles option must be "allow", "deny", or "ignore"');
      }
      this._hidden = Boolean(opts2.hidden);
      if (opts2.hidden !== void 0) {
        deprecate2("hidden: use dotfiles: '" + (this._hidden ? "allow" : "ignore") + "' instead");
      }
      if (opts2.dotfiles === void 0) {
        this._dotfiles = void 0;
      }
      this._extensions = opts2.extensions !== void 0 ? normalizeList(opts2.extensions, "extensions option") : [];
      this._immutable = opts2.immutable !== void 0 ? Boolean(opts2.immutable) : false;
      this._index = opts2.index !== void 0 ? normalizeList(opts2.index, "index option") : ["index.html"];
      this._lastModified = opts2.lastModified !== void 0 ? Boolean(opts2.lastModified) : true;
      this._maxage = opts2.maxAge || opts2.maxage;
      this._maxage = typeof this._maxage === "string" ? ms2(this._maxage) : Number(this._maxage);
      this._maxage = !isNaN(this._maxage) ? Math.min(Math.max(0, this._maxage), MAX_MAXAGE) : 0;
      this._root = opts2.root ? resolve3(opts2.root) : null;
      if (!this._root && opts2.from) {
        this.from(opts2.from);
      }
    }
    util4.inherits(SendStream, Stream2);
    SendStream.prototype.etag = deprecate2.function(function etag2(val) {
      this._etag = Boolean(val);
      debug30("etag %s", this._etag);
      return this;
    }, "send.etag: pass etag as option");
    SendStream.prototype.hidden = deprecate2.function(function hidden2(val) {
      this._hidden = Boolean(val);
      this._dotfiles = void 0;
      debug30("hidden %s", this._hidden);
      return this;
    }, "send.hidden: use dotfiles option");
    SendStream.prototype.index = deprecate2.function(function index2(paths2) {
      var index3 = !paths2 ? [] : normalizeList(paths2, "paths argument");
      debug30("index %o", paths2);
      this._index = index3;
      return this;
    }, "send.index: pass index as option");
    SendStream.prototype.root = function root(path40) {
      this._root = resolve3(String(path40));
      debug30("root %s", this._root);
      return this;
    };
    SendStream.prototype.from = deprecate2.function(
      SendStream.prototype.root,
      "send.from: pass root as option"
    );
    SendStream.prototype.root = deprecate2.function(
      SendStream.prototype.root,
      "send.root: pass root as option"
    );
    SendStream.prototype.maxage = deprecate2.function(function maxage(maxAge) {
      this._maxage = typeof maxAge === "string" ? ms2(maxAge) : Number(maxAge);
      this._maxage = !isNaN(this._maxage) ? Math.min(Math.max(0, this._maxage), MAX_MAXAGE) : 0;
      debug30("max-age %d", this._maxage);
      return this;
    }, "send.maxage: pass maxAge as option");
    SendStream.prototype.error = function error2(status, err) {
      if (hasListeners(this, "error")) {
        return this.emit("error", createError(status, err, {
          expose: false
        }));
      }
      var res = this.res;
      var msg = statuses[status] || String(status);
      var doc = createHtmlDocument("Error", escapeHtml(msg));
      clearHeaders(res);
      if (err && err.headers) {
        setHeaders(res, err.headers);
      }
      res.statusCode = status;
      res.setHeader("Content-Type", "text/html; charset=UTF-8");
      res.setHeader("Content-Length", Buffer.byteLength(doc));
      res.setHeader("Content-Security-Policy", "default-src 'none'");
      res.setHeader("X-Content-Type-Options", "nosniff");
      res.end(doc);
    };
    SendStream.prototype.hasTrailingSlash = function hasTrailingSlash() {
      return this.path[this.path.length - 1] === "/";
    };
    SendStream.prototype.isConditionalGET = function isConditionalGET() {
      return this.req.headers["if-match"] || this.req.headers["if-unmodified-since"] || this.req.headers["if-none-match"] || this.req.headers["if-modified-since"];
    };
    SendStream.prototype.isPreconditionFailure = function isPreconditionFailure() {
      var req = this.req;
      var res = this.res;
      var match4 = req.headers["if-match"];
      if (match4) {
        var etag2 = res.getHeader("ETag");
        return !etag2 || match4 !== "*" && parseTokenList(match4).every(function(match5) {
          return match5 !== etag2 && match5 !== "W/" + etag2 && "W/" + match5 !== etag2;
        });
      }
      var unmodifiedSince = parseHttpDate(req.headers["if-unmodified-since"]);
      if (!isNaN(unmodifiedSince)) {
        var lastModified = parseHttpDate(res.getHeader("Last-Modified"));
        return isNaN(lastModified) || lastModified > unmodifiedSince;
      }
      return false;
    };
    SendStream.prototype.removeContentHeaderFields = function removeContentHeaderFields() {
      var res = this.res;
      var headers = getHeaderNames(res);
      for (var i4 = 0; i4 < headers.length; i4++) {
        var header = headers[i4];
        if (header.substr(0, 8) === "content-" && header !== "content-location") {
          res.removeHeader(header);
        }
      }
    };
    SendStream.prototype.notModified = function notModified() {
      var res = this.res;
      debug30("not modified");
      this.removeContentHeaderFields();
      res.statusCode = 304;
      res.end();
    };
    SendStream.prototype.headersAlreadySent = function headersAlreadySent() {
      var err = new Error("Can't set headers after they are sent.");
      debug30("headers already sent");
      this.error(500, err);
    };
    SendStream.prototype.isCachable = function isCachable() {
      var statusCode = this.res.statusCode;
      return statusCode >= 200 && statusCode < 300 || statusCode === 304;
    };
    SendStream.prototype.onStatError = function onStatError(error2) {
      switch (error2.code) {
        case "ENAMETOOLONG":
        case "ENOENT":
        case "ENOTDIR":
          this.error(404, error2);
          break;
        default:
          this.error(500, error2);
          break;
      }
    };
    SendStream.prototype.isFresh = function isFresh() {
      return fresh(this.req.headers, {
        etag: this.res.getHeader("ETag"),
        "last-modified": this.res.getHeader("Last-Modified")
      });
    };
    SendStream.prototype.isRangeFresh = function isRangeFresh() {
      var ifRange = this.req.headers["if-range"];
      if (!ifRange) {
        return true;
      }
      if (ifRange.indexOf('"') !== -1) {
        var etag2 = this.res.getHeader("ETag");
        return Boolean(etag2 && ifRange.indexOf(etag2) !== -1);
      }
      var lastModified = this.res.getHeader("Last-Modified");
      return parseHttpDate(lastModified) <= parseHttpDate(ifRange);
    };
    SendStream.prototype.redirect = function redirect(path40) {
      var res = this.res;
      if (hasListeners(this, "directory")) {
        this.emit("directory", res, path40);
        return;
      }
      if (this.hasTrailingSlash()) {
        this.error(403);
        return;
      }
      var loc = encodeUrl(collapseLeadingSlashes(this.path + "/"));
      var doc = createHtmlDocument("Redirecting", 'Redirecting to <a href="' + escapeHtml(loc) + '">' + escapeHtml(loc) + "</a>");
      res.statusCode = 301;
      res.setHeader("Content-Type", "text/html; charset=UTF-8");
      res.setHeader("Content-Length", Buffer.byteLength(doc));
      res.setHeader("Content-Security-Policy", "default-src 'none'");
      res.setHeader("X-Content-Type-Options", "nosniff");
      res.setHeader("Location", loc);
      res.end(doc);
    };
    SendStream.prototype.pipe = function pipe9(res) {
      var root = this._root;
      this.res = res;
      var path40 = decode(this.path);
      if (path40 === -1) {
        this.error(400);
        return res;
      }
      if (~path40.indexOf("\0")) {
        this.error(400);
        return res;
      }
      var parts;
      if (root !== null) {
        if (path40) {
          path40 = normalize("." + sep2 + path40);
        }
        if (UP_PATH_REGEXP.test(path40)) {
          debug30('malicious path "%s"', path40);
          this.error(403);
          return res;
        }
        parts = path40.split(sep2);
        path40 = normalize(join2(root, path40));
      } else {
        if (UP_PATH_REGEXP.test(path40)) {
          debug30('malicious path "%s"', path40);
          this.error(403);
          return res;
        }
        parts = normalize(path40).split(sep2);
        path40 = resolve3(path40);
      }
      if (containsDotFile(parts)) {
        var access = this._dotfiles;
        if (access === void 0) {
          access = parts[parts.length - 1][0] === "." ? this._hidden ? "allow" : "ignore" : "allow";
        }
        debug30('%s dotfile "%s"', access, path40);
        switch (access) {
          case "allow":
            break;
          case "deny":
            this.error(403);
            return res;
          case "ignore":
          default:
            this.error(404);
            return res;
        }
      }
      if (this._index.length && this.hasTrailingSlash()) {
        this.sendIndex(path40);
        return res;
      }
      this.sendFile(path40);
      return res;
    };
    SendStream.prototype.send = function send2(path40, stat) {
      var len = stat.size;
      var options2 = this.options;
      var opts2 = {};
      var res = this.res;
      var req = this.req;
      var ranges = req.headers.range;
      var offset = options2.start || 0;
      if (headersSent(res)) {
        this.headersAlreadySent();
        return;
      }
      debug30('pipe "%s"', path40);
      this.setHeader(path40, stat);
      this.type(path40);
      if (this.isConditionalGET()) {
        if (this.isPreconditionFailure()) {
          this.error(412);
          return;
        }
        if (this.isCachable() && this.isFresh()) {
          this.notModified();
          return;
        }
      }
      len = Math.max(0, len - offset);
      if (options2.end !== void 0) {
        var bytes = options2.end - offset + 1;
        if (len > bytes)
          len = bytes;
      }
      if (this._acceptRanges && BYTES_RANGE_REGEXP.test(ranges)) {
        ranges = parseRange(len, ranges, {
          combine: true
        });
        if (!this.isRangeFresh()) {
          debug30("range stale");
          ranges = -2;
        }
        if (ranges === -1) {
          debug30("range unsatisfiable");
          res.setHeader("Content-Range", contentRange("bytes", len));
          return this.error(416, {
            headers: { "Content-Range": res.getHeader("Content-Range") }
          });
        }
        if (ranges !== -2 && ranges.length === 1) {
          debug30("range %j", ranges);
          res.statusCode = 206;
          res.setHeader("Content-Range", contentRange("bytes", len, ranges[0]));
          offset += ranges[0].start;
          len = ranges[0].end - ranges[0].start + 1;
        }
      }
      for (var prop in options2) {
        opts2[prop] = options2[prop];
      }
      opts2.start = offset;
      opts2.end = Math.max(offset, offset + len - 1);
      res.setHeader("Content-Length", len);
      if (req.method === "HEAD") {
        res.end();
        return;
      }
      this.stream(path40, opts2);
    };
    SendStream.prototype.sendFile = function sendFile(path40) {
      var i4 = 0;
      var self2 = this;
      debug30('stat "%s"', path40);
      fs42.stat(path40, function onstat(err, stat) {
        if (err && err.code === "ENOENT" && !extname(path40) && path40[path40.length - 1] !== sep2) {
          return next(err);
        }
        if (err)
          return self2.onStatError(err);
        if (stat.isDirectory())
          return self2.redirect(path40);
        self2.emit("file", path40, stat);
        self2.send(path40, stat);
      });
      function next(err) {
        if (self2._extensions.length <= i4) {
          return err ? self2.onStatError(err) : self2.error(404);
        }
        var p2 = path40 + "." + self2._extensions[i4++];
        debug30('stat "%s"', p2);
        fs42.stat(p2, function(err2, stat) {
          if (err2)
            return next(err2);
          if (stat.isDirectory())
            return next();
          self2.emit("file", p2, stat);
          self2.send(p2, stat);
        });
      }
    };
    SendStream.prototype.sendIndex = function sendIndex(path40) {
      var i4 = -1;
      var self2 = this;
      function next(err) {
        if (++i4 >= self2._index.length) {
          if (err)
            return self2.onStatError(err);
          return self2.error(404);
        }
        var p2 = join2(path40, self2._index[i4]);
        debug30('stat "%s"', p2);
        fs42.stat(p2, function(err2, stat) {
          if (err2)
            return next(err2);
          if (stat.isDirectory())
            return next();
          self2.emit("file", p2, stat);
          self2.send(p2, stat);
        });
      }
      next();
    };
    SendStream.prototype.stream = function stream4(path40, options2) {
      var finished = false;
      var self2 = this;
      var res = this.res;
      var stream5 = fs42.createReadStream(path40, options2);
      this.emit("stream", stream5);
      stream5.pipe(res);
      onFinished(res, function onfinished() {
        finished = true;
        destroy(stream5);
      });
      stream5.on("error", function onerror(err) {
        if (finished)
          return;
        finished = true;
        destroy(stream5);
        self2.onStatError(err);
      });
      stream5.on("end", function onend() {
        self2.emit("end");
      });
    };
    SendStream.prototype.type = function type(path40) {
      var res = this.res;
      if (res.getHeader("Content-Type"))
        return;
      var type2 = mime.lookup(path40);
      if (!type2) {
        debug30("no content-type");
        return;
      }
      var charset = mime.charsets.lookup(type2);
      debug30("content-type %s", type2);
      res.setHeader("Content-Type", type2 + (charset ? "; charset=" + charset : ""));
    };
    SendStream.prototype.setHeader = function setHeader(path40, stat) {
      var res = this.res;
      this.emit("headers", res, path40, stat);
      if (this._acceptRanges && !res.getHeader("Accept-Ranges")) {
        debug30("accept ranges");
        res.setHeader("Accept-Ranges", "bytes");
      }
      if (this._cacheControl && !res.getHeader("Cache-Control")) {
        var cacheControl = "public, max-age=" + Math.floor(this._maxage / 1e3);
        if (this._immutable) {
          cacheControl += ", immutable";
        }
        debug30("cache-control %s", cacheControl);
        res.setHeader("Cache-Control", cacheControl);
      }
      if (this._lastModified && !res.getHeader("Last-Modified")) {
        var modified = stat.mtime.toUTCString();
        debug30("modified %s", modified);
        res.setHeader("Last-Modified", modified);
      }
      if (this._etag && !res.getHeader("ETag")) {
        var val = etag(stat);
        debug30("etag %s", val);
        res.setHeader("ETag", val);
      }
    };
    function clearHeaders(res) {
      var headers = getHeaderNames(res);
      for (var i4 = 0; i4 < headers.length; i4++) {
        res.removeHeader(headers[i4]);
      }
    }
    function collapseLeadingSlashes(str) {
      for (var i4 = 0; i4 < str.length; i4++) {
        if (str[i4] !== "/") {
          break;
        }
      }
      return i4 > 1 ? "/" + str.substr(i4) : str;
    }
    function containsDotFile(parts) {
      for (var i4 = 0; i4 < parts.length; i4++) {
        var part = parts[i4];
        if (part.length > 1 && part[0] === ".") {
          return true;
        }
      }
      return false;
    }
    function contentRange(type, size, range2) {
      return type + " " + (range2 ? range2.start + "-" + range2.end : "*") + "/" + size;
    }
    function createHtmlDocument(title, body) {
      return '<!DOCTYPE html>\n<html lang="en">\n<head>\n<meta charset="utf-8">\n<title>' + title + "</title>\n</head>\n<body>\n<pre>" + body + "</pre>\n</body>\n</html>\n";
    }
    function decode(path40) {
      try {
        return decodeURIComponent(path40);
      } catch (err) {
        return -1;
      }
    }
    function getHeaderNames(res) {
      return typeof res.getHeaderNames !== "function" ? Object.keys(res._headers || {}) : res.getHeaderNames();
    }
    function hasListeners(emitter, type) {
      var count = typeof emitter.listenerCount !== "function" ? emitter.listeners(type).length : emitter.listenerCount(type);
      return count > 0;
    }
    function headersSent(res) {
      return typeof res.headersSent !== "boolean" ? Boolean(res._header) : res.headersSent;
    }
    function normalizeList(val, name) {
      var list = [].concat(val || []);
      for (var i4 = 0; i4 < list.length; i4++) {
        if (typeof list[i4] !== "string") {
          throw new TypeError(name + " must be array of strings or false");
        }
      }
      return list;
    }
    function parseHttpDate(date2) {
      var timestamp = date2 && Date.parse(date2);
      return typeof timestamp === "number" ? timestamp : NaN;
    }
    function parseTokenList(str) {
      var end = 0;
      var list = [];
      var start = 0;
      for (var i4 = 0, len = str.length; i4 < len; i4++) {
        switch (str.charCodeAt(i4)) {
          case 32:
            if (start === end) {
              start = end = i4 + 1;
            }
            break;
          case 44:
            if (start !== end) {
              list.push(str.substring(start, end));
            }
            start = end = i4 + 1;
            break;
          default:
            end = i4 + 1;
            break;
        }
      }
      if (start !== end) {
        list.push(str.substring(start, end));
      }
      return list;
    }
    function setHeaders(res, headers) {
      var keys = Object.keys(headers);
      for (var i4 = 0; i4 < keys.length; i4++) {
        var key = keys[i4];
        res.setHeader(key, headers[key]);
      }
    }
  }
});

// ../../node_modules/.pnpm/forwarded@0.2.0/node_modules/forwarded/index.js
var require_forwarded = __commonJS({
  "../../node_modules/.pnpm/forwarded@0.2.0/node_modules/forwarded/index.js"(exports2, module2) {
    "use strict";
    module2.exports = forwarded;
    function forwarded(req) {
      if (!req) {
        throw new TypeError("argument req is required");
      }
      var proxyAddrs = parse3(req.headers["x-forwarded-for"] || "");
      var socketAddr = getSocketAddr(req);
      var addrs = [socketAddr].concat(proxyAddrs);
      return addrs;
    }
    function getSocketAddr(req) {
      return req.socket ? req.socket.remoteAddress : req.connection.remoteAddress;
    }
    function parse3(header) {
      var end = header.length;
      var list = [];
      var start = header.length;
      for (var i4 = header.length - 1; i4 >= 0; i4--) {
        switch (header.charCodeAt(i4)) {
          case 32:
            if (start === end) {
              start = end = i4;
            }
            break;
          case 44:
            if (start !== end) {
              list.push(header.substring(start, end));
            }
            start = end = i4;
            break;
          default:
            start = i4;
            break;
        }
      }
      if (start !== end) {
        list.push(header.substring(start, end));
      }
      return list;
    }
  }
});

// ../../node_modules/.pnpm/ipaddr.js@1.9.1/node_modules/ipaddr.js/lib/ipaddr.js
var require_ipaddr = __commonJS({
  "../../node_modules/.pnpm/ipaddr.js@1.9.1/node_modules/ipaddr.js/lib/ipaddr.js"(exports2, module2) {
    "use strict";
    (function() {
      var expandIPv6, ipaddr, ipv4Part, ipv4Regexes, ipv6Part, ipv6Regexes, matchCIDR, root, zoneIndex;
      ipaddr = {};
      root = this;
      if (typeof module2 !== "undefined" && module2 !== null && module2.exports) {
        module2.exports = ipaddr;
      } else {
        root["ipaddr"] = ipaddr;
      }
      matchCIDR = function(first, second, partSize, cidrBits) {
        var part, shift;
        if (first.length !== second.length) {
          throw new Error("ipaddr: cannot match CIDR for objects with different lengths");
        }
        part = 0;
        while (cidrBits > 0) {
          shift = partSize - cidrBits;
          if (shift < 0) {
            shift = 0;
          }
          if (first[part] >> shift !== second[part] >> shift) {
            return false;
          }
          cidrBits -= partSize;
          part += 1;
        }
        return true;
      };
      ipaddr.subnetMatch = function(address, rangeList, defaultName) {
        var k, len, rangeName, rangeSubnets, subnet;
        if (defaultName == null) {
          defaultName = "unicast";
        }
        for (rangeName in rangeList) {
          rangeSubnets = rangeList[rangeName];
          if (rangeSubnets[0] && !(rangeSubnets[0] instanceof Array)) {
            rangeSubnets = [rangeSubnets];
          }
          for (k = 0, len = rangeSubnets.length; k < len; k++) {
            subnet = rangeSubnets[k];
            if (address.kind() === subnet[0].kind()) {
              if (address.match.apply(address, subnet)) {
                return rangeName;
              }
            }
          }
        }
        return defaultName;
      };
      ipaddr.IPv4 = function() {
        function IPv4(octets) {
          var k, len, octet;
          if (octets.length !== 4) {
            throw new Error("ipaddr: ipv4 octet count should be 4");
          }
          for (k = 0, len = octets.length; k < len; k++) {
            octet = octets[k];
            if (!(0 <= octet && octet <= 255)) {
              throw new Error("ipaddr: ipv4 octet should fit in 8 bits");
            }
          }
          this.octets = octets;
        }
        IPv4.prototype.kind = function() {
          return "ipv4";
        };
        IPv4.prototype.toString = function() {
          return this.octets.join(".");
        };
        IPv4.prototype.toNormalizedString = function() {
          return this.toString();
        };
        IPv4.prototype.toByteArray = function() {
          return this.octets.slice(0);
        };
        IPv4.prototype.match = function(other, cidrRange) {
          var ref;
          if (cidrRange === void 0) {
            ref = other, other = ref[0], cidrRange = ref[1];
          }
          if (other.kind() !== "ipv4") {
            throw new Error("ipaddr: cannot match ipv4 address with non-ipv4 one");
          }
          return matchCIDR(this.octets, other.octets, 8, cidrRange);
        };
        IPv4.prototype.SpecialRanges = {
          unspecified: [[new IPv4([0, 0, 0, 0]), 8]],
          broadcast: [[new IPv4([255, 255, 255, 255]), 32]],
          multicast: [[new IPv4([224, 0, 0, 0]), 4]],
          linkLocal: [[new IPv4([169, 254, 0, 0]), 16]],
          loopback: [[new IPv4([127, 0, 0, 0]), 8]],
          carrierGradeNat: [[new IPv4([100, 64, 0, 0]), 10]],
          "private": [[new IPv4([10, 0, 0, 0]), 8], [new IPv4([172, 16, 0, 0]), 12], [new IPv4([192, 168, 0, 0]), 16]],
          reserved: [[new IPv4([192, 0, 0, 0]), 24], [new IPv4([192, 0, 2, 0]), 24], [new IPv4([192, 88, 99, 0]), 24], [new IPv4([198, 51, 100, 0]), 24], [new IPv4([203, 0, 113, 0]), 24], [new IPv4([240, 0, 0, 0]), 4]]
        };
        IPv4.prototype.range = function() {
          return ipaddr.subnetMatch(this, this.SpecialRanges);
        };
        IPv4.prototype.toIPv4MappedAddress = function() {
          return ipaddr.IPv6.parse("::ffff:" + this.toString());
        };
        IPv4.prototype.prefixLengthFromSubnetMask = function() {
          var cidr, i4, k, octet, stop, zeros, zerotable;
          zerotable = {
            0: 8,
            128: 7,
            192: 6,
            224: 5,
            240: 4,
            248: 3,
            252: 2,
            254: 1,
            255: 0
          };
          cidr = 0;
          stop = false;
          for (i4 = k = 3; k >= 0; i4 = k += -1) {
            octet = this.octets[i4];
            if (octet in zerotable) {
              zeros = zerotable[octet];
              if (stop && zeros !== 0) {
                return null;
              }
              if (zeros !== 8) {
                stop = true;
              }
              cidr += zeros;
            } else {
              return null;
            }
          }
          return 32 - cidr;
        };
        return IPv4;
      }();
      ipv4Part = "(0?\\d+|0x[a-f0-9]+)";
      ipv4Regexes = {
        fourOctet: new RegExp("^" + ipv4Part + "\\." + ipv4Part + "\\." + ipv4Part + "\\." + ipv4Part + "$", "i"),
        longValue: new RegExp("^" + ipv4Part + "$", "i")
      };
      ipaddr.IPv4.parser = function(string) {
        var match4, parseIntAuto, part, shift, value;
        parseIntAuto = function(string2) {
          if (string2[0] === "0" && string2[1] !== "x") {
            return parseInt(string2, 8);
          } else {
            return parseInt(string2);
          }
        };
        if (match4 = string.match(ipv4Regexes.fourOctet)) {
          return function() {
            var k, len, ref, results;
            ref = match4.slice(1, 6);
            results = [];
            for (k = 0, len = ref.length; k < len; k++) {
              part = ref[k];
              results.push(parseIntAuto(part));
            }
            return results;
          }();
        } else if (match4 = string.match(ipv4Regexes.longValue)) {
          value = parseIntAuto(match4[1]);
          if (value > 4294967295 || value < 0) {
            throw new Error("ipaddr: address outside defined range");
          }
          return function() {
            var k, results;
            results = [];
            for (shift = k = 0; k <= 24; shift = k += 8) {
              results.push(value >> shift & 255);
            }
            return results;
          }().reverse();
        } else {
          return null;
        }
      };
      ipaddr.IPv6 = function() {
        function IPv6(parts, zoneId) {
          var i4, k, l2, len, part, ref;
          if (parts.length === 16) {
            this.parts = [];
            for (i4 = k = 0; k <= 14; i4 = k += 2) {
              this.parts.push(parts[i4] << 8 | parts[i4 + 1]);
            }
          } else if (parts.length === 8) {
            this.parts = parts;
          } else {
            throw new Error("ipaddr: ipv6 part count should be 8 or 16");
          }
          ref = this.parts;
          for (l2 = 0, len = ref.length; l2 < len; l2++) {
            part = ref[l2];
            if (!(0 <= part && part <= 65535)) {
              throw new Error("ipaddr: ipv6 part should fit in 16 bits");
            }
          }
          if (zoneId) {
            this.zoneId = zoneId;
          }
        }
        IPv6.prototype.kind = function() {
          return "ipv6";
        };
        IPv6.prototype.toString = function() {
          return this.toNormalizedString().replace(/((^|:)(0(:|$))+)/, "::");
        };
        IPv6.prototype.toRFC5952String = function() {
          var bestMatchIndex, bestMatchLength, match4, regex2, string;
          regex2 = /((^|:)(0(:|$)){2,})/g;
          string = this.toNormalizedString();
          bestMatchIndex = 0;
          bestMatchLength = -1;
          while (match4 = regex2.exec(string)) {
            if (match4[0].length > bestMatchLength) {
              bestMatchIndex = match4.index;
              bestMatchLength = match4[0].length;
            }
          }
          if (bestMatchLength < 0) {
            return string;
          }
          return string.substring(0, bestMatchIndex) + "::" + string.substring(bestMatchIndex + bestMatchLength);
        };
        IPv6.prototype.toByteArray = function() {
          var bytes, k, len, part, ref;
          bytes = [];
          ref = this.parts;
          for (k = 0, len = ref.length; k < len; k++) {
            part = ref[k];
            bytes.push(part >> 8);
            bytes.push(part & 255);
          }
          return bytes;
        };
        IPv6.prototype.toNormalizedString = function() {
          var addr, part, suffix;
          addr = function() {
            var k, len, ref, results;
            ref = this.parts;
            results = [];
            for (k = 0, len = ref.length; k < len; k++) {
              part = ref[k];
              results.push(part.toString(16));
            }
            return results;
          }.call(this).join(":");
          suffix = "";
          if (this.zoneId) {
            suffix = "%" + this.zoneId;
          }
          return addr + suffix;
        };
        IPv6.prototype.toFixedLengthString = function() {
          var addr, part, suffix;
          addr = function() {
            var k, len, ref, results;
            ref = this.parts;
            results = [];
            for (k = 0, len = ref.length; k < len; k++) {
              part = ref[k];
              results.push(part.toString(16).padStart(4, "0"));
            }
            return results;
          }.call(this).join(":");
          suffix = "";
          if (this.zoneId) {
            suffix = "%" + this.zoneId;
          }
          return addr + suffix;
        };
        IPv6.prototype.match = function(other, cidrRange) {
          var ref;
          if (cidrRange === void 0) {
            ref = other, other = ref[0], cidrRange = ref[1];
          }
          if (other.kind() !== "ipv6") {
            throw new Error("ipaddr: cannot match ipv6 address with non-ipv6 one");
          }
          return matchCIDR(this.parts, other.parts, 16, cidrRange);
        };
        IPv6.prototype.SpecialRanges = {
          unspecified: [new IPv6([0, 0, 0, 0, 0, 0, 0, 0]), 128],
          linkLocal: [new IPv6([65152, 0, 0, 0, 0, 0, 0, 0]), 10],
          multicast: [new IPv6([65280, 0, 0, 0, 0, 0, 0, 0]), 8],
          loopback: [new IPv6([0, 0, 0, 0, 0, 0, 0, 1]), 128],
          uniqueLocal: [new IPv6([64512, 0, 0, 0, 0, 0, 0, 0]), 7],
          ipv4Mapped: [new IPv6([0, 0, 0, 0, 0, 65535, 0, 0]), 96],
          rfc6145: [new IPv6([0, 0, 0, 0, 65535, 0, 0, 0]), 96],
          rfc6052: [new IPv6([100, 65435, 0, 0, 0, 0, 0, 0]), 96],
          "6to4": [new IPv6([8194, 0, 0, 0, 0, 0, 0, 0]), 16],
          teredo: [new IPv6([8193, 0, 0, 0, 0, 0, 0, 0]), 32],
          reserved: [[new IPv6([8193, 3512, 0, 0, 0, 0, 0, 0]), 32]]
        };
        IPv6.prototype.range = function() {
          return ipaddr.subnetMatch(this, this.SpecialRanges);
        };
        IPv6.prototype.isIPv4MappedAddress = function() {
          return this.range() === "ipv4Mapped";
        };
        IPv6.prototype.toIPv4Address = function() {
          var high, low, ref;
          if (!this.isIPv4MappedAddress()) {
            throw new Error("ipaddr: trying to convert a generic ipv6 address to ipv4");
          }
          ref = this.parts.slice(-2), high = ref[0], low = ref[1];
          return new ipaddr.IPv4([high >> 8, high & 255, low >> 8, low & 255]);
        };
        IPv6.prototype.prefixLengthFromSubnetMask = function() {
          var cidr, i4, k, part, stop, zeros, zerotable;
          zerotable = {
            0: 16,
            32768: 15,
            49152: 14,
            57344: 13,
            61440: 12,
            63488: 11,
            64512: 10,
            65024: 9,
            65280: 8,
            65408: 7,
            65472: 6,
            65504: 5,
            65520: 4,
            65528: 3,
            65532: 2,
            65534: 1,
            65535: 0
          };
          cidr = 0;
          stop = false;
          for (i4 = k = 7; k >= 0; i4 = k += -1) {
            part = this.parts[i4];
            if (part in zerotable) {
              zeros = zerotable[part];
              if (stop && zeros !== 0) {
                return null;
              }
              if (zeros !== 16) {
                stop = true;
              }
              cidr += zeros;
            } else {
              return null;
            }
          }
          return 128 - cidr;
        };
        return IPv6;
      }();
      ipv6Part = "(?:[0-9a-f]+::?)+";
      zoneIndex = "%[0-9a-z]{1,}";
      ipv6Regexes = {
        zoneIndex: new RegExp(zoneIndex, "i"),
        "native": new RegExp("^(::)?(" + ipv6Part + ")?([0-9a-f]+)?(::)?(" + zoneIndex + ")?$", "i"),
        transitional: new RegExp("^((?:" + ipv6Part + ")|(?:::)(?:" + ipv6Part + ")?)" + (ipv4Part + "\\." + ipv4Part + "\\." + ipv4Part + "\\." + ipv4Part) + ("(" + zoneIndex + ")?$"), "i")
      };
      expandIPv6 = function(string, parts) {
        var colonCount, lastColon, part, replacement, replacementCount, zoneId;
        if (string.indexOf("::") !== string.lastIndexOf("::")) {
          return null;
        }
        zoneId = (string.match(ipv6Regexes["zoneIndex"]) || [])[0];
        if (zoneId) {
          zoneId = zoneId.substring(1);
          string = string.replace(/%.+$/, "");
        }
        colonCount = 0;
        lastColon = -1;
        while ((lastColon = string.indexOf(":", lastColon + 1)) >= 0) {
          colonCount++;
        }
        if (string.substr(0, 2) === "::") {
          colonCount--;
        }
        if (string.substr(-2, 2) === "::") {
          colonCount--;
        }
        if (colonCount > parts) {
          return null;
        }
        replacementCount = parts - colonCount;
        replacement = ":";
        while (replacementCount--) {
          replacement += "0:";
        }
        string = string.replace("::", replacement);
        if (string[0] === ":") {
          string = string.slice(1);
        }
        if (string[string.length - 1] === ":") {
          string = string.slice(0, -1);
        }
        parts = function() {
          var k, len, ref, results;
          ref = string.split(":");
          results = [];
          for (k = 0, len = ref.length; k < len; k++) {
            part = ref[k];
            results.push(parseInt(part, 16));
          }
          return results;
        }();
        return {
          parts,
          zoneId
        };
      };
      ipaddr.IPv6.parser = function(string) {
        var addr, k, len, match4, octet, octets, zoneId;
        if (ipv6Regexes["native"].test(string)) {
          return expandIPv6(string, 8);
        } else if (match4 = string.match(ipv6Regexes["transitional"])) {
          zoneId = match4[6] || "";
          addr = expandIPv6(match4[1].slice(0, -1) + zoneId, 6);
          if (addr.parts) {
            octets = [parseInt(match4[2]), parseInt(match4[3]), parseInt(match4[4]), parseInt(match4[5])];
            for (k = 0, len = octets.length; k < len; k++) {
              octet = octets[k];
              if (!(0 <= octet && octet <= 255)) {
                return null;
              }
            }
            addr.parts.push(octets[0] << 8 | octets[1]);
            addr.parts.push(octets[2] << 8 | octets[3]);
            return {
              parts: addr.parts,
              zoneId: addr.zoneId
            };
          }
        }
        return null;
      };
      ipaddr.IPv4.isIPv4 = ipaddr.IPv6.isIPv6 = function(string) {
        return this.parser(string) !== null;
      };
      ipaddr.IPv4.isValid = function(string) {
        var e3;
        try {
          new this(this.parser(string));
          return true;
        } catch (error1) {
          e3 = error1;
          return false;
        }
      };
      ipaddr.IPv4.isValidFourPartDecimal = function(string) {
        if (ipaddr.IPv4.isValid(string) && string.match(/^(0|[1-9]\d*)(\.(0|[1-9]\d*)){3}$/)) {
          return true;
        } else {
          return false;
        }
      };
      ipaddr.IPv6.isValid = function(string) {
        var addr, e3;
        if (typeof string === "string" && string.indexOf(":") === -1) {
          return false;
        }
        try {
          addr = this.parser(string);
          new this(addr.parts, addr.zoneId);
          return true;
        } catch (error1) {
          e3 = error1;
          return false;
        }
      };
      ipaddr.IPv4.parse = function(string) {
        var parts;
        parts = this.parser(string);
        if (parts === null) {
          throw new Error("ipaddr: string is not formatted like ip address");
        }
        return new this(parts);
      };
      ipaddr.IPv6.parse = function(string) {
        var addr;
        addr = this.parser(string);
        if (addr.parts === null) {
          throw new Error("ipaddr: string is not formatted like ip address");
        }
        return new this(addr.parts, addr.zoneId);
      };
      ipaddr.IPv4.parseCIDR = function(string) {
        var maskLength, match4, parsed;
        if (match4 = string.match(/^(.+)\/(\d+)$/)) {
          maskLength = parseInt(match4[2]);
          if (maskLength >= 0 && maskLength <= 32) {
            parsed = [this.parse(match4[1]), maskLength];
            Object.defineProperty(parsed, "toString", {
              value: function() {
                return this.join("/");
              }
            });
            return parsed;
          }
        }
        throw new Error("ipaddr: string is not formatted like an IPv4 CIDR range");
      };
      ipaddr.IPv4.subnetMaskFromPrefixLength = function(prefix) {
        var filledOctetCount, j2, octets;
        prefix = parseInt(prefix);
        if (prefix < 0 || prefix > 32) {
          throw new Error("ipaddr: invalid IPv4 prefix length");
        }
        octets = [0, 0, 0, 0];
        j2 = 0;
        filledOctetCount = Math.floor(prefix / 8);
        while (j2 < filledOctetCount) {
          octets[j2] = 255;
          j2++;
        }
        if (filledOctetCount < 4) {
          octets[filledOctetCount] = Math.pow(2, prefix % 8) - 1 << 8 - prefix % 8;
        }
        return new this(octets);
      };
      ipaddr.IPv4.broadcastAddressFromCIDR = function(string) {
        var cidr, error2, i4, ipInterfaceOctets, octets, subnetMaskOctets;
        try {
          cidr = this.parseCIDR(string);
          ipInterfaceOctets = cidr[0].toByteArray();
          subnetMaskOctets = this.subnetMaskFromPrefixLength(cidr[1]).toByteArray();
          octets = [];
          i4 = 0;
          while (i4 < 4) {
            octets.push(parseInt(ipInterfaceOctets[i4], 10) | parseInt(subnetMaskOctets[i4], 10) ^ 255);
            i4++;
          }
          return new this(octets);
        } catch (error1) {
          error2 = error1;
          throw new Error("ipaddr: the address does not have IPv4 CIDR format");
        }
      };
      ipaddr.IPv4.networkAddressFromCIDR = function(string) {
        var cidr, error2, i4, ipInterfaceOctets, octets, subnetMaskOctets;
        try {
          cidr = this.parseCIDR(string);
          ipInterfaceOctets = cidr[0].toByteArray();
          subnetMaskOctets = this.subnetMaskFromPrefixLength(cidr[1]).toByteArray();
          octets = [];
          i4 = 0;
          while (i4 < 4) {
            octets.push(parseInt(ipInterfaceOctets[i4], 10) & parseInt(subnetMaskOctets[i4], 10));
            i4++;
          }
          return new this(octets);
        } catch (error1) {
          error2 = error1;
          throw new Error("ipaddr: the address does not have IPv4 CIDR format");
        }
      };
      ipaddr.IPv6.parseCIDR = function(string) {
        var maskLength, match4, parsed;
        if (match4 = string.match(/^(.+)\/(\d+)$/)) {
          maskLength = parseInt(match4[2]);
          if (maskLength >= 0 && maskLength <= 128) {
            parsed = [this.parse(match4[1]), maskLength];
            Object.defineProperty(parsed, "toString", {
              value: function() {
                return this.join("/");
              }
            });
            return parsed;
          }
        }
        throw new Error("ipaddr: string is not formatted like an IPv6 CIDR range");
      };
      ipaddr.isValid = function(string) {
        return ipaddr.IPv6.isValid(string) || ipaddr.IPv4.isValid(string);
      };
      ipaddr.parse = function(string) {
        if (ipaddr.IPv6.isValid(string)) {
          return ipaddr.IPv6.parse(string);
        } else if (ipaddr.IPv4.isValid(string)) {
          return ipaddr.IPv4.parse(string);
        } else {
          throw new Error("ipaddr: the address has neither IPv6 nor IPv4 format");
        }
      };
      ipaddr.parseCIDR = function(string) {
        var e3;
        try {
          return ipaddr.IPv6.parseCIDR(string);
        } catch (error1) {
          e3 = error1;
          try {
            return ipaddr.IPv4.parseCIDR(string);
          } catch (error12) {
            e3 = error12;
            throw new Error("ipaddr: the address has neither IPv6 nor IPv4 CIDR format");
          }
        }
      };
      ipaddr.fromByteArray = function(bytes) {
        var length;
        length = bytes.length;
        if (length === 4) {
          return new ipaddr.IPv4(bytes);
        } else if (length === 16) {
          return new ipaddr.IPv6(bytes);
        } else {
          throw new Error("ipaddr: the binary input is neither an IPv6 nor IPv4 address");
        }
      };
      ipaddr.process = function(string) {
        var addr;
        addr = this.parse(string);
        if (addr.kind() === "ipv6" && addr.isIPv4MappedAddress()) {
          return addr.toIPv4Address();
        } else {
          return addr;
        }
      };
    }).call(exports2);
  }
});

// ../../node_modules/.pnpm/proxy-addr@2.0.7/node_modules/proxy-addr/index.js
var require_proxy_addr = __commonJS({
  "../../node_modules/.pnpm/proxy-addr@2.0.7/node_modules/proxy-addr/index.js"(exports2, module2) {
    "use strict";
    module2.exports = proxyaddr;
    module2.exports.all = alladdrs;
    module2.exports.compile = compile;
    var forwarded = require_forwarded();
    var ipaddr = require_ipaddr();
    var DIGIT_REGEXP = /^[0-9]+$/;
    var isip = ipaddr.isValid;
    var parseip = ipaddr.parse;
    var IP_RANGES = {
      linklocal: ["169.254.0.0/16", "fe80::/10"],
      loopback: ["127.0.0.1/8", "::1/128"],
      uniquelocal: ["10.0.0.0/8", "172.16.0.0/12", "192.168.0.0/16", "fc00::/7"]
    };
    function alladdrs(req, trust) {
      var addrs = forwarded(req);
      if (!trust) {
        return addrs;
      }
      if (typeof trust !== "function") {
        trust = compile(trust);
      }
      for (var i4 = 0; i4 < addrs.length - 1; i4++) {
        if (trust(addrs[i4], i4))
          continue;
        addrs.length = i4 + 1;
      }
      return addrs;
    }
    function compile(val) {
      if (!val) {
        throw new TypeError("argument is required");
      }
      var trust;
      if (typeof val === "string") {
        trust = [val];
      } else if (Array.isArray(val)) {
        trust = val.slice();
      } else {
        throw new TypeError("unsupported trust argument");
      }
      for (var i4 = 0; i4 < trust.length; i4++) {
        val = trust[i4];
        if (!Object.prototype.hasOwnProperty.call(IP_RANGES, val)) {
          continue;
        }
        val = IP_RANGES[val];
        trust.splice.apply(trust, [i4, 1].concat(val));
        i4 += val.length - 1;
      }
      return compileTrust(compileRangeSubnets(trust));
    }
    function compileRangeSubnets(arr) {
      var rangeSubnets = new Array(arr.length);
      for (var i4 = 0; i4 < arr.length; i4++) {
        rangeSubnets[i4] = parseipNotation(arr[i4]);
      }
      return rangeSubnets;
    }
    function compileTrust(rangeSubnets) {
      var len = rangeSubnets.length;
      return len === 0 ? trustNone : len === 1 ? trustSingle(rangeSubnets[0]) : trustMulti(rangeSubnets);
    }
    function parseipNotation(note) {
      var pos2 = note.lastIndexOf("/");
      var str = pos2 !== -1 ? note.substring(0, pos2) : note;
      if (!isip(str)) {
        throw new TypeError("invalid IP address: " + str);
      }
      var ip = parseip(str);
      if (pos2 === -1 && ip.kind() === "ipv6" && ip.isIPv4MappedAddress()) {
        ip = ip.toIPv4Address();
      }
      var max = ip.kind() === "ipv6" ? 128 : 32;
      var range2 = pos2 !== -1 ? note.substring(pos2 + 1, note.length) : null;
      if (range2 === null) {
        range2 = max;
      } else if (DIGIT_REGEXP.test(range2)) {
        range2 = parseInt(range2, 10);
      } else if (ip.kind() === "ipv4" && isip(range2)) {
        range2 = parseNetmask(range2);
      } else {
        range2 = null;
      }
      if (range2 <= 0 || range2 > max) {
        throw new TypeError("invalid range on address: " + note);
      }
      return [ip, range2];
    }
    function parseNetmask(netmask) {
      var ip = parseip(netmask);
      var kind = ip.kind();
      return kind === "ipv4" ? ip.prefixLengthFromSubnetMask() : null;
    }
    function proxyaddr(req, trust) {
      if (!req) {
        throw new TypeError("req argument is required");
      }
      if (!trust) {
        throw new TypeError("trust argument is required");
      }
      var addrs = alladdrs(req, trust);
      var addr = addrs[addrs.length - 1];
      return addr;
    }
    function trustNone() {
      return false;
    }
    function trustMulti(subnets) {
      return function trust(addr) {
        if (!isip(addr))
          return false;
        var ip = parseip(addr);
        var ipconv;
        var kind = ip.kind();
        for (var i4 = 0; i4 < subnets.length; i4++) {
          var subnet = subnets[i4];
          var subnetip = subnet[0];
          var subnetkind = subnetip.kind();
          var subnetrange = subnet[1];
          var trusted = ip;
          if (kind !== subnetkind) {
            if (subnetkind === "ipv4" && !ip.isIPv4MappedAddress()) {
              continue;
            }
            if (!ipconv) {
              ipconv = subnetkind === "ipv4" ? ip.toIPv4Address() : ip.toIPv4MappedAddress();
            }
            trusted = ipconv;
          }
          if (trusted.match(subnetip, subnetrange)) {
            return true;
          }
        }
        return false;
      };
    }
    function trustSingle(subnet) {
      var subnetip = subnet[0];
      var subnetkind = subnetip.kind();
      var subnetisipv4 = subnetkind === "ipv4";
      var subnetrange = subnet[1];
      return function trust(addr) {
        if (!isip(addr))
          return false;
        var ip = parseip(addr);
        var kind = ip.kind();
        if (kind !== subnetkind) {
          if (subnetisipv4 && !ip.isIPv4MappedAddress()) {
            return false;
          }
          ip = subnetisipv4 ? ip.toIPv4Address() : ip.toIPv4MappedAddress();
        }
        return ip.match(subnetip, subnetrange);
      };
    }
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/utils.js
var require_utils8 = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/utils.js"(exports2) {
    "use strict";
    var Buffer2 = require_safe_buffer2().Buffer;
    var contentDisposition = require_content_disposition();
    var contentType = require_content_type();
    var deprecate2 = require_depd()("express");
    var flatten = require_array_flatten();
    var mime = require_send().mime;
    var etag = require_etag();
    var proxyaddr = require_proxy_addr();
    var qs2 = require_lib10();
    var querystring = require("querystring");
    exports2.etag = createETagGenerator({ weak: false });
    exports2.wetag = createETagGenerator({ weak: true });
    exports2.isAbsolute = function(path39) {
      if ("/" === path39[0])
        return true;
      if (":" === path39[1] && ("\\" === path39[2] || "/" === path39[2]))
        return true;
      if ("\\\\" === path39.substring(0, 2))
        return true;
    };
    exports2.flatten = deprecate2.function(
      flatten,
      "utils.flatten: use array-flatten npm module instead"
    );
    exports2.normalizeType = function(type) {
      return ~type.indexOf("/") ? acceptParams(type) : { value: mime.lookup(type), params: {} };
    };
    exports2.normalizeTypes = function(types) {
      var ret = [];
      for (var i4 = 0; i4 < types.length; ++i4) {
        ret.push(exports2.normalizeType(types[i4]));
      }
      return ret;
    };
    exports2.contentDisposition = deprecate2.function(
      contentDisposition,
      "utils.contentDisposition: use content-disposition npm module instead"
    );
    function acceptParams(str, index2) {
      var parts = str.split(/ *; */);
      var ret = { value: parts[0], quality: 1, params: {}, originalIndex: index2 };
      for (var i4 = 1; i4 < parts.length; ++i4) {
        var pms = parts[i4].split(/ *= */);
        if ("q" === pms[0]) {
          ret.quality = parseFloat(pms[1]);
        } else {
          ret.params[pms[0]] = pms[1];
        }
      }
      return ret;
    }
    exports2.compileETag = function(val) {
      var fn2;
      if (typeof val === "function") {
        return val;
      }
      switch (val) {
        case true:
        case "weak":
          fn2 = exports2.wetag;
          break;
        case false:
          break;
        case "strong":
          fn2 = exports2.etag;
          break;
        default:
          throw new TypeError("unknown value for etag function: " + val);
      }
      return fn2;
    };
    exports2.compileQueryParser = function compileQueryParser(val) {
      var fn2;
      if (typeof val === "function") {
        return val;
      }
      switch (val) {
        case true:
        case "simple":
          fn2 = querystring.parse;
          break;
        case false:
          fn2 = newObject;
          break;
        case "extended":
          fn2 = parseExtendedQueryString;
          break;
        default:
          throw new TypeError("unknown value for query parser function: " + val);
      }
      return fn2;
    };
    exports2.compileTrust = function(val) {
      if (typeof val === "function")
        return val;
      if (val === true) {
        return function() {
          return true;
        };
      }
      if (typeof val === "number") {
        return function(a3, i4) {
          return i4 < val;
        };
      }
      if (typeof val === "string") {
        val = val.split(/ *, */);
      }
      return proxyaddr.compile(val || []);
    };
    exports2.setCharset = function setCharset(type, charset) {
      if (!type || !charset) {
        return type;
      }
      var parsed = contentType.parse(type);
      parsed.parameters.charset = charset;
      return contentType.format(parsed);
    };
    function createETagGenerator(options2) {
      return function generateETag(body, encoding) {
        var buf = !Buffer2.isBuffer(body) ? Buffer2.from(body, encoding) : body;
        return etag(buf, options2);
      };
    }
    function parseExtendedQueryString(str) {
      return qs2.parse(str, {
        allowPrototypes: true
      });
    }
    function newObject() {
      return {};
    }
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/application.js
var require_application = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/application.js"(exports2, module2) {
    "use strict";
    var finalhandler = require_finalhandler();
    var Router = require_router();
    var methods = require_methods();
    var middleware = require_init();
    var query2 = require_query();
    var debug30 = require_src4()("express:application");
    var View = require_view();
    var http2 = require("http");
    var compileETag = require_utils8().compileETag;
    var compileQueryParser = require_utils8().compileQueryParser;
    var compileTrust = require_utils8().compileTrust;
    var deprecate2 = require_depd()("express");
    var flatten = require_array_flatten();
    var merge = require_utils_merge();
    var resolve3 = require("path").resolve;
    var setPrototypeOf = require_setprototypeof();
    var slice = Array.prototype.slice;
    var app = exports2 = module2.exports = {};
    var trustProxyDefaultSymbol = "@@symbol:trust_proxy_default";
    app.init = function init3() {
      this.cache = {};
      this.engines = {};
      this.settings = {};
      this.defaultConfiguration();
    };
    app.defaultConfiguration = function defaultConfiguration() {
      var env3 = process.env.NODE_ENV || "development";
      this.enable("x-powered-by");
      this.set("etag", "weak");
      this.set("env", env3);
      this.set("query parser", "extended");
      this.set("subdomain offset", 2);
      this.set("trust proxy", false);
      Object.defineProperty(this.settings, trustProxyDefaultSymbol, {
        configurable: true,
        value: true
      });
      debug30("booting in %s mode", env3);
      this.on("mount", function onmount(parent2) {
        if (this.settings[trustProxyDefaultSymbol] === true && typeof parent2.settings["trust proxy fn"] === "function") {
          delete this.settings["trust proxy"];
          delete this.settings["trust proxy fn"];
        }
        setPrototypeOf(this.request, parent2.request);
        setPrototypeOf(this.response, parent2.response);
        setPrototypeOf(this.engines, parent2.engines);
        setPrototypeOf(this.settings, parent2.settings);
      });
      this.locals = /* @__PURE__ */ Object.create(null);
      this.mountpath = "/";
      this.locals.settings = this.settings;
      this.set("view", View);
      this.set("views", resolve3("views"));
      this.set("jsonp callback name", "callback");
      if (env3 === "production") {
        this.enable("view cache");
      }
      Object.defineProperty(this, "router", {
        get: function() {
          throw new Error("'app.router' is deprecated!\nPlease see the 3.x to 4.x migration guide for details on how to update your app.");
        }
      });
    };
    app.lazyrouter = function lazyrouter() {
      if (!this._router) {
        this._router = new Router({
          caseSensitive: this.enabled("case sensitive routing"),
          strict: this.enabled("strict routing")
        });
        this._router.use(query2(this.get("query parser fn")));
        this._router.use(middleware.init(this));
      }
    };
    app.handle = function handle(req, res, callback) {
      var router = this._router;
      var done = callback || finalhandler(req, res, {
        env: this.get("env"),
        onerror: logerror.bind(this)
      });
      if (!router) {
        debug30("no routes defined on app");
        done();
        return;
      }
      router.handle(req, res, done);
    };
    app.use = function use(fn2) {
      var offset = 0;
      var path39 = "/";
      if (typeof fn2 !== "function") {
        var arg3 = fn2;
        while (Array.isArray(arg3) && arg3.length !== 0) {
          arg3 = arg3[0];
        }
        if (typeof arg3 !== "function") {
          offset = 1;
          path39 = fn2;
        }
      }
      var fns = flatten(slice.call(arguments, offset));
      if (fns.length === 0) {
        throw new TypeError("app.use() requires a middleware function");
      }
      this.lazyrouter();
      var router = this._router;
      fns.forEach(function(fn3) {
        if (!fn3 || !fn3.handle || !fn3.set) {
          return router.use(path39, fn3);
        }
        debug30(".use app under %s", path39);
        fn3.mountpath = path39;
        fn3.parent = this;
        router.use(path39, function mounted_app(req, res, next) {
          var orig = req.app;
          fn3.handle(req, res, function(err) {
            setPrototypeOf(req, orig.request);
            setPrototypeOf(res, orig.response);
            next(err);
          });
        });
        fn3.emit("mount", this);
      }, this);
      return this;
    };
    app.route = function route(path39) {
      this.lazyrouter();
      return this._router.route(path39);
    };
    app.engine = function engine(ext, fn2) {
      if (typeof fn2 !== "function") {
        throw new Error("callback function required");
      }
      var extension = ext[0] !== "." ? "." + ext : ext;
      this.engines[extension] = fn2;
      return this;
    };
    app.param = function param(name, fn2) {
      this.lazyrouter();
      if (Array.isArray(name)) {
        for (var i4 = 0; i4 < name.length; i4++) {
          this.param(name[i4], fn2);
        }
        return this;
      }
      this._router.param(name, fn2);
      return this;
    };
    app.set = function set(setting, val) {
      if (arguments.length === 1) {
        return this.settings[setting];
      }
      debug30('set "%s" to %o', setting, val);
      this.settings[setting] = val;
      switch (setting) {
        case "etag":
          this.set("etag fn", compileETag(val));
          break;
        case "query parser":
          this.set("query parser fn", compileQueryParser(val));
          break;
        case "trust proxy":
          this.set("trust proxy fn", compileTrust(val));
          Object.defineProperty(this.settings, trustProxyDefaultSymbol, {
            configurable: true,
            value: false
          });
          break;
      }
      return this;
    };
    app.path = function path39() {
      return this.parent ? this.parent.path() + this.mountpath : "";
    };
    app.enabled = function enabled(setting) {
      return Boolean(this.set(setting));
    };
    app.disabled = function disabled(setting) {
      return !this.set(setting);
    };
    app.enable = function enable(setting) {
      return this.set(setting, true);
    };
    app.disable = function disable(setting) {
      return this.set(setting, false);
    };
    methods.forEach(function(method) {
      app[method] = function(path39) {
        if (method === "get" && arguments.length === 1) {
          return this.set(path39);
        }
        this.lazyrouter();
        var route = this._router.route(path39);
        route[method].apply(route, slice.call(arguments, 1));
        return this;
      };
    });
    app.all = function all(path39) {
      this.lazyrouter();
      var route = this._router.route(path39);
      var args3 = slice.call(arguments, 1);
      for (var i4 = 0; i4 < methods.length; i4++) {
        route[methods[i4]].apply(route, args3);
      }
      return this;
    };
    app.del = deprecate2.function(app.delete, "app.del: Use app.delete instead");
    app.render = function render2(name, options2, callback) {
      var cache = this.cache;
      var done = callback;
      var engines = this.engines;
      var opts2 = options2;
      var renderOptions = {};
      var view;
      if (typeof options2 === "function") {
        done = options2;
        opts2 = {};
      }
      merge(renderOptions, this.locals);
      if (opts2._locals) {
        merge(renderOptions, opts2._locals);
      }
      merge(renderOptions, opts2);
      if (renderOptions.cache == null) {
        renderOptions.cache = this.enabled("view cache");
      }
      if (renderOptions.cache) {
        view = cache[name];
      }
      if (!view) {
        var View2 = this.get("view");
        view = new View2(name, {
          defaultEngine: this.get("view engine"),
          root: this.get("views"),
          engines
        });
        if (!view.path) {
          var dirs = Array.isArray(view.root) && view.root.length > 1 ? 'directories "' + view.root.slice(0, -1).join('", "') + '" or "' + view.root[view.root.length - 1] + '"' : 'directory "' + view.root + '"';
          var err = new Error('Failed to lookup view "' + name + '" in views ' + dirs);
          err.view = view;
          return done(err);
        }
        if (renderOptions.cache) {
          cache[name] = view;
        }
      }
      tryRender(view, renderOptions, done);
    };
    app.listen = function listen() {
      var server = http2.createServer(this);
      return server.listen.apply(server, arguments);
    };
    function logerror(err) {
      if (this.get("env") !== "test")
        console.error(err.stack || err.toString());
    }
    function tryRender(view, options2, callback) {
      try {
        view.render(options2, callback);
      } catch (err) {
        callback(err);
      }
    }
  }
});

// ../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/lib/charset.js
var require_charset = __commonJS({
  "../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/lib/charset.js"(exports2, module2) {
    "use strict";
    module2.exports = preferredCharsets;
    module2.exports.preferredCharsets = preferredCharsets;
    var simpleCharsetRegExp = /^\s*([^\s;]+)\s*(?:;(.*))?$/;
    function parseAcceptCharset(accept) {
      var accepts = accept.split(",");
      for (var i4 = 0, j2 = 0; i4 < accepts.length; i4++) {
        var charset = parseCharset(accepts[i4].trim(), i4);
        if (charset) {
          accepts[j2++] = charset;
        }
      }
      accepts.length = j2;
      return accepts;
    }
    function parseCharset(str, i4) {
      var match4 = simpleCharsetRegExp.exec(str);
      if (!match4)
        return null;
      var charset = match4[1];
      var q = 1;
      if (match4[2]) {
        var params = match4[2].split(";");
        for (var j2 = 0; j2 < params.length; j2++) {
          var p2 = params[j2].trim().split("=");
          if (p2[0] === "q") {
            q = parseFloat(p2[1]);
            break;
          }
        }
      }
      return {
        charset,
        q,
        i: i4
      };
    }
    function getCharsetPriority(charset, accepted, index2) {
      var priority = { o: -1, q: 0, s: 0 };
      for (var i4 = 0; i4 < accepted.length; i4++) {
        var spec = specify(charset, accepted[i4], index2);
        if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
          priority = spec;
        }
      }
      return priority;
    }
    function specify(charset, spec, index2) {
      var s3 = 0;
      if (spec.charset.toLowerCase() === charset.toLowerCase()) {
        s3 |= 1;
      } else if (spec.charset !== "*") {
        return null;
      }
      return {
        i: index2,
        o: spec.i,
        q: spec.q,
        s: s3
      };
    }
    function preferredCharsets(accept, provided) {
      var accepts = parseAcceptCharset(accept === void 0 ? "*" : accept || "");
      if (!provided) {
        return accepts.filter(isQuality).sort(compareSpecs).map(getFullCharset);
      }
      var priorities = provided.map(function getPriority(type, index2) {
        return getCharsetPriority(type, accepts, index2);
      });
      return priorities.filter(isQuality).sort(compareSpecs).map(function getCharset(priority) {
        return provided[priorities.indexOf(priority)];
      });
    }
    function compareSpecs(a3, b6) {
      return b6.q - a3.q || b6.s - a3.s || a3.o - b6.o || a3.i - b6.i || 0;
    }
    function getFullCharset(spec) {
      return spec.charset;
    }
    function isQuality(spec) {
      return spec.q > 0;
    }
  }
});

// ../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/lib/encoding.js
var require_encoding2 = __commonJS({
  "../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/lib/encoding.js"(exports2, module2) {
    "use strict";
    module2.exports = preferredEncodings;
    module2.exports.preferredEncodings = preferredEncodings;
    var simpleEncodingRegExp = /^\s*([^\s;]+)\s*(?:;(.*))?$/;
    function parseAcceptEncoding(accept) {
      var accepts = accept.split(",");
      var hasIdentity = false;
      var minQuality = 1;
      for (var i4 = 0, j2 = 0; i4 < accepts.length; i4++) {
        var encoding = parseEncoding(accepts[i4].trim(), i4);
        if (encoding) {
          accepts[j2++] = encoding;
          hasIdentity = hasIdentity || specify("identity", encoding);
          minQuality = Math.min(minQuality, encoding.q || 1);
        }
      }
      if (!hasIdentity) {
        accepts[j2++] = {
          encoding: "identity",
          q: minQuality,
          i: i4
        };
      }
      accepts.length = j2;
      return accepts;
    }
    function parseEncoding(str, i4) {
      var match4 = simpleEncodingRegExp.exec(str);
      if (!match4)
        return null;
      var encoding = match4[1];
      var q = 1;
      if (match4[2]) {
        var params = match4[2].split(";");
        for (var j2 = 0; j2 < params.length; j2++) {
          var p2 = params[j2].trim().split("=");
          if (p2[0] === "q") {
            q = parseFloat(p2[1]);
            break;
          }
        }
      }
      return {
        encoding,
        q,
        i: i4
      };
    }
    function getEncodingPriority(encoding, accepted, index2) {
      var priority = { o: -1, q: 0, s: 0 };
      for (var i4 = 0; i4 < accepted.length; i4++) {
        var spec = specify(encoding, accepted[i4], index2);
        if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
          priority = spec;
        }
      }
      return priority;
    }
    function specify(encoding, spec, index2) {
      var s3 = 0;
      if (spec.encoding.toLowerCase() === encoding.toLowerCase()) {
        s3 |= 1;
      } else if (spec.encoding !== "*") {
        return null;
      }
      return {
        i: index2,
        o: spec.i,
        q: spec.q,
        s: s3
      };
    }
    function preferredEncodings(accept, provided) {
      var accepts = parseAcceptEncoding(accept || "");
      if (!provided) {
        return accepts.filter(isQuality).sort(compareSpecs).map(getFullEncoding);
      }
      var priorities = provided.map(function getPriority(type, index2) {
        return getEncodingPriority(type, accepts, index2);
      });
      return priorities.filter(isQuality).sort(compareSpecs).map(function getEncoding(priority) {
        return provided[priorities.indexOf(priority)];
      });
    }
    function compareSpecs(a3, b6) {
      return b6.q - a3.q || b6.s - a3.s || a3.o - b6.o || a3.i - b6.i || 0;
    }
    function getFullEncoding(spec) {
      return spec.encoding;
    }
    function isQuality(spec) {
      return spec.q > 0;
    }
  }
});

// ../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/lib/language.js
var require_language = __commonJS({
  "../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/lib/language.js"(exports2, module2) {
    "use strict";
    module2.exports = preferredLanguages;
    module2.exports.preferredLanguages = preferredLanguages;
    var simpleLanguageRegExp = /^\s*([^\s\-;]+)(?:-([^\s;]+))?\s*(?:;(.*))?$/;
    function parseAcceptLanguage(accept) {
      var accepts = accept.split(",");
      for (var i4 = 0, j2 = 0; i4 < accepts.length; i4++) {
        var language = parseLanguage(accepts[i4].trim(), i4);
        if (language) {
          accepts[j2++] = language;
        }
      }
      accepts.length = j2;
      return accepts;
    }
    function parseLanguage(str, i4) {
      var match4 = simpleLanguageRegExp.exec(str);
      if (!match4)
        return null;
      var prefix = match4[1];
      var suffix = match4[2];
      var full = prefix;
      if (suffix)
        full += "-" + suffix;
      var q = 1;
      if (match4[3]) {
        var params = match4[3].split(";");
        for (var j2 = 0; j2 < params.length; j2++) {
          var p2 = params[j2].split("=");
          if (p2[0] === "q")
            q = parseFloat(p2[1]);
        }
      }
      return {
        prefix,
        suffix,
        q,
        i: i4,
        full
      };
    }
    function getLanguagePriority(language, accepted, index2) {
      var priority = { o: -1, q: 0, s: 0 };
      for (var i4 = 0; i4 < accepted.length; i4++) {
        var spec = specify(language, accepted[i4], index2);
        if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
          priority = spec;
        }
      }
      return priority;
    }
    function specify(language, spec, index2) {
      var p2 = parseLanguage(language);
      if (!p2)
        return null;
      var s3 = 0;
      if (spec.full.toLowerCase() === p2.full.toLowerCase()) {
        s3 |= 4;
      } else if (spec.prefix.toLowerCase() === p2.full.toLowerCase()) {
        s3 |= 2;
      } else if (spec.full.toLowerCase() === p2.prefix.toLowerCase()) {
        s3 |= 1;
      } else if (spec.full !== "*") {
        return null;
      }
      return {
        i: index2,
        o: spec.i,
        q: spec.q,
        s: s3
      };
    }
    function preferredLanguages(accept, provided) {
      var accepts = parseAcceptLanguage(accept === void 0 ? "*" : accept || "");
      if (!provided) {
        return accepts.filter(isQuality).sort(compareSpecs).map(getFullLanguage);
      }
      var priorities = provided.map(function getPriority(type, index2) {
        return getLanguagePriority(type, accepts, index2);
      });
      return priorities.filter(isQuality).sort(compareSpecs).map(function getLanguage(priority) {
        return provided[priorities.indexOf(priority)];
      });
    }
    function compareSpecs(a3, b6) {
      return b6.q - a3.q || b6.s - a3.s || a3.o - b6.o || a3.i - b6.i || 0;
    }
    function getFullLanguage(spec) {
      return spec.full;
    }
    function isQuality(spec) {
      return spec.q > 0;
    }
  }
});

// ../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/lib/mediaType.js
var require_mediaType = __commonJS({
  "../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/lib/mediaType.js"(exports2, module2) {
    "use strict";
    module2.exports = preferredMediaTypes;
    module2.exports.preferredMediaTypes = preferredMediaTypes;
    var simpleMediaTypeRegExp = /^\s*([^\s\/;]+)\/([^;\s]+)\s*(?:;(.*))?$/;
    function parseAccept(accept) {
      var accepts = splitMediaTypes(accept);
      for (var i4 = 0, j2 = 0; i4 < accepts.length; i4++) {
        var mediaType = parseMediaType(accepts[i4].trim(), i4);
        if (mediaType) {
          accepts[j2++] = mediaType;
        }
      }
      accepts.length = j2;
      return accepts;
    }
    function parseMediaType(str, i4) {
      var match4 = simpleMediaTypeRegExp.exec(str);
      if (!match4)
        return null;
      var params = /* @__PURE__ */ Object.create(null);
      var q = 1;
      var subtype = match4[2];
      var type = match4[1];
      if (match4[3]) {
        var kvps = splitParameters(match4[3]).map(splitKeyValuePair);
        for (var j2 = 0; j2 < kvps.length; j2++) {
          var pair = kvps[j2];
          var key = pair[0].toLowerCase();
          var val = pair[1];
          var value = val && val[0] === '"' && val[val.length - 1] === '"' ? val.substr(1, val.length - 2) : val;
          if (key === "q") {
            q = parseFloat(value);
            break;
          }
          params[key] = value;
        }
      }
      return {
        type,
        subtype,
        params,
        q,
        i: i4
      };
    }
    function getMediaTypePriority(type, accepted, index2) {
      var priority = { o: -1, q: 0, s: 0 };
      for (var i4 = 0; i4 < accepted.length; i4++) {
        var spec = specify(type, accepted[i4], index2);
        if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
          priority = spec;
        }
      }
      return priority;
    }
    function specify(type, spec, index2) {
      var p2 = parseMediaType(type);
      var s3 = 0;
      if (!p2) {
        return null;
      }
      if (spec.type.toLowerCase() == p2.type.toLowerCase()) {
        s3 |= 4;
      } else if (spec.type != "*") {
        return null;
      }
      if (spec.subtype.toLowerCase() == p2.subtype.toLowerCase()) {
        s3 |= 2;
      } else if (spec.subtype != "*") {
        return null;
      }
      var keys = Object.keys(spec.params);
      if (keys.length > 0) {
        if (keys.every(function(k) {
          return spec.params[k] == "*" || (spec.params[k] || "").toLowerCase() == (p2.params[k] || "").toLowerCase();
        })) {
          s3 |= 1;
        } else {
          return null;
        }
      }
      return {
        i: index2,
        o: spec.i,
        q: spec.q,
        s: s3
      };
    }
    function preferredMediaTypes(accept, provided) {
      var accepts = parseAccept(accept === void 0 ? "*/*" : accept || "");
      if (!provided) {
        return accepts.filter(isQuality).sort(compareSpecs).map(getFullType);
      }
      var priorities = provided.map(function getPriority(type, index2) {
        return getMediaTypePriority(type, accepts, index2);
      });
      return priorities.filter(isQuality).sort(compareSpecs).map(function getType(priority) {
        return provided[priorities.indexOf(priority)];
      });
    }
    function compareSpecs(a3, b6) {
      return b6.q - a3.q || b6.s - a3.s || a3.o - b6.o || a3.i - b6.i || 0;
    }
    function getFullType(spec) {
      return spec.type + "/" + spec.subtype;
    }
    function isQuality(spec) {
      return spec.q > 0;
    }
    function quoteCount(string) {
      var count = 0;
      var index2 = 0;
      while ((index2 = string.indexOf('"', index2)) !== -1) {
        count++;
        index2++;
      }
      return count;
    }
    function splitKeyValuePair(str) {
      var index2 = str.indexOf("=");
      var key;
      var val;
      if (index2 === -1) {
        key = str;
      } else {
        key = str.substr(0, index2);
        val = str.substr(index2 + 1);
      }
      return [key, val];
    }
    function splitMediaTypes(accept) {
      var accepts = accept.split(",");
      for (var i4 = 1, j2 = 0; i4 < accepts.length; i4++) {
        if (quoteCount(accepts[j2]) % 2 == 0) {
          accepts[++j2] = accepts[i4];
        } else {
          accepts[j2] += "," + accepts[i4];
        }
      }
      accepts.length = j2 + 1;
      return accepts;
    }
    function splitParameters(str) {
      var parameters = str.split(";");
      for (var i4 = 1, j2 = 0; i4 < parameters.length; i4++) {
        if (quoteCount(parameters[j2]) % 2 == 0) {
          parameters[++j2] = parameters[i4];
        } else {
          parameters[j2] += ";" + parameters[i4];
        }
      }
      parameters.length = j2 + 1;
      for (var i4 = 0; i4 < parameters.length; i4++) {
        parameters[i4] = parameters[i4].trim();
      }
      return parameters;
    }
  }
});

// ../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/index.js
var require_negotiator = __commonJS({
  "../../node_modules/.pnpm/negotiator@0.6.3/node_modules/negotiator/index.js"(exports2, module2) {
    "use strict";
    var preferredCharsets = require_charset();
    var preferredEncodings = require_encoding2();
    var preferredLanguages = require_language();
    var preferredMediaTypes = require_mediaType();
    module2.exports = Negotiator;
    module2.exports.Negotiator = Negotiator;
    function Negotiator(request2) {
      if (!(this instanceof Negotiator)) {
        return new Negotiator(request2);
      }
      this.request = request2;
    }
    Negotiator.prototype.charset = function charset(available) {
      var set = this.charsets(available);
      return set && set[0];
    };
    Negotiator.prototype.charsets = function charsets(available) {
      return preferredCharsets(this.request.headers["accept-charset"], available);
    };
    Negotiator.prototype.encoding = function encoding(available) {
      var set = this.encodings(available);
      return set && set[0];
    };
    Negotiator.prototype.encodings = function encodings(available) {
      return preferredEncodings(this.request.headers["accept-encoding"], available);
    };
    Negotiator.prototype.language = function language(available) {
      var set = this.languages(available);
      return set && set[0];
    };
    Negotiator.prototype.languages = function languages(available) {
      return preferredLanguages(this.request.headers["accept-language"], available);
    };
    Negotiator.prototype.mediaType = function mediaType(available) {
      var set = this.mediaTypes(available);
      return set && set[0];
    };
    Negotiator.prototype.mediaTypes = function mediaTypes(available) {
      return preferredMediaTypes(this.request.headers.accept, available);
    };
    Negotiator.prototype.preferredCharset = Negotiator.prototype.charset;
    Negotiator.prototype.preferredCharsets = Negotiator.prototype.charsets;
    Negotiator.prototype.preferredEncoding = Negotiator.prototype.encoding;
    Negotiator.prototype.preferredEncodings = Negotiator.prototype.encodings;
    Negotiator.prototype.preferredLanguage = Negotiator.prototype.language;
    Negotiator.prototype.preferredLanguages = Negotiator.prototype.languages;
    Negotiator.prototype.preferredMediaType = Negotiator.prototype.mediaType;
    Negotiator.prototype.preferredMediaTypes = Negotiator.prototype.mediaTypes;
  }
});

// ../../node_modules/.pnpm/accepts@1.3.8/node_modules/accepts/index.js
var require_accepts = __commonJS({
  "../../node_modules/.pnpm/accepts@1.3.8/node_modules/accepts/index.js"(exports2, module2) {
    "use strict";
    var Negotiator = require_negotiator();
    var mime = require_mime_types();
    module2.exports = Accepts;
    function Accepts(req) {
      if (!(this instanceof Accepts)) {
        return new Accepts(req);
      }
      this.headers = req.headers;
      this.negotiator = new Negotiator(req);
    }
    Accepts.prototype.type = Accepts.prototype.types = function(types_) {
      var types = types_;
      if (types && !Array.isArray(types)) {
        types = new Array(arguments.length);
        for (var i4 = 0; i4 < types.length; i4++) {
          types[i4] = arguments[i4];
        }
      }
      if (!types || types.length === 0) {
        return this.negotiator.mediaTypes();
      }
      if (!this.headers.accept) {
        return types[0];
      }
      var mimes = types.map(extToMime);
      var accepts = this.negotiator.mediaTypes(mimes.filter(validMime));
      var first = accepts[0];
      return first ? types[mimes.indexOf(first)] : false;
    };
    Accepts.prototype.encoding = Accepts.prototype.encodings = function(encodings_) {
      var encodings = encodings_;
      if (encodings && !Array.isArray(encodings)) {
        encodings = new Array(arguments.length);
        for (var i4 = 0; i4 < encodings.length; i4++) {
          encodings[i4] = arguments[i4];
        }
      }
      if (!encodings || encodings.length === 0) {
        return this.negotiator.encodings();
      }
      return this.negotiator.encodings(encodings)[0] || false;
    };
    Accepts.prototype.charset = Accepts.prototype.charsets = function(charsets_) {
      var charsets = charsets_;
      if (charsets && !Array.isArray(charsets)) {
        charsets = new Array(arguments.length);
        for (var i4 = 0; i4 < charsets.length; i4++) {
          charsets[i4] = arguments[i4];
        }
      }
      if (!charsets || charsets.length === 0) {
        return this.negotiator.charsets();
      }
      return this.negotiator.charsets(charsets)[0] || false;
    };
    Accepts.prototype.lang = Accepts.prototype.langs = Accepts.prototype.language = Accepts.prototype.languages = function(languages_) {
      var languages = languages_;
      if (languages && !Array.isArray(languages)) {
        languages = new Array(arguments.length);
        for (var i4 = 0; i4 < languages.length; i4++) {
          languages[i4] = arguments[i4];
        }
      }
      if (!languages || languages.length === 0) {
        return this.negotiator.languages();
      }
      return this.negotiator.languages(languages)[0] || false;
    };
    function extToMime(type) {
      return type.indexOf("/") === -1 ? mime.lookup(type) : type;
    }
    function validMime(type) {
      return typeof type === "string";
    }
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/request.js
var require_request = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/request.js"(exports2, module2) {
    "use strict";
    var accepts = require_accepts();
    var deprecate2 = require_depd()("express");
    var isIP = require("net").isIP;
    var typeis = require_type_is();
    var http2 = require("http");
    var fresh = require_fresh();
    var parseRange = require_range_parser();
    var parse3 = require_parseurl();
    var proxyaddr = require_proxy_addr();
    var req = Object.create(http2.IncomingMessage.prototype);
    module2.exports = req;
    req.get = req.header = function header(name) {
      if (!name) {
        throw new TypeError("name argument is required to req.get");
      }
      if (typeof name !== "string") {
        throw new TypeError("name must be a string to req.get");
      }
      var lc = name.toLowerCase();
      switch (lc) {
        case "referer":
        case "referrer":
          return this.headers.referrer || this.headers.referer;
        default:
          return this.headers[lc];
      }
    };
    req.accepts = function() {
      var accept = accepts(this);
      return accept.types.apply(accept, arguments);
    };
    req.acceptsEncodings = function() {
      var accept = accepts(this);
      return accept.encodings.apply(accept, arguments);
    };
    req.acceptsEncoding = deprecate2.function(
      req.acceptsEncodings,
      "req.acceptsEncoding: Use acceptsEncodings instead"
    );
    req.acceptsCharsets = function() {
      var accept = accepts(this);
      return accept.charsets.apply(accept, arguments);
    };
    req.acceptsCharset = deprecate2.function(
      req.acceptsCharsets,
      "req.acceptsCharset: Use acceptsCharsets instead"
    );
    req.acceptsLanguages = function() {
      var accept = accepts(this);
      return accept.languages.apply(accept, arguments);
    };
    req.acceptsLanguage = deprecate2.function(
      req.acceptsLanguages,
      "req.acceptsLanguage: Use acceptsLanguages instead"
    );
    req.range = function range2(size, options2) {
      var range3 = this.get("Range");
      if (!range3)
        return;
      return parseRange(size, range3, options2);
    };
    req.param = function param(name, defaultValue) {
      var params = this.params || {};
      var body = this.body || {};
      var query2 = this.query || {};
      var args3 = arguments.length === 1 ? "name" : "name, default";
      deprecate2("req.param(" + args3 + "): Use req.params, req.body, or req.query instead");
      if (null != params[name] && params.hasOwnProperty(name))
        return params[name];
      if (null != body[name])
        return body[name];
      if (null != query2[name])
        return query2[name];
      return defaultValue;
    };
    req.is = function is2(types) {
      var arr = types;
      if (!Array.isArray(types)) {
        arr = new Array(arguments.length);
        for (var i4 = 0; i4 < arr.length; i4++) {
          arr[i4] = arguments[i4];
        }
      }
      return typeis(this, arr);
    };
    defineGetter(req, "protocol", function protocol() {
      var proto = this.connection.encrypted ? "https" : "http";
      var trust = this.app.get("trust proxy fn");
      if (!trust(this.connection.remoteAddress, 0)) {
        return proto;
      }
      var header = this.get("X-Forwarded-Proto") || proto;
      var index2 = header.indexOf(",");
      return index2 !== -1 ? header.substring(0, index2).trim() : header.trim();
    });
    defineGetter(req, "secure", function secure() {
      return this.protocol === "https";
    });
    defineGetter(req, "ip", function ip() {
      var trust = this.app.get("trust proxy fn");
      return proxyaddr(this, trust);
    });
    defineGetter(req, "ips", function ips() {
      var trust = this.app.get("trust proxy fn");
      var addrs = proxyaddr.all(this, trust);
      addrs.reverse().pop();
      return addrs;
    });
    defineGetter(req, "subdomains", function subdomains() {
      var hostname = this.hostname;
      if (!hostname)
        return [];
      var offset = this.app.get("subdomain offset");
      var subdomains2 = !isIP(hostname) ? hostname.split(".").reverse() : [hostname];
      return subdomains2.slice(offset);
    });
    defineGetter(req, "path", function path39() {
      return parse3(this).pathname;
    });
    defineGetter(req, "hostname", function hostname() {
      var trust = this.app.get("trust proxy fn");
      var host = this.get("X-Forwarded-Host");
      if (!host || !trust(this.connection.remoteAddress, 0)) {
        host = this.get("Host");
      } else if (host.indexOf(",") !== -1) {
        host = host.substring(0, host.indexOf(",")).trimRight();
      }
      if (!host)
        return;
      var offset = host[0] === "[" ? host.indexOf("]") + 1 : 0;
      var index2 = host.indexOf(":", offset);
      return index2 !== -1 ? host.substring(0, index2) : host;
    });
    defineGetter(req, "host", deprecate2.function(function host() {
      return this.hostname;
    }, "req.host: Use req.hostname instead"));
    defineGetter(req, "fresh", function() {
      var method = this.method;
      var res = this.res;
      var status = res.statusCode;
      if ("GET" !== method && "HEAD" !== method)
        return false;
      if (status >= 200 && status < 300 || 304 === status) {
        return fresh(this.headers, {
          "etag": res.get("ETag"),
          "last-modified": res.get("Last-Modified")
        });
      }
      return false;
    });
    defineGetter(req, "stale", function stale() {
      return !this.fresh;
    });
    defineGetter(req, "xhr", function xhr() {
      var val = this.get("X-Requested-With") || "";
      return val.toLowerCase() === "xmlhttprequest";
    });
    function defineGetter(obj, name, getter) {
      Object.defineProperty(obj, name, {
        configurable: true,
        enumerable: true,
        get: getter
      });
    }
  }
});

// ../../node_modules/.pnpm/cookie-signature@1.0.6/node_modules/cookie-signature/index.js
var require_cookie_signature = __commonJS({
  "../../node_modules/.pnpm/cookie-signature@1.0.6/node_modules/cookie-signature/index.js"(exports2) {
    "use strict";
    var crypto4 = require("crypto");
    exports2.sign = function(val, secret) {
      if ("string" != typeof val)
        throw new TypeError("Cookie value must be provided as a string.");
      if ("string" != typeof secret)
        throw new TypeError("Secret string must be provided.");
      return val + "." + crypto4.createHmac("sha256", secret).update(val).digest("base64").replace(/\=+$/, "");
    };
    exports2.unsign = function(val, secret) {
      if ("string" != typeof val)
        throw new TypeError("Signed cookie string must be provided.");
      if ("string" != typeof secret)
        throw new TypeError("Secret string must be provided.");
      var str = val.slice(0, val.lastIndexOf(".")), mac = exports2.sign(str, secret);
      return sha1(mac) == sha1(val) ? str : false;
    };
    function sha1(str) {
      return crypto4.createHash("sha1").update(str).digest("hex");
    }
  }
});

// ../../node_modules/.pnpm/cookie@0.4.1/node_modules/cookie/index.js
var require_cookie = __commonJS({
  "../../node_modules/.pnpm/cookie@0.4.1/node_modules/cookie/index.js"(exports2) {
    "use strict";
    exports2.parse = parse3;
    exports2.serialize = serialize;
    var decode = decodeURIComponent;
    var encode = encodeURIComponent;
    var pairSplitRegExp = /; */;
    var fieldContentRegExp = /^[\u0009\u0020-\u007e\u0080-\u00ff]+$/;
    function parse3(str, options2) {
      if (typeof str !== "string") {
        throw new TypeError("argument str must be a string");
      }
      var obj = {};
      var opt = options2 || {};
      var pairs = str.split(pairSplitRegExp);
      var dec = opt.decode || decode;
      for (var i4 = 0; i4 < pairs.length; i4++) {
        var pair = pairs[i4];
        var eq_idx = pair.indexOf("=");
        if (eq_idx < 0) {
          continue;
        }
        var key = pair.substr(0, eq_idx).trim();
        var val = pair.substr(++eq_idx, pair.length).trim();
        if ('"' == val[0]) {
          val = val.slice(1, -1);
        }
        if (void 0 == obj[key]) {
          obj[key] = tryDecode(val, dec);
        }
      }
      return obj;
    }
    function serialize(name, val, options2) {
      var opt = options2 || {};
      var enc = opt.encode || encode;
      if (typeof enc !== "function") {
        throw new TypeError("option encode is invalid");
      }
      if (!fieldContentRegExp.test(name)) {
        throw new TypeError("argument name is invalid");
      }
      var value = enc(val);
      if (value && !fieldContentRegExp.test(value)) {
        throw new TypeError("argument val is invalid");
      }
      var str = name + "=" + value;
      if (null != opt.maxAge) {
        var maxAge = opt.maxAge - 0;
        if (isNaN(maxAge) || !isFinite(maxAge)) {
          throw new TypeError("option maxAge is invalid");
        }
        str += "; Max-Age=" + Math.floor(maxAge);
      }
      if (opt.domain) {
        if (!fieldContentRegExp.test(opt.domain)) {
          throw new TypeError("option domain is invalid");
        }
        str += "; Domain=" + opt.domain;
      }
      if (opt.path) {
        if (!fieldContentRegExp.test(opt.path)) {
          throw new TypeError("option path is invalid");
        }
        str += "; Path=" + opt.path;
      }
      if (opt.expires) {
        if (typeof opt.expires.toUTCString !== "function") {
          throw new TypeError("option expires is invalid");
        }
        str += "; Expires=" + opt.expires.toUTCString();
      }
      if (opt.httpOnly) {
        str += "; HttpOnly";
      }
      if (opt.secure) {
        str += "; Secure";
      }
      if (opt.sameSite) {
        var sameSite = typeof opt.sameSite === "string" ? opt.sameSite.toLowerCase() : opt.sameSite;
        switch (sameSite) {
          case true:
            str += "; SameSite=Strict";
            break;
          case "lax":
            str += "; SameSite=Lax";
            break;
          case "strict":
            str += "; SameSite=Strict";
            break;
          case "none":
            str += "; SameSite=None";
            break;
          default:
            throw new TypeError("option sameSite is invalid");
        }
      }
      return str;
    }
    function tryDecode(str, decode2) {
      try {
        return decode2(str);
      } catch (e3) {
        return str;
      }
    }
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/response.js
var require_response = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/response.js"(exports2, module2) {
    "use strict";
    var Buffer2 = require_safe_buffer2().Buffer;
    var contentDisposition = require_content_disposition();
    var deprecate2 = require_depd()("express");
    var encodeUrl = require_encodeurl();
    var escapeHtml = require_escape_html();
    var http2 = require("http");
    var isAbsolute = require_utils8().isAbsolute;
    var onFinished = require_on_finished();
    var path39 = require("path");
    var statuses = require_statuses();
    var merge = require_utils_merge();
    var sign = require_cookie_signature().sign;
    var normalizeType = require_utils8().normalizeType;
    var normalizeTypes = require_utils8().normalizeTypes;
    var setCharset = require_utils8().setCharset;
    var cookie = require_cookie();
    var send = require_send();
    var extname = path39.extname;
    var mime = send.mime;
    var resolve3 = path39.resolve;
    var vary = require_vary();
    var res = Object.create(http2.ServerResponse.prototype);
    module2.exports = res;
    var charsetRegExp = /;\s*charset\s*=/;
    res.status = function status(code) {
      this.statusCode = code;
      return this;
    };
    res.links = function(links) {
      var link4 = this.get("Link") || "";
      if (link4)
        link4 += ", ";
      return this.set("Link", link4 + Object.keys(links).map(function(rel) {
        return "<" + links[rel] + '>; rel="' + rel + '"';
      }).join(", "));
    };
    res.send = function send2(body) {
      var chunk = body;
      var encoding;
      var req = this.req;
      var type;
      var app = this.app;
      if (arguments.length === 2) {
        if (typeof arguments[0] !== "number" && typeof arguments[1] === "number") {
          deprecate2("res.send(body, status): Use res.status(status).send(body) instead");
          this.statusCode = arguments[1];
        } else {
          deprecate2("res.send(status, body): Use res.status(status).send(body) instead");
          this.statusCode = arguments[0];
          chunk = arguments[1];
        }
      }
      if (typeof chunk === "number" && arguments.length === 1) {
        if (!this.get("Content-Type")) {
          this.type("txt");
        }
        deprecate2("res.send(status): Use res.sendStatus(status) instead");
        this.statusCode = chunk;
        chunk = statuses[chunk];
      }
      switch (typeof chunk) {
        case "string":
          if (!this.get("Content-Type")) {
            this.type("html");
          }
          break;
        case "boolean":
        case "number":
        case "object":
          if (chunk === null) {
            chunk = "";
          } else if (Buffer2.isBuffer(chunk)) {
            if (!this.get("Content-Type")) {
              this.type("bin");
            }
          } else {
            return this.json(chunk);
          }
          break;
      }
      if (typeof chunk === "string") {
        encoding = "utf8";
        type = this.get("Content-Type");
        if (typeof type === "string") {
          this.set("Content-Type", setCharset(type, "utf-8"));
        }
      }
      var etagFn = app.get("etag fn");
      var generateETag = !this.get("ETag") && typeof etagFn === "function";
      var len;
      if (chunk !== void 0) {
        if (Buffer2.isBuffer(chunk)) {
          len = chunk.length;
        } else if (!generateETag && chunk.length < 1e3) {
          len = Buffer2.byteLength(chunk, encoding);
        } else {
          chunk = Buffer2.from(chunk, encoding);
          encoding = void 0;
          len = chunk.length;
        }
        this.set("Content-Length", len);
      }
      var etag;
      if (generateETag && len !== void 0) {
        if (etag = etagFn(chunk, encoding)) {
          this.set("ETag", etag);
        }
      }
      if (req.fresh)
        this.statusCode = 304;
      if (204 === this.statusCode || 304 === this.statusCode) {
        this.removeHeader("Content-Type");
        this.removeHeader("Content-Length");
        this.removeHeader("Transfer-Encoding");
        chunk = "";
      }
      if (req.method === "HEAD") {
        this.end();
      } else {
        this.end(chunk, encoding);
      }
      return this;
    };
    res.json = function json(obj) {
      var val = obj;
      if (arguments.length === 2) {
        if (typeof arguments[1] === "number") {
          deprecate2("res.json(obj, status): Use res.status(status).json(obj) instead");
          this.statusCode = arguments[1];
        } else {
          deprecate2("res.json(status, obj): Use res.status(status).json(obj) instead");
          this.statusCode = arguments[0];
          val = arguments[1];
        }
      }
      var app = this.app;
      var escape3 = app.get("json escape");
      var replacer = app.get("json replacer");
      var spaces = app.get("json spaces");
      var body = stringify(val, replacer, spaces, escape3);
      if (!this.get("Content-Type")) {
        this.set("Content-Type", "application/json");
      }
      return this.send(body);
    };
    res.jsonp = function jsonp(obj) {
      var val = obj;
      if (arguments.length === 2) {
        if (typeof arguments[1] === "number") {
          deprecate2("res.jsonp(obj, status): Use res.status(status).jsonp(obj) instead");
          this.statusCode = arguments[1];
        } else {
          deprecate2("res.jsonp(status, obj): Use res.status(status).jsonp(obj) instead");
          this.statusCode = arguments[0];
          val = arguments[1];
        }
      }
      var app = this.app;
      var escape3 = app.get("json escape");
      var replacer = app.get("json replacer");
      var spaces = app.get("json spaces");
      var body = stringify(val, replacer, spaces, escape3);
      var callback = this.req.query[app.get("jsonp callback name")];
      if (!this.get("Content-Type")) {
        this.set("X-Content-Type-Options", "nosniff");
        this.set("Content-Type", "application/json");
      }
      if (Array.isArray(callback)) {
        callback = callback[0];
      }
      if (typeof callback === "string" && callback.length !== 0) {
        this.set("X-Content-Type-Options", "nosniff");
        this.set("Content-Type", "text/javascript");
        callback = callback.replace(/[^\[\]\w$.]/g, "");
        if (body === void 0) {
          body = "";
        } else if (typeof body === "string") {
          body = body.replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029");
        }
        body = "/**/ typeof " + callback + " === 'function' && " + callback + "(" + body + ");";
      }
      return this.send(body);
    };
    res.sendStatus = function sendStatus(statusCode) {
      var body = statuses[statusCode] || String(statusCode);
      this.statusCode = statusCode;
      this.type("txt");
      return this.send(body);
    };
    res.sendFile = function sendFile(path40, options2, callback) {
      var done = callback;
      var req = this.req;
      var res2 = this;
      var next = req.next;
      var opts2 = options2 || {};
      if (!path40) {
        throw new TypeError("path argument is required to res.sendFile");
      }
      if (typeof path40 !== "string") {
        throw new TypeError("path must be a string to res.sendFile");
      }
      if (typeof options2 === "function") {
        done = options2;
        opts2 = {};
      }
      if (!opts2.root && !isAbsolute(path40)) {
        throw new TypeError("path must be absolute or specify root to res.sendFile");
      }
      var pathname = encodeURI(path40);
      var file2 = send(req, pathname, opts2);
      sendfile(res2, file2, opts2, function(err) {
        if (done)
          return done(err);
        if (err && err.code === "EISDIR")
          return next();
        if (err && err.code !== "ECONNABORTED" && err.syscall !== "write") {
          next(err);
        }
      });
    };
    res.sendfile = function(path40, options2, callback) {
      var done = callback;
      var req = this.req;
      var res2 = this;
      var next = req.next;
      var opts2 = options2 || {};
      if (typeof options2 === "function") {
        done = options2;
        opts2 = {};
      }
      var file2 = send(req, path40, opts2);
      sendfile(res2, file2, opts2, function(err) {
        if (done)
          return done(err);
        if (err && err.code === "EISDIR")
          return next();
        if (err && err.code !== "ECONNABORTED" && err.syscall !== "write") {
          next(err);
        }
      });
    };
    res.sendfile = deprecate2.function(
      res.sendfile,
      "res.sendfile: Use res.sendFile instead"
    );
    res.download = function download2(path40, filename, options2, callback) {
      var done = callback;
      var name = filename;
      var opts2 = options2 || null;
      if (typeof filename === "function") {
        done = filename;
        name = null;
        opts2 = null;
      } else if (typeof options2 === "function") {
        done = options2;
        opts2 = null;
      }
      var headers = {
        "Content-Disposition": contentDisposition(name || path40)
      };
      if (opts2 && opts2.headers) {
        var keys = Object.keys(opts2.headers);
        for (var i4 = 0; i4 < keys.length; i4++) {
          var key = keys[i4];
          if (key.toLowerCase() !== "content-disposition") {
            headers[key] = opts2.headers[key];
          }
        }
      }
      opts2 = Object.create(opts2);
      opts2.headers = headers;
      var fullPath = resolve3(path40);
      return this.sendFile(fullPath, opts2, done);
    };
    res.contentType = res.type = function contentType(type) {
      var ct = type.indexOf("/") === -1 ? mime.lookup(type) : type;
      return this.set("Content-Type", ct);
    };
    res.format = function(obj) {
      var req = this.req;
      var next = req.next;
      var fn2 = obj.default;
      if (fn2)
        delete obj.default;
      var keys = Object.keys(obj);
      var key = keys.length > 0 ? req.accepts(keys) : false;
      this.vary("Accept");
      if (key) {
        this.set("Content-Type", normalizeType(key).value);
        obj[key](req, this, next);
      } else if (fn2) {
        fn2();
      } else {
        var err = new Error("Not Acceptable");
        err.status = err.statusCode = 406;
        err.types = normalizeTypes(keys).map(function(o2) {
          return o2.value;
        });
        next(err);
      }
      return this;
    };
    res.attachment = function attachment(filename) {
      if (filename) {
        this.type(extname(filename));
      }
      this.set("Content-Disposition", contentDisposition(filename));
      return this;
    };
    res.append = function append(field, val) {
      var prev = this.get(field);
      var value = val;
      if (prev) {
        value = Array.isArray(prev) ? prev.concat(val) : Array.isArray(val) ? [prev].concat(val) : [prev, val];
      }
      return this.set(field, value);
    };
    res.set = res.header = function header(field, val) {
      if (arguments.length === 2) {
        var value = Array.isArray(val) ? val.map(String) : String(val);
        if (field.toLowerCase() === "content-type") {
          if (Array.isArray(value)) {
            throw new TypeError("Content-Type cannot be set to an Array");
          }
          if (!charsetRegExp.test(value)) {
            var charset = mime.charsets.lookup(value.split(";")[0]);
            if (charset)
              value += "; charset=" + charset.toLowerCase();
          }
        }
        this.setHeader(field, value);
      } else {
        for (var key in field) {
          this.set(key, field[key]);
        }
      }
      return this;
    };
    res.get = function(field) {
      return this.getHeader(field);
    };
    res.clearCookie = function clearCookie(name, options2) {
      var opts2 = merge({ expires: /* @__PURE__ */ new Date(1), path: "/" }, options2);
      return this.cookie(name, "", opts2);
    };
    res.cookie = function(name, value, options2) {
      var opts2 = merge({}, options2);
      var secret = this.req.secret;
      var signed = opts2.signed;
      if (signed && !secret) {
        throw new Error('cookieParser("secret") required for signed cookies');
      }
      var val = typeof value === "object" ? "j:" + JSON.stringify(value) : String(value);
      if (signed) {
        val = "s:" + sign(val, secret);
      }
      if ("maxAge" in opts2) {
        opts2.expires = new Date(Date.now() + opts2.maxAge);
        opts2.maxAge /= 1e3;
      }
      if (opts2.path == null) {
        opts2.path = "/";
      }
      this.append("Set-Cookie", cookie.serialize(name, String(val), opts2));
      return this;
    };
    res.location = function location(url2) {
      var loc = url2;
      if (url2 === "back") {
        loc = this.req.get("Referrer") || "/";
      }
      return this.set("Location", encodeUrl(loc));
    };
    res.redirect = function redirect(url2) {
      var address = url2;
      var body;
      var status = 302;
      if (arguments.length === 2) {
        if (typeof arguments[0] === "number") {
          status = arguments[0];
          address = arguments[1];
        } else {
          deprecate2("res.redirect(url, status): Use res.redirect(status, url) instead");
          status = arguments[1];
        }
      }
      address = this.location(address).get("Location");
      this.format({
        text: function() {
          body = statuses[status] + ". Redirecting to " + address;
        },
        html: function() {
          var u2 = escapeHtml(address);
          body = "<p>" + statuses[status] + '. Redirecting to <a href="' + u2 + '">' + u2 + "</a></p>";
        },
        default: function() {
          body = "";
        }
      });
      this.statusCode = status;
      this.set("Content-Length", Buffer2.byteLength(body));
      if (this.req.method === "HEAD") {
        this.end();
      } else {
        this.end(body);
      }
    };
    res.vary = function(field) {
      if (!field || Array.isArray(field) && !field.length) {
        deprecate2("res.vary(): Provide a field name");
        return this;
      }
      vary(this, field);
      return this;
    };
    res.render = function render2(view, options2, callback) {
      var app = this.req.app;
      var done = callback;
      var opts2 = options2 || {};
      var req = this.req;
      var self2 = this;
      if (typeof options2 === "function") {
        done = options2;
        opts2 = {};
      }
      opts2._locals = self2.locals;
      done = done || function(err, str) {
        if (err)
          return req.next(err);
        self2.send(str);
      };
      app.render(view, opts2, done);
    };
    function sendfile(res2, file2, options2, callback) {
      var done = false;
      var streaming;
      function onaborted() {
        if (done)
          return;
        done = true;
        var err = new Error("Request aborted");
        err.code = "ECONNABORTED";
        callback(err);
      }
      function ondirectory() {
        if (done)
          return;
        done = true;
        var err = new Error("EISDIR, read");
        err.code = "EISDIR";
        callback(err);
      }
      function onerror(err) {
        if (done)
          return;
        done = true;
        callback(err);
      }
      function onend() {
        if (done)
          return;
        done = true;
        callback();
      }
      function onfile() {
        streaming = false;
      }
      function onfinish(err) {
        if (err && err.code === "ECONNRESET")
          return onaborted();
        if (err)
          return onerror(err);
        if (done)
          return;
        setImmediate(function() {
          if (streaming !== false && !done) {
            onaborted();
            return;
          }
          if (done)
            return;
          done = true;
          callback();
        });
      }
      function onstream() {
        streaming = true;
      }
      file2.on("directory", ondirectory);
      file2.on("end", onend);
      file2.on("error", onerror);
      file2.on("file", onfile);
      file2.on("stream", onstream);
      onFinished(res2, onfinish);
      if (options2.headers) {
        file2.on("headers", function headers(res3) {
          var obj = options2.headers;
          var keys = Object.keys(obj);
          for (var i4 = 0; i4 < keys.length; i4++) {
            var k = keys[i4];
            res3.setHeader(k, obj[k]);
          }
        });
      }
      file2.pipe(res2);
    }
    function stringify(value, replacer, spaces, escape3) {
      var json = replacer || spaces ? JSON.stringify(value, replacer, spaces) : JSON.stringify(value);
      if (escape3 && typeof json === "string") {
        json = json.replace(/[<>&]/g, function(c4) {
          switch (c4.charCodeAt(0)) {
            case 60:
              return "\\u003c";
            case 62:
              return "\\u003e";
            case 38:
              return "\\u0026";
            default:
              return c4;
          }
        });
      }
      return json;
    }
  }
});

// ../../node_modules/.pnpm/serve-static@1.14.2/node_modules/serve-static/index.js
var require_serve_static = __commonJS({
  "../../node_modules/.pnpm/serve-static@1.14.2/node_modules/serve-static/index.js"(exports2, module2) {
    "use strict";
    var encodeUrl = require_encodeurl();
    var escapeHtml = require_escape_html();
    var parseUrl = require_parseurl();
    var resolve3 = require("path").resolve;
    var send = require_send();
    var url2 = require("url");
    module2.exports = serveStatic;
    module2.exports.mime = send.mime;
    function serveStatic(root, options2) {
      if (!root) {
        throw new TypeError("root path required");
      }
      if (typeof root !== "string") {
        throw new TypeError("root path must be a string");
      }
      var opts2 = Object.create(options2 || null);
      var fallthrough = opts2.fallthrough !== false;
      var redirect = opts2.redirect !== false;
      var setHeaders = opts2.setHeaders;
      if (setHeaders && typeof setHeaders !== "function") {
        throw new TypeError("option setHeaders must be function");
      }
      opts2.maxage = opts2.maxage || opts2.maxAge || 0;
      opts2.root = resolve3(root);
      var onDirectory = redirect ? createRedirectDirectoryListener() : createNotFoundDirectoryListener();
      return function serveStatic2(req, res, next) {
        if (req.method !== "GET" && req.method !== "HEAD") {
          if (fallthrough) {
            return next();
          }
          res.statusCode = 405;
          res.setHeader("Allow", "GET, HEAD");
          res.setHeader("Content-Length", "0");
          res.end();
          return;
        }
        var forwardError = !fallthrough;
        var originalUrl = parseUrl.original(req);
        var path39 = parseUrl(req).pathname;
        if (path39 === "/" && originalUrl.pathname.substr(-1) !== "/") {
          path39 = "";
        }
        var stream4 = send(req, path39, opts2);
        stream4.on("directory", onDirectory);
        if (setHeaders) {
          stream4.on("headers", setHeaders);
        }
        if (fallthrough) {
          stream4.on("file", function onFile() {
            forwardError = true;
          });
        }
        stream4.on("error", function error2(err) {
          if (forwardError || !(err.statusCode < 500)) {
            next(err);
            return;
          }
          next();
        });
        stream4.pipe(res);
      };
    }
    function collapseLeadingSlashes(str) {
      for (var i4 = 0; i4 < str.length; i4++) {
        if (str.charCodeAt(i4) !== 47) {
          break;
        }
      }
      return i4 > 1 ? "/" + str.substr(i4) : str;
    }
    function createHtmlDocument(title, body) {
      return '<!DOCTYPE html>\n<html lang="en">\n<head>\n<meta charset="utf-8">\n<title>' + title + "</title>\n</head>\n<body>\n<pre>" + body + "</pre>\n</body>\n</html>\n";
    }
    function createNotFoundDirectoryListener() {
      return function notFound() {
        this.error(404);
      };
    }
    function createRedirectDirectoryListener() {
      return function redirect(res) {
        if (this.hasTrailingSlash()) {
          this.error(404);
          return;
        }
        var originalUrl = parseUrl.original(this.req);
        originalUrl.path = null;
        originalUrl.pathname = collapseLeadingSlashes(originalUrl.pathname + "/");
        var loc = encodeUrl(url2.format(originalUrl));
        var doc = createHtmlDocument("Redirecting", 'Redirecting to <a href="' + escapeHtml(loc) + '">' + escapeHtml(loc) + "</a>");
        res.statusCode = 301;
        res.setHeader("Content-Type", "text/html; charset=UTF-8");
        res.setHeader("Content-Length", Buffer.byteLength(doc));
        res.setHeader("Content-Security-Policy", "default-src 'none'");
        res.setHeader("X-Content-Type-Options", "nosniff");
        res.setHeader("Location", loc);
        res.end(doc);
      };
    }
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/express.js
var require_express = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/lib/express.js"(exports2, module2) {
    "use strict";
    var bodyParser = require_body_parser();
    var EventEmitter2 = require("events").EventEmitter;
    var mixin = require_merge_descriptors();
    var proto = require_application();
    var Route = require_route3();
    var Router = require_router();
    var req = require_request();
    var res = require_response();
    exports2 = module2.exports = createApplication;
    function createApplication() {
      var app = function(req2, res2, next) {
        app.handle(req2, res2, next);
      };
      mixin(app, EventEmitter2.prototype, false);
      mixin(app, proto, false);
      app.request = Object.create(req, {
        app: { configurable: true, enumerable: true, writable: true, value: app }
      });
      app.response = Object.create(res, {
        app: { configurable: true, enumerable: true, writable: true, value: app }
      });
      app.init();
      return app;
    }
    exports2.application = proto;
    exports2.request = req;
    exports2.response = res;
    exports2.Route = Route;
    exports2.Router = Router;
    exports2.json = bodyParser.json;
    exports2.query = require_query();
    exports2.raw = bodyParser.raw;
    exports2.static = require_serve_static();
    exports2.text = bodyParser.text;
    exports2.urlencoded = bodyParser.urlencoded;
    var removedMiddlewares = [
      "bodyParser",
      "compress",
      "cookieSession",
      "session",
      "logger",
      "cookieParser",
      "favicon",
      "responseTime",
      "errorHandler",
      "timeout",
      "methodOverride",
      "vhost",
      "csrf",
      "directory",
      "limit",
      "multipart",
      "staticCache"
    ];
    removedMiddlewares.forEach(function(name) {
      Object.defineProperty(exports2, name, {
        get: function() {
          throw new Error("Most middleware (like " + name + ") is no longer bundled with Express and must be installed separately. Please see https://github.com/senchalabs/connect#middleware.");
        },
        configurable: true
      });
    });
  }
});

// ../../node_modules/.pnpm/express@4.17.2/node_modules/express/index.js
var require_express2 = __commonJS({
  "../../node_modules/.pnpm/express@4.17.2/node_modules/express/index.js"(exports2, module2) {
    "use strict";
    module2.exports = require_express();
  }
});

// ../../node_modules/.pnpm/untildify@4.0.0/node_modules/untildify/index.js
var require_untildify = __commonJS({
  "../../node_modules/.pnpm/untildify@4.0.0/node_modules/untildify/index.js"(exports2, module2) {
    "use strict";
    var os7 = require("os");
    var homeDirectory = os7.homedir();
    module2.exports = (pathWithTilde) => {
      if (typeof pathWithTilde !== "string") {
        throw new TypeError(`Expected a string, got ${typeof pathWithTilde}`);
      }
      return homeDirectory ? pathWithTilde.replace(/^~(?=$|\/|\\)/, homeDirectory) : pathWithTilde;
    };
  }
});

// ../internals/dist/index.js
var require_dist6 = __commonJS({
  "../internals/dist/index.js"(exports, module) {
    "use strict";
    var QQ = Object.create;
    var jc = Object.defineProperty;
    var ZQ = Object.getOwnPropertyDescriptor;
    var eZ = Object.getOwnPropertyNames;
    var tZ = Object.getPrototypeOf;
    var rZ = Object.prototype.hasOwnProperty;
    var nZ = (e3, r2, n2) => r2 in e3 ? jc(e3, r2, { enumerable: true, configurable: true, writable: true, value: n2 }) : e3[r2] = n2;
    var iZ = (e3, r2) => () => (e3 && (r2 = e3(e3 = 0)), r2);
    var b = (e3, r2) => () => (r2 || e3((r2 = { exports: {} }).exports, r2), r2.exports);
    var Ma = (e3, r2) => {
      for (var n2 in r2)
        jc(e3, n2, { get: r2[n2], enumerable: true });
    };
    var $R = (e3, r2, n2, i4) => {
      if (r2 && typeof r2 == "object" || typeof r2 == "function")
        for (let o2 of eZ(r2))
          !rZ.call(e3, o2) && o2 !== n2 && jc(e3, o2, { get: () => r2[o2], enumerable: !(i4 = ZQ(r2, o2)) || i4.enumerable });
      return e3;
    };
    var j = (e3, r2, n2) => (n2 = e3 != null ? QQ(tZ(e3)) : {}, $R(r2 || !e3 || !e3.__esModule ? jc(n2, "default", { value: e3, enumerable: true }) : n2, e3));
    var qR = (e3) => $R(jc({}, "__esModule", { value: true }), e3);
    var Ry = (e3, r2, n2) => (nZ(e3, typeof r2 != "symbol" ? r2 + "" : r2, n2), n2);
    var BR = (e3, r2, n2) => {
      if (!r2.has(e3))
        throw TypeError("Cannot " + n2);
    };
    var is = (e3, r2, n2) => (BR(e3, r2, "read from private field"), n2 ? n2.call(e3) : r2.get(e3));
    var $h = (e3, r2, n2) => {
      if (r2.has(e3))
        throw TypeError("Cannot add the same private member more than once");
      r2 instanceof WeakSet ? r2.add(e3) : r2.set(e3, n2);
    };
    var bi = (e3, r2, n2, i4) => (BR(e3, r2, "write to private field"), i4 ? i4.call(e3, n2) : r2.set(e3, n2), n2);
    var Cy = (e3, r2, n2, i4) => ({ set _(o2) {
      bi(e3, r2, o2, n2);
    }, get _() {
      return is(e3, r2, i4);
    } });
    var Ve = b((te) => {
      "use strict";
      var lZ = te && te.__spreadArray || function(e3, r2, n2) {
        if (n2 || arguments.length === 2)
          for (var i4 = 0, o2 = r2.length, a3; i4 < o2; i4++)
            (a3 || !(i4 in r2)) && (a3 || (a3 = Array.prototype.slice.call(r2, 0, i4)), a3[i4] = r2[i4]);
        return e3.concat(a3 || Array.prototype.slice.call(r2));
      };
      Object.defineProperty(te, "__esModule", { value: true });
      te.dual = te.getEndomorphismMonoid = te.not = te.SK = te.hole = te.pipe = te.untupled = te.tupled = te.absurd = te.decrement = te.increment = te.tuple = te.flow = te.flip = te.constVoid = te.constUndefined = te.constNull = te.constFalse = te.constTrue = te.constant = te.unsafeCoerce = te.identity = te.apply = te.getRing = te.getSemiring = te.getMonoid = te.getSemigroup = te.getBooleanAlgebra = void 0;
      var fZ = function(e3) {
        return function() {
          return { meet: function(r2, n2) {
            return function(i4) {
              return e3.meet(r2(i4), n2(i4));
            };
          }, join: function(r2, n2) {
            return function(i4) {
              return e3.join(r2(i4), n2(i4));
            };
          }, zero: function() {
            return e3.zero;
          }, one: function() {
            return e3.one;
          }, implies: function(r2, n2) {
            return function(i4) {
              return e3.implies(r2(i4), n2(i4));
            };
          }, not: function(r2) {
            return function(n2) {
              return e3.not(r2(n2));
            };
          } };
        };
      };
      te.getBooleanAlgebra = fZ;
      var hZ = function(e3) {
        return function() {
          return { concat: function(r2, n2) {
            return function(i4) {
              return e3.concat(r2(i4), n2(i4));
            };
          } };
        };
      };
      te.getSemigroup = hZ;
      var pZ = function(e3) {
        var r2 = (0, te.getSemigroup)(e3);
        return function() {
          return { concat: r2().concat, empty: function() {
            return e3.empty;
          } };
        };
      };
      te.getMonoid = pZ;
      var dZ = function(e3) {
        return { add: function(r2, n2) {
          return function(i4) {
            return e3.add(r2(i4), n2(i4));
          };
        }, zero: function() {
          return e3.zero;
        }, mul: function(r2, n2) {
          return function(i4) {
            return e3.mul(r2(i4), n2(i4));
          };
        }, one: function() {
          return e3.one;
        } };
      };
      te.getSemiring = dZ;
      var mZ = function(e3) {
        var r2 = (0, te.getSemiring)(e3);
        return { add: r2.add, mul: r2.mul, one: r2.one, zero: r2.zero, sub: function(n2, i4) {
          return function(o2) {
            return e3.sub(n2(o2), i4(o2));
          };
        } };
      };
      te.getRing = mZ;
      var gZ = function(e3) {
        return function(r2) {
          return r2(e3);
        };
      };
      te.apply = gZ;
      function Py(e3) {
        return e3;
      }
      te.identity = Py;
      te.unsafeCoerce = Py;
      function Gc(e3) {
        return function() {
          return e3;
        };
      }
      te.constant = Gc;
      te.constTrue = Gc(true);
      te.constFalse = Gc(false);
      te.constNull = Gc(null);
      te.constUndefined = Gc(void 0);
      te.constVoid = te.constUndefined;
      function yZ(e3) {
        return function() {
          for (var r2 = [], n2 = 0; n2 < arguments.length; n2++)
            r2[n2] = arguments[n2];
          return r2.length > 1 ? e3(r2[1], r2[0]) : function(i4) {
            return e3(i4)(r2[0]);
          };
        };
      }
      te.flip = yZ;
      function VR(e3, r2, n2, i4, o2, a3, u2, c4, l2) {
        switch (arguments.length) {
          case 1:
            return e3;
          case 2:
            return function() {
              return r2(e3.apply(this, arguments));
            };
          case 3:
            return function() {
              return n2(r2(e3.apply(this, arguments)));
            };
          case 4:
            return function() {
              return i4(n2(r2(e3.apply(this, arguments))));
            };
          case 5:
            return function() {
              return o2(i4(n2(r2(e3.apply(this, arguments)))));
            };
          case 6:
            return function() {
              return a3(o2(i4(n2(r2(e3.apply(this, arguments))))));
            };
          case 7:
            return function() {
              return u2(a3(o2(i4(n2(r2(e3.apply(this, arguments)))))));
            };
          case 8:
            return function() {
              return c4(u2(a3(o2(i4(n2(r2(e3.apply(this, arguments))))))));
            };
          case 9:
            return function() {
              return l2(c4(u2(a3(o2(i4(n2(r2(e3.apply(this, arguments)))))))));
            };
        }
      }
      te.flow = VR;
      function vZ() {
        for (var e3 = [], r2 = 0; r2 < arguments.length; r2++)
          e3[r2] = arguments[r2];
        return e3;
      }
      te.tuple = vZ;
      function bZ(e3) {
        return e3 + 1;
      }
      te.increment = bZ;
      function EZ(e3) {
        return e3 - 1;
      }
      te.decrement = EZ;
      function KR(e3) {
        throw new Error("Called `absurd` function which should be uncallable");
      }
      te.absurd = KR;
      function wZ(e3) {
        return function(r2) {
          return e3.apply(void 0, r2);
        };
      }
      te.tupled = wZ;
      function _Z(e3) {
        return function() {
          for (var r2 = [], n2 = 0; n2 < arguments.length; n2++)
            r2[n2] = arguments[n2];
          return e3(r2);
        };
      }
      te.untupled = _Z;
      function SZ(e3, r2, n2, i4, o2, a3, u2, c4, l2) {
        switch (arguments.length) {
          case 1:
            return e3;
          case 2:
            return r2(e3);
          case 3:
            return n2(r2(e3));
          case 4:
            return i4(n2(r2(e3)));
          case 5:
            return o2(i4(n2(r2(e3))));
          case 6:
            return a3(o2(i4(n2(r2(e3)))));
          case 7:
            return u2(a3(o2(i4(n2(r2(e3))))));
          case 8:
            return c4(u2(a3(o2(i4(n2(r2(e3)))))));
          case 9:
            return l2(c4(u2(a3(o2(i4(n2(r2(e3))))))));
          default: {
            for (var f4 = arguments[0], p2 = 1; p2 < arguments.length; p2++)
              f4 = arguments[p2](f4);
            return f4;
          }
        }
      }
      te.pipe = SZ;
      te.hole = KR;
      var xZ = function(e3, r2) {
        return r2;
      };
      te.SK = xZ;
      function DZ(e3) {
        return function(r2) {
          return !e3(r2);
        };
      }
      te.not = DZ;
      var OZ = function() {
        return { concat: function(e3, r2) {
          return VR(e3, r2);
        }, empty: Py };
      };
      te.getEndomorphismMonoid = OZ;
      var TZ = function(e3, r2) {
        var n2 = typeof e3 == "number" ? function(i4) {
          return i4.length >= e3;
        } : e3;
        return function() {
          var i4 = Array.from(arguments);
          return n2(arguments) ? r2.apply(this, i4) : function(o2) {
            return r2.apply(void 0, lZ([o2], i4, false));
          };
        };
      };
      te.dual = TZ;
    });
    var wi = b((oe) => {
      "use strict";
      var RZ = oe && oe.__spreadArray || function(e3, r2, n2) {
        if (n2 || arguments.length === 2)
          for (var i4 = 0, o2 = r2.length, a3; i4 < o2; i4++)
            (a3 || !(i4 in r2)) && (a3 || (a3 = Array.prototype.slice.call(r2, 0, i4)), a3[i4] = r2[i4]);
        return e3.concat(a3 || Array.prototype.slice.call(r2));
      };
      Object.defineProperty(oe, "__esModule", { value: true });
      oe.flatMapReader = oe.flatMapTask = oe.flatMapIO = oe.flatMapEither = oe.flatMapOption = oe.flatMapNullable = oe.liftOption = oe.liftNullable = oe.fromReadonlyNonEmptyArray = oe.has = oe.emptyRecord = oe.emptyReadonlyArray = oe.tail = oe.head = oe.isNonEmpty = oe.singleton = oe.right = oe.left = oe.isRight = oe.isLeft = oe.some = oe.none = oe.isSome = oe.isNone = void 0;
      var ka = Ve(), CZ = function(e3) {
        return e3._tag === "None";
      };
      oe.isNone = CZ;
      var AZ = function(e3) {
        return e3._tag === "Some";
      };
      oe.isSome = AZ;
      oe.none = { _tag: "None" };
      var IZ = function(e3) {
        return { _tag: "Some", value: e3 };
      };
      oe.some = IZ;
      var PZ = function(e3) {
        return e3._tag === "Left";
      };
      oe.isLeft = PZ;
      var FZ = function(e3) {
        return e3._tag === "Right";
      };
      oe.isRight = FZ;
      var LZ = function(e3) {
        return { _tag: "Left", left: e3 };
      };
      oe.left = LZ;
      var MZ = function(e3) {
        return { _tag: "Right", right: e3 };
      };
      oe.right = MZ;
      var NZ = function(e3) {
        return [e3];
      };
      oe.singleton = NZ;
      var kZ = function(e3) {
        return e3.length > 0;
      };
      oe.isNonEmpty = kZ;
      var $Z = function(e3) {
        return e3[0];
      };
      oe.head = $Z;
      var qZ = function(e3) {
        return e3.slice(1);
      };
      oe.tail = qZ;
      oe.emptyReadonlyArray = [];
      oe.emptyRecord = {};
      oe.has = Object.prototype.hasOwnProperty;
      var BZ = function(e3) {
        return RZ([e3[0]], e3.slice(1), true);
      };
      oe.fromReadonlyNonEmptyArray = BZ;
      var jZ = function(e3) {
        return function(r2, n2) {
          return function() {
            for (var i4 = [], o2 = 0; o2 < arguments.length; o2++)
              i4[o2] = arguments[o2];
            var a3 = r2.apply(void 0, i4);
            return e3.fromEither(a3 == null ? (0, oe.left)(n2.apply(void 0, i4)) : (0, oe.right)(a3));
          };
        };
      };
      oe.liftNullable = jZ;
      var UZ = function(e3) {
        return function(r2, n2) {
          return function() {
            for (var i4 = [], o2 = 0; o2 < arguments.length; o2++)
              i4[o2] = arguments[o2];
            var a3 = r2.apply(void 0, i4);
            return e3.fromEither((0, oe.isNone)(a3) ? (0, oe.left)(n2.apply(void 0, i4)) : (0, oe.right)(a3.value));
          };
        };
      };
      oe.liftOption = UZ;
      var GZ = function(e3, r2) {
        return (0, ka.dual)(3, function(n2, i4, o2) {
          return r2.flatMap(n2, (0, oe.liftNullable)(e3)(i4, o2));
        });
      };
      oe.flatMapNullable = GZ;
      var WZ = function(e3, r2) {
        return (0, ka.dual)(3, function(n2, i4, o2) {
          return r2.flatMap(n2, (0, oe.liftOption)(e3)(i4, o2));
        });
      };
      oe.flatMapOption = WZ;
      var HZ = function(e3, r2) {
        return (0, ka.dual)(2, function(n2, i4) {
          return r2.flatMap(n2, function(o2) {
            return e3.fromEither(i4(o2));
          });
        });
      };
      oe.flatMapEither = HZ;
      var VZ = function(e3, r2) {
        return (0, ka.dual)(2, function(n2, i4) {
          return r2.flatMap(n2, function(o2) {
            return e3.fromIO(i4(o2));
          });
        });
      };
      oe.flatMapIO = VZ;
      var KZ = function(e3, r2) {
        return (0, ka.dual)(2, function(n2, i4) {
          return r2.flatMap(n2, function(o2) {
            return e3.fromTask(i4(o2));
          });
        });
      };
      oe.flatMapTask = KZ;
      var zZ = function(e3, r2) {
        return (0, ka.dual)(2, function(n2, i4) {
          return r2.flatMap(n2, function(o2) {
            return e3.fromReader(i4(o2));
          });
        });
      };
      oe.flatMapReader = zZ;
    });
    var _o = b((mt) => {
      "use strict";
      var YZ = mt && mt.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), JZ = mt && mt.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), XZ = mt && mt.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && YZ(r2, e3, n2);
        return JZ(r2, e3), r2;
      };
      Object.defineProperty(mt, "__esModule", { value: true });
      mt.sequenceS = mt.sequenceT = mt.getApplySemigroup = mt.apS = mt.apSecond = mt.apFirst = mt.ap = void 0;
      var QZ = Ve(), ZZ = XZ(wi());
      function eee(e3, r2) {
        return function(n2) {
          return function(i4) {
            return e3.ap(e3.map(i4, function(o2) {
              return function(a3) {
                return r2.ap(o2, a3);
              };
            }), n2);
          };
        };
      }
      mt.ap = eee;
      function tee(e3) {
        return function(r2) {
          return function(n2) {
            return e3.ap(e3.map(n2, function(i4) {
              return function() {
                return i4;
              };
            }), r2);
          };
        };
      }
      mt.apFirst = tee;
      function ree(e3) {
        return function(r2) {
          return function(n2) {
            return e3.ap(e3.map(n2, function() {
              return function(i4) {
                return i4;
              };
            }), r2);
          };
        };
      }
      mt.apSecond = ree;
      function nee(e3) {
        return function(r2, n2) {
          return function(i4) {
            return e3.ap(e3.map(i4, function(o2) {
              return function(a3) {
                var u2;
                return Object.assign({}, o2, (u2 = {}, u2[r2] = a3, u2));
              };
            }), n2);
          };
        };
      }
      mt.apS = nee;
      function iee(e3) {
        return function(r2) {
          return { concat: function(n2, i4) {
            return e3.ap(e3.map(n2, function(o2) {
              return function(a3) {
                return r2.concat(o2, a3);
              };
            }), i4);
          } };
        };
      }
      mt.getApplySemigroup = iee;
      function Ly(e3, r2, n2) {
        return function(i4) {
          for (var o2 = Array(n2.length + 1), a3 = 0; a3 < n2.length; a3++)
            o2[a3] = n2[a3];
          return o2[n2.length] = i4, r2 === 0 ? e3.apply(null, o2) : Ly(e3, r2 - 1, o2);
        };
      }
      var Fy = { 1: function(e3) {
        return [e3];
      }, 2: function(e3) {
        return function(r2) {
          return [e3, r2];
        };
      }, 3: function(e3) {
        return function(r2) {
          return function(n2) {
            return [e3, r2, n2];
          };
        };
      }, 4: function(e3) {
        return function(r2) {
          return function(n2) {
            return function(i4) {
              return [e3, r2, n2, i4];
            };
          };
        };
      }, 5: function(e3) {
        return function(r2) {
          return function(n2) {
            return function(i4) {
              return function(o2) {
                return [e3, r2, n2, i4, o2];
              };
            };
          };
        };
      } };
      function see(e3) {
        return ZZ.has.call(Fy, e3) || (Fy[e3] = Ly(QZ.tuple, e3 - 1, [])), Fy[e3];
      }
      function oee(e3) {
        return function() {
          for (var r2 = [], n2 = 0; n2 < arguments.length; n2++)
            r2[n2] = arguments[n2];
          for (var i4 = r2.length, o2 = see(i4), a3 = e3.map(r2[0], o2), u2 = 1; u2 < i4; u2++)
            a3 = e3.ap(a3, r2[u2]);
          return a3;
        };
      }
      mt.sequenceT = oee;
      function aee(e3) {
        var r2 = e3.length;
        switch (r2) {
          case 1:
            return function(n2) {
              var i4;
              return i4 = {}, i4[e3[0]] = n2, i4;
            };
          case 2:
            return function(n2) {
              return function(i4) {
                var o2;
                return o2 = {}, o2[e3[0]] = n2, o2[e3[1]] = i4, o2;
              };
            };
          case 3:
            return function(n2) {
              return function(i4) {
                return function(o2) {
                  var a3;
                  return a3 = {}, a3[e3[0]] = n2, a3[e3[1]] = i4, a3[e3[2]] = o2, a3;
                };
              };
            };
          case 4:
            return function(n2) {
              return function(i4) {
                return function(o2) {
                  return function(a3) {
                    var u2;
                    return u2 = {}, u2[e3[0]] = n2, u2[e3[1]] = i4, u2[e3[2]] = o2, u2[e3[3]] = a3, u2;
                  };
                };
              };
            };
          case 5:
            return function(n2) {
              return function(i4) {
                return function(o2) {
                  return function(a3) {
                    return function(u2) {
                      var c4;
                      return c4 = {}, c4[e3[0]] = n2, c4[e3[1]] = i4, c4[e3[2]] = o2, c4[e3[3]] = a3, c4[e3[4]] = u2, c4;
                    };
                  };
                };
              };
            };
          default:
            return Ly(function() {
              for (var n2 = [], i4 = 0; i4 < arguments.length; i4++)
                n2[i4] = arguments[i4];
              for (var o2 = {}, a3 = 0; a3 < r2; a3++)
                o2[e3[a3]] = n2[a3];
              return o2;
            }, r2 - 1, []);
        }
      }
      function uee(e3) {
        return function(r2) {
          for (var n2 = Object.keys(r2), i4 = n2.length, o2 = aee(n2), a3 = e3.map(r2[n2[0]], o2), u2 = 1; u2 < i4; u2++)
            a3 = e3.ap(a3, r2[n2[u2]]);
          return a3;
        };
      }
      mt.sequenceS = uee;
    });
    var jn = b((er) => {
      "use strict";
      Object.defineProperty(er, "__esModule", { value: true });
      er.asUnit = er.as = er.getFunctorComposition = er.let = er.bindTo = er.flap = er.map = void 0;
      var cee = Ve();
      function zR(e3, r2) {
        return function(n2) {
          return function(i4) {
            return e3.map(i4, function(o2) {
              return r2.map(o2, n2);
            });
          };
        };
      }
      er.map = zR;
      function lee(e3) {
        return function(r2) {
          return function(n2) {
            return e3.map(n2, function(i4) {
              return i4(r2);
            });
          };
        };
      }
      er.flap = lee;
      function fee(e3) {
        return function(r2) {
          return function(n2) {
            return e3.map(n2, function(i4) {
              var o2;
              return o2 = {}, o2[r2] = i4, o2;
            });
          };
        };
      }
      er.bindTo = fee;
      function hee(e3) {
        return function(r2, n2) {
          return function(i4) {
            return e3.map(i4, function(o2) {
              var a3;
              return Object.assign({}, o2, (a3 = {}, a3[r2] = n2(o2), a3));
            });
          };
        };
      }
      er.let = hee;
      function pee(e3, r2) {
        var n2 = zR(e3, r2);
        return { map: function(i4, o2) {
          return (0, cee.pipe)(i4, n2(o2));
        } };
      }
      er.getFunctorComposition = pee;
      function YR(e3) {
        return function(r2, n2) {
          return e3.map(r2, function() {
            return n2;
          });
        };
      }
      er.as = YR;
      function dee(e3) {
        var r2 = YR(e3);
        return function(n2) {
          return r2(n2, void 0);
        };
      }
      er.asUnit = dee;
    });
    var Wc = b(($a) => {
      "use strict";
      Object.defineProperty($a, "__esModule", { value: true });
      $a.getApplicativeComposition = $a.getApplicativeMonoid = void 0;
      var JR = _o(), mee = Ve(), gee = jn();
      function yee(e3) {
        var r2 = (0, JR.getApplySemigroup)(e3);
        return function(n2) {
          return { concat: r2(n2).concat, empty: e3.of(n2.empty) };
        };
      }
      $a.getApplicativeMonoid = yee;
      function vee(e3, r2) {
        var n2 = (0, gee.getFunctorComposition)(e3, r2).map, i4 = (0, JR.ap)(e3, r2);
        return { map: n2, of: function(o2) {
          return e3.of(r2.of(o2));
        }, ap: function(o2, a3) {
          return (0, mee.pipe)(o2, i4(a3));
        } };
      }
      $a.getApplicativeComposition = vee;
    });
    var cs = b((us) => {
      "use strict";
      Object.defineProperty(us, "__esModule", { value: true });
      us.bind = us.tap = us.chainFirst = void 0;
      function bee(e3) {
        var r2 = XR(e3);
        return function(n2) {
          return function(i4) {
            return r2(i4, n2);
          };
        };
      }
      us.chainFirst = bee;
      function XR(e3) {
        return function(r2, n2) {
          return e3.chain(r2, function(i4) {
            return e3.map(n2(i4), function() {
              return i4;
            });
          });
        };
      }
      us.tap = XR;
      function Eee(e3) {
        return function(r2, n2) {
          return function(i4) {
            return e3.chain(i4, function(o2) {
              return e3.map(n2(o2), function(a3) {
                var u2;
                return Object.assign({}, o2, (u2 = {}, u2[r2] = a3, u2));
              });
            });
          };
        };
      }
      us.bind = Eee;
    });
    var Bh = b((Ke) => {
      "use strict";
      var wee = Ke && Ke.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), _ee = Ke && Ke.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), See = Ke && Ke.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && wee(r2, e3, n2);
        return _ee(r2, e3), r2;
      };
      Object.defineProperty(Ke, "__esModule", { value: true });
      Ke.tapEither = Ke.filterOrElse = Ke.chainFirstEitherK = Ke.chainEitherK = Ke.fromEitherK = Ke.chainOptionK = Ke.fromOptionK = Ke.fromPredicate = Ke.fromOption = void 0;
      var xee = cs(), QR = Ve(), So = See(wi());
      function ZR(e3) {
        return function(r2) {
          return function(n2) {
            return e3.fromEither(So.isNone(n2) ? So.left(r2()) : So.right(n2.value));
          };
        };
      }
      Ke.fromOption = ZR;
      function Dee(e3) {
        return function(r2, n2) {
          return function(i4) {
            return e3.fromEither(r2(i4) ? So.right(i4) : So.left(n2(i4)));
          };
        };
      }
      Ke.fromPredicate = Dee;
      function eC(e3) {
        var r2 = ZR(e3);
        return function(n2) {
          var i4 = r2(n2);
          return function(o2) {
            return (0, QR.flow)(o2, i4);
          };
        };
      }
      Ke.fromOptionK = eC;
      function Oee(e3, r2) {
        var n2 = eC(e3);
        return function(i4) {
          var o2 = n2(i4);
          return function(a3) {
            return function(u2) {
              return r2.chain(u2, o2(a3));
            };
          };
        };
      }
      Ke.chainOptionK = Oee;
      function My(e3) {
        return function(r2) {
          return (0, QR.flow)(r2, e3.fromEither);
        };
      }
      Ke.fromEitherK = My;
      function Tee(e3, r2) {
        var n2 = My(e3);
        return function(i4) {
          return function(o2) {
            return r2.chain(o2, n2(i4));
          };
        };
      }
      Ke.chainEitherK = Tee;
      function Ree(e3, r2) {
        var n2 = tC(e3, r2);
        return function(i4) {
          return function(o2) {
            return n2(o2, i4);
          };
        };
      }
      Ke.chainFirstEitherK = Ree;
      function Cee(e3, r2) {
        return function(n2, i4) {
          return function(o2) {
            return r2.chain(o2, function(a3) {
              return e3.fromEither(n2(a3) ? So.right(a3) : So.left(i4(a3)));
            });
          };
        };
      }
      Ke.filterOrElse = Cee;
      function tC(e3, r2) {
        var n2 = My(e3), i4 = (0, xee.tap)(r2);
        return function(o2, a3) {
          return i4(o2, n2(a3));
        };
      }
      Ke.tapEither = tC;
    });
    var Ny = b((Be) => {
      "use strict";
      Object.defineProperty(Be, "__esModule", { value: true });
      Be.and = Be.or = Be.not = Be.Contravariant = Be.getMonoidAll = Be.getSemigroupAll = Be.getMonoidAny = Be.getSemigroupAny = Be.URI = Be.contramap = void 0;
      var qa = Ve(), Aee = function(e3, r2) {
        return (0, qa.pipe)(e3, (0, Be.contramap)(r2));
      }, Iee = function(e3) {
        return function(r2) {
          return (0, qa.flow)(e3, r2);
        };
      };
      Be.contramap = Iee;
      Be.URI = "Predicate";
      var Pee = function() {
        return { concat: function(e3, r2) {
          return (0, qa.pipe)(e3, (0, Be.or)(r2));
        } };
      };
      Be.getSemigroupAny = Pee;
      var Fee = function() {
        return { concat: (0, Be.getSemigroupAny)().concat, empty: qa.constFalse };
      };
      Be.getMonoidAny = Fee;
      var Lee = function() {
        return { concat: function(e3, r2) {
          return (0, qa.pipe)(e3, (0, Be.and)(r2));
        } };
      };
      Be.getSemigroupAll = Lee;
      var Mee = function() {
        return { concat: (0, Be.getSemigroupAll)().concat, empty: qa.constTrue };
      };
      Be.getMonoidAll = Mee;
      Be.Contravariant = { URI: Be.URI, contramap: Aee };
      var Nee = function(e3) {
        return function(r2) {
          return !e3(r2);
        };
      };
      Be.not = Nee;
      var kee = function(e3) {
        return function(r2) {
          return function(n2) {
            return r2(n2) || e3(n2);
          };
        };
      };
      Be.or = kee;
      var $ee = function(e3) {
        return function(r2) {
          return function(n2) {
            return r2(n2) && e3(n2);
          };
        };
      };
      Be.and = $ee;
    });
    var rC = b((Jr) => {
      "use strict";
      Object.defineProperty(Jr, "__esModule", { value: true });
      Jr.concatAll = Jr.endo = Jr.filterSecond = Jr.filterFirst = Jr.reverse = void 0;
      var qee = function(e3) {
        return { concat: function(r2, n2) {
          return e3.concat(n2, r2);
        } };
      };
      Jr.reverse = qee;
      var Bee = function(e3) {
        return function(r2) {
          return { concat: function(n2, i4) {
            return e3(n2) ? r2.concat(n2, i4) : i4;
          } };
        };
      };
      Jr.filterFirst = Bee;
      var jee = function(e3) {
        return function(r2) {
          return { concat: function(n2, i4) {
            return e3(i4) ? r2.concat(n2, i4) : n2;
          } };
        };
      };
      Jr.filterSecond = jee;
      var Uee = function(e3) {
        return function(r2) {
          return { concat: function(n2, i4) {
            return r2.concat(e3(n2), e3(i4));
          } };
        };
      };
      Jr.endo = Uee;
      var Gee = function(e3) {
        return function(r2) {
          return function(n2) {
            return n2.reduce(function(i4, o2) {
              return e3.concat(i4, o2);
            }, r2);
          };
        };
      };
      Jr.concatAll = Gee;
    });
    var nC = b((ce) => {
      "use strict";
      Object.defineProperty(ce, "__esModule", { value: true });
      ce.eqDate = ce.eqNumber = ce.eqString = ce.eqBoolean = ce.eq = ce.strictEqual = ce.getStructEq = ce.getTupleEq = ce.Contravariant = ce.getMonoid = ce.getSemigroup = ce.eqStrict = ce.URI = ce.contramap = ce.tuple = ce.struct = ce.fromEquals = void 0;
      var Wee = Ve(), Hee = function(e3) {
        return { equals: function(r2, n2) {
          return r2 === n2 || e3(r2, n2);
        } };
      };
      ce.fromEquals = Hee;
      var Vee = function(e3) {
        return (0, ce.fromEquals)(function(r2, n2) {
          for (var i4 in e3)
            if (!e3[i4].equals(r2[i4], n2[i4]))
              return false;
          return true;
        });
      };
      ce.struct = Vee;
      var Kee = function() {
        for (var e3 = [], r2 = 0; r2 < arguments.length; r2++)
          e3[r2] = arguments[r2];
        return (0, ce.fromEquals)(function(n2, i4) {
          return e3.every(function(o2, a3) {
            return o2.equals(n2[a3], i4[a3]);
          });
        });
      };
      ce.tuple = Kee;
      var zee = function(e3, r2) {
        return (0, Wee.pipe)(e3, (0, ce.contramap)(r2));
      }, Yee = function(e3) {
        return function(r2) {
          return (0, ce.fromEquals)(function(n2, i4) {
            return r2.equals(e3(n2), e3(i4));
          });
        };
      };
      ce.contramap = Yee;
      ce.URI = "Eq";
      ce.eqStrict = { equals: function(e3, r2) {
        return e3 === r2;
      } };
      var Jee = { equals: function() {
        return true;
      } }, Xee = function() {
        return { concat: function(e3, r2) {
          return (0, ce.fromEquals)(function(n2, i4) {
            return e3.equals(n2, i4) && r2.equals(n2, i4);
          });
        } };
      };
      ce.getSemigroup = Xee;
      var Qee = function() {
        return { concat: (0, ce.getSemigroup)().concat, empty: Jee };
      };
      ce.getMonoid = Qee;
      ce.Contravariant = { URI: ce.URI, contramap: zee };
      ce.getTupleEq = ce.tuple;
      ce.getStructEq = ce.struct;
      ce.strictEqual = ce.eqStrict.equals;
      ce.eq = ce.Contravariant;
      ce.eqBoolean = ce.eqStrict;
      ce.eqString = ce.eqStrict;
      ce.eqNumber = ce.eqStrict;
      ce.eqDate = { equals: function(e3, r2) {
        return e3.valueOf() === r2.valueOf();
      } };
    });
    var iC = b((X) => {
      "use strict";
      Object.defineProperty(X, "__esModule", { value: true });
      X.ordDate = X.ordNumber = X.ordString = X.ordBoolean = X.ord = X.getDualOrd = X.getTupleOrd = X.between = X.clamp = X.max = X.min = X.geq = X.leq = X.gt = X.lt = X.equals = X.trivial = X.Contravariant = X.getMonoid = X.getSemigroup = X.URI = X.contramap = X.reverse = X.tuple = X.fromCompare = X.equalsDefault = void 0;
      var Zee = nC(), jh = Ve(), ete = function(e3) {
        return function(r2, n2) {
          return r2 === n2 || e3(r2, n2) === 0;
        };
      };
      X.equalsDefault = ete;
      var tte = function(e3) {
        return { equals: (0, X.equalsDefault)(e3), compare: function(r2, n2) {
          return r2 === n2 ? 0 : e3(r2, n2);
        } };
      };
      X.fromCompare = tte;
      var rte = function() {
        for (var e3 = [], r2 = 0; r2 < arguments.length; r2++)
          e3[r2] = arguments[r2];
        return (0, X.fromCompare)(function(n2, i4) {
          for (var o2 = 0; o2 < e3.length - 1; o2++) {
            var a3 = e3[o2].compare(n2[o2], i4[o2]);
            if (a3 !== 0)
              return a3;
          }
          return e3[o2].compare(n2[o2], i4[o2]);
        });
      };
      X.tuple = rte;
      var nte = function(e3) {
        return (0, X.fromCompare)(function(r2, n2) {
          return e3.compare(n2, r2);
        });
      };
      X.reverse = nte;
      var ite = function(e3, r2) {
        return (0, jh.pipe)(e3, (0, X.contramap)(r2));
      }, ste = function(e3) {
        return function(r2) {
          return (0, X.fromCompare)(function(n2, i4) {
            return r2.compare(e3(n2), e3(i4));
          });
        };
      };
      X.contramap = ste;
      X.URI = "Ord";
      var ote = function() {
        return { concat: function(e3, r2) {
          return (0, X.fromCompare)(function(n2, i4) {
            var o2 = e3.compare(n2, i4);
            return o2 !== 0 ? o2 : r2.compare(n2, i4);
          });
        } };
      };
      X.getSemigroup = ote;
      var ate = function() {
        return { concat: (0, X.getSemigroup)().concat, empty: (0, X.fromCompare)(function() {
          return 0;
        }) };
      };
      X.getMonoid = ate;
      X.Contravariant = { URI: X.URI, contramap: ite };
      X.trivial = { equals: jh.constTrue, compare: (0, jh.constant)(0) };
      var ute = function(e3) {
        return function(r2) {
          return function(n2) {
            return n2 === r2 || e3.compare(n2, r2) === 0;
          };
        };
      };
      X.equals = ute;
      var cte = function(e3) {
        return function(r2, n2) {
          return e3.compare(r2, n2) === -1;
        };
      };
      X.lt = cte;
      var lte = function(e3) {
        return function(r2, n2) {
          return e3.compare(r2, n2) === 1;
        };
      };
      X.gt = lte;
      var fte = function(e3) {
        return function(r2, n2) {
          return e3.compare(r2, n2) !== 1;
        };
      };
      X.leq = fte;
      var hte = function(e3) {
        return function(r2, n2) {
          return e3.compare(r2, n2) !== -1;
        };
      };
      X.geq = hte;
      var pte = function(e3) {
        return function(r2, n2) {
          return r2 === n2 || e3.compare(r2, n2) < 1 ? r2 : n2;
        };
      };
      X.min = pte;
      var dte = function(e3) {
        return function(r2, n2) {
          return r2 === n2 || e3.compare(r2, n2) > -1 ? r2 : n2;
        };
      };
      X.max = dte;
      var mte = function(e3) {
        var r2 = (0, X.min)(e3), n2 = (0, X.max)(e3);
        return function(i4, o2) {
          return function(a3) {
            return n2(r2(a3, o2), i4);
          };
        };
      };
      X.clamp = mte;
      var yte = function(e3) {
        var r2 = (0, X.lt)(e3), n2 = (0, X.gt)(e3);
        return function(i4, o2) {
          return function(a3) {
            return !(r2(a3, i4) || n2(a3, o2));
          };
        };
      };
      X.between = yte;
      X.getTupleOrd = X.tuple;
      X.getDualOrd = X.reverse;
      X.ord = X.Contravariant;
      function vte(e3, r2) {
        return e3 < r2 ? -1 : e3 > r2 ? 1 : 0;
      }
      var ky = { equals: Zee.eqStrict.equals, compare: vte };
      X.ordBoolean = ky;
      X.ordString = ky;
      X.ordNumber = ky;
      X.ordDate = (0, jh.pipe)(X.ordNumber, (0, X.contramap)(function(e3) {
        return e3.valueOf();
      }));
    });
    var uC = b((Q) => {
      "use strict";
      var bte = Q && Q.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), Ete = Q && Q.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), $y = Q && Q.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && bte(r2, e3, n2);
        return Ete(r2, e3), r2;
      };
      Object.defineProperty(Q, "__esModule", { value: true });
      Q.semigroupProduct = Q.semigroupSum = Q.semigroupString = Q.getFunctionSemigroup = Q.semigroupAny = Q.semigroupAll = Q.fold = Q.getIntercalateSemigroup = Q.getMeetSemigroup = Q.getJoinSemigroup = Q.getDualSemigroup = Q.getStructSemigroup = Q.getTupleSemigroup = Q.getFirstSemigroup = Q.getLastSemigroup = Q.getObjectSemigroup = Q.semigroupVoid = Q.concatAll = Q.last = Q.first = Q.intercalate = Q.tuple = Q.struct = Q.reverse = Q.constant = Q.max = Q.min = void 0;
      var sC = Ve(), wte = $y(wi()), oC = $y(rC()), aC = $y(iC()), _te = function(e3) {
        return { concat: aC.min(e3) };
      };
      Q.min = _te;
      var Ste = function(e3) {
        return { concat: aC.max(e3) };
      };
      Q.max = Ste;
      var xte = function(e3) {
        return { concat: function() {
          return e3;
        } };
      };
      Q.constant = xte;
      Q.reverse = oC.reverse;
      var Dte = function(e3) {
        return { concat: function(r2, n2) {
          var i4 = {};
          for (var o2 in e3)
            wte.has.call(e3, o2) && (i4[o2] = e3[o2].concat(r2[o2], n2[o2]));
          return i4;
        } };
      };
      Q.struct = Dte;
      var Ote = function() {
        for (var e3 = [], r2 = 0; r2 < arguments.length; r2++)
          e3[r2] = arguments[r2];
        return { concat: function(n2, i4) {
          return e3.map(function(o2, a3) {
            return o2.concat(n2[a3], i4[a3]);
          });
        } };
      };
      Q.tuple = Ote;
      var Tte = function(e3) {
        return function(r2) {
          return { concat: function(n2, i4) {
            return r2.concat(n2, r2.concat(e3, i4));
          } };
        };
      };
      Q.intercalate = Tte;
      var Rte = function() {
        return { concat: sC.identity };
      };
      Q.first = Rte;
      var Cte = function() {
        return { concat: function(e3, r2) {
          return r2;
        } };
      };
      Q.last = Cte;
      Q.concatAll = oC.concatAll;
      Q.semigroupVoid = (0, Q.constant)(void 0);
      var Ate = function() {
        return { concat: function(e3, r2) {
          return Object.assign({}, e3, r2);
        } };
      };
      Q.getObjectSemigroup = Ate;
      Q.getLastSemigroup = Q.last;
      Q.getFirstSemigroup = Q.first;
      Q.getTupleSemigroup = Q.tuple;
      Q.getStructSemigroup = Q.struct;
      Q.getDualSemigroup = Q.reverse;
      Q.getJoinSemigroup = Q.max;
      Q.getMeetSemigroup = Q.min;
      Q.getIntercalateSemigroup = Q.intercalate;
      function Ite(e3) {
        var r2 = (0, Q.concatAll)(e3);
        return function(n2, i4) {
          return i4 === void 0 ? r2(n2) : r2(n2)(i4);
        };
      }
      Q.fold = Ite;
      Q.semigroupAll = { concat: function(e3, r2) {
        return e3 && r2;
      } };
      Q.semigroupAny = { concat: function(e3, r2) {
        return e3 || r2;
      } };
      Q.getFunctionSemigroup = sC.getSemigroup;
      Q.semigroupString = { concat: function(e3, r2) {
        return e3 + r2;
      } };
      Q.semigroupSum = { concat: function(e3, r2) {
        return e3 + r2;
      } };
      Q.semigroupProduct = { concat: function(e3, r2) {
        return e3 * r2;
      } };
    });
    var Hc = b((_e) => {
      "use strict";
      Object.defineProperty(_e, "__esModule", { value: true });
      _e.right = _e.left = _e.flap = _e.Functor = _e.Bifunctor = _e.URI = _e.bimap = _e.mapLeft = _e.map = _e.separated = void 0;
      var qy = Ve(), Pte = jn(), Fte = function(e3, r2) {
        return { left: e3, right: r2 };
      };
      _e.separated = Fte;
      var Lte = function(e3, r2) {
        return (0, qy.pipe)(e3, (0, _e.map)(r2));
      }, Mte = function(e3, r2) {
        return (0, qy.pipe)(e3, (0, _e.mapLeft)(r2));
      }, Nte = function(e3, r2, n2) {
        return (0, qy.pipe)(e3, (0, _e.bimap)(r2, n2));
      }, kte = function(e3) {
        return function(r2) {
          return (0, _e.separated)((0, _e.left)(r2), e3((0, _e.right)(r2)));
        };
      };
      _e.map = kte;
      var $te = function(e3) {
        return function(r2) {
          return (0, _e.separated)(e3((0, _e.left)(r2)), (0, _e.right)(r2));
        };
      };
      _e.mapLeft = $te;
      var qte = function(e3, r2) {
        return function(n2) {
          return (0, _e.separated)(e3((0, _e.left)(n2)), r2((0, _e.right)(n2)));
        };
      };
      _e.bimap = qte;
      _e.URI = "Separated";
      _e.Bifunctor = { URI: _e.URI, mapLeft: Mte, bimap: Nte };
      _e.Functor = { URI: _e.URI, map: Lte };
      _e.flap = (0, Pte.flap)(_e.Functor);
      var Bte = function(e3) {
        return e3.left;
      };
      _e.left = Bte;
      var jte = function(e3) {
        return e3.right;
      };
      _e.right = jte;
    });
    var By = b((xr) => {
      "use strict";
      var Ute = xr && xr.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), Gte = xr && xr.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), Wte = xr && xr.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && Ute(r2, e3, n2);
        return Gte(r2, e3), r2;
      };
      Object.defineProperty(xr, "__esModule", { value: true });
      xr.filterE = xr.witherDefault = xr.wiltDefault = void 0;
      var cC = Wte(wi());
      function Hte(e3, r2) {
        return function(n2) {
          var i4 = e3.traverse(n2);
          return function(o2, a3) {
            return n2.map(i4(o2, a3), r2.separate);
          };
        };
      }
      xr.wiltDefault = Hte;
      function Vte(e3, r2) {
        return function(n2) {
          var i4 = e3.traverse(n2);
          return function(o2, a3) {
            return n2.map(i4(o2, a3), r2.compact);
          };
        };
      }
      xr.witherDefault = Vte;
      function Kte(e3) {
        return function(r2) {
          var n2 = e3.wither(r2);
          return function(i4) {
            return function(o2) {
              return n2(o2, function(a3) {
                return r2.map(i4(a3), function(u2) {
                  return u2 ? cC.some(a3) : cC.none;
                });
              });
            };
          };
        };
      }
      xr.filterE = Kte;
    });
    var lC = b((Uh) => {
      "use strict";
      Object.defineProperty(Uh, "__esModule", { value: true });
      Uh.guard = void 0;
      function zte(e3, r2) {
        return function(n2) {
          return n2 ? r2.of(void 0) : e3.zero();
        };
      }
      Uh.guard = zte;
    });
    var Jy = b((O2) => {
      "use strict";
      var Yte = O2 && O2.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), Jte = O2 && O2.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), fC = O2 && O2.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && Yte(r2, e3, n2);
        return Jte(r2, e3), r2;
      };
      Object.defineProperty(O2, "__esModule", { value: true });
      O2.Witherable = O2.wilt = O2.wither = O2.Traversable = O2.sequence = O2.traverse = O2.Filterable = O2.partitionMap = O2.partition = O2.filterMap = O2.filter = O2.Compactable = O2.separate = O2.compact = O2.Extend = O2.extend = O2.Alternative = O2.guard = O2.Zero = O2.zero = O2.Alt = O2.alt = O2.altW = O2.orElse = O2.Foldable = O2.reduceRight = O2.foldMap = O2.reduce = O2.Monad = O2.Chain = O2.flatMap = O2.Applicative = O2.Apply = O2.ap = O2.Pointed = O2.of = O2.asUnit = O2.as = O2.Functor = O2.map = O2.getMonoid = O2.getOrd = O2.getEq = O2.getShow = O2.URI = O2.getRight = O2.getLeft = O2.fromPredicate = O2.some = O2.none = void 0;
      O2.getFirstMonoid = O2.getApplyMonoid = O2.getApplySemigroup = O2.option = O2.mapNullable = O2.getRefinement = O2.chainFirst = O2.chain = O2.sequenceArray = O2.traverseArray = O2.traverseArrayWithIndex = O2.traverseReadonlyArrayWithIndex = O2.traverseReadonlyNonEmptyArrayWithIndex = O2.ApT = O2.apS = O2.bind = O2.let = O2.bindTo = O2.Do = O2.exists = O2.elem = O2.toUndefined = O2.toNullable = O2.chainNullableK = O2.fromNullableK = O2.tryCatchK = O2.tryCatch = O2.fromNullable = O2.chainFirstEitherK = O2.chainEitherK = O2.fromEitherK = O2.duplicate = O2.tapEither = O2.tap = O2.flatten = O2.apSecond = O2.apFirst = O2.flap = O2.getOrElse = O2.getOrElseW = O2.fold = O2.match = O2.foldW = O2.matchW = O2.isNone = O2.isSome = O2.FromEither = O2.fromEither = O2.MonadThrow = O2.throwError = void 0;
      O2.getLastMonoid = void 0;
      var Xte = Wc(), Gh = _o(), hC = fC(cs()), jy = Bh(), ze = Ve(), Kc = jn(), xo = fC(wi()), Qte = Ny(), pC = uC(), Uy = Hc(), dC = By(), Zte = lC();
      O2.none = xo.none;
      O2.some = xo.some;
      function ere(e3) {
        return function(r2) {
          return e3(r2) ? (0, O2.some)(r2) : O2.none;
        };
      }
      O2.fromPredicate = ere;
      var tre = function(e3) {
        return e3._tag === "Right" ? O2.none : (0, O2.some)(e3.left);
      };
      O2.getLeft = tre;
      var rre = function(e3) {
        return e3._tag === "Left" ? O2.none : (0, O2.some)(e3.right);
      };
      O2.getRight = rre;
      var $r = function(e3, r2) {
        return (0, ze.pipe)(e3, (0, O2.map)(r2));
      }, Do = function(e3, r2) {
        return (0, ze.pipe)(e3, (0, O2.ap)(r2));
      }, Wh = function(e3, r2, n2) {
        return (0, ze.pipe)(e3, (0, O2.reduce)(r2, n2));
      }, Hh = function(e3) {
        var r2 = (0, O2.foldMap)(e3);
        return function(n2, i4) {
          return (0, ze.pipe)(n2, r2(i4));
        };
      }, Vh = function(e3, r2, n2) {
        return (0, ze.pipe)(e3, (0, O2.reduceRight)(r2, n2));
      }, Gy = function(e3) {
        var r2 = (0, O2.traverse)(e3);
        return function(n2, i4) {
          return (0, ze.pipe)(n2, r2(i4));
        };
      }, Wy = function(e3, r2) {
        return (0, ze.pipe)(e3, (0, O2.alt)(r2));
      }, Vc = function(e3, r2) {
        return (0, ze.pipe)(e3, (0, O2.filter)(r2));
      }, Hy = function(e3, r2) {
        return (0, ze.pipe)(e3, (0, O2.filterMap)(r2));
      }, mC = function(e3, r2) {
        return (0, ze.pipe)(e3, (0, O2.extend)(r2));
      }, Vy = function(e3, r2) {
        return (0, ze.pipe)(e3, (0, O2.partition)(r2));
      }, Ky = function(e3, r2) {
        return (0, ze.pipe)(e3, (0, O2.partitionMap)(r2));
      };
      O2.URI = "Option";
      var nre = function(e3) {
        return { show: function(r2) {
          return (0, O2.isNone)(r2) ? "none" : "some(".concat(e3.show(r2.value), ")");
        } };
      };
      O2.getShow = nre;
      var ire = function(e3) {
        return { equals: function(r2, n2) {
          return r2 === n2 || ((0, O2.isNone)(r2) ? (0, O2.isNone)(n2) : (0, O2.isNone)(n2) ? false : e3.equals(r2.value, n2.value));
        } };
      };
      O2.getEq = ire;
      var sre = function(e3) {
        return { equals: (0, O2.getEq)(e3).equals, compare: function(r2, n2) {
          return r2 === n2 ? 0 : (0, O2.isSome)(r2) ? (0, O2.isSome)(n2) ? e3.compare(r2.value, n2.value) : 1 : -1;
        } };
      };
      O2.getOrd = sre;
      var ore = function(e3) {
        return { concat: function(r2, n2) {
          return (0, O2.isNone)(r2) ? n2 : (0, O2.isNone)(n2) ? r2 : (0, O2.some)(e3.concat(r2.value, n2.value));
        }, empty: O2.none };
      };
      O2.getMonoid = ore;
      var are = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) ? O2.none : (0, O2.some)(e3(r2.value));
        };
      };
      O2.map = are;
      O2.Functor = { URI: O2.URI, map: $r };
      O2.as = (0, ze.dual)(2, (0, Kc.as)(O2.Functor));
      O2.asUnit = (0, Kc.asUnit)(O2.Functor);
      O2.of = O2.some;
      O2.Pointed = { URI: O2.URI, of: O2.of };
      var ure = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) || (0, O2.isNone)(e3) ? O2.none : (0, O2.some)(r2.value(e3.value));
        };
      };
      O2.ap = ure;
      O2.Apply = { URI: O2.URI, map: $r, ap: Do };
      O2.Applicative = { URI: O2.URI, map: $r, ap: Do, of: O2.of };
      O2.flatMap = (0, ze.dual)(2, function(e3, r2) {
        return (0, O2.isNone)(e3) ? O2.none : r2(e3.value);
      });
      O2.Chain = { URI: O2.URI, map: $r, ap: Do, chain: O2.flatMap };
      O2.Monad = { URI: O2.URI, map: $r, ap: Do, of: O2.of, chain: O2.flatMap };
      var cre = function(e3, r2) {
        return function(n2) {
          return (0, O2.isNone)(n2) ? e3 : r2(e3, n2.value);
        };
      };
      O2.reduce = cre;
      var lre = function(e3) {
        return function(r2) {
          return function(n2) {
            return (0, O2.isNone)(n2) ? e3.empty : r2(n2.value);
          };
        };
      };
      O2.foldMap = lre;
      var fre = function(e3, r2) {
        return function(n2) {
          return (0, O2.isNone)(n2) ? e3 : r2(n2.value, e3);
        };
      };
      O2.reduceRight = fre;
      O2.Foldable = { URI: O2.URI, reduce: Wh, foldMap: Hh, reduceRight: Vh };
      O2.orElse = (0, ze.dual)(2, function(e3, r2) {
        return (0, O2.isNone)(e3) ? r2() : e3;
      });
      O2.altW = O2.orElse;
      O2.alt = O2.orElse;
      O2.Alt = { URI: O2.URI, map: $r, alt: Wy };
      var hre = function() {
        return O2.none;
      };
      O2.zero = hre;
      O2.Zero = { URI: O2.URI, zero: O2.zero };
      O2.guard = (0, Zte.guard)(O2.Zero, O2.Pointed);
      O2.Alternative = { URI: O2.URI, map: $r, ap: Do, of: O2.of, alt: Wy, zero: O2.zero };
      var pre = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) ? O2.none : (0, O2.some)(e3(r2));
        };
      };
      O2.extend = pre;
      O2.Extend = { URI: O2.URI, map: $r, extend: mC };
      O2.compact = (0, O2.flatMap)(ze.identity);
      var dre = (0, Uy.separated)(O2.none, O2.none), mre = function(e3) {
        return (0, O2.isNone)(e3) ? dre : (0, Uy.separated)((0, O2.getLeft)(e3.value), (0, O2.getRight)(e3.value));
      };
      O2.separate = mre;
      O2.Compactable = { URI: O2.URI, compact: O2.compact, separate: O2.separate };
      var gre = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) ? O2.none : e3(r2.value) ? r2 : O2.none;
        };
      };
      O2.filter = gre;
      var yre = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) ? O2.none : e3(r2.value);
        };
      };
      O2.filterMap = yre;
      var vre = function(e3) {
        return function(r2) {
          return (0, Uy.separated)(Vc(r2, (0, Qte.not)(e3)), Vc(r2, e3));
        };
      };
      O2.partition = vre;
      var bre = function(e3) {
        return (0, ze.flow)((0, O2.map)(e3), O2.separate);
      };
      O2.partitionMap = bre;
      O2.Filterable = { URI: O2.URI, map: $r, compact: O2.compact, separate: O2.separate, filter: Vc, filterMap: Hy, partition: Vy, partitionMap: Ky };
      var Ere = function(e3) {
        return function(r2) {
          return function(n2) {
            return (0, O2.isNone)(n2) ? e3.of(O2.none) : e3.map(r2(n2.value), O2.some);
          };
        };
      };
      O2.traverse = Ere;
      var wre = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) ? e3.of(O2.none) : e3.map(r2.value, O2.some);
        };
      };
      O2.sequence = wre;
      O2.Traversable = { URI: O2.URI, map: $r, reduce: Wh, foldMap: Hh, reduceRight: Vh, traverse: Gy, sequence: O2.sequence };
      var zy = (0, dC.witherDefault)(O2.Traversable, O2.Compactable), Yy = (0, dC.wiltDefault)(O2.Traversable, O2.Compactable), _re = function(e3) {
        var r2 = zy(e3);
        return function(n2) {
          return function(i4) {
            return r2(i4, n2);
          };
        };
      };
      O2.wither = _re;
      var Sre = function(e3) {
        var r2 = Yy(e3);
        return function(n2) {
          return function(i4) {
            return r2(i4, n2);
          };
        };
      };
      O2.wilt = Sre;
      O2.Witherable = { URI: O2.URI, map: $r, reduce: Wh, foldMap: Hh, reduceRight: Vh, traverse: Gy, sequence: O2.sequence, compact: O2.compact, separate: O2.separate, filter: Vc, filterMap: Hy, partition: Vy, partitionMap: Ky, wither: zy, wilt: Yy };
      var xre = function() {
        return O2.none;
      };
      O2.throwError = xre;
      O2.MonadThrow = { URI: O2.URI, map: $r, ap: Do, of: O2.of, chain: O2.flatMap, throwError: O2.throwError };
      O2.fromEither = O2.getRight;
      O2.FromEither = { URI: O2.URI, fromEither: O2.fromEither };
      O2.isSome = xo.isSome;
      var Dre = function(e3) {
        return e3._tag === "None";
      };
      O2.isNone = Dre;
      var Ore = function(e3, r2) {
        return function(n2) {
          return (0, O2.isNone)(n2) ? e3() : r2(n2.value);
        };
      };
      O2.matchW = Ore;
      O2.foldW = O2.matchW;
      O2.match = O2.matchW;
      O2.fold = O2.match;
      var Tre = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) ? e3() : r2.value;
        };
      };
      O2.getOrElseW = Tre;
      O2.getOrElse = O2.getOrElseW;
      O2.flap = (0, Kc.flap)(O2.Functor);
      O2.apFirst = (0, Gh.apFirst)(O2.Apply);
      O2.apSecond = (0, Gh.apSecond)(O2.Apply);
      O2.flatten = O2.compact;
      O2.tap = (0, ze.dual)(2, hC.tap(O2.Chain));
      O2.tapEither = (0, ze.dual)(2, (0, jy.tapEither)(O2.FromEither, O2.Chain));
      O2.duplicate = (0, O2.extend)(ze.identity);
      O2.fromEitherK = (0, jy.fromEitherK)(O2.FromEither);
      O2.chainEitherK = (0, jy.chainEitherK)(O2.FromEither, O2.Chain);
      O2.chainFirstEitherK = O2.tapEither;
      var Rre = function(e3) {
        return e3 == null ? O2.none : (0, O2.some)(e3);
      };
      O2.fromNullable = Rre;
      var Cre = function(e3) {
        try {
          return (0, O2.some)(e3());
        } catch {
          return O2.none;
        }
      };
      O2.tryCatch = Cre;
      var Are = function(e3) {
        return function() {
          for (var r2 = [], n2 = 0; n2 < arguments.length; n2++)
            r2[n2] = arguments[n2];
          return (0, O2.tryCatch)(function() {
            return e3.apply(void 0, r2);
          });
        };
      };
      O2.tryCatchK = Are;
      var Ire = function(e3) {
        return (0, ze.flow)(e3, O2.fromNullable);
      };
      O2.fromNullableK = Ire;
      var Pre = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) ? O2.none : (0, O2.fromNullable)(e3(r2.value));
        };
      };
      O2.chainNullableK = Pre;
      O2.toNullable = (0, O2.match)(ze.constNull, ze.identity);
      O2.toUndefined = (0, O2.match)(ze.constUndefined, ze.identity);
      function gC(e3) {
        return function(r2, n2) {
          if (n2 === void 0) {
            var i4 = gC(e3);
            return function(o2) {
              return i4(r2, o2);
            };
          }
          return (0, O2.isNone)(n2) ? false : e3.equals(r2, n2.value);
        };
      }
      O2.elem = gC;
      var Fre = function(e3) {
        return function(r2) {
          return (0, O2.isNone)(r2) ? false : e3(r2.value);
        };
      };
      O2.exists = Fre;
      O2.Do = (0, O2.of)(xo.emptyRecord);
      O2.bindTo = (0, Kc.bindTo)(O2.Functor);
      var Lre = (0, Kc.let)(O2.Functor);
      O2.let = Lre;
      O2.bind = hC.bind(O2.Chain);
      O2.apS = (0, Gh.apS)(O2.Apply);
      O2.ApT = (0, O2.of)(xo.emptyReadonlyArray);
      var Mre = function(e3) {
        return function(r2) {
          var n2 = e3(0, xo.head(r2));
          if ((0, O2.isNone)(n2))
            return O2.none;
          for (var i4 = [n2.value], o2 = 1; o2 < r2.length; o2++) {
            var a3 = e3(o2, r2[o2]);
            if ((0, O2.isNone)(a3))
              return O2.none;
            i4.push(a3.value);
          }
          return (0, O2.some)(i4);
        };
      };
      O2.traverseReadonlyNonEmptyArrayWithIndex = Mre;
      var Nre = function(e3) {
        var r2 = (0, O2.traverseReadonlyNonEmptyArrayWithIndex)(e3);
        return function(n2) {
          return xo.isNonEmpty(n2) ? r2(n2) : O2.ApT;
        };
      };
      O2.traverseReadonlyArrayWithIndex = Nre;
      O2.traverseArrayWithIndex = O2.traverseReadonlyArrayWithIndex;
      var kre = function(e3) {
        return (0, O2.traverseReadonlyArrayWithIndex)(function(r2, n2) {
          return e3(n2);
        });
      };
      O2.traverseArray = kre;
      O2.sequenceArray = (0, O2.traverseArray)(ze.identity);
      O2.chain = O2.flatMap;
      O2.chainFirst = O2.tap;
      function $re(e3) {
        return function(r2) {
          return (0, O2.isSome)(e3(r2));
        };
      }
      O2.getRefinement = $re;
      O2.mapNullable = O2.chainNullableK;
      O2.option = { URI: O2.URI, map: $r, of: O2.of, ap: Do, chain: O2.flatMap, reduce: Wh, foldMap: Hh, reduceRight: Vh, traverse: Gy, sequence: O2.sequence, zero: O2.zero, alt: Wy, extend: mC, compact: O2.compact, separate: O2.separate, filter: Vc, filterMap: Hy, partition: Vy, partitionMap: Ky, wither: zy, wilt: Yy, throwError: O2.throwError };
      O2.getApplySemigroup = (0, Gh.getApplySemigroup)(O2.Apply);
      O2.getApplyMonoid = (0, Xte.getApplicativeMonoid)(O2.Applicative);
      var qre = function() {
        return (0, O2.getMonoid)((0, pC.first)());
      };
      O2.getFirstMonoid = qre;
      var Bre = function() {
        return (0, O2.getMonoid)((0, pC.last)());
      };
      O2.getLastMonoid = Bre;
    });
    var Qy = b((Dr) => {
      "use strict";
      var jre = Dr && Dr.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), Ure = Dr && Dr.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), Gre = Dr && Dr.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && jre(r2, e3, n2);
        return Ure(r2, e3), r2;
      };
      Object.defineProperty(Dr, "__esModule", { value: true });
      Dr.getCompactableComposition = Dr.separate = Dr.compact = void 0;
      var yC = Ve(), bC = jn(), vC = Jy(), Wre = Gre(Hc());
      function Xy(e3, r2) {
        return function(n2) {
          return e3.map(n2, r2.compact);
        };
      }
      Dr.compact = Xy;
      function EC(e3, r2, n2) {
        var i4 = Xy(e3, r2), o2 = (0, bC.map)(e3, n2);
        return function(a3) {
          return Wre.separated(i4((0, yC.pipe)(a3, o2(vC.getLeft))), i4((0, yC.pipe)(a3, o2(vC.getRight))));
        };
      }
      Dr.separate = EC;
      function Hre(e3, r2) {
        var n2 = (0, bC.getFunctorComposition)(e3, r2).map;
        return { map: n2, compact: Xy(e3, r2), separate: EC(e3, r2, r2) };
      }
      Dr.getCompactableComposition = Hre;
    });
    var wC = b((Kh) => {
      "use strict";
      Object.defineProperty(Kh, "__esModule", { value: true });
      Kh.tailRec = void 0;
      var Vre = function(e3, r2) {
        for (var n2 = r2(e3); n2._tag === "Left"; )
          n2 = r2(n2.left);
        return n2.right;
      };
      Kh.tailRec = Vre;
    });
    var nv = b((x) => {
      "use strict";
      var Kre = x && x.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), zre = x && x.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), SC = x && x.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && Kre(r2, e3, n2);
        return zre(r2, e3), r2;
      };
      Object.defineProperty(x, "__esModule", { value: true });
      x.match = x.foldW = x.matchW = x.isRight = x.isLeft = x.fromOption = x.fromPredicate = x.FromEither = x.MonadThrow = x.throwError = x.ChainRec = x.Extend = x.extend = x.Alt = x.alt = x.altW = x.Bifunctor = x.mapLeft = x.bimap = x.Traversable = x.sequence = x.traverse = x.Foldable = x.reduceRight = x.foldMap = x.reduce = x.Monad = x.Chain = x.Applicative = x.Apply = x.ap = x.apW = x.Pointed = x.of = x.asUnit = x.as = x.Functor = x.map = x.getAltValidation = x.getApplicativeValidation = x.getWitherable = x.getFilterable = x.getCompactable = x.getSemigroup = x.getEq = x.getShow = x.URI = x.flatMap = x.right = x.left = void 0;
      x.chainFirstW = x.chainFirst = x.chain = x.chainW = x.sequenceArray = x.traverseArray = x.traverseArrayWithIndex = x.traverseReadonlyArrayWithIndex = x.traverseReadonlyNonEmptyArrayWithIndex = x.ApT = x.apSW = x.apS = x.bindW = x.bind = x.let = x.bindTo = x.Do = x.exists = x.elem = x.toError = x.toUnion = x.chainNullableK = x.fromNullableK = x.tryCatchK = x.tryCatch = x.fromNullable = x.orElse = x.orElseW = x.swap = x.filterOrElseW = x.filterOrElse = x.flatMapOption = x.flatMapNullable = x.liftOption = x.liftNullable = x.chainOptionKW = x.chainOptionK = x.fromOptionK = x.duplicate = x.flatten = x.flattenW = x.tap = x.apSecondW = x.apSecond = x.apFirstW = x.apFirst = x.flap = x.getOrElse = x.getOrElseW = x.fold = void 0;
      x.getValidation = x.getValidationMonoid = x.getValidationSemigroup = x.getApplyMonoid = x.getApplySemigroup = x.either = x.stringifyJSON = x.parseJSON = void 0;
      var xC = Wc(), zc = _o(), DC = SC(cs()), Yre = wC(), Yc = Bh(), wt = Ve(), Jc = jn(), Xr = SC(wi()), _i = Hc(), _C = By();
      x.left = Xr.left;
      x.right = Xr.right;
      x.flatMap = (0, wt.dual)(2, function(e3, r2) {
        return (0, x.isLeft)(e3) ? e3 : r2(e3.right);
      });
      var tr = function(e3, r2) {
        return (0, wt.pipe)(e3, (0, x.map)(r2));
      }, Oo = function(e3, r2) {
        return (0, wt.pipe)(e3, (0, x.ap)(r2));
      }, Xc = function(e3, r2, n2) {
        return (0, wt.pipe)(e3, (0, x.reduce)(r2, n2));
      }, Qc = function(e3) {
        return function(r2, n2) {
          var i4 = (0, x.foldMap)(e3);
          return (0, wt.pipe)(r2, i4(n2));
        };
      }, Zc = function(e3, r2, n2) {
        return (0, wt.pipe)(e3, (0, x.reduceRight)(r2, n2));
      }, zh = function(e3) {
        var r2 = (0, x.traverse)(e3);
        return function(n2, i4) {
          return (0, wt.pipe)(n2, r2(i4));
        };
      }, Zy = function(e3, r2, n2) {
        return (0, wt.pipe)(e3, (0, x.bimap)(r2, n2));
      }, ev = function(e3, r2) {
        return (0, wt.pipe)(e3, (0, x.mapLeft)(r2));
      }, OC = function(e3, r2) {
        return (0, wt.pipe)(e3, (0, x.alt)(r2));
      }, tv = function(e3, r2) {
        return (0, wt.pipe)(e3, (0, x.extend)(r2));
      }, rv = function(e3, r2) {
        return (0, Yre.tailRec)(r2(e3), function(n2) {
          return (0, x.isLeft)(n2) ? (0, x.right)((0, x.left)(n2.left)) : (0, x.isLeft)(n2.right) ? (0, x.left)(r2(n2.right.left)) : (0, x.right)((0, x.right)(n2.right.right));
        });
      };
      x.URI = "Either";
      var Jre = function(e3, r2) {
        return { show: function(n2) {
          return (0, x.isLeft)(n2) ? "left(".concat(e3.show(n2.left), ")") : "right(".concat(r2.show(n2.right), ")");
        } };
      };
      x.getShow = Jre;
      var Xre = function(e3, r2) {
        return { equals: function(n2, i4) {
          return n2 === i4 || ((0, x.isLeft)(n2) ? (0, x.isLeft)(i4) && e3.equals(n2.left, i4.left) : (0, x.isRight)(i4) && r2.equals(n2.right, i4.right));
        } };
      };
      x.getEq = Xre;
      var Qre = function(e3) {
        return { concat: function(r2, n2) {
          return (0, x.isLeft)(n2) ? r2 : (0, x.isLeft)(r2) ? n2 : (0, x.right)(e3.concat(r2.right, n2.right));
        } };
      };
      x.getSemigroup = Qre;
      var Zre = function(e3) {
        var r2 = (0, x.left)(e3.empty);
        return { URI: x.URI, _E: void 0, compact: function(n2) {
          return (0, x.isLeft)(n2) ? n2 : n2.right._tag === "None" ? r2 : (0, x.right)(n2.right.value);
        }, separate: function(n2) {
          return (0, x.isLeft)(n2) ? (0, _i.separated)(n2, n2) : (0, x.isLeft)(n2.right) ? (0, _i.separated)((0, x.right)(n2.right.left), r2) : (0, _i.separated)(r2, (0, x.right)(n2.right.right));
        } };
      };
      x.getCompactable = Zre;
      var ene = function(e3) {
        var r2 = (0, x.left)(e3.empty), n2 = (0, x.getCompactable)(e3), i4 = n2.compact, o2 = n2.separate, a3 = function(c4, l2) {
          return (0, x.isLeft)(c4) || l2(c4.right) ? c4 : r2;
        }, u2 = function(c4, l2) {
          return (0, x.isLeft)(c4) ? (0, _i.separated)(c4, c4) : l2(c4.right) ? (0, _i.separated)(r2, (0, x.right)(c4.right)) : (0, _i.separated)((0, x.right)(c4.right), r2);
        };
        return { URI: x.URI, _E: void 0, map: tr, compact: i4, separate: o2, filter: a3, filterMap: function(c4, l2) {
          if ((0, x.isLeft)(c4))
            return c4;
          var f4 = l2(c4.right);
          return f4._tag === "None" ? r2 : (0, x.right)(f4.value);
        }, partition: u2, partitionMap: function(c4, l2) {
          if ((0, x.isLeft)(c4))
            return (0, _i.separated)(c4, c4);
          var f4 = l2(c4.right);
          return (0, x.isLeft)(f4) ? (0, _i.separated)((0, x.right)(f4.left), r2) : (0, _i.separated)(r2, (0, x.right)(f4.right));
        } };
      };
      x.getFilterable = ene;
      var tne = function(e3) {
        var r2 = (0, x.getFilterable)(e3), n2 = (0, x.getCompactable)(e3);
        return { URI: x.URI, _E: void 0, map: tr, compact: r2.compact, separate: r2.separate, filter: r2.filter, filterMap: r2.filterMap, partition: r2.partition, partitionMap: r2.partitionMap, traverse: zh, sequence: x.sequence, reduce: Xc, foldMap: Qc, reduceRight: Zc, wither: (0, _C.witherDefault)(x.Traversable, n2), wilt: (0, _C.wiltDefault)(x.Traversable, n2) };
      };
      x.getWitherable = tne;
      var rne = function(e3) {
        return { URI: x.URI, _E: void 0, map: tr, ap: function(r2, n2) {
          return (0, x.isLeft)(r2) ? (0, x.isLeft)(n2) ? (0, x.left)(e3.concat(r2.left, n2.left)) : r2 : (0, x.isLeft)(n2) ? n2 : (0, x.right)(r2.right(n2.right));
        }, of: x.of };
      };
      x.getApplicativeValidation = rne;
      var nne = function(e3) {
        return { URI: x.URI, _E: void 0, map: tr, alt: function(r2, n2) {
          if ((0, x.isRight)(r2))
            return r2;
          var i4 = n2();
          return (0, x.isLeft)(i4) ? (0, x.left)(e3.concat(r2.left, i4.left)) : i4;
        } };
      };
      x.getAltValidation = nne;
      var ine = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? r2 : (0, x.right)(e3(r2.right));
        };
      };
      x.map = ine;
      x.Functor = { URI: x.URI, map: tr };
      x.as = (0, wt.dual)(2, (0, Jc.as)(x.Functor));
      x.asUnit = (0, Jc.asUnit)(x.Functor);
      x.of = x.right;
      x.Pointed = { URI: x.URI, of: x.of };
      var sne = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? r2 : (0, x.isLeft)(e3) ? e3 : (0, x.right)(r2.right(e3.right));
        };
      };
      x.apW = sne;
      x.ap = x.apW;
      x.Apply = { URI: x.URI, map: tr, ap: Oo };
      x.Applicative = { URI: x.URI, map: tr, ap: Oo, of: x.of };
      x.Chain = { URI: x.URI, map: tr, ap: Oo, chain: x.flatMap };
      x.Monad = { URI: x.URI, map: tr, ap: Oo, of: x.of, chain: x.flatMap };
      var one = function(e3, r2) {
        return function(n2) {
          return (0, x.isLeft)(n2) ? e3 : r2(e3, n2.right);
        };
      };
      x.reduce = one;
      var ane = function(e3) {
        return function(r2) {
          return function(n2) {
            return (0, x.isLeft)(n2) ? e3.empty : r2(n2.right);
          };
        };
      };
      x.foldMap = ane;
      var une = function(e3, r2) {
        return function(n2) {
          return (0, x.isLeft)(n2) ? e3 : r2(n2.right, e3);
        };
      };
      x.reduceRight = une;
      x.Foldable = { URI: x.URI, reduce: Xc, foldMap: Qc, reduceRight: Zc };
      var cne = function(e3) {
        return function(r2) {
          return function(n2) {
            return (0, x.isLeft)(n2) ? e3.of((0, x.left)(n2.left)) : e3.map(r2(n2.right), x.right);
          };
        };
      };
      x.traverse = cne;
      var lne = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? e3.of((0, x.left)(r2.left)) : e3.map(r2.right, x.right);
        };
      };
      x.sequence = lne;
      x.Traversable = { URI: x.URI, map: tr, reduce: Xc, foldMap: Qc, reduceRight: Zc, traverse: zh, sequence: x.sequence };
      var fne = function(e3, r2) {
        return function(n2) {
          return (0, x.isLeft)(n2) ? (0, x.left)(e3(n2.left)) : (0, x.right)(r2(n2.right));
        };
      };
      x.bimap = fne;
      var hne = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? (0, x.left)(e3(r2.left)) : r2;
        };
      };
      x.mapLeft = hne;
      x.Bifunctor = { URI: x.URI, bimap: Zy, mapLeft: ev };
      var pne = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? e3() : r2;
        };
      };
      x.altW = pne;
      x.alt = x.altW;
      x.Alt = { URI: x.URI, map: tr, alt: OC };
      var dne = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? r2 : (0, x.right)(e3(r2));
        };
      };
      x.extend = dne;
      x.Extend = { URI: x.URI, map: tr, extend: tv };
      x.ChainRec = { URI: x.URI, map: tr, ap: Oo, chain: x.flatMap, chainRec: rv };
      x.throwError = x.left;
      x.MonadThrow = { URI: x.URI, map: tr, ap: Oo, of: x.of, chain: x.flatMap, throwError: x.throwError };
      x.FromEither = { URI: x.URI, fromEither: wt.identity };
      x.fromPredicate = (0, Yc.fromPredicate)(x.FromEither);
      x.fromOption = (0, Yc.fromOption)(x.FromEither);
      x.isLeft = Xr.isLeft;
      x.isRight = Xr.isRight;
      var mne = function(e3, r2) {
        return function(n2) {
          return (0, x.isLeft)(n2) ? e3(n2.left) : r2(n2.right);
        };
      };
      x.matchW = mne;
      x.foldW = x.matchW;
      x.match = x.matchW;
      x.fold = x.match;
      var gne = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? e3(r2.left) : r2.right;
        };
      };
      x.getOrElseW = gne;
      x.getOrElse = x.getOrElseW;
      x.flap = (0, Jc.flap)(x.Functor);
      x.apFirst = (0, zc.apFirst)(x.Apply);
      x.apFirstW = x.apFirst;
      x.apSecond = (0, zc.apSecond)(x.Apply);
      x.apSecondW = x.apSecond;
      x.tap = (0, wt.dual)(2, DC.tap(x.Chain));
      x.flattenW = (0, x.flatMap)(wt.identity);
      x.flatten = x.flattenW;
      x.duplicate = (0, x.extend)(wt.identity);
      x.fromOptionK = (0, Yc.fromOptionK)(x.FromEither);
      x.chainOptionK = (0, Yc.chainOptionK)(x.FromEither, x.Chain);
      x.chainOptionKW = x.chainOptionK;
      var Yh = { fromEither: x.FromEither.fromEither };
      x.liftNullable = Xr.liftNullable(Yh);
      x.liftOption = Xr.liftOption(Yh);
      var TC = { flatMap: x.flatMap };
      x.flatMapNullable = Xr.flatMapNullable(Yh, TC);
      x.flatMapOption = Xr.flatMapOption(Yh, TC);
      x.filterOrElse = (0, Yc.filterOrElse)(x.FromEither, x.Chain);
      x.filterOrElseW = x.filterOrElse;
      var yne = function(e3) {
        return (0, x.isLeft)(e3) ? (0, x.right)(e3.left) : (0, x.left)(e3.right);
      };
      x.swap = yne;
      var vne = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? e3(r2.left) : r2;
        };
      };
      x.orElseW = vne;
      x.orElse = x.orElseW;
      var bne = function(e3) {
        return function(r2) {
          return r2 == null ? (0, x.left)(e3) : (0, x.right)(r2);
        };
      };
      x.fromNullable = bne;
      var Ene = function(e3, r2) {
        try {
          return (0, x.right)(e3());
        } catch (n2) {
          return (0, x.left)(r2(n2));
        }
      };
      x.tryCatch = Ene;
      var wne = function(e3, r2) {
        return function() {
          for (var n2 = [], i4 = 0; i4 < arguments.length; i4++)
            n2[i4] = arguments[i4];
          return (0, x.tryCatch)(function() {
            return e3.apply(void 0, n2);
          }, r2);
        };
      };
      x.tryCatchK = wne;
      var _ne = function(e3) {
        var r2 = (0, x.fromNullable)(e3);
        return function(n2) {
          return (0, wt.flow)(n2, r2);
        };
      };
      x.fromNullableK = _ne;
      var Sne = function(e3) {
        var r2 = (0, x.fromNullableK)(e3);
        return function(n2) {
          return (0, x.flatMap)(r2(n2));
        };
      };
      x.chainNullableK = Sne;
      x.toUnion = (0, x.foldW)(wt.identity, wt.identity);
      function xne(e3) {
        return e3 instanceof Error ? e3 : new Error(String(e3));
      }
      x.toError = xne;
      function RC(e3) {
        return function(r2, n2) {
          if (n2 === void 0) {
            var i4 = RC(e3);
            return function(o2) {
              return i4(r2, o2);
            };
          }
          return (0, x.isLeft)(n2) ? false : e3.equals(r2, n2.right);
        };
      }
      x.elem = RC;
      var Dne = function(e3) {
        return function(r2) {
          return (0, x.isLeft)(r2) ? false : e3(r2.right);
        };
      };
      x.exists = Dne;
      x.Do = (0, x.of)(Xr.emptyRecord);
      x.bindTo = (0, Jc.bindTo)(x.Functor);
      var One = (0, Jc.let)(x.Functor);
      x.let = One;
      x.bind = DC.bind(x.Chain);
      x.bindW = x.bind;
      x.apS = (0, zc.apS)(x.Apply);
      x.apSW = x.apS;
      x.ApT = (0, x.of)(Xr.emptyReadonlyArray);
      var Tne = function(e3) {
        return function(r2) {
          var n2 = e3(0, Xr.head(r2));
          if ((0, x.isLeft)(n2))
            return n2;
          for (var i4 = [n2.right], o2 = 1; o2 < r2.length; o2++) {
            var a3 = e3(o2, r2[o2]);
            if ((0, x.isLeft)(a3))
              return a3;
            i4.push(a3.right);
          }
          return (0, x.right)(i4);
        };
      };
      x.traverseReadonlyNonEmptyArrayWithIndex = Tne;
      var Rne = function(e3) {
        var r2 = (0, x.traverseReadonlyNonEmptyArrayWithIndex)(e3);
        return function(n2) {
          return Xr.isNonEmpty(n2) ? r2(n2) : x.ApT;
        };
      };
      x.traverseReadonlyArrayWithIndex = Rne;
      x.traverseArrayWithIndex = x.traverseReadonlyArrayWithIndex;
      var Cne = function(e3) {
        return (0, x.traverseReadonlyArrayWithIndex)(function(r2, n2) {
          return e3(n2);
        });
      };
      x.traverseArray = Cne;
      x.sequenceArray = (0, x.traverseArray)(wt.identity);
      x.chainW = x.flatMap;
      x.chain = x.flatMap;
      x.chainFirst = x.tap;
      x.chainFirstW = x.tap;
      function Ane(e3, r2) {
        return (0, x.tryCatch)(function() {
          return JSON.parse(e3);
        }, r2);
      }
      x.parseJSON = Ane;
      var Ine = function(e3, r2) {
        return (0, x.tryCatch)(function() {
          var n2 = JSON.stringify(e3);
          if (typeof n2 != "string")
            throw new Error("Converting unsupported structure to JSON");
          return n2;
        }, r2);
      };
      x.stringifyJSON = Ine;
      x.either = { URI: x.URI, map: tr, of: x.of, ap: Oo, chain: x.flatMap, reduce: Xc, foldMap: Qc, reduceRight: Zc, traverse: zh, sequence: x.sequence, bimap: Zy, mapLeft: ev, alt: OC, extend: tv, chainRec: rv, throwError: x.throwError };
      x.getApplySemigroup = (0, zc.getApplySemigroup)(x.Apply);
      x.getApplyMonoid = (0, xC.getApplicativeMonoid)(x.Applicative);
      var Pne = function(e3, r2) {
        return (0, zc.getApplySemigroup)((0, x.getApplicativeValidation)(e3))(r2);
      };
      x.getValidationSemigroup = Pne;
      var Fne = function(e3, r2) {
        return (0, xC.getApplicativeMonoid)((0, x.getApplicativeValidation)(e3))(r2);
      };
      x.getValidationMonoid = Fne;
      function Lne(e3) {
        var r2 = (0, x.getApplicativeValidation)(e3).ap, n2 = (0, x.getAltValidation)(e3).alt;
        return { URI: x.URI, _E: void 0, map: tr, of: x.of, chain: x.flatMap, bimap: Zy, mapLeft: ev, reduce: Xc, foldMap: Qc, reduceRight: Zc, extend: tv, traverse: zh, sequence: x.sequence, chainRec: rv, throwError: x.throwError, ap: r2, alt: n2 };
      }
      x.getValidation = Lne;
    });
    var VC = b((ne) => {
      "use strict";
      var Mne = ne && ne.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), Nne = ne && ne.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), kne = ne && ne.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && Mne(r2, e3, n2);
        return Nne(r2, e3), r2;
      };
      Object.defineProperty(ne, "__esModule", { value: true });
      ne.getEitherM = ne.toUnion = ne.swap = ne.orLeft = ne.tapError = ne.orElseFirst = ne.orElse = ne.getOrElse = ne.matchE = ne.match = ne.altValidation = ne.mapError = ne.mapLeft = ne.mapBoth = ne.bimap = ne.alt = ne.flatMap = ne.chain = ne.ap = ne.map = ne.chainNullableK = ne.fromNullableK = ne.fromNullable = ne.leftF = ne.rightF = ne.left = ne.right = void 0;
      var $ne = _o(), rt = kne(nv()), Or = Ve(), qne = jn();
      function iv(e3) {
        return (0, Or.flow)(rt.right, e3.of);
      }
      ne.right = iv;
      function CC(e3) {
        return (0, Or.flow)(rt.left, e3.of);
      }
      ne.left = CC;
      function AC(e3) {
        return function(r2) {
          return e3.map(r2, rt.right);
        };
      }
      ne.rightF = AC;
      function IC(e3) {
        return function(r2) {
          return e3.map(r2, rt.left);
        };
      }
      ne.leftF = IC;
      function PC(e3) {
        return function(r2) {
          return (0, Or.flow)(rt.fromNullable(r2), e3.of);
        };
      }
      ne.fromNullable = PC;
      function FC(e3) {
        var r2 = PC(e3);
        return function(n2) {
          var i4 = r2(n2);
          return function(o2) {
            return (0, Or.flow)(o2, i4);
          };
        };
      }
      ne.fromNullableK = FC;
      function Bne(e3) {
        var r2 = sv(e3), n2 = FC(e3);
        return function(i4) {
          var o2 = n2(i4);
          return function(a3) {
            return r2(o2(a3));
          };
        };
      }
      ne.chainNullableK = Bne;
      function LC(e3) {
        return (0, qne.map)(e3, rt.Functor);
      }
      ne.map = LC;
      function MC(e3) {
        return (0, $ne.ap)(e3, rt.Apply);
      }
      ne.ap = MC;
      function sv(e3) {
        var r2 = NC(e3);
        return function(n2) {
          return function(i4) {
            return r2(i4, n2);
          };
        };
      }
      ne.chain = sv;
      function NC(e3) {
        return function(r2, n2) {
          return e3.chain(r2, function(i4) {
            return rt.isLeft(i4) ? e3.of(i4) : n2(i4.right);
          });
        };
      }
      ne.flatMap = NC;
      function kC(e3) {
        return function(r2) {
          return function(n2) {
            return e3.chain(n2, function(i4) {
              return rt.isLeft(i4) ? r2() : e3.of(i4);
            });
          };
        };
      }
      ne.alt = kC;
      function $C(e3) {
        var r2 = qC(e3);
        return function(n2, i4) {
          return function(o2) {
            return r2(o2, n2, i4);
          };
        };
      }
      ne.bimap = $C;
      function qC(e3) {
        return function(r2, n2, i4) {
          return e3.map(r2, rt.bimap(n2, i4));
        };
      }
      ne.mapBoth = qC;
      function BC(e3) {
        var r2 = jC(e3);
        return function(n2) {
          return function(i4) {
            return r2(i4, n2);
          };
        };
      }
      ne.mapLeft = BC;
      function jC(e3) {
        return function(r2, n2) {
          return e3.map(r2, rt.mapLeft(n2));
        };
      }
      ne.mapError = jC;
      function jne(e3, r2) {
        return function(n2) {
          return function(i4) {
            return e3.chain(i4, rt.match(function(o2) {
              return e3.map(n2(), rt.mapLeft(function(a3) {
                return r2.concat(o2, a3);
              }));
            }, iv(e3)));
          };
        };
      }
      ne.altValidation = jne;
      function Une(e3) {
        return function(r2, n2) {
          return function(i4) {
            return e3.map(i4, rt.match(r2, n2));
          };
        };
      }
      ne.match = Une;
      function UC(e3) {
        return function(r2, n2) {
          return function(i4) {
            return e3.chain(i4, rt.match(r2, n2));
          };
        };
      }
      ne.matchE = UC;
      function GC(e3) {
        return function(r2) {
          return function(n2) {
            return e3.chain(n2, rt.match(r2, e3.of));
          };
        };
      }
      ne.getOrElse = GC;
      function ov(e3) {
        return function(r2) {
          return function(n2) {
            return e3.chain(n2, function(i4) {
              return rt.isLeft(i4) ? r2(i4.left) : e3.of(i4);
            });
          };
        };
      }
      ne.orElse = ov;
      function Gne(e3) {
        var r2 = WC(e3);
        return function(n2) {
          return function(i4) {
            return r2(i4, n2);
          };
        };
      }
      ne.orElseFirst = Gne;
      function WC(e3) {
        var r2 = ov(e3);
        return function(n2, i4) {
          return (0, Or.pipe)(n2, r2(function(o2) {
            return e3.map(i4(o2), function(a3) {
              return rt.isLeft(a3) ? a3 : rt.left(o2);
            });
          }));
        };
      }
      ne.tapError = WC;
      function Wne(e3) {
        return function(r2) {
          return function(n2) {
            return e3.chain(n2, rt.match(function(i4) {
              return e3.map(r2(i4), rt.left);
            }, function(i4) {
              return e3.of(rt.right(i4));
            }));
          };
        };
      }
      ne.orLeft = Wne;
      function HC(e3) {
        return function(r2) {
          return e3.map(r2, rt.swap);
        };
      }
      ne.swap = HC;
      function Hne(e3) {
        return function(r2) {
          return e3.map(r2, rt.toUnion);
        };
      }
      ne.toUnion = Hne;
      function Vne(e3) {
        var r2 = MC(e3), n2 = LC(e3), i4 = sv(e3), o2 = kC(e3), a3 = $C(e3), u2 = BC(e3), c4 = UC(e3), l2 = GC(e3), f4 = ov(e3);
        return { map: function(p2, v2) {
          return (0, Or.pipe)(p2, n2(v2));
        }, ap: function(p2, v2) {
          return (0, Or.pipe)(p2, r2(v2));
        }, of: iv(e3), chain: function(p2, v2) {
          return (0, Or.pipe)(p2, i4(v2));
        }, alt: function(p2, v2) {
          return (0, Or.pipe)(p2, o2(v2));
        }, bimap: function(p2, v2, g2) {
          return (0, Or.pipe)(p2, a3(v2, g2));
        }, mapLeft: function(p2, v2) {
          return (0, Or.pipe)(p2, u2(v2));
        }, fold: function(p2, v2, g2) {
          return (0, Or.pipe)(p2, c4(v2, g2));
        }, getOrElse: function(p2, v2) {
          return (0, Or.pipe)(p2, l2(v2));
        }, orElse: function(p2, v2) {
          return (0, Or.pipe)(p2, f4(v2));
        }, swap: HC(e3), rightM: AC(e3), leftM: IC(e3), left: CC(e3) };
      }
      ne.getEitherM = Vne;
    });
    var QC = b((Qr) => {
      "use strict";
      Object.defineProperty(Qr, "__esModule", { value: true });
      Qr.getFilterableComposition = Qr.partitionMap = Qr.partition = Qr.filterMap = Qr.filter = void 0;
      var KC = Qy(), Ba = Ve(), Kne = jn(), zC = Jy(), zne = Ny(), YC = Hc();
      function av(e3, r2) {
        return function(n2) {
          return function(i4) {
            return e3.map(i4, function(o2) {
              return r2.filter(o2, n2);
            });
          };
        };
      }
      Qr.filter = av;
      function uv(e3, r2) {
        return function(n2) {
          return function(i4) {
            return e3.map(i4, function(o2) {
              return r2.filterMap(o2, n2);
            });
          };
        };
      }
      Qr.filterMap = uv;
      function JC(e3, r2) {
        var n2 = av(e3, r2);
        return function(i4) {
          var o2 = n2((0, zne.not)(i4)), a3 = n2(i4);
          return function(u2) {
            return (0, YC.separated)(o2(u2), a3(u2));
          };
        };
      }
      Qr.partition = JC;
      function XC(e3, r2) {
        var n2 = uv(e3, r2);
        return function(i4) {
          return function(o2) {
            return (0, YC.separated)((0, Ba.pipe)(o2, n2(function(a3) {
              return (0, zC.getLeft)(i4(a3));
            })), (0, Ba.pipe)(o2, n2(function(a3) {
              return (0, zC.getRight)(i4(a3));
            })));
          };
        };
      }
      Qr.partitionMap = XC;
      function Yne(e3, r2) {
        var n2 = (0, Kne.getFunctorComposition)(e3, r2).map, i4 = (0, KC.compact)(e3, r2), o2 = (0, KC.separate)(e3, r2, r2), a3 = av(e3, r2), u2 = uv(e3, r2), c4 = JC(e3, r2), l2 = XC(e3, r2);
        return { map: n2, compact: i4, separate: o2, filter: function(f4, p2) {
          return (0, Ba.pipe)(f4, a3(p2));
        }, filterMap: function(f4, p2) {
          return (0, Ba.pipe)(f4, u2(p2));
        }, partition: function(f4, p2) {
          return (0, Ba.pipe)(f4, c4(p2));
        }, partitionMap: function(f4, p2) {
          return (0, Ba.pipe)(f4, l2(p2));
        } };
      }
      Qr.getFilterableComposition = Yne;
    });
    var lv = b((Un) => {
      "use strict";
      Object.defineProperty(Un, "__esModule", { value: true });
      Un.tapIO = Un.chainFirstIOK = Un.chainIOK = Un.fromIOK = void 0;
      var Jne = cs(), cv = Ve();
      function Xne(e3) {
        return function(r2) {
          return (0, cv.flow)(r2, e3.fromIO);
        };
      }
      Un.fromIOK = Xne;
      function Qne(e3, r2) {
        return function(n2) {
          var i4 = (0, cv.flow)(n2, e3.fromIO);
          return function(o2) {
            return r2.chain(o2, i4);
          };
        };
      }
      Un.chainIOK = Qne;
      function Zne(e3, r2) {
        var n2 = ZC(e3, r2);
        return function(i4) {
          return function(o2) {
            return n2(o2, i4);
          };
        };
      }
      Un.chainFirstIOK = Zne;
      function ZC(e3, r2) {
        var n2 = (0, Jne.tap)(r2);
        return function(i4, o2) {
          return n2(i4, (0, cv.flow)(o2, e3.fromIO));
        };
      }
      Un.tapIO = ZC;
    });
    var tA = b((Gn) => {
      "use strict";
      Object.defineProperty(Gn, "__esModule", { value: true });
      Gn.tapTask = Gn.chainFirstTaskK = Gn.chainTaskK = Gn.fromTaskK = void 0;
      var eie = cs(), fv = Ve();
      function tie(e3) {
        return function(r2) {
          return (0, fv.flow)(r2, e3.fromTask);
        };
      }
      Gn.fromTaskK = tie;
      function rie(e3, r2) {
        return function(n2) {
          var i4 = (0, fv.flow)(n2, e3.fromTask);
          return function(o2) {
            return r2.chain(o2, i4);
          };
        };
      }
      Gn.chainTaskK = rie;
      function nie(e3, r2) {
        var n2 = eA(e3, r2);
        return function(i4) {
          return function(o2) {
            return n2(o2, i4);
          };
        };
      }
      Gn.chainFirstTaskK = nie;
      function eA(e3, r2) {
        var n2 = (0, eie.tap)(r2);
        return function(i4, o2) {
          return n2(i4, (0, fv.flow)(o2, e3.fromTask));
        };
      }
      Gn.tapTask = eA;
    });
    var sA = b((F) => {
      "use strict";
      var iie = F && F.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), sie = F && F.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), rA = F && F.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && iie(r2, e3, n2);
        return sie(r2, e3), r2;
      };
      Object.defineProperty(F, "__esModule", { value: true });
      F.sequenceSeqArray = F.traverseSeqArray = F.traverseSeqArrayWithIndex = F.sequenceArray = F.traverseArray = F.traverseArrayWithIndex = F.traverseReadonlyArrayWithIndexSeq = F.traverseReadonlyNonEmptyArrayWithIndexSeq = F.traverseReadonlyArrayWithIndex = F.traverseReadonlyNonEmptyArrayWithIndex = F.ApT = F.apS = F.bind = F.let = F.bindTo = F.Do = F.never = F.FromTask = F.chainFirstIOK = F.chainIOK = F.fromIOK = F.tapIO = F.tap = F.flatMapIO = F.FromIO = F.MonadTask = F.fromTask = F.MonadIO = F.Monad = F.Chain = F.ApplicativeSeq = F.ApplySeq = F.ApplicativePar = F.apSecond = F.apFirst = F.ApplyPar = F.Pointed = F.flap = F.asUnit = F.as = F.Functor = F.getRaceMonoid = F.URI = F.flatten = F.flatMap = F.of = F.ap = F.map = F.delay = F.fromIO = void 0;
      F.getMonoid = F.getSemigroup = F.taskSeq = F.task = F.chainFirst = F.chain = void 0;
      var oie = Wc(), Jh = _o(), nA = rA(cs()), iA = lv(), bn = Ve(), el = jn(), ls = rA(wi()), aie = function(e3) {
        return function() {
          return Promise.resolve().then(e3);
        };
      };
      F.fromIO = aie;
      function uie(e3) {
        return function(r2) {
          return function() {
            return new Promise(function(n2) {
              setTimeout(function() {
                Promise.resolve().then(r2).then(n2);
              }, e3);
            });
          };
        };
      }
      F.delay = uie;
      var En = function(e3, r2) {
        return (0, bn.pipe)(e3, (0, F.map)(r2));
      }, To = function(e3, r2) {
        return (0, bn.pipe)(e3, (0, F.ap)(r2));
      }, hv = function(e3, r2) {
        return (0, F.flatMap)(e3, function(n2) {
          return (0, bn.pipe)(r2, (0, F.map)(n2));
        });
      }, cie = function(e3) {
        return function(r2) {
          return function() {
            return Promise.resolve().then(r2).then(e3);
          };
        };
      };
      F.map = cie;
      var lie = function(e3) {
        return function(r2) {
          return function() {
            return Promise.all([Promise.resolve().then(r2), Promise.resolve().then(e3)]).then(function(n2) {
              var i4 = n2[0], o2 = n2[1];
              return i4(o2);
            });
          };
        };
      };
      F.ap = lie;
      var fie = function(e3) {
        return function() {
          return Promise.resolve(e3);
        };
      };
      F.of = fie;
      F.flatMap = (0, bn.dual)(2, function(e3, r2) {
        return function() {
          return Promise.resolve().then(e3).then(function(n2) {
            return r2(n2)();
          });
        };
      });
      F.flatten = (0, F.flatMap)(bn.identity);
      F.URI = "Task";
      function hie() {
        return { concat: function(e3, r2) {
          return function() {
            return Promise.race([Promise.resolve().then(e3), Promise.resolve().then(r2)]);
          };
        }, empty: F.never };
      }
      F.getRaceMonoid = hie;
      F.Functor = { URI: F.URI, map: En };
      F.as = (0, bn.dual)(2, (0, el.as)(F.Functor));
      F.asUnit = (0, el.asUnit)(F.Functor);
      F.flap = (0, el.flap)(F.Functor);
      F.Pointed = { URI: F.URI, of: F.of };
      F.ApplyPar = { URI: F.URI, map: En, ap: To };
      F.apFirst = (0, Jh.apFirst)(F.ApplyPar);
      F.apSecond = (0, Jh.apSecond)(F.ApplyPar);
      F.ApplicativePar = { URI: F.URI, map: En, ap: To, of: F.of };
      F.ApplySeq = { URI: F.URI, map: En, ap: hv };
      F.ApplicativeSeq = { URI: F.URI, map: En, ap: hv, of: F.of };
      F.Chain = { URI: F.URI, map: En, ap: To, chain: F.flatMap };
      F.Monad = { URI: F.URI, map: En, of: F.of, ap: To, chain: F.flatMap };
      F.MonadIO = { URI: F.URI, map: En, of: F.of, ap: To, chain: F.flatMap, fromIO: F.fromIO };
      F.fromTask = bn.identity;
      F.MonadTask = { URI: F.URI, map: En, of: F.of, ap: To, chain: F.flatMap, fromIO: F.fromIO, fromTask: F.fromTask };
      F.FromIO = { URI: F.URI, fromIO: F.fromIO };
      var pie = { flatMap: F.flatMap }, die = { fromIO: F.FromIO.fromIO };
      F.flatMapIO = ls.flatMapIO(die, pie);
      F.tap = (0, bn.dual)(2, nA.tap(F.Chain));
      F.tapIO = (0, bn.dual)(2, (0, iA.tapIO)(F.FromIO, F.Chain));
      F.fromIOK = (0, iA.fromIOK)(F.FromIO);
      F.chainIOK = F.flatMapIO;
      F.chainFirstIOK = F.tapIO;
      F.FromTask = { URI: F.URI, fromIO: F.fromIO, fromTask: F.fromTask };
      var mie = function() {
        return new Promise(function(e3) {
        });
      };
      F.never = mie;
      F.Do = (0, F.of)(ls.emptyRecord);
      F.bindTo = (0, el.bindTo)(F.Functor);
      var gie = (0, el.let)(F.Functor);
      F.let = gie;
      F.bind = nA.bind(F.Chain);
      F.apS = (0, Jh.apS)(F.ApplyPar);
      F.ApT = (0, F.of)(ls.emptyReadonlyArray);
      var yie = function(e3) {
        return function(r2) {
          return function() {
            return Promise.all(r2.map(function(n2, i4) {
              return Promise.resolve().then(function() {
                return e3(i4, n2)();
              });
            }));
          };
        };
      };
      F.traverseReadonlyNonEmptyArrayWithIndex = yie;
      var vie = function(e3) {
        var r2 = (0, F.traverseReadonlyNonEmptyArrayWithIndex)(e3);
        return function(n2) {
          return ls.isNonEmpty(n2) ? r2(n2) : F.ApT;
        };
      };
      F.traverseReadonlyArrayWithIndex = vie;
      var bie = function(e3) {
        return function(r2) {
          return function() {
            return ls.tail(r2).reduce(function(n2, i4, o2) {
              return n2.then(function(a3) {
                return Promise.resolve().then(e3(o2 + 1, i4)).then(function(u2) {
                  return a3.push(u2), a3;
                });
              });
            }, Promise.resolve().then(e3(0, ls.head(r2))).then(ls.singleton));
          };
        };
      };
      F.traverseReadonlyNonEmptyArrayWithIndexSeq = bie;
      var Eie = function(e3) {
        var r2 = (0, F.traverseReadonlyNonEmptyArrayWithIndexSeq)(e3);
        return function(n2) {
          return ls.isNonEmpty(n2) ? r2(n2) : F.ApT;
        };
      };
      F.traverseReadonlyArrayWithIndexSeq = Eie;
      F.traverseArrayWithIndex = F.traverseReadonlyArrayWithIndex;
      var wie = function(e3) {
        return (0, F.traverseReadonlyArrayWithIndex)(function(r2, n2) {
          return e3(n2);
        });
      };
      F.traverseArray = wie;
      F.sequenceArray = (0, F.traverseArray)(bn.identity);
      F.traverseSeqArrayWithIndex = F.traverseReadonlyArrayWithIndexSeq;
      var _ie = function(e3) {
        return (0, F.traverseReadonlyArrayWithIndexSeq)(function(r2, n2) {
          return e3(n2);
        });
      };
      F.traverseSeqArray = _ie;
      F.sequenceSeqArray = (0, F.traverseSeqArray)(bn.identity);
      F.chain = F.flatMap;
      F.chainFirst = F.tap;
      F.task = { URI: F.URI, map: En, of: F.of, ap: To, chain: F.flatMap, fromIO: F.fromIO, fromTask: F.fromTask };
      F.taskSeq = { URI: F.URI, map: En, of: F.of, ap: hv, chain: F.flatMap, fromIO: F.fromIO, fromTask: F.fromTask };
      F.getSemigroup = (0, Jh.getApplySemigroup)(F.ApplySeq);
      F.getMonoid = (0, oie.getApplicativeMonoid)(F.ApplicativeSeq);
    });
    var hA = b((E2) => {
      "use strict";
      var Sie = E2 && E2.__createBinding || (Object.create ? function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2);
        var o2 = Object.getOwnPropertyDescriptor(r2, n2);
        (!o2 || ("get" in o2 ? !r2.__esModule : o2.writable || o2.configurable)) && (o2 = { enumerable: true, get: function() {
          return r2[n2];
        } }), Object.defineProperty(e3, i4, o2);
      } : function(e3, r2, n2, i4) {
        i4 === void 0 && (i4 = n2), e3[i4] = r2[n2];
      }), xie = E2 && E2.__setModuleDefault || (Object.create ? function(e3, r2) {
        Object.defineProperty(e3, "default", { enumerable: true, value: r2 });
      } : function(e3, r2) {
        e3.default = r2;
      }), tl = E2 && E2.__importStar || function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var r2 = {};
        if (e3 != null)
          for (var n2 in e3)
            n2 !== "default" && Object.prototype.hasOwnProperty.call(e3, n2) && Sie(r2, e3, n2);
        return xie(r2, e3), r2;
      }, Die = E2 && E2.__awaiter || function(e3, r2, n2, i4) {
        function o2(a3) {
          return a3 instanceof n2 ? a3 : new n2(function(u2) {
            u2(a3);
          });
        }
        return new (n2 || (n2 = Promise))(function(a3, u2) {
          function c4(p2) {
            try {
              f4(i4.next(p2));
            } catch (v2) {
              u2(v2);
            }
          }
          function l2(p2) {
            try {
              f4(i4.throw(p2));
            } catch (v2) {
              u2(v2);
            }
          }
          function f4(p2) {
            p2.done ? a3(p2.value) : o2(p2.value).then(c4, l2);
          }
          f4((i4 = i4.apply(e3, r2 || [])).next());
        });
      }, Oie = E2 && E2.__generator || function(e3, r2) {
        var n2 = { label: 0, sent: function() {
          if (a3[0] & 1)
            throw a3[1];
          return a3[1];
        }, trys: [], ops: [] }, i4, o2, a3, u2;
        return u2 = { next: c4(0), throw: c4(1), return: c4(2) }, typeof Symbol == "function" && (u2[Symbol.iterator] = function() {
          return this;
        }), u2;
        function c4(f4) {
          return function(p2) {
            return l2([f4, p2]);
          };
        }
        function l2(f4) {
          if (i4)
            throw new TypeError("Generator is already executing.");
          for (; u2 && (u2 = 0, f4[0] && (n2 = 0)), n2; )
            try {
              if (i4 = 1, o2 && (a3 = f4[0] & 2 ? o2.return : f4[0] ? o2.throw || ((a3 = o2.return) && a3.call(o2), 0) : o2.next) && !(a3 = a3.call(o2, f4[1])).done)
                return a3;
              switch (o2 = 0, a3 && (f4 = [f4[0] & 2, a3.value]), f4[0]) {
                case 0:
                case 1:
                  a3 = f4;
                  break;
                case 4:
                  return n2.label++, { value: f4[1], done: false };
                case 5:
                  n2.label++, o2 = f4[1], f4 = [0];
                  continue;
                case 7:
                  f4 = n2.ops.pop(), n2.trys.pop();
                  continue;
                default:
                  if (a3 = n2.trys, !(a3 = a3.length > 0 && a3[a3.length - 1]) && (f4[0] === 6 || f4[0] === 2)) {
                    n2 = 0;
                    continue;
                  }
                  if (f4[0] === 3 && (!a3 || f4[1] > a3[0] && f4[1] < a3[3])) {
                    n2.label = f4[1];
                    break;
                  }
                  if (f4[0] === 6 && n2.label < a3[1]) {
                    n2.label = a3[1], a3 = f4;
                    break;
                  }
                  if (a3 && n2.label < a3[2]) {
                    n2.label = a3[2], n2.ops.push(f4);
                    break;
                  }
                  a3[2] && n2.ops.pop(), n2.trys.pop();
                  continue;
              }
              f4 = r2.call(e3, n2);
            } catch (p2) {
              f4 = [6, p2], o2 = 0;
            } finally {
              i4 = a3 = 0;
            }
          if (f4[0] & 5)
            throw f4[1];
          return { value: f4[0] ? f4[1] : void 0, done: true };
        }
      };
      Object.defineProperty(E2, "__esModule", { value: true });
      E2.throwError = E2.of = E2.altW = E2.alt = E2.flatten = E2.flattenW = E2.flatMap = E2.apW = E2.ap = E2.mapLeft = E2.mapError = E2.bimap = E2.mapBoth = E2.map = E2.fromIOEitherK = E2.chainTaskOptionK = E2.chainTaskOptionKW = E2.fromTaskOptionK = E2.swap = E2.orLeft = E2.orElseFirstTaskK = E2.orElseFirstIOK = E2.tapError = E2.orElseW = E2.orElse = E2.chainNullableK = E2.fromNullableK = E2.fromNullable = E2.toUnion = E2.tryCatchK = E2.tryCatch = E2.getOrElseW = E2.getOrElse = E2.foldW = E2.matchEW = E2.fold = E2.matchE = E2.matchW = E2.match = E2.fromTaskOption = E2.fromIOEither = E2.fromEither = E2.fromTask = E2.fromIO = E2.leftIO = E2.rightIO = E2.leftTask = E2.rightTask = E2.right = E2.left = void 0;
      E2.fromPredicate = E2.chainFirstEitherKW = E2.chainFirstEitherK = E2.chainEitherKW = E2.chainEitherK = E2.flatMapTaskOption = E2.flatMapIOEither = E2.flatMapTask = E2.flatMapIO = E2.flatMapEither = E2.flatMapOption = E2.flatMapNullable = E2.liftOption = E2.liftNullable = E2.chainOptionKW = E2.chainOptionK = E2.fromOptionK = E2.fromOption = E2.Alt = E2.Bifunctor = E2.tapTask = E2.tapIO = E2.tapEither = E2.tap = E2.FromTask = E2.FromIO = E2.FromEither = E2.MonadThrow = E2.MonadTask = E2.MonadIO = E2.Monad = E2.Chain = E2.ApplicativeSeq = E2.ApplySeq = E2.ApplicativePar = E2.apSecondW = E2.apSecond = E2.apFirstW = E2.apFirst = E2.ApplyPar = E2.Pointed = E2.flap = E2.asUnit = E2.as = E2.Functor = E2.getFilterable = E2.getCompactable = E2.getAltTaskValidation = E2.getApplicativeTaskValidation = E2.URI = void 0;
      E2.getTaskValidation = E2.getSemigroup = E2.getApplyMonoid = E2.getApplySemigroup = E2.taskEitherSeq = E2.taskEither = E2.orElseFirstW = E2.orElseFirst = E2.chainFirstW = E2.chainFirst = E2.chainW = E2.chain = E2.sequenceSeqArray = E2.traverseSeqArray = E2.traverseSeqArrayWithIndex = E2.sequenceArray = E2.traverseArray = E2.traverseArrayWithIndex = E2.traverseReadonlyArrayWithIndexSeq = E2.traverseReadonlyNonEmptyArrayWithIndexSeq = E2.traverseReadonlyArrayWithIndex = E2.traverseReadonlyNonEmptyArrayWithIndex = E2.ApT = E2.apSW = E2.apS = E2.bindW = E2.bind = E2.let = E2.bindTo = E2.Do = E2.bracketW = E2.bracket = E2.taskify = E2.chainIOEitherK = E2.chainIOEitherKW = E2.chainFirstTaskK = E2.chainTaskK = E2.fromTaskK = E2.chainFirstIOK = E2.chainIOK = E2.fromIOK = E2.fromEitherK = E2.filterOrElseW = E2.filterOrElse = void 0;
      var Tie = Wc(), ja = _o(), aA = tl(cs()), oA = Qy(), hs = tl(nv()), gt = tl(VC()), Xh = QC(), Ro = Bh(), uA = lv(), cA = tA(), Pe = Ve(), rl = jn(), _t = tl(wi()), ge = tl(sA());
      E2.left = gt.left(ge.Pointed);
      E2.right = gt.right(ge.Pointed);
      E2.rightTask = gt.rightF(ge.Functor);
      E2.leftTask = gt.leftF(ge.Functor);
      E2.rightIO = (0, Pe.flow)(ge.fromIO, E2.rightTask);
      E2.leftIO = (0, Pe.flow)(ge.fromIO, E2.leftTask);
      E2.fromIO = E2.rightIO;
      E2.fromTask = E2.rightTask;
      E2.fromEither = ge.of;
      E2.fromIOEither = ge.fromIO;
      var Rie = function(e3) {
        return ge.map(hs.fromOption(e3));
      };
      E2.fromTaskOption = Rie;
      E2.match = gt.match(ge.Functor);
      E2.matchW = E2.match;
      E2.matchE = gt.matchE(ge.Monad);
      E2.fold = E2.matchE;
      E2.matchEW = E2.matchE;
      E2.foldW = E2.matchEW;
      E2.getOrElse = gt.getOrElse(ge.Monad);
      E2.getOrElseW = E2.getOrElse;
      var Cie = function(e3, r2) {
        return function() {
          return Die(void 0, void 0, void 0, function() {
            var n2;
            return Oie(this, function(i4) {
              switch (i4.label) {
                case 0:
                  return i4.trys.push([0, 2, , 3]), [4, e3().then(_t.right)];
                case 1:
                  return [2, i4.sent()];
                case 2:
                  return n2 = i4.sent(), [2, _t.left(r2(n2))];
                case 3:
                  return [2];
              }
            });
          });
        };
      };
      E2.tryCatch = Cie;
      var Aie = function(e3, r2) {
        return function() {
          for (var n2 = [], i4 = 0; i4 < arguments.length; i4++)
            n2[i4] = arguments[i4];
          return (0, E2.tryCatch)(function() {
            return e3.apply(void 0, n2);
          }, r2);
        };
      };
      E2.tryCatchK = Aie;
      E2.toUnion = gt.toUnion(ge.Functor);
      E2.fromNullable = gt.fromNullable(ge.Pointed);
      E2.fromNullableK = gt.fromNullableK(ge.Pointed);
      E2.chainNullableK = gt.chainNullableK(ge.Monad);
      E2.orElse = gt.orElse(ge.Monad);
      E2.orElseW = E2.orElse;
      E2.tapError = (0, Pe.dual)(2, gt.tapError(ge.Monad));
      var Iie = function(e3) {
        return (0, E2.tapError)((0, E2.fromIOK)(e3));
      };
      E2.orElseFirstIOK = Iie;
      var Pie = function(e3) {
        return (0, E2.tapError)((0, E2.fromTaskK)(e3));
      };
      E2.orElseFirstTaskK = Pie;
      E2.orLeft = gt.orLeft(ge.Monad);
      E2.swap = gt.swap(ge.Functor);
      var Fie = function(e3) {
        var r2 = (0, E2.fromTaskOption)(e3);
        return function(n2) {
          return (0, Pe.flow)(n2, r2);
        };
      };
      E2.fromTaskOptionK = Fie;
      var Lie = function(e3) {
        return function(r2) {
          return function(n2) {
            return (0, E2.flatMap)(n2, (0, E2.fromTaskOptionK)(e3)(r2));
          };
        };
      };
      E2.chainTaskOptionKW = Lie;
      E2.chainTaskOptionK = E2.chainTaskOptionKW;
      var Mie = function(e3) {
        return (0, Pe.flow)(e3, E2.fromIOEither);
      };
      E2.fromIOEitherK = Mie;
      var Ht = function(e3, r2) {
        return (0, Pe.pipe)(e3, (0, E2.map)(r2));
      }, ps = function(e3, r2) {
        return (0, Pe.pipe)(e3, (0, E2.ap)(r2));
      }, pv = function(e3, r2) {
        return (0, E2.flatMap)(e3, function(n2) {
          return (0, Pe.pipe)(r2, (0, E2.map)(n2));
        });
      }, dv = function(e3, r2) {
        return (0, Pe.pipe)(e3, (0, E2.alt)(r2));
      };
      E2.map = gt.map(ge.Functor);
      E2.mapBoth = (0, Pe.dual)(3, gt.mapBoth(ge.Functor));
      E2.bimap = E2.mapBoth;
      E2.mapError = (0, Pe.dual)(2, gt.mapError(ge.Functor));
      E2.mapLeft = E2.mapError;
      E2.ap = gt.ap(ge.ApplyPar);
      E2.apW = E2.ap;
      E2.flatMap = (0, Pe.dual)(2, gt.flatMap(ge.Monad));
      E2.flattenW = (0, E2.flatMap)(Pe.identity);
      E2.flatten = E2.flattenW;
      E2.alt = gt.alt(ge.Monad);
      E2.altW = E2.alt;
      E2.of = E2.right;
      E2.throwError = E2.left;
      E2.URI = "TaskEither";
      function lA(e3, r2) {
        var n2 = (0, ja.ap)(e3, hs.getApplicativeValidation(r2));
        return { URI: E2.URI, _E: void 0, map: Ht, ap: function(i4, o2) {
          return (0, Pe.pipe)(i4, n2(o2));
        }, of: E2.of };
      }
      E2.getApplicativeTaskValidation = lA;
      function fA(e3) {
        var r2 = gt.altValidation(ge.Monad, e3);
        return { URI: E2.URI, _E: void 0, map: Ht, alt: function(n2, i4) {
          return (0, Pe.pipe)(n2, r2(i4));
        } };
      }
      E2.getAltTaskValidation = fA;
      var Nie = function(e3) {
        var r2 = hs.getCompactable(e3);
        return { URI: E2.URI, _E: void 0, compact: (0, oA.compact)(ge.Functor, r2), separate: (0, oA.separate)(ge.Functor, r2, hs.Functor) };
      };
      E2.getCompactable = Nie;
      function kie(e3) {
        var r2 = hs.getFilterable(e3), n2 = (0, E2.getCompactable)(e3), i4 = (0, Xh.filter)(ge.Functor, r2), o2 = (0, Xh.filterMap)(ge.Functor, r2), a3 = (0, Xh.partition)(ge.Functor, r2), u2 = (0, Xh.partitionMap)(ge.Functor, r2);
        return { URI: E2.URI, _E: void 0, map: Ht, compact: n2.compact, separate: n2.separate, filter: function(c4, l2) {
          return (0, Pe.pipe)(c4, i4(l2));
        }, filterMap: function(c4, l2) {
          return (0, Pe.pipe)(c4, o2(l2));
        }, partition: function(c4, l2) {
          return (0, Pe.pipe)(c4, a3(l2));
        }, partitionMap: function(c4, l2) {
          return (0, Pe.pipe)(c4, u2(l2));
        } };
      }
      E2.getFilterable = kie;
      E2.Functor = { URI: E2.URI, map: Ht };
      E2.as = (0, Pe.dual)(2, (0, rl.as)(E2.Functor));
      E2.asUnit = (0, rl.asUnit)(E2.Functor);
      E2.flap = (0, rl.flap)(E2.Functor);
      E2.Pointed = { URI: E2.URI, of: E2.of };
      E2.ApplyPar = { URI: E2.URI, map: Ht, ap: ps };
      E2.apFirst = (0, ja.apFirst)(E2.ApplyPar);
      E2.apFirstW = E2.apFirst;
      E2.apSecond = (0, ja.apSecond)(E2.ApplyPar);
      E2.apSecondW = E2.apSecond;
      E2.ApplicativePar = { URI: E2.URI, map: Ht, ap: ps, of: E2.of };
      E2.ApplySeq = { URI: E2.URI, map: Ht, ap: pv };
      E2.ApplicativeSeq = { URI: E2.URI, map: Ht, ap: pv, of: E2.of };
      E2.Chain = { URI: E2.URI, map: Ht, ap: ps, chain: E2.flatMap };
      E2.Monad = { URI: E2.URI, map: Ht, ap: ps, chain: E2.flatMap, of: E2.of };
      E2.MonadIO = { URI: E2.URI, map: Ht, ap: ps, chain: E2.flatMap, of: E2.of, fromIO: E2.fromIO };
      E2.MonadTask = { URI: E2.URI, map: Ht, ap: ps, chain: E2.flatMap, of: E2.of, fromIO: E2.fromIO, fromTask: E2.fromTask };
      E2.MonadThrow = { URI: E2.URI, map: Ht, ap: ps, chain: E2.flatMap, of: E2.of, throwError: E2.throwError };
      E2.FromEither = { URI: E2.URI, fromEither: E2.fromEither };
      E2.FromIO = { URI: E2.URI, fromIO: E2.fromIO };
      E2.FromTask = { URI: E2.URI, fromIO: E2.fromIO, fromTask: E2.fromTask };
      E2.tap = (0, Pe.dual)(2, aA.tap(E2.Chain));
      E2.tapEither = (0, Pe.dual)(2, (0, Ro.tapEither)(E2.FromEither, E2.Chain));
      E2.tapIO = (0, Pe.dual)(2, (0, uA.tapIO)(E2.FromIO, E2.Chain));
      E2.tapTask = (0, Pe.dual)(2, (0, cA.tapTask)(E2.FromTask, E2.Chain));
      E2.Bifunctor = { URI: E2.URI, bimap: E2.mapBoth, mapLeft: E2.mapError };
      E2.Alt = { URI: E2.URI, map: Ht, alt: dv };
      E2.fromOption = (0, Ro.fromOption)(E2.FromEither);
      E2.fromOptionK = (0, Ro.fromOptionK)(E2.FromEither);
      E2.chainOptionK = (0, Ro.chainOptionK)(E2.FromEither, E2.Chain);
      E2.chainOptionKW = E2.chainOptionK;
      var nl = { fromEither: E2.FromEither.fromEither };
      E2.liftNullable = _t.liftNullable(nl);
      E2.liftOption = _t.liftOption(nl);
      var il = { flatMap: E2.flatMap }, $ie = { fromIO: E2.FromIO.fromIO }, qie = { fromTask: E2.fromTask };
      E2.flatMapNullable = _t.flatMapNullable(nl, il);
      E2.flatMapOption = _t.flatMapOption(nl, il);
      E2.flatMapEither = _t.flatMapEither(nl, il);
      E2.flatMapIO = _t.flatMapIO($ie, il);
      E2.flatMapTask = _t.flatMapTask(qie, il);
      E2.flatMapIOEither = (0, Pe.dual)(2, function(e3, r2) {
        return (0, E2.flatMap)(e3, (0, E2.fromIOEitherK)(r2));
      });
      E2.flatMapTaskOption = (0, Pe.dual)(3, function(e3, r2, n2) {
        return (0, E2.flatMap)(e3, function(i4) {
          return (0, E2.fromTaskOption)(function() {
            return n2(i4);
          })(r2(i4));
        });
      });
      E2.chainEitherK = E2.flatMapEither;
      E2.chainEitherKW = E2.flatMapEither;
      E2.chainFirstEitherK = E2.tapEither;
      E2.chainFirstEitherKW = E2.tapEither;
      E2.fromPredicate = (0, Ro.fromPredicate)(E2.FromEither);
      E2.filterOrElse = (0, Ro.filterOrElse)(E2.FromEither, E2.Chain);
      E2.filterOrElseW = E2.filterOrElse;
      E2.fromEitherK = (0, Ro.fromEitherK)(E2.FromEither);
      E2.fromIOK = (0, uA.fromIOK)(E2.FromIO);
      E2.chainIOK = E2.flatMapIO;
      E2.chainFirstIOK = E2.tapIO;
      E2.fromTaskK = (0, cA.fromTaskK)(E2.FromTask);
      E2.chainTaskK = E2.flatMapTask;
      E2.chainFirstTaskK = E2.tapTask;
      E2.chainIOEitherKW = E2.flatMapIOEither;
      E2.chainIOEitherK = E2.flatMapIOEither;
      function Bie(e3) {
        return function() {
          var r2 = Array.prototype.slice.call(arguments);
          return function() {
            return new Promise(function(n2) {
              var i4 = function(o2, a3) {
                return o2 != null ? n2(_t.left(o2)) : n2(_t.right(a3));
              };
              e3.apply(null, r2.concat(i4));
            });
          };
        };
      }
      E2.taskify = Bie;
      var jie = function(e3, r2, n2) {
        return (0, E2.bracketW)(e3, r2, n2);
      };
      E2.bracket = jie;
      var Uie = function(e3, r2, n2) {
        return (0, E2.flatMap)(e3, function(i4) {
          return ge.flatMap(r2(i4), function(o2) {
            return (0, E2.flatMap)(n2(i4, o2), function() {
              return ge.of(o2);
            });
          });
        });
      };
      E2.bracketW = Uie;
      E2.Do = (0, E2.of)(_t.emptyRecord);
      E2.bindTo = (0, rl.bindTo)(E2.Functor);
      var Gie = (0, rl.let)(E2.Functor);
      E2.let = Gie;
      E2.bind = aA.bind(E2.Chain);
      E2.bindW = E2.bind;
      E2.apS = (0, ja.apS)(E2.ApplyPar);
      E2.apSW = E2.apS;
      E2.ApT = (0, E2.of)(_t.emptyReadonlyArray);
      var Wie = function(e3) {
        return (0, Pe.flow)(ge.traverseReadonlyNonEmptyArrayWithIndex(e3), ge.map(hs.traverseReadonlyNonEmptyArrayWithIndex(Pe.SK)));
      };
      E2.traverseReadonlyNonEmptyArrayWithIndex = Wie;
      var Hie = function(e3) {
        var r2 = (0, E2.traverseReadonlyNonEmptyArrayWithIndex)(e3);
        return function(n2) {
          return _t.isNonEmpty(n2) ? r2(n2) : E2.ApT;
        };
      };
      E2.traverseReadonlyArrayWithIndex = Hie;
      var Vie = function(e3) {
        return function(r2) {
          return function() {
            return _t.tail(r2).reduce(function(n2, i4, o2) {
              return n2.then(function(a3) {
                return _t.isLeft(a3) ? n2 : e3(o2 + 1, i4)().then(function(u2) {
                  return _t.isLeft(u2) ? u2 : (a3.right.push(u2.right), a3);
                });
              });
            }, e3(0, _t.head(r2))().then(hs.map(_t.singleton)));
          };
        };
      };
      E2.traverseReadonlyNonEmptyArrayWithIndexSeq = Vie;
      var Kie = function(e3) {
        var r2 = (0, E2.traverseReadonlyNonEmptyArrayWithIndexSeq)(e3);
        return function(n2) {
          return _t.isNonEmpty(n2) ? r2(n2) : E2.ApT;
        };
      };
      E2.traverseReadonlyArrayWithIndexSeq = Kie;
      E2.traverseArrayWithIndex = E2.traverseReadonlyArrayWithIndex;
      var zie = function(e3) {
        return (0, E2.traverseReadonlyArrayWithIndex)(function(r2, n2) {
          return e3(n2);
        });
      };
      E2.traverseArray = zie;
      E2.sequenceArray = (0, E2.traverseArray)(Pe.identity);
      E2.traverseSeqArrayWithIndex = E2.traverseReadonlyArrayWithIndexSeq;
      var Yie = function(e3) {
        return (0, E2.traverseReadonlyArrayWithIndexSeq)(function(r2, n2) {
          return e3(n2);
        });
      };
      E2.traverseSeqArray = Yie;
      E2.sequenceSeqArray = (0, E2.traverseSeqArray)(Pe.identity);
      E2.chain = E2.flatMap;
      E2.chainW = E2.flatMap;
      E2.chainFirst = E2.tap;
      E2.chainFirstW = E2.tap;
      E2.orElseFirst = E2.tapError;
      E2.orElseFirstW = E2.tapError;
      E2.taskEither = { URI: E2.URI, bimap: E2.mapBoth, mapLeft: E2.mapError, map: Ht, of: E2.of, ap: ps, chain: E2.flatMap, alt: dv, fromIO: E2.fromIO, fromTask: E2.fromTask, throwError: E2.throwError };
      E2.taskEitherSeq = { URI: E2.URI, bimap: E2.mapBoth, mapLeft: E2.mapError, map: Ht, of: E2.of, ap: pv, chain: E2.flatMap, alt: dv, fromIO: E2.fromIO, fromTask: E2.fromTask, throwError: E2.throwError };
      E2.getApplySemigroup = (0, ja.getApplySemigroup)(E2.ApplySeq);
      E2.getApplyMonoid = (0, Tie.getApplicativeMonoid)(E2.ApplicativeSeq);
      var Jie = function(e3) {
        return (0, ja.getApplySemigroup)(ge.ApplySeq)(hs.getSemigroup(e3));
      };
      E2.getSemigroup = Jie;
      function Xie(e3) {
        var r2 = lA(ge.ApplicativePar, e3), n2 = fA(e3);
        return { URI: E2.URI, _E: void 0, map: Ht, ap: r2.ap, of: E2.of, chain: E2.flatMap, bimap: E2.mapBoth, mapLeft: E2.mapError, alt: n2.alt, fromIO: E2.fromIO, fromTask: E2.fromTask, throwError: E2.throwError };
      }
      E2.getTaskValidation = Xie;
    });
    var dA = b((Z3e, pA) => {
      "use strict";
      pA.exports = (...e3) => [...new Set([].concat(...e3))];
    });
    var mv = b((eFe, yA) => {
      "use strict";
      var Qie = require("stream"), mA = Qie.PassThrough, Zie = Array.prototype.slice;
      yA.exports = ese;
      function ese() {
        let e3 = [], r2 = Zie.call(arguments), n2 = false, i4 = r2[r2.length - 1];
        i4 && !Array.isArray(i4) && i4.pipe == null ? r2.pop() : i4 = {};
        let o2 = i4.end !== false, a3 = i4.pipeError === true;
        i4.objectMode == null && (i4.objectMode = true), i4.highWaterMark == null && (i4.highWaterMark = 64 * 1024);
        let u2 = mA(i4);
        function c4() {
          for (let p2 = 0, v2 = arguments.length; p2 < v2; p2++)
            e3.push(gA(arguments[p2], i4));
          return l2(), this;
        }
        function l2() {
          if (n2)
            return;
          n2 = true;
          let p2 = e3.shift();
          if (!p2) {
            process.nextTick(f4);
            return;
          }
          Array.isArray(p2) || (p2 = [p2]);
          let v2 = p2.length + 1;
          function g2() {
            --v2 > 0 || (n2 = false, l2());
          }
          function S2(D) {
            function T6() {
              D.removeListener("merge2UnpipeEnd", T6), D.removeListener("end", T6), a3 && D.removeListener("error", R), g2();
            }
            function R(A2) {
              u2.emit("error", A2);
            }
            if (D._readableState.endEmitted)
              return g2();
            D.on("merge2UnpipeEnd", T6), D.on("end", T6), a3 && D.on("error", R), D.pipe(u2, { end: false }), D.resume();
          }
          for (let D = 0; D < p2.length; D++)
            S2(p2[D]);
          g2();
        }
        function f4() {
          n2 = false, u2.emit("queueDrain"), o2 && u2.end();
        }
        return u2.setMaxListeners(0), u2.add = c4, u2.on("unpipe", function(p2) {
          p2.emit("merge2UnpipeEnd");
        }), r2.length && c4.apply(null, r2), u2;
      }
      function gA(e3, r2) {
        if (Array.isArray(e3))
          for (let n2 = 0, i4 = e3.length; n2 < i4; n2++)
            e3[n2] = gA(e3[n2], r2);
        else {
          if (!e3._readableState && e3.pipe && (e3 = e3.pipe(mA(r2))), !e3._readableState || !e3.pause || !e3.pipe)
            throw new Error("Only readable stream can be merged.");
          e3.pause();
        }
        return e3;
      }
    });
    var vA = b((Ua) => {
      "use strict";
      Object.defineProperty(Ua, "__esModule", { value: true });
      Ua.splitWhen = Ua.flatten = void 0;
      function tse(e3) {
        return e3.reduce((r2, n2) => [].concat(r2, n2), []);
      }
      Ua.flatten = tse;
      function rse(e3, r2) {
        let n2 = [[]], i4 = 0;
        for (let o2 of e3)
          r2(o2) ? (i4++, n2[i4] = []) : n2[i4].push(o2);
        return n2;
      }
      Ua.splitWhen = rse;
    });
    var bA = b((Qh) => {
      "use strict";
      Object.defineProperty(Qh, "__esModule", { value: true });
      Qh.isEnoentCodeError = void 0;
      function nse(e3) {
        return e3.code === "ENOENT";
      }
      Qh.isEnoentCodeError = nse;
    });
    var EA = b((Zh) => {
      "use strict";
      Object.defineProperty(Zh, "__esModule", { value: true });
      Zh.createDirentFromStats = void 0;
      var gv = class {
        constructor(r2, n2) {
          this.name = r2, this.isBlockDevice = n2.isBlockDevice.bind(n2), this.isCharacterDevice = n2.isCharacterDevice.bind(n2), this.isDirectory = n2.isDirectory.bind(n2), this.isFIFO = n2.isFIFO.bind(n2), this.isFile = n2.isFile.bind(n2), this.isSocket = n2.isSocket.bind(n2), this.isSymbolicLink = n2.isSymbolicLink.bind(n2);
        }
      };
      function ise(e3, r2) {
        return new gv(e3, r2);
      }
      Zh.createDirentFromStats = ise;
    });
    var xA = b((St) => {
      "use strict";
      Object.defineProperty(St, "__esModule", { value: true });
      St.convertPosixPathToPattern = St.convertWindowsPathToPattern = St.convertPathToPattern = St.escapePosixPath = St.escapeWindowsPath = St.escape = St.removeLeadingDotSegment = St.makeAbsolute = St.unixify = void 0;
      var sse = require("os"), ose = require("path"), wA = sse.platform() === "win32", ase = 2, use = /(\\?)([()*?[\]{|}]|^!|[!+@](?=\()|\\(?![!()*+?@[\]{|}]))/g, cse = /(\\?)([(){}]|^!|[!+@](?=\())/g, lse = /^\\\\([.?])/, fse = /\\(?![!()+@{}])/g;
      function hse(e3) {
        return e3.replace(/\\/g, "/");
      }
      St.unixify = hse;
      function pse(e3, r2) {
        return ose.resolve(e3, r2);
      }
      St.makeAbsolute = pse;
      function dse(e3) {
        if (e3.charAt(0) === ".") {
          let r2 = e3.charAt(1);
          if (r2 === "/" || r2 === "\\")
            return e3.slice(ase);
        }
        return e3;
      }
      St.removeLeadingDotSegment = dse;
      St.escape = wA ? yv : vv;
      function yv(e3) {
        return e3.replace(cse, "\\$2");
      }
      St.escapeWindowsPath = yv;
      function vv(e3) {
        return e3.replace(use, "\\$2");
      }
      St.escapePosixPath = vv;
      St.convertPathToPattern = wA ? _A : SA;
      function _A(e3) {
        return yv(e3).replace(lse, "//$1").replace(fse, "/");
      }
      St.convertWindowsPathToPattern = _A;
      function SA(e3) {
        return vv(e3);
      }
      St.convertPosixPathToPattern = SA;
    });
    var OA = b((sFe, DA) => {
      "use strict";
      DA.exports = function(r2) {
        if (typeof r2 != "string" || r2 === "")
          return false;
        for (var n2; n2 = /(\\).|([@?!+*]\(.*\))/g.exec(r2); ) {
          if (n2[2])
            return true;
          r2 = r2.slice(n2.index + n2[0].length);
        }
        return false;
      };
    });
    var bv = b((oFe, RA) => {
      "use strict";
      var mse = OA(), TA = { "{": "}", "(": ")", "[": "]" }, gse = function(e3) {
        if (e3[0] === "!")
          return true;
        for (var r2 = 0, n2 = -2, i4 = -2, o2 = -2, a3 = -2, u2 = -2; r2 < e3.length; ) {
          if (e3[r2] === "*" || e3[r2 + 1] === "?" && /[\].+)]/.test(e3[r2]) || i4 !== -1 && e3[r2] === "[" && e3[r2 + 1] !== "]" && (i4 < r2 && (i4 = e3.indexOf("]", r2)), i4 > r2 && (u2 === -1 || u2 > i4 || (u2 = e3.indexOf("\\", r2), u2 === -1 || u2 > i4))) || o2 !== -1 && e3[r2] === "{" && e3[r2 + 1] !== "}" && (o2 = e3.indexOf("}", r2), o2 > r2 && (u2 = e3.indexOf("\\", r2), u2 === -1 || u2 > o2)) || a3 !== -1 && e3[r2] === "(" && e3[r2 + 1] === "?" && /[:!=]/.test(e3[r2 + 2]) && e3[r2 + 3] !== ")" && (a3 = e3.indexOf(")", r2), a3 > r2 && (u2 = e3.indexOf("\\", r2), u2 === -1 || u2 > a3)) || n2 !== -1 && e3[r2] === "(" && e3[r2 + 1] !== "|" && (n2 < r2 && (n2 = e3.indexOf("|", r2)), n2 !== -1 && e3[n2 + 1] !== ")" && (a3 = e3.indexOf(")", n2), a3 > n2 && (u2 = e3.indexOf("\\", n2), u2 === -1 || u2 > a3))))
            return true;
          if (e3[r2] === "\\") {
            var c4 = e3[r2 + 1];
            r2 += 2;
            var l2 = TA[c4];
            if (l2) {
              var f4 = e3.indexOf(l2, r2);
              f4 !== -1 && (r2 = f4 + 1);
            }
            if (e3[r2] === "!")
              return true;
          } else
            r2++;
        }
        return false;
      }, yse = function(e3) {
        if (e3[0] === "!")
          return true;
        for (var r2 = 0; r2 < e3.length; ) {
          if (/[*?{}()[\]]/.test(e3[r2]))
            return true;
          if (e3[r2] === "\\") {
            var n2 = e3[r2 + 1];
            r2 += 2;
            var i4 = TA[n2];
            if (i4) {
              var o2 = e3.indexOf(i4, r2);
              o2 !== -1 && (r2 = o2 + 1);
            }
            if (e3[r2] === "!")
              return true;
          } else
            r2++;
        }
        return false;
      };
      RA.exports = function(r2, n2) {
        if (typeof r2 != "string" || r2 === "")
          return false;
        if (mse(r2))
          return true;
        var i4 = gse;
        return n2 && n2.strict === false && (i4 = yse), i4(r2);
      };
    });
    var AA = b((aFe, CA) => {
      "use strict";
      var vse = bv(), bse = require("path").posix.dirname, Ese = require("os").platform() === "win32", Ev = "/", wse = /\\/g, _se = /[\{\[].*[\}\]]$/, Sse = /(^|[^\\])([\{\[]|\([^\)]+$)/, xse = /\\([\!\*\?\|\[\]\(\)\{\}])/g;
      CA.exports = function(r2, n2) {
        var i4 = Object.assign({ flipBackslashes: true }, n2);
        i4.flipBackslashes && Ese && r2.indexOf(Ev) < 0 && (r2 = r2.replace(wse, Ev)), _se.test(r2) && (r2 += Ev), r2 += "a";
        do
          r2 = bse(r2);
        while (vse(r2) || Sse.test(r2));
        return r2.replace(xse, "$1");
      };
    });
    var ep = b((Zr) => {
      "use strict";
      Zr.isInteger = (e3) => typeof e3 == "number" ? Number.isInteger(e3) : typeof e3 == "string" && e3.trim() !== "" ? Number.isInteger(Number(e3)) : false;
      Zr.find = (e3, r2) => e3.nodes.find((n2) => n2.type === r2);
      Zr.exceedsLimit = (e3, r2, n2 = 1, i4) => i4 === false || !Zr.isInteger(e3) || !Zr.isInteger(r2) ? false : (Number(r2) - Number(e3)) / Number(n2) >= i4;
      Zr.escapeNode = (e3, r2 = 0, n2) => {
        let i4 = e3.nodes[r2];
        i4 && (n2 && i4.type === n2 || i4.type === "open" || i4.type === "close") && i4.escaped !== true && (i4.value = "\\" + i4.value, i4.escaped = true);
      };
      Zr.encloseBrace = (e3) => e3.type !== "brace" || e3.commas >> 0 + e3.ranges >> 0 ? false : (e3.invalid = true, true);
      Zr.isInvalidBrace = (e3) => e3.type !== "brace" ? false : e3.invalid === true || e3.dollar ? true : !(e3.commas >> 0 + e3.ranges >> 0) || e3.open !== true || e3.close !== true ? (e3.invalid = true, true) : false;
      Zr.isOpenOrClose = (e3) => e3.type === "open" || e3.type === "close" ? true : e3.open === true || e3.close === true;
      Zr.reduce = (e3) => e3.reduce((r2, n2) => (n2.type === "text" && r2.push(n2.value), n2.type === "range" && (n2.type = "text"), r2), []);
      Zr.flatten = (...e3) => {
        let r2 = [], n2 = (i4) => {
          for (let o2 = 0; o2 < i4.length; o2++) {
            let a3 = i4[o2];
            Array.isArray(a3) ? n2(a3, r2) : a3 !== void 0 && r2.push(a3);
          }
          return r2;
        };
        return n2(e3), r2;
      };
    });
    var tp = b((cFe, PA) => {
      "use strict";
      var IA = ep();
      PA.exports = (e3, r2 = {}) => {
        let n2 = (i4, o2 = {}) => {
          let a3 = r2.escapeInvalid && IA.isInvalidBrace(o2), u2 = i4.invalid === true && r2.escapeInvalid === true, c4 = "";
          if (i4.value)
            return (a3 || u2) && IA.isOpenOrClose(i4) ? "\\" + i4.value : i4.value;
          if (i4.value)
            return i4.value;
          if (i4.nodes)
            for (let l2 of i4.nodes)
              c4 += n2(l2);
          return c4;
        };
        return n2(e3);
      };
    });
    var LA = b((lFe, FA) => {
      "use strict";
      FA.exports = function(e3) {
        return typeof e3 == "number" ? e3 - e3 === 0 : typeof e3 == "string" && e3.trim() !== "" ? Number.isFinite ? Number.isFinite(+e3) : isFinite(+e3) : false;
      };
    });
    var GA = b((fFe, UA) => {
      "use strict";
      var MA = LA(), Co = (e3, r2, n2) => {
        if (MA(e3) === false)
          throw new TypeError("toRegexRange: expected the first argument to be a number");
        if (r2 === void 0 || e3 === r2)
          return String(e3);
        if (MA(r2) === false)
          throw new TypeError("toRegexRange: expected the second argument to be a number.");
        let i4 = { relaxZeros: true, ...n2 };
        typeof i4.strictZeros == "boolean" && (i4.relaxZeros = i4.strictZeros === false);
        let o2 = String(i4.relaxZeros), a3 = String(i4.shorthand), u2 = String(i4.capture), c4 = String(i4.wrap), l2 = e3 + ":" + r2 + "=" + o2 + a3 + u2 + c4;
        if (Co.cache.hasOwnProperty(l2))
          return Co.cache[l2].result;
        let f4 = Math.min(e3, r2), p2 = Math.max(e3, r2);
        if (Math.abs(f4 - p2) === 1) {
          let T6 = e3 + "|" + r2;
          return i4.capture ? `(${T6})` : i4.wrap === false ? T6 : `(?:${T6})`;
        }
        let v2 = jA(e3) || jA(r2), g2 = { min: e3, max: r2, a: f4, b: p2 }, S2 = [], D = [];
        if (v2 && (g2.isPadded = v2, g2.maxLen = String(g2.max).length), f4 < 0) {
          let T6 = p2 < 0 ? Math.abs(p2) : 1;
          D = NA(T6, Math.abs(f4), g2, i4), f4 = g2.a = 0;
        }
        return p2 >= 0 && (S2 = NA(f4, p2, g2, i4)), g2.negatives = D, g2.positives = S2, g2.result = Dse(D, S2, i4), i4.capture === true ? g2.result = `(${g2.result})` : i4.wrap !== false && S2.length + D.length > 1 && (g2.result = `(?:${g2.result})`), Co.cache[l2] = g2, g2.result;
      };
      function Dse(e3, r2, n2) {
        let i4 = wv(e3, r2, "-", false, n2) || [], o2 = wv(r2, e3, "", false, n2) || [], a3 = wv(e3, r2, "-?", true, n2) || [];
        return i4.concat(a3).concat(o2).join("|");
      }
      function Ose(e3, r2) {
        let n2 = 1, i4 = 1, o2 = $A(e3, n2), a3 = /* @__PURE__ */ new Set([r2]);
        for (; e3 <= o2 && o2 <= r2; )
          a3.add(o2), n2 += 1, o2 = $A(e3, n2);
        for (o2 = qA(r2 + 1, i4) - 1; e3 < o2 && o2 <= r2; )
          a3.add(o2), i4 += 1, o2 = qA(r2 + 1, i4) - 1;
        return a3 = [...a3], a3.sort(Cse), a3;
      }
      function Tse(e3, r2, n2) {
        if (e3 === r2)
          return { pattern: e3, count: [], digits: 0 };
        let i4 = Rse(e3, r2), o2 = i4.length, a3 = "", u2 = 0;
        for (let c4 = 0; c4 < o2; c4++) {
          let [l2, f4] = i4[c4];
          l2 === f4 ? a3 += l2 : l2 !== "0" || f4 !== "9" ? a3 += Ase(l2, f4, n2) : u2++;
        }
        return u2 && (a3 += n2.shorthand === true ? "\\d" : "[0-9]"), { pattern: a3, count: [u2], digits: o2 };
      }
      function NA(e3, r2, n2, i4) {
        let o2 = Ose(e3, r2), a3 = [], u2 = e3, c4;
        for (let l2 = 0; l2 < o2.length; l2++) {
          let f4 = o2[l2], p2 = Tse(String(u2), String(f4), i4), v2 = "";
          if (!n2.isPadded && c4 && c4.pattern === p2.pattern) {
            c4.count.length > 1 && c4.count.pop(), c4.count.push(p2.count[0]), c4.string = c4.pattern + BA(c4.count), u2 = f4 + 1;
            continue;
          }
          n2.isPadded && (v2 = Ise(f4, n2, i4)), p2.string = v2 + p2.pattern + BA(p2.count), a3.push(p2), u2 = f4 + 1, c4 = p2;
        }
        return a3;
      }
      function wv(e3, r2, n2, i4, o2) {
        let a3 = [];
        for (let u2 of e3) {
          let { string: c4 } = u2;
          !i4 && !kA(r2, "string", c4) && a3.push(n2 + c4), i4 && kA(r2, "string", c4) && a3.push(n2 + c4);
        }
        return a3;
      }
      function Rse(e3, r2) {
        let n2 = [];
        for (let i4 = 0; i4 < e3.length; i4++)
          n2.push([e3[i4], r2[i4]]);
        return n2;
      }
      function Cse(e3, r2) {
        return e3 > r2 ? 1 : r2 > e3 ? -1 : 0;
      }
      function kA(e3, r2, n2) {
        return e3.some((i4) => i4[r2] === n2);
      }
      function $A(e3, r2) {
        return Number(String(e3).slice(0, -r2) + "9".repeat(r2));
      }
      function qA(e3, r2) {
        return e3 - e3 % Math.pow(10, r2);
      }
      function BA(e3) {
        let [r2 = 0, n2 = ""] = e3;
        return n2 || r2 > 1 ? `{${r2 + (n2 ? "," + n2 : "")}}` : "";
      }
      function Ase(e3, r2, n2) {
        return `[${e3}${r2 - e3 === 1 ? "" : "-"}${r2}]`;
      }
      function jA(e3) {
        return /^-?(0+)\d/.test(e3);
      }
      function Ise(e3, r2, n2) {
        if (!r2.isPadded)
          return e3;
        let i4 = Math.abs(r2.maxLen - String(e3).length), o2 = n2.relaxZeros !== false;
        switch (i4) {
          case 0:
            return "";
          case 1:
            return o2 ? "0?" : "0";
          case 2:
            return o2 ? "0{0,2}" : "00";
          default:
            return o2 ? `0{0,${i4}}` : `0{${i4}}`;
        }
      }
      Co.cache = {};
      Co.clearCache = () => Co.cache = {};
      UA.exports = Co;
    });
    var xv = b((hFe, XA) => {
      "use strict";
      var Pse = require("util"), VA = GA(), WA = (e3) => e3 !== null && typeof e3 == "object" && !Array.isArray(e3), Fse = (e3) => (r2) => e3 === true ? Number(r2) : String(r2), _v = (e3) => typeof e3 == "number" || typeof e3 == "string" && e3 !== "", sl = (e3) => Number.isInteger(+e3), Sv = (e3) => {
        let r2 = `${e3}`, n2 = -1;
        if (r2[0] === "-" && (r2 = r2.slice(1)), r2 === "0")
          return false;
        for (; r2[++n2] === "0"; )
          ;
        return n2 > 0;
      }, Lse = (e3, r2, n2) => typeof e3 == "string" || typeof r2 == "string" ? true : n2.stringify === true, Mse = (e3, r2, n2) => {
        if (r2 > 0) {
          let i4 = e3[0] === "-" ? "-" : "";
          i4 && (e3 = e3.slice(1)), e3 = i4 + e3.padStart(i4 ? r2 - 1 : r2, "0");
        }
        return n2 === false ? String(e3) : e3;
      }, HA = (e3, r2) => {
        let n2 = e3[0] === "-" ? "-" : "";
        for (n2 && (e3 = e3.slice(1), r2--); e3.length < r2; )
          e3 = "0" + e3;
        return n2 ? "-" + e3 : e3;
      }, Nse = (e3, r2) => {
        e3.negatives.sort((u2, c4) => u2 < c4 ? -1 : u2 > c4 ? 1 : 0), e3.positives.sort((u2, c4) => u2 < c4 ? -1 : u2 > c4 ? 1 : 0);
        let n2 = r2.capture ? "" : "?:", i4 = "", o2 = "", a3;
        return e3.positives.length && (i4 = e3.positives.join("|")), e3.negatives.length && (o2 = `-(${n2}${e3.negatives.join("|")})`), i4 && o2 ? a3 = `${i4}|${o2}` : a3 = i4 || o2, r2.wrap ? `(${n2}${a3})` : a3;
      }, KA = (e3, r2, n2, i4) => {
        if (n2)
          return VA(e3, r2, { wrap: false, ...i4 });
        let o2 = String.fromCharCode(e3);
        if (e3 === r2)
          return o2;
        let a3 = String.fromCharCode(r2);
        return `[${o2}-${a3}]`;
      }, zA = (e3, r2, n2) => {
        if (Array.isArray(e3)) {
          let i4 = n2.wrap === true, o2 = n2.capture ? "" : "?:";
          return i4 ? `(${o2}${e3.join("|")})` : e3.join("|");
        }
        return VA(e3, r2, n2);
      }, YA = (...e3) => new RangeError("Invalid range arguments: " + Pse.inspect(...e3)), JA = (e3, r2, n2) => {
        if (n2.strictRanges === true)
          throw YA([e3, r2]);
        return [];
      }, kse = (e3, r2) => {
        if (r2.strictRanges === true)
          throw new TypeError(`Expected step "${e3}" to be a number`);
        return [];
      }, $se = (e3, r2, n2 = 1, i4 = {}) => {
        let o2 = Number(e3), a3 = Number(r2);
        if (!Number.isInteger(o2) || !Number.isInteger(a3)) {
          if (i4.strictRanges === true)
            throw YA([e3, r2]);
          return [];
        }
        o2 === 0 && (o2 = 0), a3 === 0 && (a3 = 0);
        let u2 = o2 > a3, c4 = String(e3), l2 = String(r2), f4 = String(n2);
        n2 = Math.max(Math.abs(n2), 1);
        let p2 = Sv(c4) || Sv(l2) || Sv(f4), v2 = p2 ? Math.max(c4.length, l2.length, f4.length) : 0, g2 = p2 === false && Lse(e3, r2, i4) === false, S2 = i4.transform || Fse(g2);
        if (i4.toRegex && n2 === 1)
          return KA(HA(e3, v2), HA(r2, v2), true, i4);
        let D = { negatives: [], positives: [] }, T6 = (L) => D[L < 0 ? "negatives" : "positives"].push(Math.abs(L)), R = [], A2 = 0;
        for (; u2 ? o2 >= a3 : o2 <= a3; )
          i4.toRegex === true && n2 > 1 ? T6(o2) : R.push(Mse(S2(o2, A2), v2, g2)), o2 = u2 ? o2 - n2 : o2 + n2, A2++;
        return i4.toRegex === true ? n2 > 1 ? Nse(D, i4) : zA(R, null, { wrap: false, ...i4 }) : R;
      }, qse = (e3, r2, n2 = 1, i4 = {}) => {
        if (!sl(e3) && e3.length > 1 || !sl(r2) && r2.length > 1)
          return JA(e3, r2, i4);
        let o2 = i4.transform || ((g2) => String.fromCharCode(g2)), a3 = `${e3}`.charCodeAt(0), u2 = `${r2}`.charCodeAt(0), c4 = a3 > u2, l2 = Math.min(a3, u2), f4 = Math.max(a3, u2);
        if (i4.toRegex && n2 === 1)
          return KA(l2, f4, false, i4);
        let p2 = [], v2 = 0;
        for (; c4 ? a3 >= u2 : a3 <= u2; )
          p2.push(o2(a3, v2)), a3 = c4 ? a3 - n2 : a3 + n2, v2++;
        return i4.toRegex === true ? zA(p2, null, { wrap: false, options: i4 }) : p2;
      }, rp = (e3, r2, n2, i4 = {}) => {
        if (r2 == null && _v(e3))
          return [e3];
        if (!_v(e3) || !_v(r2))
          return JA(e3, r2, i4);
        if (typeof n2 == "function")
          return rp(e3, r2, 1, { transform: n2 });
        if (WA(n2))
          return rp(e3, r2, 0, n2);
        let o2 = { ...i4 };
        return o2.capture === true && (o2.wrap = true), n2 = n2 || o2.step || 1, sl(n2) ? sl(e3) && sl(r2) ? $se(e3, r2, n2, o2) : qse(e3, r2, Math.max(Math.abs(n2), 1), o2) : n2 != null && !WA(n2) ? kse(n2, o2) : rp(e3, r2, 1, n2);
      };
      XA.exports = rp;
    });
    var eI = b((pFe, ZA) => {
      "use strict";
      var Bse = xv(), QA = ep(), jse = (e3, r2 = {}) => {
        let n2 = (i4, o2 = {}) => {
          let a3 = QA.isInvalidBrace(o2), u2 = i4.invalid === true && r2.escapeInvalid === true, c4 = a3 === true || u2 === true, l2 = r2.escapeInvalid === true ? "\\" : "", f4 = "";
          if (i4.isOpen === true || i4.isClose === true)
            return l2 + i4.value;
          if (i4.type === "open")
            return c4 ? l2 + i4.value : "(";
          if (i4.type === "close")
            return c4 ? l2 + i4.value : ")";
          if (i4.type === "comma")
            return i4.prev.type === "comma" ? "" : c4 ? i4.value : "|";
          if (i4.value)
            return i4.value;
          if (i4.nodes && i4.ranges > 0) {
            let p2 = QA.reduce(i4.nodes), v2 = Bse(...p2, { ...r2, wrap: false, toRegex: true });
            if (v2.length !== 0)
              return p2.length > 1 && v2.length > 1 ? `(${v2})` : v2;
          }
          if (i4.nodes)
            for (let p2 of i4.nodes)
              f4 += n2(p2, i4);
          return f4;
        };
        return n2(e3);
      };
      ZA.exports = jse;
    });
    var nI = b((dFe, rI) => {
      "use strict";
      var Use = xv(), tI = tp(), Ga = ep(), Ao = (e3 = "", r2 = "", n2 = false) => {
        let i4 = [];
        if (e3 = [].concat(e3), r2 = [].concat(r2), !r2.length)
          return e3;
        if (!e3.length)
          return n2 ? Ga.flatten(r2).map((o2) => `{${o2}}`) : r2;
        for (let o2 of e3)
          if (Array.isArray(o2))
            for (let a3 of o2)
              i4.push(Ao(a3, r2, n2));
          else
            for (let a3 of r2)
              n2 === true && typeof a3 == "string" && (a3 = `{${a3}}`), i4.push(Array.isArray(a3) ? Ao(o2, a3, n2) : o2 + a3);
        return Ga.flatten(i4);
      }, Gse = (e3, r2 = {}) => {
        let n2 = r2.rangeLimit === void 0 ? 1e3 : r2.rangeLimit, i4 = (o2, a3 = {}) => {
          o2.queue = [];
          let u2 = a3, c4 = a3.queue;
          for (; u2.type !== "brace" && u2.type !== "root" && u2.parent; )
            u2 = u2.parent, c4 = u2.queue;
          if (o2.invalid || o2.dollar) {
            c4.push(Ao(c4.pop(), tI(o2, r2)));
            return;
          }
          if (o2.type === "brace" && o2.invalid !== true && o2.nodes.length === 2) {
            c4.push(Ao(c4.pop(), ["{}"]));
            return;
          }
          if (o2.nodes && o2.ranges > 0) {
            let v2 = Ga.reduce(o2.nodes);
            if (Ga.exceedsLimit(...v2, r2.step, n2))
              throw new RangeError("expanded array length exceeds range limit. Use options.rangeLimit to increase or disable the limit.");
            let g2 = Use(...v2, r2);
            g2.length === 0 && (g2 = tI(o2, r2)), c4.push(Ao(c4.pop(), g2)), o2.nodes = [];
            return;
          }
          let l2 = Ga.encloseBrace(o2), f4 = o2.queue, p2 = o2;
          for (; p2.type !== "brace" && p2.type !== "root" && p2.parent; )
            p2 = p2.parent, f4 = p2.queue;
          for (let v2 = 0; v2 < o2.nodes.length; v2++) {
            let g2 = o2.nodes[v2];
            if (g2.type === "comma" && o2.type === "brace") {
              v2 === 1 && f4.push(""), f4.push("");
              continue;
            }
            if (g2.type === "close") {
              c4.push(Ao(c4.pop(), f4, l2));
              continue;
            }
            if (g2.value && g2.type !== "open") {
              f4.push(Ao(f4.pop(), g2.value));
              continue;
            }
            g2.nodes && i4(g2, o2);
          }
          return f4;
        };
        return Ga.flatten(i4(e3));
      };
      rI.exports = Gse;
    });
    var sI = b((mFe, iI) => {
      "use strict";
      iI.exports = { MAX_LENGTH: 1024 * 64, CHAR_0: "0", CHAR_9: "9", CHAR_UPPERCASE_A: "A", CHAR_LOWERCASE_A: "a", CHAR_UPPERCASE_Z: "Z", CHAR_LOWERCASE_Z: "z", CHAR_LEFT_PARENTHESES: "(", CHAR_RIGHT_PARENTHESES: ")", CHAR_ASTERISK: "*", CHAR_AMPERSAND: "&", CHAR_AT: "@", CHAR_BACKSLASH: "\\", CHAR_BACKTICK: "`", CHAR_CARRIAGE_RETURN: "\r", CHAR_CIRCUMFLEX_ACCENT: "^", CHAR_COLON: ":", CHAR_COMMA: ",", CHAR_DOLLAR: "$", CHAR_DOT: ".", CHAR_DOUBLE_QUOTE: '"', CHAR_EQUAL: "=", CHAR_EXCLAMATION_MARK: "!", CHAR_FORM_FEED: "\f", CHAR_FORWARD_SLASH: "/", CHAR_HASH: "#", CHAR_HYPHEN_MINUS: "-", CHAR_LEFT_ANGLE_BRACKET: "<", CHAR_LEFT_CURLY_BRACE: "{", CHAR_LEFT_SQUARE_BRACKET: "[", CHAR_LINE_FEED: `
`, CHAR_NO_BREAK_SPACE: "\xA0", CHAR_PERCENT: "%", CHAR_PLUS: "+", CHAR_QUESTION_MARK: "?", CHAR_RIGHT_ANGLE_BRACKET: ">", CHAR_RIGHT_CURLY_BRACE: "}", CHAR_RIGHT_SQUARE_BRACKET: "]", CHAR_SEMICOLON: ";", CHAR_SINGLE_QUOTE: "'", CHAR_SPACE: " ", CHAR_TAB: "	", CHAR_UNDERSCORE: "_", CHAR_VERTICAL_LINE: "|", CHAR_ZERO_WIDTH_NOBREAK_SPACE: "\uFEFF" };
    });
    var lI = b((gFe, cI) => {
      "use strict";
      var Wse = tp(), { MAX_LENGTH: oI, CHAR_BACKSLASH: Dv, CHAR_BACKTICK: Hse, CHAR_COMMA: Vse, CHAR_DOT: Kse, CHAR_LEFT_PARENTHESES: zse, CHAR_RIGHT_PARENTHESES: Yse, CHAR_LEFT_CURLY_BRACE: Jse, CHAR_RIGHT_CURLY_BRACE: Xse, CHAR_LEFT_SQUARE_BRACKET: aI, CHAR_RIGHT_SQUARE_BRACKET: uI, CHAR_DOUBLE_QUOTE: Qse, CHAR_SINGLE_QUOTE: Zse, CHAR_NO_BREAK_SPACE: eoe, CHAR_ZERO_WIDTH_NOBREAK_SPACE: toe } = sI(), roe = (e3, r2 = {}) => {
        if (typeof e3 != "string")
          throw new TypeError("Expected a string");
        let n2 = r2 || {}, i4 = typeof n2.maxLength == "number" ? Math.min(oI, n2.maxLength) : oI;
        if (e3.length > i4)
          throw new SyntaxError(`Input length (${e3.length}), exceeds max characters (${i4})`);
        let o2 = { type: "root", input: e3, nodes: [] }, a3 = [o2], u2 = o2, c4 = o2, l2 = 0, f4 = e3.length, p2 = 0, v2 = 0, g2, S2 = {}, D = () => e3[p2++], T6 = (R) => {
          if (R.type === "text" && c4.type === "dot" && (c4.type = "text"), c4 && c4.type === "text" && R.type === "text") {
            c4.value += R.value;
            return;
          }
          return u2.nodes.push(R), R.parent = u2, R.prev = c4, c4 = R, R;
        };
        for (T6({ type: "bos" }); p2 < f4; )
          if (u2 = a3[a3.length - 1], g2 = D(), !(g2 === toe || g2 === eoe)) {
            if (g2 === Dv) {
              T6({ type: "text", value: (r2.keepEscaping ? g2 : "") + D() });
              continue;
            }
            if (g2 === uI) {
              T6({ type: "text", value: "\\" + g2 });
              continue;
            }
            if (g2 === aI) {
              l2++;
              let R = true, A2;
              for (; p2 < f4 && (A2 = D()); ) {
                if (g2 += A2, A2 === aI) {
                  l2++;
                  continue;
                }
                if (A2 === Dv) {
                  g2 += D();
                  continue;
                }
                if (A2 === uI && (l2--, l2 === 0))
                  break;
              }
              T6({ type: "text", value: g2 });
              continue;
            }
            if (g2 === zse) {
              u2 = T6({ type: "paren", nodes: [] }), a3.push(u2), T6({ type: "text", value: g2 });
              continue;
            }
            if (g2 === Yse) {
              if (u2.type !== "paren") {
                T6({ type: "text", value: g2 });
                continue;
              }
              u2 = a3.pop(), T6({ type: "text", value: g2 }), u2 = a3[a3.length - 1];
              continue;
            }
            if (g2 === Qse || g2 === Zse || g2 === Hse) {
              let R = g2, A2;
              for (r2.keepQuotes !== true && (g2 = ""); p2 < f4 && (A2 = D()); ) {
                if (A2 === Dv) {
                  g2 += A2 + D();
                  continue;
                }
                if (A2 === R) {
                  r2.keepQuotes === true && (g2 += A2);
                  break;
                }
                g2 += A2;
              }
              T6({ type: "text", value: g2 });
              continue;
            }
            if (g2 === Jse) {
              v2++;
              let A2 = { type: "brace", open: true, close: false, dollar: c4.value && c4.value.slice(-1) === "$" || u2.dollar === true, depth: v2, commas: 0, ranges: 0, nodes: [] };
              u2 = T6(A2), a3.push(u2), T6({ type: "open", value: g2 });
              continue;
            }
            if (g2 === Xse) {
              if (u2.type !== "brace") {
                T6({ type: "text", value: g2 });
                continue;
              }
              let R = "close";
              u2 = a3.pop(), u2.close = true, T6({ type: R, value: g2 }), v2--, u2 = a3[a3.length - 1];
              continue;
            }
            if (g2 === Vse && v2 > 0) {
              if (u2.ranges > 0) {
                u2.ranges = 0;
                let R = u2.nodes.shift();
                u2.nodes = [R, { type: "text", value: Wse(u2) }];
              }
              T6({ type: "comma", value: g2 }), u2.commas++;
              continue;
            }
            if (g2 === Kse && v2 > 0 && u2.commas === 0) {
              let R = u2.nodes;
              if (v2 === 0 || R.length === 0) {
                T6({ type: "text", value: g2 });
                continue;
              }
              if (c4.type === "dot") {
                if (u2.range = [], c4.value += g2, c4.type = "range", u2.nodes.length !== 3 && u2.nodes.length !== 5) {
                  u2.invalid = true, u2.ranges = 0, c4.type = "text";
                  continue;
                }
                u2.ranges++, u2.args = [];
                continue;
              }
              if (c4.type === "range") {
                R.pop();
                let A2 = R[R.length - 1];
                A2.value += c4.value + g2, c4 = A2, u2.ranges--;
                continue;
              }
              T6({ type: "dot", value: g2 });
              continue;
            }
            T6({ type: "text", value: g2 });
          }
        do
          if (u2 = a3.pop(), u2.type !== "root") {
            u2.nodes.forEach((L) => {
              L.nodes || (L.type === "open" && (L.isOpen = true), L.type === "close" && (L.isClose = true), L.nodes || (L.type = "text"), L.invalid = true);
            });
            let R = a3[a3.length - 1], A2 = R.nodes.indexOf(u2);
            R.nodes.splice(A2, 1, ...u2.nodes);
          }
        while (a3.length > 0);
        return T6({ type: "eos" }), o2;
      };
      cI.exports = roe;
    });
    var pI = b((yFe, hI) => {
      "use strict";
      var fI = tp(), noe = eI(), ioe = nI(), soe = lI(), qr = (e3, r2 = {}) => {
        let n2 = [];
        if (Array.isArray(e3))
          for (let i4 of e3) {
            let o2 = qr.create(i4, r2);
            Array.isArray(o2) ? n2.push(...o2) : n2.push(o2);
          }
        else
          n2 = [].concat(qr.create(e3, r2));
        return r2 && r2.expand === true && r2.nodupes === true && (n2 = [...new Set(n2)]), n2;
      };
      qr.parse = (e3, r2 = {}) => soe(e3, r2);
      qr.stringify = (e3, r2 = {}) => fI(typeof e3 == "string" ? qr.parse(e3, r2) : e3, r2);
      qr.compile = (e3, r2 = {}) => (typeof e3 == "string" && (e3 = qr.parse(e3, r2)), noe(e3, r2));
      qr.expand = (e3, r2 = {}) => {
        typeof e3 == "string" && (e3 = qr.parse(e3, r2));
        let n2 = ioe(e3, r2);
        return r2.noempty === true && (n2 = n2.filter(Boolean)), r2.nodupes === true && (n2 = [...new Set(n2)]), n2;
      };
      qr.create = (e3, r2 = {}) => e3 === "" || e3.length < 3 ? [e3] : r2.expand !== true ? qr.compile(e3, r2) : qr.expand(e3, r2);
      hI.exports = qr;
    });
    var ol = b((vFe, vI) => {
      "use strict";
      var ooe = require("path"), Wn = "\\\\/", dI = `[^${Wn}]`, Si = "\\.", aoe = "\\+", uoe = "\\?", np = "\\/", coe = "(?=.)", mI = "[^/]", Ov = `(?:${np}|$)`, gI = `(?:^|${np})`, Tv = `${Si}{1,2}${Ov}`, loe = `(?!${Si})`, foe = `(?!${gI}${Tv})`, hoe = `(?!${Si}{0,1}${Ov})`, poe = `(?!${Tv})`, doe = `[^.${np}]`, moe = `${mI}*?`, yI = { DOT_LITERAL: Si, PLUS_LITERAL: aoe, QMARK_LITERAL: uoe, SLASH_LITERAL: np, ONE_CHAR: coe, QMARK: mI, END_ANCHOR: Ov, DOTS_SLASH: Tv, NO_DOT: loe, NO_DOTS: foe, NO_DOT_SLASH: hoe, NO_DOTS_SLASH: poe, QMARK_NO_DOT: doe, STAR: moe, START_ANCHOR: gI }, goe = { ...yI, SLASH_LITERAL: `[${Wn}]`, QMARK: dI, STAR: `${dI}*?`, DOTS_SLASH: `${Si}{1,2}(?:[${Wn}]|$)`, NO_DOT: `(?!${Si})`, NO_DOTS: `(?!(?:^|[${Wn}])${Si}{1,2}(?:[${Wn}]|$))`, NO_DOT_SLASH: `(?!${Si}{0,1}(?:[${Wn}]|$))`, NO_DOTS_SLASH: `(?!${Si}{1,2}(?:[${Wn}]|$))`, QMARK_NO_DOT: `[^.${Wn}]`, START_ANCHOR: `(?:^|[${Wn}])`, END_ANCHOR: `(?:[${Wn}]|$)` }, yoe = { alnum: "a-zA-Z0-9", alpha: "a-zA-Z", ascii: "\\x00-\\x7F", blank: " \\t", cntrl: "\\x00-\\x1F\\x7F", digit: "0-9", graph: "\\x21-\\x7E", lower: "a-z", print: "\\x20-\\x7E ", punct: "\\-!\"#$%&'()\\*+,./:;<=>?@[\\]^_`{|}~", space: " \\t\\r\\n\\v\\f", upper: "A-Z", word: "A-Za-z0-9_", xdigit: "A-Fa-f0-9" };
      vI.exports = { MAX_LENGTH: 1024 * 64, POSIX_REGEX_SOURCE: yoe, REGEX_BACKSLASH: /\\(?![*+?^${}(|)[\]])/g, REGEX_NON_SPECIAL_CHARS: /^[^@![\].,$*+?^{}()|\\/]+/, REGEX_SPECIAL_CHARS: /[-*+?.^${}(|)[\]]/, REGEX_SPECIAL_CHARS_BACKREF: /(\\?)((\W)(\3*))/g, REGEX_SPECIAL_CHARS_GLOBAL: /([-*+?.^${}(|)[\]])/g, REGEX_REMOVE_BACKSLASH: /(?:\[.*?[^\\]\]|\\(?=.))/g, REPLACEMENTS: { "***": "*", "**/**": "**", "**/**/**": "**" }, CHAR_0: 48, CHAR_9: 57, CHAR_UPPERCASE_A: 65, CHAR_LOWERCASE_A: 97, CHAR_UPPERCASE_Z: 90, CHAR_LOWERCASE_Z: 122, CHAR_LEFT_PARENTHESES: 40, CHAR_RIGHT_PARENTHESES: 41, CHAR_ASTERISK: 42, CHAR_AMPERSAND: 38, CHAR_AT: 64, CHAR_BACKWARD_SLASH: 92, CHAR_CARRIAGE_RETURN: 13, CHAR_CIRCUMFLEX_ACCENT: 94, CHAR_COLON: 58, CHAR_COMMA: 44, CHAR_DOT: 46, CHAR_DOUBLE_QUOTE: 34, CHAR_EQUAL: 61, CHAR_EXCLAMATION_MARK: 33, CHAR_FORM_FEED: 12, CHAR_FORWARD_SLASH: 47, CHAR_GRAVE_ACCENT: 96, CHAR_HASH: 35, CHAR_HYPHEN_MINUS: 45, CHAR_LEFT_ANGLE_BRACKET: 60, CHAR_LEFT_CURLY_BRACE: 123, CHAR_LEFT_SQUARE_BRACKET: 91, CHAR_LINE_FEED: 10, CHAR_NO_BREAK_SPACE: 160, CHAR_PERCENT: 37, CHAR_PLUS: 43, CHAR_QUESTION_MARK: 63, CHAR_RIGHT_ANGLE_BRACKET: 62, CHAR_RIGHT_CURLY_BRACE: 125, CHAR_RIGHT_SQUARE_BRACKET: 93, CHAR_SEMICOLON: 59, CHAR_SINGLE_QUOTE: 39, CHAR_SPACE: 32, CHAR_TAB: 9, CHAR_UNDERSCORE: 95, CHAR_VERTICAL_LINE: 124, CHAR_ZERO_WIDTH_NOBREAK_SPACE: 65279, SEP: ooe.sep, extglobChars(e3) {
        return { "!": { type: "negate", open: "(?:(?!(?:", close: `))${e3.STAR})` }, "?": { type: "qmark", open: "(?:", close: ")?" }, "+": { type: "plus", open: "(?:", close: ")+" }, "*": { type: "star", open: "(?:", close: ")*" }, "@": { type: "at", open: "(?:", close: ")" } };
      }, globChars(e3) {
        return e3 === true ? goe : yI;
      } };
    });
    var al = b((Tr) => {
      "use strict";
      var voe = require("path"), boe = process.platform === "win32", { REGEX_BACKSLASH: Eoe, REGEX_REMOVE_BACKSLASH: woe, REGEX_SPECIAL_CHARS: _oe, REGEX_SPECIAL_CHARS_GLOBAL: Soe } = ol();
      Tr.isObject = (e3) => e3 !== null && typeof e3 == "object" && !Array.isArray(e3);
      Tr.hasRegexChars = (e3) => _oe.test(e3);
      Tr.isRegexChar = (e3) => e3.length === 1 && Tr.hasRegexChars(e3);
      Tr.escapeRegex = (e3) => e3.replace(Soe, "\\$1");
      Tr.toPosixSlashes = (e3) => e3.replace(Eoe, "/");
      Tr.removeBackslashes = (e3) => e3.replace(woe, (r2) => r2 === "\\" ? "" : r2);
      Tr.supportsLookbehinds = () => {
        let e3 = process.version.slice(1).split(".").map(Number);
        return e3.length === 3 && e3[0] >= 9 || e3[0] === 8 && e3[1] >= 10;
      };
      Tr.isWindows = (e3) => e3 && typeof e3.windows == "boolean" ? e3.windows : boe === true || voe.sep === "\\";
      Tr.escapeLast = (e3, r2, n2) => {
        let i4 = e3.lastIndexOf(r2, n2);
        return i4 === -1 ? e3 : e3[i4 - 1] === "\\" ? Tr.escapeLast(e3, r2, i4 - 1) : `${e3.slice(0, i4)}\\${e3.slice(i4)}`;
      };
      Tr.removePrefix = (e3, r2 = {}) => {
        let n2 = e3;
        return n2.startsWith("./") && (n2 = n2.slice(2), r2.prefix = "./"), n2;
      };
      Tr.wrapOutput = (e3, r2 = {}, n2 = {}) => {
        let i4 = n2.contains ? "" : "^", o2 = n2.contains ? "" : "$", a3 = `${i4}(?:${e3})${o2}`;
        return r2.negated === true && (a3 = `(?:^(?!${a3}).*$)`), a3;
      };
    });
    var OI = b((EFe, DI) => {
      "use strict";
      var bI = al(), { CHAR_ASTERISK: Rv, CHAR_AT: xoe, CHAR_BACKWARD_SLASH: ul, CHAR_COMMA: Doe, CHAR_DOT: Cv, CHAR_EXCLAMATION_MARK: Av, CHAR_FORWARD_SLASH: xI, CHAR_LEFT_CURLY_BRACE: Iv, CHAR_LEFT_PARENTHESES: Pv, CHAR_LEFT_SQUARE_BRACKET: Ooe, CHAR_PLUS: Toe, CHAR_QUESTION_MARK: EI, CHAR_RIGHT_CURLY_BRACE: Roe, CHAR_RIGHT_PARENTHESES: wI, CHAR_RIGHT_SQUARE_BRACKET: Coe } = ol(), _I = (e3) => e3 === xI || e3 === ul, SI = (e3) => {
        e3.isPrefix !== true && (e3.depth = e3.isGlobstar ? 1 / 0 : 1);
      }, Aoe = (e3, r2) => {
        let n2 = r2 || {}, i4 = e3.length - 1, o2 = n2.parts === true || n2.scanToEnd === true, a3 = [], u2 = [], c4 = [], l2 = e3, f4 = -1, p2 = 0, v2 = 0, g2 = false, S2 = false, D = false, T6 = false, R = false, A2 = false, L = false, N = false, q = false, B = false, W = 0, P, $3, I = { value: "", depth: 0, isGlob: false }, U = () => f4 >= i4, C = () => l2.charCodeAt(f4 + 1), G = () => (P = $3, l2.charCodeAt(++f4));
        for (; f4 < i4; ) {
          $3 = G();
          let Z;
          if ($3 === ul) {
            L = I.backslashes = true, $3 = G(), $3 === Iv && (A2 = true);
            continue;
          }
          if (A2 === true || $3 === Iv) {
            for (W++; U() !== true && ($3 = G()); ) {
              if ($3 === ul) {
                L = I.backslashes = true, G();
                continue;
              }
              if ($3 === Iv) {
                W++;
                continue;
              }
              if (A2 !== true && $3 === Cv && ($3 = G()) === Cv) {
                if (g2 = I.isBrace = true, D = I.isGlob = true, B = true, o2 === true)
                  continue;
                break;
              }
              if (A2 !== true && $3 === Doe) {
                if (g2 = I.isBrace = true, D = I.isGlob = true, B = true, o2 === true)
                  continue;
                break;
              }
              if ($3 === Roe && (W--, W === 0)) {
                A2 = false, g2 = I.isBrace = true, B = true;
                break;
              }
            }
            if (o2 === true)
              continue;
            break;
          }
          if ($3 === xI) {
            if (a3.push(f4), u2.push(I), I = { value: "", depth: 0, isGlob: false }, B === true)
              continue;
            if (P === Cv && f4 === p2 + 1) {
              p2 += 2;
              continue;
            }
            v2 = f4 + 1;
            continue;
          }
          if (n2.noext !== true && ($3 === Toe || $3 === xoe || $3 === Rv || $3 === EI || $3 === Av) === true && C() === Pv) {
            if (D = I.isGlob = true, T6 = I.isExtglob = true, B = true, $3 === Av && f4 === p2 && (q = true), o2 === true) {
              for (; U() !== true && ($3 = G()); ) {
                if ($3 === ul) {
                  L = I.backslashes = true, $3 = G();
                  continue;
                }
                if ($3 === wI) {
                  D = I.isGlob = true, B = true;
                  break;
                }
              }
              continue;
            }
            break;
          }
          if ($3 === Rv) {
            if (P === Rv && (R = I.isGlobstar = true), D = I.isGlob = true, B = true, o2 === true)
              continue;
            break;
          }
          if ($3 === EI) {
            if (D = I.isGlob = true, B = true, o2 === true)
              continue;
            break;
          }
          if ($3 === Ooe) {
            for (; U() !== true && (Z = G()); ) {
              if (Z === ul) {
                L = I.backslashes = true, G();
                continue;
              }
              if (Z === Coe) {
                S2 = I.isBracket = true, D = I.isGlob = true, B = true;
                break;
              }
            }
            if (o2 === true)
              continue;
            break;
          }
          if (n2.nonegate !== true && $3 === Av && f4 === p2) {
            N = I.negated = true, p2++;
            continue;
          }
          if (n2.noparen !== true && $3 === Pv) {
            if (D = I.isGlob = true, o2 === true) {
              for (; U() !== true && ($3 = G()); ) {
                if ($3 === Pv) {
                  L = I.backslashes = true, $3 = G();
                  continue;
                }
                if ($3 === wI) {
                  B = true;
                  break;
                }
              }
              continue;
            }
            break;
          }
          if (D === true) {
            if (B = true, o2 === true)
              continue;
            break;
          }
        }
        n2.noext === true && (T6 = false, D = false);
        let V = l2, ee = "", M = "";
        p2 > 0 && (ee = l2.slice(0, p2), l2 = l2.slice(p2), v2 -= p2), V && D === true && v2 > 0 ? (V = l2.slice(0, v2), M = l2.slice(v2)) : D === true ? (V = "", M = l2) : V = l2, V && V !== "" && V !== "/" && V !== l2 && _I(V.charCodeAt(V.length - 1)) && (V = V.slice(0, -1)), n2.unescape === true && (M && (M = bI.removeBackslashes(M)), V && L === true && (V = bI.removeBackslashes(V)));
        let k = { prefix: ee, input: e3, start: p2, base: V, glob: M, isBrace: g2, isBracket: S2, isGlob: D, isExtglob: T6, isGlobstar: R, negated: N, negatedExtglob: q };
        if (n2.tokens === true && (k.maxDepth = 0, _I($3) || u2.push(I), k.tokens = u2), n2.parts === true || n2.tokens === true) {
          let Z;
          for (let Y = 0; Y < a3.length; Y++) {
            let ae = Z ? Z + 1 : p2, et = a3[Y], tt = e3.slice(ae, et);
            n2.tokens && (Y === 0 && p2 !== 0 ? (u2[Y].isPrefix = true, u2[Y].value = ee) : u2[Y].value = tt, SI(u2[Y]), k.maxDepth += u2[Y].depth), (Y !== 0 || tt !== "") && c4.push(tt), Z = et;
          }
          if (Z && Z + 1 < e3.length) {
            let Y = e3.slice(Z + 1);
            c4.push(Y), n2.tokens && (u2[u2.length - 1].value = Y, SI(u2[u2.length - 1]), k.maxDepth += u2[u2.length - 1].depth);
          }
          k.slashes = a3, k.parts = c4;
        }
        return k;
      };
      DI.exports = Aoe;
    });
    var CI = b((wFe, RI) => {
      "use strict";
      var ip = ol(), Br = al(), { MAX_LENGTH: sp, POSIX_REGEX_SOURCE: Ioe, REGEX_NON_SPECIAL_CHARS: Poe, REGEX_SPECIAL_CHARS_BACKREF: Foe, REPLACEMENTS: TI } = ip, Loe = (e3, r2) => {
        if (typeof r2.expandRange == "function")
          return r2.expandRange(...e3, r2);
        e3.sort();
        let n2 = `[${e3.join("-")}]`;
        try {
          new RegExp(n2);
        } catch {
          return e3.map((o2) => Br.escapeRegex(o2)).join("..");
        }
        return n2;
      }, Wa = (e3, r2) => `Missing ${e3}: "${r2}" - use "\\\\${r2}" to match literal characters`, Fv = (e3, r2) => {
        if (typeof e3 != "string")
          throw new TypeError("Expected a string");
        e3 = TI[e3] || e3;
        let n2 = { ...r2 }, i4 = typeof n2.maxLength == "number" ? Math.min(sp, n2.maxLength) : sp, o2 = e3.length;
        if (o2 > i4)
          throw new SyntaxError(`Input length: ${o2}, exceeds maximum allowed length: ${i4}`);
        let a3 = { type: "bos", value: "", output: n2.prepend || "" }, u2 = [a3], c4 = n2.capture ? "" : "?:", l2 = Br.isWindows(r2), f4 = ip.globChars(l2), p2 = ip.extglobChars(f4), { DOT_LITERAL: v2, PLUS_LITERAL: g2, SLASH_LITERAL: S2, ONE_CHAR: D, DOTS_SLASH: T6, NO_DOT: R, NO_DOT_SLASH: A2, NO_DOTS_SLASH: L, QMARK: N, QMARK_NO_DOT: q, STAR: B, START_ANCHOR: W } = f4, P = (J) => `(${c4}(?:(?!${W}${J.dot ? T6 : v2}).)*?)`, $3 = n2.dot ? "" : R, I = n2.dot ? N : q, U = n2.bash === true ? P(n2) : B;
        n2.capture && (U = `(${U})`), typeof n2.noext == "boolean" && (n2.noextglob = n2.noext);
        let C = { input: e3, index: -1, start: 0, dot: n2.dot === true, consumed: "", output: "", prefix: "", backtrack: false, negated: false, brackets: 0, braces: 0, parens: 0, quotes: 0, globstar: false, tokens: u2 };
        e3 = Br.removePrefix(e3, C), o2 = e3.length;
        let G = [], V = [], ee = [], M = a3, k, Z = () => C.index === o2 - 1, Y = C.peek = (J = 1) => e3[C.index + J], ae = C.advance = () => e3[++C.index] || "", et = () => e3.slice(C.index + 1), tt = (J = "", Ae = 0) => {
          C.consumed += J, C.index += Ae;
        }, Rt = (J) => {
          C.output += J.output != null ? J.output : J.value, tt(J.value);
        }, Lt = () => {
          let J = 1;
          for (; Y() === "!" && (Y(2) !== "(" || Y(3) === "?"); )
            ae(), C.start++, J++;
          return J % 2 === 0 ? false : (C.negated = true, C.start++, true);
        }, vi = (J) => {
          C[J]++, ee.push(J);
        }, Qt = (J) => {
          C[J]--, ee.pop();
        }, pe = (J) => {
          if (M.type === "globstar") {
            let Ae = C.braces > 0 && (J.type === "comma" || J.type === "brace"), K2 = J.extglob === true || G.length && (J.type === "pipe" || J.type === "paren");
            J.type !== "slash" && J.type !== "paren" && !Ae && !K2 && (C.output = C.output.slice(0, -M.output.length), M.type = "star", M.value = "*", M.output = U, C.output += M.output);
          }
          if (G.length && J.type !== "paren" && (G[G.length - 1].inner += J.value), (J.value || J.output) && Rt(J), M && M.type === "text" && J.type === "text") {
            M.value += J.value, M.output = (M.output || "") + J.value;
            return;
          }
          J.prev = M, u2.push(J), M = J;
        }, Sr = (J, Ae) => {
          let K2 = { ...p2[Ae], conditions: 1, inner: "" };
          K2.prev = M, K2.parens = C.parens, K2.output = C.output;
          let ve = (n2.capture ? "(" : "") + K2.open;
          vi("parens"), pe({ type: J, value: Ae, output: C.output ? "" : D }), pe({ type: "paren", extglob: true, value: ae(), output: ve }), G.push(K2);
        }, La = (J) => {
          let Ae = J.close + (n2.capture ? ")" : ""), K2;
          if (J.type === "negate") {
            let ve = U;
            if (J.inner && J.inner.length > 1 && J.inner.includes("/") && (ve = P(n2)), (ve !== U || Z() || /^\)+$/.test(et())) && (Ae = J.close = `)$))${ve}`), J.inner.includes("*") && (K2 = et()) && /^\.[^\\/.]+$/.test(K2)) {
              let at = Fv(K2, { ...r2, fastpaths: false }).output;
              Ae = J.close = `)${at})${ve})`;
            }
            J.prev.type === "bos" && (C.negatedExtglob = true);
          }
          pe({ type: "paren", extglob: true, value: k, output: Ae }), Qt("parens");
        };
        if (n2.fastpaths !== false && !/(^[*!]|[/()[\]{}"])/.test(e3)) {
          let J = false, Ae = e3.replace(Foe, (K2, ve, at, hr, Ct, Ty) => hr === "\\" ? (J = true, K2) : hr === "?" ? ve ? ve + hr + (Ct ? N.repeat(Ct.length) : "") : Ty === 0 ? I + (Ct ? N.repeat(Ct.length) : "") : N.repeat(at.length) : hr === "." ? v2.repeat(at.length) : hr === "*" ? ve ? ve + hr + (Ct ? U : "") : U : ve ? K2 : `\\${K2}`);
          return J === true && (n2.unescape === true ? Ae = Ae.replace(/\\/g, "") : Ae = Ae.replace(/\\+/g, (K2) => K2.length % 2 === 0 ? "\\\\" : K2 ? "\\" : "")), Ae === e3 && n2.contains === true ? (C.output = e3, C) : (C.output = Br.wrapOutput(Ae, C, r2), C);
        }
        for (; !Z(); ) {
          if (k = ae(), k === "\0")
            continue;
          if (k === "\\") {
            let K2 = Y();
            if (K2 === "/" && n2.bash !== true || K2 === "." || K2 === ";")
              continue;
            if (!K2) {
              k += "\\", pe({ type: "text", value: k });
              continue;
            }
            let ve = /^\\+/.exec(et()), at = 0;
            if (ve && ve[0].length > 2 && (at = ve[0].length, C.index += at, at % 2 !== 0 && (k += "\\")), n2.unescape === true ? k = ae() : k += ae(), C.brackets === 0) {
              pe({ type: "text", value: k });
              continue;
            }
          }
          if (C.brackets > 0 && (k !== "]" || M.value === "[" || M.value === "[^")) {
            if (n2.posix !== false && k === ":") {
              let K2 = M.value.slice(1);
              if (K2.includes("[") && (M.posix = true, K2.includes(":"))) {
                let ve = M.value.lastIndexOf("["), at = M.value.slice(0, ve), hr = M.value.slice(ve + 2), Ct = Ioe[hr];
                if (Ct) {
                  M.value = at + Ct, C.backtrack = true, ae(), !a3.output && u2.indexOf(M) === 1 && (a3.output = D);
                  continue;
                }
              }
            }
            (k === "[" && Y() !== ":" || k === "-" && Y() === "]") && (k = `\\${k}`), k === "]" && (M.value === "[" || M.value === "[^") && (k = `\\${k}`), n2.posix === true && k === "!" && M.value === "[" && (k = "^"), M.value += k, Rt({ value: k });
            continue;
          }
          if (C.quotes === 1 && k !== '"') {
            k = Br.escapeRegex(k), M.value += k, Rt({ value: k });
            continue;
          }
          if (k === '"') {
            C.quotes = C.quotes === 1 ? 0 : 1, n2.keepQuotes === true && pe({ type: "text", value: k });
            continue;
          }
          if (k === "(") {
            vi("parens"), pe({ type: "paren", value: k });
            continue;
          }
          if (k === ")") {
            if (C.parens === 0 && n2.strictBrackets === true)
              throw new SyntaxError(Wa("opening", "("));
            let K2 = G[G.length - 1];
            if (K2 && C.parens === K2.parens + 1) {
              La(G.pop());
              continue;
            }
            pe({ type: "paren", value: k, output: C.parens ? ")" : "\\)" }), Qt("parens");
            continue;
          }
          if (k === "[") {
            if (n2.nobracket === true || !et().includes("]")) {
              if (n2.nobracket !== true && n2.strictBrackets === true)
                throw new SyntaxError(Wa("closing", "]"));
              k = `\\${k}`;
            } else
              vi("brackets");
            pe({ type: "bracket", value: k });
            continue;
          }
          if (k === "]") {
            if (n2.nobracket === true || M && M.type === "bracket" && M.value.length === 1) {
              pe({ type: "text", value: k, output: `\\${k}` });
              continue;
            }
            if (C.brackets === 0) {
              if (n2.strictBrackets === true)
                throw new SyntaxError(Wa("opening", "["));
              pe({ type: "text", value: k, output: `\\${k}` });
              continue;
            }
            Qt("brackets");
            let K2 = M.value.slice(1);
            if (M.posix !== true && K2[0] === "^" && !K2.includes("/") && (k = `/${k}`), M.value += k, Rt({ value: k }), n2.literalBrackets === false || Br.hasRegexChars(K2))
              continue;
            let ve = Br.escapeRegex(M.value);
            if (C.output = C.output.slice(0, -M.value.length), n2.literalBrackets === true) {
              C.output += ve, M.value = ve;
              continue;
            }
            M.value = `(${c4}${ve}|${M.value})`, C.output += M.value;
            continue;
          }
          if (k === "{" && n2.nobrace !== true) {
            vi("braces");
            let K2 = { type: "brace", value: k, output: "(", outputIndex: C.output.length, tokensIndex: C.tokens.length };
            V.push(K2), pe(K2);
            continue;
          }
          if (k === "}") {
            let K2 = V[V.length - 1];
            if (n2.nobrace === true || !K2) {
              pe({ type: "text", value: k, output: k });
              continue;
            }
            let ve = ")";
            if (K2.dots === true) {
              let at = u2.slice(), hr = [];
              for (let Ct = at.length - 1; Ct >= 0 && (u2.pop(), at[Ct].type !== "brace"); Ct--)
                at[Ct].type !== "dots" && hr.unshift(at[Ct].value);
              ve = Loe(hr, n2), C.backtrack = true;
            }
            if (K2.comma !== true && K2.dots !== true) {
              let at = C.output.slice(0, K2.outputIndex), hr = C.tokens.slice(K2.tokensIndex);
              K2.value = K2.output = "\\{", k = ve = "\\}", C.output = at;
              for (let Ct of hr)
                C.output += Ct.output || Ct.value;
            }
            pe({ type: "brace", value: k, output: ve }), Qt("braces"), V.pop();
            continue;
          }
          if (k === "|") {
            G.length > 0 && G[G.length - 1].conditions++, pe({ type: "text", value: k });
            continue;
          }
          if (k === ",") {
            let K2 = k, ve = V[V.length - 1];
            ve && ee[ee.length - 1] === "braces" && (ve.comma = true, K2 = "|"), pe({ type: "comma", value: k, output: K2 });
            continue;
          }
          if (k === "/") {
            if (M.type === "dot" && C.index === C.start + 1) {
              C.start = C.index + 1, C.consumed = "", C.output = "", u2.pop(), M = a3;
              continue;
            }
            pe({ type: "slash", value: k, output: S2 });
            continue;
          }
          if (k === ".") {
            if (C.braces > 0 && M.type === "dot") {
              M.value === "." && (M.output = v2);
              let K2 = V[V.length - 1];
              M.type = "dots", M.output += k, M.value += k, K2.dots = true;
              continue;
            }
            if (C.braces + C.parens === 0 && M.type !== "bos" && M.type !== "slash") {
              pe({ type: "text", value: k, output: v2 });
              continue;
            }
            pe({ type: "dot", value: k, output: v2 });
            continue;
          }
          if (k === "?") {
            if (!(M && M.value === "(") && n2.noextglob !== true && Y() === "(" && Y(2) !== "?") {
              Sr("qmark", k);
              continue;
            }
            if (M && M.type === "paren") {
              let ve = Y(), at = k;
              if (ve === "<" && !Br.supportsLookbehinds())
                throw new Error("Node.js v10 or higher is required for regex lookbehinds");
              (M.value === "(" && !/[!=<:]/.test(ve) || ve === "<" && !/<([!=]|\w+>)/.test(et())) && (at = `\\${k}`), pe({ type: "text", value: k, output: at });
              continue;
            }
            if (n2.dot !== true && (M.type === "slash" || M.type === "bos")) {
              pe({ type: "qmark", value: k, output: q });
              continue;
            }
            pe({ type: "qmark", value: k, output: N });
            continue;
          }
          if (k === "!") {
            if (n2.noextglob !== true && Y() === "(" && (Y(2) !== "?" || !/[!=<:]/.test(Y(3)))) {
              Sr("negate", k);
              continue;
            }
            if (n2.nonegate !== true && C.index === 0) {
              Lt();
              continue;
            }
          }
          if (k === "+") {
            if (n2.noextglob !== true && Y() === "(" && Y(2) !== "?") {
              Sr("plus", k);
              continue;
            }
            if (M && M.value === "(" || n2.regex === false) {
              pe({ type: "plus", value: k, output: g2 });
              continue;
            }
            if (M && (M.type === "bracket" || M.type === "paren" || M.type === "brace") || C.parens > 0) {
              pe({ type: "plus", value: k });
              continue;
            }
            pe({ type: "plus", value: g2 });
            continue;
          }
          if (k === "@") {
            if (n2.noextglob !== true && Y() === "(" && Y(2) !== "?") {
              pe({ type: "at", extglob: true, value: k, output: "" });
              continue;
            }
            pe({ type: "text", value: k });
            continue;
          }
          if (k !== "*") {
            (k === "$" || k === "^") && (k = `\\${k}`);
            let K2 = Poe.exec(et());
            K2 && (k += K2[0], C.index += K2[0].length), pe({ type: "text", value: k });
            continue;
          }
          if (M && (M.type === "globstar" || M.star === true)) {
            M.type = "star", M.star = true, M.value += k, M.output = U, C.backtrack = true, C.globstar = true, tt(k);
            continue;
          }
          let J = et();
          if (n2.noextglob !== true && /^\([^?]/.test(J)) {
            Sr("star", k);
            continue;
          }
          if (M.type === "star") {
            if (n2.noglobstar === true) {
              tt(k);
              continue;
            }
            let K2 = M.prev, ve = K2.prev, at = K2.type === "slash" || K2.type === "bos", hr = ve && (ve.type === "star" || ve.type === "globstar");
            if (n2.bash === true && (!at || J[0] && J[0] !== "/")) {
              pe({ type: "star", value: k, output: "" });
              continue;
            }
            let Ct = C.braces > 0 && (K2.type === "comma" || K2.type === "brace"), Ty = G.length && (K2.type === "pipe" || K2.type === "paren");
            if (!at && K2.type !== "paren" && !Ct && !Ty) {
              pe({ type: "star", value: k, output: "" });
              continue;
            }
            for (; J.slice(0, 3) === "/**"; ) {
              let kh = e3[C.index + 4];
              if (kh && kh !== "/")
                break;
              J = J.slice(3), tt("/**", 3);
            }
            if (K2.type === "bos" && Z()) {
              M.type = "globstar", M.value += k, M.output = P(n2), C.output = M.output, C.globstar = true, tt(k);
              continue;
            }
            if (K2.type === "slash" && K2.prev.type !== "bos" && !hr && Z()) {
              C.output = C.output.slice(0, -(K2.output + M.output).length), K2.output = `(?:${K2.output}`, M.type = "globstar", M.output = P(n2) + (n2.strictSlashes ? ")" : "|$)"), M.value += k, C.globstar = true, C.output += K2.output + M.output, tt(k);
              continue;
            }
            if (K2.type === "slash" && K2.prev.type !== "bos" && J[0] === "/") {
              let kh = J[1] !== void 0 ? "|$" : "";
              C.output = C.output.slice(0, -(K2.output + M.output).length), K2.output = `(?:${K2.output}`, M.type = "globstar", M.output = `${P(n2)}${S2}|${S2}${kh})`, M.value += k, C.output += K2.output + M.output, C.globstar = true, tt(k + ae()), pe({ type: "slash", value: "/", output: "" });
              continue;
            }
            if (K2.type === "bos" && J[0] === "/") {
              M.type = "globstar", M.value += k, M.output = `(?:^|${S2}|${P(n2)}${S2})`, C.output = M.output, C.globstar = true, tt(k + ae()), pe({ type: "slash", value: "/", output: "" });
              continue;
            }
            C.output = C.output.slice(0, -M.output.length), M.type = "globstar", M.output = P(n2), M.value += k, C.output += M.output, C.globstar = true, tt(k);
            continue;
          }
          let Ae = { type: "star", value: k, output: U };
          if (n2.bash === true) {
            Ae.output = ".*?", (M.type === "bos" || M.type === "slash") && (Ae.output = $3 + Ae.output), pe(Ae);
            continue;
          }
          if (M && (M.type === "bracket" || M.type === "paren") && n2.regex === true) {
            Ae.output = k, pe(Ae);
            continue;
          }
          (C.index === C.start || M.type === "slash" || M.type === "dot") && (M.type === "dot" ? (C.output += A2, M.output += A2) : n2.dot === true ? (C.output += L, M.output += L) : (C.output += $3, M.output += $3), Y() !== "*" && (C.output += D, M.output += D)), pe(Ae);
        }
        for (; C.brackets > 0; ) {
          if (n2.strictBrackets === true)
            throw new SyntaxError(Wa("closing", "]"));
          C.output = Br.escapeLast(C.output, "["), Qt("brackets");
        }
        for (; C.parens > 0; ) {
          if (n2.strictBrackets === true)
            throw new SyntaxError(Wa("closing", ")"));
          C.output = Br.escapeLast(C.output, "("), Qt("parens");
        }
        for (; C.braces > 0; ) {
          if (n2.strictBrackets === true)
            throw new SyntaxError(Wa("closing", "}"));
          C.output = Br.escapeLast(C.output, "{"), Qt("braces");
        }
        if (n2.strictSlashes !== true && (M.type === "star" || M.type === "bracket") && pe({ type: "maybe_slash", value: "", output: `${S2}?` }), C.backtrack === true) {
          C.output = "";
          for (let J of C.tokens)
            C.output += J.output != null ? J.output : J.value, J.suffix && (C.output += J.suffix);
        }
        return C;
      };
      Fv.fastpaths = (e3, r2) => {
        let n2 = { ...r2 }, i4 = typeof n2.maxLength == "number" ? Math.min(sp, n2.maxLength) : sp, o2 = e3.length;
        if (o2 > i4)
          throw new SyntaxError(`Input length: ${o2}, exceeds maximum allowed length: ${i4}`);
        e3 = TI[e3] || e3;
        let a3 = Br.isWindows(r2), { DOT_LITERAL: u2, SLASH_LITERAL: c4, ONE_CHAR: l2, DOTS_SLASH: f4, NO_DOT: p2, NO_DOTS: v2, NO_DOTS_SLASH: g2, STAR: S2, START_ANCHOR: D } = ip.globChars(a3), T6 = n2.dot ? v2 : p2, R = n2.dot ? g2 : p2, A2 = n2.capture ? "" : "?:", L = { negated: false, prefix: "" }, N = n2.bash === true ? ".*?" : S2;
        n2.capture && (N = `(${N})`);
        let q = ($3) => $3.noglobstar === true ? N : `(${A2}(?:(?!${D}${$3.dot ? f4 : u2}).)*?)`, B = ($3) => {
          switch ($3) {
            case "*":
              return `${T6}${l2}${N}`;
            case ".*":
              return `${u2}${l2}${N}`;
            case "*.*":
              return `${T6}${N}${u2}${l2}${N}`;
            case "*/*":
              return `${T6}${N}${c4}${l2}${R}${N}`;
            case "**":
              return T6 + q(n2);
            case "**/*":
              return `(?:${T6}${q(n2)}${c4})?${R}${l2}${N}`;
            case "**/*.*":
              return `(?:${T6}${q(n2)}${c4})?${R}${N}${u2}${l2}${N}`;
            case "**/.*":
              return `(?:${T6}${q(n2)}${c4})?${u2}${l2}${N}`;
            default: {
              let I = /^(.*?)\.(\w+)$/.exec($3);
              if (!I)
                return;
              let U = B(I[1]);
              return U ? U + u2 + I[2] : void 0;
            }
          }
        }, W = Br.removePrefix(e3, L), P = B(W);
        return P && n2.strictSlashes !== true && (P += `${c4}?`), P;
      };
      RI.exports = Fv;
    });
    var II = b((_Fe, AI) => {
      "use strict";
      var Moe = require("path"), Noe = OI(), Lv = CI(), Mv = al(), koe = ol(), $oe = (e3) => e3 && typeof e3 == "object" && !Array.isArray(e3), bt = (e3, r2, n2 = false) => {
        if (Array.isArray(e3)) {
          let p2 = e3.map((g2) => bt(g2, r2, n2));
          return (g2) => {
            for (let S2 of p2) {
              let D = S2(g2);
              if (D)
                return D;
            }
            return false;
          };
        }
        let i4 = $oe(e3) && e3.tokens && e3.input;
        if (e3 === "" || typeof e3 != "string" && !i4)
          throw new TypeError("Expected pattern to be a non-empty string");
        let o2 = r2 || {}, a3 = Mv.isWindows(r2), u2 = i4 ? bt.compileRe(e3, r2) : bt.makeRe(e3, r2, false, true), c4 = u2.state;
        delete u2.state;
        let l2 = () => false;
        if (o2.ignore) {
          let p2 = { ...r2, ignore: null, onMatch: null, onResult: null };
          l2 = bt(o2.ignore, p2, n2);
        }
        let f4 = (p2, v2 = false) => {
          let { isMatch: g2, match: S2, output: D } = bt.test(p2, u2, r2, { glob: e3, posix: a3 }), T6 = { glob: e3, state: c4, regex: u2, posix: a3, input: p2, output: D, match: S2, isMatch: g2 };
          return typeof o2.onResult == "function" && o2.onResult(T6), g2 === false ? (T6.isMatch = false, v2 ? T6 : false) : l2(p2) ? (typeof o2.onIgnore == "function" && o2.onIgnore(T6), T6.isMatch = false, v2 ? T6 : false) : (typeof o2.onMatch == "function" && o2.onMatch(T6), v2 ? T6 : true);
        };
        return n2 && (f4.state = c4), f4;
      };
      bt.test = (e3, r2, n2, { glob: i4, posix: o2 } = {}) => {
        if (typeof e3 != "string")
          throw new TypeError("Expected input to be a string");
        if (e3 === "")
          return { isMatch: false, output: "" };
        let a3 = n2 || {}, u2 = a3.format || (o2 ? Mv.toPosixSlashes : null), c4 = e3 === i4, l2 = c4 && u2 ? u2(e3) : e3;
        return c4 === false && (l2 = u2 ? u2(e3) : e3, c4 = l2 === i4), (c4 === false || a3.capture === true) && (a3.matchBase === true || a3.basename === true ? c4 = bt.matchBase(e3, r2, n2, o2) : c4 = r2.exec(l2)), { isMatch: !!c4, match: c4, output: l2 };
      };
      bt.matchBase = (e3, r2, n2, i4 = Mv.isWindows(n2)) => (r2 instanceof RegExp ? r2 : bt.makeRe(r2, n2)).test(Moe.basename(e3));
      bt.isMatch = (e3, r2, n2) => bt(r2, n2)(e3);
      bt.parse = (e3, r2) => Array.isArray(e3) ? e3.map((n2) => bt.parse(n2, r2)) : Lv(e3, { ...r2, fastpaths: false });
      bt.scan = (e3, r2) => Noe(e3, r2);
      bt.compileRe = (e3, r2, n2 = false, i4 = false) => {
        if (n2 === true)
          return e3.output;
        let o2 = r2 || {}, a3 = o2.contains ? "" : "^", u2 = o2.contains ? "" : "$", c4 = `${a3}(?:${e3.output})${u2}`;
        e3 && e3.negated === true && (c4 = `^(?!${c4}).*$`);
        let l2 = bt.toRegex(c4, r2);
        return i4 === true && (l2.state = e3), l2;
      };
      bt.makeRe = (e3, r2 = {}, n2 = false, i4 = false) => {
        if (!e3 || typeof e3 != "string")
          throw new TypeError("Expected a non-empty string");
        let o2 = { negated: false, fastpaths: true };
        return r2.fastpaths !== false && (e3[0] === "." || e3[0] === "*") && (o2.output = Lv.fastpaths(e3, r2)), o2.output || (o2 = Lv(e3, r2)), bt.compileRe(o2, r2, n2, i4);
      };
      bt.toRegex = (e3, r2) => {
        try {
          let n2 = r2 || {};
          return new RegExp(e3, n2.flags || (n2.nocase ? "i" : ""));
        } catch (n2) {
          if (r2 && r2.debug === true)
            throw n2;
          return /$^/;
        }
      };
      bt.constants = koe;
      AI.exports = bt;
    });
    var FI = b((SFe, PI) => {
      "use strict";
      PI.exports = II();
    });
    var $I = b((xFe, kI) => {
      "use strict";
      var MI = require("util"), NI = pI(), Hn = FI(), Nv = al(), LI = (e3) => e3 === "" || e3 === "./", nt = (e3, r2, n2) => {
        r2 = [].concat(r2), e3 = [].concat(e3);
        let i4 = /* @__PURE__ */ new Set(), o2 = /* @__PURE__ */ new Set(), a3 = /* @__PURE__ */ new Set(), u2 = 0, c4 = (p2) => {
          a3.add(p2.output), n2 && n2.onResult && n2.onResult(p2);
        };
        for (let p2 = 0; p2 < r2.length; p2++) {
          let v2 = Hn(String(r2[p2]), { ...n2, onResult: c4 }, true), g2 = v2.state.negated || v2.state.negatedExtglob;
          g2 && u2++;
          for (let S2 of e3) {
            let D = v2(S2, true);
            (g2 ? !D.isMatch : D.isMatch) && (g2 ? i4.add(D.output) : (i4.delete(D.output), o2.add(D.output)));
          }
        }
        let f4 = (u2 === r2.length ? [...a3] : [...o2]).filter((p2) => !i4.has(p2));
        if (n2 && f4.length === 0) {
          if (n2.failglob === true)
            throw new Error(`No matches found for "${r2.join(", ")}"`);
          if (n2.nonull === true || n2.nullglob === true)
            return n2.unescape ? r2.map((p2) => p2.replace(/\\/g, "")) : r2;
        }
        return f4;
      };
      nt.match = nt;
      nt.matcher = (e3, r2) => Hn(e3, r2);
      nt.isMatch = (e3, r2, n2) => Hn(r2, n2)(e3);
      nt.any = nt.isMatch;
      nt.not = (e3, r2, n2 = {}) => {
        r2 = [].concat(r2).map(String);
        let i4 = /* @__PURE__ */ new Set(), o2 = [], a3 = (c4) => {
          n2.onResult && n2.onResult(c4), o2.push(c4.output);
        }, u2 = new Set(nt(e3, r2, { ...n2, onResult: a3 }));
        for (let c4 of o2)
          u2.has(c4) || i4.add(c4);
        return [...i4];
      };
      nt.contains = (e3, r2, n2) => {
        if (typeof e3 != "string")
          throw new TypeError(`Expected a string: "${MI.inspect(e3)}"`);
        if (Array.isArray(r2))
          return r2.some((i4) => nt.contains(e3, i4, n2));
        if (typeof r2 == "string") {
          if (LI(e3) || LI(r2))
            return false;
          if (e3.includes(r2) || e3.startsWith("./") && e3.slice(2).includes(r2))
            return true;
        }
        return nt.isMatch(e3, r2, { ...n2, contains: true });
      };
      nt.matchKeys = (e3, r2, n2) => {
        if (!Nv.isObject(e3))
          throw new TypeError("Expected the first argument to be an object");
        let i4 = nt(Object.keys(e3), r2, n2), o2 = {};
        for (let a3 of i4)
          o2[a3] = e3[a3];
        return o2;
      };
      nt.some = (e3, r2, n2) => {
        let i4 = [].concat(e3);
        for (let o2 of [].concat(r2)) {
          let a3 = Hn(String(o2), n2);
          if (i4.some((u2) => a3(u2)))
            return true;
        }
        return false;
      };
      nt.every = (e3, r2, n2) => {
        let i4 = [].concat(e3);
        for (let o2 of [].concat(r2)) {
          let a3 = Hn(String(o2), n2);
          if (!i4.every((u2) => a3(u2)))
            return false;
        }
        return true;
      };
      nt.all = (e3, r2, n2) => {
        if (typeof e3 != "string")
          throw new TypeError(`Expected a string: "${MI.inspect(e3)}"`);
        return [].concat(r2).every((i4) => Hn(i4, n2)(e3));
      };
      nt.capture = (e3, r2, n2) => {
        let i4 = Nv.isWindows(n2), a3 = Hn.makeRe(String(e3), { ...n2, capture: true }).exec(i4 ? Nv.toPosixSlashes(r2) : r2);
        if (a3)
          return a3.slice(1).map((u2) => u2 === void 0 ? "" : u2);
      };
      nt.makeRe = (...e3) => Hn.makeRe(...e3);
      nt.scan = (...e3) => Hn.scan(...e3);
      nt.parse = (e3, r2) => {
        let n2 = [];
        for (let i4 of [].concat(e3 || []))
          for (let o2 of NI(String(i4), r2))
            n2.push(Hn.parse(o2, r2));
        return n2;
      };
      nt.braces = (e3, r2) => {
        if (typeof e3 != "string")
          throw new TypeError("Expected a string");
        return r2 && r2.nobrace === true || !/\{.*\}/.test(e3) ? [e3] : NI(e3, r2);
      };
      nt.braceExpand = (e3, r2) => {
        if (typeof e3 != "string")
          throw new TypeError("Expected a string");
        return nt.braces(e3, { ...r2, expand: true });
      };
      kI.exports = nt;
    });
    var VI = b((le) => {
      "use strict";
      Object.defineProperty(le, "__esModule", { value: true });
      le.removeDuplicateSlashes = le.matchAny = le.convertPatternsToRe = le.makeRe = le.getPatternParts = le.expandBraceExpansion = le.expandPatternsWithBraceExpansion = le.isAffectDepthOfReadingPattern = le.endsWithSlashGlobStar = le.hasGlobStar = le.getBaseDirectory = le.isPatternRelatedToParentDirectory = le.getPatternsOutsideCurrentDirectory = le.getPatternsInsideCurrentDirectory = le.getPositivePatterns = le.getNegativePatterns = le.isPositivePattern = le.isNegativePattern = le.convertToNegativePattern = le.convertToPositivePattern = le.isDynamicPattern = le.isStaticPattern = void 0;
      var qoe = require("path"), Boe = AA(), kv = $I(), qI = "**", joe = "\\", Uoe = /[*?]|^!/, Goe = /\[[^[]*]/, Woe = /(?:^|[^!*+?@])\([^(]*\|[^|]*\)/, Hoe = /[!*+?@]\([^(]*\)/, Voe = /,|\.\./, Koe = /(?!^)\/{2,}/g;
      function BI(e3, r2 = {}) {
        return !jI(e3, r2);
      }
      le.isStaticPattern = BI;
      function jI(e3, r2 = {}) {
        return e3 === "" ? false : !!(r2.caseSensitiveMatch === false || e3.includes(joe) || Uoe.test(e3) || Goe.test(e3) || Woe.test(e3) || r2.extglob !== false && Hoe.test(e3) || r2.braceExpansion !== false && zoe(e3));
      }
      le.isDynamicPattern = jI;
      function zoe(e3) {
        let r2 = e3.indexOf("{");
        if (r2 === -1)
          return false;
        let n2 = e3.indexOf("}", r2 + 1);
        if (n2 === -1)
          return false;
        let i4 = e3.slice(r2, n2);
        return Voe.test(i4);
      }
      function Yoe(e3) {
        return op(e3) ? e3.slice(1) : e3;
      }
      le.convertToPositivePattern = Yoe;
      function Joe(e3) {
        return "!" + e3;
      }
      le.convertToNegativePattern = Joe;
      function op(e3) {
        return e3.startsWith("!") && e3[1] !== "(";
      }
      le.isNegativePattern = op;
      function UI(e3) {
        return !op(e3);
      }
      le.isPositivePattern = UI;
      function Xoe(e3) {
        return e3.filter(op);
      }
      le.getNegativePatterns = Xoe;
      function Qoe(e3) {
        return e3.filter(UI);
      }
      le.getPositivePatterns = Qoe;
      function Zoe(e3) {
        return e3.filter((r2) => !$v(r2));
      }
      le.getPatternsInsideCurrentDirectory = Zoe;
      function eae(e3) {
        return e3.filter($v);
      }
      le.getPatternsOutsideCurrentDirectory = eae;
      function $v(e3) {
        return e3.startsWith("..") || e3.startsWith("./..");
      }
      le.isPatternRelatedToParentDirectory = $v;
      function tae(e3) {
        return Boe(e3, { flipBackslashes: false });
      }
      le.getBaseDirectory = tae;
      function rae(e3) {
        return e3.includes(qI);
      }
      le.hasGlobStar = rae;
      function GI(e3) {
        return e3.endsWith("/" + qI);
      }
      le.endsWithSlashGlobStar = GI;
      function nae(e3) {
        let r2 = qoe.basename(e3);
        return GI(e3) || BI(r2);
      }
      le.isAffectDepthOfReadingPattern = nae;
      function iae(e3) {
        return e3.reduce((r2, n2) => r2.concat(WI(n2)), []);
      }
      le.expandPatternsWithBraceExpansion = iae;
      function WI(e3) {
        let r2 = kv.braces(e3, { expand: true, nodupes: true });
        return r2.sort((n2, i4) => n2.length - i4.length), r2.filter((n2) => n2 !== "");
      }
      le.expandBraceExpansion = WI;
      function sae(e3, r2) {
        let { parts: n2 } = kv.scan(e3, Object.assign(Object.assign({}, r2), { parts: true }));
        return n2.length === 0 && (n2 = [e3]), n2[0].startsWith("/") && (n2[0] = n2[0].slice(1), n2.unshift("")), n2;
      }
      le.getPatternParts = sae;
      function HI(e3, r2) {
        return kv.makeRe(e3, r2);
      }
      le.makeRe = HI;
      function oae(e3, r2) {
        return e3.map((n2) => HI(n2, r2));
      }
      le.convertPatternsToRe = oae;
      function aae(e3, r2) {
        return r2.some((n2) => n2.test(e3));
      }
      le.matchAny = aae;
      function uae(e3) {
        return e3.replace(Koe, "/");
      }
      le.removeDuplicateSlashes = uae;
    });
    var zI = b((ap7) => {
      "use strict";
      Object.defineProperty(ap7, "__esModule", { value: true });
      ap7.merge = void 0;
      var cae = mv();
      function lae(e3) {
        let r2 = cae(e3);
        return e3.forEach((n2) => {
          n2.once("error", (i4) => r2.emit("error", i4));
        }), r2.once("close", () => KI(e3)), r2.once("end", () => KI(e3)), r2;
      }
      ap7.merge = lae;
      function KI(e3) {
        e3.forEach((r2) => r2.emit("close"));
      }
    });
    var YI = b((Ha) => {
      "use strict";
      Object.defineProperty(Ha, "__esModule", { value: true });
      Ha.isEmpty = Ha.isString = void 0;
      function fae(e3) {
        return typeof e3 == "string";
      }
      Ha.isString = fae;
      function hae(e3) {
        return e3 === "";
      }
      Ha.isEmpty = hae;
    });
    var xi = b((rr) => {
      "use strict";
      Object.defineProperty(rr, "__esModule", { value: true });
      rr.string = rr.stream = rr.pattern = rr.path = rr.fs = rr.errno = rr.array = void 0;
      var pae = vA();
      rr.array = pae;
      var dae = bA();
      rr.errno = dae;
      var mae = EA();
      rr.fs = mae;
      var gae = xA();
      rr.path = gae;
      var yae = VI();
      rr.pattern = yae;
      var vae = zI();
      rr.stream = vae;
      var bae = YI();
      rr.string = bae;
    });
    var ZI = b((nr) => {
      "use strict";
      Object.defineProperty(nr, "__esModule", { value: true });
      nr.convertPatternGroupToTask = nr.convertPatternGroupsToTasks = nr.groupPatternsByBaseDirectory = nr.getNegativePatternsAsPositive = nr.getPositivePatterns = nr.convertPatternsToTasks = nr.generate = void 0;
      var wn = xi();
      function Eae(e3, r2) {
        let n2 = JI(e3, r2), i4 = JI(r2.ignore, r2), o2 = XI(n2), a3 = QI(n2, i4), u2 = o2.filter((p2) => wn.pattern.isStaticPattern(p2, r2)), c4 = o2.filter((p2) => wn.pattern.isDynamicPattern(p2, r2)), l2 = qv(u2, a3, false), f4 = qv(c4, a3, true);
        return l2.concat(f4);
      }
      nr.generate = Eae;
      function JI(e3, r2) {
        let n2 = e3;
        return r2.braceExpansion && (n2 = wn.pattern.expandPatternsWithBraceExpansion(n2)), r2.baseNameMatch && (n2 = n2.map((i4) => i4.includes("/") ? i4 : `**/${i4}`)), n2.map((i4) => wn.pattern.removeDuplicateSlashes(i4));
      }
      function qv(e3, r2, n2) {
        let i4 = [], o2 = wn.pattern.getPatternsOutsideCurrentDirectory(e3), a3 = wn.pattern.getPatternsInsideCurrentDirectory(e3), u2 = Bv(o2), c4 = Bv(a3);
        return i4.push(...jv(u2, r2, n2)), "." in c4 ? i4.push(Uv(".", a3, r2, n2)) : i4.push(...jv(c4, r2, n2)), i4;
      }
      nr.convertPatternsToTasks = qv;
      function XI(e3) {
        return wn.pattern.getPositivePatterns(e3);
      }
      nr.getPositivePatterns = XI;
      function QI(e3, r2) {
        return wn.pattern.getNegativePatterns(e3).concat(r2).map(wn.pattern.convertToPositivePattern);
      }
      nr.getNegativePatternsAsPositive = QI;
      function Bv(e3) {
        let r2 = {};
        return e3.reduce((n2, i4) => {
          let o2 = wn.pattern.getBaseDirectory(i4);
          return o2 in n2 ? n2[o2].push(i4) : n2[o2] = [i4], n2;
        }, r2);
      }
      nr.groupPatternsByBaseDirectory = Bv;
      function jv(e3, r2, n2) {
        return Object.keys(e3).map((i4) => Uv(i4, e3[i4], r2, n2));
      }
      nr.convertPatternGroupsToTasks = jv;
      function Uv(e3, r2, n2, i4) {
        return { dynamic: i4, positive: r2, negative: n2, base: e3, patterns: [].concat(r2, n2.map(wn.pattern.convertToNegativePattern)) };
      }
      nr.convertPatternGroupToTask = Uv;
    });
    var t8 = b((up) => {
      "use strict";
      Object.defineProperty(up, "__esModule", { value: true });
      up.read = void 0;
      function wae(e3, r2, n2) {
        r2.fs.lstat(e3, (i4, o2) => {
          if (i4 !== null) {
            e8(n2, i4);
            return;
          }
          if (!o2.isSymbolicLink() || !r2.followSymbolicLink) {
            Gv(n2, o2);
            return;
          }
          r2.fs.stat(e3, (a3, u2) => {
            if (a3 !== null) {
              if (r2.throwErrorOnBrokenSymbolicLink) {
                e8(n2, a3);
                return;
              }
              Gv(n2, o2);
              return;
            }
            r2.markSymbolicLink && (u2.isSymbolicLink = () => true), Gv(n2, u2);
          });
        });
      }
      up.read = wae;
      function e8(e3, r2) {
        e3(r2);
      }
      function Gv(e3, r2) {
        e3(null, r2);
      }
    });
    var r8 = b((cp3) => {
      "use strict";
      Object.defineProperty(cp3, "__esModule", { value: true });
      cp3.read = void 0;
      function _ae(e3, r2) {
        let n2 = r2.fs.lstatSync(e3);
        if (!n2.isSymbolicLink() || !r2.followSymbolicLink)
          return n2;
        try {
          let i4 = r2.fs.statSync(e3);
          return r2.markSymbolicLink && (i4.isSymbolicLink = () => true), i4;
        } catch (i4) {
          if (!r2.throwErrorOnBrokenSymbolicLink)
            return n2;
          throw i4;
        }
      }
      cp3.read = _ae;
    });
    var n8 = b((ds) => {
      "use strict";
      Object.defineProperty(ds, "__esModule", { value: true });
      ds.createFileSystemAdapter = ds.FILE_SYSTEM_ADAPTER = void 0;
      var lp = require("fs");
      ds.FILE_SYSTEM_ADAPTER = { lstat: lp.lstat, stat: lp.stat, lstatSync: lp.lstatSync, statSync: lp.statSync };
      function Sae(e3) {
        return e3 === void 0 ? ds.FILE_SYSTEM_ADAPTER : Object.assign(Object.assign({}, ds.FILE_SYSTEM_ADAPTER), e3);
      }
      ds.createFileSystemAdapter = Sae;
    });
    var i8 = b((Hv) => {
      "use strict";
      Object.defineProperty(Hv, "__esModule", { value: true });
      var xae = n8(), Wv = class {
        constructor(r2 = {}) {
          this._options = r2, this.followSymbolicLink = this._getValue(this._options.followSymbolicLink, true), this.fs = xae.createFileSystemAdapter(this._options.fs), this.markSymbolicLink = this._getValue(this._options.markSymbolicLink, false), this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, true);
        }
        _getValue(r2, n2) {
          return r2 ?? n2;
        }
      };
      Hv.default = Wv;
    });
    var Io = b((gs) => {
      "use strict";
      Object.defineProperty(gs, "__esModule", { value: true });
      gs.statSync = gs.stat = gs.Settings = void 0;
      var s8 = t8(), Dae = r8(), Vv = i8();
      gs.Settings = Vv.default;
      function Oae(e3, r2, n2) {
        if (typeof r2 == "function") {
          s8.read(e3, Kv(), r2);
          return;
        }
        s8.read(e3, Kv(r2), n2);
      }
      gs.stat = Oae;
      function Tae(e3, r2) {
        let n2 = Kv(r2);
        return Dae.read(e3, n2);
      }
      gs.statSync = Tae;
      function Kv(e3 = {}) {
        return e3 instanceof Vv.default ? e3 : new Vv.default(e3);
      }
    });
    var u8 = b((MFe, a8) => {
      "use strict";
      var o8;
      a8.exports = typeof queueMicrotask == "function" ? queueMicrotask.bind(typeof window < "u" ? window : global) : (e3) => (o8 || (o8 = Promise.resolve())).then(e3).catch((r2) => setTimeout(() => {
        throw r2;
      }, 0));
    });
    var l8 = b((NFe, c8) => {
      "use strict";
      c8.exports = Cae;
      var Rae = u8();
      function Cae(e3, r2) {
        let n2, i4, o2, a3 = true;
        Array.isArray(e3) ? (n2 = [], i4 = e3.length) : (o2 = Object.keys(e3), n2 = {}, i4 = o2.length);
        function u2(l2) {
          function f4() {
            r2 && r2(l2, n2), r2 = null;
          }
          a3 ? Rae(f4) : f4();
        }
        function c4(l2, f4, p2) {
          n2[l2] = p2, (--i4 === 0 || f4) && u2(f4);
        }
        i4 ? o2 ? o2.forEach(function(l2) {
          e3[l2](function(f4, p2) {
            c4(l2, f4, p2);
          });
        }) : e3.forEach(function(l2, f4) {
          l2(function(p2, v2) {
            c4(f4, p2, v2);
          });
        }) : u2(null), a3 = false;
      }
    });
    var zv = b((hp) => {
      "use strict";
      Object.defineProperty(hp, "__esModule", { value: true });
      hp.IS_SUPPORT_READDIR_WITH_FILE_TYPES = void 0;
      var fp = process.versions.node.split(".");
      if (fp[0] === void 0 || fp[1] === void 0)
        throw new Error(`Unexpected behavior. The 'process.versions.node' variable has invalid value: ${process.versions.node}`);
      var f8 = Number.parseInt(fp[0], 10), Aae = Number.parseInt(fp[1], 10), h8 = 10, Iae = 10, Pae = f8 > h8, Fae = f8 === h8 && Aae >= Iae;
      hp.IS_SUPPORT_READDIR_WITH_FILE_TYPES = Pae || Fae;
    });
    var p8 = b((pp) => {
      "use strict";
      Object.defineProperty(pp, "__esModule", { value: true });
      pp.createDirentFromStats = void 0;
      var Yv = class {
        constructor(r2, n2) {
          this.name = r2, this.isBlockDevice = n2.isBlockDevice.bind(n2), this.isCharacterDevice = n2.isCharacterDevice.bind(n2), this.isDirectory = n2.isDirectory.bind(n2), this.isFIFO = n2.isFIFO.bind(n2), this.isFile = n2.isFile.bind(n2), this.isSocket = n2.isSocket.bind(n2), this.isSymbolicLink = n2.isSymbolicLink.bind(n2);
        }
      };
      function Lae(e3, r2) {
        return new Yv(e3, r2);
      }
      pp.createDirentFromStats = Lae;
    });
    var Jv = b((dp) => {
      "use strict";
      Object.defineProperty(dp, "__esModule", { value: true });
      dp.fs = void 0;
      var Mae = p8();
      dp.fs = Mae;
    });
    var Xv = b((mp) => {
      "use strict";
      Object.defineProperty(mp, "__esModule", { value: true });
      mp.joinPathSegments = void 0;
      function Nae(e3, r2, n2) {
        return e3.endsWith(n2) ? e3 + r2 : e3 + n2 + r2;
      }
      mp.joinPathSegments = Nae;
    });
    var b8 = b((ys) => {
      "use strict";
      Object.defineProperty(ys, "__esModule", { value: true });
      ys.readdir = ys.readdirWithFileTypes = ys.read = void 0;
      var kae = Io(), d8 = l8(), $ae = zv(), m8 = Jv(), g8 = Xv();
      function qae(e3, r2, n2) {
        if (!r2.stats && $ae.IS_SUPPORT_READDIR_WITH_FILE_TYPES) {
          y8(e3, r2, n2);
          return;
        }
        v8(e3, r2, n2);
      }
      ys.read = qae;
      function y8(e3, r2, n2) {
        r2.fs.readdir(e3, { withFileTypes: true }, (i4, o2) => {
          if (i4 !== null) {
            gp(n2, i4);
            return;
          }
          let a3 = o2.map((c4) => ({ dirent: c4, name: c4.name, path: g8.joinPathSegments(e3, c4.name, r2.pathSegmentSeparator) }));
          if (!r2.followSymbolicLinks) {
            Qv(n2, a3);
            return;
          }
          let u2 = a3.map((c4) => Bae(c4, r2));
          d8(u2, (c4, l2) => {
            if (c4 !== null) {
              gp(n2, c4);
              return;
            }
            Qv(n2, l2);
          });
        });
      }
      ys.readdirWithFileTypes = y8;
      function Bae(e3, r2) {
        return (n2) => {
          if (!e3.dirent.isSymbolicLink()) {
            n2(null, e3);
            return;
          }
          r2.fs.stat(e3.path, (i4, o2) => {
            if (i4 !== null) {
              if (r2.throwErrorOnBrokenSymbolicLink) {
                n2(i4);
                return;
              }
              n2(null, e3);
              return;
            }
            e3.dirent = m8.fs.createDirentFromStats(e3.name, o2), n2(null, e3);
          });
        };
      }
      function v8(e3, r2, n2) {
        r2.fs.readdir(e3, (i4, o2) => {
          if (i4 !== null) {
            gp(n2, i4);
            return;
          }
          let a3 = o2.map((u2) => {
            let c4 = g8.joinPathSegments(e3, u2, r2.pathSegmentSeparator);
            return (l2) => {
              kae.stat(c4, r2.fsStatSettings, (f4, p2) => {
                if (f4 !== null) {
                  l2(f4);
                  return;
                }
                let v2 = { name: u2, path: c4, dirent: m8.fs.createDirentFromStats(u2, p2) };
                r2.stats && (v2.stats = p2), l2(null, v2);
              });
            };
          });
          d8(a3, (u2, c4) => {
            if (u2 !== null) {
              gp(n2, u2);
              return;
            }
            Qv(n2, c4);
          });
        });
      }
      ys.readdir = v8;
      function gp(e3, r2) {
        e3(r2);
      }
      function Qv(e3, r2) {
        e3(null, r2);
      }
    });
    var x8 = b((vs) => {
      "use strict";
      Object.defineProperty(vs, "__esModule", { value: true });
      vs.readdir = vs.readdirWithFileTypes = vs.read = void 0;
      var jae = Io(), Uae = zv(), E8 = Jv(), w8 = Xv();
      function Gae(e3, r2) {
        return !r2.stats && Uae.IS_SUPPORT_READDIR_WITH_FILE_TYPES ? _8(e3, r2) : S8(e3, r2);
      }
      vs.read = Gae;
      function _8(e3, r2) {
        return r2.fs.readdirSync(e3, { withFileTypes: true }).map((i4) => {
          let o2 = { dirent: i4, name: i4.name, path: w8.joinPathSegments(e3, i4.name, r2.pathSegmentSeparator) };
          if (o2.dirent.isSymbolicLink() && r2.followSymbolicLinks)
            try {
              let a3 = r2.fs.statSync(o2.path);
              o2.dirent = E8.fs.createDirentFromStats(o2.name, a3);
            } catch (a3) {
              if (r2.throwErrorOnBrokenSymbolicLink)
                throw a3;
            }
          return o2;
        });
      }
      vs.readdirWithFileTypes = _8;
      function S8(e3, r2) {
        return r2.fs.readdirSync(e3).map((i4) => {
          let o2 = w8.joinPathSegments(e3, i4, r2.pathSegmentSeparator), a3 = jae.statSync(o2, r2.fsStatSettings), u2 = { name: i4, path: o2, dirent: E8.fs.createDirentFromStats(i4, a3) };
          return r2.stats && (u2.stats = a3), u2;
        });
      }
      vs.readdir = S8;
    });
    var D8 = b((bs) => {
      "use strict";
      Object.defineProperty(bs, "__esModule", { value: true });
      bs.createFileSystemAdapter = bs.FILE_SYSTEM_ADAPTER = void 0;
      var Va = require("fs");
      bs.FILE_SYSTEM_ADAPTER = { lstat: Va.lstat, stat: Va.stat, lstatSync: Va.lstatSync, statSync: Va.statSync, readdir: Va.readdir, readdirSync: Va.readdirSync };
      function Wae(e3) {
        return e3 === void 0 ? bs.FILE_SYSTEM_ADAPTER : Object.assign(Object.assign({}, bs.FILE_SYSTEM_ADAPTER), e3);
      }
      bs.createFileSystemAdapter = Wae;
    });
    var O8 = b((e1) => {
      "use strict";
      Object.defineProperty(e1, "__esModule", { value: true });
      var Hae = require("path"), Vae = Io(), Kae = D8(), Zv = class {
        constructor(r2 = {}) {
          this._options = r2, this.followSymbolicLinks = this._getValue(this._options.followSymbolicLinks, false), this.fs = Kae.createFileSystemAdapter(this._options.fs), this.pathSegmentSeparator = this._getValue(this._options.pathSegmentSeparator, Hae.sep), this.stats = this._getValue(this._options.stats, false), this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, true), this.fsStatSettings = new Vae.Settings({ followSymbolicLink: this.followSymbolicLinks, fs: this.fs, throwErrorOnBrokenSymbolicLink: this.throwErrorOnBrokenSymbolicLink });
        }
        _getValue(r2, n2) {
          return r2 ?? n2;
        }
      };
      e1.default = Zv;
    });
    var yp = b((Es) => {
      "use strict";
      Object.defineProperty(Es, "__esModule", { value: true });
      Es.Settings = Es.scandirSync = Es.scandir = void 0;
      var T8 = b8(), zae = x8(), t1 = O8();
      Es.Settings = t1.default;
      function Yae(e3, r2, n2) {
        if (typeof r2 == "function") {
          T8.read(e3, r1(), r2);
          return;
        }
        T8.read(e3, r1(r2), n2);
      }
      Es.scandir = Yae;
      function Jae(e3, r2) {
        let n2 = r1(r2);
        return zae.read(e3, n2);
      }
      Es.scandirSync = Jae;
      function r1(e3 = {}) {
        return e3 instanceof t1.default ? e3 : new t1.default(e3);
      }
    });
    var C8 = b((VFe, R8) => {
      "use strict";
      function Xae(e3) {
        var r2 = new e3(), n2 = r2;
        function i4() {
          var a3 = r2;
          return a3.next ? r2 = a3.next : (r2 = new e3(), n2 = r2), a3.next = null, a3;
        }
        function o2(a3) {
          n2.next = a3, n2 = a3;
        }
        return { get: i4, release: o2 };
      }
      R8.exports = Xae;
    });
    var I8 = b((KFe, n1) => {
      "use strict";
      var Qae = C8();
      function A8(e3, r2, n2) {
        if (typeof e3 == "function" && (n2 = r2, r2 = e3, e3 = null), n2 < 1)
          throw new Error("fastqueue concurrency must be greater than 1");
        var i4 = Qae(Zae), o2 = null, a3 = null, u2 = 0, c4 = null, l2 = { push: T6, drain: en, saturated: en, pause: p2, paused: false, concurrency: n2, running: f4, resume: S2, idle: D, length: v2, getQueue: g2, unshift: R, empty: en, kill: L, killAndDrain: N, error: q };
        return l2;
        function f4() {
          return u2;
        }
        function p2() {
          l2.paused = true;
        }
        function v2() {
          for (var B = o2, W = 0; B; )
            B = B.next, W++;
          return W;
        }
        function g2() {
          for (var B = o2, W = []; B; )
            W.push(B.value), B = B.next;
          return W;
        }
        function S2() {
          if (l2.paused) {
            l2.paused = false;
            for (var B = 0; B < l2.concurrency; B++)
              u2++, A2();
          }
        }
        function D() {
          return u2 === 0 && l2.length() === 0;
        }
        function T6(B, W) {
          var P = i4.get();
          P.context = e3, P.release = A2, P.value = B, P.callback = W || en, P.errorHandler = c4, u2 === l2.concurrency || l2.paused ? a3 ? (a3.next = P, a3 = P) : (o2 = P, a3 = P, l2.saturated()) : (u2++, r2.call(e3, P.value, P.worked));
        }
        function R(B, W) {
          var P = i4.get();
          P.context = e3, P.release = A2, P.value = B, P.callback = W || en, u2 === l2.concurrency || l2.paused ? o2 ? (P.next = o2, o2 = P) : (o2 = P, a3 = P, l2.saturated()) : (u2++, r2.call(e3, P.value, P.worked));
        }
        function A2(B) {
          B && i4.release(B);
          var W = o2;
          W ? l2.paused ? u2-- : (a3 === o2 && (a3 = null), o2 = W.next, W.next = null, r2.call(e3, W.value, W.worked), a3 === null && l2.empty()) : --u2 === 0 && l2.drain();
        }
        function L() {
          o2 = null, a3 = null, l2.drain = en;
        }
        function N() {
          o2 = null, a3 = null, l2.drain(), l2.drain = en;
        }
        function q(B) {
          c4 = B;
        }
      }
      function en() {
      }
      function Zae() {
        this.value = null, this.callback = en, this.next = null, this.release = en, this.context = null, this.errorHandler = null;
        var e3 = this;
        this.worked = function(n2, i4) {
          var o2 = e3.callback, a3 = e3.errorHandler, u2 = e3.value;
          e3.value = null, e3.callback = en, e3.errorHandler && a3(n2, u2), o2.call(e3.context, n2, i4), e3.release(e3);
        };
      }
      function eue(e3, r2, n2) {
        typeof e3 == "function" && (n2 = r2, r2 = e3, e3 = null);
        function i4(p2, v2) {
          r2.call(this, p2).then(function(g2) {
            v2(null, g2);
          }, v2);
        }
        var o2 = A8(e3, i4, n2), a3 = o2.push, u2 = o2.unshift;
        return o2.push = c4, o2.unshift = l2, o2.drained = f4, o2;
        function c4(p2) {
          var v2 = new Promise(function(g2, S2) {
            a3(p2, function(D, T6) {
              if (D) {
                S2(D);
                return;
              }
              g2(T6);
            });
          });
          return v2.catch(en), v2;
        }
        function l2(p2) {
          var v2 = new Promise(function(g2, S2) {
            u2(p2, function(D, T6) {
              if (D) {
                S2(D);
                return;
              }
              g2(T6);
            });
          });
          return v2.catch(en), v2;
        }
        function f4() {
          if (o2.idle())
            return new Promise(function(g2) {
              g2();
            });
          var p2 = o2.drain, v2 = new Promise(function(g2) {
            o2.drain = function() {
              p2(), g2();
            };
          });
          return v2;
        }
      }
      n1.exports = A8;
      n1.exports.promise = eue;
    });
    var vp = b((Vn) => {
      "use strict";
      Object.defineProperty(Vn, "__esModule", { value: true });
      Vn.joinPathSegments = Vn.replacePathSegmentSeparator = Vn.isAppliedFilter = Vn.isFatalError = void 0;
      function tue(e3, r2) {
        return e3.errorFilter === null ? true : !e3.errorFilter(r2);
      }
      Vn.isFatalError = tue;
      function rue(e3, r2) {
        return e3 === null || e3(r2);
      }
      Vn.isAppliedFilter = rue;
      function nue(e3, r2) {
        return e3.split(/[/\\]/).join(r2);
      }
      Vn.replacePathSegmentSeparator = nue;
      function iue(e3, r2, n2) {
        return e3 === "" ? r2 : e3.endsWith(n2) ? e3 + r2 : e3 + n2 + r2;
      }
      Vn.joinPathSegments = iue;
    });
    var o1 = b((s1) => {
      "use strict";
      Object.defineProperty(s1, "__esModule", { value: true });
      var sue = vp(), i1 = class {
        constructor(r2, n2) {
          this._root = r2, this._settings = n2, this._root = sue.replacePathSegmentSeparator(r2, n2.pathSegmentSeparator);
        }
      };
      s1.default = i1;
    });
    var c1 = b((u1) => {
      "use strict";
      Object.defineProperty(u1, "__esModule", { value: true });
      var oue = require("events"), aue = yp(), uue = I8(), bp = vp(), cue = o1(), a1 = class extends cue.default {
        constructor(r2, n2) {
          super(r2, n2), this._settings = n2, this._scandir = aue.scandir, this._emitter = new oue.EventEmitter(), this._queue = uue(this._worker.bind(this), this._settings.concurrency), this._isFatalError = false, this._isDestroyed = false, this._queue.drain = () => {
            this._isFatalError || this._emitter.emit("end");
          };
        }
        read() {
          return this._isFatalError = false, this._isDestroyed = false, setImmediate(() => {
            this._pushToQueue(this._root, this._settings.basePath);
          }), this._emitter;
        }
        get isDestroyed() {
          return this._isDestroyed;
        }
        destroy() {
          if (this._isDestroyed)
            throw new Error("The reader is already destroyed");
          this._isDestroyed = true, this._queue.killAndDrain();
        }
        onEntry(r2) {
          this._emitter.on("entry", r2);
        }
        onError(r2) {
          this._emitter.once("error", r2);
        }
        onEnd(r2) {
          this._emitter.once("end", r2);
        }
        _pushToQueue(r2, n2) {
          let i4 = { directory: r2, base: n2 };
          this._queue.push(i4, (o2) => {
            o2 !== null && this._handleError(o2);
          });
        }
        _worker(r2, n2) {
          this._scandir(r2.directory, this._settings.fsScandirSettings, (i4, o2) => {
            if (i4 !== null) {
              n2(i4, void 0);
              return;
            }
            for (let a3 of o2)
              this._handleEntry(a3, r2.base);
            n2(null, void 0);
          });
        }
        _handleError(r2) {
          this._isDestroyed || !bp.isFatalError(this._settings, r2) || (this._isFatalError = true, this._isDestroyed = true, this._emitter.emit("error", r2));
        }
        _handleEntry(r2, n2) {
          if (this._isDestroyed || this._isFatalError)
            return;
          let i4 = r2.path;
          n2 !== void 0 && (r2.path = bp.joinPathSegments(n2, r2.name, this._settings.pathSegmentSeparator)), bp.isAppliedFilter(this._settings.entryFilter, r2) && this._emitEntry(r2), r2.dirent.isDirectory() && bp.isAppliedFilter(this._settings.deepFilter, r2) && this._pushToQueue(i4, n2 === void 0 ? void 0 : r2.path);
        }
        _emitEntry(r2) {
          this._emitter.emit("entry", r2);
        }
      };
      u1.default = a1;
    });
    var P8 = b((f1) => {
      "use strict";
      Object.defineProperty(f1, "__esModule", { value: true });
      var lue = c1(), l1 = class {
        constructor(r2, n2) {
          this._root = r2, this._settings = n2, this._reader = new lue.default(this._root, this._settings), this._storage = [];
        }
        read(r2) {
          this._reader.onError((n2) => {
            fue(r2, n2);
          }), this._reader.onEntry((n2) => {
            this._storage.push(n2);
          }), this._reader.onEnd(() => {
            hue(r2, this._storage);
          }), this._reader.read();
        }
      };
      f1.default = l1;
      function fue(e3, r2) {
        e3(r2);
      }
      function hue(e3, r2) {
        e3(null, r2);
      }
    });
    var F8 = b((p1) => {
      "use strict";
      Object.defineProperty(p1, "__esModule", { value: true });
      var pue = require("stream"), due = c1(), h1 = class {
        constructor(r2, n2) {
          this._root = r2, this._settings = n2, this._reader = new due.default(this._root, this._settings), this._stream = new pue.Readable({ objectMode: true, read: () => {
          }, destroy: () => {
            this._reader.isDestroyed || this._reader.destroy();
          } });
        }
        read() {
          return this._reader.onError((r2) => {
            this._stream.emit("error", r2);
          }), this._reader.onEntry((r2) => {
            this._stream.push(r2);
          }), this._reader.onEnd(() => {
            this._stream.push(null);
          }), this._reader.read(), this._stream;
        }
      };
      p1.default = h1;
    });
    var L8 = b((m1) => {
      "use strict";
      Object.defineProperty(m1, "__esModule", { value: true });
      var mue = yp(), Ep = vp(), gue = o1(), d1 = class extends gue.default {
        constructor() {
          super(...arguments), this._scandir = mue.scandirSync, this._storage = [], this._queue = /* @__PURE__ */ new Set();
        }
        read() {
          return this._pushToQueue(this._root, this._settings.basePath), this._handleQueue(), this._storage;
        }
        _pushToQueue(r2, n2) {
          this._queue.add({ directory: r2, base: n2 });
        }
        _handleQueue() {
          for (let r2 of this._queue.values())
            this._handleDirectory(r2.directory, r2.base);
        }
        _handleDirectory(r2, n2) {
          try {
            let i4 = this._scandir(r2, this._settings.fsScandirSettings);
            for (let o2 of i4)
              this._handleEntry(o2, n2);
          } catch (i4) {
            this._handleError(i4);
          }
        }
        _handleError(r2) {
          if (Ep.isFatalError(this._settings, r2))
            throw r2;
        }
        _handleEntry(r2, n2) {
          let i4 = r2.path;
          n2 !== void 0 && (r2.path = Ep.joinPathSegments(n2, r2.name, this._settings.pathSegmentSeparator)), Ep.isAppliedFilter(this._settings.entryFilter, r2) && this._pushToStorage(r2), r2.dirent.isDirectory() && Ep.isAppliedFilter(this._settings.deepFilter, r2) && this._pushToQueue(i4, n2 === void 0 ? void 0 : r2.path);
        }
        _pushToStorage(r2) {
          this._storage.push(r2);
        }
      };
      m1.default = d1;
    });
    var M8 = b((y1) => {
      "use strict";
      Object.defineProperty(y1, "__esModule", { value: true });
      var yue = L8(), g1 = class {
        constructor(r2, n2) {
          this._root = r2, this._settings = n2, this._reader = new yue.default(this._root, this._settings);
        }
        read() {
          return this._reader.read();
        }
      };
      y1.default = g1;
    });
    var N8 = b((b1) => {
      "use strict";
      Object.defineProperty(b1, "__esModule", { value: true });
      var vue = require("path"), bue = yp(), v1 = class {
        constructor(r2 = {}) {
          this._options = r2, this.basePath = this._getValue(this._options.basePath, void 0), this.concurrency = this._getValue(this._options.concurrency, Number.POSITIVE_INFINITY), this.deepFilter = this._getValue(this._options.deepFilter, null), this.entryFilter = this._getValue(this._options.entryFilter, null), this.errorFilter = this._getValue(this._options.errorFilter, null), this.pathSegmentSeparator = this._getValue(this._options.pathSegmentSeparator, vue.sep), this.fsScandirSettings = new bue.Settings({ followSymbolicLinks: this._options.followSymbolicLinks, fs: this._options.fs, pathSegmentSeparator: this._options.pathSegmentSeparator, stats: this._options.stats, throwErrorOnBrokenSymbolicLink: this._options.throwErrorOnBrokenSymbolicLink });
        }
        _getValue(r2, n2) {
          return r2 ?? n2;
        }
      };
      b1.default = v1;
    });
    var _p = b((Kn) => {
      "use strict";
      Object.defineProperty(Kn, "__esModule", { value: true });
      Kn.Settings = Kn.walkStream = Kn.walkSync = Kn.walk = void 0;
      var k8 = P8(), Eue = F8(), wue = M8(), E1 = N8();
      Kn.Settings = E1.default;
      function _ue(e3, r2, n2) {
        if (typeof r2 == "function") {
          new k8.default(e3, wp()).read(r2);
          return;
        }
        new k8.default(e3, wp(r2)).read(n2);
      }
      Kn.walk = _ue;
      function Sue(e3, r2) {
        let n2 = wp(r2);
        return new wue.default(e3, n2).read();
      }
      Kn.walkSync = Sue;
      function xue(e3, r2) {
        let n2 = wp(r2);
        return new Eue.default(e3, n2).read();
      }
      Kn.walkStream = xue;
      function wp(e3 = {}) {
        return e3 instanceof E1.default ? e3 : new E1.default(e3);
      }
    });
    var Sp = b((_1) => {
      "use strict";
      Object.defineProperty(_1, "__esModule", { value: true });
      var Due = require("path"), Oue = Io(), $8 = xi(), w1 = class {
        constructor(r2) {
          this._settings = r2, this._fsStatSettings = new Oue.Settings({ followSymbolicLink: this._settings.followSymbolicLinks, fs: this._settings.fs, throwErrorOnBrokenSymbolicLink: this._settings.followSymbolicLinks });
        }
        _getFullEntryPath(r2) {
          return Due.resolve(this._settings.cwd, r2);
        }
        _makeEntry(r2, n2) {
          let i4 = { name: n2, path: n2, dirent: $8.fs.createDirentFromStats(n2, r2) };
          return this._settings.stats && (i4.stats = r2), i4;
        }
        _isFatalError(r2) {
          return !$8.errno.isEnoentCodeError(r2) && !this._settings.suppressErrors;
        }
      };
      _1.default = w1;
    });
    var D1 = b((x1) => {
      "use strict";
      Object.defineProperty(x1, "__esModule", { value: true });
      var Tue = require("stream"), Rue = Io(), Cue = _p(), Aue = Sp(), S1 = class extends Aue.default {
        constructor() {
          super(...arguments), this._walkStream = Cue.walkStream, this._stat = Rue.stat;
        }
        dynamic(r2, n2) {
          return this._walkStream(r2, n2);
        }
        static(r2, n2) {
          let i4 = r2.map(this._getFullEntryPath, this), o2 = new Tue.PassThrough({ objectMode: true });
          o2._write = (a3, u2, c4) => this._getEntry(i4[a3], r2[a3], n2).then((l2) => {
            l2 !== null && n2.entryFilter(l2) && o2.push(l2), a3 === i4.length - 1 && o2.end(), c4();
          }).catch(c4);
          for (let a3 = 0; a3 < i4.length; a3++)
            o2.write(a3);
          return o2;
        }
        _getEntry(r2, n2, i4) {
          return this._getStat(r2).then((o2) => this._makeEntry(o2, n2)).catch((o2) => {
            if (i4.errorFilter(o2))
              return null;
            throw o2;
          });
        }
        _getStat(r2) {
          return new Promise((n2, i4) => {
            this._stat(r2, this._fsStatSettings, (o2, a3) => o2 === null ? n2(a3) : i4(o2));
          });
        }
      };
      x1.default = S1;
    });
    var q8 = b((T1) => {
      "use strict";
      Object.defineProperty(T1, "__esModule", { value: true });
      var Iue = _p(), Pue = Sp(), Fue = D1(), O1 = class extends Pue.default {
        constructor() {
          super(...arguments), this._walkAsync = Iue.walk, this._readerStream = new Fue.default(this._settings);
        }
        dynamic(r2, n2) {
          return new Promise((i4, o2) => {
            this._walkAsync(r2, n2, (a3, u2) => {
              a3 === null ? i4(u2) : o2(a3);
            });
          });
        }
        async static(r2, n2) {
          let i4 = [], o2 = this._readerStream.static(r2, n2);
          return new Promise((a3, u2) => {
            o2.once("error", u2), o2.on("data", (c4) => i4.push(c4)), o2.once("end", () => a3(i4));
          });
        }
      };
      T1.default = O1;
    });
    var B8 = b((C1) => {
      "use strict";
      Object.defineProperty(C1, "__esModule", { value: true });
      var cl = xi(), R1 = class {
        constructor(r2, n2, i4) {
          this._patterns = r2, this._settings = n2, this._micromatchOptions = i4, this._storage = [], this._fillStorage();
        }
        _fillStorage() {
          for (let r2 of this._patterns) {
            let n2 = this._getPatternSegments(r2), i4 = this._splitSegmentsIntoSections(n2);
            this._storage.push({ complete: i4.length <= 1, pattern: r2, segments: n2, sections: i4 });
          }
        }
        _getPatternSegments(r2) {
          return cl.pattern.getPatternParts(r2, this._micromatchOptions).map((i4) => cl.pattern.isDynamicPattern(i4, this._settings) ? { dynamic: true, pattern: i4, patternRe: cl.pattern.makeRe(i4, this._micromatchOptions) } : { dynamic: false, pattern: i4 });
        }
        _splitSegmentsIntoSections(r2) {
          return cl.array.splitWhen(r2, (n2) => n2.dynamic && cl.pattern.hasGlobStar(n2.pattern));
        }
      };
      C1.default = R1;
    });
    var j8 = b((I1) => {
      "use strict";
      Object.defineProperty(I1, "__esModule", { value: true });
      var Lue = B8(), A1 = class extends Lue.default {
        match(r2) {
          let n2 = r2.split("/"), i4 = n2.length, o2 = this._storage.filter((a3) => !a3.complete || a3.segments.length > i4);
          for (let a3 of o2) {
            let u2 = a3.sections[0];
            if (!a3.complete && i4 > u2.length || n2.every((l2, f4) => {
              let p2 = a3.segments[f4];
              return !!(p2.dynamic && p2.patternRe.test(l2) || !p2.dynamic && p2.pattern === l2);
            }))
              return true;
          }
          return false;
        }
      };
      I1.default = A1;
    });
    var U8 = b((F1) => {
      "use strict";
      Object.defineProperty(F1, "__esModule", { value: true });
      var xp = xi(), Mue = j8(), P1 = class {
        constructor(r2, n2) {
          this._settings = r2, this._micromatchOptions = n2;
        }
        getFilter(r2, n2, i4) {
          let o2 = this._getMatcher(n2), a3 = this._getNegativePatternsRe(i4);
          return (u2) => this._filter(r2, u2, o2, a3);
        }
        _getMatcher(r2) {
          return new Mue.default(r2, this._settings, this._micromatchOptions);
        }
        _getNegativePatternsRe(r2) {
          let n2 = r2.filter(xp.pattern.isAffectDepthOfReadingPattern);
          return xp.pattern.convertPatternsToRe(n2, this._micromatchOptions);
        }
        _filter(r2, n2, i4, o2) {
          if (this._isSkippedByDeep(r2, n2.path) || this._isSkippedSymbolicLink(n2))
            return false;
          let a3 = xp.path.removeLeadingDotSegment(n2.path);
          return this._isSkippedByPositivePatterns(a3, i4) ? false : this._isSkippedByNegativePatterns(a3, o2);
        }
        _isSkippedByDeep(r2, n2) {
          return this._settings.deep === 1 / 0 ? false : this._getEntryLevel(r2, n2) >= this._settings.deep;
        }
        _getEntryLevel(r2, n2) {
          let i4 = n2.split("/").length;
          if (r2 === "")
            return i4;
          let o2 = r2.split("/").length;
          return i4 - o2;
        }
        _isSkippedSymbolicLink(r2) {
          return !this._settings.followSymbolicLinks && r2.dirent.isSymbolicLink();
        }
        _isSkippedByPositivePatterns(r2, n2) {
          return !this._settings.baseNameMatch && !n2.match(r2);
        }
        _isSkippedByNegativePatterns(r2, n2) {
          return !xp.pattern.matchAny(r2, n2);
        }
      };
      F1.default = P1;
    });
    var G8 = b((M1) => {
      "use strict";
      Object.defineProperty(M1, "__esModule", { value: true });
      var Po = xi(), L1 = class {
        constructor(r2, n2) {
          this._settings = r2, this._micromatchOptions = n2, this.index = /* @__PURE__ */ new Map();
        }
        getFilter(r2, n2) {
          let i4 = Po.pattern.convertPatternsToRe(r2, this._micromatchOptions), o2 = Po.pattern.convertPatternsToRe(n2, Object.assign(Object.assign({}, this._micromatchOptions), { dot: true }));
          return (a3) => this._filter(a3, i4, o2);
        }
        _filter(r2, n2, i4) {
          let o2 = Po.path.removeLeadingDotSegment(r2.path);
          if (this._settings.unique && this._isDuplicateEntry(o2) || this._onlyFileFilter(r2) || this._onlyDirectoryFilter(r2) || this._isSkippedByAbsoluteNegativePatterns(o2, i4))
            return false;
          let a3 = r2.dirent.isDirectory(), u2 = this._isMatchToPatterns(o2, n2, a3) && !this._isMatchToPatterns(o2, i4, a3);
          return this._settings.unique && u2 && this._createIndexRecord(o2), u2;
        }
        _isDuplicateEntry(r2) {
          return this.index.has(r2);
        }
        _createIndexRecord(r2) {
          this.index.set(r2, void 0);
        }
        _onlyFileFilter(r2) {
          return this._settings.onlyFiles && !r2.dirent.isFile();
        }
        _onlyDirectoryFilter(r2) {
          return this._settings.onlyDirectories && !r2.dirent.isDirectory();
        }
        _isSkippedByAbsoluteNegativePatterns(r2, n2) {
          if (!this._settings.absolute)
            return false;
          let i4 = Po.path.makeAbsolute(this._settings.cwd, r2);
          return Po.pattern.matchAny(i4, n2);
        }
        _isMatchToPatterns(r2, n2, i4) {
          let o2 = Po.pattern.matchAny(r2, n2);
          return !o2 && i4 ? Po.pattern.matchAny(r2 + "/", n2) : o2;
        }
      };
      M1.default = L1;
    });
    var W8 = b((k1) => {
      "use strict";
      Object.defineProperty(k1, "__esModule", { value: true });
      var Nue = xi(), N1 = class {
        constructor(r2) {
          this._settings = r2;
        }
        getFilter() {
          return (r2) => this._isNonFatalError(r2);
        }
        _isNonFatalError(r2) {
          return Nue.errno.isEnoentCodeError(r2) || this._settings.suppressErrors;
        }
      };
      k1.default = N1;
    });
    var V8 = b((q1) => {
      "use strict";
      Object.defineProperty(q1, "__esModule", { value: true });
      var H8 = xi(), $1 = class {
        constructor(r2) {
          this._settings = r2;
        }
        getTransformer() {
          return (r2) => this._transform(r2);
        }
        _transform(r2) {
          let n2 = r2.path;
          return this._settings.absolute && (n2 = H8.path.makeAbsolute(this._settings.cwd, n2), n2 = H8.path.unixify(n2)), this._settings.markDirectories && r2.dirent.isDirectory() && (n2 += "/"), this._settings.objectMode ? Object.assign(Object.assign({}, r2), { path: n2 }) : n2;
        }
      };
      q1.default = $1;
    });
    var Dp = b((j1) => {
      "use strict";
      Object.defineProperty(j1, "__esModule", { value: true });
      var kue = require("path"), $ue = U8(), que = G8(), Bue = W8(), jue = V8(), B1 = class {
        constructor(r2) {
          this._settings = r2, this.errorFilter = new Bue.default(this._settings), this.entryFilter = new que.default(this._settings, this._getMicromatchOptions()), this.deepFilter = new $ue.default(this._settings, this._getMicromatchOptions()), this.entryTransformer = new jue.default(this._settings);
        }
        _getRootDirectory(r2) {
          return kue.resolve(this._settings.cwd, r2.base);
        }
        _getReaderOptions(r2) {
          let n2 = r2.base === "." ? "" : r2.base;
          return { basePath: n2, pathSegmentSeparator: "/", concurrency: this._settings.concurrency, deepFilter: this.deepFilter.getFilter(n2, r2.positive, r2.negative), entryFilter: this.entryFilter.getFilter(r2.positive, r2.negative), errorFilter: this.errorFilter.getFilter(), followSymbolicLinks: this._settings.followSymbolicLinks, fs: this._settings.fs, stats: this._settings.stats, throwErrorOnBrokenSymbolicLink: this._settings.throwErrorOnBrokenSymbolicLink, transform: this.entryTransformer.getTransformer() };
        }
        _getMicromatchOptions() {
          return { dot: this._settings.dot, matchBase: this._settings.baseNameMatch, nobrace: !this._settings.braceExpansion, nocase: !this._settings.caseSensitiveMatch, noext: !this._settings.extglob, noglobstar: !this._settings.globstar, posix: true, strictSlashes: false };
        }
      };
      j1.default = B1;
    });
    var K8 = b((G1) => {
      "use strict";
      Object.defineProperty(G1, "__esModule", { value: true });
      var Uue = q8(), Gue = Dp(), U1 = class extends Gue.default {
        constructor() {
          super(...arguments), this._reader = new Uue.default(this._settings);
        }
        async read(r2) {
          let n2 = this._getRootDirectory(r2), i4 = this._getReaderOptions(r2);
          return (await this.api(n2, r2, i4)).map((a3) => i4.transform(a3));
        }
        api(r2, n2, i4) {
          return n2.dynamic ? this._reader.dynamic(r2, i4) : this._reader.static(n2.patterns, i4);
        }
      };
      G1.default = U1;
    });
    var z8 = b((H1) => {
      "use strict";
      Object.defineProperty(H1, "__esModule", { value: true });
      var Wue = require("stream"), Hue = D1(), Vue = Dp(), W1 = class extends Vue.default {
        constructor() {
          super(...arguments), this._reader = new Hue.default(this._settings);
        }
        read(r2) {
          let n2 = this._getRootDirectory(r2), i4 = this._getReaderOptions(r2), o2 = this.api(n2, r2, i4), a3 = new Wue.Readable({ objectMode: true, read: () => {
          } });
          return o2.once("error", (u2) => a3.emit("error", u2)).on("data", (u2) => a3.emit("data", i4.transform(u2))).once("end", () => a3.emit("end")), a3.once("close", () => o2.destroy()), a3;
        }
        api(r2, n2, i4) {
          return n2.dynamic ? this._reader.dynamic(r2, i4) : this._reader.static(n2.patterns, i4);
        }
      };
      H1.default = W1;
    });
    var Y8 = b((K1) => {
      "use strict";
      Object.defineProperty(K1, "__esModule", { value: true });
      var Kue = Io(), zue = _p(), Yue = Sp(), V1 = class extends Yue.default {
        constructor() {
          super(...arguments), this._walkSync = zue.walkSync, this._statSync = Kue.statSync;
        }
        dynamic(r2, n2) {
          return this._walkSync(r2, n2);
        }
        static(r2, n2) {
          let i4 = [];
          for (let o2 of r2) {
            let a3 = this._getFullEntryPath(o2), u2 = this._getEntry(a3, o2, n2);
            u2 === null || !n2.entryFilter(u2) || i4.push(u2);
          }
          return i4;
        }
        _getEntry(r2, n2, i4) {
          try {
            let o2 = this._getStat(r2);
            return this._makeEntry(o2, n2);
          } catch (o2) {
            if (i4.errorFilter(o2))
              return null;
            throw o2;
          }
        }
        _getStat(r2) {
          return this._statSync(r2, this._fsStatSettings);
        }
      };
      K1.default = V1;
    });
    var J8 = b((Y1) => {
      "use strict";
      Object.defineProperty(Y1, "__esModule", { value: true });
      var Jue = Y8(), Xue = Dp(), z1 = class extends Xue.default {
        constructor() {
          super(...arguments), this._reader = new Jue.default(this._settings);
        }
        read(r2) {
          let n2 = this._getRootDirectory(r2), i4 = this._getReaderOptions(r2);
          return this.api(n2, r2, i4).map(i4.transform);
        }
        api(r2, n2, i4) {
          return n2.dynamic ? this._reader.dynamic(r2, i4) : this._reader.static(n2.patterns, i4);
        }
      };
      Y1.default = z1;
    });
    var X8 = b((za) => {
      "use strict";
      Object.defineProperty(za, "__esModule", { value: true });
      za.DEFAULT_FILE_SYSTEM_ADAPTER = void 0;
      var Ka = require("fs"), Que = require("os"), Zue = Math.max(Que.cpus().length, 1);
      za.DEFAULT_FILE_SYSTEM_ADAPTER = { lstat: Ka.lstat, lstatSync: Ka.lstatSync, stat: Ka.stat, statSync: Ka.statSync, readdir: Ka.readdir, readdirSync: Ka.readdirSync };
      var J1 = class {
        constructor(r2 = {}) {
          this._options = r2, this.absolute = this._getValue(this._options.absolute, false), this.baseNameMatch = this._getValue(this._options.baseNameMatch, false), this.braceExpansion = this._getValue(this._options.braceExpansion, true), this.caseSensitiveMatch = this._getValue(this._options.caseSensitiveMatch, true), this.concurrency = this._getValue(this._options.concurrency, Zue), this.cwd = this._getValue(this._options.cwd, process.cwd()), this.deep = this._getValue(this._options.deep, 1 / 0), this.dot = this._getValue(this._options.dot, false), this.extglob = this._getValue(this._options.extglob, true), this.followSymbolicLinks = this._getValue(this._options.followSymbolicLinks, true), this.fs = this._getFileSystemMethods(this._options.fs), this.globstar = this._getValue(this._options.globstar, true), this.ignore = this._getValue(this._options.ignore, []), this.markDirectories = this._getValue(this._options.markDirectories, false), this.objectMode = this._getValue(this._options.objectMode, false), this.onlyDirectories = this._getValue(this._options.onlyDirectories, false), this.onlyFiles = this._getValue(this._options.onlyFiles, true), this.stats = this._getValue(this._options.stats, false), this.suppressErrors = this._getValue(this._options.suppressErrors, false), this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, false), this.unique = this._getValue(this._options.unique, true), this.onlyDirectories && (this.onlyFiles = false), this.stats && (this.objectMode = true), this.ignore = [].concat(this.ignore);
        }
        _getValue(r2, n2) {
          return r2 === void 0 ? n2 : r2;
        }
        _getFileSystemMethods(r2 = {}) {
          return Object.assign(Object.assign({}, za.DEFAULT_FILE_SYSTEM_ADAPTER), r2);
        }
      };
      za.default = J1;
    });
    var eb = b((vLe, Z8) => {
      "use strict";
      var Q8 = ZI(), ece = K8(), tce = z8(), rce = J8(), X1 = X8(), tn = xi();
      async function Q1(e3, r2) {
        _n(e3);
        let n2 = Z1(e3, ece.default, r2), i4 = await Promise.all(n2);
        return tn.array.flatten(i4);
      }
      (function(e3) {
        e3.glob = e3, e3.globSync = r2, e3.globStream = n2, e3.async = e3;
        function r2(f4, p2) {
          _n(f4);
          let v2 = Z1(f4, rce.default, p2);
          return tn.array.flatten(v2);
        }
        e3.sync = r2;
        function n2(f4, p2) {
          _n(f4);
          let v2 = Z1(f4, tce.default, p2);
          return tn.stream.merge(v2);
        }
        e3.stream = n2;
        function i4(f4, p2) {
          _n(f4);
          let v2 = [].concat(f4), g2 = new X1.default(p2);
          return Q8.generate(v2, g2);
        }
        e3.generateTasks = i4;
        function o2(f4, p2) {
          _n(f4);
          let v2 = new X1.default(p2);
          return tn.pattern.isDynamicPattern(f4, v2);
        }
        e3.isDynamicPattern = o2;
        function a3(f4) {
          return _n(f4), tn.path.escape(f4);
        }
        e3.escapePath = a3;
        function u2(f4) {
          return _n(f4), tn.path.convertPathToPattern(f4);
        }
        e3.convertPathToPattern = u2;
        let c4;
        (function(f4) {
          function p2(g2) {
            return _n(g2), tn.path.escapePosixPath(g2);
          }
          f4.escapePath = p2;
          function v2(g2) {
            return _n(g2), tn.path.convertPosixPathToPattern(g2);
          }
          f4.convertPathToPattern = v2;
        })(c4 = e3.posix || (e3.posix = {}));
        let l2;
        (function(f4) {
          function p2(g2) {
            return _n(g2), tn.path.escapeWindowsPath(g2);
          }
          f4.escapePath = p2;
          function v2(g2) {
            return _n(g2), tn.path.convertWindowsPathToPattern(g2);
          }
          f4.convertPathToPattern = v2;
        })(l2 = e3.win32 || (e3.win32 = {}));
      })(Q1 || (Q1 = {}));
      function Z1(e3, r2, n2) {
        let i4 = [].concat(e3), o2 = new X1.default(n2), a3 = Q8.generate(i4, o2), u2 = new r2(o2);
        return a3.map(u2.read, u2);
      }
      function _n(e3) {
        if (![].concat(e3).every((i4) => tn.string.isString(i4) && !tn.string.isEmpty(i4)))
          throw new TypeError("Patterns must be a string (non empty) or an array of strings");
      }
      Z8.exports = Q1;
    });
    var tP = b((Fo) => {
      "use strict";
      var { promisify: nce } = require("util"), eP = require("fs");
      async function tb(e3, r2, n2) {
        if (typeof n2 != "string")
          throw new TypeError(`Expected a string, got ${typeof n2}`);
        try {
          return (await nce(eP[e3])(n2))[r2]();
        } catch (i4) {
          if (i4.code === "ENOENT")
            return false;
          throw i4;
        }
      }
      function rb(e3, r2, n2) {
        if (typeof n2 != "string")
          throw new TypeError(`Expected a string, got ${typeof n2}`);
        try {
          return eP[e3](n2)[r2]();
        } catch (i4) {
          if (i4.code === "ENOENT")
            return false;
          throw i4;
        }
      }
      Fo.isFile = tb.bind(null, "stat", "isFile");
      Fo.isDirectory = tb.bind(null, "stat", "isDirectory");
      Fo.isSymlink = tb.bind(null, "lstat", "isSymbolicLink");
      Fo.isFileSync = rb.bind(null, "statSync", "isFile");
      Fo.isDirectorySync = rb.bind(null, "statSync", "isDirectory");
      Fo.isSymlinkSync = rb.bind(null, "lstatSync", "isSymbolicLink");
    });
    var oP = b((ELe, nb) => {
      "use strict";
      var Lo = require("path"), rP = tP(), nP = (e3) => e3.length > 1 ? `{${e3.join(",")}}` : e3[0], iP = (e3, r2) => {
        let n2 = e3[0] === "!" ? e3.slice(1) : e3;
        return Lo.isAbsolute(n2) ? n2 : Lo.join(r2, n2);
      }, ice = (e3, r2) => Lo.extname(e3) ? `**/${e3}` : `**/${e3}.${nP(r2)}`, sP = (e3, r2) => {
        if (r2.files && !Array.isArray(r2.files))
          throw new TypeError(`Expected \`files\` to be of type \`Array\` but received type \`${typeof r2.files}\``);
        if (r2.extensions && !Array.isArray(r2.extensions))
          throw new TypeError(`Expected \`extensions\` to be of type \`Array\` but received type \`${typeof r2.extensions}\``);
        return r2.files && r2.extensions ? r2.files.map((n2) => Lo.posix.join(e3, ice(n2, r2.extensions))) : r2.files ? r2.files.map((n2) => Lo.posix.join(e3, `**/${n2}`)) : r2.extensions ? [Lo.posix.join(e3, `**/*.${nP(r2.extensions)}`)] : [Lo.posix.join(e3, "**")];
      };
      nb.exports = async (e3, r2) => {
        if (r2 = { cwd: process.cwd(), ...r2 }, typeof r2.cwd != "string")
          throw new TypeError(`Expected \`cwd\` to be of type \`string\` but received type \`${typeof r2.cwd}\``);
        let n2 = await Promise.all([].concat(e3).map(async (i4) => await rP.isDirectory(iP(i4, r2.cwd)) ? sP(i4, r2) : i4));
        return [].concat.apply([], n2);
      };
      nb.exports.sync = (e3, r2) => {
        if (r2 = { cwd: process.cwd(), ...r2 }, typeof r2.cwd != "string")
          throw new TypeError(`Expected \`cwd\` to be of type \`string\` but received type \`${typeof r2.cwd}\``);
        let n2 = [].concat(e3).map((i4) => rP.isDirectorySync(iP(i4, r2.cwd)) ? sP(i4, r2) : i4);
        return [].concat.apply([], n2);
      };
    });
    var gP = b((wLe, mP) => {
      "use strict";
      function aP(e3) {
        return Array.isArray(e3) ? e3 : [e3];
      }
      var fP = "", uP = " ", ib = "\\", sce = /^\s+$/, oce = /(?:[^\\]|^)\\$/, ace = /^\\!/, uce = /^\\#/, cce = /\r?\n/g, lce = /^\.*\/|^\.+$/, sb = "/", hP = "node-ignore";
      typeof Symbol < "u" && (hP = Symbol.for("node-ignore"));
      var cP = hP, fce = (e3, r2, n2) => Object.defineProperty(e3, r2, { value: n2 }), hce = /([0-z])-([0-z])/g, pP = () => false, pce = (e3) => e3.replace(hce, (r2, n2, i4) => n2.charCodeAt(0) <= i4.charCodeAt(0) ? r2 : fP), dce = (e3) => {
        let { length: r2 } = e3;
        return e3.slice(0, r2 - r2 % 2);
      }, mce = [[/\\?\s+$/, (e3) => e3.indexOf("\\") === 0 ? uP : fP], [/\\\s/g, () => uP], [/[\\$.|*+(){^]/g, (e3) => `\\${e3}`], [/(?!\\)\?/g, () => "[^/]"], [/^\//, () => "^"], [/\//g, () => "\\/"], [/^\^*\\\*\\\*\\\//, () => "^(?:.*\\/)?"], [/^(?=[^^])/, function() {
        return /\/(?!$)/.test(this) ? "^" : "(?:^|\\/)";
      }], [/\\\/\\\*\\\*(?=\\\/|$)/g, (e3, r2, n2) => r2 + 6 < n2.length ? "(?:\\/[^\\/]+)*" : "\\/.+"], [/(^|[^\\]+)(\\\*)+(?=.+)/g, (e3, r2, n2) => {
        let i4 = n2.replace(/\\\*/g, "[^\\/]*");
        return r2 + i4;
      }], [/\\\\\\(?=[$.|*+(){^])/g, () => ib], [/\\\\/g, () => ib], [/(\\)?\[([^\]/]*?)(\\*)($|\])/g, (e3, r2, n2, i4, o2) => r2 === ib ? `\\[${n2}${dce(i4)}${o2}` : o2 === "]" && i4.length % 2 === 0 ? `[${pce(n2)}${i4}]` : "[]"], [/(?:[^*])$/, (e3) => /\/$/.test(e3) ? `${e3}$` : `${e3}(?=$|\\/$)`], [/(\^|\\\/)?\\\*$/, (e3, r2) => `${r2 ? `${r2}[^/]+` : "[^/]*"}(?=$|\\/$)`]], lP = /* @__PURE__ */ Object.create(null), gce = (e3, r2) => {
        let n2 = lP[e3];
        return n2 || (n2 = mce.reduce((i4, o2) => i4.replace(o2[0], o2[1].bind(e3)), e3), lP[e3] = n2), r2 ? new RegExp(n2, "i") : new RegExp(n2);
      }, ub = (e3) => typeof e3 == "string", yce = (e3) => e3 && ub(e3) && !sce.test(e3) && !oce.test(e3) && e3.indexOf("#") !== 0, vce = (e3) => e3.split(cce), ob = class {
        constructor(r2, n2, i4, o2) {
          this.origin = r2, this.pattern = n2, this.negative = i4, this.regex = o2;
        }
      }, bce = (e3, r2) => {
        let n2 = e3, i4 = false;
        e3.indexOf("!") === 0 && (i4 = true, e3 = e3.substr(1)), e3 = e3.replace(ace, "!").replace(uce, "#");
        let o2 = gce(e3, r2);
        return new ob(n2, e3, i4, o2);
      }, Ece = (e3, r2) => {
        throw new r2(e3);
      }, Di = (e3, r2, n2) => ub(e3) ? e3 ? Di.isNotRelative(e3) ? n2(`path should be a \`path.relative()\`d string, but got "${r2}"`, RangeError) : true : n2("path must not be empty", TypeError) : n2(`path must be a string, but got \`${r2}\``, TypeError), dP = (e3) => lce.test(e3);
      Di.isNotRelative = dP;
      Di.convert = (e3) => e3;
      var ab = class {
        constructor({ ignorecase: r2 = true, ignoreCase: n2 = r2, allowRelativePaths: i4 = false } = {}) {
          fce(this, cP, true), this._rules = [], this._ignoreCase = n2, this._allowRelativePaths = i4, this._initCache();
        }
        _initCache() {
          this._ignoreCache = /* @__PURE__ */ Object.create(null), this._testCache = /* @__PURE__ */ Object.create(null);
        }
        _addPattern(r2) {
          if (r2 && r2[cP]) {
            this._rules = this._rules.concat(r2._rules), this._added = true;
            return;
          }
          if (yce(r2)) {
            let n2 = bce(r2, this._ignoreCase);
            this._added = true, this._rules.push(n2);
          }
        }
        add(r2) {
          return this._added = false, aP(ub(r2) ? vce(r2) : r2).forEach(this._addPattern, this), this._added && this._initCache(), this;
        }
        addPattern(r2) {
          return this.add(r2);
        }
        _testOne(r2, n2) {
          let i4 = false, o2 = false;
          return this._rules.forEach((a3) => {
            let { negative: u2 } = a3;
            if (o2 === u2 && i4 !== o2 || u2 && !i4 && !o2 && !n2)
              return;
            a3.regex.test(r2) && (i4 = !u2, o2 = u2);
          }), { ignored: i4, unignored: o2 };
        }
        _test(r2, n2, i4, o2) {
          let a3 = r2 && Di.convert(r2);
          return Di(a3, r2, this._allowRelativePaths ? pP : Ece), this._t(a3, n2, i4, o2);
        }
        _t(r2, n2, i4, o2) {
          if (r2 in n2)
            return n2[r2];
          if (o2 || (o2 = r2.split(sb)), o2.pop(), !o2.length)
            return n2[r2] = this._testOne(r2, i4);
          let a3 = this._t(o2.join(sb) + sb, n2, i4, o2);
          return n2[r2] = a3.ignored ? a3 : this._testOne(r2, i4);
        }
        ignores(r2) {
          return this._test(r2, this._ignoreCache, false).ignored;
        }
        createFilter() {
          return (r2) => !this.ignores(r2);
        }
        filter(r2) {
          return aP(r2).filter(this.createFilter());
        }
        test(r2) {
          return this._test(r2, this._testCache, true);
        }
      }, Op = (e3) => new ab(e3), wce = (e3) => Di(e3 && Di.convert(e3), e3, pP);
      Op.isPathValid = wce;
      Op.default = Op;
      mP.exports = Op;
      if (typeof process < "u" && (process.env && process.env.IGNORE_TEST_WIN32 || process.platform === "win32")) {
        let e3 = (n2) => /^\\\\\?\\/.test(n2) || /["<>|\u0000-\u001F]+/u.test(n2) ? n2 : n2.replace(/\\/g, "/");
        Di.convert = e3;
        let r2 = /^[a-z]:\//i;
        Di.isNotRelative = (n2) => r2.test(n2) || dP(n2);
      }
    });
    var cb = b((_Le, yP) => {
      "use strict";
      yP.exports = (e3) => {
        let r2 = /^\\\\\?\\/.test(e3), n2 = /[^\u0000-\u0080]+/.test(e3);
        return r2 || n2 ? e3 : e3.replace(/\\/g, "/");
      };
    });
    var xP = b((SLe, lb) => {
      "use strict";
      var { promisify: _ce } = require("util"), vP = require("fs"), Oi = require("path"), bP = eb(), Sce = gP(), ll = cb(), EP = ["**/node_modules/**", "**/flow-typed/**", "**/coverage/**", "**/.git"], xce = _ce(vP.readFile), Dce = (e3) => (r2) => r2.startsWith("!") ? "!" + Oi.posix.join(e3, r2.slice(1)) : Oi.posix.join(e3, r2), Oce = (e3, r2) => {
        let n2 = ll(Oi.relative(r2.cwd, Oi.dirname(r2.fileName)));
        return e3.split(/\r?\n/).filter(Boolean).filter((i4) => !i4.startsWith("#")).map(Dce(n2));
      }, wP = (e3) => {
        let r2 = Sce();
        for (let n2 of e3)
          r2.add(Oce(n2.content, { cwd: n2.cwd, fileName: n2.filePath }));
        return r2;
      }, Tce = (e3, r2) => {
        if (e3 = ll(e3), Oi.isAbsolute(r2)) {
          if (ll(r2).startsWith(e3))
            return r2;
          throw new Error(`Path ${r2} is not in cwd ${e3}`);
        }
        return Oi.join(e3, r2);
      }, _P = (e3, r2) => (n2) => e3.ignores(ll(Oi.relative(r2, Tce(r2, n2.path || n2)))), Rce = async (e3, r2) => {
        let n2 = Oi.join(r2, e3), i4 = await xce(n2, "utf8");
        return { cwd: r2, filePath: n2, content: i4 };
      }, Cce = (e3, r2) => {
        let n2 = Oi.join(r2, e3), i4 = vP.readFileSync(n2, "utf8");
        return { cwd: r2, filePath: n2, content: i4 };
      }, SP = ({ ignore: e3 = [], cwd: r2 = ll(process.cwd()) } = {}) => ({ ignore: e3, cwd: r2 });
      lb.exports = async (e3) => {
        e3 = SP(e3);
        let r2 = await bP("**/.gitignore", { ignore: EP.concat(e3.ignore), cwd: e3.cwd }), n2 = await Promise.all(r2.map((o2) => Rce(o2, e3.cwd))), i4 = wP(n2);
        return _P(i4, e3.cwd);
      };
      lb.exports.sync = (e3) => {
        e3 = SP(e3);
        let n2 = bP.sync("**/.gitignore", { ignore: EP.concat(e3.ignore), cwd: e3.cwd }).map((o2) => Cce(o2, e3.cwd)), i4 = wP(n2);
        return _P(i4, e3.cwd);
      };
    });
    var OP = b((xLe, DP) => {
      "use strict";
      var { Transform: Ace } = require("stream"), Tp = class extends Ace {
        constructor() {
          super({ objectMode: true });
        }
      }, fb = class extends Tp {
        constructor(r2) {
          super(), this._filter = r2;
        }
        _transform(r2, n2, i4) {
          this._filter(r2) && this.push(r2), i4();
        }
      }, hb = class extends Tp {
        constructor() {
          super(), this._pushed = /* @__PURE__ */ new Set();
        }
        _transform(r2, n2, i4) {
          this._pushed.has(r2) || (this.push(r2), this._pushed.add(r2)), i4();
        }
      };
      DP.exports = { FilterStream: fb, UniqueStream: hb };
    });
    var Pp = b((DLe, Mo) => {
      "use strict";
      var RP = require("fs"), Rp = dA(), Ice = mv(), Cp = eb(), Ap = oP(), pb = xP(), { FilterStream: Pce, UniqueStream: Fce } = OP(), CP = () => false, TP = (e3) => e3[0] === "!", Lce = (e3) => {
        if (!e3.every((r2) => typeof r2 == "string"))
          throw new TypeError("Patterns must be a string or an array of strings");
      }, Mce = (e3 = {}) => {
        if (!e3.cwd)
          return;
        let r2;
        try {
          r2 = RP.statSync(e3.cwd);
        } catch {
          return;
        }
        if (!r2.isDirectory())
          throw new Error("The `cwd` option must be a path to a directory");
      }, Nce = (e3) => e3.stats instanceof RP.Stats ? e3.path : e3, Ip = (e3, r2) => {
        e3 = Rp([].concat(e3)), Lce(e3), Mce(r2);
        let n2 = [];
        r2 = { ignore: [], expandDirectories: true, ...r2 };
        for (let [i4, o2] of e3.entries()) {
          if (TP(o2))
            continue;
          let a3 = e3.slice(i4).filter((c4) => TP(c4)).map((c4) => c4.slice(1)), u2 = { ...r2, ignore: r2.ignore.concat(a3) };
          n2.push({ pattern: o2, options: u2 });
        }
        return n2;
      }, kce = (e3, r2) => {
        let n2 = {};
        return e3.options.cwd && (n2.cwd = e3.options.cwd), Array.isArray(e3.options.expandDirectories) ? n2 = { ...n2, files: e3.options.expandDirectories } : typeof e3.options.expandDirectories == "object" && (n2 = { ...n2, ...e3.options.expandDirectories }), r2(e3.pattern, n2);
      }, db = (e3, r2) => e3.options.expandDirectories ? kce(e3, r2) : [e3.pattern], AP = (e3) => e3 && e3.gitignore ? pb.sync({ cwd: e3.cwd, ignore: e3.ignore }) : CP, mb = (e3) => (r2) => {
        let { options: n2 } = e3;
        return n2.ignore && Array.isArray(n2.ignore) && n2.expandDirectories && (n2.ignore = Ap.sync(n2.ignore)), { pattern: r2, options: n2 };
      };
      Mo.exports = async (e3, r2) => {
        let n2 = Ip(e3, r2), i4 = async () => r2 && r2.gitignore ? pb({ cwd: r2.cwd, ignore: r2.ignore }) : CP, o2 = async () => {
          let l2 = await Promise.all(n2.map(async (f4) => {
            let p2 = await db(f4, Ap);
            return Promise.all(p2.map(mb(f4)));
          }));
          return Rp(...l2);
        }, [a3, u2] = await Promise.all([i4(), o2()]), c4 = await Promise.all(u2.map((l2) => Cp(l2.pattern, l2.options)));
        return Rp(...c4).filter((l2) => !a3(Nce(l2)));
      };
      Mo.exports.sync = (e3, r2) => {
        let n2 = Ip(e3, r2), i4 = [];
        for (let u2 of n2) {
          let c4 = db(u2, Ap.sync).map(mb(u2));
          i4.push(...c4);
        }
        let o2 = AP(r2), a3 = [];
        for (let u2 of i4)
          a3 = Rp(a3, Cp.sync(u2.pattern, u2.options));
        return a3.filter((u2) => !o2(u2));
      };
      Mo.exports.stream = (e3, r2) => {
        let n2 = Ip(e3, r2), i4 = [];
        for (let c4 of n2) {
          let l2 = db(c4, Ap.sync).map(mb(c4));
          i4.push(...l2);
        }
        let o2 = AP(r2), a3 = new Pce((c4) => !o2(c4)), u2 = new Fce();
        return Ice(i4.map((c4) => Cp.stream(c4.pattern, c4.options))).pipe(a3).pipe(u2);
      };
      Mo.exports.generateGlobTasks = Ip;
      Mo.exports.hasMagic = (e3, r2) => [].concat(e3).some((n2) => Cp.isDynamicPattern(n2, r2));
      Mo.exports.gitignore = pb;
    });
    var xb = b((CLe, Kce) => {
      Kce.exports = { name: "@prisma/internals", version: "5.3.0-integration-chore-upgrade-esm-deps.1", description: "This package is intended for Prisma's internal use", main: "dist/index.js", types: "dist/index.d.ts", repository: { type: "git", url: "https://github.com/prisma/prisma.git", directory: "packages/internals" }, homepage: "https://www.prisma.io", author: "Tim Suchanek <suchanek@prisma.io>", bugs: "https://github.com/prisma/prisma/issues", license: "Apache-2.0", scripts: { dev: "DEV=true node -r esbuild-register helpers/build.ts", build: "node -r esbuild-register helpers/build.ts", test: "jest --silent", prepublishOnly: "pnpm run build" }, files: ["README.md", "dist", "!**/libquery_engine*", "!dist/get-generators/engines/*", "scripts"], devDependencies: { "@swc/core": "1.2.204", "@swc/jest": "0.2.29", "@types/jest": "29.5.4", "@types/node": "18.17.5", "@types/resolve": "1.20.2", esbuild: "0.19.2", jest: "29.6.3", "jest-junit": "16.0.0", "mock-stdin": "1.0.0", "ts-node": "10.9.1", typescript: "4.9.5", yarn: "1.22.19" }, dependencies: { "@antfu/ni": "0.21.5", "@opentelemetry/api": "1.4.1", "@prisma/debug": "workspace:*", "@prisma/engines": "workspace:*", "@prisma/fetch-engine": "workspace:*", "@prisma/generator-helper": "workspace:*", "@prisma/get-platform": "workspace:*", "@prisma/prisma-schema-wasm": "5.3.0-9.f9579337ab30fca1945346fe90751c3dc992d76e", archiver: "5.3.1", arg: "5.0.2", "checkpoint-client": "1.1.27", "cli-truncate": "2.1.0", dotenv: "16.0.3", "escape-string-regexp": "4.0.0", execa: "5.1.1", "find-up": "5.0.0", "fp-ts": "2.16.1", "fs-extra": "11.1.1", "fs-jetpack": "5.1.0", "global-dirs": "3.0.1", globby: "11.1.0", "indent-string": "4.0.0", "is-windows": "1.0.2", "is-wsl": "2.2.0", kleur: "4.1.5", "new-github-issue-url": "0.2.1", "node-fetch": "2.6.12", "npm-packlist": "5.1.3", open: "7.4.2", "p-map": "6.0.0", prompts: "2.4.2", "read-pkg-up": "7.0.1", "replace-string": "3.1.0", resolve: "1.22.4", "string-width": "4.2.3", "strip-ansi": "6.0.1", "strip-indent": "3.0.0", "temp-dir": "2.0.0", tempy: "1.0.1", "terminal-link": "2.1.1", tmp: "0.2.1", "ts-pattern": "4.3.0" }, sideEffects: false };
    });
    var I5 = b((RNe, A5) => {
      "use strict";
      var Kb = class {
        constructor(r2) {
          this.value = r2, this.next = void 0;
        }
      }, zb = class {
        constructor() {
          this.clear();
        }
        enqueue(r2) {
          let n2 = new Kb(r2);
          this._head ? (this._tail.next = n2, this._tail = n2) : (this._head = n2, this._tail = n2), this._size++;
        }
        dequeue() {
          let r2 = this._head;
          if (r2)
            return this._head = this._head.next, this._size--, r2.value;
        }
        clear() {
          this._head = void 0, this._tail = void 0, this._size = 0;
        }
        get size() {
          return this._size;
        }
        *[Symbol.iterator]() {
          let r2 = this._head;
          for (; r2; )
            yield r2.value, r2 = r2.next;
        }
      };
      A5.exports = zb;
    });
    var F5 = b((CNe, P5) => {
      "use strict";
      var jle = I5(), Ule = (e3) => {
        if (!((Number.isInteger(e3) || e3 === 1 / 0) && e3 > 0))
          throw new TypeError("Expected `concurrency` to be a number from 1 and up");
        let r2 = new jle(), n2 = 0, i4 = () => {
          n2--, r2.size > 0 && r2.dequeue()();
        }, o2 = async (c4, l2, ...f4) => {
          n2++;
          let p2 = (async () => c4(...f4))();
          l2(p2);
          try {
            await p2;
          } catch {
          }
          i4();
        }, a3 = (c4, l2, ...f4) => {
          r2.enqueue(o2.bind(null, c4, l2, ...f4)), (async () => (await Promise.resolve(), n2 < e3 && r2.size > 0 && r2.dequeue()()))();
        }, u2 = (c4, ...l2) => new Promise((f4) => {
          a3(c4, f4, ...l2);
        });
        return Object.defineProperties(u2, { activeCount: { get: () => n2 }, pendingCount: { get: () => r2.size }, clearQueue: { value: () => {
          r2.clear();
        } } }), u2;
      };
      P5.exports = Ule;
    });
    var N5 = b((ANe, M5) => {
      "use strict";
      var L5 = F5(), sd = class extends Error {
        constructor(r2) {
          super(), this.value = r2;
        }
      }, Gle = async (e3, r2) => r2(await e3), Wle = async (e3) => {
        let r2 = await Promise.all(e3);
        if (r2[1] === true)
          throw new sd(r2[0]);
        return false;
      }, Hle = async (e3, r2, n2) => {
        n2 = { concurrency: 1 / 0, preserveOrder: true, ...n2 };
        let i4 = L5(n2.concurrency), o2 = [...e3].map((u2) => [u2, i4(Gle, u2, r2)]), a3 = L5(n2.preserveOrder ? 1 : 1 / 0);
        try {
          await Promise.all(o2.map((u2) => a3(Wle, u2)));
        } catch (u2) {
          if (u2 instanceof sd)
            return u2.value;
          throw u2;
        }
      };
      M5.exports = Hle;
    });
    var U5 = b((INe, Yb) => {
      "use strict";
      var k5 = require("path"), od = require("fs"), { promisify: $5 } = require("util"), Vle = N5(), Kle = $5(od.stat), zle = $5(od.lstat), q5 = { directory: "isDirectory", file: "isFile" };
      function B5({ type: e3 }) {
        if (!(e3 in q5))
          throw new Error(`Invalid type specified: ${e3}`);
      }
      var j5 = (e3, r2) => e3 === void 0 || r2[q5[e3]]();
      Yb.exports = async (e3, r2) => {
        r2 = { cwd: process.cwd(), type: "file", allowSymlinks: true, ...r2 }, B5(r2);
        let n2 = r2.allowSymlinks ? Kle : zle;
        return Vle(e3, async (i4) => {
          try {
            let o2 = await n2(k5.resolve(r2.cwd, i4));
            return j5(r2.type, o2);
          } catch {
            return false;
          }
        }, r2);
      };
      Yb.exports.sync = (e3, r2) => {
        r2 = { cwd: process.cwd(), allowSymlinks: true, type: "file", ...r2 }, B5(r2);
        let n2 = r2.allowSymlinks ? od.statSync : od.lstatSync;
        for (let i4 of e3)
          try {
            let o2 = n2(k5.resolve(r2.cwd, i4));
            if (j5(r2.type, o2))
              return i4;
          } catch {
          }
      };
    });
    var Xb = b((PNe, Jb) => {
      "use strict";
      var G5 = require("fs"), { promisify: Yle } = require("util"), Jle = Yle(G5.access);
      Jb.exports = async (e3) => {
        try {
          return await Jle(e3), true;
        } catch {
          return false;
        }
      };
      Jb.exports.sync = (e3) => {
        try {
          return G5.accessSync(e3), true;
        } catch {
          return false;
        }
      };
    });
    var H5 = b((FNe, ou) => {
      "use strict";
      var Ds = require("path"), ad = U5(), W5 = Xb(), Qb = Symbol("findUp.stop");
      ou.exports = async (e3, r2 = {}) => {
        let n2 = Ds.resolve(r2.cwd || ""), { root: i4 } = Ds.parse(n2), o2 = [].concat(e3), a3 = async (u2) => {
          if (typeof e3 != "function")
            return ad(o2, u2);
          let c4 = await e3(u2.cwd);
          return typeof c4 == "string" ? ad([c4], u2) : c4;
        };
        for (; ; ) {
          let u2 = await a3({ ...r2, cwd: n2 });
          if (u2 === Qb)
            return;
          if (u2)
            return Ds.resolve(n2, u2);
          if (n2 === i4)
            return;
          n2 = Ds.dirname(n2);
        }
      };
      ou.exports.sync = (e3, r2 = {}) => {
        let n2 = Ds.resolve(r2.cwd || ""), { root: i4 } = Ds.parse(n2), o2 = [].concat(e3), a3 = (u2) => {
          if (typeof e3 != "function")
            return ad.sync(o2, u2);
          let c4 = e3(u2.cwd);
          return typeof c4 == "string" ? ad.sync([c4], u2) : c4;
        };
        for (; ; ) {
          let u2 = a3({ ...r2, cwd: n2 });
          if (u2 === Qb)
            return;
          if (u2)
            return Ds.resolve(n2, u2);
          if (n2 === i4)
            return;
          n2 = Ds.dirname(n2);
        }
      };
      ou.exports.exists = W5;
      ou.exports.sync.exists = W5.sync;
      ou.exports.stop = Qb;
    });
    var J5 = b((LNe, Y5) => {
      "use strict";
      Y5.exports = z5;
      z5.sync = Qle;
      var V5 = require("fs");
      function Xle(e3, r2) {
        var n2 = r2.pathExt !== void 0 ? r2.pathExt : process.env.PATHEXT;
        if (!n2 || (n2 = n2.split(";"), n2.indexOf("") !== -1))
          return true;
        for (var i4 = 0; i4 < n2.length; i4++) {
          var o2 = n2[i4].toLowerCase();
          if (o2 && e3.substr(-o2.length).toLowerCase() === o2)
            return true;
        }
        return false;
      }
      function K5(e3, r2, n2) {
        return !e3.isSymbolicLink() && !e3.isFile() ? false : Xle(r2, n2);
      }
      function z5(e3, r2, n2) {
        V5.stat(e3, function(i4, o2) {
          n2(i4, i4 ? false : K5(o2, e3, r2));
        });
      }
      function Qle(e3, r2) {
        return K5(V5.statSync(e3), e3, r2);
      }
    });
    var t4 = b((MNe, e4) => {
      "use strict";
      e4.exports = Q5;
      Q5.sync = Zle;
      var X5 = require("fs");
      function Q5(e3, r2, n2) {
        X5.stat(e3, function(i4, o2) {
          n2(i4, i4 ? false : Z5(o2, r2));
        });
      }
      function Zle(e3, r2) {
        return Z5(X5.statSync(e3), r2);
      }
      function Z5(e3, r2) {
        return e3.isFile() && efe(e3, r2);
      }
      function efe(e3, r2) {
        var n2 = e3.mode, i4 = e3.uid, o2 = e3.gid, a3 = r2.uid !== void 0 ? r2.uid : process.getuid && process.getuid(), u2 = r2.gid !== void 0 ? r2.gid : process.getgid && process.getgid(), c4 = parseInt("100", 8), l2 = parseInt("010", 8), f4 = parseInt("001", 8), p2 = c4 | l2, v2 = n2 & f4 || n2 & l2 && o2 === u2 || n2 & c4 && i4 === a3 || n2 & p2 && a3 === 0;
        return v2;
      }
    });
    var n4 = b((kNe, r4) => {
      "use strict";
      var NNe = require("fs"), ud;
      process.platform === "win32" || global.TESTING_WINDOWS ? ud = J5() : ud = t4();
      r4.exports = Zb;
      Zb.sync = tfe;
      function Zb(e3, r2, n2) {
        if (typeof r2 == "function" && (n2 = r2, r2 = {}), !n2) {
          if (typeof Promise != "function")
            throw new TypeError("callback not provided");
          return new Promise(function(i4, o2) {
            Zb(e3, r2 || {}, function(a3, u2) {
              a3 ? o2(a3) : i4(u2);
            });
          });
        }
        ud(e3, r2 || {}, function(i4, o2) {
          i4 && (i4.code === "EACCES" || r2 && r2.ignoreErrors) && (i4 = null, o2 = false), n2(i4, o2);
        });
      }
      function tfe(e3, r2) {
        try {
          return ud.sync(e3, r2 || {});
        } catch (n2) {
          if (r2 && r2.ignoreErrors || n2.code === "EACCES")
            return false;
          throw n2;
        }
      }
    });
    var l4 = b(($Ne, c4) => {
      "use strict";
      var au = process.platform === "win32" || process.env.OSTYPE === "cygwin" || process.env.OSTYPE === "msys", i4 = require("path"), rfe = au ? ";" : ":", s4 = n4(), o4 = (e3) => Object.assign(new Error(`not found: ${e3}`), { code: "ENOENT" }), a4 = (e3, r2) => {
        let n2 = r2.colon || rfe, i7 = e3.match(/\//) || au && e3.match(/\\/) ? [""] : [...au ? [process.cwd()] : [], ...(r2.path || process.env.PATH || "").split(n2)], o2 = au ? r2.pathExt || process.env.PATHEXT || ".EXE;.CMD;.BAT;.COM" : "", a3 = au ? o2.split(n2) : [""];
        return au && e3.indexOf(".") !== -1 && a3[0] !== "" && a3.unshift(""), { pathEnv: i7, pathExt: a3, pathExtExe: o2 };
      }, u4 = (e3, r2, n2) => {
        typeof r2 == "function" && (n2 = r2, r2 = {}), r2 || (r2 = {});
        let { pathEnv: i7, pathExt: o2, pathExtExe: a3 } = a4(e3, r2), u2 = [], c7 = (f4) => new Promise((p2, v2) => {
          if (f4 === i7.length)
            return r2.all && u2.length ? p2(u2) : v2(o4(e3));
          let g2 = i7[f4], S2 = /^".*"$/.test(g2) ? g2.slice(1, -1) : g2, D = i4.join(S2, e3), T6 = !S2 && /^\.[\\\/]/.test(e3) ? e3.slice(0, 2) + D : D;
          p2(l2(T6, f4, 0));
        }), l2 = (f4, p2, v2) => new Promise((g2, S2) => {
          if (v2 === o2.length)
            return g2(c7(p2 + 1));
          let D = o2[v2];
          s4(f4 + D, { pathExt: a3 }, (T6, R) => {
            if (!T6 && R)
              if (r2.all)
                u2.push(f4 + D);
              else
                return g2(f4 + D);
            return g2(l2(f4, p2, v2 + 1));
          });
        });
        return n2 ? c7(0).then((f4) => n2(null, f4), n2) : c7(0);
      }, nfe = (e3, r2) => {
        r2 = r2 || {};
        let { pathEnv: n2, pathExt: i7, pathExtExe: o2 } = a4(e3, r2), a3 = [];
        for (let u2 = 0; u2 < n2.length; u2++) {
          let c7 = n2[u2], l2 = /^".*"$/.test(c7) ? c7.slice(1, -1) : c7, f4 = i4.join(l2, e3), p2 = !l2 && /^\.[\\\/]/.test(e3) ? e3.slice(0, 2) + f4 : f4;
          for (let v2 = 0; v2 < i7.length; v2++) {
            let g2 = p2 + i7[v2];
            try {
              if (s4.sync(g2, { pathExt: o2 }))
                if (r2.all)
                  a3.push(g2);
                else
                  return g2;
            } catch {
            }
          }
        }
        if (r2.all && a3.length)
          return a3;
        if (r2.nothrow)
          return null;
        throw o4(e3);
      };
      c4.exports = u4;
      u4.sync = nfe;
    });
    var tE = b((qNe, eE) => {
      "use strict";
      var f4 = (e3 = {}) => {
        let r2 = e3.env || process.env;
        return (e3.platform || process.platform) !== "win32" ? "PATH" : Object.keys(r2).reverse().find((i4) => i4.toUpperCase() === "PATH") || "Path";
      };
      eE.exports = f4;
      eE.exports.default = f4;
    });
    var m4 = b((BNe, d4) => {
      "use strict";
      var h4 = require("path"), ife = l4(), sfe = tE();
      function p4(e3, r2) {
        let n2 = e3.options.env || process.env, i4 = process.cwd(), o2 = e3.options.cwd != null, a3 = o2 && process.chdir !== void 0 && !process.chdir.disabled;
        if (a3)
          try {
            process.chdir(e3.options.cwd);
          } catch {
          }
        let u2;
        try {
          u2 = ife.sync(e3.command, { path: n2[sfe({ env: n2 })], pathExt: r2 ? h4.delimiter : void 0 });
        } catch {
        } finally {
          a3 && process.chdir(i4);
        }
        return u2 && (u2 = h4.resolve(o2 ? e3.options.cwd : "", u2)), u2;
      }
      function ofe(e3) {
        return p4(e3) || p4(e3, true);
      }
      d4.exports = ofe;
    });
    var g4 = b((jNe, nE) => {
      "use strict";
      var rE = /([()\][%!^"`<>&|;, *?])/g;
      function afe(e3) {
        return e3 = e3.replace(rE, "^$1"), e3;
      }
      function ufe(e3, r2) {
        return e3 = `${e3}`, e3 = e3.replace(/(\\*)"/g, '$1$1\\"'), e3 = e3.replace(/(\\*)$/, "$1$1"), e3 = `"${e3}"`, e3 = e3.replace(rE, "^$1"), r2 && (e3 = e3.replace(rE, "^$1")), e3;
      }
      nE.exports.command = afe;
      nE.exports.argument = ufe;
    });
    var b4 = b((UNe, y4) => {
      "use strict";
      y4.exports = /^#!(.*)/;
    });
    var w4 = b((GNe, E4) => {
      "use strict";
      var cfe = b4();
      E4.exports = (e3 = "") => {
        let r2 = e3.match(cfe);
        if (!r2)
          return null;
        let [n2, i4] = r2[0].replace(/#! ?/, "").split(" "), o2 = n2.split("/").pop();
        return o2 === "env" ? i4 : i4 ? `${o2} ${i4}` : o2;
      };
    });
    var S4 = b((WNe, _4) => {
      "use strict";
      var iE = require("fs"), lfe = w4();
      function ffe(e3) {
        let n2 = Buffer.alloc(150), i4;
        try {
          i4 = iE.openSync(e3, "r"), iE.readSync(i4, n2, 0, 150, 0), iE.closeSync(i4);
        } catch {
        }
        return lfe(n2.toString());
      }
      _4.exports = ffe;
    });
    var T4 = b((HNe, O4) => {
      "use strict";
      var hfe = require("path"), x4 = m4(), D4 = g4(), pfe = S4(), dfe = process.platform === "win32", mfe = /\.(?:com|exe)$/i, gfe = /node_modules[\\/].bin[\\/][^\\/]+\.cmd$/i;
      function yfe(e3) {
        e3.file = x4(e3);
        let r2 = e3.file && pfe(e3.file);
        return r2 ? (e3.args.unshift(e3.file), e3.command = r2, x4(e3)) : e3.file;
      }
      function vfe(e3) {
        if (!dfe)
          return e3;
        let r2 = yfe(e3), n2 = !mfe.test(r2);
        if (e3.options.forceShell || n2) {
          let i4 = gfe.test(r2);
          e3.command = hfe.normalize(e3.command), e3.command = D4.command(e3.command), e3.args = e3.args.map((a3) => D4.argument(a3, i4));
          let o2 = [e3.command].concat(e3.args).join(" ");
          e3.args = ["/d", "/s", "/c", `"${o2}"`], e3.command = process.env.comspec || "cmd.exe", e3.options.windowsVerbatimArguments = true;
        }
        return e3;
      }
      function bfe(e3, r2, n2) {
        r2 && !Array.isArray(r2) && (n2 = r2, r2 = null), r2 = r2 ? r2.slice(0) : [], n2 = Object.assign({}, n2);
        let i4 = { command: e3, args: r2, options: n2, file: void 0, original: { command: e3, args: r2 } };
        return n2.shell ? i4 : vfe(i4);
      }
      O4.exports = bfe;
    });
    var A4 = b((VNe, C4) => {
      "use strict";
      var sE = process.platform === "win32";
      function oE(e3, r2) {
        return Object.assign(new Error(`${r2} ${e3.command} ENOENT`), { code: "ENOENT", errno: "ENOENT", syscall: `${r2} ${e3.command}`, path: e3.command, spawnargs: e3.args });
      }
      function Efe(e3, r2) {
        if (!sE)
          return;
        let n2 = e3.emit;
        e3.emit = function(i4, o2) {
          if (i4 === "exit") {
            let a3 = R4(o2, r2, "spawn");
            if (a3)
              return n2.call(e3, "error", a3);
          }
          return n2.apply(e3, arguments);
        };
      }
      function R4(e3, r2) {
        return sE && e3 === 1 && !r2.file ? oE(r2.original, "spawn") : null;
      }
      function wfe(e3, r2) {
        return sE && e3 === 1 && !r2.file ? oE(r2.original, "spawnSync") : null;
      }
      C4.exports = { hookChildProcess: Efe, verifyENOENT: R4, verifyENOENTSync: wfe, notFoundError: oE };
    });
    var F4 = b((KNe, uu) => {
      "use strict";
      var I4 = require("child_process"), aE = T4(), uE = A4();
      function P4(e3, r2, n2) {
        let i4 = aE(e3, r2, n2), o2 = I4.spawn(i4.command, i4.args, i4.options);
        return uE.hookChildProcess(o2, i4), o2;
      }
      function _fe(e3, r2, n2) {
        let i4 = aE(e3, r2, n2), o2 = I4.spawnSync(i4.command, i4.args, i4.options);
        return o2.error = o2.error || uE.verifyENOENTSync(o2.status, i4), o2;
      }
      uu.exports = P4;
      uu.exports.spawn = P4;
      uu.exports.sync = _fe;
      uu.exports._parse = aE;
      uu.exports._enoent = uE;
    });
    var M4 = b((zNe, L4) => {
      "use strict";
      L4.exports = (e3) => {
        let r2 = typeof e3 == "string" ? `
` : `
`.charCodeAt(), n2 = typeof e3 == "string" ? "\r" : "\r".charCodeAt();
        return e3[e3.length - 1] === r2 && (e3 = e3.slice(0, e3.length - 1)), e3[e3.length - 1] === n2 && (e3 = e3.slice(0, e3.length - 1)), e3;
      };
    });
    var $4 = b((YNe, wl) => {
      "use strict";
      var El = require("path"), N4 = tE(), k4 = (e3) => {
        e3 = { cwd: process.cwd(), path: process.env[N4()], execPath: process.execPath, ...e3 };
        let r2, n2 = El.resolve(e3.cwd), i4 = [];
        for (; r2 !== n2; )
          i4.push(El.join(n2, "node_modules/.bin")), r2 = n2, n2 = El.resolve(n2, "..");
        let o2 = El.resolve(e3.cwd, e3.execPath, "..");
        return i4.push(o2), i4.concat(e3.path).join(El.delimiter);
      };
      wl.exports = k4;
      wl.exports.default = k4;
      wl.exports.env = (e3) => {
        e3 = { env: process.env, ...e3 };
        let r2 = { ...e3.env }, n2 = N4({ env: r2 });
        return e3.path = r2[n2], r2[n2] = wl.exports(e3), r2;
      };
    });
    var B4 = b((JNe, cE) => {
      "use strict";
      var q4 = (e3, r2) => {
        for (let n2 of Reflect.ownKeys(r2))
          Object.defineProperty(e3, n2, Object.getOwnPropertyDescriptor(r2, n2));
        return e3;
      };
      cE.exports = q4;
      cE.exports.default = q4;
    });
    var U4 = b((XNe, ld) => {
      "use strict";
      var Sfe = B4(), cd = /* @__PURE__ */ new WeakMap(), j4 = (e3, r2 = {}) => {
        if (typeof e3 != "function")
          throw new TypeError("Expected a function");
        let n2, i4 = 0, o2 = e3.displayName || e3.name || "<anonymous>", a3 = function(...u2) {
          if (cd.set(a3, ++i4), i4 === 1)
            n2 = e3.apply(this, u2), e3 = null;
          else if (r2.throw === true)
            throw new Error(`Function \`${o2}\` can only be called once`);
          return n2;
        };
        return Sfe(a3, e3), cd.set(a3, i4), a3;
      };
      ld.exports = j4;
      ld.exports.default = j4;
      ld.exports.callCount = (e3) => {
        if (!cd.has(e3))
          throw new Error(`The given function \`${e3.name}\` is not wrapped by the \`onetime\` package`);
        return cd.get(e3);
      };
    });
    var G4 = b((fd) => {
      "use strict";
      Object.defineProperty(fd, "__esModule", { value: true });
      fd.SIGNALS = void 0;
      var xfe = [{ name: "SIGHUP", number: 1, action: "terminate", description: "Terminal closed", standard: "posix" }, { name: "SIGINT", number: 2, action: "terminate", description: "User interruption with CTRL-C", standard: "ansi" }, { name: "SIGQUIT", number: 3, action: "core", description: "User interruption with CTRL-\\", standard: "posix" }, { name: "SIGILL", number: 4, action: "core", description: "Invalid machine instruction", standard: "ansi" }, { name: "SIGTRAP", number: 5, action: "core", description: "Debugger breakpoint", standard: "posix" }, { name: "SIGABRT", number: 6, action: "core", description: "Aborted", standard: "ansi" }, { name: "SIGIOT", number: 6, action: "core", description: "Aborted", standard: "bsd" }, { name: "SIGBUS", number: 7, action: "core", description: "Bus error due to misaligned, non-existing address or paging error", standard: "bsd" }, { name: "SIGEMT", number: 7, action: "terminate", description: "Command should be emulated but is not implemented", standard: "other" }, { name: "SIGFPE", number: 8, action: "core", description: "Floating point arithmetic error", standard: "ansi" }, { name: "SIGKILL", number: 9, action: "terminate", description: "Forced termination", standard: "posix", forced: true }, { name: "SIGUSR1", number: 10, action: "terminate", description: "Application-specific signal", standard: "posix" }, { name: "SIGSEGV", number: 11, action: "core", description: "Segmentation fault", standard: "ansi" }, { name: "SIGUSR2", number: 12, action: "terminate", description: "Application-specific signal", standard: "posix" }, { name: "SIGPIPE", number: 13, action: "terminate", description: "Broken pipe or socket", standard: "posix" }, { name: "SIGALRM", number: 14, action: "terminate", description: "Timeout or timer", standard: "posix" }, { name: "SIGTERM", number: 15, action: "terminate", description: "Termination", standard: "ansi" }, { name: "SIGSTKFLT", number: 16, action: "terminate", description: "Stack is empty or overflowed", standard: "other" }, { name: "SIGCHLD", number: 17, action: "ignore", description: "Child process terminated, paused or unpaused", standard: "posix" }, { name: "SIGCLD", number: 17, action: "ignore", description: "Child process terminated, paused or unpaused", standard: "other" }, { name: "SIGCONT", number: 18, action: "unpause", description: "Unpaused", standard: "posix", forced: true }, { name: "SIGSTOP", number: 19, action: "pause", description: "Paused", standard: "posix", forced: true }, { name: "SIGTSTP", number: 20, action: "pause", description: 'Paused using CTRL-Z or "suspend"', standard: "posix" }, { name: "SIGTTIN", number: 21, action: "pause", description: "Background process cannot read terminal input", standard: "posix" }, { name: "SIGBREAK", number: 21, action: "terminate", description: "User interruption with CTRL-BREAK", standard: "other" }, { name: "SIGTTOU", number: 22, action: "pause", description: "Background process cannot write to terminal output", standard: "posix" }, { name: "SIGURG", number: 23, action: "ignore", description: "Socket received out-of-band data", standard: "bsd" }, { name: "SIGXCPU", number: 24, action: "core", description: "Process timed out", standard: "bsd" }, { name: "SIGXFSZ", number: 25, action: "core", description: "File too big", standard: "bsd" }, { name: "SIGVTALRM", number: 26, action: "terminate", description: "Timeout or timer", standard: "bsd" }, { name: "SIGPROF", number: 27, action: "terminate", description: "Timeout or timer", standard: "bsd" }, { name: "SIGWINCH", number: 28, action: "ignore", description: "Terminal window size changed", standard: "bsd" }, { name: "SIGIO", number: 29, action: "terminate", description: "I/O is available", standard: "other" }, { name: "SIGPOLL", number: 29, action: "terminate", description: "Watched event", standard: "other" }, { name: "SIGINFO", number: 29, action: "ignore", description: "Request for process information", standard: "other" }, { name: "SIGPWR", number: 30, action: "terminate", description: "Device running out of power", standard: "systemv" }, { name: "SIGSYS", number: 31, action: "core", description: "Invalid system call", standard: "other" }, { name: "SIGUNUSED", number: 31, action: "terminate", description: "Invalid system call", standard: "other" }];
      fd.SIGNALS = xfe;
    });
    var lE = b((cu) => {
      "use strict";
      Object.defineProperty(cu, "__esModule", { value: true });
      cu.SIGRTMAX = cu.getRealtimeSignals = void 0;
      var Dfe = function() {
        let e3 = H4 - W4 + 1;
        return Array.from({ length: e3 }, Ofe);
      };
      cu.getRealtimeSignals = Dfe;
      var Ofe = function(e3, r2) {
        return { name: `SIGRT${r2 + 1}`, number: W4 + r2, action: "terminate", description: "Application-specific signal (realtime)", standard: "posix" };
      }, W4 = 34, H4 = 64;
      cu.SIGRTMAX = H4;
    });
    var V4 = b((hd) => {
      "use strict";
      Object.defineProperty(hd, "__esModule", { value: true });
      hd.getSignals = void 0;
      var Tfe = require("os"), Rfe = G4(), Cfe = lE(), Afe = function() {
        let e3 = (0, Cfe.getRealtimeSignals)();
        return [...Rfe.SIGNALS, ...e3].map(Ife);
      };
      hd.getSignals = Afe;
      var Ife = function({ name: e3, number: r2, description: n2, action: i4, forced: o2 = false, standard: a3 }) {
        let { signals: { [e3]: u2 } } = Tfe.constants, c4 = u2 !== void 0;
        return { name: e3, number: c4 ? u2 : r2, description: n2, supported: c4, action: i4, forced: o2, standard: a3 };
      };
    });
    var z4 = b((lu) => {
      "use strict";
      Object.defineProperty(lu, "__esModule", { value: true });
      lu.signalsByNumber = lu.signalsByName = void 0;
      var Pfe = require("os"), K4 = V4(), Ffe = lE(), Lfe = function() {
        return (0, K4.getSignals)().reduce(Mfe, {});
      }, Mfe = function(e3, { name: r2, number: n2, description: i4, supported: o2, action: a3, forced: u2, standard: c4 }) {
        return { ...e3, [r2]: { name: r2, number: n2, description: i4, supported: o2, action: a3, forced: u2, standard: c4 } };
      }, Nfe = Lfe();
      lu.signalsByName = Nfe;
      var kfe = function() {
        let e3 = (0, K4.getSignals)(), r2 = Ffe.SIGRTMAX + 1, n2 = Array.from({ length: r2 }, (i4, o2) => $fe(o2, e3));
        return Object.assign({}, ...n2);
      }, $fe = function(e3, r2) {
        let n2 = qfe(e3, r2);
        if (n2 === void 0)
          return {};
        let { name: i4, description: o2, supported: a3, action: u2, forced: c4, standard: l2 } = n2;
        return { [e3]: { name: i4, number: e3, description: o2, supported: a3, action: u2, forced: c4, standard: l2 } };
      }, qfe = function(e3, r2) {
        let n2 = r2.find(({ name: i4 }) => Pfe.constants.signals[i4] === e3);
        return n2 !== void 0 ? n2 : r2.find((i4) => i4.number === e3);
      }, Bfe = kfe();
      lu.signalsByNumber = Bfe;
    });
    var J4 = b((rke, Y4) => {
      "use strict";
      var { signalsByName: jfe } = z4(), Ufe = ({ timedOut: e3, timeout: r2, errorCode: n2, signal: i4, signalDescription: o2, exitCode: a3, isCanceled: u2 }) => e3 ? `timed out after ${r2} milliseconds` : u2 ? "was canceled" : n2 !== void 0 ? `failed with ${n2}` : i4 !== void 0 ? `was killed with ${i4} (${o2})` : a3 !== void 0 ? `failed with exit code ${a3}` : "failed", Gfe = ({ stdout: e3, stderr: r2, all: n2, error: i4, signal: o2, exitCode: a3, command: u2, escapedCommand: c4, timedOut: l2, isCanceled: f4, killed: p2, parsed: { options: { timeout: v2 } } }) => {
        a3 = a3 === null ? void 0 : a3, o2 = o2 === null ? void 0 : o2;
        let g2 = o2 === void 0 ? void 0 : jfe[o2].description, S2 = i4 && i4.code, T6 = `Command ${Ufe({ timedOut: l2, timeout: v2, errorCode: S2, signal: o2, signalDescription: g2, exitCode: a3, isCanceled: f4 })}: ${u2}`, R = Object.prototype.toString.call(i4) === "[object Error]", A2 = R ? `${T6}
${i4.message}` : T6, L = [A2, r2, e3].filter(Boolean).join(`
`);
        return R ? (i4.originalMessage = i4.message, i4.message = L) : i4 = new Error(L), i4.shortMessage = A2, i4.command = u2, i4.escapedCommand = c4, i4.exitCode = a3, i4.signal = o2, i4.signalDescription = g2, i4.stdout = e3, i4.stderr = r2, n2 !== void 0 && (i4.all = n2), "bufferedData" in i4 && delete i4.bufferedData, i4.failed = true, i4.timedOut = !!l2, i4.isCanceled = f4, i4.killed = p2 && !l2, i4;
      };
      Y4.exports = Gfe;
    });
    var Q4 = b((nke, fE) => {
      "use strict";
      var pd = ["stdin", "stdout", "stderr"], Wfe = (e3) => pd.some((r2) => e3[r2] !== void 0), X4 = (e3) => {
        if (!e3)
          return;
        let { stdio: r2 } = e3;
        if (r2 === void 0)
          return pd.map((i4) => e3[i4]);
        if (Wfe(e3))
          throw new Error(`It's not possible to provide \`stdio\` in combination with one of ${pd.map((i4) => `\`${i4}\``).join(", ")}`);
        if (typeof r2 == "string")
          return r2;
        if (!Array.isArray(r2))
          throw new TypeError(`Expected \`stdio\` to be of type \`string\` or \`Array\`, got \`${typeof r2}\``);
        let n2 = Math.max(r2.length, pd.length);
        return Array.from({ length: n2 }, (i4, o2) => r2[o2]);
      };
      fE.exports = X4;
      fE.exports.node = (e3) => {
        let r2 = X4(e3);
        return r2 === "ipc" ? "ipc" : r2 === void 0 || typeof r2 == "string" ? [r2, r2, r2, "ipc"] : r2.includes("ipc") ? r2 : [...r2, "ipc"];
      };
    });
    var Z4 = b((ike, dd) => {
      "use strict";
      dd.exports = ["SIGABRT", "SIGALRM", "SIGHUP", "SIGINT", "SIGTERM"];
      process.platform !== "win32" && dd.exports.push("SIGVTALRM", "SIGXCPU", "SIGXFSZ", "SIGUSR2", "SIGTRAP", "SIGSYS", "SIGQUIT", "SIGIOT");
      process.platform === "linux" && dd.exports.push("SIGIO", "SIGPOLL", "SIGPWR", "SIGSTKFLT", "SIGUNUSED");
    });
    var i6 = b((ske, pu) => {
      "use strict";
      var st = global.process, jo = function(e3) {
        return e3 && typeof e3 == "object" && typeof e3.removeListener == "function" && typeof e3.emit == "function" && typeof e3.reallyExit == "function" && typeof e3.listeners == "function" && typeof e3.kill == "function" && typeof e3.pid == "number" && typeof e3.on == "function";
      };
      jo(st) ? (e6 = require("assert"), fu = Z4(), t62 = /^win/i.test(st.platform), _l = require("events"), typeof _l != "function" && (_l = _l.EventEmitter), st.__signal_exit_emitter__ ? Nt = st.__signal_exit_emitter__ : (Nt = st.__signal_exit_emitter__ = new _l(), Nt.count = 0, Nt.emitted = {}), Nt.infinite || (Nt.setMaxListeners(1 / 0), Nt.infinite = true), pu.exports = function(e3, r2) {
        if (!jo(global.process))
          return function() {
          };
        e6.equal(typeof e3, "function", "a callback must be provided for exit handler"), hu === false && hE();
        var n2 = "exit";
        r2 && r2.alwaysLast && (n2 = "afterexit");
        var i4 = function() {
          Nt.removeListener(n2, e3), Nt.listeners("exit").length === 0 && Nt.listeners("afterexit").length === 0 && md();
        };
        return Nt.on(n2, e3), i4;
      }, md = function() {
        !hu || !jo(global.process) || (hu = false, fu.forEach(function(r2) {
          try {
            st.removeListener(r2, gd[r2]);
          } catch {
          }
        }), st.emit = yd, st.reallyExit = pE, Nt.count -= 1);
      }, pu.exports.unload = md, Uo = function(r2, n2, i4) {
        Nt.emitted[r2] || (Nt.emitted[r2] = true, Nt.emit(r2, n2, i4));
      }, gd = {}, fu.forEach(function(e3) {
        gd[e3] = function() {
          if (jo(global.process)) {
            var n2 = st.listeners(e3);
            n2.length === Nt.count && (md(), Uo("exit", null, e3), Uo("afterexit", null, e3), t62 && e3 === "SIGHUP" && (e3 = "SIGINT"), st.kill(st.pid, e3));
          }
        };
      }), pu.exports.signals = function() {
        return fu;
      }, hu = false, hE = function() {
        hu || !jo(global.process) || (hu = true, Nt.count += 1, fu = fu.filter(function(r2) {
          try {
            return st.on(r2, gd[r2]), true;
          } catch {
            return false;
          }
        }), st.emit = n6, st.reallyExit = r6);
      }, pu.exports.load = hE, pE = st.reallyExit, r6 = function(r2) {
        jo(global.process) && (st.exitCode = r2 || 0, Uo("exit", st.exitCode, null), Uo("afterexit", st.exitCode, null), pE.call(st, st.exitCode));
      }, yd = st.emit, n6 = function(r2, n2) {
        if (r2 === "exit" && jo(global.process)) {
          n2 !== void 0 && (st.exitCode = n2);
          var i4 = yd.apply(this, arguments);
          return Uo("exit", st.exitCode, null), Uo("afterexit", st.exitCode, null), i4;
        } else
          return yd.apply(this, arguments);
      }) : pu.exports = function() {
        return function() {
        };
      };
      var e6, fu, t62, _l, Nt, md, Uo, gd, hu, hE, pE, r6, yd, n6;
    });
    var o6 = b((oke, s6) => {
      "use strict";
      var Hfe = require("os"), Vfe = i6(), Kfe = 1e3 * 5, zfe = (e3, r2 = "SIGTERM", n2 = {}) => {
        let i4 = e3(r2);
        return Yfe(e3, r2, n2, i4), i4;
      }, Yfe = (e3, r2, n2, i4) => {
        if (!Jfe(r2, n2, i4))
          return;
        let o2 = Qfe(n2), a3 = setTimeout(() => {
          e3("SIGKILL");
        }, o2);
        a3.unref && a3.unref();
      }, Jfe = (e3, { forceKillAfterTimeout: r2 }, n2) => Xfe(e3) && r2 !== false && n2, Xfe = (e3) => e3 === Hfe.constants.signals.SIGTERM || typeof e3 == "string" && e3.toUpperCase() === "SIGTERM", Qfe = ({ forceKillAfterTimeout: e3 = true }) => {
        if (e3 === true)
          return Kfe;
        if (!Number.isFinite(e3) || e3 < 0)
          throw new TypeError(`Expected the \`forceKillAfterTimeout\` option to be a non-negative integer, got \`${e3}\` (${typeof e3})`);
        return e3;
      }, Zfe = (e3, r2) => {
        e3.kill() && (r2.isCanceled = true);
      }, ehe = (e3, r2, n2) => {
        e3.kill(r2), n2(Object.assign(new Error("Timed out"), { timedOut: true, signal: r2 }));
      }, the = (e3, { timeout: r2, killSignal: n2 = "SIGTERM" }, i4) => {
        if (r2 === 0 || r2 === void 0)
          return i4;
        let o2, a3 = new Promise((c4, l2) => {
          o2 = setTimeout(() => {
            ehe(e3, n2, l2);
          }, r2);
        }), u2 = i4.finally(() => {
          clearTimeout(o2);
        });
        return Promise.race([a3, u2]);
      }, rhe = ({ timeout: e3 }) => {
        if (e3 !== void 0 && (!Number.isFinite(e3) || e3 < 0))
          throw new TypeError(`Expected the \`timeout\` option to be a non-negative integer, got \`${e3}\` (${typeof e3})`);
      }, nhe = async (e3, { cleanup: r2, detached: n2 }, i4) => {
        if (!r2 || n2)
          return i4;
        let o2 = Vfe(() => {
          e3.kill();
        });
        return i4.finally(() => {
          o2();
        });
      };
      s6.exports = { spawnedKill: zfe, spawnedCancel: Zfe, setupTimeout: the, validateTimeout: rhe, setExitHandler: nhe };
    });
    var dE = b((ake, a6) => {
      "use strict";
      var Xn = (e3) => e3 !== null && typeof e3 == "object" && typeof e3.pipe == "function";
      Xn.writable = (e3) => Xn(e3) && e3.writable !== false && typeof e3._write == "function" && typeof e3._writableState == "object";
      Xn.readable = (e3) => Xn(e3) && e3.readable !== false && typeof e3._read == "function" && typeof e3._readableState == "object";
      Xn.duplex = (e3) => Xn.writable(e3) && Xn.readable(e3);
      Xn.transform = (e3) => Xn.duplex(e3) && typeof e3._transform == "function";
      a6.exports = Xn;
    });
    var c6 = b((uke, u6) => {
      "use strict";
      var { PassThrough: ihe } = require("stream");
      u6.exports = (e3) => {
        e3 = { ...e3 };
        let { array: r2 } = e3, { encoding: n2 } = e3, i4 = n2 === "buffer", o2 = false;
        r2 ? o2 = !(n2 || i4) : n2 = n2 || "utf8", i4 && (n2 = null);
        let a3 = new ihe({ objectMode: o2 });
        n2 && a3.setEncoding(n2);
        let u2 = 0, c4 = [];
        return a3.on("data", (l2) => {
          c4.push(l2), o2 ? u2 = c4.length : u2 += l2.length;
        }), a3.getBufferedValue = () => r2 ? c4 : i4 ? Buffer.concat(c4, u2) : c4.join(""), a3.getBufferedLength = () => u2, a3;
      };
    });
    var l6 = b((cke, Sl) => {
      "use strict";
      var { constants: she } = require("buffer"), ohe = require("stream"), { promisify: ahe } = require("util"), uhe = c6(), che = ahe(ohe.pipeline), vd = class extends Error {
        constructor() {
          super("maxBuffer exceeded"), this.name = "MaxBufferError";
        }
      };
      async function mE(e3, r2) {
        if (!e3)
          throw new Error("Expected a stream");
        r2 = { maxBuffer: 1 / 0, ...r2 };
        let { maxBuffer: n2 } = r2, i4 = uhe(r2);
        return await new Promise((o2, a3) => {
          let u2 = (c4) => {
            c4 && i4.getBufferedLength() <= she.MAX_LENGTH && (c4.bufferedData = i4.getBufferedValue()), a3(c4);
          };
          (async () => {
            try {
              await che(e3, i4), o2();
            } catch (c4) {
              u2(c4);
            }
          })(), i4.on("data", () => {
            i4.getBufferedLength() > n2 && u2(new vd());
          });
        }), i4.getBufferedValue();
      }
      Sl.exports = mE;
      Sl.exports.buffer = (e3, r2) => mE(e3, { ...r2, encoding: "buffer" });
      Sl.exports.array = (e3, r2) => mE(e3, { ...r2, array: true });
      Sl.exports.MaxBufferError = vd;
    });
    var h6 = b((lke, f6) => {
      "use strict";
      var { PassThrough: lhe } = require("stream");
      f6.exports = function() {
        var e3 = [], r2 = new lhe({ objectMode: true });
        return r2.setMaxListeners(0), r2.add = n2, r2.isEmpty = i4, r2.on("unpipe", o2), Array.prototype.slice.call(arguments).forEach(n2), r2;
        function n2(a3) {
          return Array.isArray(a3) ? (a3.forEach(n2), this) : (e3.push(a3), a3.once("end", o2.bind(null, a3)), a3.once("error", r2.emit.bind(r2, "error")), a3.pipe(r2, { end: false }), this);
        }
        function i4() {
          return e3.length == 0;
        }
        function o2(a3) {
          e3 = e3.filter(function(u2) {
            return u2 !== a3;
          }), !e3.length && r2.readable && r2.end();
        }
      };
    });
    var g6 = b((fke, m6) => {
      "use strict";
      var d6 = dE(), p6 = l6(), fhe = h6(), hhe = (e3, r2) => {
        r2 === void 0 || e3.stdin === void 0 || (d6(r2) ? r2.pipe(e3.stdin) : e3.stdin.end(r2));
      }, phe = (e3, { all: r2 }) => {
        if (!r2 || !e3.stdout && !e3.stderr)
          return;
        let n2 = fhe();
        return e3.stdout && n2.add(e3.stdout), e3.stderr && n2.add(e3.stderr), n2;
      }, gE = async (e3, r2) => {
        if (e3) {
          e3.destroy();
          try {
            return await r2;
          } catch (n2) {
            return n2.bufferedData;
          }
        }
      }, yE = (e3, { encoding: r2, buffer: n2, maxBuffer: i4 }) => {
        if (!(!e3 || !n2))
          return r2 ? p6(e3, { encoding: r2, maxBuffer: i4 }) : p6.buffer(e3, { maxBuffer: i4 });
      }, dhe = async ({ stdout: e3, stderr: r2, all: n2 }, { encoding: i4, buffer: o2, maxBuffer: a3 }, u2) => {
        let c4 = yE(e3, { encoding: i4, buffer: o2, maxBuffer: a3 }), l2 = yE(r2, { encoding: i4, buffer: o2, maxBuffer: a3 }), f4 = yE(n2, { encoding: i4, buffer: o2, maxBuffer: a3 * 2 });
        try {
          return await Promise.all([u2, c4, l2, f4]);
        } catch (p2) {
          return Promise.all([{ error: p2, signal: p2.signal, timedOut: p2.timedOut }, gE(e3, c4), gE(r2, l2), gE(n2, f4)]);
        }
      }, mhe = ({ input: e3 }) => {
        if (d6(e3))
          throw new TypeError("The `input` option cannot be a stream in sync mode");
      };
      m6.exports = { handleInput: hhe, makeAllStream: phe, getSpawnedResult: dhe, validateInputSync: mhe };
    });
    var v6 = b((hke, y6) => {
      "use strict";
      var ghe = (/* @__PURE__ */ (async () => {
      })()).constructor.prototype, yhe = ["then", "catch", "finally"].map((e3) => [e3, Reflect.getOwnPropertyDescriptor(ghe, e3)]), vhe = (e3, r2) => {
        for (let [n2, i4] of yhe) {
          let o2 = typeof r2 == "function" ? (...a3) => Reflect.apply(i4.value, r2(), a3) : i4.value.bind(r2);
          Reflect.defineProperty(e3, n2, { ...i4, value: o2 });
        }
        return e3;
      }, bhe = (e3) => new Promise((r2, n2) => {
        e3.on("exit", (i4, o2) => {
          r2({ exitCode: i4, signal: o2 });
        }), e3.on("error", (i4) => {
          n2(i4);
        }), e3.stdin && e3.stdin.on("error", (i4) => {
          n2(i4);
        });
      });
      y6.exports = { mergePromise: vhe, getSpawnedPromise: bhe };
    });
    var w6 = b((pke, E6) => {
      "use strict";
      var b6 = (e3, r2 = []) => Array.isArray(r2) ? [e3, ...r2] : [e3], Ehe = /^[\w.-]+$/, whe = /"/g, _he = (e3) => typeof e3 != "string" || Ehe.test(e3) ? e3 : `"${e3.replace(whe, '\\"')}"`, She = (e3, r2) => b6(e3, r2).join(" "), xhe = (e3, r2) => b6(e3, r2).map((n2) => _he(n2)).join(" "), Dhe = / +/g, Ohe = (e3) => {
        let r2 = [];
        for (let n2 of e3.trim().split(Dhe)) {
          let i4 = r2[r2.length - 1];
          i4 && i4.endsWith("\\") ? r2[r2.length - 1] = `${i4.slice(0, -1)} ${n2}` : r2.push(n2);
        }
        return r2;
      };
      E6.exports = { joinCommand: She, getEscapedCommand: xhe, parseCommand: Ohe };
    });
    var Dl = b((dke, du) => {
      "use strict";
      var The = require("path"), vE = require("child_process"), Rhe = F4(), Che = M4(), Ahe = $4(), Ihe = U4(), bd = J4(), S6 = Q4(), { spawnedKill: Phe, spawnedCancel: Fhe, setupTimeout: Lhe, validateTimeout: Mhe, setExitHandler: Nhe } = o6(), { handleInput: khe, getSpawnedResult: $he, makeAllStream: qhe, validateInputSync: Bhe } = g6(), { mergePromise: _6, getSpawnedPromise: jhe } = v6(), { joinCommand: x6, parseCommand: D6, getEscapedCommand: O6 } = w6(), Uhe = 1e3 * 1e3 * 100, Ghe = ({ env: e3, extendEnv: r2, preferLocal: n2, localDir: i4, execPath: o2 }) => {
        let a3 = r2 ? { ...process.env, ...e3 } : e3;
        return n2 ? Ahe.env({ env: a3, cwd: i4, execPath: o2 }) : a3;
      }, T6 = (e3, r2, n2 = {}) => {
        let i4 = Rhe._parse(e3, r2, n2);
        return e3 = i4.command, r2 = i4.args, n2 = i4.options, n2 = { maxBuffer: Uhe, buffer: true, stripFinalNewline: true, extendEnv: true, preferLocal: false, localDir: n2.cwd || process.cwd(), execPath: process.execPath, encoding: "utf8", reject: true, cleanup: true, all: false, windowsHide: true, ...n2 }, n2.env = Ghe(n2), n2.stdio = S6(n2), process.platform === "win32" && The.basename(e3, ".exe") === "cmd" && r2.unshift("/q"), { file: e3, args: r2, options: n2, parsed: i4 };
      }, xl = (e3, r2, n2) => typeof r2 != "string" && !Buffer.isBuffer(r2) ? n2 === void 0 ? void 0 : "" : e3.stripFinalNewline ? Che(r2) : r2, Ed = (e3, r2, n2) => {
        let i4 = T6(e3, r2, n2), o2 = x6(e3, r2), a3 = O6(e3, r2);
        Mhe(i4.options);
        let u2;
        try {
          u2 = vE.spawn(i4.file, i4.args, i4.options);
        } catch (S2) {
          let D = new vE.ChildProcess(), T7 = Promise.reject(bd({ error: S2, stdout: "", stderr: "", all: "", command: o2, escapedCommand: a3, parsed: i4, timedOut: false, isCanceled: false, killed: false }));
          return _6(D, T7);
        }
        let c4 = jhe(u2), l2 = Lhe(u2, i4.options, c4), f4 = Nhe(u2, i4.options, l2), p2 = { isCanceled: false };
        u2.kill = Phe.bind(null, u2.kill.bind(u2)), u2.cancel = Fhe.bind(null, u2, p2);
        let g2 = Ihe(async () => {
          let [{ error: S2, exitCode: D, signal: T7, timedOut: R }, A2, L, N] = await $he(u2, i4.options, f4), q = xl(i4.options, A2), B = xl(i4.options, L), W = xl(i4.options, N);
          if (S2 || D !== 0 || T7 !== null) {
            let P = bd({ error: S2, exitCode: D, signal: T7, stdout: q, stderr: B, all: W, command: o2, escapedCommand: a3, parsed: i4, timedOut: R, isCanceled: p2.isCanceled, killed: u2.killed });
            if (!i4.options.reject)
              return P;
            throw P;
          }
          return { command: o2, escapedCommand: a3, exitCode: 0, stdout: q, stderr: B, all: W, failed: false, timedOut: false, isCanceled: false, killed: false };
        });
        return khe(u2, i4.options.input), u2.all = qhe(u2, i4.options), _6(u2, g2);
      };
      du.exports = Ed;
      du.exports.sync = (e3, r2, n2) => {
        let i4 = T6(e3, r2, n2), o2 = x6(e3, r2), a3 = O6(e3, r2);
        Bhe(i4.options);
        let u2;
        try {
          u2 = vE.spawnSync(i4.file, i4.args, i4.options);
        } catch (f4) {
          throw bd({ error: f4, stdout: "", stderr: "", all: "", command: o2, escapedCommand: a3, parsed: i4, timedOut: false, isCanceled: false, killed: false });
        }
        let c4 = xl(i4.options, u2.stdout, u2.error), l2 = xl(i4.options, u2.stderr, u2.error);
        if (u2.error || u2.status !== 0 || u2.signal !== null) {
          let f4 = bd({ stdout: c4, stderr: l2, error: u2.error, signal: u2.signal, exitCode: u2.status, command: o2, escapedCommand: a3, parsed: i4, timedOut: u2.error && u2.error.code === "ETIMEDOUT", isCanceled: false, killed: u2.signal !== null });
          if (!i4.options.reject)
            return f4;
          throw f4;
        }
        return { command: o2, escapedCommand: a3, exitCode: 0, stdout: c4, stderr: l2, failed: false, timedOut: false, isCanceled: false, killed: false };
      };
      du.exports.command = (e3, r2) => {
        let [n2, ...i4] = D6(e3);
        return Ed(n2, i4, r2);
      };
      du.exports.commandSync = (e3, r2) => {
        let [n2, ...i4] = D6(e3);
        return Ed.sync(n2, i4, r2);
      };
      du.exports.node = (e3, r2, n2 = {}) => {
        r2 && !Array.isArray(r2) && typeof r2 == "object" && (n2 = r2, r2 = []);
        let i4 = S6.node(n2), o2 = process.execArgv.filter((c4) => !c4.startsWith("--inspect")), { nodePath: a3 = process.execPath, nodeOptions: u2 = o2 } = n2;
        return Ed(a3, [...u2, e3, ...Array.isArray(r2) ? r2 : []], { ...n2, stdin: void 0, stdout: void 0, stderr: void 0, stdio: i4, shell: false });
      };
    });
    var C6 = b((mke, bE) => {
      "use strict";
      var R6 = (e3, ...r2) => new Promise((n2) => {
        n2(e3(...r2));
      });
      bE.exports = R6;
      bE.exports.default = R6;
    });
    var I6 = b((gke, EE) => {
      "use strict";
      var Whe = C6(), A6 = (e3) => {
        if (!((Number.isInteger(e3) || e3 === 1 / 0) && e3 > 0))
          return Promise.reject(new TypeError("Expected `concurrency` to be a number from 1 and up"));
        let r2 = [], n2 = 0, i4 = () => {
          n2--, r2.length > 0 && r2.shift()();
        }, o2 = (c4, l2, ...f4) => {
          n2++;
          let p2 = Whe(c4, ...f4);
          l2(p2), p2.then(i4, i4);
        }, a3 = (c4, l2, ...f4) => {
          n2 < e3 ? o2(c4, l2, ...f4) : r2.push(o2.bind(null, c4, l2, ...f4));
        }, u2 = (c4, ...l2) => new Promise((f4) => a3(c4, f4, ...l2));
        return Object.defineProperties(u2, { activeCount: { get: () => n2 }, pendingCount: { get: () => r2.length }, clearQueue: { value: () => {
          r2.length = 0;
        } } }), u2;
      };
      EE.exports = A6;
      EE.exports.default = A6;
    });
    var L6 = b((yke, wE) => {
      "use strict";
      var P6 = I6(), wd = class extends Error {
        constructor(r2) {
          super(), this.value = r2;
        }
      }, Hhe = async (e3, r2) => r2(await e3), Vhe = async (e3) => {
        let r2 = await Promise.all(e3);
        if (r2[1] === true)
          throw new wd(r2[0]);
        return false;
      }, F6 = async (e3, r2, n2) => {
        n2 = { concurrency: 1 / 0, preserveOrder: true, ...n2 };
        let i4 = P6(n2.concurrency), o2 = [...e3].map((u2) => [u2, i4(Hhe, u2, r2)]), a3 = P6(n2.preserveOrder ? 1 : 1 / 0);
        try {
          await Promise.all(o2.map((u2) => a3(Vhe, u2)));
        } catch (u2) {
          if (u2 instanceof wd)
            return u2.value;
          throw u2;
        }
      };
      wE.exports = F6;
      wE.exports.default = F6;
    });
    var B6 = b((vke, _E) => {
      "use strict";
      var M6 = require("path"), _d = require("fs"), { promisify: N6 } = require("util"), Khe = L6(), zhe = N6(_d.stat), Yhe = N6(_d.lstat), k6 = { directory: "isDirectory", file: "isFile" };
      function $6({ type: e3 }) {
        if (!(e3 in k6))
          throw new Error(`Invalid type specified: ${e3}`);
      }
      var q6 = (e3, r2) => e3 === void 0 || r2[k6[e3]]();
      _E.exports = async (e3, r2) => {
        r2 = { cwd: process.cwd(), type: "file", allowSymlinks: true, ...r2 }, $6(r2);
        let n2 = r2.allowSymlinks ? zhe : Yhe;
        return Khe(e3, async (i4) => {
          try {
            let o2 = await n2(M6.resolve(r2.cwd, i4));
            return q6(r2.type, o2);
          } catch {
            return false;
          }
        }, r2);
      };
      _E.exports.sync = (e3, r2) => {
        r2 = { cwd: process.cwd(), allowSymlinks: true, type: "file", ...r2 }, $6(r2);
        let n2 = r2.allowSymlinks ? _d.statSync : _d.lstatSync;
        for (let i4 of e3)
          try {
            let o2 = n2(M6.resolve(r2.cwd, i4));
            if (q6(r2.type, o2))
              return i4;
          } catch {
          }
      };
    });
    var U6 = b((bke, mu) => {
      "use strict";
      var Os = require("path"), Sd = B6(), j6 = Xb(), SE = Symbol("findUp.stop");
      mu.exports = async (e3, r2 = {}) => {
        let n2 = Os.resolve(r2.cwd || ""), { root: i4 } = Os.parse(n2), o2 = [].concat(e3), a3 = async (u2) => {
          if (typeof e3 != "function")
            return Sd(o2, u2);
          let c4 = await e3(u2.cwd);
          return typeof c4 == "string" ? Sd([c4], u2) : c4;
        };
        for (; ; ) {
          let u2 = await a3({ ...r2, cwd: n2 });
          if (u2 === SE)
            return;
          if (u2)
            return Os.resolve(n2, u2);
          if (n2 === i4)
            return;
          n2 = Os.dirname(n2);
        }
      };
      mu.exports.sync = (e3, r2 = {}) => {
        let n2 = Os.resolve(r2.cwd || ""), { root: i4 } = Os.parse(n2), o2 = [].concat(e3), a3 = (u2) => {
          if (typeof e3 != "function")
            return Sd.sync(o2, u2);
          let c4 = e3(u2.cwd);
          return typeof c4 == "string" ? Sd.sync([c4], u2) : c4;
        };
        for (; ; ) {
          let u2 = a3({ ...r2, cwd: n2 });
          if (u2 === SE)
            return;
          if (u2)
            return Os.resolve(n2, u2);
          if (n2 === i4)
            return;
          n2 = Os.dirname(n2);
        }
      };
      mu.exports.exists = j6;
      mu.exports.sync.exists = j6.sync;
      mu.exports.stop = SE;
    });
    var W6 = b((Eke, G6) => {
      "use strict";
      G6.exports = function(r2) {
        return r2 ? r2 instanceof Array || Array.isArray(r2) || r2.length >= 0 && r2.splice instanceof Function : false;
      };
    });
    var V6 = b((wke, H6) => {
      "use strict";
      var Jhe = require("util"), Xhe = W6(), xE = function(r2, n2) {
        (!r2 || r2.constructor !== String) && (n2 = r2 || {}, r2 = Error.name);
        var i4 = function o2(a3) {
          if (!this)
            return new o2(a3);
          a3 = a3 instanceof Error ? a3.message : a3 || this.message, Error.call(this, a3), Error.captureStackTrace(this, i4), this.name = r2, Object.defineProperty(this, "message", { configurable: true, enumerable: false, get: function() {
            var p2 = a3.split(/\r?\n/g);
            for (var v2 in n2)
              if (n2.hasOwnProperty(v2)) {
                var g2 = n2[v2];
                "message" in g2 && (p2 = g2.message(this[v2], p2) || p2, Xhe(p2) || (p2 = [p2]));
              }
            return p2.join(`
`);
          }, set: function(p2) {
            a3 = p2;
          } });
          var u2 = null, c4 = Object.getOwnPropertyDescriptor(this, "stack"), l2 = c4.get, f4 = c4.value;
          delete c4.value, delete c4.writable, c4.set = function(p2) {
            u2 = p2;
          }, c4.get = function() {
            var p2 = (u2 || (l2 ? l2.call(this) : f4)).split(/\r?\n+/g);
            u2 || (p2[0] = this.name + ": " + this.message);
            var v2 = 1;
            for (var g2 in n2)
              if (n2.hasOwnProperty(g2)) {
                var S2 = n2[g2];
                if ("line" in S2) {
                  var D = S2.line(this[g2]);
                  D && p2.splice(v2++, 0, "    " + D);
                }
                "stack" in S2 && S2.stack(this[g2], p2);
              }
            return p2.join(`
`);
          }, Object.defineProperty(this, "stack", c4);
        };
        return Object.setPrototypeOf ? (Object.setPrototypeOf(i4.prototype, Error.prototype), Object.setPrototypeOf(i4, Error)) : Jhe.inherits(i4, Error), i4;
      };
      xE.append = function(e3, r2) {
        return { message: function(n2, i4) {
          return n2 = n2 || r2, n2 && (i4[0] += " " + e3.replace("%s", n2.toString())), i4;
        } };
      };
      xE.line = function(e3, r2) {
        return { line: function(n2) {
          return n2 = n2 || r2, n2 ? e3.replace("%s", n2.toString()) : null;
        } };
      };
      H6.exports = xE;
    });
    var Y6 = b((_ke, z6) => {
      "use strict";
      var Qhe = (e3) => {
        let r2 = e3.charCodeAt(0).toString(16).toUpperCase();
        return "0x" + (r2.length % 2 ? "0" : "") + r2;
      }, Zhe = (e3, r2, n2) => {
        if (!r2)
          return { message: e3.message + " while parsing empty string", position: 0 };
        let i4 = e3.message.match(/^Unexpected token (.) .*position\s+(\d+)/i), o2 = i4 ? +i4[2] : e3.message.match(/^Unexpected end of JSON.*/i) ? r2.length - 1 : null, a3 = i4 ? e3.message.replace(/^Unexpected token ./, `Unexpected token ${JSON.stringify(i4[1])} (${Qhe(i4[1])})`) : e3.message;
        if (o2 != null) {
          let u2 = o2 <= n2 ? 0 : o2 - n2, c4 = o2 + n2 >= r2.length ? r2.length : o2 + n2, l2 = (u2 === 0 ? "" : "...") + r2.slice(u2, c4) + (c4 === r2.length ? "" : "...");
          return { message: a3 + ` while parsing ${r2 === l2 ? "" : "near "}${JSON.stringify(l2)}`, position: o2 };
        } else
          return { message: a3 + ` while parsing '${r2.slice(0, n2 * 2)}'`, position: 0 };
      }, xd = class extends SyntaxError {
        constructor(r2, n2, i4, o2) {
          i4 = i4 || 20;
          let a3 = Zhe(r2, n2, i4);
          super(a3.message), Object.assign(this, a3), this.code = "EJSONPARSE", this.systemError = r2, Error.captureStackTrace(this, o2 || this.constructor);
        }
        get name() {
          return this.constructor.name;
        }
        set name(r2) {
        }
        get [Symbol.toStringTag]() {
          return this.constructor.name;
        }
      }, epe = Symbol.for("indent"), tpe = Symbol.for("newline"), rpe = /^\s*[{\[]((?:\r?\n)+)([\s\t]*)/, npe = /^(?:\{\}|\[\])((?:\r?\n)+)?$/, Dd = (e3, r2, n2) => {
        let i4 = K6(e3);
        n2 = n2 || 20;
        try {
          let [, o2 = `
`, a3 = "  "] = i4.match(npe) || i4.match(rpe) || [, "", ""], u2 = JSON.parse(i4, r2);
          return u2 && typeof u2 == "object" && (u2[tpe] = o2, u2[epe] = a3), u2;
        } catch (o2) {
          if (typeof e3 != "string" && !Buffer.isBuffer(e3)) {
            let a3 = Array.isArray(e3) && e3.length === 0;
            throw Object.assign(new TypeError(`Cannot parse ${a3 ? "an empty array" : String(e3)}`), { code: "EJSONPARSE", systemError: o2 });
          }
          throw new xd(o2, i4, n2, Dd);
        }
      }, K6 = (e3) => String(e3).replace(/^\uFEFF/, "");
      z6.exports = Dd;
      Dd.JSONParseError = xd;
      Dd.noExceptions = (e3, r2) => {
        try {
          return JSON.parse(K6(e3), r2);
        } catch {
        }
      };
    });
    var Q6 = b((Ol) => {
      "use strict";
      Ol.__esModule = true;
      Ol.LinesAndColumns = void 0;
      var Od = `
`, J6 = "\r", X6 = function() {
        function e3(r2) {
          this.string = r2;
          for (var n2 = [0], i4 = 0; i4 < r2.length; )
            switch (r2[i4]) {
              case Od:
                i4 += Od.length, n2.push(i4);
                break;
              case J6:
                i4 += J6.length, r2[i4] === Od && (i4 += Od.length), n2.push(i4);
                break;
              default:
                i4++;
                break;
            }
          this.offsets = n2;
        }
        return e3.prototype.locationForIndex = function(r2) {
          if (r2 < 0 || r2 > this.string.length)
            return null;
          for (var n2 = 0, i4 = this.offsets; i4[n2 + 1] <= r2; )
            n2++;
          var o2 = r2 - i4[n2];
          return { line: n2, column: o2 };
        }, e3.prototype.indexForLocation = function(r2) {
          var n2 = r2.line, i4 = r2.column;
          return n2 < 0 || n2 >= this.offsets.length || i4 < 0 || i4 > this.lengthOfLine(n2) ? null : this.offsets[n2] + i4;
        }, e3.prototype.lengthOfLine = function(r2) {
          var n2 = this.offsets[r2], i4 = r2 === this.offsets.length - 1 ? this.string.length : this.offsets[r2 + 1];
          return i4 - n2;
        }, e3;
      }();
      Ol.LinesAndColumns = X6;
      Ol.default = X6;
    });
    var Z6 = b((Td) => {
      "use strict";
      Object.defineProperty(Td, "__esModule", { value: true });
      Td.default = /((['"])(?:(?!\2|\\).|\\(?:\r\n|[\s\S]))*(\2)?|`(?:[^`\\$]|\\[\s\S]|\$(?!\{)|\$\{(?:[^{}]|\{[^}]*\}?)*\}?)*(`)?)|(\/\/.*)|(\/\*(?:[^*]|\*(?!\/))*(\*\/)?)|(\/(?!\*)(?:\[(?:(?![\]\\]).|\\.)*\]|(?![\/\]\\]).|\\.)+\/(?:(?!\s*(?:\b|[\u0080-\uFFFF$\\'"~({]|[+\-!](?!=)|\.?\d))|[gmiyus]{1,6}\b(?![\u0080-\uFFFF$\\]|\s*(?:[+\-*%&|^<>!=?({]|\/(?![\/*])))))|(0[xX][\da-fA-F]+|0[oO][0-7]+|0[bB][01]+|(?:\d*\.\d+|\d+\.?)(?:[eE][+-]?\d+)?)|((?!\d)(?:(?!\s)[$\w\u0080-\uFFFF]|\\u[\da-fA-F]{4}|\\u\{[\da-fA-F]+\})+)|(--|\+\+|&&|\|\||=>|\.{3}|(?:[+\-\/%&|^]|\*{1,2}|<{1,2}|>{1,3}|!=?|={1,2})=?|[?~.,:;[\](){}])|(\s+)|(^$|[\s\S])/g;
      Td.matchToToken = function(e3) {
        var r2 = { type: "invalid", value: e3[0], closed: void 0 };
        return e3[1] ? (r2.type = "string", r2.closed = !!(e3[3] || e3[4])) : e3[5] ? r2.type = "comment" : e3[6] ? (r2.type = "comment", r2.closed = !!e3[7]) : e3[8] ? r2.type = "regex" : e3[9] ? r2.type = "number" : e3[10] ? r2.type = "name" : e3[11] ? r2.type = "punctuator" : e3[12] && (r2.type = "whitespace"), r2;
      };
    });
    var i3 = b((Tl) => {
      "use strict";
      Object.defineProperty(Tl, "__esModule", { value: true });
      Tl.isIdentifierChar = n3;
      Tl.isIdentifierName = ape;
      Tl.isIdentifierStart = r3;
      var OE = "\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D5F-\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1878\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u31A0-\u31BF\u31F0-\u31FF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC", e3 = "\u200C\u200D\xB7\u0300-\u036F\u0387\u0483-\u0487\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u0610-\u061A\u064B-\u0669\u0670\u06D6-\u06DC\u06DF-\u06E4\u06E7\u06E8\u06EA-\u06ED\u06F0-\u06F9\u0711\u0730-\u074A\u07A6-\u07B0\u07C0-\u07C9\u07EB-\u07F3\u07FD\u0816-\u0819\u081B-\u0823\u0825-\u0827\u0829-\u082D\u0859-\u085B\u0898-\u089F\u08CA-\u08E1\u08E3-\u0903\u093A-\u093C\u093E-\u094F\u0951-\u0957\u0962\u0963\u0966-\u096F\u0981-\u0983\u09BC\u09BE-\u09C4\u09C7\u09C8\u09CB-\u09CD\u09D7\u09E2\u09E3\u09E6-\u09EF\u09FE\u0A01-\u0A03\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A66-\u0A71\u0A75\u0A81-\u0A83\u0ABC\u0ABE-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AE2\u0AE3\u0AE6-\u0AEF\u0AFA-\u0AFF\u0B01-\u0B03\u0B3C\u0B3E-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B55-\u0B57\u0B62\u0B63\u0B66-\u0B6F\u0B82\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD7\u0BE6-\u0BEF\u0C00-\u0C04\u0C3C\u0C3E-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C62\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0CBC\u0CBE-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CE2\u0CE3\u0CE6-\u0CEF\u0CF3\u0D00-\u0D03\u0D3B\u0D3C\u0D3E-\u0D44\u0D46-\u0D48\u0D4A-\u0D4D\u0D57\u0D62\u0D63\u0D66-\u0D6F\u0D81-\u0D83\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E31\u0E34-\u0E3A\u0E47-\u0E4E\u0E50-\u0E59\u0EB1\u0EB4-\u0EBC\u0EC8-\u0ECE\u0ED0-\u0ED9\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E\u0F3F\u0F71-\u0F84\u0F86\u0F87\u0F8D-\u0F97\u0F99-\u0FBC\u0FC6\u102B-\u103E\u1040-\u1049\u1056-\u1059\u105E-\u1060\u1062-\u1064\u1067-\u106D\u1071-\u1074\u1082-\u108D\u108F-\u109D\u135D-\u135F\u1369-\u1371\u1712-\u1715\u1732-\u1734\u1752\u1753\u1772\u1773\u17B4-\u17D3\u17DD\u17E0-\u17E9\u180B-\u180D\u180F-\u1819\u18A9\u1920-\u192B\u1930-\u193B\u1946-\u194F\u19D0-\u19DA\u1A17-\u1A1B\u1A55-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AB0-\u1ABD\u1ABF-\u1ACE\u1B00-\u1B04\u1B34-\u1B44\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1B82\u1BA1-\u1BAD\u1BB0-\u1BB9\u1BE6-\u1BF3\u1C24-\u1C37\u1C40-\u1C49\u1C50-\u1C59\u1CD0-\u1CD2\u1CD4-\u1CE8\u1CED\u1CF4\u1CF7-\u1CF9\u1DC0-\u1DFF\u203F\u2040\u2054\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2CEF-\u2CF1\u2D7F\u2DE0-\u2DFF\u302A-\u302F\u3099\u309A\uA620-\uA629\uA66F\uA674-\uA67D\uA69E\uA69F\uA6F0\uA6F1\uA802\uA806\uA80B\uA823-\uA827\uA82C\uA880\uA881\uA8B4-\uA8C5\uA8D0-\uA8D9\uA8E0-\uA8F1\uA8FF-\uA909\uA926-\uA92D\uA947-\uA953\uA980-\uA983\uA9B3-\uA9C0\uA9D0-\uA9D9\uA9E5\uA9F0-\uA9F9\uAA29-\uAA36\uAA43\uAA4C\uAA4D\uAA50-\uAA59\uAA7B-\uAA7D\uAAB0\uAAB2-\uAAB4\uAAB7\uAAB8\uAABE\uAABF\uAAC1\uAAEB-\uAAEF\uAAF5\uAAF6\uABE3-\uABEA\uABEC\uABED\uABF0-\uABF9\uFB1E\uFE00-\uFE0F\uFE20-\uFE2F\uFE33\uFE34\uFE4D-\uFE4F\uFF10-\uFF19\uFF3F", ipe = new RegExp("[" + OE + "]"), spe = new RegExp("[" + OE + e3 + "]");
      OE = e3 = null;
      var t32 = [0, 11, 2, 25, 2, 18, 2, 1, 2, 14, 3, 13, 35, 122, 70, 52, 268, 28, 4, 48, 48, 31, 14, 29, 6, 37, 11, 29, 3, 35, 5, 7, 2, 4, 43, 157, 19, 35, 5, 35, 5, 39, 9, 51, 13, 10, 2, 14, 2, 6, 2, 1, 2, 10, 2, 14, 2, 6, 2, 1, 68, 310, 10, 21, 11, 7, 25, 5, 2, 41, 2, 8, 70, 5, 3, 0, 2, 43, 2, 1, 4, 0, 3, 22, 11, 22, 10, 30, 66, 18, 2, 1, 11, 21, 11, 25, 71, 55, 7, 1, 65, 0, 16, 3, 2, 2, 2, 28, 43, 28, 4, 28, 36, 7, 2, 27, 28, 53, 11, 21, 11, 18, 14, 17, 111, 72, 56, 50, 14, 50, 14, 35, 349, 41, 7, 1, 79, 28, 11, 0, 9, 21, 43, 17, 47, 20, 28, 22, 13, 52, 58, 1, 3, 0, 14, 44, 33, 24, 27, 35, 30, 0, 3, 0, 9, 34, 4, 0, 13, 47, 15, 3, 22, 0, 2, 0, 36, 17, 2, 24, 20, 1, 64, 6, 2, 0, 2, 3, 2, 14, 2, 9, 8, 46, 39, 7, 3, 1, 3, 21, 2, 6, 2, 1, 2, 4, 4, 0, 19, 0, 13, 4, 159, 52, 19, 3, 21, 2, 31, 47, 21, 1, 2, 0, 185, 46, 42, 3, 37, 47, 21, 0, 60, 42, 14, 0, 72, 26, 38, 6, 186, 43, 117, 63, 32, 7, 3, 0, 3, 7, 2, 1, 2, 23, 16, 0, 2, 0, 95, 7, 3, 38, 17, 0, 2, 0, 29, 0, 11, 39, 8, 0, 22, 0, 12, 45, 20, 0, 19, 72, 264, 8, 2, 36, 18, 0, 50, 29, 113, 6, 2, 1, 2, 37, 22, 0, 26, 5, 2, 1, 2, 31, 15, 0, 328, 18, 16, 0, 2, 12, 2, 33, 125, 0, 80, 921, 103, 110, 18, 195, 2637, 96, 16, 1071, 18, 5, 4026, 582, 8634, 568, 8, 30, 18, 78, 18, 29, 19, 47, 17, 3, 32, 20, 6, 18, 689, 63, 129, 74, 6, 0, 67, 12, 65, 1, 2, 0, 29, 6135, 9, 1237, 43, 8, 8936, 3, 2, 6, 2, 1, 2, 290, 16, 0, 30, 2, 3, 0, 15, 3, 9, 395, 2309, 106, 6, 12, 4, 8, 8, 9, 5991, 84, 2, 70, 2, 1, 3, 0, 3, 1, 3, 3, 2, 11, 2, 0, 2, 6, 2, 64, 2, 3, 3, 7, 2, 6, 2, 27, 2, 3, 2, 4, 2, 0, 4, 6, 2, 339, 3, 24, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 7, 1845, 30, 7, 5, 262, 61, 147, 44, 11, 6, 17, 0, 322, 29, 19, 43, 485, 27, 757, 6, 2, 3, 2, 1, 2, 14, 2, 196, 60, 67, 8, 0, 1205, 3, 2, 26, 2, 1, 2, 0, 3, 0, 2, 9, 2, 3, 2, 0, 2, 0, 7, 0, 5, 0, 2, 0, 2, 0, 2, 2, 2, 1, 2, 0, 3, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 1, 2, 0, 3, 3, 2, 6, 2, 3, 2, 3, 2, 0, 2, 9, 2, 16, 6, 2, 2, 4, 2, 16, 4421, 42719, 33, 4153, 7, 221, 3, 5761, 15, 7472, 3104, 541, 1507, 4938, 6, 4191], ope = [509, 0, 227, 0, 150, 4, 294, 9, 1368, 2, 2, 1, 6, 3, 41, 2, 5, 0, 166, 1, 574, 3, 9, 9, 370, 1, 81, 2, 71, 10, 50, 3, 123, 2, 54, 14, 32, 10, 3, 1, 11, 3, 46, 10, 8, 0, 46, 9, 7, 2, 37, 13, 2, 9, 6, 1, 45, 0, 13, 2, 49, 13, 9, 3, 2, 11, 83, 11, 7, 0, 3, 0, 158, 11, 6, 9, 7, 3, 56, 1, 2, 6, 3, 1, 3, 2, 10, 0, 11, 1, 3, 6, 4, 4, 193, 17, 10, 9, 5, 0, 82, 19, 13, 9, 214, 6, 3, 8, 28, 1, 83, 16, 16, 9, 82, 12, 9, 9, 84, 14, 5, 9, 243, 14, 166, 9, 71, 5, 2, 1, 3, 3, 2, 0, 2, 1, 13, 9, 120, 6, 3, 6, 4, 0, 29, 9, 41, 6, 2, 3, 9, 0, 10, 10, 47, 15, 406, 7, 2, 7, 17, 9, 57, 21, 2, 13, 123, 5, 4, 0, 2, 1, 2, 6, 2, 0, 9, 9, 49, 4, 2, 1, 2, 4, 9, 9, 330, 3, 10, 1, 2, 0, 49, 6, 4, 4, 14, 9, 5351, 0, 7, 14, 13835, 9, 87, 9, 39, 4, 60, 6, 26, 9, 1014, 0, 2, 54, 8, 3, 82, 0, 12, 1, 19628, 1, 4706, 45, 3, 22, 543, 4, 4, 5, 9, 7, 3, 6, 31, 3, 149, 2, 1418, 49, 513, 54, 5, 49, 9, 0, 15, 0, 23, 4, 2, 14, 1361, 6, 2, 16, 3, 6, 2, 1, 2, 4, 101, 0, 161, 6, 10, 9, 357, 0, 62, 13, 499, 13, 983, 6, 110, 6, 6, 9, 4759, 9, 787719, 239];
      function DE(e4, r2) {
        let n2 = 65536;
        for (let i4 = 0, o2 = r2.length; i4 < o2; i4 += 2) {
          if (n2 += r2[i4], n2 > e4)
            return false;
          if (n2 += r2[i4 + 1], n2 >= e4)
            return true;
        }
        return false;
      }
      function r3(e4) {
        return e4 < 65 ? e4 === 36 : e4 <= 90 ? true : e4 < 97 ? e4 === 95 : e4 <= 122 ? true : e4 <= 65535 ? e4 >= 170 && ipe.test(String.fromCharCode(e4)) : DE(e4, t32);
      }
      function n3(e4) {
        return e4 < 48 ? e4 === 36 : e4 < 58 ? true : e4 < 65 ? false : e4 <= 90 ? true : e4 < 97 ? e4 === 95 : e4 <= 122 ? true : e4 <= 65535 ? e4 >= 170 && spe.test(String.fromCharCode(e4)) : DE(e4, t32) || DE(e4, ope);
      }
      function ape(e4) {
        let r2 = true;
        for (let n2 = 0; n2 < e4.length; n2++) {
          let i4 = e4.charCodeAt(n2);
          if ((i4 & 64512) === 55296 && n2 + 1 < e4.length) {
            let o2 = e4.charCodeAt(++n2);
            (o2 & 64512) === 56320 && (i4 = 65536 + ((i4 & 1023) << 10) + (o2 & 1023));
          }
          if (r2) {
            if (r2 = false, !r3(i4))
              return false;
          } else if (!n3(i4))
            return false;
        }
        return !r2;
      }
    });
    var u3 = b((Go) => {
      "use strict";
      Object.defineProperty(Go, "__esModule", { value: true });
      Go.isKeyword = hpe;
      Go.isReservedWord = s3;
      Go.isStrictBindOnlyReservedWord = a3;
      Go.isStrictBindReservedWord = fpe;
      Go.isStrictReservedWord = o3;
      var TE3 = { keyword: ["break", "case", "catch", "continue", "debugger", "default", "do", "else", "finally", "for", "function", "if", "return", "switch", "throw", "try", "var", "const", "while", "with", "new", "this", "super", "class", "extends", "export", "import", "null", "true", "false", "in", "instanceof", "typeof", "void", "delete"], strict: ["implements", "interface", "let", "package", "private", "protected", "public", "static", "yield"], strictBind: ["eval", "arguments"] }, upe = new Set(TE3.keyword), cpe = new Set(TE3.strict), lpe = new Set(TE3.strictBind);
      function s3(e3, r2) {
        return r2 && e3 === "await" || e3 === "enum";
      }
      function o3(e3, r2) {
        return s3(e3, r2) || cpe.has(e3);
      }
      function a3(e3) {
        return lpe.has(e3);
      }
      function fpe(e3, r2) {
        return o3(e3, r2) || a3(e3);
      }
      function hpe(e3) {
        return upe.has(e3);
      }
    });
    var c3 = b((Qn) => {
      "use strict";
      Object.defineProperty(Qn, "__esModule", { value: true });
      Object.defineProperty(Qn, "isIdentifierChar", { enumerable: true, get: function() {
        return RE.isIdentifierChar;
      } });
      Object.defineProperty(Qn, "isIdentifierName", { enumerable: true, get: function() {
        return RE.isIdentifierName;
      } });
      Object.defineProperty(Qn, "isIdentifierStart", { enumerable: true, get: function() {
        return RE.isIdentifierStart;
      } });
      Object.defineProperty(Qn, "isKeyword", { enumerable: true, get: function() {
        return Rl.isKeyword;
      } });
      Object.defineProperty(Qn, "isReservedWord", { enumerable: true, get: function() {
        return Rl.isReservedWord;
      } });
      Object.defineProperty(Qn, "isStrictBindOnlyReservedWord", { enumerable: true, get: function() {
        return Rl.isStrictBindOnlyReservedWord;
      } });
      Object.defineProperty(Qn, "isStrictBindReservedWord", { enumerable: true, get: function() {
        return Rl.isStrictBindReservedWord;
      } });
      Object.defineProperty(Qn, "isStrictReservedWord", { enumerable: true, get: function() {
        return Rl.isStrictReservedWord;
      } });
      var RE = i3(), Rl = u3();
    });
    var f3 = b((Rke, l3) => {
      "use strict";
      var ppe = /[|\\{}()[\]^$+*?.]/g;
      l3.exports = function(e3) {
        if (typeof e3 != "string")
          throw new TypeError("Expected a string");
        return e3.replace(ppe, "\\$&");
      };
    });
    var p3 = b((Cke, h3) => {
      "use strict";
      h3.exports = { aliceblue: [240, 248, 255], antiquewhite: [250, 235, 215], aqua: [0, 255, 255], aquamarine: [127, 255, 212], azure: [240, 255, 255], beige: [245, 245, 220], bisque: [255, 228, 196], black: [0, 0, 0], blanchedalmond: [255, 235, 205], blue: [0, 0, 255], blueviolet: [138, 43, 226], brown: [165, 42, 42], burlywood: [222, 184, 135], cadetblue: [95, 158, 160], chartreuse: [127, 255, 0], chocolate: [210, 105, 30], coral: [255, 127, 80], cornflowerblue: [100, 149, 237], cornsilk: [255, 248, 220], crimson: [220, 20, 60], cyan: [0, 255, 255], darkblue: [0, 0, 139], darkcyan: [0, 139, 139], darkgoldenrod: [184, 134, 11], darkgray: [169, 169, 169], darkgreen: [0, 100, 0], darkgrey: [169, 169, 169], darkkhaki: [189, 183, 107], darkmagenta: [139, 0, 139], darkolivegreen: [85, 107, 47], darkorange: [255, 140, 0], darkorchid: [153, 50, 204], darkred: [139, 0, 0], darksalmon: [233, 150, 122], darkseagreen: [143, 188, 143], darkslateblue: [72, 61, 139], darkslategray: [47, 79, 79], darkslategrey: [47, 79, 79], darkturquoise: [0, 206, 209], darkviolet: [148, 0, 211], deeppink: [255, 20, 147], deepskyblue: [0, 191, 255], dimgray: [105, 105, 105], dimgrey: [105, 105, 105], dodgerblue: [30, 144, 255], firebrick: [178, 34, 34], floralwhite: [255, 250, 240], forestgreen: [34, 139, 34], fuchsia: [255, 0, 255], gainsboro: [220, 220, 220], ghostwhite: [248, 248, 255], gold: [255, 215, 0], goldenrod: [218, 165, 32], gray: [128, 128, 128], green: [0, 128, 0], greenyellow: [173, 255, 47], grey: [128, 128, 128], honeydew: [240, 255, 240], hotpink: [255, 105, 180], indianred: [205, 92, 92], indigo: [75, 0, 130], ivory: [255, 255, 240], khaki: [240, 230, 140], lavender: [230, 230, 250], lavenderblush: [255, 240, 245], lawngreen: [124, 252, 0], lemonchiffon: [255, 250, 205], lightblue: [173, 216, 230], lightcoral: [240, 128, 128], lightcyan: [224, 255, 255], lightgoldenrodyellow: [250, 250, 210], lightgray: [211, 211, 211], lightgreen: [144, 238, 144], lightgrey: [211, 211, 211], lightpink: [255, 182, 193], lightsalmon: [255, 160, 122], lightseagreen: [32, 178, 170], lightskyblue: [135, 206, 250], lightslategray: [119, 136, 153], lightslategrey: [119, 136, 153], lightsteelblue: [176, 196, 222], lightyellow: [255, 255, 224], lime: [0, 255, 0], limegreen: [50, 205, 50], linen: [250, 240, 230], magenta: [255, 0, 255], maroon: [128, 0, 0], mediumaquamarine: [102, 205, 170], mediumblue: [0, 0, 205], mediumorchid: [186, 85, 211], mediumpurple: [147, 112, 219], mediumseagreen: [60, 179, 113], mediumslateblue: [123, 104, 238], mediumspringgreen: [0, 250, 154], mediumturquoise: [72, 209, 204], mediumvioletred: [199, 21, 133], midnightblue: [25, 25, 112], mintcream: [245, 255, 250], mistyrose: [255, 228, 225], moccasin: [255, 228, 181], navajowhite: [255, 222, 173], navy: [0, 0, 128], oldlace: [253, 245, 230], olive: [128, 128, 0], olivedrab: [107, 142, 35], orange: [255, 165, 0], orangered: [255, 69, 0], orchid: [218, 112, 214], palegoldenrod: [238, 232, 170], palegreen: [152, 251, 152], paleturquoise: [175, 238, 238], palevioletred: [219, 112, 147], papayawhip: [255, 239, 213], peachpuff: [255, 218, 185], peru: [205, 133, 63], pink: [255, 192, 203], plum: [221, 160, 221], powderblue: [176, 224, 230], purple: [128, 0, 128], rebeccapurple: [102, 51, 153], red: [255, 0, 0], rosybrown: [188, 143, 143], royalblue: [65, 105, 225], saddlebrown: [139, 69, 19], salmon: [250, 128, 114], sandybrown: [244, 164, 96], seagreen: [46, 139, 87], seashell: [255, 245, 238], sienna: [160, 82, 45], silver: [192, 192, 192], skyblue: [135, 206, 235], slateblue: [106, 90, 205], slategray: [112, 128, 144], slategrey: [112, 128, 144], snow: [255, 250, 250], springgreen: [0, 255, 127], steelblue: [70, 130, 180], tan: [210, 180, 140], teal: [0, 128, 128], thistle: [216, 191, 216], tomato: [255, 99, 71], turquoise: [64, 224, 208], violet: [238, 130, 238], wheat: [245, 222, 179], white: [255, 255, 255], whitesmoke: [245, 245, 245], yellow: [255, 255, 0], yellowgreen: [154, 205, 50] };
    });
    var CE = b((Ake, y3) => {
      "use strict";
      var Wo = p3(), g3 = {};
      for (Rd in Wo)
        Wo.hasOwnProperty(Rd) && (g3[Wo[Rd]] = Rd);
      var Rd, ie = y3.exports = { rgb: { channels: 3, labels: "rgb" }, hsl: { channels: 3, labels: "hsl" }, hsv: { channels: 3, labels: "hsv" }, hwb: { channels: 3, labels: "hwb" }, cmyk: { channels: 4, labels: "cmyk" }, xyz: { channels: 3, labels: "xyz" }, lab: { channels: 3, labels: "lab" }, lch: { channels: 3, labels: "lch" }, hex: { channels: 1, labels: ["hex"] }, keyword: { channels: 1, labels: ["keyword"] }, ansi16: { channels: 1, labels: ["ansi16"] }, ansi256: { channels: 1, labels: ["ansi256"] }, hcg: { channels: 3, labels: ["h", "c", "g"] }, apple: { channels: 3, labels: ["r16", "g16", "b16"] }, gray: { channels: 1, labels: ["gray"] } };
      for (dr in ie)
        if (ie.hasOwnProperty(dr)) {
          if (!("channels" in ie[dr]))
            throw new Error("missing channels property: " + dr);
          if (!("labels" in ie[dr]))
            throw new Error("missing channel labels property: " + dr);
          if (ie[dr].labels.length !== ie[dr].channels)
            throw new Error("channel and label counts mismatch: " + dr);
          d3 = ie[dr].channels, m3 = ie[dr].labels, delete ie[dr].channels, delete ie[dr].labels, Object.defineProperty(ie[dr], "channels", { value: d3 }), Object.defineProperty(ie[dr], "labels", { value: m3 });
        }
      var d3, m3, dr;
      ie.rgb.hsl = function(e3) {
        var r2 = e3[0] / 255, n2 = e3[1] / 255, i4 = e3[2] / 255, o2 = Math.min(r2, n2, i4), a3 = Math.max(r2, n2, i4), u2 = a3 - o2, c4, l2, f4;
        return a3 === o2 ? c4 = 0 : r2 === a3 ? c4 = (n2 - i4) / u2 : n2 === a3 ? c4 = 2 + (i4 - r2) / u2 : i4 === a3 && (c4 = 4 + (r2 - n2) / u2), c4 = Math.min(c4 * 60, 360), c4 < 0 && (c4 += 360), f4 = (o2 + a3) / 2, a3 === o2 ? l2 = 0 : f4 <= 0.5 ? l2 = u2 / (a3 + o2) : l2 = u2 / (2 - a3 - o2), [c4, l2 * 100, f4 * 100];
      };
      ie.rgb.hsv = function(e3) {
        var r2, n2, i4, o2, a3, u2 = e3[0] / 255, c4 = e3[1] / 255, l2 = e3[2] / 255, f4 = Math.max(u2, c4, l2), p2 = f4 - Math.min(u2, c4, l2), v2 = function(g2) {
          return (f4 - g2) / 6 / p2 + 1 / 2;
        };
        return p2 === 0 ? o2 = a3 = 0 : (a3 = p2 / f4, r2 = v2(u2), n2 = v2(c4), i4 = v2(l2), u2 === f4 ? o2 = i4 - n2 : c4 === f4 ? o2 = 1 / 3 + r2 - i4 : l2 === f4 && (o2 = 2 / 3 + n2 - r2), o2 < 0 ? o2 += 1 : o2 > 1 && (o2 -= 1)), [o2 * 360, a3 * 100, f4 * 100];
      };
      ie.rgb.hwb = function(e3) {
        var r2 = e3[0], n2 = e3[1], i4 = e3[2], o2 = ie.rgb.hsl(e3)[0], a3 = 1 / 255 * Math.min(r2, Math.min(n2, i4));
        return i4 = 1 - 1 / 255 * Math.max(r2, Math.max(n2, i4)), [o2, a3 * 100, i4 * 100];
      };
      ie.rgb.cmyk = function(e3) {
        var r2 = e3[0] / 255, n2 = e3[1] / 255, i4 = e3[2] / 255, o2, a3, u2, c4;
        return c4 = Math.min(1 - r2, 1 - n2, 1 - i4), o2 = (1 - r2 - c4) / (1 - c4) || 0, a3 = (1 - n2 - c4) / (1 - c4) || 0, u2 = (1 - i4 - c4) / (1 - c4) || 0, [o2 * 100, a3 * 100, u2 * 100, c4 * 100];
      };
      function dpe(e3, r2) {
        return Math.pow(e3[0] - r2[0], 2) + Math.pow(e3[1] - r2[1], 2) + Math.pow(e3[2] - r2[2], 2);
      }
      ie.rgb.keyword = function(e3) {
        var r2 = g3[e3];
        if (r2)
          return r2;
        var n2 = 1 / 0, i4;
        for (var o2 in Wo)
          if (Wo.hasOwnProperty(o2)) {
            var a3 = Wo[o2], u2 = dpe(e3, a3);
            u2 < n2 && (n2 = u2, i4 = o2);
          }
        return i4;
      };
      ie.keyword.rgb = function(e3) {
        return Wo[e3];
      };
      ie.rgb.xyz = function(e3) {
        var r2 = e3[0] / 255, n2 = e3[1] / 255, i4 = e3[2] / 255;
        r2 = r2 > 0.04045 ? Math.pow((r2 + 0.055) / 1.055, 2.4) : r2 / 12.92, n2 = n2 > 0.04045 ? Math.pow((n2 + 0.055) / 1.055, 2.4) : n2 / 12.92, i4 = i4 > 0.04045 ? Math.pow((i4 + 0.055) / 1.055, 2.4) : i4 / 12.92;
        var o2 = r2 * 0.4124 + n2 * 0.3576 + i4 * 0.1805, a3 = r2 * 0.2126 + n2 * 0.7152 + i4 * 0.0722, u2 = r2 * 0.0193 + n2 * 0.1192 + i4 * 0.9505;
        return [o2 * 100, a3 * 100, u2 * 100];
      };
      ie.rgb.lab = function(e3) {
        var r2 = ie.rgb.xyz(e3), n2 = r2[0], i4 = r2[1], o2 = r2[2], a3, u2, c4;
        return n2 /= 95.047, i4 /= 100, o2 /= 108.883, n2 = n2 > 8856e-6 ? Math.pow(n2, 1 / 3) : 7.787 * n2 + 16 / 116, i4 = i4 > 8856e-6 ? Math.pow(i4, 1 / 3) : 7.787 * i4 + 16 / 116, o2 = o2 > 8856e-6 ? Math.pow(o2, 1 / 3) : 7.787 * o2 + 16 / 116, a3 = 116 * i4 - 16, u2 = 500 * (n2 - i4), c4 = 200 * (i4 - o2), [a3, u2, c4];
      };
      ie.hsl.rgb = function(e3) {
        var r2 = e3[0] / 360, n2 = e3[1] / 100, i4 = e3[2] / 100, o2, a3, u2, c4, l2;
        if (n2 === 0)
          return l2 = i4 * 255, [l2, l2, l2];
        i4 < 0.5 ? a3 = i4 * (1 + n2) : a3 = i4 + n2 - i4 * n2, o2 = 2 * i4 - a3, c4 = [0, 0, 0];
        for (var f4 = 0; f4 < 3; f4++)
          u2 = r2 + 1 / 3 * -(f4 - 1), u2 < 0 && u2++, u2 > 1 && u2--, 6 * u2 < 1 ? l2 = o2 + (a3 - o2) * 6 * u2 : 2 * u2 < 1 ? l2 = a3 : 3 * u2 < 2 ? l2 = o2 + (a3 - o2) * (2 / 3 - u2) * 6 : l2 = o2, c4[f4] = l2 * 255;
        return c4;
      };
      ie.hsl.hsv = function(e3) {
        var r2 = e3[0], n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = n2, a3 = Math.max(i4, 0.01), u2, c4;
        return i4 *= 2, n2 *= i4 <= 1 ? i4 : 2 - i4, o2 *= a3 <= 1 ? a3 : 2 - a3, c4 = (i4 + n2) / 2, u2 = i4 === 0 ? 2 * o2 / (a3 + o2) : 2 * n2 / (i4 + n2), [r2, u2 * 100, c4 * 100];
      };
      ie.hsv.rgb = function(e3) {
        var r2 = e3[0] / 60, n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = Math.floor(r2) % 6, a3 = r2 - Math.floor(r2), u2 = 255 * i4 * (1 - n2), c4 = 255 * i4 * (1 - n2 * a3), l2 = 255 * i4 * (1 - n2 * (1 - a3));
        switch (i4 *= 255, o2) {
          case 0:
            return [i4, l2, u2];
          case 1:
            return [c4, i4, u2];
          case 2:
            return [u2, i4, l2];
          case 3:
            return [u2, c4, i4];
          case 4:
            return [l2, u2, i4];
          case 5:
            return [i4, u2, c4];
        }
      };
      ie.hsv.hsl = function(e3) {
        var r2 = e3[0], n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = Math.max(i4, 0.01), a3, u2, c4;
        return c4 = (2 - n2) * i4, a3 = (2 - n2) * o2, u2 = n2 * o2, u2 /= a3 <= 1 ? a3 : 2 - a3, u2 = u2 || 0, c4 /= 2, [r2, u2 * 100, c4 * 100];
      };
      ie.hwb.rgb = function(e3) {
        var r2 = e3[0] / 360, n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = n2 + i4, a3, u2, c4, l2;
        o2 > 1 && (n2 /= o2, i4 /= o2), a3 = Math.floor(6 * r2), u2 = 1 - i4, c4 = 6 * r2 - a3, a3 & 1 && (c4 = 1 - c4), l2 = n2 + c4 * (u2 - n2);
        var f4, p2, v2;
        switch (a3) {
          default:
          case 6:
          case 0:
            f4 = u2, p2 = l2, v2 = n2;
            break;
          case 1:
            f4 = l2, p2 = u2, v2 = n2;
            break;
          case 2:
            f4 = n2, p2 = u2, v2 = l2;
            break;
          case 3:
            f4 = n2, p2 = l2, v2 = u2;
            break;
          case 4:
            f4 = l2, p2 = n2, v2 = u2;
            break;
          case 5:
            f4 = u2, p2 = n2, v2 = l2;
            break;
        }
        return [f4 * 255, p2 * 255, v2 * 255];
      };
      ie.cmyk.rgb = function(e3) {
        var r2 = e3[0] / 100, n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = e3[3] / 100, a3, u2, c4;
        return a3 = 1 - Math.min(1, r2 * (1 - o2) + o2), u2 = 1 - Math.min(1, n2 * (1 - o2) + o2), c4 = 1 - Math.min(1, i4 * (1 - o2) + o2), [a3 * 255, u2 * 255, c4 * 255];
      };
      ie.xyz.rgb = function(e3) {
        var r2 = e3[0] / 100, n2 = e3[1] / 100, i4 = e3[2] / 100, o2, a3, u2;
        return o2 = r2 * 3.2406 + n2 * -1.5372 + i4 * -0.4986, a3 = r2 * -0.9689 + n2 * 1.8758 + i4 * 0.0415, u2 = r2 * 0.0557 + n2 * -0.204 + i4 * 1.057, o2 = o2 > 31308e-7 ? 1.055 * Math.pow(o2, 1 / 2.4) - 0.055 : o2 * 12.92, a3 = a3 > 31308e-7 ? 1.055 * Math.pow(a3, 1 / 2.4) - 0.055 : a3 * 12.92, u2 = u2 > 31308e-7 ? 1.055 * Math.pow(u2, 1 / 2.4) - 0.055 : u2 * 12.92, o2 = Math.min(Math.max(0, o2), 1), a3 = Math.min(Math.max(0, a3), 1), u2 = Math.min(Math.max(0, u2), 1), [o2 * 255, a3 * 255, u2 * 255];
      };
      ie.xyz.lab = function(e3) {
        var r2 = e3[0], n2 = e3[1], i4 = e3[2], o2, a3, u2;
        return r2 /= 95.047, n2 /= 100, i4 /= 108.883, r2 = r2 > 8856e-6 ? Math.pow(r2, 1 / 3) : 7.787 * r2 + 16 / 116, n2 = n2 > 8856e-6 ? Math.pow(n2, 1 / 3) : 7.787 * n2 + 16 / 116, i4 = i4 > 8856e-6 ? Math.pow(i4, 1 / 3) : 7.787 * i4 + 16 / 116, o2 = 116 * n2 - 16, a3 = 500 * (r2 - n2), u2 = 200 * (n2 - i4), [o2, a3, u2];
      };
      ie.lab.xyz = function(e3) {
        var r2 = e3[0], n2 = e3[1], i4 = e3[2], o2, a3, u2;
        a3 = (r2 + 16) / 116, o2 = n2 / 500 + a3, u2 = a3 - i4 / 200;
        var c4 = Math.pow(a3, 3), l2 = Math.pow(o2, 3), f4 = Math.pow(u2, 3);
        return a3 = c4 > 8856e-6 ? c4 : (a3 - 16 / 116) / 7.787, o2 = l2 > 8856e-6 ? l2 : (o2 - 16 / 116) / 7.787, u2 = f4 > 8856e-6 ? f4 : (u2 - 16 / 116) / 7.787, o2 *= 95.047, a3 *= 100, u2 *= 108.883, [o2, a3, u2];
      };
      ie.lab.lch = function(e3) {
        var r2 = e3[0], n2 = e3[1], i4 = e3[2], o2, a3, u2;
        return o2 = Math.atan2(i4, n2), a3 = o2 * 360 / 2 / Math.PI, a3 < 0 && (a3 += 360), u2 = Math.sqrt(n2 * n2 + i4 * i4), [r2, u2, a3];
      };
      ie.lch.lab = function(e3) {
        var r2 = e3[0], n2 = e3[1], i4 = e3[2], o2, a3, u2;
        return u2 = i4 / 360 * 2 * Math.PI, o2 = n2 * Math.cos(u2), a3 = n2 * Math.sin(u2), [r2, o2, a3];
      };
      ie.rgb.ansi16 = function(e3) {
        var r2 = e3[0], n2 = e3[1], i4 = e3[2], o2 = 1 in arguments ? arguments[1] : ie.rgb.hsv(e3)[2];
        if (o2 = Math.round(o2 / 50), o2 === 0)
          return 30;
        var a3 = 30 + (Math.round(i4 / 255) << 2 | Math.round(n2 / 255) << 1 | Math.round(r2 / 255));
        return o2 === 2 && (a3 += 60), a3;
      };
      ie.hsv.ansi16 = function(e3) {
        return ie.rgb.ansi16(ie.hsv.rgb(e3), e3[2]);
      };
      ie.rgb.ansi256 = function(e3) {
        var r2 = e3[0], n2 = e3[1], i4 = e3[2];
        if (r2 === n2 && n2 === i4)
          return r2 < 8 ? 16 : r2 > 248 ? 231 : Math.round((r2 - 8) / 247 * 24) + 232;
        var o2 = 16 + 36 * Math.round(r2 / 255 * 5) + 6 * Math.round(n2 / 255 * 5) + Math.round(i4 / 255 * 5);
        return o2;
      };
      ie.ansi16.rgb = function(e3) {
        var r2 = e3 % 10;
        if (r2 === 0 || r2 === 7)
          return e3 > 50 && (r2 += 3.5), r2 = r2 / 10.5 * 255, [r2, r2, r2];
        var n2 = (~~(e3 > 50) + 1) * 0.5, i4 = (r2 & 1) * n2 * 255, o2 = (r2 >> 1 & 1) * n2 * 255, a3 = (r2 >> 2 & 1) * n2 * 255;
        return [i4, o2, a3];
      };
      ie.ansi256.rgb = function(e3) {
        if (e3 >= 232) {
          var r2 = (e3 - 232) * 10 + 8;
          return [r2, r2, r2];
        }
        e3 -= 16;
        var n2, i4 = Math.floor(e3 / 36) / 5 * 255, o2 = Math.floor((n2 = e3 % 36) / 6) / 5 * 255, a3 = n2 % 6 / 5 * 255;
        return [i4, o2, a3];
      };
      ie.rgb.hex = function(e3) {
        var r2 = ((Math.round(e3[0]) & 255) << 16) + ((Math.round(e3[1]) & 255) << 8) + (Math.round(e3[2]) & 255), n2 = r2.toString(16).toUpperCase();
        return "000000".substring(n2.length) + n2;
      };
      ie.hex.rgb = function(e3) {
        var r2 = e3.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
        if (!r2)
          return [0, 0, 0];
        var n2 = r2[0];
        r2[0].length === 3 && (n2 = n2.split("").map(function(c4) {
          return c4 + c4;
        }).join(""));
        var i4 = parseInt(n2, 16), o2 = i4 >> 16 & 255, a3 = i4 >> 8 & 255, u2 = i4 & 255;
        return [o2, a3, u2];
      };
      ie.rgb.hcg = function(e3) {
        var r2 = e3[0] / 255, n2 = e3[1] / 255, i4 = e3[2] / 255, o2 = Math.max(Math.max(r2, n2), i4), a3 = Math.min(Math.min(r2, n2), i4), u2 = o2 - a3, c4, l2;
        return u2 < 1 ? c4 = a3 / (1 - u2) : c4 = 0, u2 <= 0 ? l2 = 0 : o2 === r2 ? l2 = (n2 - i4) / u2 % 6 : o2 === n2 ? l2 = 2 + (i4 - r2) / u2 : l2 = 4 + (r2 - n2) / u2 + 4, l2 /= 6, l2 %= 1, [l2 * 360, u2 * 100, c4 * 100];
      };
      ie.hsl.hcg = function(e3) {
        var r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = 1, o2 = 0;
        return n2 < 0.5 ? i4 = 2 * r2 * n2 : i4 = 2 * r2 * (1 - n2), i4 < 1 && (o2 = (n2 - 0.5 * i4) / (1 - i4)), [e3[0], i4 * 100, o2 * 100];
      };
      ie.hsv.hcg = function(e3) {
        var r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = r2 * n2, o2 = 0;
        return i4 < 1 && (o2 = (n2 - i4) / (1 - i4)), [e3[0], i4 * 100, o2 * 100];
      };
      ie.hcg.rgb = function(e3) {
        var r2 = e3[0] / 360, n2 = e3[1] / 100, i4 = e3[2] / 100;
        if (n2 === 0)
          return [i4 * 255, i4 * 255, i4 * 255];
        var o2 = [0, 0, 0], a3 = r2 % 1 * 6, u2 = a3 % 1, c4 = 1 - u2, l2 = 0;
        switch (Math.floor(a3)) {
          case 0:
            o2[0] = 1, o2[1] = u2, o2[2] = 0;
            break;
          case 1:
            o2[0] = c4, o2[1] = 1, o2[2] = 0;
            break;
          case 2:
            o2[0] = 0, o2[1] = 1, o2[2] = u2;
            break;
          case 3:
            o2[0] = 0, o2[1] = c4, o2[2] = 1;
            break;
          case 4:
            o2[0] = u2, o2[1] = 0, o2[2] = 1;
            break;
          default:
            o2[0] = 1, o2[1] = 0, o2[2] = c4;
        }
        return l2 = (1 - n2) * i4, [(n2 * o2[0] + l2) * 255, (n2 * o2[1] + l2) * 255, (n2 * o2[2] + l2) * 255];
      };
      ie.hcg.hsv = function(e3) {
        var r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = r2 + n2 * (1 - r2), o2 = 0;
        return i4 > 0 && (o2 = r2 / i4), [e3[0], o2 * 100, i4 * 100];
      };
      ie.hcg.hsl = function(e3) {
        var r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = n2 * (1 - r2) + 0.5 * r2, o2 = 0;
        return i4 > 0 && i4 < 0.5 ? o2 = r2 / (2 * i4) : i4 >= 0.5 && i4 < 1 && (o2 = r2 / (2 * (1 - i4))), [e3[0], o2 * 100, i4 * 100];
      };
      ie.hcg.hwb = function(e3) {
        var r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = r2 + n2 * (1 - r2);
        return [e3[0], (i4 - r2) * 100, (1 - i4) * 100];
      };
      ie.hwb.hcg = function(e3) {
        var r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = 1 - n2, o2 = i4 - r2, a3 = 0;
        return o2 < 1 && (a3 = (i4 - o2) / (1 - o2)), [e3[0], o2 * 100, a3 * 100];
      };
      ie.apple.rgb = function(e3) {
        return [e3[0] / 65535 * 255, e3[1] / 65535 * 255, e3[2] / 65535 * 255];
      };
      ie.rgb.apple = function(e3) {
        return [e3[0] / 255 * 65535, e3[1] / 255 * 65535, e3[2] / 255 * 65535];
      };
      ie.gray.rgb = function(e3) {
        return [e3[0] / 100 * 255, e3[0] / 100 * 255, e3[0] / 100 * 255];
      };
      ie.gray.hsl = ie.gray.hsv = function(e3) {
        return [0, 0, e3[0]];
      };
      ie.gray.hwb = function(e3) {
        return [0, 100, e3[0]];
      };
      ie.gray.cmyk = function(e3) {
        return [0, 0, 0, e3[0]];
      };
      ie.gray.lab = function(e3) {
        return [e3[0], 0, 0];
      };
      ie.gray.hex = function(e3) {
        var r2 = Math.round(e3[0] / 100 * 255) & 255, n2 = (r2 << 16) + (r2 << 8) + r2, i4 = n2.toString(16).toUpperCase();
        return "000000".substring(i4.length) + i4;
      };
      ie.rgb.gray = function(e3) {
        var r2 = (e3[0] + e3[1] + e3[2]) / 3;
        return [r2 / 255 * 100];
      };
    });
    var b3 = b((Ike, v3) => {
      "use strict";
      var Cd = CE();
      function mpe() {
        for (var e3 = {}, r2 = Object.keys(Cd), n2 = r2.length, i4 = 0; i4 < n2; i4++)
          e3[r2[i4]] = { distance: -1, parent: null };
        return e3;
      }
      function gpe(e3) {
        var r2 = mpe(), n2 = [e3];
        for (r2[e3].distance = 0; n2.length; )
          for (var i4 = n2.pop(), o2 = Object.keys(Cd[i4]), a3 = o2.length, u2 = 0; u2 < a3; u2++) {
            var c4 = o2[u2], l2 = r2[c4];
            l2.distance === -1 && (l2.distance = r2[i4].distance + 1, l2.parent = i4, n2.unshift(c4));
          }
        return r2;
      }
      function ype(e3, r2) {
        return function(n2) {
          return r2(e3(n2));
        };
      }
      function vpe(e3, r2) {
        for (var n2 = [r2[e3].parent, e3], i4 = Cd[r2[e3].parent][e3], o2 = r2[e3].parent; r2[o2].parent; )
          n2.unshift(r2[o2].parent), i4 = ype(Cd[r2[o2].parent][o2], i4), o2 = r2[o2].parent;
        return i4.conversion = n2, i4;
      }
      v3.exports = function(e3) {
        for (var r2 = gpe(e3), n2 = {}, i4 = Object.keys(r2), o2 = i4.length, a3 = 0; a3 < o2; a3++) {
          var u2 = i4[a3], c4 = r2[u2];
          c4.parent !== null && (n2[u2] = vpe(u2, r2));
        }
        return n2;
      };
    });
    var w3 = b((Pke, E3) => {
      "use strict";
      var AE = CE(), bpe = b3(), gu = {}, Epe = Object.keys(AE);
      function wpe(e3) {
        var r2 = function(n2) {
          return n2 == null ? n2 : (arguments.length > 1 && (n2 = Array.prototype.slice.call(arguments)), e3(n2));
        };
        return "conversion" in e3 && (r2.conversion = e3.conversion), r2;
      }
      function _pe(e3) {
        var r2 = function(n2) {
          if (n2 == null)
            return n2;
          arguments.length > 1 && (n2 = Array.prototype.slice.call(arguments));
          var i4 = e3(n2);
          if (typeof i4 == "object")
            for (var o2 = i4.length, a3 = 0; a3 < o2; a3++)
              i4[a3] = Math.round(i4[a3]);
          return i4;
        };
        return "conversion" in e3 && (r2.conversion = e3.conversion), r2;
      }
      Epe.forEach(function(e3) {
        gu[e3] = {}, Object.defineProperty(gu[e3], "channels", { value: AE[e3].channels }), Object.defineProperty(gu[e3], "labels", { value: AE[e3].labels });
        var r2 = bpe(e3), n2 = Object.keys(r2);
        n2.forEach(function(i4) {
          var o2 = r2[i4];
          gu[e3][i4] = _pe(o2), gu[e3][i4].raw = wpe(o2);
        });
      });
      E3.exports = gu;
    });
    var S3 = b((Fke, _3) => {
      "use strict";
      var yu = w3(), Ad = (e3, r2) => function() {
        return `\x1B[${e3.apply(yu, arguments) + r2}m`;
      }, Id = (e3, r2) => function() {
        let n2 = e3.apply(yu, arguments);
        return `\x1B[${38 + r2};5;${n2}m`;
      }, Pd = (e3, r2) => function() {
        let n2 = e3.apply(yu, arguments);
        return `\x1B[${38 + r2};2;${n2[0]};${n2[1]};${n2[2]}m`;
      };
      function Spe() {
        let e3 = /* @__PURE__ */ new Map(), r2 = { modifier: { reset: [0, 0], bold: [1, 22], dim: [2, 22], italic: [3, 23], underline: [4, 24], inverse: [7, 27], hidden: [8, 28], strikethrough: [9, 29] }, color: { black: [30, 39], red: [31, 39], green: [32, 39], yellow: [33, 39], blue: [34, 39], magenta: [35, 39], cyan: [36, 39], white: [37, 39], gray: [90, 39], redBright: [91, 39], greenBright: [92, 39], yellowBright: [93, 39], blueBright: [94, 39], magentaBright: [95, 39], cyanBright: [96, 39], whiteBright: [97, 39] }, bgColor: { bgBlack: [40, 49], bgRed: [41, 49], bgGreen: [42, 49], bgYellow: [43, 49], bgBlue: [44, 49], bgMagenta: [45, 49], bgCyan: [46, 49], bgWhite: [47, 49], bgBlackBright: [100, 49], bgRedBright: [101, 49], bgGreenBright: [102, 49], bgYellowBright: [103, 49], bgBlueBright: [104, 49], bgMagentaBright: [105, 49], bgCyanBright: [106, 49], bgWhiteBright: [107, 49] } };
        r2.color.grey = r2.color.gray;
        for (let o2 of Object.keys(r2)) {
          let a3 = r2[o2];
          for (let u2 of Object.keys(a3)) {
            let c4 = a3[u2];
            r2[u2] = { open: `\x1B[${c4[0]}m`, close: `\x1B[${c4[1]}m` }, a3[u2] = r2[u2], e3.set(c4[0], c4[1]);
          }
          Object.defineProperty(r2, o2, { value: a3, enumerable: false }), Object.defineProperty(r2, "codes", { value: e3, enumerable: false });
        }
        let n2 = (o2) => o2, i4 = (o2, a3, u2) => [o2, a3, u2];
        r2.color.close = "\x1B[39m", r2.bgColor.close = "\x1B[49m", r2.color.ansi = { ansi: Ad(n2, 0) }, r2.color.ansi256 = { ansi256: Id(n2, 0) }, r2.color.ansi16m = { rgb: Pd(i4, 0) }, r2.bgColor.ansi = { ansi: Ad(n2, 10) }, r2.bgColor.ansi256 = { ansi256: Id(n2, 10) }, r2.bgColor.ansi16m = { rgb: Pd(i4, 10) };
        for (let o2 of Object.keys(yu)) {
          if (typeof yu[o2] != "object")
            continue;
          let a3 = yu[o2];
          o2 === "ansi16" && (o2 = "ansi"), "ansi16" in a3 && (r2.color.ansi[o2] = Ad(a3.ansi16, 0), r2.bgColor.ansi[o2] = Ad(a3.ansi16, 10)), "ansi256" in a3 && (r2.color.ansi256[o2] = Id(a3.ansi256, 0), r2.bgColor.ansi256[o2] = Id(a3.ansi256, 10)), "rgb" in a3 && (r2.color.ansi16m[o2] = Pd(a3.rgb, 0), r2.bgColor.ansi16m[o2] = Pd(a3.rgb, 10));
        }
        return r2;
      }
      Object.defineProperty(_3, "exports", { enumerable: true, get: Spe });
    });
    var D3 = b((Lke, x3) => {
      "use strict";
      x3.exports = (e3, r2) => {
        r2 = r2 || process.argv;
        let n2 = e3.startsWith("-") ? "" : e3.length === 1 ? "-" : "--", i4 = r2.indexOf(n2 + e3), o2 = r2.indexOf("--");
        return i4 !== -1 && (o2 === -1 ? true : i4 < o2);
      };
    });
    var T3 = b((Mke, O3) => {
      "use strict";
      var xpe = require("os"), xn = D3(), sr = process.env, vu;
      xn("no-color") || xn("no-colors") || xn("color=false") ? vu = false : (xn("color") || xn("colors") || xn("color=true") || xn("color=always")) && (vu = true);
      "FORCE_COLOR" in sr && (vu = sr.FORCE_COLOR.length === 0 || parseInt(sr.FORCE_COLOR, 10) !== 0);
      function Dpe(e3) {
        return e3 === 0 ? false : { level: e3, hasBasic: true, has256: e3 >= 2, has16m: e3 >= 3 };
      }
      function Ope(e3) {
        if (vu === false)
          return 0;
        if (xn("color=16m") || xn("color=full") || xn("color=truecolor"))
          return 3;
        if (xn("color=256"))
          return 2;
        if (e3 && !e3.isTTY && vu !== true)
          return 0;
        let r2 = vu ? 1 : 0;
        if (process.platform === "win32") {
          let n2 = xpe.release().split(".");
          return Number(process.versions.node.split(".")[0]) >= 8 && Number(n2[0]) >= 10 && Number(n2[2]) >= 10586 ? Number(n2[2]) >= 14931 ? 3 : 2 : 1;
        }
        if ("CI" in sr)
          return ["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI"].some((n2) => n2 in sr) || sr.CI_NAME === "codeship" ? 1 : r2;
        if ("TEAMCITY_VERSION" in sr)
          return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(sr.TEAMCITY_VERSION) ? 1 : 0;
        if (sr.COLORTERM === "truecolor")
          return 3;
        if ("TERM_PROGRAM" in sr) {
          let n2 = parseInt((sr.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
          switch (sr.TERM_PROGRAM) {
            case "iTerm.app":
              return n2 >= 3 ? 3 : 2;
            case "Apple_Terminal":
              return 2;
          }
        }
        return /-256(color)?$/i.test(sr.TERM) ? 2 : /^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(sr.TERM) || "COLORTERM" in sr ? 1 : (sr.TERM === "dumb", r2);
      }
      function IE(e3) {
        let r2 = Ope(e3);
        return Dpe(r2);
      }
      O3.exports = { supportsColor: IE, stdout: IE(process.stdout), stderr: IE(process.stderr) };
    });
    var P3 = b((Nke, I3) => {
      "use strict";
      var Tpe = /(?:\\(u[a-f\d]{4}|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi, R3 = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g, Rpe = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/, Cpe = /\\(u[a-f\d]{4}|x[a-f\d]{2}|.)|([^\\])/gi, Ape = /* @__PURE__ */ new Map([["n", `
`], ["r", "\r"], ["t", "	"], ["b", "\b"], ["f", "\f"], ["v", "\v"], ["0", "\0"], ["\\", "\\"], ["e", "\x1B"], ["a", "\x07"]]);
      function A3(e3) {
        return e3[0] === "u" && e3.length === 5 || e3[0] === "x" && e3.length === 3 ? String.fromCharCode(parseInt(e3.slice(1), 16)) : Ape.get(e3) || e3;
      }
      function Ipe(e3, r2) {
        let n2 = [], i4 = r2.trim().split(/\s*,\s*/g), o2;
        for (let a3 of i4)
          if (!isNaN(a3))
            n2.push(Number(a3));
          else if (o2 = a3.match(Rpe))
            n2.push(o2[2].replace(Cpe, (u2, c4, l2) => c4 ? A3(c4) : l2));
          else
            throw new Error(`Invalid Chalk template style argument: ${a3} (in style '${e3}')`);
        return n2;
      }
      function Ppe(e3) {
        R3.lastIndex = 0;
        let r2 = [], n2;
        for (; (n2 = R3.exec(e3)) !== null; ) {
          let i4 = n2[1];
          if (n2[2]) {
            let o2 = Ipe(i4, n2[2]);
            r2.push([i4].concat(o2));
          } else
            r2.push([i4]);
        }
        return r2;
      }
      function C3(e3, r2) {
        let n2 = {};
        for (let o2 of r2)
          for (let a3 of o2.styles)
            n2[a3[0]] = o2.inverse ? null : a3.slice(1);
        let i4 = e3;
        for (let o2 of Object.keys(n2))
          if (Array.isArray(n2[o2])) {
            if (!(o2 in i4))
              throw new Error(`Unknown Chalk style: ${o2}`);
            n2[o2].length > 0 ? i4 = i4[o2].apply(i4, n2[o2]) : i4 = i4[o2];
          }
        return i4;
      }
      I3.exports = (e3, r2) => {
        let n2 = [], i4 = [], o2 = [];
        if (r2.replace(Tpe, (a3, u2, c4, l2, f4, p2) => {
          if (u2)
            o2.push(A3(u2));
          else if (l2) {
            let v2 = o2.join("");
            o2 = [], i4.push(n2.length === 0 ? v2 : C3(e3, n2)(v2)), n2.push({ inverse: c4, styles: Ppe(l2) });
          } else if (f4) {
            if (n2.length === 0)
              throw new Error("Found extraneous } in Chalk template literal");
            i4.push(C3(e3, n2)(o2.join(""))), o2 = [], n2.pop();
          } else
            o2.push(p2);
        }), i4.push(o2.join("")), n2.length > 0) {
          let a3 = `Chalk template literal is missing ${n2.length} closing bracket${n2.length === 1 ? "" : "s"} (\`}\`)`;
          throw new Error(a3);
        }
        return i4.join("");
      };
    });
    var k3 = b((kke, Al) => {
      "use strict";
      var FE = f3(), xt = S3(), PE = T3().stdout, Fpe = P3(), L3 = process.platform === "win32" && !(process.env.TERM || "").toLowerCase().startsWith("xterm"), M3 = ["ansi", "ansi", "ansi256", "ansi16m"], N3 = /* @__PURE__ */ new Set(["gray"]), bu = /* @__PURE__ */ Object.create(null);
      function F3(e3, r2) {
        r2 = r2 || {};
        let n2 = PE ? PE.level : 0;
        e3.level = r2.level === void 0 ? n2 : r2.level, e3.enabled = "enabled" in r2 ? r2.enabled : e3.level > 0;
      }
      function Cl(e3) {
        if (!this || !(this instanceof Cl) || this.template) {
          let r2 = {};
          return F3(r2, e3), r2.template = function() {
            let n2 = [].slice.call(arguments);
            return Npe.apply(null, [r2.template].concat(n2));
          }, Object.setPrototypeOf(r2, Cl.prototype), Object.setPrototypeOf(r2.template, r2), r2.template.constructor = Cl, r2.template;
        }
        F3(this, e3);
      }
      L3 && (xt.blue.open = "\x1B[94m");
      for (let e3 of Object.keys(xt))
        xt[e3].closeRe = new RegExp(FE(xt[e3].close), "g"), bu[e3] = { get() {
          let r2 = xt[e3];
          return Fd.call(this, this._styles ? this._styles.concat(r2) : [r2], this._empty, e3);
        } };
      bu.visible = { get() {
        return Fd.call(this, this._styles || [], true, "visible");
      } };
      xt.color.closeRe = new RegExp(FE(xt.color.close), "g");
      for (let e3 of Object.keys(xt.color.ansi))
        N3.has(e3) || (bu[e3] = { get() {
          let r2 = this.level;
          return function() {
            let i4 = { open: xt.color[M3[r2]][e3].apply(null, arguments), close: xt.color.close, closeRe: xt.color.closeRe };
            return Fd.call(this, this._styles ? this._styles.concat(i4) : [i4], this._empty, e3);
          };
        } });
      xt.bgColor.closeRe = new RegExp(FE(xt.bgColor.close), "g");
      for (let e3 of Object.keys(xt.bgColor.ansi)) {
        if (N3.has(e3))
          continue;
        let r2 = "bg" + e3[0].toUpperCase() + e3.slice(1);
        bu[r2] = { get() {
          let n2 = this.level;
          return function() {
            let o2 = { open: xt.bgColor[M3[n2]][e3].apply(null, arguments), close: xt.bgColor.close, closeRe: xt.bgColor.closeRe };
            return Fd.call(this, this._styles ? this._styles.concat(o2) : [o2], this._empty, e3);
          };
        } };
      }
      var Lpe = Object.defineProperties(() => {
      }, bu);
      function Fd(e3, r2, n2) {
        let i4 = function() {
          return Mpe.apply(i4, arguments);
        };
        i4._styles = e3, i4._empty = r2;
        let o2 = this;
        return Object.defineProperty(i4, "level", { enumerable: true, get() {
          return o2.level;
        }, set(a3) {
          o2.level = a3;
        } }), Object.defineProperty(i4, "enabled", { enumerable: true, get() {
          return o2.enabled;
        }, set(a3) {
          o2.enabled = a3;
        } }), i4.hasGrey = this.hasGrey || n2 === "gray" || n2 === "grey", i4.__proto__ = Lpe, i4;
      }
      function Mpe() {
        let e3 = arguments, r2 = e3.length, n2 = String(arguments[0]);
        if (r2 === 0)
          return "";
        if (r2 > 1)
          for (let o2 = 1; o2 < r2; o2++)
            n2 += " " + e3[o2];
        if (!this.enabled || this.level <= 0 || !n2)
          return this._empty ? "" : n2;
        let i4 = xt.dim.open;
        L3 && this.hasGrey && (xt.dim.open = "");
        for (let o2 of this._styles.slice().reverse())
          n2 = o2.open + n2.replace(o2.closeRe, o2.open) + o2.close, n2 = n2.replace(/\r?\n/g, `${o2.close}$&${o2.open}`);
        return xt.dim.open = i4, n2;
      }
      function Npe(e3, r2) {
        if (!Array.isArray(r2))
          return [].slice.call(arguments, 1).join(" ");
        let n2 = [].slice.call(arguments, 2), i4 = [r2.raw[0]];
        for (let o2 = 1; o2 < r2.length; o2++)
          i4.push(String(n2[o2 - 1]).replace(/[{}\\]/g, "\\$&")), i4.push(String(r2.raw[o2]));
        return Fpe(e3, i4.join(""));
      }
      Object.defineProperties(Cl.prototype, bu);
      Al.exports = Cl();
      Al.exports.supportsColor = PE;
      Al.exports.default = Al.exports;
    });
    var G3 = b((Il) => {
      "use strict";
      Object.defineProperty(Il, "__esModule", { value: true });
      Il.default = Upe;
      Il.getChalk = U3;
      Il.shouldHighlight = j3;
      var $3 = Z6(), q3 = c3(), LE = k3(), kpe = /* @__PURE__ */ new Set(["as", "async", "from", "get", "of", "set"]);
      function $pe(e3) {
        return { keyword: e3.cyan, capitalized: e3.yellow, jsxIdentifier: e3.yellow, punctuator: e3.yellow, number: e3.magenta, string: e3.green, regex: e3.magenta, comment: e3.grey, invalid: e3.white.bgRed.bold };
      }
      var qpe = /\r\n|[\n\r\u2028\u2029]/, Bpe = /^[()[\]{}]$/, B3;
      {
        let e3 = /^[a-z][\w-]*$/i, r2 = function(n2, i4, o2) {
          if (n2.type === "name") {
            if ((0, q3.isKeyword)(n2.value) || (0, q3.isStrictReservedWord)(n2.value, true) || kpe.has(n2.value))
              return "keyword";
            if (e3.test(n2.value) && (o2[i4 - 1] === "<" || o2.slice(i4 - 2, i4) == "</"))
              return "jsxIdentifier";
            if (n2.value[0] !== n2.value[0].toLowerCase())
              return "capitalized";
          }
          return n2.type === "punctuator" && Bpe.test(n2.value) ? "bracket" : n2.type === "invalid" && (n2.value === "@" || n2.value === "#") ? "punctuator" : n2.type;
        };
        B3 = function* (n2) {
          let i4;
          for (; i4 = $3.default.exec(n2); ) {
            let o2 = $3.matchToToken(i4);
            yield { type: r2(o2, i4.index, n2), value: o2.value };
          }
        };
      }
      function jpe(e3, r2) {
        let n2 = "";
        for (let { type: i4, value: o2 } of B3(r2)) {
          let a3 = e3[i4];
          a3 ? n2 += o2.split(qpe).map((u2) => a3(u2)).join(`
`) : n2 += o2;
        }
        return n2;
      }
      function j3(e3) {
        return !!LE.supportsColor || e3.forceColor;
      }
      function U3(e3) {
        return e3.forceColor ? new LE.constructor({ enabled: true, level: 1 }) : LE;
      }
      function Upe(e3, r2 = {}) {
        if (e3 !== "" && j3(r2)) {
          let n2 = U3(r2), i4 = $pe(n2);
          return jpe(i4, e3);
        } else
          return e3;
      }
    });
    var K3 = b((Ld) => {
      "use strict";
      Object.defineProperty(Ld, "__esModule", { value: true });
      Ld.codeFrameColumns = V3;
      Ld.default = Hpe;
      var ME = G3(), W3 = false;
      function Gpe(e3) {
        return { gutter: e3.grey, marker: e3.red.bold, message: e3.red.bold };
      }
      var H3 = /\r\n|[\n\r\u2028\u2029]/;
      function Wpe(e3, r2, n2) {
        let i4 = Object.assign({ column: 0, line: -1 }, e3.start), o2 = Object.assign({}, i4, e3.end), { linesAbove: a3 = 2, linesBelow: u2 = 3 } = n2 || {}, c4 = i4.line, l2 = i4.column, f4 = o2.line, p2 = o2.column, v2 = Math.max(c4 - (a3 + 1), 0), g2 = Math.min(r2.length, f4 + u2);
        c4 === -1 && (v2 = 0), f4 === -1 && (g2 = r2.length);
        let S2 = f4 - c4, D = {};
        if (S2)
          for (let T6 = 0; T6 <= S2; T6++) {
            let R = T6 + c4;
            if (!l2)
              D[R] = true;
            else if (T6 === 0) {
              let A2 = r2[R - 1].length;
              D[R] = [l2, A2 - l2 + 1];
            } else if (T6 === S2)
              D[R] = [0, p2];
            else {
              let A2 = r2[R - T6].length;
              D[R] = [0, A2];
            }
          }
        else
          l2 === p2 ? l2 ? D[c4] = [l2, 0] : D[c4] = true : D[c4] = [l2, p2 - l2];
        return { start: v2, end: g2, markerLines: D };
      }
      function V3(e3, r2, n2 = {}) {
        let i4 = (n2.highlightCode || n2.forceColor) && (0, ME.shouldHighlight)(n2), o2 = (0, ME.getChalk)(n2), a3 = Gpe(o2), u2 = (T6, R) => i4 ? T6(R) : R, c4 = e3.split(H3), { start: l2, end: f4, markerLines: p2 } = Wpe(r2, c4, n2), v2 = r2.start && typeof r2.start.column == "number", g2 = String(f4).length, D = (i4 ? (0, ME.default)(e3, n2) : e3).split(H3, f4).slice(l2, f4).map((T6, R) => {
          let A2 = l2 + 1 + R, N = ` ${` ${A2}`.slice(-g2)} |`, q = p2[A2], B = !p2[A2 + 1];
          if (q) {
            let W = "";
            if (Array.isArray(q)) {
              let P = T6.slice(0, Math.max(q[0] - 1, 0)).replace(/[^\t]/g, " "), $3 = q[1] || 1;
              W = [`
 `, u2(a3.gutter, N.replace(/\d/g, " ")), " ", P, u2(a3.marker, "^").repeat($3)].join(""), B && n2.message && (W += " " + u2(a3.message, n2.message));
            }
            return [u2(a3.marker, ">"), u2(a3.gutter, N), T6.length > 0 ? ` ${T6}` : "", W].join("");
          } else
            return ` ${u2(a3.gutter, N)}${T6.length > 0 ? ` ${T6}` : ""}`;
        }).join(`
`);
        return n2.message && !v2 && (D = `${" ".repeat(g2 + 1)}${n2.message}
${D}`), i4 ? o2.reset(D) : D;
      }
      function Hpe(e3, r2, n2, i4 = {}) {
        if (!W3) {
          W3 = true;
          let a3 = "Passing lineNumber and colNumber is deprecated to @babel/code-frame. Please use `codeFrameColumns`.";
          if (process.emitWarning)
            process.emitWarning(a3, "DeprecationWarning");
          else {
            let u2 = new Error(a3);
            u2.name = "DeprecationWarning", console.warn(new Error(a3));
          }
        }
        return n2 = Math.max(n2, 0), V3(e3, { start: { column: n2, line: r2 } }, i4);
      }
    });
    var X3 = b((Bke, J3) => {
      "use strict";
      var NE = V6(), Vpe = Y6(), { default: Kpe } = Q6(), { codeFrameColumns: zpe } = K3(), z3 = NE("JSONError", { fileName: NE.append("in %s"), codeFrame: NE.append(`

%s
`) }), Y3 = (e3, r2, n2) => {
        typeof r2 == "string" && (n2 = r2, r2 = null);
        try {
          try {
            return JSON.parse(e3, r2);
          } catch (i4) {
            throw Vpe(e3, r2), i4;
          }
        } catch (i4) {
          i4.message = i4.message.replace(/\n/g, "");
          let o2 = i4.message.match(/in JSON at position (\d+) while parsing/), a3 = new z3(i4);
          if (n2 && (a3.fileName = n2), o2 && o2.length > 0) {
            let u2 = new Kpe(e3), c4 = Number(o2[1]), l2 = u2.locationForIndex(c4), f4 = zpe(e3, { start: { line: l2.line + 1, column: l2.column + 1 } }, { highlightCode: true });
            a3.codeFrame = f4;
          }
          throw a3;
        }
      };
      Y3.JSONError = z3;
      J3.exports = Y3;
    });
    var dF = b((he, pF) => {
      "use strict";
      he = pF.exports = xe;
      var Me;
      typeof process == "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? Me = function() {
        var e3 = Array.prototype.slice.call(arguments, 0);
        e3.unshift("SEMVER"), console.log.apply(console, e3);
      } : Me = function() {
      };
      he.SEMVER_SPEC_VERSION = "2.0.0";
      var $E = 256, Md = Number.MAX_SAFE_INTEGER || 9007199254740991, kE = 16, Ge = he.re = [], H = he.src = [], Se = 0, Eu = Se++;
      H[Eu] = "0|[1-9]\\d*";
      var wu = Se++;
      H[wu] = "[0-9]+";
      var UE = Se++;
      H[UE] = "\\d*[a-zA-Z-][a-zA-Z0-9-]*";
      var Z3 = Se++;
      H[Z3] = "(" + H[Eu] + ")\\.(" + H[Eu] + ")\\.(" + H[Eu] + ")";
      var eF = Se++;
      H[eF] = "(" + H[wu] + ")\\.(" + H[wu] + ")\\.(" + H[wu] + ")";
      var qE = Se++;
      H[qE] = "(?:" + H[Eu] + "|" + H[UE] + ")";
      var BE = Se++;
      H[BE] = "(?:" + H[wu] + "|" + H[UE] + ")";
      var GE = Se++;
      H[GE] = "(?:-(" + H[qE] + "(?:\\." + H[qE] + ")*))";
      var WE = Se++;
      H[WE] = "(?:-?(" + H[BE] + "(?:\\." + H[BE] + ")*))";
      var jE = Se++;
      H[jE] = "[0-9A-Za-z-]+";
      var Ll = Se++;
      H[Ll] = "(?:\\+(" + H[jE] + "(?:\\." + H[jE] + ")*))";
      var HE = Se++, tF = "v?" + H[Z3] + H[GE] + "?" + H[Ll] + "?";
      H[HE] = "^" + tF + "$";
      var VE = "[v=\\s]*" + H[eF] + H[WE] + "?" + H[Ll] + "?", KE = Se++;
      H[KE] = "^" + VE + "$";
      var xu = Se++;
      H[xu] = "((?:<|>)?=?)";
      var Nd = Se++;
      H[Nd] = H[wu] + "|x|X|\\*";
      var kd = Se++;
      H[kd] = H[Eu] + "|x|X|\\*";
      var Ho = Se++;
      H[Ho] = "[v=\\s]*(" + H[kd] + ")(?:\\.(" + H[kd] + ")(?:\\.(" + H[kd] + ")(?:" + H[GE] + ")?" + H[Ll] + "?)?)?";
      var Su = Se++;
      H[Su] = "[v=\\s]*(" + H[Nd] + ")(?:\\.(" + H[Nd] + ")(?:\\.(" + H[Nd] + ")(?:" + H[WE] + ")?" + H[Ll] + "?)?)?";
      var rF = Se++;
      H[rF] = "^" + H[xu] + "\\s*" + H[Ho] + "$";
      var nF = Se++;
      H[nF] = "^" + H[xu] + "\\s*" + H[Su] + "$";
      var iF = Se++;
      H[iF] = "(?:^|[^\\d])(\\d{1," + kE + "})(?:\\.(\\d{1," + kE + "}))?(?:\\.(\\d{1," + kE + "}))?(?:$|[^\\d])";
      var Gd = Se++;
      H[Gd] = "(?:~>?)";
      var $d = Se++;
      H[$d] = "(\\s*)" + H[Gd] + "\\s+";
      Ge[$d] = new RegExp(H[$d], "g");
      var Ype = "$1~", sF = Se++;
      H[sF] = "^" + H[Gd] + H[Ho] + "$";
      var oF = Se++;
      H[oF] = "^" + H[Gd] + H[Su] + "$";
      var Wd = Se++;
      H[Wd] = "(?:\\^)";
      var qd = Se++;
      H[qd] = "(\\s*)" + H[Wd] + "\\s+";
      Ge[qd] = new RegExp(H[qd], "g");
      var Jpe = "$1^", aF = Se++;
      H[aF] = "^" + H[Wd] + H[Ho] + "$";
      var uF = Se++;
      H[uF] = "^" + H[Wd] + H[Su] + "$";
      var zE = Se++;
      H[zE] = "^" + H[xu] + "\\s*(" + VE + ")$|^$";
      var YE = Se++;
      H[YE] = "^" + H[xu] + "\\s*(" + tF + ")$|^$";
      var Pl = Se++;
      H[Pl] = "(\\s*)" + H[xu] + "\\s*(" + VE + "|" + H[Ho] + ")";
      Ge[Pl] = new RegExp(H[Pl], "g");
      var Xpe = "$1$2$3", cF = Se++;
      H[cF] = "^\\s*(" + H[Ho] + ")\\s+-\\s+(" + H[Ho] + ")\\s*$";
      var lF = Se++;
      H[lF] = "^\\s*(" + H[Su] + ")\\s+-\\s+(" + H[Su] + ")\\s*$";
      var fF = Se++;
      H[fF] = "(<|>)?=?\\s*\\*";
      for (Ts = 0; Ts < Se; Ts++)
        Me(Ts, H[Ts]), Ge[Ts] || (Ge[Ts] = new RegExp(H[Ts]));
      var Ts;
      he.parse = Vo;
      function Vo(e3, r2) {
        if ((!r2 || typeof r2 != "object") && (r2 = { loose: !!r2, includePrerelease: false }), e3 instanceof xe)
          return e3;
        if (typeof e3 != "string" || e3.length > $E)
          return null;
        var n2 = r2.loose ? Ge[KE] : Ge[HE];
        if (!n2.test(e3))
          return null;
        try {
          return new xe(e3, r2);
        } catch {
          return null;
        }
      }
      he.valid = Qpe;
      function Qpe(e3, r2) {
        var n2 = Vo(e3, r2);
        return n2 ? n2.version : null;
      }
      he.clean = Zpe;
      function Zpe(e3, r2) {
        var n2 = Vo(e3.trim().replace(/^[=v]+/, ""), r2);
        return n2 ? n2.version : null;
      }
      he.SemVer = xe;
      function xe(e3, r2) {
        if ((!r2 || typeof r2 != "object") && (r2 = { loose: !!r2, includePrerelease: false }), e3 instanceof xe) {
          if (e3.loose === r2.loose)
            return e3;
          e3 = e3.version;
        } else if (typeof e3 != "string")
          throw new TypeError("Invalid Version: " + e3);
        if (e3.length > $E)
          throw new TypeError("version is longer than " + $E + " characters");
        if (!(this instanceof xe))
          return new xe(e3, r2);
        Me("SemVer", e3, r2), this.options = r2, this.loose = !!r2.loose;
        var n2 = e3.trim().match(r2.loose ? Ge[KE] : Ge[HE]);
        if (!n2)
          throw new TypeError("Invalid Version: " + e3);
        if (this.raw = e3, this.major = +n2[1], this.minor = +n2[2], this.patch = +n2[3], this.major > Md || this.major < 0)
          throw new TypeError("Invalid major version");
        if (this.minor > Md || this.minor < 0)
          throw new TypeError("Invalid minor version");
        if (this.patch > Md || this.patch < 0)
          throw new TypeError("Invalid patch version");
        n2[4] ? this.prerelease = n2[4].split(".").map(function(i4) {
          if (/^[0-9]+$/.test(i4)) {
            var o2 = +i4;
            if (o2 >= 0 && o2 < Md)
              return o2;
          }
          return i4;
        }) : this.prerelease = [], this.build = n2[5] ? n2[5].split(".") : [], this.format();
      }
      xe.prototype.format = function() {
        return this.version = this.major + "." + this.minor + "." + this.patch, this.prerelease.length && (this.version += "-" + this.prerelease.join(".")), this.version;
      };
      xe.prototype.toString = function() {
        return this.version;
      };
      xe.prototype.compare = function(e3) {
        return Me("SemVer.compare", this.version, this.options, e3), e3 instanceof xe || (e3 = new xe(e3, this.options)), this.compareMain(e3) || this.comparePre(e3);
      };
      xe.prototype.compareMain = function(e3) {
        return e3 instanceof xe || (e3 = new xe(e3, this.options)), _u(this.major, e3.major) || _u(this.minor, e3.minor) || _u(this.patch, e3.patch);
      };
      xe.prototype.comparePre = function(e3) {
        if (e3 instanceof xe || (e3 = new xe(e3, this.options)), this.prerelease.length && !e3.prerelease.length)
          return -1;
        if (!this.prerelease.length && e3.prerelease.length)
          return 1;
        if (!this.prerelease.length && !e3.prerelease.length)
          return 0;
        var r2 = 0;
        do {
          var n2 = this.prerelease[r2], i4 = e3.prerelease[r2];
          if (Me("prerelease compare", r2, n2, i4), n2 === void 0 && i4 === void 0)
            return 0;
          if (i4 === void 0)
            return 1;
          if (n2 === void 0)
            return -1;
          if (n2 === i4)
            continue;
          return _u(n2, i4);
        } while (++r2);
      };
      xe.prototype.inc = function(e3, r2) {
        switch (e3) {
          case "premajor":
            this.prerelease.length = 0, this.patch = 0, this.minor = 0, this.major++, this.inc("pre", r2);
            break;
          case "preminor":
            this.prerelease.length = 0, this.patch = 0, this.minor++, this.inc("pre", r2);
            break;
          case "prepatch":
            this.prerelease.length = 0, this.inc("patch", r2), this.inc("pre", r2);
            break;
          case "prerelease":
            this.prerelease.length === 0 && this.inc("patch", r2), this.inc("pre", r2);
            break;
          case "major":
            (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) && this.major++, this.minor = 0, this.patch = 0, this.prerelease = [];
            break;
          case "minor":
            (this.patch !== 0 || this.prerelease.length === 0) && this.minor++, this.patch = 0, this.prerelease = [];
            break;
          case "patch":
            this.prerelease.length === 0 && this.patch++, this.prerelease = [];
            break;
          case "pre":
            if (this.prerelease.length === 0)
              this.prerelease = [0];
            else {
              for (var n2 = this.prerelease.length; --n2 >= 0; )
                typeof this.prerelease[n2] == "number" && (this.prerelease[n2]++, n2 = -2);
              n2 === -1 && this.prerelease.push(0);
            }
            r2 && (this.prerelease[0] === r2 ? isNaN(this.prerelease[1]) && (this.prerelease = [r2, 0]) : this.prerelease = [r2, 0]);
            break;
          default:
            throw new Error("invalid increment argument: " + e3);
        }
        return this.format(), this.raw = this.version, this;
      };
      he.inc = ede;
      function ede(e3, r2, n2, i4) {
        typeof n2 == "string" && (i4 = n2, n2 = void 0);
        try {
          return new xe(e3, n2).inc(r2, i4).version;
        } catch {
          return null;
        }
      }
      he.diff = tde;
      function tde(e3, r2) {
        if (JE(e3, r2))
          return null;
        var n2 = Vo(e3), i4 = Vo(r2), o2 = "";
        if (n2.prerelease.length || i4.prerelease.length) {
          o2 = "pre";
          var a3 = "prerelease";
        }
        for (var u2 in n2)
          if ((u2 === "major" || u2 === "minor" || u2 === "patch") && n2[u2] !== i4[u2])
            return o2 + u2;
        return a3;
      }
      he.compareIdentifiers = _u;
      var Q3 = /^[0-9]+$/;
      function _u(e3, r2) {
        var n2 = Q3.test(e3), i4 = Q3.test(r2);
        return n2 && i4 && (e3 = +e3, r2 = +r2), e3 === r2 ? 0 : n2 && !i4 ? -1 : i4 && !n2 ? 1 : e3 < r2 ? -1 : 1;
      }
      he.rcompareIdentifiers = rde;
      function rde(e3, r2) {
        return _u(r2, e3);
      }
      he.major = nde;
      function nde(e3, r2) {
        return new xe(e3, r2).major;
      }
      he.minor = ide;
      function ide(e3, r2) {
        return new xe(e3, r2).minor;
      }
      he.patch = sde;
      function sde(e3, r2) {
        return new xe(e3, r2).patch;
      }
      he.compare = Ci;
      function Ci(e3, r2, n2) {
        return new xe(e3, n2).compare(new xe(r2, n2));
      }
      he.compareLoose = ode;
      function ode(e3, r2) {
        return Ci(e3, r2, true);
      }
      he.rcompare = ade;
      function ade(e3, r2, n2) {
        return Ci(r2, e3, n2);
      }
      he.sort = ude;
      function ude(e3, r2) {
        return e3.sort(function(n2, i4) {
          return he.compare(n2, i4, r2);
        });
      }
      he.rsort = cde;
      function cde(e3, r2) {
        return e3.sort(function(n2, i4) {
          return he.rcompare(n2, i4, r2);
        });
      }
      he.gt = Fl;
      function Fl(e3, r2, n2) {
        return Ci(e3, r2, n2) > 0;
      }
      he.lt = Bd;
      function Bd(e3, r2, n2) {
        return Ci(e3, r2, n2) < 0;
      }
      he.eq = JE;
      function JE(e3, r2, n2) {
        return Ci(e3, r2, n2) === 0;
      }
      he.neq = hF;
      function hF(e3, r2, n2) {
        return Ci(e3, r2, n2) !== 0;
      }
      he.gte = XE;
      function XE(e3, r2, n2) {
        return Ci(e3, r2, n2) >= 0;
      }
      he.lte = QE;
      function QE(e3, r2, n2) {
        return Ci(e3, r2, n2) <= 0;
      }
      he.cmp = jd;
      function jd(e3, r2, n2, i4) {
        switch (r2) {
          case "===":
            return typeof e3 == "object" && (e3 = e3.version), typeof n2 == "object" && (n2 = n2.version), e3 === n2;
          case "!==":
            return typeof e3 == "object" && (e3 = e3.version), typeof n2 == "object" && (n2 = n2.version), e3 !== n2;
          case "":
          case "=":
          case "==":
            return JE(e3, n2, i4);
          case "!=":
            return hF(e3, n2, i4);
          case ">":
            return Fl(e3, n2, i4);
          case ">=":
            return XE(e3, n2, i4);
          case "<":
            return Bd(e3, n2, i4);
          case "<=":
            return QE(e3, n2, i4);
          default:
            throw new TypeError("Invalid operator: " + r2);
        }
      }
      he.Comparator = sn;
      function sn(e3, r2) {
        if ((!r2 || typeof r2 != "object") && (r2 = { loose: !!r2, includePrerelease: false }), e3 instanceof sn) {
          if (e3.loose === !!r2.loose)
            return e3;
          e3 = e3.value;
        }
        if (!(this instanceof sn))
          return new sn(e3, r2);
        Me("comparator", e3, r2), this.options = r2, this.loose = !!r2.loose, this.parse(e3), this.semver === Ml ? this.value = "" : this.value = this.operator + this.semver.version, Me("comp", this);
      }
      var Ml = {};
      sn.prototype.parse = function(e3) {
        var r2 = this.options.loose ? Ge[zE] : Ge[YE], n2 = e3.match(r2);
        if (!n2)
          throw new TypeError("Invalid comparator: " + e3);
        this.operator = n2[1], this.operator === "=" && (this.operator = ""), n2[2] ? this.semver = new xe(n2[2], this.options.loose) : this.semver = Ml;
      };
      sn.prototype.toString = function() {
        return this.value;
      };
      sn.prototype.test = function(e3) {
        return Me("Comparator.test", e3, this.options.loose), this.semver === Ml ? true : (typeof e3 == "string" && (e3 = new xe(e3, this.options)), jd(e3, this.operator, this.semver, this.options));
      };
      sn.prototype.intersects = function(e3, r2) {
        if (!(e3 instanceof sn))
          throw new TypeError("a Comparator is required");
        (!r2 || typeof r2 != "object") && (r2 = { loose: !!r2, includePrerelease: false });
        var n2;
        if (this.operator === "")
          return n2 = new ut(e3.value, r2), Ud(this.value, n2, r2);
        if (e3.operator === "")
          return n2 = new ut(this.value, r2), Ud(e3.semver, n2, r2);
        var i4 = (this.operator === ">=" || this.operator === ">") && (e3.operator === ">=" || e3.operator === ">"), o2 = (this.operator === "<=" || this.operator === "<") && (e3.operator === "<=" || e3.operator === "<"), a3 = this.semver.version === e3.semver.version, u2 = (this.operator === ">=" || this.operator === "<=") && (e3.operator === ">=" || e3.operator === "<="), c4 = jd(this.semver, "<", e3.semver, r2) && (this.operator === ">=" || this.operator === ">") && (e3.operator === "<=" || e3.operator === "<"), l2 = jd(this.semver, ">", e3.semver, r2) && (this.operator === "<=" || this.operator === "<") && (e3.operator === ">=" || e3.operator === ">");
        return i4 || o2 || a3 && u2 || c4 || l2;
      };
      he.Range = ut;
      function ut(e3, r2) {
        if ((!r2 || typeof r2 != "object") && (r2 = { loose: !!r2, includePrerelease: false }), e3 instanceof ut)
          return e3.loose === !!r2.loose && e3.includePrerelease === !!r2.includePrerelease ? e3 : new ut(e3.raw, r2);
        if (e3 instanceof sn)
          return new ut(e3.value, r2);
        if (!(this instanceof ut))
          return new ut(e3, r2);
        if (this.options = r2, this.loose = !!r2.loose, this.includePrerelease = !!r2.includePrerelease, this.raw = e3, this.set = e3.split(/\s*\|\|\s*/).map(function(n2) {
          return this.parseRange(n2.trim());
        }, this).filter(function(n2) {
          return n2.length;
        }), !this.set.length)
          throw new TypeError("Invalid SemVer Range: " + e3);
        this.format();
      }
      ut.prototype.format = function() {
        return this.range = this.set.map(function(e3) {
          return e3.join(" ").trim();
        }).join("||").trim(), this.range;
      };
      ut.prototype.toString = function() {
        return this.range;
      };
      ut.prototype.parseRange = function(e3) {
        var r2 = this.options.loose;
        e3 = e3.trim();
        var n2 = r2 ? Ge[lF] : Ge[cF];
        e3 = e3.replace(n2, bde), Me("hyphen replace", e3), e3 = e3.replace(Ge[Pl], Xpe), Me("comparator trim", e3, Ge[Pl]), e3 = e3.replace(Ge[$d], Ype), e3 = e3.replace(Ge[qd], Jpe), e3 = e3.split(/\s+/).join(" ");
        var i4 = r2 ? Ge[zE] : Ge[YE], o2 = e3.split(" ").map(function(a3) {
          return fde(a3, this.options);
        }, this).join(" ").split(/\s+/);
        return this.options.loose && (o2 = o2.filter(function(a3) {
          return !!a3.match(i4);
        })), o2 = o2.map(function(a3) {
          return new sn(a3, this.options);
        }, this), o2;
      };
      ut.prototype.intersects = function(e3, r2) {
        if (!(e3 instanceof ut))
          throw new TypeError("a Range is required");
        return this.set.some(function(n2) {
          return n2.every(function(i4) {
            return e3.set.some(function(o2) {
              return o2.every(function(a3) {
                return i4.intersects(a3, r2);
              });
            });
          });
        });
      };
      he.toComparators = lde;
      function lde(e3, r2) {
        return new ut(e3, r2).set.map(function(n2) {
          return n2.map(function(i4) {
            return i4.value;
          }).join(" ").trim().split(" ");
        });
      }
      function fde(e3, r2) {
        return Me("comp", e3, r2), e3 = dde(e3, r2), Me("caret", e3), e3 = hde(e3, r2), Me("tildes", e3), e3 = gde(e3, r2), Me("xrange", e3), e3 = vde(e3, r2), Me("stars", e3), e3;
      }
      function mr(e3) {
        return !e3 || e3.toLowerCase() === "x" || e3 === "*";
      }
      function hde(e3, r2) {
        return e3.trim().split(/\s+/).map(function(n2) {
          return pde(n2, r2);
        }).join(" ");
      }
      function pde(e3, r2) {
        var n2 = r2.loose ? Ge[oF] : Ge[sF];
        return e3.replace(n2, function(i4, o2, a3, u2, c4) {
          Me("tilde", e3, i4, o2, a3, u2, c4);
          var l2;
          return mr(o2) ? l2 = "" : mr(a3) ? l2 = ">=" + o2 + ".0.0 <" + (+o2 + 1) + ".0.0" : mr(u2) ? l2 = ">=" + o2 + "." + a3 + ".0 <" + o2 + "." + (+a3 + 1) + ".0" : c4 ? (Me("replaceTilde pr", c4), l2 = ">=" + o2 + "." + a3 + "." + u2 + "-" + c4 + " <" + o2 + "." + (+a3 + 1) + ".0") : l2 = ">=" + o2 + "." + a3 + "." + u2 + " <" + o2 + "." + (+a3 + 1) + ".0", Me("tilde return", l2), l2;
        });
      }
      function dde(e3, r2) {
        return e3.trim().split(/\s+/).map(function(n2) {
          return mde(n2, r2);
        }).join(" ");
      }
      function mde(e3, r2) {
        Me("caret", e3, r2);
        var n2 = r2.loose ? Ge[uF] : Ge[aF];
        return e3.replace(n2, function(i4, o2, a3, u2, c4) {
          Me("caret", e3, i4, o2, a3, u2, c4);
          var l2;
          return mr(o2) ? l2 = "" : mr(a3) ? l2 = ">=" + o2 + ".0.0 <" + (+o2 + 1) + ".0.0" : mr(u2) ? o2 === "0" ? l2 = ">=" + o2 + "." + a3 + ".0 <" + o2 + "." + (+a3 + 1) + ".0" : l2 = ">=" + o2 + "." + a3 + ".0 <" + (+o2 + 1) + ".0.0" : c4 ? (Me("replaceCaret pr", c4), o2 === "0" ? a3 === "0" ? l2 = ">=" + o2 + "." + a3 + "." + u2 + "-" + c4 + " <" + o2 + "." + a3 + "." + (+u2 + 1) : l2 = ">=" + o2 + "." + a3 + "." + u2 + "-" + c4 + " <" + o2 + "." + (+a3 + 1) + ".0" : l2 = ">=" + o2 + "." + a3 + "." + u2 + "-" + c4 + " <" + (+o2 + 1) + ".0.0") : (Me("no pr"), o2 === "0" ? a3 === "0" ? l2 = ">=" + o2 + "." + a3 + "." + u2 + " <" + o2 + "." + a3 + "." + (+u2 + 1) : l2 = ">=" + o2 + "." + a3 + "." + u2 + " <" + o2 + "." + (+a3 + 1) + ".0" : l2 = ">=" + o2 + "." + a3 + "." + u2 + " <" + (+o2 + 1) + ".0.0"), Me("caret return", l2), l2;
        });
      }
      function gde(e3, r2) {
        return Me("replaceXRanges", e3, r2), e3.split(/\s+/).map(function(n2) {
          return yde(n2, r2);
        }).join(" ");
      }
      function yde(e3, r2) {
        e3 = e3.trim();
        var n2 = r2.loose ? Ge[nF] : Ge[rF];
        return e3.replace(n2, function(i4, o2, a3, u2, c4, l2) {
          Me("xRange", e3, i4, o2, a3, u2, c4, l2);
          var f4 = mr(a3), p2 = f4 || mr(u2), v2 = p2 || mr(c4), g2 = v2;
          return o2 === "=" && g2 && (o2 = ""), f4 ? o2 === ">" || o2 === "<" ? i4 = "<0.0.0" : i4 = "*" : o2 && g2 ? (p2 && (u2 = 0), c4 = 0, o2 === ">" ? (o2 = ">=", p2 ? (a3 = +a3 + 1, u2 = 0, c4 = 0) : (u2 = +u2 + 1, c4 = 0)) : o2 === "<=" && (o2 = "<", p2 ? a3 = +a3 + 1 : u2 = +u2 + 1), i4 = o2 + a3 + "." + u2 + "." + c4) : p2 ? i4 = ">=" + a3 + ".0.0 <" + (+a3 + 1) + ".0.0" : v2 && (i4 = ">=" + a3 + "." + u2 + ".0 <" + a3 + "." + (+u2 + 1) + ".0"), Me("xRange return", i4), i4;
        });
      }
      function vde(e3, r2) {
        return Me("replaceStars", e3, r2), e3.trim().replace(Ge[fF], "");
      }
      function bde(e3, r2, n2, i4, o2, a3, u2, c4, l2, f4, p2, v2, g2) {
        return mr(n2) ? r2 = "" : mr(i4) ? r2 = ">=" + n2 + ".0.0" : mr(o2) ? r2 = ">=" + n2 + "." + i4 + ".0" : r2 = ">=" + r2, mr(l2) ? c4 = "" : mr(f4) ? c4 = "<" + (+l2 + 1) + ".0.0" : mr(p2) ? c4 = "<" + l2 + "." + (+f4 + 1) + ".0" : v2 ? c4 = "<=" + l2 + "." + f4 + "." + p2 + "-" + v2 : c4 = "<=" + c4, (r2 + " " + c4).trim();
      }
      ut.prototype.test = function(e3) {
        if (!e3)
          return false;
        typeof e3 == "string" && (e3 = new xe(e3, this.options));
        for (var r2 = 0; r2 < this.set.length; r2++)
          if (Ede(this.set[r2], e3, this.options))
            return true;
        return false;
      };
      function Ede(e3, r2, n2) {
        for (var i4 = 0; i4 < e3.length; i4++)
          if (!e3[i4].test(r2))
            return false;
        if (r2.prerelease.length && !n2.includePrerelease) {
          for (i4 = 0; i4 < e3.length; i4++)
            if (Me(e3[i4].semver), e3[i4].semver !== Ml && e3[i4].semver.prerelease.length > 0) {
              var o2 = e3[i4].semver;
              if (o2.major === r2.major && o2.minor === r2.minor && o2.patch === r2.patch)
                return true;
            }
          return false;
        }
        return true;
      }
      he.satisfies = Ud;
      function Ud(e3, r2, n2) {
        try {
          r2 = new ut(r2, n2);
        } catch {
          return false;
        }
        return r2.test(e3);
      }
      he.maxSatisfying = wde;
      function wde(e3, r2, n2) {
        var i4 = null, o2 = null;
        try {
          var a3 = new ut(r2, n2);
        } catch {
          return null;
        }
        return e3.forEach(function(u2) {
          a3.test(u2) && (!i4 || o2.compare(u2) === -1) && (i4 = u2, o2 = new xe(i4, n2));
        }), i4;
      }
      he.minSatisfying = _de;
      function _de(e3, r2, n2) {
        var i4 = null, o2 = null;
        try {
          var a3 = new ut(r2, n2);
        } catch {
          return null;
        }
        return e3.forEach(function(u2) {
          a3.test(u2) && (!i4 || o2.compare(u2) === 1) && (i4 = u2, o2 = new xe(i4, n2));
        }), i4;
      }
      he.minVersion = Sde;
      function Sde(e3, r2) {
        e3 = new ut(e3, r2);
        var n2 = new xe("0.0.0");
        if (e3.test(n2) || (n2 = new xe("0.0.0-0"), e3.test(n2)))
          return n2;
        n2 = null;
        for (var i4 = 0; i4 < e3.set.length; ++i4) {
          var o2 = e3.set[i4];
          o2.forEach(function(a3) {
            var u2 = new xe(a3.semver.version);
            switch (a3.operator) {
              case ">":
                u2.prerelease.length === 0 ? u2.patch++ : u2.prerelease.push(0), u2.raw = u2.format();
              case "":
              case ">=":
                (!n2 || Fl(n2, u2)) && (n2 = u2);
                break;
              case "<":
              case "<=":
                break;
              default:
                throw new Error("Unexpected operation: " + a3.operator);
            }
          });
        }
        return n2 && e3.test(n2) ? n2 : null;
      }
      he.validRange = xde;
      function xde(e3, r2) {
        try {
          return new ut(e3, r2).range || "*";
        } catch {
          return null;
        }
      }
      he.ltr = Dde;
      function Dde(e3, r2, n2) {
        return ZE(e3, r2, "<", n2);
      }
      he.gtr = Ode;
      function Ode(e3, r2, n2) {
        return ZE(e3, r2, ">", n2);
      }
      he.outside = ZE;
      function ZE(e3, r2, n2, i4) {
        e3 = new xe(e3, i4), r2 = new ut(r2, i4);
        var o2, a3, u2, c4, l2;
        switch (n2) {
          case ">":
            o2 = Fl, a3 = QE, u2 = Bd, c4 = ">", l2 = ">=";
            break;
          case "<":
            o2 = Bd, a3 = XE, u2 = Fl, c4 = "<", l2 = "<=";
            break;
          default:
            throw new TypeError('Must provide a hilo val of "<" or ">"');
        }
        if (Ud(e3, r2, i4))
          return false;
        for (var f4 = 0; f4 < r2.set.length; ++f4) {
          var p2 = r2.set[f4], v2 = null, g2 = null;
          if (p2.forEach(function(S2) {
            S2.semver === Ml && (S2 = new sn(">=0.0.0")), v2 = v2 || S2, g2 = g2 || S2, o2(S2.semver, v2.semver, i4) ? v2 = S2 : u2(S2.semver, g2.semver, i4) && (g2 = S2);
          }), v2.operator === c4 || v2.operator === l2 || (!g2.operator || g2.operator === c4) && a3(e3, g2.semver))
            return false;
          if (g2.operator === l2 && u2(e3, g2.semver))
            return false;
        }
        return true;
      }
      he.prerelease = Tde;
      function Tde(e3, r2) {
        var n2 = Vo(e3, r2);
        return n2 && n2.prerelease.length ? n2.prerelease : null;
      }
      he.intersects = Rde;
      function Rde(e3, r2, n2) {
        return e3 = new ut(e3, n2), r2 = new ut(r2, n2), e3.intersects(r2);
      }
      he.coerce = Cde;
      function Cde(e3) {
        if (e3 instanceof xe)
          return e3;
        if (typeof e3 != "string")
          return null;
        var r2 = e3.match(Ge[iF]);
        return r2 == null ? null : Vo(r2[1] + "." + (r2[2] || "0") + "." + (r2[3] || "0"));
      }
    });
    var Hd = b((jke, Ade) => {
      Ade.exports = ["0BSD", "AAL", "ADSL", "AFL-1.1", "AFL-1.2", "AFL-2.0", "AFL-2.1", "AFL-3.0", "AGPL-1.0-only", "AGPL-1.0-or-later", "AGPL-3.0-only", "AGPL-3.0-or-later", "AMDPLPA", "AML", "AMPAS", "ANTLR-PD", "ANTLR-PD-fallback", "APAFML", "APL-1.0", "APSL-1.0", "APSL-1.1", "APSL-1.2", "APSL-2.0", "Abstyles", "AdaCore-doc", "Adobe-2006", "Adobe-Glyph", "Afmparse", "Aladdin", "Apache-1.0", "Apache-1.1", "Apache-2.0", "App-s2p", "Arphic-1999", "Artistic-1.0", "Artistic-1.0-Perl", "Artistic-1.0-cl8", "Artistic-2.0", "BSD-1-Clause", "BSD-2-Clause", "BSD-2-Clause-Patent", "BSD-2-Clause-Views", "BSD-3-Clause", "BSD-3-Clause-Attribution", "BSD-3-Clause-Clear", "BSD-3-Clause-LBNL", "BSD-3-Clause-Modification", "BSD-3-Clause-No-Military-License", "BSD-3-Clause-No-Nuclear-License", "BSD-3-Clause-No-Nuclear-License-2014", "BSD-3-Clause-No-Nuclear-Warranty", "BSD-3-Clause-Open-MPI", "BSD-4-Clause", "BSD-4-Clause-Shortened", "BSD-4-Clause-UC", "BSD-4.3RENO", "BSD-4.3TAHOE", "BSD-Advertising-Acknowledgement", "BSD-Attribution-HPND-disclaimer", "BSD-Protection", "BSD-Source-Code", "BSL-1.0", "BUSL-1.1", "Baekmuk", "Bahyph", "Barr", "Beerware", "BitTorrent-1.0", "BitTorrent-1.1", "Bitstream-Charter", "Bitstream-Vera", "BlueOak-1.0.0", "Borceux", "Brian-Gladman-3-Clause", "C-UDA-1.0", "CAL-1.0", "CAL-1.0-Combined-Work-Exception", "CATOSL-1.1", "CC-BY-1.0", "CC-BY-2.0", "CC-BY-2.5", "CC-BY-2.5-AU", "CC-BY-3.0", "CC-BY-3.0-AT", "CC-BY-3.0-DE", "CC-BY-3.0-IGO", "CC-BY-3.0-NL", "CC-BY-3.0-US", "CC-BY-4.0", "CC-BY-NC-1.0", "CC-BY-NC-2.0", "CC-BY-NC-2.5", "CC-BY-NC-3.0", "CC-BY-NC-3.0-DE", "CC-BY-NC-4.0", "CC-BY-NC-ND-1.0", "CC-BY-NC-ND-2.0", "CC-BY-NC-ND-2.5", "CC-BY-NC-ND-3.0", "CC-BY-NC-ND-3.0-DE", "CC-BY-NC-ND-3.0-IGO", "CC-BY-NC-ND-4.0", "CC-BY-NC-SA-1.0", "CC-BY-NC-SA-2.0", "CC-BY-NC-SA-2.0-DE", "CC-BY-NC-SA-2.0-FR", "CC-BY-NC-SA-2.0-UK", "CC-BY-NC-SA-2.5", "CC-BY-NC-SA-3.0", "CC-BY-NC-SA-3.0-DE", "CC-BY-NC-SA-3.0-IGO", "CC-BY-NC-SA-4.0", "CC-BY-ND-1.0", "CC-BY-ND-2.0", "CC-BY-ND-2.5", "CC-BY-ND-3.0", "CC-BY-ND-3.0-DE", "CC-BY-ND-4.0", "CC-BY-SA-1.0", "CC-BY-SA-2.0", "CC-BY-SA-2.0-UK", "CC-BY-SA-2.1-JP", "CC-BY-SA-2.5", "CC-BY-SA-3.0", "CC-BY-SA-3.0-AT", "CC-BY-SA-3.0-DE", "CC-BY-SA-4.0", "CC-PDDC", "CC0-1.0", "CDDL-1.0", "CDDL-1.1", "CDL-1.0", "CDLA-Permissive-1.0", "CDLA-Permissive-2.0", "CDLA-Sharing-1.0", "CECILL-1.0", "CECILL-1.1", "CECILL-2.0", "CECILL-2.1", "CECILL-B", "CECILL-C", "CERN-OHL-1.1", "CERN-OHL-1.2", "CERN-OHL-P-2.0", "CERN-OHL-S-2.0", "CERN-OHL-W-2.0", "CFITSIO", "CMU-Mach", "CNRI-Jython", "CNRI-Python", "CNRI-Python-GPL-Compatible", "COIL-1.0", "CPAL-1.0", "CPL-1.0", "CPOL-1.02", "CUA-OPL-1.0", "Caldera", "ClArtistic", "Clips", "Community-Spec-1.0", "Condor-1.1", "Cornell-Lossless-JPEG", "Crossword", "CrystalStacker", "Cube", "D-FSL-1.0", "DL-DE-BY-2.0", "DOC", "DRL-1.0", "DSDP", "Dotseqn", "ECL-1.0", "ECL-2.0", "EFL-1.0", "EFL-2.0", "EPICS", "EPL-1.0", "EPL-2.0", "EUDatagrid", "EUPL-1.0", "EUPL-1.1", "EUPL-1.2", "Elastic-2.0", "Entessa", "ErlPL-1.1", "Eurosym", "FDK-AAC", "FSFAP", "FSFUL", "FSFULLR", "FSFULLRWD", "FTL", "Fair", "Frameworx-1.0", "FreeBSD-DOC", "FreeImage", "GD", "GFDL-1.1-invariants-only", "GFDL-1.1-invariants-or-later", "GFDL-1.1-no-invariants-only", "GFDL-1.1-no-invariants-or-later", "GFDL-1.1-only", "GFDL-1.1-or-later", "GFDL-1.2-invariants-only", "GFDL-1.2-invariants-or-later", "GFDL-1.2-no-invariants-only", "GFDL-1.2-no-invariants-or-later", "GFDL-1.2-only", "GFDL-1.2-or-later", "GFDL-1.3-invariants-only", "GFDL-1.3-invariants-or-later", "GFDL-1.3-no-invariants-only", "GFDL-1.3-no-invariants-or-later", "GFDL-1.3-only", "GFDL-1.3-or-later", "GL2PS", "GLWTPL", "GPL-1.0-only", "GPL-1.0-or-later", "GPL-2.0-only", "GPL-2.0-or-later", "GPL-3.0-only", "GPL-3.0-or-later", "Giftware", "Glide", "Glulxe", "Graphics-Gems", "HP-1986", "HPND", "HPND-Markus-Kuhn", "HPND-export-US", "HPND-sell-variant", "HPND-sell-variant-MIT-disclaimer", "HTMLTIDY", "HaskellReport", "Hippocratic-2.1", "IBM-pibs", "ICU", "IEC-Code-Components-EULA", "IJG", "IJG-short", "IPA", "IPL-1.0", "ISC", "ImageMagick", "Imlib2", "Info-ZIP", "Intel", "Intel-ACPI", "Interbase-1.0", "JPL-image", "JPNIC", "JSON", "Jam", "JasPer-2.0", "Kazlib", "Knuth-CTAN", "LAL-1.2", "LAL-1.3", "LGPL-2.0-only", "LGPL-2.0-or-later", "LGPL-2.1-only", "LGPL-2.1-or-later", "LGPL-3.0-only", "LGPL-3.0-or-later", "LGPLLR", "LOOP", "LPL-1.0", "LPL-1.02", "LPPL-1.0", "LPPL-1.1", "LPPL-1.2", "LPPL-1.3a", "LPPL-1.3c", "LZMA-SDK-9.11-to-9.20", "LZMA-SDK-9.22", "Latex2e", "Leptonica", "LiLiQ-P-1.1", "LiLiQ-R-1.1", "LiLiQ-Rplus-1.1", "Libpng", "Linux-OpenIB", "Linux-man-pages-copyleft", "MIT", "MIT-0", "MIT-CMU", "MIT-Modern-Variant", "MIT-Wu", "MIT-advertising", "MIT-enna", "MIT-feh", "MIT-open-group", "MITNFA", "MPL-1.0", "MPL-1.1", "MPL-2.0", "MPL-2.0-no-copyleft-exception", "MS-LPL", "MS-PL", "MS-RL", "MTLL", "MakeIndex", "Martin-Birgmeier", "Minpack", "MirOS", "Motosoto", "MulanPSL-1.0", "MulanPSL-2.0", "Multics", "Mup", "NAIST-2003", "NASA-1.3", "NBPL-1.0", "NCGL-UK-2.0", "NCSA", "NGPL", "NICTA-1.0", "NIST-PD", "NIST-PD-fallback", "NLOD-1.0", "NLOD-2.0", "NLPL", "NOSL", "NPL-1.0", "NPL-1.1", "NPOSL-3.0", "NRL", "NTP", "NTP-0", "Naumen", "Net-SNMP", "NetCDF", "Newsletr", "Nokia", "Noweb", "O-UDA-1.0", "OCCT-PL", "OCLC-2.0", "ODC-By-1.0", "ODbL-1.0", "OFFIS", "OFL-1.0", "OFL-1.0-RFN", "OFL-1.0-no-RFN", "OFL-1.1", "OFL-1.1-RFN", "OFL-1.1-no-RFN", "OGC-1.0", "OGDL-Taiwan-1.0", "OGL-Canada-2.0", "OGL-UK-1.0", "OGL-UK-2.0", "OGL-UK-3.0", "OGTSL", "OLDAP-1.1", "OLDAP-1.2", "OLDAP-1.3", "OLDAP-1.4", "OLDAP-2.0", "OLDAP-2.0.1", "OLDAP-2.1", "OLDAP-2.2", "OLDAP-2.2.1", "OLDAP-2.2.2", "OLDAP-2.3", "OLDAP-2.4", "OLDAP-2.5", "OLDAP-2.6", "OLDAP-2.7", "OLDAP-2.8", "OML", "OPL-1.0", "OPUBL-1.0", "OSET-PL-2.1", "OSL-1.0", "OSL-1.1", "OSL-2.0", "OSL-2.1", "OSL-3.0", "OpenPBS-2.3", "OpenSSL", "PDDL-1.0", "PHP-3.0", "PHP-3.01", "PSF-2.0", "Parity-6.0.0", "Parity-7.0.0", "Plexus", "PolyForm-Noncommercial-1.0.0", "PolyForm-Small-Business-1.0.0", "PostgreSQL", "Python-2.0", "Python-2.0.1", "QPL-1.0", "QPL-1.0-INRIA-2004", "Qhull", "RHeCos-1.1", "RPL-1.1", "RPL-1.5", "RPSL-1.0", "RSA-MD", "RSCPL", "Rdisc", "Ruby", "SAX-PD", "SCEA", "SGI-B-1.0", "SGI-B-1.1", "SGI-B-2.0", "SHL-0.5", "SHL-0.51", "SISSL", "SISSL-1.2", "SMLNJ", "SMPPL", "SNIA", "SPL-1.0", "SSH-OpenSSH", "SSH-short", "SSPL-1.0", "SWL", "Saxpath", "SchemeReport", "Sendmail", "Sendmail-8.23", "SimPL-2.0", "Sleepycat", "Spencer-86", "Spencer-94", "Spencer-99", "SugarCRM-1.1.3", "SunPro", "Symlinks", "TAPR-OHL-1.0", "TCL", "TCP-wrappers", "TMate", "TORQUE-1.1", "TOSL", "TPDL", "TPL-1.0", "TTWL", "TU-Berlin-1.0", "TU-Berlin-2.0", "UCAR", "UCL-1.0", "UPL-1.0", "Unicode-DFS-2015", "Unicode-DFS-2016", "Unicode-TOU", "Unlicense", "VOSTROM", "VSL-1.0", "Vim", "W3C", "W3C-19980720", "W3C-20150513", "WTFPL", "Watcom-1.0", "Wsuipa", "X11", "X11-distribute-modifications-variant", "XFree86-1.1", "XSkat", "Xerox", "Xnet", "YPL-1.0", "YPL-1.1", "ZPL-1.1", "ZPL-2.0", "ZPL-2.1", "Zed", "Zend-2.0", "Zimbra-1.3", "Zimbra-1.4", "Zlib", "blessing", "bzip2-1.0.6", "checkmk", "copyleft-next-0.3.0", "copyleft-next-0.3.1", "curl", "diffmark", "dvipdfm", "eGenix", "etalab-2.0", "gSOAP-1.3b", "gnuplot", "iMatix", "libpng-2.0", "libselinux-1.0", "libtiff", "libutil-David-Nugent", "mpi-permissive", "mpich2", "mplus", "psfrag", "psutils", "snprintf", "w3m", "xinetd", "xlock", "xpp", "zlib-acknowledgement"];
    });
    var mF = b((Uke, Ide) => {
      Ide.exports = ["389-exception", "Autoconf-exception-2.0", "Autoconf-exception-3.0", "Bison-exception-2.2", "Bootloader-exception", "Classpath-exception-2.0", "CLISP-exception-2.0", "DigiRule-FOSS-exception", "eCos-exception-2.0", "Fawkes-Runtime-exception", "FLTK-exception", "Font-exception-2.0", "freertos-exception-2.0", "GCC-exception-2.0", "GCC-exception-3.1", "gnu-javamail-exception", "GPL-3.0-linking-exception", "GPL-3.0-linking-source-exception", "GPL-CC-1.0", "i2p-gpl-java-exception", "Libtool-exception", "Linux-syscall-note", "LLVM-exception", "LZMA-exception", "mif-exception", "Nokia-Qt-exception-1.1", "OCaml-LGPL-linking-exception", "OCCT-exception-1.0", "OpenJDK-assembly-exception-1.0", "openvpn-openssl-exception", "PS-or-PDF-font-exception-20170817", "Qt-GPL-exception-1.0", "Qt-LGPL-exception-1.1", "Qwt-exception-1.0", "Swift-exception", "u-boot-exception-2.0", "Universal-FOSS-exception-1.0", "WxWindows-exception-3.1"];
    });
    var yF = b((Gke, gF) => {
      "use strict";
      var Pde = [].concat(Hd()).concat(Hd()), Fde = mF();
      gF.exports = function(e3) {
        var r2 = 0;
        function n2() {
          return r2 < e3.length;
        }
        function i4(D) {
          if (D instanceof RegExp) {
            var T6 = e3.slice(r2), R = T6.match(D);
            if (R)
              return r2 += R[0].length, R[0];
          } else if (e3.indexOf(D, r2) === r2)
            return r2 += D.length, D;
        }
        function o2() {
          i4(/[ ]*/);
        }
        function a3() {
          for (var D, T6 = ["WITH", "AND", "OR", "(", ")", ":", "+"], R = 0; R < T6.length && (D = i4(T6[R]), !D); R++)
            ;
          if (D === "+" && r2 > 1 && e3[r2 - 2] === " ")
            throw new Error("Space before `+`");
          return D && { type: "OPERATOR", string: D };
        }
        function u2() {
          return i4(/[A-Za-z0-9-.]+/);
        }
        function c4() {
          var D = u2();
          if (!D)
            throw new Error("Expected idstring at offset " + r2);
          return D;
        }
        function l2() {
          if (i4("DocumentRef-")) {
            var D = c4();
            return { type: "DOCUMENTREF", string: D };
          }
        }
        function f4() {
          if (i4("LicenseRef-")) {
            var D = c4();
            return { type: "LICENSEREF", string: D };
          }
        }
        function p2() {
          var D = r2, T6 = u2();
          if (Pde.indexOf(T6) !== -1)
            return { type: "LICENSE", string: T6 };
          if (Fde.indexOf(T6) !== -1)
            return { type: "EXCEPTION", string: T6 };
          r2 = D;
        }
        function v2() {
          return a3() || l2() || f4() || p2();
        }
        for (var g2 = []; n2() && (o2(), !!n2()); ) {
          var S2 = v2();
          if (!S2)
            throw new Error("Unexpected `" + e3[r2] + "` at offset " + r2);
          g2.push(S2);
        }
        return g2;
      };
    });
    var bF = b((Wke, vF) => {
      "use strict";
      vF.exports = function(e3) {
        var r2 = 0;
        function n2() {
          return r2 < e3.length;
        }
        function i4() {
          return n2() ? e3[r2] : null;
        }
        function o2() {
          if (!n2())
            throw new Error();
          r2++;
        }
        function a3(T6) {
          var R = i4();
          if (R && R.type === "OPERATOR" && T6 === R.string)
            return o2(), R.string;
        }
        function u2() {
          if (a3("WITH")) {
            var T6 = i4();
            if (T6 && T6.type === "EXCEPTION")
              return o2(), T6.string;
            throw new Error("Expected exception after `WITH`");
          }
        }
        function c4() {
          var T6 = r2, R = "", A2 = i4();
          if (A2.type === "DOCUMENTREF" && (o2(), R += "DocumentRef-" + A2.string + ":", !a3(":")))
            throw new Error("Expected `:` after `DocumentRef-...`");
          if (A2 = i4(), A2.type === "LICENSEREF")
            return o2(), R += "LicenseRef-" + A2.string, { license: R };
          r2 = T6;
        }
        function l2() {
          var T6 = i4();
          if (T6 && T6.type === "LICENSE") {
            o2();
            var R = { license: T6.string };
            a3("+") && (R.plus = true);
            var A2 = u2();
            return A2 && (R.exception = A2), R;
          }
        }
        function f4() {
          var T6 = a3("(");
          if (T6) {
            var R = S2();
            if (!a3(")"))
              throw new Error("Expected `)`");
            return R;
          }
        }
        function p2() {
          return f4() || c4() || l2();
        }
        function v2(T6, R) {
          return function A2() {
            var L = R();
            if (L) {
              if (!a3(T6))
                return L;
              var N = A2();
              if (!N)
                throw new Error("Expected expression");
              return { left: L, conjunction: T6.toLowerCase(), right: N };
            }
          };
        }
        var g2 = v2("AND", p2), S2 = v2("OR", g2), D = S2();
        if (!D || n2())
          throw new Error("Syntax error");
        return D;
      };
    });
    var ew = b((Hke, EF) => {
      "use strict";
      var Lde = yF(), Mde = bF();
      EF.exports = function(e3) {
        return Mde(Lde(e3));
      };
    });
    var RF = b((Vke, TF) => {
      "use strict";
      var Nde = ew(), kde = Hd();
      function Vd(e3) {
        try {
          return Nde(e3), true;
        } catch {
          return false;
        }
      }
      var wF = [["APGL", "AGPL"], ["Gpl", "GPL"], ["GLP", "GPL"], ["APL", "Apache"], ["ISD", "ISC"], ["GLP", "GPL"], ["IST", "ISC"], ["Claude", "Clause"], [" or later", "+"], [" International", ""], ["GNU", "GPL"], ["GUN", "GPL"], ["+", ""], ["GNU GPL", "GPL"], ["GNU/GPL", "GPL"], ["GNU GLP", "GPL"], ["GNU General Public License", "GPL"], ["Gnu public license", "GPL"], ["GNU Public License", "GPL"], ["GNU GENERAL PUBLIC LICENSE", "GPL"], ["MTI", "MIT"], ["Mozilla Public License", "MPL"], ["Universal Permissive License", "UPL"], ["WTH", "WTF"], ["-License", ""]], $de = 0, qde = 1, _F = [function(e3) {
        return e3.toUpperCase();
      }, function(e3) {
        return e3.trim();
      }, function(e3) {
        return e3.replace(/\./g, "");
      }, function(e3) {
        return e3.replace(/\s+/g, "");
      }, function(e3) {
        return e3.replace(/\s+/g, "-");
      }, function(e3) {
        return e3.replace("v", "-");
      }, function(e3) {
        return e3.replace(/,?\s*(\d)/, "-$1");
      }, function(e3) {
        return e3.replace(/,?\s*(\d)/, "-$1.0");
      }, function(e3) {
        return e3.replace(/,?\s*(V\.|v\.|V|v|Version|version)\s*(\d)/, "-$2");
      }, function(e3) {
        return e3.replace(/,?\s*(V\.|v\.|V|v|Version|version)\s*(\d)/, "-$2.0");
      }, function(e3) {
        return e3[0].toUpperCase() + e3.slice(1);
      }, function(e3) {
        return e3.replace("/", "-");
      }, function(e3) {
        return e3.replace(/\s*V\s*(\d)/, "-$1").replace(/(\d)$/, "$1.0");
      }, function(e3) {
        return e3.indexOf("3.0") !== -1 ? e3 + "-or-later" : e3 + "-only";
      }, function(e3) {
        return e3 + "only";
      }, function(e3) {
        return e3.replace(/(\d)$/, "-$1.0");
      }, function(e3) {
        return e3.replace(/(-| )?(\d)$/, "-$2-Clause");
      }, function(e3) {
        return e3.replace(/(-| )clause(-| )(\d)/, "-$3-Clause");
      }, function(e3) {
        return e3.replace(/\b(Modified|New|Revised)(-| )?BSD((-| )License)?/i, "BSD-3-Clause");
      }, function(e3) {
        return e3.replace(/\bSimplified(-| )?BSD((-| )License)?/i, "BSD-2-Clause");
      }, function(e3) {
        return e3.replace(/\b(Free|Net)(-| )?BSD((-| )License)?/i, "BSD-2-Clause-$1BSD");
      }, function(e3) {
        return e3.replace(/\bClear(-| )?BSD((-| )License)?/i, "BSD-3-Clause-Clear");
      }, function(e3) {
        return e3.replace(/\b(Old|Original)(-| )?BSD((-| )License)?/i, "BSD-4-Clause");
      }, function(e3) {
        return "CC-" + e3;
      }, function(e3) {
        return "CC-" + e3 + "-4.0";
      }, function(e3) {
        return e3.replace("Attribution", "BY").replace("NonCommercial", "NC").replace("NoDerivatives", "ND").replace(/ (\d)/, "-$1").replace(/ ?International/, "");
      }, function(e3) {
        return "CC-" + e3.replace("Attribution", "BY").replace("NonCommercial", "NC").replace("NoDerivatives", "ND").replace(/ (\d)/, "-$1").replace(/ ?International/, "") + "-4.0";
      }], tw = kde.map(function(e3) {
        var r2 = /^(.*)-\d+\.\d+$/.exec(e3);
        return r2 ? [r2[0], r2[1]] : [e3, null];
      }).reduce(function(e3, r2) {
        var n2 = r2[1];
        return e3[n2] = e3[n2] || [], e3[n2].push(r2[0]), e3;
      }, {}), Bde = Object.keys(tw).map(function(r2) {
        return [r2, tw[r2]];
      }).filter(function(r2) {
        return r2[1].length === 1 && r2[0] !== null && r2[0] !== "APL";
      }).map(function(r2) {
        return [r2[0], r2[1][0]];
      });
      tw = void 0;
      var SF = [["UNLI", "Unlicense"], ["WTF", "WTFPL"], ["2 CLAUSE", "BSD-2-Clause"], ["2-CLAUSE", "BSD-2-Clause"], ["3 CLAUSE", "BSD-3-Clause"], ["3-CLAUSE", "BSD-3-Clause"], ["AFFERO", "AGPL-3.0-or-later"], ["AGPL", "AGPL-3.0-or-later"], ["APACHE", "Apache-2.0"], ["ARTISTIC", "Artistic-2.0"], ["Affero", "AGPL-3.0-or-later"], ["BEER", "Beerware"], ["BOOST", "BSL-1.0"], ["BSD", "BSD-2-Clause"], ["CDDL", "CDDL-1.1"], ["ECLIPSE", "EPL-1.0"], ["FUCK", "WTFPL"], ["GNU", "GPL-3.0-or-later"], ["LGPL", "LGPL-3.0-or-later"], ["GPLV1", "GPL-1.0-only"], ["GPL-1", "GPL-1.0-only"], ["GPLV2", "GPL-2.0-only"], ["GPL-2", "GPL-2.0-only"], ["GPL", "GPL-3.0-or-later"], ["MIT +NO-FALSE-ATTRIBS", "MITNFA"], ["MIT", "MIT"], ["MPL", "MPL-2.0"], ["X11", "X11"], ["ZLIB", "Zlib"]].concat(Bde), jde = 0, Ude = 1, xF = function(e3) {
        for (var r2 = 0; r2 < _F.length; r2++) {
          var n2 = _F[r2](e3).trim();
          if (n2 !== e3 && Vd(n2))
            return n2;
        }
        return null;
      }, DF = function(e3) {
        for (var r2 = e3.toUpperCase(), n2 = 0; n2 < SF.length; n2++) {
          var i4 = SF[n2];
          if (r2.indexOf(i4[jde]) > -1)
            return i4[Ude];
        }
        return null;
      }, OF = function(e3, r2) {
        for (var n2 = 0; n2 < wF.length; n2++) {
          var i4 = wF[n2], o2 = i4[$de];
          if (e3.indexOf(o2) > -1) {
            var a3 = e3.replace(o2, i4[qde]), u2 = r2(a3);
            if (u2 !== null)
              return u2;
          }
        }
        return null;
      };
      TF.exports = function(e3, r2) {
        r2 = r2 || {};
        var n2 = r2.upgrade === void 0 ? true : !!r2.upgrade;
        function i4(c4) {
          return n2 ? Gde(c4) : c4;
        }
        var o2 = typeof e3 == "string" && e3.trim().length !== 0;
        if (!o2)
          throw Error("Invalid argument. Expected non-empty string.");
        if (e3 = e3.trim(), Vd(e3))
          return i4(e3);
        var a3 = e3.replace(/\+$/, "").trim();
        if (Vd(a3))
          return i4(a3);
        var u2 = xF(e3);
        return u2 !== null || (u2 = OF(e3, function(c4) {
          return Vd(c4) ? c4 : xF(c4);
        }), u2 !== null) || (u2 = DF(e3), u2 !== null) || (u2 = OF(e3, DF), u2 !== null) ? i4(u2) : null;
      };
      function Gde(e3) {
        return ["GPL-1.0", "LGPL-1.0", "AGPL-1.0", "GPL-2.0", "LGPL-2.0", "AGPL-2.0", "LGPL-2.1"].indexOf(e3) !== -1 ? e3 + "-only" : ["GPL-1.0+", "GPL-2.0+", "GPL-3.0+", "LGPL-2.0+", "LGPL-2.1+", "LGPL-3.0+", "AGPL-1.0+", "AGPL-3.0+"].indexOf(e3) !== -1 ? e3.replace(/\+$/, "-or-later") : ["GPL-3.0", "LGPL-3.0", "AGPL-3.0"].indexOf(e3) !== -1 ? e3 + "-or-later" : e3;
      }
    });
    var PF = b((Kke, IF) => {
      "use strict";
      var Wde = ew(), Hde = RF(), CF = 'license should be a valid SPDX license expression (without "LicenseRef"), "UNLICENSED", or "SEE LICENSE IN <filename>"', Vde = /^SEE LICEN[CS]E IN (.+)$/;
      function AF(e3, r2) {
        return r2.slice(0, e3.length) === e3;
      }
      function rw(e3) {
        if (e3.hasOwnProperty("license")) {
          var r2 = e3.license;
          return AF("LicenseRef", r2) || AF("DocumentRef", r2);
        } else
          return rw(e3.left) || rw(e3.right);
      }
      IF.exports = function(e3) {
        var r2;
        try {
          r2 = Wde(e3);
        } catch {
          var n2;
          if (e3 === "UNLICENSED" || e3 === "UNLICENCED")
            return { validForOldPackages: true, validForNewPackages: true, unlicensed: true };
          if (n2 = Vde.exec(e3))
            return { validForOldPackages: true, validForNewPackages: true, inFile: n2[1] };
          var i4 = { validForOldPackages: false, validForNewPackages: false, warnings: [CF] };
          if (e3.trim().length !== 0) {
            var o2 = Hde(e3);
            o2 && i4.warnings.push('license is similar to the valid expression "' + o2 + '"');
          }
          return i4;
        }
        return rw(r2) ? { validForNewPackages: false, validForOldPackages: false, spdx: true, warnings: [CF] } : { validForNewPackages: true, validForOldPackages: true, spdx: true };
      };
    });
    var nw = b((zke, MF) => {
      "use strict";
      var Nl = MF.exports = { github: { protocols: ["git", "http", "git+ssh", "git+https", "ssh", "https"], domain: "github.com", treepath: "tree", filetemplate: "https://{auth@}raw.githubusercontent.com/{user}/{project}/{committish}/{path}", bugstemplate: "https://{domain}/{user}/{project}/issues", gittemplate: "git://{auth@}{domain}/{user}/{project}.git{#committish}", tarballtemplate: "https://codeload.{domain}/{user}/{project}/tar.gz/{committish}" }, bitbucket: { protocols: ["git+ssh", "git+https", "ssh", "https"], domain: "bitbucket.org", treepath: "src", tarballtemplate: "https://{domain}/{user}/{project}/get/{committish}.tar.gz" }, gitlab: { protocols: ["git+ssh", "git+https", "ssh", "https"], domain: "gitlab.com", treepath: "tree", bugstemplate: "https://{domain}/{user}/{project}/issues", httpstemplate: "git+https://{auth@}{domain}/{user}/{projectPath}.git{#committish}", tarballtemplate: "https://{domain}/{user}/{project}/repository/archive.tar.gz?ref={committish}", pathmatch: /^[/]([^/]+)[/]((?!.*(\/-\/|\/repository\/archive\.tar\.gz\?=.*|\/repository\/[^/]+\/archive.tar.gz$)).*?)(?:[.]git|[/])?$/ }, gist: { protocols: ["git", "git+ssh", "git+https", "ssh", "https"], domain: "gist.github.com", pathmatch: /^[/](?:([^/]+)[/])?([a-z0-9]{32,})(?:[.]git)?$/, filetemplate: "https://gist.githubusercontent.com/{user}/{project}/raw{/committish}/{path}", bugstemplate: "https://{domain}/{project}", gittemplate: "git://{domain}/{project}.git{#committish}", sshtemplate: "git@{domain}:/{project}.git{#committish}", sshurltemplate: "git+ssh://git@{domain}/{project}.git{#committish}", browsetemplate: "https://{domain}/{project}{/committish}", browsefiletemplate: "https://{domain}/{project}{/committish}{#path}", docstemplate: "https://{domain}/{project}{/committish}", httpstemplate: "git+https://{domain}/{project}.git{#committish}", shortcuttemplate: "{type}:{project}{#committish}", pathtemplate: "{project}{#committish}", tarballtemplate: "https://codeload.github.com/gist/{project}/tar.gz/{committish}", hashformat: function(e3) {
        return "file-" + LF(e3);
      } } }, FF = { sshtemplate: "git@{domain}:{user}/{project}.git{#committish}", sshurltemplate: "git+ssh://git@{domain}/{user}/{project}.git{#committish}", browsetemplate: "https://{domain}/{user}/{project}{/tree/committish}", browsefiletemplate: "https://{domain}/{user}/{project}/{treepath}/{committish}/{path}{#fragment}", docstemplate: "https://{domain}/{user}/{project}{/tree/committish}#readme", httpstemplate: "git+https://{auth@}{domain}/{user}/{project}.git{#committish}", filetemplate: "https://{domain}/{user}/{project}/raw/{committish}/{path}", shortcuttemplate: "{type}:{user}/{project}{#committish}", pathtemplate: "{user}/{project}{#committish}", pathmatch: /^[/]([^/]+)[/]([^/]+?)(?:[.]git|[/])?$/, hashformat: LF };
      Object.keys(Nl).forEach(function(e3) {
        Object.keys(FF).forEach(function(r2) {
          Nl[e3][r2] || (Nl[e3][r2] = FF[r2]);
        }), Nl[e3].protocols_re = RegExp("^(" + Nl[e3].protocols.map(function(r2) {
          return r2.replace(/([\\+*{}()[\]$^|])/g, "\\$1");
        }).join("|") + "):$");
      });
      function LF(e3) {
        return e3.toLowerCase().replace(/^\W+|\/|\W+$/g, "").replace(/\W+/g, "-");
      }
    });
    var $F = b((Yke, kF) => {
      "use strict";
      var NF = nw(), Du = Object.assign || function(r2, n2) {
        if (n2 === null || typeof n2 != "object")
          return r2;
        for (var i4 = Object.keys(n2), o2 = i4.length; o2--; )
          r2[i4[o2]] = n2[i4[o2]];
        return r2;
      };
      kF.exports = or;
      function or(e3, r2, n2, i4, o2, a3, u2) {
        var c4 = this;
        c4.type = e3, Object.keys(NF[e3]).forEach(function(l2) {
          c4[l2] = NF[e3][l2];
        }), c4.user = r2, c4.auth = n2, c4.project = i4, c4.committish = o2, c4.default = a3, c4.opts = u2 || {};
      }
      or.prototype.hash = function() {
        return this.committish ? "#" + this.committish : "";
      };
      or.prototype._fill = function(e3, r2) {
        if (e3) {
          var n2 = Du({}, r2);
          n2.path = n2.path ? n2.path.replace(/^[/]+/g, "") : "", r2 = Du(Du({}, this.opts), r2);
          var i4 = this;
          Object.keys(this).forEach(function(p2) {
            i4[p2] != null && n2[p2] == null && (n2[p2] = i4[p2]);
          });
          var o2 = n2.auth, a3 = n2.committish, u2 = n2.fragment, c4 = n2.path, l2 = n2.project;
          Object.keys(n2).forEach(function(p2) {
            var v2 = n2[p2];
            (p2 === "path" || p2 === "project") && typeof v2 == "string" ? n2[p2] = v2.split("/").map(function(g2) {
              return encodeURIComponent(g2);
            }).join("/") : n2[p2] = encodeURIComponent(v2);
          }), n2["auth@"] = o2 ? o2 + "@" : "", n2["#fragment"] = u2 ? "#" + this.hashformat(u2) : "", n2.fragment = n2.fragment ? n2.fragment : "", n2["#path"] = c4 ? "#" + this.hashformat(c4) : "", n2["/path"] = n2.path ? "/" + n2.path : "", n2.projectPath = l2.split("/").map(encodeURIComponent).join("/"), r2.noCommittish ? (n2["#committish"] = "", n2["/tree/committish"] = "", n2["/committish"] = "", n2.committish = "") : (n2["#committish"] = a3 ? "#" + a3 : "", n2["/tree/committish"] = n2.committish ? "/" + n2.treepath + "/" + n2.committish : "", n2["/committish"] = n2.committish ? "/" + n2.committish : "", n2.committish = n2.committish || "master");
          var f4 = e3;
          return Object.keys(n2).forEach(function(p2) {
            f4 = f4.replace(new RegExp("[{]" + p2 + "[}]", "g"), n2[p2]);
          }), r2.noGitPlus ? f4.replace(/^git[+]/, "") : f4;
        }
      };
      or.prototype.ssh = function(e3) {
        return this._fill(this.sshtemplate, e3);
      };
      or.prototype.sshurl = function(e3) {
        return this._fill(this.sshurltemplate, e3);
      };
      or.prototype.browse = function(e3, r2, n2) {
        return typeof e3 == "string" ? (typeof r2 != "string" && (n2 = r2, r2 = null), this._fill(this.browsefiletemplate, Du({ fragment: r2, path: e3 }, n2))) : this._fill(this.browsetemplate, e3);
      };
      or.prototype.docs = function(e3) {
        return this._fill(this.docstemplate, e3);
      };
      or.prototype.bugs = function(e3) {
        return this._fill(this.bugstemplate, e3);
      };
      or.prototype.https = function(e3) {
        return this._fill(this.httpstemplate, e3);
      };
      or.prototype.git = function(e3) {
        return this._fill(this.gittemplate, e3);
      };
      or.prototype.shortcut = function(e3) {
        return this._fill(this.shortcuttemplate, e3);
      };
      or.prototype.path = function(e3) {
        return this._fill(this.pathtemplate, e3);
      };
      or.prototype.tarball = function(e3) {
        var r2 = Du({}, e3, { noCommittish: false });
        return this._fill(this.tarballtemplate, r2);
      };
      or.prototype.file = function(e3, r2) {
        return this._fill(this.filetemplate, Du({ path: e3 }, r2));
      };
      or.prototype.getDefaultRepresentation = function() {
        return this.default;
      };
      or.prototype.toString = function(e3) {
        return this.default && typeof this[this.default] == "function" ? this[this.default](e3) : this.sshurl(e3);
      };
    });
    var BF = b((Jke, sw) => {
      "use strict";
      var Kd = require("url"), qF = nw(), Kde = sw.exports = $F(), zde = { "git+ssh:": "sshurl", "git+https:": "https", "ssh:": "sshurl", "git:": "git" };
      function Yde(e3) {
        return zde[e3] || e3.slice(0, -1);
      }
      var Jde = { "git:": true, "https:": true, "git+https:": true, "http:": true, "git+http:": true }, iw = {};
      sw.exports.fromUrl = function(e3, r2) {
        if (typeof e3 == "string") {
          var n2 = e3 + JSON.stringify(r2 || {});
          return n2 in iw || (iw[n2] = Xde(e3, r2)), iw[n2];
        }
      };
      function Xde(e3, r2) {
        if (!(e3 == null || e3 === "")) {
          var n2 = Zde(Qde(e3) ? "github:" + e3 : e3), i4 = eme(n2), o2 = n2.match(/^([^:]+):(?:[^@]+@)?(?:([^/]*)\/)?([^#]+)/), a3 = Object.keys(qF).map(function(u2) {
            try {
              var c4 = qF[u2], l2 = null;
              i4.auth && Jde[i4.protocol] && (l2 = i4.auth);
              var f4 = i4.hash ? decodeURIComponent(i4.hash.substr(1)) : null, p2 = null, v2 = null, g2 = null;
              if (o2 && o2[1] === u2)
                p2 = o2[2] && decodeURIComponent(o2[2]), v2 = decodeURIComponent(o2[3].replace(/\.git$/, "")), g2 = "shortcut";
              else {
                if (i4.host && i4.host !== c4.domain && i4.host.replace(/^www[.]/, "") !== c4.domain || !c4.protocols_re.test(i4.protocol) || !i4.path)
                  return;
                var S2 = c4.pathmatch, D = i4.path.match(S2);
                if (!D)
                  return;
                D[1] !== null && D[1] !== void 0 && (p2 = decodeURIComponent(D[1].replace(/^:/, ""))), v2 = decodeURIComponent(D[2]), g2 = Yde(i4.protocol);
              }
              return new Kde(u2, p2, l2, v2, f4, g2, r2);
            } catch (T6) {
              if (!(T6 instanceof URIError))
                throw T6;
            }
          }).filter(function(u2) {
            return u2;
          });
          if (a3.length === 1)
            return a3[0];
        }
      }
      function Qde(e3) {
        return /^[^:@%/\s.-][^:@%/\s]*[/][^:@\s/%]+(?:#.*)?$/.test(e3);
      }
      function Zde(e3) {
        var r2 = Kd.parse(e3);
        return r2.protocol === "gist:" && r2.host && !r2.path ? r2.protocol + "/" + r2.host : e3;
      }
      function eme(e3) {
        var r2 = e3.match(/^([^@]+)@([^:/]+):[/]?((?:[^/]+[/])?[^/]+?)(?:[.]git)?(#.*)?$/);
        if (!r2) {
          var n2 = Kd.parse(e3);
          if (n2.auth && typeof Kd.URL == "function") {
            var i4 = e3.match(/[^@]+@[^:/]+/);
            if (i4) {
              var o2 = new Kd.URL(i4[0]);
              n2.auth = o2.username || "", o2.password && (n2.auth += ":" + o2.password);
            }
          }
          return n2;
        }
        return { protocol: "git+ssh:", slashes: true, auth: r2[1], host: r2[2], port: null, hostname: r2[2], hash: r2[4], search: null, query: null, pathname: "/" + r2[3], path: "/" + r2[3], href: "git+ssh://" + r2[1] + "@" + r2[2] + "/" + r2[3] + (r2[4] || "") };
      }
    });
    var ow = b((Xke, jF) => {
      "use strict";
      var tme = require("os");
      jF.exports = tme.homedir || function() {
        var r2 = process.env.HOME, n2 = process.env.LOGNAME || process.env.USER || process.env.LNAME || process.env.USERNAME;
        return process.platform === "win32" ? process.env.USERPROFILE || process.env.HOMEDRIVE + process.env.HOMEPATH || r2 || null : process.platform === "darwin" ? r2 || (n2 ? "/Users/" + n2 : null) : process.platform === "linux" ? r2 || (process.getuid() === 0 ? "/root" : n2 ? "/home/" + n2 : null) : r2 || null;
      };
    });
    var aw = b((Qke, UF) => {
      "use strict";
      UF.exports = function() {
        var e3 = Error.prepareStackTrace;
        Error.prepareStackTrace = function(n2, i4) {
          return i4;
        };
        var r2 = new Error().stack;
        return Error.prepareStackTrace = e3, r2[2].getFileName();
      };
    });
    var GF = b((Zke, kl) => {
      "use strict";
      var rme = process.platform === "win32", nme = /^(((?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?[\\\/]?)(?:[^\\\/]*[\\\/])*)((\.{1,2}|[^\\\/]+?|)(\.[^.\/\\]*|))[\\\/]*$/, uw = {};
      function ime(e3) {
        return nme.exec(e3).slice(1);
      }
      uw.parse = function(e3) {
        if (typeof e3 != "string")
          throw new TypeError("Parameter 'pathString' must be a string, not " + typeof e3);
        var r2 = ime(e3);
        if (!r2 || r2.length !== 5)
          throw new TypeError("Invalid path '" + e3 + "'");
        return { root: r2[1], dir: r2[0] === r2[1] ? r2[0] : r2[0].slice(0, -1), base: r2[2], ext: r2[4], name: r2[3] };
      };
      var sme = /^((\/?)(?:[^\/]*\/)*)((\.{1,2}|[^\/]+?|)(\.[^.\/]*|))[\/]*$/, cw = {};
      function ome(e3) {
        return sme.exec(e3).slice(1);
      }
      cw.parse = function(e3) {
        if (typeof e3 != "string")
          throw new TypeError("Parameter 'pathString' must be a string, not " + typeof e3);
        var r2 = ome(e3);
        if (!r2 || r2.length !== 5)
          throw new TypeError("Invalid path '" + e3 + "'");
        return { root: r2[1], dir: r2[0].slice(0, -1), base: r2[2], ext: r2[4], name: r2[3] };
      };
      rme ? kl.exports = uw.parse : kl.exports = cw.parse;
      kl.exports.posix = cw.parse;
      kl.exports.win32 = uw.parse;
    });
    var lw = b((e9e, KF) => {
      "use strict";
      var VF = require("path"), WF = VF.parse || GF(), HF = function(r2, n2) {
        var i4 = "/";
        /^([A-Za-z]:)/.test(r2) ? i4 = "" : /^\\\\/.test(r2) && (i4 = "\\\\");
        for (var o2 = [r2], a3 = WF(r2); a3.dir !== o2[o2.length - 1]; )
          o2.push(a3.dir), a3 = WF(a3.dir);
        return o2.reduce(function(u2, c4) {
          return u2.concat(n2.map(function(l2) {
            return VF.resolve(i4, c4, l2);
          }));
        }, []);
      };
      KF.exports = function(r2, n2, i4) {
        var o2 = n2 && n2.moduleDirectory ? [].concat(n2.moduleDirectory) : ["node_modules"];
        if (n2 && typeof n2.paths == "function")
          return n2.paths(i4, r2, function() {
            return HF(r2, o2);
          }, n2);
        var a3 = HF(r2, o2);
        return n2 && n2.paths ? a3.concat(n2.paths) : a3;
      };
    });
    var fw = b((t9e, zF) => {
      "use strict";
      zF.exports = function(e3, r2) {
        return r2 || {};
      };
    });
    var JF = b((r9e, YF) => {
      "use strict";
      var ame = "Function.prototype.bind called on incompatible ", hw = Array.prototype.slice, ume = Object.prototype.toString, cme = "[object Function]";
      YF.exports = function(r2) {
        var n2 = this;
        if (typeof n2 != "function" || ume.call(n2) !== cme)
          throw new TypeError(ame + n2);
        for (var i4 = hw.call(arguments, 1), o2, a3 = function() {
          if (this instanceof o2) {
            var p2 = n2.apply(this, i4.concat(hw.call(arguments)));
            return Object(p2) === p2 ? p2 : this;
          } else
            return n2.apply(r2, i4.concat(hw.call(arguments)));
        }, u2 = Math.max(0, n2.length - i4.length), c4 = [], l2 = 0; l2 < u2; l2++)
          c4.push("$" + l2);
        if (o2 = Function("binder", "return function (" + c4.join(",") + "){ return binder.apply(this,arguments); }")(a3), n2.prototype) {
          var f4 = function() {
          };
          f4.prototype = n2.prototype, o2.prototype = new f4(), f4.prototype = null;
        }
        return o2;
      };
    });
    var QF = b((n9e, XF) => {
      "use strict";
      var lme = JF();
      XF.exports = Function.prototype.bind || lme;
    });
    var eL = b((i9e, ZF) => {
      "use strict";
      var fme = QF();
      ZF.exports = fme.call(Function.call, Object.prototype.hasOwnProperty);
    });
    var tL = b((s9e, hme) => {
      hme.exports = { assert: true, "node:assert": [">= 14.18 && < 15", ">= 16"], "assert/strict": ">= 15", "node:assert/strict": ">= 16", async_hooks: ">= 8", "node:async_hooks": [">= 14.18 && < 15", ">= 16"], buffer_ieee754: ">= 0.5 && < 0.9.7", buffer: true, "node:buffer": [">= 14.18 && < 15", ">= 16"], child_process: true, "node:child_process": [">= 14.18 && < 15", ">= 16"], cluster: ">= 0.5", "node:cluster": [">= 14.18 && < 15", ">= 16"], console: true, "node:console": [">= 14.18 && < 15", ">= 16"], constants: true, "node:constants": [">= 14.18 && < 15", ">= 16"], crypto: true, "node:crypto": [">= 14.18 && < 15", ">= 16"], _debug_agent: ">= 1 && < 8", _debugger: "< 8", dgram: true, "node:dgram": [">= 14.18 && < 15", ">= 16"], diagnostics_channel: [">= 14.17 && < 15", ">= 15.1"], "node:diagnostics_channel": [">= 14.18 && < 15", ">= 16"], dns: true, "node:dns": [">= 14.18 && < 15", ">= 16"], "dns/promises": ">= 15", "node:dns/promises": ">= 16", domain: ">= 0.7.12", "node:domain": [">= 14.18 && < 15", ">= 16"], events: true, "node:events": [">= 14.18 && < 15", ">= 16"], freelist: "< 6", fs: true, "node:fs": [">= 14.18 && < 15", ">= 16"], "fs/promises": [">= 10 && < 10.1", ">= 14"], "node:fs/promises": [">= 14.18 && < 15", ">= 16"], _http_agent: ">= 0.11.1", "node:_http_agent": [">= 14.18 && < 15", ">= 16"], _http_client: ">= 0.11.1", "node:_http_client": [">= 14.18 && < 15", ">= 16"], _http_common: ">= 0.11.1", "node:_http_common": [">= 14.18 && < 15", ">= 16"], _http_incoming: ">= 0.11.1", "node:_http_incoming": [">= 14.18 && < 15", ">= 16"], _http_outgoing: ">= 0.11.1", "node:_http_outgoing": [">= 14.18 && < 15", ">= 16"], _http_server: ">= 0.11.1", "node:_http_server": [">= 14.18 && < 15", ">= 16"], http: true, "node:http": [">= 14.18 && < 15", ">= 16"], http2: ">= 8.8", "node:http2": [">= 14.18 && < 15", ">= 16"], https: true, "node:https": [">= 14.18 && < 15", ">= 16"], inspector: ">= 8", "node:inspector": [">= 14.18 && < 15", ">= 16"], "inspector/promises": [">= 19"], "node:inspector/promises": [">= 19"], _linklist: "< 8", module: true, "node:module": [">= 14.18 && < 15", ">= 16"], net: true, "node:net": [">= 14.18 && < 15", ">= 16"], "node-inspect/lib/_inspect": ">= 7.6 && < 12", "node-inspect/lib/internal/inspect_client": ">= 7.6 && < 12", "node-inspect/lib/internal/inspect_repl": ">= 7.6 && < 12", os: true, "node:os": [">= 14.18 && < 15", ">= 16"], path: true, "node:path": [">= 14.18 && < 15", ">= 16"], "path/posix": ">= 15.3", "node:path/posix": ">= 16", "path/win32": ">= 15.3", "node:path/win32": ">= 16", perf_hooks: ">= 8.5", "node:perf_hooks": [">= 14.18 && < 15", ">= 16"], process: ">= 1", "node:process": [">= 14.18 && < 15", ">= 16"], punycode: ">= 0.5", "node:punycode": [">= 14.18 && < 15", ">= 16"], querystring: true, "node:querystring": [">= 14.18 && < 15", ">= 16"], readline: true, "node:readline": [">= 14.18 && < 15", ">= 16"], "readline/promises": ">= 17", "node:readline/promises": ">= 17", repl: true, "node:repl": [">= 14.18 && < 15", ">= 16"], smalloc: ">= 0.11.5 && < 3", _stream_duplex: ">= 0.9.4", "node:_stream_duplex": [">= 14.18 && < 15", ">= 16"], _stream_transform: ">= 0.9.4", "node:_stream_transform": [">= 14.18 && < 15", ">= 16"], _stream_wrap: ">= 1.4.1", "node:_stream_wrap": [">= 14.18 && < 15", ">= 16"], _stream_passthrough: ">= 0.9.4", "node:_stream_passthrough": [">= 14.18 && < 15", ">= 16"], _stream_readable: ">= 0.9.4", "node:_stream_readable": [">= 14.18 && < 15", ">= 16"], _stream_writable: ">= 0.9.4", "node:_stream_writable": [">= 14.18 && < 15", ">= 16"], stream: true, "node:stream": [">= 14.18 && < 15", ">= 16"], "stream/consumers": ">= 16.7", "node:stream/consumers": ">= 16.7", "stream/promises": ">= 15", "node:stream/promises": ">= 16", "stream/web": ">= 16.5", "node:stream/web": ">= 16.5", string_decoder: true, "node:string_decoder": [">= 14.18 && < 15", ">= 16"], sys: [">= 0.4 && < 0.7", ">= 0.8"], "node:sys": [">= 14.18 && < 15", ">= 16"], "test/reporters": ">= 19.9 && < 20.2", "node:test/reporters": [">= 18.17 && < 19", ">= 19.9", ">= 20"], "node:test": [">= 16.17 && < 17", ">= 18"], timers: true, "node:timers": [">= 14.18 && < 15", ">= 16"], "timers/promises": ">= 15", "node:timers/promises": ">= 16", _tls_common: ">= 0.11.13", "node:_tls_common": [">= 14.18 && < 15", ">= 16"], _tls_legacy: ">= 0.11.3 && < 10", _tls_wrap: ">= 0.11.3", "node:_tls_wrap": [">= 14.18 && < 15", ">= 16"], tls: true, "node:tls": [">= 14.18 && < 15", ">= 16"], trace_events: ">= 10", "node:trace_events": [">= 14.18 && < 15", ">= 16"], tty: true, "node:tty": [">= 14.18 && < 15", ">= 16"], url: true, "node:url": [">= 14.18 && < 15", ">= 16"], util: true, "node:util": [">= 14.18 && < 15", ">= 16"], "util/types": ">= 15.3", "node:util/types": ">= 16", "v8/tools/arguments": ">= 10 && < 12", "v8/tools/codemap": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/consarray": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/csvparser": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/logreader": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/profile_view": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/splaytree": [">= 4.4 && < 5", ">= 5.2 && < 12"], v8: ">= 1", "node:v8": [">= 14.18 && < 15", ">= 16"], vm: true, "node:vm": [">= 14.18 && < 15", ">= 16"], wasi: [">= 13.4 && < 13.5", ">= 18.17 && < 19", ">= 20"], "node:wasi": [">= 18.17 && < 19", ">= 20"], worker_threads: ">= 11.7", "node:worker_threads": [">= 14.18 && < 15", ">= 16"], zlib: ">= 0.5", "node:zlib": [">= 14.18 && < 15", ">= 16"] };
    });
    var $l = b((o9e, iL) => {
      "use strict";
      var pme = eL();
      function dme(e3, r2) {
        for (var n2 = e3.split("."), i4 = r2.split(" "), o2 = i4.length > 1 ? i4[0] : "=", a3 = (i4.length > 1 ? i4[1] : i4[0]).split("."), u2 = 0; u2 < 3; ++u2) {
          var c4 = parseInt(n2[u2] || 0, 10), l2 = parseInt(a3[u2] || 0, 10);
          if (c4 !== l2)
            return o2 === "<" ? c4 < l2 : o2 === ">=" ? c4 >= l2 : false;
        }
        return o2 === ">=";
      }
      function rL(e3, r2) {
        var n2 = r2.split(/ ?&& ?/);
        if (n2.length === 0)
          return false;
        for (var i4 = 0; i4 < n2.length; ++i4)
          if (!dme(e3, n2[i4]))
            return false;
        return true;
      }
      function mme(e3, r2) {
        if (typeof r2 == "boolean")
          return r2;
        var n2 = typeof e3 > "u" ? process.versions && process.versions.node : e3;
        if (typeof n2 != "string")
          throw new TypeError(typeof e3 > "u" ? "Unable to determine current node version" : "If provided, a valid node version is required");
        if (r2 && typeof r2 == "object") {
          for (var i4 = 0; i4 < r2.length; ++i4)
            if (rL(n2, r2[i4]))
              return true;
          return false;
        }
        return rL(n2, r2);
      }
      var nL = tL();
      iL.exports = function(r2, n2) {
        return pme(nL, r2) && mme(n2, nL[r2]);
      };
    });
    var aL = b((a9e, oL) => {
      "use strict";
      var Ko = require("fs"), gme = ow(), Dt = require("path"), yme = aw(), vme = lw(), bme = fw(), Eme = $l(), wme = process.platform !== "win32" && Ko.realpath && typeof Ko.realpath.native == "function" ? Ko.realpath.native : Ko.realpath, sL = gme(), _me = function() {
        return [Dt.join(sL, ".node_modules"), Dt.join(sL, ".node_libraries")];
      }, Sme = function(r2, n2) {
        Ko.stat(r2, function(i4, o2) {
          return i4 ? i4.code === "ENOENT" || i4.code === "ENOTDIR" ? n2(null, false) : n2(i4) : n2(null, o2.isFile() || o2.isFIFO());
        });
      }, xme = function(r2, n2) {
        Ko.stat(r2, function(i4, o2) {
          return i4 ? i4.code === "ENOENT" || i4.code === "ENOTDIR" ? n2(null, false) : n2(i4) : n2(null, o2.isDirectory());
        });
      }, Dme = function(r2, n2) {
        wme(r2, function(i4, o2) {
          i4 && i4.code !== "ENOENT" ? n2(i4) : n2(null, i4 ? r2 : o2);
        });
      }, ql = function(r2, n2, i4, o2) {
        i4 && i4.preserveSymlinks === false ? r2(n2, o2) : o2(null, n2);
      }, Ome = function(r2, n2, i4) {
        r2(n2, function(o2, a3) {
          if (o2)
            i4(o2);
          else
            try {
              var u2 = JSON.parse(a3);
              i4(null, u2);
            } catch {
              i4(null);
            }
        });
      }, Tme = function(r2, n2, i4) {
        for (var o2 = vme(n2, i4, r2), a3 = 0; a3 < o2.length; a3++)
          o2[a3] = Dt.join(o2[a3], r2);
        return o2;
      };
      oL.exports = function(r2, n2, i4) {
        var o2 = i4, a3 = n2;
        if (typeof n2 == "function" && (o2 = a3, a3 = {}), typeof r2 != "string") {
          var u2 = new TypeError("Path must be a string.");
          return process.nextTick(function() {
            o2(u2);
          });
        }
        a3 = bme(r2, a3);
        var c4 = a3.isFile || Sme, l2 = a3.isDirectory || xme, f4 = a3.readFile || Ko.readFile, p2 = a3.realpath || Dme, v2 = a3.readPackage || Ome;
        if (a3.readFile && a3.readPackage) {
          var g2 = new TypeError("`readFile` and `readPackage` are mutually exclusive.");
          return process.nextTick(function() {
            o2(g2);
          });
        }
        var S2 = a3.packageIterator, D = a3.extensions || [".js"], T6 = a3.includeCoreModules !== false, R = a3.basedir || Dt.dirname(yme()), A2 = a3.filename || R;
        a3.paths = a3.paths || _me();
        var L = Dt.resolve(R);
        ql(p2, L, a3, function(C, G) {
          C ? o2(C) : q(G);
        });
        var N;
        function q(C) {
          if (/^(?:\.\.?(?:\/|$)|\/|([A-Za-z]:)?[/\\])/.test(r2))
            N = Dt.resolve(C, r2), (r2 === "." || r2 === ".." || r2.slice(-1) === "/") && (N += "/"), /\/$/.test(r2) && N === C ? $3(N, a3.package, B) : W(N, a3.package, B);
          else {
            if (T6 && Eme(r2))
              return o2(null, r2);
            U(r2, C, function(G, V, ee) {
              if (G)
                o2(G);
              else {
                if (V)
                  return ql(p2, V, a3, function(k, Z) {
                    k ? o2(k) : o2(null, Z, ee);
                  });
                var M = new Error("Cannot find module '" + r2 + "' from '" + A2 + "'");
                M.code = "MODULE_NOT_FOUND", o2(M);
              }
            });
          }
        }
        function B(C, G, V) {
          C ? o2(C) : G ? o2(null, G, V) : $3(N, function(ee, M, k) {
            if (ee)
              o2(ee);
            else if (M)
              ql(p2, M, a3, function(Y, ae) {
                Y ? o2(Y) : o2(null, ae, k);
              });
            else {
              var Z = new Error("Cannot find module '" + r2 + "' from '" + A2 + "'");
              Z.code = "MODULE_NOT_FOUND", o2(Z);
            }
          });
        }
        function W(C, G, V) {
          var ee = G, M = V;
          typeof ee == "function" && (M = ee, ee = void 0);
          var k = [""].concat(D);
          Z(k, C, ee);
          function Z(Y, ae, et) {
            if (Y.length === 0)
              return M(null, void 0, et);
            var tt = ae + Y[0], Rt = et;
            Rt ? Lt(null, Rt) : P(Dt.dirname(tt), Lt);
            function Lt(Qt, pe, Sr) {
              if (Rt = pe, Qt)
                return M(Qt);
              if (Sr && Rt && a3.pathFilter) {
                var La = Dt.relative(Sr, tt), J = La.slice(0, La.length - Y[0].length), Ae = a3.pathFilter(Rt, ae, J);
                if (Ae)
                  return Z([""].concat(D.slice()), Dt.resolve(Sr, Ae), Rt);
              }
              c4(tt, vi);
            }
            function vi(Qt, pe) {
              if (Qt)
                return M(Qt);
              if (pe)
                return M(null, tt, Rt);
              Z(Y.slice(1), ae, Rt);
            }
          }
        }
        function P(C, G) {
          if (C === "" || C === "/" || process.platform === "win32" && /^\w:[/\\]*$/.test(C) || /[/\\]node_modules[/\\]*$/.test(C))
            return G(null);
          ql(p2, C, a3, function(V, ee) {
            if (V)
              return P(Dt.dirname(C), G);
            var M = Dt.join(ee, "package.json");
            c4(M, function(k, Z) {
              if (!Z)
                return P(Dt.dirname(C), G);
              v2(f4, M, function(Y, ae) {
                Y && G(Y);
                var et = ae;
                et && a3.packageFilter && (et = a3.packageFilter(et, M)), G(null, et, C);
              });
            });
          });
        }
        function $3(C, G, V) {
          var ee = V, M = G;
          typeof M == "function" && (ee = M, M = a3.package), ql(p2, C, a3, function(k, Z) {
            if (k)
              return ee(k);
            var Y = Dt.join(Z, "package.json");
            c4(Y, function(ae, et) {
              if (ae)
                return ee(ae);
              if (!et)
                return W(Dt.join(C, "index"), M, ee);
              v2(f4, Y, function(tt, Rt) {
                if (tt)
                  return ee(tt);
                var Lt = Rt;
                if (Lt && a3.packageFilter && (Lt = a3.packageFilter(Lt, Y)), Lt && Lt.main) {
                  if (typeof Lt.main != "string") {
                    var vi = new TypeError("package \u201C" + Lt.name + "\u201D `main` must be a string");
                    return vi.code = "INVALID_PACKAGE_MAIN", ee(vi);
                  }
                  (Lt.main === "." || Lt.main === "./") && (Lt.main = "index"), W(Dt.resolve(C, Lt.main), Lt, function(Qt, pe, Sr) {
                    if (Qt)
                      return ee(Qt);
                    if (pe)
                      return ee(null, pe, Sr);
                    if (!Sr)
                      return W(Dt.join(C, "index"), Sr, ee);
                    var La = Dt.resolve(C, Sr.main);
                    $3(La, Sr, function(J, Ae, K2) {
                      if (J)
                        return ee(J);
                      if (Ae)
                        return ee(null, Ae, K2);
                      W(Dt.join(C, "index"), K2, ee);
                    });
                  });
                  return;
                }
                W(Dt.join(C, "/index"), Lt, ee);
              });
            });
          });
        }
        function I(C, G) {
          if (G.length === 0)
            return C(null, void 0);
          var V = G[0];
          l2(Dt.dirname(V), ee);
          function ee(Z, Y) {
            if (Z)
              return C(Z);
            if (!Y)
              return I(C, G.slice(1));
            W(V, a3.package, M);
          }
          function M(Z, Y, ae) {
            if (Z)
              return C(Z);
            if (Y)
              return C(null, Y, ae);
            $3(V, a3.package, k);
          }
          function k(Z, Y, ae) {
            if (Z)
              return C(Z);
            if (Y)
              return C(null, Y, ae);
            I(C, G.slice(1));
          }
        }
        function U(C, G, V) {
          var ee = function() {
            return Tme(C, G, a3);
          };
          I(V, S2 ? S2(C, G, ee, a3) : ee());
        }
      };
    });
    var uL = b((u9e, Rme) => {
      Rme.exports = { assert: true, "node:assert": [">= 14.18 && < 15", ">= 16"], "assert/strict": ">= 15", "node:assert/strict": ">= 16", async_hooks: ">= 8", "node:async_hooks": [">= 14.18 && < 15", ">= 16"], buffer_ieee754: ">= 0.5 && < 0.9.7", buffer: true, "node:buffer": [">= 14.18 && < 15", ">= 16"], child_process: true, "node:child_process": [">= 14.18 && < 15", ">= 16"], cluster: ">= 0.5", "node:cluster": [">= 14.18 && < 15", ">= 16"], console: true, "node:console": [">= 14.18 && < 15", ">= 16"], constants: true, "node:constants": [">= 14.18 && < 15", ">= 16"], crypto: true, "node:crypto": [">= 14.18 && < 15", ">= 16"], _debug_agent: ">= 1 && < 8", _debugger: "< 8", dgram: true, "node:dgram": [">= 14.18 && < 15", ">= 16"], diagnostics_channel: [">= 14.17 && < 15", ">= 15.1"], "node:diagnostics_channel": [">= 14.18 && < 15", ">= 16"], dns: true, "node:dns": [">= 14.18 && < 15", ">= 16"], "dns/promises": ">= 15", "node:dns/promises": ">= 16", domain: ">= 0.7.12", "node:domain": [">= 14.18 && < 15", ">= 16"], events: true, "node:events": [">= 14.18 && < 15", ">= 16"], freelist: "< 6", fs: true, "node:fs": [">= 14.18 && < 15", ">= 16"], "fs/promises": [">= 10 && < 10.1", ">= 14"], "node:fs/promises": [">= 14.18 && < 15", ">= 16"], _http_agent: ">= 0.11.1", "node:_http_agent": [">= 14.18 && < 15", ">= 16"], _http_client: ">= 0.11.1", "node:_http_client": [">= 14.18 && < 15", ">= 16"], _http_common: ">= 0.11.1", "node:_http_common": [">= 14.18 && < 15", ">= 16"], _http_incoming: ">= 0.11.1", "node:_http_incoming": [">= 14.18 && < 15", ">= 16"], _http_outgoing: ">= 0.11.1", "node:_http_outgoing": [">= 14.18 && < 15", ">= 16"], _http_server: ">= 0.11.1", "node:_http_server": [">= 14.18 && < 15", ">= 16"], http: true, "node:http": [">= 14.18 && < 15", ">= 16"], http2: ">= 8.8", "node:http2": [">= 14.18 && < 15", ">= 16"], https: true, "node:https": [">= 14.18 && < 15", ">= 16"], inspector: ">= 8", "node:inspector": [">= 14.18 && < 15", ">= 16"], "inspector/promises": [">= 19"], "node:inspector/promises": [">= 19"], _linklist: "< 8", module: true, "node:module": [">= 14.18 && < 15", ">= 16"], net: true, "node:net": [">= 14.18 && < 15", ">= 16"], "node-inspect/lib/_inspect": ">= 7.6 && < 12", "node-inspect/lib/internal/inspect_client": ">= 7.6 && < 12", "node-inspect/lib/internal/inspect_repl": ">= 7.6 && < 12", os: true, "node:os": [">= 14.18 && < 15", ">= 16"], path: true, "node:path": [">= 14.18 && < 15", ">= 16"], "path/posix": ">= 15.3", "node:path/posix": ">= 16", "path/win32": ">= 15.3", "node:path/win32": ">= 16", perf_hooks: ">= 8.5", "node:perf_hooks": [">= 14.18 && < 15", ">= 16"], process: ">= 1", "node:process": [">= 14.18 && < 15", ">= 16"], punycode: ">= 0.5", "node:punycode": [">= 14.18 && < 15", ">= 16"], querystring: true, "node:querystring": [">= 14.18 && < 15", ">= 16"], readline: true, "node:readline": [">= 14.18 && < 15", ">= 16"], "readline/promises": ">= 17", "node:readline/promises": ">= 17", repl: true, "node:repl": [">= 14.18 && < 15", ">= 16"], smalloc: ">= 0.11.5 && < 3", _stream_duplex: ">= 0.9.4", "node:_stream_duplex": [">= 14.18 && < 15", ">= 16"], _stream_transform: ">= 0.9.4", "node:_stream_transform": [">= 14.18 && < 15", ">= 16"], _stream_wrap: ">= 1.4.1", "node:_stream_wrap": [">= 14.18 && < 15", ">= 16"], _stream_passthrough: ">= 0.9.4", "node:_stream_passthrough": [">= 14.18 && < 15", ">= 16"], _stream_readable: ">= 0.9.4", "node:_stream_readable": [">= 14.18 && < 15", ">= 16"], _stream_writable: ">= 0.9.4", "node:_stream_writable": [">= 14.18 && < 15", ">= 16"], stream: true, "node:stream": [">= 14.18 && < 15", ">= 16"], "stream/consumers": ">= 16.7", "node:stream/consumers": ">= 16.7", "stream/promises": ">= 15", "node:stream/promises": ">= 16", "stream/web": ">= 16.5", "node:stream/web": ">= 16.5", string_decoder: true, "node:string_decoder": [">= 14.18 && < 15", ">= 16"], sys: [">= 0.4 && < 0.7", ">= 0.8"], "node:sys": [">= 14.18 && < 15", ">= 16"], "test/reporters": ">= 19.9 && < 20.2", "node:test/reporters": [">= 18.17 && < 19", ">= 19.9", ">= 20"], "node:test": [">= 16.17 && < 17", ">= 18"], timers: true, "node:timers": [">= 14.18 && < 15", ">= 16"], "timers/promises": ">= 15", "node:timers/promises": ">= 16", _tls_common: ">= 0.11.13", "node:_tls_common": [">= 14.18 && < 15", ">= 16"], _tls_legacy: ">= 0.11.3 && < 10", _tls_wrap: ">= 0.11.3", "node:_tls_wrap": [">= 14.18 && < 15", ">= 16"], tls: true, "node:tls": [">= 14.18 && < 15", ">= 16"], trace_events: ">= 10", "node:trace_events": [">= 14.18 && < 15", ">= 16"], tty: true, "node:tty": [">= 14.18 && < 15", ">= 16"], url: true, "node:url": [">= 14.18 && < 15", ">= 16"], util: true, "node:util": [">= 14.18 && < 15", ">= 16"], "util/types": ">= 15.3", "node:util/types": ">= 16", "v8/tools/arguments": ">= 10 && < 12", "v8/tools/codemap": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/consarray": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/csvparser": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/logreader": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/profile_view": [">= 4.4 && < 5", ">= 5.2 && < 12"], "v8/tools/splaytree": [">= 4.4 && < 5", ">= 5.2 && < 12"], v8: ">= 1", "node:v8": [">= 14.18 && < 15", ">= 16"], vm: true, "node:vm": [">= 14.18 && < 15", ">= 16"], wasi: [">= 13.4 && < 13.5", ">= 18.17 && < 19", ">= 20"], "node:wasi": [">= 18.17 && < 19", ">= 20"], worker_threads: ">= 11.7", "node:worker_threads": [">= 14.18 && < 15", ">= 16"], zlib: ">= 0.5", "node:zlib": [">= 14.18 && < 15", ">= 16"] };
    });
    var hL = b((c9e, fL) => {
      "use strict";
      var Cme = $l(), cL = uL(), lL = {};
      for (zd in cL)
        Object.prototype.hasOwnProperty.call(cL, zd) && (lL[zd] = Cme(zd));
      var zd;
      fL.exports = lL;
    });
    var dL = b((l9e, pL) => {
      "use strict";
      var Ame = $l();
      pL.exports = function(r2) {
        return Ame(r2);
      };
    });
    var yL = b((f9e, gL) => {
      "use strict";
      var Ime = $l(), zo = require("fs"), ar = require("path"), Pme = ow(), Fme = aw(), Lme = lw(), Mme = fw(), Nme = process.platform !== "win32" && zo.realpathSync && typeof zo.realpathSync.native == "function" ? zo.realpathSync.native : zo.realpathSync, mL = Pme(), kme = function() {
        return [ar.join(mL, ".node_modules"), ar.join(mL, ".node_libraries")];
      }, $me = function(r2) {
        try {
          var n2 = zo.statSync(r2, { throwIfNoEntry: false });
        } catch (i4) {
          if (i4 && (i4.code === "ENOENT" || i4.code === "ENOTDIR"))
            return false;
          throw i4;
        }
        return !!n2 && (n2.isFile() || n2.isFIFO());
      }, qme = function(r2) {
        try {
          var n2 = zo.statSync(r2, { throwIfNoEntry: false });
        } catch (i4) {
          if (i4 && (i4.code === "ENOENT" || i4.code === "ENOTDIR"))
            return false;
          throw i4;
        }
        return !!n2 && n2.isDirectory();
      }, Bme = function(r2) {
        try {
          return Nme(r2);
        } catch (n2) {
          if (n2.code !== "ENOENT")
            throw n2;
        }
        return r2;
      }, Bl = function(r2, n2, i4) {
        return i4 && i4.preserveSymlinks === false ? r2(n2) : n2;
      }, jme = function(r2, n2) {
        var i4 = r2(n2);
        try {
          var o2 = JSON.parse(i4);
          return o2;
        } catch {
        }
      }, Ume = function(r2, n2, i4) {
        for (var o2 = Lme(n2, i4, r2), a3 = 0; a3 < o2.length; a3++)
          o2[a3] = ar.join(o2[a3], r2);
        return o2;
      };
      gL.exports = function(r2, n2) {
        if (typeof r2 != "string")
          throw new TypeError("Path must be a string.");
        var i4 = Mme(r2, n2), o2 = i4.isFile || $me, a3 = i4.readFileSync || zo.readFileSync, u2 = i4.isDirectory || qme, c4 = i4.realpathSync || Bme, l2 = i4.readPackageSync || jme;
        if (i4.readFileSync && i4.readPackageSync)
          throw new TypeError("`readFileSync` and `readPackageSync` are mutually exclusive.");
        var f4 = i4.packageIterator, p2 = i4.extensions || [".js"], v2 = i4.includeCoreModules !== false, g2 = i4.basedir || ar.dirname(Fme()), S2 = i4.filename || g2;
        i4.paths = i4.paths || kme();
        var D = Bl(c4, ar.resolve(g2), i4);
        if (/^(?:\.\.?(?:\/|$)|\/|([A-Za-z]:)?[/\\])/.test(r2)) {
          var T6 = ar.resolve(D, r2);
          (r2 === "." || r2 === ".." || r2.slice(-1) === "/") && (T6 += "/");
          var R = N(T6) || B(T6);
          if (R)
            return Bl(c4, R, i4);
        } else {
          if (v2 && Ime(r2))
            return r2;
          var A2 = W(r2, D);
          if (A2)
            return Bl(c4, A2, i4);
        }
        var L = new Error("Cannot find module '" + r2 + "' from '" + S2 + "'");
        throw L.code = "MODULE_NOT_FOUND", L;
        function N(P) {
          var $3 = q(ar.dirname(P));
          if ($3 && $3.dir && $3.pkg && i4.pathFilter) {
            var I = ar.relative($3.dir, P), U = i4.pathFilter($3.pkg, P, I);
            U && (P = ar.resolve($3.dir, U));
          }
          if (o2(P))
            return P;
          for (var C = 0; C < p2.length; C++) {
            var G = P + p2[C];
            if (o2(G))
              return G;
          }
        }
        function q(P) {
          if (!(P === "" || P === "/") && !(process.platform === "win32" && /^\w:[/\\]*$/.test(P)) && !/[/\\]node_modules[/\\]*$/.test(P)) {
            var $3 = ar.join(Bl(c4, P, i4), "package.json");
            if (!o2($3))
              return q(ar.dirname(P));
            var I = l2(a3, $3);
            return I && i4.packageFilter && (I = i4.packageFilter(I, P)), { pkg: I, dir: P };
          }
        }
        function B(P) {
          var $3 = ar.join(Bl(c4, P, i4), "/package.json");
          if (o2($3)) {
            try {
              var I = l2(a3, $3);
            } catch {
            }
            if (I && i4.packageFilter && (I = i4.packageFilter(I, P)), I && I.main) {
              if (typeof I.main != "string") {
                var U = new TypeError("package \u201C" + I.name + "\u201D `main` must be a string");
                throw U.code = "INVALID_PACKAGE_MAIN", U;
              }
              (I.main === "." || I.main === "./") && (I.main = "index");
              try {
                var C = N(ar.resolve(P, I.main));
                if (C)
                  return C;
                var G = B(ar.resolve(P, I.main));
                if (G)
                  return G;
              } catch {
              }
            }
          }
          return N(ar.join(P, "/index"));
        }
        function W(P, $3) {
          for (var I = function() {
            return Ume(P, $3, i4);
          }, U = f4 ? f4(P, $3, I, i4) : I(), C = 0; C < U.length; C++) {
            var G = U[C];
            if (u2(ar.dirname(G))) {
              var V = N(G);
              if (V)
                return V;
              var ee = B(G);
              if (ee)
                return ee;
            }
          }
        }
      };
    });
    var pw = b((h9e, vL) => {
      "use strict";
      var Yd = aL();
      Yd.core = hL();
      Yd.isCore = dL();
      Yd.sync = yL();
      vL.exports = Yd;
    });
    var EL = b((p9e, bL) => {
      "use strict";
      bL.exports = Gme;
      function Gme(e3) {
        if (e3 && e3 !== "ERROR: No README data found!") {
          e3 = e3.trim().split(`
`);
          for (var r2 = 0; e3[r2] && e3[r2].trim().match(/^(#|$)/); r2++)
            ;
          for (var n2 = e3.length, i4 = r2 + 1; i4 < n2 && e3[i4].trim(); i4++)
            ;
          return e3.slice(r2, i4).join(" ").trim();
        }
      }
    });
    var wL = b((d9e, Wme) => {
      Wme.exports = { topLevel: { dependancies: "dependencies", dependecies: "dependencies", depdenencies: "dependencies", devEependencies: "devDependencies", depends: "dependencies", "dev-dependencies": "devDependencies", devDependences: "devDependencies", devDepenencies: "devDependencies", devdependencies: "devDependencies", repostitory: "repository", repo: "repository", prefereGlobal: "preferGlobal", hompage: "homepage", hampage: "homepage", autohr: "author", autor: "author", contributers: "contributors", publicationConfig: "publishConfig", script: "scripts" }, bugs: { web: "url", name: "url" }, script: { server: "start", tests: "test" } };
    });
    var DL = b((g9e, xL) => {
      "use strict";
      var _L = dF(), Hme = PF(), Jd = BF(), Vme = pw().isCore, Kme = ["dependencies", "devDependencies", "optionalDependencies"], zme = EL(), dw = require("url"), Rs = wL(), m9e = xL.exports = { warn: function() {
      }, fixRepositoryField: function(e3) {
        if (e3.repositories && (this.warn("repositories"), e3.repository = e3.repositories[0]), !e3.repository)
          return this.warn("missingRepository");
        typeof e3.repository == "string" && (e3.repository = { type: "git", url: e3.repository });
        var r2 = e3.repository.url || "";
        if (r2) {
          var n2 = Jd.fromUrl(r2);
          n2 && (r2 = e3.repository.url = n2.getDefaultRepresentation() == "shortcut" ? n2.https() : n2.toString());
        }
        r2.match(/github.com\/[^\/]+\/[^\/]+\.git\.git$/) && this.warn("brokenGitUrl", r2);
      }, fixTypos: function(e3) {
        Object.keys(Rs.topLevel).forEach(function(r2) {
          e3.hasOwnProperty(r2) && this.warn("typo", r2, Rs.topLevel[r2]);
        }, this);
      }, fixScriptsField: function(e3) {
        if (e3.scripts) {
          if (typeof e3.scripts != "object") {
            this.warn("nonObjectScripts"), delete e3.scripts;
            return;
          }
          Object.keys(e3.scripts).forEach(function(r2) {
            typeof e3.scripts[r2] != "string" ? (this.warn("nonStringScript"), delete e3.scripts[r2]) : Rs.script[r2] && !e3.scripts[Rs.script[r2]] && this.warn("typo", r2, Rs.script[r2], "scripts");
          }, this);
        }
      }, fixFilesField: function(e3) {
        var r2 = e3.files;
        r2 && !Array.isArray(r2) ? (this.warn("nonArrayFiles"), delete e3.files) : e3.files && (e3.files = e3.files.filter(function(n2) {
          return !n2 || typeof n2 != "string" ? (this.warn("invalidFilename", n2), false) : true;
        }, this));
      }, fixBinField: function(e3) {
        if (e3.bin && typeof e3.bin == "string") {
          var r2 = {}, n2;
          (n2 = e3.name.match(/^@[^/]+[/](.*)$/)) ? r2[n2[1]] = e3.bin : r2[e3.name] = e3.bin, e3.bin = r2;
        }
      }, fixManField: function(e3) {
        e3.man && typeof e3.man == "string" && (e3.man = [e3.man]);
      }, fixBundleDependenciesField: function(e3) {
        var r2 = "bundledDependencies", n2 = "bundleDependencies";
        e3[r2] && !e3[n2] && (e3[n2] = e3[r2], delete e3[r2]), e3[n2] && !Array.isArray(e3[n2]) ? (this.warn("nonArrayBundleDependencies"), delete e3[n2]) : e3[n2] && (e3[n2] = e3[n2].filter(function(i4) {
          return !i4 || typeof i4 != "string" ? (this.warn("nonStringBundleDependency", i4), false) : (e3.dependencies || (e3.dependencies = {}), e3.dependencies.hasOwnProperty(i4) || (this.warn("nonDependencyBundleDependency", i4), e3.dependencies[i4] = "*"), true);
        }, this));
      }, fixDependencies: function(e3, r2) {
        var n2 = !r2;
        rge(e3, this.warn), ege(e3, this.warn), this.fixBundleDependenciesField(e3), ["dependencies", "devDependencies"].forEach(function(i4) {
          if (i4 in e3) {
            if (!e3[i4] || typeof e3[i4] != "object") {
              this.warn("nonObjectDependencies", i4), delete e3[i4];
              return;
            }
            Object.keys(e3[i4]).forEach(function(o2) {
              var a3 = e3[i4][o2];
              typeof a3 != "string" && (this.warn("nonStringDependency", o2, JSON.stringify(a3)), delete e3[i4][o2]);
              var u2 = Jd.fromUrl(e3[i4][o2]);
              u2 && (e3[i4][o2] = u2.toString());
            }, this);
          }
        }, this);
      }, fixModulesField: function(e3) {
        e3.modules && (this.warn("deprecatedModules"), delete e3.modules);
      }, fixKeywordsField: function(e3) {
        typeof e3.keywords == "string" && (e3.keywords = e3.keywords.split(/,\s+/)), e3.keywords && !Array.isArray(e3.keywords) ? (delete e3.keywords, this.warn("nonArrayKeywords")) : e3.keywords && (e3.keywords = e3.keywords.filter(function(r2) {
          return typeof r2 != "string" || !r2 ? (this.warn("nonStringKeyword"), false) : true;
        }, this));
      }, fixVersionField: function(e3, r2) {
        var n2 = !r2;
        if (!e3.version)
          return e3.version = "", true;
        if (!_L.valid(e3.version, n2))
          throw new Error('Invalid version: "' + e3.version + '"');
        return e3.version = _L.clean(e3.version, n2), true;
      }, fixPeople: function(e3) {
        SL(e3, Qme), SL(e3, Zme);
      }, fixNameField: function(e3, r2) {
        typeof r2 == "boolean" ? r2 = { strict: r2 } : typeof r2 > "u" && (r2 = {});
        var n2 = r2.strict;
        if (!e3.name && !n2) {
          e3.name = "";
          return;
        }
        if (typeof e3.name != "string")
          throw new Error("name field must be a string.");
        n2 || (e3.name = e3.name.trim()), Xme(e3.name, n2, r2.allowLegacyCase), Vme(e3.name) && this.warn("conflictingName", e3.name);
      }, fixDescriptionField: function(e3) {
        e3.description && typeof e3.description != "string" && (this.warn("nonStringDescription"), delete e3.description), e3.readme && !e3.description && (e3.description = zme(e3.readme)), e3.description === void 0 && delete e3.description, e3.description || this.warn("missingDescription");
      }, fixReadmeField: function(e3) {
        e3.readme || (this.warn("missingReadme"), e3.readme = "ERROR: No README data found!");
      }, fixBugsField: function(e3) {
        if (!e3.bugs && e3.repository && e3.repository.url) {
          var r2 = Jd.fromUrl(e3.repository.url);
          r2 && r2.bugs() && (e3.bugs = { url: r2.bugs() });
        } else if (e3.bugs) {
          var n2 = /^.+@.*\..+$/;
          if (typeof e3.bugs == "string")
            n2.test(e3.bugs) ? e3.bugs = { email: e3.bugs } : dw.parse(e3.bugs).protocol ? e3.bugs = { url: e3.bugs } : this.warn("nonEmailUrlBugsString");
          else {
            nge(e3.bugs, this.warn);
            var i4 = e3.bugs;
            e3.bugs = {}, i4.url && (typeof i4.url == "string" && dw.parse(i4.url).protocol ? e3.bugs.url = i4.url : this.warn("nonUrlBugsUrlField")), i4.email && (typeof i4.email == "string" && n2.test(i4.email) ? e3.bugs.email = i4.email : this.warn("nonEmailBugsEmailField"));
          }
          !e3.bugs.email && !e3.bugs.url && (delete e3.bugs, this.warn("emptyNormalizedBugs"));
        }
      }, fixHomepageField: function(e3) {
        if (!e3.homepage && e3.repository && e3.repository.url) {
          var r2 = Jd.fromUrl(e3.repository.url);
          r2 && r2.docs() && (e3.homepage = r2.docs());
        }
        if (e3.homepage) {
          if (typeof e3.homepage != "string")
            return this.warn("nonUrlHomepage"), delete e3.homepage;
          dw.parse(e3.homepage).protocol || (e3.homepage = "http://" + e3.homepage);
        }
      }, fixLicenseField: function(e3) {
        if (e3.license)
          typeof e3.license != "string" || e3.license.length < 1 || e3.license.trim() === "" ? this.warn("invalidLicense") : Hme(e3.license).validForNewPackages || this.warn("invalidLicense");
        else
          return this.warn("missingLicense");
      } };
      function Yme(e3) {
        if (e3.charAt(0) !== "@")
          return false;
        var r2 = e3.slice(1).split("/");
        return r2.length !== 2 ? false : r2[0] && r2[1] && r2[0] === encodeURIComponent(r2[0]) && r2[1] === encodeURIComponent(r2[1]);
      }
      function Jme(e3) {
        return !e3.match(/[\/@\s\+%:]/) && e3 === encodeURIComponent(e3);
      }
      function Xme(e3, r2, n2) {
        if (e3.charAt(0) === "." || !(Yme(e3) || Jme(e3)) || r2 && !n2 && e3 !== e3.toLowerCase() || e3.toLowerCase() === "node_modules" || e3.toLowerCase() === "favicon.ico")
          throw new Error("Invalid name: " + JSON.stringify(e3));
      }
      function SL(e3, r2) {
        return e3.author && (e3.author = r2(e3.author)), ["maintainers", "contributors"].forEach(function(n2) {
          Array.isArray(e3[n2]) && (e3[n2] = e3[n2].map(r2));
        }), e3;
      }
      function Qme(e3) {
        if (typeof e3 == "string")
          return e3;
        var r2 = e3.name || "", n2 = e3.url || e3.web, i4 = n2 ? " (" + n2 + ")" : "", o2 = e3.email || e3.mail, a3 = o2 ? " <" + o2 + ">" : "";
        return r2 + a3 + i4;
      }
      function Zme(e3) {
        if (typeof e3 != "string")
          return e3;
        var r2 = e3.match(/^([^\(<]+)/), n2 = e3.match(/\(([^\)]+)\)/), i4 = e3.match(/<([^>]+)>/), o2 = {};
        return r2 && r2[0].trim() && (o2.name = r2[0].trim()), i4 && (o2.email = i4[1]), n2 && (o2.url = n2[1]), o2;
      }
      function ege(e3, r2) {
        var n2 = e3.optionalDependencies;
        if (n2) {
          var i4 = e3.dependencies || {};
          Object.keys(n2).forEach(function(o2) {
            i4[o2] = n2[o2];
          }), e3.dependencies = i4;
        }
      }
      function tge(e3, r2, n2) {
        if (!e3)
          return {};
        if (typeof e3 == "string" && (e3 = e3.trim().split(/[\n\r\s\t ,]+/)), !Array.isArray(e3))
          return e3;
        n2("deprecatedArrayDependencies", r2);
        var i4 = {};
        return e3.filter(function(o2) {
          return typeof o2 == "string";
        }).forEach(function(o2) {
          o2 = o2.trim().split(/(:?[@\s><=])/);
          var a3 = o2.shift(), u2 = o2.join("");
          u2 = u2.trim(), u2 = u2.replace(/^@/, ""), i4[a3] = u2;
        }), i4;
      }
      function rge(e3, r2) {
        Kme.forEach(function(n2) {
          e3[n2] && (e3[n2] = tge(e3[n2], n2, r2));
        });
      }
      function nge(e3, r2) {
        e3 && Object.keys(e3).forEach(function(n2) {
          Rs.bugs[n2] && (r2("typo", n2, Rs.bugs[n2], "bugs"), e3[Rs.bugs[n2]] = e3[n2], delete e3[n2]);
        });
      }
    });
    var OL = b((y9e, ige) => {
      ige.exports = { repositories: "'repositories' (plural) Not supported. Please pick one as the 'repository' field", missingRepository: "No repository field.", brokenGitUrl: "Probably broken git url: %s", nonObjectScripts: "scripts must be an object", nonStringScript: "script values must be string commands", nonArrayFiles: "Invalid 'files' member", invalidFilename: "Invalid filename in 'files' list: %s", nonArrayBundleDependencies: "Invalid 'bundleDependencies' list. Must be array of package names", nonStringBundleDependency: "Invalid bundleDependencies member: %s", nonDependencyBundleDependency: "Non-dependency in bundleDependencies: %s", nonObjectDependencies: "%s field must be an object", nonStringDependency: "Invalid dependency: %s %s", deprecatedArrayDependencies: "specifying %s as array is deprecated", deprecatedModules: "modules field is deprecated", nonArrayKeywords: "keywords should be an array of strings", nonStringKeyword: "keywords should be an array of strings", conflictingName: "%s is also the name of a node core module.", nonStringDescription: "'description' field should be a string", missingDescription: "No description", missingReadme: "No README data", missingLicense: "No license field.", nonEmailUrlBugsString: "Bug string field must be url, email, or {email,url}", nonUrlBugsUrlField: "bugs.url field must be a string url. Deleted.", nonEmailBugsEmailField: "bugs.email field must be a string email. Deleted.", emptyNormalizedBugs: "Normalized value of bugs field is an empty object. Deleted.", nonUrlHomepage: "homepage field must be a string url. Deleted.", invalidLicense: "license should be a valid SPDX license expression", typo: "%s should probably be %s." };
    });
    var CL = b((v9e, RL) => {
      "use strict";
      var TL = require("util"), mw = OL();
      RL.exports = function() {
        var e3 = Array.prototype.slice.call(arguments, 0), r2 = e3.shift();
        if (r2 == "typo")
          return sge.apply(null, e3);
        var n2 = mw[r2] ? mw[r2] : r2 + ": '%s'";
        return e3.unshift(n2), TL.format.apply(null, e3);
      };
      function sge(e3, r2, n2) {
        return n2 && (e3 = n2 + "['" + e3 + "']", r2 = n2 + "['" + r2 + "']"), TL.format(mw.typo, e3, r2);
      }
    });
    var vw = b((b9e, PL) => {
      "use strict";
      PL.exports = AL;
      var gw = DL();
      AL.fixer = gw;
      var oge = CL(), age = ["name", "version", "description", "repository", "modules", "scripts", "files", "bin", "man", "bugs", "keywords", "readme", "homepage", "license"], uge = ["dependencies", "people", "typos"], yw = age.map(function(e3) {
        return IL(e3) + "Field";
      });
      yw = yw.concat(uge);
      function AL(e3, r2, n2) {
        r2 === true && (r2 = null, n2 = true), n2 || (n2 = false), (!r2 || e3.private) && (r2 = function(i4) {
        }), e3.scripts && e3.scripts.install === "node-gyp rebuild" && !e3.scripts.preinstall && (e3.gypfile = true), gw.warn = function() {
          r2(oge.apply(null, arguments));
        }, yw.forEach(function(i4) {
          gw["fix" + IL(i4)](e3, n2);
        }), e3._id = e3.name + "@" + e3.version;
      }
      function IL(e3) {
        return e3.charAt(0).toUpperCase() + e3.slice(1);
      }
    });
    var NL = b((E9e, bw) => {
      "use strict";
      var { promisify: cge } = require("util"), FL = require("fs"), LL = require("path"), ML = X3(), lge = cge(FL.readFile);
      bw.exports = async (e3) => {
        e3 = { cwd: process.cwd(), normalize: true, ...e3 };
        let r2 = LL.resolve(e3.cwd, "package.json"), n2 = ML(await lge(r2, "utf8"));
        return e3.normalize && vw()(n2), n2;
      };
      bw.exports.sync = (e3) => {
        e3 = { cwd: process.cwd(), normalize: true, ...e3 };
        let r2 = LL.resolve(e3.cwd, "package.json"), n2 = ML(FL.readFileSync(r2, "utf8"));
        return e3.normalize && vw()(n2), n2;
      };
    });
    var ww = b((w9e, Ew) => {
      "use strict";
      var kL = require("path"), $L = U6(), qL = NL();
      Ew.exports = async (e3) => {
        let r2 = await $L("package.json", e3);
        if (r2)
          return { packageJson: await qL({ ...e3, cwd: kL.dirname(r2) }), path: r2 };
      };
      Ew.exports.sync = (e3) => {
        let r2 = $L.sync("package.json", e3);
        if (r2)
          return { packageJson: qL.sync({ ...e3, cwd: kL.dirname(r2) }), path: r2 };
      };
    });
    var zL = b((x9e, bge) => {
      bge.exports = { name: "dotenv", version: "16.0.3", description: "Loads environment variables from .env file", main: "lib/main.js", types: "lib/main.d.ts", exports: { ".": { require: "./lib/main.js", types: "./lib/main.d.ts", default: "./lib/main.js" }, "./config": "./config.js", "./config.js": "./config.js", "./lib/env-options": "./lib/env-options.js", "./lib/env-options.js": "./lib/env-options.js", "./lib/cli-options": "./lib/cli-options.js", "./lib/cli-options.js": "./lib/cli-options.js", "./package.json": "./package.json" }, scripts: { "dts-check": "tsc --project tests/types/tsconfig.json", lint: "standard", "lint-readme": "standard-markdown", pretest: "npm run lint && npm run dts-check", test: "tap tests/*.js --100 -Rspec", prerelease: "npm test", release: "standard-version" }, repository: { type: "git", url: "git://github.com/motdotla/dotenv.git" }, keywords: ["dotenv", "env", ".env", "environment", "variables", "config", "settings"], readmeFilename: "README.md", license: "BSD-2-Clause", devDependencies: { "@types/node": "^17.0.9", decache: "^4.6.1", dtslint: "^3.7.0", sinon: "^12.0.1", standard: "^16.0.4", "standard-markdown": "^7.1.0", "standard-version": "^9.3.2", tap: "^15.1.6", tar: "^6.1.11", typescript: "^4.5.4" }, engines: { node: ">=12" } };
    });
    var JL = b((D9e, Zd) => {
      "use strict";
      var Ege = require("fs"), YL = require("path"), wge = require("os"), _ge = zL(), Sge = _ge.version, xge = /(?:^|^)\s*(?:export\s+)?([\w.-]+)(?:\s*=\s*?|:\s+?)(\s*'(?:\\'|[^'])*'|\s*"(?:\\"|[^"])*"|\s*`(?:\\`|[^`])*`|[^#\r\n]+)?\s*(?:#.*)?(?:$|$)/mg;
      function Dge(e3) {
        let r2 = {}, n2 = e3.toString();
        n2 = n2.replace(/\r\n?/mg, `
`);
        let i4;
        for (; (i4 = xge.exec(n2)) != null; ) {
          let o2 = i4[1], a3 = i4[2] || "";
          a3 = a3.trim();
          let u2 = a3[0];
          a3 = a3.replace(/^(['"`])([\s\S]*)\1$/mg, "$2"), u2 === '"' && (a3 = a3.replace(/\\n/g, `
`), a3 = a3.replace(/\\r/g, "\r")), r2[o2] = a3;
        }
        return r2;
      }
      function Dw(e3) {
        console.log(`[dotenv@${Sge}][DEBUG] ${e3}`);
      }
      function Oge(e3) {
        return e3[0] === "~" ? YL.join(wge.homedir(), e3.slice(1)) : e3;
      }
      function Tge(e3) {
        let r2 = YL.resolve(process.cwd(), ".env"), n2 = "utf8", i4 = !!(e3 && e3.debug), o2 = !!(e3 && e3.override);
        e3 && (e3.path != null && (r2 = Oge(e3.path)), e3.encoding != null && (n2 = e3.encoding));
        try {
          let a3 = Qd.parse(Ege.readFileSync(r2, { encoding: n2 }));
          return Object.keys(a3).forEach(function(u2) {
            Object.prototype.hasOwnProperty.call(process.env, u2) ? (o2 === true && (process.env[u2] = a3[u2]), i4 && Dw(o2 === true ? `"${u2}" is already defined in \`process.env\` and WAS overwritten` : `"${u2}" is already defined in \`process.env\` and was NOT overwritten`)) : process.env[u2] = a3[u2];
          }), { parsed: a3 };
        } catch (a3) {
          return i4 && Dw(`Failed to load ${r2} ${a3.message}`), { error: a3 };
        }
      }
      var Qd = { config: Tge, parse: Dge };
      Zd.exports.config = Qd.config;
      Zd.exports.parse = Qd.parse;
      Zd.exports = Qd;
    });
    var cM = b((J9e, uM) => {
      "use strict";
      var Lw = Symbol("arg flag"), on = class e3 extends Error {
        constructor(r2, n2) {
          super(r2), this.name = "ArgError", this.code = n2, Object.setPrototypeOf(this, e3.prototype);
        }
      };
      function Wl(e3, { argv: r2 = process.argv.slice(2), permissive: n2 = false, stopAtPositional: i4 = false } = {}) {
        if (!e3)
          throw new on("argument specification object is required", "ARG_CONFIG_NO_SPEC");
        let o2 = { _: [] }, a3 = {}, u2 = {};
        for (let c4 of Object.keys(e3)) {
          if (!c4)
            throw new on("argument key cannot be an empty string", "ARG_CONFIG_EMPTY_KEY");
          if (c4[0] !== "-")
            throw new on(`argument key must start with '-' but found: '${c4}'`, "ARG_CONFIG_NONOPT_KEY");
          if (c4.length === 1)
            throw new on(`argument key must have a name; singular '-' keys are not allowed: ${c4}`, "ARG_CONFIG_NONAME_KEY");
          if (typeof e3[c4] == "string") {
            a3[c4] = e3[c4];
            continue;
          }
          let l2 = e3[c4], f4 = false;
          if (Array.isArray(l2) && l2.length === 1 && typeof l2[0] == "function") {
            let [p2] = l2;
            l2 = (v2, g2, S2 = []) => (S2.push(p2(v2, g2, S2[S2.length - 1])), S2), f4 = p2 === Boolean || p2[Lw] === true;
          } else if (typeof l2 == "function")
            f4 = l2 === Boolean || l2[Lw] === true;
          else
            throw new on(`type missing or not a function or valid array type: ${c4}`, "ARG_CONFIG_VAD_TYPE");
          if (c4[1] !== "-" && c4.length > 2)
            throw new on(`short argument keys (with a single hyphen) must have only one character: ${c4}`, "ARG_CONFIG_SHORTOPT_TOOLONG");
          u2[c4] = [l2, f4];
        }
        for (let c4 = 0, l2 = r2.length; c4 < l2; c4++) {
          let f4 = r2[c4];
          if (i4 && o2._.length > 0) {
            o2._ = o2._.concat(r2.slice(c4));
            break;
          }
          if (f4 === "--") {
            o2._ = o2._.concat(r2.slice(c4 + 1));
            break;
          }
          if (f4.length > 1 && f4[0] === "-") {
            let p2 = f4[1] === "-" || f4.length === 2 ? [f4] : f4.slice(1).split("").map((v2) => `-${v2}`);
            for (let v2 = 0; v2 < p2.length; v2++) {
              let g2 = p2[v2], [S2, D] = g2[1] === "-" ? g2.split(/=(.*)/, 2) : [g2, void 0], T6 = S2;
              for (; T6 in a3; )
                T6 = a3[T6];
              if (!(T6 in u2))
                if (n2) {
                  o2._.push(g2);
                  continue;
                } else
                  throw new on(`unknown or unexpected option: ${S2}`, "ARG_UNKNOWN_OPTION");
              let [R, A2] = u2[T6];
              if (!A2 && v2 + 1 < p2.length)
                throw new on(`option requires argument (but was followed by another short argument): ${S2}`, "ARG_MISSING_REQUIRED_SHORTARG");
              if (A2)
                o2[T6] = R(true, T6, o2[T6]);
              else if (D === void 0) {
                if (r2.length < c4 + 2 || r2[c4 + 1].length > 1 && r2[c4 + 1][0] === "-" && !(r2[c4 + 1].match(/^-?\d*(\.(?=\d))?\d*$/) && (R === Number || typeof BigInt < "u" && R === BigInt))) {
                  let L = S2 === T6 ? "" : ` (alias for ${T6})`;
                  throw new on(`option requires argument: ${S2}${L}`, "ARG_MISSING_REQUIRED_LONGARG");
                }
                o2[T6] = R(r2[c4 + 1], T6, o2[T6]), ++c4;
              } else
                o2[T6] = R(D, T6, o2[T6]);
            }
          } else
            o2._.push(f4);
        }
        return o2;
      }
      Wl.flag = (e3) => (e3[Lw] = true, e3);
      Wl.COUNT = Wl.flag((e3, r2, n2) => (n2 || 0) + 1);
      Wl.ArgError = on;
      uM.exports = Wl;
    });
    var fM = b((X9e, lM) => {
      "use strict";
      lM.exports = (e3) => {
        let r2 = e3.match(/^[ \t]*(?=\S)/gm);
        return r2 ? r2.reduce((n2, i4) => Math.min(n2, i4.length), 1 / 0) : 0;
      };
    });
    var pM = b((Q9e, hM) => {
      "use strict";
      var Mge = fM();
      hM.exports = (e3) => {
        let r2 = Mge(e3);
        if (r2 === 0)
          return e3;
        let n2 = new RegExp(`^[ \\t]{${r2}}`, "gm");
        return e3.replace(n2, "");
      };
    });
    var Pr = b((Uw) => {
      "use strict";
      Uw.fromCallback = function(e3) {
        return Object.defineProperty(function(...r2) {
          if (typeof r2[r2.length - 1] == "function")
            e3.apply(this, r2);
          else
            return new Promise((n2, i4) => {
              e3.call(this, ...r2, (o2, a3) => o2 != null ? i4(o2) : n2(a3));
            });
        }, "name", { value: e3.name });
      };
      Uw.fromPromise = function(e3) {
        return Object.defineProperty(function(...r2) {
          let n2 = r2[r2.length - 1];
          if (typeof n2 != "function")
            return e3.apply(this, r2);
          e3.apply(this, r2.slice(0, -1)).then((i4) => n2(null, i4), n2);
        }, "name", { value: e3.name });
      };
    });
    var RM = b((R$e, TM) => {
      "use strict";
      var As = require("constants"), Wge = process.cwd, um = null, Hge = process.env.GRACEFUL_FS_PLATFORM || process.platform;
      process.cwd = function() {
        return um || (um = Wge.call(process)), um;
      };
      try {
        process.cwd();
      } catch {
      }
      typeof process.chdir == "function" && (Gw = process.chdir, process.chdir = function(e3) {
        um = null, Gw.call(process, e3);
      }, Object.setPrototypeOf && Object.setPrototypeOf(process.chdir, Gw));
      var Gw;
      TM.exports = Vge;
      function Vge(e3) {
        As.hasOwnProperty("O_SYMLINK") && process.version.match(/^v0\.6\.[0-2]|^v0\.5\./) && r2(e3), e3.lutimes || n2(e3), e3.chown = a3(e3.chown), e3.fchown = a3(e3.fchown), e3.lchown = a3(e3.lchown), e3.chmod = i4(e3.chmod), e3.fchmod = i4(e3.fchmod), e3.lchmod = i4(e3.lchmod), e3.chownSync = u2(e3.chownSync), e3.fchownSync = u2(e3.fchownSync), e3.lchownSync = u2(e3.lchownSync), e3.chmodSync = o2(e3.chmodSync), e3.fchmodSync = o2(e3.fchmodSync), e3.lchmodSync = o2(e3.lchmodSync), e3.stat = c4(e3.stat), e3.fstat = c4(e3.fstat), e3.lstat = c4(e3.lstat), e3.statSync = l2(e3.statSync), e3.fstatSync = l2(e3.fstatSync), e3.lstatSync = l2(e3.lstatSync), e3.chmod && !e3.lchmod && (e3.lchmod = function(p2, v2, g2) {
          g2 && process.nextTick(g2);
        }, e3.lchmodSync = function() {
        }), e3.chown && !e3.lchown && (e3.lchown = function(p2, v2, g2, S2) {
          S2 && process.nextTick(S2);
        }, e3.lchownSync = function() {
        }), Hge === "win32" && (e3.rename = typeof e3.rename != "function" ? e3.rename : function(p2) {
          function v2(g2, S2, D) {
            var T6 = Date.now(), R = 0;
            p2(g2, S2, function A2(L) {
              if (L && (L.code === "EACCES" || L.code === "EPERM") && Date.now() - T6 < 6e4) {
                setTimeout(function() {
                  e3.stat(S2, function(N, q) {
                    N && N.code === "ENOENT" ? p2(g2, S2, A2) : D(L);
                  });
                }, R), R < 100 && (R += 10);
                return;
              }
              D && D(L);
            });
          }
          return Object.setPrototypeOf && Object.setPrototypeOf(v2, p2), v2;
        }(e3.rename)), e3.read = typeof e3.read != "function" ? e3.read : function(p2) {
          function v2(g2, S2, D, T6, R, A2) {
            var L;
            if (A2 && typeof A2 == "function") {
              var N = 0;
              L = function(q, B, W) {
                if (q && q.code === "EAGAIN" && N < 10)
                  return N++, p2.call(e3, g2, S2, D, T6, R, L);
                A2.apply(this, arguments);
              };
            }
            return p2.call(e3, g2, S2, D, T6, R, L);
          }
          return Object.setPrototypeOf && Object.setPrototypeOf(v2, p2), v2;
        }(e3.read), e3.readSync = typeof e3.readSync != "function" ? e3.readSync : function(p2) {
          return function(v2, g2, S2, D, T6) {
            for (var R = 0; ; )
              try {
                return p2.call(e3, v2, g2, S2, D, T6);
              } catch (A2) {
                if (A2.code === "EAGAIN" && R < 10) {
                  R++;
                  continue;
                }
                throw A2;
              }
          };
        }(e3.readSync);
        function r2(p2) {
          p2.lchmod = function(v2, g2, S2) {
            p2.open(v2, As.O_WRONLY | As.O_SYMLINK, g2, function(D, T6) {
              if (D) {
                S2 && S2(D);
                return;
              }
              p2.fchmod(T6, g2, function(R) {
                p2.close(T6, function(A2) {
                  S2 && S2(R || A2);
                });
              });
            });
          }, p2.lchmodSync = function(v2, g2) {
            var S2 = p2.openSync(v2, As.O_WRONLY | As.O_SYMLINK, g2), D = true, T6;
            try {
              T6 = p2.fchmodSync(S2, g2), D = false;
            } finally {
              if (D)
                try {
                  p2.closeSync(S2);
                } catch {
                }
              else
                p2.closeSync(S2);
            }
            return T6;
          };
        }
        function n2(p2) {
          As.hasOwnProperty("O_SYMLINK") && p2.futimes ? (p2.lutimes = function(v2, g2, S2, D) {
            p2.open(v2, As.O_SYMLINK, function(T6, R) {
              if (T6) {
                D && D(T6);
                return;
              }
              p2.futimes(R, g2, S2, function(A2) {
                p2.close(R, function(L) {
                  D && D(A2 || L);
                });
              });
            });
          }, p2.lutimesSync = function(v2, g2, S2) {
            var D = p2.openSync(v2, As.O_SYMLINK), T6, R = true;
            try {
              T6 = p2.futimesSync(D, g2, S2), R = false;
            } finally {
              if (R)
                try {
                  p2.closeSync(D);
                } catch {
                }
              else
                p2.closeSync(D);
            }
            return T6;
          }) : p2.futimes && (p2.lutimes = function(v2, g2, S2, D) {
            D && process.nextTick(D);
          }, p2.lutimesSync = function() {
          });
        }
        function i4(p2) {
          return p2 && function(v2, g2, S2) {
            return p2.call(e3, v2, g2, function(D) {
              f4(D) && (D = null), S2 && S2.apply(this, arguments);
            });
          };
        }
        function o2(p2) {
          return p2 && function(v2, g2) {
            try {
              return p2.call(e3, v2, g2);
            } catch (S2) {
              if (!f4(S2))
                throw S2;
            }
          };
        }
        function a3(p2) {
          return p2 && function(v2, g2, S2, D) {
            return p2.call(e3, v2, g2, S2, function(T6) {
              f4(T6) && (T6 = null), D && D.apply(this, arguments);
            });
          };
        }
        function u2(p2) {
          return p2 && function(v2, g2, S2) {
            try {
              return p2.call(e3, v2, g2, S2);
            } catch (D) {
              if (!f4(D))
                throw D;
            }
          };
        }
        function c4(p2) {
          return p2 && function(v2, g2, S2) {
            typeof g2 == "function" && (S2 = g2, g2 = null);
            function D(T6, R) {
              R && (R.uid < 0 && (R.uid += 4294967296), R.gid < 0 && (R.gid += 4294967296)), S2 && S2.apply(this, arguments);
            }
            return g2 ? p2.call(e3, v2, g2, D) : p2.call(e3, v2, D);
          };
        }
        function l2(p2) {
          return p2 && function(v2, g2) {
            var S2 = g2 ? p2.call(e3, v2, g2) : p2.call(e3, v2);
            return S2 && (S2.uid < 0 && (S2.uid += 4294967296), S2.gid < 0 && (S2.gid += 4294967296)), S2;
          };
        }
        function f4(p2) {
          if (!p2 || p2.code === "ENOSYS")
            return true;
          var v2 = !process.getuid || process.getuid() !== 0;
          return !!(v2 && (p2.code === "EINVAL" || p2.code === "EPERM"));
        }
      }
    });
    var IM = b((C$e, AM) => {
      "use strict";
      var CM = require("stream").Stream;
      AM.exports = Kge;
      function Kge(e3) {
        return { ReadStream: r2, WriteStream: n2 };
        function r2(i4, o2) {
          if (!(this instanceof r2))
            return new r2(i4, o2);
          CM.call(this);
          var a3 = this;
          this.path = i4, this.fd = null, this.readable = true, this.paused = false, this.flags = "r", this.mode = 438, this.bufferSize = 64 * 1024, o2 = o2 || {};
          for (var u2 = Object.keys(o2), c4 = 0, l2 = u2.length; c4 < l2; c4++) {
            var f4 = u2[c4];
            this[f4] = o2[f4];
          }
          if (this.encoding && this.setEncoding(this.encoding), this.start !== void 0) {
            if (typeof this.start != "number")
              throw TypeError("start must be a Number");
            if (this.end === void 0)
              this.end = 1 / 0;
            else if (typeof this.end != "number")
              throw TypeError("end must be a Number");
            if (this.start > this.end)
              throw new Error("start must be <= end");
            this.pos = this.start;
          }
          if (this.fd !== null) {
            process.nextTick(function() {
              a3._read();
            });
            return;
          }
          e3.open(this.path, this.flags, this.mode, function(p2, v2) {
            if (p2) {
              a3.emit("error", p2), a3.readable = false;
              return;
            }
            a3.fd = v2, a3.emit("open", v2), a3._read();
          });
        }
        function n2(i4, o2) {
          if (!(this instanceof n2))
            return new n2(i4, o2);
          CM.call(this), this.path = i4, this.fd = null, this.writable = true, this.flags = "w", this.encoding = "binary", this.mode = 438, this.bytesWritten = 0, o2 = o2 || {};
          for (var a3 = Object.keys(o2), u2 = 0, c4 = a3.length; u2 < c4; u2++) {
            var l2 = a3[u2];
            this[l2] = o2[l2];
          }
          if (this.start !== void 0) {
            if (typeof this.start != "number")
              throw TypeError("start must be a Number");
            if (this.start < 0)
              throw new Error("start must be >= zero");
            this.pos = this.start;
          }
          this.busy = false, this._queue = [], this.fd === null && (this._open = e3.open, this._queue.push([this._open, this.path, this.flags, this.mode, void 0]), this.flush());
        }
      }
    });
    var FM = b((A$e, PM) => {
      "use strict";
      PM.exports = Yge;
      var zge = Object.getPrototypeOf || function(e3) {
        return e3.__proto__;
      };
      function Yge(e3) {
        if (e3 === null || typeof e3 != "object")
          return e3;
        if (e3 instanceof Object)
          var r2 = { __proto__: zge(e3) };
        else
          var r2 = /* @__PURE__ */ Object.create(null);
        return Object.getOwnPropertyNames(e3).forEach(function(n2) {
          Object.defineProperty(r2, n2, Object.getOwnPropertyDescriptor(e3, n2));
        }), r2;
      }
    });
    var Kt = b((I$e, Vw) => {
      "use strict";
      var ct = require("fs"), Jge = RM(), Xge = IM(), Qge = FM(), cm = require("util"), Vt, fm;
      typeof Symbol == "function" && typeof Symbol.for == "function" ? (Vt = Symbol.for("graceful-fs.queue"), fm = Symbol.for("graceful-fs.previous")) : (Vt = "___graceful-fs.queue", fm = "___graceful-fs.previous");
      function Zge() {
      }
      function NM(e3, r2) {
        Object.defineProperty(e3, Vt, { get: function() {
          return r2;
        } });
      }
      var Jo = Zge;
      cm.debuglog ? Jo = cm.debuglog("gfs4") : /\bgfs4\b/i.test(process.env.NODE_DEBUG || "") && (Jo = function() {
        var e3 = cm.format.apply(cm, arguments);
        e3 = "GFS4: " + e3.split(/\n/).join(`
GFS4: `), console.error(e3);
      });
      ct[Vt] || (LM = global[Vt] || [], NM(ct, LM), ct.close = function(e3) {
        function r2(n2, i4) {
          return e3.call(ct, n2, function(o2) {
            o2 || MM(), typeof i4 == "function" && i4.apply(this, arguments);
          });
        }
        return Object.defineProperty(r2, fm, { value: e3 }), r2;
      }(ct.close), ct.closeSync = function(e3) {
        function r2(n2) {
          e3.apply(ct, arguments), MM();
        }
        return Object.defineProperty(r2, fm, { value: e3 }), r2;
      }(ct.closeSync), /\bgfs4\b/i.test(process.env.NODE_DEBUG || "") && process.on("exit", function() {
        Jo(ct[Vt]), require("assert").equal(ct[Vt].length, 0);
      }));
      var LM;
      global[Vt] || NM(global, ct[Vt]);
      Vw.exports = Ww(Qge(ct));
      process.env.TEST_GRACEFUL_FS_GLOBAL_PATCH && !ct.__patched && (Vw.exports = Ww(ct), ct.__patched = true);
      function Ww(e3) {
        Jge(e3), e3.gracefulify = Ww, e3.createReadStream = B, e3.createWriteStream = W;
        var r2 = e3.readFile;
        e3.readFile = n2;
        function n2(I, U, C) {
          return typeof U == "function" && (C = U, U = null), G(I, U, C);
          function G(V, ee, M, k) {
            return r2(V, ee, function(Z) {
              Z && (Z.code === "EMFILE" || Z.code === "ENFILE") ? Au([G, [V, ee, M], Z, k || Date.now(), Date.now()]) : typeof M == "function" && M.apply(this, arguments);
            });
          }
        }
        var i4 = e3.writeFile;
        e3.writeFile = o2;
        function o2(I, U, C, G) {
          return typeof C == "function" && (G = C, C = null), V(I, U, C, G);
          function V(ee, M, k, Z, Y) {
            return i4(ee, M, k, function(ae) {
              ae && (ae.code === "EMFILE" || ae.code === "ENFILE") ? Au([V, [ee, M, k, Z], ae, Y || Date.now(), Date.now()]) : typeof Z == "function" && Z.apply(this, arguments);
            });
          }
        }
        var a3 = e3.appendFile;
        a3 && (e3.appendFile = u2);
        function u2(I, U, C, G) {
          return typeof C == "function" && (G = C, C = null), V(I, U, C, G);
          function V(ee, M, k, Z, Y) {
            return a3(ee, M, k, function(ae) {
              ae && (ae.code === "EMFILE" || ae.code === "ENFILE") ? Au([V, [ee, M, k, Z], ae, Y || Date.now(), Date.now()]) : typeof Z == "function" && Z.apply(this, arguments);
            });
          }
        }
        var c4 = e3.copyFile;
        c4 && (e3.copyFile = l2);
        function l2(I, U, C, G) {
          return typeof C == "function" && (G = C, C = 0), V(I, U, C, G);
          function V(ee, M, k, Z, Y) {
            return c4(ee, M, k, function(ae) {
              ae && (ae.code === "EMFILE" || ae.code === "ENFILE") ? Au([V, [ee, M, k, Z], ae, Y || Date.now(), Date.now()]) : typeof Z == "function" && Z.apply(this, arguments);
            });
          }
        }
        var f4 = e3.readdir;
        e3.readdir = v2;
        var p2 = /^v[0-5]\./;
        function v2(I, U, C) {
          typeof U == "function" && (C = U, U = null);
          var G = p2.test(process.version) ? function(M, k, Z, Y) {
            return f4(M, V(M, k, Z, Y));
          } : function(M, k, Z, Y) {
            return f4(M, k, V(M, k, Z, Y));
          };
          return G(I, U, C);
          function V(ee, M, k, Z) {
            return function(Y, ae) {
              Y && (Y.code === "EMFILE" || Y.code === "ENFILE") ? Au([G, [ee, M, k], Y, Z || Date.now(), Date.now()]) : (ae && ae.sort && ae.sort(), typeof k == "function" && k.call(this, Y, ae));
            };
          }
        }
        if (process.version.substr(0, 4) === "v0.8") {
          var g2 = Xge(e3);
          A2 = g2.ReadStream, N = g2.WriteStream;
        }
        var S2 = e3.ReadStream;
        S2 && (A2.prototype = Object.create(S2.prototype), A2.prototype.open = L);
        var D = e3.WriteStream;
        D && (N.prototype = Object.create(D.prototype), N.prototype.open = q), Object.defineProperty(e3, "ReadStream", { get: function() {
          return A2;
        }, set: function(I) {
          A2 = I;
        }, enumerable: true, configurable: true }), Object.defineProperty(e3, "WriteStream", { get: function() {
          return N;
        }, set: function(I) {
          N = I;
        }, enumerable: true, configurable: true });
        var T6 = A2;
        Object.defineProperty(e3, "FileReadStream", { get: function() {
          return T6;
        }, set: function(I) {
          T6 = I;
        }, enumerable: true, configurable: true });
        var R = N;
        Object.defineProperty(e3, "FileWriteStream", { get: function() {
          return R;
        }, set: function(I) {
          R = I;
        }, enumerable: true, configurable: true });
        function A2(I, U) {
          return this instanceof A2 ? (S2.apply(this, arguments), this) : A2.apply(Object.create(A2.prototype), arguments);
        }
        function L() {
          var I = this;
          $3(I.path, I.flags, I.mode, function(U, C) {
            U ? (I.autoClose && I.destroy(), I.emit("error", U)) : (I.fd = C, I.emit("open", C), I.read());
          });
        }
        function N(I, U) {
          return this instanceof N ? (D.apply(this, arguments), this) : N.apply(Object.create(N.prototype), arguments);
        }
        function q() {
          var I = this;
          $3(I.path, I.flags, I.mode, function(U, C) {
            U ? (I.destroy(), I.emit("error", U)) : (I.fd = C, I.emit("open", C));
          });
        }
        function B(I, U) {
          return new e3.ReadStream(I, U);
        }
        function W(I, U) {
          return new e3.WriteStream(I, U);
        }
        var P = e3.open;
        e3.open = $3;
        function $3(I, U, C, G) {
          return typeof C == "function" && (G = C, C = null), V(I, U, C, G);
          function V(ee, M, k, Z, Y) {
            return P(ee, M, k, function(ae, et) {
              ae && (ae.code === "EMFILE" || ae.code === "ENFILE") ? Au([V, [ee, M, k, Z], ae, Y || Date.now(), Date.now()]) : typeof Z == "function" && Z.apply(this, arguments);
            });
          }
        }
        return e3;
      }
      function Au(e3) {
        Jo("ENQUEUE", e3[0].name, e3[1]), ct[Vt].push(e3), Hw();
      }
      var lm;
      function MM() {
        for (var e3 = Date.now(), r2 = 0; r2 < ct[Vt].length; ++r2)
          ct[Vt][r2].length > 2 && (ct[Vt][r2][3] = e3, ct[Vt][r2][4] = e3);
        Hw();
      }
      function Hw() {
        if (clearTimeout(lm), lm = void 0, ct[Vt].length !== 0) {
          var e3 = ct[Vt].shift(), r2 = e3[0], n2 = e3[1], i4 = e3[2], o2 = e3[3], a3 = e3[4];
          if (o2 === void 0)
            Jo("RETRY", r2.name, n2), r2.apply(null, n2);
          else if (Date.now() - o2 >= 6e4) {
            Jo("TIMEOUT", r2.name, n2);
            var u2 = n2.pop();
            typeof u2 == "function" && u2.call(null, i4);
          } else {
            var c4 = Date.now() - a3, l2 = Math.max(a3 - o2, 1), f4 = Math.min(l2 * 1.2, 100);
            c4 >= f4 ? (Jo("RETRY", r2.name, n2), r2.apply(null, n2.concat([o2]))) : ct[Vt].push(e3);
          }
          lm === void 0 && (lm = setTimeout(Hw, 0));
        }
      }
    });
    var Xo = b((Ii) => {
      "use strict";
      var kM = Pr().fromCallback, gr = Kt(), e0e = ["access", "appendFile", "chmod", "chown", "close", "copyFile", "fchmod", "fchown", "fdatasync", "fstat", "fsync", "ftruncate", "futimes", "lchmod", "lchown", "link", "lstat", "mkdir", "mkdtemp", "open", "opendir", "readdir", "readFile", "readlink", "realpath", "rename", "rm", "rmdir", "stat", "symlink", "truncate", "unlink", "utimes", "writeFile"].filter((e3) => typeof gr[e3] == "function");
      Object.assign(Ii, gr);
      e0e.forEach((e3) => {
        Ii[e3] = kM(gr[e3]);
      });
      Ii.exists = function(e3, r2) {
        return typeof r2 == "function" ? gr.exists(e3, r2) : new Promise((n2) => gr.exists(e3, n2));
      };
      Ii.read = function(e3, r2, n2, i4, o2, a3) {
        return typeof a3 == "function" ? gr.read(e3, r2, n2, i4, o2, a3) : new Promise((u2, c4) => {
          gr.read(e3, r2, n2, i4, o2, (l2, f4, p2) => {
            if (l2)
              return c4(l2);
            u2({ bytesRead: f4, buffer: p2 });
          });
        });
      };
      Ii.write = function(e3, r2, ...n2) {
        return typeof n2[n2.length - 1] == "function" ? gr.write(e3, r2, ...n2) : new Promise((i4, o2) => {
          gr.write(e3, r2, ...n2, (a3, u2, c4) => {
            if (a3)
              return o2(a3);
            i4({ bytesWritten: u2, buffer: c4 });
          });
        });
      };
      Ii.readv = function(e3, r2, ...n2) {
        return typeof n2[n2.length - 1] == "function" ? gr.readv(e3, r2, ...n2) : new Promise((i4, o2) => {
          gr.readv(e3, r2, ...n2, (a3, u2, c4) => {
            if (a3)
              return o2(a3);
            i4({ bytesRead: u2, buffers: c4 });
          });
        });
      };
      Ii.writev = function(e3, r2, ...n2) {
        return typeof n2[n2.length - 1] == "function" ? gr.writev(e3, r2, ...n2) : new Promise((i4, o2) => {
          gr.writev(e3, r2, ...n2, (a3, u2, c4) => {
            if (a3)
              return o2(a3);
            i4({ bytesWritten: u2, buffers: c4 });
          });
        });
      };
      typeof gr.realpath.native == "function" ? Ii.realpath.native = kM(gr.realpath.native) : process.emitWarning("fs.realpath.native is not a function. Is fs being monkey-patched?", "Warning", "fs-extra-WARN0003");
    });
    var qM = b((F$e, $M) => {
      "use strict";
      var t0e = require("path");
      $M.exports.checkPath = function(r2) {
        if (process.platform === "win32" && /[<>:"|?*]/.test(r2.replace(t0e.parse(r2).root, ""))) {
          let i4 = new Error(`Path contains invalid characters: ${r2}`);
          throw i4.code = "EINVAL", i4;
        }
      };
    });
    var GM = b((L$e, Kw) => {
      "use strict";
      var BM = Xo(), { checkPath: jM } = qM(), UM = (e3) => {
        let r2 = { mode: 511 };
        return typeof e3 == "number" ? e3 : { ...r2, ...e3 }.mode;
      };
      Kw.exports.makeDir = async (e3, r2) => (jM(e3), BM.mkdir(e3, { mode: UM(r2), recursive: true }));
      Kw.exports.makeDirSync = (e3, r2) => (jM(e3), BM.mkdirSync(e3, { mode: UM(r2), recursive: true }));
    });
    var On = b((M$e, WM) => {
      "use strict";
      var r0e = Pr().fromPromise, { makeDir: n0e, makeDirSync: zw } = GM(), Yw = r0e(n0e);
      WM.exports = { mkdirs: Yw, mkdirsSync: zw, mkdirp: Yw, mkdirpSync: zw, ensureDir: Yw, ensureDirSync: zw };
    });
    var Is = b((N$e, VM) => {
      "use strict";
      var i0e = Pr().fromPromise, HM = Xo();
      function s0e(e3) {
        return HM.access(e3).then(() => true).catch(() => false);
      }
      VM.exports = { pathExists: i0e(s0e), pathExistsSync: HM.existsSync };
    });
    var Jw = b((k$e, KM) => {
      "use strict";
      var Iu = Kt();
      function o0e(e3, r2, n2, i4) {
        Iu.open(e3, "r+", (o2, a3) => {
          if (o2)
            return i4(o2);
          Iu.futimes(a3, r2, n2, (u2) => {
            Iu.close(a3, (c4) => {
              i4 && i4(u2 || c4);
            });
          });
        });
      }
      function a0e(e3, r2, n2) {
        let i4 = Iu.openSync(e3, "r+");
        return Iu.futimesSync(i4, r2, n2), Iu.closeSync(i4);
      }
      KM.exports = { utimesMillis: o0e, utimesMillisSync: a0e };
    });
    var Qo = b(($$e, JM) => {
      "use strict";
      var Pu = Xo(), kt = require("path"), u0e = require("util");
      function c0e(e3, r2, n2) {
        let i4 = n2.dereference ? (o2) => Pu.stat(o2, { bigint: true }) : (o2) => Pu.lstat(o2, { bigint: true });
        return Promise.all([i4(e3), i4(r2).catch((o2) => {
          if (o2.code === "ENOENT")
            return null;
          throw o2;
        })]).then(([o2, a3]) => ({ srcStat: o2, destStat: a3 }));
      }
      function l0e(e3, r2, n2) {
        let i4, o2 = n2.dereference ? (u2) => Pu.statSync(u2, { bigint: true }) : (u2) => Pu.lstatSync(u2, { bigint: true }), a3 = o2(e3);
        try {
          i4 = o2(r2);
        } catch (u2) {
          if (u2.code === "ENOENT")
            return { srcStat: a3, destStat: null };
          throw u2;
        }
        return { srcStat: a3, destStat: i4 };
      }
      function f0e(e3, r2, n2, i4, o2) {
        u0e.callbackify(c0e)(e3, r2, i4, (a3, u2) => {
          if (a3)
            return o2(a3);
          let { srcStat: c4, destStat: l2 } = u2;
          if (l2) {
            if (Yl(c4, l2)) {
              let f4 = kt.basename(e3), p2 = kt.basename(r2);
              return n2 === "move" && f4 !== p2 && f4.toLowerCase() === p2.toLowerCase() ? o2(null, { srcStat: c4, destStat: l2, isChangingCase: true }) : o2(new Error("Source and destination must not be the same."));
            }
            if (c4.isDirectory() && !l2.isDirectory())
              return o2(new Error(`Cannot overwrite non-directory '${r2}' with directory '${e3}'.`));
            if (!c4.isDirectory() && l2.isDirectory())
              return o2(new Error(`Cannot overwrite directory '${r2}' with non-directory '${e3}'.`));
          }
          return c4.isDirectory() && Xw(e3, r2) ? o2(new Error(hm(e3, r2, n2))) : o2(null, { srcStat: c4, destStat: l2 });
        });
      }
      function h0e(e3, r2, n2, i4) {
        let { srcStat: o2, destStat: a3 } = l0e(e3, r2, i4);
        if (a3) {
          if (Yl(o2, a3)) {
            let u2 = kt.basename(e3), c4 = kt.basename(r2);
            if (n2 === "move" && u2 !== c4 && u2.toLowerCase() === c4.toLowerCase())
              return { srcStat: o2, destStat: a3, isChangingCase: true };
            throw new Error("Source and destination must not be the same.");
          }
          if (o2.isDirectory() && !a3.isDirectory())
            throw new Error(`Cannot overwrite non-directory '${r2}' with directory '${e3}'.`);
          if (!o2.isDirectory() && a3.isDirectory())
            throw new Error(`Cannot overwrite directory '${r2}' with non-directory '${e3}'.`);
        }
        if (o2.isDirectory() && Xw(e3, r2))
          throw new Error(hm(e3, r2, n2));
        return { srcStat: o2, destStat: a3 };
      }
      function zM(e3, r2, n2, i4, o2) {
        let a3 = kt.resolve(kt.dirname(e3)), u2 = kt.resolve(kt.dirname(n2));
        if (u2 === a3 || u2 === kt.parse(u2).root)
          return o2();
        Pu.stat(u2, { bigint: true }, (c4, l2) => c4 ? c4.code === "ENOENT" ? o2() : o2(c4) : Yl(r2, l2) ? o2(new Error(hm(e3, n2, i4))) : zM(e3, r2, u2, i4, o2));
      }
      function YM(e3, r2, n2, i4) {
        let o2 = kt.resolve(kt.dirname(e3)), a3 = kt.resolve(kt.dirname(n2));
        if (a3 === o2 || a3 === kt.parse(a3).root)
          return;
        let u2;
        try {
          u2 = Pu.statSync(a3, { bigint: true });
        } catch (c4) {
          if (c4.code === "ENOENT")
            return;
          throw c4;
        }
        if (Yl(r2, u2))
          throw new Error(hm(e3, n2, i4));
        return YM(e3, r2, a3, i4);
      }
      function Yl(e3, r2) {
        return r2.ino && r2.dev && r2.ino === e3.ino && r2.dev === e3.dev;
      }
      function Xw(e3, r2) {
        let n2 = kt.resolve(e3).split(kt.sep).filter((o2) => o2), i4 = kt.resolve(r2).split(kt.sep).filter((o2) => o2);
        return n2.reduce((o2, a3, u2) => o2 && i4[u2] === a3, true);
      }
      function hm(e3, r2, n2) {
        return `Cannot ${n2} '${e3}' to a subdirectory of itself, '${r2}'.`;
      }
      JM.exports = { checkPaths: f0e, checkPathsSync: h0e, checkParentPaths: zM, checkParentPathsSync: YM, isSrcSubdir: Xw, areIdentical: Yl };
    });
    var rN = b((q$e, tN) => {
      "use strict";
      var Fr = Kt(), Jl = require("path"), p0e = On().mkdirs, d0e = Is().pathExists, m0e = Jw().utimesMillis, Xl = Qo();
      function g0e(e3, r2, n2, i4) {
        typeof n2 == "function" && !i4 ? (i4 = n2, n2 = {}) : typeof n2 == "function" && (n2 = { filter: n2 }), i4 = i4 || function() {
        }, n2 = n2 || {}, n2.clobber = "clobber" in n2 ? !!n2.clobber : true, n2.overwrite = "overwrite" in n2 ? !!n2.overwrite : n2.clobber, n2.preserveTimestamps && process.arch === "ia32" && process.emitWarning(`Using the preserveTimestamps option in 32-bit node is not recommended;

	see https://github.com/jprichardson/node-fs-extra/issues/269`, "Warning", "fs-extra-WARN0001"), Xl.checkPaths(e3, r2, "copy", n2, (o2, a3) => {
          if (o2)
            return i4(o2);
          let { srcStat: u2, destStat: c4 } = a3;
          Xl.checkParentPaths(e3, u2, r2, "copy", (l2) => {
            if (l2)
              return i4(l2);
            QM(e3, r2, n2, (f4, p2) => {
              if (f4)
                return i4(f4);
              if (!p2)
                return i4();
              y0e(c4, e3, r2, n2, i4);
            });
          });
        });
      }
      function y0e(e3, r2, n2, i4, o2) {
        let a3 = Jl.dirname(n2);
        d0e(a3, (u2, c4) => {
          if (u2)
            return o2(u2);
          if (c4)
            return Qw(e3, r2, n2, i4, o2);
          p0e(a3, (l2) => l2 ? o2(l2) : Qw(e3, r2, n2, i4, o2));
        });
      }
      function QM(e3, r2, n2, i4) {
        if (!n2.filter)
          return i4(null, true);
        Promise.resolve(n2.filter(e3, r2)).then((o2) => i4(null, o2), (o2) => i4(o2));
      }
      function Qw(e3, r2, n2, i4, o2) {
        (i4.dereference ? Fr.stat : Fr.lstat)(r2, (u2, c4) => u2 ? o2(u2) : c4.isDirectory() ? x0e(c4, e3, r2, n2, i4, o2) : c4.isFile() || c4.isCharacterDevice() || c4.isBlockDevice() ? v0e(c4, e3, r2, n2, i4, o2) : c4.isSymbolicLink() ? T0e(e3, r2, n2, i4, o2) : c4.isSocket() ? o2(new Error(`Cannot copy a socket file: ${r2}`)) : c4.isFIFO() ? o2(new Error(`Cannot copy a FIFO pipe: ${r2}`)) : o2(new Error(`Unknown file: ${r2}`)));
      }
      function v0e(e3, r2, n2, i4, o2, a3) {
        return r2 ? b0e(e3, n2, i4, o2, a3) : ZM(e3, n2, i4, o2, a3);
      }
      function b0e(e3, r2, n2, i4, o2) {
        if (i4.overwrite)
          Fr.unlink(n2, (a3) => a3 ? o2(a3) : ZM(e3, r2, n2, i4, o2));
        else
          return i4.errorOnExist ? o2(new Error(`'${n2}' already exists`)) : o2();
      }
      function ZM(e3, r2, n2, i4, o2) {
        Fr.copyFile(r2, n2, (a3) => a3 ? o2(a3) : i4.preserveTimestamps ? E0e(e3.mode, r2, n2, o2) : pm(n2, e3.mode, o2));
      }
      function E0e(e3, r2, n2, i4) {
        return w0e(e3) ? _0e(n2, e3, (o2) => o2 ? i4(o2) : XM(e3, r2, n2, i4)) : XM(e3, r2, n2, i4);
      }
      function w0e(e3) {
        return (e3 & 128) === 0;
      }
      function _0e(e3, r2, n2) {
        return pm(e3, r2 | 128, n2);
      }
      function XM(e3, r2, n2, i4) {
        S0e(r2, n2, (o2) => o2 ? i4(o2) : pm(n2, e3, i4));
      }
      function pm(e3, r2, n2) {
        return Fr.chmod(e3, r2, n2);
      }
      function S0e(e3, r2, n2) {
        Fr.stat(e3, (i4, o2) => i4 ? n2(i4) : m0e(r2, o2.atime, o2.mtime, n2));
      }
      function x0e(e3, r2, n2, i4, o2, a3) {
        return r2 ? eN(n2, i4, o2, a3) : D0e(e3.mode, n2, i4, o2, a3);
      }
      function D0e(e3, r2, n2, i4, o2) {
        Fr.mkdir(n2, (a3) => {
          if (a3)
            return o2(a3);
          eN(r2, n2, i4, (u2) => u2 ? o2(u2) : pm(n2, e3, o2));
        });
      }
      function eN(e3, r2, n2, i4) {
        Fr.readdir(e3, (o2, a3) => o2 ? i4(o2) : Zw(a3, e3, r2, n2, i4));
      }
      function Zw(e3, r2, n2, i4, o2) {
        let a3 = e3.pop();
        return a3 ? O0e(e3, a3, r2, n2, i4, o2) : o2();
      }
      function O0e(e3, r2, n2, i4, o2, a3) {
        let u2 = Jl.join(n2, r2), c4 = Jl.join(i4, r2);
        QM(u2, c4, o2, (l2, f4) => {
          if (l2)
            return a3(l2);
          if (!f4)
            return Zw(e3, n2, i4, o2, a3);
          Xl.checkPaths(u2, c4, "copy", o2, (p2, v2) => {
            if (p2)
              return a3(p2);
            let { destStat: g2 } = v2;
            Qw(g2, u2, c4, o2, (S2) => S2 ? a3(S2) : Zw(e3, n2, i4, o2, a3));
          });
        });
      }
      function T0e(e3, r2, n2, i4, o2) {
        Fr.readlink(r2, (a3, u2) => {
          if (a3)
            return o2(a3);
          if (i4.dereference && (u2 = Jl.resolve(process.cwd(), u2)), e3)
            Fr.readlink(n2, (c4, l2) => c4 ? c4.code === "EINVAL" || c4.code === "UNKNOWN" ? Fr.symlink(u2, n2, o2) : o2(c4) : (i4.dereference && (l2 = Jl.resolve(process.cwd(), l2)), Xl.isSrcSubdir(u2, l2) ? o2(new Error(`Cannot copy '${u2}' to a subdirectory of itself, '${l2}'.`)) : Xl.isSrcSubdir(l2, u2) ? o2(new Error(`Cannot overwrite '${l2}' with '${u2}'.`)) : R0e(u2, n2, o2)));
          else
            return Fr.symlink(u2, n2, o2);
        });
      }
      function R0e(e3, r2, n2) {
        Fr.unlink(r2, (i4) => i4 ? n2(i4) : Fr.symlink(e3, r2, n2));
      }
      tN.exports = g0e;
    });
    var aN = b((B$e, oN) => {
      "use strict";
      var yr = Kt(), Ql = require("path"), C0e = On().mkdirsSync, A0e = Jw().utimesMillisSync, Zl = Qo();
      function I0e(e3, r2, n2) {
        typeof n2 == "function" && (n2 = { filter: n2 }), n2 = n2 || {}, n2.clobber = "clobber" in n2 ? !!n2.clobber : true, n2.overwrite = "overwrite" in n2 ? !!n2.overwrite : n2.clobber, n2.preserveTimestamps && process.arch === "ia32" && process.emitWarning(`Using the preserveTimestamps option in 32-bit node is not recommended;

	see https://github.com/jprichardson/node-fs-extra/issues/269`, "Warning", "fs-extra-WARN0002");
        let { srcStat: i4, destStat: o2 } = Zl.checkPathsSync(e3, r2, "copy", n2);
        if (Zl.checkParentPathsSync(e3, i4, r2, "copy"), n2.filter && !n2.filter(e3, r2))
          return;
        let a3 = Ql.dirname(r2);
        return yr.existsSync(a3) || C0e(a3), nN(o2, e3, r2, n2);
      }
      function nN(e3, r2, n2, i4) {
        let a3 = (i4.dereference ? yr.statSync : yr.lstatSync)(r2);
        if (a3.isDirectory())
          return $0e(a3, e3, r2, n2, i4);
        if (a3.isFile() || a3.isCharacterDevice() || a3.isBlockDevice())
          return P0e(a3, e3, r2, n2, i4);
        if (a3.isSymbolicLink())
          return j0e(e3, r2, n2, i4);
        throw a3.isSocket() ? new Error(`Cannot copy a socket file: ${r2}`) : a3.isFIFO() ? new Error(`Cannot copy a FIFO pipe: ${r2}`) : new Error(`Unknown file: ${r2}`);
      }
      function P0e(e3, r2, n2, i4, o2) {
        return r2 ? F0e(e3, n2, i4, o2) : iN(e3, n2, i4, o2);
      }
      function F0e(e3, r2, n2, i4) {
        if (i4.overwrite)
          return yr.unlinkSync(n2), iN(e3, r2, n2, i4);
        if (i4.errorOnExist)
          throw new Error(`'${n2}' already exists`);
      }
      function iN(e3, r2, n2, i4) {
        return yr.copyFileSync(r2, n2), i4.preserveTimestamps && L0e(e3.mode, r2, n2), e_(n2, e3.mode);
      }
      function L0e(e3, r2, n2) {
        return M0e(e3) && N0e(n2, e3), k0e(r2, n2);
      }
      function M0e(e3) {
        return (e3 & 128) === 0;
      }
      function N0e(e3, r2) {
        return e_(e3, r2 | 128);
      }
      function e_(e3, r2) {
        return yr.chmodSync(e3, r2);
      }
      function k0e(e3, r2) {
        let n2 = yr.statSync(e3);
        return A0e(r2, n2.atime, n2.mtime);
      }
      function $0e(e3, r2, n2, i4, o2) {
        return r2 ? sN(n2, i4, o2) : q0e(e3.mode, n2, i4, o2);
      }
      function q0e(e3, r2, n2, i4) {
        return yr.mkdirSync(n2), sN(r2, n2, i4), e_(n2, e3);
      }
      function sN(e3, r2, n2) {
        yr.readdirSync(e3).forEach((i4) => B0e(i4, e3, r2, n2));
      }
      function B0e(e3, r2, n2, i4) {
        let o2 = Ql.join(r2, e3), a3 = Ql.join(n2, e3);
        if (i4.filter && !i4.filter(o2, a3))
          return;
        let { destStat: u2 } = Zl.checkPathsSync(o2, a3, "copy", i4);
        return nN(u2, o2, a3, i4);
      }
      function j0e(e3, r2, n2, i4) {
        let o2 = yr.readlinkSync(r2);
        if (i4.dereference && (o2 = Ql.resolve(process.cwd(), o2)), e3) {
          let a3;
          try {
            a3 = yr.readlinkSync(n2);
          } catch (u2) {
            if (u2.code === "EINVAL" || u2.code === "UNKNOWN")
              return yr.symlinkSync(o2, n2);
            throw u2;
          }
          if (i4.dereference && (a3 = Ql.resolve(process.cwd(), a3)), Zl.isSrcSubdir(o2, a3))
            throw new Error(`Cannot copy '${o2}' to a subdirectory of itself, '${a3}'.`);
          if (Zl.isSrcSubdir(a3, o2))
            throw new Error(`Cannot overwrite '${a3}' with '${o2}'.`);
          return U0e(o2, n2);
        } else
          return yr.symlinkSync(o2, n2);
      }
      function U0e(e3, r2) {
        return yr.unlinkSync(r2), yr.symlinkSync(e3, r2);
      }
      oN.exports = I0e;
    });
    var dm = b((j$e, uN) => {
      "use strict";
      var G0e = Pr().fromCallback;
      uN.exports = { copy: G0e(rN()), copySync: aN() };
    });
    var ef = b((U$e, lN) => {
      "use strict";
      var cN = Kt(), W0e = Pr().fromCallback;
      function H0e(e3, r2) {
        cN.rm(e3, { recursive: true, force: true }, r2);
      }
      function V0e(e3) {
        cN.rmSync(e3, { recursive: true, force: true });
      }
      lN.exports = { remove: W0e(H0e), removeSync: V0e };
    });
    var vN = b((G$e, yN) => {
      "use strict";
      var K0e = Pr().fromPromise, pN = Xo(), dN = require("path"), mN = On(), gN = ef(), fN = K0e(async function(r2) {
        let n2;
        try {
          n2 = await pN.readdir(r2);
        } catch {
          return mN.mkdirs(r2);
        }
        return Promise.all(n2.map((i4) => gN.remove(dN.join(r2, i4))));
      });
      function hN(e3) {
        let r2;
        try {
          r2 = pN.readdirSync(e3);
        } catch {
          return mN.mkdirsSync(e3);
        }
        r2.forEach((n2) => {
          n2 = dN.join(e3, n2), gN.removeSync(n2);
        });
      }
      yN.exports = { emptyDirSync: hN, emptydirSync: hN, emptyDir: fN, emptydir: fN };
    });
    var _N = b((W$e, wN) => {
      "use strict";
      var z0e = Pr().fromCallback, bN = require("path"), Ps = Kt(), EN = On();
      function Y0e(e3, r2) {
        function n2() {
          Ps.writeFile(e3, "", (i4) => {
            if (i4)
              return r2(i4);
            r2();
          });
        }
        Ps.stat(e3, (i4, o2) => {
          if (!i4 && o2.isFile())
            return r2();
          let a3 = bN.dirname(e3);
          Ps.stat(a3, (u2, c4) => {
            if (u2)
              return u2.code === "ENOENT" ? EN.mkdirs(a3, (l2) => {
                if (l2)
                  return r2(l2);
                n2();
              }) : r2(u2);
            c4.isDirectory() ? n2() : Ps.readdir(a3, (l2) => {
              if (l2)
                return r2(l2);
            });
          });
        });
      }
      function J0e(e3) {
        let r2;
        try {
          r2 = Ps.statSync(e3);
        } catch {
        }
        if (r2 && r2.isFile())
          return;
        let n2 = bN.dirname(e3);
        try {
          Ps.statSync(n2).isDirectory() || Ps.readdirSync(n2);
        } catch (i4) {
          if (i4 && i4.code === "ENOENT")
            EN.mkdirsSync(n2);
          else
            throw i4;
        }
        Ps.writeFileSync(e3, "");
      }
      wN.exports = { createFile: z0e(Y0e), createFileSync: J0e };
    });
    var TN = b((H$e, ON) => {
      "use strict";
      var X0e = Pr().fromCallback, SN = require("path"), Fs = Kt(), xN = On(), Q0e = Is().pathExists, { areIdentical: DN } = Qo();
      function Z0e(e3, r2, n2) {
        function i4(o2, a3) {
          Fs.link(o2, a3, (u2) => {
            if (u2)
              return n2(u2);
            n2(null);
          });
        }
        Fs.lstat(r2, (o2, a3) => {
          Fs.lstat(e3, (u2, c4) => {
            if (u2)
              return u2.message = u2.message.replace("lstat", "ensureLink"), n2(u2);
            if (a3 && DN(c4, a3))
              return n2(null);
            let l2 = SN.dirname(r2);
            Q0e(l2, (f4, p2) => {
              if (f4)
                return n2(f4);
              if (p2)
                return i4(e3, r2);
              xN.mkdirs(l2, (v2) => {
                if (v2)
                  return n2(v2);
                i4(e3, r2);
              });
            });
          });
        });
      }
      function eye(e3, r2) {
        let n2;
        try {
          n2 = Fs.lstatSync(r2);
        } catch {
        }
        try {
          let a3 = Fs.lstatSync(e3);
          if (n2 && DN(a3, n2))
            return;
        } catch (a3) {
          throw a3.message = a3.message.replace("lstat", "ensureLink"), a3;
        }
        let i4 = SN.dirname(r2);
        return Fs.existsSync(i4) || xN.mkdirsSync(i4), Fs.linkSync(e3, r2);
      }
      ON.exports = { createLink: X0e(Z0e), createLinkSync: eye };
    });
    var CN = b((V$e, RN) => {
      "use strict";
      var Ls = require("path"), tf = Kt(), tye = Is().pathExists;
      function rye(e3, r2, n2) {
        if (Ls.isAbsolute(e3))
          return tf.lstat(e3, (i4) => i4 ? (i4.message = i4.message.replace("lstat", "ensureSymlink"), n2(i4)) : n2(null, { toCwd: e3, toDst: e3 }));
        {
          let i4 = Ls.dirname(r2), o2 = Ls.join(i4, e3);
          return tye(o2, (a3, u2) => a3 ? n2(a3) : u2 ? n2(null, { toCwd: o2, toDst: e3 }) : tf.lstat(e3, (c4) => c4 ? (c4.message = c4.message.replace("lstat", "ensureSymlink"), n2(c4)) : n2(null, { toCwd: e3, toDst: Ls.relative(i4, e3) })));
        }
      }
      function nye(e3, r2) {
        let n2;
        if (Ls.isAbsolute(e3)) {
          if (n2 = tf.existsSync(e3), !n2)
            throw new Error("absolute srcpath does not exist");
          return { toCwd: e3, toDst: e3 };
        } else {
          let i4 = Ls.dirname(r2), o2 = Ls.join(i4, e3);
          if (n2 = tf.existsSync(o2), n2)
            return { toCwd: o2, toDst: e3 };
          if (n2 = tf.existsSync(e3), !n2)
            throw new Error("relative srcpath does not exist");
          return { toCwd: e3, toDst: Ls.relative(i4, e3) };
        }
      }
      RN.exports = { symlinkPaths: rye, symlinkPathsSync: nye };
    });
    var PN = b((K$e, IN) => {
      "use strict";
      var AN = Kt();
      function iye(e3, r2, n2) {
        if (n2 = typeof r2 == "function" ? r2 : n2, r2 = typeof r2 == "function" ? false : r2, r2)
          return n2(null, r2);
        AN.lstat(e3, (i4, o2) => {
          if (i4)
            return n2(null, "file");
          r2 = o2 && o2.isDirectory() ? "dir" : "file", n2(null, r2);
        });
      }
      function sye(e3, r2) {
        let n2;
        if (r2)
          return r2;
        try {
          n2 = AN.lstatSync(e3);
        } catch {
          return "file";
        }
        return n2 && n2.isDirectory() ? "dir" : "file";
      }
      IN.exports = { symlinkType: iye, symlinkTypeSync: sye };
    });
    var BN = b((z$e, qN) => {
      "use strict";
      var oye = Pr().fromCallback, LN = require("path"), Tn = Xo(), MN = On(), aye = MN.mkdirs, uye = MN.mkdirsSync, NN = CN(), cye = NN.symlinkPaths, lye = NN.symlinkPathsSync, kN = PN(), fye = kN.symlinkType, hye = kN.symlinkTypeSync, pye = Is().pathExists, { areIdentical: $N } = Qo();
      function dye(e3, r2, n2, i4) {
        i4 = typeof n2 == "function" ? n2 : i4, n2 = typeof n2 == "function" ? false : n2, Tn.lstat(r2, (o2, a3) => {
          !o2 && a3.isSymbolicLink() ? Promise.all([Tn.stat(e3), Tn.stat(r2)]).then(([u2, c4]) => {
            if ($N(u2, c4))
              return i4(null);
            FN(e3, r2, n2, i4);
          }) : FN(e3, r2, n2, i4);
        });
      }
      function FN(e3, r2, n2, i4) {
        cye(e3, r2, (o2, a3) => {
          if (o2)
            return i4(o2);
          e3 = a3.toDst, fye(a3.toCwd, n2, (u2, c4) => {
            if (u2)
              return i4(u2);
            let l2 = LN.dirname(r2);
            pye(l2, (f4, p2) => {
              if (f4)
                return i4(f4);
              if (p2)
                return Tn.symlink(e3, r2, c4, i4);
              aye(l2, (v2) => {
                if (v2)
                  return i4(v2);
                Tn.symlink(e3, r2, c4, i4);
              });
            });
          });
        });
      }
      function mye(e3, r2, n2) {
        let i4;
        try {
          i4 = Tn.lstatSync(r2);
        } catch {
        }
        if (i4 && i4.isSymbolicLink()) {
          let c4 = Tn.statSync(e3), l2 = Tn.statSync(r2);
          if ($N(c4, l2))
            return;
        }
        let o2 = lye(e3, r2);
        e3 = o2.toDst, n2 = hye(o2.toCwd, n2);
        let a3 = LN.dirname(r2);
        return Tn.existsSync(a3) || uye(a3), Tn.symlinkSync(e3, r2, n2);
      }
      qN.exports = { createSymlink: oye(dye), createSymlinkSync: mye };
    });
    var zN = b((Y$e, KN) => {
      "use strict";
      var { createFile: jN, createFileSync: UN } = _N(), { createLink: GN, createLinkSync: WN } = TN(), { createSymlink: HN, createSymlinkSync: VN } = BN();
      KN.exports = { createFile: jN, createFileSync: UN, ensureFile: jN, ensureFileSync: UN, createLink: GN, createLinkSync: WN, ensureLink: GN, ensureLinkSync: WN, createSymlink: HN, createSymlinkSync: VN, ensureSymlink: HN, ensureSymlinkSync: VN };
    });
    var mm = b((J$e, YN) => {
      "use strict";
      function gye(e3, { EOL: r2 = `
`, finalEOL: n2 = true, replacer: i4 = null, spaces: o2 } = {}) {
        let a3 = n2 ? r2 : "";
        return JSON.stringify(e3, i4, o2).replace(/\n/g, r2) + a3;
      }
      function yye(e3) {
        return Buffer.isBuffer(e3) && (e3 = e3.toString("utf8")), e3.replace(/^\uFEFF/, "");
      }
      YN.exports = { stringify: gye, stripBom: yye };
    });
    var ZN = b((X$e, QN) => {
      "use strict";
      var Fu;
      try {
        Fu = Kt();
      } catch {
        Fu = require("fs");
      }
      var gm = Pr(), { stringify: JN, stripBom: XN } = mm();
      async function vye(e3, r2 = {}) {
        typeof r2 == "string" && (r2 = { encoding: r2 });
        let n2 = r2.fs || Fu, i4 = "throws" in r2 ? r2.throws : true, o2 = await gm.fromCallback(n2.readFile)(e3, r2);
        o2 = XN(o2);
        let a3;
        try {
          a3 = JSON.parse(o2, r2 ? r2.reviver : null);
        } catch (u2) {
          if (i4)
            throw u2.message = `${e3}: ${u2.message}`, u2;
          return null;
        }
        return a3;
      }
      var bye = gm.fromPromise(vye);
      function Eye(e3, r2 = {}) {
        typeof r2 == "string" && (r2 = { encoding: r2 });
        let n2 = r2.fs || Fu, i4 = "throws" in r2 ? r2.throws : true;
        try {
          let o2 = n2.readFileSync(e3, r2);
          return o2 = XN(o2), JSON.parse(o2, r2.reviver);
        } catch (o2) {
          if (i4)
            throw o2.message = `${e3}: ${o2.message}`, o2;
          return null;
        }
      }
      async function wye(e3, r2, n2 = {}) {
        let i4 = n2.fs || Fu, o2 = JN(r2, n2);
        await gm.fromCallback(i4.writeFile)(e3, o2, n2);
      }
      var _ye = gm.fromPromise(wye);
      function Sye(e3, r2, n2 = {}) {
        let i4 = n2.fs || Fu, o2 = JN(r2, n2);
        return i4.writeFileSync(e3, o2, n2);
      }
      var xye = { readFile: bye, readFileSync: Eye, writeFile: _ye, writeFileSync: Sye };
      QN.exports = xye;
    });
    var tk = b((Q$e, ek) => {
      "use strict";
      var ym = ZN();
      ek.exports = { readJson: ym.readFile, readJsonSync: ym.readFileSync, writeJson: ym.writeFile, writeJsonSync: ym.writeFileSync };
    });
    var vm = b((Z$e, ik) => {
      "use strict";
      var Dye = Pr().fromCallback, rf = Kt(), rk = require("path"), nk = On(), Oye = Is().pathExists;
      function Tye(e3, r2, n2, i4) {
        typeof n2 == "function" && (i4 = n2, n2 = "utf8");
        let o2 = rk.dirname(e3);
        Oye(o2, (a3, u2) => {
          if (a3)
            return i4(a3);
          if (u2)
            return rf.writeFile(e3, r2, n2, i4);
          nk.mkdirs(o2, (c4) => {
            if (c4)
              return i4(c4);
            rf.writeFile(e3, r2, n2, i4);
          });
        });
      }
      function Rye(e3, ...r2) {
        let n2 = rk.dirname(e3);
        if (rf.existsSync(n2))
          return rf.writeFileSync(e3, ...r2);
        nk.mkdirsSync(n2), rf.writeFileSync(e3, ...r2);
      }
      ik.exports = { outputFile: Dye(Tye), outputFileSync: Rye };
    });
    var ok = b((eqe, sk) => {
      "use strict";
      var { stringify: Cye } = mm(), { outputFile: Aye } = vm();
      async function Iye(e3, r2, n2 = {}) {
        let i4 = Cye(r2, n2);
        await Aye(e3, i4, n2);
      }
      sk.exports = Iye;
    });
    var uk = b((tqe, ak) => {
      "use strict";
      var { stringify: Pye } = mm(), { outputFileSync: Fye } = vm();
      function Lye(e3, r2, n2) {
        let i4 = Pye(r2, n2);
        Fye(e3, i4, n2);
      }
      ak.exports = Lye;
    });
    var lk = b((rqe, ck) => {
      "use strict";
      var Mye = Pr().fromPromise, vr = tk();
      vr.outputJson = Mye(ok());
      vr.outputJsonSync = uk();
      vr.outputJSON = vr.outputJson;
      vr.outputJSONSync = vr.outputJsonSync;
      vr.writeJSON = vr.writeJson;
      vr.writeJSONSync = vr.writeJsonSync;
      vr.readJSON = vr.readJson;
      vr.readJSONSync = vr.readJsonSync;
      ck.exports = vr;
    });
    var mk = b((nqe, dk) => {
      "use strict";
      var Nye = Kt(), r_ = require("path"), kye = dm().copy, pk = ef().remove, $ye = On().mkdirp, qye = Is().pathExists, fk = Qo();
      function Bye(e3, r2, n2, i4) {
        typeof n2 == "function" && (i4 = n2, n2 = {}), n2 = n2 || {};
        let o2 = n2.overwrite || n2.clobber || false;
        fk.checkPaths(e3, r2, "move", n2, (a3, u2) => {
          if (a3)
            return i4(a3);
          let { srcStat: c4, isChangingCase: l2 = false } = u2;
          fk.checkParentPaths(e3, c4, r2, "move", (f4) => {
            if (f4)
              return i4(f4);
            if (jye(r2))
              return hk(e3, r2, o2, l2, i4);
            $ye(r_.dirname(r2), (p2) => p2 ? i4(p2) : hk(e3, r2, o2, l2, i4));
          });
        });
      }
      function jye(e3) {
        let r2 = r_.dirname(e3);
        return r_.parse(r2).root === r2;
      }
      function hk(e3, r2, n2, i4, o2) {
        if (i4)
          return t_(e3, r2, n2, o2);
        if (n2)
          return pk(r2, (a3) => a3 ? o2(a3) : t_(e3, r2, n2, o2));
        qye(r2, (a3, u2) => a3 ? o2(a3) : u2 ? o2(new Error("dest already exists.")) : t_(e3, r2, n2, o2));
      }
      function t_(e3, r2, n2, i4) {
        Nye.rename(e3, r2, (o2) => o2 ? o2.code !== "EXDEV" ? i4(o2) : Uye(e3, r2, n2, i4) : i4());
      }
      function Uye(e3, r2, n2, i4) {
        kye(e3, r2, { overwrite: n2, errorOnExist: true, preserveTimestamps: true }, (a3) => a3 ? i4(a3) : pk(e3, i4));
      }
      dk.exports = Bye;
    });
    var Ek = b((iqe, bk) => {
      "use strict";
      var yk = Kt(), i_ = require("path"), Gye = dm().copySync, vk = ef().removeSync, Wye = On().mkdirpSync, gk = Qo();
      function Hye(e3, r2, n2) {
        n2 = n2 || {};
        let i4 = n2.overwrite || n2.clobber || false, { srcStat: o2, isChangingCase: a3 = false } = gk.checkPathsSync(e3, r2, "move", n2);
        return gk.checkParentPathsSync(e3, o2, r2, "move"), Vye(r2) || Wye(i_.dirname(r2)), Kye(e3, r2, i4, a3);
      }
      function Vye(e3) {
        let r2 = i_.dirname(e3);
        return i_.parse(r2).root === r2;
      }
      function Kye(e3, r2, n2, i4) {
        if (i4)
          return n_(e3, r2, n2);
        if (n2)
          return vk(r2), n_(e3, r2, n2);
        if (yk.existsSync(r2))
          throw new Error("dest already exists.");
        return n_(e3, r2, n2);
      }
      function n_(e3, r2, n2) {
        try {
          yk.renameSync(e3, r2);
        } catch (i4) {
          if (i4.code !== "EXDEV")
            throw i4;
          return zye(e3, r2, n2);
        }
      }
      function zye(e3, r2, n2) {
        return Gye(e3, r2, { overwrite: n2, errorOnExist: true, preserveTimestamps: true }), vk(e3);
      }
      bk.exports = Hye;
    });
    var _k = b((sqe, wk) => {
      "use strict";
      var Yye = Pr().fromCallback;
      wk.exports = { move: Yye(mk()), moveSync: Ek() };
    });
    var s_ = b((oqe, Sk) => {
      "use strict";
      Sk.exports = { ...Xo(), ...dm(), ...vN(), ...zN(), ...lk(), ...On(), ..._k(), ...vm(), ...Is(), ...ef() };
    });
    var a_ = b((aqe, xk) => {
      "use strict";
      var Jye = require("fs"), Xye = require("os"), o_ = Symbol.for("__RESOLVED_TEMP_DIRECTORY__");
      global[o_] || Object.defineProperty(global, o_, { value: Jye.realpathSync(Xye.tmpdir()) });
      xk.exports = global[o_];
    });
    var Qk = b((sBe, y_) => {
      "use strict";
      var De = y_.exports;
      y_.exports.default = De;
      var Ne = "\x1B[", nf = "\x1B]", Nu = "\x07", Am = ";", Xk = process.env.TERM_PROGRAM === "Apple_Terminal";
      De.cursorTo = (e3, r2) => {
        if (typeof e3 != "number")
          throw new TypeError("The `x` argument is required");
        return typeof r2 != "number" ? Ne + (e3 + 1) + "G" : Ne + (r2 + 1) + ";" + (e3 + 1) + "H";
      };
      De.cursorMove = (e3, r2) => {
        if (typeof e3 != "number")
          throw new TypeError("The `x` argument is required");
        let n2 = "";
        return e3 < 0 ? n2 += Ne + -e3 + "D" : e3 > 0 && (n2 += Ne + e3 + "C"), r2 < 0 ? n2 += Ne + -r2 + "A" : r2 > 0 && (n2 += Ne + r2 + "B"), n2;
      };
      De.cursorUp = (e3 = 1) => Ne + e3 + "A";
      De.cursorDown = (e3 = 1) => Ne + e3 + "B";
      De.cursorForward = (e3 = 1) => Ne + e3 + "C";
      De.cursorBackward = (e3 = 1) => Ne + e3 + "D";
      De.cursorLeft = Ne + "G";
      De.cursorSavePosition = Xk ? "\x1B7" : Ne + "s";
      De.cursorRestorePosition = Xk ? "\x1B8" : Ne + "u";
      De.cursorGetPosition = Ne + "6n";
      De.cursorNextLine = Ne + "E";
      De.cursorPrevLine = Ne + "F";
      De.cursorHide = Ne + "?25l";
      De.cursorShow = Ne + "?25h";
      De.eraseLines = (e3) => {
        let r2 = "";
        for (let n2 = 0; n2 < e3; n2++)
          r2 += De.eraseLine + (n2 < e3 - 1 ? De.cursorUp() : "");
        return e3 && (r2 += De.cursorLeft), r2;
      };
      De.eraseEndLine = Ne + "K";
      De.eraseStartLine = Ne + "1K";
      De.eraseLine = Ne + "2K";
      De.eraseDown = Ne + "J";
      De.eraseUp = Ne + "1J";
      De.eraseScreen = Ne + "2J";
      De.scrollUp = Ne + "S";
      De.scrollDown = Ne + "T";
      De.clearScreen = "\x1Bc";
      De.clearTerminal = process.platform === "win32" ? `${De.eraseScreen}${Ne}0f` : `${De.eraseScreen}${Ne}3J${Ne}H`;
      De.beep = Nu;
      De.link = (e3, r2) => [nf, "8", Am, Am, r2, Nu, e3, nf, "8", Am, Am, Nu].join("");
      De.image = (e3, r2 = {}) => {
        let n2 = `${nf}1337;File=inline=1`;
        return r2.width && (n2 += `;width=${r2.width}`), r2.height && (n2 += `;height=${r2.height}`), r2.preserveAspectRatio === false && (n2 += ";preserveAspectRatio=0"), n2 + ":" + e3.toString("base64") + Nu;
      };
      De.iTerm = { setCwd: (e3 = process.cwd()) => `${nf}50;CurrentDir=${e3}${Nu}`, annotation: (e3, r2 = {}) => {
        let n2 = `${nf}1337;`, i4 = typeof r2.x < "u", o2 = typeof r2.y < "u";
        if ((i4 || o2) && !(i4 && o2 && typeof r2.length < "u"))
          throw new Error("`x`, `y` and `length` must be defined when `x` or `y` is defined");
        return e3 = e3.replace(/\|/g, ""), n2 += r2.isHidden ? "AddHiddenAnnotation=" : "AddAnnotation=", r2.length > 0 ? n2 += (i4 ? [e3, r2.length, r2.x, r2.y] : [r2.length, e3]).join("|") : n2 += e3, n2 + Nu;
      } };
    });
    var v_ = b((oBe, Zk) => {
      "use strict";
      Zk.exports = (e3, r2 = process.argv) => {
        let n2 = e3.startsWith("-") ? "" : e3.length === 1 ? "-" : "--", i4 = r2.indexOf(n2 + e3), o2 = r2.indexOf("--");
        return i4 !== -1 && (o2 === -1 || i4 < o2);
      };
    });
    var r9 = b((aBe, t9) => {
      "use strict";
      var ove = require("os"), e9 = require("tty"), un = v_(), { env: $t } = process, $s;
      un("no-color") || un("no-colors") || un("color=false") || un("color=never") ? $s = 0 : (un("color") || un("colors") || un("color=true") || un("color=always")) && ($s = 1);
      "FORCE_COLOR" in $t && ($t.FORCE_COLOR === "true" ? $s = 1 : $t.FORCE_COLOR === "false" ? $s = 0 : $s = $t.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt($t.FORCE_COLOR, 10), 3));
      function b_(e3) {
        return e3 === 0 ? false : { level: e3, hasBasic: true, has256: e3 >= 2, has16m: e3 >= 3 };
      }
      function E_(e3, r2) {
        if ($s === 0)
          return 0;
        if (un("color=16m") || un("color=full") || un("color=truecolor"))
          return 3;
        if (un("color=256"))
          return 2;
        if (e3 && !r2 && $s === void 0)
          return 0;
        let n2 = $s || 0;
        if ($t.TERM === "dumb")
          return n2;
        if (process.platform === "win32") {
          let i4 = ove.release().split(".");
          return Number(i4[0]) >= 10 && Number(i4[2]) >= 10586 ? Number(i4[2]) >= 14931 ? 3 : 2 : 1;
        }
        if ("CI" in $t)
          return ["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((i4) => i4 in $t) || $t.CI_NAME === "codeship" ? 1 : n2;
        if ("TEAMCITY_VERSION" in $t)
          return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test($t.TEAMCITY_VERSION) ? 1 : 0;
        if ($t.COLORTERM === "truecolor")
          return 3;
        if ("TERM_PROGRAM" in $t) {
          let i4 = parseInt(($t.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
          switch ($t.TERM_PROGRAM) {
            case "iTerm.app":
              return i4 >= 3 ? 3 : 2;
            case "Apple_Terminal":
              return 2;
          }
        }
        return /-256(color)?$/i.test($t.TERM) ? 2 : /^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test($t.TERM) || "COLORTERM" in $t ? 1 : n2;
      }
      function ave(e3) {
        let r2 = E_(e3, e3 && e3.isTTY);
        return b_(r2);
      }
      t9.exports = { supportsColor: ave, stdout: b_(E_(true, e9.isatty(1))), stderr: b_(E_(true, e9.isatty(2))) };
    });
    var s9 = b((uBe, i9) => {
      "use strict";
      var uve = r9(), ku = v_();
      function n9(e3) {
        if (/^\d{3,4}$/.test(e3)) {
          let n2 = /(\d{1,2})(\d{2})/.exec(e3);
          return { major: 0, minor: parseInt(n2[1], 10), patch: parseInt(n2[2], 10) };
        }
        let r2 = (e3 || "").split(".").map((n2) => parseInt(n2, 10));
        return { major: r2[0], minor: r2[1], patch: r2[2] };
      }
      function w_(e3) {
        let { env: r2 } = process;
        if ("FORCE_HYPERLINK" in r2)
          return !(r2.FORCE_HYPERLINK.length > 0 && parseInt(r2.FORCE_HYPERLINK, 10) === 0);
        if (ku("no-hyperlink") || ku("no-hyperlinks") || ku("hyperlink=false") || ku("hyperlink=never"))
          return false;
        if (ku("hyperlink=true") || ku("hyperlink=always") || "NETLIFY" in r2)
          return true;
        if (!uve.supportsColor(e3) || e3 && !e3.isTTY || process.platform === "win32" || "CI" in r2 || "TEAMCITY_VERSION" in r2)
          return false;
        if ("TERM_PROGRAM" in r2) {
          let n2 = n9(r2.TERM_PROGRAM_VERSION);
          switch (r2.TERM_PROGRAM) {
            case "iTerm.app":
              return n2.major === 3 ? n2.minor >= 1 : n2.major > 3;
            case "WezTerm":
              return n2.major >= 20200620;
            case "vscode":
              return n2.major > 1 || n2.major === 1 && n2.minor >= 72;
          }
        }
        if ("VTE_VERSION" in r2) {
          if (r2.VTE_VERSION === "0.50.0")
            return false;
          let n2 = n9(r2.VTE_VERSION);
          return n2.major > 0 || n2.minor >= 50;
        }
        return false;
      }
      i9.exports = { supportsHyperlink: w_, stdout: w_(process.stdout), stderr: w_(process.stderr) };
    });
    var a9 = b((cBe, sf) => {
      "use strict";
      var cve = Qk(), __ = s9(), o9 = (e3, r2, { target: n2 = "stdout", ...i4 } = {}) => __[n2] ? cve.link(e3, r2) : i4.fallback === false ? e3 : typeof i4.fallback == "function" ? i4.fallback(e3, r2) : `${e3} (\u200B${r2}\u200B)`;
      sf.exports = (e3, r2, n2 = {}) => o9(e3, r2, n2);
      sf.exports.stderr = (e3, r2, n2 = {}) => o9(e3, r2, { target: "stderr", ...n2 });
      sf.exports.isSupported = __.stdout;
      sf.exports.stderr.isSupported = __.stderr;
    });
    var DS = b((G7e, Cq) => {
      "use strict";
      Cq.exports = (e3, r2 = 1, n2) => {
        if (n2 = { indent: " ", includeEmptyLines: false, ...n2 }, typeof e3 != "string")
          throw new TypeError(`Expected \`input\` to be a \`string\`, got \`${typeof e3}\``);
        if (typeof r2 != "number")
          throw new TypeError(`Expected \`count\` to be a \`number\`, got \`${typeof r2}\``);
        if (typeof n2.indent != "string")
          throw new TypeError(`Expected \`options.indent\` to be a \`string\`, got \`${typeof n2.indent}\``);
        if (r2 === 0)
          return e3;
        let i4 = n2.includeEmptyLines ? /^/gm : /^(?!\s*$)/gm;
        return e3.replace(i4, n2.indent.repeat(r2));
      };
    });
    var FS = b((fje, $q) => {
      "use strict";
      var { join: Nq, basename: kq } = require("path"), Jwe = (e3) => e3.bin ? typeof e3.bin == "string" ? Xwe(e3) : Array.isArray(e3.bin) ? Qwe(e3) : typeof e3.bin == "object" ? PS(e3) : IS(e3) : IS(e3), Xwe = (e3) => e3.name ? (e3.bin = { [e3.name]: e3.bin }, PS(e3)) : IS(e3), Qwe = (e3) => (e3.bin = e3.bin.reduce((r2, n2) => (r2[kq(n2)] = n2, r2), {}), PS(e3)), IS = (e3) => (delete e3.bin, e3), PS = (e3) => {
        let r2 = e3.bin, n2 = {}, i4 = false;
        return Object.keys(r2).forEach((o2) => {
          let a3 = Nq("/", kq(o2.replace(/\\|:/g, "/"))).slice(1);
          if (typeof r2[o2] != "string" || !a3)
            return;
          let u2 = Nq("/", r2[o2]).replace(/\\/g, "/").slice(1);
          u2 && (n2[a3] = u2, i4 = true);
        }), i4 ? e3.bin = n2 : delete e3.bin, e3;
      };
      $q.exports = Jwe;
    });
    var Bq = b((hje, qq) => {
      "use strict";
      var zu = require("fs"), wf = require("path"), Zwe = require("events").EventEmitter, e_e = FS(), _f = class e3 extends Zwe {
        constructor(r2) {
          if (r2 = r2 || {}, super(r2), this.path = wf.resolve(r2.path || process.cwd()), this.parent = r2.parent || null, this.parent) {
            if (this.result = this.parent.result, !this.parent.parent) {
              let n2 = wf.basename(this.path), i4 = wf.basename(wf.dirname(this.path));
              this.result.add(/^@/.test(i4) ? i4 + "/" + n2 : n2);
            }
            this.root = this.parent.root, this.packageJsonCache = this.parent.packageJsonCache;
          } else
            this.result = /* @__PURE__ */ new Set(), this.root = this.path, this.packageJsonCache = r2.packageJsonCache || /* @__PURE__ */ new Map();
          this.seen = /* @__PURE__ */ new Set(), this.didDone = false, this.children = 0, this.node_modules = [], this.package = null, this.bundle = null;
        }
        addListener(r2, n2) {
          return this.on(r2, n2);
        }
        on(r2, n2) {
          let i4 = super.on(r2, n2);
          return r2 === "done" && this.didDone && this.emit("done", this.result), i4;
        }
        done() {
          if (!this.didDone)
            if (this.didDone = true, this.parent)
              this.emit("done");
            else {
              let r2 = Array.from(this.result);
              this.result = r2, this.emit("done", r2);
            }
        }
        start() {
          let r2 = wf.resolve(this.path, "package.json");
          return this.packageJsonCache.has(r2) ? this.onPackage(this.packageJsonCache.get(r2)) : this.readPackageJson(r2), this;
        }
        readPackageJson(r2) {
          zu.readFile(r2, (n2, i4) => n2 ? this.done() : this.onPackageJson(r2, i4));
        }
        onPackageJson(r2, n2) {
          try {
            this.package = e_e(JSON.parse(n2 + ""));
          } catch {
            return this.done();
          }
          this.packageJsonCache.set(r2, this.package), this.onPackage(this.package);
        }
        allDepsBundled(r2) {
          return Object.keys(r2.dependencies || {}).concat(Object.keys(r2.optionalDependencies || {}));
        }
        onPackage(r2) {
          let n2 = this.parent ? this.allDepsBundled(r2) : r2.bundleDependencies || r2.bundledDependencies || [], i4 = Array.from(new Set(Array.isArray(n2) ? n2 : n2 === true ? this.allDepsBundled(r2) : Object.keys(n2)));
          if (!i4.length)
            return this.done();
          this.bundle = i4, this.readModules();
        }
        readModules() {
          t_e(this.path + "/node_modules", (r2, n2) => r2 ? this.onReaddir([]) : this.onReaddir(n2));
        }
        onReaddir(r2) {
          this.node_modules = r2, this.bundle.forEach((n2) => this.childDep(n2)), this.children === 0 && this.done();
        }
        childDep(r2) {
          this.node_modules.indexOf(r2) !== -1 ? this.seen.has(r2) || (this.seen.add(r2), this.child(r2)) : this.parent && this.parent.childDep(r2);
        }
        child(r2) {
          let n2 = this.path + "/node_modules/" + r2;
          this.children += 1;
          let i4 = new e3({ path: n2, parent: this });
          i4.on("done", (o2) => {
            --this.children === 0 && this.done();
          }), i4.start();
        }
      }, sg = class e3 extends _f {
        start() {
          return super.start(), this.done(), this;
        }
        readPackageJson(r2) {
          try {
            this.onPackageJson(r2, zu.readFileSync(r2));
          } catch {
          }
          return this;
        }
        readModules() {
          try {
            this.onReaddir(r_e(this.path + "/node_modules"));
          } catch {
            this.onReaddir([]);
          }
        }
        child(r2) {
          new e3({ path: this.path + "/node_modules/" + r2, parent: this }).start();
        }
      }, t_e = (e3, r2) => {
        zu.readdir(e3, (n2, i4) => {
          if (n2)
            r2(n2);
          else {
            let o2 = i4.filter((a3) => /^@/.test(a3));
            if (!o2.length)
              r2(null, i4);
            else {
              let a3 = i4.filter((c4) => !/^@/.test(c4)), u2 = o2.length;
              o2.forEach((c4) => {
                zu.readdir(e3 + "/" + c4, (l2, f4) => {
                  l2 || !f4.length ? a3.push(c4) : a3.push.apply(a3, f4.map((p2) => c4 + "/" + p2)), --u2 === 0 && r2(null, a3);
                });
              });
            }
          }
        });
      }, r_e = (e3) => {
        let r2 = zu.readdirSync(e3), n2 = r2.filter((o2) => !/^@/.test(o2)), i4 = r2.filter((o2) => /^@/.test(o2)).map((o2) => {
          try {
            let a3 = zu.readdirSync(e3 + "/" + o2);
            return a3.length ? a3.map((u2) => o2 + "/" + u2) : [o2];
          } catch {
            return [o2];
          }
        }).reduce((o2, a3) => o2.concat(a3), []);
        return n2.concat(i4);
      }, og = (e3, r2) => {
        let n2 = new Promise((i4, o2) => {
          new _f(e3).on("done", i4).on("error", o2).start();
        });
        return r2 ? n2.then((i4) => r2(null, i4), r2) : n2;
      }, n_e = (e3) => new sg(e3).start().result;
      qq.exports = og;
      og.sync = n_e;
      og.BundleWalker = _f;
      og.BundleWalkerSync = sg;
    });
    var Uq = b((pje, jq) => {
      "use strict";
      var i_e = typeof process == "object" && process && process.platform === "win32";
      jq.exports = i_e ? { sep: "\\" } : { sep: "/" };
    });
    var LS = b((dje, Vq) => {
      "use strict";
      Vq.exports = Wq;
      function Wq(e3, r2, n2) {
        e3 instanceof RegExp && (e3 = Gq(e3, n2)), r2 instanceof RegExp && (r2 = Gq(r2, n2));
        var i4 = Hq(e3, r2, n2);
        return i4 && { start: i4[0], end: i4[1], pre: n2.slice(0, i4[0]), body: n2.slice(i4[0] + e3.length, i4[1]), post: n2.slice(i4[1] + r2.length) };
      }
      function Gq(e3, r2) {
        var n2 = r2.match(e3);
        return n2 ? n2[0] : null;
      }
      Wq.range = Hq;
      function Hq(e3, r2, n2) {
        var i4, o2, a3, u2, c4, l2 = n2.indexOf(e3), f4 = n2.indexOf(r2, l2 + 1), p2 = l2;
        if (l2 >= 0 && f4 > 0) {
          if (e3 === r2)
            return [l2, f4];
          for (i4 = [], a3 = n2.length; p2 >= 0 && !c4; )
            p2 == l2 ? (i4.push(p2), l2 = n2.indexOf(e3, p2 + 1)) : i4.length == 1 ? c4 = [i4.pop(), f4] : (o2 = i4.pop(), o2 < a3 && (a3 = o2, u2 = f4), f4 = n2.indexOf(r2, p2 + 1)), p2 = l2 < f4 && l2 >= 0 ? l2 : f4;
          i4.length && (c4 = [a3, u2]);
        }
        return c4;
      }
    });
    var eB = b((mje, Zq) => {
      "use strict";
      var Kq = LS();
      Zq.exports = a_e;
      var zq = "\0SLASH" + Math.random() + "\0", Yq = "\0OPEN" + Math.random() + "\0", NS = "\0CLOSE" + Math.random() + "\0", Jq = "\0COMMA" + Math.random() + "\0", Xq = "\0PERIOD" + Math.random() + "\0";
      function MS(e3) {
        return parseInt(e3, 10) == e3 ? parseInt(e3, 10) : e3.charCodeAt(0);
      }
      function s_e(e3) {
        return e3.split("\\\\").join(zq).split("\\{").join(Yq).split("\\}").join(NS).split("\\,").join(Jq).split("\\.").join(Xq);
      }
      function o_e(e3) {
        return e3.split(zq).join("\\").split(Yq).join("{").split(NS).join("}").split(Jq).join(",").split(Xq).join(".");
      }
      function Qq(e3) {
        if (!e3)
          return [""];
        var r2 = [], n2 = Kq("{", "}", e3);
        if (!n2)
          return e3.split(",");
        var i4 = n2.pre, o2 = n2.body, a3 = n2.post, u2 = i4.split(",");
        u2[u2.length - 1] += "{" + o2 + "}";
        var c4 = Qq(a3);
        return a3.length && (u2[u2.length - 1] += c4.shift(), u2.push.apply(u2, c4)), r2.push.apply(r2, u2), r2;
      }
      function a_e(e3) {
        return e3 ? (e3.substr(0, 2) === "{}" && (e3 = "\\{\\}" + e3.substr(2)), Sf(s_e(e3), true).map(o_e)) : [];
      }
      function u_e(e3) {
        return "{" + e3 + "}";
      }
      function c_e(e3) {
        return /^-?0\d/.test(e3);
      }
      function l_e(e3, r2) {
        return e3 <= r2;
      }
      function f_e(e3, r2) {
        return e3 >= r2;
      }
      function Sf(e3, r2) {
        var n2 = [], i4 = Kq("{", "}", e3);
        if (!i4)
          return [e3];
        var o2 = i4.pre, a3 = i4.post.length ? Sf(i4.post, false) : [""];
        if (/\$$/.test(i4.pre))
          for (var u2 = 0; u2 < a3.length; u2++) {
            var c4 = o2 + "{" + i4.body + "}" + a3[u2];
            n2.push(c4);
          }
        else {
          var l2 = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(i4.body), f4 = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(i4.body), p2 = l2 || f4, v2 = i4.body.indexOf(",") >= 0;
          if (!p2 && !v2)
            return i4.post.match(/,.*\}/) ? (e3 = i4.pre + "{" + i4.body + NS + i4.post, Sf(e3)) : [e3];
          var g2;
          if (p2)
            g2 = i4.body.split(/\.\./);
          else if (g2 = Qq(i4.body), g2.length === 1 && (g2 = Sf(g2[0], false).map(u_e), g2.length === 1))
            return a3.map(function(U) {
              return i4.pre + g2[0] + U;
            });
          var S2;
          if (p2) {
            var D = MS(g2[0]), T6 = MS(g2[1]), R = Math.max(g2[0].length, g2[1].length), A2 = g2.length == 3 ? Math.abs(MS(g2[2])) : 1, L = l_e, N = T6 < D;
            N && (A2 *= -1, L = f_e);
            var q = g2.some(c_e);
            S2 = [];
            for (var B = D; L(B, T6); B += A2) {
              var W;
              if (f4)
                W = String.fromCharCode(B), W === "\\" && (W = "");
              else if (W = String(B), q) {
                var P = R - W.length;
                if (P > 0) {
                  var $3 = new Array(P + 1).join("0");
                  B < 0 ? W = "-" + $3 + W.slice(1) : W = $3 + W;
                }
              }
              S2.push(W);
            }
          } else {
            S2 = [];
            for (var I = 0; I < g2.length; I++)
              S2.push.apply(S2, Sf(g2[I], false));
          }
          for (var I = 0; I < S2.length; I++)
            for (var u2 = 0; u2 < a3.length; u2++) {
              var c4 = o2 + S2[I] + a3[u2];
              (!r2 || p2 || c4) && n2.push(c4);
            }
        }
        return n2;
      }
    });
    var Ju = b((yje, jS) => {
      "use strict";
      var Gr = jS.exports = (e3, r2, n2 = {}) => (ag(r2), !n2.nocomment && r2.charAt(0) === "#" ? false : new Yu(r2, n2).match(e3));
      jS.exports = Gr;
      var qS = Uq();
      Gr.sep = qS.sep;
      var Pn = Symbol("globstar **");
      Gr.GLOBSTAR = Pn;
      var h_e = eB(), tB = { "!": { open: "(?:(?!(?:", close: "))[^/]*?)" }, "?": { open: "(?:", close: ")?" }, "+": { open: "(?:", close: ")+" }, "*": { open: "(?:", close: ")*" }, "@": { open: "(?:", close: ")" } }, BS = "[^/]", kS = BS + "*?", p_e = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?", d_e = "(?:(?!(?:\\/|^)\\.).)*?", iB = (e3) => e3.split("").reduce((r2, n2) => (r2[n2] = true, r2), {}), rB = iB("().*{}+?[]^$\\!"), m_e = iB("[.("), nB = /\/+/;
      Gr.filter = (e3, r2 = {}) => (n2, i4, o2) => Gr(n2, e3, r2);
      var Ws = (e3, r2 = {}) => {
        let n2 = {};
        return Object.keys(e3).forEach((i4) => n2[i4] = e3[i4]), Object.keys(r2).forEach((i4) => n2[i4] = r2[i4]), n2;
      };
      Gr.defaults = (e3) => {
        if (!e3 || typeof e3 != "object" || !Object.keys(e3).length)
          return Gr;
        let r2 = Gr, n2 = (i4, o2, a3) => r2(i4, o2, Ws(e3, a3));
        return n2.Minimatch = class extends r2.Minimatch {
          constructor(o2, a3) {
            super(o2, Ws(e3, a3));
          }
        }, n2.Minimatch.defaults = (i4) => r2.defaults(Ws(e3, i4)).Minimatch, n2.filter = (i4, o2) => r2.filter(i4, Ws(e3, o2)), n2.defaults = (i4) => r2.defaults(Ws(e3, i4)), n2.makeRe = (i4, o2) => r2.makeRe(i4, Ws(e3, o2)), n2.braceExpand = (i4, o2) => r2.braceExpand(i4, Ws(e3, o2)), n2.match = (i4, o2, a3) => r2.match(i4, o2, Ws(e3, a3)), n2;
      };
      Gr.braceExpand = (e3, r2) => sB(e3, r2);
      var sB = (e3, r2 = {}) => (ag(e3), r2.nobrace || !/\{(?:(?!\{).)*\}/.test(e3) ? [e3] : h_e(e3)), g_e = 1024 * 64, ag = (e3) => {
        if (typeof e3 != "string")
          throw new TypeError("invalid pattern");
        if (e3.length > g_e)
          throw new TypeError("pattern is too long");
      }, $S = Symbol("subparse");
      Gr.makeRe = (e3, r2) => new Yu(e3, r2 || {}).makeRe();
      Gr.match = (e3, r2, n2 = {}) => {
        let i4 = new Yu(r2, n2);
        return e3 = e3.filter((o2) => i4.match(o2)), i4.options.nonull && !e3.length && e3.push(r2), e3;
      };
      var y_e = (e3) => e3.replace(/\\(.)/g, "$1"), v_e = (e3) => e3.replace(/\\([^-\]])/g, "$1"), b_e = (e3) => e3.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&"), E_e = (e3) => e3.replace(/[[\]\\]/g, "\\$&"), Yu = class {
        constructor(r2, n2) {
          ag(r2), n2 || (n2 = {}), this.options = n2, this.set = [], this.pattern = r2, this.windowsPathsNoEscape = !!n2.windowsPathsNoEscape || n2.allowWindowsEscape === false, this.windowsPathsNoEscape && (this.pattern = this.pattern.replace(/\\/g, "/")), this.regexp = null, this.negate = false, this.comment = false, this.empty = false, this.partial = !!n2.partial, this.make();
        }
        debug() {
        }
        make() {
          let r2 = this.pattern, n2 = this.options;
          if (!n2.nocomment && r2.charAt(0) === "#") {
            this.comment = true;
            return;
          }
          if (!r2) {
            this.empty = true;
            return;
          }
          this.parseNegate();
          let i4 = this.globSet = this.braceExpand();
          n2.debug && (this.debug = (...o2) => console.error(...o2)), this.debug(this.pattern, i4), i4 = this.globParts = i4.map((o2) => o2.split(nB)), this.debug(this.pattern, i4), i4 = i4.map((o2, a3, u2) => o2.map(this.parse, this)), this.debug(this.pattern, i4), i4 = i4.filter((o2) => o2.indexOf(false) === -1), this.debug(this.pattern, i4), this.set = i4;
        }
        parseNegate() {
          if (this.options.nonegate)
            return;
          let r2 = this.pattern, n2 = false, i4 = 0;
          for (let o2 = 0; o2 < r2.length && r2.charAt(o2) === "!"; o2++)
            n2 = !n2, i4++;
          i4 && (this.pattern = r2.slice(i4)), this.negate = n2;
        }
        matchOne(r2, n2, i4) {
          var o2 = this.options;
          this.debug("matchOne", { this: this, file: r2, pattern: n2 }), this.debug("matchOne", r2.length, n2.length);
          for (var a3 = 0, u2 = 0, c4 = r2.length, l2 = n2.length; a3 < c4 && u2 < l2; a3++, u2++) {
            this.debug("matchOne loop");
            var f4 = n2[u2], p2 = r2[a3];
            if (this.debug(n2, f4, p2), f4 === false)
              return false;
            if (f4 === Pn) {
              this.debug("GLOBSTAR", [n2, f4, p2]);
              var v2 = a3, g2 = u2 + 1;
              if (g2 === l2) {
                for (this.debug("** at the end"); a3 < c4; a3++)
                  if (r2[a3] === "." || r2[a3] === ".." || !o2.dot && r2[a3].charAt(0) === ".")
                    return false;
                return true;
              }
              for (; v2 < c4; ) {
                var S2 = r2[v2];
                if (this.debug(`
globstar while`, r2, v2, n2, g2, S2), this.matchOne(r2.slice(v2), n2.slice(g2), i4))
                  return this.debug("globstar found match!", v2, c4, S2), true;
                if (S2 === "." || S2 === ".." || !o2.dot && S2.charAt(0) === ".") {
                  this.debug("dot detected!", r2, v2, n2, g2);
                  break;
                }
                this.debug("globstar swallow a segment, and continue"), v2++;
              }
              return !!(i4 && (this.debug(`
>>> no match, partial?`, r2, v2, n2, g2), v2 === c4));
            }
            var D;
            if (typeof f4 == "string" ? (D = p2 === f4, this.debug("string match", f4, p2, D)) : (D = p2.match(f4), this.debug("pattern match", f4, p2, D)), !D)
              return false;
          }
          if (a3 === c4 && u2 === l2)
            return true;
          if (a3 === c4)
            return i4;
          if (u2 === l2)
            return a3 === c4 - 1 && r2[a3] === "";
          throw new Error("wtf?");
        }
        braceExpand() {
          return sB(this.pattern, this.options);
        }
        parse(r2, n2) {
          ag(r2);
          let i4 = this.options;
          if (r2 === "**")
            if (i4.noglobstar)
              r2 = "*";
            else
              return Pn;
          if (r2 === "")
            return "";
          let o2 = "", a3 = false, u2 = false, c4 = [], l2 = [], f4, p2 = false, v2 = -1, g2 = -1, S2, D, T6, R = r2.charAt(0) === ".", A2 = i4.dot || R, L = () => R ? "" : A2 ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)", N = (P) => P.charAt(0) === "." ? "" : i4.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)", q = () => {
            if (f4) {
              switch (f4) {
                case "*":
                  o2 += kS, a3 = true;
                  break;
                case "?":
                  o2 += BS, a3 = true;
                  break;
                default:
                  o2 += "\\" + f4;
                  break;
              }
              this.debug("clearStateChar %j %j", f4, o2), f4 = false;
            }
          };
          for (let P = 0, $3; P < r2.length && ($3 = r2.charAt(P)); P++) {
            if (this.debug("%s	%s %s %j", r2, P, o2, $3), u2) {
              if ($3 === "/")
                return false;
              rB[$3] && (o2 += "\\"), o2 += $3, u2 = false;
              continue;
            }
            switch ($3) {
              case "/":
                return false;
              case "\\":
                if (p2 && r2.charAt(P + 1) === "-") {
                  o2 += $3;
                  continue;
                }
                q(), u2 = true;
                continue;
              case "?":
              case "*":
              case "+":
              case "@":
              case "!":
                if (this.debug("%s	%s %s %j <-- stateChar", r2, P, o2, $3), p2) {
                  this.debug("  in class"), $3 === "!" && P === g2 + 1 && ($3 = "^"), o2 += $3;
                  continue;
                }
                this.debug("call clearStateChar %j", f4), q(), f4 = $3, i4.noext && q();
                continue;
              case "(": {
                if (p2) {
                  o2 += "(";
                  continue;
                }
                if (!f4) {
                  o2 += "\\(";
                  continue;
                }
                let I = { type: f4, start: P - 1, reStart: o2.length, open: tB[f4].open, close: tB[f4].close };
                this.debug(this.pattern, "	", I), c4.push(I), o2 += I.open, I.start === 0 && I.type !== "!" && (R = true, o2 += N(r2.slice(P + 1))), this.debug("plType %j %j", f4, o2), f4 = false;
                continue;
              }
              case ")": {
                let I = c4[c4.length - 1];
                if (p2 || !I) {
                  o2 += "\\)";
                  continue;
                }
                c4.pop(), q(), a3 = true, D = I, o2 += D.close, D.type === "!" && l2.push(Object.assign(D, { reEnd: o2.length }));
                continue;
              }
              case "|": {
                let I = c4[c4.length - 1];
                if (p2 || !I) {
                  o2 += "\\|";
                  continue;
                }
                q(), o2 += "|", I.start === 0 && I.type !== "!" && (R = true, o2 += N(r2.slice(P + 1)));
                continue;
              }
              case "[":
                if (q(), p2) {
                  o2 += "\\" + $3;
                  continue;
                }
                p2 = true, g2 = P, v2 = o2.length, o2 += $3;
                continue;
              case "]":
                if (P === g2 + 1 || !p2) {
                  o2 += "\\" + $3;
                  continue;
                }
                S2 = r2.substring(g2 + 1, P);
                try {
                  RegExp("[" + E_e(v_e(S2)) + "]"), o2 += $3;
                } catch {
                  o2 = o2.substring(0, v2) + "(?:$.)";
                }
                a3 = true, p2 = false;
                continue;
              default:
                q(), rB[$3] && !($3 === "^" && p2) && (o2 += "\\"), o2 += $3;
                break;
            }
          }
          for (p2 && (S2 = r2.slice(g2 + 1), T6 = this.parse(S2, $S), o2 = o2.substring(0, v2) + "\\[" + T6[0], a3 = a3 || T6[1]), D = c4.pop(); D; D = c4.pop()) {
            let P;
            P = o2.slice(D.reStart + D.open.length), this.debug("setting tail", o2, D), P = P.replace(/((?:\\{2}){0,64})(\\?)\|/g, (I, U, C) => (C || (C = "\\"), U + U + C + "|")), this.debug(`tail=%j
   %s`, P, P, D, o2);
            let $3 = D.type === "*" ? kS : D.type === "?" ? BS : "\\" + D.type;
            a3 = true, o2 = o2.slice(0, D.reStart) + $3 + "\\(" + P;
          }
          q(), u2 && (o2 += "\\\\");
          let B = m_e[o2.charAt(0)];
          for (let P = l2.length - 1; P > -1; P--) {
            let $3 = l2[P], I = o2.slice(0, $3.reStart), U = o2.slice($3.reStart, $3.reEnd - 8), C = o2.slice($3.reEnd), G = o2.slice($3.reEnd - 8, $3.reEnd) + C, V = I.split(")").length, ee = I.split("(").length - V, M = C;
            for (let Z = 0; Z < ee; Z++)
              M = M.replace(/\)[+*?]?/, "");
            C = M;
            let k = C === "" && n2 !== $S ? "(?:$|\\/)" : "";
            o2 = I + U + C + k + G;
          }
          if (o2 !== "" && a3 && (o2 = "(?=.)" + o2), B && (o2 = L() + o2), n2 === $S)
            return [o2, a3];
          if (i4.nocase && !a3 && (a3 = r2.toUpperCase() !== r2.toLowerCase()), !a3)
            return y_e(r2);
          let W = i4.nocase ? "i" : "";
          try {
            return Object.assign(new RegExp("^" + o2 + "$", W), { _glob: r2, _src: o2 });
          } catch {
            return new RegExp("$.");
          }
        }
        makeRe() {
          if (this.regexp || this.regexp === false)
            return this.regexp;
          let r2 = this.set;
          if (!r2.length)
            return this.regexp = false, this.regexp;
          let n2 = this.options, i4 = n2.noglobstar ? kS : n2.dot ? p_e : d_e, o2 = n2.nocase ? "i" : "", a3 = r2.map((u2) => (u2 = u2.map((c4) => typeof c4 == "string" ? b_e(c4) : c4 === Pn ? Pn : c4._src).reduce((c4, l2) => (c4[c4.length - 1] === Pn && l2 === Pn || c4.push(l2), c4), []), u2.forEach((c4, l2) => {
            c4 !== Pn || u2[l2 - 1] === Pn || (l2 === 0 ? u2.length > 1 ? u2[l2 + 1] = "(?:\\/|" + i4 + "\\/)?" + u2[l2 + 1] : u2[l2] = i4 : l2 === u2.length - 1 ? u2[l2 - 1] += "(?:\\/|" + i4 + ")?" : (u2[l2 - 1] += "(?:\\/|\\/" + i4 + "\\/)" + u2[l2 + 1], u2[l2 + 1] = Pn));
          }), u2.filter((c4) => c4 !== Pn).join("/"))).join("|");
          a3 = "^(?:" + a3 + ")$", this.negate && (a3 = "^(?!" + a3 + ").*$");
          try {
            this.regexp = new RegExp(a3, o2);
          } catch {
            this.regexp = false;
          }
          return this.regexp;
        }
        match(r2, n2 = this.partial) {
          if (this.debug("match", r2, this.pattern), this.comment)
            return false;
          if (this.empty)
            return r2 === "";
          if (r2 === "/" && n2)
            return true;
          let i4 = this.options;
          qS.sep !== "/" && (r2 = r2.split(qS.sep).join("/")), r2 = r2.split(nB), this.debug(this.pattern, "split", r2);
          let o2 = this.set;
          this.debug(this.pattern, "set", o2);
          let a3;
          for (let u2 = r2.length - 1; u2 >= 0 && (a3 = r2[u2], !a3); u2--)
            ;
          for (let u2 = 0; u2 < o2.length; u2++) {
            let c4 = o2[u2], l2 = r2;
            if (i4.matchBase && c4.length === 1 && (l2 = [a3]), this.matchOne(l2, c4, n2))
              return i4.flipNegate ? true : !this.negate;
          }
          return i4.flipNegate ? false : this.negate;
        }
        static defaults(r2) {
          return Gr.defaults(r2).Minimatch;
        }
      };
      Gr.Minimatch = Yu;
    });
    var aB = b((vje, oB) => {
      "use strict";
      var Hs = require("fs"), US = require("path"), w_e = require("events").EventEmitter, __e = Ju().Minimatch, xf = class e3 extends w_e {
        constructor(r2) {
          r2 = r2 || {}, super(r2), this.isSymbolicLink = r2.isSymbolicLink, this.path = r2.path || process.cwd(), this.basename = US.basename(this.path), this.ignoreFiles = r2.ignoreFiles || [".ignore"], this.ignoreRules = {}, this.parent = r2.parent || null, this.includeEmpty = !!r2.includeEmpty, this.root = this.parent ? this.parent.root : this.path, this.follow = !!r2.follow, this.result = this.parent ? this.parent.result : /* @__PURE__ */ new Set(), this.entries = null, this.sawError = false;
        }
        sort(r2, n2) {
          return r2.localeCompare(n2, "en");
        }
        emit(r2, n2) {
          let i4 = false;
          return this.sawError && r2 === "error" || (r2 === "error" ? this.sawError = true : r2 === "done" && !this.parent && (n2 = Array.from(n2).map((o2) => /^@/.test(o2) ? `./${o2}` : o2).sort(this.sort), this.result = n2), r2 === "error" && this.parent ? i4 = this.parent.emit("error", n2) : i4 = super.emit(r2, n2)), i4;
        }
        start() {
          return Hs.readdir(this.path, (r2, n2) => r2 ? this.emit("error", r2) : this.onReaddir(n2)), this;
        }
        isIgnoreFile(r2) {
          return r2 !== "." && r2 !== ".." && this.ignoreFiles.indexOf(r2) !== -1;
        }
        onReaddir(r2) {
          this.entries = r2, r2.length === 0 ? (this.includeEmpty && this.result.add(this.path.slice(this.root.length + 1)), this.emit("done", this.result)) : this.entries.some((i4) => this.isIgnoreFile(i4)) ? this.addIgnoreFiles() : this.filterEntries();
        }
        addIgnoreFiles() {
          let r2 = this.entries.filter((o2) => this.isIgnoreFile(o2)), n2 = r2.length, i4 = (o2) => {
            --n2 === 0 && this.filterEntries();
          };
          r2.forEach((o2) => this.addIgnoreFile(o2, i4));
        }
        addIgnoreFile(r2, n2) {
          let i4 = US.resolve(this.path, r2);
          Hs.readFile(i4, "utf8", (o2, a3) => o2 ? this.emit("error", o2) : this.onReadIgnoreFile(r2, a3, n2));
        }
        onReadIgnoreFile(r2, n2, i4) {
          let o2 = { matchBase: true, dot: true, flipNegate: true, nocase: true }, a3 = n2.split(/\r?\n/).filter((u2) => !/^#|^$/.test(u2.trim())).map((u2) => new __e(u2.trim(), o2));
          this.ignoreRules[r2] = a3, i4();
        }
        filterEntries() {
          let r2 = this.entries.map((i4) => {
            let o2 = this.filterEntry(i4), a3 = this.filterEntry(i4, true);
            return o2 || a3 ? [i4, o2, a3] : false;
          }).filter((i4) => i4), n2 = r2.length;
          if (n2 === 0)
            this.emit("done", this.result);
          else {
            let i4 = (o2) => {
              --n2 === 0 && this.emit("done", this.result);
            };
            r2.forEach((o2) => {
              let a3 = o2[0], u2 = o2[1], c4 = o2[2];
              this.stat({ entry: a3, file: u2, dir: c4 }, i4);
            });
          }
        }
        onstat({ st: r2, entry: n2, file: i4, dir: o2, isSymbolicLink: a3 }, u2) {
          let c4 = this.path + "/" + n2;
          r2.isDirectory() ? o2 ? this.walker(n2, { isSymbolicLink: a3 }, u2) : u2() : (i4 && this.result.add(c4.slice(this.root.length + 1)), u2());
        }
        stat({ entry: r2, file: n2, dir: i4 }, o2) {
          let a3 = this.path + "/" + r2;
          Hs.lstat(a3, (u2, c4) => {
            if (u2)
              this.emit("error", u2);
            else {
              let l2 = c4.isSymbolicLink();
              this.follow && l2 ? Hs.stat(a3, (f4, p2) => {
                f4 ? this.emit("error", f4) : this.onstat({ st: p2, entry: r2, file: n2, dir: i4, isSymbolicLink: l2 }, o2);
              }) : this.onstat({ st: c4, entry: r2, file: n2, dir: i4, isSymbolicLink: l2 }, o2);
            }
          });
        }
        walkerOpt(r2, n2) {
          return { path: this.path + "/" + r2, parent: this, ignoreFiles: this.ignoreFiles, follow: this.follow, includeEmpty: this.includeEmpty, ...n2 };
        }
        walker(r2, n2, i4) {
          new e3(this.walkerOpt(r2, n2)).on("done", i4).start();
        }
        filterEntry(r2, n2) {
          let i4 = true;
          if (this.parent && this.parent.filterEntry) {
            var o2 = this.basename + "/" + r2;
            i4 = this.parent.filterEntry(o2, n2);
          }
          return this.ignoreFiles.forEach((a3) => {
            this.ignoreRules[a3] && this.ignoreRules[a3].forEach((u2) => {
              u2.negate !== i4 && (u2.match("/" + r2) || u2.match(r2) || n2 && (u2.match("/" + r2 + "/") || u2.match(r2 + "/")) || n2 && u2.negate && (u2.match("/" + r2, true) || u2.match(r2, true))) && (i4 = u2.negate);
            });
          }), i4;
        }
      }, ug = class e3 extends xf {
        start() {
          return this.onReaddir(Hs.readdirSync(this.path)), this;
        }
        addIgnoreFile(r2, n2) {
          let i4 = US.resolve(this.path, r2);
          this.onReadIgnoreFile(r2, Hs.readFileSync(i4, "utf8"), n2);
        }
        stat({ entry: r2, file: n2, dir: i4 }, o2) {
          let a3 = this.path + "/" + r2, u2 = Hs.lstatSync(a3), c4 = u2.isSymbolicLink();
          this.follow && c4 && (u2 = Hs.statSync(a3)), this.onstat({ st: u2, entry: r2, file: n2, dir: i4, isSymbolicLink: c4 }, o2);
        }
        walker(r2, n2, i4) {
          new e3(this.walkerOpt(r2, n2)).start(), i4();
        }
      }, cg = (e3, r2) => {
        let n2 = new Promise((i4, o2) => {
          new xf(e3).on("done", i4).on("error", o2).start();
        });
        return r2 ? n2.then((i4) => r2(null, i4), r2) : n2;
      }, S_e = (e3) => new ug(e3).start().result;
      oB.exports = cg;
      cg.sync = S_e;
      cg.Walker = xf;
      cg.WalkerSync = ug;
    });
    var uB = b((GS) => {
      "use strict";
      var aa = require("path"), Ks = process.platform === "win32", Vs = require("fs"), x_e = process.env.NODE_DEBUG && /fs/.test(process.env.NODE_DEBUG);
      function D_e() {
        var e3;
        if (x_e) {
          var r2 = new Error();
          e3 = n2;
        } else
          e3 = i4;
        return e3;
        function n2(o2) {
          o2 && (r2.message = o2.message, o2 = r2, i4(o2));
        }
        function i4(o2) {
          if (o2) {
            if (process.throwDeprecation)
              throw o2;
            if (!process.noDeprecation) {
              var a3 = "fs: missing callback " + (o2.stack || o2.message);
              process.traceDeprecation ? console.trace(a3) : console.error(a3);
            }
          }
        }
      }
      function O_e(e3) {
        return typeof e3 == "function" ? e3 : D_e();
      }
      var bje = aa.normalize;
      Ks ? ki = /(.*?)(?:[\/\\]+|$)/g : ki = /(.*?)(?:[\/]+|$)/g;
      var ki;
      Ks ? Df = /^(?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/][^\\\/]+)?[\\\/]*/ : Df = /^[\/]*/;
      var Df;
      GS.realpathSync = function(r2, n2) {
        if (r2 = aa.resolve(r2), n2 && Object.prototype.hasOwnProperty.call(n2, r2))
          return n2[r2];
        var i4 = r2, o2 = {}, a3 = {}, u2, c4, l2, f4;
        p2();
        function p2() {
          var R = Df.exec(r2);
          u2 = R[0].length, c4 = R[0], l2 = R[0], f4 = "", Ks && !a3[l2] && (Vs.lstatSync(l2), a3[l2] = true);
        }
        for (; u2 < r2.length; ) {
          ki.lastIndex = u2;
          var v2 = ki.exec(r2);
          if (f4 = c4, c4 += v2[0], l2 = f4 + v2[1], u2 = ki.lastIndex, !(a3[l2] || n2 && n2[l2] === l2)) {
            var g2;
            if (n2 && Object.prototype.hasOwnProperty.call(n2, l2))
              g2 = n2[l2];
            else {
              var S2 = Vs.lstatSync(l2);
              if (!S2.isSymbolicLink()) {
                a3[l2] = true, n2 && (n2[l2] = l2);
                continue;
              }
              var D = null;
              if (!Ks) {
                var T6 = S2.dev.toString(32) + ":" + S2.ino.toString(32);
                o2.hasOwnProperty(T6) && (D = o2[T6]);
              }
              D === null && (Vs.statSync(l2), D = Vs.readlinkSync(l2)), g2 = aa.resolve(f4, D), n2 && (n2[l2] = g2), Ks || (o2[T6] = D);
            }
            r2 = aa.resolve(g2, r2.slice(u2)), p2();
          }
        }
        return n2 && (n2[i4] = r2), r2;
      };
      GS.realpath = function(r2, n2, i4) {
        if (typeof i4 != "function" && (i4 = O_e(n2), n2 = null), r2 = aa.resolve(r2), n2 && Object.prototype.hasOwnProperty.call(n2, r2))
          return process.nextTick(i4.bind(null, null, n2[r2]));
        var o2 = r2, a3 = {}, u2 = {}, c4, l2, f4, p2;
        v2();
        function v2() {
          var R = Df.exec(r2);
          c4 = R[0].length, l2 = R[0], f4 = R[0], p2 = "", Ks && !u2[f4] ? Vs.lstat(f4, function(A2) {
            if (A2)
              return i4(A2);
            u2[f4] = true, g2();
          }) : process.nextTick(g2);
        }
        function g2() {
          if (c4 >= r2.length)
            return n2 && (n2[o2] = r2), i4(null, r2);
          ki.lastIndex = c4;
          var R = ki.exec(r2);
          return p2 = l2, l2 += R[0], f4 = p2 + R[1], c4 = ki.lastIndex, u2[f4] || n2 && n2[f4] === f4 ? process.nextTick(g2) : n2 && Object.prototype.hasOwnProperty.call(n2, f4) ? T6(n2[f4]) : Vs.lstat(f4, S2);
        }
        function S2(R, A2) {
          if (R)
            return i4(R);
          if (!A2.isSymbolicLink())
            return u2[f4] = true, n2 && (n2[f4] = f4), process.nextTick(g2);
          if (!Ks) {
            var L = A2.dev.toString(32) + ":" + A2.ino.toString(32);
            if (a3.hasOwnProperty(L))
              return D(null, a3[L], f4);
          }
          Vs.stat(f4, function(N) {
            if (N)
              return i4(N);
            Vs.readlink(f4, function(q, B) {
              Ks || (a3[L] = B), D(q, B);
            });
          });
        }
        function D(R, A2, L) {
          if (R)
            return i4(R);
          var N = aa.resolve(p2, A2);
          n2 && (n2[L] = N), T6(N);
        }
        function T6(R) {
          r2 = aa.resolve(R, r2.slice(c4)), v2();
        }
      };
    });
    var Of = b((wje, hB) => {
      "use strict";
      hB.exports = zs;
      zs.realpath = zs;
      zs.sync = VS;
      zs.realpathSync = VS;
      zs.monkeypatch = R_e;
      zs.unmonkeypatch = C_e;
      var Xu = require("fs"), WS = Xu.realpath, HS = Xu.realpathSync, T_e = process.version, cB = /^v[0-5]\./.test(T_e), lB = uB();
      function fB(e3) {
        return e3 && e3.syscall === "realpath" && (e3.code === "ELOOP" || e3.code === "ENOMEM" || e3.code === "ENAMETOOLONG");
      }
      function zs(e3, r2, n2) {
        if (cB)
          return WS(e3, r2, n2);
        typeof r2 == "function" && (n2 = r2, r2 = null), WS(e3, r2, function(i4, o2) {
          fB(i4) ? lB.realpath(e3, r2, n2) : n2(i4, o2);
        });
      }
      function VS(e3, r2) {
        if (cB)
          return HS(e3, r2);
        try {
          return HS(e3, r2);
        } catch (n2) {
          if (fB(n2))
            return lB.realpathSync(e3, r2);
          throw n2;
        }
      }
      function R_e() {
        Xu.realpath = zs, Xu.realpathSync = VS;
      }
      function C_e() {
        Xu.realpath = WS, Xu.realpathSync = HS;
      }
    });
    var pB = b((_je, KS) => {
      "use strict";
      typeof Object.create == "function" ? KS.exports = function(r2, n2) {
        n2 && (r2.super_ = n2, r2.prototype = Object.create(n2.prototype, { constructor: { value: r2, enumerable: false, writable: true, configurable: true } }));
      } : KS.exports = function(r2, n2) {
        if (n2) {
          r2.super_ = n2;
          var i4 = function() {
          };
          i4.prototype = n2.prototype, r2.prototype = new i4(), r2.prototype.constructor = r2;
        }
      };
    });
    var br = b((Sje, YS) => {
      "use strict";
      try {
        if (zS = require("util"), typeof zS.inherits != "function")
          throw "";
        YS.exports = zS.inherits;
      } catch {
        YS.exports = pB();
      }
      var zS;
    });
    var XS = b((Ys) => {
      "use strict";
      Ys.setopts = M_e;
      Ys.ownProp = dB;
      Ys.makeAbs = Tf;
      Ys.finish = N_e;
      Ys.mark = k_e;
      Ys.isIgnored = gB;
      Ys.childrenIgnored = $_e;
      function dB(e3, r2) {
        return Object.prototype.hasOwnProperty.call(e3, r2);
      }
      var A_e = require("fs"), ua = require("path"), I_e = Ju(), mB = require("path").isAbsolute, JS = I_e.Minimatch;
      function P_e(e3, r2) {
        return e3.localeCompare(r2, "en");
      }
      function F_e(e3, r2) {
        e3.ignore = r2.ignore || [], Array.isArray(e3.ignore) || (e3.ignore = [e3.ignore]), e3.ignore.length && (e3.ignore = e3.ignore.map(L_e));
      }
      function L_e(e3) {
        var r2 = null;
        if (e3.slice(-3) === "/**") {
          var n2 = e3.replace(/(\/\*\*)+$/, "");
          r2 = new JS(n2, { dot: true });
        }
        return { matcher: new JS(e3, { dot: true }), gmatcher: r2 };
      }
      function M_e(e3, r2, n2) {
        if (n2 || (n2 = {}), n2.matchBase && r2.indexOf("/") === -1) {
          if (n2.noglobstar)
            throw new Error("base matching requires globstar");
          r2 = "**/" + r2;
        }
        e3.windowsPathsNoEscape = !!n2.windowsPathsNoEscape || n2.allowWindowsEscape === false, e3.windowsPathsNoEscape && (r2 = r2.replace(/\\/g, "/")), e3.silent = !!n2.silent, e3.pattern = r2, e3.strict = n2.strict !== false, e3.realpath = !!n2.realpath, e3.realpathCache = n2.realpathCache || /* @__PURE__ */ Object.create(null), e3.follow = !!n2.follow, e3.dot = !!n2.dot, e3.mark = !!n2.mark, e3.nodir = !!n2.nodir, e3.nodir && (e3.mark = true), e3.sync = !!n2.sync, e3.nounique = !!n2.nounique, e3.nonull = !!n2.nonull, e3.nosort = !!n2.nosort, e3.nocase = !!n2.nocase, e3.stat = !!n2.stat, e3.noprocess = !!n2.noprocess, e3.absolute = !!n2.absolute, e3.fs = n2.fs || A_e, e3.maxLength = n2.maxLength || 1 / 0, e3.cache = n2.cache || /* @__PURE__ */ Object.create(null), e3.statCache = n2.statCache || /* @__PURE__ */ Object.create(null), e3.symlinks = n2.symlinks || /* @__PURE__ */ Object.create(null), F_e(e3, n2), e3.changedCwd = false;
        var i4 = process.cwd();
        dB(n2, "cwd") ? (e3.cwd = ua.resolve(n2.cwd), e3.changedCwd = e3.cwd !== i4) : e3.cwd = ua.resolve(i4), e3.root = n2.root || ua.resolve(e3.cwd, "/"), e3.root = ua.resolve(e3.root), e3.cwdAbs = mB(e3.cwd) ? e3.cwd : Tf(e3, e3.cwd), e3.nomount = !!n2.nomount, process.platform === "win32" && (e3.root = e3.root.replace(/\\/g, "/"), e3.cwd = e3.cwd.replace(/\\/g, "/"), e3.cwdAbs = e3.cwdAbs.replace(/\\/g, "/")), n2.nonegate = true, n2.nocomment = true, e3.minimatch = new JS(r2, n2), e3.options = e3.minimatch.options;
      }
      function N_e(e3) {
        for (var r2 = e3.nounique, n2 = r2 ? [] : /* @__PURE__ */ Object.create(null), i4 = 0, o2 = e3.matches.length; i4 < o2; i4++) {
          var a3 = e3.matches[i4];
          if (!a3 || Object.keys(a3).length === 0) {
            if (e3.nonull) {
              var u2 = e3.minimatch.globSet[i4];
              r2 ? n2.push(u2) : n2[u2] = true;
            }
          } else {
            var c4 = Object.keys(a3);
            r2 ? n2.push.apply(n2, c4) : c4.forEach(function(l2) {
              n2[l2] = true;
            });
          }
        }
        if (r2 || (n2 = Object.keys(n2)), e3.nosort || (n2 = n2.sort(P_e)), e3.mark) {
          for (var i4 = 0; i4 < n2.length; i4++)
            n2[i4] = e3._mark(n2[i4]);
          e3.nodir && (n2 = n2.filter(function(l2) {
            var f4 = !/\/$/.test(l2), p2 = e3.cache[l2] || e3.cache[Tf(e3, l2)];
            return f4 && p2 && (f4 = p2 !== "DIR" && !Array.isArray(p2)), f4;
          }));
        }
        e3.ignore.length && (n2 = n2.filter(function(l2) {
          return !gB(e3, l2);
        })), e3.found = n2;
      }
      function k_e(e3, r2) {
        var n2 = Tf(e3, r2), i4 = e3.cache[n2], o2 = r2;
        if (i4) {
          var a3 = i4 === "DIR" || Array.isArray(i4), u2 = r2.slice(-1) === "/";
          if (a3 && !u2 ? o2 += "/" : !a3 && u2 && (o2 = o2.slice(0, -1)), o2 !== r2) {
            var c4 = Tf(e3, o2);
            e3.statCache[c4] = e3.statCache[n2], e3.cache[c4] = e3.cache[n2];
          }
        }
        return o2;
      }
      function Tf(e3, r2) {
        var n2 = r2;
        return r2.charAt(0) === "/" ? n2 = ua.join(e3.root, r2) : mB(r2) || r2 === "" ? n2 = r2 : e3.changedCwd ? n2 = ua.resolve(e3.cwd, r2) : n2 = ua.resolve(r2), process.platform === "win32" && (n2 = n2.replace(/\\/g, "/")), n2;
      }
      function gB(e3, r2) {
        return e3.ignore.length ? e3.ignore.some(function(n2) {
          return n2.matcher.match(r2) || !!(n2.gmatcher && n2.gmatcher.match(r2));
        }) : false;
      }
      function $_e(e3, r2) {
        return e3.ignore.length ? e3.ignore.some(function(n2) {
          return !!(n2.gmatcher && n2.gmatcher.match(r2));
        }) : false;
      }
    });
    var wB = b((Rje, EB) => {
      "use strict";
      EB.exports = bB;
      bB.GlobSync = At;
      var q_e = Of(), yB = Ju(), Dje = yB.Minimatch, Oje = ex().Glob, Tje = require("util"), QS = require("path"), vB = require("assert"), lg = require("path").isAbsolute, ca = XS(), B_e = ca.setopts, ZS = ca.ownProp, j_e = ca.childrenIgnored, U_e = ca.isIgnored;
      function bB(e3, r2) {
        if (typeof r2 == "function" || arguments.length === 3)
          throw new TypeError(`callback provided to sync glob
See: https://github.com/isaacs/node-glob/issues/167`);
        return new At(e3, r2).found;
      }
      function At(e3, r2) {
        if (!e3)
          throw new Error("must provide pattern");
        if (typeof r2 == "function" || arguments.length === 3)
          throw new TypeError(`callback provided to sync glob
See: https://github.com/isaacs/node-glob/issues/167`);
        if (!(this instanceof At))
          return new At(e3, r2);
        if (B_e(this, e3, r2), this.noprocess)
          return this;
        var n2 = this.minimatch.set.length;
        this.matches = new Array(n2);
        for (var i4 = 0; i4 < n2; i4++)
          this._process(this.minimatch.set[i4], i4, false);
        this._finish();
      }
      At.prototype._finish = function() {
        if (vB.ok(this instanceof At), this.realpath) {
          var e3 = this;
          this.matches.forEach(function(r2, n2) {
            var i4 = e3.matches[n2] = /* @__PURE__ */ Object.create(null);
            for (var o2 in r2)
              try {
                o2 = e3._makeAbs(o2);
                var a3 = q_e.realpathSync(o2, e3.realpathCache);
                i4[a3] = true;
              } catch (u2) {
                if (u2.syscall === "stat")
                  i4[e3._makeAbs(o2)] = true;
                else
                  throw u2;
              }
          });
        }
        ca.finish(this);
      };
      At.prototype._process = function(e3, r2, n2) {
        vB.ok(this instanceof At);
        for (var i4 = 0; typeof e3[i4] == "string"; )
          i4++;
        var o2;
        switch (i4) {
          case e3.length:
            this._processSimple(e3.join("/"), r2);
            return;
          case 0:
            o2 = null;
            break;
          default:
            o2 = e3.slice(0, i4).join("/");
            break;
        }
        var a3 = e3.slice(i4), u2;
        o2 === null ? u2 = "." : ((lg(o2) || lg(e3.map(function(f4) {
          return typeof f4 == "string" ? f4 : "[*]";
        }).join("/"))) && (!o2 || !lg(o2)) && (o2 = "/" + o2), u2 = o2);
        var c4 = this._makeAbs(u2);
        if (!j_e(this, u2)) {
          var l2 = a3[0] === yB.GLOBSTAR;
          l2 ? this._processGlobStar(o2, u2, c4, a3, r2, n2) : this._processReaddir(o2, u2, c4, a3, r2, n2);
        }
      };
      At.prototype._processReaddir = function(e3, r2, n2, i4, o2, a3) {
        var u2 = this._readdir(n2, a3);
        if (u2) {
          for (var c4 = i4[0], l2 = !!this.minimatch.negate, f4 = c4._glob, p2 = this.dot || f4.charAt(0) === ".", v2 = [], g2 = 0; g2 < u2.length; g2++) {
            var S2 = u2[g2];
            if (S2.charAt(0) !== "." || p2) {
              var D;
              l2 && !e3 ? D = !S2.match(c4) : D = S2.match(c4), D && v2.push(S2);
            }
          }
          var T6 = v2.length;
          if (T6 !== 0) {
            if (i4.length === 1 && !this.mark && !this.stat) {
              this.matches[o2] || (this.matches[o2] = /* @__PURE__ */ Object.create(null));
              for (var g2 = 0; g2 < T6; g2++) {
                var S2 = v2[g2];
                e3 && (e3.slice(-1) !== "/" ? S2 = e3 + "/" + S2 : S2 = e3 + S2), S2.charAt(0) === "/" && !this.nomount && (S2 = QS.join(this.root, S2)), this._emitMatch(o2, S2);
              }
              return;
            }
            i4.shift();
            for (var g2 = 0; g2 < T6; g2++) {
              var S2 = v2[g2], R;
              e3 ? R = [e3, S2] : R = [S2], this._process(R.concat(i4), o2, a3);
            }
          }
        }
      };
      At.prototype._emitMatch = function(e3, r2) {
        if (!U_e(this, r2)) {
          var n2 = this._makeAbs(r2);
          if (this.mark && (r2 = this._mark(r2)), this.absolute && (r2 = n2), !this.matches[e3][r2]) {
            if (this.nodir) {
              var i4 = this.cache[n2];
              if (i4 === "DIR" || Array.isArray(i4))
                return;
            }
            this.matches[e3][r2] = true, this.stat && this._stat(r2);
          }
        }
      };
      At.prototype._readdirInGlobStar = function(e3) {
        if (this.follow)
          return this._readdir(e3, false);
        var r2, n2, i4;
        try {
          n2 = this.fs.lstatSync(e3);
        } catch (a3) {
          if (a3.code === "ENOENT")
            return null;
        }
        var o2 = n2 && n2.isSymbolicLink();
        return this.symlinks[e3] = o2, !o2 && n2 && !n2.isDirectory() ? this.cache[e3] = "FILE" : r2 = this._readdir(e3, false), r2;
      };
      At.prototype._readdir = function(e3, r2) {
        var n2;
        if (r2 && !ZS(this.symlinks, e3))
          return this._readdirInGlobStar(e3);
        if (ZS(this.cache, e3)) {
          var i4 = this.cache[e3];
          if (!i4 || i4 === "FILE")
            return null;
          if (Array.isArray(i4))
            return i4;
        }
        try {
          return this._readdirEntries(e3, this.fs.readdirSync(e3));
        } catch (o2) {
          return this._readdirError(e3, o2), null;
        }
      };
      At.prototype._readdirEntries = function(e3, r2) {
        if (!this.mark && !this.stat)
          for (var n2 = 0; n2 < r2.length; n2++) {
            var i4 = r2[n2];
            e3 === "/" ? i4 = e3 + i4 : i4 = e3 + "/" + i4, this.cache[i4] = true;
          }
        return this.cache[e3] = r2, r2;
      };
      At.prototype._readdirError = function(e3, r2) {
        switch (r2.code) {
          case "ENOTSUP":
          case "ENOTDIR":
            var n2 = this._makeAbs(e3);
            if (this.cache[n2] = "FILE", n2 === this.cwdAbs) {
              var i4 = new Error(r2.code + " invalid cwd " + this.cwd);
              throw i4.path = this.cwd, i4.code = r2.code, i4;
            }
            break;
          case "ENOENT":
          case "ELOOP":
          case "ENAMETOOLONG":
          case "UNKNOWN":
            this.cache[this._makeAbs(e3)] = false;
            break;
          default:
            if (this.cache[this._makeAbs(e3)] = false, this.strict)
              throw r2;
            this.silent || console.error("glob error", r2);
            break;
        }
      };
      At.prototype._processGlobStar = function(e3, r2, n2, i4, o2, a3) {
        var u2 = this._readdir(n2, a3);
        if (u2) {
          var c4 = i4.slice(1), l2 = e3 ? [e3] : [], f4 = l2.concat(c4);
          this._process(f4, o2, false);
          var p2 = u2.length, v2 = this.symlinks[n2];
          if (!(v2 && a3))
            for (var g2 = 0; g2 < p2; g2++) {
              var S2 = u2[g2];
              if (!(S2.charAt(0) === "." && !this.dot)) {
                var D = l2.concat(u2[g2], c4);
                this._process(D, o2, true);
                var T6 = l2.concat(u2[g2], i4);
                this._process(T6, o2, true);
              }
            }
        }
      };
      At.prototype._processSimple = function(e3, r2) {
        var n2 = this._stat(e3);
        if (this.matches[r2] || (this.matches[r2] = /* @__PURE__ */ Object.create(null)), !!n2) {
          if (e3 && lg(e3) && !this.nomount) {
            var i4 = /[\/\\]$/.test(e3);
            e3.charAt(0) === "/" ? e3 = QS.join(this.root, e3) : (e3 = QS.resolve(this.root, e3), i4 && (e3 += "/"));
          }
          process.platform === "win32" && (e3 = e3.replace(/\\/g, "/")), this._emitMatch(r2, e3);
        }
      };
      At.prototype._stat = function(e3) {
        var r2 = this._makeAbs(e3), n2 = e3.slice(-1) === "/";
        if (e3.length > this.maxLength)
          return false;
        if (!this.stat && ZS(this.cache, r2)) {
          var u2 = this.cache[r2];
          if (Array.isArray(u2) && (u2 = "DIR"), !n2 || u2 === "DIR")
            return u2;
          if (n2 && u2 === "FILE")
            return false;
        }
        var i4, o2 = this.statCache[r2];
        if (!o2) {
          var a3;
          try {
            a3 = this.fs.lstatSync(r2);
          } catch (c4) {
            if (c4 && (c4.code === "ENOENT" || c4.code === "ENOTDIR"))
              return this.statCache[r2] = false, false;
          }
          if (a3 && a3.isSymbolicLink())
            try {
              o2 = this.fs.statSync(r2);
            } catch {
              o2 = a3;
            }
          else
            o2 = a3;
        }
        this.statCache[r2] = o2;
        var u2 = true;
        return o2 && (u2 = o2.isDirectory() ? "DIR" : "FILE"), this.cache[r2] = this.cache[r2] || u2, n2 && u2 === "FILE" ? false : u2;
      };
      At.prototype._mark = function(e3) {
        return ca.mark(this, e3);
      };
      At.prototype._makeAbs = function(e3) {
        return ca.makeAbs(this, e3);
      };
    });
    var tx = b((Cje, SB) => {
      "use strict";
      SB.exports = _B;
      function _B(e3, r2) {
        if (e3 && r2)
          return _B(e3)(r2);
        if (typeof e3 != "function")
          throw new TypeError("need wrapper function");
        return Object.keys(e3).forEach(function(i4) {
          n2[i4] = e3[i4];
        }), n2;
        function n2() {
          for (var i4 = new Array(arguments.length), o2 = 0; o2 < i4.length; o2++)
            i4[o2] = arguments[o2];
          var a3 = e3.apply(this, i4), u2 = i4[i4.length - 1];
          return typeof a3 == "function" && a3 !== u2 && Object.keys(u2).forEach(function(c4) {
            a3[c4] = u2[c4];
          }), a3;
        }
      }
    });
    var Rf = b((Aje, rx) => {
      "use strict";
      var xB = tx();
      rx.exports = xB(fg);
      rx.exports.strict = xB(DB);
      fg.proto = fg(function() {
        Object.defineProperty(Function.prototype, "once", { value: function() {
          return fg(this);
        }, configurable: true }), Object.defineProperty(Function.prototype, "onceStrict", { value: function() {
          return DB(this);
        }, configurable: true });
      });
      function fg(e3) {
        var r2 = function() {
          return r2.called ? r2.value : (r2.called = true, r2.value = e3.apply(this, arguments));
        };
        return r2.called = false, r2;
      }
      function DB(e3) {
        var r2 = function() {
          if (r2.called)
            throw new Error(r2.onceError);
          return r2.called = true, r2.value = e3.apply(this, arguments);
        }, n2 = e3.name || "Function wrapped with `once`";
        return r2.onceError = n2 + " shouldn't be called more than once", r2.called = false, r2;
      }
    });
    var nx = b((Ije, OB) => {
      "use strict";
      var G_e = tx(), Cf = /* @__PURE__ */ Object.create(null), W_e = Rf();
      OB.exports = G_e(H_e);
      function H_e(e3, r2) {
        return Cf[e3] ? (Cf[e3].push(r2), null) : (Cf[e3] = [r2], V_e(e3));
      }
      function V_e(e3) {
        return W_e(function r2() {
          var n2 = Cf[e3], i4 = n2.length, o2 = K_e(arguments);
          try {
            for (var a3 = 0; a3 < i4; a3++)
              n2[a3].apply(null, o2);
          } finally {
            n2.length > i4 ? (n2.splice(0, i4), process.nextTick(function() {
              r2.apply(null, o2);
            })) : delete Cf[e3];
          }
        });
      }
      function K_e(e3) {
        for (var r2 = e3.length, n2 = [], i4 = 0; i4 < r2; i4++)
          n2[i4] = e3[i4];
        return n2;
      }
    });
    var ex = b((Lje, RB) => {
      "use strict";
      RB.exports = la;
      var z_e = Of(), TB = Ju(), Pje = TB.Minimatch, Y_e = br(), J_e = require("events").EventEmitter, ix = require("path"), sx = require("assert"), Af = require("path").isAbsolute, ax = wB(), fa = XS(), X_e = fa.setopts, ox = fa.ownProp, ux = nx(), Fje = require("util"), Q_e = fa.childrenIgnored, Z_e = fa.isIgnored, eSe = Rf();
      function la(e3, r2, n2) {
        if (typeof r2 == "function" && (n2 = r2, r2 = {}), r2 || (r2 = {}), r2.sync) {
          if (n2)
            throw new TypeError("callback provided to sync glob");
          return ax(e3, r2);
        }
        return new Fe(e3, r2, n2);
      }
      la.sync = ax;
      var tSe = la.GlobSync = ax.GlobSync;
      la.glob = la;
      function rSe(e3, r2) {
        if (r2 === null || typeof r2 != "object")
          return e3;
        for (var n2 = Object.keys(r2), i4 = n2.length; i4--; )
          e3[n2[i4]] = r2[n2[i4]];
        return e3;
      }
      la.hasMagic = function(e3, r2) {
        var n2 = rSe({}, r2);
        n2.noprocess = true;
        var i4 = new Fe(e3, n2), o2 = i4.minimatch.set;
        if (!e3)
          return false;
        if (o2.length > 1)
          return true;
        for (var a3 = 0; a3 < o2[0].length; a3++)
          if (typeof o2[0][a3] != "string")
            return true;
        return false;
      };
      la.Glob = Fe;
      Y_e(Fe, J_e);
      function Fe(e3, r2, n2) {
        if (typeof r2 == "function" && (n2 = r2, r2 = null), r2 && r2.sync) {
          if (n2)
            throw new TypeError("callback provided to sync glob");
          return new tSe(e3, r2);
        }
        if (!(this instanceof Fe))
          return new Fe(e3, r2, n2);
        X_e(this, e3, r2), this._didRealPath = false;
        var i4 = this.minimatch.set.length;
        this.matches = new Array(i4), typeof n2 == "function" && (n2 = eSe(n2), this.on("error", n2), this.on("end", function(l2) {
          n2(null, l2);
        }));
        var o2 = this;
        if (this._processing = 0, this._emitQueue = [], this._processQueue = [], this.paused = false, this.noprocess)
          return this;
        if (i4 === 0)
          return c4();
        for (var a3 = true, u2 = 0; u2 < i4; u2++)
          this._process(this.minimatch.set[u2], u2, false, c4);
        a3 = false;
        function c4() {
          --o2._processing, o2._processing <= 0 && (a3 ? process.nextTick(function() {
            o2._finish();
          }) : o2._finish());
        }
      }
      Fe.prototype._finish = function() {
        if (sx(this instanceof Fe), !this.aborted) {
          if (this.realpath && !this._didRealpath)
            return this._realpath();
          fa.finish(this), this.emit("end", this.found);
        }
      };
      Fe.prototype._realpath = function() {
        if (this._didRealpath)
          return;
        this._didRealpath = true;
        var e3 = this.matches.length;
        if (e3 === 0)
          return this._finish();
        for (var r2 = this, n2 = 0; n2 < this.matches.length; n2++)
          this._realpathSet(n2, i4);
        function i4() {
          --e3 === 0 && r2._finish();
        }
      };
      Fe.prototype._realpathSet = function(e3, r2) {
        var n2 = this.matches[e3];
        if (!n2)
          return r2();
        var i4 = Object.keys(n2), o2 = this, a3 = i4.length;
        if (a3 === 0)
          return r2();
        var u2 = this.matches[e3] = /* @__PURE__ */ Object.create(null);
        i4.forEach(function(c4, l2) {
          c4 = o2._makeAbs(c4), z_e.realpath(c4, o2.realpathCache, function(f4, p2) {
            f4 ? f4.syscall === "stat" ? u2[c4] = true : o2.emit("error", f4) : u2[p2] = true, --a3 === 0 && (o2.matches[e3] = u2, r2());
          });
        });
      };
      Fe.prototype._mark = function(e3) {
        return fa.mark(this, e3);
      };
      Fe.prototype._makeAbs = function(e3) {
        return fa.makeAbs(this, e3);
      };
      Fe.prototype.abort = function() {
        this.aborted = true, this.emit("abort");
      };
      Fe.prototype.pause = function() {
        this.paused || (this.paused = true, this.emit("pause"));
      };
      Fe.prototype.resume = function() {
        if (this.paused) {
          if (this.emit("resume"), this.paused = false, this._emitQueue.length) {
            var e3 = this._emitQueue.slice(0);
            this._emitQueue.length = 0;
            for (var r2 = 0; r2 < e3.length; r2++) {
              var n2 = e3[r2];
              this._emitMatch(n2[0], n2[1]);
            }
          }
          if (this._processQueue.length) {
            var i4 = this._processQueue.slice(0);
            this._processQueue.length = 0;
            for (var r2 = 0; r2 < i4.length; r2++) {
              var o2 = i4[r2];
              this._processing--, this._process(o2[0], o2[1], o2[2], o2[3]);
            }
          }
        }
      };
      Fe.prototype._process = function(e3, r2, n2, i4) {
        if (sx(this instanceof Fe), sx(typeof i4 == "function"), !this.aborted) {
          if (this._processing++, this.paused) {
            this._processQueue.push([e3, r2, n2, i4]);
            return;
          }
          for (var o2 = 0; typeof e3[o2] == "string"; )
            o2++;
          var a3;
          switch (o2) {
            case e3.length:
              this._processSimple(e3.join("/"), r2, i4);
              return;
            case 0:
              a3 = null;
              break;
            default:
              a3 = e3.slice(0, o2).join("/");
              break;
          }
          var u2 = e3.slice(o2), c4;
          a3 === null ? c4 = "." : ((Af(a3) || Af(e3.map(function(p2) {
            return typeof p2 == "string" ? p2 : "[*]";
          }).join("/"))) && (!a3 || !Af(a3)) && (a3 = "/" + a3), c4 = a3);
          var l2 = this._makeAbs(c4);
          if (Q_e(this, c4))
            return i4();
          var f4 = u2[0] === TB.GLOBSTAR;
          f4 ? this._processGlobStar(a3, c4, l2, u2, r2, n2, i4) : this._processReaddir(a3, c4, l2, u2, r2, n2, i4);
        }
      };
      Fe.prototype._processReaddir = function(e3, r2, n2, i4, o2, a3, u2) {
        var c4 = this;
        this._readdir(n2, a3, function(l2, f4) {
          return c4._processReaddir2(e3, r2, n2, i4, o2, a3, f4, u2);
        });
      };
      Fe.prototype._processReaddir2 = function(e3, r2, n2, i4, o2, a3, u2, c4) {
        if (!u2)
          return c4();
        for (var l2 = i4[0], f4 = !!this.minimatch.negate, p2 = l2._glob, v2 = this.dot || p2.charAt(0) === ".", g2 = [], S2 = 0; S2 < u2.length; S2++) {
          var D = u2[S2];
          if (D.charAt(0) !== "." || v2) {
            var T6;
            f4 && !e3 ? T6 = !D.match(l2) : T6 = D.match(l2), T6 && g2.push(D);
          }
        }
        var R = g2.length;
        if (R === 0)
          return c4();
        if (i4.length === 1 && !this.mark && !this.stat) {
          this.matches[o2] || (this.matches[o2] = /* @__PURE__ */ Object.create(null));
          for (var S2 = 0; S2 < R; S2++) {
            var D = g2[S2];
            e3 && (e3 !== "/" ? D = e3 + "/" + D : D = e3 + D), D.charAt(0) === "/" && !this.nomount && (D = ix.join(this.root, D)), this._emitMatch(o2, D);
          }
          return c4();
        }
        i4.shift();
        for (var S2 = 0; S2 < R; S2++) {
          var D = g2[S2], A2;
          e3 && (e3 !== "/" ? D = e3 + "/" + D : D = e3 + D), this._process([D].concat(i4), o2, a3, c4);
        }
        c4();
      };
      Fe.prototype._emitMatch = function(e3, r2) {
        if (!this.aborted && !Z_e(this, r2)) {
          if (this.paused) {
            this._emitQueue.push([e3, r2]);
            return;
          }
          var n2 = Af(r2) ? r2 : this._makeAbs(r2);
          if (this.mark && (r2 = this._mark(r2)), this.absolute && (r2 = n2), !this.matches[e3][r2]) {
            if (this.nodir) {
              var i4 = this.cache[n2];
              if (i4 === "DIR" || Array.isArray(i4))
                return;
            }
            this.matches[e3][r2] = true;
            var o2 = this.statCache[n2];
            o2 && this.emit("stat", r2, o2), this.emit("match", r2);
          }
        }
      };
      Fe.prototype._readdirInGlobStar = function(e3, r2) {
        if (this.aborted)
          return;
        if (this.follow)
          return this._readdir(e3, false, r2);
        var n2 = "lstat\0" + e3, i4 = this, o2 = ux(n2, a3);
        o2 && i4.fs.lstat(e3, o2);
        function a3(u2, c4) {
          if (u2 && u2.code === "ENOENT")
            return r2();
          var l2 = c4 && c4.isSymbolicLink();
          i4.symlinks[e3] = l2, !l2 && c4 && !c4.isDirectory() ? (i4.cache[e3] = "FILE", r2()) : i4._readdir(e3, false, r2);
        }
      };
      Fe.prototype._readdir = function(e3, r2, n2) {
        if (!this.aborted && (n2 = ux("readdir\0" + e3 + "\0" + r2, n2), !!n2)) {
          if (r2 && !ox(this.symlinks, e3))
            return this._readdirInGlobStar(e3, n2);
          if (ox(this.cache, e3)) {
            var i4 = this.cache[e3];
            if (!i4 || i4 === "FILE")
              return n2();
            if (Array.isArray(i4))
              return n2(null, i4);
          }
          var o2 = this;
          o2.fs.readdir(e3, nSe(this, e3, n2));
        }
      };
      function nSe(e3, r2, n2) {
        return function(i4, o2) {
          i4 ? e3._readdirError(r2, i4, n2) : e3._readdirEntries(r2, o2, n2);
        };
      }
      Fe.prototype._readdirEntries = function(e3, r2, n2) {
        if (!this.aborted) {
          if (!this.mark && !this.stat)
            for (var i4 = 0; i4 < r2.length; i4++) {
              var o2 = r2[i4];
              e3 === "/" ? o2 = e3 + o2 : o2 = e3 + "/" + o2, this.cache[o2] = true;
            }
          return this.cache[e3] = r2, n2(null, r2);
        }
      };
      Fe.prototype._readdirError = function(e3, r2, n2) {
        if (!this.aborted) {
          switch (r2.code) {
            case "ENOTSUP":
            case "ENOTDIR":
              var i4 = this._makeAbs(e3);
              if (this.cache[i4] = "FILE", i4 === this.cwdAbs) {
                var o2 = new Error(r2.code + " invalid cwd " + this.cwd);
                o2.path = this.cwd, o2.code = r2.code, this.emit("error", o2), this.abort();
              }
              break;
            case "ENOENT":
            case "ELOOP":
            case "ENAMETOOLONG":
            case "UNKNOWN":
              this.cache[this._makeAbs(e3)] = false;
              break;
            default:
              this.cache[this._makeAbs(e3)] = false, this.strict && (this.emit("error", r2), this.abort()), this.silent || console.error("glob error", r2);
              break;
          }
          return n2();
        }
      };
      Fe.prototype._processGlobStar = function(e3, r2, n2, i4, o2, a3, u2) {
        var c4 = this;
        this._readdir(n2, a3, function(l2, f4) {
          c4._processGlobStar2(e3, r2, n2, i4, o2, a3, f4, u2);
        });
      };
      Fe.prototype._processGlobStar2 = function(e3, r2, n2, i4, o2, a3, u2, c4) {
        if (!u2)
          return c4();
        var l2 = i4.slice(1), f4 = e3 ? [e3] : [], p2 = f4.concat(l2);
        this._process(p2, o2, false, c4);
        var v2 = this.symlinks[n2], g2 = u2.length;
        if (v2 && a3)
          return c4();
        for (var S2 = 0; S2 < g2; S2++) {
          var D = u2[S2];
          if (!(D.charAt(0) === "." && !this.dot)) {
            var T6 = f4.concat(u2[S2], l2);
            this._process(T6, o2, true, c4);
            var R = f4.concat(u2[S2], i4);
            this._process(R, o2, true, c4);
          }
        }
        c4();
      };
      Fe.prototype._processSimple = function(e3, r2, n2) {
        var i4 = this;
        this._stat(e3, function(o2, a3) {
          i4._processSimple2(e3, r2, o2, a3, n2);
        });
      };
      Fe.prototype._processSimple2 = function(e3, r2, n2, i4, o2) {
        if (this.matches[r2] || (this.matches[r2] = /* @__PURE__ */ Object.create(null)), !i4)
          return o2();
        if (e3 && Af(e3) && !this.nomount) {
          var a3 = /[\/\\]$/.test(e3);
          e3.charAt(0) === "/" ? e3 = ix.join(this.root, e3) : (e3 = ix.resolve(this.root, e3), a3 && (e3 += "/"));
        }
        process.platform === "win32" && (e3 = e3.replace(/\\/g, "/")), this._emitMatch(r2, e3), o2();
      };
      Fe.prototype._stat = function(e3, r2) {
        var n2 = this._makeAbs(e3), i4 = e3.slice(-1) === "/";
        if (e3.length > this.maxLength)
          return r2();
        if (!this.stat && ox(this.cache, n2)) {
          var o2 = this.cache[n2];
          if (Array.isArray(o2) && (o2 = "DIR"), !i4 || o2 === "DIR")
            return r2(null, o2);
          if (i4 && o2 === "FILE")
            return r2();
        }
        var a3, u2 = this.statCache[n2];
        if (u2 !== void 0) {
          if (u2 === false)
            return r2(null, u2);
          var c4 = u2.isDirectory() ? "DIR" : "FILE";
          return i4 && c4 === "FILE" ? r2() : r2(null, c4, u2);
        }
        var l2 = this, f4 = ux("stat\0" + n2, p2);
        f4 && l2.fs.lstat(n2, f4);
        function p2(v2, g2) {
          if (g2 && g2.isSymbolicLink())
            return l2.fs.stat(n2, function(S2, D) {
              S2 ? l2._stat2(e3, n2, null, g2, r2) : l2._stat2(e3, n2, S2, D, r2);
            });
          l2._stat2(e3, n2, v2, g2, r2);
        }
      };
      Fe.prototype._stat2 = function(e3, r2, n2, i4, o2) {
        if (n2 && (n2.code === "ENOENT" || n2.code === "ENOTDIR"))
          return this.statCache[r2] = false, o2();
        var a3 = e3.slice(-1) === "/";
        if (this.statCache[r2] = i4, r2.slice(-1) === "/" && i4 && !i4.isDirectory())
          return o2(null, false, i4);
        var u2 = true;
        return i4 && (u2 = i4.isDirectory() ? "DIR" : "FILE"), this.cache[r2] = this.cache[r2] || u2, a3 && u2 === "FILE" ? o2() : o2(null, u2, i4);
      };
    });
    var NB = b((Mje, MB) => {
      "use strict";
      var iSe = Bq(), sSe = iSe.BundleWalker, oSe = aB(), aSe = oSe.Walker, CB = Symbol("root-builtin-rules"), AB = Symbol("package-necessary-rules"), ur = require("path"), uSe = FS(), IB = "readme|copying|license|licence", cSe = `@(${IB}){,.*[^~$]}`, lSe = new RegExp(`^(${IB})(\\..*[^~$])?$`, "i"), PB = require("fs"), fSe = ex(), If = (e3) => e3.split("\\").join("/"), FB = (e3, r2, n2 = "") => {
        for (let u2 of [".npmignore", ".gitignore"])
          try {
            let c4 = PB.readFileSync(ur.join(e3, u2), { encoding: "utf8" });
            n2 += c4 + `
`;
            break;
          } catch (c4) {
            if (c4.code !== "ENOENT")
              throw c4;
          }
        if (!r2)
          return n2;
        let i4 = r2.split(ur.sep)[0], o2 = ur.join(e3, i4), a3 = ur.relative(o2, ur.join(e3, r2));
        return FB(o2, a3, n2);
      }, hSe = (e3) => {
        if (!e3.startsWith("node_modules/"))
          return false;
        let r2 = e3.slice(13).split("/", 2);
        return r2[0].startsWith("@") ? r2.length === 2 : true;
      }, pSe = (e3) => {
        let r2 = e3.slice(13).split("/", 2);
        return r2[0].startsWith("@") ? r2.join("/") : r2[0];
      }, dSe = [".npmignore", ".gitignore", "**/.git", "**/.svn", "**/.hg", "**/CVS", "**/.git/**", "**/.svn/**", "**/.hg/**", "**/CVS/**", "/.lock-wscript", "/.wafpickle-*", "/build/config.gypi", "npm-debug.log", "**/.npmrc", ".*.swp", ".DS_Store", "**/.DS_Store/**", "._*", "**/._*/**", "*.orig", "/package-lock.json", "/yarn.lock", "/pnpm-lock.yaml", "/archived-packages/**"], mSe = (e3) => /\*/.test(e3), hg = class e3 extends aSe {
        constructor(r2) {
          r2 = r2 || {}, r2.ignoreFiles = [CB, "package.json", ".npmignore", ".gitignore", AB], r2.includeEmpty = false, r2.path = r2.path || process.cwd();
          let n2 = /^(?:\/node_modules\/(?:@[^/]+\/[^/]+|[^/]+)\/)*\/node_modules(?:\/@[^/]+)?$/, i4 = r2.parent ? r2.parent.root : r2.path, o2 = r2.path.replace(/\\/g, "/").slice(i4.length);
          if (r2.follow = n2.test(o2), super(r2), this.isProject) {
            this.bundled = r2.bundled || [], this.bundledScopes = Array.from(new Set(this.bundled.filter((u2) => /^@/.test(u2)).map((u2) => u2.split("/")[0]))), this.packageJsonCache = this.parent ? this.parent.packageJsonCache : r2.packageJsonCache || /* @__PURE__ */ new Map();
            let a3 = dSe.join(`
`) + `
`;
            if (r2.prefix && r2.workspaces) {
              let u2 = If(r2.path), c4 = If(r2.prefix), l2 = r2.workspaces.map((f4) => If(f4));
              if (u2 !== c4 && l2.includes(u2)) {
                let f4 = ur.relative(r2.prefix, ur.dirname(r2.path));
                a3 += FB(r2.prefix, f4);
              } else
                u2 === c4 && (a3 += r2.workspaces.map((f4) => If(ur.relative(r2.path, f4))).join(`
`));
            }
            super.onReadIgnoreFile(CB, a3, (u2) => u2);
          } else
            this.bundled = [], this.bundledScopes = [], this.packageJsonCache = this.parent.packageJsonCache;
        }
        get isProject() {
          return !this.parent || this.parent.follow && this.isSymbolicLink;
        }
        onReaddir(r2) {
          if (this.isProject && (r2 = r2.filter((i4) => i4 !== ".git" && !(i4 === "node_modules" && this.bundled.length === 0))), !this.isProject || !r2.includes("package.json"))
            return super.onReaddir(r2);
          let n2 = ur.resolve(this.path, "package.json");
          if (this.packageJsonCache.has(n2)) {
            let i4 = this.packageJsonCache.get(n2);
            return !i4 || typeof i4 != "object" ? this.readPackageJson(r2) : this.getPackageFiles(r2, JSON.stringify(i4));
          }
          this.readPackageJson(r2);
        }
        onReadPackageJson(r2, n2, i4) {
          n2 ? this.emit("error", n2) : this.getPackageFiles(r2, i4);
        }
        mustHaveFilesFromPackage(r2) {
          let n2 = [];
          if (r2.browser && n2.push("/" + r2.browser), r2.main && n2.push("/" + r2.main), r2.bin)
            for (let i4 in r2.bin)
              n2.push("/" + r2.bin[i4]);
          return n2.push("/package.json", "/npm-shrinkwrap.json", "!/package-lock.json", cSe), n2;
        }
        getPackageFiles(r2, n2) {
          try {
            n2 = uSe(JSON.parse(n2.toString()));
          } catch {
            return super.onReaddir(r2);
          }
          let i4 = ur.resolve(this.path, "package.json");
          if (this.packageJsonCache.set(i4, n2), !Array.isArray(n2.files))
            return super.onReaddir(r2);
          n2.files.push(...this.mustHaveFilesFromPackage(n2)), (n2.bundleDependencies || n2.bundledDependencies) && r2.includes("node_modules") && n2.files.push("node_modules");
          let o2 = Array.from(new Set(n2.files)).reduce((v2, g2) => {
            let S2 = g2.match(/^!+/);
            S2 && (g2 = g2.slice(S2[0].length)), g2 = g2.replace(/^\.?\/+/, "");
            let D = S2 && S2[0].length % 2 === 1;
            return v2.push({ pattern: g2, negate: D }), v2;
          }, []), a3 = o2.length, u2 = /* @__PURE__ */ new Set(), c4 = /* @__PURE__ */ new Set(), l2 = [], f4 = (v2, g2, S2, D, T6) => {
            if (S2)
              return this.emit("error", S2);
            l2[T6] = { negate: g2, fileList: D }, --a3 === 0 && p2(l2);
          }, p2 = (v2) => {
            for (let { negate: D, fileList: T6 } of v2)
              D ? T6.forEach((R) => {
                R = R.replace(/\/+$/, ""), u2.delete(R), c4.add(R);
              }) : T6.forEach((R) => {
                R = R.replace(/\/+$/, ""), u2.add(R), c4.delete(R);
              });
            let g2 = Array.from(u2);
            n2.files = g2.concat(Array.from(c4).map((D) => "!" + D));
            let S2 = Array.from(new Set(g2.map((D) => D.replace(/^\/+/, ""))));
            super.onReaddir(S2);
          };
          o2.forEach(({ pattern: v2, negate: g2 }, S2) => this.globFiles(v2, (D, T6) => f4(v2, g2, D, T6, S2)));
        }
        filterEntry(r2, n2) {
          let i4 = this.path.slice(this.root.length + 1), { isProject: o2 } = this, a3 = o2 && hSe(r2) ? pSe(r2) : null, u2 = o2 && r2 === "node_modules", c4 = o2 && r2 === "package.json";
          return /^node_modules($|\/)/i.test(i4) && !this.isProject ? this.parent.filterEntry(this.basename + "/" + r2, n2) : a3 ? this.bundled.indexOf(a3) !== -1 || this.bundledScopes.indexOf(a3) !== -1 : u2 ? !!this.bundled.length : c4 || lSe.test(r2) || o2 && (r2 === "npm-shrinkwrap.json" || r2 === "package.json") ? true : o2 && r2 === "package-lock.json" ? false : super.filterEntry(r2, n2);
        }
        filterEntries() {
          this.ignoreRules[".npmignore"] && (this.ignoreRules[".gitignore"] = null), this.filterEntries = super.filterEntries, super.filterEntries();
        }
        addIgnoreFile(r2, n2) {
          let i4 = ur.resolve(this.path, r2);
          r2 === "package.json" && !this.isProject ? n2() : this.packageJsonCache.has(i4) ? this.onPackageJson(i4, this.packageJsonCache.get(i4), n2) : super.addIgnoreFile(r2, n2);
        }
        onPackageJson(r2, n2, i4) {
          if (this.packageJsonCache.set(r2, n2), Array.isArray(n2.files))
            super.onReadIgnoreFile("package.json", n2.files.map((o2) => "!" + o2).join(`
`) + `
`, i4);
          else {
            let a3 = this.mustHaveFilesFromPackage(n2).map((u2) => `!${u2}`).join(`
`) + `
`;
            super.onReadIgnoreFile(AB, a3, i4);
          }
        }
        stat({ entry: r2, file: n2, dir: i4 }, o2) {
          mSe(r2) ? o2() : super.stat({ entry: r2, file: n2, dir: i4 }, o2);
        }
        onstat({ st: r2, entry: n2, file: i4, dir: o2, isSymbolicLink: a3 }, u2) {
          r2.isSymbolicLink() ? u2() : super.onstat({ st: r2, entry: n2, file: i4, dir: o2, isSymbolicLink: a3 }, u2);
        }
        onReadIgnoreFile(r2, n2, i4) {
          if (r2 === "package.json")
            try {
              let o2 = ur.resolve(this.path, r2);
              this.onPackageJson(o2, JSON.parse(n2), i4);
            } catch {
              i4();
            }
          else
            super.onReadIgnoreFile(r2, n2, i4);
        }
        sort(r2, n2) {
          let i4 = ur.extname(r2).toLowerCase(), o2 = ur.extname(n2).toLowerCase(), a3 = ur.basename(r2).toLowerCase(), u2 = ur.basename(n2).toLowerCase();
          return i4.localeCompare(o2, "en") || a3.localeCompare(u2, "en") || r2.localeCompare(n2, "en");
        }
        globFiles(r2, n2) {
          fSe(If(r2), { dot: true, cwd: this.path, nocase: true }, n2);
        }
        readPackageJson(r2) {
          PB.readFile(this.path + "/package.json", (n2, i4) => this.onReadPackageJson(r2, n2, i4));
        }
        walker(r2, n2, i4) {
          new e3(this.walkerOpt(r2, n2)).on("done", i4).start();
        }
      }, LB = (e3, r2) => {
        e3 = e3 || {};
        let n2 = new Promise((i4, o2) => {
          let a3 = new sSe(e3);
          a3.on("done", (u2) => {
            e3.bundled = u2, e3.packageJsonCache = a3.packageJsonCache, new hg(e3).on("done", i4).on("error", o2).start();
          }), a3.start();
        });
        return r2 ? n2.then((i4) => r2(null, i4), r2) : n2;
      };
      MB.exports = LB;
      LB.Walker = hg;
    });
    var $B = b((Nje, kB) => {
      "use strict";
      var gSe = require("crypto");
      kB.exports = (e3) => {
        if (!Number.isFinite(e3))
          throw new TypeError("Expected a finite number");
        return gSe.randomBytes(Math.ceil(e3 / 2)).toString("hex").slice(0, e3);
      };
    });
    var BB = b((kje, qB) => {
      "use strict";
      var ySe = $B();
      qB.exports = () => ySe(32);
    });
    var UB = b(($je, jB) => {
      "use strict";
      var vSe = require("path");
      jB.exports = (e3) => {
        let r2 = process.cwd();
        return e3 = vSe.resolve(e3), process.platform === "win32" && (r2 = r2.toLowerCase(), e3 = e3.toLowerCase()), e3 === r2;
      };
    });
    var WB = b((qje, GB) => {
      "use strict";
      var cx = require("path");
      GB.exports = (e3, r2) => {
        let n2 = cx.relative(r2, e3);
        return !!(n2 && n2 !== ".." && !n2.startsWith(`..${cx.sep}`) && n2 !== cx.resolve(e3));
      };
    });
    var VB = b((Bje, HB) => {
      "use strict";
      HB.exports = function(e3, r2) {
        for (var n2 = [], i4 = 0; i4 < e3.length; i4++) {
          var o2 = r2(e3[i4], i4);
          bSe(o2) ? n2.push.apply(n2, o2) : n2.push(o2);
        }
        return n2;
      };
      var bSe = Array.isArray || function(e3) {
        return Object.prototype.toString.call(e3) === "[object Array]";
      };
    });
    var e7 = b((jje, ZB) => {
      "use strict";
      var ESe = VB(), KB = LS();
      ZB.exports = SSe;
      var zB = "\0SLASH" + Math.random() + "\0", YB = "\0OPEN" + Math.random() + "\0", fx = "\0CLOSE" + Math.random() + "\0", JB = "\0COMMA" + Math.random() + "\0", XB = "\0PERIOD" + Math.random() + "\0";
      function lx(e3) {
        return parseInt(e3, 10) == e3 ? parseInt(e3, 10) : e3.charCodeAt(0);
      }
      function wSe(e3) {
        return e3.split("\\\\").join(zB).split("\\{").join(YB).split("\\}").join(fx).split("\\,").join(JB).split("\\.").join(XB);
      }
      function _Se(e3) {
        return e3.split(zB).join("\\").split(YB).join("{").split(fx).join("}").split(JB).join(",").split(XB).join(".");
      }
      function QB(e3) {
        if (!e3)
          return [""];
        var r2 = [], n2 = KB("{", "}", e3);
        if (!n2)
          return e3.split(",");
        var i4 = n2.pre, o2 = n2.body, a3 = n2.post, u2 = i4.split(",");
        u2[u2.length - 1] += "{" + o2 + "}";
        var c4 = QB(a3);
        return a3.length && (u2[u2.length - 1] += c4.shift(), u2.push.apply(u2, c4)), r2.push.apply(r2, u2), r2;
      }
      function SSe(e3) {
        return e3 ? (e3.substr(0, 2) === "{}" && (e3 = "\\{\\}" + e3.substr(2)), Qu(wSe(e3), true).map(_Se)) : [];
      }
      function xSe(e3) {
        return "{" + e3 + "}";
      }
      function DSe(e3) {
        return /^-?0\d/.test(e3);
      }
      function OSe(e3, r2) {
        return e3 <= r2;
      }
      function TSe(e3, r2) {
        return e3 >= r2;
      }
      function Qu(e3, r2) {
        var n2 = [], i4 = KB("{", "}", e3);
        if (!i4 || /\$$/.test(i4.pre))
          return [e3];
        var o2 = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(i4.body), a3 = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(i4.body), u2 = o2 || a3, c4 = i4.body.indexOf(",") >= 0;
        if (!u2 && !c4)
          return i4.post.match(/,.*\}/) ? (e3 = i4.pre + "{" + i4.body + fx + i4.post, Qu(e3)) : [e3];
        var l2;
        if (u2)
          l2 = i4.body.split(/\.\./);
        else if (l2 = QB(i4.body), l2.length === 1 && (l2 = Qu(l2[0], false).map(xSe), l2.length === 1)) {
          var p2 = i4.post.length ? Qu(i4.post, false) : [""];
          return p2.map(function(C) {
            return i4.pre + l2[0] + C;
          });
        }
        var f4 = i4.pre, p2 = i4.post.length ? Qu(i4.post, false) : [""], v2;
        if (u2) {
          var g2 = lx(l2[0]), S2 = lx(l2[1]), D = Math.max(l2[0].length, l2[1].length), T6 = l2.length == 3 ? Math.abs(lx(l2[2])) : 1, R = OSe, A2 = S2 < g2;
          A2 && (T6 *= -1, R = TSe);
          var L = l2.some(DSe);
          v2 = [];
          for (var N = g2; R(N, S2); N += T6) {
            var q;
            if (a3)
              q = String.fromCharCode(N), q === "\\" && (q = "");
            else if (q = String(N), L) {
              var B = D - q.length;
              if (B > 0) {
                var W = new Array(B + 1).join("0");
                N < 0 ? q = "-" + W + q.slice(1) : q = W + q;
              }
            }
            v2.push(q);
          }
        } else
          v2 = ESe(l2, function(U) {
            return Qu(U, false);
          });
        for (var P = 0; P < v2.length; P++)
          for (var $3 = 0; $3 < p2.length; $3++) {
            var I = f4 + v2[P] + p2[$3];
            (!r2 || u2 || I) && n2.push(I);
          }
        return n2;
      }
    });
    var mg = b((Uje, s7) => {
      "use strict";
      s7.exports = Wr;
      Wr.Minimatch = zt;
      var Pf = function() {
        try {
          return require("path");
        } catch {
        }
      }() || { sep: "/" };
      Wr.sep = Pf.sep;
      var dx = Wr.GLOBSTAR = zt.GLOBSTAR = {}, RSe = e7(), t72 = { "!": { open: "(?:(?!(?:", close: "))[^/]*?)" }, "?": { open: "(?:", close: ")?" }, "+": { open: "(?:", close: ")+" }, "*": { open: "(?:", close: ")*" }, "@": { open: "(?:", close: ")" } }, hx = "[^/]", px = hx + "*?", CSe = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?", ASe = "(?:(?!(?:\\/|^)\\.).)*?", r7 = ISe("().*{}+?[]^$\\!");
      function ISe(e3) {
        return e3.split("").reduce(function(r2, n2) {
          return r2[n2] = true, r2;
        }, {});
      }
      var n7 = /\/+/;
      Wr.filter = PSe;
      function PSe(e3, r2) {
        return r2 = r2 || {}, function(n2, i4, o2) {
          return Wr(n2, e3, r2);
        };
      }
      function Js(e3, r2) {
        r2 = r2 || {};
        var n2 = {};
        return Object.keys(e3).forEach(function(i4) {
          n2[i4] = e3[i4];
        }), Object.keys(r2).forEach(function(i4) {
          n2[i4] = r2[i4];
        }), n2;
      }
      Wr.defaults = function(e3) {
        if (!e3 || typeof e3 != "object" || !Object.keys(e3).length)
          return Wr;
        var r2 = Wr, n2 = function(o2, a3, u2) {
          return r2(o2, a3, Js(e3, u2));
        };
        return n2.Minimatch = function(o2, a3) {
          return new r2.Minimatch(o2, Js(e3, a3));
        }, n2.Minimatch.defaults = function(o2) {
          return r2.defaults(Js(e3, o2)).Minimatch;
        }, n2.filter = function(o2, a3) {
          return r2.filter(o2, Js(e3, a3));
        }, n2.defaults = function(o2) {
          return r2.defaults(Js(e3, o2));
        }, n2.makeRe = function(o2, a3) {
          return r2.makeRe(o2, Js(e3, a3));
        }, n2.braceExpand = function(o2, a3) {
          return r2.braceExpand(o2, Js(e3, a3));
        }, n2.match = function(i4, o2, a3) {
          return r2.match(i4, o2, Js(e3, a3));
        }, n2;
      };
      zt.defaults = function(e3) {
        return Wr.defaults(e3).Minimatch;
      };
      function Wr(e3, r2, n2) {
        return dg(r2), n2 || (n2 = {}), !n2.nocomment && r2.charAt(0) === "#" ? false : new zt(r2, n2).match(e3);
      }
      function zt(e3, r2) {
        if (!(this instanceof zt))
          return new zt(e3, r2);
        dg(e3), r2 || (r2 = {}), e3 = e3.trim(), !r2.allowWindowsEscape && Pf.sep !== "/" && (e3 = e3.split(Pf.sep).join("/")), this.options = r2, this.set = [], this.pattern = e3, this.regexp = null, this.negate = false, this.comment = false, this.empty = false, this.partial = !!r2.partial, this.make();
      }
      zt.prototype.debug = function() {
      };
      zt.prototype.make = FSe;
      function FSe() {
        var e3 = this.pattern, r2 = this.options;
        if (!r2.nocomment && e3.charAt(0) === "#") {
          this.comment = true;
          return;
        }
        if (!e3) {
          this.empty = true;
          return;
        }
        this.parseNegate();
        var n2 = this.globSet = this.braceExpand();
        r2.debug && (this.debug = function() {
          console.error.apply(console, arguments);
        }), this.debug(this.pattern, n2), n2 = this.globParts = n2.map(function(i4) {
          return i4.split(n7);
        }), this.debug(this.pattern, n2), n2 = n2.map(function(i4, o2, a3) {
          return i4.map(this.parse, this);
        }, this), this.debug(this.pattern, n2), n2 = n2.filter(function(i4) {
          return i4.indexOf(false) === -1;
        }), this.debug(this.pattern, n2), this.set = n2;
      }
      zt.prototype.parseNegate = LSe;
      function LSe() {
        var e3 = this.pattern, r2 = false, n2 = this.options, i4 = 0;
        if (!n2.nonegate) {
          for (var o2 = 0, a3 = e3.length; o2 < a3 && e3.charAt(o2) === "!"; o2++)
            r2 = !r2, i4++;
          i4 && (this.pattern = e3.substr(i4)), this.negate = r2;
        }
      }
      Wr.braceExpand = function(e3, r2) {
        return i7(e3, r2);
      };
      zt.prototype.braceExpand = i7;
      function i7(e3, r2) {
        return r2 || (this instanceof zt ? r2 = this.options : r2 = {}), e3 = typeof e3 > "u" ? this.pattern : e3, dg(e3), r2.nobrace || !/\{(?:(?!\{).)*\}/.test(e3) ? [e3] : RSe(e3);
      }
      var MSe = 1024 * 64, dg = function(e3) {
        if (typeof e3 != "string")
          throw new TypeError("invalid pattern");
        if (e3.length > MSe)
          throw new TypeError("pattern is too long");
      };
      zt.prototype.parse = NSe;
      var pg = {};
      function NSe(e3, r2) {
        dg(e3);
        var n2 = this.options;
        if (e3 === "**")
          if (n2.noglobstar)
            e3 = "*";
          else
            return dx;
        if (e3 === "")
          return "";
        var i4 = "", o2 = !!n2.nocase, a3 = false, u2 = [], c4 = [], l2, f4 = false, p2 = -1, v2 = -1, g2 = e3.charAt(0) === "." ? "" : n2.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)", S2 = this;
        function D() {
          if (l2) {
            switch (l2) {
              case "*":
                i4 += px, o2 = true;
                break;
              case "?":
                i4 += hx, o2 = true;
                break;
              default:
                i4 += "\\" + l2;
                break;
            }
            S2.debug("clearStateChar %j %j", l2, i4), l2 = false;
          }
        }
        for (var T6 = 0, R = e3.length, A2; T6 < R && (A2 = e3.charAt(T6)); T6++) {
          if (this.debug("%s	%s %s %j", e3, T6, i4, A2), a3 && r7[A2]) {
            i4 += "\\" + A2, a3 = false;
            continue;
          }
          switch (A2) {
            case "/":
              return false;
            case "\\":
              D(), a3 = true;
              continue;
            case "?":
            case "*":
            case "+":
            case "@":
            case "!":
              if (this.debug("%s	%s %s %j <-- stateChar", e3, T6, i4, A2), f4) {
                this.debug("  in class"), A2 === "!" && T6 === v2 + 1 && (A2 = "^"), i4 += A2;
                continue;
              }
              S2.debug("call clearStateChar %j", l2), D(), l2 = A2, n2.noext && D();
              continue;
            case "(":
              if (f4) {
                i4 += "(";
                continue;
              }
              if (!l2) {
                i4 += "\\(";
                continue;
              }
              u2.push({ type: l2, start: T6 - 1, reStart: i4.length, open: t72[l2].open, close: t72[l2].close }), i4 += l2 === "!" ? "(?:(?!(?:" : "(?:", this.debug("plType %j %j", l2, i4), l2 = false;
              continue;
            case ")":
              if (f4 || !u2.length) {
                i4 += "\\)";
                continue;
              }
              D(), o2 = true;
              var L = u2.pop();
              i4 += L.close, L.type === "!" && c4.push(L), L.reEnd = i4.length;
              continue;
            case "|":
              if (f4 || !u2.length || a3) {
                i4 += "\\|", a3 = false;
                continue;
              }
              D(), i4 += "|";
              continue;
            case "[":
              if (D(), f4) {
                i4 += "\\" + A2;
                continue;
              }
              f4 = true, v2 = T6, p2 = i4.length, i4 += A2;
              continue;
            case "]":
              if (T6 === v2 + 1 || !f4) {
                i4 += "\\" + A2, a3 = false;
                continue;
              }
              var N = e3.substring(v2 + 1, T6);
              try {
                RegExp("[" + N + "]");
              } catch {
                var q = this.parse(N, pg);
                i4 = i4.substr(0, p2) + "\\[" + q[0] + "\\]", o2 = o2 || q[1], f4 = false;
                continue;
              }
              o2 = true, f4 = false, i4 += A2;
              continue;
            default:
              D(), a3 ? a3 = false : r7[A2] && !(A2 === "^" && f4) && (i4 += "\\"), i4 += A2;
          }
        }
        for (f4 && (N = e3.substr(v2 + 1), q = this.parse(N, pg), i4 = i4.substr(0, p2) + "\\[" + q[0], o2 = o2 || q[1]), L = u2.pop(); L; L = u2.pop()) {
          var B = i4.slice(L.reStart + L.open.length);
          this.debug("setting tail", i4, L), B = B.replace(/((?:\\{2}){0,64})(\\?)\|/g, function(et, tt, Rt) {
            return Rt || (Rt = "\\"), tt + tt + Rt + "|";
          }), this.debug(`tail=%j
   %s`, B, B, L, i4);
          var W = L.type === "*" ? px : L.type === "?" ? hx : "\\" + L.type;
          o2 = true, i4 = i4.slice(0, L.reStart) + W + "\\(" + B;
        }
        D(), a3 && (i4 += "\\\\");
        var P = false;
        switch (i4.charAt(0)) {
          case "[":
          case ".":
          case "(":
            P = true;
        }
        for (var $3 = c4.length - 1; $3 > -1; $3--) {
          var I = c4[$3], U = i4.slice(0, I.reStart), C = i4.slice(I.reStart, I.reEnd - 8), G = i4.slice(I.reEnd - 8, I.reEnd), V = i4.slice(I.reEnd);
          G += V;
          var ee = U.split("(").length - 1, M = V;
          for (T6 = 0; T6 < ee; T6++)
            M = M.replace(/\)[+*?]?/, "");
          V = M;
          var k = "";
          V === "" && r2 !== pg && (k = "$");
          var Z = U + C + V + k + G;
          i4 = Z;
        }
        if (i4 !== "" && o2 && (i4 = "(?=.)" + i4), P && (i4 = g2 + i4), r2 === pg)
          return [i4, o2];
        if (!o2)
          return $Se(e3);
        var Y = n2.nocase ? "i" : "";
        try {
          var ae = new RegExp("^" + i4 + "$", Y);
        } catch {
          return new RegExp("$.");
        }
        return ae._glob = e3, ae._src = i4, ae;
      }
      Wr.makeRe = function(e3, r2) {
        return new zt(e3, r2 || {}).makeRe();
      };
      zt.prototype.makeRe = kSe;
      function kSe() {
        if (this.regexp || this.regexp === false)
          return this.regexp;
        var e3 = this.set;
        if (!e3.length)
          return this.regexp = false, this.regexp;
        var r2 = this.options, n2 = r2.noglobstar ? px : r2.dot ? CSe : ASe, i4 = r2.nocase ? "i" : "", o2 = e3.map(function(a3) {
          return a3.map(function(u2) {
            return u2 === dx ? n2 : typeof u2 == "string" ? qSe(u2) : u2._src;
          }).join("\\/");
        }).join("|");
        o2 = "^(?:" + o2 + ")$", this.negate && (o2 = "^(?!" + o2 + ").*$");
        try {
          this.regexp = new RegExp(o2, i4);
        } catch {
          this.regexp = false;
        }
        return this.regexp;
      }
      Wr.match = function(e3, r2, n2) {
        n2 = n2 || {};
        var i4 = new zt(r2, n2);
        return e3 = e3.filter(function(o2) {
          return i4.match(o2);
        }), i4.options.nonull && !e3.length && e3.push(r2), e3;
      };
      zt.prototype.match = function(r2, n2) {
        if (typeof n2 > "u" && (n2 = this.partial), this.debug("match", r2, this.pattern), this.comment)
          return false;
        if (this.empty)
          return r2 === "";
        if (r2 === "/" && n2)
          return true;
        var i4 = this.options;
        Pf.sep !== "/" && (r2 = r2.split(Pf.sep).join("/")), r2 = r2.split(n7), this.debug(this.pattern, "split", r2);
        var o2 = this.set;
        this.debug(this.pattern, "set", o2);
        var a3, u2;
        for (u2 = r2.length - 1; u2 >= 0 && (a3 = r2[u2], !a3); u2--)
          ;
        for (u2 = 0; u2 < o2.length; u2++) {
          var c4 = o2[u2], l2 = r2;
          i4.matchBase && c4.length === 1 && (l2 = [a3]);
          var f4 = this.matchOne(l2, c4, n2);
          if (f4)
            return i4.flipNegate ? true : !this.negate;
        }
        return i4.flipNegate ? false : this.negate;
      };
      zt.prototype.matchOne = function(e3, r2, n2) {
        var i4 = this.options;
        this.debug("matchOne", { this: this, file: e3, pattern: r2 }), this.debug("matchOne", e3.length, r2.length);
        for (var o2 = 0, a3 = 0, u2 = e3.length, c4 = r2.length; o2 < u2 && a3 < c4; o2++, a3++) {
          this.debug("matchOne loop");
          var l2 = r2[a3], f4 = e3[o2];
          if (this.debug(r2, l2, f4), l2 === false)
            return false;
          if (l2 === dx) {
            this.debug("GLOBSTAR", [r2, l2, f4]);
            var p2 = o2, v2 = a3 + 1;
            if (v2 === c4) {
              for (this.debug("** at the end"); o2 < u2; o2++)
                if (e3[o2] === "." || e3[o2] === ".." || !i4.dot && e3[o2].charAt(0) === ".")
                  return false;
              return true;
            }
            for (; p2 < u2; ) {
              var g2 = e3[p2];
              if (this.debug(`
globstar while`, e3, p2, r2, v2, g2), this.matchOne(e3.slice(p2), r2.slice(v2), n2))
                return this.debug("globstar found match!", p2, u2, g2), true;
              if (g2 === "." || g2 === ".." || !i4.dot && g2.charAt(0) === ".") {
                this.debug("dot detected!", e3, p2, r2, v2);
                break;
              }
              this.debug("globstar swallow a segment, and continue"), p2++;
            }
            return !!(n2 && (this.debug(`
>>> no match, partial?`, e3, p2, r2, v2), p2 === u2));
          }
          var S2;
          if (typeof l2 == "string" ? (S2 = f4 === l2, this.debug("string match", l2, f4, S2)) : (S2 = f4.match(l2), this.debug("pattern match", l2, f4, S2)), !S2)
            return false;
        }
        if (o2 === u2 && a3 === c4)
          return true;
        if (o2 === u2)
          return n2;
        if (a3 === c4)
          return o2 === u2 - 1 && e3[o2] === "";
        throw new Error("wtf?");
      };
      function $Se(e3) {
        return e3.replace(/\\(.)/g, "$1");
      }
      function qSe(e3) {
        return e3.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
      }
    });
    var yg = b((Gje, gg) => {
      "use strict";
      function o7(e3) {
        return e3.charAt(0) === "/";
      }
      function a7(e3) {
        var r2 = /^([a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?([\\\/])?([\s\S]*?)$/, n2 = r2.exec(e3), i4 = n2[1] || "", o2 = !!(i4 && i4.charAt(1) !== ":");
        return !!(n2[2] || o2);
      }
      gg.exports = process.platform === "win32" ? a7 : o7;
      gg.exports.posix = o7;
      gg.exports.win32 = a7;
    });
    var gx = b((Xs) => {
      "use strict";
      Xs.setopts = HSe;
      Xs.ownProp = u7;
      Xs.makeAbs = Ff;
      Xs.finish = VSe;
      Xs.mark = KSe;
      Xs.isIgnored = l7;
      Xs.childrenIgnored = zSe;
      function u7(e3, r2) {
        return Object.prototype.hasOwnProperty.call(e3, r2);
      }
      var BSe = require("fs"), Zu = require("path"), jSe = mg(), c7 = yg(), mx = jSe.Minimatch;
      function USe(e3, r2) {
        return e3.localeCompare(r2, "en");
      }
      function GSe(e3, r2) {
        e3.ignore = r2.ignore || [], Array.isArray(e3.ignore) || (e3.ignore = [e3.ignore]), e3.ignore.length && (e3.ignore = e3.ignore.map(WSe));
      }
      function WSe(e3) {
        var r2 = null;
        if (e3.slice(-3) === "/**") {
          var n2 = e3.replace(/(\/\*\*)+$/, "");
          r2 = new mx(n2, { dot: true });
        }
        return { matcher: new mx(e3, { dot: true }), gmatcher: r2 };
      }
      function HSe(e3, r2, n2) {
        if (n2 || (n2 = {}), n2.matchBase && r2.indexOf("/") === -1) {
          if (n2.noglobstar)
            throw new Error("base matching requires globstar");
          r2 = "**/" + r2;
        }
        e3.silent = !!n2.silent, e3.pattern = r2, e3.strict = n2.strict !== false, e3.realpath = !!n2.realpath, e3.realpathCache = n2.realpathCache || /* @__PURE__ */ Object.create(null), e3.follow = !!n2.follow, e3.dot = !!n2.dot, e3.mark = !!n2.mark, e3.nodir = !!n2.nodir, e3.nodir && (e3.mark = true), e3.sync = !!n2.sync, e3.nounique = !!n2.nounique, e3.nonull = !!n2.nonull, e3.nosort = !!n2.nosort, e3.nocase = !!n2.nocase, e3.stat = !!n2.stat, e3.noprocess = !!n2.noprocess, e3.absolute = !!n2.absolute, e3.fs = n2.fs || BSe, e3.maxLength = n2.maxLength || 1 / 0, e3.cache = n2.cache || /* @__PURE__ */ Object.create(null), e3.statCache = n2.statCache || /* @__PURE__ */ Object.create(null), e3.symlinks = n2.symlinks || /* @__PURE__ */ Object.create(null), GSe(e3, n2), e3.changedCwd = false;
        var i4 = process.cwd();
        u7(n2, "cwd") ? (e3.cwd = Zu.resolve(n2.cwd), e3.changedCwd = e3.cwd !== i4) : e3.cwd = i4, e3.root = n2.root || Zu.resolve(e3.cwd, "/"), e3.root = Zu.resolve(e3.root), process.platform === "win32" && (e3.root = e3.root.replace(/\\/g, "/")), e3.cwdAbs = c7(e3.cwd) ? e3.cwd : Ff(e3, e3.cwd), process.platform === "win32" && (e3.cwdAbs = e3.cwdAbs.replace(/\\/g, "/")), e3.nomount = !!n2.nomount, n2.nonegate = true, n2.nocomment = true, n2.allowWindowsEscape = false, e3.minimatch = new mx(r2, n2), e3.options = e3.minimatch.options;
      }
      function VSe(e3) {
        for (var r2 = e3.nounique, n2 = r2 ? [] : /* @__PURE__ */ Object.create(null), i4 = 0, o2 = e3.matches.length; i4 < o2; i4++) {
          var a3 = e3.matches[i4];
          if (!a3 || Object.keys(a3).length === 0) {
            if (e3.nonull) {
              var u2 = e3.minimatch.globSet[i4];
              r2 ? n2.push(u2) : n2[u2] = true;
            }
          } else {
            var c4 = Object.keys(a3);
            r2 ? n2.push.apply(n2, c4) : c4.forEach(function(l2) {
              n2[l2] = true;
            });
          }
        }
        if (r2 || (n2 = Object.keys(n2)), e3.nosort || (n2 = n2.sort(USe)), e3.mark) {
          for (var i4 = 0; i4 < n2.length; i4++)
            n2[i4] = e3._mark(n2[i4]);
          e3.nodir && (n2 = n2.filter(function(l2) {
            var f4 = !/\/$/.test(l2), p2 = e3.cache[l2] || e3.cache[Ff(e3, l2)];
            return f4 && p2 && (f4 = p2 !== "DIR" && !Array.isArray(p2)), f4;
          }));
        }
        e3.ignore.length && (n2 = n2.filter(function(l2) {
          return !l7(e3, l2);
        })), e3.found = n2;
      }
      function KSe(e3, r2) {
        var n2 = Ff(e3, r2), i4 = e3.cache[n2], o2 = r2;
        if (i4) {
          var a3 = i4 === "DIR" || Array.isArray(i4), u2 = r2.slice(-1) === "/";
          if (a3 && !u2 ? o2 += "/" : !a3 && u2 && (o2 = o2.slice(0, -1)), o2 !== r2) {
            var c4 = Ff(e3, o2);
            e3.statCache[c4] = e3.statCache[n2], e3.cache[c4] = e3.cache[n2];
          }
        }
        return o2;
      }
      function Ff(e3, r2) {
        var n2 = r2;
        return r2.charAt(0) === "/" ? n2 = Zu.join(e3.root, r2) : c7(r2) || r2 === "" ? n2 = r2 : e3.changedCwd ? n2 = Zu.resolve(e3.cwd, r2) : n2 = Zu.resolve(r2), process.platform === "win32" && (n2 = n2.replace(/\\/g, "/")), n2;
      }
      function l7(e3, r2) {
        return e3.ignore.length ? e3.ignore.some(function(n2) {
          return n2.matcher.match(r2) || !!(n2.gmatcher && n2.gmatcher.match(r2));
        }) : false;
      }
      function zSe(e3, r2) {
        return e3.ignore.length ? e3.ignore.some(function(n2) {
          return !!(n2.gmatcher && n2.gmatcher.match(r2));
        }) : false;
      }
    });
    var m7 = b((zje, d7) => {
      "use strict";
      d7.exports = p7;
      p7.GlobSync = It;
      var YSe = Of(), f7 = mg(), Hje = f7.Minimatch, Vje = bg().Glob, Kje = require("util"), yx = require("path"), h7 = require("assert"), vg = yg(), ha = gx(), JSe = ha.setopts, vx = ha.ownProp, XSe = ha.childrenIgnored, QSe = ha.isIgnored;
      function p7(e3, r2) {
        if (typeof r2 == "function" || arguments.length === 3)
          throw new TypeError(`callback provided to sync glob
See: https://github.com/isaacs/node-glob/issues/167`);
        return new It(e3, r2).found;
      }
      function It(e3, r2) {
        if (!e3)
          throw new Error("must provide pattern");
        if (typeof r2 == "function" || arguments.length === 3)
          throw new TypeError(`callback provided to sync glob
See: https://github.com/isaacs/node-glob/issues/167`);
        if (!(this instanceof It))
          return new It(e3, r2);
        if (JSe(this, e3, r2), this.noprocess)
          return this;
        var n2 = this.minimatch.set.length;
        this.matches = new Array(n2);
        for (var i4 = 0; i4 < n2; i4++)
          this._process(this.minimatch.set[i4], i4, false);
        this._finish();
      }
      It.prototype._finish = function() {
        if (h7.ok(this instanceof It), this.realpath) {
          var e3 = this;
          this.matches.forEach(function(r2, n2) {
            var i4 = e3.matches[n2] = /* @__PURE__ */ Object.create(null);
            for (var o2 in r2)
              try {
                o2 = e3._makeAbs(o2);
                var a3 = YSe.realpathSync(o2, e3.realpathCache);
                i4[a3] = true;
              } catch (u2) {
                if (u2.syscall === "stat")
                  i4[e3._makeAbs(o2)] = true;
                else
                  throw u2;
              }
          });
        }
        ha.finish(this);
      };
      It.prototype._process = function(e3, r2, n2) {
        h7.ok(this instanceof It);
        for (var i4 = 0; typeof e3[i4] == "string"; )
          i4++;
        var o2;
        switch (i4) {
          case e3.length:
            this._processSimple(e3.join("/"), r2);
            return;
          case 0:
            o2 = null;
            break;
          default:
            o2 = e3.slice(0, i4).join("/");
            break;
        }
        var a3 = e3.slice(i4), u2;
        o2 === null ? u2 = "." : ((vg(o2) || vg(e3.map(function(f4) {
          return typeof f4 == "string" ? f4 : "[*]";
        }).join("/"))) && (!o2 || !vg(o2)) && (o2 = "/" + o2), u2 = o2);
        var c4 = this._makeAbs(u2);
        if (!XSe(this, u2)) {
          var l2 = a3[0] === f7.GLOBSTAR;
          l2 ? this._processGlobStar(o2, u2, c4, a3, r2, n2) : this._processReaddir(o2, u2, c4, a3, r2, n2);
        }
      };
      It.prototype._processReaddir = function(e3, r2, n2, i4, o2, a3) {
        var u2 = this._readdir(n2, a3);
        if (u2) {
          for (var c4 = i4[0], l2 = !!this.minimatch.negate, f4 = c4._glob, p2 = this.dot || f4.charAt(0) === ".", v2 = [], g2 = 0; g2 < u2.length; g2++) {
            var S2 = u2[g2];
            if (S2.charAt(0) !== "." || p2) {
              var D;
              l2 && !e3 ? D = !S2.match(c4) : D = S2.match(c4), D && v2.push(S2);
            }
          }
          var T6 = v2.length;
          if (T6 !== 0) {
            if (i4.length === 1 && !this.mark && !this.stat) {
              this.matches[o2] || (this.matches[o2] = /* @__PURE__ */ Object.create(null));
              for (var g2 = 0; g2 < T6; g2++) {
                var S2 = v2[g2];
                e3 && (e3.slice(-1) !== "/" ? S2 = e3 + "/" + S2 : S2 = e3 + S2), S2.charAt(0) === "/" && !this.nomount && (S2 = yx.join(this.root, S2)), this._emitMatch(o2, S2);
              }
              return;
            }
            i4.shift();
            for (var g2 = 0; g2 < T6; g2++) {
              var S2 = v2[g2], R;
              e3 ? R = [e3, S2] : R = [S2], this._process(R.concat(i4), o2, a3);
            }
          }
        }
      };
      It.prototype._emitMatch = function(e3, r2) {
        if (!QSe(this, r2)) {
          var n2 = this._makeAbs(r2);
          if (this.mark && (r2 = this._mark(r2)), this.absolute && (r2 = n2), !this.matches[e3][r2]) {
            if (this.nodir) {
              var i4 = this.cache[n2];
              if (i4 === "DIR" || Array.isArray(i4))
                return;
            }
            this.matches[e3][r2] = true, this.stat && this._stat(r2);
          }
        }
      };
      It.prototype._readdirInGlobStar = function(e3) {
        if (this.follow)
          return this._readdir(e3, false);
        var r2, n2, i4;
        try {
          n2 = this.fs.lstatSync(e3);
        } catch (a3) {
          if (a3.code === "ENOENT")
            return null;
        }
        var o2 = n2 && n2.isSymbolicLink();
        return this.symlinks[e3] = o2, !o2 && n2 && !n2.isDirectory() ? this.cache[e3] = "FILE" : r2 = this._readdir(e3, false), r2;
      };
      It.prototype._readdir = function(e3, r2) {
        var n2;
        if (r2 && !vx(this.symlinks, e3))
          return this._readdirInGlobStar(e3);
        if (vx(this.cache, e3)) {
          var i4 = this.cache[e3];
          if (!i4 || i4 === "FILE")
            return null;
          if (Array.isArray(i4))
            return i4;
        }
        try {
          return this._readdirEntries(e3, this.fs.readdirSync(e3));
        } catch (o2) {
          return this._readdirError(e3, o2), null;
        }
      };
      It.prototype._readdirEntries = function(e3, r2) {
        if (!this.mark && !this.stat)
          for (var n2 = 0; n2 < r2.length; n2++) {
            var i4 = r2[n2];
            e3 === "/" ? i4 = e3 + i4 : i4 = e3 + "/" + i4, this.cache[i4] = true;
          }
        return this.cache[e3] = r2, r2;
      };
      It.prototype._readdirError = function(e3, r2) {
        switch (r2.code) {
          case "ENOTSUP":
          case "ENOTDIR":
            var n2 = this._makeAbs(e3);
            if (this.cache[n2] = "FILE", n2 === this.cwdAbs) {
              var i4 = new Error(r2.code + " invalid cwd " + this.cwd);
              throw i4.path = this.cwd, i4.code = r2.code, i4;
            }
            break;
          case "ENOENT":
          case "ELOOP":
          case "ENAMETOOLONG":
          case "UNKNOWN":
            this.cache[this._makeAbs(e3)] = false;
            break;
          default:
            if (this.cache[this._makeAbs(e3)] = false, this.strict)
              throw r2;
            this.silent || console.error("glob error", r2);
            break;
        }
      };
      It.prototype._processGlobStar = function(e3, r2, n2, i4, o2, a3) {
        var u2 = this._readdir(n2, a3);
        if (u2) {
          var c4 = i4.slice(1), l2 = e3 ? [e3] : [], f4 = l2.concat(c4);
          this._process(f4, o2, false);
          var p2 = u2.length, v2 = this.symlinks[n2];
          if (!(v2 && a3))
            for (var g2 = 0; g2 < p2; g2++) {
              var S2 = u2[g2];
              if (!(S2.charAt(0) === "." && !this.dot)) {
                var D = l2.concat(u2[g2], c4);
                this._process(D, o2, true);
                var T6 = l2.concat(u2[g2], i4);
                this._process(T6, o2, true);
              }
            }
        }
      };
      It.prototype._processSimple = function(e3, r2) {
        var n2 = this._stat(e3);
        if (this.matches[r2] || (this.matches[r2] = /* @__PURE__ */ Object.create(null)), !!n2) {
          if (e3 && vg(e3) && !this.nomount) {
            var i4 = /[\/\\]$/.test(e3);
            e3.charAt(0) === "/" ? e3 = yx.join(this.root, e3) : (e3 = yx.resolve(this.root, e3), i4 && (e3 += "/"));
          }
          process.platform === "win32" && (e3 = e3.replace(/\\/g, "/")), this._emitMatch(r2, e3);
        }
      };
      It.prototype._stat = function(e3) {
        var r2 = this._makeAbs(e3), n2 = e3.slice(-1) === "/";
        if (e3.length > this.maxLength)
          return false;
        if (!this.stat && vx(this.cache, r2)) {
          var u2 = this.cache[r2];
          if (Array.isArray(u2) && (u2 = "DIR"), !n2 || u2 === "DIR")
            return u2;
          if (n2 && u2 === "FILE")
            return false;
        }
        var i4, o2 = this.statCache[r2];
        if (!o2) {
          var a3;
          try {
            a3 = this.fs.lstatSync(r2);
          } catch (c4) {
            if (c4 && (c4.code === "ENOENT" || c4.code === "ENOTDIR"))
              return this.statCache[r2] = false, false;
          }
          if (a3 && a3.isSymbolicLink())
            try {
              o2 = this.fs.statSync(r2);
            } catch {
              o2 = a3;
            }
          else
            o2 = a3;
        }
        this.statCache[r2] = o2;
        var u2 = true;
        return o2 && (u2 = o2.isDirectory() ? "DIR" : "FILE"), this.cache[r2] = this.cache[r2] || u2, n2 && u2 === "FILE" ? false : u2;
      };
      It.prototype._mark = function(e3) {
        return ha.mark(this, e3);
      };
      It.prototype._makeAbs = function(e3) {
        return ha.makeAbs(this, e3);
      };
    });
    var bg = b((Xje, y7) => {
      "use strict";
      y7.exports = pa;
      var ZSe = Of(), g7 = mg(), Yje = g7.Minimatch, exe = br(), txe = require("events").EventEmitter, bx = require("path"), Ex = require("assert"), Lf = yg(), _x = m7(), da = gx(), rxe = da.setopts, wx = da.ownProp, Sx = nx(), Jje = require("util"), nxe = da.childrenIgnored, ixe = da.isIgnored, sxe = Rf();
      function pa(e3, r2, n2) {
        if (typeof r2 == "function" && (n2 = r2, r2 = {}), r2 || (r2 = {}), r2.sync) {
          if (n2)
            throw new TypeError("callback provided to sync glob");
          return _x(e3, r2);
        }
        return new Le(e3, r2, n2);
      }
      pa.sync = _x;
      var oxe = pa.GlobSync = _x.GlobSync;
      pa.glob = pa;
      function axe(e3, r2) {
        if (r2 === null || typeof r2 != "object")
          return e3;
        for (var n2 = Object.keys(r2), i4 = n2.length; i4--; )
          e3[n2[i4]] = r2[n2[i4]];
        return e3;
      }
      pa.hasMagic = function(e3, r2) {
        var n2 = axe({}, r2);
        n2.noprocess = true;
        var i4 = new Le(e3, n2), o2 = i4.minimatch.set;
        if (!e3)
          return false;
        if (o2.length > 1)
          return true;
        for (var a3 = 0; a3 < o2[0].length; a3++)
          if (typeof o2[0][a3] != "string")
            return true;
        return false;
      };
      pa.Glob = Le;
      exe(Le, txe);
      function Le(e3, r2, n2) {
        if (typeof r2 == "function" && (n2 = r2, r2 = null), r2 && r2.sync) {
          if (n2)
            throw new TypeError("callback provided to sync glob");
          return new oxe(e3, r2);
        }
        if (!(this instanceof Le))
          return new Le(e3, r2, n2);
        rxe(this, e3, r2), this._didRealPath = false;
        var i4 = this.minimatch.set.length;
        this.matches = new Array(i4), typeof n2 == "function" && (n2 = sxe(n2), this.on("error", n2), this.on("end", function(l2) {
          n2(null, l2);
        }));
        var o2 = this;
        if (this._processing = 0, this._emitQueue = [], this._processQueue = [], this.paused = false, this.noprocess)
          return this;
        if (i4 === 0)
          return c4();
        for (var a3 = true, u2 = 0; u2 < i4; u2++)
          this._process(this.minimatch.set[u2], u2, false, c4);
        a3 = false;
        function c4() {
          --o2._processing, o2._processing <= 0 && (a3 ? process.nextTick(function() {
            o2._finish();
          }) : o2._finish());
        }
      }
      Le.prototype._finish = function() {
        if (Ex(this instanceof Le), !this.aborted) {
          if (this.realpath && !this._didRealpath)
            return this._realpath();
          da.finish(this), this.emit("end", this.found);
        }
      };
      Le.prototype._realpath = function() {
        if (this._didRealpath)
          return;
        this._didRealpath = true;
        var e3 = this.matches.length;
        if (e3 === 0)
          return this._finish();
        for (var r2 = this, n2 = 0; n2 < this.matches.length; n2++)
          this._realpathSet(n2, i4);
        function i4() {
          --e3 === 0 && r2._finish();
        }
      };
      Le.prototype._realpathSet = function(e3, r2) {
        var n2 = this.matches[e3];
        if (!n2)
          return r2();
        var i4 = Object.keys(n2), o2 = this, a3 = i4.length;
        if (a3 === 0)
          return r2();
        var u2 = this.matches[e3] = /* @__PURE__ */ Object.create(null);
        i4.forEach(function(c4, l2) {
          c4 = o2._makeAbs(c4), ZSe.realpath(c4, o2.realpathCache, function(f4, p2) {
            f4 ? f4.syscall === "stat" ? u2[c4] = true : o2.emit("error", f4) : u2[p2] = true, --a3 === 0 && (o2.matches[e3] = u2, r2());
          });
        });
      };
      Le.prototype._mark = function(e3) {
        return da.mark(this, e3);
      };
      Le.prototype._makeAbs = function(e3) {
        return da.makeAbs(this, e3);
      };
      Le.prototype.abort = function() {
        this.aborted = true, this.emit("abort");
      };
      Le.prototype.pause = function() {
        this.paused || (this.paused = true, this.emit("pause"));
      };
      Le.prototype.resume = function() {
        if (this.paused) {
          if (this.emit("resume"), this.paused = false, this._emitQueue.length) {
            var e3 = this._emitQueue.slice(0);
            this._emitQueue.length = 0;
            for (var r2 = 0; r2 < e3.length; r2++) {
              var n2 = e3[r2];
              this._emitMatch(n2[0], n2[1]);
            }
          }
          if (this._processQueue.length) {
            var i4 = this._processQueue.slice(0);
            this._processQueue.length = 0;
            for (var r2 = 0; r2 < i4.length; r2++) {
              var o2 = i4[r2];
              this._processing--, this._process(o2[0], o2[1], o2[2], o2[3]);
            }
          }
        }
      };
      Le.prototype._process = function(e3, r2, n2, i4) {
        if (Ex(this instanceof Le), Ex(typeof i4 == "function"), !this.aborted) {
          if (this._processing++, this.paused) {
            this._processQueue.push([e3, r2, n2, i4]);
            return;
          }
          for (var o2 = 0; typeof e3[o2] == "string"; )
            o2++;
          var a3;
          switch (o2) {
            case e3.length:
              this._processSimple(e3.join("/"), r2, i4);
              return;
            case 0:
              a3 = null;
              break;
            default:
              a3 = e3.slice(0, o2).join("/");
              break;
          }
          var u2 = e3.slice(o2), c4;
          a3 === null ? c4 = "." : ((Lf(a3) || Lf(e3.map(function(p2) {
            return typeof p2 == "string" ? p2 : "[*]";
          }).join("/"))) && (!a3 || !Lf(a3)) && (a3 = "/" + a3), c4 = a3);
          var l2 = this._makeAbs(c4);
          if (nxe(this, c4))
            return i4();
          var f4 = u2[0] === g7.GLOBSTAR;
          f4 ? this._processGlobStar(a3, c4, l2, u2, r2, n2, i4) : this._processReaddir(a3, c4, l2, u2, r2, n2, i4);
        }
      };
      Le.prototype._processReaddir = function(e3, r2, n2, i4, o2, a3, u2) {
        var c4 = this;
        this._readdir(n2, a3, function(l2, f4) {
          return c4._processReaddir2(e3, r2, n2, i4, o2, a3, f4, u2);
        });
      };
      Le.prototype._processReaddir2 = function(e3, r2, n2, i4, o2, a3, u2, c4) {
        if (!u2)
          return c4();
        for (var l2 = i4[0], f4 = !!this.minimatch.negate, p2 = l2._glob, v2 = this.dot || p2.charAt(0) === ".", g2 = [], S2 = 0; S2 < u2.length; S2++) {
          var D = u2[S2];
          if (D.charAt(0) !== "." || v2) {
            var T6;
            f4 && !e3 ? T6 = !D.match(l2) : T6 = D.match(l2), T6 && g2.push(D);
          }
        }
        var R = g2.length;
        if (R === 0)
          return c4();
        if (i4.length === 1 && !this.mark && !this.stat) {
          this.matches[o2] || (this.matches[o2] = /* @__PURE__ */ Object.create(null));
          for (var S2 = 0; S2 < R; S2++) {
            var D = g2[S2];
            e3 && (e3 !== "/" ? D = e3 + "/" + D : D = e3 + D), D.charAt(0) === "/" && !this.nomount && (D = bx.join(this.root, D)), this._emitMatch(o2, D);
          }
          return c4();
        }
        i4.shift();
        for (var S2 = 0; S2 < R; S2++) {
          var D = g2[S2], A2;
          e3 && (e3 !== "/" ? D = e3 + "/" + D : D = e3 + D), this._process([D].concat(i4), o2, a3, c4);
        }
        c4();
      };
      Le.prototype._emitMatch = function(e3, r2) {
        if (!this.aborted && !ixe(this, r2)) {
          if (this.paused) {
            this._emitQueue.push([e3, r2]);
            return;
          }
          var n2 = Lf(r2) ? r2 : this._makeAbs(r2);
          if (this.mark && (r2 = this._mark(r2)), this.absolute && (r2 = n2), !this.matches[e3][r2]) {
            if (this.nodir) {
              var i4 = this.cache[n2];
              if (i4 === "DIR" || Array.isArray(i4))
                return;
            }
            this.matches[e3][r2] = true;
            var o2 = this.statCache[n2];
            o2 && this.emit("stat", r2, o2), this.emit("match", r2);
          }
        }
      };
      Le.prototype._readdirInGlobStar = function(e3, r2) {
        if (this.aborted)
          return;
        if (this.follow)
          return this._readdir(e3, false, r2);
        var n2 = "lstat\0" + e3, i4 = this, o2 = Sx(n2, a3);
        o2 && i4.fs.lstat(e3, o2);
        function a3(u2, c4) {
          if (u2 && u2.code === "ENOENT")
            return r2();
          var l2 = c4 && c4.isSymbolicLink();
          i4.symlinks[e3] = l2, !l2 && c4 && !c4.isDirectory() ? (i4.cache[e3] = "FILE", r2()) : i4._readdir(e3, false, r2);
        }
      };
      Le.prototype._readdir = function(e3, r2, n2) {
        if (!this.aborted && (n2 = Sx("readdir\0" + e3 + "\0" + r2, n2), !!n2)) {
          if (r2 && !wx(this.symlinks, e3))
            return this._readdirInGlobStar(e3, n2);
          if (wx(this.cache, e3)) {
            var i4 = this.cache[e3];
            if (!i4 || i4 === "FILE")
              return n2();
            if (Array.isArray(i4))
              return n2(null, i4);
          }
          var o2 = this;
          o2.fs.readdir(e3, uxe(this, e3, n2));
        }
      };
      function uxe(e3, r2, n2) {
        return function(i4, o2) {
          i4 ? e3._readdirError(r2, i4, n2) : e3._readdirEntries(r2, o2, n2);
        };
      }
      Le.prototype._readdirEntries = function(e3, r2, n2) {
        if (!this.aborted) {
          if (!this.mark && !this.stat)
            for (var i4 = 0; i4 < r2.length; i4++) {
              var o2 = r2[i4];
              e3 === "/" ? o2 = e3 + o2 : o2 = e3 + "/" + o2, this.cache[o2] = true;
            }
          return this.cache[e3] = r2, n2(null, r2);
        }
      };
      Le.prototype._readdirError = function(e3, r2, n2) {
        if (!this.aborted) {
          switch (r2.code) {
            case "ENOTSUP":
            case "ENOTDIR":
              var i4 = this._makeAbs(e3);
              if (this.cache[i4] = "FILE", i4 === this.cwdAbs) {
                var o2 = new Error(r2.code + " invalid cwd " + this.cwd);
                o2.path = this.cwd, o2.code = r2.code, this.emit("error", o2), this.abort();
              }
              break;
            case "ENOENT":
            case "ELOOP":
            case "ENAMETOOLONG":
            case "UNKNOWN":
              this.cache[this._makeAbs(e3)] = false;
              break;
            default:
              this.cache[this._makeAbs(e3)] = false, this.strict && (this.emit("error", r2), this.abort()), this.silent || console.error("glob error", r2);
              break;
          }
          return n2();
        }
      };
      Le.prototype._processGlobStar = function(e3, r2, n2, i4, o2, a3, u2) {
        var c4 = this;
        this._readdir(n2, a3, function(l2, f4) {
          c4._processGlobStar2(e3, r2, n2, i4, o2, a3, f4, u2);
        });
      };
      Le.prototype._processGlobStar2 = function(e3, r2, n2, i4, o2, a3, u2, c4) {
        if (!u2)
          return c4();
        var l2 = i4.slice(1), f4 = e3 ? [e3] : [], p2 = f4.concat(l2);
        this._process(p2, o2, false, c4);
        var v2 = this.symlinks[n2], g2 = u2.length;
        if (v2 && a3)
          return c4();
        for (var S2 = 0; S2 < g2; S2++) {
          var D = u2[S2];
          if (!(D.charAt(0) === "." && !this.dot)) {
            var T6 = f4.concat(u2[S2], l2);
            this._process(T6, o2, true, c4);
            var R = f4.concat(u2[S2], i4);
            this._process(R, o2, true, c4);
          }
        }
        c4();
      };
      Le.prototype._processSimple = function(e3, r2, n2) {
        var i4 = this;
        this._stat(e3, function(o2, a3) {
          i4._processSimple2(e3, r2, o2, a3, n2);
        });
      };
      Le.prototype._processSimple2 = function(e3, r2, n2, i4, o2) {
        if (this.matches[r2] || (this.matches[r2] = /* @__PURE__ */ Object.create(null)), !i4)
          return o2();
        if (e3 && Lf(e3) && !this.nomount) {
          var a3 = /[\/\\]$/.test(e3);
          e3.charAt(0) === "/" ? e3 = bx.join(this.root, e3) : (e3 = bx.resolve(this.root, e3), a3 && (e3 += "/"));
        }
        process.platform === "win32" && (e3 = e3.replace(/\\/g, "/")), this._emitMatch(r2, e3), o2();
      };
      Le.prototype._stat = function(e3, r2) {
        var n2 = this._makeAbs(e3), i4 = e3.slice(-1) === "/";
        if (e3.length > this.maxLength)
          return r2();
        if (!this.stat && wx(this.cache, n2)) {
          var o2 = this.cache[n2];
          if (Array.isArray(o2) && (o2 = "DIR"), !i4 || o2 === "DIR")
            return r2(null, o2);
          if (i4 && o2 === "FILE")
            return r2();
        }
        var a3, u2 = this.statCache[n2];
        if (u2 !== void 0) {
          if (u2 === false)
            return r2(null, u2);
          var c4 = u2.isDirectory() ? "DIR" : "FILE";
          return i4 && c4 === "FILE" ? r2() : r2(null, c4, u2);
        }
        var l2 = this, f4 = Sx("stat\0" + n2, p2);
        f4 && l2.fs.lstat(n2, f4);
        function p2(v2, g2) {
          if (g2 && g2.isSymbolicLink())
            return l2.fs.stat(n2, function(S2, D) {
              S2 ? l2._stat2(e3, n2, null, g2, r2) : l2._stat2(e3, n2, S2, D, r2);
            });
          l2._stat2(e3, n2, v2, g2, r2);
        }
      };
      Le.prototype._stat2 = function(e3, r2, n2, i4, o2) {
        if (n2 && (n2.code === "ENOENT" || n2.code === "ENOTDIR"))
          return this.statCache[r2] = false, o2();
        var a3 = e3.slice(-1) === "/";
        if (this.statCache[r2] = i4, r2.slice(-1) === "/" && i4 && !i4.isDirectory())
          return o2(null, false, i4);
        var u2 = true;
        return i4 && (u2 = i4.isDirectory() ? "DIR" : "FILE"), this.cache[r2] = this.cache[r2] || u2, a3 && u2 === "FILE" ? o2() : o2(null, u2, i4);
      };
    });
    var Tx = b((Qje, x7) => {
      "use strict";
      var We = require("assert"), w7 = require("path"), v7 = require("fs"), ec;
      try {
        ec = bg();
      } catch {
      }
      var cxe = { nosort: true, silent: true }, xx = 0, Mf = process.platform === "win32", _7 = (e3) => {
        if (["unlink", "chmod", "stat", "lstat", "rmdir", "readdir"].forEach((n2) => {
          e3[n2] = e3[n2] || v7[n2], n2 = n2 + "Sync", e3[n2] = e3[n2] || v7[n2];
        }), e3.maxBusyTries = e3.maxBusyTries || 3, e3.emfileWait = e3.emfileWait || 1e3, e3.glob === false && (e3.disableGlob = true), e3.disableGlob !== true && ec === void 0)
          throw Error("glob dependency not found, set `options.disableGlob = true` if intentional");
        e3.disableGlob = e3.disableGlob || false, e3.glob = e3.glob || cxe;
      }, Ox = (e3, r2, n2) => {
        typeof r2 == "function" && (n2 = r2, r2 = {}), We(e3, "rimraf: missing path"), We.equal(typeof e3, "string", "rimraf: path should be a string"), We.equal(typeof n2, "function", "rimraf: callback function required"), We(r2, "rimraf: invalid options argument provided"), We.equal(typeof r2, "object", "rimraf: options should be object"), _7(r2);
        let i4 = 0, o2 = null, a3 = 0, u2 = (l2) => {
          o2 = o2 || l2, --a3 === 0 && n2(o2);
        }, c4 = (l2, f4) => {
          if (l2)
            return n2(l2);
          if (a3 = f4.length, a3 === 0)
            return n2();
          f4.forEach((p2) => {
            let v2 = (g2) => {
              if (g2) {
                if ((g2.code === "EBUSY" || g2.code === "ENOTEMPTY" || g2.code === "EPERM") && i4 < r2.maxBusyTries)
                  return i4++, setTimeout(() => Dx(p2, r2, v2), i4 * 100);
                if (g2.code === "EMFILE" && xx < r2.emfileWait)
                  return setTimeout(() => Dx(p2, r2, v2), xx++);
                g2.code === "ENOENT" && (g2 = null);
              }
              xx = 0, u2(g2);
            };
            Dx(p2, r2, v2);
          });
        };
        if (r2.disableGlob || !ec.hasMagic(e3))
          return c4(null, [e3]);
        r2.lstat(e3, (l2, f4) => {
          if (!l2)
            return c4(null, [e3]);
          ec(e3, r2.glob, c4);
        });
      }, Dx = (e3, r2, n2) => {
        We(e3), We(r2), We(typeof n2 == "function"), r2.lstat(e3, (i4, o2) => {
          if (i4 && i4.code === "ENOENT")
            return n2(null);
          if (i4 && i4.code === "EPERM" && Mf && b7(e3, r2, i4, n2), o2 && o2.isDirectory())
            return Eg(e3, r2, i4, n2);
          r2.unlink(e3, (a3) => {
            if (a3) {
              if (a3.code === "ENOENT")
                return n2(null);
              if (a3.code === "EPERM")
                return Mf ? b7(e3, r2, a3, n2) : Eg(e3, r2, a3, n2);
              if (a3.code === "EISDIR")
                return Eg(e3, r2, a3, n2);
            }
            return n2(a3);
          });
        });
      }, b7 = (e3, r2, n2, i4) => {
        We(e3), We(r2), We(typeof i4 == "function"), r2.chmod(e3, 438, (o2) => {
          o2 ? i4(o2.code === "ENOENT" ? null : n2) : r2.stat(e3, (a3, u2) => {
            a3 ? i4(a3.code === "ENOENT" ? null : n2) : u2.isDirectory() ? Eg(e3, r2, n2, i4) : r2.unlink(e3, i4);
          });
        });
      }, E7 = (e3, r2, n2) => {
        We(e3), We(r2);
        try {
          r2.chmodSync(e3, 438);
        } catch (o2) {
          if (o2.code === "ENOENT")
            return;
          throw n2;
        }
        let i4;
        try {
          i4 = r2.statSync(e3);
        } catch (o2) {
          if (o2.code === "ENOENT")
            return;
          throw n2;
        }
        i4.isDirectory() ? wg(e3, r2, n2) : r2.unlinkSync(e3);
      }, Eg = (e3, r2, n2, i4) => {
        We(e3), We(r2), We(typeof i4 == "function"), r2.rmdir(e3, (o2) => {
          o2 && (o2.code === "ENOTEMPTY" || o2.code === "EEXIST" || o2.code === "EPERM") ? lxe(e3, r2, i4) : o2 && o2.code === "ENOTDIR" ? i4(n2) : i4(o2);
        });
      }, lxe = (e3, r2, n2) => {
        We(e3), We(r2), We(typeof n2 == "function"), r2.readdir(e3, (i4, o2) => {
          if (i4)
            return n2(i4);
          let a3 = o2.length;
          if (a3 === 0)
            return r2.rmdir(e3, n2);
          let u2;
          o2.forEach((c4) => {
            Ox(w7.join(e3, c4), r2, (l2) => {
              if (!u2) {
                if (l2)
                  return n2(u2 = l2);
                --a3 === 0 && r2.rmdir(e3, n2);
              }
            });
          });
        });
      }, S7 = (e3, r2) => {
        r2 = r2 || {}, _7(r2), We(e3, "rimraf: missing path"), We.equal(typeof e3, "string", "rimraf: path should be a string"), We(r2, "rimraf: missing options"), We.equal(typeof r2, "object", "rimraf: options should be object");
        let n2;
        if (r2.disableGlob || !ec.hasMagic(e3))
          n2 = [e3];
        else
          try {
            r2.lstatSync(e3), n2 = [e3];
          } catch {
            n2 = ec.sync(e3, r2.glob);
          }
        if (n2.length)
          for (let i4 = 0; i4 < n2.length; i4++) {
            let o2 = n2[i4], a3;
            try {
              a3 = r2.lstatSync(o2);
            } catch (u2) {
              if (u2.code === "ENOENT")
                return;
              u2.code === "EPERM" && Mf && E7(o2, r2, u2);
            }
            try {
              a3 && a3.isDirectory() ? wg(o2, r2, null) : r2.unlinkSync(o2);
            } catch (u2) {
              if (u2.code === "ENOENT")
                return;
              if (u2.code === "EPERM")
                return Mf ? E7(o2, r2, u2) : wg(o2, r2, u2);
              if (u2.code !== "EISDIR")
                throw u2;
              wg(o2, r2, u2);
            }
          }
      }, wg = (e3, r2, n2) => {
        We(e3), We(r2);
        try {
          r2.rmdirSync(e3);
        } catch (i4) {
          if (i4.code === "ENOENT")
            return;
          if (i4.code === "ENOTDIR")
            throw n2;
          (i4.code === "ENOTEMPTY" || i4.code === "EEXIST" || i4.code === "EPERM") && fxe(e3, r2);
        }
      }, fxe = (e3, r2) => {
        We(e3), We(r2), r2.readdirSync(e3).forEach((o2) => S7(w7.join(e3, o2), r2));
        let n2 = Mf ? 100 : 1, i4 = 0;
        do {
          let o2 = true;
          try {
            let a3 = r2.rmdirSync(e3, r2);
            return o2 = false, a3;
          } finally {
            if (++i4 < n2 && o2)
              continue;
          }
        } while (true);
      };
      x7.exports = Ox;
      Ox.sync = S7;
    });
    var R7 = b((Zje, T7) => {
      "use strict";
      var D7 = require("os"), O7 = /\s+at.*(?:\(|\s)(.*)\)?/, hxe = /^(?:(?:(?:node|(?:internal\/[\w/]*|.*node_modules\/(?:babel-polyfill|pirates)\/.*)?\w+)\.js:\d+:\d+)|native)/, pxe = typeof D7.homedir > "u" ? "" : D7.homedir();
      T7.exports = (e3, r2) => (r2 = Object.assign({ pretty: false }, r2), e3.replace(/\\/g, "/").split(`
`).filter((n2) => {
        let i4 = n2.match(O7);
        if (i4 === null || !i4[1])
          return true;
        let o2 = i4[1];
        return o2.includes(".app/Contents/Resources/electron.asar") || o2.includes(".app/Contents/Resources/default_app.asar") ? false : !hxe.test(o2);
      }).filter((n2) => n2.trim() !== "").map((n2) => r2.pretty ? n2.replace(O7, (i4, o2) => i4.replace(o2, o2.replace(pxe, "~"))) : n2).join(`
`));
    });
    var A7 = b((eUe, C7) => {
      "use strict";
      var dxe = DS(), mxe = R7(), gxe = (e3) => e3.replace(/\s+at .*aggregate-error\/index.js:\d+:\d+\)?/g, ""), Rx = class extends Error {
        constructor(r2) {
          if (!Array.isArray(r2))
            throw new TypeError(`Expected input to be an Array, got ${typeof r2}`);
          r2 = [...r2].map((i4) => i4 instanceof Error ? i4 : i4 !== null && typeof i4 == "object" ? Object.assign(new Error(i4.message), i4) : new Error(i4));
          let n2 = r2.map((i4) => typeof i4.stack == "string" ? gxe(mxe(i4.stack)) : String(i4)).join(`
`);
          n2 = `
` + dxe(n2, 4), super(n2), this.name = "AggregateError", Object.defineProperty(this, "_errors", { value: r2 });
        }
        *[Symbol.iterator]() {
          for (let r2 of this._errors)
            yield r2;
        }
      };
      C7.exports = Rx;
    });
    var P7 = b((tUe, I7) => {
      "use strict";
      var yxe = A7();
      I7.exports = async (e3, r2, { concurrency: n2 = 1 / 0, stopOnError: i4 = true } = {}) => new Promise((o2, a3) => {
        if (typeof r2 != "function")
          throw new TypeError("Mapper function is required");
        if (!((Number.isSafeInteger(n2) || n2 === 1 / 0) && n2 >= 1))
          throw new TypeError(`Expected \`concurrency\` to be an integer from 1 and up or \`Infinity\`, got \`${n2}\` (${typeof n2})`);
        let u2 = [], c4 = [], l2 = e3[Symbol.iterator](), f4 = false, p2 = false, v2 = 0, g2 = 0, S2 = () => {
          if (f4)
            return;
          let D = l2.next(), T6 = g2;
          if (g2++, D.done) {
            p2 = true, v2 === 0 && (!i4 && c4.length !== 0 ? a3(new yxe(c4)) : o2(u2));
            return;
          }
          v2++, (async () => {
            try {
              let R = await D.value;
              u2[T6] = await r2(R, T6), v2--, S2();
            } catch (R) {
              i4 ? (f4 = true, a3(R)) : (c4.push(R), v2--, S2());
            }
          })();
        };
        for (let D = 0; D < n2 && (S2(), !p2); D++)
          ;
      });
    });
    var q7 = b((rUe, Cx) => {
      "use strict";
      var { promisify: vxe } = require("util"), F7 = require("path"), L7 = Pp(), bxe = bv(), Exe = cb(), ln = Kt(), wxe = UB(), _xe = WB(), M7 = Tx(), Sxe = P7(), xxe = vxe(M7), N7 = { glob: false, unlink: ln.unlink, unlinkSync: ln.unlinkSync, chmod: ln.chmod, chmodSync: ln.chmodSync, stat: ln.stat, statSync: ln.statSync, lstat: ln.lstat, lstatSync: ln.lstatSync, rmdir: ln.rmdir, rmdirSync: ln.rmdirSync, readdir: ln.readdir, readdirSync: ln.readdirSync };
      function k7(e3, r2) {
        if (wxe(e3))
          throw new Error("Cannot delete the current working directory. Can be overridden with the `force` option.");
        if (!_xe(e3, r2))
          throw new Error("Cannot delete files/directories outside the current working directory. Can be overridden with the `force` option.");
      }
      function $7(e3) {
        return e3 = Array.isArray(e3) ? e3 : [e3], e3 = e3.map((r2) => process.platform === "win32" && bxe(r2) === false ? Exe(r2) : r2), e3;
      }
      Cx.exports = async (e3, { force: r2, dryRun: n2, cwd: i4 = process.cwd(), onProgress: o2 = () => {
      }, ...a3 } = {}) => {
        a3 = { expandDirectories: false, onlyFiles: false, followSymbolicLinks: false, cwd: i4, ...a3 }, e3 = $7(e3);
        let u2 = (await L7(e3, a3)).sort((p2, v2) => v2.localeCompare(p2));
        u2.length === 0 && o2({ totalCount: 0, deletedCount: 0, percent: 1 });
        let c4 = 0, f4 = await Sxe(u2, async (p2) => (p2 = F7.resolve(i4, p2), r2 || k7(p2, i4), n2 || await xxe(p2, N7), c4 += 1, o2({ totalCount: u2.length, deletedCount: c4, percent: c4 / u2.length }), p2), a3);
        return f4.sort((p2, v2) => p2.localeCompare(v2)), f4;
      };
      Cx.exports.sync = (e3, { force: r2, dryRun: n2, cwd: i4 = process.cwd(), ...o2 } = {}) => {
        o2 = { expandDirectories: false, onlyFiles: false, followSymbolicLinks: false, cwd: i4, ...o2 }, e3 = $7(e3);
        let u2 = L7.sync(e3, o2).sort((c4, l2) => l2.localeCompare(c4)).map((c4) => (c4 = F7.resolve(i4, c4), r2 || k7(c4, i4), n2 || M7.sync(c4, N7), c4));
        return u2.sort((c4, l2) => c4.localeCompare(l2)), u2;
      };
    });
    var G7 = b((nUe, Er) => {
      "use strict";
      var _g = require("fs"), B7 = require("path"), Dxe = BB(), j7 = a_(), Oxe = dE(), Txe = q7(), Rxe = require("stream"), { promisify: Cxe } = require("util"), Axe = Cxe(Rxe.pipeline), { writeFile: Ixe } = _g.promises, U7 = (e3 = "") => B7.join(j7, e3 + Dxe()), Pxe = async (e3, r2) => Axe(r2, _g.createWriteStream(e3)), Ax = (e3, { extraArguments: r2 = 0 } = {}) => async (...n2) => {
        let [i4, o2] = n2.slice(r2), a3 = await e3(...n2.slice(0, r2), o2);
        try {
          return await i4(a3);
        } finally {
          await Txe(a3, { force: true });
        }
      };
      Er.exports.file = (e3) => {
        if (e3 = { ...e3 }, e3.name) {
          if (e3.extension !== void 0 && e3.extension !== null)
            throw new Error("The `name` and `extension` options are mutually exclusive");
          return B7.join(Er.exports.directory(), e3.name);
        }
        return U7() + (e3.extension === void 0 || e3.extension === null ? "" : "." + e3.extension.replace(/^\./, ""));
      };
      Er.exports.file.task = Ax(Er.exports.file);
      Er.exports.directory = ({ prefix: e3 = "" } = {}) => {
        let r2 = U7(e3);
        return _g.mkdirSync(r2), r2;
      };
      Er.exports.directory.task = Ax(Er.exports.directory);
      Er.exports.write = async (e3, r2) => {
        let n2 = Er.exports.file(r2);
        return await (Oxe(e3) ? Pxe : Ixe)(n2, e3), n2;
      };
      Er.exports.write.task = Ax(Er.exports.write, { extraArguments: 1 });
      Er.exports.writeSync = (e3, r2) => {
        let n2 = Er.exports.file(r2);
        return _g.writeFileSync(n2, e3), n2;
      };
      Object.defineProperty(Er.exports, "root", { get() {
        return j7;
      } });
    });
    var rj = b((uUe, tj) => {
      "use strict";
      tj.exports = ej;
      var Nx = require("fs"), { EventEmitter: Fxe } = require("events"), { Minimatch: Mx } = Ju(), { resolve: Lxe } = require("path");
      function Mxe(e3, r2) {
        return new Promise((n2, i4) => {
          Nx.readdir(e3, { withFileTypes: true }, (o2, a3) => {
            if (o2)
              switch (o2.code) {
                case "ENOTDIR":
                  r2 ? i4(o2) : n2([]);
                  break;
                case "ENOTSUP":
                case "ENOENT":
                case "ENAMETOOLONG":
                case "UNKNOWN":
                  n2([]);
                  break;
                case "ELOOP":
                default:
                  i4(o2);
                  break;
              }
            else
              n2(a3);
          });
        });
      }
      function Q7(e3, r2) {
        return new Promise((n2, i4) => {
          (r2 ? Nx.stat : Nx.lstat)(e3, (a3, u2) => {
            if (a3)
              switch (a3.code) {
                case "ENOENT":
                  n2(r2 ? Q7(e3, false) : null);
                  break;
                default:
                  n2(null);
                  break;
              }
            else
              n2(u2);
          });
        });
      }
      async function* Z7(e3, r2, n2, i4, o2, a3) {
        let u2 = await Mxe(r2 + e3, a3);
        for (let c4 of u2) {
          let l2 = c4.name;
          l2 === void 0 && (l2 = c4, i4 = true);
          let f4 = e3 + "/" + l2, p2 = f4.slice(1), v2 = r2 + "/" + p2, g2 = null;
          (i4 || n2) && (g2 = await Q7(v2, n2)), !g2 && c4.name !== void 0 && (g2 = c4), g2 === null && (g2 = { isDirectory: () => false }), g2.isDirectory() ? o2(p2) || (yield { relative: p2, absolute: v2, stats: g2 }, yield* Z7(f4, r2, n2, i4, o2, false)) : yield { relative: p2, absolute: v2, stats: g2 };
        }
      }
      async function* Nxe(e3, r2, n2, i4) {
        yield* Z7("", e3, r2, n2, i4, true);
      }
      function kxe(e3) {
        return { pattern: e3.pattern, dot: !!e3.dot, noglobstar: !!e3.noglobstar, matchBase: !!e3.matchBase, nocase: !!e3.nocase, ignore: e3.ignore, skip: e3.skip, follow: !!e3.follow, stat: !!e3.stat, nodir: !!e3.nodir, mark: !!e3.mark, silent: !!e3.silent, absolute: !!e3.absolute };
      }
      var xg = class extends Fxe {
        constructor(r2, n2, i4) {
          if (super(), typeof n2 == "function" && (i4 = n2, n2 = null), this.options = kxe(n2 || {}), this.matchers = [], this.options.pattern) {
            let o2 = Array.isArray(this.options.pattern) ? this.options.pattern : [this.options.pattern];
            this.matchers = o2.map((a3) => new Mx(a3, { dot: this.options.dot, noglobstar: this.options.noglobstar, matchBase: this.options.matchBase, nocase: this.options.nocase }));
          }
          if (this.ignoreMatchers = [], this.options.ignore) {
            let o2 = Array.isArray(this.options.ignore) ? this.options.ignore : [this.options.ignore];
            this.ignoreMatchers = o2.map((a3) => new Mx(a3, { dot: true }));
          }
          if (this.skipMatchers = [], this.options.skip) {
            let o2 = Array.isArray(this.options.skip) ? this.options.skip : [this.options.skip];
            this.skipMatchers = o2.map((a3) => new Mx(a3, { dot: true }));
          }
          this.iterator = Nxe(Lxe(r2 || "."), this.options.follow, this.options.stat, this._shouldSkipDirectory.bind(this)), this.paused = false, this.inactive = false, this.aborted = false, i4 && (this._matches = [], this.on("match", (o2) => this._matches.push(this.options.absolute ? o2.absolute : o2.relative)), this.on("error", (o2) => i4(o2)), this.on("end", () => i4(null, this._matches))), setTimeout(() => this._next(), 0);
        }
        _shouldSkipDirectory(r2) {
          return this.skipMatchers.some((n2) => n2.match(r2));
        }
        _fileMatches(r2, n2) {
          let i4 = r2 + (n2 ? "/" : "");
          return (this.matchers.length === 0 || this.matchers.some((o2) => o2.match(i4))) && !this.ignoreMatchers.some((o2) => o2.match(i4)) && (!this.options.nodir || !n2);
        }
        _next() {
          !this.paused && !this.aborted ? this.iterator.next().then((r2) => {
            if (r2.done)
              this.emit("end");
            else {
              let n2 = r2.value.stats.isDirectory();
              if (this._fileMatches(r2.value.relative, n2)) {
                let i4 = r2.value.relative, o2 = r2.value.absolute;
                this.options.mark && n2 && (i4 += "/", o2 += "/"), this.options.stat ? this.emit("match", { relative: i4, absolute: o2, stat: r2.value.stats }) : this.emit("match", { relative: i4, absolute: o2 });
              }
              this._next(this.iterator);
            }
          }).catch((r2) => {
            this.abort(), this.emit("error", r2), !r2.code && !this.options.silent && console.error(r2);
          }) : this.inactive = true;
        }
        abort() {
          this.aborted = true;
        }
        pause() {
          this.paused = true;
        }
        resume() {
          this.paused = false, this.inactive && (this.inactive = false, this._next());
        }
      };
      function ej(e3, r2, n2) {
        return new xg(e3, r2, n2);
      }
      ej.ReaddirGlob = xg;
    });
    var eU = {};
    Ma(eU, { all: () => Hx, allLimit: () => Vx, allSeries: () => Kx, any: () => eD, anyLimit: () => tD, anySeries: () => rD, apply: () => uj, applyEach: () => dj, applyEachSeries: () => mj, asyncify: () => Og, auto: () => sD, autoInject: () => gj, cargo: () => yj, cargoQueue: () => vj, compose: () => bj, concat: () => qx, concatLimit: () => $f, concatSeries: () => Bx, constant: () => Ej, default: () => GDe, detect: () => jx, detectLimit: () => Ux, detectSeries: () => Gx, dir: () => _j, doDuring: () => Tg, doUntil: () => Sj, doWhilst: () => Tg, during: () => Pg, each: () => Wx, eachLimit: () => Rg, eachOf: () => fn, eachOfLimit: () => kf, eachOfSeries: () => ni, eachSeries: () => Cg, ensureAsync: () => uD, every: () => Hx, everyLimit: () => Vx, everySeries: () => Kx, filter: () => zx, filterLimit: () => Yx, filterSeries: () => Jx, find: () => jx, findLimit: () => Ux, findSeries: () => Gx, flatMap: () => qx, flatMapLimit: () => $f, flatMapSeries: () => Bx, foldl: () => tc, foldr: () => Qx, forEach: () => Wx, forEachLimit: () => Rg, forEachOf: () => fn, forEachOfLimit: () => kf, forEachOfSeries: () => ni, forEachSeries: () => Cg, forever: () => Dj, groupBy: () => Oj, groupByLimit: () => kg, groupBySeries: () => Tj, inject: () => tc, log: () => Rj, map: () => Mg, mapLimit: () => jf, mapSeries: () => iD, mapValues: () => Cj, mapValuesLimit: () => $g, mapValuesSeries: () => Aj, memoize: () => Ij, nextTick: () => Pj, parallel: () => Fj, parallelLimit: () => Lj, priorityQueue: () => Mj, queue: () => lD, race: () => Nj, reduce: () => tc, reduceRight: () => Qx, reflect: () => Ag, reflectAll: () => kj, reject: () => $j, rejectLimit: () => qj, rejectSeries: () => Bj, retry: () => Ig, retryable: () => Gj, select: () => zx, selectLimit: () => Yx, selectSeries: () => Jx, seq: () => aD, series: () => Wj, setImmediate: () => Qs, some: () => eD, someLimit: () => tD, someSeries: () => rD, sortBy: () => Hj, timeout: () => Vj, times: () => Kj, timesLimit: () => qg, timesSeries: () => zj, transform: () => Yj, tryEach: () => Jj, unmemoize: () => Xj, until: () => Qj, waterfall: () => Zj, whilst: () => Pg, wrapSync: () => Og });
    function uj(e3, ...r2) {
      return (...n2) => e3(...r2, ...n2);
    }
    function qf(e3) {
      return function(...r2) {
        var n2 = r2.pop();
        return e3.call(this, r2, n2);
      };
    }
    function fj(e3) {
      setTimeout(e3, 0);
    }
    function hj(e3) {
      return (r2, ...n2) => e3(() => r2(...n2));
    }
    function Og(e3) {
      return Bf(e3) ? function(...r2) {
        let n2 = r2.pop(), i4 = e3.apply(this, r2);
        return nj(i4, n2);
      } : qf(function(r2, n2) {
        var i4;
        try {
          i4 = e3.apply(this, r2);
        } catch (o2) {
          return n2(o2);
        }
        if (i4 && typeof i4.then == "function")
          return nj(i4, n2);
        n2(null, i4);
      });
    }
    function nj(e3, r2) {
      return e3.then((n2) => {
        ij(r2, null, n2);
      }, (n2) => {
        ij(r2, n2 && n2.message ? n2 : new Error(n2));
      });
    }
    function ij(e3, r2, n2) {
      try {
        e3(r2, n2);
      } catch (i4) {
        Qs((o2) => {
          throw o2;
        }, i4);
      }
    }
    function Bf(e3) {
      return e3[Symbol.toStringTag] === "AsyncFunction";
    }
    function qxe(e3) {
      return e3[Symbol.toStringTag] === "AsyncGenerator";
    }
    function Bxe(e3) {
      return typeof e3[Symbol.asyncIterator] == "function";
    }
    function be(e3) {
      if (typeof e3 != "function")
        throw new Error("expected a function");
      return Bf(e3) ? Og(e3) : e3;
    }
    function ye(e3, r2 = e3.length) {
      if (!r2)
        throw new Error("arity is undefined");
      function n2(...i4) {
        return typeof i4[r2 - 1] == "function" ? e3.apply(this, i4) : new Promise((o2, a3) => {
          i4[r2 - 1] = (u2, ...c4) => {
            if (u2)
              return a3(u2);
            o2(c4.length > 1 ? c4 : c4[0]);
          }, e3.apply(this, i4);
        });
      }
      return n2;
    }
    function pj(e3) {
      return function(n2, ...i4) {
        return ye(function(a3) {
          var u2 = this;
          return e3(n2, (c4, l2) => {
            be(c4).apply(u2, i4.concat(l2));
          }, a3);
        });
      };
    }
    function nD(e3, r2, n2, i4) {
      r2 = r2 || [];
      var o2 = [], a3 = 0, u2 = be(n2);
      return e3(r2, (c4, l2, f4) => {
        var p2 = a3++;
        u2(c4, (v2, g2) => {
          o2[p2] = g2, f4(v2);
        });
      }, (c4) => {
        i4(c4, o2);
      });
    }
    function Fg(e3) {
      return e3 && typeof e3.length == "number" && e3.length >= 0 && e3.length % 1 === 0;
    }
    function Zs(e3) {
      function r2(...n2) {
        if (e3 !== null) {
          var i4 = e3;
          e3 = null, i4.apply(this, n2);
        }
      }
      return Object.assign(r2, e3), r2;
    }
    function jxe(e3) {
      return e3[Symbol.iterator] && e3[Symbol.iterator]();
    }
    function Uxe(e3) {
      var r2 = -1, n2 = e3.length;
      return function() {
        return ++r2 < n2 ? { value: e3[r2], key: r2 } : null;
      };
    }
    function Gxe(e3) {
      var r2 = -1;
      return function() {
        var i4 = e3.next();
        return i4.done ? null : (r2++, { value: i4.value, key: r2 });
      };
    }
    function Wxe(e3) {
      var r2 = e3 ? Object.keys(e3) : [], n2 = -1, i4 = r2.length;
      return function o2() {
        var a3 = r2[++n2];
        return a3 === "__proto__" ? o2() : n2 < i4 ? { value: e3[a3], key: a3 } : null;
      };
    }
    function Hxe(e3) {
      if (Fg(e3))
        return Uxe(e3);
      var r2 = jxe(e3);
      return r2 ? Gxe(r2) : Wxe(e3);
    }
    function eo(e3) {
      return function(...r2) {
        if (e3 === null)
          throw new Error("Callback was already called.");
        var n2 = e3;
        e3 = null, n2.apply(this, r2);
      };
    }
    function sj(e3, r2, n2, i4) {
      let o2 = false, a3 = false, u2 = false, c4 = 0, l2 = 0;
      function f4() {
        c4 >= r2 || u2 || o2 || (u2 = true, e3.next().then(({ value: g2, done: S2 }) => {
          if (!(a3 || o2)) {
            if (u2 = false, S2) {
              o2 = true, c4 <= 0 && i4(null);
              return;
            }
            c4++, n2(g2, l2, p2), l2++, f4();
          }
        }).catch(v2));
      }
      function p2(g2, S2) {
        if (c4 -= 1, !a3) {
          if (g2)
            return v2(g2);
          if (g2 === false) {
            o2 = true, a3 = true;
            return;
          }
          if (S2 === Lg || o2 && c4 <= 0)
            return o2 = true, i4(null);
          f4();
        }
      }
      function v2(g2) {
        a3 || (u2 = false, o2 = true, i4(g2));
      }
      f4();
    }
    function Vxe(e3, r2, n2, i4) {
      return Fn(r2)(e3, be(n2), i4);
    }
    function Kxe(e3, r2, n2) {
      n2 = Zs(n2);
      var i4 = 0, o2 = 0, { length: a3 } = e3, u2 = false;
      a3 === 0 && n2(null);
      function c4(l2, f4) {
        l2 === false && (u2 = true), u2 !== true && (l2 ? n2(l2) : (++o2 === a3 || f4 === Lg) && n2(null));
      }
      for (; i4 < a3; i4++)
        r2(e3[i4], i4, eo(c4));
    }
    function zxe(e3, r2, n2) {
      return kf(e3, 1 / 0, r2, n2);
    }
    function Yxe(e3, r2, n2) {
      var i4 = Fg(e3) ? Kxe : zxe;
      return i4(e3, be(r2), n2);
    }
    function Jxe(e3, r2, n2) {
      return nD(fn, e3, r2, n2);
    }
    function Xxe(e3, r2, n2) {
      return kf(e3, 1, r2, n2);
    }
    function Qxe(e3, r2, n2) {
      return nD(ni, e3, r2, n2);
    }
    function rc() {
      let e3, r2;
      function n2(i4, ...o2) {
        if (i4)
          return r2(i4);
        e3(o2.length > 1 ? o2 : o2[0]);
      }
      return n2[nc] = new Promise((i4, o2) => {
        e3 = i4, r2 = o2;
      }), n2;
    }
    function sD(e3, r2, n2) {
      typeof r2 != "number" && (n2 = r2, r2 = null), n2 = Zs(n2 || rc());
      var i4 = Object.keys(e3).length;
      if (!i4)
        return n2(null);
      r2 || (r2 = i4);
      var o2 = {}, a3 = 0, u2 = false, c4 = false, l2 = /* @__PURE__ */ Object.create(null), f4 = [], p2 = [], v2 = {};
      Object.keys(e3).forEach((N) => {
        var q = e3[N];
        if (!Array.isArray(q)) {
          g2(N, [q]), p2.push(N);
          return;
        }
        var B = q.slice(0, q.length - 1), W = B.length;
        if (W === 0) {
          g2(N, q), p2.push(N);
          return;
        }
        v2[N] = W, B.forEach((P) => {
          if (!e3[P])
            throw new Error("async.auto task `" + N + "` has a non-existent dependency `" + P + "` in " + B.join(", "));
          D(P, () => {
            W--, W === 0 && g2(N, q);
          });
        });
      }), A2(), S2();
      function g2(N, q) {
        f4.push(() => R(N, q));
      }
      function S2() {
        if (!u2) {
          if (f4.length === 0 && a3 === 0)
            return n2(null, o2);
          for (; f4.length && a3 < r2; ) {
            var N = f4.shift();
            N();
          }
        }
      }
      function D(N, q) {
        var B = l2[N];
        B || (B = l2[N] = []), B.push(q);
      }
      function T6(N) {
        var q = l2[N] || [];
        q.forEach((B) => B()), S2();
      }
      function R(N, q) {
        if (!c4) {
          var B = eo((P, ...$3) => {
            if (a3--, P === false) {
              u2 = true;
              return;
            }
            if ($3.length < 2 && ([$3] = $3), P) {
              var I = {};
              if (Object.keys(o2).forEach((U) => {
                I[U] = o2[U];
              }), I[N] = $3, c4 = true, l2 = /* @__PURE__ */ Object.create(null), u2)
                return;
              n2(P, I);
            } else
              o2[N] = $3, T6(N);
          });
          a3++;
          var W = be(q[q.length - 1]);
          q.length > 1 ? W(o2, B) : W(B);
        }
      }
      function A2() {
        for (var N, q = 0; p2.length; )
          N = p2.pop(), q++, L(N).forEach((B) => {
            --v2[B] === 0 && p2.push(B);
          });
        if (q !== i4)
          throw new Error("async.auto cannot execute tasks due to a recursive dependency");
      }
      function L(N) {
        var q = [];
        return Object.keys(e3).forEach((B) => {
          let W = e3[B];
          Array.isArray(W) && W.indexOf(N) >= 0 && q.push(B);
        }), q;
      }
      return n2[nc];
    }
    function nDe(e3) {
      let r2 = "", n2 = 0, i4 = e3.indexOf("*/");
      for (; n2 < e3.length; )
        if (e3[n2] === "/" && e3[n2 + 1] === "/") {
          let o2 = e3.indexOf(`
`, n2);
          n2 = o2 === -1 ? e3.length : o2;
        } else if (i4 !== -1 && e3[n2] === "/" && e3[n2 + 1] === "*") {
          let o2 = e3.indexOf("*/", n2);
          o2 !== -1 ? (n2 = o2 + 2, i4 = e3.indexOf("*/", n2)) : (r2 += e3[n2], n2++);
        } else
          r2 += e3[n2], n2++;
      return r2;
    }
    function iDe(e3) {
      let r2 = nDe(e3.toString()), n2 = r2.match(Zxe);
      if (n2 || (n2 = r2.match(eDe)), !n2)
        throw new Error(`could not parse args in autoInject
Source:
` + r2);
      let [, i4] = n2;
      return i4.replace(/\s/g, "").split(tDe).map((o2) => o2.replace(rDe, "").trim());
    }
    function gj(e3, r2) {
      var n2 = {};
      return Object.keys(e3).forEach((i4) => {
        var o2 = e3[i4], a3, u2 = Bf(o2), c4 = !u2 && o2.length === 1 || u2 && o2.length === 0;
        if (Array.isArray(o2))
          a3 = [...o2], o2 = a3.pop(), n2[i4] = a3.concat(a3.length > 0 ? l2 : o2);
        else if (c4)
          n2[i4] = o2;
        else {
          if (a3 = iDe(o2), o2.length === 0 && !u2 && a3.length === 0)
            throw new Error("autoInject task functions require explicit parameters.");
          u2 || a3.pop(), n2[i4] = a3.concat(l2);
        }
        function l2(f4, p2) {
          var v2 = a3.map((g2) => f4[g2]);
          v2.push(p2), be(o2)(...v2);
        }
      }), sD(n2, r2);
    }
    function oj(e3, r2) {
      e3.length = 1, e3.head = e3.tail = r2;
    }
    function oD(e3, r2, n2) {
      if (r2 == null)
        r2 = 1;
      else if (r2 === 0)
        throw new RangeError("Concurrency must not be zero");
      var i4 = be(e3), o2 = 0, a3 = [];
      let u2 = { error: [], drain: [], saturated: [], unsaturated: [], empty: [] };
      function c4(L, N) {
        u2[L].push(N);
      }
      function l2(L, N) {
        let q = (...B) => {
          f4(L, q), N(...B);
        };
        u2[L].push(q);
      }
      function f4(L, N) {
        if (!L)
          return Object.keys(u2).forEach((q) => u2[q] = []);
        if (!N)
          return u2[L] = [];
        u2[L] = u2[L].filter((q) => q !== N);
      }
      function p2(L, ...N) {
        u2[L].forEach((q) => q(...N));
      }
      var v2 = false;
      function g2(L, N, q, B) {
        if (B != null && typeof B != "function")
          throw new Error("task callback must be a function");
        A2.started = true;
        var W, P;
        function $3(U, ...C) {
          if (U)
            return q ? P(U) : W();
          if (C.length <= 1)
            return W(C[0]);
          W(C);
        }
        var I = A2._createTaskItem(L, q ? $3 : B || $3);
        if (N ? A2._tasks.unshift(I) : A2._tasks.push(I), v2 || (v2 = true, Qs(() => {
          v2 = false, A2.process();
        })), q || !B)
          return new Promise((U, C) => {
            W = U, P = C;
          });
      }
      function S2(L) {
        return function(N, ...q) {
          o2 -= 1;
          for (var B = 0, W = L.length; B < W; B++) {
            var P = L[B], $3 = a3.indexOf(P);
            $3 === 0 ? a3.shift() : $3 > 0 && a3.splice($3, 1), P.callback(N, ...q), N != null && p2("error", N, P.data);
          }
          o2 <= A2.concurrency - A2.buffer && p2("unsaturated"), A2.idle() && p2("drain"), A2.process();
        };
      }
      function D(L) {
        return L.length === 0 && A2.idle() ? (Qs(() => p2("drain")), true) : false;
      }
      let T6 = (L) => (N) => {
        if (!N)
          return new Promise((q, B) => {
            l2(L, (W, P) => {
              if (W)
                return B(W);
              q(P);
            });
          });
        f4(L), c4(L, N);
      };
      var R = false, A2 = { _tasks: new $x(), _createTaskItem(L, N) {
        return { data: L, callback: N };
      }, *[Symbol.iterator]() {
        yield* A2._tasks[Symbol.iterator]();
      }, concurrency: r2, payload: n2, buffer: r2 / 4, started: false, paused: false, push(L, N) {
        return Array.isArray(L) ? D(L) ? void 0 : L.map((q) => g2(q, false, false, N)) : g2(L, false, false, N);
      }, pushAsync(L, N) {
        return Array.isArray(L) ? D(L) ? void 0 : L.map((q) => g2(q, false, true, N)) : g2(L, false, true, N);
      }, kill() {
        f4(), A2._tasks.empty();
      }, unshift(L, N) {
        return Array.isArray(L) ? D(L) ? void 0 : L.map((q) => g2(q, true, false, N)) : g2(L, true, false, N);
      }, unshiftAsync(L, N) {
        return Array.isArray(L) ? D(L) ? void 0 : L.map((q) => g2(q, true, true, N)) : g2(L, true, true, N);
      }, remove(L) {
        A2._tasks.remove(L);
      }, process() {
        if (!R) {
          for (R = true; !A2.paused && o2 < A2.concurrency && A2._tasks.length; ) {
            var L = [], N = [], q = A2._tasks.length;
            A2.payload && (q = Math.min(q, A2.payload));
            for (var B = 0; B < q; B++) {
              var W = A2._tasks.shift();
              L.push(W), a3.push(W), N.push(W.data);
            }
            o2 += 1, A2._tasks.length === 0 && p2("empty"), o2 === A2.concurrency && p2("saturated");
            var P = eo(S2(L));
            i4(N, P);
          }
          R = false;
        }
      }, length() {
        return A2._tasks.length;
      }, running() {
        return o2;
      }, workersList() {
        return a3;
      }, idle() {
        return A2._tasks.length + o2 === 0;
      }, pause() {
        A2.paused = true;
      }, resume() {
        A2.paused !== false && (A2.paused = false, Qs(A2.process));
      } };
      return Object.defineProperties(A2, { saturated: { writable: false, value: T6("saturated") }, unsaturated: { writable: false, value: T6("unsaturated") }, empty: { writable: false, value: T6("empty") }, drain: { writable: false, value: T6("drain") }, error: { writable: false, value: T6("error") } }), A2;
    }
    function yj(e3, r2) {
      return oD(e3, 1, r2);
    }
    function vj(e3, r2, n2) {
      return oD(e3, r2, n2);
    }
    function sDe(e3, r2, n2, i4) {
      i4 = Zs(i4);
      var o2 = be(n2);
      return ni(e3, (a3, u2, c4) => {
        o2(r2, a3, (l2, f4) => {
          r2 = f4, c4(l2);
        });
      }, (a3) => i4(a3, r2));
    }
    function aD(...e3) {
      var r2 = e3.map(be);
      return function(...n2) {
        var i4 = this, o2 = n2[n2.length - 1];
        return typeof o2 == "function" ? n2.pop() : o2 = rc(), tc(r2, n2, (a3, u2, c4) => {
          u2.apply(i4, a3.concat((l2, ...f4) => {
            c4(l2, f4);
          }));
        }, (a3, u2) => o2(a3, ...u2)), o2[nc];
      };
    }
    function bj(...e3) {
      return aD(...e3.reverse());
    }
    function oDe(e3, r2, n2, i4) {
      return nD(Fn(r2), e3, n2, i4);
    }
    function aDe(e3, r2, n2, i4) {
      var o2 = be(n2);
      return jf(e3, r2, (a3, u2) => {
        o2(a3, (c4, ...l2) => c4 ? u2(c4) : u2(c4, l2));
      }, (a3, u2) => {
        for (var c4 = [], l2 = 0; l2 < u2.length; l2++)
          u2[l2] && (c4 = c4.concat(...u2[l2]));
        return i4(a3, c4);
      });
    }
    function uDe(e3, r2, n2) {
      return $f(e3, 1 / 0, r2, n2);
    }
    function cDe(e3, r2, n2) {
      return $f(e3, 1, r2, n2);
    }
    function Ej(...e3) {
      return function(...r2) {
        var n2 = r2.pop();
        return n2(null, ...e3);
      };
    }
    function $i(e3, r2) {
      return (n2, i4, o2, a3) => {
        var u2 = false, c4;
        let l2 = be(o2);
        n2(i4, (f4, p2, v2) => {
          l2(f4, (g2, S2) => {
            if (g2 || g2 === false)
              return v2(g2);
            if (e3(S2) && !c4)
              return u2 = true, c4 = r2(true, f4), v2(null, Lg);
            v2();
          });
        }, (f4) => {
          if (f4)
            return a3(f4);
          a3(null, u2 ? c4 : r2(false));
        });
      };
    }
    function lDe(e3, r2, n2) {
      return $i((i4) => i4, (i4, o2) => o2)(fn, e3, r2, n2);
    }
    function fDe(e3, r2, n2, i4) {
      return $i((o2) => o2, (o2, a3) => a3)(Fn(r2), e3, n2, i4);
    }
    function hDe(e3, r2, n2) {
      return $i((i4) => i4, (i4, o2) => o2)(Fn(1), e3, r2, n2);
    }
    function wj(e3) {
      return (r2, ...n2) => be(r2)(...n2, (i4, ...o2) => {
        typeof console == "object" && (i4 ? console.error && console.error(i4) : console[e3] && o2.forEach((a3) => console[e3](a3)));
      });
    }
    function pDe(e3, r2, n2) {
      n2 = eo(n2);
      var i4 = be(e3), o2 = be(r2), a3;
      function u2(l2, ...f4) {
        if (l2)
          return n2(l2);
        l2 !== false && (a3 = f4, o2(...f4, c4));
      }
      function c4(l2, f4) {
        if (l2)
          return n2(l2);
        if (l2 !== false) {
          if (!f4)
            return n2(null, ...a3);
          i4(u2);
        }
      }
      return c4(null, true);
    }
    function Sj(e3, r2, n2) {
      let i4 = be(r2);
      return Tg(e3, (...o2) => {
        let a3 = o2.pop();
        i4(...o2, (u2, c4) => a3(u2, !c4));
      }, n2);
    }
    function xj(e3) {
      return (r2, n2, i4) => e3(r2, i4);
    }
    function dDe(e3, r2, n2) {
      return fn(e3, xj(be(r2)), n2);
    }
    function mDe(e3, r2, n2, i4) {
      return Fn(r2)(e3, xj(be(n2)), i4);
    }
    function gDe(e3, r2, n2) {
      return Rg(e3, 1, r2, n2);
    }
    function uD(e3) {
      return Bf(e3) ? e3 : function(...r2) {
        var n2 = r2.pop(), i4 = true;
        r2.push((...o2) => {
          i4 ? Qs(() => n2(...o2)) : n2(...o2);
        }), e3.apply(this, r2), i4 = false;
      };
    }
    function yDe(e3, r2, n2) {
      return $i((i4) => !i4, (i4) => !i4)(fn, e3, r2, n2);
    }
    function vDe(e3, r2, n2, i4) {
      return $i((o2) => !o2, (o2) => !o2)(Fn(r2), e3, n2, i4);
    }
    function bDe(e3, r2, n2) {
      return $i((i4) => !i4, (i4) => !i4)(ni, e3, r2, n2);
    }
    function EDe(e3, r2, n2, i4) {
      var o2 = new Array(r2.length);
      e3(r2, (a3, u2, c4) => {
        n2(a3, (l2, f4) => {
          o2[u2] = !!f4, c4(l2);
        });
      }, (a3) => {
        if (a3)
          return i4(a3);
        for (var u2 = [], c4 = 0; c4 < r2.length; c4++)
          o2[c4] && u2.push(r2[c4]);
        i4(null, u2);
      });
    }
    function wDe(e3, r2, n2, i4) {
      var o2 = [];
      e3(r2, (a3, u2, c4) => {
        n2(a3, (l2, f4) => {
          if (l2)
            return c4(l2);
          f4 && o2.push({ index: u2, value: a3 }), c4(l2);
        });
      }, (a3) => {
        if (a3)
          return i4(a3);
        i4(null, o2.sort((u2, c4) => u2.index - c4.index).map((u2) => u2.value));
      });
    }
    function Ng(e3, r2, n2, i4) {
      var o2 = Fg(r2) ? EDe : wDe;
      return o2(e3, r2, be(n2), i4);
    }
    function _De(e3, r2, n2) {
      return Ng(fn, e3, r2, n2);
    }
    function SDe(e3, r2, n2, i4) {
      return Ng(Fn(r2), e3, n2, i4);
    }
    function xDe(e3, r2, n2) {
      return Ng(ni, e3, r2, n2);
    }
    function DDe(e3, r2) {
      var n2 = eo(r2), i4 = be(uD(e3));
      function o2(a3) {
        if (a3)
          return n2(a3);
        a3 !== false && i4(o2);
      }
      return o2();
    }
    function ODe(e3, r2, n2, i4) {
      var o2 = be(n2);
      return jf(e3, r2, (a3, u2) => {
        o2(a3, (c4, l2) => c4 ? u2(c4) : u2(c4, { key: l2, val: a3 }));
      }, (a3, u2) => {
        for (var c4 = {}, { hasOwnProperty: l2 } = Object.prototype, f4 = 0; f4 < u2.length; f4++)
          if (u2[f4]) {
            var { key: p2 } = u2[f4], { val: v2 } = u2[f4];
            l2.call(c4, p2) ? c4[p2].push(v2) : c4[p2] = [v2];
          }
        return i4(a3, c4);
      });
    }
    function Oj(e3, r2, n2) {
      return kg(e3, 1 / 0, r2, n2);
    }
    function Tj(e3, r2, n2) {
      return kg(e3, 1, r2, n2);
    }
    function TDe(e3, r2, n2, i4) {
      i4 = Zs(i4);
      var o2 = {}, a3 = be(n2);
      return Fn(r2)(e3, (u2, c4, l2) => {
        a3(u2, c4, (f4, p2) => {
          if (f4)
            return l2(f4);
          o2[c4] = p2, l2(f4);
        });
      }, (u2) => i4(u2, o2));
    }
    function Cj(e3, r2, n2) {
      return $g(e3, 1 / 0, r2, n2);
    }
    function Aj(e3, r2, n2) {
      return $g(e3, 1, r2, n2);
    }
    function Ij(e3, r2 = (n2) => n2) {
      var n2 = /* @__PURE__ */ Object.create(null), i4 = /* @__PURE__ */ Object.create(null), o2 = be(e3), a3 = qf((u2, c4) => {
        var l2 = r2(...u2);
        l2 in n2 ? Qs(() => c4(null, ...n2[l2])) : l2 in i4 ? i4[l2].push(c4) : (i4[l2] = [c4], o2(...u2, (f4, ...p2) => {
          f4 || (n2[l2] = p2);
          var v2 = i4[l2];
          delete i4[l2];
          for (var g2 = 0, S2 = v2.length; g2 < S2; g2++)
            v2[g2](f4, ...p2);
        }));
      });
      return a3.memo = n2, a3.unmemoized = e3, a3;
    }
    function Fj(e3, r2) {
      return cD(fn, e3, r2);
    }
    function Lj(e3, r2, n2) {
      return cD(Fn(r2), e3, n2);
    }
    function lD(e3, r2) {
      var n2 = be(e3);
      return oD((i4, o2) => {
        n2(i4[0], o2);
      }, r2, 1);
    }
    function RDe(e3) {
      return (e3 << 1) + 1;
    }
    function aj(e3) {
      return (e3 + 1 >> 1) - 1;
    }
    function kx(e3, r2) {
      return e3.priority !== r2.priority ? e3.priority < r2.priority : e3.pushCount < r2.pushCount;
    }
    function Mj(e3, r2) {
      var n2 = lD(e3, r2), { push: i4, pushAsync: o2 } = n2;
      n2._tasks = new Xx(), n2._createTaskItem = ({ data: u2, priority: c4 }, l2) => ({ data: u2, priority: c4, callback: l2 });
      function a3(u2, c4) {
        return Array.isArray(u2) ? u2.map((l2) => ({ data: l2, priority: c4 })) : { data: u2, priority: c4 };
      }
      return n2.push = function(u2, c4 = 0, l2) {
        return i4(a3(u2, c4), l2);
      }, n2.pushAsync = function(u2, c4 = 0, l2) {
        return o2(a3(u2, c4), l2);
      }, delete n2.unshift, delete n2.unshiftAsync, n2;
    }
    function CDe(e3, r2) {
      if (r2 = Zs(r2), !Array.isArray(e3))
        return r2(new TypeError("First argument to race must be an array of functions"));
      if (!e3.length)
        return r2();
      for (var n2 = 0, i4 = e3.length; n2 < i4; n2++)
        be(e3[n2])(r2);
    }
    function Qx(e3, r2, n2, i4) {
      var o2 = [...e3].reverse();
      return tc(o2, r2, n2, i4);
    }
    function Ag(e3) {
      var r2 = be(e3);
      return qf(function(i4, o2) {
        return i4.push((a3, ...u2) => {
          let c4 = {};
          if (a3 && (c4.error = a3), u2.length > 0) {
            var l2 = u2;
            u2.length <= 1 && ([l2] = u2), c4.value = l2;
          }
          o2(null, c4);
        }), r2.apply(this, i4);
      });
    }
    function kj(e3) {
      var r2;
      return Array.isArray(e3) ? r2 = e3.map(Ag) : (r2 = {}, Object.keys(e3).forEach((n2) => {
        r2[n2] = Ag.call(this, e3[n2]);
      })), r2;
    }
    function fD(e3, r2, n2, i4) {
      let o2 = be(n2);
      return Ng(e3, r2, (a3, u2) => {
        o2(a3, (c4, l2) => {
          u2(c4, !l2);
        });
      }, i4);
    }
    function ADe(e3, r2, n2) {
      return fD(fn, e3, r2, n2);
    }
    function IDe(e3, r2, n2, i4) {
      return fD(Fn(r2), e3, n2, i4);
    }
    function PDe(e3, r2, n2) {
      return fD(ni, e3, r2, n2);
    }
    function jj(e3) {
      return function() {
        return e3;
      };
    }
    function Ig(e3, r2, n2) {
      var i4 = { times: Zx, intervalFunc: jj(Uj) };
      if (arguments.length < 3 && typeof e3 == "function" ? (n2 = r2 || rc(), r2 = e3) : (FDe(i4, e3), n2 = n2 || rc()), typeof r2 != "function")
        throw new Error("Invalid arguments for async.retry");
      var o2 = be(r2), a3 = 1;
      function u2() {
        o2((c4, ...l2) => {
          c4 !== false && (c4 && a3++ < i4.times && (typeof i4.errorFilter != "function" || i4.errorFilter(c4)) ? setTimeout(u2, i4.intervalFunc(a3 - 1)) : n2(c4, ...l2));
        });
      }
      return u2(), n2[nc];
    }
    function FDe(e3, r2) {
      if (typeof r2 == "object")
        e3.times = +r2.times || Zx, e3.intervalFunc = typeof r2.interval == "function" ? r2.interval : jj(+r2.interval || Uj), e3.errorFilter = r2.errorFilter;
      else if (typeof r2 == "number" || typeof r2 == "string")
        e3.times = +r2 || Zx;
      else
        throw new Error("Invalid arguments for async.retry");
    }
    function Gj(e3, r2) {
      r2 || (r2 = e3, e3 = null);
      let n2 = e3 && e3.arity || r2.length;
      Bf(r2) && (n2 += 1);
      var i4 = be(r2);
      return qf((o2, a3) => {
        (o2.length < n2 - 1 || a3 == null) && (o2.push(a3), a3 = rc());
        function u2(c4) {
          i4(...o2, c4);
        }
        return e3 ? Ig(e3, u2, a3) : Ig(u2, a3), a3[nc];
      });
    }
    function Wj(e3, r2) {
      return cD(ni, e3, r2);
    }
    function LDe(e3, r2, n2) {
      return $i(Boolean, (i4) => i4)(fn, e3, r2, n2);
    }
    function MDe(e3, r2, n2, i4) {
      return $i(Boolean, (o2) => o2)(Fn(r2), e3, n2, i4);
    }
    function NDe(e3, r2, n2) {
      return $i(Boolean, (i4) => i4)(ni, e3, r2, n2);
    }
    function kDe(e3, r2, n2) {
      var i4 = be(r2);
      return Mg(e3, (a3, u2) => {
        i4(a3, (c4, l2) => {
          if (c4)
            return u2(c4);
          u2(c4, { value: a3, criteria: l2 });
        });
      }, (a3, u2) => {
        if (a3)
          return n2(a3);
        n2(null, u2.sort(o2).map((c4) => c4.value));
      });
      function o2(a3, u2) {
        var c4 = a3.criteria, l2 = u2.criteria;
        return c4 < l2 ? -1 : c4 > l2 ? 1 : 0;
      }
    }
    function Vj(e3, r2, n2) {
      var i4 = be(e3);
      return qf((o2, a3) => {
        var u2 = false, c4;
        function l2() {
          var f4 = e3.name || "anonymous", p2 = new Error('Callback function "' + f4 + '" timed out.');
          p2.code = "ETIMEDOUT", n2 && (p2.info = n2), u2 = true, a3(p2);
        }
        o2.push((...f4) => {
          u2 || (a3(...f4), clearTimeout(c4));
        }), c4 = setTimeout(l2, r2), i4(...o2);
      });
    }
    function $De(e3) {
      for (var r2 = Array(e3); e3--; )
        r2[e3] = e3;
      return r2;
    }
    function qg(e3, r2, n2, i4) {
      var o2 = be(n2);
      return jf($De(e3), r2, o2, i4);
    }
    function Kj(e3, r2, n2) {
      return qg(e3, 1 / 0, r2, n2);
    }
    function zj(e3, r2, n2) {
      return qg(e3, 1, r2, n2);
    }
    function Yj(e3, r2, n2, i4) {
      arguments.length <= 3 && typeof r2 == "function" && (i4 = n2, n2 = r2, r2 = Array.isArray(e3) ? [] : {}), i4 = Zs(i4 || rc());
      var o2 = be(n2);
      return fn(e3, (a3, u2, c4) => {
        o2(r2, a3, u2, c4);
      }, (a3) => i4(a3, r2)), i4[nc];
    }
    function qDe(e3, r2) {
      var n2 = null, i4;
      return Cg(e3, (o2, a3) => {
        be(o2)((u2, ...c4) => {
          if (u2 === false)
            return a3(u2);
          c4.length < 2 ? [i4] = c4 : i4 = c4, n2 = u2, a3(u2 ? null : {});
        });
      }, () => r2(n2, i4));
    }
    function Xj(e3) {
      return (...r2) => (e3.unmemoized || e3)(...r2);
    }
    function BDe(e3, r2, n2) {
      n2 = eo(n2);
      var i4 = be(r2), o2 = be(e3), a3 = [];
      function u2(l2, ...f4) {
        if (l2)
          return n2(l2);
        a3 = f4, l2 !== false && o2(c4);
      }
      function c4(l2, f4) {
        if (l2)
          return n2(l2);
        if (l2 !== false) {
          if (!f4)
            return n2(null, ...a3);
          i4(u2);
        }
      }
      return o2(c4);
    }
    function Qj(e3, r2, n2) {
      let i4 = be(e3);
      return Pg((o2) => i4((a3, u2) => o2(a3, !u2)), r2, n2);
    }
    function jDe(e3, r2) {
      if (r2 = Zs(r2), !Array.isArray(e3))
        return r2(new Error("First argument to waterfall must be an array of functions"));
      if (!e3.length)
        return r2();
      var n2 = 0;
      function i4(a3) {
        var u2 = be(e3[n2++]);
        u2(...a3, eo(o2));
      }
      function o2(a3, ...u2) {
        if (a3 !== false) {
          if (a3 || n2 === e3.length)
            return r2(a3, ...u2);
          i4(u2);
        }
      }
      i4([]);
    }
    var $xe;
    var cj;
    var lj;
    var Nf;
    var Qs;
    var Lg;
    var Fn;
    var kf;
    var fn;
    var Mg;
    var dj;
    var ni;
    var iD;
    var mj;
    var nc;
    var Zxe;
    var eDe;
    var tDe;
    var rDe;
    var $x;
    var tc;
    var jf;
    var $f;
    var qx;
    var Bx;
    var jx;
    var Ux;
    var Gx;
    var _j;
    var Tg;
    var Wx;
    var Rg;
    var Cg;
    var Hx;
    var Vx;
    var Kx;
    var zx;
    var Yx;
    var Jx;
    var Dj;
    var kg;
    var Rj;
    var $g;
    var Dg;
    var Pj;
    var cD;
    var Xx;
    var Nj;
    var $j;
    var qj;
    var Bj;
    var Zx;
    var Uj;
    var eD;
    var tD;
    var rD;
    var Hj;
    var Jj;
    var Pg;
    var Zj;
    var UDe;
    var GDe;
    var tU = iZ(() => {
      "use strict";
      $xe = typeof queueMicrotask == "function" && queueMicrotask, cj = typeof setImmediate == "function" && setImmediate, lj = typeof process == "object" && typeof process.nextTick == "function";
      $xe ? Nf = queueMicrotask : cj ? Nf = setImmediate : lj ? Nf = process.nextTick : Nf = fj;
      Qs = hj(Nf);
      Lg = {};
      Fn = (e3) => (r2, n2, i4) => {
        if (i4 = Zs(i4), e3 <= 0)
          throw new RangeError("concurrency limit cannot be less than 1");
        if (!r2)
          return i4(null);
        if (qxe(r2))
          return sj(r2, e3, n2, i4);
        if (Bxe(r2))
          return sj(r2[Symbol.asyncIterator](), e3, n2, i4);
        var o2 = Hxe(r2), a3 = false, u2 = false, c4 = 0, l2 = false;
        function f4(v2, g2) {
          if (!u2)
            if (c4 -= 1, v2)
              a3 = true, i4(v2);
            else if (v2 === false)
              a3 = true, u2 = true;
            else {
              if (g2 === Lg || a3 && c4 <= 0)
                return a3 = true, i4(null);
              l2 || p2();
            }
        }
        function p2() {
          for (l2 = true; c4 < e3 && !a3; ) {
            var v2 = o2();
            if (v2 === null) {
              a3 = true, c4 <= 0 && i4(null);
              return;
            }
            c4 += 1, n2(v2.value, v2.key, eo(f4));
          }
          l2 = false;
        }
        p2();
      };
      kf = ye(Vxe, 4);
      fn = ye(Yxe, 3);
      Mg = ye(Jxe, 3), dj = pj(Mg);
      ni = ye(Xxe, 3);
      iD = ye(Qxe, 3), mj = pj(iD), nc = Symbol("promiseCallback");
      Zxe = /^(?:async\s+)?(?:function)?\s*\w*\s*\(\s*([^)]+)\s*\)(?:\s*{)/, eDe = /^(?:async\s+)?\(?\s*([^)=]+)\s*\)?(?:\s*=>)/, tDe = /,/, rDe = /(=.+)?(\s*)$/;
      $x = class {
        constructor() {
          this.head = this.tail = null, this.length = 0;
        }
        removeLink(r2) {
          return r2.prev ? r2.prev.next = r2.next : this.head = r2.next, r2.next ? r2.next.prev = r2.prev : this.tail = r2.prev, r2.prev = r2.next = null, this.length -= 1, r2;
        }
        empty() {
          for (; this.head; )
            this.shift();
          return this;
        }
        insertAfter(r2, n2) {
          n2.prev = r2, n2.next = r2.next, r2.next ? r2.next.prev = n2 : this.tail = n2, r2.next = n2, this.length += 1;
        }
        insertBefore(r2, n2) {
          n2.prev = r2.prev, n2.next = r2, r2.prev ? r2.prev.next = n2 : this.head = n2, r2.prev = n2, this.length += 1;
        }
        unshift(r2) {
          this.head ? this.insertBefore(this.head, r2) : oj(this, r2);
        }
        push(r2) {
          this.tail ? this.insertAfter(this.tail, r2) : oj(this, r2);
        }
        shift() {
          return this.head && this.removeLink(this.head);
        }
        pop() {
          return this.tail && this.removeLink(this.tail);
        }
        toArray() {
          return [...this];
        }
        *[Symbol.iterator]() {
          for (var r2 = this.head; r2; )
            yield r2.data, r2 = r2.next;
        }
        remove(r2) {
          for (var n2 = this.head; n2; ) {
            var { next: i4 } = n2;
            r2(n2) && this.removeLink(n2), n2 = i4;
          }
          return this;
        }
      };
      tc = ye(sDe, 4);
      jf = ye(oDe, 4);
      $f = ye(aDe, 4);
      qx = ye(uDe, 3);
      Bx = ye(cDe, 3);
      jx = ye(lDe, 3);
      Ux = ye(fDe, 4);
      Gx = ye(hDe, 3);
      _j = wj("dir");
      Tg = ye(pDe, 3);
      Wx = ye(dDe, 3);
      Rg = ye(mDe, 4);
      Cg = ye(gDe, 3);
      Hx = ye(yDe, 3);
      Vx = ye(vDe, 4);
      Kx = ye(bDe, 3);
      zx = ye(_De, 3);
      Yx = ye(SDe, 4);
      Jx = ye(xDe, 3);
      Dj = ye(DDe, 2);
      kg = ye(ODe, 4);
      Rj = wj("log");
      $g = ye(TDe, 4);
      lj ? Dg = process.nextTick : cj ? Dg = setImmediate : Dg = fj;
      Pj = hj(Dg), cD = ye((e3, r2, n2) => {
        var i4 = Fg(r2) ? [] : {};
        e3(r2, (o2, a3, u2) => {
          be(o2)((c4, ...l2) => {
            l2.length < 2 && ([l2] = l2), i4[a3] = l2, u2(c4);
          });
        }, (o2) => n2(o2, i4));
      }, 3);
      Xx = class {
        constructor() {
          this.heap = [], this.pushCount = Number.MIN_SAFE_INTEGER;
        }
        get length() {
          return this.heap.length;
        }
        empty() {
          return this.heap = [], this;
        }
        percUp(r2) {
          let n2;
          for (; r2 > 0 && kx(this.heap[r2], this.heap[n2 = aj(r2)]); ) {
            let i4 = this.heap[r2];
            this.heap[r2] = this.heap[n2], this.heap[n2] = i4, r2 = n2;
          }
        }
        percDown(r2) {
          let n2;
          for (; (n2 = RDe(r2)) < this.heap.length && (n2 + 1 < this.heap.length && kx(this.heap[n2 + 1], this.heap[n2]) && (n2 = n2 + 1), !kx(this.heap[r2], this.heap[n2])); ) {
            let i4 = this.heap[r2];
            this.heap[r2] = this.heap[n2], this.heap[n2] = i4, r2 = n2;
          }
        }
        push(r2) {
          r2.pushCount = ++this.pushCount, this.heap.push(r2), this.percUp(this.heap.length - 1);
        }
        unshift(r2) {
          return this.heap.push(r2);
        }
        shift() {
          let [r2] = this.heap;
          return this.heap[0] = this.heap[this.heap.length - 1], this.heap.pop(), this.percDown(0), r2;
        }
        toArray() {
          return [...this];
        }
        *[Symbol.iterator]() {
          for (let r2 = 0; r2 < this.heap.length; r2++)
            yield this.heap[r2].data;
        }
        remove(r2) {
          let n2 = 0;
          for (let i4 = 0; i4 < this.heap.length; i4++)
            r2(this.heap[i4]) || (this.heap[n2] = this.heap[i4], n2++);
          this.heap.splice(n2);
          for (let i4 = aj(this.heap.length - 1); i4 >= 0; i4--)
            this.percDown(i4);
          return this;
        }
      };
      Nj = ye(CDe, 2);
      $j = ye(ADe, 3);
      qj = ye(IDe, 4);
      Bj = ye(PDe, 3);
      Zx = 5, Uj = 0;
      eD = ye(LDe, 3);
      tD = ye(MDe, 4);
      rD = ye(NDe, 3);
      Hj = ye(kDe, 3);
      Jj = ye(qDe);
      Pg = ye(BDe, 3);
      Zj = ye(jDe), UDe = { apply: uj, applyEach: dj, applyEachSeries: mj, asyncify: Og, auto: sD, autoInject: gj, cargo: yj, cargoQueue: vj, compose: bj, concat: qx, concatLimit: $f, concatSeries: Bx, constant: Ej, detect: jx, detectLimit: Ux, detectSeries: Gx, dir: _j, doUntil: Sj, doWhilst: Tg, each: Wx, eachLimit: Rg, eachOf: fn, eachOfLimit: kf, eachOfSeries: ni, eachSeries: Cg, ensureAsync: uD, every: Hx, everyLimit: Vx, everySeries: Kx, filter: zx, filterLimit: Yx, filterSeries: Jx, forever: Dj, groupBy: Oj, groupByLimit: kg, groupBySeries: Tj, log: Rj, map: Mg, mapLimit: jf, mapSeries: iD, mapValues: Cj, mapValuesLimit: $g, mapValuesSeries: Aj, memoize: Ij, nextTick: Pj, parallel: Fj, parallelLimit: Lj, priorityQueue: Mj, queue: lD, race: Nj, reduce: tc, reduceRight: Qx, reflect: Ag, reflectAll: kj, reject: $j, rejectLimit: qj, rejectSeries: Bj, retry: Ig, retryable: Gj, seq: aD, series: Wj, setImmediate: Qs, some: eD, someLimit: tD, someSeries: rD, sortBy: Hj, timeout: Vj, times: Kj, timesLimit: qg, timesSeries: zj, transform: Yj, tryEach: Jj, unmemoize: Xj, until: Qj, waterfall: Zj, whilst: Pg, all: Hx, allLimit: Vx, allSeries: Kx, any: eD, anyLimit: tD, anySeries: rD, find: jx, findLimit: Ux, findSeries: Gx, flatMap: qx, flatMapLimit: $f, flatMapSeries: Bx, forEach: Wx, forEachSeries: Cg, forEachLimit: Rg, forEachOf: fn, forEachOfSeries: ni, forEachOfLimit: kf, inject: tc, foldl: tc, foldr: Qx, select: zx, selectLimit: Yx, selectSeries: Jx, wrapSync: Og, during: Pg, doDuring: Tg }, GDe = UDe;
    });
    var Uf = b((cUe, hD) => {
      "use strict";
      typeof process > "u" || !process.version || process.version.indexOf("v0.") === 0 || process.version.indexOf("v1.") === 0 && process.version.indexOf("v1.8.") !== 0 ? hD.exports = { nextTick: WDe } : hD.exports = process;
      function WDe(e3, r2, n2, i4) {
        if (typeof e3 != "function")
          throw new TypeError('"callback" argument must be a function');
        var o2 = arguments.length, a3, u2;
        switch (o2) {
          case 0:
          case 1:
            return process.nextTick(e3);
          case 2:
            return process.nextTick(function() {
              e3.call(null, r2);
            });
          case 3:
            return process.nextTick(function() {
              e3.call(null, r2, n2);
            });
          case 4:
            return process.nextTick(function() {
              e3.call(null, r2, n2, i4);
            });
          default:
            for (a3 = new Array(o2 - 1), u2 = 0; u2 < a3.length; )
              a3[u2++] = arguments[u2];
            return process.nextTick(function() {
              e3.apply(null, a3);
            });
        }
      }
    });
    var nU = b((lUe, rU) => {
      "use strict";
      var HDe = {}.toString;
      rU.exports = Array.isArray || function(e3) {
        return HDe.call(e3) == "[object Array]";
      };
    });
    var pD = b((fUe, iU) => {
      "use strict";
      iU.exports = require("stream");
    });
    var Gf = b((dD, oU) => {
      "use strict";
      var Bg = require("buffer"), qi = Bg.Buffer;
      function sU(e3, r2) {
        for (var n2 in e3)
          r2[n2] = e3[n2];
      }
      qi.from && qi.alloc && qi.allocUnsafe && qi.allocUnsafeSlow ? oU.exports = Bg : (sU(Bg, dD), dD.Buffer = ic);
      function ic(e3, r2, n2) {
        return qi(e3, r2, n2);
      }
      sU(qi, ic);
      ic.from = function(e3, r2, n2) {
        if (typeof e3 == "number")
          throw new TypeError("Argument must not be a number");
        return qi(e3, r2, n2);
      };
      ic.alloc = function(e3, r2, n2) {
        if (typeof e3 != "number")
          throw new TypeError("Argument must be a number");
        var i4 = qi(e3);
        return r2 !== void 0 ? typeof n2 == "string" ? i4.fill(r2, n2) : i4.fill(r2) : i4.fill(0), i4;
      };
      ic.allocUnsafe = function(e3) {
        if (typeof e3 != "number")
          throw new TypeError("Argument must be a number");
        return qi(e3);
      };
      ic.allocUnsafeSlow = function(e3) {
        if (typeof e3 != "number")
          throw new TypeError("Argument must be a number");
        return Bg.SlowBuffer(e3);
      };
    });
    var sc = b((cr) => {
      "use strict";
      function VDe(e3) {
        return Array.isArray ? Array.isArray(e3) : jg(e3) === "[object Array]";
      }
      cr.isArray = VDe;
      function KDe(e3) {
        return typeof e3 == "boolean";
      }
      cr.isBoolean = KDe;
      function zDe(e3) {
        return e3 === null;
      }
      cr.isNull = zDe;
      function YDe(e3) {
        return e3 == null;
      }
      cr.isNullOrUndefined = YDe;
      function JDe(e3) {
        return typeof e3 == "number";
      }
      cr.isNumber = JDe;
      function XDe(e3) {
        return typeof e3 == "string";
      }
      cr.isString = XDe;
      function QDe(e3) {
        return typeof e3 == "symbol";
      }
      cr.isSymbol = QDe;
      function ZDe(e3) {
        return e3 === void 0;
      }
      cr.isUndefined = ZDe;
      function e2e(e3) {
        return jg(e3) === "[object RegExp]";
      }
      cr.isRegExp = e2e;
      function t2e(e3) {
        return typeof e3 == "object" && e3 !== null;
      }
      cr.isObject = t2e;
      function r2e(e3) {
        return jg(e3) === "[object Date]";
      }
      cr.isDate = r2e;
      function n2e(e3) {
        return jg(e3) === "[object Error]" || e3 instanceof Error;
      }
      cr.isError = n2e;
      function i2e(e3) {
        return typeof e3 == "function";
      }
      cr.isFunction = i2e;
      function s2e(e3) {
        return e3 === null || typeof e3 == "boolean" || typeof e3 == "number" || typeof e3 == "string" || typeof e3 == "symbol" || typeof e3 > "u";
      }
      cr.isPrimitive = s2e;
      cr.isBuffer = require("buffer").Buffer.isBuffer;
      function jg(e3) {
        return Object.prototype.toString.call(e3);
      }
    });
    var uU = b((pUe, mD) => {
      "use strict";
      function o2e(e3, r2) {
        if (!(e3 instanceof r2))
          throw new TypeError("Cannot call a class as a function");
      }
      var aU = Gf().Buffer, Wf = require("util");
      function a2e(e3, r2, n2) {
        e3.copy(r2, n2);
      }
      mD.exports = function() {
        function e3() {
          o2e(this, e3), this.head = null, this.tail = null, this.length = 0;
        }
        return e3.prototype.push = function(n2) {
          var i4 = { data: n2, next: null };
          this.length > 0 ? this.tail.next = i4 : this.head = i4, this.tail = i4, ++this.length;
        }, e3.prototype.unshift = function(n2) {
          var i4 = { data: n2, next: this.head };
          this.length === 0 && (this.tail = i4), this.head = i4, ++this.length;
        }, e3.prototype.shift = function() {
          if (this.length !== 0) {
            var n2 = this.head.data;
            return this.length === 1 ? this.head = this.tail = null : this.head = this.head.next, --this.length, n2;
          }
        }, e3.prototype.clear = function() {
          this.head = this.tail = null, this.length = 0;
        }, e3.prototype.join = function(n2) {
          if (this.length === 0)
            return "";
          for (var i4 = this.head, o2 = "" + i4.data; i4 = i4.next; )
            o2 += n2 + i4.data;
          return o2;
        }, e3.prototype.concat = function(n2) {
          if (this.length === 0)
            return aU.alloc(0);
          if (this.length === 1)
            return this.head.data;
          for (var i4 = aU.allocUnsafe(n2 >>> 0), o2 = this.head, a3 = 0; o2; )
            a2e(o2.data, i4, a3), a3 += o2.data.length, o2 = o2.next;
          return i4;
        }, e3;
      }();
      Wf && Wf.inspect && Wf.inspect.custom && (mD.exports.prototype[Wf.inspect.custom] = function() {
        var e3 = Wf.inspect({ length: this.length });
        return this.constructor.name + " " + e3;
      });
    });
    var gD = b((dUe, fU) => {
      "use strict";
      var cU = Uf();
      function u2e(e3, r2) {
        var n2 = this, i4 = this._readableState && this._readableState.destroyed, o2 = this._writableState && this._writableState.destroyed;
        return i4 || o2 ? (r2 ? r2(e3) : e3 && (!this._writableState || !this._writableState.errorEmitted) && cU.nextTick(lU, this, e3), this) : (this._readableState && (this._readableState.destroyed = true), this._writableState && (this._writableState.destroyed = true), this._destroy(e3 || null, function(a3) {
          !r2 && a3 ? (cU.nextTick(lU, n2, a3), n2._writableState && (n2._writableState.errorEmitted = true)) : r2 && r2(a3);
        }), this);
      }
      function c2e() {
        this._readableState && (this._readableState.destroyed = false, this._readableState.reading = false, this._readableState.ended = false, this._readableState.endEmitted = false), this._writableState && (this._writableState.destroyed = false, this._writableState.ended = false, this._writableState.ending = false, this._writableState.finished = false, this._writableState.errorEmitted = false);
      }
      function lU(e3, r2) {
        e3.emit("error", r2);
      }
      fU.exports = { destroy: u2e, undestroy: c2e };
    });
    var yD = b((mUe, hU) => {
      "use strict";
      hU.exports = require("util").deprecate;
    });
    var bD = b((gUe, EU) => {
      "use strict";
      var ga = Uf();
      EU.exports = Tt;
      function dU(e3) {
        var r2 = this;
        this.next = null, this.entry = null, this.finish = function() {
          T2e(r2, e3);
        };
      }
      var l2e = !process.browser && ["v0.10", "v0.9."].indexOf(process.version.slice(0, 5)) > -1 ? setImmediate : ga.nextTick, oc;
      Tt.WritableState = Vf;
      var mU = Object.create(sc());
      mU.inherits = br();
      var f2e = { deprecate: yD() }, gU = pD(), Gg = Gf().Buffer, h2e = global.Uint8Array || function() {
      };
      function p2e(e3) {
        return Gg.from(e3);
      }
      function d2e(e3) {
        return Gg.isBuffer(e3) || e3 instanceof h2e;
      }
      var yU = gD();
      mU.inherits(Tt, gU);
      function m2e() {
      }
      function Vf(e3, r2) {
        oc = oc || ya(), e3 = e3 || {};
        var n2 = r2 instanceof oc;
        this.objectMode = !!e3.objectMode, n2 && (this.objectMode = this.objectMode || !!e3.writableObjectMode);
        var i4 = e3.highWaterMark, o2 = e3.writableHighWaterMark, a3 = this.objectMode ? 16 : 16 * 1024;
        i4 || i4 === 0 ? this.highWaterMark = i4 : n2 && (o2 || o2 === 0) ? this.highWaterMark = o2 : this.highWaterMark = a3, this.highWaterMark = Math.floor(this.highWaterMark), this.finalCalled = false, this.needDrain = false, this.ending = false, this.ended = false, this.finished = false, this.destroyed = false;
        var u2 = e3.decodeStrings === false;
        this.decodeStrings = !u2, this.defaultEncoding = e3.defaultEncoding || "utf8", this.length = 0, this.writing = false, this.corked = 0, this.sync = true, this.bufferProcessing = false, this.onwrite = function(c4) {
          _2e(r2, c4);
        }, this.writecb = null, this.writelen = 0, this.bufferedRequest = null, this.lastBufferedRequest = null, this.pendingcb = 0, this.prefinished = false, this.errorEmitted = false, this.bufferedRequestCount = 0, this.corkedRequestsFree = new dU(this);
      }
      Vf.prototype.getBuffer = function() {
        for (var r2 = this.bufferedRequest, n2 = []; r2; )
          n2.push(r2), r2 = r2.next;
        return n2;
      };
      (function() {
        try {
          Object.defineProperty(Vf.prototype, "buffer", { get: f2e.deprecate(function() {
            return this.getBuffer();
          }, "_writableState.buffer is deprecated. Use _writableState.getBuffer instead.", "DEP0003") });
        } catch {
        }
      })();
      var Ug;
      typeof Symbol == "function" && Symbol.hasInstance && typeof Function.prototype[Symbol.hasInstance] == "function" ? (Ug = Function.prototype[Symbol.hasInstance], Object.defineProperty(Tt, Symbol.hasInstance, { value: function(e3) {
        return Ug.call(this, e3) ? true : this !== Tt ? false : e3 && e3._writableState instanceof Vf;
      } })) : Ug = function(e3) {
        return e3 instanceof this;
      };
      function Tt(e3) {
        if (oc = oc || ya(), !Ug.call(Tt, this) && !(this instanceof oc))
          return new Tt(e3);
        this._writableState = new Vf(e3, this), this.writable = true, e3 && (typeof e3.write == "function" && (this._write = e3.write), typeof e3.writev == "function" && (this._writev = e3.writev), typeof e3.destroy == "function" && (this._destroy = e3.destroy), typeof e3.final == "function" && (this._final = e3.final)), gU.call(this);
      }
      Tt.prototype.pipe = function() {
        this.emit("error", new Error("Cannot pipe, not readable"));
      };
      function g2e(e3, r2) {
        var n2 = new Error("write after end");
        e3.emit("error", n2), ga.nextTick(r2, n2);
      }
      function y2e(e3, r2, n2, i4) {
        var o2 = true, a3 = false;
        return n2 === null ? a3 = new TypeError("May not write null values to stream") : typeof n2 != "string" && n2 !== void 0 && !r2.objectMode && (a3 = new TypeError("Invalid non-string/buffer chunk")), a3 && (e3.emit("error", a3), ga.nextTick(i4, a3), o2 = false), o2;
      }
      Tt.prototype.write = function(e3, r2, n2) {
        var i4 = this._writableState, o2 = false, a3 = !i4.objectMode && d2e(e3);
        return a3 && !Gg.isBuffer(e3) && (e3 = p2e(e3)), typeof r2 == "function" && (n2 = r2, r2 = null), a3 ? r2 = "buffer" : r2 || (r2 = i4.defaultEncoding), typeof n2 != "function" && (n2 = m2e), i4.ended ? g2e(this, n2) : (a3 || y2e(this, i4, e3, n2)) && (i4.pendingcb++, o2 = b2e(this, i4, a3, e3, r2, n2)), o2;
      };
      Tt.prototype.cork = function() {
        var e3 = this._writableState;
        e3.corked++;
      };
      Tt.prototype.uncork = function() {
        var e3 = this._writableState;
        e3.corked && (e3.corked--, !e3.writing && !e3.corked && !e3.finished && !e3.bufferProcessing && e3.bufferedRequest && vU(this, e3));
      };
      Tt.prototype.setDefaultEncoding = function(r2) {
        if (typeof r2 == "string" && (r2 = r2.toLowerCase()), !(["hex", "utf8", "utf-8", "ascii", "binary", "base64", "ucs2", "ucs-2", "utf16le", "utf-16le", "raw"].indexOf((r2 + "").toLowerCase()) > -1))
          throw new TypeError("Unknown encoding: " + r2);
        return this._writableState.defaultEncoding = r2, this;
      };
      function v2e(e3, r2, n2) {
        return !e3.objectMode && e3.decodeStrings !== false && typeof r2 == "string" && (r2 = Gg.from(r2, n2)), r2;
      }
      Object.defineProperty(Tt.prototype, "writableHighWaterMark", { enumerable: false, get: function() {
        return this._writableState.highWaterMark;
      } });
      function b2e(e3, r2, n2, i4, o2, a3) {
        if (!n2) {
          var u2 = v2e(r2, i4, o2);
          i4 !== u2 && (n2 = true, o2 = "buffer", i4 = u2);
        }
        var c4 = r2.objectMode ? 1 : i4.length;
        r2.length += c4;
        var l2 = r2.length < r2.highWaterMark;
        if (l2 || (r2.needDrain = true), r2.writing || r2.corked) {
          var f4 = r2.lastBufferedRequest;
          r2.lastBufferedRequest = { chunk: i4, encoding: o2, isBuf: n2, callback: a3, next: null }, f4 ? f4.next = r2.lastBufferedRequest : r2.bufferedRequest = r2.lastBufferedRequest, r2.bufferedRequestCount += 1;
        } else
          vD(e3, r2, false, c4, i4, o2, a3);
        return l2;
      }
      function vD(e3, r2, n2, i4, o2, a3, u2) {
        r2.writelen = i4, r2.writecb = u2, r2.writing = true, r2.sync = true, n2 ? e3._writev(o2, r2.onwrite) : e3._write(o2, a3, r2.onwrite), r2.sync = false;
      }
      function E2e(e3, r2, n2, i4, o2) {
        --r2.pendingcb, n2 ? (ga.nextTick(o2, i4), ga.nextTick(Hf, e3, r2), e3._writableState.errorEmitted = true, e3.emit("error", i4)) : (o2(i4), e3._writableState.errorEmitted = true, e3.emit("error", i4), Hf(e3, r2));
      }
      function w2e(e3) {
        e3.writing = false, e3.writecb = null, e3.length -= e3.writelen, e3.writelen = 0;
      }
      function _2e(e3, r2) {
        var n2 = e3._writableState, i4 = n2.sync, o2 = n2.writecb;
        if (w2e(n2), r2)
          E2e(e3, n2, i4, r2, o2);
        else {
          var a3 = bU(n2);
          !a3 && !n2.corked && !n2.bufferProcessing && n2.bufferedRequest && vU(e3, n2), i4 ? l2e(pU, e3, n2, a3, o2) : pU(e3, n2, a3, o2);
        }
      }
      function pU(e3, r2, n2, i4) {
        n2 || S2e(e3, r2), r2.pendingcb--, i4(), Hf(e3, r2);
      }
      function S2e(e3, r2) {
        r2.length === 0 && r2.needDrain && (r2.needDrain = false, e3.emit("drain"));
      }
      function vU(e3, r2) {
        r2.bufferProcessing = true;
        var n2 = r2.bufferedRequest;
        if (e3._writev && n2 && n2.next) {
          var i4 = r2.bufferedRequestCount, o2 = new Array(i4), a3 = r2.corkedRequestsFree;
          a3.entry = n2;
          for (var u2 = 0, c4 = true; n2; )
            o2[u2] = n2, n2.isBuf || (c4 = false), n2 = n2.next, u2 += 1;
          o2.allBuffers = c4, vD(e3, r2, true, r2.length, o2, "", a3.finish), r2.pendingcb++, r2.lastBufferedRequest = null, a3.next ? (r2.corkedRequestsFree = a3.next, a3.next = null) : r2.corkedRequestsFree = new dU(r2), r2.bufferedRequestCount = 0;
        } else {
          for (; n2; ) {
            var l2 = n2.chunk, f4 = n2.encoding, p2 = n2.callback, v2 = r2.objectMode ? 1 : l2.length;
            if (vD(e3, r2, false, v2, l2, f4, p2), n2 = n2.next, r2.bufferedRequestCount--, r2.writing)
              break;
          }
          n2 === null && (r2.lastBufferedRequest = null);
        }
        r2.bufferedRequest = n2, r2.bufferProcessing = false;
      }
      Tt.prototype._write = function(e3, r2, n2) {
        n2(new Error("_write() is not implemented"));
      };
      Tt.prototype._writev = null;
      Tt.prototype.end = function(e3, r2, n2) {
        var i4 = this._writableState;
        typeof e3 == "function" ? (n2 = e3, e3 = null, r2 = null) : typeof r2 == "function" && (n2 = r2, r2 = null), e3 != null && this.write(e3, r2), i4.corked && (i4.corked = 1, this.uncork()), !i4.ending && !i4.finished && O2e(this, i4, n2);
      };
      function bU(e3) {
        return e3.ending && e3.length === 0 && e3.bufferedRequest === null && !e3.finished && !e3.writing;
      }
      function x2e(e3, r2) {
        e3._final(function(n2) {
          r2.pendingcb--, n2 && e3.emit("error", n2), r2.prefinished = true, e3.emit("prefinish"), Hf(e3, r2);
        });
      }
      function D2e(e3, r2) {
        !r2.prefinished && !r2.finalCalled && (typeof e3._final == "function" ? (r2.pendingcb++, r2.finalCalled = true, ga.nextTick(x2e, e3, r2)) : (r2.prefinished = true, e3.emit("prefinish")));
      }
      function Hf(e3, r2) {
        var n2 = bU(r2);
        return n2 && (D2e(e3, r2), r2.pendingcb === 0 && (r2.finished = true, e3.emit("finish"))), n2;
      }
      function O2e(e3, r2, n2) {
        r2.ending = true, Hf(e3, r2), n2 && (r2.finished ? ga.nextTick(n2) : e3.once("finish", n2)), r2.ended = true, e3.writable = false;
      }
      function T2e(e3, r2, n2) {
        var i4 = e3.entry;
        for (e3.entry = null; i4; ) {
          var o2 = i4.callback;
          r2.pendingcb--, o2(n2), i4 = i4.next;
        }
        r2.corkedRequestsFree ? r2.corkedRequestsFree.next = e3 : r2.corkedRequestsFree = e3;
      }
      Object.defineProperty(Tt.prototype, "destroyed", { get: function() {
        return this._writableState === void 0 ? false : this._writableState.destroyed;
      }, set: function(e3) {
        this._writableState && (this._writableState.destroyed = e3);
      } });
      Tt.prototype.destroy = yU.destroy;
      Tt.prototype._undestroy = yU.undestroy;
      Tt.prototype._destroy = function(e3, r2) {
        this.end(), r2(e3);
      };
    });
    var ya = b((yUe, xU) => {
      "use strict";
      var wU = Uf(), R2e = Object.keys || function(e3) {
        var r2 = [];
        for (var n2 in e3)
          r2.push(n2);
        return r2;
      };
      xU.exports = Bi;
      var _U = Object.create(sc());
      _U.inherits = br();
      var SU = _D(), wD = bD();
      _U.inherits(Bi, SU);
      for (ED = R2e(wD.prototype), Wg = 0; Wg < ED.length; Wg++)
        Hg = ED[Wg], Bi.prototype[Hg] || (Bi.prototype[Hg] = wD.prototype[Hg]);
      var ED, Hg, Wg;
      function Bi(e3) {
        if (!(this instanceof Bi))
          return new Bi(e3);
        SU.call(this, e3), wD.call(this, e3), e3 && e3.readable === false && (this.readable = false), e3 && e3.writable === false && (this.writable = false), this.allowHalfOpen = true, e3 && e3.allowHalfOpen === false && (this.allowHalfOpen = false), this.once("end", C2e);
      }
      Object.defineProperty(Bi.prototype, "writableHighWaterMark", { enumerable: false, get: function() {
        return this._writableState.highWaterMark;
      } });
      function C2e() {
        this.allowHalfOpen || this._writableState.ended || wU.nextTick(A2e, this);
      }
      function A2e(e3) {
        e3.end();
      }
      Object.defineProperty(Bi.prototype, "destroyed", { get: function() {
        return this._readableState === void 0 || this._writableState === void 0 ? false : this._readableState.destroyed && this._writableState.destroyed;
      }, set: function(e3) {
        this._readableState === void 0 || this._writableState === void 0 || (this._readableState.destroyed = e3, this._writableState.destroyed = e3);
      } });
      Bi.prototype._destroy = function(e3, r2) {
        this.push(null), this.end(), wU.nextTick(r2, e3);
      };
    });
    var DD = b((OU) => {
      "use strict";
      var xD = Gf().Buffer, DU = xD.isEncoding || function(e3) {
        switch (e3 = "" + e3, e3 && e3.toLowerCase()) {
          case "hex":
          case "utf8":
          case "utf-8":
          case "ascii":
          case "binary":
          case "base64":
          case "ucs2":
          case "ucs-2":
          case "utf16le":
          case "utf-16le":
          case "raw":
            return true;
          default:
            return false;
        }
      };
      function I2e(e3) {
        if (!e3)
          return "utf8";
        for (var r2; ; )
          switch (e3) {
            case "utf8":
            case "utf-8":
              return "utf8";
            case "ucs2":
            case "ucs-2":
            case "utf16le":
            case "utf-16le":
              return "utf16le";
            case "latin1":
            case "binary":
              return "latin1";
            case "base64":
            case "ascii":
            case "hex":
              return e3;
            default:
              if (r2)
                return;
              e3 = ("" + e3).toLowerCase(), r2 = true;
          }
      }
      function P2e(e3) {
        var r2 = I2e(e3);
        if (typeof r2 != "string" && (xD.isEncoding === DU || !DU(e3)))
          throw new Error("Unknown encoding: " + e3);
        return r2 || e3;
      }
      OU.StringDecoder = Kf;
      function Kf(e3) {
        this.encoding = P2e(e3);
        var r2;
        switch (this.encoding) {
          case "utf16le":
            this.text = $2e, this.end = q2e, r2 = 4;
            break;
          case "utf8":
            this.fillLast = M2e, r2 = 4;
            break;
          case "base64":
            this.text = B2e, this.end = j2e, r2 = 3;
            break;
          default:
            this.write = U2e, this.end = G2e;
            return;
        }
        this.lastNeed = 0, this.lastTotal = 0, this.lastChar = xD.allocUnsafe(r2);
      }
      Kf.prototype.write = function(e3) {
        if (e3.length === 0)
          return "";
        var r2, n2;
        if (this.lastNeed) {
          if (r2 = this.fillLast(e3), r2 === void 0)
            return "";
          n2 = this.lastNeed, this.lastNeed = 0;
        } else
          n2 = 0;
        return n2 < e3.length ? r2 ? r2 + this.text(e3, n2) : this.text(e3, n2) : r2 || "";
      };
      Kf.prototype.end = k2e;
      Kf.prototype.text = N2e;
      Kf.prototype.fillLast = function(e3) {
        if (this.lastNeed <= e3.length)
          return e3.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, this.lastNeed), this.lastChar.toString(this.encoding, 0, this.lastTotal);
        e3.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, e3.length), this.lastNeed -= e3.length;
      };
      function SD(e3) {
        return e3 <= 127 ? 0 : e3 >> 5 === 6 ? 2 : e3 >> 4 === 14 ? 3 : e3 >> 3 === 30 ? 4 : e3 >> 6 === 2 ? -1 : -2;
      }
      function F2e(e3, r2, n2) {
        var i4 = r2.length - 1;
        if (i4 < n2)
          return 0;
        var o2 = SD(r2[i4]);
        return o2 >= 0 ? (o2 > 0 && (e3.lastNeed = o2 - 1), o2) : --i4 < n2 || o2 === -2 ? 0 : (o2 = SD(r2[i4]), o2 >= 0 ? (o2 > 0 && (e3.lastNeed = o2 - 2), o2) : --i4 < n2 || o2 === -2 ? 0 : (o2 = SD(r2[i4]), o2 >= 0 ? (o2 > 0 && (o2 === 2 ? o2 = 0 : e3.lastNeed = o2 - 3), o2) : 0));
      }
      function L2e(e3, r2, n2) {
        if ((r2[0] & 192) !== 128)
          return e3.lastNeed = 0, "\uFFFD";
        if (e3.lastNeed > 1 && r2.length > 1) {
          if ((r2[1] & 192) !== 128)
            return e3.lastNeed = 1, "\uFFFD";
          if (e3.lastNeed > 2 && r2.length > 2 && (r2[2] & 192) !== 128)
            return e3.lastNeed = 2, "\uFFFD";
        }
      }
      function M2e(e3) {
        var r2 = this.lastTotal - this.lastNeed, n2 = L2e(this, e3, r2);
        if (n2 !== void 0)
          return n2;
        if (this.lastNeed <= e3.length)
          return e3.copy(this.lastChar, r2, 0, this.lastNeed), this.lastChar.toString(this.encoding, 0, this.lastTotal);
        e3.copy(this.lastChar, r2, 0, e3.length), this.lastNeed -= e3.length;
      }
      function N2e(e3, r2) {
        var n2 = F2e(this, e3, r2);
        if (!this.lastNeed)
          return e3.toString("utf8", r2);
        this.lastTotal = n2;
        var i4 = e3.length - (n2 - this.lastNeed);
        return e3.copy(this.lastChar, 0, i4), e3.toString("utf8", r2, i4);
      }
      function k2e(e3) {
        var r2 = e3 && e3.length ? this.write(e3) : "";
        return this.lastNeed ? r2 + "\uFFFD" : r2;
      }
      function $2e(e3, r2) {
        if ((e3.length - r2) % 2 === 0) {
          var n2 = e3.toString("utf16le", r2);
          if (n2) {
            var i4 = n2.charCodeAt(n2.length - 1);
            if (i4 >= 55296 && i4 <= 56319)
              return this.lastNeed = 2, this.lastTotal = 4, this.lastChar[0] = e3[e3.length - 2], this.lastChar[1] = e3[e3.length - 1], n2.slice(0, -1);
          }
          return n2;
        }
        return this.lastNeed = 1, this.lastTotal = 2, this.lastChar[0] = e3[e3.length - 1], e3.toString("utf16le", r2, e3.length - 1);
      }
      function q2e(e3) {
        var r2 = e3 && e3.length ? this.write(e3) : "";
        if (this.lastNeed) {
          var n2 = this.lastTotal - this.lastNeed;
          return r2 + this.lastChar.toString("utf16le", 0, n2);
        }
        return r2;
      }
      function B2e(e3, r2) {
        var n2 = (e3.length - r2) % 3;
        return n2 === 0 ? e3.toString("base64", r2) : (this.lastNeed = 3 - n2, this.lastTotal = 3, n2 === 1 ? this.lastChar[0] = e3[e3.length - 1] : (this.lastChar[0] = e3[e3.length - 2], this.lastChar[1] = e3[e3.length - 1]), e3.toString("base64", r2, e3.length - n2));
      }
      function j2e(e3) {
        var r2 = e3 && e3.length ? this.write(e3) : "";
        return this.lastNeed ? r2 + this.lastChar.toString("base64", 0, 3 - this.lastNeed) : r2;
      }
      function U2e(e3) {
        return e3.toString(this.encoding);
      }
      function G2e(e3) {
        return e3 && e3.length ? this.write(e3) : "";
      }
    });
    var _D = b((EUe, $U) => {
      "use strict";
      var uc = Uf();
      $U.exports = Ze;
      var W2e = nU(), zf;
      Ze.ReadableState = FU;
      var bUe = require("events").EventEmitter, AU = function(e3, r2) {
        return e3.listeners(r2).length;
      }, AD = pD(), Yf = Gf().Buffer, H2e = global.Uint8Array || function() {
      };
      function V2e(e3) {
        return Yf.from(e3);
      }
      function K2e(e3) {
        return Yf.isBuffer(e3) || e3 instanceof H2e;
      }
      var IU = Object.create(sc());
      IU.inherits = br();
      var OD = require("util"), Ie = void 0;
      OD && OD.debuglog ? Ie = OD.debuglog("stream") : Ie = function() {
      };
      var z2e = uU(), PU = gD(), ac;
      IU.inherits(Ze, AD);
      var TD = ["error", "close", "destroy", "pause", "resume"];
      function Y2e(e3, r2, n2) {
        if (typeof e3.prependListener == "function")
          return e3.prependListener(r2, n2);
        !e3._events || !e3._events[r2] ? e3.on(r2, n2) : W2e(e3._events[r2]) ? e3._events[r2].unshift(n2) : e3._events[r2] = [n2, e3._events[r2]];
      }
      function FU(e3, r2) {
        zf = zf || ya(), e3 = e3 || {};
        var n2 = r2 instanceof zf;
        this.objectMode = !!e3.objectMode, n2 && (this.objectMode = this.objectMode || !!e3.readableObjectMode);
        var i4 = e3.highWaterMark, o2 = e3.readableHighWaterMark, a3 = this.objectMode ? 16 : 16 * 1024;
        i4 || i4 === 0 ? this.highWaterMark = i4 : n2 && (o2 || o2 === 0) ? this.highWaterMark = o2 : this.highWaterMark = a3, this.highWaterMark = Math.floor(this.highWaterMark), this.buffer = new z2e(), this.length = 0, this.pipes = null, this.pipesCount = 0, this.flowing = null, this.ended = false, this.endEmitted = false, this.reading = false, this.sync = true, this.needReadable = false, this.emittedReadable = false, this.readableListening = false, this.resumeScheduled = false, this.destroyed = false, this.defaultEncoding = e3.defaultEncoding || "utf8", this.awaitDrain = 0, this.readingMore = false, this.decoder = null, this.encoding = null, e3.encoding && (ac || (ac = DD().StringDecoder), this.decoder = new ac(e3.encoding), this.encoding = e3.encoding);
      }
      function Ze(e3) {
        if (zf = zf || ya(), !(this instanceof Ze))
          return new Ze(e3);
        this._readableState = new FU(e3, this), this.readable = true, e3 && (typeof e3.read == "function" && (this._read = e3.read), typeof e3.destroy == "function" && (this._destroy = e3.destroy)), AD.call(this);
      }
      Object.defineProperty(Ze.prototype, "destroyed", { get: function() {
        return this._readableState === void 0 ? false : this._readableState.destroyed;
      }, set: function(e3) {
        this._readableState && (this._readableState.destroyed = e3);
      } });
      Ze.prototype.destroy = PU.destroy;
      Ze.prototype._undestroy = PU.undestroy;
      Ze.prototype._destroy = function(e3, r2) {
        this.push(null), r2(e3);
      };
      Ze.prototype.push = function(e3, r2) {
        var n2 = this._readableState, i4;
        return n2.objectMode ? i4 = true : typeof e3 == "string" && (r2 = r2 || n2.defaultEncoding, r2 !== n2.encoding && (e3 = Yf.from(e3, r2), r2 = ""), i4 = true), LU(this, e3, r2, false, i4);
      };
      Ze.prototype.unshift = function(e3) {
        return LU(this, e3, null, true, false);
      };
      function LU(e3, r2, n2, i4, o2) {
        var a3 = e3._readableState;
        if (r2 === null)
          a3.reading = false, Z2e(e3, a3);
        else {
          var u2;
          o2 || (u2 = J2e(a3, r2)), u2 ? e3.emit("error", u2) : a3.objectMode || r2 && r2.length > 0 ? (typeof r2 != "string" && !a3.objectMode && Object.getPrototypeOf(r2) !== Yf.prototype && (r2 = V2e(r2)), i4 ? a3.endEmitted ? e3.emit("error", new Error("stream.unshift() after end event")) : RD(e3, a3, r2, true) : a3.ended ? e3.emit("error", new Error("stream.push() after EOF")) : (a3.reading = false, a3.decoder && !n2 ? (r2 = a3.decoder.write(r2), a3.objectMode || r2.length !== 0 ? RD(e3, a3, r2, false) : MU(e3, a3)) : RD(e3, a3, r2, false))) : i4 || (a3.reading = false);
        }
        return X2e(a3);
      }
      function RD(e3, r2, n2, i4) {
        r2.flowing && r2.length === 0 && !r2.sync ? (e3.emit("data", n2), e3.read(0)) : (r2.length += r2.objectMode ? 1 : n2.length, i4 ? r2.buffer.unshift(n2) : r2.buffer.push(n2), r2.needReadable && Vg(e3)), MU(e3, r2);
      }
      function J2e(e3, r2) {
        var n2;
        return !K2e(r2) && typeof r2 != "string" && r2 !== void 0 && !e3.objectMode && (n2 = new TypeError("Invalid non-string/buffer chunk")), n2;
      }
      function X2e(e3) {
        return !e3.ended && (e3.needReadable || e3.length < e3.highWaterMark || e3.length === 0);
      }
      Ze.prototype.isPaused = function() {
        return this._readableState.flowing === false;
      };
      Ze.prototype.setEncoding = function(e3) {
        return ac || (ac = DD().StringDecoder), this._readableState.decoder = new ac(e3), this._readableState.encoding = e3, this;
      };
      var TU = 8388608;
      function Q2e(e3) {
        return e3 >= TU ? e3 = TU : (e3--, e3 |= e3 >>> 1, e3 |= e3 >>> 2, e3 |= e3 >>> 4, e3 |= e3 >>> 8, e3 |= e3 >>> 16, e3++), e3;
      }
      function RU(e3, r2) {
        return e3 <= 0 || r2.length === 0 && r2.ended ? 0 : r2.objectMode ? 1 : e3 !== e3 ? r2.flowing && r2.length ? r2.buffer.head.data.length : r2.length : (e3 > r2.highWaterMark && (r2.highWaterMark = Q2e(e3)), e3 <= r2.length ? e3 : r2.ended ? r2.length : (r2.needReadable = true, 0));
      }
      Ze.prototype.read = function(e3) {
        Ie("read", e3), e3 = parseInt(e3, 10);
        var r2 = this._readableState, n2 = e3;
        if (e3 !== 0 && (r2.emittedReadable = false), e3 === 0 && r2.needReadable && (r2.length >= r2.highWaterMark || r2.ended))
          return Ie("read: emitReadable", r2.length, r2.ended), r2.length === 0 && r2.ended ? CD(this) : Vg(this), null;
        if (e3 = RU(e3, r2), e3 === 0 && r2.ended)
          return r2.length === 0 && CD(this), null;
        var i4 = r2.needReadable;
        Ie("need readable", i4), (r2.length === 0 || r2.length - e3 < r2.highWaterMark) && (i4 = true, Ie("length less than watermark", i4)), r2.ended || r2.reading ? (i4 = false, Ie("reading or ended", i4)) : i4 && (Ie("do read"), r2.reading = true, r2.sync = true, r2.length === 0 && (r2.needReadable = true), this._read(r2.highWaterMark), r2.sync = false, r2.reading || (e3 = RU(n2, r2)));
        var o2;
        return e3 > 0 ? o2 = NU(e3, r2) : o2 = null, o2 === null ? (r2.needReadable = true, e3 = 0) : r2.length -= e3, r2.length === 0 && (r2.ended || (r2.needReadable = true), n2 !== e3 && r2.ended && CD(this)), o2 !== null && this.emit("data", o2), o2;
      };
      function Z2e(e3, r2) {
        if (!r2.ended) {
          if (r2.decoder) {
            var n2 = r2.decoder.end();
            n2 && n2.length && (r2.buffer.push(n2), r2.length += r2.objectMode ? 1 : n2.length);
          }
          r2.ended = true, Vg(e3);
        }
      }
      function Vg(e3) {
        var r2 = e3._readableState;
        r2.needReadable = false, r2.emittedReadable || (Ie("emitReadable", r2.flowing), r2.emittedReadable = true, r2.sync ? uc.nextTick(CU, e3) : CU(e3));
      }
      function CU(e3) {
        Ie("emit readable"), e3.emit("readable"), ID(e3);
      }
      function MU(e3, r2) {
        r2.readingMore || (r2.readingMore = true, uc.nextTick(eOe, e3, r2));
      }
      function eOe(e3, r2) {
        for (var n2 = r2.length; !r2.reading && !r2.flowing && !r2.ended && r2.length < r2.highWaterMark && (Ie("maybeReadMore read 0"), e3.read(0), n2 !== r2.length); )
          n2 = r2.length;
        r2.readingMore = false;
      }
      Ze.prototype._read = function(e3) {
        this.emit("error", new Error("_read() is not implemented"));
      };
      Ze.prototype.pipe = function(e3, r2) {
        var n2 = this, i4 = this._readableState;
        switch (i4.pipesCount) {
          case 0:
            i4.pipes = e3;
            break;
          case 1:
            i4.pipes = [i4.pipes, e3];
            break;
          default:
            i4.pipes.push(e3);
            break;
        }
        i4.pipesCount += 1, Ie("pipe count=%d opts=%j", i4.pipesCount, r2);
        var o2 = (!r2 || r2.end !== false) && e3 !== process.stdout && e3 !== process.stderr, a3 = o2 ? c4 : R;
        i4.endEmitted ? uc.nextTick(a3) : n2.once("end", a3), e3.on("unpipe", u2);
        function u2(A2, L) {
          Ie("onunpipe"), A2 === n2 && L && L.hasUnpiped === false && (L.hasUnpiped = true, p2());
        }
        function c4() {
          Ie("onend"), e3.end();
        }
        var l2 = tOe(n2);
        e3.on("drain", l2);
        var f4 = false;
        function p2() {
          Ie("cleanup"), e3.removeListener("close", D), e3.removeListener("finish", T6), e3.removeListener("drain", l2), e3.removeListener("error", S2), e3.removeListener("unpipe", u2), n2.removeListener("end", c4), n2.removeListener("end", R), n2.removeListener("data", g2), f4 = true, i4.awaitDrain && (!e3._writableState || e3._writableState.needDrain) && l2();
        }
        var v2 = false;
        n2.on("data", g2);
        function g2(A2) {
          Ie("ondata"), v2 = false;
          var L = e3.write(A2);
          L === false && !v2 && ((i4.pipesCount === 1 && i4.pipes === e3 || i4.pipesCount > 1 && kU(i4.pipes, e3) !== -1) && !f4 && (Ie("false write response, pause", n2._readableState.awaitDrain), n2._readableState.awaitDrain++, v2 = true), n2.pause());
        }
        function S2(A2) {
          Ie("onerror", A2), R(), e3.removeListener("error", S2), AU(e3, "error") === 0 && e3.emit("error", A2);
        }
        Y2e(e3, "error", S2);
        function D() {
          e3.removeListener("finish", T6), R();
        }
        e3.once("close", D);
        function T6() {
          Ie("onfinish"), e3.removeListener("close", D), R();
        }
        e3.once("finish", T6);
        function R() {
          Ie("unpipe"), n2.unpipe(e3);
        }
        return e3.emit("pipe", n2), i4.flowing || (Ie("pipe resume"), n2.resume()), e3;
      };
      function tOe(e3) {
        return function() {
          var r2 = e3._readableState;
          Ie("pipeOnDrain", r2.awaitDrain), r2.awaitDrain && r2.awaitDrain--, r2.awaitDrain === 0 && AU(e3, "data") && (r2.flowing = true, ID(e3));
        };
      }
      Ze.prototype.unpipe = function(e3) {
        var r2 = this._readableState, n2 = { hasUnpiped: false };
        if (r2.pipesCount === 0)
          return this;
        if (r2.pipesCount === 1)
          return e3 && e3 !== r2.pipes ? this : (e3 || (e3 = r2.pipes), r2.pipes = null, r2.pipesCount = 0, r2.flowing = false, e3 && e3.emit("unpipe", this, n2), this);
        if (!e3) {
          var i4 = r2.pipes, o2 = r2.pipesCount;
          r2.pipes = null, r2.pipesCount = 0, r2.flowing = false;
          for (var a3 = 0; a3 < o2; a3++)
            i4[a3].emit("unpipe", this, n2);
          return this;
        }
        var u2 = kU(r2.pipes, e3);
        return u2 === -1 ? this : (r2.pipes.splice(u2, 1), r2.pipesCount -= 1, r2.pipesCount === 1 && (r2.pipes = r2.pipes[0]), e3.emit("unpipe", this, n2), this);
      };
      Ze.prototype.on = function(e3, r2) {
        var n2 = AD.prototype.on.call(this, e3, r2);
        if (e3 === "data")
          this._readableState.flowing !== false && this.resume();
        else if (e3 === "readable") {
          var i4 = this._readableState;
          !i4.endEmitted && !i4.readableListening && (i4.readableListening = i4.needReadable = true, i4.emittedReadable = false, i4.reading ? i4.length && Vg(this) : uc.nextTick(rOe, this));
        }
        return n2;
      };
      Ze.prototype.addListener = Ze.prototype.on;
      function rOe(e3) {
        Ie("readable nexttick read 0"), e3.read(0);
      }
      Ze.prototype.resume = function() {
        var e3 = this._readableState;
        return e3.flowing || (Ie("resume"), e3.flowing = true, nOe(this, e3)), this;
      };
      function nOe(e3, r2) {
        r2.resumeScheduled || (r2.resumeScheduled = true, uc.nextTick(iOe, e3, r2));
      }
      function iOe(e3, r2) {
        r2.reading || (Ie("resume read 0"), e3.read(0)), r2.resumeScheduled = false, r2.awaitDrain = 0, e3.emit("resume"), ID(e3), r2.flowing && !r2.reading && e3.read(0);
      }
      Ze.prototype.pause = function() {
        return Ie("call pause flowing=%j", this._readableState.flowing), this._readableState.flowing !== false && (Ie("pause"), this._readableState.flowing = false, this.emit("pause")), this;
      };
      function ID(e3) {
        var r2 = e3._readableState;
        for (Ie("flow", r2.flowing); r2.flowing && e3.read() !== null; )
          ;
      }
      Ze.prototype.wrap = function(e3) {
        var r2 = this, n2 = this._readableState, i4 = false;
        e3.on("end", function() {
          if (Ie("wrapped end"), n2.decoder && !n2.ended) {
            var u2 = n2.decoder.end();
            u2 && u2.length && r2.push(u2);
          }
          r2.push(null);
        }), e3.on("data", function(u2) {
          if (Ie("wrapped data"), n2.decoder && (u2 = n2.decoder.write(u2)), !(n2.objectMode && u2 == null) && !(!n2.objectMode && (!u2 || !u2.length))) {
            var c4 = r2.push(u2);
            c4 || (i4 = true, e3.pause());
          }
        });
        for (var o2 in e3)
          this[o2] === void 0 && typeof e3[o2] == "function" && (this[o2] = function(u2) {
            return function() {
              return e3[u2].apply(e3, arguments);
            };
          }(o2));
        for (var a3 = 0; a3 < TD.length; a3++)
          e3.on(TD[a3], this.emit.bind(this, TD[a3]));
        return this._read = function(u2) {
          Ie("wrapped _read", u2), i4 && (i4 = false, e3.resume());
        }, this;
      };
      Object.defineProperty(Ze.prototype, "readableHighWaterMark", { enumerable: false, get: function() {
        return this._readableState.highWaterMark;
      } });
      Ze._fromList = NU;
      function NU(e3, r2) {
        if (r2.length === 0)
          return null;
        var n2;
        return r2.objectMode ? n2 = r2.buffer.shift() : !e3 || e3 >= r2.length ? (r2.decoder ? n2 = r2.buffer.join("") : r2.buffer.length === 1 ? n2 = r2.buffer.head.data : n2 = r2.buffer.concat(r2.length), r2.buffer.clear()) : n2 = sOe(e3, r2.buffer, r2.decoder), n2;
      }
      function sOe(e3, r2, n2) {
        var i4;
        return e3 < r2.head.data.length ? (i4 = r2.head.data.slice(0, e3), r2.head.data = r2.head.data.slice(e3)) : e3 === r2.head.data.length ? i4 = r2.shift() : i4 = n2 ? oOe(e3, r2) : aOe(e3, r2), i4;
      }
      function oOe(e3, r2) {
        var n2 = r2.head, i4 = 1, o2 = n2.data;
        for (e3 -= o2.length; n2 = n2.next; ) {
          var a3 = n2.data, u2 = e3 > a3.length ? a3.length : e3;
          if (u2 === a3.length ? o2 += a3 : o2 += a3.slice(0, e3), e3 -= u2, e3 === 0) {
            u2 === a3.length ? (++i4, n2.next ? r2.head = n2.next : r2.head = r2.tail = null) : (r2.head = n2, n2.data = a3.slice(u2));
            break;
          }
          ++i4;
        }
        return r2.length -= i4, o2;
      }
      function aOe(e3, r2) {
        var n2 = Yf.allocUnsafe(e3), i4 = r2.head, o2 = 1;
        for (i4.data.copy(n2), e3 -= i4.data.length; i4 = i4.next; ) {
          var a3 = i4.data, u2 = e3 > a3.length ? a3.length : e3;
          if (a3.copy(n2, n2.length - e3, 0, u2), e3 -= u2, e3 === 0) {
            u2 === a3.length ? (++o2, i4.next ? r2.head = i4.next : r2.head = r2.tail = null) : (r2.head = i4, i4.data = a3.slice(u2));
            break;
          }
          ++o2;
        }
        return r2.length -= o2, n2;
      }
      function CD(e3) {
        var r2 = e3._readableState;
        if (r2.length > 0)
          throw new Error('"endReadable()" called on non-empty stream');
        r2.endEmitted || (r2.ended = true, uc.nextTick(uOe, r2, e3));
      }
      function uOe(e3, r2) {
        !e3.endEmitted && e3.length === 0 && (e3.endEmitted = true, r2.readable = false, r2.emit("end"));
      }
      function kU(e3, r2) {
        for (var n2 = 0, i4 = e3.length; n2 < i4; n2++)
          if (e3[n2] === r2)
            return n2;
        return -1;
      }
    });
    var PD = b((wUe, jU) => {
      "use strict";
      jU.exports = ji;
      var Kg = ya(), BU = Object.create(sc());
      BU.inherits = br();
      BU.inherits(ji, Kg);
      function cOe(e3, r2) {
        var n2 = this._transformState;
        n2.transforming = false;
        var i4 = n2.writecb;
        if (!i4)
          return this.emit("error", new Error("write callback called multiple times"));
        n2.writechunk = null, n2.writecb = null, r2 != null && this.push(r2), i4(e3);
        var o2 = this._readableState;
        o2.reading = false, (o2.needReadable || o2.length < o2.highWaterMark) && this._read(o2.highWaterMark);
      }
      function ji(e3) {
        if (!(this instanceof ji))
          return new ji(e3);
        Kg.call(this, e3), this._transformState = { afterTransform: cOe.bind(this), needTransform: false, transforming: false, writecb: null, writechunk: null, writeencoding: null }, this._readableState.needReadable = true, this._readableState.sync = false, e3 && (typeof e3.transform == "function" && (this._transform = e3.transform), typeof e3.flush == "function" && (this._flush = e3.flush)), this.on("prefinish", lOe);
      }
      function lOe() {
        var e3 = this;
        typeof this._flush == "function" ? this._flush(function(r2, n2) {
          qU(e3, r2, n2);
        }) : qU(this, null, null);
      }
      ji.prototype.push = function(e3, r2) {
        return this._transformState.needTransform = false, Kg.prototype.push.call(this, e3, r2);
      };
      ji.prototype._transform = function(e3, r2, n2) {
        throw new Error("_transform() is not implemented");
      };
      ji.prototype._write = function(e3, r2, n2) {
        var i4 = this._transformState;
        if (i4.writecb = n2, i4.writechunk = e3, i4.writeencoding = r2, !i4.transforming) {
          var o2 = this._readableState;
          (i4.needTransform || o2.needReadable || o2.length < o2.highWaterMark) && this._read(o2.highWaterMark);
        }
      };
      ji.prototype._read = function(e3) {
        var r2 = this._transformState;
        r2.writechunk !== null && r2.writecb && !r2.transforming ? (r2.transforming = true, this._transform(r2.writechunk, r2.writeencoding, r2.afterTransform)) : r2.needTransform = true;
      };
      ji.prototype._destroy = function(e3, r2) {
        var n2 = this;
        Kg.prototype._destroy.call(this, e3, function(i4) {
          r2(i4), n2.emit("close");
        });
      };
      function qU(e3, r2, n2) {
        if (r2)
          return e3.emit("error", r2);
        if (n2 != null && e3.push(n2), e3._writableState.length)
          throw new Error("Calling transform done when ws.length != 0");
        if (e3._transformState.transforming)
          throw new Error("Calling transform done when still transforming");
        return e3.push(null);
      }
    });
    var HU = b((_Ue, WU) => {
      "use strict";
      WU.exports = Jf;
      var UU = PD(), GU = Object.create(sc());
      GU.inherits = br();
      GU.inherits(Jf, UU);
      function Jf(e3) {
        if (!(this instanceof Jf))
          return new Jf(e3);
        UU.call(this, e3);
      }
      Jf.prototype._transform = function(e3, r2, n2) {
        n2(null, e3);
      };
    });
    var FD = b((Yt, zg) => {
      "use strict";
      var ii = require("stream");
      process.env.READABLE_STREAM === "disable" && ii ? (zg.exports = ii, Yt = zg.exports = ii.Readable, Yt.Readable = ii.Readable, Yt.Writable = ii.Writable, Yt.Duplex = ii.Duplex, Yt.Transform = ii.Transform, Yt.PassThrough = ii.PassThrough, Yt.Stream = ii) : (Yt = zg.exports = _D(), Yt.Stream = ii || Yt, Yt.Readable = Yt, Yt.Writable = bD(), Yt.Duplex = ya(), Yt.Transform = PD(), Yt.PassThrough = HU());
    });
    var KU = b((SUe, VU) => {
      "use strict";
      VU.exports = FD().PassThrough;
    });
    var XU = b((xUe, JU) => {
      "use strict";
      var zU = require("util"), Xg = KU();
      JU.exports = { Readable: Yg, Writable: Jg };
      zU.inherits(Yg, Xg);
      zU.inherits(Jg, Xg);
      function YU(e3, r2, n2) {
        e3[r2] = function() {
          return delete e3[r2], n2.apply(this, arguments), this[r2].apply(this, arguments);
        };
      }
      function Yg(e3, r2) {
        if (!(this instanceof Yg))
          return new Yg(e3, r2);
        Xg.call(this, r2), YU(this, "_read", function() {
          var n2 = e3.call(this, r2), i4 = this.emit.bind(this, "error");
          n2.on("error", i4), n2.pipe(this);
        }), this.emit("readable");
      }
      function Jg(e3, r2) {
        if (!(this instanceof Jg))
          return new Jg(e3, r2);
        Xg.call(this, r2), YU(this, "_write", function() {
          var n2 = e3.call(this, r2), i4 = this.emit.bind(this, "error");
          n2.on("error", i4), this.pipe(n2);
        }), this.emit("writable");
      }
    });
    var LD = b((DUe, QU) => {
      "use strict";
      QU.exports = function(e3, r2) {
        if (typeof e3 != "string")
          throw new TypeError("expected path to be a string");
        if (e3 === "\\" || e3 === "/")
          return "/";
        var n2 = e3.length;
        if (n2 <= 1)
          return e3;
        var i4 = "";
        if (n2 > 4 && e3[3] === "\\") {
          var o2 = e3[2];
          (o2 === "?" || o2 === ".") && e3.slice(0, 2) === "\\\\" && (e3 = e3.slice(2), i4 = "//");
        }
        var a3 = e3.split(/[/\\]+/);
        return r2 !== false && a3[a3.length - 1] === "" && a3.pop(), i4 + a3.join("/");
      };
    });
    var oG = b((OUe, sG) => {
      "use strict";
      var eG = 9007199254740991, fOe = "[object Arguments]", hOe = "[object Function]", pOe = "[object GeneratorFunction]", dOe = /^(?:0|[1-9]\d*)$/;
      function tG(e3, r2, n2) {
        switch (n2.length) {
          case 0:
            return e3.call(r2);
          case 1:
            return e3.call(r2, n2[0]);
          case 2:
            return e3.call(r2, n2[0], n2[1]);
          case 3:
            return e3.call(r2, n2[0], n2[1], n2[2]);
        }
        return e3.apply(r2, n2);
      }
      function mOe(e3, r2) {
        for (var n2 = -1, i4 = Array(e3); ++n2 < e3; )
          i4[n2] = r2(n2);
        return i4;
      }
      var Xf = Object.prototype, Qf = Xf.hasOwnProperty, rG = Xf.toString, gOe = Xf.propertyIsEnumerable, ZU = Math.max;
      function yOe(e3, r2) {
        var n2 = TOe(e3) || OOe(e3) ? mOe(e3.length, String) : [], i4 = n2.length, o2 = !!i4;
        for (var a3 in e3)
          (r2 || Qf.call(e3, a3)) && !(o2 && (a3 == "length" || iG(a3, i4))) && n2.push(a3);
        return n2;
      }
      function vOe(e3, r2, n2, i4) {
        return e3 === void 0 || MD(e3, Xf[n2]) && !Qf.call(i4, n2) ? r2 : e3;
      }
      function bOe(e3, r2, n2) {
        var i4 = e3[r2];
        (!(Qf.call(e3, r2) && MD(i4, n2)) || n2 === void 0 && !(r2 in e3)) && (e3[r2] = n2);
      }
      function EOe(e3) {
        if (!kD(e3))
          return DOe(e3);
        var r2 = xOe(e3), n2 = [];
        for (var i4 in e3)
          i4 == "constructor" && (r2 || !Qf.call(e3, i4)) || n2.push(i4);
        return n2;
      }
      function nG(e3, r2) {
        return r2 = ZU(r2 === void 0 ? e3.length - 1 : r2, 0), function() {
          for (var n2 = arguments, i4 = -1, o2 = ZU(n2.length - r2, 0), a3 = Array(o2); ++i4 < o2; )
            a3[i4] = n2[r2 + i4];
          i4 = -1;
          for (var u2 = Array(r2 + 1); ++i4 < r2; )
            u2[i4] = n2[i4];
          return u2[r2] = a3, tG(e3, this, u2);
        };
      }
      function wOe(e3, r2, n2, i4) {
        n2 || (n2 = {});
        for (var o2 = -1, a3 = r2.length; ++o2 < a3; ) {
          var u2 = r2[o2], c4 = i4 ? i4(n2[u2], e3[u2], u2, n2, e3) : void 0;
          bOe(n2, u2, c4 === void 0 ? e3[u2] : c4);
        }
        return n2;
      }
      function _Oe(e3) {
        return nG(function(r2, n2) {
          var i4 = -1, o2 = n2.length, a3 = o2 > 1 ? n2[o2 - 1] : void 0, u2 = o2 > 2 ? n2[2] : void 0;
          for (a3 = e3.length > 3 && typeof a3 == "function" ? (o2--, a3) : void 0, u2 && SOe(n2[0], n2[1], u2) && (a3 = o2 < 3 ? void 0 : a3, o2 = 1), r2 = Object(r2); ++i4 < o2; ) {
            var c4 = n2[i4];
            c4 && e3(r2, c4, i4, a3);
          }
          return r2;
        });
      }
      function iG(e3, r2) {
        return r2 = r2 ?? eG, !!r2 && (typeof e3 == "number" || dOe.test(e3)) && e3 > -1 && e3 % 1 == 0 && e3 < r2;
      }
      function SOe(e3, r2, n2) {
        if (!kD(n2))
          return false;
        var i4 = typeof r2;
        return (i4 == "number" ? ND(n2) && iG(r2, n2.length) : i4 == "string" && r2 in n2) ? MD(n2[r2], e3) : false;
      }
      function xOe(e3) {
        var r2 = e3 && e3.constructor, n2 = typeof r2 == "function" && r2.prototype || Xf;
        return e3 === n2;
      }
      function DOe(e3) {
        var r2 = [];
        if (e3 != null)
          for (var n2 in Object(e3))
            r2.push(n2);
        return r2;
      }
      function MD(e3, r2) {
        return e3 === r2 || e3 !== e3 && r2 !== r2;
      }
      function OOe(e3) {
        return ROe(e3) && Qf.call(e3, "callee") && (!gOe.call(e3, "callee") || rG.call(e3) == fOe);
      }
      var TOe = Array.isArray;
      function ND(e3) {
        return e3 != null && AOe(e3.length) && !COe(e3);
      }
      function ROe(e3) {
        return IOe(e3) && ND(e3);
      }
      function COe(e3) {
        var r2 = kD(e3) ? rG.call(e3) : "";
        return r2 == hOe || r2 == pOe;
      }
      function AOe(e3) {
        return typeof e3 == "number" && e3 > -1 && e3 % 1 == 0 && e3 <= eG;
      }
      function kD(e3) {
        var r2 = typeof e3;
        return !!e3 && (r2 == "object" || r2 == "function");
      }
      function IOe(e3) {
        return !!e3 && typeof e3 == "object";
      }
      var POe = _Oe(function(e3, r2, n2, i4) {
        wOe(r2, LOe(r2), e3, i4);
      }), FOe = nG(function(e3) {
        return e3.push(void 0, vOe), tG(POe, void 0, e3);
      });
      function LOe(e3) {
        return ND(e3) ? yOe(e3, true) : EOe(e3);
      }
      sG.exports = FOe;
    });
    var hG = b((TUe, fG) => {
      "use strict";
      var MOe = 9007199254740991, NOe = "[object Arguments]", kOe = "[object Function]", $Oe = "[object GeneratorFunction]", qOe = typeof global == "object" && global && global.Object === Object && global, BOe = typeof self == "object" && self && self.Object === Object && self, jOe = qOe || BOe || Function("return this")();
      function UOe(e3, r2) {
        for (var n2 = -1, i4 = r2.length, o2 = e3.length; ++n2 < i4; )
          e3[o2 + n2] = r2[n2];
        return e3;
      }
      var $D = Object.prototype, GOe = $D.hasOwnProperty, cG = $D.toString, aG = jOe.Symbol, WOe = $D.propertyIsEnumerable, uG = aG ? aG.isConcatSpreadable : void 0;
      function lG(e3, r2, n2, i4, o2) {
        var a3 = -1, u2 = e3.length;
        for (n2 || (n2 = HOe), o2 || (o2 = []); ++a3 < u2; ) {
          var c4 = e3[a3];
          r2 > 0 && n2(c4) ? r2 > 1 ? lG(c4, r2 - 1, n2, i4, o2) : UOe(o2, c4) : i4 || (o2[o2.length] = c4);
        }
        return o2;
      }
      function HOe(e3) {
        return zOe(e3) || KOe(e3) || !!(uG && e3 && e3[uG]);
      }
      function VOe(e3) {
        var r2 = e3 ? e3.length : 0;
        return r2 ? lG(e3, 1) : [];
      }
      function KOe(e3) {
        return JOe(e3) && GOe.call(e3, "callee") && (!WOe.call(e3, "callee") || cG.call(e3) == NOe);
      }
      var zOe = Array.isArray;
      function YOe(e3) {
        return e3 != null && QOe(e3.length) && !XOe(e3);
      }
      function JOe(e3) {
        return eTe(e3) && YOe(e3);
      }
      function XOe(e3) {
        var r2 = ZOe(e3) ? cG.call(e3) : "";
        return r2 == kOe || r2 == $Oe;
      }
      function QOe(e3) {
        return typeof e3 == "number" && e3 > -1 && e3 % 1 == 0 && e3 <= MOe;
      }
      function ZOe(e3) {
        var r2 = typeof e3;
        return !!e3 && (r2 == "object" || r2 == "function");
      }
      function eTe(e3) {
        return !!e3 && typeof e3 == "object";
      }
      fG.exports = VOe;
    });
    var xG = b((RUe, SG) => {
      "use strict";
      var tTe = 200, jD = "__lodash_hash_undefined__", rTe = 9007199254740991, nTe = "[object Arguments]", iTe = "[object Function]", sTe = "[object GeneratorFunction]", oTe = /[\\^$.*+?()[\]{}|]/g, aTe = /^\[object .+?Constructor\]$/, uTe = typeof global == "object" && global && global.Object === Object && global, cTe = typeof self == "object" && self && self.Object === Object && self, UD = uTe || cTe || Function("return this")();
      function lTe(e3, r2, n2) {
        switch (n2.length) {
          case 0:
            return e3.call(r2);
          case 1:
            return e3.call(r2, n2[0]);
          case 2:
            return e3.call(r2, n2[0], n2[1]);
          case 3:
            return e3.call(r2, n2[0], n2[1], n2[2]);
        }
        return e3.apply(r2, n2);
      }
      function fTe(e3, r2) {
        var n2 = e3 ? e3.length : 0;
        return !!n2 && gTe(e3, r2, 0) > -1;
      }
      function hTe(e3, r2, n2) {
        for (var i4 = -1, o2 = e3 ? e3.length : 0; ++i4 < o2; )
          if (n2(r2, e3[i4]))
            return true;
        return false;
      }
      function pTe(e3, r2) {
        for (var n2 = -1, i4 = e3 ? e3.length : 0, o2 = Array(i4); ++n2 < i4; )
          o2[n2] = r2(e3[n2], n2, e3);
        return o2;
      }
      function dTe(e3, r2) {
        for (var n2 = -1, i4 = r2.length, o2 = e3.length; ++n2 < i4; )
          e3[o2 + n2] = r2[n2];
        return e3;
      }
      function mTe(e3, r2, n2, i4) {
        for (var o2 = e3.length, a3 = n2 + (i4 ? 1 : -1); i4 ? a3-- : ++a3 < o2; )
          if (r2(e3[a3], a3, e3))
            return a3;
        return -1;
      }
      function gTe(e3, r2, n2) {
        if (r2 !== r2)
          return mTe(e3, yTe, n2);
        for (var i4 = n2 - 1, o2 = e3.length; ++i4 < o2; )
          if (e3[i4] === r2)
            return i4;
        return -1;
      }
      function yTe(e3) {
        return e3 !== e3;
      }
      function vTe(e3) {
        return function(r2) {
          return e3(r2);
        };
      }
      function bTe(e3, r2) {
        return e3.has(r2);
      }
      function ETe(e3, r2) {
        return e3?.[r2];
      }
      function wTe(e3) {
        var r2 = false;
        if (e3 != null && typeof e3.toString != "function")
          try {
            r2 = !!(e3 + "");
          } catch {
          }
        return r2;
      }
      var _Te = Array.prototype, STe = Function.prototype, GD = Object.prototype, qD = UD["__core-js_shared__"], pG = function() {
        var e3 = /[^.]+$/.exec(qD && qD.keys && qD.keys.IE_PROTO || "");
        return e3 ? "Symbol(src)_1." + e3 : "";
      }(), yG = STe.toString, Zg = GD.hasOwnProperty, vG = GD.toString, xTe = RegExp("^" + yG.call(Zg).replace(oTe, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"), dG = UD.Symbol, DTe = GD.propertyIsEnumerable, OTe = _Te.splice, mG = dG ? dG.isConcatSpreadable : void 0, gG = Math.max, TTe = EG(UD, "Map"), Zf = EG(Object, "create");
      function va(e3) {
        var r2 = -1, n2 = e3 ? e3.length : 0;
        for (this.clear(); ++r2 < n2; ) {
          var i4 = e3[r2];
          this.set(i4[0], i4[1]);
        }
      }
      function RTe() {
        this.__data__ = Zf ? Zf(null) : {};
      }
      function CTe(e3) {
        return this.has(e3) && delete this.__data__[e3];
      }
      function ATe(e3) {
        var r2 = this.__data__;
        if (Zf) {
          var n2 = r2[e3];
          return n2 === jD ? void 0 : n2;
        }
        return Zg.call(r2, e3) ? r2[e3] : void 0;
      }
      function ITe(e3) {
        var r2 = this.__data__;
        return Zf ? r2[e3] !== void 0 : Zg.call(r2, e3);
      }
      function PTe(e3, r2) {
        var n2 = this.__data__;
        return n2[e3] = Zf && r2 === void 0 ? jD : r2, this;
      }
      va.prototype.clear = RTe;
      va.prototype.delete = CTe;
      va.prototype.get = ATe;
      va.prototype.has = ITe;
      va.prototype.set = PTe;
      function cc(e3) {
        var r2 = -1, n2 = e3 ? e3.length : 0;
        for (this.clear(); ++r2 < n2; ) {
          var i4 = e3[r2];
          this.set(i4[0], i4[1]);
        }
      }
      function FTe() {
        this.__data__ = [];
      }
      function LTe(e3) {
        var r2 = this.__data__, n2 = e0(r2, e3);
        if (n2 < 0)
          return false;
        var i4 = r2.length - 1;
        return n2 == i4 ? r2.pop() : OTe.call(r2, n2, 1), true;
      }
      function MTe(e3) {
        var r2 = this.__data__, n2 = e0(r2, e3);
        return n2 < 0 ? void 0 : r2[n2][1];
      }
      function NTe(e3) {
        return e0(this.__data__, e3) > -1;
      }
      function kTe(e3, r2) {
        var n2 = this.__data__, i4 = e0(n2, e3);
        return i4 < 0 ? n2.push([e3, r2]) : n2[i4][1] = r2, this;
      }
      cc.prototype.clear = FTe;
      cc.prototype.delete = LTe;
      cc.prototype.get = MTe;
      cc.prototype.has = NTe;
      cc.prototype.set = kTe;
      function lc(e3) {
        var r2 = -1, n2 = e3 ? e3.length : 0;
        for (this.clear(); ++r2 < n2; ) {
          var i4 = e3[r2];
          this.set(i4[0], i4[1]);
        }
      }
      function $Te() {
        this.__data__ = { hash: new va(), map: new (TTe || cc)(), string: new va() };
      }
      function qTe(e3) {
        return t0(this, e3).delete(e3);
      }
      function BTe(e3) {
        return t0(this, e3).get(e3);
      }
      function jTe(e3) {
        return t0(this, e3).has(e3);
      }
      function UTe(e3, r2) {
        return t0(this, e3).set(e3, r2), this;
      }
      lc.prototype.clear = $Te;
      lc.prototype.delete = qTe;
      lc.prototype.get = BTe;
      lc.prototype.has = jTe;
      lc.prototype.set = UTe;
      function Qg(e3) {
        var r2 = -1, n2 = e3 ? e3.length : 0;
        for (this.__data__ = new lc(); ++r2 < n2; )
          this.add(e3[r2]);
      }
      function GTe(e3) {
        return this.__data__.set(e3, jD), this;
      }
      function WTe(e3) {
        return this.__data__.has(e3);
      }
      Qg.prototype.add = Qg.prototype.push = GTe;
      Qg.prototype.has = WTe;
      function e0(e3, r2) {
        for (var n2 = e3.length; n2--; )
          if (ZTe(e3[n2][0], r2))
            return n2;
        return -1;
      }
      function HTe(e3, r2, n2, i4) {
        var o2 = -1, a3 = fTe, u2 = true, c4 = e3.length, l2 = [], f4 = r2.length;
        if (!c4)
          return l2;
        n2 && (r2 = pTe(r2, vTe(n2))), i4 ? (a3 = hTe, u2 = false) : r2.length >= tTe && (a3 = bTe, u2 = false, r2 = new Qg(r2));
        e:
          for (; ++o2 < c4; ) {
            var p2 = e3[o2], v2 = n2 ? n2(p2) : p2;
            if (p2 = i4 || p2 !== 0 ? p2 : 0, u2 && v2 === v2) {
              for (var g2 = f4; g2--; )
                if (r2[g2] === v2)
                  continue e;
              l2.push(p2);
            } else
              a3(r2, v2, i4) || l2.push(p2);
          }
        return l2;
      }
      function bG(e3, r2, n2, i4, o2) {
        var a3 = -1, u2 = e3.length;
        for (n2 || (n2 = zTe), o2 || (o2 = []); ++a3 < u2; ) {
          var c4 = e3[a3];
          r2 > 0 && n2(c4) ? r2 > 1 ? bG(c4, r2 - 1, n2, i4, o2) : dTe(o2, c4) : i4 || (o2[o2.length] = c4);
        }
        return o2;
      }
      function VTe(e3) {
        if (!_G(e3) || JTe(e3))
          return false;
        var r2 = wG(e3) || wTe(e3) ? xTe : aTe;
        return r2.test(XTe(e3));
      }
      function KTe(e3, r2) {
        return r2 = gG(r2 === void 0 ? e3.length - 1 : r2, 0), function() {
          for (var n2 = arguments, i4 = -1, o2 = gG(n2.length - r2, 0), a3 = Array(o2); ++i4 < o2; )
            a3[i4] = n2[r2 + i4];
          i4 = -1;
          for (var u2 = Array(r2 + 1); ++i4 < r2; )
            u2[i4] = n2[i4];
          return u2[r2] = a3, lTe(e3, this, u2);
        };
      }
      function t0(e3, r2) {
        var n2 = e3.__data__;
        return YTe(r2) ? n2[typeof r2 == "string" ? "string" : "hash"] : n2.map;
      }
      function EG(e3, r2) {
        var n2 = ETe(e3, r2);
        return VTe(n2) ? n2 : void 0;
      }
      function zTe(e3) {
        return tRe(e3) || eRe(e3) || !!(mG && e3 && e3[mG]);
      }
      function YTe(e3) {
        var r2 = typeof e3;
        return r2 == "string" || r2 == "number" || r2 == "symbol" || r2 == "boolean" ? e3 !== "__proto__" : e3 === null;
      }
      function JTe(e3) {
        return !!pG && pG in e3;
      }
      function XTe(e3) {
        if (e3 != null) {
          try {
            return yG.call(e3);
          } catch {
          }
          try {
            return e3 + "";
          } catch {
          }
        }
        return "";
      }
      var QTe = KTe(function(e3, r2) {
        return BD(e3) ? HTe(e3, bG(r2, 1, BD, true)) : [];
      });
      function ZTe(e3, r2) {
        return e3 === r2 || e3 !== e3 && r2 !== r2;
      }
      function eRe(e3) {
        return BD(e3) && Zg.call(e3, "callee") && (!DTe.call(e3, "callee") || vG.call(e3) == nTe);
      }
      var tRe = Array.isArray;
      function rRe(e3) {
        return e3 != null && nRe(e3.length) && !wG(e3);
      }
      function BD(e3) {
        return iRe(e3) && rRe(e3);
      }
      function wG(e3) {
        var r2 = _G(e3) ? vG.call(e3) : "";
        return r2 == iTe || r2 == sTe;
      }
      function nRe(e3) {
        return typeof e3 == "number" && e3 > -1 && e3 % 1 == 0 && e3 <= rTe;
      }
      function _G(e3) {
        var r2 = typeof e3;
        return !!e3 && (r2 == "object" || r2 == "function");
      }
      function iRe(e3) {
        return !!e3 && typeof e3 == "object";
      }
      SG.exports = QTe;
    });
    var kG = b((CUe, NG) => {
      "use strict";
      var sRe = 200, VD = "__lodash_hash_undefined__", oRe = 1 / 0, aRe = 9007199254740991, uRe = "[object Arguments]", cRe = "[object Function]", lRe = "[object GeneratorFunction]", fRe = /[\\^$.*+?()[\]{}|]/g, hRe = /^\[object .+?Constructor\]$/, pRe = typeof global == "object" && global && global.Object === Object && global, dRe = typeof self == "object" && self && self.Object === Object && self, n0 = pRe || dRe || Function("return this")();
      function mRe(e3, r2, n2) {
        switch (n2.length) {
          case 0:
            return e3.call(r2);
          case 1:
            return e3.call(r2, n2[0]);
          case 2:
            return e3.call(r2, n2[0], n2[1]);
          case 3:
            return e3.call(r2, n2[0], n2[1], n2[2]);
        }
        return e3.apply(r2, n2);
      }
      function gRe(e3, r2) {
        var n2 = e3 ? e3.length : 0;
        return !!n2 && ERe(e3, r2, 0) > -1;
      }
      function yRe(e3, r2, n2) {
        for (var i4 = -1, o2 = e3 ? e3.length : 0; ++i4 < o2; )
          if (n2(r2, e3[i4]))
            return true;
        return false;
      }
      function vRe(e3, r2) {
        for (var n2 = -1, i4 = r2.length, o2 = e3.length; ++n2 < i4; )
          e3[o2 + n2] = r2[n2];
        return e3;
      }
      function bRe(e3, r2, n2, i4) {
        for (var o2 = e3.length, a3 = n2 + (i4 ? 1 : -1); i4 ? a3-- : ++a3 < o2; )
          if (r2(e3[a3], a3, e3))
            return a3;
        return -1;
      }
      function ERe(e3, r2, n2) {
        if (r2 !== r2)
          return bRe(e3, wRe, n2);
        for (var i4 = n2 - 1, o2 = e3.length; ++i4 < o2; )
          if (e3[i4] === r2)
            return i4;
        return -1;
      }
      function wRe(e3) {
        return e3 !== e3;
      }
      function _Re(e3, r2) {
        return e3.has(r2);
      }
      function SRe(e3, r2) {
        return e3?.[r2];
      }
      function xRe(e3) {
        var r2 = false;
        if (e3 != null && typeof e3.toString != "function")
          try {
            r2 = !!(e3 + "");
          } catch {
          }
        return r2;
      }
      function CG(e3) {
        var r2 = -1, n2 = Array(e3.size);
        return e3.forEach(function(i4) {
          n2[++r2] = i4;
        }), n2;
      }
      var DRe = Array.prototype, ORe = Function.prototype, KD = Object.prototype, WD = n0["__core-js_shared__"], DG = function() {
        var e3 = /[^.]+$/.exec(WD && WD.keys && WD.keys.IE_PROTO || "");
        return e3 ? "Symbol(src)_1." + e3 : "";
      }(), AG = ORe.toString, i0 = KD.hasOwnProperty, IG = KD.toString, TRe = RegExp("^" + AG.call(i0).replace(fRe, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"), OG = n0.Symbol, RRe = KD.propertyIsEnumerable, CRe = DRe.splice, TG = OG ? OG.isConcatSpreadable : void 0, RG = Math.max, ARe = zD(n0, "Map"), HD = zD(n0, "Set"), eh = zD(Object, "create");
      function ba(e3) {
        var r2 = -1, n2 = e3 ? e3.length : 0;
        for (this.clear(); ++r2 < n2; ) {
          var i4 = e3[r2];
          this.set(i4[0], i4[1]);
        }
      }
      function IRe() {
        this.__data__ = eh ? eh(null) : {};
      }
      function PRe(e3) {
        return this.has(e3) && delete this.__data__[e3];
      }
      function FRe(e3) {
        var r2 = this.__data__;
        if (eh) {
          var n2 = r2[e3];
          return n2 === VD ? void 0 : n2;
        }
        return i0.call(r2, e3) ? r2[e3] : void 0;
      }
      function LRe(e3) {
        var r2 = this.__data__;
        return eh ? r2[e3] !== void 0 : i0.call(r2, e3);
      }
      function MRe(e3, r2) {
        var n2 = this.__data__;
        return n2[e3] = eh && r2 === void 0 ? VD : r2, this;
      }
      ba.prototype.clear = IRe;
      ba.prototype.delete = PRe;
      ba.prototype.get = FRe;
      ba.prototype.has = LRe;
      ba.prototype.set = MRe;
      function fc(e3) {
        var r2 = -1, n2 = e3 ? e3.length : 0;
        for (this.clear(); ++r2 < n2; ) {
          var i4 = e3[r2];
          this.set(i4[0], i4[1]);
        }
      }
      function NRe() {
        this.__data__ = [];
      }
      function kRe(e3) {
        var r2 = this.__data__, n2 = s0(r2, e3);
        if (n2 < 0)
          return false;
        var i4 = r2.length - 1;
        return n2 == i4 ? r2.pop() : CRe.call(r2, n2, 1), true;
      }
      function $Re(e3) {
        var r2 = this.__data__, n2 = s0(r2, e3);
        return n2 < 0 ? void 0 : r2[n2][1];
      }
      function qRe(e3) {
        return s0(this.__data__, e3) > -1;
      }
      function BRe(e3, r2) {
        var n2 = this.__data__, i4 = s0(n2, e3);
        return i4 < 0 ? n2.push([e3, r2]) : n2[i4][1] = r2, this;
      }
      fc.prototype.clear = NRe;
      fc.prototype.delete = kRe;
      fc.prototype.get = $Re;
      fc.prototype.has = qRe;
      fc.prototype.set = BRe;
      function hc(e3) {
        var r2 = -1, n2 = e3 ? e3.length : 0;
        for (this.clear(); ++r2 < n2; ) {
          var i4 = e3[r2];
          this.set(i4[0], i4[1]);
        }
      }
      function jRe() {
        this.__data__ = { hash: new ba(), map: new (ARe || fc)(), string: new ba() };
      }
      function URe(e3) {
        return o0(this, e3).delete(e3);
      }
      function GRe(e3) {
        return o0(this, e3).get(e3);
      }
      function WRe(e3) {
        return o0(this, e3).has(e3);
      }
      function HRe(e3, r2) {
        return o0(this, e3).set(e3, r2), this;
      }
      hc.prototype.clear = jRe;
      hc.prototype.delete = URe;
      hc.prototype.get = GRe;
      hc.prototype.has = WRe;
      hc.prototype.set = HRe;
      function r0(e3) {
        var r2 = -1, n2 = e3 ? e3.length : 0;
        for (this.__data__ = new hc(); ++r2 < n2; )
          this.add(e3[r2]);
      }
      function VRe(e3) {
        return this.__data__.set(e3, VD), this;
      }
      function KRe(e3) {
        return this.__data__.has(e3);
      }
      r0.prototype.add = r0.prototype.push = VRe;
      r0.prototype.has = KRe;
      function s0(e3, r2) {
        for (var n2 = e3.length; n2--; )
          if (nCe(e3[n2][0], r2))
            return n2;
        return -1;
      }
      function PG(e3, r2, n2, i4, o2) {
        var a3 = -1, u2 = e3.length;
        for (n2 || (n2 = QRe), o2 || (o2 = []); ++a3 < u2; ) {
          var c4 = e3[a3];
          r2 > 0 && n2(c4) ? r2 > 1 ? PG(c4, r2 - 1, n2, i4, o2) : vRe(o2, c4) : i4 || (o2[o2.length] = c4);
        }
        return o2;
      }
      function zRe(e3) {
        if (!MG(e3) || eCe(e3))
          return false;
        var r2 = LG(e3) || xRe(e3) ? TRe : hRe;
        return r2.test(tCe(e3));
      }
      function YRe(e3, r2) {
        return r2 = RG(r2 === void 0 ? e3.length - 1 : r2, 0), function() {
          for (var n2 = arguments, i4 = -1, o2 = RG(n2.length - r2, 0), a3 = Array(o2); ++i4 < o2; )
            a3[i4] = n2[r2 + i4];
          i4 = -1;
          for (var u2 = Array(r2 + 1); ++i4 < r2; )
            u2[i4] = n2[i4];
          return u2[r2] = a3, mRe(e3, this, u2);
        };
      }
      function JRe(e3, r2, n2) {
        var i4 = -1, o2 = gRe, a3 = e3.length, u2 = true, c4 = [], l2 = c4;
        if (n2)
          u2 = false, o2 = yRe;
        else if (a3 >= sRe) {
          var f4 = r2 ? null : XRe(e3);
          if (f4)
            return CG(f4);
          u2 = false, o2 = _Re, l2 = new r0();
        } else
          l2 = r2 ? [] : c4;
        e:
          for (; ++i4 < a3; ) {
            var p2 = e3[i4], v2 = r2 ? r2(p2) : p2;
            if (p2 = n2 || p2 !== 0 ? p2 : 0, u2 && v2 === v2) {
              for (var g2 = l2.length; g2--; )
                if (l2[g2] === v2)
                  continue e;
              r2 && l2.push(v2), c4.push(p2);
            } else
              o2(l2, v2, n2) || (l2 !== c4 && l2.push(v2), c4.push(p2));
          }
        return c4;
      }
      var XRe = HD && 1 / CG(new HD([, -0]))[1] == oRe ? function(e3) {
        return new HD(e3);
      } : cCe;
      function o0(e3, r2) {
        var n2 = e3.__data__;
        return ZRe(r2) ? n2[typeof r2 == "string" ? "string" : "hash"] : n2.map;
      }
      function zD(e3, r2) {
        var n2 = SRe(e3, r2);
        return zRe(n2) ? n2 : void 0;
      }
      function QRe(e3) {
        return sCe(e3) || iCe(e3) || !!(TG && e3 && e3[TG]);
      }
      function ZRe(e3) {
        var r2 = typeof e3;
        return r2 == "string" || r2 == "number" || r2 == "symbol" || r2 == "boolean" ? e3 !== "__proto__" : e3 === null;
      }
      function eCe(e3) {
        return !!DG && DG in e3;
      }
      function tCe(e3) {
        if (e3 != null) {
          try {
            return AG.call(e3);
          } catch {
          }
          try {
            return e3 + "";
          } catch {
          }
        }
        return "";
      }
      var rCe = YRe(function(e3) {
        return JRe(PG(e3, 1, FG, true));
      });
      function nCe(e3, r2) {
        return e3 === r2 || e3 !== e3 && r2 !== r2;
      }
      function iCe(e3) {
        return FG(e3) && i0.call(e3, "callee") && (!RRe.call(e3, "callee") || IG.call(e3) == uRe);
      }
      var sCe = Array.isArray;
      function oCe(e3) {
        return e3 != null && aCe(e3.length) && !LG(e3);
      }
      function FG(e3) {
        return uCe(e3) && oCe(e3);
      }
      function LG(e3) {
        var r2 = MG(e3) ? IG.call(e3) : "";
        return r2 == cRe || r2 == lRe;
      }
      function aCe(e3) {
        return typeof e3 == "number" && e3 > -1 && e3 % 1 == 0 && e3 <= aRe;
      }
      function MG(e3) {
        var r2 = typeof e3;
        return !!e3 && (r2 == "object" || r2 == "function");
      }
      function uCe(e3) {
        return !!e3 && typeof e3 == "object";
      }
      function cCe() {
      }
      NG.exports = rCe;
    });
    var jG = b((AUe, BG) => {
      "use strict";
      var lCe = "[object Object]";
      function fCe(e3) {
        var r2 = false;
        if (e3 != null && typeof e3.toString != "function")
          try {
            r2 = !!(e3 + "");
          } catch {
          }
        return r2;
      }
      function hCe(e3, r2) {
        return function(n2) {
          return e3(r2(n2));
        };
      }
      var pCe = Function.prototype, $G = Object.prototype, qG = pCe.toString, dCe = $G.hasOwnProperty, mCe = qG.call(Object), gCe = $G.toString, yCe = hCe(Object.getPrototypeOf, Object);
      function vCe(e3) {
        return !!e3 && typeof e3 == "object";
      }
      function bCe(e3) {
        if (!vCe(e3) || gCe.call(e3) != lCe || fCe(e3))
          return false;
        var r2 = yCe(e3);
        if (r2 === null)
          return true;
        var n2 = dCe.call(r2, "constructor") && r2.constructor;
        return typeof n2 == "function" && n2 instanceof n2 && qG.call(n2) == mCe;
      }
      BG.exports = bCe;
    });
    var HG = b((IUe, WG) => {
      "use strict";
      var GG = Kt(), pc = require("path"), YD = hG(), ECe = xG(), wCe = kG(), _Ce = jG(), SCe = bg(), Ea = WG.exports = {}, UG = /[\/\\]/g, xCe = function(e3, r2) {
        var n2 = [];
        return YD(e3).forEach(function(i4) {
          var o2 = i4.indexOf("!") === 0;
          o2 && (i4 = i4.slice(1));
          var a3 = r2(i4);
          o2 ? n2 = ECe(n2, a3) : n2 = wCe(n2, a3);
        }), n2;
      };
      Ea.exists = function() {
        var e3 = pc.join.apply(pc, arguments);
        return GG.existsSync(e3);
      };
      Ea.expand = function(...e3) {
        var r2 = _Ce(e3[0]) ? e3.shift() : {}, n2 = Array.isArray(e3[0]) ? e3[0] : e3;
        if (n2.length === 0)
          return [];
        var i4 = xCe(n2, function(o2) {
          return SCe.sync(o2, r2);
        });
        return r2.filter && (i4 = i4.filter(function(o2) {
          o2 = pc.join(r2.cwd || "", o2);
          try {
            return typeof r2.filter == "function" ? r2.filter(o2) : GG.statSync(o2)[r2.filter]();
          } catch {
            return false;
          }
        })), i4;
      };
      Ea.expandMapping = function(e3, r2, n2) {
        n2 = Object.assign({ rename: function(a3, u2) {
          return pc.join(a3 || "", u2);
        } }, n2);
        var i4 = [], o2 = {};
        return Ea.expand(n2, e3).forEach(function(a3) {
          var u2 = a3;
          n2.flatten && (u2 = pc.basename(u2)), n2.ext && (u2 = u2.replace(/(\.[^\/]*)?$/, n2.ext));
          var c4 = n2.rename(r2, u2, n2);
          n2.cwd && (a3 = pc.join(n2.cwd, a3)), c4 = c4.replace(UG, "/"), a3 = a3.replace(UG, "/"), o2[c4] ? o2[c4].src.push(a3) : (i4.push({ src: [a3], dest: c4 }), o2[c4] = i4[i4.length - 1]);
        }), i4;
      };
      Ea.normalizeFilesArray = function(e3) {
        var r2 = [];
        return e3.forEach(function(n2) {
          var i4;
          ("src" in n2 || "dest" in n2) && r2.push(n2);
        }), r2.length === 0 ? [] : (r2 = _(r2).chain().forEach(function(n2) {
          !("src" in n2) || !n2.src || (Array.isArray(n2.src) ? n2.src = YD(n2.src) : n2.src = [n2.src]);
        }).map(function(n2) {
          var i4 = Object.assign({}, n2);
          if (delete i4.src, delete i4.dest, n2.expand)
            return Ea.expandMapping(n2.src, n2.dest, i4).map(function(a3) {
              var u2 = Object.assign({}, n2);
              return u2.orig = Object.assign({}, n2), u2.src = a3.src, u2.dest = a3.dest, ["expand", "cwd", "flatten", "rename", "ext"].forEach(function(c4) {
                delete u2[c4];
              }), u2;
            });
          var o2 = Object.assign({}, n2);
          return o2.orig = Object.assign({}, n2), "src" in o2 && Object.defineProperty(o2, "src", { enumerable: true, get: function a3() {
            var u2;
            return "result" in a3 || (u2 = n2.src, u2 = Array.isArray(u2) ? YD(u2) : [u2], a3.result = Ea.expand(i4, u2)), a3.result;
          } }), "dest" in o2 && (o2.dest = n2.dest), o2;
        }).flatten().value(), r2);
      };
    });
    var dc = b((FUe, zG) => {
      "use strict";
      var JD = Kt(), VG = require("path"), PUe = require("util"), DCe = XU(), KG = LD(), OCe = oG(), TCe = require("stream").Stream, RCe = FD().PassThrough, Hr = zG.exports = {};
      Hr.file = HG();
      Hr.collectStream = function(e3, r2) {
        var n2 = [], i4 = 0;
        e3.on("error", r2), e3.on("data", function(o2) {
          n2.push(o2), i4 += o2.length;
        }), e3.on("end", function() {
          var o2 = new Buffer(i4), a3 = 0;
          n2.forEach(function(u2) {
            u2.copy(o2, a3), a3 += u2.length;
          }), r2(null, o2);
        });
      };
      Hr.dateify = function(e3) {
        return e3 = e3 || /* @__PURE__ */ new Date(), e3 instanceof Date ? e3 = e3 : typeof e3 == "string" ? e3 = new Date(e3) : e3 = /* @__PURE__ */ new Date(), e3;
      };
      Hr.defaults = function(e3, r2, n2) {
        var i4 = arguments;
        return i4[0] = i4[0] || {}, OCe(...i4);
      };
      Hr.isStream = function(e3) {
        return e3 instanceof TCe;
      };
      Hr.lazyReadStream = function(e3) {
        return new DCe.Readable(function() {
          return JD.createReadStream(e3);
        });
      };
      Hr.normalizeInputSource = function(e3) {
        if (e3 === null)
          return new Buffer(0);
        if (typeof e3 == "string")
          return new Buffer(e3);
        if (Hr.isStream(e3) && !e3._readableState) {
          var r2 = new RCe();
          return e3.pipe(r2), r2;
        }
        return e3;
      };
      Hr.sanitizePath = function(e3) {
        return KG(e3, false).replace(/^\w+:/, "").replace(/^(\.\.\/|\/)+/, "");
      };
      Hr.trailingSlashIt = function(e3) {
        return e3.slice(-1) !== "/" ? e3 + "/" : e3;
      };
      Hr.unixifyPath = function(e3) {
        return KG(e3, false).replace(/^\w+:/, "");
      };
      Hr.walkdir = function(e3, r2, n2) {
        var i4 = [];
        typeof r2 == "function" && (n2 = r2, r2 = e3), JD.readdir(e3, function(o2, a3) {
          var u2 = 0, c4, l2;
          if (o2)
            return n2(o2);
          (function f4() {
            if (c4 = a3[u2++], !c4)
              return n2(null, i4);
            l2 = VG.join(e3, c4), JD.stat(l2, function(p2, v2) {
              i4.push({ path: l2, relative: VG.relative(r2, l2).replace(/\\/g, "/"), stats: v2 }), v2 && v2.isDirectory() ? Hr.walkdir(l2, r2, function(g2, S2) {
                S2.forEach(function(D) {
                  i4.push(D);
                }), f4();
              }) : f4();
            });
          })();
        });
      };
    });
    var QG = b((JG, XG) => {
      "use strict";
      var CCe = require("util"), ACe = { ABORTED: "archive was aborted", DIRECTORYDIRPATHREQUIRED: "diretory dirpath argument must be a non-empty string value", DIRECTORYFUNCTIONINVALIDDATA: "invalid data returned by directory custom data function", ENTRYNAMEREQUIRED: "entry name must be a non-empty string value", FILEFILEPATHREQUIRED: "file filepath argument must be a non-empty string value", FINALIZING: "archive already finalizing", QUEUECLOSED: "queue closed", NOENDMETHOD: "no suitable finalize/end method defined by module", DIRECTORYNOTSUPPORTED: "support for directory entries not defined by module", FORMATSET: "archive format already set", INPUTSTEAMBUFFERREQUIRED: "input source must be valid Stream or Buffer instance", MODULESET: "module already set", SYMLINKNOTSUPPORTED: "support for symlink entries not defined by module", SYMLINKFILEPATHREQUIRED: "symlink filepath argument must be a non-empty string value", SYMLINKTARGETREQUIRED: "symlink target argument must be a non-empty string value", ENTRYNOTSUPPORTED: "entry not supported" };
      function YG(e3, r2) {
        Error.captureStackTrace(this, this.constructor), this.message = ACe[e3] || e3, this.code = e3, this.data = r2;
      }
      CCe.inherits(YG, Error);
      JG = XG.exports = YG;
    });
    var XD = b((LUe, ZG) => {
      "use strict";
      ZG.exports = require("stream");
    });
    var nW = b((MUe, rW) => {
      "use strict";
      function eW(e3, r2) {
        var n2 = Object.keys(e3);
        if (Object.getOwnPropertySymbols) {
          var i4 = Object.getOwnPropertySymbols(e3);
          r2 && (i4 = i4.filter(function(o2) {
            return Object.getOwnPropertyDescriptor(e3, o2).enumerable;
          })), n2.push.apply(n2, i4);
        }
        return n2;
      }
      function ICe(e3) {
        for (var r2 = 1; r2 < arguments.length; r2++) {
          var n2 = arguments[r2] != null ? arguments[r2] : {};
          r2 % 2 ? eW(Object(n2), true).forEach(function(i4) {
            PCe(e3, i4, n2[i4]);
          }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e3, Object.getOwnPropertyDescriptors(n2)) : eW(Object(n2)).forEach(function(i4) {
            Object.defineProperty(e3, i4, Object.getOwnPropertyDescriptor(n2, i4));
          });
        }
        return e3;
      }
      function PCe(e3, r2, n2) {
        return r2 in e3 ? Object.defineProperty(e3, r2, { value: n2, enumerable: true, configurable: true, writable: true }) : e3[r2] = n2, e3;
      }
      function FCe(e3, r2) {
        if (!(e3 instanceof r2))
          throw new TypeError("Cannot call a class as a function");
      }
      function tW(e3, r2) {
        for (var n2 = 0; n2 < r2.length; n2++) {
          var i4 = r2[n2];
          i4.enumerable = i4.enumerable || false, i4.configurable = true, "value" in i4 && (i4.writable = true), Object.defineProperty(e3, i4.key, i4);
        }
      }
      function LCe(e3, r2, n2) {
        return r2 && tW(e3.prototype, r2), n2 && tW(e3, n2), e3;
      }
      var MCe = require("buffer"), a0 = MCe.Buffer, NCe = require("util"), QD = NCe.inspect, kCe = QD && QD.custom || "inspect";
      function $Ce(e3, r2, n2) {
        a0.prototype.copy.call(e3, r2, n2);
      }
      rW.exports = function() {
        function e3() {
          FCe(this, e3), this.head = null, this.tail = null, this.length = 0;
        }
        return LCe(e3, [{ key: "push", value: function(n2) {
          var i4 = { data: n2, next: null };
          this.length > 0 ? this.tail.next = i4 : this.head = i4, this.tail = i4, ++this.length;
        } }, { key: "unshift", value: function(n2) {
          var i4 = { data: n2, next: this.head };
          this.length === 0 && (this.tail = i4), this.head = i4, ++this.length;
        } }, { key: "shift", value: function() {
          if (this.length !== 0) {
            var n2 = this.head.data;
            return this.length === 1 ? this.head = this.tail = null : this.head = this.head.next, --this.length, n2;
          }
        } }, { key: "clear", value: function() {
          this.head = this.tail = null, this.length = 0;
        } }, { key: "join", value: function(n2) {
          if (this.length === 0)
            return "";
          for (var i4 = this.head, o2 = "" + i4.data; i4 = i4.next; )
            o2 += n2 + i4.data;
          return o2;
        } }, { key: "concat", value: function(n2) {
          if (this.length === 0)
            return a0.alloc(0);
          for (var i4 = a0.allocUnsafe(n2 >>> 0), o2 = this.head, a3 = 0; o2; )
            $Ce(o2.data, i4, a3), a3 += o2.data.length, o2 = o2.next;
          return i4;
        } }, { key: "consume", value: function(n2, i4) {
          var o2;
          return n2 < this.head.data.length ? (o2 = this.head.data.slice(0, n2), this.head.data = this.head.data.slice(n2)) : n2 === this.head.data.length ? o2 = this.shift() : o2 = i4 ? this._getString(n2) : this._getBuffer(n2), o2;
        } }, { key: "first", value: function() {
          return this.head.data;
        } }, { key: "_getString", value: function(n2) {
          var i4 = this.head, o2 = 1, a3 = i4.data;
          for (n2 -= a3.length; i4 = i4.next; ) {
            var u2 = i4.data, c4 = n2 > u2.length ? u2.length : n2;
            if (c4 === u2.length ? a3 += u2 : a3 += u2.slice(0, n2), n2 -= c4, n2 === 0) {
              c4 === u2.length ? (++o2, i4.next ? this.head = i4.next : this.head = this.tail = null) : (this.head = i4, i4.data = u2.slice(c4));
              break;
            }
            ++o2;
          }
          return this.length -= o2, a3;
        } }, { key: "_getBuffer", value: function(n2) {
          var i4 = a0.allocUnsafe(n2), o2 = this.head, a3 = 1;
          for (o2.data.copy(i4), n2 -= o2.data.length; o2 = o2.next; ) {
            var u2 = o2.data, c4 = n2 > u2.length ? u2.length : n2;
            if (u2.copy(i4, i4.length - n2, 0, c4), n2 -= c4, n2 === 0) {
              c4 === u2.length ? (++a3, o2.next ? this.head = o2.next : this.head = this.tail = null) : (this.head = o2, o2.data = u2.slice(c4));
              break;
            }
            ++a3;
          }
          return this.length -= a3, i4;
        } }, { key: kCe, value: function(n2, i4) {
          return QD(this, ICe({}, i4, { depth: 0, customInspect: false }));
        } }]), e3;
      }();
    });
    var e2 = b((NUe, sW) => {
      "use strict";
      function qCe(e3, r2) {
        var n2 = this, i4 = this._readableState && this._readableState.destroyed, o2 = this._writableState && this._writableState.destroyed;
        return i4 || o2 ? (r2 ? r2(e3) : e3 && (this._writableState ? this._writableState.errorEmitted || (this._writableState.errorEmitted = true, process.nextTick(ZD, this, e3)) : process.nextTick(ZD, this, e3)), this) : (this._readableState && (this._readableState.destroyed = true), this._writableState && (this._writableState.destroyed = true), this._destroy(e3 || null, function(a3) {
          !r2 && a3 ? n2._writableState ? n2._writableState.errorEmitted ? process.nextTick(u0, n2) : (n2._writableState.errorEmitted = true, process.nextTick(iW, n2, a3)) : process.nextTick(iW, n2, a3) : r2 ? (process.nextTick(u0, n2), r2(a3)) : process.nextTick(u0, n2);
        }), this);
      }
      function iW(e3, r2) {
        ZD(e3, r2), u0(e3);
      }
      function u0(e3) {
        e3._writableState && !e3._writableState.emitClose || e3._readableState && !e3._readableState.emitClose || e3.emit("close");
      }
      function BCe() {
        this._readableState && (this._readableState.destroyed = false, this._readableState.reading = false, this._readableState.ended = false, this._readableState.endEmitted = false), this._writableState && (this._writableState.destroyed = false, this._writableState.ended = false, this._writableState.ending = false, this._writableState.finalCalled = false, this._writableState.prefinished = false, this._writableState.finished = false, this._writableState.errorEmitted = false);
      }
      function ZD(e3, r2) {
        e3.emit("error", r2);
      }
      function jCe(e3, r2) {
        var n2 = e3._readableState, i4 = e3._writableState;
        n2 && n2.autoDestroy || i4 && i4.autoDestroy ? e3.destroy(r2) : e3.emit("error", r2);
      }
      sW.exports = { destroy: qCe, undestroy: BCe, errorOrDestroy: jCe };
    });
    var to = b((kUe, uW) => {
      "use strict";
      var aW = {};
      function hn(e3, r2, n2) {
        n2 || (n2 = Error);
        function i4(a3, u2, c4) {
          return typeof r2 == "string" ? r2 : r2(a3, u2, c4);
        }
        class o2 extends n2 {
          constructor(u2, c4, l2) {
            super(i4(u2, c4, l2));
          }
        }
        o2.prototype.name = n2.name, o2.prototype.code = e3, aW[e3] = o2;
      }
      function oW(e3, r2) {
        if (Array.isArray(e3)) {
          let n2 = e3.length;
          return e3 = e3.map((i4) => String(i4)), n2 > 2 ? `one of ${r2} ${e3.slice(0, n2 - 1).join(", ")}, or ` + e3[n2 - 1] : n2 === 2 ? `one of ${r2} ${e3[0]} or ${e3[1]}` : `of ${r2} ${e3[0]}`;
        } else
          return `of ${r2} ${String(e3)}`;
      }
      function UCe(e3, r2, n2) {
        return e3.substr(!n2 || n2 < 0 ? 0 : +n2, r2.length) === r2;
      }
      function GCe(e3, r2, n2) {
        return (n2 === void 0 || n2 > e3.length) && (n2 = e3.length), e3.substring(n2 - r2.length, n2) === r2;
      }
      function WCe(e3, r2, n2) {
        return typeof n2 != "number" && (n2 = 0), n2 + r2.length > e3.length ? false : e3.indexOf(r2, n2) !== -1;
      }
      hn("ERR_INVALID_OPT_VALUE", function(e3, r2) {
        return 'The value "' + r2 + '" is invalid for option "' + e3 + '"';
      }, TypeError);
      hn("ERR_INVALID_ARG_TYPE", function(e3, r2, n2) {
        let i4;
        typeof r2 == "string" && UCe(r2, "not ") ? (i4 = "must not be", r2 = r2.replace(/^not /, "")) : i4 = "must be";
        let o2;
        if (GCe(e3, " argument"))
          o2 = `The ${e3} ${i4} ${oW(r2, "type")}`;
        else {
          let a3 = WCe(e3, ".") ? "property" : "argument";
          o2 = `The "${e3}" ${a3} ${i4} ${oW(r2, "type")}`;
        }
        return o2 += `. Received type ${typeof n2}`, o2;
      }, TypeError);
      hn("ERR_STREAM_PUSH_AFTER_EOF", "stream.push() after EOF");
      hn("ERR_METHOD_NOT_IMPLEMENTED", function(e3) {
        return "The " + e3 + " method is not implemented";
      });
      hn("ERR_STREAM_PREMATURE_CLOSE", "Premature close");
      hn("ERR_STREAM_DESTROYED", function(e3) {
        return "Cannot call " + e3 + " after a stream was destroyed";
      });
      hn("ERR_MULTIPLE_CALLBACK", "Callback called multiple times");
      hn("ERR_STREAM_CANNOT_PIPE", "Cannot pipe, not readable");
      hn("ERR_STREAM_WRITE_AFTER_END", "write after end");
      hn("ERR_STREAM_NULL_VALUES", "May not write null values to stream", TypeError);
      hn("ERR_UNKNOWN_ENCODING", function(e3) {
        return "Unknown encoding: " + e3;
      }, TypeError);
      hn("ERR_STREAM_UNSHIFT_AFTER_END_EVENT", "stream.unshift() after end event");
      uW.exports.codes = aW;
    });
    var t2 = b(($Ue, cW) => {
      "use strict";
      var HCe = to().codes.ERR_INVALID_OPT_VALUE;
      function VCe(e3, r2, n2) {
        return e3.highWaterMark != null ? e3.highWaterMark : r2 ? e3[n2] : null;
      }
      function KCe(e3, r2, n2, i4) {
        var o2 = VCe(r2, i4, n2);
        if (o2 != null) {
          if (!(isFinite(o2) && Math.floor(o2) === o2) || o2 < 0) {
            var a3 = i4 ? n2 : "highWaterMark";
            throw new HCe(a3, o2);
          }
          return Math.floor(o2);
        }
        return e3.objectMode ? 16 : 16 * 1024;
      }
      cW.exports = { getHighWaterMark: KCe };
    });
    var i2 = b((qUe, mW) => {
      "use strict";
      mW.exports = yt;
      function fW(e3) {
        var r3 = this;
        this.next = null, this.entry = null, this.finish = function() {
          EAe(r3, e3);
        };
      }
      var mc;
      yt.WritableState = rh;
      var zCe = { deprecate: yD() }, hW = XD(), l0 = require("buffer").Buffer, YCe = global.Uint8Array || function() {
      };
      function JCe(e3) {
        return l0.from(e3);
      }
      function XCe(e3) {
        return l0.isBuffer(e3) || e3 instanceof YCe;
      }
      var n2 = e2(), QCe = t2(), ZCe = QCe.getHighWaterMark, ro = to().codes, eAe = ro.ERR_INVALID_ARG_TYPE, tAe = ro.ERR_METHOD_NOT_IMPLEMENTED, rAe = ro.ERR_MULTIPLE_CALLBACK, nAe = ro.ERR_STREAM_CANNOT_PIPE, iAe = ro.ERR_STREAM_DESTROYED, sAe = ro.ERR_STREAM_NULL_VALUES, oAe = ro.ERR_STREAM_WRITE_AFTER_END, aAe = ro.ERR_UNKNOWN_ENCODING, gc = n2.errorOrDestroy;
      br()(yt, hW);
      function uAe() {
      }
      function rh(e3, r3, n3) {
        mc = mc || wa(), e3 = e3 || {}, typeof n3 != "boolean" && (n3 = r3 instanceof mc), this.objectMode = !!e3.objectMode, n3 && (this.objectMode = this.objectMode || !!e3.writableObjectMode), this.highWaterMark = ZCe(this, e3, "writableHighWaterMark", n3), this.finalCalled = false, this.needDrain = false, this.ending = false, this.ended = false, this.finished = false, this.destroyed = false;
        var i4 = e3.decodeStrings === false;
        this.decodeStrings = !i4, this.defaultEncoding = e3.defaultEncoding || "utf8", this.length = 0, this.writing = false, this.corked = 0, this.sync = true, this.bufferProcessing = false, this.onwrite = function(o2) {
          mAe(r3, o2);
        }, this.writecb = null, this.writelen = 0, this.bufferedRequest = null, this.lastBufferedRequest = null, this.pendingcb = 0, this.prefinished = false, this.errorEmitted = false, this.emitClose = e3.emitClose !== false, this.autoDestroy = !!e3.autoDestroy, this.bufferedRequestCount = 0, this.corkedRequestsFree = new fW(this);
      }
      rh.prototype.getBuffer = function() {
        for (var r3 = this.bufferedRequest, n3 = []; r3; )
          n3.push(r3), r3 = r3.next;
        return n3;
      };
      (function() {
        try {
          Object.defineProperty(rh.prototype, "buffer", { get: zCe.deprecate(function() {
            return this.getBuffer();
          }, "_writableState.buffer is deprecated. Use _writableState.getBuffer instead.", "DEP0003") });
        } catch {
        }
      })();
      var c0;
      typeof Symbol == "function" && Symbol.hasInstance && typeof Function.prototype[Symbol.hasInstance] == "function" ? (c0 = Function.prototype[Symbol.hasInstance], Object.defineProperty(yt, Symbol.hasInstance, { value: function(r3) {
        return c0.call(this, r3) ? true : this !== yt ? false : r3 && r3._writableState instanceof rh;
      } })) : c0 = function(r3) {
        return r3 instanceof this;
      };
      function yt(e3) {
        mc = mc || wa();
        var r3 = this instanceof mc;
        if (!r3 && !c0.call(yt, this))
          return new yt(e3);
        this._writableState = new rh(e3, this, r3), this.writable = true, e3 && (typeof e3.write == "function" && (this._write = e3.write), typeof e3.writev == "function" && (this._writev = e3.writev), typeof e3.destroy == "function" && (this._destroy = e3.destroy), typeof e3.final == "function" && (this._final = e3.final)), hW.call(this);
      }
      yt.prototype.pipe = function() {
        gc(this, new nAe());
      };
      function cAe(e3, r3) {
        var n3 = new oAe();
        gc(e3, n3), process.nextTick(r3, n3);
      }
      function lAe(e3, r3, n3, i4) {
        var o2;
        return n3 === null ? o2 = new sAe() : typeof n3 != "string" && !r3.objectMode && (o2 = new eAe("chunk", ["string", "Buffer"], n3)), o2 ? (gc(e3, o2), process.nextTick(i4, o2), false) : true;
      }
      yt.prototype.write = function(e3, r3, n3) {
        var i4 = this._writableState, o2 = false, a3 = !i4.objectMode && XCe(e3);
        return a3 && !l0.isBuffer(e3) && (e3 = JCe(e3)), typeof r3 == "function" && (n3 = r3, r3 = null), a3 ? r3 = "buffer" : r3 || (r3 = i4.defaultEncoding), typeof n3 != "function" && (n3 = uAe), i4.ending ? cAe(this, n3) : (a3 || lAe(this, i4, e3, n3)) && (i4.pendingcb++, o2 = hAe(this, i4, a3, e3, r3, n3)), o2;
      };
      yt.prototype.cork = function() {
        this._writableState.corked++;
      };
      yt.prototype.uncork = function() {
        var e3 = this._writableState;
        e3.corked && (e3.corked--, !e3.writing && !e3.corked && !e3.bufferProcessing && e3.bufferedRequest && pW(this, e3));
      };
      yt.prototype.setDefaultEncoding = function(r3) {
        if (typeof r3 == "string" && (r3 = r3.toLowerCase()), !(["hex", "utf8", "utf-8", "ascii", "binary", "base64", "ucs2", "ucs-2", "utf16le", "utf-16le", "raw"].indexOf((r3 + "").toLowerCase()) > -1))
          throw new aAe(r3);
        return this._writableState.defaultEncoding = r3, this;
      };
      Object.defineProperty(yt.prototype, "writableBuffer", { enumerable: false, get: function() {
        return this._writableState && this._writableState.getBuffer();
      } });
      function fAe(e3, r3, n3) {
        return !e3.objectMode && e3.decodeStrings !== false && typeof r3 == "string" && (r3 = l0.from(r3, n3)), r3;
      }
      Object.defineProperty(yt.prototype, "writableHighWaterMark", { enumerable: false, get: function() {
        return this._writableState.highWaterMark;
      } });
      function hAe(e3, r3, n3, i4, o2, a3) {
        if (!n3) {
          var u2 = fAe(r3, i4, o2);
          i4 !== u2 && (n3 = true, o2 = "buffer", i4 = u2);
        }
        var c4 = r3.objectMode ? 1 : i4.length;
        r3.length += c4;
        var l2 = r3.length < r3.highWaterMark;
        if (l2 || (r3.needDrain = true), r3.writing || r3.corked) {
          var f4 = r3.lastBufferedRequest;
          r3.lastBufferedRequest = { chunk: i4, encoding: o2, isBuf: n3, callback: a3, next: null }, f4 ? f4.next = r3.lastBufferedRequest : r3.bufferedRequest = r3.lastBufferedRequest, r3.bufferedRequestCount += 1;
        } else
          r2(e3, r3, false, c4, i4, o2, a3);
        return l2;
      }
      function r2(e3, r3, n3, i4, o2, a3, u2) {
        r3.writelen = i4, r3.writecb = u2, r3.writing = true, r3.sync = true, r3.destroyed ? r3.onwrite(new iAe("write")) : n3 ? e3._writev(o2, r3.onwrite) : e3._write(o2, a3, r3.onwrite), r3.sync = false;
      }
      function pAe(e3, r3, n3, i4, o2) {
        --r3.pendingcb, n3 ? (process.nextTick(o2, i4), process.nextTick(th, e3, r3), e3._writableState.errorEmitted = true, gc(e3, i4)) : (o2(i4), e3._writableState.errorEmitted = true, gc(e3, i4), th(e3, r3));
      }
      function dAe(e3) {
        e3.writing = false, e3.writecb = null, e3.length -= e3.writelen, e3.writelen = 0;
      }
      function mAe(e3, r3) {
        var n3 = e3._writableState, i4 = n3.sync, o2 = n3.writecb;
        if (typeof o2 != "function")
          throw new rAe();
        if (dAe(n3), r3)
          pAe(e3, n3, i4, r3, o2);
        else {
          var a3 = dW(n3) || e3.destroyed;
          !a3 && !n3.corked && !n3.bufferProcessing && n3.bufferedRequest && pW(e3, n3), i4 ? process.nextTick(lW, e3, n3, a3, o2) : lW(e3, n3, a3, o2);
        }
      }
      function lW(e3, r3, n3, i4) {
        n3 || gAe(e3, r3), r3.pendingcb--, i4(), th(e3, r3);
      }
      function gAe(e3, r3) {
        r3.length === 0 && r3.needDrain && (r3.needDrain = false, e3.emit("drain"));
      }
      function pW(e3, r3) {
        r3.bufferProcessing = true;
        var n3 = r3.bufferedRequest;
        if (e3._writev && n3 && n3.next) {
          var i4 = r3.bufferedRequestCount, o2 = new Array(i4), a3 = r3.corkedRequestsFree;
          a3.entry = n3;
          for (var u2 = 0, c4 = true; n3; )
            o2[u2] = n3, n3.isBuf || (c4 = false), n3 = n3.next, u2 += 1;
          o2.allBuffers = c4, r2(e3, r3, true, r3.length, o2, "", a3.finish), r3.pendingcb++, r3.lastBufferedRequest = null, a3.next ? (r3.corkedRequestsFree = a3.next, a3.next = null) : r3.corkedRequestsFree = new fW(r3), r3.bufferedRequestCount = 0;
        } else {
          for (; n3; ) {
            var l2 = n3.chunk, f4 = n3.encoding, p2 = n3.callback, v2 = r3.objectMode ? 1 : l2.length;
            if (r2(e3, r3, false, v2, l2, f4, p2), n3 = n3.next, r3.bufferedRequestCount--, r3.writing)
              break;
          }
          n3 === null && (r3.lastBufferedRequest = null);
        }
        r3.bufferedRequest = n3, r3.bufferProcessing = false;
      }
      yt.prototype._write = function(e3, r3, n3) {
        n3(new tAe("_write()"));
      };
      yt.prototype._writev = null;
      yt.prototype.end = function(e3, r3, n3) {
        var i4 = this._writableState;
        return typeof e3 == "function" ? (n3 = e3, e3 = null, r3 = null) : typeof r3 == "function" && (n3 = r3, r3 = null), e3 != null && this.write(e3, r3), i4.corked && (i4.corked = 1, this.uncork()), i4.ending || bAe(this, i4, n3), this;
      };
      Object.defineProperty(yt.prototype, "writableLength", { enumerable: false, get: function() {
        return this._writableState.length;
      } });
      function dW(e3) {
        return e3.ending && e3.length === 0 && e3.bufferedRequest === null && !e3.finished && !e3.writing;
      }
      function yAe(e3, r3) {
        e3._final(function(n3) {
          r3.pendingcb--, n3 && gc(e3, n3), r3.prefinished = true, e3.emit("prefinish"), th(e3, r3);
        });
      }
      function vAe(e3, r3) {
        !r3.prefinished && !r3.finalCalled && (typeof e3._final == "function" && !r3.destroyed ? (r3.pendingcb++, r3.finalCalled = true, process.nextTick(yAe, e3, r3)) : (r3.prefinished = true, e3.emit("prefinish")));
      }
      function th(e3, r3) {
        var n3 = dW(r3);
        if (n3 && (vAe(e3, r3), r3.pendingcb === 0 && (r3.finished = true, e3.emit("finish"), r3.autoDestroy))) {
          var i4 = e3._readableState;
          (!i4 || i4.autoDestroy && i4.endEmitted) && e3.destroy();
        }
        return n3;
      }
      function bAe(e3, r3, n3) {
        r3.ending = true, th(e3, r3), n3 && (r3.finished ? process.nextTick(n3) : e3.once("finish", n3)), r3.ended = true, e3.writable = false;
      }
      function EAe(e3, r3, n3) {
        var i4 = e3.entry;
        for (e3.entry = null; i4; ) {
          var o2 = i4.callback;
          r3.pendingcb--, o2(n3), i4 = i4.next;
        }
        r3.corkedRequestsFree.next = e3;
      }
      Object.defineProperty(yt.prototype, "destroyed", { enumerable: false, get: function() {
        return this._writableState === void 0 ? false : this._writableState.destroyed;
      }, set: function(r3) {
        this._writableState && (this._writableState.destroyed = r3);
      } });
      yt.prototype.destroy = n2.destroy;
      yt.prototype._undestroy = n2.undestroy;
      yt.prototype._destroy = function(e3, r3) {
        r3(e3);
      };
    });
    var wa = b((BUe, yW) => {
      "use strict";
      var wAe = Object.keys || function(e3) {
        var r2 = [];
        for (var n2 in e3)
          r2.push(n2);
        return r2;
      };
      yW.exports = si;
      var gW = a2(), o2 = i2();
      br()(si, gW);
      for (s22 = wAe(o2.prototype), f0 = 0; f0 < s22.length; f0++)
        h0 = s22[f0], si.prototype[h0] || (si.prototype[h0] = o2.prototype[h0]);
      var s22, h0, f0;
      function si(e3) {
        if (!(this instanceof si))
          return new si(e3);
        gW.call(this, e3), o2.call(this, e3), this.allowHalfOpen = true, e3 && (e3.readable === false && (this.readable = false), e3.writable === false && (this.writable = false), e3.allowHalfOpen === false && (this.allowHalfOpen = false, this.once("end", _Ae)));
      }
      Object.defineProperty(si.prototype, "writableHighWaterMark", { enumerable: false, get: function() {
        return this._writableState.highWaterMark;
      } });
      Object.defineProperty(si.prototype, "writableBuffer", { enumerable: false, get: function() {
        return this._writableState && this._writableState.getBuffer();
      } });
      Object.defineProperty(si.prototype, "writableLength", { enumerable: false, get: function() {
        return this._writableState.length;
      } });
      function _Ae() {
        this._writableState.ended || process.nextTick(SAe, this);
      }
      function SAe(e3) {
        e3.end();
      }
      Object.defineProperty(si.prototype, "destroyed", { enumerable: false, get: function() {
        return this._readableState === void 0 || this._writableState === void 0 ? false : this._readableState.destroyed && this._writableState.destroyed;
      }, set: function(r2) {
        this._readableState === void 0 || this._writableState === void 0 || (this._readableState.destroyed = r2, this._writableState.destroyed = r2);
      } });
    });
    var EW = b((u2, bW) => {
      "use strict";
      var p0 = require("buffer"), oi = p0.Buffer;
      function vW(e3, r2) {
        for (var n2 in e3)
          r2[n2] = e3[n2];
      }
      oi.from && oi.alloc && oi.allocUnsafe && oi.allocUnsafeSlow ? bW.exports = p0 : (vW(p0, u2), u2.Buffer = _a);
      function _a(e3, r2, n2) {
        return oi(e3, r2, n2);
      }
      _a.prototype = Object.create(oi.prototype);
      vW(oi, _a);
      _a.from = function(e3, r2, n2) {
        if (typeof e3 == "number")
          throw new TypeError("Argument must not be a number");
        return oi(e3, r2, n2);
      };
      _a.alloc = function(e3, r2, n2) {
        if (typeof e3 != "number")
          throw new TypeError("Argument must be a number");
        var i4 = oi(e3);
        return r2 !== void 0 ? typeof n2 == "string" ? i4.fill(r2, n2) : i4.fill(r2) : i4.fill(0), i4;
      };
      _a.allocUnsafe = function(e3) {
        if (typeof e3 != "number")
          throw new TypeError("Argument must be a number");
        return oi(e3);
      };
      _a.allocUnsafeSlow = function(e3) {
        if (typeof e3 != "number")
          throw new TypeError("Argument must be a number");
        return p0.SlowBuffer(e3);
      };
    });
    var f2 = b((_W) => {
      "use strict";
      var l2 = EW().Buffer, wW = l2.isEncoding || function(e3) {
        switch (e3 = "" + e3, e3 && e3.toLowerCase()) {
          case "hex":
          case "utf8":
          case "utf-8":
          case "ascii":
          case "binary":
          case "base64":
          case "ucs2":
          case "ucs-2":
          case "utf16le":
          case "utf-16le":
          case "raw":
            return true;
          default:
            return false;
        }
      };
      function xAe(e3) {
        if (!e3)
          return "utf8";
        for (var r2; ; )
          switch (e3) {
            case "utf8":
            case "utf-8":
              return "utf8";
            case "ucs2":
            case "ucs-2":
            case "utf16le":
            case "utf-16le":
              return "utf16le";
            case "latin1":
            case "binary":
              return "latin1";
            case "base64":
            case "ascii":
            case "hex":
              return e3;
            default:
              if (r2)
                return;
              e3 = ("" + e3).toLowerCase(), r2 = true;
          }
      }
      function DAe(e3) {
        var r2 = xAe(e3);
        if (typeof r2 != "string" && (l2.isEncoding === wW || !wW(e3)))
          throw new Error("Unknown encoding: " + e3);
        return r2 || e3;
      }
      _W.StringDecoder = nh;
      function nh(e3) {
        this.encoding = DAe(e3);
        var r2;
        switch (this.encoding) {
          case "utf16le":
            this.text = IAe, this.end = PAe, r2 = 4;
            break;
          case "utf8":
            this.fillLast = RAe, r2 = 4;
            break;
          case "base64":
            this.text = FAe, this.end = LAe, r2 = 3;
            break;
          default:
            this.write = MAe, this.end = NAe;
            return;
        }
        this.lastNeed = 0, this.lastTotal = 0, this.lastChar = l2.allocUnsafe(r2);
      }
      nh.prototype.write = function(e3) {
        if (e3.length === 0)
          return "";
        var r2, n2;
        if (this.lastNeed) {
          if (r2 = this.fillLast(e3), r2 === void 0)
            return "";
          n2 = this.lastNeed, this.lastNeed = 0;
        } else
          n2 = 0;
        return n2 < e3.length ? r2 ? r2 + this.text(e3, n2) : this.text(e3, n2) : r2 || "";
      };
      nh.prototype.end = AAe;
      nh.prototype.text = CAe;
      nh.prototype.fillLast = function(e3) {
        if (this.lastNeed <= e3.length)
          return e3.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, this.lastNeed), this.lastChar.toString(this.encoding, 0, this.lastTotal);
        e3.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, e3.length), this.lastNeed -= e3.length;
      };
      function c22(e3) {
        return e3 <= 127 ? 0 : e3 >> 5 === 6 ? 2 : e3 >> 4 === 14 ? 3 : e3 >> 3 === 30 ? 4 : e3 >> 6 === 2 ? -1 : -2;
      }
      function OAe(e3, r2, n2) {
        var i4 = r2.length - 1;
        if (i4 < n2)
          return 0;
        var o2 = c22(r2[i4]);
        return o2 >= 0 ? (o2 > 0 && (e3.lastNeed = o2 - 1), o2) : --i4 < n2 || o2 === -2 ? 0 : (o2 = c22(r2[i4]), o2 >= 0 ? (o2 > 0 && (e3.lastNeed = o2 - 2), o2) : --i4 < n2 || o2 === -2 ? 0 : (o2 = c22(r2[i4]), o2 >= 0 ? (o2 > 0 && (o2 === 2 ? o2 = 0 : e3.lastNeed = o2 - 3), o2) : 0));
      }
      function TAe(e3, r2, n2) {
        if ((r2[0] & 192) !== 128)
          return e3.lastNeed = 0, "\uFFFD";
        if (e3.lastNeed > 1 && r2.length > 1) {
          if ((r2[1] & 192) !== 128)
            return e3.lastNeed = 1, "\uFFFD";
          if (e3.lastNeed > 2 && r2.length > 2 && (r2[2] & 192) !== 128)
            return e3.lastNeed = 2, "\uFFFD";
        }
      }
      function RAe(e3) {
        var r2 = this.lastTotal - this.lastNeed, n2 = TAe(this, e3, r2);
        if (n2 !== void 0)
          return n2;
        if (this.lastNeed <= e3.length)
          return e3.copy(this.lastChar, r2, 0, this.lastNeed), this.lastChar.toString(this.encoding, 0, this.lastTotal);
        e3.copy(this.lastChar, r2, 0, e3.length), this.lastNeed -= e3.length;
      }
      function CAe(e3, r2) {
        var n2 = OAe(this, e3, r2);
        if (!this.lastNeed)
          return e3.toString("utf8", r2);
        this.lastTotal = n2;
        var i4 = e3.length - (n2 - this.lastNeed);
        return e3.copy(this.lastChar, 0, i4), e3.toString("utf8", r2, i4);
      }
      function AAe(e3) {
        var r2 = e3 && e3.length ? this.write(e3) : "";
        return this.lastNeed ? r2 + "\uFFFD" : r2;
      }
      function IAe(e3, r2) {
        if ((e3.length - r2) % 2 === 0) {
          var n2 = e3.toString("utf16le", r2);
          if (n2) {
            var i4 = n2.charCodeAt(n2.length - 1);
            if (i4 >= 55296 && i4 <= 56319)
              return this.lastNeed = 2, this.lastTotal = 4, this.lastChar[0] = e3[e3.length - 2], this.lastChar[1] = e3[e3.length - 1], n2.slice(0, -1);
          }
          return n2;
        }
        return this.lastNeed = 1, this.lastTotal = 2, this.lastChar[0] = e3[e3.length - 1], e3.toString("utf16le", r2, e3.length - 1);
      }
      function PAe(e3) {
        var r2 = e3 && e3.length ? this.write(e3) : "";
        if (this.lastNeed) {
          var n2 = this.lastTotal - this.lastNeed;
          return r2 + this.lastChar.toString("utf16le", 0, n2);
        }
        return r2;
      }
      function FAe(e3, r2) {
        var n2 = (e3.length - r2) % 3;
        return n2 === 0 ? e3.toString("base64", r2) : (this.lastNeed = 3 - n2, this.lastTotal = 3, n2 === 1 ? this.lastChar[0] = e3[e3.length - 1] : (this.lastChar[0] = e3[e3.length - 2], this.lastChar[1] = e3[e3.length - 1]), e3.toString("base64", r2, e3.length - n2));
      }
      function LAe(e3) {
        var r2 = e3 && e3.length ? this.write(e3) : "";
        return this.lastNeed ? r2 + this.lastChar.toString("base64", 0, 3 - this.lastNeed) : r2;
      }
      function MAe(e3) {
        return e3.toString(this.encoding);
      }
      function NAe(e3) {
        return e3 && e3.length ? this.write(e3) : "";
      }
    });
    var d0 = b((UUe, DW) => {
      "use strict";
      var SW = to().codes.ERR_STREAM_PREMATURE_CLOSE;
      function kAe(e3) {
        var r2 = false;
        return function() {
          if (!r2) {
            r2 = true;
            for (var n2 = arguments.length, i4 = new Array(n2), o2 = 0; o2 < n2; o2++)
              i4[o2] = arguments[o2];
            e3.apply(this, i4);
          }
        };
      }
      function $Ae() {
      }
      function qAe(e3) {
        return e3.setHeader && typeof e3.abort == "function";
      }
      function xW(e3, r2, n2) {
        if (typeof r2 == "function")
          return xW(e3, null, r2);
        r2 || (r2 = {}), n2 = kAe(n2 || $Ae);
        var i4 = r2.readable || r2.readable !== false && e3.readable, o2 = r2.writable || r2.writable !== false && e3.writable, a3 = function() {
          e3.writable || c4();
        }, u2 = e3._writableState && e3._writableState.finished, c4 = function() {
          o2 = false, u2 = true, i4 || n2.call(e3);
        }, l2 = e3._readableState && e3._readableState.endEmitted, f4 = function() {
          i4 = false, l2 = true, o2 || n2.call(e3);
        }, p2 = function(D) {
          n2.call(e3, D);
        }, v2 = function() {
          var D;
          if (i4 && !l2)
            return (!e3._readableState || !e3._readableState.ended) && (D = new SW()), n2.call(e3, D);
          if (o2 && !u2)
            return (!e3._writableState || !e3._writableState.ended) && (D = new SW()), n2.call(e3, D);
        }, g2 = function() {
          e3.req.on("finish", c4);
        };
        return qAe(e3) ? (e3.on("complete", c4), e3.on("abort", v2), e3.req ? g2() : e3.on("request", g2)) : o2 && !e3._writableState && (e3.on("end", a3), e3.on("close", a3)), e3.on("end", f4), e3.on("finish", c4), r2.error !== false && e3.on("error", p2), e3.on("close", v2), function() {
          e3.removeListener("complete", c4), e3.removeListener("abort", v2), e3.removeListener("request", g2), e3.req && e3.req.removeListener("finish", c4), e3.removeListener("end", a3), e3.removeListener("close", a3), e3.removeListener("finish", c4), e3.removeListener("end", f4), e3.removeListener("error", p2), e3.removeListener("close", v2);
        };
      }
      DW.exports = xW;
    });
    var TW = b((GUe, OW) => {
      "use strict";
      var m0;
      function no(e3, r2, n2) {
        return r2 in e3 ? Object.defineProperty(e3, r2, { value: n2, enumerable: true, configurable: true, writable: true }) : e3[r2] = n2, e3;
      }
      var BAe = d0(), io = Symbol("lastResolve"), Sa = Symbol("lastReject"), ih = Symbol("error"), g0 = Symbol("ended"), xa = Symbol("lastPromise"), h22 = Symbol("handlePromise"), Da = Symbol("stream");
      function so(e3, r2) {
        return { value: e3, done: r2 };
      }
      function jAe(e3) {
        var r2 = e3[io];
        if (r2 !== null) {
          var n2 = e3[Da].read();
          n2 !== null && (e3[xa] = null, e3[io] = null, e3[Sa] = null, r2(so(n2, false)));
        }
      }
      function UAe(e3) {
        process.nextTick(jAe, e3);
      }
      function GAe(e3, r2) {
        return function(n2, i4) {
          e3.then(function() {
            if (r2[g0]) {
              n2(so(void 0, true));
              return;
            }
            r2[h22](n2, i4);
          }, i4);
        };
      }
      var WAe = Object.getPrototypeOf(function() {
      }), HAe = Object.setPrototypeOf((m0 = { get stream() {
        return this[Da];
      }, next: function() {
        var r2 = this, n2 = this[ih];
        if (n2 !== null)
          return Promise.reject(n2);
        if (this[g0])
          return Promise.resolve(so(void 0, true));
        if (this[Da].destroyed)
          return new Promise(function(u2, c4) {
            process.nextTick(function() {
              r2[ih] ? c4(r2[ih]) : u2(so(void 0, true));
            });
          });
        var i4 = this[xa], o2;
        if (i4)
          o2 = new Promise(GAe(i4, this));
        else {
          var a3 = this[Da].read();
          if (a3 !== null)
            return Promise.resolve(so(a3, false));
          o2 = new Promise(this[h22]);
        }
        return this[xa] = o2, o2;
      } }, no(m0, Symbol.asyncIterator, function() {
        return this;
      }), no(m0, "return", function() {
        var r2 = this;
        return new Promise(function(n2, i4) {
          r2[Da].destroy(null, function(o2) {
            if (o2) {
              i4(o2);
              return;
            }
            n2(so(void 0, true));
          });
        });
      }), m0), WAe), VAe = function(r2) {
        var n2, i4 = Object.create(HAe, (n2 = {}, no(n2, Da, { value: r2, writable: true }), no(n2, io, { value: null, writable: true }), no(n2, Sa, { value: null, writable: true }), no(n2, ih, { value: null, writable: true }), no(n2, g0, { value: r2._readableState.endEmitted, writable: true }), no(n2, h22, { value: function(a3, u2) {
          var c4 = i4[Da].read();
          c4 ? (i4[xa] = null, i4[io] = null, i4[Sa] = null, a3(so(c4, false))) : (i4[io] = a3, i4[Sa] = u2);
        }, writable: true }), n2));
        return i4[xa] = null, BAe(r2, function(o2) {
          if (o2 && o2.code !== "ERR_STREAM_PREMATURE_CLOSE") {
            var a3 = i4[Sa];
            a3 !== null && (i4[xa] = null, i4[io] = null, i4[Sa] = null, a3(o2)), i4[ih] = o2;
            return;
          }
          var u2 = i4[io];
          u2 !== null && (i4[xa] = null, i4[io] = null, i4[Sa] = null, u2(so(void 0, true))), i4[g0] = true;
        }), r2.on("readable", UAe.bind(null, i4)), i4;
      };
      OW.exports = VAe;
    });
    var IW = b((WUe, AW) => {
      "use strict";
      function RW(e3, r2, n2, i4, o2, a3, u2) {
        try {
          var c4 = e3[a3](u2), l2 = c4.value;
        } catch (f4) {
          n2(f4);
          return;
        }
        c4.done ? r2(l2) : Promise.resolve(l2).then(i4, o2);
      }
      function KAe(e3) {
        return function() {
          var r2 = this, n2 = arguments;
          return new Promise(function(i4, o2) {
            var a3 = e3.apply(r2, n2);
            function u2(l2) {
              RW(a3, i4, o2, u2, c4, "next", l2);
            }
            function c4(l2) {
              RW(a3, i4, o2, u2, c4, "throw", l2);
            }
            u2(void 0);
          });
        };
      }
      function CW(e3, r2) {
        var n2 = Object.keys(e3);
        if (Object.getOwnPropertySymbols) {
          var i4 = Object.getOwnPropertySymbols(e3);
          r2 && (i4 = i4.filter(function(o2) {
            return Object.getOwnPropertyDescriptor(e3, o2).enumerable;
          })), n2.push.apply(n2, i4);
        }
        return n2;
      }
      function zAe(e3) {
        for (var r2 = 1; r2 < arguments.length; r2++) {
          var n2 = arguments[r2] != null ? arguments[r2] : {};
          r2 % 2 ? CW(Object(n2), true).forEach(function(i4) {
            YAe(e3, i4, n2[i4]);
          }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e3, Object.getOwnPropertyDescriptors(n2)) : CW(Object(n2)).forEach(function(i4) {
            Object.defineProperty(e3, i4, Object.getOwnPropertyDescriptor(n2, i4));
          });
        }
        return e3;
      }
      function YAe(e3, r2, n2) {
        return r2 in e3 ? Object.defineProperty(e3, r2, { value: n2, enumerable: true, configurable: true, writable: true }) : e3[r2] = n2, e3;
      }
      var JAe = to().codes.ERR_INVALID_ARG_TYPE;
      function XAe(e3, r2, n2) {
        var i4;
        if (r2 && typeof r2.next == "function")
          i4 = r2;
        else if (r2 && r2[Symbol.asyncIterator])
          i4 = r2[Symbol.asyncIterator]();
        else if (r2 && r2[Symbol.iterator])
          i4 = r2[Symbol.iterator]();
        else
          throw new JAe("iterable", ["Iterable"], r2);
        var o2 = new e3(zAe({ objectMode: true }, n2)), a3 = false;
        o2._read = function() {
          a3 || (a3 = true, u2());
        };
        function u2() {
          return c4.apply(this, arguments);
        }
        function c4() {
          return c4 = KAe(function* () {
            try {
              var l2 = yield i4.next(), f4 = l2.value, p2 = l2.done;
              p2 ? o2.push(null) : o2.push(yield f4) ? u2() : a3 = false;
            } catch (v2) {
              o2.destroy(v2);
            }
          }), c4.apply(this, arguments);
        }
        return o2;
      }
      AW.exports = XAe;
    });
    var a2 = b((VUe, jW) => {
      "use strict";
      jW.exports = Te;
      var yc;
      Te.ReadableState = MW;
      var HUe = require("events").EventEmitter, LW = function(r2, n2) {
        return r2.listeners(n2).length;
      }, oh = XD(), y0 = require("buffer").Buffer, QAe = global.Uint8Array || function() {
      };
      function ZAe(e3) {
        return y0.from(e3);
      }
      function eIe(e3) {
        return y0.isBuffer(e3) || e3 instanceof QAe;
      }
      var p2 = require("util"), Ee;
      p2 && p2.debuglog ? Ee = p2.debuglog("stream") : Ee = function() {
      };
      var tIe = nW(), E2 = e2(), rIe = t2(), nIe = rIe.getHighWaterMark, v0 = to().codes, iIe = v0.ERR_INVALID_ARG_TYPE, sIe = v0.ERR_STREAM_PUSH_AFTER_EOF, oIe = v0.ERR_METHOD_NOT_IMPLEMENTED, aIe = v0.ERR_STREAM_UNSHIFT_AFTER_END_EVENT, vc, d22, m22;
      br()(Te, oh);
      var sh = E2.errorOrDestroy, g2 = ["error", "close", "destroy", "pause", "resume"];
      function uIe(e3, r2, n2) {
        if (typeof e3.prependListener == "function")
          return e3.prependListener(r2, n2);
        !e3._events || !e3._events[r2] ? e3.on(r2, n2) : Array.isArray(e3._events[r2]) ? e3._events[r2].unshift(n2) : e3._events[r2] = [n2, e3._events[r2]];
      }
      function MW(e3, r2, n2) {
        yc = yc || wa(), e3 = e3 || {}, typeof n2 != "boolean" && (n2 = r2 instanceof yc), this.objectMode = !!e3.objectMode, n2 && (this.objectMode = this.objectMode || !!e3.readableObjectMode), this.highWaterMark = nIe(this, e3, "readableHighWaterMark", n2), this.buffer = new tIe(), this.length = 0, this.pipes = null, this.pipesCount = 0, this.flowing = null, this.ended = false, this.endEmitted = false, this.reading = false, this.sync = true, this.needReadable = false, this.emittedReadable = false, this.readableListening = false, this.resumeScheduled = false, this.paused = true, this.emitClose = e3.emitClose !== false, this.autoDestroy = !!e3.autoDestroy, this.destroyed = false, this.defaultEncoding = e3.defaultEncoding || "utf8", this.awaitDrain = 0, this.readingMore = false, this.decoder = null, this.encoding = null, e3.encoding && (vc || (vc = f2().StringDecoder), this.decoder = new vc(e3.encoding), this.encoding = e3.encoding);
      }
      function Te(e3) {
        if (yc = yc || wa(), !(this instanceof Te))
          return new Te(e3);
        var r2 = this instanceof yc;
        this._readableState = new MW(e3, this, r2), this.readable = true, e3 && (typeof e3.read == "function" && (this._read = e3.read), typeof e3.destroy == "function" && (this._destroy = e3.destroy)), oh.call(this);
      }
      Object.defineProperty(Te.prototype, "destroyed", { enumerable: false, get: function() {
        return this._readableState === void 0 ? false : this._readableState.destroyed;
      }, set: function(r2) {
        this._readableState && (this._readableState.destroyed = r2);
      } });
      Te.prototype.destroy = E2.destroy;
      Te.prototype._undestroy = E2.undestroy;
      Te.prototype._destroy = function(e3, r2) {
        r2(e3);
      };
      Te.prototype.push = function(e3, r2) {
        var n2 = this._readableState, i4;
        return n2.objectMode ? i4 = true : typeof e3 == "string" && (r2 = r2 || n2.defaultEncoding, r2 !== n2.encoding && (e3 = y0.from(e3, r2), r2 = ""), i4 = true), NW(this, e3, r2, false, i4);
      };
      Te.prototype.unshift = function(e3) {
        return NW(this, e3, null, true, false);
      };
      function NW(e3, r2, n2, i4, o2) {
        Ee("readableAddChunk", r2);
        var a3 = e3._readableState;
        if (r2 === null)
          a3.reading = false, fIe(e3, a3);
        else {
          var u2;
          if (o2 || (u2 = cIe(a3, r2)), u2)
            sh(e3, u2);
          else if (a3.objectMode || r2 && r2.length > 0)
            if (typeof r2 != "string" && !a3.objectMode && Object.getPrototypeOf(r2) !== y0.prototype && (r2 = ZAe(r2)), i4)
              a3.endEmitted ? sh(e3, new aIe()) : y22(e3, a3, r2, true);
            else if (a3.ended)
              sh(e3, new sIe());
            else {
              if (a3.destroyed)
                return false;
              a3.reading = false, a3.decoder && !n2 ? (r2 = a3.decoder.write(r2), a3.objectMode || r2.length !== 0 ? y22(e3, a3, r2, false) : b22(e3, a3)) : y22(e3, a3, r2, false);
            }
          else
            i4 || (a3.reading = false, b22(e3, a3));
        }
        return !a3.ended && (a3.length < a3.highWaterMark || a3.length === 0);
      }
      function y22(e3, r2, n2, i4) {
        r2.flowing && r2.length === 0 && !r2.sync ? (r2.awaitDrain = 0, e3.emit("data", n2)) : (r2.length += r2.objectMode ? 1 : n2.length, i4 ? r2.buffer.unshift(n2) : r2.buffer.push(n2), r2.needReadable && b0(e3)), b22(e3, r2);
      }
      function cIe(e3, r2) {
        var n2;
        return !eIe(r2) && typeof r2 != "string" && r2 !== void 0 && !e3.objectMode && (n2 = new iIe("chunk", ["string", "Buffer", "Uint8Array"], r2)), n2;
      }
      Te.prototype.isPaused = function() {
        return this._readableState.flowing === false;
      };
      Te.prototype.setEncoding = function(e3) {
        vc || (vc = f2().StringDecoder);
        var r2 = new vc(e3);
        this._readableState.decoder = r2, this._readableState.encoding = this._readableState.decoder.encoding;
        for (var n2 = this._readableState.buffer.head, i4 = ""; n2 !== null; )
          i4 += r2.write(n2.data), n2 = n2.next;
        return this._readableState.buffer.clear(), i4 !== "" && this._readableState.buffer.push(i4), this._readableState.length = i4.length, this;
      };
      var PW = 1073741824;
      function lIe(e3) {
        return e3 >= PW ? e3 = PW : (e3--, e3 |= e3 >>> 1, e3 |= e3 >>> 2, e3 |= e3 >>> 4, e3 |= e3 >>> 8, e3 |= e3 >>> 16, e3++), e3;
      }
      function FW(e3, r2) {
        return e3 <= 0 || r2.length === 0 && r2.ended ? 0 : r2.objectMode ? 1 : e3 !== e3 ? r2.flowing && r2.length ? r2.buffer.head.data.length : r2.length : (e3 > r2.highWaterMark && (r2.highWaterMark = lIe(e3)), e3 <= r2.length ? e3 : r2.ended ? r2.length : (r2.needReadable = true, 0));
      }
      Te.prototype.read = function(e3) {
        Ee("read", e3), e3 = parseInt(e3, 10);
        var r2 = this._readableState, n2 = e3;
        if (e3 !== 0 && (r2.emittedReadable = false), e3 === 0 && r2.needReadable && ((r2.highWaterMark !== 0 ? r2.length >= r2.highWaterMark : r2.length > 0) || r2.ended))
          return Ee("read: emitReadable", r2.length, r2.ended), r2.length === 0 && r2.ended ? v2(this) : b0(this), null;
        if (e3 = FW(e3, r2), e3 === 0 && r2.ended)
          return r2.length === 0 && v2(this), null;
        var i4 = r2.needReadable;
        Ee("need readable", i4), (r2.length === 0 || r2.length - e3 < r2.highWaterMark) && (i4 = true, Ee("length less than watermark", i4)), r2.ended || r2.reading ? (i4 = false, Ee("reading or ended", i4)) : i4 && (Ee("do read"), r2.reading = true, r2.sync = true, r2.length === 0 && (r2.needReadable = true), this._read(r2.highWaterMark), r2.sync = false, r2.reading || (e3 = FW(n2, r2)));
        var o2;
        return e3 > 0 ? o2 = qW(e3, r2) : o2 = null, o2 === null ? (r2.needReadable = r2.length <= r2.highWaterMark, e3 = 0) : (r2.length -= e3, r2.awaitDrain = 0), r2.length === 0 && (r2.ended || (r2.needReadable = true), n2 !== e3 && r2.ended && v2(this)), o2 !== null && this.emit("data", o2), o2;
      };
      function fIe(e3, r2) {
        if (Ee("onEofChunk"), !r2.ended) {
          if (r2.decoder) {
            var n2 = r2.decoder.end();
            n2 && n2.length && (r2.buffer.push(n2), r2.length += r2.objectMode ? 1 : n2.length);
          }
          r2.ended = true, r2.sync ? b0(e3) : (r2.needReadable = false, r2.emittedReadable || (r2.emittedReadable = true, kW(e3)));
        }
      }
      function b0(e3) {
        var r2 = e3._readableState;
        Ee("emitReadable", r2.needReadable, r2.emittedReadable), r2.needReadable = false, r2.emittedReadable || (Ee("emitReadable", r2.flowing), r2.emittedReadable = true, process.nextTick(kW, e3));
      }
      function kW(e3) {
        var r2 = e3._readableState;
        Ee("emitReadable_", r2.destroyed, r2.length, r2.ended), !r2.destroyed && (r2.length || r2.ended) && (e3.emit("readable"), r2.emittedReadable = false), r2.needReadable = !r2.flowing && !r2.ended && r2.length <= r2.highWaterMark, w22(e3);
      }
      function b22(e3, r2) {
        r2.readingMore || (r2.readingMore = true, process.nextTick(hIe, e3, r2));
      }
      function hIe(e3, r2) {
        for (; !r2.reading && !r2.ended && (r2.length < r2.highWaterMark || r2.flowing && r2.length === 0); ) {
          var n2 = r2.length;
          if (Ee("maybeReadMore read 0"), e3.read(0), n2 === r2.length)
            break;
        }
        r2.readingMore = false;
      }
      Te.prototype._read = function(e3) {
        sh(this, new oIe("_read()"));
      };
      Te.prototype.pipe = function(e3, r2) {
        var n2 = this, i4 = this._readableState;
        switch (i4.pipesCount) {
          case 0:
            i4.pipes = e3;
            break;
          case 1:
            i4.pipes = [i4.pipes, e3];
            break;
          default:
            i4.pipes.push(e3);
            break;
        }
        i4.pipesCount += 1, Ee("pipe count=%d opts=%j", i4.pipesCount, r2);
        var o2 = (!r2 || r2.end !== false) && e3 !== process.stdout && e3 !== process.stderr, a3 = o2 ? c4 : T6;
        i4.endEmitted ? process.nextTick(a3) : n2.once("end", a3), e3.on("unpipe", u2);
        function u2(R, A2) {
          Ee("onunpipe"), R === n2 && A2 && A2.hasUnpiped === false && (A2.hasUnpiped = true, p4());
        }
        function c4() {
          Ee("onend"), e3.end();
        }
        var l2 = pIe(n2);
        e3.on("drain", l2);
        var f4 = false;
        function p4() {
          Ee("cleanup"), e3.removeListener("close", S2), e3.removeListener("finish", D), e3.removeListener("drain", l2), e3.removeListener("error", g3), e3.removeListener("unpipe", u2), n2.removeListener("end", c4), n2.removeListener("end", T6), n2.removeListener("data", v3), f4 = true, i4.awaitDrain && (!e3._writableState || e3._writableState.needDrain) && l2();
        }
        n2.on("data", v3);
        function v3(R) {
          Ee("ondata");
          var A2 = e3.write(R);
          Ee("dest.write", A2), A2 === false && ((i4.pipesCount === 1 && i4.pipes === e3 || i4.pipesCount > 1 && BW(i4.pipes, e3) !== -1) && !f4 && (Ee("false write response, pause", i4.awaitDrain), i4.awaitDrain++), n2.pause());
        }
        function g3(R) {
          Ee("onerror", R), T6(), e3.removeListener("error", g3), LW(e3, "error") === 0 && sh(e3, R);
        }
        uIe(e3, "error", g3);
        function S2() {
          e3.removeListener("finish", D), T6();
        }
        e3.once("close", S2);
        function D() {
          Ee("onfinish"), e3.removeListener("close", S2), T6();
        }
        e3.once("finish", D);
        function T6() {
          Ee("unpipe"), n2.unpipe(e3);
        }
        return e3.emit("pipe", n2), i4.flowing || (Ee("pipe resume"), n2.resume()), e3;
      };
      function pIe(e3) {
        return function() {
          var n2 = e3._readableState;
          Ee("pipeOnDrain", n2.awaitDrain), n2.awaitDrain && n2.awaitDrain--, n2.awaitDrain === 0 && LW(e3, "data") && (n2.flowing = true, w22(e3));
        };
      }
      Te.prototype.unpipe = function(e3) {
        var r2 = this._readableState, n2 = { hasUnpiped: false };
        if (r2.pipesCount === 0)
          return this;
        if (r2.pipesCount === 1)
          return e3 && e3 !== r2.pipes ? this : (e3 || (e3 = r2.pipes), r2.pipes = null, r2.pipesCount = 0, r2.flowing = false, e3 && e3.emit("unpipe", this, n2), this);
        if (!e3) {
          var i4 = r2.pipes, o2 = r2.pipesCount;
          r2.pipes = null, r2.pipesCount = 0, r2.flowing = false;
          for (var a3 = 0; a3 < o2; a3++)
            i4[a3].emit("unpipe", this, { hasUnpiped: false });
          return this;
        }
        var u2 = BW(r2.pipes, e3);
        return u2 === -1 ? this : (r2.pipes.splice(u2, 1), r2.pipesCount -= 1, r2.pipesCount === 1 && (r2.pipes = r2.pipes[0]), e3.emit("unpipe", this, n2), this);
      };
      Te.prototype.on = function(e3, r2) {
        var n2 = oh.prototype.on.call(this, e3, r2), i4 = this._readableState;
        return e3 === "data" ? (i4.readableListening = this.listenerCount("readable") > 0, i4.flowing !== false && this.resume()) : e3 === "readable" && !i4.endEmitted && !i4.readableListening && (i4.readableListening = i4.needReadable = true, i4.flowing = false, i4.emittedReadable = false, Ee("on readable", i4.length, i4.reading), i4.length ? b0(this) : i4.reading || process.nextTick(dIe, this)), n2;
      };
      Te.prototype.addListener = Te.prototype.on;
      Te.prototype.removeListener = function(e3, r2) {
        var n2 = oh.prototype.removeListener.call(this, e3, r2);
        return e3 === "readable" && process.nextTick($W, this), n2;
      };
      Te.prototype.removeAllListeners = function(e3) {
        var r2 = oh.prototype.removeAllListeners.apply(this, arguments);
        return (e3 === "readable" || e3 === void 0) && process.nextTick($W, this), r2;
      };
      function $W(e3) {
        var r2 = e3._readableState;
        r2.readableListening = e3.listenerCount("readable") > 0, r2.resumeScheduled && !r2.paused ? r2.flowing = true : e3.listenerCount("data") > 0 && e3.resume();
      }
      function dIe(e3) {
        Ee("readable nexttick read 0"), e3.read(0);
      }
      Te.prototype.resume = function() {
        var e3 = this._readableState;
        return e3.flowing || (Ee("resume"), e3.flowing = !e3.readableListening, mIe(this, e3)), e3.paused = false, this;
      };
      function mIe(e3, r2) {
        r2.resumeScheduled || (r2.resumeScheduled = true, process.nextTick(gIe, e3, r2));
      }
      function gIe(e3, r2) {
        Ee("resume", r2.reading), r2.reading || e3.read(0), r2.resumeScheduled = false, e3.emit("resume"), w22(e3), r2.flowing && !r2.reading && e3.read(0);
      }
      Te.prototype.pause = function() {
        return Ee("call pause flowing=%j", this._readableState.flowing), this._readableState.flowing !== false && (Ee("pause"), this._readableState.flowing = false, this.emit("pause")), this._readableState.paused = true, this;
      };
      function w22(e3) {
        var r2 = e3._readableState;
        for (Ee("flow", r2.flowing); r2.flowing && e3.read() !== null; )
          ;
      }
      Te.prototype.wrap = function(e3) {
        var r2 = this, n2 = this._readableState, i4 = false;
        e3.on("end", function() {
          if (Ee("wrapped end"), n2.decoder && !n2.ended) {
            var u2 = n2.decoder.end();
            u2 && u2.length && r2.push(u2);
          }
          r2.push(null);
        }), e3.on("data", function(u2) {
          if (Ee("wrapped data"), n2.decoder && (u2 = n2.decoder.write(u2)), !(n2.objectMode && u2 == null) && !(!n2.objectMode && (!u2 || !u2.length))) {
            var c4 = r2.push(u2);
            c4 || (i4 = true, e3.pause());
          }
        });
        for (var o2 in e3)
          this[o2] === void 0 && typeof e3[o2] == "function" && (this[o2] = function(c4) {
            return function() {
              return e3[c4].apply(e3, arguments);
            };
          }(o2));
        for (var a3 = 0; a3 < g2.length; a3++)
          e3.on(g2[a3], this.emit.bind(this, g2[a3]));
        return this._read = function(u2) {
          Ee("wrapped _read", u2), i4 && (i4 = false, e3.resume());
        }, this;
      };
      typeof Symbol == "function" && (Te.prototype[Symbol.asyncIterator] = function() {
        return d22 === void 0 && (d22 = TW()), d22(this);
      });
      Object.defineProperty(Te.prototype, "readableHighWaterMark", { enumerable: false, get: function() {
        return this._readableState.highWaterMark;
      } });
      Object.defineProperty(Te.prototype, "readableBuffer", { enumerable: false, get: function() {
        return this._readableState && this._readableState.buffer;
      } });
      Object.defineProperty(Te.prototype, "readableFlowing", { enumerable: false, get: function() {
        return this._readableState.flowing;
      }, set: function(r2) {
        this._readableState && (this._readableState.flowing = r2);
      } });
      Te._fromList = qW;
      Object.defineProperty(Te.prototype, "readableLength", { enumerable: false, get: function() {
        return this._readableState.length;
      } });
      function qW(e3, r2) {
        if (r2.length === 0)
          return null;
        var n2;
        return r2.objectMode ? n2 = r2.buffer.shift() : !e3 || e3 >= r2.length ? (r2.decoder ? n2 = r2.buffer.join("") : r2.buffer.length === 1 ? n2 = r2.buffer.first() : n2 = r2.buffer.concat(r2.length), r2.buffer.clear()) : n2 = r2.buffer.consume(e3, r2.decoder), n2;
      }
      function v2(e3) {
        var r2 = e3._readableState;
        Ee("endReadable", r2.endEmitted), r2.endEmitted || (r2.ended = true, process.nextTick(yIe, r2, e3));
      }
      function yIe(e3, r2) {
        if (Ee("endReadableNT", e3.endEmitted, e3.length), !e3.endEmitted && e3.length === 0 && (e3.endEmitted = true, r2.readable = false, r2.emit("end"), e3.autoDestroy)) {
          var n2 = r2._writableState;
          (!n2 || n2.autoDestroy && n2.finished) && r2.destroy();
        }
      }
      typeof Symbol == "function" && (Te.from = function(e3, r2) {
        return m22 === void 0 && (m22 = IW()), m22(Te, e3, r2);
      });
      function BW(e3, r2) {
        for (var n2 = 0, i4 = e3.length; n2 < i4; n2++)
          if (e3[n2] === r2)
            return n2;
        return -1;
      }
    });
    var _2 = b((KUe, GW) => {
      "use strict";
      GW.exports = Ui;
      var E0 = to().codes, vIe = E0.ERR_METHOD_NOT_IMPLEMENTED, bIe = E0.ERR_MULTIPLE_CALLBACK, EIe = E0.ERR_TRANSFORM_ALREADY_TRANSFORMING, wIe = E0.ERR_TRANSFORM_WITH_LENGTH_0, w0 = wa();
      br()(Ui, w0);
      function _Ie(e3, r2) {
        var n2 = this._transformState;
        n2.transforming = false;
        var i4 = n2.writecb;
        if (i4 === null)
          return this.emit("error", new bIe());
        n2.writechunk = null, n2.writecb = null, r2 != null && this.push(r2), i4(e3);
        var o2 = this._readableState;
        o2.reading = false, (o2.needReadable || o2.length < o2.highWaterMark) && this._read(o2.highWaterMark);
      }
      function Ui(e3) {
        if (!(this instanceof Ui))
          return new Ui(e3);
        w0.call(this, e3), this._transformState = { afterTransform: _Ie.bind(this), needTransform: false, transforming: false, writecb: null, writechunk: null, writeencoding: null }, this._readableState.needReadable = true, this._readableState.sync = false, e3 && (typeof e3.transform == "function" && (this._transform = e3.transform), typeof e3.flush == "function" && (this._flush = e3.flush)), this.on("prefinish", SIe);
      }
      function SIe() {
        var e3 = this;
        typeof this._flush == "function" && !this._readableState.destroyed ? this._flush(function(r2, n2) {
          UW(e3, r2, n2);
        }) : UW(this, null, null);
      }
      Ui.prototype.push = function(e3, r2) {
        return this._transformState.needTransform = false, w0.prototype.push.call(this, e3, r2);
      };
      Ui.prototype._transform = function(e3, r2, n2) {
        n2(new vIe("_transform()"));
      };
      Ui.prototype._write = function(e3, r2, n2) {
        var i4 = this._transformState;
        if (i4.writecb = n2, i4.writechunk = e3, i4.writeencoding = r2, !i4.transforming) {
          var o2 = this._readableState;
          (i4.needTransform || o2.needReadable || o2.length < o2.highWaterMark) && this._read(o2.highWaterMark);
        }
      };
      Ui.prototype._read = function(e3) {
        var r2 = this._transformState;
        r2.writechunk !== null && !r2.transforming ? (r2.transforming = true, this._transform(r2.writechunk, r2.writeencoding, r2.afterTransform)) : r2.needTransform = true;
      };
      Ui.prototype._destroy = function(e3, r2) {
        w0.prototype._destroy.call(this, e3, function(n2) {
          r2(n2);
        });
      };
      function UW(e3, r2, n2) {
        if (r2)
          return e3.emit("error", r2);
        if (n2 != null && e3.push(n2), e3._writableState.length)
          throw new wIe();
        if (e3._transformState.transforming)
          throw new EIe();
        return e3.push(null);
      }
    });
    var VW = b((zUe, HW) => {
      "use strict";
      HW.exports = ah;
      var WW = _2();
      br()(ah, WW);
      function ah(e3) {
        if (!(this instanceof ah))
          return new ah(e3);
        WW.call(this, e3);
      }
      ah.prototype._transform = function(e3, r2, n2) {
        n2(null, e3);
      };
    });
    var XW = b((YUe, JW) => {
      "use strict";
      var S2;
      function xIe(e3) {
        var r2 = false;
        return function() {
          r2 || (r2 = true, e3.apply(void 0, arguments));
        };
      }
      var YW = to().codes, DIe = YW.ERR_MISSING_ARGS, OIe = YW.ERR_STREAM_DESTROYED;
      function KW(e3) {
        if (e3)
          throw e3;
      }
      function TIe(e3) {
        return e3.setHeader && typeof e3.abort == "function";
      }
      function RIe(e3, r2, n2, i4) {
        i4 = xIe(i4);
        var o2 = false;
        e3.on("close", function() {
          o2 = true;
        }), S2 === void 0 && (S2 = d0()), S2(e3, { readable: r2, writable: n2 }, function(u2) {
          if (u2)
            return i4(u2);
          o2 = true, i4();
        });
        var a3 = false;
        return function(u2) {
          if (!o2 && !a3) {
            if (a3 = true, TIe(e3))
              return e3.abort();
            if (typeof e3.destroy == "function")
              return e3.destroy();
            i4(u2 || new OIe("pipe"));
          }
        };
      }
      function zW(e3) {
        e3();
      }
      function CIe(e3, r2) {
        return e3.pipe(r2);
      }
      function AIe(e3) {
        return !e3.length || typeof e3[e3.length - 1] != "function" ? KW : e3.pop();
      }
      function IIe() {
        for (var e3 = arguments.length, r2 = new Array(e3), n2 = 0; n2 < e3; n2++)
          r2[n2] = arguments[n2];
        var i4 = AIe(r2);
        if (Array.isArray(r2[0]) && (r2 = r2[0]), r2.length < 2)
          throw new DIe("streams");
        var o2, a3 = r2.map(function(u2, c4) {
          var l2 = c4 < r2.length - 1, f4 = c4 > 0;
          return RIe(u2, l2, f4, function(p2) {
            o2 || (o2 = p2), p2 && a3.forEach(zW), !l2 && (a3.forEach(zW), i4(o2));
          });
        });
        return r2.reduce(CIe);
      }
      JW.exports = IIe;
    });
    var Ln = b((pn, ch) => {
      "use strict";
      var uh = require("stream");
      process.env.READABLE_STREAM === "disable" && uh ? (ch.exports = uh.Readable, Object.assign(ch.exports, uh), ch.exports.Stream = uh) : (pn = ch.exports = a2(), pn.Stream = uh || pn, pn.Readable = pn, pn.Writable = i2(), pn.Duplex = wa(), pn.Transform = _2(), pn.PassThrough = VW(), pn.finished = d0(), pn.pipeline = XW());
    });
    var rH = b((JUe, tH) => {
      "use strict";
      var O2 = require("fs"), ZW = rj(), QW = (tU(), qR(eU)), x2 = require("path"), ai = dc(), PIe = require("util").inherits, vt = QG(), eH = Ln().Transform, D2 = process.platform === "win32", Ce = function(e3, r2) {
        if (!(this instanceof Ce))
          return new Ce(e3, r2);
        typeof e3 != "string" && (r2 = e3, e3 = "zip"), r2 = this.options = ai.defaults(r2, { highWaterMark: 1024 * 1024, statConcurrency: 4 }), eH.call(this, r2), this._format = false, this._module = false, this._pending = 0, this._pointer = 0, this._entriesCount = 0, this._entriesProcessedCount = 0, this._fsEntriesTotalBytes = 0, this._fsEntriesProcessedBytes = 0, this._queue = QW.queue(this._onQueueTask.bind(this), 1), this._queue.drain(this._onQueueDrain.bind(this)), this._statQueue = QW.queue(this._onStatQueueTask.bind(this), r2.statConcurrency), this._statQueue.drain(this._onQueueDrain.bind(this)), this._state = { aborted: false, finalize: false, finalizing: false, finalized: false, modulePiped: false }, this._streams = [];
      };
      PIe(Ce, eH);
      Ce.prototype._abort = function() {
        this._state.aborted = true, this._queue.kill(), this._statQueue.kill(), this._queue.idle() && this._shutdown();
      };
      Ce.prototype._append = function(e3, r2) {
        r2 = r2 || {};
        var n2 = { source: null, filepath: e3 };
        r2.name || (r2.name = e3), r2.sourcePath = e3, n2.data = r2, this._entriesCount++, r2.stats && r2.stats instanceof O2.Stats ? (n2 = this._updateQueueTaskWithStats(n2, r2.stats), n2 && (r2.stats.size && (this._fsEntriesTotalBytes += r2.stats.size), this._queue.push(n2))) : this._statQueue.push(n2);
      };
      Ce.prototype._finalize = function() {
        this._state.finalizing || this._state.finalized || this._state.aborted || (this._state.finalizing = true, this._moduleFinalize(), this._state.finalizing = false, this._state.finalized = true);
      };
      Ce.prototype._maybeFinalize = function() {
        return this._state.finalizing || this._state.finalized || this._state.aborted ? false : this._state.finalize && this._pending === 0 && this._queue.idle() && this._statQueue.idle() ? (this._finalize(), true) : false;
      };
      Ce.prototype._moduleAppend = function(e3, r2, n2) {
        if (this._state.aborted) {
          n2();
          return;
        }
        this._module.append(e3, r2, function(i4) {
          if (this._task = null, this._state.aborted) {
            this._shutdown();
            return;
          }
          if (i4) {
            this.emit("error", i4), setImmediate(n2);
            return;
          }
          this.emit("entry", r2), this._entriesProcessedCount++, r2.stats && r2.stats.size && (this._fsEntriesProcessedBytes += r2.stats.size), this.emit("progress", { entries: { total: this._entriesCount, processed: this._entriesProcessedCount }, fs: { totalBytes: this._fsEntriesTotalBytes, processedBytes: this._fsEntriesProcessedBytes } }), setImmediate(n2);
        }.bind(this));
      };
      Ce.prototype._moduleFinalize = function() {
        typeof this._module.finalize == "function" ? this._module.finalize() : typeof this._module.end == "function" ? this._module.end() : this.emit("error", new vt("NOENDMETHOD"));
      };
      Ce.prototype._modulePipe = function() {
        this._module.on("error", this._onModuleError.bind(this)), this._module.pipe(this), this._state.modulePiped = true;
      };
      Ce.prototype._moduleSupports = function(e3) {
        return !this._module.supports || !this._module.supports[e3] ? false : this._module.supports[e3];
      };
      Ce.prototype._moduleUnpipe = function() {
        this._module.unpipe(this), this._state.modulePiped = false;
      };
      Ce.prototype._normalizeEntryData = function(e3, r2) {
        e3 = ai.defaults(e3, { type: "file", name: null, date: null, mode: null, prefix: null, sourcePath: null, stats: false }), r2 && e3.stats === false && (e3.stats = r2);
        var n2 = e3.type === "directory";
        return e3.name && (typeof e3.prefix == "string" && e3.prefix !== "" && (e3.name = e3.prefix + "/" + e3.name, e3.prefix = null), e3.name = ai.sanitizePath(e3.name), e3.type !== "symlink" && e3.name.slice(-1) === "/" ? (n2 = true, e3.type = "directory") : n2 && (e3.name += "/")), typeof e3.mode == "number" ? D2 ? e3.mode &= 511 : e3.mode &= 4095 : e3.stats && e3.mode === null ? (D2 ? e3.mode = e3.stats.mode & 511 : e3.mode = e3.stats.mode & 4095, D2 && n2 && (e3.mode = 493)) : e3.mode === null && (e3.mode = n2 ? 493 : 420), e3.stats && e3.date === null ? e3.date = e3.stats.mtime : e3.date = ai.dateify(e3.date), e3;
      };
      Ce.prototype._onModuleError = function(e3) {
        this.emit("error", e3);
      };
      Ce.prototype._onQueueDrain = function() {
        this._state.finalizing || this._state.finalized || this._state.aborted || this._state.finalize && this._pending === 0 && this._queue.idle() && this._statQueue.idle() && this._finalize();
      };
      Ce.prototype._onQueueTask = function(e3, r2) {
        var n2 = () => {
          e3.data.callback && e3.data.callback(), r2();
        };
        if (this._state.finalizing || this._state.finalized || this._state.aborted) {
          n2();
          return;
        }
        this._task = e3, this._moduleAppend(e3.source, e3.data, n2);
      };
      Ce.prototype._onStatQueueTask = function(e3, r2) {
        if (this._state.finalizing || this._state.finalized || this._state.aborted) {
          r2();
          return;
        }
        O2.lstat(e3.filepath, function(n2, i4) {
          if (this._state.aborted) {
            setImmediate(r2);
            return;
          }
          if (n2) {
            this._entriesCount--, this.emit("warning", n2), setImmediate(r2);
            return;
          }
          e3 = this._updateQueueTaskWithStats(e3, i4), e3 && (i4.size && (this._fsEntriesTotalBytes += i4.size), this._queue.push(e3)), setImmediate(r2);
        }.bind(this));
      };
      Ce.prototype._shutdown = function() {
        this._moduleUnpipe(), this.end();
      };
      Ce.prototype._transform = function(e3, r2, n2) {
        e3 && (this._pointer += e3.length), n2(null, e3);
      };
      Ce.prototype._updateQueueTaskWithStats = function(e3, r2) {
        if (r2.isFile())
          e3.data.type = "file", e3.data.sourceType = "stream", e3.source = ai.lazyReadStream(e3.filepath);
        else if (r2.isDirectory() && this._moduleSupports("directory"))
          e3.data.name = ai.trailingSlashIt(e3.data.name), e3.data.type = "directory", e3.data.sourcePath = ai.trailingSlashIt(e3.filepath), e3.data.sourceType = "buffer", e3.source = Buffer.concat([]);
        else if (r2.isSymbolicLink() && this._moduleSupports("symlink")) {
          var n2 = O2.readlinkSync(e3.filepath), i4 = x2.dirname(e3.filepath);
          e3.data.type = "symlink", e3.data.linkname = x2.relative(i4, x2.resolve(i4, n2)), e3.data.sourceType = "buffer", e3.source = Buffer.concat([]);
        } else
          return r2.isDirectory() ? this.emit("warning", new vt("DIRECTORYNOTSUPPORTED", e3.data)) : r2.isSymbolicLink() ? this.emit("warning", new vt("SYMLINKNOTSUPPORTED", e3.data)) : this.emit("warning", new vt("ENTRYNOTSUPPORTED", e3.data)), null;
        return e3.data = this._normalizeEntryData(e3.data, r2), e3;
      };
      Ce.prototype.abort = function() {
        return this._state.aborted || this._state.finalized ? this : (this._abort(), this);
      };
      Ce.prototype.append = function(e3, r2) {
        if (this._state.finalize || this._state.aborted)
          return this.emit("error", new vt("QUEUECLOSED")), this;
        if (r2 = this._normalizeEntryData(r2), typeof r2.name != "string" || r2.name.length === 0)
          return this.emit("error", new vt("ENTRYNAMEREQUIRED")), this;
        if (r2.type === "directory" && !this._moduleSupports("directory"))
          return this.emit("error", new vt("DIRECTORYNOTSUPPORTED", { name: r2.name })), this;
        if (e3 = ai.normalizeInputSource(e3), Buffer.isBuffer(e3))
          r2.sourceType = "buffer";
        else if (ai.isStream(e3))
          r2.sourceType = "stream";
        else
          return this.emit("error", new vt("INPUTSTEAMBUFFERREQUIRED", { name: r2.name })), this;
        return this._entriesCount++, this._queue.push({ data: r2, source: e3 }), this;
      };
      Ce.prototype.directory = function(e3, r2, n2) {
        if (this._state.finalize || this._state.aborted)
          return this.emit("error", new vt("QUEUECLOSED")), this;
        if (typeof e3 != "string" || e3.length === 0)
          return this.emit("error", new vt("DIRECTORYDIRPATHREQUIRED")), this;
        this._pending++, r2 === false ? r2 = "" : typeof r2 != "string" && (r2 = e3);
        var i4 = false;
        typeof n2 == "function" ? (i4 = n2, n2 = {}) : typeof n2 != "object" && (n2 = {});
        var o2 = { stat: true, dot: true };
        function a3() {
          this._pending--, this._maybeFinalize();
        }
        function u2(f4) {
          this.emit("error", f4);
        }
        function c4(f4) {
          l2.pause();
          var p2 = false, v2 = Object.assign({}, n2);
          v2.name = f4.relative, v2.prefix = r2, v2.stats = f4.stat, v2.callback = l2.resume.bind(l2);
          try {
            if (i4) {
              if (v2 = i4(v2), v2 === false)
                p2 = true;
              else if (typeof v2 != "object")
                throw new vt("DIRECTORYFUNCTIONINVALIDDATA", { dirpath: e3 });
            }
          } catch (g2) {
            this.emit("error", g2);
            return;
          }
          if (p2) {
            l2.resume();
            return;
          }
          this._append(f4.absolute, v2);
        }
        var l2 = ZW(e3, o2);
        return l2.on("error", u2.bind(this)), l2.on("match", c4.bind(this)), l2.on("end", a3.bind(this)), this;
      };
      Ce.prototype.file = function(e3, r2) {
        return this._state.finalize || this._state.aborted ? (this.emit("error", new vt("QUEUECLOSED")), this) : typeof e3 != "string" || e3.length === 0 ? (this.emit("error", new vt("FILEFILEPATHREQUIRED")), this) : (this._append(e3, r2), this);
      };
      Ce.prototype.glob = function(e3, r2, n2) {
        this._pending++, r2 = ai.defaults(r2, { stat: true, pattern: e3 });
        function i4() {
          this._pending--, this._maybeFinalize();
        }
        function o2(c4) {
          this.emit("error", c4);
        }
        function a3(c4) {
          u2.pause();
          var l2 = Object.assign({}, n2);
          l2.callback = u2.resume.bind(u2), l2.stats = c4.stat, l2.name = c4.relative, this._append(c4.absolute, l2);
        }
        var u2 = ZW(r2.cwd || ".", r2);
        return u2.on("error", o2.bind(this)), u2.on("match", a3.bind(this)), u2.on("end", i4.bind(this)), this;
      };
      Ce.prototype.finalize = function() {
        if (this._state.aborted) {
          var e3 = new vt("ABORTED");
          return this.emit("error", e3), Promise.reject(e3);
        }
        if (this._state.finalize) {
          var r2 = new vt("FINALIZING");
          return this.emit("error", r2), Promise.reject(r2);
        }
        this._state.finalize = true, this._pending === 0 && this._queue.idle() && this._statQueue.idle() && this._finalize();
        var n2 = this;
        return new Promise(function(i4, o2) {
          var a3;
          n2._module.on("end", function() {
            a3 || i4();
          }), n2._module.on("error", function(u2) {
            a3 = true, o2(u2);
          });
        });
      };
      Ce.prototype.setFormat = function(e3) {
        return this._format ? (this.emit("error", new vt("FORMATSET")), this) : (this._format = e3, this);
      };
      Ce.prototype.setModule = function(e3) {
        return this._state.aborted ? (this.emit("error", new vt("ABORTED")), this) : this._state.module ? (this.emit("error", new vt("MODULESET")), this) : (this._module = e3, this._modulePipe(), this);
      };
      Ce.prototype.symlink = function(e3, r2, n2) {
        if (this._state.finalize || this._state.aborted)
          return this.emit("error", new vt("QUEUECLOSED")), this;
        if (typeof e3 != "string" || e3.length === 0)
          return this.emit("error", new vt("SYMLINKFILEPATHREQUIRED")), this;
        if (typeof r2 != "string" || r2.length === 0)
          return this.emit("error", new vt("SYMLINKTARGETREQUIRED", { filepath: e3 })), this;
        if (!this._moduleSupports("symlink"))
          return this.emit("error", new vt("SYMLINKNOTSUPPORTED", { filepath: e3 })), this;
        var i4 = {};
        return i4.type = "symlink", i4.name = e3.replace(/\\/g, "/"), i4.linkname = r2.replace(/\\/g, "/"), i4.sourceType = "buffer", typeof n2 == "number" && (i4.mode = n2), this._entriesCount++, this._queue.push({ data: i4, source: Buffer.concat([]) }), this;
      };
      Ce.prototype.pointer = function() {
        return this._pointer;
      };
      Ce.prototype.use = function(e3) {
        return this._streams.push(e3), this;
      };
      tH.exports = Ce;
    });
    var S0 = b((XUe, nH) => {
      "use strict";
      var _0 = nH.exports = function() {
      };
      _0.prototype.getName = function() {
      };
      _0.prototype.getSize = function() {
      };
      _0.prototype.getLastModifiedDate = function() {
      };
      _0.prototype.isDirectory = function() {
      };
    });
    var x0 = b((QUe, iH) => {
      "use strict";
      var dn = iH.exports = {};
      dn.dateToDos = function(e3, r2) {
        r2 = r2 || false;
        var n2 = r2 ? e3.getFullYear() : e3.getUTCFullYear();
        if (n2 < 1980)
          return 2162688;
        if (n2 >= 2044)
          return 2141175677;
        var i4 = { year: n2, month: r2 ? e3.getMonth() : e3.getUTCMonth(), date: r2 ? e3.getDate() : e3.getUTCDate(), hours: r2 ? e3.getHours() : e3.getUTCHours(), minutes: r2 ? e3.getMinutes() : e3.getUTCMinutes(), seconds: r2 ? e3.getSeconds() : e3.getUTCSeconds() };
        return i4.year - 1980 << 25 | i4.month + 1 << 21 | i4.date << 16 | i4.hours << 11 | i4.minutes << 5 | i4.seconds / 2;
      };
      dn.dosToDate = function(e3) {
        return new Date((e3 >> 25 & 127) + 1980, (e3 >> 21 & 15) - 1, e3 >> 16 & 31, e3 >> 11 & 31, e3 >> 5 & 63, (e3 & 31) << 1);
      };
      dn.fromDosTime = function(e3) {
        return dn.dosToDate(e3.readUInt32LE(0));
      };
      dn.getEightBytes = function(e3) {
        var r2 = Buffer.alloc(8);
        return r2.writeUInt32LE(e3 % 4294967296, 0), r2.writeUInt32LE(e3 / 4294967296 | 0, 4), r2;
      };
      dn.getShortBytes = function(e3) {
        var r2 = Buffer.alloc(2);
        return r2.writeUInt16LE((e3 & 65535) >>> 0, 0), r2;
      };
      dn.getShortBytesValue = function(e3, r2) {
        return e3.readUInt16LE(r2);
      };
      dn.getLongBytes = function(e3) {
        var r2 = Buffer.alloc(4);
        return r2.writeUInt32LE((e3 & 4294967295) >>> 0, 0), r2;
      };
      dn.getLongBytesValue = function(e3, r2) {
        return e3.readUInt32LE(r2);
      };
      dn.toDosTime = function(e3) {
        return dn.getLongBytes(dn.dateToDos(e3));
      };
    });
    var T2 = b((ZUe, lH) => {
      "use strict";
      var sH = x0(), oH = 8, aH = 1, FIe = 4, LIe = 2, uH = 64, cH = 2048, Jt = lH.exports = function() {
        return this instanceof Jt ? (this.descriptor = false, this.encryption = false, this.utf8 = false, this.numberOfShannonFanoTrees = 0, this.strongEncryption = false, this.slidingDictionarySize = 0, this) : new Jt();
      };
      Jt.prototype.encode = function() {
        return sH.getShortBytes((this.descriptor ? oH : 0) | (this.utf8 ? cH : 0) | (this.encryption ? aH : 0) | (this.strongEncryption ? uH : 0));
      };
      Jt.prototype.parse = function(e3, r2) {
        var n2 = sH.getShortBytesValue(e3, r2), i4 = new Jt();
        return i4.useDataDescriptor((n2 & oH) !== 0), i4.useUTF8ForNames((n2 & cH) !== 0), i4.useStrongEncryption((n2 & uH) !== 0), i4.useEncryption((n2 & aH) !== 0), i4.setSlidingDictionarySize(n2 & LIe ? 8192 : 4096), i4.setNumberOfShannonFanoTrees(n2 & FIe ? 3 : 2), i4;
      };
      Jt.prototype.setNumberOfShannonFanoTrees = function(e3) {
        this.numberOfShannonFanoTrees = e3;
      };
      Jt.prototype.getNumberOfShannonFanoTrees = function() {
        return this.numberOfShannonFanoTrees;
      };
      Jt.prototype.setSlidingDictionarySize = function(e3) {
        this.slidingDictionarySize = e3;
      };
      Jt.prototype.getSlidingDictionarySize = function() {
        return this.slidingDictionarySize;
      };
      Jt.prototype.useDataDescriptor = function(e3) {
        this.descriptor = e3;
      };
      Jt.prototype.usesDataDescriptor = function() {
        return this.descriptor;
      };
      Jt.prototype.useEncryption = function(e3) {
        this.encryption = e3;
      };
      Jt.prototype.usesEncryption = function() {
        return this.encryption;
      };
      Jt.prototype.useStrongEncryption = function(e3) {
        this.strongEncryption = e3;
      };
      Jt.prototype.usesStrongEncryption = function() {
        return this.strongEncryption;
      };
      Jt.prototype.useUTF8ForNames = function(e3) {
        this.utf8 = e3;
      };
      Jt.prototype.usesUTF8ForNames = function() {
        return this.utf8;
      };
    });
    var hH = b((eGe, fH) => {
      "use strict";
      fH.exports = { PERM_MASK: 4095, FILE_TYPE_FLAG: 61440, LINK_FLAG: 40960, FILE_FLAG: 32768, DIR_FLAG: 16384, DEFAULT_LINK_PERM: 511, DEFAULT_DIR_PERM: 493, DEFAULT_FILE_PERM: 420 };
    });
    var R2 = b((tGe, pH) => {
      "use strict";
      pH.exports = { WORD: 4, DWORD: 8, EMPTY: Buffer.alloc(0), SHORT: 2, SHORT_MASK: 65535, SHORT_SHIFT: 16, SHORT_ZERO: Buffer.from(Array(2)), LONG: 4, LONG_ZERO: Buffer.from(Array(4)), MIN_VERSION_INITIAL: 10, MIN_VERSION_DATA_DESCRIPTOR: 20, MIN_VERSION_ZIP64: 45, VERSION_MADEBY: 45, METHOD_STORED: 0, METHOD_DEFLATED: 8, PLATFORM_UNIX: 3, PLATFORM_FAT: 0, SIG_LFH: 67324752, SIG_DD: 134695760, SIG_CFH: 33639248, SIG_EOCD: 101010256, SIG_ZIP64_EOCD: 101075792, SIG_ZIP64_EOCD_LOC: 117853008, ZIP64_MAGIC_SHORT: 65535, ZIP64_MAGIC: 4294967295, ZIP64_EXTRA_ID: 1, ZLIB_NO_COMPRESSION: 0, ZLIB_BEST_SPEED: 1, ZLIB_BEST_COMPRESSION: 9, ZLIB_DEFAULT_COMPRESSION: -1, MODE_MASK: 4095, DEFAULT_FILE_MODE: 33188, DEFAULT_DIR_MODE: 16877, EXT_FILE_ATTR_DIR: 1106051088, EXT_FILE_ATTR_FILE: 2175008800, S_IFMT: 61440, S_IFIFO: 4096, S_IFCHR: 8192, S_IFDIR: 16384, S_IFBLK: 24576, S_IFREG: 32768, S_IFLNK: 40960, S_IFSOCK: 49152, S_DOS_A: 32, S_DOS_D: 16, S_DOS_V: 8, S_DOS_S: 4, S_DOS_H: 2, S_DOS_R: 1 };
    });
    var C2 = b((rGe, vH) => {
      "use strict";
      var MIe = require("util").inherits, NIe = LD(), mH = S0(), gH = T2(), dH = hH(), wr = R2(), yH = x0(), we = vH.exports = function(e3) {
        if (!(this instanceof we))
          return new we(e3);
        mH.call(this), this.platform = wr.PLATFORM_FAT, this.method = -1, this.name = null, this.size = 0, this.csize = 0, this.gpb = new gH(), this.crc = 0, this.time = -1, this.minver = wr.MIN_VERSION_INITIAL, this.mode = -1, this.extra = null, this.exattr = 0, this.inattr = 0, this.comment = null, e3 && this.setName(e3);
      };
      MIe(we, mH);
      we.prototype.getCentralDirectoryExtra = function() {
        return this.getExtra();
      };
      we.prototype.getComment = function() {
        return this.comment !== null ? this.comment : "";
      };
      we.prototype.getCompressedSize = function() {
        return this.csize;
      };
      we.prototype.getCrc = function() {
        return this.crc;
      };
      we.prototype.getExternalAttributes = function() {
        return this.exattr;
      };
      we.prototype.getExtra = function() {
        return this.extra !== null ? this.extra : wr.EMPTY;
      };
      we.prototype.getGeneralPurposeBit = function() {
        return this.gpb;
      };
      we.prototype.getInternalAttributes = function() {
        return this.inattr;
      };
      we.prototype.getLastModifiedDate = function() {
        return this.getTime();
      };
      we.prototype.getLocalFileDataExtra = function() {
        return this.getExtra();
      };
      we.prototype.getMethod = function() {
        return this.method;
      };
      we.prototype.getName = function() {
        return this.name;
      };
      we.prototype.getPlatform = function() {
        return this.platform;
      };
      we.prototype.getSize = function() {
        return this.size;
      };
      we.prototype.getTime = function() {
        return this.time !== -1 ? yH.dosToDate(this.time) : -1;
      };
      we.prototype.getTimeDos = function() {
        return this.time !== -1 ? this.time : 0;
      };
      we.prototype.getUnixMode = function() {
        return this.platform !== wr.PLATFORM_UNIX ? 0 : this.getExternalAttributes() >> wr.SHORT_SHIFT & wr.SHORT_MASK;
      };
      we.prototype.getVersionNeededToExtract = function() {
        return this.minver;
      };
      we.prototype.setComment = function(e3) {
        Buffer.byteLength(e3) !== e3.length && this.getGeneralPurposeBit().useUTF8ForNames(true), this.comment = e3;
      };
      we.prototype.setCompressedSize = function(e3) {
        if (e3 < 0)
          throw new Error("invalid entry compressed size");
        this.csize = e3;
      };
      we.prototype.setCrc = function(e3) {
        if (e3 < 0)
          throw new Error("invalid entry crc32");
        this.crc = e3;
      };
      we.prototype.setExternalAttributes = function(e3) {
        this.exattr = e3 >>> 0;
      };
      we.prototype.setExtra = function(e3) {
        this.extra = e3;
      };
      we.prototype.setGeneralPurposeBit = function(e3) {
        if (!(e3 instanceof gH))
          throw new Error("invalid entry GeneralPurposeBit");
        this.gpb = e3;
      };
      we.prototype.setInternalAttributes = function(e3) {
        this.inattr = e3;
      };
      we.prototype.setMethod = function(e3) {
        if (e3 < 0)
          throw new Error("invalid entry compression method");
        this.method = e3;
      };
      we.prototype.setName = function(e3, r2 = false) {
        e3 = NIe(e3, false).replace(/^\w+:/, "").replace(/^(\.\.\/|\/)+/, ""), r2 && (e3 = `/${e3}`), Buffer.byteLength(e3) !== e3.length && this.getGeneralPurposeBit().useUTF8ForNames(true), this.name = e3;
      };
      we.prototype.setPlatform = function(e3) {
        this.platform = e3;
      };
      we.prototype.setSize = function(e3) {
        if (e3 < 0)
          throw new Error("invalid entry size");
        this.size = e3;
      };
      we.prototype.setTime = function(e3, r2) {
        if (!(e3 instanceof Date))
          throw new Error("invalid entry time");
        this.time = yH.dateToDos(e3, r2);
      };
      we.prototype.setUnixMode = function(e3) {
        e3 |= this.isDirectory() ? wr.S_IFDIR : wr.S_IFREG;
        var r2 = 0;
        r2 |= e3 << wr.SHORT_SHIFT | (this.isDirectory() ? wr.S_DOS_D : wr.S_DOS_A), this.setExternalAttributes(r2), this.mode = e3 & wr.MODE_MASK, this.platform = wr.PLATFORM_UNIX;
      };
      we.prototype.setVersionNeededToExtract = function(e3) {
        this.minver = e3;
      };
      we.prototype.isDirectory = function() {
        return this.getName().slice(-1) === "/";
      };
      we.prototype.isUnixSymlink = function() {
        return (this.getUnixMode() & dH.FILE_TYPE_FLAG) === dH.LINK_FLAG;
      };
      we.prototype.isZip64 = function() {
        return this.csize > wr.ZIP64_MAGIC || this.size > wr.ZIP64_MAGIC;
      };
    });
    var I2 = b((nGe, bH) => {
      "use strict";
      var kIe = require("stream").Stream, $Ie = Ln().PassThrough, A2 = bH.exports = {};
      A2.isStream = function(e3) {
        return e3 instanceof kIe;
      };
      A2.normalizeInputSource = function(e3) {
        if (e3 === null)
          return Buffer.alloc(0);
        if (typeof e3 == "string")
          return Buffer.from(e3);
        if (A2.isStream(e3) && !e3._readableState) {
          var r2 = new $Ie();
          return e3.pipe(r2), r2;
        }
        return e3;
      };
    });
    var F2 = b((iGe, wH) => {
      "use strict";
      var qIe = require("util").inherits, P2 = Ln().Transform, BIe = S0(), EH = I2(), Vr = wH.exports = function(e3) {
        if (!(this instanceof Vr))
          return new Vr(e3);
        P2.call(this, e3), this.offset = 0, this._archive = { finish: false, finished: false, processing: false };
      };
      qIe(Vr, P2);
      Vr.prototype._appendBuffer = function(e3, r2, n2) {
      };
      Vr.prototype._appendStream = function(e3, r2, n2) {
      };
      Vr.prototype._emitErrorCallback = function(e3) {
        e3 && this.emit("error", e3);
      };
      Vr.prototype._finish = function(e3) {
      };
      Vr.prototype._normalizeEntry = function(e3) {
      };
      Vr.prototype._transform = function(e3, r2, n2) {
        n2(null, e3);
      };
      Vr.prototype.entry = function(e3, r2, n2) {
        if (r2 = r2 || null, typeof n2 != "function" && (n2 = this._emitErrorCallback.bind(this)), !(e3 instanceof BIe)) {
          n2(new Error("not a valid instance of ArchiveEntry"));
          return;
        }
        if (this._archive.finish || this._archive.finished) {
          n2(new Error("unacceptable entry after finish"));
          return;
        }
        if (this._archive.processing) {
          n2(new Error("already processing an entry"));
          return;
        }
        if (this._archive.processing = true, this._normalizeEntry(e3), this._entry = e3, r2 = EH.normalizeInputSource(r2), Buffer.isBuffer(r2))
          this._appendBuffer(e3, r2, n2);
        else if (EH.isStream(r2))
          this._appendStream(e3, r2, n2);
        else {
          this._archive.processing = false, n2(new Error("input source must be valid Stream or Buffer instance"));
          return;
        }
        return this;
      };
      Vr.prototype.finish = function() {
        if (this._archive.processing) {
          this._archive.finish = true;
          return;
        }
        this._finish();
      };
      Vr.prototype.getBytesWritten = function() {
        return this.offset;
      };
      Vr.prototype.write = function(e3, r2) {
        return e3 && (this.offset += e3.length), P2.prototype.write.call(this, e3, r2);
      };
    });
    var k2 = b((sGe, SH) => {
      "use strict";
      var oo = require("buffer").Buffer, L2 = [0, 1996959894, 3993919788, 2567524794, 124634137, 1886057615, 3915621685, 2657392035, 249268274, 2044508324, 3772115230, 2547177864, 162941995, 2125561021, 3887607047, 2428444049, 498536548, 1789927666, 4089016648, 2227061214, 450548861, 1843258603, 4107580753, 2211677639, 325883990, 1684777152, 4251122042, 2321926636, 335633487, 1661365465, 4195302755, 2366115317, 997073096, 1281953886, 3579855332, 2724688242, 1006888145, 1258607687, 3524101629, 2768942443, 901097722, 1119000684, 3686517206, 2898065728, 853044451, 1172266101, 3705015759, 2882616665, 651767980, 1373503546, 3369554304, 3218104598, 565507253, 1454621731, 3485111705, 3099436303, 671266974, 1594198024, 3322730930, 2970347812, 795835527, 1483230225, 3244367275, 3060149565, 1994146192, 31158534, 2563907772, 4023717930, 1907459465, 112637215, 2680153253, 3904427059, 2013776290, 251722036, 2517215374, 3775830040, 2137656763, 141376813, 2439277719, 3865271297, 1802195444, 476864866, 2238001368, 4066508878, 1812370925, 453092731, 2181625025, 4111451223, 1706088902, 314042704, 2344532202, 4240017532, 1658658271, 366619977, 2362670323, 4224994405, 1303535960, 984961486, 2747007092, 3569037538, 1256170817, 1037604311, 2765210733, 3554079995, 1131014506, 879679996, 2909243462, 3663771856, 1141124467, 855842277, 2852801631, 3708648649, 1342533948, 654459306, 3188396048, 3373015174, 1466479909, 544179635, 3110523913, 3462522015, 1591671054, 702138776, 2966460450, 3352799412, 1504918807, 783551873, 3082640443, 3233442989, 3988292384, 2596254646, 62317068, 1957810842, 3939845945, 2647816111, 81470997, 1943803523, 3814918930, 2489596804, 225274430, 2053790376, 3826175755, 2466906013, 167816743, 2097651377, 4027552580, 2265490386, 503444072, 1762050814, 4150417245, 2154129355, 426522225, 1852507879, 4275313526, 2312317920, 282753626, 1742555852, 4189708143, 2394877945, 397917763, 1622183637, 3604390888, 2714866558, 953729732, 1340076626, 3518719985, 2797360999, 1068828381, 1219638859, 3624741850, 2936675148, 906185462, 1090812512, 3747672003, 2825379669, 829329135, 1181335161, 3412177804, 3160834842, 628085408, 1382605366, 3423369109, 3138078467, 570562233, 1426400815, 3317316542, 2998733608, 733239954, 1555261956, 3268935591, 3050360625, 752459403, 1541320221, 2607071920, 3965973030, 1969922972, 40735498, 2617837225, 3943577151, 1913087877, 83908371, 2512341634, 3803740692, 2075208622, 213261112, 2463272603, 3855990285, 2094854071, 198958881, 2262029012, 4057260610, 1759359992, 534414190, 2176718541, 4139329115, 1873836001, 414664567, 2282248934, 4279200368, 1711684554, 285281116, 2405801727, 4167216745, 1634467795, 376229701, 2685067896, 3608007406, 1308918612, 956543938, 2808555105, 3495958263, 1231636301, 1047427035, 2932959818, 3654703836, 1088359270, 936918e3, 2847714899, 3736837829, 1202900863, 817233897, 3183342108, 3401237130, 1404277552, 615818150, 3134207493, 3453421203, 1423857449, 601450431, 3009837614, 3294710456, 1567103746, 711928724, 3020668471, 3272380065, 1510334235, 755167117];
      typeof Int32Array < "u" && (L2 = new Int32Array(L2));
      function _H(e3) {
        if (oo.isBuffer(e3))
          return e3;
        var r2 = typeof oo.alloc == "function" && typeof oo.from == "function";
        if (typeof e3 == "number")
          return r2 ? oo.alloc(e3) : new oo(e3);
        if (typeof e3 == "string")
          return r2 ? oo.from(e3) : new oo(e3);
        throw new Error("input must be buffer, number, or string, received " + typeof e3);
      }
      function jIe(e3) {
        var r2 = _H(4);
        return r2.writeInt32BE(e3, 0), r2;
      }
      function M2(e3, r2) {
        e3 = _H(e3), oo.isBuffer(r2) && (r2 = r2.readUInt32BE(0));
        for (var n2 = ~~r2 ^ -1, i4 = 0; i4 < e3.length; i4++)
          n2 = L2[(n2 ^ e3[i4]) & 255] ^ n2 >>> 8;
        return n2 ^ -1;
      }
      function N2() {
        return jIe(M2.apply(null, arguments));
      }
      N2.signed = function() {
        return M2.apply(null, arguments);
      };
      N2.unsigned = function() {
        return M2.apply(null, arguments) >>> 0;
      };
      SH.exports = N2;
    });
    var q2 = b(($22) => {
      "use strict";
      var xH;
      (function(e3) {
        typeof DO_NOT_EXPORT_CRC > "u" ? typeof $22 == "object" ? e3($22) : typeof define == "function" && define.amd ? define(function() {
          var r2 = {};
          return e3(r2), r2;
        }) : e3(xH = {}) : e3(xH = {});
      })(function(e3) {
        e3.version = "1.2.2";
        function r2() {
          for (var P = 0, $3 = new Array(256), I = 0; I != 256; ++I)
            P = I, P = P & 1 ? -306674912 ^ P >>> 1 : P >>> 1, P = P & 1 ? -306674912 ^ P >>> 1 : P >>> 1, P = P & 1 ? -306674912 ^ P >>> 1 : P >>> 1, P = P & 1 ? -306674912 ^ P >>> 1 : P >>> 1, P = P & 1 ? -306674912 ^ P >>> 1 : P >>> 1, P = P & 1 ? -306674912 ^ P >>> 1 : P >>> 1, P = P & 1 ? -306674912 ^ P >>> 1 : P >>> 1, P = P & 1 ? -306674912 ^ P >>> 1 : P >>> 1, $3[I] = P;
          return typeof Int32Array < "u" ? new Int32Array($3) : $3;
        }
        var n2 = r2();
        function i4(P) {
          var $3 = 0, I = 0, U = 0, C = typeof Int32Array < "u" ? new Int32Array(4096) : new Array(4096);
          for (U = 0; U != 256; ++U)
            C[U] = P[U];
          for (U = 0; U != 256; ++U)
            for (I = P[U], $3 = 256 + U; $3 < 4096; $3 += 256)
              I = C[$3] = I >>> 8 ^ P[I & 255];
          var G = [];
          for (U = 1; U != 16; ++U)
            G[U - 1] = typeof Int32Array < "u" ? C.subarray(U * 256, U * 256 + 256) : C.slice(U * 256, U * 256 + 256);
          return G;
        }
        var o2 = i4(n2), a3 = o2[0], u2 = o2[1], c4 = o2[2], l2 = o2[3], f4 = o2[4], p2 = o2[5], v2 = o2[6], g2 = o2[7], S2 = o2[8], D = o2[9], T6 = o2[10], R = o2[11], A2 = o2[12], L = o2[13], N = o2[14];
        function q(P, $3) {
          for (var I = $3 ^ -1, U = 0, C = P.length; U < C; )
            I = I >>> 8 ^ n2[(I ^ P.charCodeAt(U++)) & 255];
          return ~I;
        }
        function B(P, $3) {
          for (var I = $3 ^ -1, U = P.length - 15, C = 0; C < U; )
            I = N[P[C++] ^ I & 255] ^ L[P[C++] ^ I >> 8 & 255] ^ A2[P[C++] ^ I >> 16 & 255] ^ R[P[C++] ^ I >>> 24] ^ T6[P[C++]] ^ D[P[C++]] ^ S2[P[C++]] ^ g2[P[C++]] ^ v2[P[C++]] ^ p2[P[C++]] ^ f4[P[C++]] ^ l2[P[C++]] ^ c4[P[C++]] ^ u2[P[C++]] ^ a3[P[C++]] ^ n2[P[C++]];
          for (U += 15; C < U; )
            I = I >>> 8 ^ n2[(I ^ P[C++]) & 255];
          return ~I;
        }
        function W(P, $3) {
          for (var I = $3 ^ -1, U = 0, C = P.length, G = 0, V = 0; U < C; )
            G = P.charCodeAt(U++), G < 128 ? I = I >>> 8 ^ n2[(I ^ G) & 255] : G < 2048 ? (I = I >>> 8 ^ n2[(I ^ (192 | G >> 6 & 31)) & 255], I = I >>> 8 ^ n2[(I ^ (128 | G & 63)) & 255]) : G >= 55296 && G < 57344 ? (G = (G & 1023) + 64, V = P.charCodeAt(U++) & 1023, I = I >>> 8 ^ n2[(I ^ (240 | G >> 8 & 7)) & 255], I = I >>> 8 ^ n2[(I ^ (128 | G >> 2 & 63)) & 255], I = I >>> 8 ^ n2[(I ^ (128 | V >> 6 & 15 | (G & 3) << 4)) & 255], I = I >>> 8 ^ n2[(I ^ (128 | V & 63)) & 255]) : (I = I >>> 8 ^ n2[(I ^ (224 | G >> 12 & 15)) & 255], I = I >>> 8 ^ n2[(I ^ (128 | G >> 6 & 63)) & 255], I = I >>> 8 ^ n2[(I ^ (128 | G & 63)) & 255]);
          return ~I;
        }
        e3.table = n2, e3.bstr = q, e3.buf = B, e3.str = W;
      });
    });
    var OH = b((aGe, DH) => {
      "use strict";
      var { Transform: UIe } = Ln(), GIe = q2(), B2 = class extends UIe {
        constructor(r2) {
          super(r2), this.checksum = Buffer.allocUnsafe(4), this.checksum.writeInt32BE(0, 0), this.rawSize = 0;
        }
        _transform(r2, n2, i4) {
          r2 && (this.checksum = GIe.buf(r2, this.checksum) >>> 0, this.rawSize += r2.length), i4(null, r2);
        }
        digest(r2) {
          let n2 = Buffer.allocUnsafe(4);
          return n2.writeUInt32BE(this.checksum >>> 0, 0), r2 ? n2.toString(r2) : n2;
        }
        hex() {
          return this.digest("hex").toUpperCase();
        }
        size() {
          return this.rawSize;
        }
      };
      DH.exports = B2;
    });
    var RH = b((uGe, TH) => {
      "use strict";
      var { DeflateRaw: WIe } = require("zlib"), HIe = q2(), j2 = class extends WIe {
        constructor(r2) {
          super(r2), this.checksum = Buffer.allocUnsafe(4), this.checksum.writeInt32BE(0, 0), this.rawSize = 0, this.compressedSize = 0;
        }
        push(r2, n2) {
          return r2 && (this.compressedSize += r2.length), super.push(r2, n2);
        }
        _transform(r2, n2, i4) {
          r2 && (this.checksum = HIe.buf(r2, this.checksum) >>> 0, this.rawSize += r2.length), super._transform(r2, n2, i4);
        }
        digest(r2) {
          let n2 = Buffer.allocUnsafe(4);
          return n2.writeUInt32BE(this.checksum >>> 0, 0), r2 ? n2.toString(r2) : n2;
        }
        hex() {
          return this.digest("hex").toUpperCase();
        }
        size(r2 = false) {
          return r2 ? this.compressedSize : this.rawSize;
        }
      };
      TH.exports = j2;
    });
    var U2 = b((cGe, CH) => {
      "use strict";
      CH.exports = { CRC32Stream: OH(), DeflateCRC32Stream: RH() };
    });
    var PH = b((pGe, IH) => {
      "use strict";
      var VIe = require("util").inherits, KIe = k2(), { CRC32Stream: zIe } = U2(), { DeflateCRC32Stream: YIe } = U2(), AH = F2(), lGe = C2(), fGe = T2(), me = R2(), hGe = I2(), ue = x0(), Ut = IH.exports = function(e3) {
        if (!(this instanceof Ut))
          return new Ut(e3);
        e3 = this.options = this._defaults(e3), AH.call(this, e3), this._entry = null, this._entries = [], this._archive = { centralLength: 0, centralOffset: 0, comment: "", finish: false, finished: false, processing: false, forceZip64: e3.forceZip64, forceLocalTime: e3.forceLocalTime };
      };
      VIe(Ut, AH);
      Ut.prototype._afterAppend = function(e3) {
        this._entries.push(e3), e3.getGeneralPurposeBit().usesDataDescriptor() && this._writeDataDescriptor(e3), this._archive.processing = false, this._entry = null, this._archive.finish && !this._archive.finished && this._finish();
      };
      Ut.prototype._appendBuffer = function(e3, r2, n2) {
        r2.length === 0 && e3.setMethod(me.METHOD_STORED);
        var i4 = e3.getMethod();
        if (i4 === me.METHOD_STORED && (e3.setSize(r2.length), e3.setCompressedSize(r2.length), e3.setCrc(KIe.unsigned(r2))), this._writeLocalFileHeader(e3), i4 === me.METHOD_STORED) {
          this.write(r2), this._afterAppend(e3), n2(null, e3);
          return;
        } else if (i4 === me.METHOD_DEFLATED) {
          this._smartStream(e3, n2).end(r2);
          return;
        } else {
          n2(new Error("compression method " + i4 + " not implemented"));
          return;
        }
      };
      Ut.prototype._appendStream = function(e3, r2, n2) {
        e3.getGeneralPurposeBit().useDataDescriptor(true), e3.setVersionNeededToExtract(me.MIN_VERSION_DATA_DESCRIPTOR), this._writeLocalFileHeader(e3);
        var i4 = this._smartStream(e3, n2);
        r2.once("error", function(o2) {
          i4.emit("error", o2), i4.end();
        }), r2.pipe(i4);
      };
      Ut.prototype._defaults = function(e3) {
        return typeof e3 != "object" && (e3 = {}), typeof e3.zlib != "object" && (e3.zlib = {}), typeof e3.zlib.level != "number" && (e3.zlib.level = me.ZLIB_BEST_SPEED), e3.forceZip64 = !!e3.forceZip64, e3.forceLocalTime = !!e3.forceLocalTime, e3;
      };
      Ut.prototype._finish = function() {
        this._archive.centralOffset = this.offset, this._entries.forEach(function(e3) {
          this._writeCentralFileHeader(e3);
        }.bind(this)), this._archive.centralLength = this.offset - this._archive.centralOffset, this.isZip64() && this._writeCentralDirectoryZip64(), this._writeCentralDirectoryEnd(), this._archive.processing = false, this._archive.finish = true, this._archive.finished = true, this.end();
      };
      Ut.prototype._normalizeEntry = function(e3) {
        e3.getMethod() === -1 && e3.setMethod(me.METHOD_DEFLATED), e3.getMethod() === me.METHOD_DEFLATED && (e3.getGeneralPurposeBit().useDataDescriptor(true), e3.setVersionNeededToExtract(me.MIN_VERSION_DATA_DESCRIPTOR)), e3.getTime() === -1 && e3.setTime(/* @__PURE__ */ new Date(), this._archive.forceLocalTime), e3._offsets = { file: 0, data: 0, contents: 0 };
      };
      Ut.prototype._smartStream = function(e3, r2) {
        var n2 = e3.getMethod() === me.METHOD_DEFLATED, i4 = n2 ? new YIe(this.options.zlib) : new zIe(), o2 = null;
        function a3() {
          var u2 = i4.digest().readUInt32BE(0);
          e3.setCrc(u2), e3.setSize(i4.size()), e3.setCompressedSize(i4.size(true)), this._afterAppend(e3), r2(o2, e3);
        }
        return i4.once("end", a3.bind(this)), i4.once("error", function(u2) {
          o2 = u2;
        }), i4.pipe(this, { end: false }), i4;
      };
      Ut.prototype._writeCentralDirectoryEnd = function() {
        var e3 = this._entries.length, r2 = this._archive.centralLength, n2 = this._archive.centralOffset;
        this.isZip64() && (e3 = me.ZIP64_MAGIC_SHORT, r2 = me.ZIP64_MAGIC, n2 = me.ZIP64_MAGIC), this.write(ue.getLongBytes(me.SIG_EOCD)), this.write(me.SHORT_ZERO), this.write(me.SHORT_ZERO), this.write(ue.getShortBytes(e3)), this.write(ue.getShortBytes(e3)), this.write(ue.getLongBytes(r2)), this.write(ue.getLongBytes(n2));
        var i4 = this.getComment(), o2 = Buffer.byteLength(i4);
        this.write(ue.getShortBytes(o2)), this.write(i4);
      };
      Ut.prototype._writeCentralDirectoryZip64 = function() {
        this.write(ue.getLongBytes(me.SIG_ZIP64_EOCD)), this.write(ue.getEightBytes(44)), this.write(ue.getShortBytes(me.MIN_VERSION_ZIP64)), this.write(ue.getShortBytes(me.MIN_VERSION_ZIP64)), this.write(me.LONG_ZERO), this.write(me.LONG_ZERO), this.write(ue.getEightBytes(this._entries.length)), this.write(ue.getEightBytes(this._entries.length)), this.write(ue.getEightBytes(this._archive.centralLength)), this.write(ue.getEightBytes(this._archive.centralOffset)), this.write(ue.getLongBytes(me.SIG_ZIP64_EOCD_LOC)), this.write(me.LONG_ZERO), this.write(ue.getEightBytes(this._archive.centralOffset + this._archive.centralLength)), this.write(ue.getLongBytes(1));
      };
      Ut.prototype._writeCentralFileHeader = function(e3) {
        var r2 = e3.getGeneralPurposeBit(), n2 = e3.getMethod(), i4 = e3._offsets, o2 = e3.getSize(), a3 = e3.getCompressedSize();
        if (e3.isZip64() || i4.file > me.ZIP64_MAGIC) {
          o2 = me.ZIP64_MAGIC, a3 = me.ZIP64_MAGIC, e3.setVersionNeededToExtract(me.MIN_VERSION_ZIP64);
          var u2 = Buffer.concat([ue.getShortBytes(me.ZIP64_EXTRA_ID), ue.getShortBytes(24), ue.getEightBytes(e3.getSize()), ue.getEightBytes(e3.getCompressedSize()), ue.getEightBytes(i4.file)], 28);
          e3.setExtra(u2);
        }
        this.write(ue.getLongBytes(me.SIG_CFH)), this.write(ue.getShortBytes(e3.getPlatform() << 8 | me.VERSION_MADEBY)), this.write(ue.getShortBytes(e3.getVersionNeededToExtract())), this.write(r2.encode()), this.write(ue.getShortBytes(n2)), this.write(ue.getLongBytes(e3.getTimeDos())), this.write(ue.getLongBytes(e3.getCrc())), this.write(ue.getLongBytes(a3)), this.write(ue.getLongBytes(o2));
        var c4 = e3.getName(), l2 = e3.getComment(), f4 = e3.getCentralDirectoryExtra();
        r2.usesUTF8ForNames() && (c4 = Buffer.from(c4), l2 = Buffer.from(l2)), this.write(ue.getShortBytes(c4.length)), this.write(ue.getShortBytes(f4.length)), this.write(ue.getShortBytes(l2.length)), this.write(me.SHORT_ZERO), this.write(ue.getShortBytes(e3.getInternalAttributes())), this.write(ue.getLongBytes(e3.getExternalAttributes())), i4.file > me.ZIP64_MAGIC ? this.write(ue.getLongBytes(me.ZIP64_MAGIC)) : this.write(ue.getLongBytes(i4.file)), this.write(c4), this.write(f4), this.write(l2);
      };
      Ut.prototype._writeDataDescriptor = function(e3) {
        this.write(ue.getLongBytes(me.SIG_DD)), this.write(ue.getLongBytes(e3.getCrc())), e3.isZip64() ? (this.write(ue.getEightBytes(e3.getCompressedSize())), this.write(ue.getEightBytes(e3.getSize()))) : (this.write(ue.getLongBytes(e3.getCompressedSize())), this.write(ue.getLongBytes(e3.getSize())));
      };
      Ut.prototype._writeLocalFileHeader = function(e3) {
        var r2 = e3.getGeneralPurposeBit(), n2 = e3.getMethod(), i4 = e3.getName(), o2 = e3.getLocalFileDataExtra();
        e3.isZip64() && (r2.useDataDescriptor(true), e3.setVersionNeededToExtract(me.MIN_VERSION_ZIP64)), r2.usesUTF8ForNames() && (i4 = Buffer.from(i4)), e3._offsets.file = this.offset, this.write(ue.getLongBytes(me.SIG_LFH)), this.write(ue.getShortBytes(e3.getVersionNeededToExtract())), this.write(r2.encode()), this.write(ue.getShortBytes(n2)), this.write(ue.getLongBytes(e3.getTimeDos())), e3._offsets.data = this.offset, r2.usesDataDescriptor() ? (this.write(me.LONG_ZERO), this.write(me.LONG_ZERO), this.write(me.LONG_ZERO)) : (this.write(ue.getLongBytes(e3.getCrc())), this.write(ue.getLongBytes(e3.getCompressedSize())), this.write(ue.getLongBytes(e3.getSize()))), this.write(ue.getShortBytes(i4.length)), this.write(ue.getShortBytes(o2.length)), this.write(i4), this.write(o2), e3._offsets.contents = this.offset;
      };
      Ut.prototype.getComment = function(e3) {
        return this._archive.comment !== null ? this._archive.comment : "";
      };
      Ut.prototype.isZip64 = function() {
        return this._archive.forceZip64 || this._entries.length > me.ZIP64_MAGIC_SHORT || this._archive.centralLength > me.ZIP64_MAGIC || this._archive.centralOffset > me.ZIP64_MAGIC;
      };
      Ut.prototype.setComment = function(e3) {
        this._archive.comment = e3;
      };
    });
    var G2 = b((dGe, FH) => {
      "use strict";
      FH.exports = { ArchiveEntry: S0(), ZipArchiveEntry: C2(), ArchiveOutputStream: F2(), ZipArchiveOutputStream: PH() };
    });
    var MH = b((mGe, LH) => {
      "use strict";
      var JIe = require("util").inherits, H2 = G2().ZipArchiveOutputStream, XIe = G2().ZipArchiveEntry, W2 = dc(), bc = LH.exports = function(e3) {
        if (!(this instanceof bc))
          return new bc(e3);
        e3 = this.options = e3 || {}, e3.zlib = e3.zlib || {}, H2.call(this, e3), typeof e3.level == "number" && e3.level >= 0 && (e3.zlib.level = e3.level, delete e3.level), !e3.forceZip64 && typeof e3.zlib.level == "number" && e3.zlib.level === 0 && (e3.store = true), e3.namePrependSlash = e3.namePrependSlash || false, e3.comment && e3.comment.length > 0 && this.setComment(e3.comment);
      };
      JIe(bc, H2);
      bc.prototype._normalizeFileData = function(e3) {
        e3 = W2.defaults(e3, { type: "file", name: null, namePrependSlash: this.options.namePrependSlash, linkname: null, date: null, mode: null, store: this.options.store, comment: "" });
        var r2 = e3.type === "directory", n2 = e3.type === "symlink";
        return e3.name && (e3.name = W2.sanitizePath(e3.name), !n2 && e3.name.slice(-1) === "/" ? (r2 = true, e3.type = "directory") : r2 && (e3.name += "/")), (r2 || n2) && (e3.store = true), e3.date = W2.dateify(e3.date), e3;
      };
      bc.prototype.entry = function(e3, r2, n2) {
        if (typeof n2 != "function" && (n2 = this._emitErrorCallback.bind(this)), r2 = this._normalizeFileData(r2), r2.type !== "file" && r2.type !== "directory" && r2.type !== "symlink") {
          n2(new Error(r2.type + " entries not currently supported"));
          return;
        }
        if (typeof r2.name != "string" || r2.name.length === 0) {
          n2(new Error("entry name must be a non-empty string value"));
          return;
        }
        if (r2.type === "symlink" && typeof r2.linkname != "string") {
          n2(new Error("entry linkname must be a non-empty string value when type equals symlink"));
          return;
        }
        var i4 = new XIe(r2.name);
        return i4.setTime(r2.date, this.options.forceLocalTime), r2.namePrependSlash && i4.setName(r2.name, true), r2.store && i4.setMethod(0), r2.comment.length > 0 && i4.setComment(r2.comment), r2.type === "symlink" && typeof r2.mode != "number" && (r2.mode = 40960), typeof r2.mode == "number" && (r2.type === "symlink" && (r2.mode |= 40960), i4.setUnixMode(r2.mode)), r2.type === "symlink" && typeof r2.linkname == "string" && (e3 = Buffer.from(r2.linkname)), H2.prototype.entry.call(this, i4, e3, n2);
      };
      bc.prototype.finalize = function() {
        this.finish();
      };
    });
    var kH = b((gGe, NH) => {
      "use strict";
      var QIe = MH(), ZIe = dc(), ao = function(e3) {
        if (!(this instanceof ao))
          return new ao(e3);
        e3 = this.options = ZIe.defaults(e3, { comment: "", forceUTC: false, namePrependSlash: false, store: false }), this.supports = { directory: true, symlink: true }, this.engine = new QIe(e3);
      };
      ao.prototype.append = function(e3, r2, n2) {
        this.engine.entry(e3, r2, n2);
      };
      ao.prototype.finalize = function() {
        this.engine.finalize();
      };
      ao.prototype.on = function() {
        return this.engine.on.apply(this.engine, arguments);
      };
      ao.prototype.pipe = function() {
        return this.engine.pipe.apply(this.engine, arguments);
      };
      ao.prototype.unpipe = function() {
        return this.engine.unpipe.apply(this.engine, arguments);
      };
      NH.exports = ao;
    });
    var BH = b((yGe, qH) => {
      "use strict";
      var { Buffer: Mn } = require("buffer"), $H = Symbol.for("BufferList");
      function Xe(e3) {
        if (!(this instanceof Xe))
          return new Xe(e3);
        Xe._init.call(this, e3);
      }
      Xe._init = function(r2) {
        Object.defineProperty(this, $H, { value: true }), this._bufs = [], this.length = 0, r2 && this.append(r2);
      };
      Xe.prototype._new = function(r2) {
        return new Xe(r2);
      };
      Xe.prototype._offset = function(r2) {
        if (r2 === 0)
          return [0, 0];
        let n2 = 0;
        for (let i4 = 0; i4 < this._bufs.length; i4++) {
          let o2 = n2 + this._bufs[i4].length;
          if (r2 < o2 || i4 === this._bufs.length - 1)
            return [i4, r2 - n2];
          n2 = o2;
        }
      };
      Xe.prototype._reverseOffset = function(e3) {
        let r2 = e3[0], n2 = e3[1];
        for (let i4 = 0; i4 < r2; i4++)
          n2 += this._bufs[i4].length;
        return n2;
      };
      Xe.prototype.get = function(r2) {
        if (r2 > this.length || r2 < 0)
          return;
        let n2 = this._offset(r2);
        return this._bufs[n2[0]][n2[1]];
      };
      Xe.prototype.slice = function(r2, n2) {
        return typeof r2 == "number" && r2 < 0 && (r2 += this.length), typeof n2 == "number" && n2 < 0 && (n2 += this.length), this.copy(null, 0, r2, n2);
      };
      Xe.prototype.copy = function(r2, n2, i4, o2) {
        if ((typeof i4 != "number" || i4 < 0) && (i4 = 0), (typeof o2 != "number" || o2 > this.length) && (o2 = this.length), i4 >= this.length || o2 <= 0)
          return r2 || Mn.alloc(0);
        let a3 = !!r2, u2 = this._offset(i4), c4 = o2 - i4, l2 = c4, f4 = a3 && n2 || 0, p2 = u2[1];
        if (i4 === 0 && o2 === this.length) {
          if (!a3)
            return this._bufs.length === 1 ? this._bufs[0] : Mn.concat(this._bufs, this.length);
          for (let v2 = 0; v2 < this._bufs.length; v2++)
            this._bufs[v2].copy(r2, f4), f4 += this._bufs[v2].length;
          return r2;
        }
        if (l2 <= this._bufs[u2[0]].length - p2)
          return a3 ? this._bufs[u2[0]].copy(r2, n2, p2, p2 + l2) : this._bufs[u2[0]].slice(p2, p2 + l2);
        a3 || (r2 = Mn.allocUnsafe(c4));
        for (let v2 = u2[0]; v2 < this._bufs.length; v2++) {
          let g2 = this._bufs[v2].length - p2;
          if (l2 > g2)
            this._bufs[v2].copy(r2, f4, p2), f4 += g2;
          else {
            this._bufs[v2].copy(r2, f4, p2, p2 + l2), f4 += g2;
            break;
          }
          l2 -= g2, p2 && (p2 = 0);
        }
        return r2.length > f4 ? r2.slice(0, f4) : r2;
      };
      Xe.prototype.shallowSlice = function(r2, n2) {
        if (r2 = r2 || 0, n2 = typeof n2 != "number" ? this.length : n2, r2 < 0 && (r2 += this.length), n2 < 0 && (n2 += this.length), r2 === n2)
          return this._new();
        let i4 = this._offset(r2), o2 = this._offset(n2), a3 = this._bufs.slice(i4[0], o2[0] + 1);
        return o2[1] === 0 ? a3.pop() : a3[a3.length - 1] = a3[a3.length - 1].slice(0, o2[1]), i4[1] !== 0 && (a3[0] = a3[0].slice(i4[1])), this._new(a3);
      };
      Xe.prototype.toString = function(r2, n2, i4) {
        return this.slice(n2, i4).toString(r2);
      };
      Xe.prototype.consume = function(r2) {
        if (r2 = Math.trunc(r2), Number.isNaN(r2) || r2 <= 0)
          return this;
        for (; this._bufs.length; )
          if (r2 >= this._bufs[0].length)
            r2 -= this._bufs[0].length, this.length -= this._bufs[0].length, this._bufs.shift();
          else {
            this._bufs[0] = this._bufs[0].slice(r2), this.length -= r2;
            break;
          }
        return this;
      };
      Xe.prototype.duplicate = function() {
        let r2 = this._new();
        for (let n2 = 0; n2 < this._bufs.length; n2++)
          r2.append(this._bufs[n2]);
        return r2;
      };
      Xe.prototype.append = function(r2) {
        if (r2 == null)
          return this;
        if (r2.buffer)
          this._appendBuffer(Mn.from(r2.buffer, r2.byteOffset, r2.byteLength));
        else if (Array.isArray(r2))
          for (let n2 = 0; n2 < r2.length; n2++)
            this.append(r2[n2]);
        else if (this._isBufferList(r2))
          for (let n2 = 0; n2 < r2._bufs.length; n2++)
            this.append(r2._bufs[n2]);
        else
          typeof r2 == "number" && (r2 = r2.toString()), this._appendBuffer(Mn.from(r2));
        return this;
      };
      Xe.prototype._appendBuffer = function(r2) {
        this._bufs.push(r2), this.length += r2.length;
      };
      Xe.prototype.indexOf = function(e3, r2, n2) {
        if (n2 === void 0 && typeof r2 == "string" && (n2 = r2, r2 = void 0), typeof e3 == "function" || Array.isArray(e3))
          throw new TypeError('The "value" argument must be one of type string, Buffer, BufferList, or Uint8Array.');
        if (typeof e3 == "number" ? e3 = Mn.from([e3]) : typeof e3 == "string" ? e3 = Mn.from(e3, n2) : this._isBufferList(e3) ? e3 = e3.slice() : Array.isArray(e3.buffer) ? e3 = Mn.from(e3.buffer, e3.byteOffset, e3.byteLength) : Mn.isBuffer(e3) || (e3 = Mn.from(e3)), r2 = Number(r2 || 0), isNaN(r2) && (r2 = 0), r2 < 0 && (r2 = this.length + r2), r2 < 0 && (r2 = 0), e3.length === 0)
          return r2 > this.length ? this.length : r2;
        let i4 = this._offset(r2), o2 = i4[0], a3 = i4[1];
        for (; o2 < this._bufs.length; o2++) {
          let u2 = this._bufs[o2];
          for (; a3 < u2.length; )
            if (u2.length - a3 >= e3.length) {
              let l2 = u2.indexOf(e3, a3);
              if (l2 !== -1)
                return this._reverseOffset([o2, l2]);
              a3 = u2.length - e3.length + 1;
            } else {
              let l2 = this._reverseOffset([o2, a3]);
              if (this._match(l2, e3))
                return l2;
              a3++;
            }
          a3 = 0;
        }
        return -1;
      };
      Xe.prototype._match = function(e3, r2) {
        if (this.length - e3 < r2.length)
          return false;
        for (let n2 = 0; n2 < r2.length; n2++)
          if (this.get(e3 + n2) !== r2[n2])
            return false;
        return true;
      };
      (function() {
        let e3 = { readDoubleBE: 8, readDoubleLE: 8, readFloatBE: 4, readFloatLE: 4, readInt32BE: 4, readInt32LE: 4, readUInt32BE: 4, readUInt32LE: 4, readInt16BE: 2, readInt16LE: 2, readUInt16BE: 2, readUInt16LE: 2, readInt8: 1, readUInt8: 1, readIntBE: null, readIntLE: null, readUIntBE: null, readUIntLE: null };
        for (let r2 in e3)
          (function(n2) {
            e3[n2] === null ? Xe.prototype[n2] = function(i4, o2) {
              return this.slice(i4, i4 + o2)[n2](0, o2);
            } : Xe.prototype[n2] = function(i4 = 0) {
              return this.slice(i4, i4 + e3[n2])[n2](0);
            };
          })(r2);
      })();
      Xe.prototype._isBufferList = function(r2) {
        return r2 instanceof Xe || Xe.isBufferList(r2);
      };
      Xe.isBufferList = function(r2) {
        return r2 != null && r2[$H];
      };
      qH.exports = Xe;
    });
    var jH = b((vGe, D0) => {
      "use strict";
      var V2 = Ln().Duplex, e8e = br(), lh = BH();
      function lr(e3) {
        if (!(this instanceof lr))
          return new lr(e3);
        if (typeof e3 == "function") {
          this._callback = e3;
          let r2 = function(i4) {
            this._callback && (this._callback(i4), this._callback = null);
          }.bind(this);
          this.on("pipe", function(i4) {
            i4.on("error", r2);
          }), this.on("unpipe", function(i4) {
            i4.removeListener("error", r2);
          }), e3 = null;
        }
        lh._init.call(this, e3), V2.call(this);
      }
      e8e(lr, V2);
      Object.assign(lr.prototype, lh.prototype);
      lr.prototype._new = function(r2) {
        return new lr(r2);
      };
      lr.prototype._write = function(r2, n2, i4) {
        this._appendBuffer(r2), typeof i4 == "function" && i4();
      };
      lr.prototype._read = function(r2) {
        if (!this.length)
          return this.push(null);
        r2 = Math.min(r2, this.length), this.push(this.slice(0, r2)), this.consume(r2);
      };
      lr.prototype.end = function(r2) {
        V2.prototype.end.call(this, r2), this._callback && (this._callback(null, this.slice()), this._callback = null);
      };
      lr.prototype._destroy = function(r2, n2) {
        this._bufs.length = 0, this.length = 0, n2(r2);
      };
      lr.prototype._isBufferList = function(r2) {
        return r2 instanceof lr || r2 instanceof lh || lr.isBufferList(r2);
      };
      lr.isBufferList = lh.isBufferList;
      D0.exports = lr;
      D0.exports.BufferListStream = lr;
      D0.exports.BufferList = lh;
    });
    var Y2 = b((wc) => {
      "use strict";
      var t8e = Buffer.alloc, r8e = "0000000000000000000", n8e = "7777777777777777777", UH = "0".charCodeAt(0), GH = Buffer.from("ustar\0", "binary"), i8e = Buffer.from("00", "binary"), s8e = Buffer.from("ustar ", "binary"), o8e = Buffer.from(" \0", "binary"), a8e = parseInt("7777", 8), fh = 257, z2 = 263, u8e = function(e3, r2, n2) {
        return typeof e3 != "number" ? n2 : (e3 = ~~e3, e3 >= r2 ? r2 : e3 >= 0 || (e3 += r2, e3 >= 0) ? e3 : 0);
      }, c8e = function(e3) {
        switch (e3) {
          case 0:
            return "file";
          case 1:
            return "link";
          case 2:
            return "symlink";
          case 3:
            return "character-device";
          case 4:
            return "block-device";
          case 5:
            return "directory";
          case 6:
            return "fifo";
          case 7:
            return "contiguous-file";
          case 72:
            return "pax-header";
          case 55:
            return "pax-global-header";
          case 27:
            return "gnu-long-link-path";
          case 28:
          case 30:
            return "gnu-long-path";
        }
        return null;
      }, l8e = function(e3) {
        switch (e3) {
          case "file":
            return 0;
          case "link":
            return 1;
          case "symlink":
            return 2;
          case "character-device":
            return 3;
          case "block-device":
            return 4;
          case "directory":
            return 5;
          case "fifo":
            return 6;
          case "contiguous-file":
            return 7;
          case "pax-header":
            return 72;
        }
        return 0;
      }, WH = function(e3, r2, n2, i4) {
        for (; n2 < i4; n2++)
          if (e3[n2] === r2)
            return n2;
        return i4;
      }, HH = function(e3) {
        for (var r2 = 256, n2 = 0; n2 < 148; n2++)
          r2 += e3[n2];
        for (var i4 = 156; i4 < 512; i4++)
          r2 += e3[i4];
        return r2;
      }, uo = function(e3, r2) {
        return e3 = e3.toString(8), e3.length > r2 ? n8e.slice(0, r2) + " " : r8e.slice(0, r2 - e3.length) + e3 + " ";
      };
      function f8e(e3) {
        var r2;
        if (e3[0] === 128)
          r2 = true;
        else if (e3[0] === 255)
          r2 = false;
        else
          return null;
        for (var n2 = [], i4 = e3.length - 1; i4 > 0; i4--) {
          var o2 = e3[i4];
          r2 ? n2.push(o2) : n2.push(255 - o2);
        }
        var a3 = 0, u2 = n2.length;
        for (i4 = 0; i4 < u2; i4++)
          a3 += n2[i4] * Math.pow(256, i4);
        return r2 ? a3 : -1 * a3;
      }
      var co = function(e3, r2, n2) {
        if (e3 = e3.slice(r2, r2 + n2), r2 = 0, e3[r2] & 128)
          return f8e(e3);
        for (; r2 < e3.length && e3[r2] === 32; )
          r2++;
        for (var i4 = u8e(WH(e3, 32, r2, e3.length), e3.length, e3.length); r2 < i4 && e3[r2] === 0; )
          r2++;
        return i4 === r2 ? 0 : parseInt(e3.slice(r2, i4).toString(), 8);
      }, Ec = function(e3, r2, n2, i4) {
        return e3.slice(r2, WH(e3, 0, r2, r2 + n2)).toString(i4);
      }, K2 = function(e3) {
        var r2 = Buffer.byteLength(e3), n2 = Math.floor(Math.log(r2) / Math.log(10)) + 1;
        return r2 + n2 >= Math.pow(10, n2) && n2++, r2 + n2 + e3;
      };
      wc.decodeLongPath = function(e3, r2) {
        return Ec(e3, 0, e3.length, r2);
      };
      wc.encodePax = function(e3) {
        var r2 = "";
        e3.name && (r2 += K2(" path=" + e3.name + `
`)), e3.linkname && (r2 += K2(" linkpath=" + e3.linkname + `
`));
        var n2 = e3.pax;
        if (n2)
          for (var i4 in n2)
            r2 += K2(" " + i4 + "=" + n2[i4] + `
`);
        return Buffer.from(r2);
      };
      wc.decodePax = function(e3) {
        for (var r2 = {}; e3.length; ) {
          for (var n2 = 0; n2 < e3.length && e3[n2] !== 32; )
            n2++;
          var i4 = parseInt(e3.slice(0, n2).toString(), 10);
          if (!i4)
            return r2;
          var o2 = e3.slice(n2 + 1, i4 - 1).toString(), a3 = o2.indexOf("=");
          if (a3 === -1)
            return r2;
          r2[o2.slice(0, a3)] = o2.slice(a3 + 1), e3 = e3.slice(i4);
        }
        return r2;
      };
      wc.encode = function(e3) {
        var r2 = t8e(512), n2 = e3.name, i4 = "";
        if (e3.typeflag === 5 && n2[n2.length - 1] !== "/" && (n2 += "/"), Buffer.byteLength(n2) !== n2.length)
          return null;
        for (; Buffer.byteLength(n2) > 100; ) {
          var o2 = n2.indexOf("/");
          if (o2 === -1)
            return null;
          i4 += i4 ? "/" + n2.slice(0, o2) : n2.slice(0, o2), n2 = n2.slice(o2 + 1);
        }
        return Buffer.byteLength(n2) > 100 || Buffer.byteLength(i4) > 155 || e3.linkname && Buffer.byteLength(e3.linkname) > 100 ? null : (r2.write(n2), r2.write(uo(e3.mode & a8e, 6), 100), r2.write(uo(e3.uid, 6), 108), r2.write(uo(e3.gid, 6), 116), r2.write(uo(e3.size, 11), 124), r2.write(uo(e3.mtime.getTime() / 1e3 | 0, 11), 136), r2[156] = UH + l8e(e3.type), e3.linkname && r2.write(e3.linkname, 157), GH.copy(r2, fh), i8e.copy(r2, z2), e3.uname && r2.write(e3.uname, 265), e3.gname && r2.write(e3.gname, 297), r2.write(uo(e3.devmajor || 0, 6), 329), r2.write(uo(e3.devminor || 0, 6), 337), i4 && r2.write(i4, 345), r2.write(uo(HH(r2), 6), 148), r2);
      };
      wc.decode = function(e3, r2, n2) {
        var i4 = e3[156] === 0 ? 0 : e3[156] - UH, o2 = Ec(e3, 0, 100, r2), a3 = co(e3, 100, 8), u2 = co(e3, 108, 8), c4 = co(e3, 116, 8), l2 = co(e3, 124, 12), f4 = co(e3, 136, 12), p2 = c8e(i4), v2 = e3[157] === 0 ? null : Ec(e3, 157, 100, r2), g2 = Ec(e3, 265, 32), S2 = Ec(e3, 297, 32), D = co(e3, 329, 8), T6 = co(e3, 337, 8), R = HH(e3);
        if (R === 8 * 32)
          return null;
        if (R !== co(e3, 148, 8))
          throw new Error("Invalid tar header. Maybe the tar is corrupted or it needs to be gunzipped?");
        if (GH.compare(e3, fh, fh + 6) === 0)
          e3[345] && (o2 = Ec(e3, 345, 155, r2) + "/" + o2);
        else if (!(s8e.compare(e3, fh, fh + 6) === 0 && o8e.compare(e3, z2, z2 + 2) === 0)) {
          if (!n2)
            throw new Error("Invalid tar header: unknown format.");
        }
        return i4 === 0 && o2 && o2[o2.length - 1] === "/" && (i4 = 5), { name: o2, mode: a3, uid: u2, gid: c4, size: l2, mtime: new Date(1e3 * f4), type: p2, linkname: v2, uname: g2, gname: S2, devmajor: D, devminor: T6 };
      };
    });
    var QH = b((EGe, XH) => {
      "use strict";
      var KH = require("util"), h8e = jH(), hh = Y2(), zH = Ln().Writable, YH = Ln().PassThrough, JH = function() {
      }, VH = function(e3) {
        return e3 &= 511, e3 && 512 - e3;
      }, p8e = function(e3, r2) {
        var n2 = new O0(e3, r2);
        return n2.end(), n2;
      }, d8e = function(e3, r2) {
        return r2.path && (e3.name = r2.path), r2.linkpath && (e3.linkname = r2.linkpath), r2.size && (e3.size = parseInt(r2.size, 10)), e3.pax = r2, e3;
      }, O0 = function(e3, r2) {
        this._parent = e3, this.offset = r2, YH.call(this, { autoDestroy: false });
      };
      KH.inherits(O0, YH);
      O0.prototype.destroy = function(e3) {
        this._parent.destroy(e3);
      };
      var Gi = function(e3) {
        if (!(this instanceof Gi))
          return new Gi(e3);
        zH.call(this, e3), e3 = e3 || {}, this._offset = 0, this._buffer = h8e(), this._missing = 0, this._partial = false, this._onparse = JH, this._header = null, this._stream = null, this._overflow = null, this._cb = null, this._locked = false, this._destroyed = false, this._pax = null, this._paxGlobal = null, this._gnuLongPath = null, this._gnuLongLinkPath = null;
        var r2 = this, n2 = r2._buffer, i4 = function() {
          r2._continue();
        }, o2 = function(g2) {
          if (r2._locked = false, g2)
            return r2.destroy(g2);
          r2._stream || i4();
        }, a3 = function() {
          r2._stream = null;
          var g2 = VH(r2._header.size);
          g2 ? r2._parse(g2, u2) : r2._parse(512, v2), r2._locked || i4();
        }, u2 = function() {
          r2._buffer.consume(VH(r2._header.size)), r2._parse(512, v2), i4();
        }, c4 = function() {
          var g2 = r2._header.size;
          r2._paxGlobal = hh.decodePax(n2.slice(0, g2)), n2.consume(g2), a3();
        }, l2 = function() {
          var g2 = r2._header.size;
          r2._pax = hh.decodePax(n2.slice(0, g2)), r2._paxGlobal && (r2._pax = Object.assign({}, r2._paxGlobal, r2._pax)), n2.consume(g2), a3();
        }, f4 = function() {
          var g2 = r2._header.size;
          this._gnuLongPath = hh.decodeLongPath(n2.slice(0, g2), e3.filenameEncoding), n2.consume(g2), a3();
        }, p2 = function() {
          var g2 = r2._header.size;
          this._gnuLongLinkPath = hh.decodeLongPath(n2.slice(0, g2), e3.filenameEncoding), n2.consume(g2), a3();
        }, v2 = function() {
          var g2 = r2._offset, S2;
          try {
            S2 = r2._header = hh.decode(n2.slice(0, 512), e3.filenameEncoding, e3.allowUnknownFormat);
          } catch (D) {
            r2.emit("error", D);
          }
          if (n2.consume(512), !S2) {
            r2._parse(512, v2), i4();
            return;
          }
          if (S2.type === "gnu-long-path") {
            r2._parse(S2.size, f4), i4();
            return;
          }
          if (S2.type === "gnu-long-link-path") {
            r2._parse(S2.size, p2), i4();
            return;
          }
          if (S2.type === "pax-global-header") {
            r2._parse(S2.size, c4), i4();
            return;
          }
          if (S2.type === "pax-header") {
            r2._parse(S2.size, l2), i4();
            return;
          }
          if (r2._gnuLongPath && (S2.name = r2._gnuLongPath, r2._gnuLongPath = null), r2._gnuLongLinkPath && (S2.linkname = r2._gnuLongLinkPath, r2._gnuLongLinkPath = null), r2._pax && (r2._header = S2 = d8e(S2, r2._pax), r2._pax = null), r2._locked = true, !S2.size || S2.type === "directory") {
            r2._parse(512, v2), r2.emit("entry", S2, p8e(r2, g2), o2);
            return;
          }
          r2._stream = new O0(r2, g2), r2.emit("entry", S2, r2._stream, o2), r2._parse(S2.size, a3), i4();
        };
        this._onheader = v2, this._parse(512, v2);
      };
      KH.inherits(Gi, zH);
      Gi.prototype.destroy = function(e3) {
        this._destroyed || (this._destroyed = true, e3 && this.emit("error", e3), this.emit("close"), this._stream && this._stream.emit("close"));
      };
      Gi.prototype._parse = function(e3, r2) {
        this._destroyed || (this._offset += e3, this._missing = e3, r2 === this._onheader && (this._partial = false), this._onparse = r2);
      };
      Gi.prototype._continue = function() {
        if (!this._destroyed) {
          var e3 = this._cb;
          this._cb = JH, this._overflow ? this._write(this._overflow, void 0, e3) : e3();
        }
      };
      Gi.prototype._write = function(e3, r2, n2) {
        if (!this._destroyed) {
          var i4 = this._stream, o2 = this._buffer, a3 = this._missing;
          if (e3.length && (this._partial = true), e3.length < a3)
            return this._missing -= e3.length, this._overflow = null, i4 ? i4.write(e3, n2) : (o2.append(e3), n2());
          this._cb = n2, this._missing = 0;
          var u2 = null;
          e3.length > a3 && (u2 = e3.slice(a3), e3 = e3.slice(0, a3)), i4 ? i4.end(e3) : o2.append(e3), this._overflow = u2, this._onparse();
        }
      };
      Gi.prototype._final = function(e3) {
        if (this._partial)
          return this.destroy(new Error("Unexpected end of data"));
        e3();
      };
      XH.exports = Gi;
    });
    var eV = b((wGe, ZH) => {
      "use strict";
      ZH.exports = require("fs").constants || require("constants");
    });
    var nV = b((_Ge, rV) => {
      "use strict";
      var m8e = Rf(), g8e = function() {
      }, y8e = function(e3) {
        return e3.setHeader && typeof e3.abort == "function";
      }, v8e = function(e3) {
        return e3.stdio && Array.isArray(e3.stdio) && e3.stdio.length === 3;
      }, tV = function(e3, r2, n2) {
        if (typeof r2 == "function")
          return tV(e3, null, r2);
        r2 || (r2 = {}), n2 = m8e(n2 || g8e);
        var i4 = e3._writableState, o2 = e3._readableState, a3 = r2.readable || r2.readable !== false && e3.readable, u2 = r2.writable || r2.writable !== false && e3.writable, c4 = false, l2 = function() {
          e3.writable || f4();
        }, f4 = function() {
          u2 = false, a3 || n2.call(e3);
        }, p2 = function() {
          a3 = false, u2 || n2.call(e3);
        }, v2 = function(R) {
          n2.call(e3, R ? new Error("exited with error code: " + R) : null);
        }, g2 = function(R) {
          n2.call(e3, R);
        }, S2 = function() {
          process.nextTick(D);
        }, D = function() {
          if (!c4) {
            if (a3 && !(o2 && o2.ended && !o2.destroyed))
              return n2.call(e3, new Error("premature close"));
            if (u2 && !(i4 && i4.ended && !i4.destroyed))
              return n2.call(e3, new Error("premature close"));
          }
        }, T6 = function() {
          e3.req.on("finish", f4);
        };
        return y8e(e3) ? (e3.on("complete", f4), e3.on("abort", S2), e3.req ? T6() : e3.on("request", T6)) : u2 && !i4 && (e3.on("end", l2), e3.on("close", l2)), v8e(e3) && e3.on("exit", v2), e3.on("end", p2), e3.on("finish", f4), r2.error !== false && e3.on("error", g2), e3.on("close", S2), function() {
          c4 = true, e3.removeListener("complete", f4), e3.removeListener("abort", S2), e3.removeListener("request", T6), e3.req && e3.req.removeListener("finish", f4), e3.removeListener("end", l2), e3.removeListener("close", l2), e3.removeListener("finish", f4), e3.removeListener("exit", v2), e3.removeListener("end", p2), e3.removeListener("error", g2), e3.removeListener("close", S2);
        };
      };
      rV.exports = tV;
    });
    var uV = b((SGe, aV) => {
      "use strict";
      var _c = eV(), iV = nV(), R0 = br(), b8e = Buffer.alloc, sV = Ln().Readable, Sc = Ln().Writable, E8e = require("string_decoder").StringDecoder, T0 = Y2(), w8e = parseInt("755", 8), _8e = parseInt("644", 8), oV = b8e(1024), X2 = function() {
      }, J2 = function(e3, r2) {
        r2 &= 511, r2 && e3.push(oV.slice(0, 512 - r2));
      };
      function S8e(e3) {
        switch (e3 & _c.S_IFMT) {
          case _c.S_IFBLK:
            return "block-device";
          case _c.S_IFCHR:
            return "character-device";
          case _c.S_IFDIR:
            return "directory";
          case _c.S_IFIFO:
            return "fifo";
          case _c.S_IFLNK:
            return "symlink";
        }
        return "file";
      }
      var C0 = function(e3) {
        Sc.call(this), this.written = 0, this._to = e3, this._destroyed = false;
      };
      R0(C0, Sc);
      C0.prototype._write = function(e3, r2, n2) {
        if (this.written += e3.length, this._to.push(e3))
          return n2();
        this._to._drain = n2;
      };
      C0.prototype.destroy = function() {
        this._destroyed || (this._destroyed = true, this.emit("close"));
      };
      var A0 = function() {
        Sc.call(this), this.linkname = "", this._decoder = new E8e("utf-8"), this._destroyed = false;
      };
      R0(A0, Sc);
      A0.prototype._write = function(e3, r2, n2) {
        this.linkname += this._decoder.write(e3), n2();
      };
      A0.prototype.destroy = function() {
        this._destroyed || (this._destroyed = true, this.emit("close"));
      };
      var ph = function() {
        Sc.call(this), this._destroyed = false;
      };
      R0(ph, Sc);
      ph.prototype._write = function(e3, r2, n2) {
        n2(new Error("No body allowed for this entry"));
      };
      ph.prototype.destroy = function() {
        this._destroyed || (this._destroyed = true, this.emit("close"));
      };
      var ui = function(e3) {
        if (!(this instanceof ui))
          return new ui(e3);
        sV.call(this, e3), this._drain = X2, this._finalized = false, this._finalizing = false, this._destroyed = false, this._stream = null;
      };
      R0(ui, sV);
      ui.prototype.entry = function(e3, r2, n2) {
        if (this._stream)
          throw new Error("already piping an entry");
        if (!(this._finalized || this._destroyed)) {
          typeof r2 == "function" && (n2 = r2, r2 = null), n2 || (n2 = X2);
          var i4 = this;
          if ((!e3.size || e3.type === "symlink") && (e3.size = 0), e3.type || (e3.type = S8e(e3.mode)), e3.mode || (e3.mode = e3.type === "directory" ? w8e : _8e), e3.uid || (e3.uid = 0), e3.gid || (e3.gid = 0), e3.mtime || (e3.mtime = /* @__PURE__ */ new Date()), typeof r2 == "string" && (r2 = Buffer.from(r2)), Buffer.isBuffer(r2)) {
            e3.size = r2.length, this._encode(e3);
            var o2 = this.push(r2);
            return J2(i4, e3.size), o2 ? process.nextTick(n2) : this._drain = n2, new ph();
          }
          if (e3.type === "symlink" && !e3.linkname) {
            var a3 = new A0();
            return iV(a3, function(c4) {
              if (c4)
                return i4.destroy(), n2(c4);
              e3.linkname = a3.linkname, i4._encode(e3), n2();
            }), a3;
          }
          if (this._encode(e3), e3.type !== "file" && e3.type !== "contiguous-file")
            return process.nextTick(n2), new ph();
          var u2 = new C0(this);
          return this._stream = u2, iV(u2, function(c4) {
            if (i4._stream = null, c4)
              return i4.destroy(), n2(c4);
            if (u2.written !== e3.size)
              return i4.destroy(), n2(new Error("size mismatch"));
            J2(i4, e3.size), i4._finalizing && i4.finalize(), n2();
          }), u2;
        }
      };
      ui.prototype.finalize = function() {
        if (this._stream) {
          this._finalizing = true;
          return;
        }
        this._finalized || (this._finalized = true, this.push(oV), this.push(null));
      };
      ui.prototype.destroy = function(e3) {
        this._destroyed || (this._destroyed = true, e3 && this.emit("error", e3), this.emit("close"), this._stream && this._stream.destroy && this._stream.destroy());
      };
      ui.prototype._encode = function(e3) {
        if (!e3.pax) {
          var r2 = T0.encode(e3);
          if (r2) {
            this.push(r2);
            return;
          }
        }
        this._encodePax(e3);
      };
      ui.prototype._encodePax = function(e3) {
        var r2 = T0.encodePax({ name: e3.name, linkname: e3.linkname, pax: e3.pax }), n2 = { name: "PaxHeader", mode: e3.mode, uid: e3.uid, gid: e3.gid, size: r2.length, mtime: e3.mtime, type: "pax-header", linkname: e3.linkname && "PaxHeader", uname: e3.uname, gname: e3.gname, devmajor: e3.devmajor, devminor: e3.devminor };
        this.push(T0.encode(n2)), this.push(r2), J2(this, r2.length), n2.size = e3.size, n2.type = e3.type, this.push(T0.encode(n2));
      };
      ui.prototype._read = function(e3) {
        var r2 = this._drain;
        this._drain = X2, r2();
      };
      aV.exports = ui;
    });
    var cV = b((Q2) => {
      "use strict";
      Q2.extract = QH();
      Q2.pack = uV();
    });
    var hV = b((DGe, fV) => {
      "use strict";
      var x8e = require("zlib"), D8e = cV(), lV = dc(), Wi = function(e3) {
        if (!(this instanceof Wi))
          return new Wi(e3);
        e3 = this.options = lV.defaults(e3, { gzip: false }), typeof e3.gzipOptions != "object" && (e3.gzipOptions = {}), this.supports = { directory: true, symlink: true }, this.engine = D8e.pack(e3), this.compressor = false, e3.gzip && (this.compressor = x8e.createGzip(e3.gzipOptions), this.compressor.on("error", this._onCompressorError.bind(this)));
      };
      Wi.prototype._onCompressorError = function(e3) {
        this.engine.emit("error", e3);
      };
      Wi.prototype.append = function(e3, r2, n2) {
        var i4 = this;
        r2.mtime = r2.date;
        function o2(u2, c4) {
          if (u2) {
            n2(u2);
            return;
          }
          i4.engine.entry(r2, c4, function(l2) {
            n2(l2, r2);
          });
        }
        if (r2.sourceType === "buffer")
          o2(null, e3);
        else if (r2.sourceType === "stream" && r2.stats) {
          r2.size = r2.stats.size;
          var a3 = i4.engine.entry(r2, function(u2) {
            n2(u2, r2);
          });
          e3.pipe(a3);
        } else
          r2.sourceType === "stream" && lV.collectStream(e3, o2);
      };
      Wi.prototype.finalize = function() {
        this.engine.finalize();
      };
      Wi.prototype.on = function() {
        return this.engine.on.apply(this.engine, arguments);
      };
      Wi.prototype.pipe = function(e3, r2) {
        return this.compressor ? this.engine.pipe.apply(this.engine, [this.compressor]).pipe(e3, r2) : this.engine.pipe.apply(this.engine, arguments);
      };
      Wi.prototype.unpipe = function() {
        return this.compressor ? this.compressor.unpipe.apply(this.compressor, arguments) : this.engine.unpipe.apply(this.engine, arguments);
      };
      fV.exports = Wi;
    });
    var gV = b((OGe, mV) => {
      "use strict";
      var O8e = require("util").inherits, pV = Ln().Transform, T8e = k2(), dV = dc(), lo = function(e3) {
        if (!(this instanceof lo))
          return new lo(e3);
        e3 = this.options = dV.defaults(e3, {}), pV.call(this, e3), this.supports = { directory: true, symlink: true }, this.files = [];
      };
      O8e(lo, pV);
      lo.prototype._transform = function(e3, r2, n2) {
        n2(null, e3);
      };
      lo.prototype._writeStringified = function() {
        var e3 = JSON.stringify(this.files);
        this.write(e3);
      };
      lo.prototype.append = function(e3, r2, n2) {
        var i4 = this;
        r2.crc32 = 0;
        function o2(a3, u2) {
          if (a3) {
            n2(a3);
            return;
          }
          r2.size = u2.length || 0, r2.crc32 = T8e.unsigned(u2), i4.files.push(r2), n2(null, r2);
        }
        r2.sourceType === "buffer" ? o2(null, e3) : r2.sourceType === "stream" && dV.collectStream(e3, o2);
      };
      lo.prototype.finalize = function() {
        this._writeStringified(), this.end();
      };
      mV.exports = lo;
    });
    var vV = b((TGe, yV) => {
      "use strict";
      var R8e = rH(), dh = {}, fo = function(e3, r2) {
        return fo.create(e3, r2);
      };
      fo.create = function(e3, r2) {
        if (dh[e3]) {
          var n2 = new R8e(e3, r2);
          return n2.setFormat(e3), n2.setModule(new dh[e3](r2)), n2;
        } else
          throw new Error("create(" + e3 + "): format not registered");
      };
      fo.registerFormat = function(e3, r2) {
        if (dh[e3])
          throw new Error("register(" + e3 + "): format already registered");
        if (typeof r2 != "function")
          throw new Error("register(" + e3 + "): format module invalid");
        if (typeof r2.prototype.append != "function" || typeof r2.prototype.finalize != "function")
          throw new Error("register(" + e3 + "): format module missing methods");
        dh[e3] = r2;
      };
      fo.isRegisteredFormat = function(e3) {
        return !!dh[e3];
      };
      fo.registerFormat("zip", kH());
      fo.registerFormat("tar", hV());
      fo.registerFormat("json", gV());
      yV.exports = fo;
    });
    var bV = b((RGe, C8e) => {
      C8e.exports = [{ name: "Appcircle", constant: "APPCIRCLE", env: "AC_APPCIRCLE" }, { name: "AppVeyor", constant: "APPVEYOR", env: "APPVEYOR", pr: "APPVEYOR_PULL_REQUEST_NUMBER" }, { name: "AWS CodeBuild", constant: "CODEBUILD", env: "CODEBUILD_BUILD_ARN" }, { name: "Azure Pipelines", constant: "AZURE_PIPELINES", env: "SYSTEM_TEAMFOUNDATIONCOLLECTIONURI", pr: "SYSTEM_PULLREQUEST_PULLREQUESTID" }, { name: "Bamboo", constant: "BAMBOO", env: "bamboo_planKey" }, { name: "Bitbucket Pipelines", constant: "BITBUCKET", env: "BITBUCKET_COMMIT", pr: "BITBUCKET_PR_ID" }, { name: "Bitrise", constant: "BITRISE", env: "BITRISE_IO", pr: "BITRISE_PULL_REQUEST" }, { name: "Buddy", constant: "BUDDY", env: "BUDDY_WORKSPACE_ID", pr: "BUDDY_EXECUTION_PULL_REQUEST_ID" }, { name: "Buildkite", constant: "BUILDKITE", env: "BUILDKITE", pr: { env: "BUILDKITE_PULL_REQUEST", ne: "false" } }, { name: "CircleCI", constant: "CIRCLE", env: "CIRCLECI", pr: "CIRCLE_PULL_REQUEST" }, { name: "Cirrus CI", constant: "CIRRUS", env: "CIRRUS_CI", pr: "CIRRUS_PR" }, { name: "Codefresh", constant: "CODEFRESH", env: "CF_BUILD_ID", pr: { any: ["CF_PULL_REQUEST_NUMBER", "CF_PULL_REQUEST_ID"] } }, { name: "Codemagic", constant: "CODEMAGIC", env: "CM_BUILD_ID", pr: "CM_PULL_REQUEST" }, { name: "Codeship", constant: "CODESHIP", env: { CI_NAME: "codeship" } }, { name: "Drone", constant: "DRONE", env: "DRONE", pr: { DRONE_BUILD_EVENT: "pull_request" } }, { name: "dsari", constant: "DSARI", env: "DSARI" }, { name: "Expo Application Services", constant: "EAS", env: "EAS_BUILD" }, { name: "Gerrit", constant: "GERRIT", env: "GERRIT_PROJECT" }, { name: "GitHub Actions", constant: "GITHUB_ACTIONS", env: "GITHUB_ACTIONS", pr: { GITHUB_EVENT_NAME: "pull_request" } }, { name: "GitLab CI", constant: "GITLAB", env: "GITLAB_CI", pr: "CI_MERGE_REQUEST_ID" }, { name: "GoCD", constant: "GOCD", env: "GO_PIPELINE_LABEL" }, { name: "Google Cloud Build", constant: "GOOGLE_CLOUD_BUILD", env: "BUILDER_OUTPUT" }, { name: "Harness CI", constant: "HARNESS", env: "HARNESS_BUILD_ID" }, { name: "Heroku", constant: "HEROKU", env: { env: "NODE", includes: "/app/.heroku/node/bin/node" } }, { name: "Hudson", constant: "HUDSON", env: "HUDSON_URL" }, { name: "Jenkins", constant: "JENKINS", env: ["JENKINS_URL", "BUILD_ID"], pr: { any: ["ghprbPullId", "CHANGE_ID"] } }, { name: "LayerCI", constant: "LAYERCI", env: "LAYERCI", pr: "LAYERCI_PULL_REQUEST" }, { name: "Magnum CI", constant: "MAGNUM", env: "MAGNUM" }, { name: "Netlify CI", constant: "NETLIFY", env: "NETLIFY", pr: { env: "PULL_REQUEST", ne: "false" } }, { name: "Nevercode", constant: "NEVERCODE", env: "NEVERCODE", pr: { env: "NEVERCODE_PULL_REQUEST", ne: "false" } }, { name: "ReleaseHub", constant: "RELEASEHUB", env: "RELEASE_BUILD_ID" }, { name: "Render", constant: "RENDER", env: "RENDER", pr: { IS_PULL_REQUEST: "true" } }, { name: "Sail CI", constant: "SAIL", env: "SAILCI", pr: "SAIL_PULL_REQUEST_NUMBER" }, { name: "Screwdriver", constant: "SCREWDRIVER", env: "SCREWDRIVER", pr: { env: "SD_PULL_REQUEST", ne: "false" } }, { name: "Semaphore", constant: "SEMAPHORE", env: "SEMAPHORE", pr: "PULL_REQUEST_NUMBER" }, { name: "Shippable", constant: "SHIPPABLE", env: "SHIPPABLE", pr: { IS_PULL_REQUEST: "true" } }, { name: "Solano CI", constant: "SOLANO", env: "TDDIUM", pr: "TDDIUM_PR_ID" }, { name: "Sourcehut", constant: "SOURCEHUT", env: { CI_NAME: "sourcehut" } }, { name: "Strider CD", constant: "STRIDER", env: "STRIDER" }, { name: "TaskCluster", constant: "TASKCLUSTER", env: ["TASK_ID", "RUN_ID"] }, { name: "TeamCity", constant: "TEAMCITY", env: "TEAMCITY_VERSION" }, { name: "Travis CI", constant: "TRAVIS", env: "TRAVIS", pr: { env: "TRAVIS_PULL_REQUEST", ne: "false" } }, { name: "Vercel", constant: "VERCEL", env: { any: ["NOW_BUILDER", "VERCEL"] } }, { name: "Visual Studio App Center", constant: "APPCENTER", env: "APPCENTER_BUILD_ID" }, { name: "Woodpecker", constant: "WOODPECKER", env: { CI: "woodpecker" }, pr: { CI_BUILD_EVENT: "pull_request" } }, { name: "Xcode Cloud", constant: "XCODE_CLOUD", env: "CI_XCODE_PROJECT", pr: "CI_PULL_REQUEST_NUMBER" }, { name: "Xcode Server", constant: "XCODE_SERVER", env: "XCS" }];
    });
    var _V = b((Kr) => {
      "use strict";
      var wV = bV(), Pt = process.env;
      Object.defineProperty(Kr, "_vendors", { value: wV.map(function(e3) {
        return e3.constant;
      }) });
      Kr.name = null;
      Kr.isPR = null;
      wV.forEach(function(e3) {
        let n2 = (Array.isArray(e3.env) ? e3.env : [e3.env]).every(function(i4) {
          return EV(i4);
        });
        if (Kr[e3.constant] = n2, !!n2)
          switch (Kr.name = e3.name, typeof e3.pr) {
            case "string":
              Kr.isPR = !!Pt[e3.pr];
              break;
            case "object":
              "env" in e3.pr ? Kr.isPR = e3.pr.env in Pt && Pt[e3.pr.env] !== e3.pr.ne : "any" in e3.pr ? Kr.isPR = e3.pr.any.some(function(i4) {
                return !!Pt[i4];
              }) : Kr.isPR = EV(e3.pr);
              break;
            default:
              Kr.isPR = null;
          }
      });
      Kr.isCI = !!(Pt.CI !== "false" && (Pt.BUILD_ID || Pt.BUILD_NUMBER || Pt.CI || Pt.CI_APP_ID || Pt.CI_BUILD_ID || Pt.CI_BUILD_NUMBER || Pt.CI_NAME || Pt.CONTINUOUS_INTEGRATION || Pt.RUN_ID || Kr.name));
      function EV(e3) {
        return typeof e3 == "string" ? !!Pt[e3] : "env" in e3 ? Pt[e3.env] && Pt[e3.env].includes(e3.includes) : "any" in e3 ? e3.any.some(function(r2) {
          return !!Pt[r2];
        }) : Object.keys(e3).every(function(r2) {
          return Pt[r2] === e3[r2];
        });
      }
    });
    var SV = b((exports, module) => {
      "use strict";
      Object.defineProperty(exports, "__esModule", { value: true });
      var path$2 = require("path"), os$1 = require("os"), require$$0 = require("fs"), require$$2 = require("util"), fs$1 = require("fs/promises"), crypto = require("crypto"), child_process = require("child_process");
      function _interopDefaultLegacy(e3) {
        return e3 && typeof e3 == "object" && "default" in e3 ? e3 : { default: e3 };
      }
      var path__default = _interopDefaultLegacy(path$2), os__default = _interopDefaultLegacy(os$1), require$$0__default = _interopDefaultLegacy(require$$0), require$$2__default = _interopDefaultLegacy(require$$2), fs__default = _interopDefaultLegacy(fs$1), crypto__default = _interopDefaultLegacy(crypto), rnds8Pool = new Uint8Array(256), poolPtr = rnds8Pool.length;
      function rng() {
        return poolPtr > rnds8Pool.length - 16 && (crypto__default.default.randomFillSync(rnds8Pool), poolPtr = 0), rnds8Pool.slice(poolPtr, poolPtr += 16);
      }
      var byteToHex = [];
      for (let e3 = 0; e3 < 256; ++e3)
        byteToHex.push((e3 + 256).toString(16).slice(1));
      function unsafeStringify(e3, r2 = 0) {
        return (byteToHex[e3[r2 + 0]] + byteToHex[e3[r2 + 1]] + byteToHex[e3[r2 + 2]] + byteToHex[e3[r2 + 3]] + "-" + byteToHex[e3[r2 + 4]] + byteToHex[e3[r2 + 5]] + "-" + byteToHex[e3[r2 + 6]] + byteToHex[e3[r2 + 7]] + "-" + byteToHex[e3[r2 + 8]] + byteToHex[e3[r2 + 9]] + "-" + byteToHex[e3[r2 + 10]] + byteToHex[e3[r2 + 11]] + byteToHex[e3[r2 + 12]] + byteToHex[e3[r2 + 13]] + byteToHex[e3[r2 + 14]] + byteToHex[e3[r2 + 15]]).toLowerCase();
      }
      var native = { randomUUID: crypto__default.default.randomUUID };
      function v4(e3, r2, n2) {
        if (native.randomUUID && !r2 && !e3)
          return native.randomUUID();
        e3 = e3 || {};
        let i4 = e3.random || (e3.rng || rng)();
        if (i4[6] = i4[6] & 15 | 64, i4[8] = i4[8] & 63 | 128, r2) {
          n2 = n2 || 0;
          for (let o2 = 0; o2 < 16; ++o2)
            r2[n2 + o2] = i4[o2];
          return r2;
        }
        return unsafeStringify(i4);
      }
      var envPaths$1 = { exports: {} }, path$1 = path__default.default, os = os__default.default, homedir = os.homedir(), tmpdir = os.tmpdir(), { env } = process, macos = (e3) => {
        let r2 = path$1.join(homedir, "Library");
        return { data: path$1.join(r2, "Application Support", e3), config: path$1.join(r2, "Preferences", e3), cache: path$1.join(r2, "Caches", e3), log: path$1.join(r2, "Logs", e3), temp: path$1.join(tmpdir, e3) };
      }, windows = (e3) => {
        let r2 = env.APPDATA || path$1.join(homedir, "AppData", "Roaming"), n2 = env.LOCALAPPDATA || path$1.join(homedir, "AppData", "Local");
        return { data: path$1.join(n2, e3, "Data"), config: path$1.join(r2, e3, "Config"), cache: path$1.join(n2, e3, "Cache"), log: path$1.join(n2, e3, "Log"), temp: path$1.join(tmpdir, e3) };
      }, linux = (e3) => {
        let r2 = path$1.basename(homedir);
        return { data: path$1.join(env.XDG_DATA_HOME || path$1.join(homedir, ".local", "share"), e3), config: path$1.join(env.XDG_CONFIG_HOME || path$1.join(homedir, ".config"), e3), cache: path$1.join(env.XDG_CACHE_HOME || path$1.join(homedir, ".cache"), e3), log: path$1.join(env.XDG_STATE_HOME || path$1.join(homedir, ".local", "state"), e3), temp: path$1.join(tmpdir, r2, e3) };
      }, envPaths = (e3, r2) => {
        if (typeof e3 != "string")
          throw new TypeError(`Expected string, got ${typeof e3}`);
        return r2 = Object.assign({ suffix: "nodejs" }, r2), r2.suffix && (e3 += `-${r2.suffix}`), process.platform === "darwin" ? macos(e3) : process.platform === "win32" ? windows(e3) : linux(e3);
      };
      envPaths$1.exports = envPaths;
      envPaths$1.exports.default = envPaths;
      var paths = envPaths$1.exports, makeDir$2 = { exports: {} }, debug$1 = typeof process == "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? (...e3) => console.error("SEMVER", ...e3) : () => {
      }, debug_1 = debug$1, SEMVER_SPEC_VERSION = "2.0.0", MAX_LENGTH$1 = 256, MAX_SAFE_INTEGER$1 = Number.MAX_SAFE_INTEGER || 9007199254740991, MAX_SAFE_COMPONENT_LENGTH = 16, MAX_SAFE_BUILD_LENGTH = MAX_LENGTH$1 - 6, RELEASE_TYPES = ["major", "premajor", "minor", "preminor", "patch", "prepatch", "prerelease"], constants = { MAX_LENGTH: MAX_LENGTH$1, MAX_SAFE_COMPONENT_LENGTH, MAX_SAFE_BUILD_LENGTH, MAX_SAFE_INTEGER: MAX_SAFE_INTEGER$1, RELEASE_TYPES, SEMVER_SPEC_VERSION, FLAG_INCLUDE_PRERELEASE: 1, FLAG_LOOSE: 2 }, re$1 = { exports: {} };
      (function(e3, r2) {
        let { MAX_SAFE_COMPONENT_LENGTH: n2, MAX_SAFE_BUILD_LENGTH: i4 } = constants, o2 = debug_1;
        r2 = e3.exports = {};
        let a3 = r2.re = [], u2 = r2.safeRe = [], c4 = r2.src = [], l2 = r2.t = {}, f4 = 0, p2 = "[a-zA-Z0-9-]", v2 = [["\\s", 1], ["\\d", n2], [p2, i4]], g2 = (D) => {
          for (let [T6, R] of v2)
            D = D.split(`${T6}*`).join(`${T6}{0,${R}}`).split(`${T6}+`).join(`${T6}{1,${R}}`);
          return D;
        }, S2 = (D, T6, R) => {
          let A2 = g2(T6), L = f4++;
          o2(D, L, T6), l2[D] = L, c4[L] = T6, a3[L] = new RegExp(T6, R ? "g" : void 0), u2[L] = new RegExp(A2, R ? "g" : void 0);
        };
        S2("NUMERICIDENTIFIER", "0|[1-9]\\d*"), S2("NUMERICIDENTIFIERLOOSE", "\\d+"), S2("NONNUMERICIDENTIFIER", `\\d*[a-zA-Z-]${p2}*`), S2("MAINVERSION", `(${c4[l2.NUMERICIDENTIFIER]})\\.(${c4[l2.NUMERICIDENTIFIER]})\\.(${c4[l2.NUMERICIDENTIFIER]})`), S2("MAINVERSIONLOOSE", `(${c4[l2.NUMERICIDENTIFIERLOOSE]})\\.(${c4[l2.NUMERICIDENTIFIERLOOSE]})\\.(${c4[l2.NUMERICIDENTIFIERLOOSE]})`), S2("PRERELEASEIDENTIFIER", `(?:${c4[l2.NUMERICIDENTIFIER]}|${c4[l2.NONNUMERICIDENTIFIER]})`), S2("PRERELEASEIDENTIFIERLOOSE", `(?:${c4[l2.NUMERICIDENTIFIERLOOSE]}|${c4[l2.NONNUMERICIDENTIFIER]})`), S2("PRERELEASE", `(?:-(${c4[l2.PRERELEASEIDENTIFIER]}(?:\\.${c4[l2.PRERELEASEIDENTIFIER]})*))`), S2("PRERELEASELOOSE", `(?:-?(${c4[l2.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${c4[l2.PRERELEASEIDENTIFIERLOOSE]})*))`), S2("BUILDIDENTIFIER", `${p2}+`), S2("BUILD", `(?:\\+(${c4[l2.BUILDIDENTIFIER]}(?:\\.${c4[l2.BUILDIDENTIFIER]})*))`), S2("FULLPLAIN", `v?${c4[l2.MAINVERSION]}${c4[l2.PRERELEASE]}?${c4[l2.BUILD]}?`), S2("FULL", `^${c4[l2.FULLPLAIN]}$`), S2("LOOSEPLAIN", `[v=\\s]*${c4[l2.MAINVERSIONLOOSE]}${c4[l2.PRERELEASELOOSE]}?${c4[l2.BUILD]}?`), S2("LOOSE", `^${c4[l2.LOOSEPLAIN]}$`), S2("GTLT", "((?:<|>)?=?)"), S2("XRANGEIDENTIFIERLOOSE", `${c4[l2.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`), S2("XRANGEIDENTIFIER", `${c4[l2.NUMERICIDENTIFIER]}|x|X|\\*`), S2("XRANGEPLAIN", `[v=\\s]*(${c4[l2.XRANGEIDENTIFIER]})(?:\\.(${c4[l2.XRANGEIDENTIFIER]})(?:\\.(${c4[l2.XRANGEIDENTIFIER]})(?:${c4[l2.PRERELEASE]})?${c4[l2.BUILD]}?)?)?`), S2("XRANGEPLAINLOOSE", `[v=\\s]*(${c4[l2.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c4[l2.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c4[l2.XRANGEIDENTIFIERLOOSE]})(?:${c4[l2.PRERELEASELOOSE]})?${c4[l2.BUILD]}?)?)?`), S2("XRANGE", `^${c4[l2.GTLT]}\\s*${c4[l2.XRANGEPLAIN]}$`), S2("XRANGELOOSE", `^${c4[l2.GTLT]}\\s*${c4[l2.XRANGEPLAINLOOSE]}$`), S2("COERCE", `(^|[^\\d])(\\d{1,${n2}})(?:\\.(\\d{1,${n2}}))?(?:\\.(\\d{1,${n2}}))?(?:$|[^\\d])`), S2("COERCERTL", c4[l2.COERCE], true), S2("LONETILDE", "(?:~>?)"), S2("TILDETRIM", `(\\s*)${c4[l2.LONETILDE]}\\s+`, true), r2.tildeTrimReplace = "$1~", S2("TILDE", `^${c4[l2.LONETILDE]}${c4[l2.XRANGEPLAIN]}$`), S2("TILDELOOSE", `^${c4[l2.LONETILDE]}${c4[l2.XRANGEPLAINLOOSE]}$`), S2("LONECARET", "(?:\\^)"), S2("CARETTRIM", `(\\s*)${c4[l2.LONECARET]}\\s+`, true), r2.caretTrimReplace = "$1^", S2("CARET", `^${c4[l2.LONECARET]}${c4[l2.XRANGEPLAIN]}$`), S2("CARETLOOSE", `^${c4[l2.LONECARET]}${c4[l2.XRANGEPLAINLOOSE]}$`), S2("COMPARATORLOOSE", `^${c4[l2.GTLT]}\\s*(${c4[l2.LOOSEPLAIN]})$|^$`), S2("COMPARATOR", `^${c4[l2.GTLT]}\\s*(${c4[l2.FULLPLAIN]})$|^$`), S2("COMPARATORTRIM", `(\\s*)${c4[l2.GTLT]}\\s*(${c4[l2.LOOSEPLAIN]}|${c4[l2.XRANGEPLAIN]})`, true), r2.comparatorTrimReplace = "$1$2$3", S2("HYPHENRANGE", `^\\s*(${c4[l2.XRANGEPLAIN]})\\s+-\\s+(${c4[l2.XRANGEPLAIN]})\\s*$`), S2("HYPHENRANGELOOSE", `^\\s*(${c4[l2.XRANGEPLAINLOOSE]})\\s+-\\s+(${c4[l2.XRANGEPLAINLOOSE]})\\s*$`), S2("STAR", "(<|>)?=?\\s*\\*"), S2("GTE0", "^\\s*>=\\s*0\\.0\\.0\\s*$"), S2("GTE0PRE", "^\\s*>=\\s*0\\.0\\.0-0\\s*$");
      })(re$1, re$1.exports);
      var looseOption = Object.freeze({ loose: true }), emptyOpts = Object.freeze({}), parseOptions$1 = (e3) => e3 ? typeof e3 != "object" ? looseOption : e3 : emptyOpts, parseOptions_1 = parseOptions$1, numeric = /^[0-9]+$/, compareIdentifiers$1 = (e3, r2) => {
        let n2 = numeric.test(e3), i4 = numeric.test(r2);
        return n2 && i4 && (e3 = +e3, r2 = +r2), e3 === r2 ? 0 : n2 && !i4 ? -1 : i4 && !n2 ? 1 : e3 < r2 ? -1 : 1;
      }, rcompareIdentifiers = (e3, r2) => compareIdentifiers$1(r2, e3), identifiers = { compareIdentifiers: compareIdentifiers$1, rcompareIdentifiers }, debug = debug_1, { MAX_LENGTH, MAX_SAFE_INTEGER } = constants, { safeRe: re, t } = re$1.exports, parseOptions = parseOptions_1, { compareIdentifiers } = identifiers, SemVer$1 = class e3 {
        constructor(r2, n2) {
          if (n2 = parseOptions(n2), r2 instanceof e3) {
            if (r2.loose === !!n2.loose && r2.includePrerelease === !!n2.includePrerelease)
              return r2;
            r2 = r2.version;
          } else if (typeof r2 != "string")
            throw new TypeError(`Invalid version. Must be a string. Got type "${typeof r2}".`);
          if (r2.length > MAX_LENGTH)
            throw new TypeError(`version is longer than ${MAX_LENGTH} characters`);
          debug("SemVer", r2, n2), this.options = n2, this.loose = !!n2.loose, this.includePrerelease = !!n2.includePrerelease;
          let i4 = r2.trim().match(n2.loose ? re[t.LOOSE] : re[t.FULL]);
          if (!i4)
            throw new TypeError(`Invalid Version: ${r2}`);
          if (this.raw = r2, this.major = +i4[1], this.minor = +i4[2], this.patch = +i4[3], this.major > MAX_SAFE_INTEGER || this.major < 0)
            throw new TypeError("Invalid major version");
          if (this.minor > MAX_SAFE_INTEGER || this.minor < 0)
            throw new TypeError("Invalid minor version");
          if (this.patch > MAX_SAFE_INTEGER || this.patch < 0)
            throw new TypeError("Invalid patch version");
          i4[4] ? this.prerelease = i4[4].split(".").map((o2) => {
            if (/^[0-9]+$/.test(o2)) {
              let a3 = +o2;
              if (a3 >= 0 && a3 < MAX_SAFE_INTEGER)
                return a3;
            }
            return o2;
          }) : this.prerelease = [], this.build = i4[5] ? i4[5].split(".") : [], this.format();
        }
        format() {
          return this.version = `${this.major}.${this.minor}.${this.patch}`, this.prerelease.length && (this.version += `-${this.prerelease.join(".")}`), this.version;
        }
        toString() {
          return this.version;
        }
        compare(r2) {
          if (debug("SemVer.compare", this.version, this.options, r2), !(r2 instanceof e3)) {
            if (typeof r2 == "string" && r2 === this.version)
              return 0;
            r2 = new e3(r2, this.options);
          }
          return r2.version === this.version ? 0 : this.compareMain(r2) || this.comparePre(r2);
        }
        compareMain(r2) {
          return r2 instanceof e3 || (r2 = new e3(r2, this.options)), compareIdentifiers(this.major, r2.major) || compareIdentifiers(this.minor, r2.minor) || compareIdentifiers(this.patch, r2.patch);
        }
        comparePre(r2) {
          if (r2 instanceof e3 || (r2 = new e3(r2, this.options)), this.prerelease.length && !r2.prerelease.length)
            return -1;
          if (!this.prerelease.length && r2.prerelease.length)
            return 1;
          if (!this.prerelease.length && !r2.prerelease.length)
            return 0;
          let n2 = 0;
          do {
            let i4 = this.prerelease[n2], o2 = r2.prerelease[n2];
            if (debug("prerelease compare", n2, i4, o2), i4 === void 0 && o2 === void 0)
              return 0;
            if (o2 === void 0)
              return 1;
            if (i4 === void 0)
              return -1;
            if (i4 === o2)
              continue;
            return compareIdentifiers(i4, o2);
          } while (++n2);
        }
        compareBuild(r2) {
          r2 instanceof e3 || (r2 = new e3(r2, this.options));
          let n2 = 0;
          do {
            let i4 = this.build[n2], o2 = r2.build[n2];
            if (debug("prerelease compare", n2, i4, o2), i4 === void 0 && o2 === void 0)
              return 0;
            if (o2 === void 0)
              return 1;
            if (i4 === void 0)
              return -1;
            if (i4 === o2)
              continue;
            return compareIdentifiers(i4, o2);
          } while (++n2);
        }
        inc(r2, n2, i4) {
          switch (r2) {
            case "premajor":
              this.prerelease.length = 0, this.patch = 0, this.minor = 0, this.major++, this.inc("pre", n2, i4);
              break;
            case "preminor":
              this.prerelease.length = 0, this.patch = 0, this.minor++, this.inc("pre", n2, i4);
              break;
            case "prepatch":
              this.prerelease.length = 0, this.inc("patch", n2, i4), this.inc("pre", n2, i4);
              break;
            case "prerelease":
              this.prerelease.length === 0 && this.inc("patch", n2, i4), this.inc("pre", n2, i4);
              break;
            case "major":
              (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) && this.major++, this.minor = 0, this.patch = 0, this.prerelease = [];
              break;
            case "minor":
              (this.patch !== 0 || this.prerelease.length === 0) && this.minor++, this.patch = 0, this.prerelease = [];
              break;
            case "patch":
              this.prerelease.length === 0 && this.patch++, this.prerelease = [];
              break;
            case "pre": {
              let o2 = Number(i4) ? 1 : 0;
              if (!n2 && i4 === false)
                throw new Error("invalid increment argument: identifier is empty");
              if (this.prerelease.length === 0)
                this.prerelease = [o2];
              else {
                let a3 = this.prerelease.length;
                for (; --a3 >= 0; )
                  typeof this.prerelease[a3] == "number" && (this.prerelease[a3]++, a3 = -2);
                if (a3 === -1) {
                  if (n2 === this.prerelease.join(".") && i4 === false)
                    throw new Error("invalid increment argument: identifier already exists");
                  this.prerelease.push(o2);
                }
              }
              if (n2) {
                let a3 = [n2, o2];
                i4 === false && (a3 = [n2]), compareIdentifiers(this.prerelease[0], n2) === 0 ? isNaN(this.prerelease[1]) && (this.prerelease = a3) : this.prerelease = a3;
              }
              break;
            }
            default:
              throw new Error(`invalid increment argument: ${r2}`);
          }
          return this.raw = this.format(), this.build.length && (this.raw += `+${this.build.join(".")}`), this;
        }
      }, semver = SemVer$1, SemVer = semver, compare$1 = (e3, r2, n2) => new SemVer(e3, n2).compare(new SemVer(r2, n2)), compare_1 = compare$1, compare = compare_1, gte = (e3, r2, n2) => compare(e3, r2, n2) >= 0, gte_1 = gte, fs = require$$0__default.default, path = path__default.default, { promisify } = require$$2__default.default, semverGte = gte_1, useNativeRecursiveOption = semverGte(process.version, "10.12.0"), checkPath = (e3) => {
        if (process.platform === "win32" && /[<>:"|?*]/.test(e3.replace(path.parse(e3).root, ""))) {
          let n2 = new Error(`Path contains invalid characters: ${e3}`);
          throw n2.code = "EINVAL", n2;
        }
      }, processOptions = (e3) => ({ ...{ mode: 511, fs }, ...e3 }), permissionError = (e3) => {
        let r2 = new Error(`operation not permitted, mkdir '${e3}'`);
        return r2.code = "EPERM", r2.errno = -4048, r2.path = e3, r2.syscall = "mkdir", r2;
      }, makeDir = async (e3, r2) => {
        checkPath(e3), r2 = processOptions(r2);
        let n2 = promisify(r2.fs.mkdir), i4 = promisify(r2.fs.stat);
        if (useNativeRecursiveOption && r2.fs.mkdir === fs.mkdir) {
          let a3 = path.resolve(e3);
          return await n2(a3, { mode: r2.mode, recursive: true }), a3;
        }
        let o2 = async (a3) => {
          try {
            return await n2(a3, r2.mode), a3;
          } catch (u2) {
            if (u2.code === "EPERM")
              throw u2;
            if (u2.code === "ENOENT") {
              if (path.dirname(a3) === a3)
                throw permissionError(a3);
              if (u2.message.includes("null bytes"))
                throw u2;
              return await o2(path.dirname(a3)), o2(a3);
            }
            try {
              if (!(await i4(a3)).isDirectory())
                throw new Error("The path is not a directory");
            } catch {
              throw u2;
            }
            return a3;
          }
        };
        return o2(path.resolve(e3));
      };
      makeDir$2.exports = makeDir;
      makeDir$2.exports.sync = (e3, r2) => {
        if (checkPath(e3), r2 = processOptions(r2), useNativeRecursiveOption && r2.fs.mkdirSync === fs.mkdirSync) {
          let i4 = path.resolve(e3);
          return fs.mkdirSync(i4, { mode: r2.mode, recursive: true }), i4;
        }
        let n2 = (i4) => {
          try {
            r2.fs.mkdirSync(i4, r2.mode);
          } catch (o2) {
            if (o2.code === "EPERM")
              throw o2;
            if (o2.code === "ENOENT") {
              if (path.dirname(i4) === i4)
                throw permissionError(i4);
              if (o2.message.includes("null bytes"))
                throw o2;
              return n2(path.dirname(i4)), n2(i4);
            }
            try {
              if (!r2.fs.statSync(i4).isDirectory())
                throw new Error("The path is not a directory");
            } catch {
              throw o2;
            }
          }
          return i4;
        };
        return n2(path.resolve(e3));
      };
      var makeDir$1 = makeDir$2.exports, PRISMA_SIGNATURE = "signature";
      async function getSignature(e3) {
        let r2 = paths("checkpoint");
        e3 = e3 || path__default.default.join(r2.cache, PRISMA_SIGNATURE);
        let n2 = await readSignature(e3);
        return n2 || await createSignatureFile(e3);
      }
      function isSignatureValid(e3) {
        return typeof e3 == "string" && e3.length === 36;
      }
      async function readSignature(e3) {
        try {
          let r2 = await fs__default.default.readFile(e3, "utf8"), { signature: n2 } = JSON.parse(r2);
          return isSignatureValid(n2) ? n2 : "";
        } catch {
          return "";
        }
      }
      async function createSignatureFile(e3, r2) {
        let n2 = { signature: r2 || v4() };
        return await makeDir$1(path__default.default.dirname(e3)), await fs__default.default.writeFile(e3, JSON.stringify(n2, null, "  ")), n2.signature;
      }
      async function getInfo() {
        let e3 = paths("checkpoint").cache;
        require$$0.existsSync(e3) || await fs__default.default.mkdir(e3, { recursive: true });
        let r2 = await fs__default.default.readdir(e3), n2 = [];
        for (let i4 of r2)
          if (i4.includes("-"))
            try {
              let o2 = JSON.parse(await fs__default.default.readFile(path__default.default.join(e3, i4), { encoding: "utf-8" }));
              o2.output && !o2.output.cli_path_hash && (o2.output.cli_path_hash = i4.split("-")[1]), n2.push(o2);
            } catch (o2) {
              console.error(o2);
            }
        return { signature: await getSignature(), cachePath: e3, cacheItems: n2 };
      }
      var defaultSchema = { last_reminder: 0, cached_at: 0, version: "", cli_path: "", output: { client_event_id: "", previous_client_event_id: "", product: "", cli_path_hash: "", local_timestamp: "", previous_version: "", current_version: "", current_release_date: 0, current_download_url: "", current_changelog_url: "", package: "", release_tag: "", install_command: "", project_website: "", outdated: false, alerts: [] } }, Config = class e3 {
        static async new(r2, n2 = defaultSchema) {
          return await makeDir$1(path__default.default.dirname(r2.cache_file)), new e3(r2, n2);
        }
        constructor(r2, n2) {
          this.state = r2, this.defaultSchema = n2;
        }
        async checkCache(r2) {
          let n2 = r2.now(), i4 = await this.all();
          return i4 ? r2.version !== i4.version ? { cache: i4, stale: true } : n2 - i4.cached_at > r2.cache_duration ? { cache: i4, stale: true } : { cache: i4, stale: false } : { cache: void 0, stale: true };
        }
        async set(r2) {
          let n2 = await this.all() || {}, i4 = Object.assign(n2, r2);
          for (let o2 in this.defaultSchema)
            typeof i4[o2] > "u" && (i4[o2] = this.defaultSchema[o2]);
          await fs__default.default.writeFile(this.state.cache_file, JSON.stringify(i4, null, "  "));
        }
        async all() {
          try {
            let r2 = await fs__default.default.readFile(this.state.cache_file, "utf8");
            return JSON.parse(r2);
          } catch {
            return;
          }
        }
        async get(r2) {
          let n2 = await this.all();
          if (!(typeof n2 > "u"))
            return n2[r2];
        }
        async reset() {
          await fs__default.default.writeFile(this.state.cache_file, JSON.stringify(this.defaultSchema, null, "  "));
        }
        async delete() {
          try {
            await fs__default.default.unlink(this.state.cache_file);
            return;
          } catch {
            return;
          }
        }
      }, s = 1e3, m = s * 60, h = m * 60, d = h * 24, w = d * 7, y = d * 365.25, ms = function(e3, r2) {
        r2 = r2 || {};
        var n2 = typeof e3;
        if (n2 === "string" && e3.length > 0)
          return parse(e3);
        if (n2 === "number" && isFinite(e3))
          return r2.long ? fmtLong(e3) : fmtShort(e3);
        throw new Error("val is not a non-empty string or a valid number. val=" + JSON.stringify(e3));
      };
      function parse(e3) {
        if (e3 = String(e3), !(e3.length > 100)) {
          var r2 = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(e3);
          if (r2) {
            var n2 = parseFloat(r2[1]), i4 = (r2[2] || "ms").toLowerCase();
            switch (i4) {
              case "years":
              case "year":
              case "yrs":
              case "yr":
              case "y":
                return n2 * y;
              case "weeks":
              case "week":
              case "w":
                return n2 * w;
              case "days":
              case "day":
              case "d":
                return n2 * d;
              case "hours":
              case "hour":
              case "hrs":
              case "hr":
              case "h":
                return n2 * h;
              case "minutes":
              case "minute":
              case "mins":
              case "min":
              case "m":
                return n2 * m;
              case "seconds":
              case "second":
              case "secs":
              case "sec":
              case "s":
                return n2 * s;
              case "milliseconds":
              case "millisecond":
              case "msecs":
              case "msec":
              case "ms":
                return n2;
              default:
                return;
            }
          }
        }
      }
      function fmtShort(e3) {
        var r2 = Math.abs(e3);
        return r2 >= d ? Math.round(e3 / d) + "d" : r2 >= h ? Math.round(e3 / h) + "h" : r2 >= m ? Math.round(e3 / m) + "m" : r2 >= s ? Math.round(e3 / s) + "s" : e3 + "ms";
      }
      function fmtLong(e3) {
        var r2 = Math.abs(e3);
        return r2 >= d ? plural(e3, r2, d, "day") : r2 >= h ? plural(e3, r2, h, "hour") : r2 >= m ? plural(e3, r2, m, "minute") : r2 >= s ? plural(e3, r2, s, "second") : e3 + " ms";
      }
      function plural(e3, r2, n2, i4) {
        var o2 = r2 >= n2 * 1.5;
        return Math.round(e3 / n2) + " " + i4 + (o2 ? "s" : "");
      }
      var childPath = path__default.default.join(eval("__dirname"), "child");
      async function check(e3) {
        let r2 = getCacheFile(e3.product, e3.cli_path_hash || "default"), n2 = _V(), i4 = { product: e3.product, version: e3.version, cli_install_type: e3.cli_install_type || "", information: e3.information || "", local_timestamp: e3.local_timestamp || rfc3339(/* @__PURE__ */ new Date()), project_hash: e3.project_hash, cli_path: e3.cli_path || "", cli_path_hash: e3.cli_path_hash || "", endpoint: e3.endpoint || "https://checkpoint.prisma.io", disable: typeof e3.disable > "u" ? false : e3.disable, arch: e3.arch || os__default.default.arch(), os: e3.os || os__default.default.platform(), node_version: e3.node_version || process.version, ci: typeof e3.ci < "u" ? e3.ci : n2.isCI, ci_name: typeof e3.ci_name < "u" ? e3.ci_name || "" : n2.name || "", command: e3.command || "", schema_providers: e3.schema_providers || [], schema_preview_features: e3.schema_preview_features || [], schema_generators_providers: e3.schema_generators_providers || [], cache_file: e3.cache_file || r2, cache_duration: typeof e3.cache_duration > "u" ? ms("12h") : e3.cache_duration, remind_duration: typeof e3.remind_duration > "u" ? ms("48h") : e3.remind_duration, force: typeof e3.force > "u" ? false : e3.force, timeout: getTimeout(e3.timeout), unref: typeof e3.unref > "u" ? true : e3.unref, child_path: e3.child_path || childPath, now: () => Date.now(), client_event_id: e3.client_event_id || "", previous_client_event_id: e3.previous_client_event_id || "", check_if_update_available: false };
        if ((process.env.CHECKPOINT_DISABLE || i4.disable) && !i4.force)
          return { status: "disabled" };
        let o2 = await Config.new(i4), a3 = await o2.checkCache(i4);
        i4.check_if_update_available = a3.stale === true || !a3.cache;
        let u2 = spawn(i4);
        if (i4.unref && (u2.unref(), u2.disconnect()), a3.stale === true || !a3.cache)
          return { status: "waiting", data: u2 };
        for (let l2 of Object.keys(i4))
          i4[l2] && await o2.set({ [l2]: i4[l2] });
        return i4.now() - a3.cache.last_reminder < i4.remind_duration ? { status: "reminded", data: a3.cache.output } : (await o2.set({ last_reminder: i4.now() }), { status: "ok", data: a3.cache.output });
      }
      function getCacheFile(e3, r2) {
        let n2 = paths("checkpoint");
        return path__default.default.join(n2.cache, `${e3}-${r2}`);
      }
      function getTimeout(e3) {
        if (typeof e3 < "u")
          return e3;
        let r2 = process.env.CHECKPOINT_TIMEOUT;
        if (typeof r2 > "u")
          return 5e3;
        let n2 = parseInt(r2, 10);
        return isNaN(n2) ? 5e3 : n2;
      }
      function getForkOpts(e3) {
        return e3.unref === true ? { detached: true, stdio: process.env.CHECKPOINT_DEBUG_STDOUT ? "inherit" : "ignore", env: process.env } : { detached: false, stdio: "pipe", env: process.env };
      }
      function spawn(e3) {
        return child_process.fork(childPath, [JSON.stringify(e3)], getForkOpts(e3));
      }
      function rfc3339(e3) {
        function r2(i4) {
          return i4 < 10 ? "0" + i4 : i4;
        }
        function n2(i4) {
          let o2;
          return i4 === 0 ? "Z" : (o2 = i4 > 0 ? "-" : "+", i4 = Math.abs(i4), o2 + r2(Math.floor(i4 / 60)) + ":" + r2(i4 % 60));
        }
        return e3.getFullYear() + "-" + r2(e3.getMonth() + 1) + "-" + r2(e3.getDate()) + "T" + r2(e3.getHours()) + ":" + r2(e3.getMinutes()) + ":" + r2(e3.getSeconds()) + n2(e3.getTimezoneOffset());
      }
      exports.check = check;
      exports.getInfo = getInfo;
      exports.getSignature = getSignature;
    });
    var DV = b((AGe, xV) => {
      "use strict";
      xV.exports = ({ onlyFirst: e3 = false } = {}) => {
        let r2 = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)", "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-ntqry=><~]))"].join("|");
        return new RegExp(r2, e3 ? void 0 : "g");
      };
    });
    var I0 = b((IGe, OV) => {
      "use strict";
      var A8e = DV();
      OV.exports = (e3) => typeof e3 == "string" ? e3.replace(A8e(), "") : e3;
    });
    var WV = b((PGe, Hi) => {
      "use strict";
      var Gt = require("fs"), nO = require("os"), zr = require("path"), TV = require("crypto"), ci = { fs: Gt.constants, os: nO.constants }, AV = Tx(), RV = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz", IV = /XXXXXX/, I8e = 3, PV = (ci.O_CREAT || ci.fs.O_CREAT) | (ci.O_EXCL || ci.fs.O_EXCL) | (ci.O_RDWR || ci.fs.O_RDWR), P8e = nO.platform() === "win32", F8e = ci.EBADF || ci.os.errno.EBADF, L8e = ci.ENOENT || ci.os.errno.ENOENT, FV = 448, LV = 384, M8e = "exit", xc = [], MV = Gt.rmdirSync.bind(Gt), NV = AV.sync, kV = false;
      function iO(e3, r2) {
        let n2 = Dc(e3, r2), i4 = n2[0], o2 = n2[1];
        try {
          jV(i4);
        } catch (u2) {
          return o2(u2);
        }
        let a3 = i4.tries;
        (function u2() {
          try {
            let c4 = BV(i4);
            Gt.stat(c4, function(l2) {
              if (!l2)
                return a3-- > 0 ? u2() : o2(new Error("Could not get a unique tmp filename, max tries reached " + c4));
              o2(null, c4);
            });
          } catch (c4) {
            o2(c4);
          }
        })();
      }
      function sO(e3) {
        let r2 = Dc(e3), n2 = r2[0];
        jV(n2);
        let i4 = n2.tries;
        do {
          let o2 = BV(n2);
          try {
            Gt.statSync(o2);
          } catch {
            return o2;
          }
        } while (i4-- > 0);
        throw new Error("Could not get a unique tmp filename, max tries reached");
      }
      function N8e(e3, r2) {
        let n2 = Dc(e3, r2), i4 = n2[0], o2 = n2[1];
        iO(i4, function(u2, c4) {
          if (u2)
            return o2(u2);
          Gt.open(c4, PV, i4.mode || LV, function(f4, p2) {
            if (f4)
              return o2(f4);
            if (i4.discardDescriptor)
              return Gt.close(p2, function(g2) {
                return o2(g2, c4, void 0, eO(c4, -1, i4, false));
              });
            {
              let v2 = i4.discardDescriptor || i4.detachDescriptor;
              o2(null, c4, p2, eO(c4, v2 ? -1 : p2, i4, false));
            }
          });
        });
      }
      function k8e(e3) {
        let r2 = Dc(e3), n2 = r2[0], i4 = n2.discardDescriptor || n2.detachDescriptor, o2 = sO(n2);
        var a3 = Gt.openSync(o2, PV, n2.mode || LV);
        return n2.discardDescriptor && (Gt.closeSync(a3), a3 = void 0), { name: o2, fd: a3, removeCallback: eO(o2, i4 ? -1 : a3, n2, true) };
      }
      function $8e(e3, r2) {
        let n2 = Dc(e3, r2), i4 = n2[0], o2 = n2[1];
        iO(i4, function(u2, c4) {
          if (u2)
            return o2(u2);
          Gt.mkdir(c4, i4.mode || FV, function(f4) {
            if (f4)
              return o2(f4);
            o2(null, c4, $V(c4, i4, false));
          });
        });
      }
      function q8e(e3) {
        let r2 = Dc(e3), n2 = r2[0], i4 = sO(n2);
        return Gt.mkdirSync(i4, n2.mode || FV), { name: i4, removeCallback: $V(i4, n2, true) };
      }
      function B8e(e3, r2) {
        let n2 = function(i4) {
          if (i4 && !rO(i4))
            return r2(i4);
          r2();
        };
        0 <= e3[0] ? Gt.close(e3[0], function() {
          Gt.unlink(e3[1], n2);
        }) : Gt.unlink(e3[1], n2);
      }
      function j8e(e3) {
        let r2 = null;
        try {
          0 <= e3[0] && Gt.closeSync(e3[0]);
        } catch (n2) {
          if (!G8e(n2) && !rO(n2))
            throw n2;
        } finally {
          try {
            Gt.unlinkSync(e3[1]);
          } catch (n2) {
            rO(n2) || (r2 = n2);
          }
        }
        if (r2 !== null)
          throw r2;
      }
      function eO(e3, r2, n2, i4) {
        let o2 = P0(j8e, [r2, e3], i4), a3 = P0(B8e, [r2, e3], i4, o2);
        return n2.keep || xc.unshift(o2), i4 ? o2 : a3;
      }
      function $V(e3, r2, n2) {
        let i4 = r2.unsafeCleanup ? AV : Gt.rmdir.bind(Gt), o2 = r2.unsafeCleanup ? NV : MV, a3 = P0(o2, e3, n2), u2 = P0(i4, e3, n2, a3);
        return r2.keep || xc.unshift(a3), n2 ? a3 : u2;
      }
      function P0(e3, r2, n2, i4) {
        let o2 = false;
        return function a3(u2) {
          if (!o2) {
            let c4 = i4 || a3, l2 = xc.indexOf(c4);
            return l2 >= 0 && xc.splice(l2, 1), o2 = true, n2 || e3 === MV || e3 === NV ? e3(r2) : e3(r2, u2 || function() {
            });
          }
        };
      }
      function U8e() {
        if (kV)
          for (; xc.length; )
            try {
              xc[0]();
            } catch {
            }
      }
      function CV(e3) {
        let r2 = [], n2 = null;
        try {
          n2 = TV.randomBytes(e3);
        } catch {
          n2 = TV.pseudoRandomBytes(e3);
        }
        for (var i4 = 0; i4 < e3; i4++)
          r2.push(RV[n2[i4] % RV.length]);
        return r2.join("");
      }
      function qV(e3) {
        return e3 === null || Lr(e3) || !e3.trim();
      }
      function Lr(e3) {
        return typeof e3 > "u";
      }
      function Dc(e3, r2) {
        if (typeof e3 == "function")
          return [{}, e3];
        if (Lr(e3))
          return [{}, r2];
        let n2 = {};
        for (let i4 of Object.getOwnPropertyNames(e3))
          n2[i4] = e3[i4];
        return [n2, r2];
      }
      function BV(e3) {
        let r2 = e3.tmpdir;
        if (!Lr(e3.name))
          return zr.join(r2, e3.dir, e3.name);
        if (!Lr(e3.template))
          return zr.join(r2, e3.dir, e3.template).replace(IV, CV(6));
        let n2 = [e3.prefix ? e3.prefix : "tmp", "-", process.pid, "-", CV(12), e3.postfix ? "-" + e3.postfix : ""].join("");
        return zr.join(r2, e3.dir, n2);
      }
      function jV(e3) {
        e3.tmpdir = GV(e3);
        let r2 = e3.tmpdir;
        if (Lr(e3.name) || Z2(e3.name, "name", r2), Lr(e3.dir) || Z2(e3.dir, "dir", r2), !Lr(e3.template) && (Z2(e3.template, "template", r2), !e3.template.match(IV)))
          throw new Error(`Invalid template, found "${e3.template}".`);
        if (!Lr(e3.tries) && isNaN(e3.tries) || e3.tries < 0)
          throw new Error(`Invalid tries, found "${e3.tries}".`);
        e3.tries = Lr(e3.name) ? e3.tries || I8e : 1, e3.keep = !!e3.keep, e3.detachDescriptor = !!e3.detachDescriptor, e3.discardDescriptor = !!e3.discardDescriptor, e3.unsafeCleanup = !!e3.unsafeCleanup, e3.dir = Lr(e3.dir) ? "" : zr.relative(r2, tO(e3.dir, r2)), e3.template = Lr(e3.template) ? void 0 : zr.relative(r2, tO(e3.template, r2)), e3.template = qV(e3.template) ? void 0 : zr.relative(e3.dir, e3.template), e3.name = Lr(e3.name) ? void 0 : oO(e3.name), e3.prefix = Lr(e3.prefix) ? "" : e3.prefix, e3.postfix = Lr(e3.postfix) ? "" : e3.postfix;
      }
      function tO(e3, r2) {
        let n2 = oO(e3);
        return n2.startsWith(r2) ? zr.resolve(n2) : zr.resolve(zr.join(r2, n2));
      }
      function oO(e3) {
        return qV(e3) ? e3 : e3.replace(/["']/g, "");
      }
      function Z2(e3, r2, n2) {
        if (r2 === "name") {
          if (zr.isAbsolute(e3))
            throw new Error(`${r2} option must not contain an absolute path, found "${e3}".`);
          let i4 = zr.basename(e3);
          if (i4 === ".." || i4 === "." || i4 !== e3)
            throw new Error(`${r2} option must not contain a path, found "${e3}".`);
        } else {
          if (zr.isAbsolute(e3) && !e3.startsWith(n2))
            throw new Error(`${r2} option must be relative to "${n2}", found "${e3}".`);
          let i4 = tO(e3, n2);
          if (!i4.startsWith(n2))
            throw new Error(`${r2} option must be relative to "${n2}", found "${i4}".`);
        }
      }
      function G8e(e3) {
        return UV(e3, -F8e, "EBADF");
      }
      function rO(e3) {
        return UV(e3, -L8e, "ENOENT");
      }
      function UV(e3, r2, n2) {
        return P8e ? e3.code === n2 : e3.code === n2 && e3.errno === r2;
      }
      function W8e() {
        kV = true;
      }
      function GV(e3) {
        return zr.resolve(oO(e3 && e3.tmpdir || nO.tmpdir()));
      }
      process.addListener(M8e, U8e);
      Object.defineProperty(Hi.exports, "tmpdir", { enumerable: true, configurable: false, get: function() {
        return GV();
      } });
      Hi.exports.dir = $8e;
      Hi.exports.dirSync = q8e;
      Hi.exports.file = N8e;
      Hi.exports.fileSync = k8e;
      Hi.exports.tmpName = iO;
      Hi.exports.tmpNameSync = sO;
      Hi.exports.setGracefulCleanup = W8e;
    });
    var Vi = b((FGe, HV) => {
      "use strict";
      var F0 = require("buffer"), Oc = F0.Buffer, mn = {}, gn;
      for (gn in F0)
        F0.hasOwnProperty(gn) && (gn === "SlowBuffer" || gn === "Buffer" || (mn[gn] = F0[gn]));
      var Tc = mn.Buffer = {};
      for (gn in Oc)
        Oc.hasOwnProperty(gn) && (gn === "allocUnsafe" || gn === "allocUnsafeSlow" || (Tc[gn] = Oc[gn]));
      mn.Buffer.prototype = Oc.prototype;
      (!Tc.from || Tc.from === Uint8Array.from) && (Tc.from = function(e3, r2, n2) {
        if (typeof e3 == "number")
          throw new TypeError('The "value" argument must not be of type number. Received type ' + typeof e3);
        if (e3 && typeof e3.length > "u")
          throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type " + typeof e3);
        return Oc(e3, r2, n2);
      });
      Tc.alloc || (Tc.alloc = function(e3, r2, n2) {
        if (typeof e3 != "number")
          throw new TypeError('The "size" argument must be of type number. Received type ' + typeof e3);
        if (e3 < 0 || e3 >= 2 * (1 << 30))
          throw new RangeError('The value "' + e3 + '" is invalid for option "size"');
        var i4 = Oc(e3);
        return !r2 || r2.length === 0 ? i4.fill(0) : typeof n2 == "string" ? i4.fill(r2, n2) : i4.fill(r2), i4;
      });
      if (!mn.kStringMaxLength)
        try {
          mn.kStringMaxLength = process.binding("buffer").kStringMaxLength;
        } catch {
        }
      mn.constants || (mn.constants = { MAX_LENGTH: mn.kMaxLength }, mn.kStringMaxLength && (mn.constants.MAX_STRING_LENGTH = mn.kStringMaxLength));
      HV.exports = mn;
    });
    var KV = b((cO) => {
      "use strict";
      var VV = "\uFEFF";
      cO.PrependBOM = aO;
      function aO(e3, r2) {
        this.encoder = e3, this.addBOM = true;
      }
      aO.prototype.write = function(e3) {
        return this.addBOM && (e3 = VV + e3, this.addBOM = false), this.encoder.write(e3);
      };
      aO.prototype.end = function() {
        return this.encoder.end();
      };
      cO.StripBOM = uO;
      function uO(e3, r2) {
        this.decoder = e3, this.pass = false, this.options = r2 || {};
      }
      uO.prototype.write = function(e3) {
        var r2 = this.decoder.write(e3);
        return this.pass || !r2 || (r2[0] === VV && (r2 = r2.slice(1), typeof this.options.stripBOM == "function" && this.options.stripBOM()), this.pass = true), r2;
      };
      uO.prototype.end = function() {
        return this.decoder.end();
      };
    });
    var YV = b((MGe, zV) => {
      "use strict";
      var Oa = Vi().Buffer;
      zV.exports = { utf8: { type: "_internal", bomAware: true }, cesu8: { type: "_internal", bomAware: true }, unicode11utf8: "utf8", ucs2: { type: "_internal", bomAware: true }, utf16le: "ucs2", binary: { type: "_internal" }, base64: { type: "_internal" }, hex: { type: "_internal" }, _internal: fO };
      function fO(e3, r2) {
        this.enc = e3.encodingName, this.bomAware = e3.bomAware, this.enc === "base64" ? this.encoder = dO : this.enc === "cesu8" && (this.enc = "utf8", this.encoder = mO, Oa.from("eda0bdedb2a9", "hex").toString() !== "\u{1F4A9}" && (this.decoder = gO, this.defaultCharUnicode = r2.defaultCharUnicode));
      }
      fO.prototype.encoder = pO;
      fO.prototype.decoder = hO;
      var lO = require("string_decoder").StringDecoder;
      lO.prototype.end || (lO.prototype.end = function() {
      });
      function hO(e3, r2) {
        this.decoder = new lO(r2.enc);
      }
      hO.prototype.write = function(e3) {
        return Oa.isBuffer(e3) || (e3 = Oa.from(e3)), this.decoder.write(e3);
      };
      hO.prototype.end = function() {
        return this.decoder.end();
      };
      function pO(e3, r2) {
        this.enc = r2.enc;
      }
      pO.prototype.write = function(e3) {
        return Oa.from(e3, this.enc);
      };
      pO.prototype.end = function() {
      };
      function dO(e3, r2) {
        this.prevStr = "";
      }
      dO.prototype.write = function(e3) {
        e3 = this.prevStr + e3;
        var r2 = e3.length - e3.length % 4;
        return this.prevStr = e3.slice(r2), e3 = e3.slice(0, r2), Oa.from(e3, "base64");
      };
      dO.prototype.end = function() {
        return Oa.from(this.prevStr, "base64");
      };
      function mO(e3, r2) {
      }
      mO.prototype.write = function(e3) {
        for (var r2 = Oa.alloc(e3.length * 3), n2 = 0, i4 = 0; i4 < e3.length; i4++) {
          var o2 = e3.charCodeAt(i4);
          o2 < 128 ? r2[n2++] = o2 : o2 < 2048 ? (r2[n2++] = 192 + (o2 >>> 6), r2[n2++] = 128 + (o2 & 63)) : (r2[n2++] = 224 + (o2 >>> 12), r2[n2++] = 128 + (o2 >>> 6 & 63), r2[n2++] = 128 + (o2 & 63));
        }
        return r2.slice(0, n2);
      };
      mO.prototype.end = function() {
      };
      function gO(e3, r2) {
        this.acc = 0, this.contBytes = 0, this.accBytes = 0, this.defaultCharUnicode = r2.defaultCharUnicode;
      }
      gO.prototype.write = function(e3) {
        for (var r2 = this.acc, n2 = this.contBytes, i4 = this.accBytes, o2 = "", a3 = 0; a3 < e3.length; a3++) {
          var u2 = e3[a3];
          (u2 & 192) !== 128 ? (n2 > 0 && (o2 += this.defaultCharUnicode, n2 = 0), u2 < 128 ? o2 += String.fromCharCode(u2) : u2 < 224 ? (r2 = u2 & 31, n2 = 1, i4 = 1) : u2 < 240 ? (r2 = u2 & 15, n2 = 2, i4 = 1) : o2 += this.defaultCharUnicode) : n2 > 0 ? (r2 = r2 << 6 | u2 & 63, n2--, i4++, n2 === 0 && (i4 === 2 && r2 < 128 && r2 > 0 ? o2 += this.defaultCharUnicode : i4 === 3 && r2 < 2048 ? o2 += this.defaultCharUnicode : o2 += String.fromCharCode(r2))) : o2 += this.defaultCharUnicode;
        }
        return this.acc = r2, this.contBytes = n2, this.accBytes = i4, o2;
      };
      gO.prototype.end = function() {
        var e3 = 0;
        return this.contBytes > 0 && (e3 += this.defaultCharUnicode), e3;
      };
    });
    var QV = b((ho) => {
      "use strict";
      var L0 = Vi().Buffer;
      ho._utf32 = yO;
      function yO(e3, r2) {
        this.iconv = r2, this.bomAware = true, this.isLE = e3.isLE;
      }
      ho.utf32le = { type: "_utf32", isLE: true };
      ho.utf32be = { type: "_utf32", isLE: false };
      ho.ucs4le = "utf32le";
      ho.ucs4be = "utf32be";
      yO.prototype.encoder = vO;
      yO.prototype.decoder = bO;
      function vO(e3, r2) {
        this.isLE = r2.isLE, this.highSurrogate = 0;
      }
      vO.prototype.write = function(e3) {
        for (var r2 = L0.from(e3, "ucs2"), n2 = L0.alloc(r2.length * 2), i4 = this.isLE ? n2.writeUInt32LE : n2.writeUInt32BE, o2 = 0, a3 = 0; a3 < r2.length; a3 += 2) {
          var u2 = r2.readUInt16LE(a3), c4 = 55296 <= u2 && u2 < 56320, l2 = 56320 <= u2 && u2 < 57344;
          if (this.highSurrogate)
            if (c4 || !l2)
              i4.call(n2, this.highSurrogate, o2), o2 += 4;
            else {
              var f4 = (this.highSurrogate - 55296 << 10 | u2 - 56320) + 65536;
              i4.call(n2, f4, o2), o2 += 4, this.highSurrogate = 0;
              continue;
            }
          c4 ? this.highSurrogate = u2 : (i4.call(n2, u2, o2), o2 += 4, this.highSurrogate = 0);
        }
        return o2 < n2.length && (n2 = n2.slice(0, o2)), n2;
      };
      vO.prototype.end = function() {
        if (this.highSurrogate) {
          var e3 = L0.alloc(4);
          return this.isLE ? e3.writeUInt32LE(this.highSurrogate, 0) : e3.writeUInt32BE(this.highSurrogate, 0), this.highSurrogate = 0, e3;
        }
      };
      function bO(e3, r2) {
        this.isLE = r2.isLE, this.badChar = r2.iconv.defaultCharUnicode.charCodeAt(0), this.overflow = [];
      }
      bO.prototype.write = function(e3) {
        if (e3.length === 0)
          return "";
        var r2 = 0, n2 = 0, i4 = L0.alloc(e3.length + 4), o2 = 0, a3 = this.isLE, u2 = this.overflow, c4 = this.badChar;
        if (u2.length > 0) {
          for (; r2 < e3.length && u2.length < 4; r2++)
            u2.push(e3[r2]);
          u2.length === 4 && (a3 ? n2 = u2[r2] | u2[r2 + 1] << 8 | u2[r2 + 2] << 16 | u2[r2 + 3] << 24 : n2 = u2[r2 + 3] | u2[r2 + 2] << 8 | u2[r2 + 1] << 16 | u2[r2] << 24, u2.length = 0, o2 = JV(i4, o2, n2, c4));
        }
        for (; r2 < e3.length - 3; r2 += 4)
          a3 ? n2 = e3[r2] | e3[r2 + 1] << 8 | e3[r2 + 2] << 16 | e3[r2 + 3] << 24 : n2 = e3[r2 + 3] | e3[r2 + 2] << 8 | e3[r2 + 1] << 16 | e3[r2] << 24, o2 = JV(i4, o2, n2, c4);
        for (; r2 < e3.length; r2++)
          u2.push(e3[r2]);
        return i4.slice(0, o2).toString("ucs2");
      };
      function JV(e3, r2, n2, i4) {
        if ((n2 < 0 || n2 > 1114111) && (n2 = i4), n2 >= 65536) {
          n2 -= 65536;
          var o2 = 55296 | n2 >> 10;
          e3[r2++] = o2 & 255, e3[r2++] = o2 >> 8;
          var n2 = 56320 | n2 & 1023;
        }
        return e3[r2++] = n2 & 255, e3[r2++] = n2 >> 8, r2;
      }
      bO.prototype.end = function() {
        this.overflow.length = 0;
      };
      ho.utf32 = EO;
      ho.ucs4 = "utf32";
      function EO(e3, r2) {
        this.iconv = r2;
      }
      EO.prototype.encoder = wO;
      EO.prototype.decoder = _O;
      function wO(e3, r2) {
        e3 = e3 || {}, e3.addBOM === void 0 && (e3.addBOM = true), this.encoder = r2.iconv.getEncoder(e3.defaultEncoding || "utf-32le", e3);
      }
      wO.prototype.write = function(e3) {
        return this.encoder.write(e3);
      };
      wO.prototype.end = function() {
        return this.encoder.end();
      };
      function _O(e3, r2) {
        this.decoder = null, this.initialBufs = [], this.initialBufsLen = 0, this.options = e3 || {}, this.iconv = r2.iconv;
      }
      _O.prototype.write = function(e3) {
        if (!this.decoder) {
          if (this.initialBufs.push(e3), this.initialBufsLen += e3.length, this.initialBufsLen < 32)
            return "";
          var r2 = XV(this.initialBufs, this.options.defaultEncoding);
          this.decoder = this.iconv.getDecoder(r2, this.options);
          for (var n2 = "", i4 = 0; i4 < this.initialBufs.length; i4++)
            n2 += this.decoder.write(this.initialBufs[i4]);
          return this.initialBufs.length = this.initialBufsLen = 0, n2;
        }
        return this.decoder.write(e3);
      };
      _O.prototype.end = function() {
        if (!this.decoder) {
          var e3 = XV(this.initialBufs, this.options.defaultEncoding);
          this.decoder = this.iconv.getDecoder(e3, this.options);
          for (var r2 = "", n2 = 0; n2 < this.initialBufs.length; n2++)
            r2 += this.decoder.write(this.initialBufs[n2]);
          var i4 = this.decoder.end();
          return i4 && (r2 += i4), this.initialBufs.length = this.initialBufsLen = 0, r2;
        }
        return this.decoder.end();
      };
      function XV(e3, r2) {
        var n2 = [], i4 = 0, o2 = 0, a3 = 0, u2 = 0, c4 = 0;
        e:
          for (var l2 = 0; l2 < e3.length; l2++)
            for (var f4 = e3[l2], p2 = 0; p2 < f4.length; p2++)
              if (n2.push(f4[p2]), n2.length === 4) {
                if (i4 === 0) {
                  if (n2[0] === 255 && n2[1] === 254 && n2[2] === 0 && n2[3] === 0)
                    return "utf-32le";
                  if (n2[0] === 0 && n2[1] === 0 && n2[2] === 254 && n2[3] === 255)
                    return "utf-32be";
                }
                if ((n2[0] !== 0 || n2[1] > 16) && a3++, (n2[3] !== 0 || n2[2] > 16) && o2++, n2[0] === 0 && n2[1] === 0 && (n2[2] !== 0 || n2[3] !== 0) && c4++, (n2[0] !== 0 || n2[1] !== 0) && n2[2] === 0 && n2[3] === 0 && u2++, n2.length = 0, i4++, i4 >= 100)
                  break e;
              }
        return c4 - a3 > u2 - o2 ? "utf-32be" : c4 - a3 < u2 - o2 ? "utf-32le" : r2 || "utf-32le";
      }
    });
    var tK = b((RO) => {
      "use strict";
      var ZV = Vi().Buffer;
      RO.utf16be = M0;
      function M0() {
      }
      M0.prototype.encoder = SO;
      M0.prototype.decoder = xO;
      M0.prototype.bomAware = true;
      function SO() {
      }
      SO.prototype.write = function(e3) {
        for (var r2 = ZV.from(e3, "ucs2"), n2 = 0; n2 < r2.length; n2 += 2) {
          var i4 = r2[n2];
          r2[n2] = r2[n2 + 1], r2[n2 + 1] = i4;
        }
        return r2;
      };
      SO.prototype.end = function() {
      };
      function xO() {
        this.overflowByte = -1;
      }
      xO.prototype.write = function(e3) {
        if (e3.length == 0)
          return "";
        var r2 = ZV.alloc(e3.length + 1), n2 = 0, i4 = 0;
        for (this.overflowByte !== -1 && (r2[0] = e3[0], r2[1] = this.overflowByte, n2 = 1, i4 = 2); n2 < e3.length - 1; n2 += 2, i4 += 2)
          r2[i4] = e3[n2 + 1], r2[i4 + 1] = e3[n2];
        return this.overflowByte = n2 == e3.length - 1 ? e3[e3.length - 1] : -1, r2.slice(0, i4).toString("ucs2");
      };
      xO.prototype.end = function() {
        this.overflowByte = -1;
      };
      RO.utf16 = DO;
      function DO(e3, r2) {
        this.iconv = r2;
      }
      DO.prototype.encoder = OO;
      DO.prototype.decoder = TO;
      function OO(e3, r2) {
        e3 = e3 || {}, e3.addBOM === void 0 && (e3.addBOM = true), this.encoder = r2.iconv.getEncoder("utf-16le", e3);
      }
      OO.prototype.write = function(e3) {
        return this.encoder.write(e3);
      };
      OO.prototype.end = function() {
        return this.encoder.end();
      };
      function TO(e3, r2) {
        this.decoder = null, this.initialBufs = [], this.initialBufsLen = 0, this.options = e3 || {}, this.iconv = r2.iconv;
      }
      TO.prototype.write = function(e3) {
        if (!this.decoder) {
          if (this.initialBufs.push(e3), this.initialBufsLen += e3.length, this.initialBufsLen < 16)
            return "";
          var r2 = eK(this.initialBufs, this.options.defaultEncoding);
          this.decoder = this.iconv.getDecoder(r2, this.options);
          for (var n2 = "", i4 = 0; i4 < this.initialBufs.length; i4++)
            n2 += this.decoder.write(this.initialBufs[i4]);
          return this.initialBufs.length = this.initialBufsLen = 0, n2;
        }
        return this.decoder.write(e3);
      };
      TO.prototype.end = function() {
        if (!this.decoder) {
          var e3 = eK(this.initialBufs, this.options.defaultEncoding);
          this.decoder = this.iconv.getDecoder(e3, this.options);
          for (var r2 = "", n2 = 0; n2 < this.initialBufs.length; n2++)
            r2 += this.decoder.write(this.initialBufs[n2]);
          var i4 = this.decoder.end();
          return i4 && (r2 += i4), this.initialBufs.length = this.initialBufsLen = 0, r2;
        }
        return this.decoder.end();
      };
      function eK(e3, r2) {
        var n2 = [], i4 = 0, o2 = 0, a3 = 0;
        e:
          for (var u2 = 0; u2 < e3.length; u2++)
            for (var c4 = e3[u2], l2 = 0; l2 < c4.length; l2++)
              if (n2.push(c4[l2]), n2.length === 2) {
                if (i4 === 0) {
                  if (n2[0] === 255 && n2[1] === 254)
                    return "utf-16le";
                  if (n2[0] === 254 && n2[1] === 255)
                    return "utf-16be";
                }
                if (n2[0] === 0 && n2[1] !== 0 && a3++, n2[0] !== 0 && n2[1] === 0 && o2++, n2.length = 0, i4++, i4 >= 100)
                  break e;
              }
        return a3 > o2 ? "utf-16be" : a3 < o2 ? "utf-16le" : r2 || "utf-16le";
      }
    });
    var nK = b(($0) => {
      "use strict";
      var li = Vi().Buffer;
      $0.utf7 = N0;
      $0.unicode11utf7 = "utf7";
      function N0(e3, r2) {
        this.iconv = r2;
      }
      N0.prototype.encoder = AO;
      N0.prototype.decoder = IO;
      N0.prototype.bomAware = true;
      var H8e = /[^A-Za-z0-9'\(\),-\.\/:\? \n\r\t]+/g;
      function AO(e3, r2) {
        this.iconv = r2.iconv;
      }
      AO.prototype.write = function(e3) {
        return li.from(e3.replace(H8e, function(r2) {
          return "+" + (r2 === "+" ? "" : this.iconv.encode(r2, "utf16-be").toString("base64").replace(/=+$/, "")) + "-";
        }.bind(this)));
      };
      AO.prototype.end = function() {
      };
      function IO(e3, r2) {
        this.iconv = r2.iconv, this.inBase64 = false, this.base64Accum = "";
      }
      var V8e = /[A-Za-z0-9\/+]/, PO = [];
      for (mh = 0; mh < 256; mh++)
        PO[mh] = V8e.test(String.fromCharCode(mh));
      var mh, K8e = "+".charCodeAt(0), Ta = "-".charCodeAt(0), CO = "&".charCodeAt(0);
      IO.prototype.write = function(e3) {
        for (var r2 = "", n2 = 0, i4 = this.inBase64, o2 = this.base64Accum, a3 = 0; a3 < e3.length; a3++)
          if (!i4)
            e3[a3] == K8e && (r2 += this.iconv.decode(e3.slice(n2, a3), "ascii"), n2 = a3 + 1, i4 = true);
          else if (!PO[e3[a3]]) {
            if (a3 == n2 && e3[a3] == Ta)
              r2 += "+";
            else {
              var u2 = o2 + this.iconv.decode(e3.slice(n2, a3), "ascii");
              r2 += this.iconv.decode(li.from(u2, "base64"), "utf16-be");
            }
            e3[a3] != Ta && a3--, n2 = a3 + 1, i4 = false, o2 = "";
          }
        if (!i4)
          r2 += this.iconv.decode(e3.slice(n2), "ascii");
        else {
          var u2 = o2 + this.iconv.decode(e3.slice(n2), "ascii"), c4 = u2.length - u2.length % 8;
          o2 = u2.slice(c4), u2 = u2.slice(0, c4), r2 += this.iconv.decode(li.from(u2, "base64"), "utf16-be");
        }
        return this.inBase64 = i4, this.base64Accum = o2, r2;
      };
      IO.prototype.end = function() {
        var e3 = "";
        return this.inBase64 && this.base64Accum.length > 0 && (e3 = this.iconv.decode(li.from(this.base64Accum, "base64"), "utf16-be")), this.inBase64 = false, this.base64Accum = "", e3;
      };
      $0.utf7imap = k0;
      function k0(e3, r2) {
        this.iconv = r2;
      }
      k0.prototype.encoder = FO;
      k0.prototype.decoder = LO;
      k0.prototype.bomAware = true;
      function FO(e3, r2) {
        this.iconv = r2.iconv, this.inBase64 = false, this.base64Accum = li.alloc(6), this.base64AccumIdx = 0;
      }
      FO.prototype.write = function(e3) {
        for (var r2 = this.inBase64, n2 = this.base64Accum, i4 = this.base64AccumIdx, o2 = li.alloc(e3.length * 5 + 10), a3 = 0, u2 = 0; u2 < e3.length; u2++) {
          var c4 = e3.charCodeAt(u2);
          32 <= c4 && c4 <= 126 ? (r2 && (i4 > 0 && (a3 += o2.write(n2.slice(0, i4).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), a3), i4 = 0), o2[a3++] = Ta, r2 = false), r2 || (o2[a3++] = c4, c4 === CO && (o2[a3++] = Ta))) : (r2 || (o2[a3++] = CO, r2 = true), r2 && (n2[i4++] = c4 >> 8, n2[i4++] = c4 & 255, i4 == n2.length && (a3 += o2.write(n2.toString("base64").replace(/\//g, ","), a3), i4 = 0)));
        }
        return this.inBase64 = r2, this.base64AccumIdx = i4, o2.slice(0, a3);
      };
      FO.prototype.end = function() {
        var e3 = li.alloc(10), r2 = 0;
        return this.inBase64 && (this.base64AccumIdx > 0 && (r2 += e3.write(this.base64Accum.slice(0, this.base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), r2), this.base64AccumIdx = 0), e3[r2++] = Ta, this.inBase64 = false), e3.slice(0, r2);
      };
      function LO(e3, r2) {
        this.iconv = r2.iconv, this.inBase64 = false, this.base64Accum = "";
      }
      var rK = PO.slice();
      rK[",".charCodeAt(0)] = true;
      LO.prototype.write = function(e3) {
        for (var r2 = "", n2 = 0, i4 = this.inBase64, o2 = this.base64Accum, a3 = 0; a3 < e3.length; a3++)
          if (!i4)
            e3[a3] == CO && (r2 += this.iconv.decode(e3.slice(n2, a3), "ascii"), n2 = a3 + 1, i4 = true);
          else if (!rK[e3[a3]]) {
            if (a3 == n2 && e3[a3] == Ta)
              r2 += "&";
            else {
              var u2 = o2 + this.iconv.decode(e3.slice(n2, a3), "ascii").replace(/,/g, "/");
              r2 += this.iconv.decode(li.from(u2, "base64"), "utf16-be");
            }
            e3[a3] != Ta && a3--, n2 = a3 + 1, i4 = false, o2 = "";
          }
        if (!i4)
          r2 += this.iconv.decode(e3.slice(n2), "ascii");
        else {
          var u2 = o2 + this.iconv.decode(e3.slice(n2), "ascii").replace(/,/g, "/"), c4 = u2.length - u2.length % 8;
          o2 = u2.slice(c4), u2 = u2.slice(0, c4), r2 += this.iconv.decode(li.from(u2, "base64"), "utf16-be");
        }
        return this.inBase64 = i4, this.base64Accum = o2, r2;
      };
      LO.prototype.end = function() {
        var e3 = "";
        return this.inBase64 && this.base64Accum.length > 0 && (e3 = this.iconv.decode(li.from(this.base64Accum, "base64"), "utf16-be")), this.inBase64 = false, this.base64Accum = "", e3;
      };
    });
    var sK = b((iK) => {
      "use strict";
      var q0 = Vi().Buffer;
      iK._sbcs = MO;
      function MO(e3, r2) {
        if (!e3)
          throw new Error("SBCS codec is called without the data.");
        if (!e3.chars || e3.chars.length !== 128 && e3.chars.length !== 256)
          throw new Error("Encoding '" + e3.type + "' has incorrect 'chars' (must be of len 128 or 256)");
        if (e3.chars.length === 128) {
          for (var n2 = "", i4 = 0; i4 < 128; i4++)
            n2 += String.fromCharCode(i4);
          e3.chars = n2 + e3.chars;
        }
        this.decodeBuf = q0.from(e3.chars, "ucs2");
        for (var o2 = q0.alloc(65536, r2.defaultCharSingleByte.charCodeAt(0)), i4 = 0; i4 < e3.chars.length; i4++)
          o2[e3.chars.charCodeAt(i4)] = i4;
        this.encodeBuf = o2;
      }
      MO.prototype.encoder = NO;
      MO.prototype.decoder = kO;
      function NO(e3, r2) {
        this.encodeBuf = r2.encodeBuf;
      }
      NO.prototype.write = function(e3) {
        for (var r2 = q0.alloc(e3.length), n2 = 0; n2 < e3.length; n2++)
          r2[n2] = this.encodeBuf[e3.charCodeAt(n2)];
        return r2;
      };
      NO.prototype.end = function() {
      };
      function kO(e3, r2) {
        this.decodeBuf = r2.decodeBuf;
      }
      kO.prototype.write = function(e3) {
        for (var r2 = this.decodeBuf, n2 = q0.alloc(e3.length * 2), i4 = 0, o2 = 0, a3 = 0; a3 < e3.length; a3++)
          i4 = e3[a3] * 2, o2 = a3 * 2, n2[o2] = r2[i4], n2[o2 + 1] = r2[i4 + 1];
        return n2.toString("ucs2");
      };
      kO.prototype.end = function() {
      };
    });
    var aK = b((BGe, oK) => {
      "use strict";
      oK.exports = { 10029: "maccenteuro", maccenteuro: { type: "_sbcs", chars: "\xC4\u0100\u0101\xC9\u0104\xD6\xDC\xE1\u0105\u010C\xE4\u010D\u0106\u0107\xE9\u0179\u017A\u010E\xED\u010F\u0112\u0113\u0116\xF3\u0117\xF4\xF6\xF5\xFA\u011A\u011B\xFC\u2020\xB0\u0118\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\u0119\xA8\u2260\u0123\u012E\u012F\u012A\u2264\u2265\u012B\u0136\u2202\u2211\u0142\u013B\u013C\u013D\u013E\u0139\u013A\u0145\u0146\u0143\xAC\u221A\u0144\u0147\u2206\xAB\xBB\u2026\xA0\u0148\u0150\xD5\u0151\u014C\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\u014D\u0154\u0155\u0158\u2039\u203A\u0159\u0156\u0157\u0160\u201A\u201E\u0161\u015A\u015B\xC1\u0164\u0165\xCD\u017D\u017E\u016A\xD3\xD4\u016B\u016E\xDA\u016F\u0170\u0171\u0172\u0173\xDD\xFD\u0137\u017B\u0141\u017C\u0122\u02C7" }, 808: "cp808", ibm808: "cp808", cp808: { type: "_sbcs", chars: "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0404\u0454\u0407\u0457\u040E\u045E\xB0\u2219\xB7\u221A\u2116\u20AC\u25A0\xA0" }, mik: { type: "_sbcs", chars: "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2514\u2534\u252C\u251C\u2500\u253C\u2563\u2551\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2510\u2591\u2592\u2593\u2502\u2524\u2116\xA7\u2557\u255D\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, cp720: { type: "_sbcs", chars: "\x80\x81\xE9\xE2\x84\xE0\x86\xE7\xEA\xEB\xE8\xEF\xEE\x8D\x8E\x8F\x90\u0651\u0652\xF4\xA4\u0640\xFB\xF9\u0621\u0622\u0623\u0624\xA3\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0636\u0637\u0638\u0639\u063A\u0641\xB5\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u2261\u064B\u064C\u064D\u064E\u064F\u0650\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, ascii8bit: "ascii", usascii: "ascii", ansix34: "ascii", ansix341968: "ascii", ansix341986: "ascii", csascii: "ascii", cp367: "ascii", ibm367: "ascii", isoir6: "ascii", iso646us: "ascii", iso646irv: "ascii", us: "ascii", latin1: "iso88591", latin2: "iso88592", latin3: "iso88593", latin4: "iso88594", latin5: "iso88599", latin6: "iso885910", latin7: "iso885913", latin8: "iso885914", latin9: "iso885915", latin10: "iso885916", csisolatin1: "iso88591", csisolatin2: "iso88592", csisolatin3: "iso88593", csisolatin4: "iso88594", csisolatincyrillic: "iso88595", csisolatinarabic: "iso88596", csisolatingreek: "iso88597", csisolatinhebrew: "iso88598", csisolatin5: "iso88599", csisolatin6: "iso885910", l1: "iso88591", l2: "iso88592", l3: "iso88593", l4: "iso88594", l5: "iso88599", l6: "iso885910", l7: "iso885913", l8: "iso885914", l9: "iso885915", l10: "iso885916", isoir14: "iso646jp", isoir57: "iso646cn", isoir100: "iso88591", isoir101: "iso88592", isoir109: "iso88593", isoir110: "iso88594", isoir144: "iso88595", isoir127: "iso88596", isoir126: "iso88597", isoir138: "iso88598", isoir148: "iso88599", isoir157: "iso885910", isoir166: "tis620", isoir179: "iso885913", isoir199: "iso885914", isoir203: "iso885915", isoir226: "iso885916", cp819: "iso88591", ibm819: "iso88591", cyrillic: "iso88595", arabic: "iso88596", arabic8: "iso88596", ecma114: "iso88596", asmo708: "iso88596", greek: "iso88597", greek8: "iso88597", ecma118: "iso88597", elot928: "iso88597", hebrew: "iso88598", hebrew8: "iso88598", turkish: "iso88599", turkish8: "iso88599", thai: "iso885911", thai8: "iso885911", celtic: "iso885914", celtic8: "iso885914", isoceltic: "iso885914", tis6200: "tis620", tis62025291: "tis620", tis62025330: "tis620", 1e4: "macroman", 10006: "macgreek", 10007: "maccyrillic", 10079: "maciceland", 10081: "macturkish", cspc8codepage437: "cp437", cspc775baltic: "cp775", cspc850multilingual: "cp850", cspcp852: "cp852", cspc862latinhebrew: "cp862", cpgr: "cp869", msee: "cp1250", mscyrl: "cp1251", msansi: "cp1252", msgreek: "cp1253", msturk: "cp1254", mshebr: "cp1255", msarab: "cp1256", winbaltrim: "cp1257", cp20866: "koi8r", 20866: "koi8r", ibm878: "koi8r", cskoi8r: "koi8r", cp21866: "koi8u", 21866: "koi8u", ibm1168: "koi8u", strk10482002: "rk1048", tcvn5712: "tcvn", tcvn57121: "tcvn", gb198880: "iso646cn", cn: "iso646cn", csiso14jisc6220ro: "iso646jp", jisc62201969ro: "iso646jp", jp: "iso646jp", cshproman8: "hproman8", r8: "hproman8", roman8: "hproman8", xroman8: "hproman8", ibm1051: "hproman8", mac: "macintosh", csmacintosh: "macintosh" };
    });
    var cK = b((jGe, uK) => {
      "use strict";
      uK.exports = { 437: "cp437", 737: "cp737", 775: "cp775", 850: "cp850", 852: "cp852", 855: "cp855", 856: "cp856", 857: "cp857", 858: "cp858", 860: "cp860", 861: "cp861", 862: "cp862", 863: "cp863", 864: "cp864", 865: "cp865", 866: "cp866", 869: "cp869", 874: "windows874", 922: "cp922", 1046: "cp1046", 1124: "cp1124", 1125: "cp1125", 1129: "cp1129", 1133: "cp1133", 1161: "cp1161", 1162: "cp1162", 1163: "cp1163", 1250: "windows1250", 1251: "windows1251", 1252: "windows1252", 1253: "windows1253", 1254: "windows1254", 1255: "windows1255", 1256: "windows1256", 1257: "windows1257", 1258: "windows1258", 28591: "iso88591", 28592: "iso88592", 28593: "iso88593", 28594: "iso88594", 28595: "iso88595", 28596: "iso88596", 28597: "iso88597", 28598: "iso88598", 28599: "iso88599", 28600: "iso885910", 28601: "iso885911", 28603: "iso885913", 28604: "iso885914", 28605: "iso885915", 28606: "iso885916", windows874: { type: "_sbcs", chars: "\u20AC\uFFFD\uFFFD\uFFFD\uFFFD\u2026\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD" }, win874: "windows874", cp874: "windows874", windows1250: { type: "_sbcs", chars: "\u20AC\uFFFD\u201A\uFFFD\u201E\u2026\u2020\u2021\uFFFD\u2030\u0160\u2039\u015A\u0164\u017D\u0179\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0161\u203A\u015B\u0165\u017E\u017A\xA0\u02C7\u02D8\u0141\xA4\u0104\xA6\xA7\xA8\xA9\u015E\xAB\xAC\xAD\xAE\u017B\xB0\xB1\u02DB\u0142\xB4\xB5\xB6\xB7\xB8\u0105\u015F\xBB\u013D\u02DD\u013E\u017C\u0154\xC1\xC2\u0102\xC4\u0139\u0106\xC7\u010C\xC9\u0118\xCB\u011A\xCD\xCE\u010E\u0110\u0143\u0147\xD3\xD4\u0150\xD6\xD7\u0158\u016E\xDA\u0170\xDC\xDD\u0162\xDF\u0155\xE1\xE2\u0103\xE4\u013A\u0107\xE7\u010D\xE9\u0119\xEB\u011B\xED\xEE\u010F\u0111\u0144\u0148\xF3\xF4\u0151\xF6\xF7\u0159\u016F\xFA\u0171\xFC\xFD\u0163\u02D9" }, win1250: "windows1250", cp1250: "windows1250", windows1251: { type: "_sbcs", chars: "\u0402\u0403\u201A\u0453\u201E\u2026\u2020\u2021\u20AC\u2030\u0409\u2039\u040A\u040C\u040B\u040F\u0452\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0459\u203A\u045A\u045C\u045B\u045F\xA0\u040E\u045E\u0408\xA4\u0490\xA6\xA7\u0401\xA9\u0404\xAB\xAC\xAD\xAE\u0407\xB0\xB1\u0406\u0456\u0491\xB5\xB6\xB7\u0451\u2116\u0454\xBB\u0458\u0405\u0455\u0457\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F" }, win1251: "windows1251", cp1251: "windows1251", windows1252: { type: "_sbcs", chars: "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\uFFFD\u017D\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\uFFFD\u017E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF" }, win1252: "windows1252", cp1252: "windows1252", windows1253: { type: "_sbcs", chars: "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\uFFFD\u2030\uFFFD\u2039\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\xA0\u0385\u0386\xA3\xA4\xA5\xA6\xA7\xA8\xA9\uFFFD\xAB\xAC\xAD\xAE\u2015\xB0\xB1\xB2\xB3\u0384\xB5\xB6\xB7\u0388\u0389\u038A\xBB\u038C\xBD\u038E\u038F\u0390\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\uFFFD\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03AA\u03AB\u03AC\u03AD\u03AE\u03AF\u03B0\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C2\u03C3\u03C4\u03C5\u03C6\u03C7\u03C8\u03C9\u03CA\u03CB\u03CC\u03CD\u03CE\uFFFD" }, win1253: "windows1253", cp1253: "windows1253", windows1254: { type: "_sbcs", chars: "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\uFFFD\uFFFD\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u011E\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u0130\u015E\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u011F\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u0131\u015F\xFF" }, win1254: "windows1254", cp1254: "windows1254", windows1255: { type: "_sbcs", chars: "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\uFFFD\u2039\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\xA0\xA1\xA2\xA3\u20AA\xA5\xA6\xA7\xA8\xA9\xD7\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xF7\xBB\xBC\xBD\xBE\xBF\u05B0\u05B1\u05B2\u05B3\u05B4\u05B5\u05B6\u05B7\u05B8\u05B9\u05BA\u05BB\u05BC\u05BD\u05BE\u05BF\u05C0\u05C1\u05C2\u05C3\u05F0\u05F1\u05F2\u05F3\u05F4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\uFFFD\u200E\u200F\uFFFD" }, win1255: "windows1255", cp1255: "windows1255", windows1256: { type: "_sbcs", chars: "\u20AC\u067E\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0679\u2039\u0152\u0686\u0698\u0688\u06AF\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u06A9\u2122\u0691\u203A\u0153\u200C\u200D\u06BA\xA0\u060C\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\u06BE\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\u061B\xBB\xBC\xBD\xBE\u061F\u06C1\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\xD7\u0637\u0638\u0639\u063A\u0640\u0641\u0642\u0643\xE0\u0644\xE2\u0645\u0646\u0647\u0648\xE7\xE8\xE9\xEA\xEB\u0649\u064A\xEE\xEF\u064B\u064C\u064D\u064E\xF4\u064F\u0650\xF7\u0651\xF9\u0652\xFB\xFC\u200E\u200F\u06D2" }, win1256: "windows1256", cp1256: "windows1256", windows1257: { type: "_sbcs", chars: "\u20AC\uFFFD\u201A\uFFFD\u201E\u2026\u2020\u2021\uFFFD\u2030\uFFFD\u2039\uFFFD\xA8\u02C7\xB8\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\xAF\u02DB\uFFFD\xA0\uFFFD\xA2\xA3\xA4\uFFFD\xA6\xA7\xD8\xA9\u0156\xAB\xAC\xAD\xAE\xC6\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xF8\xB9\u0157\xBB\xBC\xBD\xBE\xE6\u0104\u012E\u0100\u0106\xC4\xC5\u0118\u0112\u010C\xC9\u0179\u0116\u0122\u0136\u012A\u013B\u0160\u0143\u0145\xD3\u014C\xD5\xD6\xD7\u0172\u0141\u015A\u016A\xDC\u017B\u017D\xDF\u0105\u012F\u0101\u0107\xE4\xE5\u0119\u0113\u010D\xE9\u017A\u0117\u0123\u0137\u012B\u013C\u0161\u0144\u0146\xF3\u014D\xF5\xF6\xF7\u0173\u0142\u015B\u016B\xFC\u017C\u017E\u02D9" }, win1257: "windows1257", cp1257: "windows1257", windows1258: { type: "_sbcs", chars: "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\uFFFD\u2039\u0152\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\uFFFD\u203A\u0153\uFFFD\uFFFD\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF" }, win1258: "windows1258", cp1258: "windows1258", iso88591: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF" }, cp28591: "iso88591", iso88592: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u02D8\u0141\xA4\u013D\u015A\xA7\xA8\u0160\u015E\u0164\u0179\xAD\u017D\u017B\xB0\u0105\u02DB\u0142\xB4\u013E\u015B\u02C7\xB8\u0161\u015F\u0165\u017A\u02DD\u017E\u017C\u0154\xC1\xC2\u0102\xC4\u0139\u0106\xC7\u010C\xC9\u0118\xCB\u011A\xCD\xCE\u010E\u0110\u0143\u0147\xD3\xD4\u0150\xD6\xD7\u0158\u016E\xDA\u0170\xDC\xDD\u0162\xDF\u0155\xE1\xE2\u0103\xE4\u013A\u0107\xE7\u010D\xE9\u0119\xEB\u011B\xED\xEE\u010F\u0111\u0144\u0148\xF3\xF4\u0151\xF6\xF7\u0159\u016F\xFA\u0171\xFC\xFD\u0163\u02D9" }, cp28592: "iso88592", iso88593: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0126\u02D8\xA3\xA4\uFFFD\u0124\xA7\xA8\u0130\u015E\u011E\u0134\xAD\uFFFD\u017B\xB0\u0127\xB2\xB3\xB4\xB5\u0125\xB7\xB8\u0131\u015F\u011F\u0135\xBD\uFFFD\u017C\xC0\xC1\xC2\uFFFD\xC4\u010A\u0108\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\uFFFD\xD1\xD2\xD3\xD4\u0120\xD6\xD7\u011C\xD9\xDA\xDB\xDC\u016C\u015C\xDF\xE0\xE1\xE2\uFFFD\xE4\u010B\u0109\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\uFFFD\xF1\xF2\xF3\xF4\u0121\xF6\xF7\u011D\xF9\xFA\xFB\xFC\u016D\u015D\u02D9" }, cp28593: "iso88593", iso88594: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0138\u0156\xA4\u0128\u013B\xA7\xA8\u0160\u0112\u0122\u0166\xAD\u017D\xAF\xB0\u0105\u02DB\u0157\xB4\u0129\u013C\u02C7\xB8\u0161\u0113\u0123\u0167\u014A\u017E\u014B\u0100\xC1\xC2\xC3\xC4\xC5\xC6\u012E\u010C\xC9\u0118\xCB\u0116\xCD\xCE\u012A\u0110\u0145\u014C\u0136\xD4\xD5\xD6\xD7\xD8\u0172\xDA\xDB\xDC\u0168\u016A\xDF\u0101\xE1\xE2\xE3\xE4\xE5\xE6\u012F\u010D\xE9\u0119\xEB\u0117\xED\xEE\u012B\u0111\u0146\u014D\u0137\xF4\xF5\xF6\xF7\xF8\u0173\xFA\xFB\xFC\u0169\u016B\u02D9" }, cp28594: "iso88594", iso88595: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0401\u0402\u0403\u0404\u0405\u0406\u0407\u0408\u0409\u040A\u040B\u040C\xAD\u040E\u040F\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2116\u0451\u0452\u0453\u0454\u0455\u0456\u0457\u0458\u0459\u045A\u045B\u045C\xA7\u045E\u045F" }, cp28595: "iso88595", iso88596: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\uFFFD\uFFFD\xA4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u060C\xAD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u061B\uFFFD\uFFFD\uFFFD\u061F\uFFFD\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u0637\u0638\u0639\u063A\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0640\u0641\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u064B\u064C\u064D\u064E\u064F\u0650\u0651\u0652\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD" }, cp28596: "iso88596", iso88597: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u2018\u2019\xA3\u20AC\u20AF\xA6\xA7\xA8\xA9\u037A\xAB\xAC\xAD\uFFFD\u2015\xB0\xB1\xB2\xB3\u0384\u0385\u0386\xB7\u0388\u0389\u038A\xBB\u038C\xBD\u038E\u038F\u0390\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\uFFFD\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03AA\u03AB\u03AC\u03AD\u03AE\u03AF\u03B0\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C2\u03C3\u03C4\u03C5\u03C6\u03C7\u03C8\u03C9\u03CA\u03CB\u03CC\u03CD\u03CE\uFFFD" }, cp28597: "iso88597", iso88598: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xD7\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xF7\xBB\xBC\xBD\xBE\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2017\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\uFFFD\u200E\u200F\uFFFD" }, cp28598: "iso88598", iso88599: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u011E\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u0130\u015E\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u011F\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u0131\u015F\xFF" }, cp28599: "iso88599", iso885910: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0112\u0122\u012A\u0128\u0136\xA7\u013B\u0110\u0160\u0166\u017D\xAD\u016A\u014A\xB0\u0105\u0113\u0123\u012B\u0129\u0137\xB7\u013C\u0111\u0161\u0167\u017E\u2015\u016B\u014B\u0100\xC1\xC2\xC3\xC4\xC5\xC6\u012E\u010C\xC9\u0118\xCB\u0116\xCD\xCE\xCF\xD0\u0145\u014C\xD3\xD4\xD5\xD6\u0168\xD8\u0172\xDA\xDB\xDC\xDD\xDE\xDF\u0101\xE1\xE2\xE3\xE4\xE5\xE6\u012F\u010D\xE9\u0119\xEB\u0117\xED\xEE\xEF\xF0\u0146\u014D\xF3\xF4\xF5\xF6\u0169\xF8\u0173\xFA\xFB\xFC\xFD\xFE\u0138" }, cp28600: "iso885910", iso885911: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD" }, cp28601: "iso885911", iso885913: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u201D\xA2\xA3\xA4\u201E\xA6\xA7\xD8\xA9\u0156\xAB\xAC\xAD\xAE\xC6\xB0\xB1\xB2\xB3\u201C\xB5\xB6\xB7\xF8\xB9\u0157\xBB\xBC\xBD\xBE\xE6\u0104\u012E\u0100\u0106\xC4\xC5\u0118\u0112\u010C\xC9\u0179\u0116\u0122\u0136\u012A\u013B\u0160\u0143\u0145\xD3\u014C\xD5\xD6\xD7\u0172\u0141\u015A\u016A\xDC\u017B\u017D\xDF\u0105\u012F\u0101\u0107\xE4\xE5\u0119\u0113\u010D\xE9\u017A\u0117\u0123\u0137\u012B\u013C\u0161\u0144\u0146\xF3\u014D\xF5\xF6\xF7\u0173\u0142\u015B\u016B\xFC\u017C\u017E\u2019" }, cp28603: "iso885913", iso885914: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u1E02\u1E03\xA3\u010A\u010B\u1E0A\xA7\u1E80\xA9\u1E82\u1E0B\u1EF2\xAD\xAE\u0178\u1E1E\u1E1F\u0120\u0121\u1E40\u1E41\xB6\u1E56\u1E81\u1E57\u1E83\u1E60\u1EF3\u1E84\u1E85\u1E61\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0174\xD1\xD2\xD3\xD4\xD5\xD6\u1E6A\xD8\xD9\xDA\xDB\xDC\xDD\u0176\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0175\xF1\xF2\xF3\xF4\xF5\xF6\u1E6B\xF8\xF9\xFA\xFB\xFC\xFD\u0177\xFF" }, cp28604: "iso885914", iso885915: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\u20AC\xA5\u0160\xA7\u0161\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u017D\xB5\xB6\xB7\u017E\xB9\xBA\xBB\u0152\u0153\u0178\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF" }, cp28605: "iso885915", iso885916: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0105\u0141\u20AC\u201E\u0160\xA7\u0161\xA9\u0218\xAB\u0179\xAD\u017A\u017B\xB0\xB1\u010C\u0142\u017D\u201D\xB6\xB7\u017E\u010D\u0219\xBB\u0152\u0153\u0178\u017C\xC0\xC1\xC2\u0102\xC4\u0106\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0110\u0143\xD2\xD3\xD4\u0150\xD6\u015A\u0170\xD9\xDA\xDB\xDC\u0118\u021A\xDF\xE0\xE1\xE2\u0103\xE4\u0107\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0111\u0144\xF2\xF3\xF4\u0151\xF6\u015B\u0171\xF9\xFA\xFB\xFC\u0119\u021B\xFF" }, cp28606: "iso885916", cp437: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xA2\xA3\xA5\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, ibm437: "cp437", csibm437: "cp437", cp737: { type: "_sbcs", chars: "\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C3\u03C2\u03C4\u03C5\u03C6\u03C7\u03C8\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03C9\u03AC\u03AD\u03AE\u03CA\u03AF\u03CC\u03CD\u03CB\u03CE\u0386\u0388\u0389\u038A\u038C\u038E\u038F\xB1\u2265\u2264\u03AA\u03AB\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, ibm737: "cp737", csibm737: "cp737", cp775: { type: "_sbcs", chars: "\u0106\xFC\xE9\u0101\xE4\u0123\xE5\u0107\u0142\u0113\u0156\u0157\u012B\u0179\xC4\xC5\xC9\xE6\xC6\u014D\xF6\u0122\xA2\u015A\u015B\xD6\xDC\xF8\xA3\xD8\xD7\xA4\u0100\u012A\xF3\u017B\u017C\u017A\u201D\xA6\xA9\xAE\xAC\xBD\xBC\u0141\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u0104\u010C\u0118\u0116\u2563\u2551\u2557\u255D\u012E\u0160\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u0172\u016A\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u017D\u0105\u010D\u0119\u0117\u012F\u0161\u0173\u016B\u017E\u2518\u250C\u2588\u2584\u258C\u2590\u2580\xD3\xDF\u014C\u0143\xF5\xD5\xB5\u0144\u0136\u0137\u013B\u013C\u0146\u0112\u0145\u2019\xAD\xB1\u201C\xBE\xB6\xA7\xF7\u201E\xB0\u2219\xB7\xB9\xB3\xB2\u25A0\xA0" }, ibm775: "cp775", csibm775: "cp775", cp850: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\xD7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xF0\xD0\xCA\xCB\xC8\u0131\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\xFE\xDE\xDA\xDB\xD9\xFD\xDD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0" }, ibm850: "cp850", csibm850: "cp850", cp852: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xE4\u016F\u0107\xE7\u0142\xEB\u0150\u0151\xEE\u0179\xC4\u0106\xC9\u0139\u013A\xF4\xF6\u013D\u013E\u015A\u015B\xD6\xDC\u0164\u0165\u0141\xD7\u010D\xE1\xED\xF3\xFA\u0104\u0105\u017D\u017E\u0118\u0119\xAC\u017A\u010C\u015F\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\u011A\u015E\u2563\u2551\u2557\u255D\u017B\u017C\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u0102\u0103\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\u0111\u0110\u010E\xCB\u010F\u0147\xCD\xCE\u011B\u2518\u250C\u2588\u2584\u0162\u016E\u2580\xD3\xDF\xD4\u0143\u0144\u0148\u0160\u0161\u0154\xDA\u0155\u0170\xFD\xDD\u0163\xB4\xAD\u02DD\u02DB\u02C7\u02D8\xA7\xF7\xB8\xB0\xA8\u02D9\u0171\u0158\u0159\u25A0\xA0" }, ibm852: "cp852", csibm852: "cp852", cp855: { type: "_sbcs", chars: "\u0452\u0402\u0453\u0403\u0451\u0401\u0454\u0404\u0455\u0405\u0456\u0406\u0457\u0407\u0458\u0408\u0459\u0409\u045A\u040A\u045B\u040B\u045C\u040C\u045E\u040E\u045F\u040F\u044E\u042E\u044A\u042A\u0430\u0410\u0431\u0411\u0446\u0426\u0434\u0414\u0435\u0415\u0444\u0424\u0433\u0413\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u0445\u0425\u0438\u0418\u2563\u2551\u2557\u255D\u0439\u0419\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u043A\u041A\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\u043B\u041B\u043C\u041C\u043D\u041D\u043E\u041E\u043F\u2518\u250C\u2588\u2584\u041F\u044F\u2580\u042F\u0440\u0420\u0441\u0421\u0442\u0422\u0443\u0423\u0436\u0416\u0432\u0412\u044C\u042C\u2116\xAD\u044B\u042B\u0437\u0417\u0448\u0428\u044D\u042D\u0449\u0429\u0447\u0427\xA7\u25A0\xA0" }, ibm855: "cp855", csibm855: "cp855", cp856: { type: "_sbcs", chars: "\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\xA3\uFFFD\xD7\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xAE\xAC\xBD\xBC\uFFFD\xAB\xBB\u2591\u2592\u2593\u2502\u2524\uFFFD\uFFFD\uFFFD\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\uFFFD\uFFFD\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2518\u250C\u2588\u2584\xA6\uFFFD\u2580\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xB5\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0" }, ibm856: "cp856", csibm856: "cp856", cp857: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\u0131\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\u0130\xD6\xDC\xF8\xA3\xD8\u015E\u015F\xE1\xED\xF3\xFA\xF1\xD1\u011E\u011F\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xBA\xAA\xCA\xCB\xC8\uFFFD\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\uFFFD\xD7\xDA\xDB\xD9\xEC\xFF\xAF\xB4\xAD\xB1\uFFFD\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0" }, ibm857: "cp857", csibm857: "cp857", cp858: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\xD7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xF0\xD0\xCA\xCB\xC8\u20AC\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\xFE\xDE\xDA\xDB\xD9\xFD\xDD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0" }, ibm858: "cp858", csibm858: "cp858", cp860: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xE3\xE0\xC1\xE7\xEA\xCA\xE8\xCD\xD4\xEC\xC3\xC2\xC9\xC0\xC8\xF4\xF5\xF2\xDA\xF9\xCC\xD5\xDC\xA2\xA3\xD9\u20A7\xD3\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xD2\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, ibm860: "cp860", csibm860: "cp860", cp861: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xD0\xF0\xDE\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xFE\xFB\xDD\xFD\xD6\xDC\xF8\xA3\xD8\u20A7\u0192\xE1\xED\xF3\xFA\xC1\xCD\xD3\xDA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, ibm861: "cp861", csibm861: "cp861", cp862: { type: "_sbcs", chars: "\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\xA2\xA3\xA5\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, ibm862: "cp862", csibm862: "cp862", cp863: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xC2\xE0\xB6\xE7\xEA\xEB\xE8\xEF\xEE\u2017\xC0\xA7\xC9\xC8\xCA\xF4\xCB\xCF\xFB\xF9\xA4\xD4\xDC\xA2\xA3\xD9\xDB\u0192\xA6\xB4\xF3\xFA\xA8\xB8\xB3\xAF\xCE\u2310\xAC\xBD\xBC\xBE\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, ibm863: "cp863", csibm863: "cp863", cp864: { type: "_sbcs", chars: `\0\x07\b	
\v\f\r\x1B !"#$\u066A&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~\x7F\xB0\xB7\u2219\u221A\u2592\u2500\u2502\u253C\u2524\u252C\u251C\u2534\u2510\u250C\u2514\u2518\u03B2\u221E\u03C6\xB1\xBD\xBC\u2248\xAB\xBB\uFEF7\uFEF8\uFFFD\uFFFD\uFEFB\uFEFC\uFFFD\xA0\xAD\uFE82\xA3\xA4\uFE84\uFFFD\uFFFD\uFE8E\uFE8F\uFE95\uFE99\u060C\uFE9D\uFEA1\uFEA5\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669\uFED1\u061B\uFEB1\uFEB5\uFEB9\u061F\xA2\uFE80\uFE81\uFE83\uFE85\uFECA\uFE8B\uFE8D\uFE91\uFE93\uFE97\uFE9B\uFE9F\uFEA3\uFEA7\uFEA9\uFEAB\uFEAD\uFEAF\uFEB3\uFEB7\uFEBB\uFEBF\uFEC1\uFEC5\uFECB\uFECF\xA6\xAC\xF7\xD7\uFEC9\u0640\uFED3\uFED7\uFEDB\uFEDF\uFEE3\uFEE7\uFEEB\uFEED\uFEEF\uFEF3\uFEBD\uFECC\uFECE\uFECD\uFEE1\uFE7D\u0651\uFEE5\uFEE9\uFEEC\uFEF0\uFEF2\uFED0\uFED5\uFEF5\uFEF6\uFEDD\uFED9\uFEF1\u25A0\uFFFD` }, ibm864: "cp864", csibm864: "cp864", cp865: { type: "_sbcs", chars: "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xA4\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0" }, ibm865: "cp865", csibm865: "cp865", cp866: { type: "_sbcs", chars: "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0404\u0454\u0407\u0457\u040E\u045E\xB0\u2219\xB7\u221A\u2116\xA4\u25A0\xA0" }, ibm866: "cp866", csibm866: "cp866", cp869: { type: "_sbcs", chars: "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0386\uFFFD\xB7\xAC\xA6\u2018\u2019\u0388\u2015\u0389\u038A\u03AA\u038C\uFFFD\uFFFD\u038E\u03AB\xA9\u038F\xB2\xB3\u03AC\xA3\u03AD\u03AE\u03AF\u03CA\u0390\u03CC\u03CD\u0391\u0392\u0393\u0394\u0395\u0396\u0397\xBD\u0398\u0399\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u039A\u039B\u039C\u039D\u2563\u2551\u2557\u255D\u039E\u039F\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u03A0\u03A1\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03B1\u03B2\u03B3\u2518\u250C\u2588\u2584\u03B4\u03B5\u2580\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C3\u03C2\u03C4\u0384\xAD\xB1\u03C5\u03C6\u03C7\xA7\u03C8\u0385\xB0\xA8\u03C9\u03CB\u03B0\u03CE\u25A0\xA0" }, ibm869: "cp869", csibm869: "cp869", cp922: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\u203E\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0160\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\u017D\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0161\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\u017E\xFF" }, ibm922: "cp922", csibm922: "cp922", cp1046: { type: "_sbcs", chars: "\uFE88\xD7\xF7\uF8F6\uF8F5\uF8F4\uF8F7\uFE71\x88\u25A0\u2502\u2500\u2510\u250C\u2514\u2518\uFE79\uFE7B\uFE7D\uFE7F\uFE77\uFE8A\uFEF0\uFEF3\uFEF2\uFECE\uFECF\uFED0\uFEF6\uFEF8\uFEFA\uFEFC\xA0\uF8FA\uF8F9\uF8F8\xA4\uF8FB\uFE8B\uFE91\uFE97\uFE9B\uFE9F\uFEA3\u060C\xAD\uFEA7\uFEB3\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669\uFEB7\u061B\uFEBB\uFEBF\uFECA\u061F\uFECB\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u0637\uFEC7\u0639\u063A\uFECC\uFE82\uFE84\uFE8E\uFED3\u0640\u0641\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u064B\u064C\u064D\u064E\u064F\u0650\u0651\u0652\uFED7\uFEDB\uFEDF\uF8FC\uFEF5\uFEF7\uFEF9\uFEFB\uFEE3\uFEE7\uFEEC\uFEE9\uFFFD" }, ibm1046: "cp1046", csibm1046: "cp1046", cp1124: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0401\u0402\u0490\u0404\u0405\u0406\u0407\u0408\u0409\u040A\u040B\u040C\xAD\u040E\u040F\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2116\u0451\u0452\u0491\u0454\u0455\u0456\u0457\u0458\u0459\u045A\u045B\u045C\xA7\u045E\u045F" }, ibm1124: "cp1124", csibm1124: "cp1124", cp1125: { type: "_sbcs", chars: "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0490\u0491\u0404\u0454\u0406\u0456\u0407\u0457\xB7\u221A\u2116\xA4\u25A0\xA0" }, ibm1125: "cp1125", csibm1125: "cp1125", cp1129: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\u0153\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u0178\xB5\xB6\xB7\u0152\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF" }, ibm1129: "cp1129", csibm1129: "cp1129", cp1133: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E81\u0E82\u0E84\u0E87\u0E88\u0EAA\u0E8A\u0E8D\u0E94\u0E95\u0E96\u0E97\u0E99\u0E9A\u0E9B\u0E9C\u0E9D\u0E9E\u0E9F\u0EA1\u0EA2\u0EA3\u0EA5\u0EA7\u0EAB\u0EAD\u0EAE\uFFFD\uFFFD\uFFFD\u0EAF\u0EB0\u0EB2\u0EB3\u0EB4\u0EB5\u0EB6\u0EB7\u0EB8\u0EB9\u0EBC\u0EB1\u0EBB\u0EBD\uFFFD\uFFFD\uFFFD\u0EC0\u0EC1\u0EC2\u0EC3\u0EC4\u0EC8\u0EC9\u0ECA\u0ECB\u0ECC\u0ECD\u0EC6\uFFFD\u0EDC\u0EDD\u20AD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0ED0\u0ED1\u0ED2\u0ED3\u0ED4\u0ED5\u0ED6\u0ED7\u0ED8\u0ED9\uFFFD\uFFFD\xA2\xAC\xA6\uFFFD" }, ibm1133: "cp1133", csibm1133: "cp1133", cp1161: { type: "_sbcs", chars: "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0E48\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\u0E49\u0E4A\u0E4B\u20AC\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\xA2\xAC\xA6\xA0" }, ibm1161: "cp1161", csibm1161: "cp1161", cp1162: { type: "_sbcs", chars: "\u20AC\x81\x82\x83\x84\u2026\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD" }, ibm1162: "cp1162", csibm1162: "cp1162", cp1163: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\u20AC\xA5\xA6\xA7\u0153\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u0178\xB5\xB6\xB7\u0152\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF" }, ibm1163: "cp1163", csibm1163: "cp1163", maccroatian: { type: "_sbcs", chars: "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\u0160\u2122\xB4\xA8\u2260\u017D\xD8\u221E\xB1\u2264\u2265\u2206\xB5\u2202\u2211\u220F\u0161\u222B\xAA\xBA\u2126\u017E\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u0106\xAB\u010C\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u0110\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\uFFFD\xA9\u2044\xA4\u2039\u203A\xC6\xBB\u2013\xB7\u201A\u201E\u2030\xC2\u0107\xC1\u010D\xC8\xCD\xCE\xCF\xCC\xD3\xD4\u0111\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u03C0\xCB\u02DA\xB8\xCA\xE6\u02C7" }, maccyrillic: { type: "_sbcs", chars: "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u2020\xB0\xA2\xA3\xA7\u2022\xB6\u0406\xAE\xA9\u2122\u0402\u0452\u2260\u0403\u0453\u221E\xB1\u2264\u2265\u0456\xB5\u2202\u0408\u0404\u0454\u0407\u0457\u0409\u0459\u040A\u045A\u0458\u0405\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\u040B\u045B\u040C\u045C\u0455\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u201E\u040E\u045E\u040F\u045F\u2116\u0401\u0451\u044F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\xA4" }, macgreek: { type: "_sbcs", chars: "\xC4\xB9\xB2\xC9\xB3\xD6\xDC\u0385\xE0\xE2\xE4\u0384\xA8\xE7\xE9\xE8\xEA\xEB\xA3\u2122\xEE\xEF\u2022\xBD\u2030\xF4\xF6\xA6\xAD\xF9\xFB\xFC\u2020\u0393\u0394\u0398\u039B\u039E\u03A0\xDF\xAE\xA9\u03A3\u03AA\xA7\u2260\xB0\u0387\u0391\xB1\u2264\u2265\xA5\u0392\u0395\u0396\u0397\u0399\u039A\u039C\u03A6\u03AB\u03A8\u03A9\u03AC\u039D\xAC\u039F\u03A1\u2248\u03A4\xAB\xBB\u2026\xA0\u03A5\u03A7\u0386\u0388\u0153\u2013\u2015\u201C\u201D\u2018\u2019\xF7\u0389\u038A\u038C\u038E\u03AD\u03AE\u03AF\u03CC\u038F\u03CD\u03B1\u03B2\u03C8\u03B4\u03B5\u03C6\u03B3\u03B7\u03B9\u03BE\u03BA\u03BB\u03BC\u03BD\u03BF\u03C0\u03CE\u03C1\u03C3\u03C4\u03B8\u03C9\u03C2\u03C7\u03C5\u03B6\u03CA\u03CB\u0390\u03B0\uFFFD" }, maciceland: { type: "_sbcs", chars: "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\xDD\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\xD0\xF0\xDE\xFE\xFD\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7" }, macroman: { type: "_sbcs", chars: "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\uFB01\uFB02\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7" }, macromania: { type: "_sbcs", chars: "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\u0102\u015E\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\u0103\u015F\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\u0162\u0163\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7" }, macthai: { type: "_sbcs", chars: "\xAB\xBB\u2026\uF88C\uF88F\uF892\uF895\uF898\uF88B\uF88E\uF891\uF894\uF897\u201C\u201D\uF899\uFFFD\u2022\uF884\uF889\uF885\uF886\uF887\uF888\uF88A\uF88D\uF890\uF893\uF896\u2018\u2019\uFFFD\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFEFF\u200B\u2013\u2014\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u2122\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\xAE\xA9\uFFFD\uFFFD\uFFFD\uFFFD" }, macturkish: { type: "_sbcs", chars: "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u011E\u011F\u0130\u0131\u015E\u015F\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\uFFFD\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7" }, macukraine: { type: "_sbcs", chars: "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u2020\xB0\u0490\xA3\xA7\u2022\xB6\u0406\xAE\xA9\u2122\u0402\u0452\u2260\u0403\u0453\u221E\xB1\u2264\u2265\u0456\xB5\u0491\u0408\u0404\u0454\u0407\u0457\u0409\u0459\u040A\u045A\u0458\u0405\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\u040B\u045B\u040C\u045C\u0455\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u201E\u040E\u045E\u040F\u045F\u2116\u0401\u0451\u044F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\xA4" }, koi8r: { type: "_sbcs", chars: "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u2553\u2554\u2555\u2556\u2557\u2558\u2559\u255A\u255B\u255C\u255D\u255E\u255F\u2560\u2561\u0401\u2562\u2563\u2564\u2565\u2566\u2567\u2568\u2569\u256A\u256B\u256C\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A" }, koi8u: { type: "_sbcs", chars: "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u0454\u2554\u0456\u0457\u2557\u2558\u2559\u255A\u255B\u0491\u255D\u255E\u255F\u2560\u2561\u0401\u0404\u2563\u0406\u0407\u2566\u2567\u2568\u2569\u256A\u0490\u256C\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A" }, koi8ru: { type: "_sbcs", chars: "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u0454\u2554\u0456\u0457\u2557\u2558\u2559\u255A\u255B\u0491\u045E\u255E\u255F\u2560\u2561\u0401\u0404\u2563\u0406\u0407\u2566\u2567\u2568\u2569\u256A\u0490\u040E\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A" }, koi8t: { type: "_sbcs", chars: "\u049B\u0493\u201A\u0492\u201E\u2026\u2020\u2021\uFFFD\u2030\u04B3\u2039\u04B2\u04B7\u04B6\uFFFD\u049A\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u04EF\u04EE\u0451\xA4\u04E3\xA6\xA7\uFFFD\uFFFD\uFFFD\xAB\xAC\xAD\xAE\uFFFD\xB0\xB1\xB2\u0401\uFFFD\u04E2\xB6\xB7\uFFFD\u2116\uFFFD\xBB\uFFFD\uFFFD\uFFFD\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A" }, armscii8: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\u0587\u0589)(\xBB\xAB\u2014.\u055D,-\u058A\u2026\u055C\u055B\u055E\u0531\u0561\u0532\u0562\u0533\u0563\u0534\u0564\u0535\u0565\u0536\u0566\u0537\u0567\u0538\u0568\u0539\u0569\u053A\u056A\u053B\u056B\u053C\u056C\u053D\u056D\u053E\u056E\u053F\u056F\u0540\u0570\u0541\u0571\u0542\u0572\u0543\u0573\u0544\u0574\u0545\u0575\u0546\u0576\u0547\u0577\u0548\u0578\u0549\u0579\u054A\u057A\u054B\u057B\u054C\u057C\u054D\u057D\u054E\u057E\u054F\u057F\u0550\u0580\u0551\u0581\u0552\u0582\u0553\u0583\u0554\u0584\u0555\u0585\u0556\u0586\u055A\uFFFD" }, rk1048: { type: "_sbcs", chars: "\u0402\u0403\u201A\u0453\u201E\u2026\u2020\u2021\u20AC\u2030\u0409\u2039\u040A\u049A\u04BA\u040F\u0452\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0459\u203A\u045A\u049B\u04BB\u045F\xA0\u04B0\u04B1\u04D8\xA4\u04E8\xA6\xA7\u0401\xA9\u0492\xAB\xAC\xAD\xAE\u04AE\xB0\xB1\u0406\u0456\u04E9\xB5\xB6\xB7\u0451\u2116\u0493\xBB\u04D9\u04A2\u04A3\u04AF\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F" }, tcvn: { type: "_sbcs", chars: `\0\xDA\u1EE4\u1EEA\u1EEC\u1EEE\x07\b	
\v\f\r\u1EE8\u1EF0\u1EF2\u1EF6\u1EF8\xDD\u1EF4\x1B !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~\x7F\xC0\u1EA2\xC3\xC1\u1EA0\u1EB6\u1EAC\xC8\u1EBA\u1EBC\xC9\u1EB8\u1EC6\xCC\u1EC8\u0128\xCD\u1ECA\xD2\u1ECE\xD5\xD3\u1ECC\u1ED8\u1EDC\u1EDE\u1EE0\u1EDA\u1EE2\xD9\u1EE6\u0168\xA0\u0102\xC2\xCA\xD4\u01A0\u01AF\u0110\u0103\xE2\xEA\xF4\u01A1\u01B0\u0111\u1EB0\u0300\u0309\u0303\u0301\u0323\xE0\u1EA3\xE3\xE1\u1EA1\u1EB2\u1EB1\u1EB3\u1EB5\u1EAF\u1EB4\u1EAE\u1EA6\u1EA8\u1EAA\u1EA4\u1EC0\u1EB7\u1EA7\u1EA9\u1EAB\u1EA5\u1EAD\xE8\u1EC2\u1EBB\u1EBD\xE9\u1EB9\u1EC1\u1EC3\u1EC5\u1EBF\u1EC7\xEC\u1EC9\u1EC4\u1EBE\u1ED2\u0129\xED\u1ECB\xF2\u1ED4\u1ECF\xF5\xF3\u1ECD\u1ED3\u1ED5\u1ED7\u1ED1\u1ED9\u1EDD\u1EDF\u1EE1\u1EDB\u1EE3\xF9\u1ED6\u1EE7\u0169\xFA\u1EE5\u1EEB\u1EED\u1EEF\u1EE9\u1EF1\u1EF3\u1EF7\u1EF9\xFD\u1EF5\u1ED0` }, georgianacademy: { type: "_sbcs", chars: "\x80\x81\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\x9D\x9E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\u10D0\u10D1\u10D2\u10D3\u10D4\u10D5\u10D6\u10D7\u10D8\u10D9\u10DA\u10DB\u10DC\u10DD\u10DE\u10DF\u10E0\u10E1\u10E2\u10E3\u10E4\u10E5\u10E6\u10E7\u10E8\u10E9\u10EA\u10EB\u10EC\u10ED\u10EE\u10EF\u10F0\u10F1\u10F2\u10F3\u10F4\u10F5\u10F6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF" }, georgianps: { type: "_sbcs", chars: "\x80\x81\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\x9D\x9E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\u10D0\u10D1\u10D2\u10D3\u10D4\u10D5\u10D6\u10F1\u10D7\u10D8\u10D9\u10DA\u10DB\u10DC\u10F2\u10DD\u10DE\u10DF\u10E0\u10E1\u10E2\u10F3\u10E3\u10E4\u10E5\u10E6\u10E7\u10E8\u10E9\u10EA\u10EB\u10EC\u10ED\u10EE\u10F4\u10EF\u10F0\u10F5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF" }, pt154: { type: "_sbcs", chars: "\u0496\u0492\u04EE\u0493\u201E\u2026\u04B6\u04AE\u04B2\u04AF\u04A0\u04E2\u04A2\u049A\u04BA\u04B8\u0497\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u04B3\u04B7\u04A1\u04E3\u04A3\u049B\u04BB\u04B9\xA0\u040E\u045E\u0408\u04E8\u0498\u04B0\xA7\u0401\xA9\u04D8\xAB\xAC\u04EF\xAE\u049C\xB0\u04B1\u0406\u0456\u0499\u04E9\xB6\xB7\u0451\u2116\u04D9\xBB\u0458\u04AA\u04AB\u049D\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F" }, viscii: { type: "_sbcs", chars: `\0\u1EB2\u1EB4\u1EAA\x07\b	
\v\f\r\u1EF6\u1EF8\x1B\u1EF4 !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~\x7F\u1EA0\u1EAE\u1EB0\u1EB6\u1EA4\u1EA6\u1EA8\u1EAC\u1EBC\u1EB8\u1EBE\u1EC0\u1EC2\u1EC4\u1EC6\u1ED0\u1ED2\u1ED4\u1ED6\u1ED8\u1EE2\u1EDA\u1EDC\u1EDE\u1ECA\u1ECE\u1ECC\u1EC8\u1EE6\u0168\u1EE4\u1EF2\xD5\u1EAF\u1EB1\u1EB7\u1EA5\u1EA7\u1EA9\u1EAD\u1EBD\u1EB9\u1EBF\u1EC1\u1EC3\u1EC5\u1EC7\u1ED1\u1ED3\u1ED5\u1ED7\u1EE0\u01A0\u1ED9\u1EDD\u1EDF\u1ECB\u1EF0\u1EE8\u1EEA\u1EEC\u01A1\u1EDB\u01AF\xC0\xC1\xC2\xC3\u1EA2\u0102\u1EB3\u1EB5\xC8\xC9\xCA\u1EBA\xCC\xCD\u0128\u1EF3\u0110\u1EE9\xD2\xD3\xD4\u1EA1\u1EF7\u1EEB\u1EED\xD9\xDA\u1EF9\u1EF5\xDD\u1EE1\u01B0\xE0\xE1\xE2\xE3\u1EA3\u0103\u1EEF\u1EAB\xE8\xE9\xEA\u1EBB\xEC\xED\u0129\u1EC9\u0111\u1EF1\xF2\xF3\xF4\xF5\u1ECF\u1ECD\u1EE5\xF9\xFA\u0169\u1EE7\xFD\u1EE3\u1EEE` }, iso646cn: { type: "_sbcs", chars: `\0\x07\b	
\v\f\r\x1B !"#\xA5%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}\u203E\x7F\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD` }, iso646jp: { type: "_sbcs", chars: `\0\x07\b	
\v\f\r\x1B !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\xA5]^_\`abcdefghijklmnopqrstuvwxyz{|}\u203E\x7F\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD` }, hproman8: { type: "_sbcs", chars: "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xC0\xC2\xC8\xCA\xCB\xCE\xCF\xB4\u02CB\u02C6\xA8\u02DC\xD9\xDB\u20A4\xAF\xDD\xFD\xB0\xC7\xE7\xD1\xF1\xA1\xBF\xA4\xA3\xA5\xA7\u0192\xA2\xE2\xEA\xF4\xFB\xE1\xE9\xF3\xFA\xE0\xE8\xF2\xF9\xE4\xEB\xF6\xFC\xC5\xEE\xD8\xC6\xE5\xED\xF8\xE6\xC4\xEC\xD6\xDC\xC9\xEF\xDF\xD4\xC1\xC3\xE3\xD0\xF0\xCD\xCC\xD3\xD2\xD5\xF5\u0160\u0161\xDA\u0178\xFF\xDE\xFE\xB7\xB5\xB6\xBE\u2014\xBC\xBD\xAA\xBA\xAB\u25A0\xBB\xB1\uFFFD" }, macintosh: { type: "_sbcs", chars: "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\uFB01\uFB02\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7" }, ascii: { type: "_sbcs", chars: "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD" }, tis620: { type: "_sbcs", chars: "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD" } };
    });
    var hK = b((fK) => {
      "use strict";
      var $O = Vi().Buffer;
      fK._dbcs = Ki;
      var Xt = -1, lK = -2, yn = -10, _r = -1e3, Rc = new Array(256), gh = -1;
      for (B0 = 0; B0 < 256; B0++)
        Rc[B0] = Xt;
      var B0;
      function Ki(e3, r2) {
        if (this.encodingName = e3.encodingName, !e3)
          throw new Error("DBCS codec is called without the data.");
        if (!e3.table)
          throw new Error("Encoding '" + this.encodingName + "' has no data.");
        var n2 = e3.table();
        this.decodeTables = [], this.decodeTables[0] = Rc.slice(0), this.decodeTableSeq = [];
        for (var i4 = 0; i4 < n2.length; i4++)
          this._addDecodeChunk(n2[i4]);
        if (typeof e3.gb18030 == "function") {
          this.gb18030 = e3.gb18030();
          var o2 = this.decodeTables.length;
          this.decodeTables.push(Rc.slice(0));
          var a3 = this.decodeTables.length;
          this.decodeTables.push(Rc.slice(0));
          for (var u2 = this.decodeTables[0], i4 = 129; i4 <= 254; i4++)
            for (var c4 = this.decodeTables[_r - u2[i4]], l2 = 48; l2 <= 57; l2++) {
              if (c4[l2] === Xt)
                c4[l2] = _r - o2;
              else if (c4[l2] > _r)
                throw new Error("gb18030 decode tables conflict at byte 2");
              for (var f4 = this.decodeTables[_r - c4[l2]], p2 = 129; p2 <= 254; p2++) {
                if (f4[p2] === Xt)
                  f4[p2] = _r - a3;
                else {
                  if (f4[p2] === _r - a3)
                    continue;
                  if (f4[p2] > _r)
                    throw new Error("gb18030 decode tables conflict at byte 3");
                }
                for (var v2 = this.decodeTables[_r - f4[p2]], g2 = 48; g2 <= 57; g2++)
                  v2[g2] === Xt && (v2[g2] = lK);
              }
            }
        }
        this.defaultCharUnicode = r2.defaultCharUnicode, this.encodeTable = [], this.encodeTableSeq = [];
        var S2 = {};
        if (e3.encodeSkipVals)
          for (var i4 = 0; i4 < e3.encodeSkipVals.length; i4++) {
            var D = e3.encodeSkipVals[i4];
            if (typeof D == "number")
              S2[D] = true;
            else
              for (var l2 = D.from; l2 <= D.to; l2++)
                S2[l2] = true;
          }
        if (this._fillEncodeTable(0, 0, S2), e3.encodeAdd)
          for (var T6 in e3.encodeAdd)
            Object.prototype.hasOwnProperty.call(e3.encodeAdd, T6) && this._setEncodeChar(T6.charCodeAt(0), e3.encodeAdd[T6]);
        this.defCharSB = this.encodeTable[0][r2.defaultCharSingleByte.charCodeAt(0)], this.defCharSB === Xt && (this.defCharSB = this.encodeTable[0]["?"]), this.defCharSB === Xt && (this.defCharSB = "?".charCodeAt(0));
      }
      Ki.prototype.encoder = j0;
      Ki.prototype.decoder = qO;
      Ki.prototype._getDecodeTrieNode = function(e3) {
        for (var r2 = []; e3 > 0; e3 >>>= 8)
          r2.push(e3 & 255);
        r2.length == 0 && r2.push(0);
        for (var n2 = this.decodeTables[0], i4 = r2.length - 1; i4 > 0; i4--) {
          var o2 = n2[r2[i4]];
          if (o2 == Xt)
            n2[r2[i4]] = _r - this.decodeTables.length, this.decodeTables.push(n2 = Rc.slice(0));
          else if (o2 <= _r)
            n2 = this.decodeTables[_r - o2];
          else
            throw new Error("Overwrite byte in " + this.encodingName + ", addr: " + e3.toString(16));
        }
        return n2;
      };
      Ki.prototype._addDecodeChunk = function(e3) {
        var r2 = parseInt(e3[0], 16), n2 = this._getDecodeTrieNode(r2);
        r2 = r2 & 255;
        for (var i4 = 1; i4 < e3.length; i4++) {
          var o2 = e3[i4];
          if (typeof o2 == "string")
            for (var a3 = 0; a3 < o2.length; ) {
              var u2 = o2.charCodeAt(a3++);
              if (55296 <= u2 && u2 < 56320) {
                var c4 = o2.charCodeAt(a3++);
                if (56320 <= c4 && c4 < 57344)
                  n2[r2++] = 65536 + (u2 - 55296) * 1024 + (c4 - 56320);
                else
                  throw new Error("Incorrect surrogate pair in " + this.encodingName + " at chunk " + e3[0]);
              } else if (4080 < u2 && u2 <= 4095) {
                for (var l2 = 4095 - u2 + 2, f4 = [], p2 = 0; p2 < l2; p2++)
                  f4.push(o2.charCodeAt(a3++));
                n2[r2++] = yn - this.decodeTableSeq.length, this.decodeTableSeq.push(f4);
              } else
                n2[r2++] = u2;
            }
          else if (typeof o2 == "number")
            for (var v2 = n2[r2 - 1] + 1, a3 = 0; a3 < o2; a3++)
              n2[r2++] = v2++;
          else
            throw new Error("Incorrect type '" + typeof o2 + "' given in " + this.encodingName + " at chunk " + e3[0]);
        }
        if (r2 > 255)
          throw new Error("Incorrect chunk in " + this.encodingName + " at addr " + e3[0] + ": too long" + r2);
      };
      Ki.prototype._getEncodeBucket = function(e3) {
        var r2 = e3 >> 8;
        return this.encodeTable[r2] === void 0 && (this.encodeTable[r2] = Rc.slice(0)), this.encodeTable[r2];
      };
      Ki.prototype._setEncodeChar = function(e3, r2) {
        var n2 = this._getEncodeBucket(e3), i4 = e3 & 255;
        n2[i4] <= yn ? this.encodeTableSeq[yn - n2[i4]][gh] = r2 : n2[i4] == Xt && (n2[i4] = r2);
      };
      Ki.prototype._setEncodeSequence = function(e3, r2) {
        var n2 = e3[0], i4 = this._getEncodeBucket(n2), o2 = n2 & 255, a3;
        i4[o2] <= yn ? a3 = this.encodeTableSeq[yn - i4[o2]] : (a3 = {}, i4[o2] !== Xt && (a3[gh] = i4[o2]), i4[o2] = yn - this.encodeTableSeq.length, this.encodeTableSeq.push(a3));
        for (var u2 = 1; u2 < e3.length - 1; u2++) {
          var c4 = a3[n2];
          typeof c4 == "object" ? a3 = c4 : (a3 = a3[n2] = {}, c4 !== void 0 && (a3[gh] = c4));
        }
        n2 = e3[e3.length - 1], a3[n2] = r2;
      };
      Ki.prototype._fillEncodeTable = function(e3, r2, n2) {
        for (var i4 = this.decodeTables[e3], o2 = false, a3 = {}, u2 = 0; u2 < 256; u2++) {
          var c4 = i4[u2], l2 = r2 + u2;
          if (!n2[l2])
            if (c4 >= 0)
              this._setEncodeChar(c4, l2), o2 = true;
            else if (c4 <= _r) {
              var f4 = _r - c4;
              if (!a3[f4]) {
                var p2 = l2 << 8 >>> 0;
                this._fillEncodeTable(f4, p2, n2) ? o2 = true : a3[f4] = true;
              }
            } else
              c4 <= yn && (this._setEncodeSequence(this.decodeTableSeq[yn - c4], l2), o2 = true);
        }
        return o2;
      };
      function j0(e3, r2) {
        this.leadSurrogate = -1, this.seqObj = void 0, this.encodeTable = r2.encodeTable, this.encodeTableSeq = r2.encodeTableSeq, this.defaultCharSingleByte = r2.defCharSB, this.gb18030 = r2.gb18030;
      }
      j0.prototype.write = function(e3) {
        for (var r2 = $O.alloc(e3.length * (this.gb18030 ? 4 : 3)), n2 = this.leadSurrogate, i4 = this.seqObj, o2 = -1, a3 = 0, u2 = 0; ; ) {
          if (o2 === -1) {
            if (a3 == e3.length)
              break;
            var c4 = e3.charCodeAt(a3++);
          } else {
            var c4 = o2;
            o2 = -1;
          }
          if (55296 <= c4 && c4 < 57344)
            if (c4 < 56320)
              if (n2 === -1) {
                n2 = c4;
                continue;
              } else
                n2 = c4, c4 = Xt;
            else
              n2 !== -1 ? (c4 = 65536 + (n2 - 55296) * 1024 + (c4 - 56320), n2 = -1) : c4 = Xt;
          else
            n2 !== -1 && (o2 = c4, c4 = Xt, n2 = -1);
          var l2 = Xt;
          if (i4 !== void 0 && c4 != Xt) {
            var f4 = i4[c4];
            if (typeof f4 == "object") {
              i4 = f4;
              continue;
            } else
              typeof f4 == "number" ? l2 = f4 : f4 == null && (f4 = i4[gh], f4 !== void 0 && (l2 = f4, o2 = c4));
            i4 = void 0;
          } else if (c4 >= 0) {
            var p2 = this.encodeTable[c4 >> 8];
            if (p2 !== void 0 && (l2 = p2[c4 & 255]), l2 <= yn) {
              i4 = this.encodeTableSeq[yn - l2];
              continue;
            }
            if (l2 == Xt && this.gb18030) {
              var v2 = BO(this.gb18030.uChars, c4);
              if (v2 != -1) {
                var l2 = this.gb18030.gbChars[v2] + (c4 - this.gb18030.uChars[v2]);
                r2[u2++] = 129 + Math.floor(l2 / 12600), l2 = l2 % 12600, r2[u2++] = 48 + Math.floor(l2 / 1260), l2 = l2 % 1260, r2[u2++] = 129 + Math.floor(l2 / 10), l2 = l2 % 10, r2[u2++] = 48 + l2;
                continue;
              }
            }
          }
          l2 === Xt && (l2 = this.defaultCharSingleByte), l2 < 256 ? r2[u2++] = l2 : l2 < 65536 ? (r2[u2++] = l2 >> 8, r2[u2++] = l2 & 255) : l2 < 16777216 ? (r2[u2++] = l2 >> 16, r2[u2++] = l2 >> 8 & 255, r2[u2++] = l2 & 255) : (r2[u2++] = l2 >>> 24, r2[u2++] = l2 >>> 16 & 255, r2[u2++] = l2 >>> 8 & 255, r2[u2++] = l2 & 255);
        }
        return this.seqObj = i4, this.leadSurrogate = n2, r2.slice(0, u2);
      };
      j0.prototype.end = function() {
        if (!(this.leadSurrogate === -1 && this.seqObj === void 0)) {
          var e3 = $O.alloc(10), r2 = 0;
          if (this.seqObj) {
            var n2 = this.seqObj[gh];
            n2 !== void 0 && (n2 < 256 ? e3[r2++] = n2 : (e3[r2++] = n2 >> 8, e3[r2++] = n2 & 255)), this.seqObj = void 0;
          }
          return this.leadSurrogate !== -1 && (e3[r2++] = this.defaultCharSingleByte, this.leadSurrogate = -1), e3.slice(0, r2);
        }
      };
      j0.prototype.findIdx = BO;
      function qO(e3, r2) {
        this.nodeIdx = 0, this.prevBytes = [], this.decodeTables = r2.decodeTables, this.decodeTableSeq = r2.decodeTableSeq, this.defaultCharUnicode = r2.defaultCharUnicode, this.gb18030 = r2.gb18030;
      }
      qO.prototype.write = function(e3) {
        for (var r2 = $O.alloc(e3.length * 2), n2 = this.nodeIdx, i4 = this.prevBytes, o2 = this.prevBytes.length, a3 = -this.prevBytes.length, u2, c4 = 0, l2 = 0; c4 < e3.length; c4++) {
          var f4 = c4 >= 0 ? e3[c4] : i4[c4 + o2], u2 = this.decodeTables[n2][f4];
          if (!(u2 >= 0))
            if (u2 === Xt)
              u2 = this.defaultCharUnicode.charCodeAt(0), c4 = a3;
            else if (u2 === lK) {
              if (c4 >= 3)
                var p2 = (e3[c4 - 3] - 129) * 12600 + (e3[c4 - 2] - 48) * 1260 + (e3[c4 - 1] - 129) * 10 + (f4 - 48);
              else
                var p2 = (i4[c4 - 3 + o2] - 129) * 12600 + ((c4 - 2 >= 0 ? e3[c4 - 2] : i4[c4 - 2 + o2]) - 48) * 1260 + ((c4 - 1 >= 0 ? e3[c4 - 1] : i4[c4 - 1 + o2]) - 129) * 10 + (f4 - 48);
              var v2 = BO(this.gb18030.gbChars, p2);
              u2 = this.gb18030.uChars[v2] + p2 - this.gb18030.gbChars[v2];
            } else if (u2 <= _r) {
              n2 = _r - u2;
              continue;
            } else if (u2 <= yn) {
              for (var g2 = this.decodeTableSeq[yn - u2], S2 = 0; S2 < g2.length - 1; S2++)
                u2 = g2[S2], r2[l2++] = u2 & 255, r2[l2++] = u2 >> 8;
              u2 = g2[g2.length - 1];
            } else
              throw new Error("iconv-lite internal error: invalid decoding table value " + u2 + " at " + n2 + "/" + f4);
          if (u2 >= 65536) {
            u2 -= 65536;
            var D = 55296 | u2 >> 10;
            r2[l2++] = D & 255, r2[l2++] = D >> 8, u2 = 56320 | u2 & 1023;
          }
          r2[l2++] = u2 & 255, r2[l2++] = u2 >> 8, n2 = 0, a3 = c4 + 1;
        }
        return this.nodeIdx = n2, this.prevBytes = a3 >= 0 ? Array.prototype.slice.call(e3, a3) : i4.slice(a3 + o2).concat(Array.prototype.slice.call(e3)), r2.slice(0, l2).toString("ucs2");
      };
      qO.prototype.end = function() {
        for (var e3 = ""; this.prevBytes.length > 0; ) {
          e3 += this.defaultCharUnicode;
          var r2 = this.prevBytes.slice(1);
          this.prevBytes = [], this.nodeIdx = 0, r2.length > 0 && (e3 += this.write(r2));
        }
        return this.prevBytes = [], this.nodeIdx = 0, e3;
      };
      function BO(e3, r2) {
        if (e3[0] > r2)
          return -1;
        for (var n2 = 0, i4 = e3.length; n2 < i4 - 1; ) {
          var o2 = n2 + (i4 - n2 + 1 >> 1);
          e3[o2] <= r2 ? n2 = o2 : i4 = o2;
        }
        return n2;
      }
    });
    var pK = b((GGe, z8e) => {
      z8e.exports = [["0", "\0", 128], ["a1", "\uFF61", 62], ["8140", "\u3000\u3001\u3002\uFF0C\uFF0E\u30FB\uFF1A\uFF1B\uFF1F\uFF01\u309B\u309C\xB4\uFF40\xA8\uFF3E\uFFE3\uFF3F\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\u2015\u2010\uFF0F\uFF3C\uFF5E\u2225\uFF5C\u2026\u2025\u2018\u2019\u201C\u201D\uFF08\uFF09\u3014\u3015\uFF3B\uFF3D\uFF5B\uFF5D\u3008", 9, "\uFF0B\uFF0D\xB1\xD7"], ["8180", "\xF7\uFF1D\u2260\uFF1C\uFF1E\u2266\u2267\u221E\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFFE5\uFF04\uFFE0\uFFE1\uFF05\uFF03\uFF06\uFF0A\uFF20\xA7\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u203B\u3012\u2192\u2190\u2191\u2193\u3013"], ["81b8", "\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229"], ["81c8", "\u2227\u2228\uFFE2\u21D2\u21D4\u2200\u2203"], ["81da", "\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C"], ["81f0", "\u212B\u2030\u266F\u266D\u266A\u2020\u2021\xB6"], ["81fc", "\u25EF"], ["824f", "\uFF10", 9], ["8260", "\uFF21", 25], ["8281", "\uFF41", 25], ["829f", "\u3041", 82], ["8340", "\u30A1", 62], ["8380", "\u30E0", 22], ["839f", "\u0391", 16, "\u03A3", 6], ["83bf", "\u03B1", 16, "\u03C3", 6], ["8440", "\u0410", 5, "\u0401\u0416", 25], ["8470", "\u0430", 5, "\u0451\u0436", 7], ["8480", "\u043E", 17], ["849f", "\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542"], ["8740", "\u2460", 19, "\u2160", 9], ["875f", "\u3349\u3314\u3322\u334D\u3318\u3327\u3303\u3336\u3351\u3357\u330D\u3326\u3323\u332B\u334A\u333B\u339C\u339D\u339E\u338E\u338F\u33C4\u33A1"], ["877e", "\u337B"], ["8780", "\u301D\u301F\u2116\u33CD\u2121\u32A4", 4, "\u3231\u3232\u3239\u337E\u337D\u337C\u2252\u2261\u222B\u222E\u2211\u221A\u22A5\u2220\u221F\u22BF\u2235\u2229\u222A"], ["889f", "\u4E9C\u5516\u5A03\u963F\u54C0\u611B\u6328\u59F6\u9022\u8475\u831C\u7A50\u60AA\u63E1\u6E25\u65ED\u8466\u82A6\u9BF5\u6893\u5727\u65A1\u6271\u5B9B\u59D0\u867B\u98F4\u7D62\u7DBE\u9B8E\u6216\u7C9F\u88B7\u5B89\u5EB5\u6309\u6697\u6848\u95C7\u978D\u674F\u4EE5\u4F0A\u4F4D\u4F9D\u5049\u56F2\u5937\u59D4\u5A01\u5C09\u60DF\u610F\u6170\u6613\u6905\u70BA\u754F\u7570\u79FB\u7DAD\u7DEF\u80C3\u840E\u8863\u8B02\u9055\u907A\u533B\u4E95\u4EA5\u57DF\u80B2\u90C1\u78EF\u4E00\u58F1\u6EA2\u9038\u7A32\u8328\u828B\u9C2F\u5141\u5370\u54BD\u54E1\u56E0\u59FB\u5F15\u98F2\u6DEB\u80E4\u852D"], ["8940", "\u9662\u9670\u96A0\u97FB\u540B\u53F3\u5B87\u70CF\u7FBD\u8FC2\u96E8\u536F\u9D5C\u7ABA\u4E11\u7893\u81FC\u6E26\u5618\u5504\u6B1D\u851A\u9C3B\u59E5\u53A9\u6D66\u74DC\u958F\u5642\u4E91\u904B\u96F2\u834F\u990C\u53E1\u55B6\u5B30\u5F71\u6620\u66F3\u6804\u6C38\u6CF3\u6D29\u745B\u76C8\u7A4E\u9834\u82F1\u885B\u8A60\u92ED\u6DB2\u75AB\u76CA\u99C5\u60A6\u8B01\u8D8A\u95B2\u698E\u53AD\u5186"], ["8980", "\u5712\u5830\u5944\u5BB4\u5EF6\u6028\u63A9\u63F4\u6CBF\u6F14\u708E\u7114\u7159\u71D5\u733F\u7E01\u8276\u82D1\u8597\u9060\u925B\u9D1B\u5869\u65BC\u6C5A\u7525\u51F9\u592E\u5965\u5F80\u5FDC\u62BC\u65FA\u6A2A\u6B27\u6BB4\u738B\u7FC1\u8956\u9D2C\u9D0E\u9EC4\u5CA1\u6C96\u837B\u5104\u5C4B\u61B6\u81C6\u6876\u7261\u4E59\u4FFA\u5378\u6069\u6E29\u7A4F\u97F3\u4E0B\u5316\u4EEE\u4F55\u4F3D\u4FA1\u4F73\u52A0\u53EF\u5609\u590F\u5AC1\u5BB6\u5BE1\u79D1\u6687\u679C\u67B6\u6B4C\u6CB3\u706B\u73C2\u798D\u79BE\u7A3C\u7B87\u82B1\u82DB\u8304\u8377\u83EF\u83D3\u8766\u8AB2\u5629\u8CA8\u8FE6\u904E\u971E\u868A\u4FC4\u5CE8\u6211\u7259\u753B\u81E5\u82BD\u86FE\u8CC0\u96C5\u9913\u99D5\u4ECB\u4F1A\u89E3\u56DE\u584A\u58CA\u5EFB\u5FEB\u602A\u6094\u6062\u61D0\u6212\u62D0\u6539"], ["8a40", "\u9B41\u6666\u68B0\u6D77\u7070\u754C\u7686\u7D75\u82A5\u87F9\u958B\u968E\u8C9D\u51F1\u52BE\u5916\u54B3\u5BB3\u5D16\u6168\u6982\u6DAF\u788D\u84CB\u8857\u8A72\u93A7\u9AB8\u6D6C\u99A8\u86D9\u57A3\u67FF\u86CE\u920E\u5283\u5687\u5404\u5ED3\u62E1\u64B9\u683C\u6838\u6BBB\u7372\u78BA\u7A6B\u899A\u89D2\u8D6B\u8F03\u90ED\u95A3\u9694\u9769\u5B66\u5CB3\u697D\u984D\u984E\u639B\u7B20\u6A2B"], ["8a80", "\u6A7F\u68B6\u9C0D\u6F5F\u5272\u559D\u6070\u62EC\u6D3B\u6E07\u6ED1\u845B\u8910\u8F44\u4E14\u9C39\u53F6\u691B\u6A3A\u9784\u682A\u515C\u7AC3\u84B2\u91DC\u938C\u565B\u9D28\u6822\u8305\u8431\u7CA5\u5208\u82C5\u74E6\u4E7E\u4F83\u51A0\u5BD2\u520A\u52D8\u52E7\u5DFB\u559A\u582A\u59E6\u5B8C\u5B98\u5BDB\u5E72\u5E79\u60A3\u611F\u6163\u61BE\u63DB\u6562\u67D1\u6853\u68FA\u6B3E\u6B53\u6C57\u6F22\u6F97\u6F45\u74B0\u7518\u76E3\u770B\u7AFF\u7BA1\u7C21\u7DE9\u7F36\u7FF0\u809D\u8266\u839E\u89B3\u8ACC\u8CAB\u9084\u9451\u9593\u9591\u95A2\u9665\u97D3\u9928\u8218\u4E38\u542B\u5CB8\u5DCC\u73A9\u764C\u773C\u5CA9\u7FEB\u8D0B\u96C1\u9811\u9854\u9858\u4F01\u4F0E\u5371\u559C\u5668\u57FA\u5947\u5B09\u5BC4\u5C90\u5E0C\u5E7E\u5FCC\u63EE\u673A\u65D7\u65E2\u671F\u68CB\u68C4"], ["8b40", "\u6A5F\u5E30\u6BC5\u6C17\u6C7D\u757F\u7948\u5B63\u7A00\u7D00\u5FBD\u898F\u8A18\u8CB4\u8D77\u8ECC\u8F1D\u98E2\u9A0E\u9B3C\u4E80\u507D\u5100\u5993\u5B9C\u622F\u6280\u64EC\u6B3A\u72A0\u7591\u7947\u7FA9\u87FB\u8ABC\u8B70\u63AC\u83CA\u97A0\u5409\u5403\u55AB\u6854\u6A58\u8A70\u7827\u6775\u9ECD\u5374\u5BA2\u811A\u8650\u9006\u4E18\u4E45\u4EC7\u4F11\u53CA\u5438\u5BAE\u5F13\u6025\u6551"], ["8b80", "\u673D\u6C42\u6C72\u6CE3\u7078\u7403\u7A76\u7AAE\u7B08\u7D1A\u7CFE\u7D66\u65E7\u725B\u53BB\u5C45\u5DE8\u62D2\u62E0\u6319\u6E20\u865A\u8A31\u8DDD\u92F8\u6F01\u79A6\u9B5A\u4EA8\u4EAB\u4EAC\u4F9B\u4FA0\u50D1\u5147\u7AF6\u5171\u51F6\u5354\u5321\u537F\u53EB\u55AC\u5883\u5CE1\u5F37\u5F4A\u602F\u6050\u606D\u631F\u6559\u6A4B\u6CC1\u72C2\u72ED\u77EF\u80F8\u8105\u8208\u854E\u90F7\u93E1\u97FF\u9957\u9A5A\u4EF0\u51DD\u5C2D\u6681\u696D\u5C40\u66F2\u6975\u7389\u6850\u7C81\u50C5\u52E4\u5747\u5DFE\u9326\u65A4\u6B23\u6B3D\u7434\u7981\u79BD\u7B4B\u7DCA\u82B9\u83CC\u887F\u895F\u8B39\u8FD1\u91D1\u541F\u9280\u4E5D\u5036\u53E5\u533A\u72D7\u7396\u77E9\u82E6\u8EAF\u99C6\u99C8\u99D2\u5177\u611A\u865E\u55B0\u7A7A\u5076\u5BD3\u9047\u9685\u4E32\u6ADB\u91E7\u5C51\u5C48"], ["8c40", "\u6398\u7A9F\u6C93\u9774\u8F61\u7AAA\u718A\u9688\u7C82\u6817\u7E70\u6851\u936C\u52F2\u541B\u85AB\u8A13\u7FA4\u8ECD\u90E1\u5366\u8888\u7941\u4FC2\u50BE\u5211\u5144\u5553\u572D\u73EA\u578B\u5951\u5F62\u5F84\u6075\u6176\u6167\u61A9\u63B2\u643A\u656C\u666F\u6842\u6E13\u7566\u7A3D\u7CFB\u7D4C\u7D99\u7E4B\u7F6B\u830E\u834A\u86CD\u8A08\u8A63\u8B66\u8EFD\u981A\u9D8F\u82B8\u8FCE\u9BE8"], ["8c80", "\u5287\u621F\u6483\u6FC0\u9699\u6841\u5091\u6B20\u6C7A\u6F54\u7A74\u7D50\u8840\u8A23\u6708\u4EF6\u5039\u5026\u5065\u517C\u5238\u5263\u55A7\u570F\u5805\u5ACC\u5EFA\u61B2\u61F8\u62F3\u6372\u691C\u6A29\u727D\u72AC\u732E\u7814\u786F\u7D79\u770C\u80A9\u898B\u8B19\u8CE2\u8ED2\u9063\u9375\u967A\u9855\u9A13\u9E78\u5143\u539F\u53B3\u5E7B\u5F26\u6E1B\u6E90\u7384\u73FE\u7D43\u8237\u8A00\u8AFA\u9650\u4E4E\u500B\u53E4\u547C\u56FA\u59D1\u5B64\u5DF1\u5EAB\u5F27\u6238\u6545\u67AF\u6E56\u72D0\u7CCA\u88B4\u80A1\u80E1\u83F0\u864E\u8A87\u8DE8\u9237\u96C7\u9867\u9F13\u4E94\u4E92\u4F0D\u5348\u5449\u543E\u5A2F\u5F8C\u5FA1\u609F\u68A7\u6A8E\u745A\u7881\u8A9E\u8AA4\u8B77\u9190\u4E5E\u9BC9\u4EA4\u4F7C\u4FAF\u5019\u5016\u5149\u516C\u529F\u52B9\u52FE\u539A\u53E3\u5411"], ["8d40", "\u540E\u5589\u5751\u57A2\u597D\u5B54\u5B5D\u5B8F\u5DE5\u5DE7\u5DF7\u5E78\u5E83\u5E9A\u5EB7\u5F18\u6052\u614C\u6297\u62D8\u63A7\u653B\u6602\u6643\u66F4\u676D\u6821\u6897\u69CB\u6C5F\u6D2A\u6D69\u6E2F\u6E9D\u7532\u7687\u786C\u7A3F\u7CE0\u7D05\u7D18\u7D5E\u7DB1\u8015\u8003\u80AF\u80B1\u8154\u818F\u822A\u8352\u884C\u8861\u8B1B\u8CA2\u8CFC\u90CA\u9175\u9271\u783F\u92FC\u95A4\u964D"], ["8d80", "\u9805\u9999\u9AD8\u9D3B\u525B\u52AB\u53F7\u5408\u58D5\u62F7\u6FE0\u8C6A\u8F5F\u9EB9\u514B\u523B\u544A\u56FD\u7A40\u9177\u9D60\u9ED2\u7344\u6F09\u8170\u7511\u5FFD\u60DA\u9AA8\u72DB\u8FBC\u6B64\u9803\u4ECA\u56F0\u5764\u58BE\u5A5A\u6068\u61C7\u660F\u6606\u6839\u68B1\u6DF7\u75D5\u7D3A\u826E\u9B42\u4E9B\u4F50\u53C9\u5506\u5D6F\u5DE6\u5DEE\u67FB\u6C99\u7473\u7802\u8A50\u9396\u88DF\u5750\u5EA7\u632B\u50B5\u50AC\u518D\u6700\u54C9\u585E\u59BB\u5BB0\u5F69\u624D\u63A1\u683D\u6B73\u6E08\u707D\u91C7\u7280\u7815\u7826\u796D\u658E\u7D30\u83DC\u88C1\u8F09\u969B\u5264\u5728\u6750\u7F6A\u8CA1\u51B4\u5742\u962A\u583A\u698A\u80B4\u54B2\u5D0E\u57FC\u7895\u9DFA\u4F5C\u524A\u548B\u643E\u6628\u6714\u67F5\u7A84\u7B56\u7D22\u932F\u685C\u9BAD\u7B39\u5319\u518A\u5237"], ["8e40", "\u5BDF\u62F6\u64AE\u64E6\u672D\u6BBA\u85A9\u96D1\u7690\u9BD6\u634C\u9306\u9BAB\u76BF\u6652\u4E09\u5098\u53C2\u5C71\u60E8\u6492\u6563\u685F\u71E6\u73CA\u7523\u7B97\u7E82\u8695\u8B83\u8CDB\u9178\u9910\u65AC\u66AB\u6B8B\u4ED5\u4ED4\u4F3A\u4F7F\u523A\u53F8\u53F2\u55E3\u56DB\u58EB\u59CB\u59C9\u59FF\u5B50\u5C4D\u5E02\u5E2B\u5FD7\u601D\u6307\u652F\u5B5C\u65AF\u65BD\u65E8\u679D\u6B62"], ["8e80", "\u6B7B\u6C0F\u7345\u7949\u79C1\u7CF8\u7D19\u7D2B\u80A2\u8102\u81F3\u8996\u8A5E\u8A69\u8A66\u8A8C\u8AEE\u8CC7\u8CDC\u96CC\u98FC\u6B6F\u4E8B\u4F3C\u4F8D\u5150\u5B57\u5BFA\u6148\u6301\u6642\u6B21\u6ECB\u6CBB\u723E\u74BD\u75D4\u78C1\u793A\u800C\u8033\u81EA\u8494\u8F9E\u6C50\u9E7F\u5F0F\u8B58\u9D2B\u7AFA\u8EF8\u5B8D\u96EB\u4E03\u53F1\u57F7\u5931\u5AC9\u5BA4\u6089\u6E7F\u6F06\u75BE\u8CEA\u5B9F\u8500\u7BE0\u5072\u67F4\u829D\u5C61\u854A\u7E1E\u820E\u5199\u5C04\u6368\u8D66\u659C\u716E\u793E\u7D17\u8005\u8B1D\u8ECA\u906E\u86C7\u90AA\u501F\u52FA\u5C3A\u6753\u707C\u7235\u914C\u91C8\u932B\u82E5\u5BC2\u5F31\u60F9\u4E3B\u53D6\u5B88\u624B\u6731\u6B8A\u72E9\u73E0\u7A2E\u816B\u8DA3\u9152\u9996\u5112\u53D7\u546A\u5BFF\u6388\u6A39\u7DAC\u9700\u56DA\u53CE\u5468"], ["8f40", "\u5B97\u5C31\u5DDE\u4FEE\u6101\u62FE\u6D32\u79C0\u79CB\u7D42\u7E4D\u7FD2\u81ED\u821F\u8490\u8846\u8972\u8B90\u8E74\u8F2F\u9031\u914B\u916C\u96C6\u919C\u4EC0\u4F4F\u5145\u5341\u5F93\u620E\u67D4\u6C41\u6E0B\u7363\u7E26\u91CD\u9283\u53D4\u5919\u5BBF\u6DD1\u795D\u7E2E\u7C9B\u587E\u719F\u51FA\u8853\u8FF0\u4FCA\u5CFB\u6625\u77AC\u7AE3\u821C\u99FF\u51C6\u5FAA\u65EC\u696F\u6B89\u6DF3"], ["8f80", "\u6E96\u6F64\u76FE\u7D14\u5DE1\u9075\u9187\u9806\u51E6\u521D\u6240\u6691\u66D9\u6E1A\u5EB6\u7DD2\u7F72\u66F8\u85AF\u85F7\u8AF8\u52A9\u53D9\u5973\u5E8F\u5F90\u6055\u92E4\u9664\u50B7\u511F\u52DD\u5320\u5347\u53EC\u54E8\u5546\u5531\u5617\u5968\u59BE\u5A3C\u5BB5\u5C06\u5C0F\u5C11\u5C1A\u5E84\u5E8A\u5EE0\u5F70\u627F\u6284\u62DB\u638C\u6377\u6607\u660C\u662D\u6676\u677E\u68A2\u6A1F\u6A35\u6CBC\u6D88\u6E09\u6E58\u713C\u7126\u7167\u75C7\u7701\u785D\u7901\u7965\u79F0\u7AE0\u7B11\u7CA7\u7D39\u8096\u83D6\u848B\u8549\u885D\u88F3\u8A1F\u8A3C\u8A54\u8A73\u8C61\u8CDE\u91A4\u9266\u937E\u9418\u969C\u9798\u4E0A\u4E08\u4E1E\u4E57\u5197\u5270\u57CE\u5834\u58CC\u5B22\u5E38\u60C5\u64FE\u6761\u6756\u6D44\u72B6\u7573\u7A63\u84B8\u8B72\u91B8\u9320\u5631\u57F4\u98FE"], ["9040", "\u62ED\u690D\u6B96\u71ED\u7E54\u8077\u8272\u89E6\u98DF\u8755\u8FB1\u5C3B\u4F38\u4FE1\u4FB5\u5507\u5A20\u5BDD\u5BE9\u5FC3\u614E\u632F\u65B0\u664B\u68EE\u699B\u6D78\u6DF1\u7533\u75B9\u771F\u795E\u79E6\u7D33\u81E3\u82AF\u85AA\u89AA\u8A3A\u8EAB\u8F9B\u9032\u91DD\u9707\u4EBA\u4EC1\u5203\u5875\u58EC\u5C0B\u751A\u5C3D\u814E\u8A0A\u8FC5\u9663\u976D\u7B25\u8ACF\u9808\u9162\u56F3\u53A8"], ["9080", "\u9017\u5439\u5782\u5E25\u63A8\u6C34\u708A\u7761\u7C8B\u7FE0\u8870\u9042\u9154\u9310\u9318\u968F\u745E\u9AC4\u5D07\u5D69\u6570\u67A2\u8DA8\u96DB\u636E\u6749\u6919\u83C5\u9817\u96C0\u88FE\u6F84\u647A\u5BF8\u4E16\u702C\u755D\u662F\u51C4\u5236\u52E2\u59D3\u5F81\u6027\u6210\u653F\u6574\u661F\u6674\u68F2\u6816\u6B63\u6E05\u7272\u751F\u76DB\u7CBE\u8056\u58F0\u88FD\u897F\u8AA0\u8A93\u8ACB\u901D\u9192\u9752\u9759\u6589\u7A0E\u8106\u96BB\u5E2D\u60DC\u621A\u65A5\u6614\u6790\u77F3\u7A4D\u7C4D\u7E3E\u810A\u8CAC\u8D64\u8DE1\u8E5F\u78A9\u5207\u62D9\u63A5\u6442\u6298\u8A2D\u7A83\u7BC0\u8AAC\u96EA\u7D76\u820C\u8749\u4ED9\u5148\u5343\u5360\u5BA3\u5C02\u5C16\u5DDD\u6226\u6247\u64B0\u6813\u6834\u6CC9\u6D45\u6D17\u67D3\u6F5C\u714E\u717D\u65CB\u7A7F\u7BAD\u7DDA"], ["9140", "\u7E4A\u7FA8\u817A\u821B\u8239\u85A6\u8A6E\u8CCE\u8DF5\u9078\u9077\u92AD\u9291\u9583\u9BAE\u524D\u5584\u6F38\u7136\u5168\u7985\u7E55\u81B3\u7CCE\u564C\u5851\u5CA8\u63AA\u66FE\u66FD\u695A\u72D9\u758F\u758E\u790E\u7956\u79DF\u7C97\u7D20\u7D44\u8607\u8A34\u963B\u9061\u9F20\u50E7\u5275\u53CC\u53E2\u5009\u55AA\u58EE\u594F\u723D\u5B8B\u5C64\u531D\u60E3\u60F3\u635C\u6383\u633F\u63BB"], ["9180", "\u64CD\u65E9\u66F9\u5DE3\u69CD\u69FD\u6F15\u71E5\u4E89\u75E9\u76F8\u7A93\u7CDF\u7DCF\u7D9C\u8061\u8349\u8358\u846C\u84BC\u85FB\u88C5\u8D70\u9001\u906D\u9397\u971C\u9A12\u50CF\u5897\u618E\u81D3\u8535\u8D08\u9020\u4FC3\u5074\u5247\u5373\u606F\u6349\u675F\u6E2C\u8DB3\u901F\u4FD7\u5C5E\u8CCA\u65CF\u7D9A\u5352\u8896\u5176\u63C3\u5B58\u5B6B\u5C0A\u640D\u6751\u905C\u4ED6\u591A\u592A\u6C70\u8A51\u553E\u5815\u59A5\u60F0\u6253\u67C1\u8235\u6955\u9640\u99C4\u9A28\u4F53\u5806\u5BFE\u8010\u5CB1\u5E2F\u5F85\u6020\u614B\u6234\u66FF\u6CF0\u6EDE\u80CE\u817F\u82D4\u888B\u8CB8\u9000\u902E\u968A\u9EDB\u9BDB\u4EE3\u53F0\u5927\u7B2C\u918D\u984C\u9DF9\u6EDD\u7027\u5353\u5544\u5B85\u6258\u629E\u62D3\u6CA2\u6FEF\u7422\u8A17\u9438\u6FC1\u8AFE\u8338\u51E7\u86F8\u53EA"], ["9240", "\u53E9\u4F46\u9054\u8FB0\u596A\u8131\u5DFD\u7AEA\u8FBF\u68DA\u8C37\u72F8\u9C48\u6A3D\u8AB0\u4E39\u5358\u5606\u5766\u62C5\u63A2\u65E6\u6B4E\u6DE1\u6E5B\u70AD\u77ED\u7AEF\u7BAA\u7DBB\u803D\u80C6\u86CB\u8A95\u935B\u56E3\u58C7\u5F3E\u65AD\u6696\u6A80\u6BB5\u7537\u8AC7\u5024\u77E5\u5730\u5F1B\u6065\u667A\u6C60\u75F4\u7A1A\u7F6E\u81F4\u8718\u9045\u99B3\u7BC9\u755C\u7AF9\u7B51\u84C4"], ["9280", "\u9010\u79E9\u7A92\u8336\u5AE1\u7740\u4E2D\u4EF2\u5B99\u5FE0\u62BD\u663C\u67F1\u6CE8\u866B\u8877\u8A3B\u914E\u92F3\u99D0\u6A17\u7026\u732A\u82E7\u8457\u8CAF\u4E01\u5146\u51CB\u558B\u5BF5\u5E16\u5E33\u5E81\u5F14\u5F35\u5F6B\u5FB4\u61F2\u6311\u66A2\u671D\u6F6E\u7252\u753A\u773A\u8074\u8139\u8178\u8776\u8ABF\u8ADC\u8D85\u8DF3\u929A\u9577\u9802\u9CE5\u52C5\u6357\u76F4\u6715\u6C88\u73CD\u8CC3\u93AE\u9673\u6D25\u589C\u690E\u69CC\u8FFD\u939A\u75DB\u901A\u585A\u6802\u63B4\u69FB\u4F43\u6F2C\u67D8\u8FBB\u8526\u7DB4\u9354\u693F\u6F70\u576A\u58F7\u5B2C\u7D2C\u722A\u540A\u91E3\u9DB4\u4EAD\u4F4E\u505C\u5075\u5243\u8C9E\u5448\u5824\u5B9A\u5E1D\u5E95\u5EAD\u5EF7\u5F1F\u608C\u62B5\u633A\u63D0\u68AF\u6C40\u7887\u798E\u7A0B\u7DE0\u8247\u8A02\u8AE6\u8E44\u9013"], ["9340", "\u90B8\u912D\u91D8\u9F0E\u6CE5\u6458\u64E2\u6575\u6EF4\u7684\u7B1B\u9069\u93D1\u6EBA\u54F2\u5FB9\u64A4\u8F4D\u8FED\u9244\u5178\u586B\u5929\u5C55\u5E97\u6DFB\u7E8F\u751C\u8CBC\u8EE2\u985B\u70B9\u4F1D\u6BBF\u6FB1\u7530\u96FB\u514E\u5410\u5835\u5857\u59AC\u5C60\u5F92\u6597\u675C\u6E21\u767B\u83DF\u8CED\u9014\u90FD\u934D\u7825\u783A\u52AA\u5EA6\u571F\u5974\u6012\u5012\u515A\u51AC"], ["9380", "\u51CD\u5200\u5510\u5854\u5858\u5957\u5B95\u5CF6\u5D8B\u60BC\u6295\u642D\u6771\u6843\u68BC\u68DF\u76D7\u6DD8\u6E6F\u6D9B\u706F\u71C8\u5F53\u75D8\u7977\u7B49\u7B54\u7B52\u7CD6\u7D71\u5230\u8463\u8569\u85E4\u8A0E\u8B04\u8C46\u8E0F\u9003\u900F\u9419\u9676\u982D\u9A30\u95D8\u50CD\u52D5\u540C\u5802\u5C0E\u61A7\u649E\u6D1E\u77B3\u7AE5\u80F4\u8404\u9053\u9285\u5CE0\u9D07\u533F\u5F97\u5FB3\u6D9C\u7279\u7763\u79BF\u7BE4\u6BD2\u72EC\u8AAD\u6803\u6A61\u51F8\u7A81\u6934\u5C4A\u9CF6\u82EB\u5BC5\u9149\u701E\u5678\u5C6F\u60C7\u6566\u6C8C\u8C5A\u9041\u9813\u5451\u66C7\u920D\u5948\u90A3\u5185\u4E4D\u51EA\u8599\u8B0E\u7058\u637A\u934B\u6962\u99B4\u7E04\u7577\u5357\u6960\u8EDF\u96E3\u6C5D\u4E8C\u5C3C\u5F10\u8FE9\u5302\u8CD1\u8089\u8679\u5EFF\u65E5\u4E73\u5165"], ["9440", "\u5982\u5C3F\u97EE\u4EFB\u598A\u5FCD\u8A8D\u6FE1\u79B0\u7962\u5BE7\u8471\u732B\u71B1\u5E74\u5FF5\u637B\u649A\u71C3\u7C98\u4E43\u5EFC\u4E4B\u57DC\u56A2\u60A9\u6FC3\u7D0D\u80FD\u8133\u81BF\u8FB2\u8997\u86A4\u5DF4\u628A\u64AD\u8987\u6777\u6CE2\u6D3E\u7436\u7834\u5A46\u7F75\u82AD\u99AC\u4FF3\u5EC3\u62DD\u6392\u6557\u676F\u76C3\u724C\u80CC\u80BA\u8F29\u914D\u500D\u57F9\u5A92\u6885"], ["9480", "\u6973\u7164\u72FD\u8CB7\u58F2\u8CE0\u966A\u9019\u877F\u79E4\u77E7\u8429\u4F2F\u5265\u535A\u62CD\u67CF\u6CCA\u767D\u7B94\u7C95\u8236\u8584\u8FEB\u66DD\u6F20\u7206\u7E1B\u83AB\u99C1\u9EA6\u51FD\u7BB1\u7872\u7BB8\u8087\u7B48\u6AE8\u5E61\u808C\u7551\u7560\u516B\u9262\u6E8C\u767A\u9197\u9AEA\u4F10\u7F70\u629C\u7B4F\u95A5\u9CE9\u567A\u5859\u86E4\u96BC\u4F34\u5224\u534A\u53CD\u53DB\u5E06\u642C\u6591\u677F\u6C3E\u6C4E\u7248\u72AF\u73ED\u7554\u7E41\u822C\u85E9\u8CA9\u7BC4\u91C6\u7169\u9812\u98EF\u633D\u6669\u756A\u76E4\u78D0\u8543\u86EE\u532A\u5351\u5426\u5983\u5E87\u5F7C\u60B2\u6249\u6279\u62AB\u6590\u6BD4\u6CCC\u75B2\u76AE\u7891\u79D8\u7DCB\u7F77\u80A5\u88AB\u8AB9\u8CBB\u907F\u975E\u98DB\u6A0B\u7C38\u5099\u5C3E\u5FAE\u6787\u6BD8\u7435\u7709\u7F8E"], ["9540", "\u9F3B\u67CA\u7A17\u5339\u758B\u9AED\u5F66\u819D\u83F1\u8098\u5F3C\u5FC5\u7562\u7B46\u903C\u6867\u59EB\u5A9B\u7D10\u767E\u8B2C\u4FF5\u5F6A\u6A19\u6C37\u6F02\u74E2\u7968\u8868\u8A55\u8C79\u5EDF\u63CF\u75C5\u79D2\u82D7\u9328\u92F2\u849C\u86ED\u9C2D\u54C1\u5F6C\u658C\u6D5C\u7015\u8CA7\u8CD3\u983B\u654F\u74F6\u4E0D\u4ED8\u57E0\u592B\u5A66\u5BCC\u51A8\u5E03\u5E9C\u6016\u6276\u6577"], ["9580", "\u65A7\u666E\u6D6E\u7236\u7B26\u8150\u819A\u8299\u8B5C\u8CA0\u8CE6\u8D74\u961C\u9644\u4FAE\u64AB\u6B66\u821E\u8461\u856A\u90E8\u5C01\u6953\u98A8\u847A\u8557\u4F0F\u526F\u5FA9\u5E45\u670D\u798F\u8179\u8907\u8986\u6DF5\u5F17\u6255\u6CB8\u4ECF\u7269\u9B92\u5206\u543B\u5674\u58B3\u61A4\u626E\u711A\u596E\u7C89\u7CDE\u7D1B\u96F0\u6587\u805E\u4E19\u4F75\u5175\u5840\u5E63\u5E73\u5F0A\u67C4\u4E26\u853D\u9589\u965B\u7C73\u9801\u50FB\u58C1\u7656\u78A7\u5225\u77A5\u8511\u7B86\u504F\u5909\u7247\u7BC7\u7DE8\u8FBA\u8FD4\u904D\u4FBF\u52C9\u5A29\u5F01\u97AD\u4FDD\u8217\u92EA\u5703\u6355\u6B69\u752B\u88DC\u8F14\u7A42\u52DF\u5893\u6155\u620A\u66AE\u6BCD\u7C3F\u83E9\u5023\u4FF8\u5305\u5446\u5831\u5949\u5B9D\u5CF0\u5CEF\u5D29\u5E96\u62B1\u6367\u653E\u65B9\u670B"], ["9640", "\u6CD5\u6CE1\u70F9\u7832\u7E2B\u80DE\u82B3\u840C\u84EC\u8702\u8912\u8A2A\u8C4A\u90A6\u92D2\u98FD\u9CF3\u9D6C\u4E4F\u4EA1\u508D\u5256\u574A\u59A8\u5E3D\u5FD8\u5FD9\u623F\u66B4\u671B\u67D0\u68D2\u5192\u7D21\u80AA\u81A8\u8B00\u8C8C\u8CBF\u927E\u9632\u5420\u982C\u5317\u50D5\u535C\u58A8\u64B2\u6734\u7267\u7766\u7A46\u91E6\u52C3\u6CA1\u6B86\u5800\u5E4C\u5954\u672C\u7FFB\u51E1\u76C6"], ["9680", "\u6469\u78E8\u9B54\u9EBB\u57CB\u59B9\u6627\u679A\u6BCE\u54E9\u69D9\u5E55\u819C\u6795\u9BAA\u67FE\u9C52\u685D\u4EA6\u4FE3\u53C8\u62B9\u672B\u6CAB\u8FC4\u4FAD\u7E6D\u9EBF\u4E07\u6162\u6E80\u6F2B\u8513\u5473\u672A\u9B45\u5DF3\u7B95\u5CAC\u5BC6\u871C\u6E4A\u84D1\u7A14\u8108\u5999\u7C8D\u6C11\u7720\u52D9\u5922\u7121\u725F\u77DB\u9727\u9D61\u690B\u5A7F\u5A18\u51A5\u540D\u547D\u660E\u76DF\u8FF7\u9298\u9CF4\u59EA\u725D\u6EC5\u514D\u68C9\u7DBF\u7DEC\u9762\u9EBA\u6478\u6A21\u8302\u5984\u5B5F\u6BDB\u731B\u76F2\u7DB2\u8017\u8499\u5132\u6728\u9ED9\u76EE\u6762\u52FF\u9905\u5C24\u623B\u7C7E\u8CB0\u554F\u60B6\u7D0B\u9580\u5301\u4E5F\u51B6\u591C\u723A\u8036\u91CE\u5F25\u77E2\u5384\u5F79\u7D04\u85AC\u8A33\u8E8D\u9756\u67F3\u85AE\u9453\u6109\u6108\u6CB9\u7652"], ["9740", "\u8AED\u8F38\u552F\u4F51\u512A\u52C7\u53CB\u5BA5\u5E7D\u60A0\u6182\u63D6\u6709\u67DA\u6E67\u6D8C\u7336\u7337\u7531\u7950\u88D5\u8A98\u904A\u9091\u90F5\u96C4\u878D\u5915\u4E88\u4F59\u4E0E\u8A89\u8F3F\u9810\u50AD\u5E7C\u5996\u5BB9\u5EB8\u63DA\u63FA\u64C1\u66DC\u694A\u69D8\u6D0B\u6EB6\u7194\u7528\u7AAF\u7F8A\u8000\u8449\u84C9\u8981\u8B21\u8E0A\u9065\u967D\u990A\u617E\u6291\u6B32"], ["9780", "\u6C83\u6D74\u7FCC\u7FFC\u6DC0\u7F85\u87BA\u88F8\u6765\u83B1\u983C\u96F7\u6D1B\u7D61\u843D\u916A\u4E71\u5375\u5D50\u6B04\u6FEB\u85CD\u862D\u89A7\u5229\u540F\u5C65\u674E\u68A8\u7406\u7483\u75E2\u88CF\u88E1\u91CC\u96E2\u9678\u5F8B\u7387\u7ACB\u844E\u63A0\u7565\u5289\u6D41\u6E9C\u7409\u7559\u786B\u7C92\u9686\u7ADC\u9F8D\u4FB6\u616E\u65C5\u865C\u4E86\u4EAE\u50DA\u4E21\u51CC\u5BEE\u6599\u6881\u6DBC\u731F\u7642\u77AD\u7A1C\u7CE7\u826F\u8AD2\u907C\u91CF\u9675\u9818\u529B\u7DD1\u502B\u5398\u6797\u6DCB\u71D0\u7433\u81E8\u8F2A\u96A3\u9C57\u9E9F\u7460\u5841\u6D99\u7D2F\u985E\u4EE4\u4F36\u4F8B\u51B7\u52B1\u5DBA\u601C\u73B2\u793C\u82D3\u9234\u96B7\u96F6\u970A\u9E97\u9F62\u66A6\u6B74\u5217\u52A3\u70C8\u88C2\u5EC9\u604B\u6190\u6F23\u7149\u7C3E\u7DF4\u806F"], ["9840", "\u84EE\u9023\u932C\u5442\u9B6F\u6AD3\u7089\u8CC2\u8DEF\u9732\u52B4\u5A41\u5ECA\u5F04\u6717\u697C\u6994\u6D6A\u6F0F\u7262\u72FC\u7BED\u8001\u807E\u874B\u90CE\u516D\u9E93\u7984\u808B\u9332\u8AD6\u502D\u548C\u8A71\u6B6A\u8CC4\u8107\u60D1\u67A0\u9DF2\u4E99\u4E98\u9C10\u8A6B\u85C1\u8568\u6900\u6E7E\u7897\u8155"], ["989f", "\u5F0C\u4E10\u4E15\u4E2A\u4E31\u4E36\u4E3C\u4E3F\u4E42\u4E56\u4E58\u4E82\u4E85\u8C6B\u4E8A\u8212\u5F0D\u4E8E\u4E9E\u4E9F\u4EA0\u4EA2\u4EB0\u4EB3\u4EB6\u4ECE\u4ECD\u4EC4\u4EC6\u4EC2\u4ED7\u4EDE\u4EED\u4EDF\u4EF7\u4F09\u4F5A\u4F30\u4F5B\u4F5D\u4F57\u4F47\u4F76\u4F88\u4F8F\u4F98\u4F7B\u4F69\u4F70\u4F91\u4F6F\u4F86\u4F96\u5118\u4FD4\u4FDF\u4FCE\u4FD8\u4FDB\u4FD1\u4FDA\u4FD0\u4FE4\u4FE5\u501A\u5028\u5014\u502A\u5025\u5005\u4F1C\u4FF6\u5021\u5029\u502C\u4FFE\u4FEF\u5011\u5006\u5043\u5047\u6703\u5055\u5050\u5048\u505A\u5056\u506C\u5078\u5080\u509A\u5085\u50B4\u50B2"], ["9940", "\u50C9\u50CA\u50B3\u50C2\u50D6\u50DE\u50E5\u50ED\u50E3\u50EE\u50F9\u50F5\u5109\u5101\u5102\u5116\u5115\u5114\u511A\u5121\u513A\u5137\u513C\u513B\u513F\u5140\u5152\u514C\u5154\u5162\u7AF8\u5169\u516A\u516E\u5180\u5182\u56D8\u518C\u5189\u518F\u5191\u5193\u5195\u5196\u51A4\u51A6\u51A2\u51A9\u51AA\u51AB\u51B3\u51B1\u51B2\u51B0\u51B5\u51BD\u51C5\u51C9\u51DB\u51E0\u8655\u51E9\u51ED"], ["9980", "\u51F0\u51F5\u51FE\u5204\u520B\u5214\u520E\u5227\u522A\u522E\u5233\u5239\u524F\u5244\u524B\u524C\u525E\u5254\u526A\u5274\u5269\u5273\u527F\u527D\u528D\u5294\u5292\u5271\u5288\u5291\u8FA8\u8FA7\u52AC\u52AD\u52BC\u52B5\u52C1\u52CD\u52D7\u52DE\u52E3\u52E6\u98ED\u52E0\u52F3\u52F5\u52F8\u52F9\u5306\u5308\u7538\u530D\u5310\u530F\u5315\u531A\u5323\u532F\u5331\u5333\u5338\u5340\u5346\u5345\u4E17\u5349\u534D\u51D6\u535E\u5369\u536E\u5918\u537B\u5377\u5382\u5396\u53A0\u53A6\u53A5\u53AE\u53B0\u53B6\u53C3\u7C12\u96D9\u53DF\u66FC\u71EE\u53EE\u53E8\u53ED\u53FA\u5401\u543D\u5440\u542C\u542D\u543C\u542E\u5436\u5429\u541D\u544E\u548F\u5475\u548E\u545F\u5471\u5477\u5470\u5492\u547B\u5480\u5476\u5484\u5490\u5486\u54C7\u54A2\u54B8\u54A5\u54AC\u54C4\u54C8\u54A8"], ["9a40", "\u54AB\u54C2\u54A4\u54BE\u54BC\u54D8\u54E5\u54E6\u550F\u5514\u54FD\u54EE\u54ED\u54FA\u54E2\u5539\u5540\u5563\u554C\u552E\u555C\u5545\u5556\u5557\u5538\u5533\u555D\u5599\u5580\u54AF\u558A\u559F\u557B\u557E\u5598\u559E\u55AE\u557C\u5583\u55A9\u5587\u55A8\u55DA\u55C5\u55DF\u55C4\u55DC\u55E4\u55D4\u5614\u55F7\u5616\u55FE\u55FD\u561B\u55F9\u564E\u5650\u71DF\u5634\u5636\u5632\u5638"], ["9a80", "\u566B\u5664\u562F\u566C\u566A\u5686\u5680\u568A\u56A0\u5694\u568F\u56A5\u56AE\u56B6\u56B4\u56C2\u56BC\u56C1\u56C3\u56C0\u56C8\u56CE\u56D1\u56D3\u56D7\u56EE\u56F9\u5700\u56FF\u5704\u5709\u5708\u570B\u570D\u5713\u5718\u5716\u55C7\u571C\u5726\u5737\u5738\u574E\u573B\u5740\u574F\u5769\u57C0\u5788\u5761\u577F\u5789\u5793\u57A0\u57B3\u57A4\u57AA\u57B0\u57C3\u57C6\u57D4\u57D2\u57D3\u580A\u57D6\u57E3\u580B\u5819\u581D\u5872\u5821\u5862\u584B\u5870\u6BC0\u5852\u583D\u5879\u5885\u58B9\u589F\u58AB\u58BA\u58DE\u58BB\u58B8\u58AE\u58C5\u58D3\u58D1\u58D7\u58D9\u58D8\u58E5\u58DC\u58E4\u58DF\u58EF\u58FA\u58F9\u58FB\u58FC\u58FD\u5902\u590A\u5910\u591B\u68A6\u5925\u592C\u592D\u5932\u5938\u593E\u7AD2\u5955\u5950\u594E\u595A\u5958\u5962\u5960\u5967\u596C\u5969"], ["9b40", "\u5978\u5981\u599D\u4F5E\u4FAB\u59A3\u59B2\u59C6\u59E8\u59DC\u598D\u59D9\u59DA\u5A25\u5A1F\u5A11\u5A1C\u5A09\u5A1A\u5A40\u5A6C\u5A49\u5A35\u5A36\u5A62\u5A6A\u5A9A\u5ABC\u5ABE\u5ACB\u5AC2\u5ABD\u5AE3\u5AD7\u5AE6\u5AE9\u5AD6\u5AFA\u5AFB\u5B0C\u5B0B\u5B16\u5B32\u5AD0\u5B2A\u5B36\u5B3E\u5B43\u5B45\u5B40\u5B51\u5B55\u5B5A\u5B5B\u5B65\u5B69\u5B70\u5B73\u5B75\u5B78\u6588\u5B7A\u5B80"], ["9b80", "\u5B83\u5BA6\u5BB8\u5BC3\u5BC7\u5BC9\u5BD4\u5BD0\u5BE4\u5BE6\u5BE2\u5BDE\u5BE5\u5BEB\u5BF0\u5BF6\u5BF3\u5C05\u5C07\u5C08\u5C0D\u5C13\u5C20\u5C22\u5C28\u5C38\u5C39\u5C41\u5C46\u5C4E\u5C53\u5C50\u5C4F\u5B71\u5C6C\u5C6E\u4E62\u5C76\u5C79\u5C8C\u5C91\u5C94\u599B\u5CAB\u5CBB\u5CB6\u5CBC\u5CB7\u5CC5\u5CBE\u5CC7\u5CD9\u5CE9\u5CFD\u5CFA\u5CED\u5D8C\u5CEA\u5D0B\u5D15\u5D17\u5D5C\u5D1F\u5D1B\u5D11\u5D14\u5D22\u5D1A\u5D19\u5D18\u5D4C\u5D52\u5D4E\u5D4B\u5D6C\u5D73\u5D76\u5D87\u5D84\u5D82\u5DA2\u5D9D\u5DAC\u5DAE\u5DBD\u5D90\u5DB7\u5DBC\u5DC9\u5DCD\u5DD3\u5DD2\u5DD6\u5DDB\u5DEB\u5DF2\u5DF5\u5E0B\u5E1A\u5E19\u5E11\u5E1B\u5E36\u5E37\u5E44\u5E43\u5E40\u5E4E\u5E57\u5E54\u5E5F\u5E62\u5E64\u5E47\u5E75\u5E76\u5E7A\u9EBC\u5E7F\u5EA0\u5EC1\u5EC2\u5EC8\u5ED0\u5ECF"], ["9c40", "\u5ED6\u5EE3\u5EDD\u5EDA\u5EDB\u5EE2\u5EE1\u5EE8\u5EE9\u5EEC\u5EF1\u5EF3\u5EF0\u5EF4\u5EF8\u5EFE\u5F03\u5F09\u5F5D\u5F5C\u5F0B\u5F11\u5F16\u5F29\u5F2D\u5F38\u5F41\u5F48\u5F4C\u5F4E\u5F2F\u5F51\u5F56\u5F57\u5F59\u5F61\u5F6D\u5F73\u5F77\u5F83\u5F82\u5F7F\u5F8A\u5F88\u5F91\u5F87\u5F9E\u5F99\u5F98\u5FA0\u5FA8\u5FAD\u5FBC\u5FD6\u5FFB\u5FE4\u5FF8\u5FF1\u5FDD\u60B3\u5FFF\u6021\u6060"], ["9c80", "\u6019\u6010\u6029\u600E\u6031\u601B\u6015\u602B\u6026\u600F\u603A\u605A\u6041\u606A\u6077\u605F\u604A\u6046\u604D\u6063\u6043\u6064\u6042\u606C\u606B\u6059\u6081\u608D\u60E7\u6083\u609A\u6084\u609B\u6096\u6097\u6092\u60A7\u608B\u60E1\u60B8\u60E0\u60D3\u60B4\u5FF0\u60BD\u60C6\u60B5\u60D8\u614D\u6115\u6106\u60F6\u60F7\u6100\u60F4\u60FA\u6103\u6121\u60FB\u60F1\u610D\u610E\u6147\u613E\u6128\u6127\u614A\u613F\u613C\u612C\u6134\u613D\u6142\u6144\u6173\u6177\u6158\u6159\u615A\u616B\u6174\u616F\u6165\u6171\u615F\u615D\u6153\u6175\u6199\u6196\u6187\u61AC\u6194\u619A\u618A\u6191\u61AB\u61AE\u61CC\u61CA\u61C9\u61F7\u61C8\u61C3\u61C6\u61BA\u61CB\u7F79\u61CD\u61E6\u61E3\u61F6\u61FA\u61F4\u61FF\u61FD\u61FC\u61FE\u6200\u6208\u6209\u620D\u620C\u6214\u621B"], ["9d40", "\u621E\u6221\u622A\u622E\u6230\u6232\u6233\u6241\u624E\u625E\u6263\u625B\u6260\u6268\u627C\u6282\u6289\u627E\u6292\u6293\u6296\u62D4\u6283\u6294\u62D7\u62D1\u62BB\u62CF\u62FF\u62C6\u64D4\u62C8\u62DC\u62CC\u62CA\u62C2\u62C7\u629B\u62C9\u630C\u62EE\u62F1\u6327\u6302\u6308\u62EF\u62F5\u6350\u633E\u634D\u641C\u634F\u6396\u638E\u6380\u63AB\u6376\u63A3\u638F\u6389\u639F\u63B5\u636B"], ["9d80", "\u6369\u63BE\u63E9\u63C0\u63C6\u63E3\u63C9\u63D2\u63F6\u63C4\u6416\u6434\u6406\u6413\u6426\u6436\u651D\u6417\u6428\u640F\u6467\u646F\u6476\u644E\u652A\u6495\u6493\u64A5\u64A9\u6488\u64BC\u64DA\u64D2\u64C5\u64C7\u64BB\u64D8\u64C2\u64F1\u64E7\u8209\u64E0\u64E1\u62AC\u64E3\u64EF\u652C\u64F6\u64F4\u64F2\u64FA\u6500\u64FD\u6518\u651C\u6505\u6524\u6523\u652B\u6534\u6535\u6537\u6536\u6538\u754B\u6548\u6556\u6555\u654D\u6558\u655E\u655D\u6572\u6578\u6582\u6583\u8B8A\u659B\u659F\u65AB\u65B7\u65C3\u65C6\u65C1\u65C4\u65CC\u65D2\u65DB\u65D9\u65E0\u65E1\u65F1\u6772\u660A\u6603\u65FB\u6773\u6635\u6636\u6634\u661C\u664F\u6644\u6649\u6641\u665E\u665D\u6664\u6667\u6668\u665F\u6662\u6670\u6683\u6688\u668E\u6689\u6684\u6698\u669D\u66C1\u66B9\u66C9\u66BE\u66BC"], ["9e40", "\u66C4\u66B8\u66D6\u66DA\u66E0\u663F\u66E6\u66E9\u66F0\u66F5\u66F7\u670F\u6716\u671E\u6726\u6727\u9738\u672E\u673F\u6736\u6741\u6738\u6737\u6746\u675E\u6760\u6759\u6763\u6764\u6789\u6770\u67A9\u677C\u676A\u678C\u678B\u67A6\u67A1\u6785\u67B7\u67EF\u67B4\u67EC\u67B3\u67E9\u67B8\u67E4\u67DE\u67DD\u67E2\u67EE\u67B9\u67CE\u67C6\u67E7\u6A9C\u681E\u6846\u6829\u6840\u684D\u6832\u684E"], ["9e80", "\u68B3\u682B\u6859\u6863\u6877\u687F\u689F\u688F\u68AD\u6894\u689D\u689B\u6883\u6AAE\u68B9\u6874\u68B5\u68A0\u68BA\u690F\u688D\u687E\u6901\u68CA\u6908\u68D8\u6922\u6926\u68E1\u690C\u68CD\u68D4\u68E7\u68D5\u6936\u6912\u6904\u68D7\u68E3\u6925\u68F9\u68E0\u68EF\u6928\u692A\u691A\u6923\u6921\u68C6\u6979\u6977\u695C\u6978\u696B\u6954\u697E\u696E\u6939\u6974\u693D\u6959\u6930\u6961\u695E\u695D\u6981\u696A\u69B2\u69AE\u69D0\u69BF\u69C1\u69D3\u69BE\u69CE\u5BE8\u69CA\u69DD\u69BB\u69C3\u69A7\u6A2E\u6991\u69A0\u699C\u6995\u69B4\u69DE\u69E8\u6A02\u6A1B\u69FF\u6B0A\u69F9\u69F2\u69E7\u6A05\u69B1\u6A1E\u69ED\u6A14\u69EB\u6A0A\u6A12\u6AC1\u6A23\u6A13\u6A44\u6A0C\u6A72\u6A36\u6A78\u6A47\u6A62\u6A59\u6A66\u6A48\u6A38\u6A22\u6A90\u6A8D\u6AA0\u6A84\u6AA2\u6AA3"], ["9f40", "\u6A97\u8617\u6ABB\u6AC3\u6AC2\u6AB8\u6AB3\u6AAC\u6ADE\u6AD1\u6ADF\u6AAA\u6ADA\u6AEA\u6AFB\u6B05\u8616\u6AFA\u6B12\u6B16\u9B31\u6B1F\u6B38\u6B37\u76DC\u6B39\u98EE\u6B47\u6B43\u6B49\u6B50\u6B59\u6B54\u6B5B\u6B5F\u6B61\u6B78\u6B79\u6B7F\u6B80\u6B84\u6B83\u6B8D\u6B98\u6B95\u6B9E\u6BA4\u6BAA\u6BAB\u6BAF\u6BB2\u6BB1\u6BB3\u6BB7\u6BBC\u6BC6\u6BCB\u6BD3\u6BDF\u6BEC\u6BEB\u6BF3\u6BEF"], ["9f80", "\u9EBE\u6C08\u6C13\u6C14\u6C1B\u6C24\u6C23\u6C5E\u6C55\u6C62\u6C6A\u6C82\u6C8D\u6C9A\u6C81\u6C9B\u6C7E\u6C68\u6C73\u6C92\u6C90\u6CC4\u6CF1\u6CD3\u6CBD\u6CD7\u6CC5\u6CDD\u6CAE\u6CB1\u6CBE\u6CBA\u6CDB\u6CEF\u6CD9\u6CEA\u6D1F\u884D\u6D36\u6D2B\u6D3D\u6D38\u6D19\u6D35\u6D33\u6D12\u6D0C\u6D63\u6D93\u6D64\u6D5A\u6D79\u6D59\u6D8E\u6D95\u6FE4\u6D85\u6DF9\u6E15\u6E0A\u6DB5\u6DC7\u6DE6\u6DB8\u6DC6\u6DEC\u6DDE\u6DCC\u6DE8\u6DD2\u6DC5\u6DFA\u6DD9\u6DE4\u6DD5\u6DEA\u6DEE\u6E2D\u6E6E\u6E2E\u6E19\u6E72\u6E5F\u6E3E\u6E23\u6E6B\u6E2B\u6E76\u6E4D\u6E1F\u6E43\u6E3A\u6E4E\u6E24\u6EFF\u6E1D\u6E38\u6E82\u6EAA\u6E98\u6EC9\u6EB7\u6ED3\u6EBD\u6EAF\u6EC4\u6EB2\u6ED4\u6ED5\u6E8F\u6EA5\u6EC2\u6E9F\u6F41\u6F11\u704C\u6EEC\u6EF8\u6EFE\u6F3F\u6EF2\u6F31\u6EEF\u6F32\u6ECC"], ["e040", "\u6F3E\u6F13\u6EF7\u6F86\u6F7A\u6F78\u6F81\u6F80\u6F6F\u6F5B\u6FF3\u6F6D\u6F82\u6F7C\u6F58\u6F8E\u6F91\u6FC2\u6F66\u6FB3\u6FA3\u6FA1\u6FA4\u6FB9\u6FC6\u6FAA\u6FDF\u6FD5\u6FEC\u6FD4\u6FD8\u6FF1\u6FEE\u6FDB\u7009\u700B\u6FFA\u7011\u7001\u700F\u6FFE\u701B\u701A\u6F74\u701D\u7018\u701F\u7030\u703E\u7032\u7051\u7063\u7099\u7092\u70AF\u70F1\u70AC\u70B8\u70B3\u70AE\u70DF\u70CB\u70DD"], ["e080", "\u70D9\u7109\u70FD\u711C\u7119\u7165\u7155\u7188\u7166\u7162\u714C\u7156\u716C\u718F\u71FB\u7184\u7195\u71A8\u71AC\u71D7\u71B9\u71BE\u71D2\u71C9\u71D4\u71CE\u71E0\u71EC\u71E7\u71F5\u71FC\u71F9\u71FF\u720D\u7210\u721B\u7228\u722D\u722C\u7230\u7232\u723B\u723C\u723F\u7240\u7246\u724B\u7258\u7274\u727E\u7282\u7281\u7287\u7292\u7296\u72A2\u72A7\u72B9\u72B2\u72C3\u72C6\u72C4\u72CE\u72D2\u72E2\u72E0\u72E1\u72F9\u72F7\u500F\u7317\u730A\u731C\u7316\u731D\u7334\u732F\u7329\u7325\u733E\u734E\u734F\u9ED8\u7357\u736A\u7368\u7370\u7378\u7375\u737B\u737A\u73C8\u73B3\u73CE\u73BB\u73C0\u73E5\u73EE\u73DE\u74A2\u7405\u746F\u7425\u73F8\u7432\u743A\u7455\u743F\u745F\u7459\u7441\u745C\u7469\u7470\u7463\u746A\u7476\u747E\u748B\u749E\u74A7\u74CA\u74CF\u74D4\u73F1"], ["e140", "\u74E0\u74E3\u74E7\u74E9\u74EE\u74F2\u74F0\u74F1\u74F8\u74F7\u7504\u7503\u7505\u750C\u750E\u750D\u7515\u7513\u751E\u7526\u752C\u753C\u7544\u754D\u754A\u7549\u755B\u7546\u755A\u7569\u7564\u7567\u756B\u756D\u7578\u7576\u7586\u7587\u7574\u758A\u7589\u7582\u7594\u759A\u759D\u75A5\u75A3\u75C2\u75B3\u75C3\u75B5\u75BD\u75B8\u75BC\u75B1\u75CD\u75CA\u75D2\u75D9\u75E3\u75DE\u75FE\u75FF"], ["e180", "\u75FC\u7601\u75F0\u75FA\u75F2\u75F3\u760B\u760D\u7609\u761F\u7627\u7620\u7621\u7622\u7624\u7634\u7630\u763B\u7647\u7648\u7646\u765C\u7658\u7661\u7662\u7668\u7669\u766A\u7667\u766C\u7670\u7672\u7676\u7678\u767C\u7680\u7683\u7688\u768B\u768E\u7696\u7693\u7699\u769A\u76B0\u76B4\u76B8\u76B9\u76BA\u76C2\u76CD\u76D6\u76D2\u76DE\u76E1\u76E5\u76E7\u76EA\u862F\u76FB\u7708\u7707\u7704\u7729\u7724\u771E\u7725\u7726\u771B\u7737\u7738\u7747\u775A\u7768\u776B\u775B\u7765\u777F\u777E\u7779\u778E\u778B\u7791\u77A0\u779E\u77B0\u77B6\u77B9\u77BF\u77BC\u77BD\u77BB\u77C7\u77CD\u77D7\u77DA\u77DC\u77E3\u77EE\u77FC\u780C\u7812\u7926\u7820\u792A\u7845\u788E\u7874\u7886\u787C\u789A\u788C\u78A3\u78B5\u78AA\u78AF\u78D1\u78C6\u78CB\u78D4\u78BE\u78BC\u78C5\u78CA\u78EC"], ["e240", "\u78E7\u78DA\u78FD\u78F4\u7907\u7912\u7911\u7919\u792C\u792B\u7940\u7960\u7957\u795F\u795A\u7955\u7953\u797A\u797F\u798A\u799D\u79A7\u9F4B\u79AA\u79AE\u79B3\u79B9\u79BA\u79C9\u79D5\u79E7\u79EC\u79E1\u79E3\u7A08\u7A0D\u7A18\u7A19\u7A20\u7A1F\u7980\u7A31\u7A3B\u7A3E\u7A37\u7A43\u7A57\u7A49\u7A61\u7A62\u7A69\u9F9D\u7A70\u7A79\u7A7D\u7A88\u7A97\u7A95\u7A98\u7A96\u7AA9\u7AC8\u7AB0"], ["e280", "\u7AB6\u7AC5\u7AC4\u7ABF\u9083\u7AC7\u7ACA\u7ACD\u7ACF\u7AD5\u7AD3\u7AD9\u7ADA\u7ADD\u7AE1\u7AE2\u7AE6\u7AED\u7AF0\u7B02\u7B0F\u7B0A\u7B06\u7B33\u7B18\u7B19\u7B1E\u7B35\u7B28\u7B36\u7B50\u7B7A\u7B04\u7B4D\u7B0B\u7B4C\u7B45\u7B75\u7B65\u7B74\u7B67\u7B70\u7B71\u7B6C\u7B6E\u7B9D\u7B98\u7B9F\u7B8D\u7B9C\u7B9A\u7B8B\u7B92\u7B8F\u7B5D\u7B99\u7BCB\u7BC1\u7BCC\u7BCF\u7BB4\u7BC6\u7BDD\u7BE9\u7C11\u7C14\u7BE6\u7BE5\u7C60\u7C00\u7C07\u7C13\u7BF3\u7BF7\u7C17\u7C0D\u7BF6\u7C23\u7C27\u7C2A\u7C1F\u7C37\u7C2B\u7C3D\u7C4C\u7C43\u7C54\u7C4F\u7C40\u7C50\u7C58\u7C5F\u7C64\u7C56\u7C65\u7C6C\u7C75\u7C83\u7C90\u7CA4\u7CAD\u7CA2\u7CAB\u7CA1\u7CA8\u7CB3\u7CB2\u7CB1\u7CAE\u7CB9\u7CBD\u7CC0\u7CC5\u7CC2\u7CD8\u7CD2\u7CDC\u7CE2\u9B3B\u7CEF\u7CF2\u7CF4\u7CF6\u7CFA\u7D06"], ["e340", "\u7D02\u7D1C\u7D15\u7D0A\u7D45\u7D4B\u7D2E\u7D32\u7D3F\u7D35\u7D46\u7D73\u7D56\u7D4E\u7D72\u7D68\u7D6E\u7D4F\u7D63\u7D93\u7D89\u7D5B\u7D8F\u7D7D\u7D9B\u7DBA\u7DAE\u7DA3\u7DB5\u7DC7\u7DBD\u7DAB\u7E3D\u7DA2\u7DAF\u7DDC\u7DB8\u7D9F\u7DB0\u7DD8\u7DDD\u7DE4\u7DDE\u7DFB\u7DF2\u7DE1\u7E05\u7E0A\u7E23\u7E21\u7E12\u7E31\u7E1F\u7E09\u7E0B\u7E22\u7E46\u7E66\u7E3B\u7E35\u7E39\u7E43\u7E37"], ["e380", "\u7E32\u7E3A\u7E67\u7E5D\u7E56\u7E5E\u7E59\u7E5A\u7E79\u7E6A\u7E69\u7E7C\u7E7B\u7E83\u7DD5\u7E7D\u8FAE\u7E7F\u7E88\u7E89\u7E8C\u7E92\u7E90\u7E93\u7E94\u7E96\u7E8E\u7E9B\u7E9C\u7F38\u7F3A\u7F45\u7F4C\u7F4D\u7F4E\u7F50\u7F51\u7F55\u7F54\u7F58\u7F5F\u7F60\u7F68\u7F69\u7F67\u7F78\u7F82\u7F86\u7F83\u7F88\u7F87\u7F8C\u7F94\u7F9E\u7F9D\u7F9A\u7FA3\u7FAF\u7FB2\u7FB9\u7FAE\u7FB6\u7FB8\u8B71\u7FC5\u7FC6\u7FCA\u7FD5\u7FD4\u7FE1\u7FE6\u7FE9\u7FF3\u7FF9\u98DC\u8006\u8004\u800B\u8012\u8018\u8019\u801C\u8021\u8028\u803F\u803B\u804A\u8046\u8052\u8058\u805A\u805F\u8062\u8068\u8073\u8072\u8070\u8076\u8079\u807D\u807F\u8084\u8086\u8085\u809B\u8093\u809A\u80AD\u5190\u80AC\u80DB\u80E5\u80D9\u80DD\u80C4\u80DA\u80D6\u8109\u80EF\u80F1\u811B\u8129\u8123\u812F\u814B"], ["e440", "\u968B\u8146\u813E\u8153\u8151\u80FC\u8171\u816E\u8165\u8166\u8174\u8183\u8188\u818A\u8180\u8182\u81A0\u8195\u81A4\u81A3\u815F\u8193\u81A9\u81B0\u81B5\u81BE\u81B8\u81BD\u81C0\u81C2\u81BA\u81C9\u81CD\u81D1\u81D9\u81D8\u81C8\u81DA\u81DF\u81E0\u81E7\u81FA\u81FB\u81FE\u8201\u8202\u8205\u8207\u820A\u820D\u8210\u8216\u8229\u822B\u8238\u8233\u8240\u8259\u8258\u825D\u825A\u825F\u8264"], ["e480", "\u8262\u8268\u826A\u826B\u822E\u8271\u8277\u8278\u827E\u828D\u8292\u82AB\u829F\u82BB\u82AC\u82E1\u82E3\u82DF\u82D2\u82F4\u82F3\u82FA\u8393\u8303\u82FB\u82F9\u82DE\u8306\u82DC\u8309\u82D9\u8335\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345\u832F\u832B\u8317\u8318\u8385\u839A\u83AA\u839F\u83A2\u8396\u8323\u838E\u8387\u838A\u837C\u83B5\u8373\u8375\u83A0\u8389\u83A8\u83F4\u8413\u83EB\u83CE\u83FD\u8403\u83D8\u840B\u83C1\u83F7\u8407\u83E0\u83F2\u840D\u8422\u8420\u83BD\u8438\u8506\u83FB\u846D\u842A\u843C\u855A\u8484\u8477\u846B\u84AD\u846E\u8482\u8469\u8446\u842C\u846F\u8479\u8435\u84CA\u8462\u84B9\u84BF\u849F\u84D9\u84CD\u84BB\u84DA\u84D0\u84C1\u84C6\u84D6\u84A1\u8521\u84FF\u84F4\u8517\u8518\u852C\u851F\u8515\u8514\u84FC\u8540\u8563\u8558\u8548"], ["e540", "\u8541\u8602\u854B\u8555\u8580\u85A4\u8588\u8591\u858A\u85A8\u856D\u8594\u859B\u85EA\u8587\u859C\u8577\u857E\u8590\u85C9\u85BA\u85CF\u85B9\u85D0\u85D5\u85DD\u85E5\u85DC\u85F9\u860A\u8613\u860B\u85FE\u85FA\u8606\u8622\u861A\u8630\u863F\u864D\u4E55\u8654\u865F\u8667\u8671\u8693\u86A3\u86A9\u86AA\u868B\u868C\u86B6\u86AF\u86C4\u86C6\u86B0\u86C9\u8823\u86AB\u86D4\u86DE\u86E9\u86EC"], ["e580", "\u86DF\u86DB\u86EF\u8712\u8706\u8708\u8700\u8703\u86FB\u8711\u8709\u870D\u86F9\u870A\u8734\u873F\u8737\u873B\u8725\u8729\u871A\u8760\u875F\u8778\u874C\u874E\u8774\u8757\u8768\u876E\u8759\u8753\u8763\u876A\u8805\u87A2\u879F\u8782\u87AF\u87CB\u87BD\u87C0\u87D0\u96D6\u87AB\u87C4\u87B3\u87C7\u87C6\u87BB\u87EF\u87F2\u87E0\u880F\u880D\u87FE\u87F6\u87F7\u880E\u87D2\u8811\u8816\u8815\u8822\u8821\u8831\u8836\u8839\u8827\u883B\u8844\u8842\u8852\u8859\u885E\u8862\u886B\u8881\u887E\u889E\u8875\u887D\u88B5\u8872\u8882\u8897\u8892\u88AE\u8899\u88A2\u888D\u88A4\u88B0\u88BF\u88B1\u88C3\u88C4\u88D4\u88D8\u88D9\u88DD\u88F9\u8902\u88FC\u88F4\u88E8\u88F2\u8904\u890C\u890A\u8913\u8943\u891E\u8925\u892A\u892B\u8941\u8944\u893B\u8936\u8938\u894C\u891D\u8960\u895E"], ["e640", "\u8966\u8964\u896D\u896A\u896F\u8974\u8977\u897E\u8983\u8988\u898A\u8993\u8998\u89A1\u89A9\u89A6\u89AC\u89AF\u89B2\u89BA\u89BD\u89BF\u89C0\u89DA\u89DC\u89DD\u89E7\u89F4\u89F8\u8A03\u8A16\u8A10\u8A0C\u8A1B\u8A1D\u8A25\u8A36\u8A41\u8A5B\u8A52\u8A46\u8A48\u8A7C\u8A6D\u8A6C\u8A62\u8A85\u8A82\u8A84\u8AA8\u8AA1\u8A91\u8AA5\u8AA6\u8A9A\u8AA3\u8AC4\u8ACD\u8AC2\u8ADA\u8AEB\u8AF3\u8AE7"], ["e680", "\u8AE4\u8AF1\u8B14\u8AE0\u8AE2\u8AF7\u8ADE\u8ADB\u8B0C\u8B07\u8B1A\u8AE1\u8B16\u8B10\u8B17\u8B20\u8B33\u97AB\u8B26\u8B2B\u8B3E\u8B28\u8B41\u8B4C\u8B4F\u8B4E\u8B49\u8B56\u8B5B\u8B5A\u8B6B\u8B5F\u8B6C\u8B6F\u8B74\u8B7D\u8B80\u8B8C\u8B8E\u8B92\u8B93\u8B96\u8B99\u8B9A\u8C3A\u8C41\u8C3F\u8C48\u8C4C\u8C4E\u8C50\u8C55\u8C62\u8C6C\u8C78\u8C7A\u8C82\u8C89\u8C85\u8C8A\u8C8D\u8C8E\u8C94\u8C7C\u8C98\u621D\u8CAD\u8CAA\u8CBD\u8CB2\u8CB3\u8CAE\u8CB6\u8CC8\u8CC1\u8CE4\u8CE3\u8CDA\u8CFD\u8CFA\u8CFB\u8D04\u8D05\u8D0A\u8D07\u8D0F\u8D0D\u8D10\u9F4E\u8D13\u8CCD\u8D14\u8D16\u8D67\u8D6D\u8D71\u8D73\u8D81\u8D99\u8DC2\u8DBE\u8DBA\u8DCF\u8DDA\u8DD6\u8DCC\u8DDB\u8DCB\u8DEA\u8DEB\u8DDF\u8DE3\u8DFC\u8E08\u8E09\u8DFF\u8E1D\u8E1E\u8E10\u8E1F\u8E42\u8E35\u8E30\u8E34\u8E4A"], ["e740", "\u8E47\u8E49\u8E4C\u8E50\u8E48\u8E59\u8E64\u8E60\u8E2A\u8E63\u8E55\u8E76\u8E72\u8E7C\u8E81\u8E87\u8E85\u8E84\u8E8B\u8E8A\u8E93\u8E91\u8E94\u8E99\u8EAA\u8EA1\u8EAC\u8EB0\u8EC6\u8EB1\u8EBE\u8EC5\u8EC8\u8ECB\u8EDB\u8EE3\u8EFC\u8EFB\u8EEB\u8EFE\u8F0A\u8F05\u8F15\u8F12\u8F19\u8F13\u8F1C\u8F1F\u8F1B\u8F0C\u8F26\u8F33\u8F3B\u8F39\u8F45\u8F42\u8F3E\u8F4C\u8F49\u8F46\u8F4E\u8F57\u8F5C"], ["e780", "\u8F62\u8F63\u8F64\u8F9C\u8F9F\u8FA3\u8FAD\u8FAF\u8FB7\u8FDA\u8FE5\u8FE2\u8FEA\u8FEF\u9087\u8FF4\u9005\u8FF9\u8FFA\u9011\u9015\u9021\u900D\u901E\u9016\u900B\u9027\u9036\u9035\u9039\u8FF8\u904F\u9050\u9051\u9052\u900E\u9049\u903E\u9056\u9058\u905E\u9068\u906F\u9076\u96A8\u9072\u9082\u907D\u9081\u9080\u908A\u9089\u908F\u90A8\u90AF\u90B1\u90B5\u90E2\u90E4\u6248\u90DB\u9102\u9112\u9119\u9132\u9130\u914A\u9156\u9158\u9163\u9165\u9169\u9173\u9172\u918B\u9189\u9182\u91A2\u91AB\u91AF\u91AA\u91B5\u91B4\u91BA\u91C0\u91C1\u91C9\u91CB\u91D0\u91D6\u91DF\u91E1\u91DB\u91FC\u91F5\u91F6\u921E\u91FF\u9214\u922C\u9215\u9211\u925E\u9257\u9245\u9249\u9264\u9248\u9295\u923F\u924B\u9250\u929C\u9296\u9293\u929B\u925A\u92CF\u92B9\u92B7\u92E9\u930F\u92FA\u9344\u932E"], ["e840", "\u9319\u9322\u931A\u9323\u933A\u9335\u933B\u935C\u9360\u937C\u936E\u9356\u93B0\u93AC\u93AD\u9394\u93B9\u93D6\u93D7\u93E8\u93E5\u93D8\u93C3\u93DD\u93D0\u93C8\u93E4\u941A\u9414\u9413\u9403\u9407\u9410\u9436\u942B\u9435\u9421\u943A\u9441\u9452\u9444\u945B\u9460\u9462\u945E\u946A\u9229\u9470\u9475\u9477\u947D\u945A\u947C\u947E\u9481\u947F\u9582\u9587\u958A\u9594\u9596\u9598\u9599"], ["e880", "\u95A0\u95A8\u95A7\u95AD\u95BC\u95BB\u95B9\u95BE\u95CA\u6FF6\u95C3\u95CD\u95CC\u95D5\u95D4\u95D6\u95DC\u95E1\u95E5\u95E2\u9621\u9628\u962E\u962F\u9642\u964C\u964F\u964B\u9677\u965C\u965E\u965D\u965F\u9666\u9672\u966C\u968D\u9698\u9695\u9697\u96AA\u96A7\u96B1\u96B2\u96B0\u96B4\u96B6\u96B8\u96B9\u96CE\u96CB\u96C9\u96CD\u894D\u96DC\u970D\u96D5\u96F9\u9704\u9706\u9708\u9713\u970E\u9711\u970F\u9716\u9719\u9724\u972A\u9730\u9739\u973D\u973E\u9744\u9746\u9748\u9742\u9749\u975C\u9760\u9764\u9766\u9768\u52D2\u976B\u9771\u9779\u9785\u977C\u9781\u977A\u9786\u978B\u978F\u9790\u979C\u97A8\u97A6\u97A3\u97B3\u97B4\u97C3\u97C6\u97C8\u97CB\u97DC\u97ED\u9F4F\u97F2\u7ADF\u97F6\u97F5\u980F\u980C\u9838\u9824\u9821\u9837\u983D\u9846\u984F\u984B\u986B\u986F\u9870"], ["e940", "\u9871\u9874\u9873\u98AA\u98AF\u98B1\u98B6\u98C4\u98C3\u98C6\u98E9\u98EB\u9903\u9909\u9912\u9914\u9918\u9921\u991D\u991E\u9924\u9920\u992C\u992E\u993D\u993E\u9942\u9949\u9945\u9950\u994B\u9951\u9952\u994C\u9955\u9997\u9998\u99A5\u99AD\u99AE\u99BC\u99DF\u99DB\u99DD\u99D8\u99D1\u99ED\u99EE\u99F1\u99F2\u99FB\u99F8\u9A01\u9A0F\u9A05\u99E2\u9A19\u9A2B\u9A37\u9A45\u9A42\u9A40\u9A43"], ["e980", "\u9A3E\u9A55\u9A4D\u9A5B\u9A57\u9A5F\u9A62\u9A65\u9A64\u9A69\u9A6B\u9A6A\u9AAD\u9AB0\u9ABC\u9AC0\u9ACF\u9AD1\u9AD3\u9AD4\u9ADE\u9ADF\u9AE2\u9AE3\u9AE6\u9AEF\u9AEB\u9AEE\u9AF4\u9AF1\u9AF7\u9AFB\u9B06\u9B18\u9B1A\u9B1F\u9B22\u9B23\u9B25\u9B27\u9B28\u9B29\u9B2A\u9B2E\u9B2F\u9B32\u9B44\u9B43\u9B4F\u9B4D\u9B4E\u9B51\u9B58\u9B74\u9B93\u9B83\u9B91\u9B96\u9B97\u9B9F\u9BA0\u9BA8\u9BB4\u9BC0\u9BCA\u9BB9\u9BC6\u9BCF\u9BD1\u9BD2\u9BE3\u9BE2\u9BE4\u9BD4\u9BE1\u9C3A\u9BF2\u9BF1\u9BF0\u9C15\u9C14\u9C09\u9C13\u9C0C\u9C06\u9C08\u9C12\u9C0A\u9C04\u9C2E\u9C1B\u9C25\u9C24\u9C21\u9C30\u9C47\u9C32\u9C46\u9C3E\u9C5A\u9C60\u9C67\u9C76\u9C78\u9CE7\u9CEC\u9CF0\u9D09\u9D08\u9CEB\u9D03\u9D06\u9D2A\u9D26\u9DAF\u9D23\u9D1F\u9D44\u9D15\u9D12\u9D41\u9D3F\u9D3E\u9D46\u9D48"], ["ea40", "\u9D5D\u9D5E\u9D64\u9D51\u9D50\u9D59\u9D72\u9D89\u9D87\u9DAB\u9D6F\u9D7A\u9D9A\u9DA4\u9DA9\u9DB2\u9DC4\u9DC1\u9DBB\u9DB8\u9DBA\u9DC6\u9DCF\u9DC2\u9DD9\u9DD3\u9DF8\u9DE6\u9DED\u9DEF\u9DFD\u9E1A\u9E1B\u9E1E\u9E75\u9E79\u9E7D\u9E81\u9E88\u9E8B\u9E8C\u9E92\u9E95\u9E91\u9E9D\u9EA5\u9EA9\u9EB8\u9EAA\u9EAD\u9761\u9ECC\u9ECE\u9ECF\u9ED0\u9ED4\u9EDC\u9EDE\u9EDD\u9EE0\u9EE5\u9EE8\u9EEF"], ["ea80", "\u9EF4\u9EF6\u9EF7\u9EF9\u9EFB\u9EFC\u9EFD\u9F07\u9F08\u76B7\u9F15\u9F21\u9F2C\u9F3E\u9F4A\u9F52\u9F54\u9F63\u9F5F\u9F60\u9F61\u9F66\u9F67\u9F6C\u9F6A\u9F77\u9F72\u9F76\u9F95\u9F9C\u9FA0\u582F\u69C7\u9059\u7464\u51DC\u7199"], ["ed40", "\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F"], ["ed80", "\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1"], ["ee40", "\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559"], ["ee80", "\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"], ["eeef", "\u2170", 9, "\uFFE2\uFFE4\uFF07\uFF02"], ["f040", "\uE000", 62], ["f080", "\uE03F", 124], ["f140", "\uE0BC", 62], ["f180", "\uE0FB", 124], ["f240", "\uE178", 62], ["f280", "\uE1B7", 124], ["f340", "\uE234", 62], ["f380", "\uE273", 124], ["f440", "\uE2F0", 62], ["f480", "\uE32F", 124], ["f540", "\uE3AC", 62], ["f580", "\uE3EB", 124], ["f640", "\uE468", 62], ["f680", "\uE4A7", 124], ["f740", "\uE524", 62], ["f780", "\uE563", 124], ["f840", "\uE5E0", 62], ["f880", "\uE61F", 124], ["f940", "\uE69C"], ["fa40", "\u2170", 9, "\u2160", 9, "\uFFE2\uFFE4\uFF07\uFF02\u3231\u2116\u2121\u2235\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A"], ["fa80", "\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F"], ["fb40", "\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19"], ["fb80", "\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9"], ["fc40", "\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"]];
    });
    var dK = b((WGe, Y8e) => {
      Y8e.exports = [["0", "\0", 127], ["8ea1", "\uFF61", 62], ["a1a1", "\u3000\u3001\u3002\uFF0C\uFF0E\u30FB\uFF1A\uFF1B\uFF1F\uFF01\u309B\u309C\xB4\uFF40\xA8\uFF3E\uFFE3\uFF3F\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\u2015\u2010\uFF0F\uFF3C\uFF5E\u2225\uFF5C\u2026\u2025\u2018\u2019\u201C\u201D\uFF08\uFF09\u3014\u3015\uFF3B\uFF3D\uFF5B\uFF5D\u3008", 9, "\uFF0B\uFF0D\xB1\xD7\xF7\uFF1D\u2260\uFF1C\uFF1E\u2266\u2267\u221E\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFFE5\uFF04\uFFE0\uFFE1\uFF05\uFF03\uFF06\uFF0A\uFF20\xA7\u2606\u2605\u25CB\u25CF\u25CE\u25C7"], ["a2a1", "\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u203B\u3012\u2192\u2190\u2191\u2193\u3013"], ["a2ba", "\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229"], ["a2ca", "\u2227\u2228\uFFE2\u21D2\u21D4\u2200\u2203"], ["a2dc", "\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C"], ["a2f2", "\u212B\u2030\u266F\u266D\u266A\u2020\u2021\xB6"], ["a2fe", "\u25EF"], ["a3b0", "\uFF10", 9], ["a3c1", "\uFF21", 25], ["a3e1", "\uFF41", 25], ["a4a1", "\u3041", 82], ["a5a1", "\u30A1", 85], ["a6a1", "\u0391", 16, "\u03A3", 6], ["a6c1", "\u03B1", 16, "\u03C3", 6], ["a7a1", "\u0410", 5, "\u0401\u0416", 25], ["a7d1", "\u0430", 5, "\u0451\u0436", 25], ["a8a1", "\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542"], ["ada1", "\u2460", 19, "\u2160", 9], ["adc0", "\u3349\u3314\u3322\u334D\u3318\u3327\u3303\u3336\u3351\u3357\u330D\u3326\u3323\u332B\u334A\u333B\u339C\u339D\u339E\u338E\u338F\u33C4\u33A1"], ["addf", "\u337B\u301D\u301F\u2116\u33CD\u2121\u32A4", 4, "\u3231\u3232\u3239\u337E\u337D\u337C\u2252\u2261\u222B\u222E\u2211\u221A\u22A5\u2220\u221F\u22BF\u2235\u2229\u222A"], ["b0a1", "\u4E9C\u5516\u5A03\u963F\u54C0\u611B\u6328\u59F6\u9022\u8475\u831C\u7A50\u60AA\u63E1\u6E25\u65ED\u8466\u82A6\u9BF5\u6893\u5727\u65A1\u6271\u5B9B\u59D0\u867B\u98F4\u7D62\u7DBE\u9B8E\u6216\u7C9F\u88B7\u5B89\u5EB5\u6309\u6697\u6848\u95C7\u978D\u674F\u4EE5\u4F0A\u4F4D\u4F9D\u5049\u56F2\u5937\u59D4\u5A01\u5C09\u60DF\u610F\u6170\u6613\u6905\u70BA\u754F\u7570\u79FB\u7DAD\u7DEF\u80C3\u840E\u8863\u8B02\u9055\u907A\u533B\u4E95\u4EA5\u57DF\u80B2\u90C1\u78EF\u4E00\u58F1\u6EA2\u9038\u7A32\u8328\u828B\u9C2F\u5141\u5370\u54BD\u54E1\u56E0\u59FB\u5F15\u98F2\u6DEB\u80E4\u852D"], ["b1a1", "\u9662\u9670\u96A0\u97FB\u540B\u53F3\u5B87\u70CF\u7FBD\u8FC2\u96E8\u536F\u9D5C\u7ABA\u4E11\u7893\u81FC\u6E26\u5618\u5504\u6B1D\u851A\u9C3B\u59E5\u53A9\u6D66\u74DC\u958F\u5642\u4E91\u904B\u96F2\u834F\u990C\u53E1\u55B6\u5B30\u5F71\u6620\u66F3\u6804\u6C38\u6CF3\u6D29\u745B\u76C8\u7A4E\u9834\u82F1\u885B\u8A60\u92ED\u6DB2\u75AB\u76CA\u99C5\u60A6\u8B01\u8D8A\u95B2\u698E\u53AD\u5186\u5712\u5830\u5944\u5BB4\u5EF6\u6028\u63A9\u63F4\u6CBF\u6F14\u708E\u7114\u7159\u71D5\u733F\u7E01\u8276\u82D1\u8597\u9060\u925B\u9D1B\u5869\u65BC\u6C5A\u7525\u51F9\u592E\u5965\u5F80\u5FDC"], ["b2a1", "\u62BC\u65FA\u6A2A\u6B27\u6BB4\u738B\u7FC1\u8956\u9D2C\u9D0E\u9EC4\u5CA1\u6C96\u837B\u5104\u5C4B\u61B6\u81C6\u6876\u7261\u4E59\u4FFA\u5378\u6069\u6E29\u7A4F\u97F3\u4E0B\u5316\u4EEE\u4F55\u4F3D\u4FA1\u4F73\u52A0\u53EF\u5609\u590F\u5AC1\u5BB6\u5BE1\u79D1\u6687\u679C\u67B6\u6B4C\u6CB3\u706B\u73C2\u798D\u79BE\u7A3C\u7B87\u82B1\u82DB\u8304\u8377\u83EF\u83D3\u8766\u8AB2\u5629\u8CA8\u8FE6\u904E\u971E\u868A\u4FC4\u5CE8\u6211\u7259\u753B\u81E5\u82BD\u86FE\u8CC0\u96C5\u9913\u99D5\u4ECB\u4F1A\u89E3\u56DE\u584A\u58CA\u5EFB\u5FEB\u602A\u6094\u6062\u61D0\u6212\u62D0\u6539"], ["b3a1", "\u9B41\u6666\u68B0\u6D77\u7070\u754C\u7686\u7D75\u82A5\u87F9\u958B\u968E\u8C9D\u51F1\u52BE\u5916\u54B3\u5BB3\u5D16\u6168\u6982\u6DAF\u788D\u84CB\u8857\u8A72\u93A7\u9AB8\u6D6C\u99A8\u86D9\u57A3\u67FF\u86CE\u920E\u5283\u5687\u5404\u5ED3\u62E1\u64B9\u683C\u6838\u6BBB\u7372\u78BA\u7A6B\u899A\u89D2\u8D6B\u8F03\u90ED\u95A3\u9694\u9769\u5B66\u5CB3\u697D\u984D\u984E\u639B\u7B20\u6A2B\u6A7F\u68B6\u9C0D\u6F5F\u5272\u559D\u6070\u62EC\u6D3B\u6E07\u6ED1\u845B\u8910\u8F44\u4E14\u9C39\u53F6\u691B\u6A3A\u9784\u682A\u515C\u7AC3\u84B2\u91DC\u938C\u565B\u9D28\u6822\u8305\u8431"], ["b4a1", "\u7CA5\u5208\u82C5\u74E6\u4E7E\u4F83\u51A0\u5BD2\u520A\u52D8\u52E7\u5DFB\u559A\u582A\u59E6\u5B8C\u5B98\u5BDB\u5E72\u5E79\u60A3\u611F\u6163\u61BE\u63DB\u6562\u67D1\u6853\u68FA\u6B3E\u6B53\u6C57\u6F22\u6F97\u6F45\u74B0\u7518\u76E3\u770B\u7AFF\u7BA1\u7C21\u7DE9\u7F36\u7FF0\u809D\u8266\u839E\u89B3\u8ACC\u8CAB\u9084\u9451\u9593\u9591\u95A2\u9665\u97D3\u9928\u8218\u4E38\u542B\u5CB8\u5DCC\u73A9\u764C\u773C\u5CA9\u7FEB\u8D0B\u96C1\u9811\u9854\u9858\u4F01\u4F0E\u5371\u559C\u5668\u57FA\u5947\u5B09\u5BC4\u5C90\u5E0C\u5E7E\u5FCC\u63EE\u673A\u65D7\u65E2\u671F\u68CB\u68C4"], ["b5a1", "\u6A5F\u5E30\u6BC5\u6C17\u6C7D\u757F\u7948\u5B63\u7A00\u7D00\u5FBD\u898F\u8A18\u8CB4\u8D77\u8ECC\u8F1D\u98E2\u9A0E\u9B3C\u4E80\u507D\u5100\u5993\u5B9C\u622F\u6280\u64EC\u6B3A\u72A0\u7591\u7947\u7FA9\u87FB\u8ABC\u8B70\u63AC\u83CA\u97A0\u5409\u5403\u55AB\u6854\u6A58\u8A70\u7827\u6775\u9ECD\u5374\u5BA2\u811A\u8650\u9006\u4E18\u4E45\u4EC7\u4F11\u53CA\u5438\u5BAE\u5F13\u6025\u6551\u673D\u6C42\u6C72\u6CE3\u7078\u7403\u7A76\u7AAE\u7B08\u7D1A\u7CFE\u7D66\u65E7\u725B\u53BB\u5C45\u5DE8\u62D2\u62E0\u6319\u6E20\u865A\u8A31\u8DDD\u92F8\u6F01\u79A6\u9B5A\u4EA8\u4EAB\u4EAC"], ["b6a1", "\u4F9B\u4FA0\u50D1\u5147\u7AF6\u5171\u51F6\u5354\u5321\u537F\u53EB\u55AC\u5883\u5CE1\u5F37\u5F4A\u602F\u6050\u606D\u631F\u6559\u6A4B\u6CC1\u72C2\u72ED\u77EF\u80F8\u8105\u8208\u854E\u90F7\u93E1\u97FF\u9957\u9A5A\u4EF0\u51DD\u5C2D\u6681\u696D\u5C40\u66F2\u6975\u7389\u6850\u7C81\u50C5\u52E4\u5747\u5DFE\u9326\u65A4\u6B23\u6B3D\u7434\u7981\u79BD\u7B4B\u7DCA\u82B9\u83CC\u887F\u895F\u8B39\u8FD1\u91D1\u541F\u9280\u4E5D\u5036\u53E5\u533A\u72D7\u7396\u77E9\u82E6\u8EAF\u99C6\u99C8\u99D2\u5177\u611A\u865E\u55B0\u7A7A\u5076\u5BD3\u9047\u9685\u4E32\u6ADB\u91E7\u5C51\u5C48"], ["b7a1", "\u6398\u7A9F\u6C93\u9774\u8F61\u7AAA\u718A\u9688\u7C82\u6817\u7E70\u6851\u936C\u52F2\u541B\u85AB\u8A13\u7FA4\u8ECD\u90E1\u5366\u8888\u7941\u4FC2\u50BE\u5211\u5144\u5553\u572D\u73EA\u578B\u5951\u5F62\u5F84\u6075\u6176\u6167\u61A9\u63B2\u643A\u656C\u666F\u6842\u6E13\u7566\u7A3D\u7CFB\u7D4C\u7D99\u7E4B\u7F6B\u830E\u834A\u86CD\u8A08\u8A63\u8B66\u8EFD\u981A\u9D8F\u82B8\u8FCE\u9BE8\u5287\u621F\u6483\u6FC0\u9699\u6841\u5091\u6B20\u6C7A\u6F54\u7A74\u7D50\u8840\u8A23\u6708\u4EF6\u5039\u5026\u5065\u517C\u5238\u5263\u55A7\u570F\u5805\u5ACC\u5EFA\u61B2\u61F8\u62F3\u6372"], ["b8a1", "\u691C\u6A29\u727D\u72AC\u732E\u7814\u786F\u7D79\u770C\u80A9\u898B\u8B19\u8CE2\u8ED2\u9063\u9375\u967A\u9855\u9A13\u9E78\u5143\u539F\u53B3\u5E7B\u5F26\u6E1B\u6E90\u7384\u73FE\u7D43\u8237\u8A00\u8AFA\u9650\u4E4E\u500B\u53E4\u547C\u56FA\u59D1\u5B64\u5DF1\u5EAB\u5F27\u6238\u6545\u67AF\u6E56\u72D0\u7CCA\u88B4\u80A1\u80E1\u83F0\u864E\u8A87\u8DE8\u9237\u96C7\u9867\u9F13\u4E94\u4E92\u4F0D\u5348\u5449\u543E\u5A2F\u5F8C\u5FA1\u609F\u68A7\u6A8E\u745A\u7881\u8A9E\u8AA4\u8B77\u9190\u4E5E\u9BC9\u4EA4\u4F7C\u4FAF\u5019\u5016\u5149\u516C\u529F\u52B9\u52FE\u539A\u53E3\u5411"], ["b9a1", "\u540E\u5589\u5751\u57A2\u597D\u5B54\u5B5D\u5B8F\u5DE5\u5DE7\u5DF7\u5E78\u5E83\u5E9A\u5EB7\u5F18\u6052\u614C\u6297\u62D8\u63A7\u653B\u6602\u6643\u66F4\u676D\u6821\u6897\u69CB\u6C5F\u6D2A\u6D69\u6E2F\u6E9D\u7532\u7687\u786C\u7A3F\u7CE0\u7D05\u7D18\u7D5E\u7DB1\u8015\u8003\u80AF\u80B1\u8154\u818F\u822A\u8352\u884C\u8861\u8B1B\u8CA2\u8CFC\u90CA\u9175\u9271\u783F\u92FC\u95A4\u964D\u9805\u9999\u9AD8\u9D3B\u525B\u52AB\u53F7\u5408\u58D5\u62F7\u6FE0\u8C6A\u8F5F\u9EB9\u514B\u523B\u544A\u56FD\u7A40\u9177\u9D60\u9ED2\u7344\u6F09\u8170\u7511\u5FFD\u60DA\u9AA8\u72DB\u8FBC"], ["baa1", "\u6B64\u9803\u4ECA\u56F0\u5764\u58BE\u5A5A\u6068\u61C7\u660F\u6606\u6839\u68B1\u6DF7\u75D5\u7D3A\u826E\u9B42\u4E9B\u4F50\u53C9\u5506\u5D6F\u5DE6\u5DEE\u67FB\u6C99\u7473\u7802\u8A50\u9396\u88DF\u5750\u5EA7\u632B\u50B5\u50AC\u518D\u6700\u54C9\u585E\u59BB\u5BB0\u5F69\u624D\u63A1\u683D\u6B73\u6E08\u707D\u91C7\u7280\u7815\u7826\u796D\u658E\u7D30\u83DC\u88C1\u8F09\u969B\u5264\u5728\u6750\u7F6A\u8CA1\u51B4\u5742\u962A\u583A\u698A\u80B4\u54B2\u5D0E\u57FC\u7895\u9DFA\u4F5C\u524A\u548B\u643E\u6628\u6714\u67F5\u7A84\u7B56\u7D22\u932F\u685C\u9BAD\u7B39\u5319\u518A\u5237"], ["bba1", "\u5BDF\u62F6\u64AE\u64E6\u672D\u6BBA\u85A9\u96D1\u7690\u9BD6\u634C\u9306\u9BAB\u76BF\u6652\u4E09\u5098\u53C2\u5C71\u60E8\u6492\u6563\u685F\u71E6\u73CA\u7523\u7B97\u7E82\u8695\u8B83\u8CDB\u9178\u9910\u65AC\u66AB\u6B8B\u4ED5\u4ED4\u4F3A\u4F7F\u523A\u53F8\u53F2\u55E3\u56DB\u58EB\u59CB\u59C9\u59FF\u5B50\u5C4D\u5E02\u5E2B\u5FD7\u601D\u6307\u652F\u5B5C\u65AF\u65BD\u65E8\u679D\u6B62\u6B7B\u6C0F\u7345\u7949\u79C1\u7CF8\u7D19\u7D2B\u80A2\u8102\u81F3\u8996\u8A5E\u8A69\u8A66\u8A8C\u8AEE\u8CC7\u8CDC\u96CC\u98FC\u6B6F\u4E8B\u4F3C\u4F8D\u5150\u5B57\u5BFA\u6148\u6301\u6642"], ["bca1", "\u6B21\u6ECB\u6CBB\u723E\u74BD\u75D4\u78C1\u793A\u800C\u8033\u81EA\u8494\u8F9E\u6C50\u9E7F\u5F0F\u8B58\u9D2B\u7AFA\u8EF8\u5B8D\u96EB\u4E03\u53F1\u57F7\u5931\u5AC9\u5BA4\u6089\u6E7F\u6F06\u75BE\u8CEA\u5B9F\u8500\u7BE0\u5072\u67F4\u829D\u5C61\u854A\u7E1E\u820E\u5199\u5C04\u6368\u8D66\u659C\u716E\u793E\u7D17\u8005\u8B1D\u8ECA\u906E\u86C7\u90AA\u501F\u52FA\u5C3A\u6753\u707C\u7235\u914C\u91C8\u932B\u82E5\u5BC2\u5F31\u60F9\u4E3B\u53D6\u5B88\u624B\u6731\u6B8A\u72E9\u73E0\u7A2E\u816B\u8DA3\u9152\u9996\u5112\u53D7\u546A\u5BFF\u6388\u6A39\u7DAC\u9700\u56DA\u53CE\u5468"], ["bda1", "\u5B97\u5C31\u5DDE\u4FEE\u6101\u62FE\u6D32\u79C0\u79CB\u7D42\u7E4D\u7FD2\u81ED\u821F\u8490\u8846\u8972\u8B90\u8E74\u8F2F\u9031\u914B\u916C\u96C6\u919C\u4EC0\u4F4F\u5145\u5341\u5F93\u620E\u67D4\u6C41\u6E0B\u7363\u7E26\u91CD\u9283\u53D4\u5919\u5BBF\u6DD1\u795D\u7E2E\u7C9B\u587E\u719F\u51FA\u8853\u8FF0\u4FCA\u5CFB\u6625\u77AC\u7AE3\u821C\u99FF\u51C6\u5FAA\u65EC\u696F\u6B89\u6DF3\u6E96\u6F64\u76FE\u7D14\u5DE1\u9075\u9187\u9806\u51E6\u521D\u6240\u6691\u66D9\u6E1A\u5EB6\u7DD2\u7F72\u66F8\u85AF\u85F7\u8AF8\u52A9\u53D9\u5973\u5E8F\u5F90\u6055\u92E4\u9664\u50B7\u511F"], ["bea1", "\u52DD\u5320\u5347\u53EC\u54E8\u5546\u5531\u5617\u5968\u59BE\u5A3C\u5BB5\u5C06\u5C0F\u5C11\u5C1A\u5E84\u5E8A\u5EE0\u5F70\u627F\u6284\u62DB\u638C\u6377\u6607\u660C\u662D\u6676\u677E\u68A2\u6A1F\u6A35\u6CBC\u6D88\u6E09\u6E58\u713C\u7126\u7167\u75C7\u7701\u785D\u7901\u7965\u79F0\u7AE0\u7B11\u7CA7\u7D39\u8096\u83D6\u848B\u8549\u885D\u88F3\u8A1F\u8A3C\u8A54\u8A73\u8C61\u8CDE\u91A4\u9266\u937E\u9418\u969C\u9798\u4E0A\u4E08\u4E1E\u4E57\u5197\u5270\u57CE\u5834\u58CC\u5B22\u5E38\u60C5\u64FE\u6761\u6756\u6D44\u72B6\u7573\u7A63\u84B8\u8B72\u91B8\u9320\u5631\u57F4\u98FE"], ["bfa1", "\u62ED\u690D\u6B96\u71ED\u7E54\u8077\u8272\u89E6\u98DF\u8755\u8FB1\u5C3B\u4F38\u4FE1\u4FB5\u5507\u5A20\u5BDD\u5BE9\u5FC3\u614E\u632F\u65B0\u664B\u68EE\u699B\u6D78\u6DF1\u7533\u75B9\u771F\u795E\u79E6\u7D33\u81E3\u82AF\u85AA\u89AA\u8A3A\u8EAB\u8F9B\u9032\u91DD\u9707\u4EBA\u4EC1\u5203\u5875\u58EC\u5C0B\u751A\u5C3D\u814E\u8A0A\u8FC5\u9663\u976D\u7B25\u8ACF\u9808\u9162\u56F3\u53A8\u9017\u5439\u5782\u5E25\u63A8\u6C34\u708A\u7761\u7C8B\u7FE0\u8870\u9042\u9154\u9310\u9318\u968F\u745E\u9AC4\u5D07\u5D69\u6570\u67A2\u8DA8\u96DB\u636E\u6749\u6919\u83C5\u9817\u96C0\u88FE"], ["c0a1", "\u6F84\u647A\u5BF8\u4E16\u702C\u755D\u662F\u51C4\u5236\u52E2\u59D3\u5F81\u6027\u6210\u653F\u6574\u661F\u6674\u68F2\u6816\u6B63\u6E05\u7272\u751F\u76DB\u7CBE\u8056\u58F0\u88FD\u897F\u8AA0\u8A93\u8ACB\u901D\u9192\u9752\u9759\u6589\u7A0E\u8106\u96BB\u5E2D\u60DC\u621A\u65A5\u6614\u6790\u77F3\u7A4D\u7C4D\u7E3E\u810A\u8CAC\u8D64\u8DE1\u8E5F\u78A9\u5207\u62D9\u63A5\u6442\u6298\u8A2D\u7A83\u7BC0\u8AAC\u96EA\u7D76\u820C\u8749\u4ED9\u5148\u5343\u5360\u5BA3\u5C02\u5C16\u5DDD\u6226\u6247\u64B0\u6813\u6834\u6CC9\u6D45\u6D17\u67D3\u6F5C\u714E\u717D\u65CB\u7A7F\u7BAD\u7DDA"], ["c1a1", "\u7E4A\u7FA8\u817A\u821B\u8239\u85A6\u8A6E\u8CCE\u8DF5\u9078\u9077\u92AD\u9291\u9583\u9BAE\u524D\u5584\u6F38\u7136\u5168\u7985\u7E55\u81B3\u7CCE\u564C\u5851\u5CA8\u63AA\u66FE\u66FD\u695A\u72D9\u758F\u758E\u790E\u7956\u79DF\u7C97\u7D20\u7D44\u8607\u8A34\u963B\u9061\u9F20\u50E7\u5275\u53CC\u53E2\u5009\u55AA\u58EE\u594F\u723D\u5B8B\u5C64\u531D\u60E3\u60F3\u635C\u6383\u633F\u63BB\u64CD\u65E9\u66F9\u5DE3\u69CD\u69FD\u6F15\u71E5\u4E89\u75E9\u76F8\u7A93\u7CDF\u7DCF\u7D9C\u8061\u8349\u8358\u846C\u84BC\u85FB\u88C5\u8D70\u9001\u906D\u9397\u971C\u9A12\u50CF\u5897\u618E"], ["c2a1", "\u81D3\u8535\u8D08\u9020\u4FC3\u5074\u5247\u5373\u606F\u6349\u675F\u6E2C\u8DB3\u901F\u4FD7\u5C5E\u8CCA\u65CF\u7D9A\u5352\u8896\u5176\u63C3\u5B58\u5B6B\u5C0A\u640D\u6751\u905C\u4ED6\u591A\u592A\u6C70\u8A51\u553E\u5815\u59A5\u60F0\u6253\u67C1\u8235\u6955\u9640\u99C4\u9A28\u4F53\u5806\u5BFE\u8010\u5CB1\u5E2F\u5F85\u6020\u614B\u6234\u66FF\u6CF0\u6EDE\u80CE\u817F\u82D4\u888B\u8CB8\u9000\u902E\u968A\u9EDB\u9BDB\u4EE3\u53F0\u5927\u7B2C\u918D\u984C\u9DF9\u6EDD\u7027\u5353\u5544\u5B85\u6258\u629E\u62D3\u6CA2\u6FEF\u7422\u8A17\u9438\u6FC1\u8AFE\u8338\u51E7\u86F8\u53EA"], ["c3a1", "\u53E9\u4F46\u9054\u8FB0\u596A\u8131\u5DFD\u7AEA\u8FBF\u68DA\u8C37\u72F8\u9C48\u6A3D\u8AB0\u4E39\u5358\u5606\u5766\u62C5\u63A2\u65E6\u6B4E\u6DE1\u6E5B\u70AD\u77ED\u7AEF\u7BAA\u7DBB\u803D\u80C6\u86CB\u8A95\u935B\u56E3\u58C7\u5F3E\u65AD\u6696\u6A80\u6BB5\u7537\u8AC7\u5024\u77E5\u5730\u5F1B\u6065\u667A\u6C60\u75F4\u7A1A\u7F6E\u81F4\u8718\u9045\u99B3\u7BC9\u755C\u7AF9\u7B51\u84C4\u9010\u79E9\u7A92\u8336\u5AE1\u7740\u4E2D\u4EF2\u5B99\u5FE0\u62BD\u663C\u67F1\u6CE8\u866B\u8877\u8A3B\u914E\u92F3\u99D0\u6A17\u7026\u732A\u82E7\u8457\u8CAF\u4E01\u5146\u51CB\u558B\u5BF5"], ["c4a1", "\u5E16\u5E33\u5E81\u5F14\u5F35\u5F6B\u5FB4\u61F2\u6311\u66A2\u671D\u6F6E\u7252\u753A\u773A\u8074\u8139\u8178\u8776\u8ABF\u8ADC\u8D85\u8DF3\u929A\u9577\u9802\u9CE5\u52C5\u6357\u76F4\u6715\u6C88\u73CD\u8CC3\u93AE\u9673\u6D25\u589C\u690E\u69CC\u8FFD\u939A\u75DB\u901A\u585A\u6802\u63B4\u69FB\u4F43\u6F2C\u67D8\u8FBB\u8526\u7DB4\u9354\u693F\u6F70\u576A\u58F7\u5B2C\u7D2C\u722A\u540A\u91E3\u9DB4\u4EAD\u4F4E\u505C\u5075\u5243\u8C9E\u5448\u5824\u5B9A\u5E1D\u5E95\u5EAD\u5EF7\u5F1F\u608C\u62B5\u633A\u63D0\u68AF\u6C40\u7887\u798E\u7A0B\u7DE0\u8247\u8A02\u8AE6\u8E44\u9013"], ["c5a1", "\u90B8\u912D\u91D8\u9F0E\u6CE5\u6458\u64E2\u6575\u6EF4\u7684\u7B1B\u9069\u93D1\u6EBA\u54F2\u5FB9\u64A4\u8F4D\u8FED\u9244\u5178\u586B\u5929\u5C55\u5E97\u6DFB\u7E8F\u751C\u8CBC\u8EE2\u985B\u70B9\u4F1D\u6BBF\u6FB1\u7530\u96FB\u514E\u5410\u5835\u5857\u59AC\u5C60\u5F92\u6597\u675C\u6E21\u767B\u83DF\u8CED\u9014\u90FD\u934D\u7825\u783A\u52AA\u5EA6\u571F\u5974\u6012\u5012\u515A\u51AC\u51CD\u5200\u5510\u5854\u5858\u5957\u5B95\u5CF6\u5D8B\u60BC\u6295\u642D\u6771\u6843\u68BC\u68DF\u76D7\u6DD8\u6E6F\u6D9B\u706F\u71C8\u5F53\u75D8\u7977\u7B49\u7B54\u7B52\u7CD6\u7D71\u5230"], ["c6a1", "\u8463\u8569\u85E4\u8A0E\u8B04\u8C46\u8E0F\u9003\u900F\u9419\u9676\u982D\u9A30\u95D8\u50CD\u52D5\u540C\u5802\u5C0E\u61A7\u649E\u6D1E\u77B3\u7AE5\u80F4\u8404\u9053\u9285\u5CE0\u9D07\u533F\u5F97\u5FB3\u6D9C\u7279\u7763\u79BF\u7BE4\u6BD2\u72EC\u8AAD\u6803\u6A61\u51F8\u7A81\u6934\u5C4A\u9CF6\u82EB\u5BC5\u9149\u701E\u5678\u5C6F\u60C7\u6566\u6C8C\u8C5A\u9041\u9813\u5451\u66C7\u920D\u5948\u90A3\u5185\u4E4D\u51EA\u8599\u8B0E\u7058\u637A\u934B\u6962\u99B4\u7E04\u7577\u5357\u6960\u8EDF\u96E3\u6C5D\u4E8C\u5C3C\u5F10\u8FE9\u5302\u8CD1\u8089\u8679\u5EFF\u65E5\u4E73\u5165"], ["c7a1", "\u5982\u5C3F\u97EE\u4EFB\u598A\u5FCD\u8A8D\u6FE1\u79B0\u7962\u5BE7\u8471\u732B\u71B1\u5E74\u5FF5\u637B\u649A\u71C3\u7C98\u4E43\u5EFC\u4E4B\u57DC\u56A2\u60A9\u6FC3\u7D0D\u80FD\u8133\u81BF\u8FB2\u8997\u86A4\u5DF4\u628A\u64AD\u8987\u6777\u6CE2\u6D3E\u7436\u7834\u5A46\u7F75\u82AD\u99AC\u4FF3\u5EC3\u62DD\u6392\u6557\u676F\u76C3\u724C\u80CC\u80BA\u8F29\u914D\u500D\u57F9\u5A92\u6885\u6973\u7164\u72FD\u8CB7\u58F2\u8CE0\u966A\u9019\u877F\u79E4\u77E7\u8429\u4F2F\u5265\u535A\u62CD\u67CF\u6CCA\u767D\u7B94\u7C95\u8236\u8584\u8FEB\u66DD\u6F20\u7206\u7E1B\u83AB\u99C1\u9EA6"], ["c8a1", "\u51FD\u7BB1\u7872\u7BB8\u8087\u7B48\u6AE8\u5E61\u808C\u7551\u7560\u516B\u9262\u6E8C\u767A\u9197\u9AEA\u4F10\u7F70\u629C\u7B4F\u95A5\u9CE9\u567A\u5859\u86E4\u96BC\u4F34\u5224\u534A\u53CD\u53DB\u5E06\u642C\u6591\u677F\u6C3E\u6C4E\u7248\u72AF\u73ED\u7554\u7E41\u822C\u85E9\u8CA9\u7BC4\u91C6\u7169\u9812\u98EF\u633D\u6669\u756A\u76E4\u78D0\u8543\u86EE\u532A\u5351\u5426\u5983\u5E87\u5F7C\u60B2\u6249\u6279\u62AB\u6590\u6BD4\u6CCC\u75B2\u76AE\u7891\u79D8\u7DCB\u7F77\u80A5\u88AB\u8AB9\u8CBB\u907F\u975E\u98DB\u6A0B\u7C38\u5099\u5C3E\u5FAE\u6787\u6BD8\u7435\u7709\u7F8E"], ["c9a1", "\u9F3B\u67CA\u7A17\u5339\u758B\u9AED\u5F66\u819D\u83F1\u8098\u5F3C\u5FC5\u7562\u7B46\u903C\u6867\u59EB\u5A9B\u7D10\u767E\u8B2C\u4FF5\u5F6A\u6A19\u6C37\u6F02\u74E2\u7968\u8868\u8A55\u8C79\u5EDF\u63CF\u75C5\u79D2\u82D7\u9328\u92F2\u849C\u86ED\u9C2D\u54C1\u5F6C\u658C\u6D5C\u7015\u8CA7\u8CD3\u983B\u654F\u74F6\u4E0D\u4ED8\u57E0\u592B\u5A66\u5BCC\u51A8\u5E03\u5E9C\u6016\u6276\u6577\u65A7\u666E\u6D6E\u7236\u7B26\u8150\u819A\u8299\u8B5C\u8CA0\u8CE6\u8D74\u961C\u9644\u4FAE\u64AB\u6B66\u821E\u8461\u856A\u90E8\u5C01\u6953\u98A8\u847A\u8557\u4F0F\u526F\u5FA9\u5E45\u670D"], ["caa1", "\u798F\u8179\u8907\u8986\u6DF5\u5F17\u6255\u6CB8\u4ECF\u7269\u9B92\u5206\u543B\u5674\u58B3\u61A4\u626E\u711A\u596E\u7C89\u7CDE\u7D1B\u96F0\u6587\u805E\u4E19\u4F75\u5175\u5840\u5E63\u5E73\u5F0A\u67C4\u4E26\u853D\u9589\u965B\u7C73\u9801\u50FB\u58C1\u7656\u78A7\u5225\u77A5\u8511\u7B86\u504F\u5909\u7247\u7BC7\u7DE8\u8FBA\u8FD4\u904D\u4FBF\u52C9\u5A29\u5F01\u97AD\u4FDD\u8217\u92EA\u5703\u6355\u6B69\u752B\u88DC\u8F14\u7A42\u52DF\u5893\u6155\u620A\u66AE\u6BCD\u7C3F\u83E9\u5023\u4FF8\u5305\u5446\u5831\u5949\u5B9D\u5CF0\u5CEF\u5D29\u5E96\u62B1\u6367\u653E\u65B9\u670B"], ["cba1", "\u6CD5\u6CE1\u70F9\u7832\u7E2B\u80DE\u82B3\u840C\u84EC\u8702\u8912\u8A2A\u8C4A\u90A6\u92D2\u98FD\u9CF3\u9D6C\u4E4F\u4EA1\u508D\u5256\u574A\u59A8\u5E3D\u5FD8\u5FD9\u623F\u66B4\u671B\u67D0\u68D2\u5192\u7D21\u80AA\u81A8\u8B00\u8C8C\u8CBF\u927E\u9632\u5420\u982C\u5317\u50D5\u535C\u58A8\u64B2\u6734\u7267\u7766\u7A46\u91E6\u52C3\u6CA1\u6B86\u5800\u5E4C\u5954\u672C\u7FFB\u51E1\u76C6\u6469\u78E8\u9B54\u9EBB\u57CB\u59B9\u6627\u679A\u6BCE\u54E9\u69D9\u5E55\u819C\u6795\u9BAA\u67FE\u9C52\u685D\u4EA6\u4FE3\u53C8\u62B9\u672B\u6CAB\u8FC4\u4FAD\u7E6D\u9EBF\u4E07\u6162\u6E80"], ["cca1", "\u6F2B\u8513\u5473\u672A\u9B45\u5DF3\u7B95\u5CAC\u5BC6\u871C\u6E4A\u84D1\u7A14\u8108\u5999\u7C8D\u6C11\u7720\u52D9\u5922\u7121\u725F\u77DB\u9727\u9D61\u690B\u5A7F\u5A18\u51A5\u540D\u547D\u660E\u76DF\u8FF7\u9298\u9CF4\u59EA\u725D\u6EC5\u514D\u68C9\u7DBF\u7DEC\u9762\u9EBA\u6478\u6A21\u8302\u5984\u5B5F\u6BDB\u731B\u76F2\u7DB2\u8017\u8499\u5132\u6728\u9ED9\u76EE\u6762\u52FF\u9905\u5C24\u623B\u7C7E\u8CB0\u554F\u60B6\u7D0B\u9580\u5301\u4E5F\u51B6\u591C\u723A\u8036\u91CE\u5F25\u77E2\u5384\u5F79\u7D04\u85AC\u8A33\u8E8D\u9756\u67F3\u85AE\u9453\u6109\u6108\u6CB9\u7652"], ["cda1", "\u8AED\u8F38\u552F\u4F51\u512A\u52C7\u53CB\u5BA5\u5E7D\u60A0\u6182\u63D6\u6709\u67DA\u6E67\u6D8C\u7336\u7337\u7531\u7950\u88D5\u8A98\u904A\u9091\u90F5\u96C4\u878D\u5915\u4E88\u4F59\u4E0E\u8A89\u8F3F\u9810\u50AD\u5E7C\u5996\u5BB9\u5EB8\u63DA\u63FA\u64C1\u66DC\u694A\u69D8\u6D0B\u6EB6\u7194\u7528\u7AAF\u7F8A\u8000\u8449\u84C9\u8981\u8B21\u8E0A\u9065\u967D\u990A\u617E\u6291\u6B32\u6C83\u6D74\u7FCC\u7FFC\u6DC0\u7F85\u87BA\u88F8\u6765\u83B1\u983C\u96F7\u6D1B\u7D61\u843D\u916A\u4E71\u5375\u5D50\u6B04\u6FEB\u85CD\u862D\u89A7\u5229\u540F\u5C65\u674E\u68A8\u7406\u7483"], ["cea1", "\u75E2\u88CF\u88E1\u91CC\u96E2\u9678\u5F8B\u7387\u7ACB\u844E\u63A0\u7565\u5289\u6D41\u6E9C\u7409\u7559\u786B\u7C92\u9686\u7ADC\u9F8D\u4FB6\u616E\u65C5\u865C\u4E86\u4EAE\u50DA\u4E21\u51CC\u5BEE\u6599\u6881\u6DBC\u731F\u7642\u77AD\u7A1C\u7CE7\u826F\u8AD2\u907C\u91CF\u9675\u9818\u529B\u7DD1\u502B\u5398\u6797\u6DCB\u71D0\u7433\u81E8\u8F2A\u96A3\u9C57\u9E9F\u7460\u5841\u6D99\u7D2F\u985E\u4EE4\u4F36\u4F8B\u51B7\u52B1\u5DBA\u601C\u73B2\u793C\u82D3\u9234\u96B7\u96F6\u970A\u9E97\u9F62\u66A6\u6B74\u5217\u52A3\u70C8\u88C2\u5EC9\u604B\u6190\u6F23\u7149\u7C3E\u7DF4\u806F"], ["cfa1", "\u84EE\u9023\u932C\u5442\u9B6F\u6AD3\u7089\u8CC2\u8DEF\u9732\u52B4\u5A41\u5ECA\u5F04\u6717\u697C\u6994\u6D6A\u6F0F\u7262\u72FC\u7BED\u8001\u807E\u874B\u90CE\u516D\u9E93\u7984\u808B\u9332\u8AD6\u502D\u548C\u8A71\u6B6A\u8CC4\u8107\u60D1\u67A0\u9DF2\u4E99\u4E98\u9C10\u8A6B\u85C1\u8568\u6900\u6E7E\u7897\u8155"], ["d0a1", "\u5F0C\u4E10\u4E15\u4E2A\u4E31\u4E36\u4E3C\u4E3F\u4E42\u4E56\u4E58\u4E82\u4E85\u8C6B\u4E8A\u8212\u5F0D\u4E8E\u4E9E\u4E9F\u4EA0\u4EA2\u4EB0\u4EB3\u4EB6\u4ECE\u4ECD\u4EC4\u4EC6\u4EC2\u4ED7\u4EDE\u4EED\u4EDF\u4EF7\u4F09\u4F5A\u4F30\u4F5B\u4F5D\u4F57\u4F47\u4F76\u4F88\u4F8F\u4F98\u4F7B\u4F69\u4F70\u4F91\u4F6F\u4F86\u4F96\u5118\u4FD4\u4FDF\u4FCE\u4FD8\u4FDB\u4FD1\u4FDA\u4FD0\u4FE4\u4FE5\u501A\u5028\u5014\u502A\u5025\u5005\u4F1C\u4FF6\u5021\u5029\u502C\u4FFE\u4FEF\u5011\u5006\u5043\u5047\u6703\u5055\u5050\u5048\u505A\u5056\u506C\u5078\u5080\u509A\u5085\u50B4\u50B2"], ["d1a1", "\u50C9\u50CA\u50B3\u50C2\u50D6\u50DE\u50E5\u50ED\u50E3\u50EE\u50F9\u50F5\u5109\u5101\u5102\u5116\u5115\u5114\u511A\u5121\u513A\u5137\u513C\u513B\u513F\u5140\u5152\u514C\u5154\u5162\u7AF8\u5169\u516A\u516E\u5180\u5182\u56D8\u518C\u5189\u518F\u5191\u5193\u5195\u5196\u51A4\u51A6\u51A2\u51A9\u51AA\u51AB\u51B3\u51B1\u51B2\u51B0\u51B5\u51BD\u51C5\u51C9\u51DB\u51E0\u8655\u51E9\u51ED\u51F0\u51F5\u51FE\u5204\u520B\u5214\u520E\u5227\u522A\u522E\u5233\u5239\u524F\u5244\u524B\u524C\u525E\u5254\u526A\u5274\u5269\u5273\u527F\u527D\u528D\u5294\u5292\u5271\u5288\u5291\u8FA8"], ["d2a1", "\u8FA7\u52AC\u52AD\u52BC\u52B5\u52C1\u52CD\u52D7\u52DE\u52E3\u52E6\u98ED\u52E0\u52F3\u52F5\u52F8\u52F9\u5306\u5308\u7538\u530D\u5310\u530F\u5315\u531A\u5323\u532F\u5331\u5333\u5338\u5340\u5346\u5345\u4E17\u5349\u534D\u51D6\u535E\u5369\u536E\u5918\u537B\u5377\u5382\u5396\u53A0\u53A6\u53A5\u53AE\u53B0\u53B6\u53C3\u7C12\u96D9\u53DF\u66FC\u71EE\u53EE\u53E8\u53ED\u53FA\u5401\u543D\u5440\u542C\u542D\u543C\u542E\u5436\u5429\u541D\u544E\u548F\u5475\u548E\u545F\u5471\u5477\u5470\u5492\u547B\u5480\u5476\u5484\u5490\u5486\u54C7\u54A2\u54B8\u54A5\u54AC\u54C4\u54C8\u54A8"], ["d3a1", "\u54AB\u54C2\u54A4\u54BE\u54BC\u54D8\u54E5\u54E6\u550F\u5514\u54FD\u54EE\u54ED\u54FA\u54E2\u5539\u5540\u5563\u554C\u552E\u555C\u5545\u5556\u5557\u5538\u5533\u555D\u5599\u5580\u54AF\u558A\u559F\u557B\u557E\u5598\u559E\u55AE\u557C\u5583\u55A9\u5587\u55A8\u55DA\u55C5\u55DF\u55C4\u55DC\u55E4\u55D4\u5614\u55F7\u5616\u55FE\u55FD\u561B\u55F9\u564E\u5650\u71DF\u5634\u5636\u5632\u5638\u566B\u5664\u562F\u566C\u566A\u5686\u5680\u568A\u56A0\u5694\u568F\u56A5\u56AE\u56B6\u56B4\u56C2\u56BC\u56C1\u56C3\u56C0\u56C8\u56CE\u56D1\u56D3\u56D7\u56EE\u56F9\u5700\u56FF\u5704\u5709"], ["d4a1", "\u5708\u570B\u570D\u5713\u5718\u5716\u55C7\u571C\u5726\u5737\u5738\u574E\u573B\u5740\u574F\u5769\u57C0\u5788\u5761\u577F\u5789\u5793\u57A0\u57B3\u57A4\u57AA\u57B0\u57C3\u57C6\u57D4\u57D2\u57D3\u580A\u57D6\u57E3\u580B\u5819\u581D\u5872\u5821\u5862\u584B\u5870\u6BC0\u5852\u583D\u5879\u5885\u58B9\u589F\u58AB\u58BA\u58DE\u58BB\u58B8\u58AE\u58C5\u58D3\u58D1\u58D7\u58D9\u58D8\u58E5\u58DC\u58E4\u58DF\u58EF\u58FA\u58F9\u58FB\u58FC\u58FD\u5902\u590A\u5910\u591B\u68A6\u5925\u592C\u592D\u5932\u5938\u593E\u7AD2\u5955\u5950\u594E\u595A\u5958\u5962\u5960\u5967\u596C\u5969"], ["d5a1", "\u5978\u5981\u599D\u4F5E\u4FAB\u59A3\u59B2\u59C6\u59E8\u59DC\u598D\u59D9\u59DA\u5A25\u5A1F\u5A11\u5A1C\u5A09\u5A1A\u5A40\u5A6C\u5A49\u5A35\u5A36\u5A62\u5A6A\u5A9A\u5ABC\u5ABE\u5ACB\u5AC2\u5ABD\u5AE3\u5AD7\u5AE6\u5AE9\u5AD6\u5AFA\u5AFB\u5B0C\u5B0B\u5B16\u5B32\u5AD0\u5B2A\u5B36\u5B3E\u5B43\u5B45\u5B40\u5B51\u5B55\u5B5A\u5B5B\u5B65\u5B69\u5B70\u5B73\u5B75\u5B78\u6588\u5B7A\u5B80\u5B83\u5BA6\u5BB8\u5BC3\u5BC7\u5BC9\u5BD4\u5BD0\u5BE4\u5BE6\u5BE2\u5BDE\u5BE5\u5BEB\u5BF0\u5BF6\u5BF3\u5C05\u5C07\u5C08\u5C0D\u5C13\u5C20\u5C22\u5C28\u5C38\u5C39\u5C41\u5C46\u5C4E\u5C53"], ["d6a1", "\u5C50\u5C4F\u5B71\u5C6C\u5C6E\u4E62\u5C76\u5C79\u5C8C\u5C91\u5C94\u599B\u5CAB\u5CBB\u5CB6\u5CBC\u5CB7\u5CC5\u5CBE\u5CC7\u5CD9\u5CE9\u5CFD\u5CFA\u5CED\u5D8C\u5CEA\u5D0B\u5D15\u5D17\u5D5C\u5D1F\u5D1B\u5D11\u5D14\u5D22\u5D1A\u5D19\u5D18\u5D4C\u5D52\u5D4E\u5D4B\u5D6C\u5D73\u5D76\u5D87\u5D84\u5D82\u5DA2\u5D9D\u5DAC\u5DAE\u5DBD\u5D90\u5DB7\u5DBC\u5DC9\u5DCD\u5DD3\u5DD2\u5DD6\u5DDB\u5DEB\u5DF2\u5DF5\u5E0B\u5E1A\u5E19\u5E11\u5E1B\u5E36\u5E37\u5E44\u5E43\u5E40\u5E4E\u5E57\u5E54\u5E5F\u5E62\u5E64\u5E47\u5E75\u5E76\u5E7A\u9EBC\u5E7F\u5EA0\u5EC1\u5EC2\u5EC8\u5ED0\u5ECF"], ["d7a1", "\u5ED6\u5EE3\u5EDD\u5EDA\u5EDB\u5EE2\u5EE1\u5EE8\u5EE9\u5EEC\u5EF1\u5EF3\u5EF0\u5EF4\u5EF8\u5EFE\u5F03\u5F09\u5F5D\u5F5C\u5F0B\u5F11\u5F16\u5F29\u5F2D\u5F38\u5F41\u5F48\u5F4C\u5F4E\u5F2F\u5F51\u5F56\u5F57\u5F59\u5F61\u5F6D\u5F73\u5F77\u5F83\u5F82\u5F7F\u5F8A\u5F88\u5F91\u5F87\u5F9E\u5F99\u5F98\u5FA0\u5FA8\u5FAD\u5FBC\u5FD6\u5FFB\u5FE4\u5FF8\u5FF1\u5FDD\u60B3\u5FFF\u6021\u6060\u6019\u6010\u6029\u600E\u6031\u601B\u6015\u602B\u6026\u600F\u603A\u605A\u6041\u606A\u6077\u605F\u604A\u6046\u604D\u6063\u6043\u6064\u6042\u606C\u606B\u6059\u6081\u608D\u60E7\u6083\u609A"], ["d8a1", "\u6084\u609B\u6096\u6097\u6092\u60A7\u608B\u60E1\u60B8\u60E0\u60D3\u60B4\u5FF0\u60BD\u60C6\u60B5\u60D8\u614D\u6115\u6106\u60F6\u60F7\u6100\u60F4\u60FA\u6103\u6121\u60FB\u60F1\u610D\u610E\u6147\u613E\u6128\u6127\u614A\u613F\u613C\u612C\u6134\u613D\u6142\u6144\u6173\u6177\u6158\u6159\u615A\u616B\u6174\u616F\u6165\u6171\u615F\u615D\u6153\u6175\u6199\u6196\u6187\u61AC\u6194\u619A\u618A\u6191\u61AB\u61AE\u61CC\u61CA\u61C9\u61F7\u61C8\u61C3\u61C6\u61BA\u61CB\u7F79\u61CD\u61E6\u61E3\u61F6\u61FA\u61F4\u61FF\u61FD\u61FC\u61FE\u6200\u6208\u6209\u620D\u620C\u6214\u621B"], ["d9a1", "\u621E\u6221\u622A\u622E\u6230\u6232\u6233\u6241\u624E\u625E\u6263\u625B\u6260\u6268\u627C\u6282\u6289\u627E\u6292\u6293\u6296\u62D4\u6283\u6294\u62D7\u62D1\u62BB\u62CF\u62FF\u62C6\u64D4\u62C8\u62DC\u62CC\u62CA\u62C2\u62C7\u629B\u62C9\u630C\u62EE\u62F1\u6327\u6302\u6308\u62EF\u62F5\u6350\u633E\u634D\u641C\u634F\u6396\u638E\u6380\u63AB\u6376\u63A3\u638F\u6389\u639F\u63B5\u636B\u6369\u63BE\u63E9\u63C0\u63C6\u63E3\u63C9\u63D2\u63F6\u63C4\u6416\u6434\u6406\u6413\u6426\u6436\u651D\u6417\u6428\u640F\u6467\u646F\u6476\u644E\u652A\u6495\u6493\u64A5\u64A9\u6488\u64BC"], ["daa1", "\u64DA\u64D2\u64C5\u64C7\u64BB\u64D8\u64C2\u64F1\u64E7\u8209\u64E0\u64E1\u62AC\u64E3\u64EF\u652C\u64F6\u64F4\u64F2\u64FA\u6500\u64FD\u6518\u651C\u6505\u6524\u6523\u652B\u6534\u6535\u6537\u6536\u6538\u754B\u6548\u6556\u6555\u654D\u6558\u655E\u655D\u6572\u6578\u6582\u6583\u8B8A\u659B\u659F\u65AB\u65B7\u65C3\u65C6\u65C1\u65C4\u65CC\u65D2\u65DB\u65D9\u65E0\u65E1\u65F1\u6772\u660A\u6603\u65FB\u6773\u6635\u6636\u6634\u661C\u664F\u6644\u6649\u6641\u665E\u665D\u6664\u6667\u6668\u665F\u6662\u6670\u6683\u6688\u668E\u6689\u6684\u6698\u669D\u66C1\u66B9\u66C9\u66BE\u66BC"], ["dba1", "\u66C4\u66B8\u66D6\u66DA\u66E0\u663F\u66E6\u66E9\u66F0\u66F5\u66F7\u670F\u6716\u671E\u6726\u6727\u9738\u672E\u673F\u6736\u6741\u6738\u6737\u6746\u675E\u6760\u6759\u6763\u6764\u6789\u6770\u67A9\u677C\u676A\u678C\u678B\u67A6\u67A1\u6785\u67B7\u67EF\u67B4\u67EC\u67B3\u67E9\u67B8\u67E4\u67DE\u67DD\u67E2\u67EE\u67B9\u67CE\u67C6\u67E7\u6A9C\u681E\u6846\u6829\u6840\u684D\u6832\u684E\u68B3\u682B\u6859\u6863\u6877\u687F\u689F\u688F\u68AD\u6894\u689D\u689B\u6883\u6AAE\u68B9\u6874\u68B5\u68A0\u68BA\u690F\u688D\u687E\u6901\u68CA\u6908\u68D8\u6922\u6926\u68E1\u690C\u68CD"], ["dca1", "\u68D4\u68E7\u68D5\u6936\u6912\u6904\u68D7\u68E3\u6925\u68F9\u68E0\u68EF\u6928\u692A\u691A\u6923\u6921\u68C6\u6979\u6977\u695C\u6978\u696B\u6954\u697E\u696E\u6939\u6974\u693D\u6959\u6930\u6961\u695E\u695D\u6981\u696A\u69B2\u69AE\u69D0\u69BF\u69C1\u69D3\u69BE\u69CE\u5BE8\u69CA\u69DD\u69BB\u69C3\u69A7\u6A2E\u6991\u69A0\u699C\u6995\u69B4\u69DE\u69E8\u6A02\u6A1B\u69FF\u6B0A\u69F9\u69F2\u69E7\u6A05\u69B1\u6A1E\u69ED\u6A14\u69EB\u6A0A\u6A12\u6AC1\u6A23\u6A13\u6A44\u6A0C\u6A72\u6A36\u6A78\u6A47\u6A62\u6A59\u6A66\u6A48\u6A38\u6A22\u6A90\u6A8D\u6AA0\u6A84\u6AA2\u6AA3"], ["dda1", "\u6A97\u8617\u6ABB\u6AC3\u6AC2\u6AB8\u6AB3\u6AAC\u6ADE\u6AD1\u6ADF\u6AAA\u6ADA\u6AEA\u6AFB\u6B05\u8616\u6AFA\u6B12\u6B16\u9B31\u6B1F\u6B38\u6B37\u76DC\u6B39\u98EE\u6B47\u6B43\u6B49\u6B50\u6B59\u6B54\u6B5B\u6B5F\u6B61\u6B78\u6B79\u6B7F\u6B80\u6B84\u6B83\u6B8D\u6B98\u6B95\u6B9E\u6BA4\u6BAA\u6BAB\u6BAF\u6BB2\u6BB1\u6BB3\u6BB7\u6BBC\u6BC6\u6BCB\u6BD3\u6BDF\u6BEC\u6BEB\u6BF3\u6BEF\u9EBE\u6C08\u6C13\u6C14\u6C1B\u6C24\u6C23\u6C5E\u6C55\u6C62\u6C6A\u6C82\u6C8D\u6C9A\u6C81\u6C9B\u6C7E\u6C68\u6C73\u6C92\u6C90\u6CC4\u6CF1\u6CD3\u6CBD\u6CD7\u6CC5\u6CDD\u6CAE\u6CB1\u6CBE"], ["dea1", "\u6CBA\u6CDB\u6CEF\u6CD9\u6CEA\u6D1F\u884D\u6D36\u6D2B\u6D3D\u6D38\u6D19\u6D35\u6D33\u6D12\u6D0C\u6D63\u6D93\u6D64\u6D5A\u6D79\u6D59\u6D8E\u6D95\u6FE4\u6D85\u6DF9\u6E15\u6E0A\u6DB5\u6DC7\u6DE6\u6DB8\u6DC6\u6DEC\u6DDE\u6DCC\u6DE8\u6DD2\u6DC5\u6DFA\u6DD9\u6DE4\u6DD5\u6DEA\u6DEE\u6E2D\u6E6E\u6E2E\u6E19\u6E72\u6E5F\u6E3E\u6E23\u6E6B\u6E2B\u6E76\u6E4D\u6E1F\u6E43\u6E3A\u6E4E\u6E24\u6EFF\u6E1D\u6E38\u6E82\u6EAA\u6E98\u6EC9\u6EB7\u6ED3\u6EBD\u6EAF\u6EC4\u6EB2\u6ED4\u6ED5\u6E8F\u6EA5\u6EC2\u6E9F\u6F41\u6F11\u704C\u6EEC\u6EF8\u6EFE\u6F3F\u6EF2\u6F31\u6EEF\u6F32\u6ECC"], ["dfa1", "\u6F3E\u6F13\u6EF7\u6F86\u6F7A\u6F78\u6F81\u6F80\u6F6F\u6F5B\u6FF3\u6F6D\u6F82\u6F7C\u6F58\u6F8E\u6F91\u6FC2\u6F66\u6FB3\u6FA3\u6FA1\u6FA4\u6FB9\u6FC6\u6FAA\u6FDF\u6FD5\u6FEC\u6FD4\u6FD8\u6FF1\u6FEE\u6FDB\u7009\u700B\u6FFA\u7011\u7001\u700F\u6FFE\u701B\u701A\u6F74\u701D\u7018\u701F\u7030\u703E\u7032\u7051\u7063\u7099\u7092\u70AF\u70F1\u70AC\u70B8\u70B3\u70AE\u70DF\u70CB\u70DD\u70D9\u7109\u70FD\u711C\u7119\u7165\u7155\u7188\u7166\u7162\u714C\u7156\u716C\u718F\u71FB\u7184\u7195\u71A8\u71AC\u71D7\u71B9\u71BE\u71D2\u71C9\u71D4\u71CE\u71E0\u71EC\u71E7\u71F5\u71FC"], ["e0a1", "\u71F9\u71FF\u720D\u7210\u721B\u7228\u722D\u722C\u7230\u7232\u723B\u723C\u723F\u7240\u7246\u724B\u7258\u7274\u727E\u7282\u7281\u7287\u7292\u7296\u72A2\u72A7\u72B9\u72B2\u72C3\u72C6\u72C4\u72CE\u72D2\u72E2\u72E0\u72E1\u72F9\u72F7\u500F\u7317\u730A\u731C\u7316\u731D\u7334\u732F\u7329\u7325\u733E\u734E\u734F\u9ED8\u7357\u736A\u7368\u7370\u7378\u7375\u737B\u737A\u73C8\u73B3\u73CE\u73BB\u73C0\u73E5\u73EE\u73DE\u74A2\u7405\u746F\u7425\u73F8\u7432\u743A\u7455\u743F\u745F\u7459\u7441\u745C\u7469\u7470\u7463\u746A\u7476\u747E\u748B\u749E\u74A7\u74CA\u74CF\u74D4\u73F1"], ["e1a1", "\u74E0\u74E3\u74E7\u74E9\u74EE\u74F2\u74F0\u74F1\u74F8\u74F7\u7504\u7503\u7505\u750C\u750E\u750D\u7515\u7513\u751E\u7526\u752C\u753C\u7544\u754D\u754A\u7549\u755B\u7546\u755A\u7569\u7564\u7567\u756B\u756D\u7578\u7576\u7586\u7587\u7574\u758A\u7589\u7582\u7594\u759A\u759D\u75A5\u75A3\u75C2\u75B3\u75C3\u75B5\u75BD\u75B8\u75BC\u75B1\u75CD\u75CA\u75D2\u75D9\u75E3\u75DE\u75FE\u75FF\u75FC\u7601\u75F0\u75FA\u75F2\u75F3\u760B\u760D\u7609\u761F\u7627\u7620\u7621\u7622\u7624\u7634\u7630\u763B\u7647\u7648\u7646\u765C\u7658\u7661\u7662\u7668\u7669\u766A\u7667\u766C\u7670"], ["e2a1", "\u7672\u7676\u7678\u767C\u7680\u7683\u7688\u768B\u768E\u7696\u7693\u7699\u769A\u76B0\u76B4\u76B8\u76B9\u76BA\u76C2\u76CD\u76D6\u76D2\u76DE\u76E1\u76E5\u76E7\u76EA\u862F\u76FB\u7708\u7707\u7704\u7729\u7724\u771E\u7725\u7726\u771B\u7737\u7738\u7747\u775A\u7768\u776B\u775B\u7765\u777F\u777E\u7779\u778E\u778B\u7791\u77A0\u779E\u77B0\u77B6\u77B9\u77BF\u77BC\u77BD\u77BB\u77C7\u77CD\u77D7\u77DA\u77DC\u77E3\u77EE\u77FC\u780C\u7812\u7926\u7820\u792A\u7845\u788E\u7874\u7886\u787C\u789A\u788C\u78A3\u78B5\u78AA\u78AF\u78D1\u78C6\u78CB\u78D4\u78BE\u78BC\u78C5\u78CA\u78EC"], ["e3a1", "\u78E7\u78DA\u78FD\u78F4\u7907\u7912\u7911\u7919\u792C\u792B\u7940\u7960\u7957\u795F\u795A\u7955\u7953\u797A\u797F\u798A\u799D\u79A7\u9F4B\u79AA\u79AE\u79B3\u79B9\u79BA\u79C9\u79D5\u79E7\u79EC\u79E1\u79E3\u7A08\u7A0D\u7A18\u7A19\u7A20\u7A1F\u7980\u7A31\u7A3B\u7A3E\u7A37\u7A43\u7A57\u7A49\u7A61\u7A62\u7A69\u9F9D\u7A70\u7A79\u7A7D\u7A88\u7A97\u7A95\u7A98\u7A96\u7AA9\u7AC8\u7AB0\u7AB6\u7AC5\u7AC4\u7ABF\u9083\u7AC7\u7ACA\u7ACD\u7ACF\u7AD5\u7AD3\u7AD9\u7ADA\u7ADD\u7AE1\u7AE2\u7AE6\u7AED\u7AF0\u7B02\u7B0F\u7B0A\u7B06\u7B33\u7B18\u7B19\u7B1E\u7B35\u7B28\u7B36\u7B50"], ["e4a1", "\u7B7A\u7B04\u7B4D\u7B0B\u7B4C\u7B45\u7B75\u7B65\u7B74\u7B67\u7B70\u7B71\u7B6C\u7B6E\u7B9D\u7B98\u7B9F\u7B8D\u7B9C\u7B9A\u7B8B\u7B92\u7B8F\u7B5D\u7B99\u7BCB\u7BC1\u7BCC\u7BCF\u7BB4\u7BC6\u7BDD\u7BE9\u7C11\u7C14\u7BE6\u7BE5\u7C60\u7C00\u7C07\u7C13\u7BF3\u7BF7\u7C17\u7C0D\u7BF6\u7C23\u7C27\u7C2A\u7C1F\u7C37\u7C2B\u7C3D\u7C4C\u7C43\u7C54\u7C4F\u7C40\u7C50\u7C58\u7C5F\u7C64\u7C56\u7C65\u7C6C\u7C75\u7C83\u7C90\u7CA4\u7CAD\u7CA2\u7CAB\u7CA1\u7CA8\u7CB3\u7CB2\u7CB1\u7CAE\u7CB9\u7CBD\u7CC0\u7CC5\u7CC2\u7CD8\u7CD2\u7CDC\u7CE2\u9B3B\u7CEF\u7CF2\u7CF4\u7CF6\u7CFA\u7D06"], ["e5a1", "\u7D02\u7D1C\u7D15\u7D0A\u7D45\u7D4B\u7D2E\u7D32\u7D3F\u7D35\u7D46\u7D73\u7D56\u7D4E\u7D72\u7D68\u7D6E\u7D4F\u7D63\u7D93\u7D89\u7D5B\u7D8F\u7D7D\u7D9B\u7DBA\u7DAE\u7DA3\u7DB5\u7DC7\u7DBD\u7DAB\u7E3D\u7DA2\u7DAF\u7DDC\u7DB8\u7D9F\u7DB0\u7DD8\u7DDD\u7DE4\u7DDE\u7DFB\u7DF2\u7DE1\u7E05\u7E0A\u7E23\u7E21\u7E12\u7E31\u7E1F\u7E09\u7E0B\u7E22\u7E46\u7E66\u7E3B\u7E35\u7E39\u7E43\u7E37\u7E32\u7E3A\u7E67\u7E5D\u7E56\u7E5E\u7E59\u7E5A\u7E79\u7E6A\u7E69\u7E7C\u7E7B\u7E83\u7DD5\u7E7D\u8FAE\u7E7F\u7E88\u7E89\u7E8C\u7E92\u7E90\u7E93\u7E94\u7E96\u7E8E\u7E9B\u7E9C\u7F38\u7F3A"], ["e6a1", "\u7F45\u7F4C\u7F4D\u7F4E\u7F50\u7F51\u7F55\u7F54\u7F58\u7F5F\u7F60\u7F68\u7F69\u7F67\u7F78\u7F82\u7F86\u7F83\u7F88\u7F87\u7F8C\u7F94\u7F9E\u7F9D\u7F9A\u7FA3\u7FAF\u7FB2\u7FB9\u7FAE\u7FB6\u7FB8\u8B71\u7FC5\u7FC6\u7FCA\u7FD5\u7FD4\u7FE1\u7FE6\u7FE9\u7FF3\u7FF9\u98DC\u8006\u8004\u800B\u8012\u8018\u8019\u801C\u8021\u8028\u803F\u803B\u804A\u8046\u8052\u8058\u805A\u805F\u8062\u8068\u8073\u8072\u8070\u8076\u8079\u807D\u807F\u8084\u8086\u8085\u809B\u8093\u809A\u80AD\u5190\u80AC\u80DB\u80E5\u80D9\u80DD\u80C4\u80DA\u80D6\u8109\u80EF\u80F1\u811B\u8129\u8123\u812F\u814B"], ["e7a1", "\u968B\u8146\u813E\u8153\u8151\u80FC\u8171\u816E\u8165\u8166\u8174\u8183\u8188\u818A\u8180\u8182\u81A0\u8195\u81A4\u81A3\u815F\u8193\u81A9\u81B0\u81B5\u81BE\u81B8\u81BD\u81C0\u81C2\u81BA\u81C9\u81CD\u81D1\u81D9\u81D8\u81C8\u81DA\u81DF\u81E0\u81E7\u81FA\u81FB\u81FE\u8201\u8202\u8205\u8207\u820A\u820D\u8210\u8216\u8229\u822B\u8238\u8233\u8240\u8259\u8258\u825D\u825A\u825F\u8264\u8262\u8268\u826A\u826B\u822E\u8271\u8277\u8278\u827E\u828D\u8292\u82AB\u829F\u82BB\u82AC\u82E1\u82E3\u82DF\u82D2\u82F4\u82F3\u82FA\u8393\u8303\u82FB\u82F9\u82DE\u8306\u82DC\u8309\u82D9"], ["e8a1", "\u8335\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345\u832F\u832B\u8317\u8318\u8385\u839A\u83AA\u839F\u83A2\u8396\u8323\u838E\u8387\u838A\u837C\u83B5\u8373\u8375\u83A0\u8389\u83A8\u83F4\u8413\u83EB\u83CE\u83FD\u8403\u83D8\u840B\u83C1\u83F7\u8407\u83E0\u83F2\u840D\u8422\u8420\u83BD\u8438\u8506\u83FB\u846D\u842A\u843C\u855A\u8484\u8477\u846B\u84AD\u846E\u8482\u8469\u8446\u842C\u846F\u8479\u8435\u84CA\u8462\u84B9\u84BF\u849F\u84D9\u84CD\u84BB\u84DA\u84D0\u84C1\u84C6\u84D6\u84A1\u8521\u84FF\u84F4\u8517\u8518\u852C\u851F\u8515\u8514\u84FC\u8540\u8563\u8558\u8548"], ["e9a1", "\u8541\u8602\u854B\u8555\u8580\u85A4\u8588\u8591\u858A\u85A8\u856D\u8594\u859B\u85EA\u8587\u859C\u8577\u857E\u8590\u85C9\u85BA\u85CF\u85B9\u85D0\u85D5\u85DD\u85E5\u85DC\u85F9\u860A\u8613\u860B\u85FE\u85FA\u8606\u8622\u861A\u8630\u863F\u864D\u4E55\u8654\u865F\u8667\u8671\u8693\u86A3\u86A9\u86AA\u868B\u868C\u86B6\u86AF\u86C4\u86C6\u86B0\u86C9\u8823\u86AB\u86D4\u86DE\u86E9\u86EC\u86DF\u86DB\u86EF\u8712\u8706\u8708\u8700\u8703\u86FB\u8711\u8709\u870D\u86F9\u870A\u8734\u873F\u8737\u873B\u8725\u8729\u871A\u8760\u875F\u8778\u874C\u874E\u8774\u8757\u8768\u876E\u8759"], ["eaa1", "\u8753\u8763\u876A\u8805\u87A2\u879F\u8782\u87AF\u87CB\u87BD\u87C0\u87D0\u96D6\u87AB\u87C4\u87B3\u87C7\u87C6\u87BB\u87EF\u87F2\u87E0\u880F\u880D\u87FE\u87F6\u87F7\u880E\u87D2\u8811\u8816\u8815\u8822\u8821\u8831\u8836\u8839\u8827\u883B\u8844\u8842\u8852\u8859\u885E\u8862\u886B\u8881\u887E\u889E\u8875\u887D\u88B5\u8872\u8882\u8897\u8892\u88AE\u8899\u88A2\u888D\u88A4\u88B0\u88BF\u88B1\u88C3\u88C4\u88D4\u88D8\u88D9\u88DD\u88F9\u8902\u88FC\u88F4\u88E8\u88F2\u8904\u890C\u890A\u8913\u8943\u891E\u8925\u892A\u892B\u8941\u8944\u893B\u8936\u8938\u894C\u891D\u8960\u895E"], ["eba1", "\u8966\u8964\u896D\u896A\u896F\u8974\u8977\u897E\u8983\u8988\u898A\u8993\u8998\u89A1\u89A9\u89A6\u89AC\u89AF\u89B2\u89BA\u89BD\u89BF\u89C0\u89DA\u89DC\u89DD\u89E7\u89F4\u89F8\u8A03\u8A16\u8A10\u8A0C\u8A1B\u8A1D\u8A25\u8A36\u8A41\u8A5B\u8A52\u8A46\u8A48\u8A7C\u8A6D\u8A6C\u8A62\u8A85\u8A82\u8A84\u8AA8\u8AA1\u8A91\u8AA5\u8AA6\u8A9A\u8AA3\u8AC4\u8ACD\u8AC2\u8ADA\u8AEB\u8AF3\u8AE7\u8AE4\u8AF1\u8B14\u8AE0\u8AE2\u8AF7\u8ADE\u8ADB\u8B0C\u8B07\u8B1A\u8AE1\u8B16\u8B10\u8B17\u8B20\u8B33\u97AB\u8B26\u8B2B\u8B3E\u8B28\u8B41\u8B4C\u8B4F\u8B4E\u8B49\u8B56\u8B5B\u8B5A\u8B6B"], ["eca1", "\u8B5F\u8B6C\u8B6F\u8B74\u8B7D\u8B80\u8B8C\u8B8E\u8B92\u8B93\u8B96\u8B99\u8B9A\u8C3A\u8C41\u8C3F\u8C48\u8C4C\u8C4E\u8C50\u8C55\u8C62\u8C6C\u8C78\u8C7A\u8C82\u8C89\u8C85\u8C8A\u8C8D\u8C8E\u8C94\u8C7C\u8C98\u621D\u8CAD\u8CAA\u8CBD\u8CB2\u8CB3\u8CAE\u8CB6\u8CC8\u8CC1\u8CE4\u8CE3\u8CDA\u8CFD\u8CFA\u8CFB\u8D04\u8D05\u8D0A\u8D07\u8D0F\u8D0D\u8D10\u9F4E\u8D13\u8CCD\u8D14\u8D16\u8D67\u8D6D\u8D71\u8D73\u8D81\u8D99\u8DC2\u8DBE\u8DBA\u8DCF\u8DDA\u8DD6\u8DCC\u8DDB\u8DCB\u8DEA\u8DEB\u8DDF\u8DE3\u8DFC\u8E08\u8E09\u8DFF\u8E1D\u8E1E\u8E10\u8E1F\u8E42\u8E35\u8E30\u8E34\u8E4A"], ["eda1", "\u8E47\u8E49\u8E4C\u8E50\u8E48\u8E59\u8E64\u8E60\u8E2A\u8E63\u8E55\u8E76\u8E72\u8E7C\u8E81\u8E87\u8E85\u8E84\u8E8B\u8E8A\u8E93\u8E91\u8E94\u8E99\u8EAA\u8EA1\u8EAC\u8EB0\u8EC6\u8EB1\u8EBE\u8EC5\u8EC8\u8ECB\u8EDB\u8EE3\u8EFC\u8EFB\u8EEB\u8EFE\u8F0A\u8F05\u8F15\u8F12\u8F19\u8F13\u8F1C\u8F1F\u8F1B\u8F0C\u8F26\u8F33\u8F3B\u8F39\u8F45\u8F42\u8F3E\u8F4C\u8F49\u8F46\u8F4E\u8F57\u8F5C\u8F62\u8F63\u8F64\u8F9C\u8F9F\u8FA3\u8FAD\u8FAF\u8FB7\u8FDA\u8FE5\u8FE2\u8FEA\u8FEF\u9087\u8FF4\u9005\u8FF9\u8FFA\u9011\u9015\u9021\u900D\u901E\u9016\u900B\u9027\u9036\u9035\u9039\u8FF8"], ["eea1", "\u904F\u9050\u9051\u9052\u900E\u9049\u903E\u9056\u9058\u905E\u9068\u906F\u9076\u96A8\u9072\u9082\u907D\u9081\u9080\u908A\u9089\u908F\u90A8\u90AF\u90B1\u90B5\u90E2\u90E4\u6248\u90DB\u9102\u9112\u9119\u9132\u9130\u914A\u9156\u9158\u9163\u9165\u9169\u9173\u9172\u918B\u9189\u9182\u91A2\u91AB\u91AF\u91AA\u91B5\u91B4\u91BA\u91C0\u91C1\u91C9\u91CB\u91D0\u91D6\u91DF\u91E1\u91DB\u91FC\u91F5\u91F6\u921E\u91FF\u9214\u922C\u9215\u9211\u925E\u9257\u9245\u9249\u9264\u9248\u9295\u923F\u924B\u9250\u929C\u9296\u9293\u929B\u925A\u92CF\u92B9\u92B7\u92E9\u930F\u92FA\u9344\u932E"], ["efa1", "\u9319\u9322\u931A\u9323\u933A\u9335\u933B\u935C\u9360\u937C\u936E\u9356\u93B0\u93AC\u93AD\u9394\u93B9\u93D6\u93D7\u93E8\u93E5\u93D8\u93C3\u93DD\u93D0\u93C8\u93E4\u941A\u9414\u9413\u9403\u9407\u9410\u9436\u942B\u9435\u9421\u943A\u9441\u9452\u9444\u945B\u9460\u9462\u945E\u946A\u9229\u9470\u9475\u9477\u947D\u945A\u947C\u947E\u9481\u947F\u9582\u9587\u958A\u9594\u9596\u9598\u9599\u95A0\u95A8\u95A7\u95AD\u95BC\u95BB\u95B9\u95BE\u95CA\u6FF6\u95C3\u95CD\u95CC\u95D5\u95D4\u95D6\u95DC\u95E1\u95E5\u95E2\u9621\u9628\u962E\u962F\u9642\u964C\u964F\u964B\u9677\u965C\u965E"], ["f0a1", "\u965D\u965F\u9666\u9672\u966C\u968D\u9698\u9695\u9697\u96AA\u96A7\u96B1\u96B2\u96B0\u96B4\u96B6\u96B8\u96B9\u96CE\u96CB\u96C9\u96CD\u894D\u96DC\u970D\u96D5\u96F9\u9704\u9706\u9708\u9713\u970E\u9711\u970F\u9716\u9719\u9724\u972A\u9730\u9739\u973D\u973E\u9744\u9746\u9748\u9742\u9749\u975C\u9760\u9764\u9766\u9768\u52D2\u976B\u9771\u9779\u9785\u977C\u9781\u977A\u9786\u978B\u978F\u9790\u979C\u97A8\u97A6\u97A3\u97B3\u97B4\u97C3\u97C6\u97C8\u97CB\u97DC\u97ED\u9F4F\u97F2\u7ADF\u97F6\u97F5\u980F\u980C\u9838\u9824\u9821\u9837\u983D\u9846\u984F\u984B\u986B\u986F\u9870"], ["f1a1", "\u9871\u9874\u9873\u98AA\u98AF\u98B1\u98B6\u98C4\u98C3\u98C6\u98E9\u98EB\u9903\u9909\u9912\u9914\u9918\u9921\u991D\u991E\u9924\u9920\u992C\u992E\u993D\u993E\u9942\u9949\u9945\u9950\u994B\u9951\u9952\u994C\u9955\u9997\u9998\u99A5\u99AD\u99AE\u99BC\u99DF\u99DB\u99DD\u99D8\u99D1\u99ED\u99EE\u99F1\u99F2\u99FB\u99F8\u9A01\u9A0F\u9A05\u99E2\u9A19\u9A2B\u9A37\u9A45\u9A42\u9A40\u9A43\u9A3E\u9A55\u9A4D\u9A5B\u9A57\u9A5F\u9A62\u9A65\u9A64\u9A69\u9A6B\u9A6A\u9AAD\u9AB0\u9ABC\u9AC0\u9ACF\u9AD1\u9AD3\u9AD4\u9ADE\u9ADF\u9AE2\u9AE3\u9AE6\u9AEF\u9AEB\u9AEE\u9AF4\u9AF1\u9AF7"], ["f2a1", "\u9AFB\u9B06\u9B18\u9B1A\u9B1F\u9B22\u9B23\u9B25\u9B27\u9B28\u9B29\u9B2A\u9B2E\u9B2F\u9B32\u9B44\u9B43\u9B4F\u9B4D\u9B4E\u9B51\u9B58\u9B74\u9B93\u9B83\u9B91\u9B96\u9B97\u9B9F\u9BA0\u9BA8\u9BB4\u9BC0\u9BCA\u9BB9\u9BC6\u9BCF\u9BD1\u9BD2\u9BE3\u9BE2\u9BE4\u9BD4\u9BE1\u9C3A\u9BF2\u9BF1\u9BF0\u9C15\u9C14\u9C09\u9C13\u9C0C\u9C06\u9C08\u9C12\u9C0A\u9C04\u9C2E\u9C1B\u9C25\u9C24\u9C21\u9C30\u9C47\u9C32\u9C46\u9C3E\u9C5A\u9C60\u9C67\u9C76\u9C78\u9CE7\u9CEC\u9CF0\u9D09\u9D08\u9CEB\u9D03\u9D06\u9D2A\u9D26\u9DAF\u9D23\u9D1F\u9D44\u9D15\u9D12\u9D41\u9D3F\u9D3E\u9D46\u9D48"], ["f3a1", "\u9D5D\u9D5E\u9D64\u9D51\u9D50\u9D59\u9D72\u9D89\u9D87\u9DAB\u9D6F\u9D7A\u9D9A\u9DA4\u9DA9\u9DB2\u9DC4\u9DC1\u9DBB\u9DB8\u9DBA\u9DC6\u9DCF\u9DC2\u9DD9\u9DD3\u9DF8\u9DE6\u9DED\u9DEF\u9DFD\u9E1A\u9E1B\u9E1E\u9E75\u9E79\u9E7D\u9E81\u9E88\u9E8B\u9E8C\u9E92\u9E95\u9E91\u9E9D\u9EA5\u9EA9\u9EB8\u9EAA\u9EAD\u9761\u9ECC\u9ECE\u9ECF\u9ED0\u9ED4\u9EDC\u9EDE\u9EDD\u9EE0\u9EE5\u9EE8\u9EEF\u9EF4\u9EF6\u9EF7\u9EF9\u9EFB\u9EFC\u9EFD\u9F07\u9F08\u76B7\u9F15\u9F21\u9F2C\u9F3E\u9F4A\u9F52\u9F54\u9F63\u9F5F\u9F60\u9F61\u9F66\u9F67\u9F6C\u9F6A\u9F77\u9F72\u9F76\u9F95\u9F9C\u9FA0"], ["f4a1", "\u582F\u69C7\u9059\u7464\u51DC\u7199"], ["f9a1", "\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7"], ["faa1", "\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1"], ["fba1", "\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA"], ["fca1", "\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"], ["fcf1", "\u2170", 9, "\uFFE2\uFFE4\uFF07\uFF02"], ["8fa2af", "\u02D8\u02C7\xB8\u02D9\u02DD\xAF\u02DB\u02DA\uFF5E\u0384\u0385"], ["8fa2c2", "\xA1\xA6\xBF"], ["8fa2eb", "\xBA\xAA\xA9\xAE\u2122\xA4\u2116"], ["8fa6e1", "\u0386\u0388\u0389\u038A\u03AA"], ["8fa6e7", "\u038C"], ["8fa6e9", "\u038E\u03AB"], ["8fa6ec", "\u038F"], ["8fa6f1", "\u03AC\u03AD\u03AE\u03AF\u03CA\u0390\u03CC\u03C2\u03CD\u03CB\u03B0\u03CE"], ["8fa7c2", "\u0402", 10, "\u040E\u040F"], ["8fa7f2", "\u0452", 10, "\u045E\u045F"], ["8fa9a1", "\xC6\u0110"], ["8fa9a4", "\u0126"], ["8fa9a6", "\u0132"], ["8fa9a8", "\u0141\u013F"], ["8fa9ab", "\u014A\xD8\u0152"], ["8fa9af", "\u0166\xDE"], ["8fa9c1", "\xE6\u0111\xF0\u0127\u0131\u0133\u0138\u0142\u0140\u0149\u014B\xF8\u0153\xDF\u0167\xFE"], ["8faaa1", "\xC1\xC0\xC4\xC2\u0102\u01CD\u0100\u0104\xC5\xC3\u0106\u0108\u010C\xC7\u010A\u010E\xC9\xC8\xCB\xCA\u011A\u0116\u0112\u0118"], ["8faaba", "\u011C\u011E\u0122\u0120\u0124\xCD\xCC\xCF\xCE\u01CF\u0130\u012A\u012E\u0128\u0134\u0136\u0139\u013D\u013B\u0143\u0147\u0145\xD1\xD3\xD2\xD6\xD4\u01D1\u0150\u014C\xD5\u0154\u0158\u0156\u015A\u015C\u0160\u015E\u0164\u0162\xDA\xD9\xDC\xDB\u016C\u01D3\u0170\u016A\u0172\u016E\u0168\u01D7\u01DB\u01D9\u01D5\u0174\xDD\u0178\u0176\u0179\u017D\u017B"], ["8faba1", "\xE1\xE0\xE4\xE2\u0103\u01CE\u0101\u0105\xE5\xE3\u0107\u0109\u010D\xE7\u010B\u010F\xE9\xE8\xEB\xEA\u011B\u0117\u0113\u0119\u01F5\u011D\u011F"], ["8fabbd", "\u0121\u0125\xED\xEC\xEF\xEE\u01D0"], ["8fabc5", "\u012B\u012F\u0129\u0135\u0137\u013A\u013E\u013C\u0144\u0148\u0146\xF1\xF3\xF2\xF6\xF4\u01D2\u0151\u014D\xF5\u0155\u0159\u0157\u015B\u015D\u0161\u015F\u0165\u0163\xFA\xF9\xFC\xFB\u016D\u01D4\u0171\u016B\u0173\u016F\u0169\u01D8\u01DC\u01DA\u01D6\u0175\xFD\xFF\u0177\u017A\u017E\u017C"], ["8fb0a1", "\u4E02\u4E04\u4E05\u4E0C\u4E12\u4E1F\u4E23\u4E24\u4E28\u4E2B\u4E2E\u4E2F\u4E30\u4E35\u4E40\u4E41\u4E44\u4E47\u4E51\u4E5A\u4E5C\u4E63\u4E68\u4E69\u4E74\u4E75\u4E79\u4E7F\u4E8D\u4E96\u4E97\u4E9D\u4EAF\u4EB9\u4EC3\u4ED0\u4EDA\u4EDB\u4EE0\u4EE1\u4EE2\u4EE8\u4EEF\u4EF1\u4EF3\u4EF5\u4EFD\u4EFE\u4EFF\u4F00\u4F02\u4F03\u4F08\u4F0B\u4F0C\u4F12\u4F15\u4F16\u4F17\u4F19\u4F2E\u4F31\u4F60\u4F33\u4F35\u4F37\u4F39\u4F3B\u4F3E\u4F40\u4F42\u4F48\u4F49\u4F4B\u4F4C\u4F52\u4F54\u4F56\u4F58\u4F5F\u4F63\u4F6A\u4F6C\u4F6E\u4F71\u4F77\u4F78\u4F79\u4F7A\u4F7D\u4F7E\u4F81\u4F82\u4F84"], ["8fb1a1", "\u4F85\u4F89\u4F8A\u4F8C\u4F8E\u4F90\u4F92\u4F93\u4F94\u4F97\u4F99\u4F9A\u4F9E\u4F9F\u4FB2\u4FB7\u4FB9\u4FBB\u4FBC\u4FBD\u4FBE\u4FC0\u4FC1\u4FC5\u4FC6\u4FC8\u4FC9\u4FCB\u4FCC\u4FCD\u4FCF\u4FD2\u4FDC\u4FE0\u4FE2\u4FF0\u4FF2\u4FFC\u4FFD\u4FFF\u5000\u5001\u5004\u5007\u500A\u500C\u500E\u5010\u5013\u5017\u5018\u501B\u501C\u501D\u501E\u5022\u5027\u502E\u5030\u5032\u5033\u5035\u5040\u5041\u5042\u5045\u5046\u504A\u504C\u504E\u5051\u5052\u5053\u5057\u5059\u505F\u5060\u5062\u5063\u5066\u5067\u506A\u506D\u5070\u5071\u503B\u5081\u5083\u5084\u5086\u508A\u508E\u508F\u5090"], ["8fb2a1", "\u5092\u5093\u5094\u5096\u509B\u509C\u509E", 4, "\u50AA\u50AF\u50B0\u50B9\u50BA\u50BD\u50C0\u50C3\u50C4\u50C7\u50CC\u50CE\u50D0\u50D3\u50D4\u50D8\u50DC\u50DD\u50DF\u50E2\u50E4\u50E6\u50E8\u50E9\u50EF\u50F1\u50F6\u50FA\u50FE\u5103\u5106\u5107\u5108\u510B\u510C\u510D\u510E\u50F2\u5110\u5117\u5119\u511B\u511C\u511D\u511E\u5123\u5127\u5128\u512C\u512D\u512F\u5131\u5133\u5134\u5135\u5138\u5139\u5142\u514A\u514F\u5153\u5155\u5157\u5158\u515F\u5164\u5166\u517E\u5183\u5184\u518B\u518E\u5198\u519D\u51A1\u51A3\u51AD\u51B8\u51BA\u51BC\u51BE\u51BF\u51C2"], ["8fb3a1", "\u51C8\u51CF\u51D1\u51D2\u51D3\u51D5\u51D8\u51DE\u51E2\u51E5\u51EE\u51F2\u51F3\u51F4\u51F7\u5201\u5202\u5205\u5212\u5213\u5215\u5216\u5218\u5222\u5228\u5231\u5232\u5235\u523C\u5245\u5249\u5255\u5257\u5258\u525A\u525C\u525F\u5260\u5261\u5266\u526E\u5277\u5278\u5279\u5280\u5282\u5285\u528A\u528C\u5293\u5295\u5296\u5297\u5298\u529A\u529C\u52A4\u52A5\u52A6\u52A7\u52AF\u52B0\u52B6\u52B7\u52B8\u52BA\u52BB\u52BD\u52C0\u52C4\u52C6\u52C8\u52CC\u52CF\u52D1\u52D4\u52D6\u52DB\u52DC\u52E1\u52E5\u52E8\u52E9\u52EA\u52EC\u52F0\u52F1\u52F4\u52F6\u52F7\u5300\u5303\u530A\u530B"], ["8fb4a1", "\u530C\u5311\u5313\u5318\u531B\u531C\u531E\u531F\u5325\u5327\u5328\u5329\u532B\u532C\u532D\u5330\u5332\u5335\u533C\u533D\u533E\u5342\u534C\u534B\u5359\u535B\u5361\u5363\u5365\u536C\u536D\u5372\u5379\u537E\u5383\u5387\u5388\u538E\u5393\u5394\u5399\u539D\u53A1\u53A4\u53AA\u53AB\u53AF\u53B2\u53B4\u53B5\u53B7\u53B8\u53BA\u53BD\u53C0\u53C5\u53CF\u53D2\u53D3\u53D5\u53DA\u53DD\u53DE\u53E0\u53E6\u53E7\u53F5\u5402\u5413\u541A\u5421\u5427\u5428\u542A\u542F\u5431\u5434\u5435\u5443\u5444\u5447\u544D\u544F\u545E\u5462\u5464\u5466\u5467\u5469\u546B\u546D\u546E\u5474\u547F"], ["8fb5a1", "\u5481\u5483\u5485\u5488\u5489\u548D\u5491\u5495\u5496\u549C\u549F\u54A1\u54A6\u54A7\u54A9\u54AA\u54AD\u54AE\u54B1\u54B7\u54B9\u54BA\u54BB\u54BF\u54C6\u54CA\u54CD\u54CE\u54E0\u54EA\u54EC\u54EF\u54F6\u54FC\u54FE\u54FF\u5500\u5501\u5505\u5508\u5509\u550C\u550D\u550E\u5515\u552A\u552B\u5532\u5535\u5536\u553B\u553C\u553D\u5541\u5547\u5549\u554A\u554D\u5550\u5551\u5558\u555A\u555B\u555E\u5560\u5561\u5564\u5566\u557F\u5581\u5582\u5586\u5588\u558E\u558F\u5591\u5592\u5593\u5594\u5597\u55A3\u55A4\u55AD\u55B2\u55BF\u55C1\u55C3\u55C6\u55C9\u55CB\u55CC\u55CE\u55D1\u55D2"], ["8fb6a1", "\u55D3\u55D7\u55D8\u55DB\u55DE\u55E2\u55E9\u55F6\u55FF\u5605\u5608\u560A\u560D", 5, "\u5619\u562C\u5630\u5633\u5635\u5637\u5639\u563B\u563C\u563D\u563F\u5640\u5641\u5643\u5644\u5646\u5649\u564B\u564D\u564F\u5654\u565E\u5660\u5661\u5662\u5663\u5666\u5669\u566D\u566F\u5671\u5672\u5675\u5684\u5685\u5688\u568B\u568C\u5695\u5699\u569A\u569D\u569E\u569F\u56A6\u56A7\u56A8\u56A9\u56AB\u56AC\u56AD\u56B1\u56B3\u56B7\u56BE\u56C5\u56C9\u56CA\u56CB\u56CF\u56D0\u56CC\u56CD\u56D9\u56DC\u56DD\u56DF\u56E1\u56E4", 4, "\u56F1\u56EB\u56ED"], ["8fb7a1", "\u56F6\u56F7\u5701\u5702\u5707\u570A\u570C\u5711\u5715\u571A\u571B\u571D\u5720\u5722\u5723\u5724\u5725\u5729\u572A\u572C\u572E\u572F\u5733\u5734\u573D\u573E\u573F\u5745\u5746\u574C\u574D\u5752\u5762\u5765\u5767\u5768\u576B\u576D", 4, "\u5773\u5774\u5775\u5777\u5779\u577A\u577B\u577C\u577E\u5781\u5783\u578C\u5794\u5797\u5799\u579A\u579C\u579D\u579E\u579F\u57A1\u5795\u57A7\u57A8\u57A9\u57AC\u57B8\u57BD\u57C7\u57C8\u57CC\u57CF\u57D5\u57DD\u57DE\u57E4\u57E6\u57E7\u57E9\u57ED\u57F0\u57F5\u57F6\u57F8\u57FD\u57FE\u57FF\u5803\u5804\u5808\u5809\u57E1"], ["8fb8a1", "\u580C\u580D\u581B\u581E\u581F\u5820\u5826\u5827\u582D\u5832\u5839\u583F\u5849\u584C\u584D\u584F\u5850\u5855\u585F\u5861\u5864\u5867\u5868\u5878\u587C\u587F\u5880\u5881\u5887\u5888\u5889\u588A\u588C\u588D\u588F\u5890\u5894\u5896\u589D\u58A0\u58A1\u58A2\u58A6\u58A9\u58B1\u58B2\u58C4\u58BC\u58C2\u58C8\u58CD\u58CE\u58D0\u58D2\u58D4\u58D6\u58DA\u58DD\u58E1\u58E2\u58E9\u58F3\u5905\u5906\u590B\u590C\u5912\u5913\u5914\u8641\u591D\u5921\u5923\u5924\u5928\u592F\u5930\u5933\u5935\u5936\u593F\u5943\u5946\u5952\u5953\u5959\u595B\u595D\u595E\u595F\u5961\u5963\u596B\u596D"], ["8fb9a1", "\u596F\u5972\u5975\u5976\u5979\u597B\u597C\u598B\u598C\u598E\u5992\u5995\u5997\u599F\u59A4\u59A7\u59AD\u59AE\u59AF\u59B0\u59B3\u59B7\u59BA\u59BC\u59C1\u59C3\u59C4\u59C8\u59CA\u59CD\u59D2\u59DD\u59DE\u59DF\u59E3\u59E4\u59E7\u59EE\u59EF\u59F1\u59F2\u59F4\u59F7\u5A00\u5A04\u5A0C\u5A0D\u5A0E\u5A12\u5A13\u5A1E\u5A23\u5A24\u5A27\u5A28\u5A2A\u5A2D\u5A30\u5A44\u5A45\u5A47\u5A48\u5A4C\u5A50\u5A55\u5A5E\u5A63\u5A65\u5A67\u5A6D\u5A77\u5A7A\u5A7B\u5A7E\u5A8B\u5A90\u5A93\u5A96\u5A99\u5A9C\u5A9E\u5A9F\u5AA0\u5AA2\u5AA7\u5AAC\u5AB1\u5AB2\u5AB3\u5AB5\u5AB8\u5ABA\u5ABB\u5ABF"], ["8fbaa1", "\u5AC4\u5AC6\u5AC8\u5ACF\u5ADA\u5ADC\u5AE0\u5AE5\u5AEA\u5AEE\u5AF5\u5AF6\u5AFD\u5B00\u5B01\u5B08\u5B17\u5B34\u5B19\u5B1B\u5B1D\u5B21\u5B25\u5B2D\u5B38\u5B41\u5B4B\u5B4C\u5B52\u5B56\u5B5E\u5B68\u5B6E\u5B6F\u5B7C\u5B7D\u5B7E\u5B7F\u5B81\u5B84\u5B86\u5B8A\u5B8E\u5B90\u5B91\u5B93\u5B94\u5B96\u5BA8\u5BA9\u5BAC\u5BAD\u5BAF\u5BB1\u5BB2\u5BB7\u5BBA\u5BBC\u5BC0\u5BC1\u5BCD\u5BCF\u5BD6", 4, "\u5BE0\u5BEF\u5BF1\u5BF4\u5BFD\u5C0C\u5C17\u5C1E\u5C1F\u5C23\u5C26\u5C29\u5C2B\u5C2C\u5C2E\u5C30\u5C32\u5C35\u5C36\u5C59\u5C5A\u5C5C\u5C62\u5C63\u5C67\u5C68\u5C69"], ["8fbba1", "\u5C6D\u5C70\u5C74\u5C75\u5C7A\u5C7B\u5C7C\u5C7D\u5C87\u5C88\u5C8A\u5C8F\u5C92\u5C9D\u5C9F\u5CA0\u5CA2\u5CA3\u5CA6\u5CAA\u5CB2\u5CB4\u5CB5\u5CBA\u5CC9\u5CCB\u5CD2\u5CDD\u5CD7\u5CEE\u5CF1\u5CF2\u5CF4\u5D01\u5D06\u5D0D\u5D12\u5D2B\u5D23\u5D24\u5D26\u5D27\u5D31\u5D34\u5D39\u5D3D\u5D3F\u5D42\u5D43\u5D46\u5D48\u5D55\u5D51\u5D59\u5D4A\u5D5F\u5D60\u5D61\u5D62\u5D64\u5D6A\u5D6D\u5D70\u5D79\u5D7A\u5D7E\u5D7F\u5D81\u5D83\u5D88\u5D8A\u5D92\u5D93\u5D94\u5D95\u5D99\u5D9B\u5D9F\u5DA0\u5DA7\u5DAB\u5DB0\u5DB4\u5DB8\u5DB9\u5DC3\u5DC7\u5DCB\u5DD0\u5DCE\u5DD8\u5DD9\u5DE0\u5DE4"], ["8fbca1", "\u5DE9\u5DF8\u5DF9\u5E00\u5E07\u5E0D\u5E12\u5E14\u5E15\u5E18\u5E1F\u5E20\u5E2E\u5E28\u5E32\u5E35\u5E3E\u5E4B\u5E50\u5E49\u5E51\u5E56\u5E58\u5E5B\u5E5C\u5E5E\u5E68\u5E6A", 4, "\u5E70\u5E80\u5E8B\u5E8E\u5EA2\u5EA4\u5EA5\u5EA8\u5EAA\u5EAC\u5EB1\u5EB3\u5EBD\u5EBE\u5EBF\u5EC6\u5ECC\u5ECB\u5ECE\u5ED1\u5ED2\u5ED4\u5ED5\u5EDC\u5EDE\u5EE5\u5EEB\u5F02\u5F06\u5F07\u5F08\u5F0E\u5F19\u5F1C\u5F1D\u5F21\u5F22\u5F23\u5F24\u5F28\u5F2B\u5F2C\u5F2E\u5F30\u5F34\u5F36\u5F3B\u5F3D\u5F3F\u5F40\u5F44\u5F45\u5F47\u5F4D\u5F50\u5F54\u5F58\u5F5B\u5F60\u5F63\u5F64\u5F67"], ["8fbda1", "\u5F6F\u5F72\u5F74\u5F75\u5F78\u5F7A\u5F7D\u5F7E\u5F89\u5F8D\u5F8F\u5F96\u5F9C\u5F9D\u5FA2\u5FA7\u5FAB\u5FA4\u5FAC\u5FAF\u5FB0\u5FB1\u5FB8\u5FC4\u5FC7\u5FC8\u5FC9\u5FCB\u5FD0", 4, "\u5FDE\u5FE1\u5FE2\u5FE8\u5FE9\u5FEA\u5FEC\u5FED\u5FEE\u5FEF\u5FF2\u5FF3\u5FF6\u5FFA\u5FFC\u6007\u600A\u600D\u6013\u6014\u6017\u6018\u601A\u601F\u6024\u602D\u6033\u6035\u6040\u6047\u6048\u6049\u604C\u6051\u6054\u6056\u6057\u605D\u6061\u6067\u6071\u607E\u607F\u6082\u6086\u6088\u608A\u608E\u6091\u6093\u6095\u6098\u609D\u609E\u60A2\u60A4\u60A5\u60A8\u60B0\u60B1\u60B7"], ["8fbea1", "\u60BB\u60BE\u60C2\u60C4\u60C8\u60C9\u60CA\u60CB\u60CE\u60CF\u60D4\u60D5\u60D9\u60DB\u60DD\u60DE\u60E2\u60E5\u60F2\u60F5\u60F8\u60FC\u60FD\u6102\u6107\u610A\u610C\u6110", 4, "\u6116\u6117\u6119\u611C\u611E\u6122\u612A\u612B\u6130\u6131\u6135\u6136\u6137\u6139\u6141\u6145\u6146\u6149\u615E\u6160\u616C\u6172\u6178\u617B\u617C\u617F\u6180\u6181\u6183\u6184\u618B\u618D\u6192\u6193\u6197\u6198\u619C\u619D\u619F\u61A0\u61A5\u61A8\u61AA\u61AD\u61B8\u61B9\u61BC\u61C0\u61C1\u61C2\u61CE\u61CF\u61D5\u61DC\u61DD\u61DE\u61DF\u61E1\u61E2\u61E7\u61E9\u61E5"], ["8fbfa1", "\u61EC\u61ED\u61EF\u6201\u6203\u6204\u6207\u6213\u6215\u621C\u6220\u6222\u6223\u6227\u6229\u622B\u6239\u623D\u6242\u6243\u6244\u6246\u624C\u6250\u6251\u6252\u6254\u6256\u625A\u625C\u6264\u626D\u626F\u6273\u627A\u627D\u628D\u628E\u628F\u6290\u62A6\u62A8\u62B3\u62B6\u62B7\u62BA\u62BE\u62BF\u62C4\u62CE\u62D5\u62D6\u62DA\u62EA\u62F2\u62F4\u62FC\u62FD\u6303\u6304\u630A\u630B\u630D\u6310\u6313\u6316\u6318\u6329\u632A\u632D\u6335\u6336\u6339\u633C\u6341\u6342\u6343\u6344\u6346\u634A\u634B\u634E\u6352\u6353\u6354\u6358\u635B\u6365\u6366\u636C\u636D\u6371\u6374\u6375"], ["8fc0a1", "\u6378\u637C\u637D\u637F\u6382\u6384\u6387\u638A\u6390\u6394\u6395\u6399\u639A\u639E\u63A4\u63A6\u63AD\u63AE\u63AF\u63BD\u63C1\u63C5\u63C8\u63CE\u63D1\u63D3\u63D4\u63D5\u63DC\u63E0\u63E5\u63EA\u63EC\u63F2\u63F3\u63F5\u63F8\u63F9\u6409\u640A\u6410\u6412\u6414\u6418\u641E\u6420\u6422\u6424\u6425\u6429\u642A\u642F\u6430\u6435\u643D\u643F\u644B\u644F\u6451\u6452\u6453\u6454\u645A\u645B\u645C\u645D\u645F\u6460\u6461\u6463\u646D\u6473\u6474\u647B\u647D\u6485\u6487\u648F\u6490\u6491\u6498\u6499\u649B\u649D\u649F\u64A1\u64A3\u64A6\u64A8\u64AC\u64B3\u64BD\u64BE\u64BF"], ["8fc1a1", "\u64C4\u64C9\u64CA\u64CB\u64CC\u64CE\u64D0\u64D1\u64D5\u64D7\u64E4\u64E5\u64E9\u64EA\u64ED\u64F0\u64F5\u64F7\u64FB\u64FF\u6501\u6504\u6508\u6509\u650A\u650F\u6513\u6514\u6516\u6519\u651B\u651E\u651F\u6522\u6526\u6529\u652E\u6531\u653A\u653C\u653D\u6543\u6547\u6549\u6550\u6552\u6554\u655F\u6560\u6567\u656B\u657A\u657D\u6581\u6585\u658A\u6592\u6595\u6598\u659D\u65A0\u65A3\u65A6\u65AE\u65B2\u65B3\u65B4\u65BF\u65C2\u65C8\u65C9\u65CE\u65D0\u65D4\u65D6\u65D8\u65DF\u65F0\u65F2\u65F4\u65F5\u65F9\u65FE\u65FF\u6600\u6604\u6608\u6609\u660D\u6611\u6612\u6615\u6616\u661D"], ["8fc2a1", "\u661E\u6621\u6622\u6623\u6624\u6626\u6629\u662A\u662B\u662C\u662E\u6630\u6631\u6633\u6639\u6637\u6640\u6645\u6646\u664A\u664C\u6651\u664E\u6657\u6658\u6659\u665B\u665C\u6660\u6661\u66FB\u666A\u666B\u666C\u667E\u6673\u6675\u667F\u6677\u6678\u6679\u667B\u6680\u667C\u668B\u668C\u668D\u6690\u6692\u6699\u669A\u669B\u669C\u669F\u66A0\u66A4\u66AD\u66B1\u66B2\u66B5\u66BB\u66BF\u66C0\u66C2\u66C3\u66C8\u66CC\u66CE\u66CF\u66D4\u66DB\u66DF\u66E8\u66EB\u66EC\u66EE\u66FA\u6705\u6707\u670E\u6713\u6719\u671C\u6720\u6722\u6733\u673E\u6745\u6747\u6748\u674C\u6754\u6755\u675D"], ["8fc3a1", "\u6766\u676C\u676E\u6774\u6776\u677B\u6781\u6784\u678E\u678F\u6791\u6793\u6796\u6798\u6799\u679B\u67B0\u67B1\u67B2\u67B5\u67BB\u67BC\u67BD\u67F9\u67C0\u67C2\u67C3\u67C5\u67C8\u67C9\u67D2\u67D7\u67D9\u67DC\u67E1\u67E6\u67F0\u67F2\u67F6\u67F7\u6852\u6814\u6819\u681D\u681F\u6828\u6827\u682C\u682D\u682F\u6830\u6831\u6833\u683B\u683F\u6844\u6845\u684A\u684C\u6855\u6857\u6858\u685B\u686B\u686E", 4, "\u6875\u6879\u687A\u687B\u687C\u6882\u6884\u6886\u6888\u6896\u6898\u689A\u689C\u68A1\u68A3\u68A5\u68A9\u68AA\u68AE\u68B2\u68BB\u68C5\u68C8\u68CC\u68CF"], ["8fc4a1", "\u68D0\u68D1\u68D3\u68D6\u68D9\u68DC\u68DD\u68E5\u68E8\u68EA\u68EB\u68EC\u68ED\u68F0\u68F1\u68F5\u68F6\u68FB\u68FC\u68FD\u6906\u6909\u690A\u6910\u6911\u6913\u6916\u6917\u6931\u6933\u6935\u6938\u693B\u6942\u6945\u6949\u694E\u6957\u695B\u6963\u6964\u6965\u6966\u6968\u6969\u696C\u6970\u6971\u6972\u697A\u697B\u697F\u6980\u698D\u6992\u6996\u6998\u69A1\u69A5\u69A6\u69A8\u69AB\u69AD\u69AF\u69B7\u69B8\u69BA\u69BC\u69C5\u69C8\u69D1\u69D6\u69D7\u69E2\u69E5\u69EE\u69EF\u69F1\u69F3\u69F5\u69FE\u6A00\u6A01\u6A03\u6A0F\u6A11\u6A15\u6A1A\u6A1D\u6A20\u6A24\u6A28\u6A30\u6A32"], ["8fc5a1", "\u6A34\u6A37\u6A3B\u6A3E\u6A3F\u6A45\u6A46\u6A49\u6A4A\u6A4E\u6A50\u6A51\u6A52\u6A55\u6A56\u6A5B\u6A64\u6A67\u6A6A\u6A71\u6A73\u6A7E\u6A81\u6A83\u6A86\u6A87\u6A89\u6A8B\u6A91\u6A9B\u6A9D\u6A9E\u6A9F\u6AA5\u6AAB\u6AAF\u6AB0\u6AB1\u6AB4\u6ABD\u6ABE\u6ABF\u6AC6\u6AC9\u6AC8\u6ACC\u6AD0\u6AD4\u6AD5\u6AD6\u6ADC\u6ADD\u6AE4\u6AE7\u6AEC\u6AF0\u6AF1\u6AF2\u6AFC\u6AFD\u6B02\u6B03\u6B06\u6B07\u6B09\u6B0F\u6B10\u6B11\u6B17\u6B1B\u6B1E\u6B24\u6B28\u6B2B\u6B2C\u6B2F\u6B35\u6B36\u6B3B\u6B3F\u6B46\u6B4A\u6B4D\u6B52\u6B56\u6B58\u6B5D\u6B60\u6B67\u6B6B\u6B6E\u6B70\u6B75\u6B7D"], ["8fc6a1", "\u6B7E\u6B82\u6B85\u6B97\u6B9B\u6B9F\u6BA0\u6BA2\u6BA3\u6BA8\u6BA9\u6BAC\u6BAD\u6BAE\u6BB0\u6BB8\u6BB9\u6BBD\u6BBE\u6BC3\u6BC4\u6BC9\u6BCC\u6BD6\u6BDA\u6BE1\u6BE3\u6BE6\u6BE7\u6BEE\u6BF1\u6BF7\u6BF9\u6BFF\u6C02\u6C04\u6C05\u6C09\u6C0D\u6C0E\u6C10\u6C12\u6C19\u6C1F\u6C26\u6C27\u6C28\u6C2C\u6C2E\u6C33\u6C35\u6C36\u6C3A\u6C3B\u6C3F\u6C4A\u6C4B\u6C4D\u6C4F\u6C52\u6C54\u6C59\u6C5B\u6C5C\u6C6B\u6C6D\u6C6F\u6C74\u6C76\u6C78\u6C79\u6C7B\u6C85\u6C86\u6C87\u6C89\u6C94\u6C95\u6C97\u6C98\u6C9C\u6C9F\u6CB0\u6CB2\u6CB4\u6CC2\u6CC6\u6CCD\u6CCF\u6CD0\u6CD1\u6CD2\u6CD4\u6CD6"], ["8fc7a1", "\u6CDA\u6CDC\u6CE0\u6CE7\u6CE9\u6CEB\u6CEC\u6CEE\u6CF2\u6CF4\u6D04\u6D07\u6D0A\u6D0E\u6D0F\u6D11\u6D13\u6D1A\u6D26\u6D27\u6D28\u6C67\u6D2E\u6D2F\u6D31\u6D39\u6D3C\u6D3F\u6D57\u6D5E\u6D5F\u6D61\u6D65\u6D67\u6D6F\u6D70\u6D7C\u6D82\u6D87\u6D91\u6D92\u6D94\u6D96\u6D97\u6D98\u6DAA\u6DAC\u6DB4\u6DB7\u6DB9\u6DBD\u6DBF\u6DC4\u6DC8\u6DCA\u6DCE\u6DCF\u6DD6\u6DDB\u6DDD\u6DDF\u6DE0\u6DE2\u6DE5\u6DE9\u6DEF\u6DF0\u6DF4\u6DF6\u6DFC\u6E00\u6E04\u6E1E\u6E22\u6E27\u6E32\u6E36\u6E39\u6E3B\u6E3C\u6E44\u6E45\u6E48\u6E49\u6E4B\u6E4F\u6E51\u6E52\u6E53\u6E54\u6E57\u6E5C\u6E5D\u6E5E"], ["8fc8a1", "\u6E62\u6E63\u6E68\u6E73\u6E7B\u6E7D\u6E8D\u6E93\u6E99\u6EA0\u6EA7\u6EAD\u6EAE\u6EB1\u6EB3\u6EBB\u6EBF\u6EC0\u6EC1\u6EC3\u6EC7\u6EC8\u6ECA\u6ECD\u6ECE\u6ECF\u6EEB\u6EED\u6EEE\u6EF9\u6EFB\u6EFD\u6F04\u6F08\u6F0A\u6F0C\u6F0D\u6F16\u6F18\u6F1A\u6F1B\u6F26\u6F29\u6F2A\u6F2F\u6F30\u6F33\u6F36\u6F3B\u6F3C\u6F2D\u6F4F\u6F51\u6F52\u6F53\u6F57\u6F59\u6F5A\u6F5D\u6F5E\u6F61\u6F62\u6F68\u6F6C\u6F7D\u6F7E\u6F83\u6F87\u6F88\u6F8B\u6F8C\u6F8D\u6F90\u6F92\u6F93\u6F94\u6F96\u6F9A\u6F9F\u6FA0\u6FA5\u6FA6\u6FA7\u6FA8\u6FAE\u6FAF\u6FB0\u6FB5\u6FB6\u6FBC\u6FC5\u6FC7\u6FC8\u6FCA"], ["8fc9a1", "\u6FDA\u6FDE\u6FE8\u6FE9\u6FF0\u6FF5\u6FF9\u6FFC\u6FFD\u7000\u7005\u7006\u7007\u700D\u7017\u7020\u7023\u702F\u7034\u7037\u7039\u703C\u7043\u7044\u7048\u7049\u704A\u704B\u7054\u7055\u705D\u705E\u704E\u7064\u7065\u706C\u706E\u7075\u7076\u707E\u7081\u7085\u7086\u7094", 4, "\u709B\u70A4\u70AB\u70B0\u70B1\u70B4\u70B7\u70CA\u70D1\u70D3\u70D4\u70D5\u70D6\u70D8\u70DC\u70E4\u70FA\u7103", 4, "\u710B\u710C\u710F\u711E\u7120\u712B\u712D\u712F\u7130\u7131\u7138\u7141\u7145\u7146\u7147\u714A\u714B\u7150\u7152\u7157\u715A\u715C\u715E\u7160"], ["8fcaa1", "\u7168\u7179\u7180\u7185\u7187\u718C\u7192\u719A\u719B\u71A0\u71A2\u71AF\u71B0\u71B2\u71B3\u71BA\u71BF\u71C0\u71C1\u71C4\u71CB\u71CC\u71D3\u71D6\u71D9\u71DA\u71DC\u71F8\u71FE\u7200\u7207\u7208\u7209\u7213\u7217\u721A\u721D\u721F\u7224\u722B\u722F\u7234\u7238\u7239\u7241\u7242\u7243\u7245\u724E\u724F\u7250\u7253\u7255\u7256\u725A\u725C\u725E\u7260\u7263\u7268\u726B\u726E\u726F\u7271\u7277\u7278\u727B\u727C\u727F\u7284\u7289\u728D\u728E\u7293\u729B\u72A8\u72AD\u72AE\u72B1\u72B4\u72BE\u72C1\u72C7\u72C9\u72CC\u72D5\u72D6\u72D8\u72DF\u72E5\u72F3\u72F4\u72FA\u72FB"], ["8fcba1", "\u72FE\u7302\u7304\u7305\u7307\u730B\u730D\u7312\u7313\u7318\u7319\u731E\u7322\u7324\u7327\u7328\u732C\u7331\u7332\u7335\u733A\u733B\u733D\u7343\u734D\u7350\u7352\u7356\u7358\u735D\u735E\u735F\u7360\u7366\u7367\u7369\u736B\u736C\u736E\u736F\u7371\u7377\u7379\u737C\u7380\u7381\u7383\u7385\u7386\u738E\u7390\u7393\u7395\u7397\u7398\u739C\u739E\u739F\u73A0\u73A2\u73A5\u73A6\u73AA\u73AB\u73AD\u73B5\u73B7\u73B9\u73BC\u73BD\u73BF\u73C5\u73C6\u73C9\u73CB\u73CC\u73CF\u73D2\u73D3\u73D6\u73D9\u73DD\u73E1\u73E3\u73E6\u73E7\u73E9\u73F4\u73F5\u73F7\u73F9\u73FA\u73FB\u73FD"], ["8fcca1", "\u73FF\u7400\u7401\u7404\u7407\u740A\u7411\u741A\u741B\u7424\u7426\u7428", 9, "\u7439\u7440\u7443\u7444\u7446\u7447\u744B\u744D\u7451\u7452\u7457\u745D\u7462\u7466\u7467\u7468\u746B\u746D\u746E\u7471\u7472\u7480\u7481\u7485\u7486\u7487\u7489\u748F\u7490\u7491\u7492\u7498\u7499\u749A\u749C\u749F\u74A0\u74A1\u74A3\u74A6\u74A8\u74A9\u74AA\u74AB\u74AE\u74AF\u74B1\u74B2\u74B5\u74B9\u74BB\u74BF\u74C8\u74C9\u74CC\u74D0\u74D3\u74D8\u74DA\u74DB\u74DE\u74DF\u74E4\u74E8\u74EA\u74EB\u74EF\u74F4\u74FA\u74FB\u74FC\u74FF\u7506"], ["8fcda1", "\u7512\u7516\u7517\u7520\u7521\u7524\u7527\u7529\u752A\u752F\u7536\u7539\u753D\u753E\u753F\u7540\u7543\u7547\u7548\u754E\u7550\u7552\u7557\u755E\u755F\u7561\u756F\u7571\u7579", 5, "\u7581\u7585\u7590\u7592\u7593\u7595\u7599\u759C\u75A2\u75A4\u75B4\u75BA\u75BF\u75C0\u75C1\u75C4\u75C6\u75CC\u75CE\u75CF\u75D7\u75DC\u75DF\u75E0\u75E1\u75E4\u75E7\u75EC\u75EE\u75EF\u75F1\u75F9\u7600\u7602\u7603\u7604\u7607\u7608\u760A\u760C\u760F\u7612\u7613\u7615\u7616\u7619\u761B\u761C\u761D\u761E\u7623\u7625\u7626\u7629\u762D\u7632\u7633\u7635\u7638\u7639"], ["8fcea1", "\u763A\u763C\u764A\u7640\u7641\u7643\u7644\u7645\u7649\u764B\u7655\u7659\u765F\u7664\u7665\u766D\u766E\u766F\u7671\u7674\u7681\u7685\u768C\u768D\u7695\u769B\u769C\u769D\u769F\u76A0\u76A2", 6, "\u76AA\u76AD\u76BD\u76C1\u76C5\u76C9\u76CB\u76CC\u76CE\u76D4\u76D9\u76E0\u76E6\u76E8\u76EC\u76F0\u76F1\u76F6\u76F9\u76FC\u7700\u7706\u770A\u770E\u7712\u7714\u7715\u7717\u7719\u771A\u771C\u7722\u7728\u772D\u772E\u772F\u7734\u7735\u7736\u7739\u773D\u773E\u7742\u7745\u7746\u774A\u774D\u774E\u774F\u7752\u7756\u7757\u775C\u775E\u775F\u7760\u7762"], ["8fcfa1", "\u7764\u7767\u776A\u776C\u7770\u7772\u7773\u7774\u777A\u777D\u7780\u7784\u778C\u778D\u7794\u7795\u7796\u779A\u779F\u77A2\u77A7\u77AA\u77AE\u77AF\u77B1\u77B5\u77BE\u77C3\u77C9\u77D1\u77D2\u77D5\u77D9\u77DE\u77DF\u77E0\u77E4\u77E6\u77EA\u77EC\u77F0\u77F1\u77F4\u77F8\u77FB\u7805\u7806\u7809\u780D\u780E\u7811\u781D\u7821\u7822\u7823\u782D\u782E\u7830\u7835\u7837\u7843\u7844\u7847\u7848\u784C\u784E\u7852\u785C\u785E\u7860\u7861\u7863\u7864\u7868\u786A\u786E\u787A\u787E\u788A\u788F\u7894\u7898\u78A1\u789D\u789E\u789F\u78A4\u78A8\u78AC\u78AD\u78B0\u78B1\u78B2\u78B3"], ["8fd0a1", "\u78BB\u78BD\u78BF\u78C7\u78C8\u78C9\u78CC\u78CE\u78D2\u78D3\u78D5\u78D6\u78E4\u78DB\u78DF\u78E0\u78E1\u78E6\u78EA\u78F2\u78F3\u7900\u78F6\u78F7\u78FA\u78FB\u78FF\u7906\u790C\u7910\u791A\u791C\u791E\u791F\u7920\u7925\u7927\u7929\u792D\u7931\u7934\u7935\u793B\u793D\u793F\u7944\u7945\u7946\u794A\u794B\u794F\u7951\u7954\u7958\u795B\u795C\u7967\u7969\u796B\u7972\u7979\u797B\u797C\u797E\u798B\u798C\u7991\u7993\u7994\u7995\u7996\u7998\u799B\u799C\u79A1\u79A8\u79A9\u79AB\u79AF\u79B1\u79B4\u79B8\u79BB\u79C2\u79C4\u79C7\u79C8\u79CA\u79CF\u79D4\u79D6\u79DA\u79DD\u79DE"], ["8fd1a1", "\u79E0\u79E2\u79E5\u79EA\u79EB\u79ED\u79F1\u79F8\u79FC\u7A02\u7A03\u7A07\u7A09\u7A0A\u7A0C\u7A11\u7A15\u7A1B\u7A1E\u7A21\u7A27\u7A2B\u7A2D\u7A2F\u7A30\u7A34\u7A35\u7A38\u7A39\u7A3A\u7A44\u7A45\u7A47\u7A48\u7A4C\u7A55\u7A56\u7A59\u7A5C\u7A5D\u7A5F\u7A60\u7A65\u7A67\u7A6A\u7A6D\u7A75\u7A78\u7A7E\u7A80\u7A82\u7A85\u7A86\u7A8A\u7A8B\u7A90\u7A91\u7A94\u7A9E\u7AA0\u7AA3\u7AAC\u7AB3\u7AB5\u7AB9\u7ABB\u7ABC\u7AC6\u7AC9\u7ACC\u7ACE\u7AD1\u7ADB\u7AE8\u7AE9\u7AEB\u7AEC\u7AF1\u7AF4\u7AFB\u7AFD\u7AFE\u7B07\u7B14\u7B1F\u7B23\u7B27\u7B29\u7B2A\u7B2B\u7B2D\u7B2E\u7B2F\u7B30"], ["8fd2a1", "\u7B31\u7B34\u7B3D\u7B3F\u7B40\u7B41\u7B47\u7B4E\u7B55\u7B60\u7B64\u7B66\u7B69\u7B6A\u7B6D\u7B6F\u7B72\u7B73\u7B77\u7B84\u7B89\u7B8E\u7B90\u7B91\u7B96\u7B9B\u7B9E\u7BA0\u7BA5\u7BAC\u7BAF\u7BB0\u7BB2\u7BB5\u7BB6\u7BBA\u7BBB\u7BBC\u7BBD\u7BC2\u7BC5\u7BC8\u7BCA\u7BD4\u7BD6\u7BD7\u7BD9\u7BDA\u7BDB\u7BE8\u7BEA\u7BF2\u7BF4\u7BF5\u7BF8\u7BF9\u7BFA\u7BFC\u7BFE\u7C01\u7C02\u7C03\u7C04\u7C06\u7C09\u7C0B\u7C0C\u7C0E\u7C0F\u7C19\u7C1B\u7C20\u7C25\u7C26\u7C28\u7C2C\u7C31\u7C33\u7C34\u7C36\u7C39\u7C3A\u7C46\u7C4A\u7C55\u7C51\u7C52\u7C53\u7C59", 5], ["8fd3a1", "\u7C61\u7C63\u7C67\u7C69\u7C6D\u7C6E\u7C70\u7C72\u7C79\u7C7C\u7C7D\u7C86\u7C87\u7C8F\u7C94\u7C9E\u7CA0\u7CA6\u7CB0\u7CB6\u7CB7\u7CBA\u7CBB\u7CBC\u7CBF\u7CC4\u7CC7\u7CC8\u7CC9\u7CCD\u7CCF\u7CD3\u7CD4\u7CD5\u7CD7\u7CD9\u7CDA\u7CDD\u7CE6\u7CE9\u7CEB\u7CF5\u7D03\u7D07\u7D08\u7D09\u7D0F\u7D11\u7D12\u7D13\u7D16\u7D1D\u7D1E\u7D23\u7D26\u7D2A\u7D2D\u7D31\u7D3C\u7D3D\u7D3E\u7D40\u7D41\u7D47\u7D48\u7D4D\u7D51\u7D53\u7D57\u7D59\u7D5A\u7D5C\u7D5D\u7D65\u7D67\u7D6A\u7D70\u7D78\u7D7A\u7D7B\u7D7F\u7D81\u7D82\u7D83\u7D85\u7D86\u7D88\u7D8B\u7D8C\u7D8D\u7D91\u7D96\u7D97\u7D9D"], ["8fd4a1", "\u7D9E\u7DA6\u7DA7\u7DAA\u7DB3\u7DB6\u7DB7\u7DB9\u7DC2", 4, "\u7DCC\u7DCD\u7DCE\u7DD7\u7DD9\u7E00\u7DE2\u7DE5\u7DE6\u7DEA\u7DEB\u7DED\u7DF1\u7DF5\u7DF6\u7DF9\u7DFA\u7E08\u7E10\u7E11\u7E15\u7E17\u7E1C\u7E1D\u7E20\u7E27\u7E28\u7E2C\u7E2D\u7E2F\u7E33\u7E36\u7E3F\u7E44\u7E45\u7E47\u7E4E\u7E50\u7E52\u7E58\u7E5F\u7E61\u7E62\u7E65\u7E6B\u7E6E\u7E6F\u7E73\u7E78\u7E7E\u7E81\u7E86\u7E87\u7E8A\u7E8D\u7E91\u7E95\u7E98\u7E9A\u7E9D\u7E9E\u7F3C\u7F3B\u7F3D\u7F3E\u7F3F\u7F43\u7F44\u7F47\u7F4F\u7F52\u7F53\u7F5B\u7F5C\u7F5D\u7F61\u7F63\u7F64\u7F65\u7F66\u7F6D"], ["8fd5a1", "\u7F71\u7F7D\u7F7E\u7F7F\u7F80\u7F8B\u7F8D\u7F8F\u7F90\u7F91\u7F96\u7F97\u7F9C\u7FA1\u7FA2\u7FA6\u7FAA\u7FAD\u7FB4\u7FBC\u7FBF\u7FC0\u7FC3\u7FC8\u7FCE\u7FCF\u7FDB\u7FDF\u7FE3\u7FE5\u7FE8\u7FEC\u7FEE\u7FEF\u7FF2\u7FFA\u7FFD\u7FFE\u7FFF\u8007\u8008\u800A\u800D\u800E\u800F\u8011\u8013\u8014\u8016\u801D\u801E\u801F\u8020\u8024\u8026\u802C\u802E\u8030\u8034\u8035\u8037\u8039\u803A\u803C\u803E\u8040\u8044\u8060\u8064\u8066\u806D\u8071\u8075\u8081\u8088\u808E\u809C\u809E\u80A6\u80A7\u80AB\u80B8\u80B9\u80C8\u80CD\u80CF\u80D2\u80D4\u80D5\u80D7\u80D8\u80E0\u80ED\u80EE"], ["8fd6a1", "\u80F0\u80F2\u80F3\u80F6\u80F9\u80FA\u80FE\u8103\u810B\u8116\u8117\u8118\u811C\u811E\u8120\u8124\u8127\u812C\u8130\u8135\u813A\u813C\u8145\u8147\u814A\u814C\u8152\u8157\u8160\u8161\u8167\u8168\u8169\u816D\u816F\u8177\u8181\u8190\u8184\u8185\u8186\u818B\u818E\u8196\u8198\u819B\u819E\u81A2\u81AE\u81B2\u81B4\u81BB\u81CB\u81C3\u81C5\u81CA\u81CE\u81CF\u81D5\u81D7\u81DB\u81DD\u81DE\u81E1\u81E4\u81EB\u81EC\u81F0\u81F1\u81F2\u81F5\u81F6\u81F8\u81F9\u81FD\u81FF\u8200\u8203\u820F\u8213\u8214\u8219\u821A\u821D\u8221\u8222\u8228\u8232\u8234\u823A\u8243\u8244\u8245\u8246"], ["8fd7a1", "\u824B\u824E\u824F\u8251\u8256\u825C\u8260\u8263\u8267\u826D\u8274\u827B\u827D\u827F\u8280\u8281\u8283\u8284\u8287\u8289\u828A\u828E\u8291\u8294\u8296\u8298\u829A\u829B\u82A0\u82A1\u82A3\u82A4\u82A7\u82A8\u82A9\u82AA\u82AE\u82B0\u82B2\u82B4\u82B7\u82BA\u82BC\u82BE\u82BF\u82C6\u82D0\u82D5\u82DA\u82E0\u82E2\u82E4\u82E8\u82EA\u82ED\u82EF\u82F6\u82F7\u82FD\u82FE\u8300\u8301\u8307\u8308\u830A\u830B\u8354\u831B\u831D\u831E\u831F\u8321\u8322\u832C\u832D\u832E\u8330\u8333\u8337\u833A\u833C\u833D\u8342\u8343\u8344\u8347\u834D\u834E\u8351\u8355\u8356\u8357\u8370\u8378"], ["8fd8a1", "\u837D\u837F\u8380\u8382\u8384\u8386\u838D\u8392\u8394\u8395\u8398\u8399\u839B\u839C\u839D\u83A6\u83A7\u83A9\u83AC\u83BE\u83BF\u83C0\u83C7\u83C9\u83CF\u83D0\u83D1\u83D4\u83DD\u8353\u83E8\u83EA\u83F6\u83F8\u83F9\u83FC\u8401\u8406\u840A\u840F\u8411\u8415\u8419\u83AD\u842F\u8439\u8445\u8447\u8448\u844A\u844D\u844F\u8451\u8452\u8456\u8458\u8459\u845A\u845C\u8460\u8464\u8465\u8467\u846A\u8470\u8473\u8474\u8476\u8478\u847C\u847D\u8481\u8485\u8492\u8493\u8495\u849E\u84A6\u84A8\u84A9\u84AA\u84AF\u84B1\u84B4\u84BA\u84BD\u84BE\u84C0\u84C2\u84C7\u84C8\u84CC\u84CF\u84D3"], ["8fd9a1", "\u84DC\u84E7\u84EA\u84EF\u84F0\u84F1\u84F2\u84F7\u8532\u84FA\u84FB\u84FD\u8502\u8503\u8507\u850C\u850E\u8510\u851C\u851E\u8522\u8523\u8524\u8525\u8527\u852A\u852B\u852F\u8533\u8534\u8536\u853F\u8546\u854F", 4, "\u8556\u8559\u855C", 6, "\u8564\u856B\u856F\u8579\u857A\u857B\u857D\u857F\u8581\u8585\u8586\u8589\u858B\u858C\u858F\u8593\u8598\u859D\u859F\u85A0\u85A2\u85A5\u85A7\u85B4\u85B6\u85B7\u85B8\u85BC\u85BD\u85BE\u85BF\u85C2\u85C7\u85CA\u85CB\u85CE\u85AD\u85D8\u85DA\u85DF\u85E0\u85E6\u85E8\u85ED\u85F3\u85F6\u85FC"], ["8fdaa1", "\u85FF\u8600\u8604\u8605\u860D\u860E\u8610\u8611\u8612\u8618\u8619\u861B\u861E\u8621\u8627\u8629\u8636\u8638\u863A\u863C\u863D\u8640\u8642\u8646\u8652\u8653\u8656\u8657\u8658\u8659\u865D\u8660", 4, "\u8669\u866C\u866F\u8675\u8676\u8677\u867A\u868D\u8691\u8696\u8698\u869A\u869C\u86A1\u86A6\u86A7\u86A8\u86AD\u86B1\u86B3\u86B4\u86B5\u86B7\u86B8\u86B9\u86BF\u86C0\u86C1\u86C3\u86C5\u86D1\u86D2\u86D5\u86D7\u86DA\u86DC\u86E0\u86E3\u86E5\u86E7\u8688\u86FA\u86FC\u86FD\u8704\u8705\u8707\u870B\u870E\u870F\u8710\u8713\u8714\u8719\u871E\u871F\u8721\u8723"], ["8fdba1", "\u8728\u872E\u872F\u8731\u8732\u8739\u873A\u873C\u873D\u873E\u8740\u8743\u8745\u874D\u8758\u875D\u8761\u8764\u8765\u876F\u8771\u8772\u877B\u8783", 6, "\u878B\u878C\u8790\u8793\u8795\u8797\u8798\u8799\u879E\u87A0\u87A3\u87A7\u87AC\u87AD\u87AE\u87B1\u87B5\u87BE\u87BF\u87C1\u87C8\u87C9\u87CA\u87CE\u87D5\u87D6\u87D9\u87DA\u87DC\u87DF\u87E2\u87E3\u87E4\u87EA\u87EB\u87ED\u87F1\u87F3\u87F8\u87FA\u87FF\u8801\u8803\u8806\u8809\u880A\u880B\u8810\u8819\u8812\u8813\u8814\u8818\u881A\u881B\u881C\u881E\u881F\u8828\u882D\u882E\u8830\u8832\u8835"], ["8fdca1", "\u883A\u883C\u8841\u8843\u8845\u8848\u8849\u884A\u884B\u884E\u8851\u8855\u8856\u8858\u885A\u885C\u885F\u8860\u8864\u8869\u8871\u8879\u887B\u8880\u8898\u889A\u889B\u889C\u889F\u88A0\u88A8\u88AA\u88BA\u88BD\u88BE\u88C0\u88CA", 4, "\u88D1\u88D2\u88D3\u88DB\u88DE\u88E7\u88EF\u88F0\u88F1\u88F5\u88F7\u8901\u8906\u890D\u890E\u890F\u8915\u8916\u8918\u8919\u891A\u891C\u8920\u8926\u8927\u8928\u8930\u8931\u8932\u8935\u8939\u893A\u893E\u8940\u8942\u8945\u8946\u8949\u894F\u8952\u8957\u895A\u895B\u895C\u8961\u8962\u8963\u896B\u896E\u8970\u8973\u8975\u897A"], ["8fdda1", "\u897B\u897C\u897D\u8989\u898D\u8990\u8994\u8995\u899B\u899C\u899F\u89A0\u89A5\u89B0\u89B4\u89B5\u89B6\u89B7\u89BC\u89D4", 4, "\u89E5\u89E9\u89EB\u89ED\u89F1\u89F3\u89F6\u89F9\u89FD\u89FF\u8A04\u8A05\u8A07\u8A0F\u8A11\u8A12\u8A14\u8A15\u8A1E\u8A20\u8A22\u8A24\u8A26\u8A2B\u8A2C\u8A2F\u8A35\u8A37\u8A3D\u8A3E\u8A40\u8A43\u8A45\u8A47\u8A49\u8A4D\u8A4E\u8A53\u8A56\u8A57\u8A58\u8A5C\u8A5D\u8A61\u8A65\u8A67\u8A75\u8A76\u8A77\u8A79\u8A7A\u8A7B\u8A7E\u8A7F\u8A80\u8A83\u8A86\u8A8B\u8A8F\u8A90\u8A92\u8A96\u8A97\u8A99\u8A9F\u8AA7\u8AA9\u8AAE\u8AAF\u8AB3"], ["8fdea1", "\u8AB6\u8AB7\u8ABB\u8ABE\u8AC3\u8AC6\u8AC8\u8AC9\u8ACA\u8AD1\u8AD3\u8AD4\u8AD5\u8AD7\u8ADD\u8ADF\u8AEC\u8AF0\u8AF4\u8AF5\u8AF6\u8AFC\u8AFF\u8B05\u8B06\u8B0B\u8B11\u8B1C\u8B1E\u8B1F\u8B0A\u8B2D\u8B30\u8B37\u8B3C\u8B42", 4, "\u8B48\u8B52\u8B53\u8B54\u8B59\u8B4D\u8B5E\u8B63\u8B6D\u8B76\u8B78\u8B79\u8B7C\u8B7E\u8B81\u8B84\u8B85\u8B8B\u8B8D\u8B8F\u8B94\u8B95\u8B9C\u8B9E\u8B9F\u8C38\u8C39\u8C3D\u8C3E\u8C45\u8C47\u8C49\u8C4B\u8C4F\u8C51\u8C53\u8C54\u8C57\u8C58\u8C5B\u8C5D\u8C59\u8C63\u8C64\u8C66\u8C68\u8C69\u8C6D\u8C73\u8C75\u8C76\u8C7B\u8C7E\u8C86"], ["8fdfa1", "\u8C87\u8C8B\u8C90\u8C92\u8C93\u8C99\u8C9B\u8C9C\u8CA4\u8CB9\u8CBA\u8CC5\u8CC6\u8CC9\u8CCB\u8CCF\u8CD6\u8CD5\u8CD9\u8CDD\u8CE1\u8CE8\u8CEC\u8CEF\u8CF0\u8CF2\u8CF5\u8CF7\u8CF8\u8CFE\u8CFF\u8D01\u8D03\u8D09\u8D12\u8D17\u8D1B\u8D65\u8D69\u8D6C\u8D6E\u8D7F\u8D82\u8D84\u8D88\u8D8D\u8D90\u8D91\u8D95\u8D9E\u8D9F\u8DA0\u8DA6\u8DAB\u8DAC\u8DAF\u8DB2\u8DB5\u8DB7\u8DB9\u8DBB\u8DC0\u8DC5\u8DC6\u8DC7\u8DC8\u8DCA\u8DCE\u8DD1\u8DD4\u8DD5\u8DD7\u8DD9\u8DE4\u8DE5\u8DE7\u8DEC\u8DF0\u8DBC\u8DF1\u8DF2\u8DF4\u8DFD\u8E01\u8E04\u8E05\u8E06\u8E0B\u8E11\u8E14\u8E16\u8E20\u8E21\u8E22"], ["8fe0a1", "\u8E23\u8E26\u8E27\u8E31\u8E33\u8E36\u8E37\u8E38\u8E39\u8E3D\u8E40\u8E41\u8E4B\u8E4D\u8E4E\u8E4F\u8E54\u8E5B\u8E5C\u8E5D\u8E5E\u8E61\u8E62\u8E69\u8E6C\u8E6D\u8E6F\u8E70\u8E71\u8E79\u8E7A\u8E7B\u8E82\u8E83\u8E89\u8E90\u8E92\u8E95\u8E9A\u8E9B\u8E9D\u8E9E\u8EA2\u8EA7\u8EA9\u8EAD\u8EAE\u8EB3\u8EB5\u8EBA\u8EBB\u8EC0\u8EC1\u8EC3\u8EC4\u8EC7\u8ECF\u8ED1\u8ED4\u8EDC\u8EE8\u8EEE\u8EF0\u8EF1\u8EF7\u8EF9\u8EFA\u8EED\u8F00\u8F02\u8F07\u8F08\u8F0F\u8F10\u8F16\u8F17\u8F18\u8F1E\u8F20\u8F21\u8F23\u8F25\u8F27\u8F28\u8F2C\u8F2D\u8F2E\u8F34\u8F35\u8F36\u8F37\u8F3A\u8F40\u8F41"], ["8fe1a1", "\u8F43\u8F47\u8F4F\u8F51", 4, "\u8F58\u8F5D\u8F5E\u8F65\u8F9D\u8FA0\u8FA1\u8FA4\u8FA5\u8FA6\u8FB5\u8FB6\u8FB8\u8FBE\u8FC0\u8FC1\u8FC6\u8FCA\u8FCB\u8FCD\u8FD0\u8FD2\u8FD3\u8FD5\u8FE0\u8FE3\u8FE4\u8FE8\u8FEE\u8FF1\u8FF5\u8FF6\u8FFB\u8FFE\u9002\u9004\u9008\u900C\u9018\u901B\u9028\u9029\u902F\u902A\u902C\u902D\u9033\u9034\u9037\u903F\u9043\u9044\u904C\u905B\u905D\u9062\u9066\u9067\u906C\u9070\u9074\u9079\u9085\u9088\u908B\u908C\u908E\u9090\u9095\u9097\u9098\u9099\u909B\u90A0\u90A1\u90A2\u90A5\u90B0\u90B2\u90B3\u90B4\u90B6\u90BD\u90CC\u90BE\u90C3"], ["8fe2a1", "\u90C4\u90C5\u90C7\u90C8\u90D5\u90D7\u90D8\u90D9\u90DC\u90DD\u90DF\u90E5\u90D2\u90F6\u90EB\u90EF\u90F0\u90F4\u90FE\u90FF\u9100\u9104\u9105\u9106\u9108\u910D\u9110\u9114\u9116\u9117\u9118\u911A\u911C\u911E\u9120\u9125\u9122\u9123\u9127\u9129\u912E\u912F\u9131\u9134\u9136\u9137\u9139\u913A\u913C\u913D\u9143\u9147\u9148\u914F\u9153\u9157\u9159\u915A\u915B\u9161\u9164\u9167\u916D\u9174\u9179\u917A\u917B\u9181\u9183\u9185\u9186\u918A\u918E\u9191\u9193\u9194\u9195\u9198\u919E\u91A1\u91A6\u91A8\u91AC\u91AD\u91AE\u91B0\u91B1\u91B2\u91B3\u91B6\u91BB\u91BC\u91BD\u91BF"], ["8fe3a1", "\u91C2\u91C3\u91C5\u91D3\u91D4\u91D7\u91D9\u91DA\u91DE\u91E4\u91E5\u91E9\u91EA\u91EC", 5, "\u91F7\u91F9\u91FB\u91FD\u9200\u9201\u9204\u9205\u9206\u9207\u9209\u920A\u920C\u9210\u9212\u9213\u9216\u9218\u921C\u921D\u9223\u9224\u9225\u9226\u9228\u922E\u922F\u9230\u9233\u9235\u9236\u9238\u9239\u923A\u923C\u923E\u9240\u9242\u9243\u9246\u9247\u924A\u924D\u924E\u924F\u9251\u9258\u9259\u925C\u925D\u9260\u9261\u9265\u9267\u9268\u9269\u926E\u926F\u9270\u9275", 4, "\u927B\u927C\u927D\u927F\u9288\u9289\u928A\u928D\u928E\u9292\u9297"], ["8fe4a1", "\u9299\u929F\u92A0\u92A4\u92A5\u92A7\u92A8\u92AB\u92AF\u92B2\u92B6\u92B8\u92BA\u92BB\u92BC\u92BD\u92BF", 4, "\u92C5\u92C6\u92C7\u92C8\u92CB\u92CC\u92CD\u92CE\u92D0\u92D3\u92D5\u92D7\u92D8\u92D9\u92DC\u92DD\u92DF\u92E0\u92E1\u92E3\u92E5\u92E7\u92E8\u92EC\u92EE\u92F0\u92F9\u92FB\u92FF\u9300\u9302\u9308\u930D\u9311\u9314\u9315\u931C\u931D\u931E\u931F\u9321\u9324\u9325\u9327\u9329\u932A\u9333\u9334\u9336\u9337\u9347\u9348\u9349\u9350\u9351\u9352\u9355\u9357\u9358\u935A\u935E\u9364\u9365\u9367\u9369\u936A\u936D\u936F\u9370\u9371\u9373\u9374\u9376"], ["8fe5a1", "\u937A\u937D\u937F\u9380\u9381\u9382\u9388\u938A\u938B\u938D\u938F\u9392\u9395\u9398\u939B\u939E\u93A1\u93A3\u93A4\u93A6\u93A8\u93AB\u93B4\u93B5\u93B6\u93BA\u93A9\u93C1\u93C4\u93C5\u93C6\u93C7\u93C9", 4, "\u93D3\u93D9\u93DC\u93DE\u93DF\u93E2\u93E6\u93E7\u93F9\u93F7\u93F8\u93FA\u93FB\u93FD\u9401\u9402\u9404\u9408\u9409\u940D\u940E\u940F\u9415\u9416\u9417\u941F\u942E\u942F\u9431\u9432\u9433\u9434\u943B\u943F\u943D\u9443\u9445\u9448\u944A\u944C\u9455\u9459\u945C\u945F\u9461\u9463\u9468\u946B\u946D\u946E\u946F\u9471\u9472\u9484\u9483\u9578\u9579"], ["8fe6a1", "\u957E\u9584\u9588\u958C\u958D\u958E\u959D\u959E\u959F\u95A1\u95A6\u95A9\u95AB\u95AC\u95B4\u95B6\u95BA\u95BD\u95BF\u95C6\u95C8\u95C9\u95CB\u95D0\u95D1\u95D2\u95D3\u95D9\u95DA\u95DD\u95DE\u95DF\u95E0\u95E4\u95E6\u961D\u961E\u9622\u9624\u9625\u9626\u962C\u9631\u9633\u9637\u9638\u9639\u963A\u963C\u963D\u9641\u9652\u9654\u9656\u9657\u9658\u9661\u966E\u9674\u967B\u967C\u967E\u967F\u9681\u9682\u9683\u9684\u9689\u9691\u9696\u969A\u969D\u969F\u96A4\u96A5\u96A6\u96A9\u96AE\u96AF\u96B3\u96BA\u96CA\u96D2\u5DB2\u96D8\u96DA\u96DD\u96DE\u96DF\u96E9\u96EF\u96F1\u96FA\u9702"], ["8fe7a1", "\u9703\u9705\u9709\u971A\u971B\u971D\u9721\u9722\u9723\u9728\u9731\u9733\u9741\u9743\u974A\u974E\u974F\u9755\u9757\u9758\u975A\u975B\u9763\u9767\u976A\u976E\u9773\u9776\u9777\u9778\u977B\u977D\u977F\u9780\u9789\u9795\u9796\u9797\u9799\u979A\u979E\u979F\u97A2\u97AC\u97AE\u97B1\u97B2\u97B5\u97B6\u97B8\u97B9\u97BA\u97BC\u97BE\u97BF\u97C1\u97C4\u97C5\u97C7\u97C9\u97CA\u97CC\u97CD\u97CE\u97D0\u97D1\u97D4\u97D7\u97D8\u97D9\u97DD\u97DE\u97E0\u97DB\u97E1\u97E4\u97EF\u97F1\u97F4\u97F7\u97F8\u97FA\u9807\u980A\u9819\u980D\u980E\u9814\u9816\u981C\u981E\u9820\u9823\u9826"], ["8fe8a1", "\u982B\u982E\u982F\u9830\u9832\u9833\u9835\u9825\u983E\u9844\u9847\u984A\u9851\u9852\u9853\u9856\u9857\u9859\u985A\u9862\u9863\u9865\u9866\u986A\u986C\u98AB\u98AD\u98AE\u98B0\u98B4\u98B7\u98B8\u98BA\u98BB\u98BF\u98C2\u98C5\u98C8\u98CC\u98E1\u98E3\u98E5\u98E6\u98E7\u98EA\u98F3\u98F6\u9902\u9907\u9908\u9911\u9915\u9916\u9917\u991A\u991B\u991C\u991F\u9922\u9926\u9927\u992B\u9931", 4, "\u9939\u993A\u993B\u993C\u9940\u9941\u9946\u9947\u9948\u994D\u994E\u9954\u9958\u9959\u995B\u995C\u995E\u995F\u9960\u999B\u999D\u999F\u99A6\u99B0\u99B1\u99B2\u99B5"], ["8fe9a1", "\u99B9\u99BA\u99BD\u99BF\u99C3\u99C9\u99D3\u99D4\u99D9\u99DA\u99DC\u99DE\u99E7\u99EA\u99EB\u99EC\u99F0\u99F4\u99F5\u99F9\u99FD\u99FE\u9A02\u9A03\u9A04\u9A0B\u9A0C\u9A10\u9A11\u9A16\u9A1E\u9A20\u9A22\u9A23\u9A24\u9A27\u9A2D\u9A2E\u9A33\u9A35\u9A36\u9A38\u9A47\u9A41\u9A44\u9A4A\u9A4B\u9A4C\u9A4E\u9A51\u9A54\u9A56\u9A5D\u9AAA\u9AAC\u9AAE\u9AAF\u9AB2\u9AB4\u9AB5\u9AB6\u9AB9\u9ABB\u9ABE\u9ABF\u9AC1\u9AC3\u9AC6\u9AC8\u9ACE\u9AD0\u9AD2\u9AD5\u9AD6\u9AD7\u9ADB\u9ADC\u9AE0\u9AE4\u9AE5\u9AE7\u9AE9\u9AEC\u9AF2\u9AF3\u9AF5\u9AF9\u9AFA\u9AFD\u9AFF", 4], ["8feaa1", "\u9B04\u9B05\u9B08\u9B09\u9B0B\u9B0C\u9B0D\u9B0E\u9B10\u9B12\u9B16\u9B19\u9B1B\u9B1C\u9B20\u9B26\u9B2B\u9B2D\u9B33\u9B34\u9B35\u9B37\u9B39\u9B3A\u9B3D\u9B48\u9B4B\u9B4C\u9B55\u9B56\u9B57\u9B5B\u9B5E\u9B61\u9B63\u9B65\u9B66\u9B68\u9B6A", 4, "\u9B73\u9B75\u9B77\u9B78\u9B79\u9B7F\u9B80\u9B84\u9B85\u9B86\u9B87\u9B89\u9B8A\u9B8B\u9B8D\u9B8F\u9B90\u9B94\u9B9A\u9B9D\u9B9E\u9BA6\u9BA7\u9BA9\u9BAC\u9BB0\u9BB1\u9BB2\u9BB7\u9BB8\u9BBB\u9BBC\u9BBE\u9BBF\u9BC1\u9BC7\u9BC8\u9BCE\u9BD0\u9BD7\u9BD8\u9BDD\u9BDF\u9BE5\u9BE7\u9BEA\u9BEB\u9BEF\u9BF3\u9BF7\u9BF8"], ["8feba1", "\u9BF9\u9BFA\u9BFD\u9BFF\u9C00\u9C02\u9C0B\u9C0F\u9C11\u9C16\u9C18\u9C19\u9C1A\u9C1C\u9C1E\u9C22\u9C23\u9C26", 4, "\u9C31\u9C35\u9C36\u9C37\u9C3D\u9C41\u9C43\u9C44\u9C45\u9C49\u9C4A\u9C4E\u9C4F\u9C50\u9C53\u9C54\u9C56\u9C58\u9C5B\u9C5D\u9C5E\u9C5F\u9C63\u9C69\u9C6A\u9C5C\u9C6B\u9C68\u9C6E\u9C70\u9C72\u9C75\u9C77\u9C7B\u9CE6\u9CF2\u9CF7\u9CF9\u9D0B\u9D02\u9D11\u9D17\u9D18\u9D1C\u9D1D\u9D1E\u9D2F\u9D30\u9D32\u9D33\u9D34\u9D3A\u9D3C\u9D45\u9D3D\u9D42\u9D43\u9D47\u9D4A\u9D53\u9D54\u9D5F\u9D63\u9D62\u9D65\u9D69\u9D6A\u9D6B\u9D70\u9D76\u9D77\u9D7B"], ["8feca1", "\u9D7C\u9D7E\u9D83\u9D84\u9D86\u9D8A\u9D8D\u9D8E\u9D92\u9D93\u9D95\u9D96\u9D97\u9D98\u9DA1\u9DAA\u9DAC\u9DAE\u9DB1\u9DB5\u9DB9\u9DBC\u9DBF\u9DC3\u9DC7\u9DC9\u9DCA\u9DD4\u9DD5\u9DD6\u9DD7\u9DDA\u9DDE\u9DDF\u9DE0\u9DE5\u9DE7\u9DE9\u9DEB\u9DEE\u9DF0\u9DF3\u9DF4\u9DFE\u9E0A\u9E02\u9E07\u9E0E\u9E10\u9E11\u9E12\u9E15\u9E16\u9E19\u9E1C\u9E1D\u9E7A\u9E7B\u9E7C\u9E80\u9E82\u9E83\u9E84\u9E85\u9E87\u9E8E\u9E8F\u9E96\u9E98\u9E9B\u9E9E\u9EA4\u9EA8\u9EAC\u9EAE\u9EAF\u9EB0\u9EB3\u9EB4\u9EB5\u9EC6\u9EC8\u9ECB\u9ED5\u9EDF\u9EE4\u9EE7\u9EEC\u9EED\u9EEE\u9EF0\u9EF1\u9EF2\u9EF5"], ["8feda1", "\u9EF8\u9EFF\u9F02\u9F03\u9F09\u9F0F\u9F10\u9F11\u9F12\u9F14\u9F16\u9F17\u9F19\u9F1A\u9F1B\u9F1F\u9F22\u9F26\u9F2A\u9F2B\u9F2F\u9F31\u9F32\u9F34\u9F37\u9F39\u9F3A\u9F3C\u9F3D\u9F3F\u9F41\u9F43", 4, "\u9F53\u9F55\u9F56\u9F57\u9F58\u9F5A\u9F5D\u9F5E\u9F68\u9F69\u9F6D", 4, "\u9F73\u9F75\u9F7A\u9F7D\u9F8F\u9F90\u9F91\u9F92\u9F94\u9F96\u9F97\u9F9E\u9FA1\u9FA2\u9FA3\u9FA5"]];
    });
    var U0 = b((HGe, J8e) => {
      J8e.exports = [["0", "\0", 127, "\u20AC"], ["8140", "\u4E02\u4E04\u4E05\u4E06\u4E0F\u4E12\u4E17\u4E1F\u4E20\u4E21\u4E23\u4E26\u4E29\u4E2E\u4E2F\u4E31\u4E33\u4E35\u4E37\u4E3C\u4E40\u4E41\u4E42\u4E44\u4E46\u4E4A\u4E51\u4E55\u4E57\u4E5A\u4E5B\u4E62\u4E63\u4E64\u4E65\u4E67\u4E68\u4E6A", 5, "\u4E72\u4E74", 9, "\u4E7F", 6, "\u4E87\u4E8A"], ["8180", "\u4E90\u4E96\u4E97\u4E99\u4E9C\u4E9D\u4E9E\u4EA3\u4EAA\u4EAF\u4EB0\u4EB1\u4EB4\u4EB6\u4EB7\u4EB8\u4EB9\u4EBC\u4EBD\u4EBE\u4EC8\u4ECC\u4ECF\u4ED0\u4ED2\u4EDA\u4EDB\u4EDC\u4EE0\u4EE2\u4EE6\u4EE7\u4EE9\u4EED\u4EEE\u4EEF\u4EF1\u4EF4\u4EF8\u4EF9\u4EFA\u4EFC\u4EFE\u4F00\u4F02", 6, "\u4F0B\u4F0C\u4F12", 4, "\u4F1C\u4F1D\u4F21\u4F23\u4F28\u4F29\u4F2C\u4F2D\u4F2E\u4F31\u4F33\u4F35\u4F37\u4F39\u4F3B\u4F3E", 4, "\u4F44\u4F45\u4F47", 5, "\u4F52\u4F54\u4F56\u4F61\u4F62\u4F66\u4F68\u4F6A\u4F6B\u4F6D\u4F6E\u4F71\u4F72\u4F75\u4F77\u4F78\u4F79\u4F7A\u4F7D\u4F80\u4F81\u4F82\u4F85\u4F86\u4F87\u4F8A\u4F8C\u4F8E\u4F90\u4F92\u4F93\u4F95\u4F96\u4F98\u4F99\u4F9A\u4F9C\u4F9E\u4F9F\u4FA1\u4FA2"], ["8240", "\u4FA4\u4FAB\u4FAD\u4FB0", 4, "\u4FB6", 8, "\u4FC0\u4FC1\u4FC2\u4FC6\u4FC7\u4FC8\u4FC9\u4FCB\u4FCC\u4FCD\u4FD2", 4, "\u4FD9\u4FDB\u4FE0\u4FE2\u4FE4\u4FE5\u4FE7\u4FEB\u4FEC\u4FF0\u4FF2\u4FF4\u4FF5\u4FF6\u4FF7\u4FF9\u4FFB\u4FFC\u4FFD\u4FFF", 11], ["8280", "\u500B\u500E\u5010\u5011\u5013\u5015\u5016\u5017\u501B\u501D\u501E\u5020\u5022\u5023\u5024\u5027\u502B\u502F", 10, "\u503B\u503D\u503F\u5040\u5041\u5042\u5044\u5045\u5046\u5049\u504A\u504B\u504D\u5050", 4, "\u5056\u5057\u5058\u5059\u505B\u505D", 7, "\u5066", 5, "\u506D", 8, "\u5078\u5079\u507A\u507C\u507D\u5081\u5082\u5083\u5084\u5086\u5087\u5089\u508A\u508B\u508C\u508E", 20, "\u50A4\u50A6\u50AA\u50AB\u50AD", 4, "\u50B3", 6, "\u50BC"], ["8340", "\u50BD", 17, "\u50D0", 5, "\u50D7\u50D8\u50D9\u50DB", 10, "\u50E8\u50E9\u50EA\u50EB\u50EF\u50F0\u50F1\u50F2\u50F4\u50F6", 4, "\u50FC", 9, "\u5108"], ["8380", "\u5109\u510A\u510C", 5, "\u5113", 13, "\u5122", 28, "\u5142\u5147\u514A\u514C\u514E\u514F\u5150\u5152\u5153\u5157\u5158\u5159\u515B\u515D", 4, "\u5163\u5164\u5166\u5167\u5169\u516A\u516F\u5172\u517A\u517E\u517F\u5183\u5184\u5186\u5187\u518A\u518B\u518E\u518F\u5190\u5191\u5193\u5194\u5198\u519A\u519D\u519E\u519F\u51A1\u51A3\u51A6", 4, "\u51AD\u51AE\u51B4\u51B8\u51B9\u51BA\u51BE\u51BF\u51C1\u51C2\u51C3\u51C5\u51C8\u51CA\u51CD\u51CE\u51D0\u51D2", 5], ["8440", "\u51D8\u51D9\u51DA\u51DC\u51DE\u51DF\u51E2\u51E3\u51E5", 5, "\u51EC\u51EE\u51F1\u51F2\u51F4\u51F7\u51FE\u5204\u5205\u5209\u520B\u520C\u520F\u5210\u5213\u5214\u5215\u521C\u521E\u521F\u5221\u5222\u5223\u5225\u5226\u5227\u522A\u522C\u522F\u5231\u5232\u5234\u5235\u523C\u523E\u5244", 5, "\u524B\u524E\u524F\u5252\u5253\u5255\u5257\u5258"], ["8480", "\u5259\u525A\u525B\u525D\u525F\u5260\u5262\u5263\u5264\u5266\u5268\u526B\u526C\u526D\u526E\u5270\u5271\u5273", 9, "\u527E\u5280\u5283", 4, "\u5289", 6, "\u5291\u5292\u5294", 6, "\u529C\u52A4\u52A5\u52A6\u52A7\u52AE\u52AF\u52B0\u52B4", 9, "\u52C0\u52C1\u52C2\u52C4\u52C5\u52C6\u52C8\u52CA\u52CC\u52CD\u52CE\u52CF\u52D1\u52D3\u52D4\u52D5\u52D7\u52D9", 5, "\u52E0\u52E1\u52E2\u52E3\u52E5", 10, "\u52F1", 7, "\u52FB\u52FC\u52FD\u5301\u5302\u5303\u5304\u5307\u5309\u530A\u530B\u530C\u530E"], ["8540", "\u5311\u5312\u5313\u5314\u5318\u531B\u531C\u531E\u531F\u5322\u5324\u5325\u5327\u5328\u5329\u532B\u532C\u532D\u532F", 9, "\u533C\u533D\u5340\u5342\u5344\u5346\u534B\u534C\u534D\u5350\u5354\u5358\u5359\u535B\u535D\u5365\u5368\u536A\u536C\u536D\u5372\u5376\u5379\u537B\u537C\u537D\u537E\u5380\u5381\u5383\u5387\u5388\u538A\u538E\u538F"], ["8580", "\u5390", 4, "\u5396\u5397\u5399\u539B\u539C\u539E\u53A0\u53A1\u53A4\u53A7\u53AA\u53AB\u53AC\u53AD\u53AF", 6, "\u53B7\u53B8\u53B9\u53BA\u53BC\u53BD\u53BE\u53C0\u53C3", 4, "\u53CE\u53CF\u53D0\u53D2\u53D3\u53D5\u53DA\u53DC\u53DD\u53DE\u53E1\u53E2\u53E7\u53F4\u53FA\u53FE\u53FF\u5400\u5402\u5405\u5407\u540B\u5414\u5418\u5419\u541A\u541C\u5422\u5424\u5425\u542A\u5430\u5433\u5436\u5437\u543A\u543D\u543F\u5441\u5442\u5444\u5445\u5447\u5449\u544C\u544D\u544E\u544F\u5451\u545A\u545D", 4, "\u5463\u5465\u5467\u5469", 7, "\u5474\u5479\u547A\u547E\u547F\u5481\u5483\u5485\u5487\u5488\u5489\u548A\u548D\u5491\u5493\u5497\u5498\u549C\u549E\u549F\u54A0\u54A1"], ["8640", "\u54A2\u54A5\u54AE\u54B0\u54B2\u54B5\u54B6\u54B7\u54B9\u54BA\u54BC\u54BE\u54C3\u54C5\u54CA\u54CB\u54D6\u54D8\u54DB\u54E0", 4, "\u54EB\u54EC\u54EF\u54F0\u54F1\u54F4", 5, "\u54FB\u54FE\u5500\u5502\u5503\u5504\u5505\u5508\u550A", 4, "\u5512\u5513\u5515", 5, "\u551C\u551D\u551E\u551F\u5521\u5525\u5526"], ["8680", "\u5528\u5529\u552B\u552D\u5532\u5534\u5535\u5536\u5538\u5539\u553A\u553B\u553D\u5540\u5542\u5545\u5547\u5548\u554B", 4, "\u5551\u5552\u5553\u5554\u5557", 4, "\u555D\u555E\u555F\u5560\u5562\u5563\u5568\u5569\u556B\u556F", 5, "\u5579\u557A\u557D\u557F\u5585\u5586\u558C\u558D\u558E\u5590\u5592\u5593\u5595\u5596\u5597\u559A\u559B\u559E\u55A0", 6, "\u55A8", 8, "\u55B2\u55B4\u55B6\u55B8\u55BA\u55BC\u55BF", 4, "\u55C6\u55C7\u55C8\u55CA\u55CB\u55CE\u55CF\u55D0\u55D5\u55D7", 4, "\u55DE\u55E0\u55E2\u55E7\u55E9\u55ED\u55EE\u55F0\u55F1\u55F4\u55F6\u55F8", 4, "\u55FF\u5602\u5603\u5604\u5605"], ["8740", "\u5606\u5607\u560A\u560B\u560D\u5610", 7, "\u5619\u561A\u561C\u561D\u5620\u5621\u5622\u5625\u5626\u5628\u5629\u562A\u562B\u562E\u562F\u5630\u5633\u5635\u5637\u5638\u563A\u563C\u563D\u563E\u5640", 11, "\u564F", 4, "\u5655\u5656\u565A\u565B\u565D", 4], ["8780", "\u5663\u5665\u5666\u5667\u566D\u566E\u566F\u5670\u5672\u5673\u5674\u5675\u5677\u5678\u5679\u567A\u567D", 7, "\u5687", 6, "\u5690\u5691\u5692\u5694", 14, "\u56A4", 10, "\u56B0", 6, "\u56B8\u56B9\u56BA\u56BB\u56BD", 12, "\u56CB", 8, "\u56D5\u56D6\u56D8\u56D9\u56DC\u56E3\u56E5", 5, "\u56EC\u56EE\u56EF\u56F2\u56F3\u56F6\u56F7\u56F8\u56FB\u56FC\u5700\u5701\u5702\u5705\u5707\u570B", 6], ["8840", "\u5712", 9, "\u571D\u571E\u5720\u5721\u5722\u5724\u5725\u5726\u5727\u572B\u5731\u5732\u5734", 4, "\u573C\u573D\u573F\u5741\u5743\u5744\u5745\u5746\u5748\u5749\u574B\u5752", 4, "\u5758\u5759\u5762\u5763\u5765\u5767\u576C\u576E\u5770\u5771\u5772\u5774\u5775\u5778\u5779\u577A\u577D\u577E\u577F\u5780"], ["8880", "\u5781\u5787\u5788\u5789\u578A\u578D", 4, "\u5794", 6, "\u579C\u579D\u579E\u579F\u57A5\u57A8\u57AA\u57AC\u57AF\u57B0\u57B1\u57B3\u57B5\u57B6\u57B7\u57B9", 8, "\u57C4", 6, "\u57CC\u57CD\u57D0\u57D1\u57D3\u57D6\u57D7\u57DB\u57DC\u57DE\u57E1\u57E2\u57E3\u57E5", 7, "\u57EE\u57F0\u57F1\u57F2\u57F3\u57F5\u57F6\u57F7\u57FB\u57FC\u57FE\u57FF\u5801\u5803\u5804\u5805\u5808\u5809\u580A\u580C\u580E\u580F\u5810\u5812\u5813\u5814\u5816\u5817\u5818\u581A\u581B\u581C\u581D\u581F\u5822\u5823\u5825", 4, "\u582B", 4, "\u5831\u5832\u5833\u5834\u5836", 7], ["8940", "\u583E", 5, "\u5845", 6, "\u584E\u584F\u5850\u5852\u5853\u5855\u5856\u5857\u5859", 4, "\u585F", 5, "\u5866", 4, "\u586D", 16, "\u587F\u5882\u5884\u5886\u5887\u5888\u588A\u588B\u588C"], ["8980", "\u588D", 4, "\u5894", 4, "\u589B\u589C\u589D\u58A0", 7, "\u58AA", 17, "\u58BD\u58BE\u58BF\u58C0\u58C2\u58C3\u58C4\u58C6", 10, "\u58D2\u58D3\u58D4\u58D6", 13, "\u58E5", 5, "\u58ED\u58EF\u58F1\u58F2\u58F4\u58F5\u58F7\u58F8\u58FA", 7, "\u5903\u5905\u5906\u5908", 4, "\u590E\u5910\u5911\u5912\u5913\u5917\u5918\u591B\u591D\u591E\u5920\u5921\u5922\u5923\u5926\u5928\u592C\u5930\u5932\u5933\u5935\u5936\u593B"], ["8a40", "\u593D\u593E\u593F\u5940\u5943\u5945\u5946\u594A\u594C\u594D\u5950\u5952\u5953\u5959\u595B", 4, "\u5961\u5963\u5964\u5966", 12, "\u5975\u5977\u597A\u597B\u597C\u597E\u597F\u5980\u5985\u5989\u598B\u598C\u598E\u598F\u5990\u5991\u5994\u5995\u5998\u599A\u599B\u599C\u599D\u599F\u59A0\u59A1\u59A2\u59A6"], ["8a80", "\u59A7\u59AC\u59AD\u59B0\u59B1\u59B3", 5, "\u59BA\u59BC\u59BD\u59BF", 6, "\u59C7\u59C8\u59C9\u59CC\u59CD\u59CE\u59CF\u59D5\u59D6\u59D9\u59DB\u59DE", 4, "\u59E4\u59E6\u59E7\u59E9\u59EA\u59EB\u59ED", 11, "\u59FA\u59FC\u59FD\u59FE\u5A00\u5A02\u5A0A\u5A0B\u5A0D\u5A0E\u5A0F\u5A10\u5A12\u5A14\u5A15\u5A16\u5A17\u5A19\u5A1A\u5A1B\u5A1D\u5A1E\u5A21\u5A22\u5A24\u5A26\u5A27\u5A28\u5A2A", 6, "\u5A33\u5A35\u5A37", 4, "\u5A3D\u5A3E\u5A3F\u5A41", 4, "\u5A47\u5A48\u5A4B", 9, "\u5A56\u5A57\u5A58\u5A59\u5A5B", 5], ["8b40", "\u5A61\u5A63\u5A64\u5A65\u5A66\u5A68\u5A69\u5A6B", 8, "\u5A78\u5A79\u5A7B\u5A7C\u5A7D\u5A7E\u5A80", 17, "\u5A93", 6, "\u5A9C", 13, "\u5AAB\u5AAC"], ["8b80", "\u5AAD", 4, "\u5AB4\u5AB6\u5AB7\u5AB9", 4, "\u5ABF\u5AC0\u5AC3", 5, "\u5ACA\u5ACB\u5ACD", 4, "\u5AD3\u5AD5\u5AD7\u5AD9\u5ADA\u5ADB\u5ADD\u5ADE\u5ADF\u5AE2\u5AE4\u5AE5\u5AE7\u5AE8\u5AEA\u5AEC", 4, "\u5AF2", 22, "\u5B0A", 11, "\u5B18", 25, "\u5B33\u5B35\u5B36\u5B38", 7, "\u5B41", 6], ["8c40", "\u5B48", 7, "\u5B52\u5B56\u5B5E\u5B60\u5B61\u5B67\u5B68\u5B6B\u5B6D\u5B6E\u5B6F\u5B72\u5B74\u5B76\u5B77\u5B78\u5B79\u5B7B\u5B7C\u5B7E\u5B7F\u5B82\u5B86\u5B8A\u5B8D\u5B8E\u5B90\u5B91\u5B92\u5B94\u5B96\u5B9F\u5BA7\u5BA8\u5BA9\u5BAC\u5BAD\u5BAE\u5BAF\u5BB1\u5BB2\u5BB7\u5BBA\u5BBB\u5BBC\u5BC0\u5BC1\u5BC3\u5BC8\u5BC9\u5BCA\u5BCB\u5BCD\u5BCE\u5BCF"], ["8c80", "\u5BD1\u5BD4", 8, "\u5BE0\u5BE2\u5BE3\u5BE6\u5BE7\u5BE9", 4, "\u5BEF\u5BF1", 6, "\u5BFD\u5BFE\u5C00\u5C02\u5C03\u5C05\u5C07\u5C08\u5C0B\u5C0C\u5C0D\u5C0E\u5C10\u5C12\u5C13\u5C17\u5C19\u5C1B\u5C1E\u5C1F\u5C20\u5C21\u5C23\u5C26\u5C28\u5C29\u5C2A\u5C2B\u5C2D\u5C2E\u5C2F\u5C30\u5C32\u5C33\u5C35\u5C36\u5C37\u5C43\u5C44\u5C46\u5C47\u5C4C\u5C4D\u5C52\u5C53\u5C54\u5C56\u5C57\u5C58\u5C5A\u5C5B\u5C5C\u5C5D\u5C5F\u5C62\u5C64\u5C67", 6, "\u5C70\u5C72", 6, "\u5C7B\u5C7C\u5C7D\u5C7E\u5C80\u5C83", 4, "\u5C89\u5C8A\u5C8B\u5C8E\u5C8F\u5C92\u5C93\u5C95\u5C9D", 4, "\u5CA4", 4], ["8d40", "\u5CAA\u5CAE\u5CAF\u5CB0\u5CB2\u5CB4\u5CB6\u5CB9\u5CBA\u5CBB\u5CBC\u5CBE\u5CC0\u5CC2\u5CC3\u5CC5", 5, "\u5CCC", 5, "\u5CD3", 5, "\u5CDA", 6, "\u5CE2\u5CE3\u5CE7\u5CE9\u5CEB\u5CEC\u5CEE\u5CEF\u5CF1", 9, "\u5CFC", 4], ["8d80", "\u5D01\u5D04\u5D05\u5D08", 5, "\u5D0F", 4, "\u5D15\u5D17\u5D18\u5D19\u5D1A\u5D1C\u5D1D\u5D1F", 4, "\u5D25\u5D28\u5D2A\u5D2B\u5D2C\u5D2F", 4, "\u5D35", 7, "\u5D3F", 7, "\u5D48\u5D49\u5D4D", 10, "\u5D59\u5D5A\u5D5C\u5D5E", 10, "\u5D6A\u5D6D\u5D6E\u5D70\u5D71\u5D72\u5D73\u5D75", 12, "\u5D83", 21, "\u5D9A\u5D9B\u5D9C\u5D9E\u5D9F\u5DA0"], ["8e40", "\u5DA1", 21, "\u5DB8", 12, "\u5DC6", 6, "\u5DCE", 12, "\u5DDC\u5DDF\u5DE0\u5DE3\u5DE4\u5DEA\u5DEC\u5DED"], ["8e80", "\u5DF0\u5DF5\u5DF6\u5DF8", 4, "\u5DFF\u5E00\u5E04\u5E07\u5E09\u5E0A\u5E0B\u5E0D\u5E0E\u5E12\u5E13\u5E17\u5E1E", 7, "\u5E28", 4, "\u5E2F\u5E30\u5E32", 4, "\u5E39\u5E3A\u5E3E\u5E3F\u5E40\u5E41\u5E43\u5E46", 5, "\u5E4D", 6, "\u5E56", 4, "\u5E5C\u5E5D\u5E5F\u5E60\u5E63", 14, "\u5E75\u5E77\u5E79\u5E7E\u5E81\u5E82\u5E83\u5E85\u5E88\u5E89\u5E8C\u5E8D\u5E8E\u5E92\u5E98\u5E9B\u5E9D\u5EA1\u5EA2\u5EA3\u5EA4\u5EA8", 4, "\u5EAE", 4, "\u5EB4\u5EBA\u5EBB\u5EBC\u5EBD\u5EBF", 6], ["8f40", "\u5EC6\u5EC7\u5EC8\u5ECB", 5, "\u5ED4\u5ED5\u5ED7\u5ED8\u5ED9\u5EDA\u5EDC", 11, "\u5EE9\u5EEB", 8, "\u5EF5\u5EF8\u5EF9\u5EFB\u5EFC\u5EFD\u5F05\u5F06\u5F07\u5F09\u5F0C\u5F0D\u5F0E\u5F10\u5F12\u5F14\u5F16\u5F19\u5F1A\u5F1C\u5F1D\u5F1E\u5F21\u5F22\u5F23\u5F24"], ["8f80", "\u5F28\u5F2B\u5F2C\u5F2E\u5F30\u5F32", 6, "\u5F3B\u5F3D\u5F3E\u5F3F\u5F41", 14, "\u5F51\u5F54\u5F59\u5F5A\u5F5B\u5F5C\u5F5E\u5F5F\u5F60\u5F63\u5F65\u5F67\u5F68\u5F6B\u5F6E\u5F6F\u5F72\u5F74\u5F75\u5F76\u5F78\u5F7A\u5F7D\u5F7E\u5F7F\u5F83\u5F86\u5F8D\u5F8E\u5F8F\u5F91\u5F93\u5F94\u5F96\u5F9A\u5F9B\u5F9D\u5F9E\u5F9F\u5FA0\u5FA2", 5, "\u5FA9\u5FAB\u5FAC\u5FAF", 5, "\u5FB6\u5FB8\u5FB9\u5FBA\u5FBB\u5FBE", 4, "\u5FC7\u5FC8\u5FCA\u5FCB\u5FCE\u5FD3\u5FD4\u5FD5\u5FDA\u5FDB\u5FDC\u5FDE\u5FDF\u5FE2\u5FE3\u5FE5\u5FE6\u5FE8\u5FE9\u5FEC\u5FEF\u5FF0\u5FF2\u5FF3\u5FF4\u5FF6\u5FF7\u5FF9\u5FFA\u5FFC\u6007"], ["9040", "\u6008\u6009\u600B\u600C\u6010\u6011\u6013\u6017\u6018\u601A\u601E\u601F\u6022\u6023\u6024\u602C\u602D\u602E\u6030", 4, "\u6036", 4, "\u603D\u603E\u6040\u6044", 6, "\u604C\u604E\u604F\u6051\u6053\u6054\u6056\u6057\u6058\u605B\u605C\u605E\u605F\u6060\u6061\u6065\u6066\u606E\u6071\u6072\u6074\u6075\u6077\u607E\u6080"], ["9080", "\u6081\u6082\u6085\u6086\u6087\u6088\u608A\u608B\u608E\u608F\u6090\u6091\u6093\u6095\u6097\u6098\u6099\u609C\u609E\u60A1\u60A2\u60A4\u60A5\u60A7\u60A9\u60AA\u60AE\u60B0\u60B3\u60B5\u60B6\u60B7\u60B9\u60BA\u60BD", 7, "\u60C7\u60C8\u60C9\u60CC", 4, "\u60D2\u60D3\u60D4\u60D6\u60D7\u60D9\u60DB\u60DE\u60E1", 4, "\u60EA\u60F1\u60F2\u60F5\u60F7\u60F8\u60FB", 4, "\u6102\u6103\u6104\u6105\u6107\u610A\u610B\u610C\u6110", 4, "\u6116\u6117\u6118\u6119\u611B\u611C\u611D\u611E\u6121\u6122\u6125\u6128\u6129\u612A\u612C", 18, "\u6140", 6], ["9140", "\u6147\u6149\u614B\u614D\u614F\u6150\u6152\u6153\u6154\u6156", 6, "\u615E\u615F\u6160\u6161\u6163\u6164\u6165\u6166\u6169", 6, "\u6171\u6172\u6173\u6174\u6176\u6178", 18, "\u618C\u618D\u618F", 4, "\u6195"], ["9180", "\u6196", 6, "\u619E", 8, "\u61AA\u61AB\u61AD", 9, "\u61B8", 5, "\u61BF\u61C0\u61C1\u61C3", 4, "\u61C9\u61CC", 4, "\u61D3\u61D5", 16, "\u61E7", 13, "\u61F6", 8, "\u6200", 5, "\u6207\u6209\u6213\u6214\u6219\u621C\u621D\u621E\u6220\u6223\u6226\u6227\u6228\u6229\u622B\u622D\u622F\u6230\u6231\u6232\u6235\u6236\u6238", 4, "\u6242\u6244\u6245\u6246\u624A"], ["9240", "\u624F\u6250\u6255\u6256\u6257\u6259\u625A\u625C", 6, "\u6264\u6265\u6268\u6271\u6272\u6274\u6275\u6277\u6278\u627A\u627B\u627D\u6281\u6282\u6283\u6285\u6286\u6287\u6288\u628B", 5, "\u6294\u6299\u629C\u629D\u629E\u62A3\u62A6\u62A7\u62A9\u62AA\u62AD\u62AE\u62AF\u62B0\u62B2\u62B3\u62B4\u62B6\u62B7\u62B8\u62BA\u62BE\u62C0\u62C1"], ["9280", "\u62C3\u62CB\u62CF\u62D1\u62D5\u62DD\u62DE\u62E0\u62E1\u62E4\u62EA\u62EB\u62F0\u62F2\u62F5\u62F8\u62F9\u62FA\u62FB\u6300\u6303\u6304\u6305\u6306\u630A\u630B\u630C\u630D\u630F\u6310\u6312\u6313\u6314\u6315\u6317\u6318\u6319\u631C\u6326\u6327\u6329\u632C\u632D\u632E\u6330\u6331\u6333", 5, "\u633B\u633C\u633E\u633F\u6340\u6341\u6344\u6347\u6348\u634A\u6351\u6352\u6353\u6354\u6356", 7, "\u6360\u6364\u6365\u6366\u6368\u636A\u636B\u636C\u636F\u6370\u6372\u6373\u6374\u6375\u6378\u6379\u637C\u637D\u637E\u637F\u6381\u6383\u6384\u6385\u6386\u638B\u638D\u6391\u6393\u6394\u6395\u6397\u6399", 6, "\u63A1\u63A4\u63A6\u63AB\u63AF\u63B1\u63B2\u63B5\u63B6\u63B9\u63BB\u63BD\u63BF\u63C0"], ["9340", "\u63C1\u63C2\u63C3\u63C5\u63C7\u63C8\u63CA\u63CB\u63CC\u63D1\u63D3\u63D4\u63D5\u63D7", 6, "\u63DF\u63E2\u63E4", 4, "\u63EB\u63EC\u63EE\u63EF\u63F0\u63F1\u63F3\u63F5\u63F7\u63F9\u63FA\u63FB\u63FC\u63FE\u6403\u6404\u6406", 4, "\u640D\u640E\u6411\u6412\u6415", 5, "\u641D\u641F\u6422\u6423\u6424"], ["9380", "\u6425\u6427\u6428\u6429\u642B\u642E", 5, "\u6435", 4, "\u643B\u643C\u643E\u6440\u6442\u6443\u6449\u644B", 6, "\u6453\u6455\u6456\u6457\u6459", 4, "\u645F", 7, "\u6468\u646A\u646B\u646C\u646E", 9, "\u647B", 6, "\u6483\u6486\u6488", 8, "\u6493\u6494\u6497\u6498\u649A\u649B\u649C\u649D\u649F", 4, "\u64A5\u64A6\u64A7\u64A8\u64AA\u64AB\u64AF\u64B1\u64B2\u64B3\u64B4\u64B6\u64B9\u64BB\u64BD\u64BE\u64BF\u64C1\u64C3\u64C4\u64C6", 6, "\u64CF\u64D1\u64D3\u64D4\u64D5\u64D6\u64D9\u64DA"], ["9440", "\u64DB\u64DC\u64DD\u64DF\u64E0\u64E1\u64E3\u64E5\u64E7", 24, "\u6501", 7, "\u650A", 7, "\u6513", 4, "\u6519", 8], ["9480", "\u6522\u6523\u6524\u6526", 4, "\u652C\u652D\u6530\u6531\u6532\u6533\u6537\u653A\u653C\u653D\u6540", 4, "\u6546\u6547\u654A\u654B\u654D\u654E\u6550\u6552\u6553\u6554\u6557\u6558\u655A\u655C\u655F\u6560\u6561\u6564\u6565\u6567\u6568\u6569\u656A\u656D\u656E\u656F\u6571\u6573\u6575\u6576\u6578", 14, "\u6588\u6589\u658A\u658D\u658E\u658F\u6592\u6594\u6595\u6596\u6598\u659A\u659D\u659E\u65A0\u65A2\u65A3\u65A6\u65A8\u65AA\u65AC\u65AE\u65B1", 7, "\u65BA\u65BB\u65BE\u65BF\u65C0\u65C2\u65C7\u65C8\u65C9\u65CA\u65CD\u65D0\u65D1\u65D3\u65D4\u65D5\u65D8", 7, "\u65E1\u65E3\u65E4\u65EA\u65EB"], ["9540", "\u65F2\u65F3\u65F4\u65F5\u65F8\u65F9\u65FB", 4, "\u6601\u6604\u6605\u6607\u6608\u6609\u660B\u660D\u6610\u6611\u6612\u6616\u6617\u6618\u661A\u661B\u661C\u661E\u6621\u6622\u6623\u6624\u6626\u6629\u662A\u662B\u662C\u662E\u6630\u6632\u6633\u6637", 4, "\u663D\u663F\u6640\u6642\u6644", 6, "\u664D\u664E\u6650\u6651\u6658"], ["9580", "\u6659\u665B\u665C\u665D\u665E\u6660\u6662\u6663\u6665\u6667\u6669", 4, "\u6671\u6672\u6673\u6675\u6678\u6679\u667B\u667C\u667D\u667F\u6680\u6681\u6683\u6685\u6686\u6688\u6689\u668A\u668B\u668D\u668E\u668F\u6690\u6692\u6693\u6694\u6695\u6698", 4, "\u669E", 8, "\u66A9", 4, "\u66AF", 4, "\u66B5\u66B6\u66B7\u66B8\u66BA\u66BB\u66BC\u66BD\u66BF", 25, "\u66DA\u66DE", 7, "\u66E7\u66E8\u66EA", 5, "\u66F1\u66F5\u66F6\u66F8\u66FA\u66FB\u66FD\u6701\u6702\u6703"], ["9640", "\u6704\u6705\u6706\u6707\u670C\u670E\u670F\u6711\u6712\u6713\u6716\u6718\u6719\u671A\u671C\u671E\u6720", 5, "\u6727\u6729\u672E\u6730\u6732\u6733\u6736\u6737\u6738\u6739\u673B\u673C\u673E\u673F\u6741\u6744\u6745\u6747\u674A\u674B\u674D\u6752\u6754\u6755\u6757", 4, "\u675D\u6762\u6763\u6764\u6766\u6767\u676B\u676C\u676E\u6771\u6774\u6776"], ["9680", "\u6778\u6779\u677A\u677B\u677D\u6780\u6782\u6783\u6785\u6786\u6788\u678A\u678C\u678D\u678E\u678F\u6791\u6792\u6793\u6794\u6796\u6799\u679B\u679F\u67A0\u67A1\u67A4\u67A6\u67A9\u67AC\u67AE\u67B1\u67B2\u67B4\u67B9", 7, "\u67C2\u67C5", 9, "\u67D5\u67D6\u67D7\u67DB\u67DF\u67E1\u67E3\u67E4\u67E6\u67E7\u67E8\u67EA\u67EB\u67ED\u67EE\u67F2\u67F5", 7, "\u67FE\u6801\u6802\u6803\u6804\u6806\u680D\u6810\u6812\u6814\u6815\u6818", 4, "\u681E\u681F\u6820\u6822", 6, "\u682B", 6, "\u6834\u6835\u6836\u683A\u683B\u683F\u6847\u684B\u684D\u684F\u6852\u6856", 5], ["9740", "\u685C\u685D\u685E\u685F\u686A\u686C", 7, "\u6875\u6878", 8, "\u6882\u6884\u6887", 7, "\u6890\u6891\u6892\u6894\u6895\u6896\u6898", 9, "\u68A3\u68A4\u68A5\u68A9\u68AA\u68AB\u68AC\u68AE\u68B1\u68B2\u68B4\u68B6\u68B7\u68B8"], ["9780", "\u68B9", 6, "\u68C1\u68C3", 5, "\u68CA\u68CC\u68CE\u68CF\u68D0\u68D1\u68D3\u68D4\u68D6\u68D7\u68D9\u68DB", 4, "\u68E1\u68E2\u68E4", 9, "\u68EF\u68F2\u68F3\u68F4\u68F6\u68F7\u68F8\u68FB\u68FD\u68FE\u68FF\u6900\u6902\u6903\u6904\u6906", 4, "\u690C\u690F\u6911\u6913", 11, "\u6921\u6922\u6923\u6925", 7, "\u692E\u692F\u6931\u6932\u6933\u6935\u6936\u6937\u6938\u693A\u693B\u693C\u693E\u6940\u6941\u6943", 16, "\u6955\u6956\u6958\u6959\u695B\u695C\u695F"], ["9840", "\u6961\u6962\u6964\u6965\u6967\u6968\u6969\u696A\u696C\u696D\u696F\u6970\u6972", 4, "\u697A\u697B\u697D\u697E\u697F\u6981\u6983\u6985\u698A\u698B\u698C\u698E", 5, "\u6996\u6997\u6999\u699A\u699D", 9, "\u69A9\u69AA\u69AC\u69AE\u69AF\u69B0\u69B2\u69B3\u69B5\u69B6\u69B8\u69B9\u69BA\u69BC\u69BD"], ["9880", "\u69BE\u69BF\u69C0\u69C2", 7, "\u69CB\u69CD\u69CF\u69D1\u69D2\u69D3\u69D5", 5, "\u69DC\u69DD\u69DE\u69E1", 11, "\u69EE\u69EF\u69F0\u69F1\u69F3", 9, "\u69FE\u6A00", 9, "\u6A0B", 11, "\u6A19", 5, "\u6A20\u6A22", 5, "\u6A29\u6A2B\u6A2C\u6A2D\u6A2E\u6A30\u6A32\u6A33\u6A34\u6A36", 6, "\u6A3F", 4, "\u6A45\u6A46\u6A48", 7, "\u6A51", 6, "\u6A5A"], ["9940", "\u6A5C", 4, "\u6A62\u6A63\u6A64\u6A66", 10, "\u6A72", 6, "\u6A7A\u6A7B\u6A7D\u6A7E\u6A7F\u6A81\u6A82\u6A83\u6A85", 8, "\u6A8F\u6A92", 4, "\u6A98", 7, "\u6AA1", 5], ["9980", "\u6AA7\u6AA8\u6AAA\u6AAD", 114, "\u6B25\u6B26\u6B28", 6], ["9a40", "\u6B2F\u6B30\u6B31\u6B33\u6B34\u6B35\u6B36\u6B38\u6B3B\u6B3C\u6B3D\u6B3F\u6B40\u6B41\u6B42\u6B44\u6B45\u6B48\u6B4A\u6B4B\u6B4D", 11, "\u6B5A", 7, "\u6B68\u6B69\u6B6B", 13, "\u6B7A\u6B7D\u6B7E\u6B7F\u6B80\u6B85\u6B88"], ["9a80", "\u6B8C\u6B8E\u6B8F\u6B90\u6B91\u6B94\u6B95\u6B97\u6B98\u6B99\u6B9C", 4, "\u6BA2", 7, "\u6BAB", 7, "\u6BB6\u6BB8", 6, "\u6BC0\u6BC3\u6BC4\u6BC6", 4, "\u6BCC\u6BCE\u6BD0\u6BD1\u6BD8\u6BDA\u6BDC", 4, "\u6BE2", 7, "\u6BEC\u6BED\u6BEE\u6BF0\u6BF1\u6BF2\u6BF4\u6BF6\u6BF7\u6BF8\u6BFA\u6BFB\u6BFC\u6BFE", 6, "\u6C08", 4, "\u6C0E\u6C12\u6C17\u6C1C\u6C1D\u6C1E\u6C20\u6C23\u6C25\u6C2B\u6C2C\u6C2D\u6C31\u6C33\u6C36\u6C37\u6C39\u6C3A\u6C3B\u6C3C\u6C3E\u6C3F\u6C43\u6C44\u6C45\u6C48\u6C4B", 4, "\u6C51\u6C52\u6C53\u6C56\u6C58"], ["9b40", "\u6C59\u6C5A\u6C62\u6C63\u6C65\u6C66\u6C67\u6C6B", 4, "\u6C71\u6C73\u6C75\u6C77\u6C78\u6C7A\u6C7B\u6C7C\u6C7F\u6C80\u6C84\u6C87\u6C8A\u6C8B\u6C8D\u6C8E\u6C91\u6C92\u6C95\u6C96\u6C97\u6C98\u6C9A\u6C9C\u6C9D\u6C9E\u6CA0\u6CA2\u6CA8\u6CAC\u6CAF\u6CB0\u6CB4\u6CB5\u6CB6\u6CB7\u6CBA\u6CC0\u6CC1\u6CC2\u6CC3\u6CC6\u6CC7\u6CC8\u6CCB\u6CCD\u6CCE\u6CCF\u6CD1\u6CD2\u6CD8"], ["9b80", "\u6CD9\u6CDA\u6CDC\u6CDD\u6CDF\u6CE4\u6CE6\u6CE7\u6CE9\u6CEC\u6CED\u6CF2\u6CF4\u6CF9\u6CFF\u6D00\u6D02\u6D03\u6D05\u6D06\u6D08\u6D09\u6D0A\u6D0D\u6D0F\u6D10\u6D11\u6D13\u6D14\u6D15\u6D16\u6D18\u6D1C\u6D1D\u6D1F", 5, "\u6D26\u6D28\u6D29\u6D2C\u6D2D\u6D2F\u6D30\u6D34\u6D36\u6D37\u6D38\u6D3A\u6D3F\u6D40\u6D42\u6D44\u6D49\u6D4C\u6D50\u6D55\u6D56\u6D57\u6D58\u6D5B\u6D5D\u6D5F\u6D61\u6D62\u6D64\u6D65\u6D67\u6D68\u6D6B\u6D6C\u6D6D\u6D70\u6D71\u6D72\u6D73\u6D75\u6D76\u6D79\u6D7A\u6D7B\u6D7D", 4, "\u6D83\u6D84\u6D86\u6D87\u6D8A\u6D8B\u6D8D\u6D8F\u6D90\u6D92\u6D96", 4, "\u6D9C\u6DA2\u6DA5\u6DAC\u6DAD\u6DB0\u6DB1\u6DB3\u6DB4\u6DB6\u6DB7\u6DB9", 5, "\u6DC1\u6DC2\u6DC3\u6DC8\u6DC9\u6DCA"], ["9c40", "\u6DCD\u6DCE\u6DCF\u6DD0\u6DD2\u6DD3\u6DD4\u6DD5\u6DD7\u6DDA\u6DDB\u6DDC\u6DDF\u6DE2\u6DE3\u6DE5\u6DE7\u6DE8\u6DE9\u6DEA\u6DED\u6DEF\u6DF0\u6DF2\u6DF4\u6DF5\u6DF6\u6DF8\u6DFA\u6DFD", 7, "\u6E06\u6E07\u6E08\u6E09\u6E0B\u6E0F\u6E12\u6E13\u6E15\u6E18\u6E19\u6E1B\u6E1C\u6E1E\u6E1F\u6E22\u6E26\u6E27\u6E28\u6E2A\u6E2C\u6E2E\u6E30\u6E31\u6E33\u6E35"], ["9c80", "\u6E36\u6E37\u6E39\u6E3B", 7, "\u6E45", 7, "\u6E4F\u6E50\u6E51\u6E52\u6E55\u6E57\u6E59\u6E5A\u6E5C\u6E5D\u6E5E\u6E60", 10, "\u6E6C\u6E6D\u6E6F", 14, "\u6E80\u6E81\u6E82\u6E84\u6E87\u6E88\u6E8A", 4, "\u6E91", 6, "\u6E99\u6E9A\u6E9B\u6E9D\u6E9E\u6EA0\u6EA1\u6EA3\u6EA4\u6EA6\u6EA8\u6EA9\u6EAB\u6EAC\u6EAD\u6EAE\u6EB0\u6EB3\u6EB5\u6EB8\u6EB9\u6EBC\u6EBE\u6EBF\u6EC0\u6EC3\u6EC4\u6EC5\u6EC6\u6EC8\u6EC9\u6ECA\u6ECC\u6ECD\u6ECE\u6ED0\u6ED2\u6ED6\u6ED8\u6ED9\u6EDB\u6EDC\u6EDD\u6EE3\u6EE7\u6EEA", 5], ["9d40", "\u6EF0\u6EF1\u6EF2\u6EF3\u6EF5\u6EF6\u6EF7\u6EF8\u6EFA", 7, "\u6F03\u6F04\u6F05\u6F07\u6F08\u6F0A", 4, "\u6F10\u6F11\u6F12\u6F16", 9, "\u6F21\u6F22\u6F23\u6F25\u6F26\u6F27\u6F28\u6F2C\u6F2E\u6F30\u6F32\u6F34\u6F35\u6F37", 6, "\u6F3F\u6F40\u6F41\u6F42"], ["9d80", "\u6F43\u6F44\u6F45\u6F48\u6F49\u6F4A\u6F4C\u6F4E", 9, "\u6F59\u6F5A\u6F5B\u6F5D\u6F5F\u6F60\u6F61\u6F63\u6F64\u6F65\u6F67", 5, "\u6F6F\u6F70\u6F71\u6F73\u6F75\u6F76\u6F77\u6F79\u6F7B\u6F7D", 6, "\u6F85\u6F86\u6F87\u6F8A\u6F8B\u6F8F", 12, "\u6F9D\u6F9E\u6F9F\u6FA0\u6FA2", 4, "\u6FA8", 10, "\u6FB4\u6FB5\u6FB7\u6FB8\u6FBA", 5, "\u6FC1\u6FC3", 5, "\u6FCA", 6, "\u6FD3", 10, "\u6FDF\u6FE2\u6FE3\u6FE4\u6FE5"], ["9e40", "\u6FE6", 7, "\u6FF0", 32, "\u7012", 7, "\u701C", 6, "\u7024", 6], ["9e80", "\u702B", 9, "\u7036\u7037\u7038\u703A", 17, "\u704D\u704E\u7050", 13, "\u705F", 11, "\u706E\u7071\u7072\u7073\u7074\u7077\u7079\u707A\u707B\u707D\u7081\u7082\u7083\u7084\u7086\u7087\u7088\u708B\u708C\u708D\u708F\u7090\u7091\u7093\u7097\u7098\u709A\u709B\u709E", 12, "\u70B0\u70B2\u70B4\u70B5\u70B6\u70BA\u70BE\u70BF\u70C4\u70C5\u70C6\u70C7\u70C9\u70CB", 12, "\u70DA"], ["9f40", "\u70DC\u70DD\u70DE\u70E0\u70E1\u70E2\u70E3\u70E5\u70EA\u70EE\u70F0", 6, "\u70F8\u70FA\u70FB\u70FC\u70FE", 10, "\u710B", 4, "\u7111\u7112\u7114\u7117\u711B", 10, "\u7127", 7, "\u7132\u7133\u7134"], ["9f80", "\u7135\u7137", 13, "\u7146\u7147\u7148\u7149\u714B\u714D\u714F", 12, "\u715D\u715F", 4, "\u7165\u7169", 4, "\u716F\u7170\u7171\u7174\u7175\u7176\u7177\u7179\u717B\u717C\u717E", 5, "\u7185", 4, "\u718B\u718C\u718D\u718E\u7190\u7191\u7192\u7193\u7195\u7196\u7197\u719A", 4, "\u71A1", 6, "\u71A9\u71AA\u71AB\u71AD", 5, "\u71B4\u71B6\u71B7\u71B8\u71BA", 8, "\u71C4", 9, "\u71CF", 4], ["a040", "\u71D6", 9, "\u71E1\u71E2\u71E3\u71E4\u71E6\u71E8", 5, "\u71EF", 9, "\u71FA", 11, "\u7207", 19], ["a080", "\u721B\u721C\u721E", 9, "\u7229\u722B\u722D\u722E\u722F\u7232\u7233\u7234\u723A\u723C\u723E\u7240", 6, "\u7249\u724A\u724B\u724E\u724F\u7250\u7251\u7253\u7254\u7255\u7257\u7258\u725A\u725C\u725E\u7260\u7263\u7264\u7265\u7268\u726A\u726B\u726C\u726D\u7270\u7271\u7273\u7274\u7276\u7277\u7278\u727B\u727C\u727D\u7282\u7283\u7285", 4, "\u728C\u728E\u7290\u7291\u7293", 11, "\u72A0", 11, "\u72AE\u72B1\u72B2\u72B3\u72B5\u72BA", 6, "\u72C5\u72C6\u72C7\u72C9\u72CA\u72CB\u72CC\u72CF\u72D1\u72D3\u72D4\u72D5\u72D6\u72D8\u72DA\u72DB"], ["a1a1", "\u3000\u3001\u3002\xB7\u02C9\u02C7\xA8\u3003\u3005\u2014\uFF5E\u2016\u2026\u2018\u2019\u201C\u201D\u3014\u3015\u3008", 7, "\u3016\u3017\u3010\u3011\xB1\xD7\xF7\u2236\u2227\u2228\u2211\u220F\u222A\u2229\u2208\u2237\u221A\u22A5\u2225\u2220\u2312\u2299\u222B\u222E\u2261\u224C\u2248\u223D\u221D\u2260\u226E\u226F\u2264\u2265\u221E\u2235\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFF04\xA4\uFFE0\uFFE1\u2030\xA7\u2116\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u203B\u2192\u2190\u2191\u2193\u3013"], ["a2a1", "\u2170", 9], ["a2b1", "\u2488", 19, "\u2474", 19, "\u2460", 9], ["a2e5", "\u3220", 9], ["a2f1", "\u2160", 11], ["a3a1", "\uFF01\uFF02\uFF03\uFFE5\uFF05", 88, "\uFFE3"], ["a4a1", "\u3041", 82], ["a5a1", "\u30A1", 85], ["a6a1", "\u0391", 16, "\u03A3", 6], ["a6c1", "\u03B1", 16, "\u03C3", 6], ["a6e0", "\uFE35\uFE36\uFE39\uFE3A\uFE3F\uFE40\uFE3D\uFE3E\uFE41\uFE42\uFE43\uFE44"], ["a6ee", "\uFE3B\uFE3C\uFE37\uFE38\uFE31"], ["a6f4", "\uFE33\uFE34"], ["a7a1", "\u0410", 5, "\u0401\u0416", 25], ["a7d1", "\u0430", 5, "\u0451\u0436", 25], ["a840", "\u02CA\u02CB\u02D9\u2013\u2015\u2025\u2035\u2105\u2109\u2196\u2197\u2198\u2199\u2215\u221F\u2223\u2252\u2266\u2267\u22BF\u2550", 35, "\u2581", 6], ["a880", "\u2588", 7, "\u2593\u2594\u2595\u25BC\u25BD\u25E2\u25E3\u25E4\u25E5\u2609\u2295\u3012\u301D\u301E"], ["a8a1", "\u0101\xE1\u01CE\xE0\u0113\xE9\u011B\xE8\u012B\xED\u01D0\xEC\u014D\xF3\u01D2\xF2\u016B\xFA\u01D4\xF9\u01D6\u01D8\u01DA\u01DC\xFC\xEA\u0251"], ["a8bd", "\u0144\u0148"], ["a8c0", "\u0261"], ["a8c5", "\u3105", 36], ["a940", "\u3021", 8, "\u32A3\u338E\u338F\u339C\u339D\u339E\u33A1\u33C4\u33CE\u33D1\u33D2\u33D5\uFE30\uFFE2\uFFE4"], ["a959", "\u2121\u3231"], ["a95c", "\u2010"], ["a960", "\u30FC\u309B\u309C\u30FD\u30FE\u3006\u309D\u309E\uFE49", 9, "\uFE54\uFE55\uFE56\uFE57\uFE59", 8], ["a980", "\uFE62", 4, "\uFE68\uFE69\uFE6A\uFE6B"], ["a996", "\u3007"], ["a9a4", "\u2500", 75], ["aa40", "\u72DC\u72DD\u72DF\u72E2", 5, "\u72EA\u72EB\u72F5\u72F6\u72F9\u72FD\u72FE\u72FF\u7300\u7302\u7304", 5, "\u730B\u730C\u730D\u730F\u7310\u7311\u7312\u7314\u7318\u7319\u731A\u731F\u7320\u7323\u7324\u7326\u7327\u7328\u732D\u732F\u7330\u7332\u7333\u7335\u7336\u733A\u733B\u733C\u733D\u7340", 8], ["aa80", "\u7349\u734A\u734B\u734C\u734E\u734F\u7351\u7353\u7354\u7355\u7356\u7358", 7, "\u7361", 10, "\u736E\u7370\u7371"], ["ab40", "\u7372", 11, "\u737F", 4, "\u7385\u7386\u7388\u738A\u738C\u738D\u738F\u7390\u7392\u7393\u7394\u7395\u7397\u7398\u7399\u739A\u739C\u739D\u739E\u73A0\u73A1\u73A3", 5, "\u73AA\u73AC\u73AD\u73B1\u73B4\u73B5\u73B6\u73B8\u73B9\u73BC\u73BD\u73BE\u73BF\u73C1\u73C3", 4], ["ab80", "\u73CB\u73CC\u73CE\u73D2", 6, "\u73DA\u73DB\u73DC\u73DD\u73DF\u73E1\u73E2\u73E3\u73E4\u73E6\u73E8\u73EA\u73EB\u73EC\u73EE\u73EF\u73F0\u73F1\u73F3", 4], ["ac40", "\u73F8", 10, "\u7404\u7407\u7408\u740B\u740C\u740D\u740E\u7411", 8, "\u741C", 5, "\u7423\u7424\u7427\u7429\u742B\u742D\u742F\u7431\u7432\u7437", 4, "\u743D\u743E\u743F\u7440\u7442", 11], ["ac80", "\u744E", 6, "\u7456\u7458\u745D\u7460", 12, "\u746E\u746F\u7471", 4, "\u7478\u7479\u747A"], ["ad40", "\u747B\u747C\u747D\u747F\u7482\u7484\u7485\u7486\u7488\u7489\u748A\u748C\u748D\u748F\u7491", 10, "\u749D\u749F", 7, "\u74AA", 15, "\u74BB", 12], ["ad80", "\u74C8", 9, "\u74D3", 8, "\u74DD\u74DF\u74E1\u74E5\u74E7", 6, "\u74F0\u74F1\u74F2"], ["ae40", "\u74F3\u74F5\u74F8", 6, "\u7500\u7501\u7502\u7503\u7505", 7, "\u750E\u7510\u7512\u7514\u7515\u7516\u7517\u751B\u751D\u751E\u7520", 4, "\u7526\u7527\u752A\u752E\u7534\u7536\u7539\u753C\u753D\u753F\u7541\u7542\u7543\u7544\u7546\u7547\u7549\u754A\u754D\u7550\u7551\u7552\u7553\u7555\u7556\u7557\u7558"], ["ae80", "\u755D", 7, "\u7567\u7568\u7569\u756B", 6, "\u7573\u7575\u7576\u7577\u757A", 4, "\u7580\u7581\u7582\u7584\u7585\u7587"], ["af40", "\u7588\u7589\u758A\u758C\u758D\u758E\u7590\u7593\u7595\u7598\u759B\u759C\u759E\u75A2\u75A6", 4, "\u75AD\u75B6\u75B7\u75BA\u75BB\u75BF\u75C0\u75C1\u75C6\u75CB\u75CC\u75CE\u75CF\u75D0\u75D1\u75D3\u75D7\u75D9\u75DA\u75DC\u75DD\u75DF\u75E0\u75E1\u75E5\u75E9\u75EC\u75ED\u75EE\u75EF\u75F2\u75F3\u75F5\u75F6\u75F7\u75F8\u75FA\u75FB\u75FD\u75FE\u7602\u7604\u7606\u7607"], ["af80", "\u7608\u7609\u760B\u760D\u760E\u760F\u7611\u7612\u7613\u7614\u7616\u761A\u761C\u761D\u761E\u7621\u7623\u7627\u7628\u762C\u762E\u762F\u7631\u7632\u7636\u7637\u7639\u763A\u763B\u763D\u7641\u7642\u7644"], ["b040", "\u7645", 6, "\u764E", 5, "\u7655\u7657", 4, "\u765D\u765F\u7660\u7661\u7662\u7664", 6, "\u766C\u766D\u766E\u7670", 7, "\u7679\u767A\u767C\u767F\u7680\u7681\u7683\u7685\u7689\u768A\u768C\u768D\u768F\u7690\u7692\u7694\u7695\u7697\u7698\u769A\u769B"], ["b080", "\u769C", 7, "\u76A5", 8, "\u76AF\u76B0\u76B3\u76B5", 9, "\u76C0\u76C1\u76C3\u554A\u963F\u57C3\u6328\u54CE\u5509\u54C0\u7691\u764C\u853C\u77EE\u827E\u788D\u7231\u9698\u978D\u6C28\u5B89\u4FFA\u6309\u6697\u5CB8\u80FA\u6848\u80AE\u6602\u76CE\u51F9\u6556\u71AC\u7FF1\u8884\u50B2\u5965\u61CA\u6FB3\u82AD\u634C\u6252\u53ED\u5427\u7B06\u516B\u75A4\u5DF4\u62D4\u8DCB\u9776\u628A\u8019\u575D\u9738\u7F62\u7238\u767D\u67CF\u767E\u6446\u4F70\u8D25\u62DC\u7A17\u6591\u73ED\u642C\u6273\u822C\u9881\u677F\u7248\u626E\u62CC\u4F34\u74E3\u534A\u529E\u7ECA\u90A6\u5E2E\u6886\u699C\u8180\u7ED1\u68D2\u78C5\u868C\u9551\u508D\u8C24\u82DE\u80DE\u5305\u8912\u5265"], ["b140", "\u76C4\u76C7\u76C9\u76CB\u76CC\u76D3\u76D5\u76D9\u76DA\u76DC\u76DD\u76DE\u76E0", 4, "\u76E6", 7, "\u76F0\u76F3\u76F5\u76F6\u76F7\u76FA\u76FB\u76FD\u76FF\u7700\u7702\u7703\u7705\u7706\u770A\u770C\u770E", 10, "\u771B\u771C\u771D\u771E\u7721\u7723\u7724\u7725\u7727\u772A\u772B"], ["b180", "\u772C\u772E\u7730", 4, "\u7739\u773B\u773D\u773E\u773F\u7742\u7744\u7745\u7746\u7748", 7, "\u7752", 7, "\u775C\u8584\u96F9\u4FDD\u5821\u9971\u5B9D\u62B1\u62A5\u66B4\u8C79\u9C8D\u7206\u676F\u7891\u60B2\u5351\u5317\u8F88\u80CC\u8D1D\u94A1\u500D\u72C8\u5907\u60EB\u7119\u88AB\u5954\u82EF\u672C\u7B28\u5D29\u7EF7\u752D\u6CF5\u8E66\u8FF8\u903C\u9F3B\u6BD4\u9119\u7B14\u5F7C\u78A7\u84D6\u853D\u6BD5\u6BD9\u6BD6\u5E01\u5E87\u75F9\u95ED\u655D\u5F0A\u5FC5\u8F9F\u58C1\u81C2\u907F\u965B\u97AD\u8FB9\u7F16\u8D2C\u6241\u4FBF\u53D8\u535E\u8FA8\u8FA9\u8FAB\u904D\u6807\u5F6A\u8198\u8868\u9CD6\u618B\u522B\u762A\u5F6C\u658C\u6FD2\u6EE8\u5BBE\u6448\u5175\u51B0\u67C4\u4E19\u79C9\u997C\u70B3"], ["b240", "\u775D\u775E\u775F\u7760\u7764\u7767\u7769\u776A\u776D", 11, "\u777A\u777B\u777C\u7781\u7782\u7783\u7786", 5, "\u778F\u7790\u7793", 11, "\u77A1\u77A3\u77A4\u77A6\u77A8\u77AB\u77AD\u77AE\u77AF\u77B1\u77B2\u77B4\u77B6", 4], ["b280", "\u77BC\u77BE\u77C0", 12, "\u77CE", 8, "\u77D8\u77D9\u77DA\u77DD", 4, "\u77E4\u75C5\u5E76\u73BB\u83E0\u64AD\u62E8\u94B5\u6CE2\u535A\u52C3\u640F\u94C2\u7B94\u4F2F\u5E1B\u8236\u8116\u818A\u6E24\u6CCA\u9A73\u6355\u535C\u54FA\u8865\u57E0\u4E0D\u5E03\u6B65\u7C3F\u90E8\u6016\u64E6\u731C\u88C1\u6750\u624D\u8D22\u776C\u8E29\u91C7\u5F69\u83DC\u8521\u9910\u53C2\u8695\u6B8B\u60ED\u60E8\u707F\u82CD\u8231\u4ED3\u6CA7\u85CF\u64CD\u7CD9\u69FD\u66F9\u8349\u5395\u7B56\u4FA7\u518C\u6D4B\u5C42\u8E6D\u63D2\u53C9\u832C\u8336\u67E5\u78B4\u643D\u5BDF\u5C94\u5DEE\u8BE7\u62C6\u67F4\u8C7A\u6400\u63BA\u8749\u998B\u8C17\u7F20\u94F2\u4EA7\u9610\u98A4\u660C\u7316"], ["b340", "\u77E6\u77E8\u77EA\u77EF\u77F0\u77F1\u77F2\u77F4\u77F5\u77F7\u77F9\u77FA\u77FB\u77FC\u7803", 5, "\u780A\u780B\u780E\u780F\u7810\u7813\u7815\u7819\u781B\u781E\u7820\u7821\u7822\u7824\u7828\u782A\u782B\u782E\u782F\u7831\u7832\u7833\u7835\u7836\u783D\u783F\u7841\u7842\u7843\u7844\u7846\u7848\u7849\u784A\u784B\u784D\u784F\u7851\u7853\u7854\u7858\u7859\u785A"], ["b380", "\u785B\u785C\u785E", 11, "\u786F", 7, "\u7878\u7879\u787A\u787B\u787D", 6, "\u573A\u5C1D\u5E38\u957F\u507F\u80A0\u5382\u655E\u7545\u5531\u5021\u8D85\u6284\u949E\u671D\u5632\u6F6E\u5DE2\u5435\u7092\u8F66\u626F\u64A4\u63A3\u5F7B\u6F88\u90F4\u81E3\u8FB0\u5C18\u6668\u5FF1\u6C89\u9648\u8D81\u886C\u6491\u79F0\u57CE\u6A59\u6210\u5448\u4E58\u7A0B\u60E9\u6F84\u8BDA\u627F\u901E\u9A8B\u79E4\u5403\u75F4\u6301\u5319\u6C60\u8FDF\u5F1B\u9A70\u803B\u9F7F\u4F88\u5C3A\u8D64\u7FC5\u65A5\u70BD\u5145\u51B2\u866B\u5D07\u5BA0\u62BD\u916C\u7574\u8E0C\u7A20\u6101\u7B79\u4EC7\u7EF8\u7785\u4E11\u81ED\u521D\u51FA\u6A71\u53A8\u8E87\u9504\u96CF\u6EC1\u9664\u695A"], ["b440", "\u7884\u7885\u7886\u7888\u788A\u788B\u788F\u7890\u7892\u7894\u7895\u7896\u7899\u789D\u789E\u78A0\u78A2\u78A4\u78A6\u78A8", 7, "\u78B5\u78B6\u78B7\u78B8\u78BA\u78BB\u78BC\u78BD\u78BF\u78C0\u78C2\u78C3\u78C4\u78C6\u78C7\u78C8\u78CC\u78CD\u78CE\u78CF\u78D1\u78D2\u78D3\u78D6\u78D7\u78D8\u78DA", 9], ["b480", "\u78E4\u78E5\u78E6\u78E7\u78E9\u78EA\u78EB\u78ED", 4, "\u78F3\u78F5\u78F6\u78F8\u78F9\u78FB", 5, "\u7902\u7903\u7904\u7906", 6, "\u7840\u50A8\u77D7\u6410\u89E6\u5904\u63E3\u5DDD\u7A7F\u693D\u4F20\u8239\u5598\u4E32\u75AE\u7A97\u5E62\u5E8A\u95EF\u521B\u5439\u708A\u6376\u9524\u5782\u6625\u693F\u9187\u5507\u6DF3\u7EAF\u8822\u6233\u7EF0\u75B5\u8328\u78C1\u96CC\u8F9E\u6148\u74F7\u8BCD\u6B64\u523A\u8D50\u6B21\u806A\u8471\u56F1\u5306\u4ECE\u4E1B\u51D1\u7C97\u918B\u7C07\u4FC3\u8E7F\u7BE1\u7A9C\u6467\u5D14\u50AC\u8106\u7601\u7CB9\u6DEC\u7FE0\u6751\u5B58\u5BF8\u78CB\u64AE\u6413\u63AA\u632B\u9519\u642D\u8FBE\u7B54\u7629\u6253\u5927\u5446\u6B79\u50A3\u6234\u5E26\u6B86\u4EE3\u8D37\u888B\u5F85\u902E"], ["b540", "\u790D", 5, "\u7914", 9, "\u791F", 4, "\u7925", 14, "\u7935", 4, "\u793D\u793F\u7942\u7943\u7944\u7945\u7947\u794A", 8, "\u7954\u7955\u7958\u7959\u7961\u7963"], ["b580", "\u7964\u7966\u7969\u796A\u796B\u796C\u796E\u7970", 6, "\u7979\u797B", 4, "\u7982\u7983\u7986\u7987\u7988\u7989\u798B\u798C\u798D\u798E\u7990\u7991\u7992\u6020\u803D\u62C5\u4E39\u5355\u90F8\u63B8\u80C6\u65E6\u6C2E\u4F46\u60EE\u6DE1\u8BDE\u5F39\u86CB\u5F53\u6321\u515A\u8361\u6863\u5200\u6363\u8E48\u5012\u5C9B\u7977\u5BFC\u5230\u7A3B\u60BC\u9053\u76D7\u5FB7\u5F97\u7684\u8E6C\u706F\u767B\u7B49\u77AA\u51F3\u9093\u5824\u4F4E\u6EF4\u8FEA\u654C\u7B1B\u72C4\u6DA4\u7FDF\u5AE1\u62B5\u5E95\u5730\u8482\u7B2C\u5E1D\u5F1F\u9012\u7F14\u98A0\u6382\u6EC7\u7898\u70B9\u5178\u975B\u57AB\u7535\u4F43\u7538\u5E97\u60E6\u5960\u6DC0\u6BBF\u7889\u53FC\u96D5\u51CB\u5201\u6389\u540A\u9493\u8C03\u8DCC\u7239\u789F\u8776\u8FED\u8C0D\u53E0"], ["b640", "\u7993", 6, "\u799B", 11, "\u79A8", 10, "\u79B4", 4, "\u79BC\u79BF\u79C2\u79C4\u79C5\u79C7\u79C8\u79CA\u79CC\u79CE\u79CF\u79D0\u79D3\u79D4\u79D6\u79D7\u79D9", 5, "\u79E0\u79E1\u79E2\u79E5\u79E8\u79EA"], ["b680", "\u79EC\u79EE\u79F1", 6, "\u79F9\u79FA\u79FC\u79FE\u79FF\u7A01\u7A04\u7A05\u7A07\u7A08\u7A09\u7A0A\u7A0C\u7A0F", 4, "\u7A15\u7A16\u7A18\u7A19\u7A1B\u7A1C\u4E01\u76EF\u53EE\u9489\u9876\u9F0E\u952D\u5B9A\u8BA2\u4E22\u4E1C\u51AC\u8463\u61C2\u52A8\u680B\u4F97\u606B\u51BB\u6D1E\u515C\u6296\u6597\u9661\u8C46\u9017\u75D8\u90FD\u7763\u6BD2\u728A\u72EC\u8BFB\u5835\u7779\u8D4C\u675C\u9540\u809A\u5EA6\u6E21\u5992\u7AEF\u77ED\u953B\u6BB5\u65AD\u7F0E\u5806\u5151\u961F\u5BF9\u58A9\u5428\u8E72\u6566\u987F\u56E4\u949D\u76FE\u9041\u6387\u54C6\u591A\u593A\u579B\u8EB2\u6735\u8DFA\u8235\u5241\u60F0\u5815\u86FE\u5CE8\u9E45\u4FC4\u989D\u8BB9\u5A25\u6076\u5384\u627C\u904F\u9102\u997F\u6069\u800C\u513F\u8033\u5C14\u9975\u6D31\u4E8C"], ["b740", "\u7A1D\u7A1F\u7A21\u7A22\u7A24", 14, "\u7A34\u7A35\u7A36\u7A38\u7A3A\u7A3E\u7A40", 5, "\u7A47", 9, "\u7A52", 4, "\u7A58", 16], ["b780", "\u7A69", 6, "\u7A71\u7A72\u7A73\u7A75\u7A7B\u7A7C\u7A7D\u7A7E\u7A82\u7A85\u7A87\u7A89\u7A8A\u7A8B\u7A8C\u7A8E\u7A8F\u7A90\u7A93\u7A94\u7A99\u7A9A\u7A9B\u7A9E\u7AA1\u7AA2\u8D30\u53D1\u7F5A\u7B4F\u4F10\u4E4F\u9600\u6CD5\u73D0\u85E9\u5E06\u756A\u7FFB\u6A0A\u77FE\u9492\u7E41\u51E1\u70E6\u53CD\u8FD4\u8303\u8D29\u72AF\u996D\u6CDB\u574A\u82B3\u65B9\u80AA\u623F\u9632\u59A8\u4EFF\u8BBF\u7EBA\u653E\u83F2\u975E\u5561\u98DE\u80A5\u532A\u8BFD\u5420\u80BA\u5E9F\u6CB8\u8D39\u82AC\u915A\u5429\u6C1B\u5206\u7EB7\u575F\u711A\u6C7E\u7C89\u594B\u4EFD\u5FFF\u6124\u7CAA\u4E30\u5C01\u67AB\u8702\u5CF0\u950B\u98CE\u75AF\u70FD\u9022\u51AF\u7F1D\u8BBD\u5949\u51E4\u4F5B\u5426\u592B\u6577\u80A4\u5B75\u6276\u62C2\u8F90\u5E45\u6C1F\u7B26\u4F0F\u4FD8\u670D"], ["b840", "\u7AA3\u7AA4\u7AA7\u7AA9\u7AAA\u7AAB\u7AAE", 4, "\u7AB4", 10, "\u7AC0", 10, "\u7ACC", 9, "\u7AD7\u7AD8\u7ADA\u7ADB\u7ADC\u7ADD\u7AE1\u7AE2\u7AE4\u7AE7", 5, "\u7AEE\u7AF0\u7AF1\u7AF2\u7AF3"], ["b880", "\u7AF4", 4, "\u7AFB\u7AFC\u7AFE\u7B00\u7B01\u7B02\u7B05\u7B07\u7B09\u7B0C\u7B0D\u7B0E\u7B10\u7B12\u7B13\u7B16\u7B17\u7B18\u7B1A\u7B1C\u7B1D\u7B1F\u7B21\u7B22\u7B23\u7B27\u7B29\u7B2D\u6D6E\u6DAA\u798F\u88B1\u5F17\u752B\u629A\u8F85\u4FEF\u91DC\u65A7\u812F\u8151\u5E9C\u8150\u8D74\u526F\u8986\u8D4B\u590D\u5085\u4ED8\u961C\u7236\u8179\u8D1F\u5BCC\u8BA3\u9644\u5987\u7F1A\u5490\u5676\u560E\u8BE5\u6539\u6982\u9499\u76D6\u6E89\u5E72\u7518\u6746\u67D1\u7AFF\u809D\u8D76\u611F\u79C6\u6562\u8D63\u5188\u521A\u94A2\u7F38\u809B\u7EB2\u5C97\u6E2F\u6760\u7BD9\u768B\u9AD8\u818F\u7F94\u7CD5\u641E\u9550\u7A3F\u544A\u54E5\u6B4C\u6401\u6208\u9E3D\u80F3\u7599\u5272\u9769\u845B\u683C\u86E4\u9601\u9694\u94EC\u4E2A\u5404\u7ED9\u6839\u8DDF\u8015\u66F4\u5E9A\u7FB9"], ["b940", "\u7B2F\u7B30\u7B32\u7B34\u7B35\u7B36\u7B37\u7B39\u7B3B\u7B3D\u7B3F", 5, "\u7B46\u7B48\u7B4A\u7B4D\u7B4E\u7B53\u7B55\u7B57\u7B59\u7B5C\u7B5E\u7B5F\u7B61\u7B63", 10, "\u7B6F\u7B70\u7B73\u7B74\u7B76\u7B78\u7B7A\u7B7C\u7B7D\u7B7F\u7B81\u7B82\u7B83\u7B84\u7B86", 6, "\u7B8E\u7B8F"], ["b980", "\u7B91\u7B92\u7B93\u7B96\u7B98\u7B99\u7B9A\u7B9B\u7B9E\u7B9F\u7BA0\u7BA3\u7BA4\u7BA5\u7BAE\u7BAF\u7BB0\u7BB2\u7BB3\u7BB5\u7BB6\u7BB7\u7BB9", 7, "\u7BC2\u7BC3\u7BC4\u57C2\u803F\u6897\u5DE5\u653B\u529F\u606D\u9F9A\u4F9B\u8EAC\u516C\u5BAB\u5F13\u5DE9\u6C5E\u62F1\u8D21\u5171\u94A9\u52FE\u6C9F\u82DF\u72D7\u57A2\u6784\u8D2D\u591F\u8F9C\u83C7\u5495\u7B8D\u4F30\u6CBD\u5B64\u59D1\u9F13\u53E4\u86CA\u9AA8\u8C37\u80A1\u6545\u987E\u56FA\u96C7\u522E\u74DC\u5250\u5BE1\u6302\u8902\u4E56\u62D0\u602A\u68FA\u5173\u5B98\u51A0\u89C2\u7BA1\u9986\u7F50\u60EF\u704C\u8D2F\u5149\u5E7F\u901B\u7470\u89C4\u572D\u7845\u5F52\u9F9F\u95FA\u8F68\u9B3C\u8BE1\u7678\u6842\u67DC\u8DEA\u8D35\u523D\u8F8A\u6EDA\u68CD\u9505\u90ED\u56FD\u679C\u88F9\u8FC7\u54C8"], ["ba40", "\u7BC5\u7BC8\u7BC9\u7BCA\u7BCB\u7BCD\u7BCE\u7BCF\u7BD0\u7BD2\u7BD4", 4, "\u7BDB\u7BDC\u7BDE\u7BDF\u7BE0\u7BE2\u7BE3\u7BE4\u7BE7\u7BE8\u7BE9\u7BEB\u7BEC\u7BED\u7BEF\u7BF0\u7BF2", 4, "\u7BF8\u7BF9\u7BFA\u7BFB\u7BFD\u7BFF", 7, "\u7C08\u7C09\u7C0A\u7C0D\u7C0E\u7C10", 5, "\u7C17\u7C18\u7C19"], ["ba80", "\u7C1A", 4, "\u7C20", 5, "\u7C28\u7C29\u7C2B", 12, "\u7C39", 5, "\u7C42\u9AB8\u5B69\u6D77\u6C26\u4EA5\u5BB3\u9A87\u9163\u61A8\u90AF\u97E9\u542B\u6DB5\u5BD2\u51FD\u558A\u7F55\u7FF0\u64BC\u634D\u65F1\u61BE\u608D\u710A\u6C57\u6C49\u592F\u676D\u822A\u58D5\u568E\u8C6A\u6BEB\u90DD\u597D\u8017\u53F7\u6D69\u5475\u559D\u8377\u83CF\u6838\u79BE\u548C\u4F55\u5408\u76D2\u8C89\u9602\u6CB3\u6DB8\u8D6B\u8910\u9E64\u8D3A\u563F\u9ED1\u75D5\u5F88\u72E0\u6068\u54FC\u4EA8\u6A2A\u8861\u6052\u8F70\u54C4\u70D8\u8679\u9E3F\u6D2A\u5B8F\u5F18\u7EA2\u5589\u4FAF\u7334\u543C\u539A\u5019\u540E\u547C\u4E4E\u5FFD\u745A\u58F6\u846B\u80E1\u8774\u72D0\u7CCA\u6E56"], ["bb40", "\u7C43", 9, "\u7C4E", 36, "\u7C75", 5, "\u7C7E", 9], ["bb80", "\u7C88\u7C8A", 6, "\u7C93\u7C94\u7C96\u7C99\u7C9A\u7C9B\u7CA0\u7CA1\u7CA3\u7CA6\u7CA7\u7CA8\u7CA9\u7CAB\u7CAC\u7CAD\u7CAF\u7CB0\u7CB4", 4, "\u7CBA\u7CBB\u5F27\u864E\u552C\u62A4\u4E92\u6CAA\u6237\u82B1\u54D7\u534E\u733E\u6ED1\u753B\u5212\u5316\u8BDD\u69D0\u5F8A\u6000\u6DEE\u574F\u6B22\u73AF\u6853\u8FD8\u7F13\u6362\u60A3\u5524\u75EA\u8C62\u7115\u6DA3\u5BA6\u5E7B\u8352\u614C\u9EC4\u78FA\u8757\u7C27\u7687\u51F0\u60F6\u714C\u6643\u5E4C\u604D\u8C0E\u7070\u6325\u8F89\u5FBD\u6062\u86D4\u56DE\u6BC1\u6094\u6167\u5349\u60E0\u6666\u8D3F\u79FD\u4F1A\u70E9\u6C47\u8BB3\u8BF2\u7ED8\u8364\u660F\u5A5A\u9B42\u6D51\u6DF7\u8C41\u6D3B\u4F19\u706B\u83B7\u6216\u60D1\u970D\u8D27\u7978\u51FB\u573E\u57FA\u673A\u7578\u7A3D\u79EF\u7B95"], ["bc40", "\u7CBF\u7CC0\u7CC2\u7CC3\u7CC4\u7CC6\u7CC9\u7CCB\u7CCE", 6, "\u7CD8\u7CDA\u7CDB\u7CDD\u7CDE\u7CE1", 6, "\u7CE9", 5, "\u7CF0", 7, "\u7CF9\u7CFA\u7CFC", 13, "\u7D0B", 5], ["bc80", "\u7D11", 14, "\u7D21\u7D23\u7D24\u7D25\u7D26\u7D28\u7D29\u7D2A\u7D2C\u7D2D\u7D2E\u7D30", 6, "\u808C\u9965\u8FF9\u6FC0\u8BA5\u9E21\u59EC\u7EE9\u7F09\u5409\u6781\u68D8\u8F91\u7C4D\u96C6\u53CA\u6025\u75BE\u6C72\u5373\u5AC9\u7EA7\u6324\u51E0\u810A\u5DF1\u84DF\u6280\u5180\u5B63\u4F0E\u796D\u5242\u60B8\u6D4E\u5BC4\u5BC2\u8BA1\u8BB0\u65E2\u5FCC\u9645\u5993\u7EE7\u7EAA\u5609\u67B7\u5939\u4F73\u5BB6\u52A0\u835A\u988A\u8D3E\u7532\u94BE\u5047\u7A3C\u4EF7\u67B6\u9A7E\u5AC1\u6B7C\u76D1\u575A\u5C16\u7B3A\u95F4\u714E\u517C\u80A9\u8270\u5978\u7F04\u8327\u68C0\u67EC\u78B1\u7877\u62E3\u6361\u7B80\u4FED\u526A\u51CF\u8350\u69DB\u9274\u8DF5\u8D31\u89C1\u952E\u7BAD\u4EF6"], ["bd40", "\u7D37", 54, "\u7D6F", 7], ["bd80", "\u7D78", 32, "\u5065\u8230\u5251\u996F\u6E10\u6E85\u6DA7\u5EFA\u50F5\u59DC\u5C06\u6D46\u6C5F\u7586\u848B\u6868\u5956\u8BB2\u5320\u9171\u964D\u8549\u6912\u7901\u7126\u80F6\u4EA4\u90CA\u6D47\u9A84\u5A07\u56BC\u6405\u94F0\u77EB\u4FA5\u811A\u72E1\u89D2\u997A\u7F34\u7EDE\u527F\u6559\u9175\u8F7F\u8F83\u53EB\u7A96\u63ED\u63A5\u7686\u79F8\u8857\u9636\u622A\u52AB\u8282\u6854\u6770\u6377\u776B\u7AED\u6D01\u7ED3\u89E3\u59D0\u6212\u85C9\u82A5\u754C\u501F\u4ECB\u75A5\u8BEB\u5C4A\u5DFE\u7B4B\u65A4\u91D1\u4ECA\u6D25\u895F\u7D27\u9526\u4EC5\u8C28\u8FDB\u9773\u664B\u7981\u8FD1\u70EC\u6D78"], ["be40", "\u7D99", 12, "\u7DA7", 6, "\u7DAF", 42], ["be80", "\u7DDA", 32, "\u5C3D\u52B2\u8346\u5162\u830E\u775B\u6676\u9CB8\u4EAC\u60CA\u7CBE\u7CB3\u7ECF\u4E95\u8B66\u666F\u9888\u9759\u5883\u656C\u955C\u5F84\u75C9\u9756\u7ADF\u7ADE\u51C0\u70AF\u7A98\u63EA\u7A76\u7EA0\u7396\u97ED\u4E45\u7078\u4E5D\u9152\u53A9\u6551\u65E7\u81FC\u8205\u548E\u5C31\u759A\u97A0\u62D8\u72D9\u75BD\u5C45\u9A79\u83CA\u5C40\u5480\u77E9\u4E3E\u6CAE\u805A\u62D2\u636E\u5DE8\u5177\u8DDD\u8E1E\u952F\u4FF1\u53E5\u60E7\u70AC\u5267\u6350\u9E43\u5A1F\u5026\u7737\u5377\u7EE2\u6485\u652B\u6289\u6398\u5014\u7235\u89C9\u51B3\u8BC0\u7EDD\u5747\u83CC\u94A7\u519B\u541B\u5CFB"], ["bf40", "\u7DFB", 62], ["bf80", "\u7E3A\u7E3C", 4, "\u7E42", 4, "\u7E48", 21, "\u4FCA\u7AE3\u6D5A\u90E1\u9A8F\u5580\u5496\u5361\u54AF\u5F00\u63E9\u6977\u51EF\u6168\u520A\u582A\u52D8\u574E\u780D\u770B\u5EB7\u6177\u7CE0\u625B\u6297\u4EA2\u7095\u8003\u62F7\u70E4\u9760\u5777\u82DB\u67EF\u68F5\u78D5\u9897\u79D1\u58F3\u54B3\u53EF\u6E34\u514B\u523B\u5BA2\u8BFE\u80AF\u5543\u57A6\u6073\u5751\u542D\u7A7A\u6050\u5B54\u63A7\u62A0\u53E3\u6263\u5BC7\u67AF\u54ED\u7A9F\u82E6\u9177\u5E93\u88E4\u5938\u57AE\u630E\u8DE8\u80EF\u5757\u7B77\u4FA9\u5FEB\u5BBD\u6B3E\u5321\u7B50\u72C2\u6846\u77FF\u7736\u65F7\u51B5\u4E8F\u76D4\u5CBF\u7AA5\u8475\u594E\u9B41\u5080"], ["c040", "\u7E5E", 35, "\u7E83", 23, "\u7E9C\u7E9D\u7E9E"], ["c080", "\u7EAE\u7EB4\u7EBB\u7EBC\u7ED6\u7EE4\u7EEC\u7EF9\u7F0A\u7F10\u7F1E\u7F37\u7F39\u7F3B", 6, "\u7F43\u7F46", 9, "\u7F52\u7F53\u9988\u6127\u6E83\u5764\u6606\u6346\u56F0\u62EC\u6269\u5ED3\u9614\u5783\u62C9\u5587\u8721\u814A\u8FA3\u5566\u83B1\u6765\u8D56\u84DD\u5A6A\u680F\u62E6\u7BEE\u9611\u5170\u6F9C\u8C30\u63FD\u89C8\u61D2\u7F06\u70C2\u6EE5\u7405\u6994\u72FC\u5ECA\u90CE\u6717\u6D6A\u635E\u52B3\u7262\u8001\u4F6C\u59E5\u916A\u70D9\u6D9D\u52D2\u4E50\u96F7\u956D\u857E\u78CA\u7D2F\u5121\u5792\u64C2\u808B\u7C7B\u6CEA\u68F1\u695E\u51B7\u5398\u68A8\u7281\u9ECE\u7BF1\u72F8\u79BB\u6F13\u7406\u674E\u91CC\u9CA4\u793C\u8389\u8354\u540F\u6817\u4E3D\u5389\u52B1\u783E\u5386\u5229\u5088\u4F8B\u4FD0"], ["c140", "\u7F56\u7F59\u7F5B\u7F5C\u7F5D\u7F5E\u7F60\u7F63", 4, "\u7F6B\u7F6C\u7F6D\u7F6F\u7F70\u7F73\u7F75\u7F76\u7F77\u7F78\u7F7A\u7F7B\u7F7C\u7F7D\u7F7F\u7F80\u7F82", 7, "\u7F8B\u7F8D\u7F8F", 4, "\u7F95", 4, "\u7F9B\u7F9C\u7FA0\u7FA2\u7FA3\u7FA5\u7FA6\u7FA8", 6, "\u7FB1"], ["c180", "\u7FB3", 4, "\u7FBA\u7FBB\u7FBE\u7FC0\u7FC2\u7FC3\u7FC4\u7FC6\u7FC7\u7FC8\u7FC9\u7FCB\u7FCD\u7FCF", 4, "\u7FD6\u7FD7\u7FD9", 5, "\u7FE2\u7FE3\u75E2\u7ACB\u7C92\u6CA5\u96B6\u529B\u7483\u54E9\u4FE9\u8054\u83B2\u8FDE\u9570\u5EC9\u601C\u6D9F\u5E18\u655B\u8138\u94FE\u604B\u70BC\u7EC3\u7CAE\u51C9\u6881\u7CB1\u826F\u4E24\u8F86\u91CF\u667E\u4EAE\u8C05\u64A9\u804A\u50DA\u7597\u71CE\u5BE5\u8FBD\u6F66\u4E86\u6482\u9563\u5ED6\u6599\u5217\u88C2\u70C8\u52A3\u730E\u7433\u6797\u78F7\u9716\u4E34\u90BB\u9CDE\u6DCB\u51DB\u8D41\u541D\u62CE\u73B2\u83F1\u96F6\u9F84\u94C3\u4F36\u7F9A\u51CC\u7075\u9675\u5CAD\u9886\u53E6\u4EE4\u6E9C\u7409\u69B4\u786B\u998F\u7559\u5218\u7624\u6D41\u67F3\u516D\u9F99\u804B\u5499\u7B3C\u7ABF"], ["c240", "\u7FE4\u7FE7\u7FE8\u7FEA\u7FEB\u7FEC\u7FED\u7FEF\u7FF2\u7FF4", 6, "\u7FFD\u7FFE\u7FFF\u8002\u8007\u8008\u8009\u800A\u800E\u800F\u8011\u8013\u801A\u801B\u801D\u801E\u801F\u8021\u8023\u8024\u802B", 5, "\u8032\u8034\u8039\u803A\u803C\u803E\u8040\u8041\u8044\u8045\u8047\u8048\u8049\u804E\u804F\u8050\u8051\u8053\u8055\u8056\u8057"], ["c280", "\u8059\u805B", 13, "\u806B", 5, "\u8072", 11, "\u9686\u5784\u62E2\u9647\u697C\u5A04\u6402\u7BD3\u6F0F\u964B\u82A6\u5362\u9885\u5E90\u7089\u63B3\u5364\u864F\u9C81\u9E93\u788C\u9732\u8DEF\u8D42\u9E7F\u6F5E\u7984\u5F55\u9646\u622E\u9A74\u5415\u94DD\u4FA3\u65C5\u5C65\u5C61\u7F15\u8651\u6C2F\u5F8B\u7387\u6EE4\u7EFF\u5CE6\u631B\u5B6A\u6EE6\u5375\u4E71\u63A0\u7565\u62A1\u8F6E\u4F26\u4ED1\u6CA6\u7EB6\u8BBA\u841D\u87BA\u7F57\u903B\u9523\u7BA9\u9AA1\u88F8\u843D\u6D1B\u9A86\u7EDC\u5988\u9EBB\u739B\u7801\u8682\u9A6C\u9A82\u561B\u5417\u57CB\u4E70\u9EA6\u5356\u8FC8\u8109\u7792\u9992\u86EE\u6EE1\u8513\u66FC\u6162\u6F2B"], ["c340", "\u807E\u8081\u8082\u8085\u8088\u808A\u808D", 5, "\u8094\u8095\u8097\u8099\u809E\u80A3\u80A6\u80A7\u80A8\u80AC\u80B0\u80B3\u80B5\u80B6\u80B8\u80B9\u80BB\u80C5\u80C7", 4, "\u80CF", 6, "\u80D8\u80DF\u80E0\u80E2\u80E3\u80E6\u80EE\u80F5\u80F7\u80F9\u80FB\u80FE\u80FF\u8100\u8101\u8103\u8104\u8105\u8107\u8108\u810B"], ["c380", "\u810C\u8115\u8117\u8119\u811B\u811C\u811D\u811F", 12, "\u812D\u812E\u8130\u8133\u8134\u8135\u8137\u8139", 4, "\u813F\u8C29\u8292\u832B\u76F2\u6C13\u5FD9\u83BD\u732B\u8305\u951A\u6BDB\u77DB\u94C6\u536F\u8302\u5192\u5E3D\u8C8C\u8D38\u4E48\u73AB\u679A\u6885\u9176\u9709\u7164\u6CA1\u7709\u5A92\u9541\u6BCF\u7F8E\u6627\u5BD0\u59B9\u5A9A\u95E8\u95F7\u4EEC\u840C\u8499\u6AAC\u76DF\u9530\u731B\u68A6\u5B5F\u772F\u919A\u9761\u7CDC\u8FF7\u8C1C\u5F25\u7C73\u79D8\u89C5\u6CCC\u871C\u5BC6\u5E42\u68C9\u7720\u7EF5\u5195\u514D\u52C9\u5A29\u7F05\u9762\u82D7\u63CF\u7784\u85D0\u79D2\u6E3A\u5E99\u5999\u8511\u706D\u6C11\u62BF\u76BF\u654F\u60AF\u95FD\u660E\u879F\u9E23\u94ED\u540D\u547D\u8C2C\u6478"], ["c440", "\u8140", 5, "\u8147\u8149\u814D\u814E\u814F\u8152\u8156\u8157\u8158\u815B", 4, "\u8161\u8162\u8163\u8164\u8166\u8168\u816A\u816B\u816C\u816F\u8172\u8173\u8175\u8176\u8177\u8178\u8181\u8183", 4, "\u8189\u818B\u818C\u818D\u818E\u8190\u8192", 5, "\u8199\u819A\u819E", 4, "\u81A4\u81A5"], ["c480", "\u81A7\u81A9\u81AB", 7, "\u81B4", 5, "\u81BC\u81BD\u81BE\u81BF\u81C4\u81C5\u81C7\u81C8\u81C9\u81CB\u81CD", 6, "\u6479\u8611\u6A21\u819C\u78E8\u6469\u9B54\u62B9\u672B\u83AB\u58A8\u9ED8\u6CAB\u6F20\u5BDE\u964C\u8C0B\u725F\u67D0\u62C7\u7261\u4EA9\u59C6\u6BCD\u5893\u66AE\u5E55\u52DF\u6155\u6728\u76EE\u7766\u7267\u7A46\u62FF\u54EA\u5450\u94A0\u90A3\u5A1C\u7EB3\u6C16\u4E43\u5976\u8010\u5948\u5357\u7537\u96BE\u56CA\u6320\u8111\u607C\u95F9\u6DD6\u5462\u9981\u5185\u5AE9\u80FD\u59AE\u9713\u502A\u6CE5\u5C3C\u62DF\u4F60\u533F\u817B\u9006\u6EBA\u852B\u62C8\u5E74\u78BE\u64B5\u637B\u5FF5\u5A18\u917F\u9E1F\u5C3F\u634F\u8042\u5B7D\u556E\u954A\u954D\u6D85\u60A8\u67E0\u72DE\u51DD\u5B81"], ["c540", "\u81D4", 14, "\u81E4\u81E5\u81E6\u81E8\u81E9\u81EB\u81EE", 4, "\u81F5", 5, "\u81FD\u81FF\u8203\u8207", 4, "\u820E\u820F\u8211\u8213\u8215", 5, "\u821D\u8220\u8224\u8225\u8226\u8227\u8229\u822E\u8232\u823A\u823C\u823D\u823F"], ["c580", "\u8240\u8241\u8242\u8243\u8245\u8246\u8248\u824A\u824C\u824D\u824E\u8250", 7, "\u8259\u825B\u825C\u825D\u825E\u8260", 7, "\u8269\u62E7\u6CDE\u725B\u626D\u94AE\u7EBD\u8113\u6D53\u519C\u5F04\u5974\u52AA\u6012\u5973\u6696\u8650\u759F\u632A\u61E6\u7CEF\u8BFA\u54E6\u6B27\u9E25\u6BB4\u85D5\u5455\u5076\u6CA4\u556A\u8DB4\u722C\u5E15\u6015\u7436\u62CD\u6392\u724C\u5F98\u6E43\u6D3E\u6500\u6F58\u76D8\u78D0\u76FC\u7554\u5224\u53DB\u4E53\u5E9E\u65C1\u802A\u80D6\u629B\u5486\u5228\u70AE\u888D\u8DD1\u6CE1\u5478\u80DA\u57F9\u88F4\u8D54\u966A\u914D\u4F69\u6C9B\u55B7\u76C6\u7830\u62A8\u70F9\u6F8E\u5F6D\u84EC\u68DA\u787C\u7BF7\u81A8\u670B\u9E4F\u6367\u78B0\u576F\u7812\u9739\u6279\u62AB\u5288\u7435\u6BD7"], ["c640", "\u826A\u826B\u826C\u826D\u8271\u8275\u8276\u8277\u8278\u827B\u827C\u8280\u8281\u8283\u8285\u8286\u8287\u8289\u828C\u8290\u8293\u8294\u8295\u8296\u829A\u829B\u829E\u82A0\u82A2\u82A3\u82A7\u82B2\u82B5\u82B6\u82BA\u82BB\u82BC\u82BF\u82C0\u82C2\u82C3\u82C5\u82C6\u82C9\u82D0\u82D6\u82D9\u82DA\u82DD\u82E2\u82E7\u82E8\u82E9\u82EA\u82EC\u82ED\u82EE\u82F0\u82F2\u82F3\u82F5\u82F6\u82F8"], ["c680", "\u82FA\u82FC", 4, "\u830A\u830B\u830D\u8310\u8312\u8313\u8316\u8318\u8319\u831D", 9, "\u8329\u832A\u832E\u8330\u8332\u8337\u833B\u833D\u5564\u813E\u75B2\u76AE\u5339\u75DE\u50FB\u5C41\u8B6C\u7BC7\u504F\u7247\u9A97\u98D8\u6F02\u74E2\u7968\u6487\u77A5\u62FC\u9891\u8D2B\u54C1\u8058\u4E52\u576A\u82F9\u840D\u5E73\u51ED\u74F6\u8BC4\u5C4F\u5761\u6CFC\u9887\u5A46\u7834\u9B44\u8FEB\u7C95\u5256\u6251\u94FA\u4EC6\u8386\u8461\u83E9\u84B2\u57D4\u6734\u5703\u666E\u6D66\u8C31\u66DD\u7011\u671F\u6B3A\u6816\u621A\u59BB\u4E03\u51C4\u6F06\u67D2\u6C8F\u5176\u68CB\u5947\u6B67\u7566\u5D0E\u8110\u9F50\u65D7\u7948\u7941\u9A91\u8D77\u5C82\u4E5E\u4F01\u542F\u5951\u780C\u5668\u6C14\u8FC4\u5F03\u6C7D\u6CE3\u8BAB\u6390"], ["c740", "\u833E\u833F\u8341\u8342\u8344\u8345\u8348\u834A", 4, "\u8353\u8355", 4, "\u835D\u8362\u8370", 6, "\u8379\u837A\u837E", 6, "\u8387\u8388\u838A\u838B\u838C\u838D\u838F\u8390\u8391\u8394\u8395\u8396\u8397\u8399\u839A\u839D\u839F\u83A1", 6, "\u83AC\u83AD\u83AE"], ["c780", "\u83AF\u83B5\u83BB\u83BE\u83BF\u83C2\u83C3\u83C4\u83C6\u83C8\u83C9\u83CB\u83CD\u83CE\u83D0\u83D1\u83D2\u83D3\u83D5\u83D7\u83D9\u83DA\u83DB\u83DE\u83E2\u83E3\u83E4\u83E6\u83E7\u83E8\u83EB\u83EC\u83ED\u6070\u6D3D\u7275\u6266\u948E\u94C5\u5343\u8FC1\u7B7E\u4EDF\u8C26\u4E7E\u9ED4\u94B1\u94B3\u524D\u6F5C\u9063\u6D45\u8C34\u5811\u5D4C\u6B20\u6B49\u67AA\u545B\u8154\u7F8C\u5899\u8537\u5F3A\u62A2\u6A47\u9539\u6572\u6084\u6865\u77A7\u4E54\u4FA8\u5DE7\u9798\u64AC\u7FD8\u5CED\u4FCF\u7A8D\u5207\u8304\u4E14\u602F\u7A83\u94A6\u4FB5\u4EB2\u79E6\u7434\u52E4\u82B9\u64D2\u79BD\u5BDD\u6C81\u9752\u8F7B\u6C22\u503E\u537F\u6E05\u64CE\u6674\u6C30\u60C5\u9877\u8BF7\u5E86\u743C\u7A77\u79CB\u4E18\u90B1\u7403\u6C42\u56DA\u914B\u6CC5\u8D8B\u533A\u86C6\u66F2\u8EAF\u5C48\u9A71\u6E20"], ["c840", "\u83EE\u83EF\u83F3", 4, "\u83FA\u83FB\u83FC\u83FE\u83FF\u8400\u8402\u8405\u8407\u8408\u8409\u840A\u8410\u8412", 5, "\u8419\u841A\u841B\u841E", 5, "\u8429", 7, "\u8432", 5, "\u8439\u843A\u843B\u843E", 7, "\u8447\u8448\u8449"], ["c880", "\u844A", 6, "\u8452", 4, "\u8458\u845D\u845E\u845F\u8460\u8462\u8464", 4, "\u846A\u846E\u846F\u8470\u8472\u8474\u8477\u8479\u847B\u847C\u53D6\u5A36\u9F8B\u8DA3\u53BB\u5708\u98A7\u6743\u919B\u6CC9\u5168\u75CA\u62F3\u72AC\u5238\u529D\u7F3A\u7094\u7638\u5374\u9E4A\u69B7\u786E\u96C0\u88D9\u7FA4\u7136\u71C3\u5189\u67D3\u74E4\u58E4\u6518\u56B7\u8BA9\u9976\u6270\u7ED5\u60F9\u70ED\u58EC\u4EC1\u4EBA\u5FCD\u97E7\u4EFB\u8BA4\u5203\u598A\u7EAB\u6254\u4ECD\u65E5\u620E\u8338\u84C9\u8363\u878D\u7194\u6EB6\u5BB9\u7ED2\u5197\u63C9\u67D4\u8089\u8339\u8815\u5112\u5B7A\u5982\u8FB1\u4E73\u6C5D\u5165\u8925\u8F6F\u962E\u854A\u745E\u9510\u95F0\u6DA6\u82E5\u5F31\u6492\u6D12\u8428\u816E\u9CC3\u585E\u8D5B\u4E09\u53C1"], ["c940", "\u847D", 4, "\u8483\u8484\u8485\u8486\u848A\u848D\u848F", 7, "\u8498\u849A\u849B\u849D\u849E\u849F\u84A0\u84A2", 12, "\u84B0\u84B1\u84B3\u84B5\u84B6\u84B7\u84BB\u84BC\u84BE\u84C0\u84C2\u84C3\u84C5\u84C6\u84C7\u84C8\u84CB\u84CC\u84CE\u84CF\u84D2\u84D4\u84D5\u84D7"], ["c980", "\u84D8", 4, "\u84DE\u84E1\u84E2\u84E4\u84E7", 4, "\u84ED\u84EE\u84EF\u84F1", 10, "\u84FD\u84FE\u8500\u8501\u8502\u4F1E\u6563\u6851\u55D3\u4E27\u6414\u9A9A\u626B\u5AC2\u745F\u8272\u6DA9\u68EE\u50E7\u838E\u7802\u6740\u5239\u6C99\u7EB1\u50BB\u5565\u715E\u7B5B\u6652\u73CA\u82EB\u6749\u5C71\u5220\u717D\u886B\u95EA\u9655\u64C5\u8D61\u81B3\u5584\u6C55\u6247\u7F2E\u5892\u4F24\u5546\u8D4F\u664C\u4E0A\u5C1A\u88F3\u68A2\u634E\u7A0D\u70E7\u828D\u52FA\u97F6\u5C11\u54E8\u90B5\u7ECD\u5962\u8D4A\u86C7\u820C\u820D\u8D66\u6444\u5C04\u6151\u6D89\u793E\u8BBE\u7837\u7533\u547B\u4F38\u8EAB\u6DF1\u5A20\u7EC5\u795E\u6C88\u5BA1\u5A76\u751A\u80BE\u614E\u6E17\u58F0\u751F\u7525\u7272\u5347\u7EF3"], ["ca40", "\u8503", 8, "\u850D\u850E\u850F\u8510\u8512\u8514\u8515\u8516\u8518\u8519\u851B\u851C\u851D\u851E\u8520\u8522", 8, "\u852D", 9, "\u853E", 4, "\u8544\u8545\u8546\u8547\u854B", 10], ["ca80", "\u8557\u8558\u855A\u855B\u855C\u855D\u855F", 4, "\u8565\u8566\u8567\u8569", 8, "\u8573\u8575\u8576\u8577\u8578\u857C\u857D\u857F\u8580\u8581\u7701\u76DB\u5269\u80DC\u5723\u5E08\u5931\u72EE\u65BD\u6E7F\u8BD7\u5C38\u8671\u5341\u77F3\u62FE\u65F6\u4EC0\u98DF\u8680\u5B9E\u8BC6\u53F2\u77E2\u4F7F\u5C4E\u9A76\u59CB\u5F0F\u793A\u58EB\u4E16\u67FF\u4E8B\u62ED\u8A93\u901D\u52BF\u662F\u55DC\u566C\u9002\u4ED5\u4F8D\u91CA\u9970\u6C0F\u5E02\u6043\u5BA4\u89C6\u8BD5\u6536\u624B\u9996\u5B88\u5BFF\u6388\u552E\u53D7\u7626\u517D\u852C\u67A2\u68B3\u6B8A\u6292\u8F93\u53D4\u8212\u6DD1\u758F\u4E66\u8D4E\u5B70\u719F\u85AF\u6691\u66D9\u7F72\u8700\u9ECD\u9F20\u5C5E\u672F\u8FF0\u6811\u675F\u620D\u7AD6\u5885\u5EB6\u6570\u6F31"], ["cb40", "\u8582\u8583\u8586\u8588", 6, "\u8590", 10, "\u859D", 6, "\u85A5\u85A6\u85A7\u85A9\u85AB\u85AC\u85AD\u85B1", 5, "\u85B8\u85BA", 6, "\u85C2", 6, "\u85CA", 4, "\u85D1\u85D2"], ["cb80", "\u85D4\u85D6", 5, "\u85DD", 6, "\u85E5\u85E6\u85E7\u85E8\u85EA", 14, "\u6055\u5237\u800D\u6454\u8870\u7529\u5E05\u6813\u62F4\u971C\u53CC\u723D\u8C01\u6C34\u7761\u7A0E\u542E\u77AC\u987A\u821C\u8BF4\u7855\u6714\u70C1\u65AF\u6495\u5636\u601D\u79C1\u53F8\u4E1D\u6B7B\u8086\u5BFA\u55E3\u56DB\u4F3A\u4F3C\u9972\u5DF3\u677E\u8038\u6002\u9882\u9001\u5B8B\u8BBC\u8BF5\u641C\u8258\u64DE\u55FD\u82CF\u9165\u4FD7\u7D20\u901F\u7C9F\u50F3\u5851\u6EAF\u5BBF\u8BC9\u8083\u9178\u849C\u7B97\u867D\u968B\u968F\u7EE5\u9AD3\u788E\u5C81\u7A57\u9042\u96A7\u795F\u5B59\u635F\u7B0B\u84D1\u68AD\u5506\u7F29\u7410\u7D22\u9501\u6240\u584C\u4ED6\u5B83\u5979\u5854"], ["cc40", "\u85F9\u85FA\u85FC\u85FD\u85FE\u8600", 4, "\u8606", 10, "\u8612\u8613\u8614\u8615\u8617", 15, "\u8628\u862A", 13, "\u8639\u863A\u863B\u863D\u863E\u863F\u8640"], ["cc80", "\u8641", 11, "\u8652\u8653\u8655", 4, "\u865B\u865C\u865D\u865F\u8660\u8661\u8663", 7, "\u736D\u631E\u8E4B\u8E0F\u80CE\u82D4\u62AC\u53F0\u6CF0\u915E\u592A\u6001\u6C70\u574D\u644A\u8D2A\u762B\u6EE9\u575B\u6A80\u75F0\u6F6D\u8C2D\u8C08\u5766\u6BEF\u8892\u78B3\u63A2\u53F9\u70AD\u6C64\u5858\u642A\u5802\u68E0\u819B\u5510\u7CD6\u5018\u8EBA\u6DCC\u8D9F\u70EB\u638F\u6D9B\u6ED4\u7EE6\u8404\u6843\u9003\u6DD8\u9676\u8BA8\u5957\u7279\u85E4\u817E\u75BC\u8A8A\u68AF\u5254\u8E22\u9511\u63D0\u9898\u8E44\u557C\u4F53\u66FF\u568F\u60D5\u6D95\u5243\u5C49\u5929\u6DFB\u586B\u7530\u751C\u606C\u8214\u8146\u6311\u6761\u8FE2\u773A\u8DF3\u8D34\u94C1\u5E16\u5385\u542C\u70C3"], ["cd40", "\u866D\u866F\u8670\u8672", 6, "\u8683", 6, "\u868E", 4, "\u8694\u8696", 5, "\u869E", 4, "\u86A5\u86A6\u86AB\u86AD\u86AE\u86B2\u86B3\u86B7\u86B8\u86B9\u86BB", 4, "\u86C1\u86C2\u86C3\u86C5\u86C8\u86CC\u86CD\u86D2\u86D3\u86D5\u86D6\u86D7\u86DA\u86DC"], ["cd80", "\u86DD\u86E0\u86E1\u86E2\u86E3\u86E5\u86E6\u86E7\u86E8\u86EA\u86EB\u86EC\u86EF\u86F5\u86F6\u86F7\u86FA\u86FB\u86FC\u86FD\u86FF\u8701\u8704\u8705\u8706\u870B\u870C\u870E\u870F\u8710\u8711\u8714\u8716\u6C40\u5EF7\u505C\u4EAD\u5EAD\u633A\u8247\u901A\u6850\u916E\u77B3\u540C\u94DC\u5F64\u7AE5\u6876\u6345\u7B52\u7EDF\u75DB\u5077\u6295\u5934\u900F\u51F8\u79C3\u7A81\u56FE\u5F92\u9014\u6D82\u5C60\u571F\u5410\u5154\u6E4D\u56E2\u63A8\u9893\u817F\u8715\u892A\u9000\u541E\u5C6F\u81C0\u62D6\u6258\u8131\u9E35\u9640\u9A6E\u9A7C\u692D\u59A5\u62D3\u553E\u6316\u54C7\u86D9\u6D3C\u5A03\u74E6\u889C\u6B6A\u5916\u8C4C\u5F2F\u6E7E\u73A9\u987D\u4E38\u70F7\u5B8C\u7897\u633D\u665A\u7696\u60CB\u5B9B\u5A49\u4E07\u8155\u6C6A\u738B\u4EA1\u6789\u7F51\u5F80\u65FA\u671B\u5FD8\u5984\u5A01"], ["ce40", "\u8719\u871B\u871D\u871F\u8720\u8724\u8726\u8727\u8728\u872A\u872B\u872C\u872D\u872F\u8730\u8732\u8733\u8735\u8736\u8738\u8739\u873A\u873C\u873D\u8740", 6, "\u874A\u874B\u874D\u874F\u8750\u8751\u8752\u8754\u8755\u8756\u8758\u875A", 5, "\u8761\u8762\u8766", 7, "\u876F\u8771\u8772\u8773\u8775"], ["ce80", "\u8777\u8778\u8779\u877A\u877F\u8780\u8781\u8784\u8786\u8787\u8789\u878A\u878C\u878E", 4, "\u8794\u8795\u8796\u8798", 6, "\u87A0", 4, "\u5DCD\u5FAE\u5371\u97E6\u8FDD\u6845\u56F4\u552F\u60DF\u4E3A\u6F4D\u7EF4\u82C7\u840E\u59D4\u4F1F\u4F2A\u5C3E\u7EAC\u672A\u851A\u5473\u754F\u80C3\u5582\u9B4F\u4F4D\u6E2D\u8C13\u5C09\u6170\u536B\u761F\u6E29\u868A\u6587\u95FB\u7EB9\u543B\u7A33\u7D0A\u95EE\u55E1\u7FC1\u74EE\u631D\u8717\u6DA1\u7A9D\u6211\u65A1\u5367\u63E1\u6C83\u5DEB\u545C\u94A8\u4E4C\u6C61\u8BEC\u5C4B\u65E0\u829C\u68A7\u543E\u5434\u6BCB\u6B66\u4E94\u6342\u5348\u821E\u4F0D\u4FAE\u575E\u620A\u96FE\u6664\u7269\u52FF\u52A1\u609F\u8BEF\u6614\u7199\u6790\u897F\u7852\u77FD\u6670\u563B\u5438\u9521\u727A"], ["cf40", "\u87A5\u87A6\u87A7\u87A9\u87AA\u87AE\u87B0\u87B1\u87B2\u87B4\u87B6\u87B7\u87B8\u87B9\u87BB\u87BC\u87BE\u87BF\u87C1", 4, "\u87C7\u87C8\u87C9\u87CC", 4, "\u87D4", 6, "\u87DC\u87DD\u87DE\u87DF\u87E1\u87E2\u87E3\u87E4\u87E6\u87E7\u87E8\u87E9\u87EB\u87EC\u87ED\u87EF", 9], ["cf80", "\u87FA\u87FB\u87FC\u87FD\u87FF\u8800\u8801\u8802\u8804", 5, "\u880B", 7, "\u8814\u8817\u8818\u8819\u881A\u881C", 4, "\u8823\u7A00\u606F\u5E0C\u6089\u819D\u5915\u60DC\u7184\u70EF\u6EAA\u6C50\u7280\u6A84\u88AD\u5E2D\u4E60\u5AB3\u559C\u94E3\u6D17\u7CFB\u9699\u620F\u7EC6\u778E\u867E\u5323\u971E\u8F96\u6687\u5CE1\u4FA0\u72ED\u4E0B\u53A6\u590F\u5413\u6380\u9528\u5148\u4ED9\u9C9C\u7EA4\u54B8\u8D24\u8854\u8237\u95F2\u6D8E\u5F26\u5ACC\u663E\u9669\u73B0\u732E\u53BF\u817A\u9985\u7FA1\u5BAA\u9677\u9650\u7EBF\u76F8\u53A2\u9576\u9999\u7BB1\u8944\u6E58\u4E61\u7FD4\u7965\u8BE6\u60F3\u54CD\u4EAB\u9879\u5DF7\u6A61\u50CF\u5411\u8C61\u8427\u785D\u9704\u524A\u54EE\u56A3\u9500\u6D88\u5BB5\u6DC6\u6653"], ["d040", "\u8824", 13, "\u8833", 5, "\u883A\u883B\u883D\u883E\u883F\u8841\u8842\u8843\u8846", 5, "\u884E", 5, "\u8855\u8856\u8858\u885A", 6, "\u8866\u8867\u886A\u886D\u886F\u8871\u8873\u8874\u8875\u8876\u8878\u8879\u887A"], ["d080", "\u887B\u887C\u8880\u8883\u8886\u8887\u8889\u888A\u888C\u888E\u888F\u8890\u8891\u8893\u8894\u8895\u8897", 4, "\u889D", 4, "\u88A3\u88A5", 5, "\u5C0F\u5B5D\u6821\u8096\u5578\u7B11\u6548\u6954\u4E9B\u6B47\u874E\u978B\u534F\u631F\u643A\u90AA\u659C\u80C1\u8C10\u5199\u68B0\u5378\u87F9\u61C8\u6CC4\u6CFB\u8C22\u5C51\u85AA\u82AF\u950C\u6B23\u8F9B\u65B0\u5FFB\u5FC3\u4FE1\u8845\u661F\u8165\u7329\u60FA\u5174\u5211\u578B\u5F62\u90A2\u884C\u9192\u5E78\u674F\u6027\u59D3\u5144\u51F6\u80F8\u5308\u6C79\u96C4\u718A\u4F11\u4FEE\u7F9E\u673D\u55C5\u9508\u79C0\u8896\u7EE3\u589F\u620C\u9700\u865A\u5618\u987B\u5F90\u8BB8\u84C4\u9157\u53D9\u65ED\u5E8F\u755C\u6064\u7D6E\u5A7F\u7EEA\u7EED\u8F69\u55A7\u5BA3\u60AC\u65CB\u7384"], ["d140", "\u88AC\u88AE\u88AF\u88B0\u88B2", 4, "\u88B8\u88B9\u88BA\u88BB\u88BD\u88BE\u88BF\u88C0\u88C3\u88C4\u88C7\u88C8\u88CA\u88CB\u88CC\u88CD\u88CF\u88D0\u88D1\u88D3\u88D6\u88D7\u88DA", 4, "\u88E0\u88E1\u88E6\u88E7\u88E9", 6, "\u88F2\u88F5\u88F6\u88F7\u88FA\u88FB\u88FD\u88FF\u8900\u8901\u8903", 5], ["d180", "\u8909\u890B", 4, "\u8911\u8914", 4, "\u891C", 4, "\u8922\u8923\u8924\u8926\u8927\u8928\u8929\u892C\u892D\u892E\u892F\u8931\u8932\u8933\u8935\u8937\u9009\u7663\u7729\u7EDA\u9774\u859B\u5B66\u7A74\u96EA\u8840\u52CB\u718F\u5FAA\u65EC\u8BE2\u5BFB\u9A6F\u5DE1\u6B89\u6C5B\u8BAD\u8BAF\u900A\u8FC5\u538B\u62BC\u9E26\u9E2D\u5440\u4E2B\u82BD\u7259\u869C\u5D16\u8859\u6DAF\u96C5\u54D1\u4E9A\u8BB6\u7109\u54BD\u9609\u70DF\u6DF9\u76D0\u4E25\u7814\u8712\u5CA9\u5EF6\u8A00\u989C\u960E\u708E\u6CBF\u5944\u63A9\u773C\u884D\u6F14\u8273\u5830\u71D5\u538C\u781A\u96C1\u5501\u5F66\u7130\u5BB4\u8C1A\u9A8C\u6B83\u592E\u9E2F\u79E7\u6768\u626C\u4F6F\u75A1\u7F8A\u6D0B\u9633\u6C27\u4EF0\u75D2\u517B\u6837\u6F3E\u9080\u8170\u5996\u7476"], ["d240", "\u8938", 8, "\u8942\u8943\u8945", 24, "\u8960", 5, "\u8967", 19, "\u897C"], ["d280", "\u897D\u897E\u8980\u8982\u8984\u8985\u8987", 26, "\u6447\u5C27\u9065\u7A91\u8C23\u59DA\u54AC\u8200\u836F\u8981\u8000\u6930\u564E\u8036\u7237\u91CE\u51B6\u4E5F\u9875\u6396\u4E1A\u53F6\u66F3\u814B\u591C\u6DB2\u4E00\u58F9\u533B\u63D6\u94F1\u4F9D\u4F0A\u8863\u9890\u5937\u9057\u79FB\u4EEA\u80F0\u7591\u6C82\u5B9C\u59E8\u5F5D\u6905\u8681\u501A\u5DF2\u4E59\u77E3\u4EE5\u827A\u6291\u6613\u9091\u5C79\u4EBF\u5F79\u81C6\u9038\u8084\u75AB\u4EA6\u88D4\u610F\u6BC5\u5FC6\u4E49\u76CA\u6EA2\u8BE3\u8BAE\u8C0A\u8BD1\u5F02\u7FFC\u7FCC\u7ECE\u8335\u836B\u56E0\u6BB7\u97F3\u9634\u59FB\u541F\u94F6\u6DEB\u5BC5\u996E\u5C39\u5F15\u9690"], ["d340", "\u89A2", 30, "\u89C3\u89CD\u89D3\u89D4\u89D5\u89D7\u89D8\u89D9\u89DB\u89DD\u89DF\u89E0\u89E1\u89E2\u89E4\u89E7\u89E8\u89E9\u89EA\u89EC\u89ED\u89EE\u89F0\u89F1\u89F2\u89F4", 6], ["d380", "\u89FB", 4, "\u8A01", 5, "\u8A08", 21, "\u5370\u82F1\u6A31\u5A74\u9E70\u5E94\u7F28\u83B9\u8424\u8425\u8367\u8747\u8FCE\u8D62\u76C8\u5F71\u9896\u786C\u6620\u54DF\u62E5\u4F63\u81C3\u75C8\u5EB8\u96CD\u8E0A\u86F9\u548F\u6CF3\u6D8C\u6C38\u607F\u52C7\u7528\u5E7D\u4F18\u60A0\u5FE7\u5C24\u7531\u90AE\u94C0\u72B9\u6CB9\u6E38\u9149\u6709\u53CB\u53F3\u4F51\u91C9\u8BF1\u53C8\u5E7C\u8FC2\u6DE4\u4E8E\u76C2\u6986\u865E\u611A\u8206\u4F59\u4FDE\u903E\u9C7C\u6109\u6E1D\u6E14\u9685\u4E88\u5A31\u96E8\u4E0E\u5C7F\u79B9\u5B87\u8BED\u7FBD\u7389\u57DF\u828B\u90C1\u5401\u9047\u55BB\u5CEA\u5FA1\u6108\u6B32\u72F1\u80B2\u8A89"], ["d440", "\u8A1E", 31, "\u8A3F", 8, "\u8A49", 21], ["d480", "\u8A5F", 25, "\u8A7A", 6, "\u6D74\u5BD3\u88D5\u9884\u8C6B\u9A6D\u9E33\u6E0A\u51A4\u5143\u57A3\u8881\u539F\u63F4\u8F95\u56ED\u5458\u5706\u733F\u6E90\u7F18\u8FDC\u82D1\u613F\u6028\u9662\u66F0\u7EA6\u8D8A\u8DC3\u94A5\u5CB3\u7CA4\u6708\u60A6\u9605\u8018\u4E91\u90E7\u5300\u9668\u5141\u8FD0\u8574\u915D\u6655\u97F5\u5B55\u531D\u7838\u6742\u683D\u54C9\u707E\u5BB0\u8F7D\u518D\u5728\u54B1\u6512\u6682\u8D5E\u8D43\u810F\u846C\u906D\u7CDF\u51FF\u85FB\u67A3\u65E9\u6FA1\u86A4\u8E81\u566A\u9020\u7682\u7076\u71E5\u8D23\u62E9\u5219\u6CFD\u8D3C\u600E\u589E\u618E\u66FE\u8D60\u624E\u55B3\u6E23\u672D\u8F67"], ["d540", "\u8A81", 7, "\u8A8B", 7, "\u8A94", 46], ["d580", "\u8AC3", 32, "\u94E1\u95F8\u7728\u6805\u69A8\u548B\u4E4D\u70B8\u8BC8\u6458\u658B\u5B85\u7A84\u503A\u5BE8\u77BB\u6BE1\u8A79\u7C98\u6CBE\u76CF\u65A9\u8F97\u5D2D\u5C55\u8638\u6808\u5360\u6218\u7AD9\u6E5B\u7EFD\u6A1F\u7AE0\u5F70\u6F33\u5F20\u638C\u6DA8\u6756\u4E08\u5E10\u8D26\u4ED7\u80C0\u7634\u969C\u62DB\u662D\u627E\u6CBC\u8D75\u7167\u7F69\u5146\u8087\u53EC\u906E\u6298\u54F2\u86F0\u8F99\u8005\u9517\u8517\u8FD9\u6D59\u73CD\u659F\u771F\u7504\u7827\u81FB\u8D1E\u9488\u4FA6\u6795\u75B9\u8BCA\u9707\u632F\u9547\u9635\u84B8\u6323\u7741\u5F81\u72F0\u4E89\u6014\u6574\u62EF\u6B63\u653F"], ["d640", "\u8AE4", 34, "\u8B08", 27], ["d680", "\u8B24\u8B25\u8B27", 30, "\u5E27\u75C7\u90D1\u8BC1\u829D\u679D\u652F\u5431\u8718\u77E5\u80A2\u8102\u6C41\u4E4B\u7EC7\u804C\u76F4\u690D\u6B96\u6267\u503C\u4F84\u5740\u6307\u6B62\u8DBE\u53EA\u65E8\u7EB8\u5FD7\u631A\u63B7\u81F3\u81F4\u7F6E\u5E1C\u5CD9\u5236\u667A\u79E9\u7A1A\u8D28\u7099\u75D4\u6EDE\u6CBB\u7A92\u4E2D\u76C5\u5FE0\u949F\u8877\u7EC8\u79CD\u80BF\u91CD\u4EF2\u4F17\u821F\u5468\u5DDE\u6D32\u8BCC\u7CA5\u8F74\u8098\u5E1A\u5492\u76B1\u5B99\u663C\u9AA4\u73E0\u682A\u86DB\u6731\u732A\u8BF8\u8BDB\u9010\u7AF9\u70DB\u716E\u62C4\u77A9\u5631\u4E3B\u8457\u67F1\u52A9\u86C0\u8D2E\u94F8\u7B51"], ["d740", "\u8B46", 31, "\u8B67", 4, "\u8B6D", 25], ["d780", "\u8B87", 24, "\u8BAC\u8BB1\u8BBB\u8BC7\u8BD0\u8BEA\u8C09\u8C1E\u4F4F\u6CE8\u795D\u9A7B\u6293\u722A\u62FD\u4E13\u7816\u8F6C\u64B0\u8D5A\u7BC6\u6869\u5E84\u88C5\u5986\u649E\u58EE\u72B6\u690E\u9525\u8FFD\u8D58\u5760\u7F00\u8C06\u51C6\u6349\u62D9\u5353\u684C\u7422\u8301\u914C\u5544\u7740\u707C\u6D4A\u5179\u54A8\u8D44\u59FF\u6ECB\u6DC4\u5B5C\u7D2B\u4ED4\u7C7D\u6ED3\u5B50\u81EA\u6E0D\u5B57\u9B03\u68D5\u8E2A\u5B97\u7EFC\u603B\u7EB5\u90B9\u8D70\u594F\u63CD\u79DF\u8DB3\u5352\u65CF\u7956\u8BC5\u963B\u7EC4\u94BB\u7E82\u5634\u9189\u6700\u7F6A\u5C0A\u9075\u6628\u5DE6\u4F50\u67DE\u505A\u4F5C\u5750\u5EA7"], ["d840", "\u8C38", 8, "\u8C42\u8C43\u8C44\u8C45\u8C48\u8C4A\u8C4B\u8C4D", 7, "\u8C56\u8C57\u8C58\u8C59\u8C5B", 5, "\u8C63", 6, "\u8C6C", 6, "\u8C74\u8C75\u8C76\u8C77\u8C7B", 6, "\u8C83\u8C84\u8C86\u8C87"], ["d880", "\u8C88\u8C8B\u8C8D", 6, "\u8C95\u8C96\u8C97\u8C99", 20, "\u4E8D\u4E0C\u5140\u4E10\u5EFF\u5345\u4E15\u4E98\u4E1E\u9B32\u5B6C\u5669\u4E28\u79BA\u4E3F\u5315\u4E47\u592D\u723B\u536E\u6C10\u56DF\u80E4\u9997\u6BD3\u777E\u9F17\u4E36\u4E9F\u9F10\u4E5C\u4E69\u4E93\u8288\u5B5B\u556C\u560F\u4EC4\u538D\u539D\u53A3\u53A5\u53AE\u9765\u8D5D\u531A\u53F5\u5326\u532E\u533E\u8D5C\u5366\u5363\u5202\u5208\u520E\u522D\u5233\u523F\u5240\u524C\u525E\u5261\u525C\u84AF\u527D\u5282\u5281\u5290\u5293\u5182\u7F54\u4EBB\u4EC3\u4EC9\u4EC2\u4EE8\u4EE1\u4EEB\u4EDE\u4F1B\u4EF3\u4F22\u4F64\u4EF5\u4F25\u4F27\u4F09\u4F2B\u4F5E\u4F67\u6538\u4F5A\u4F5D"], ["d940", "\u8CAE", 62], ["d980", "\u8CED", 32, "\u4F5F\u4F57\u4F32\u4F3D\u4F76\u4F74\u4F91\u4F89\u4F83\u4F8F\u4F7E\u4F7B\u4FAA\u4F7C\u4FAC\u4F94\u4FE6\u4FE8\u4FEA\u4FC5\u4FDA\u4FE3\u4FDC\u4FD1\u4FDF\u4FF8\u5029\u504C\u4FF3\u502C\u500F\u502E\u502D\u4FFE\u501C\u500C\u5025\u5028\u507E\u5043\u5055\u5048\u504E\u506C\u507B\u50A5\u50A7\u50A9\u50BA\u50D6\u5106\u50ED\u50EC\u50E6\u50EE\u5107\u510B\u4EDD\u6C3D\u4F58\u4F65\u4FCE\u9FA0\u6C46\u7C74\u516E\u5DFD\u9EC9\u9998\u5181\u5914\u52F9\u530D\u8A07\u5310\u51EB\u5919\u5155\u4EA0\u5156\u4EB3\u886E\u88A4\u4EB5\u8114\u88D2\u7980\u5B34\u8803\u7FB8\u51AB\u51B1\u51BD\u51BC"], ["da40", "\u8D0E", 14, "\u8D20\u8D51\u8D52\u8D57\u8D5F\u8D65\u8D68\u8D69\u8D6A\u8D6C\u8D6E\u8D6F\u8D71\u8D72\u8D78", 8, "\u8D82\u8D83\u8D86\u8D87\u8D88\u8D89\u8D8C", 4, "\u8D92\u8D93\u8D95", 9, "\u8DA0\u8DA1"], ["da80", "\u8DA2\u8DA4", 12, "\u8DB2\u8DB6\u8DB7\u8DB9\u8DBB\u8DBD\u8DC0\u8DC1\u8DC2\u8DC5\u8DC7\u8DC8\u8DC9\u8DCA\u8DCD\u8DD0\u8DD2\u8DD3\u8DD4\u51C7\u5196\u51A2\u51A5\u8BA0\u8BA6\u8BA7\u8BAA\u8BB4\u8BB5\u8BB7\u8BC2\u8BC3\u8BCB\u8BCF\u8BCE\u8BD2\u8BD3\u8BD4\u8BD6\u8BD8\u8BD9\u8BDC\u8BDF\u8BE0\u8BE4\u8BE8\u8BE9\u8BEE\u8BF0\u8BF3\u8BF6\u8BF9\u8BFC\u8BFF\u8C00\u8C02\u8C04\u8C07\u8C0C\u8C0F\u8C11\u8C12\u8C14\u8C15\u8C16\u8C19\u8C1B\u8C18\u8C1D\u8C1F\u8C20\u8C21\u8C25\u8C27\u8C2A\u8C2B\u8C2E\u8C2F\u8C32\u8C33\u8C35\u8C36\u5369\u537A\u961D\u9622\u9621\u9631\u962A\u963D\u963C\u9642\u9649\u9654\u965F\u9667\u966C\u9672\u9674\u9688\u968D\u9697\u96B0\u9097\u909B\u909D\u9099\u90AC\u90A1\u90B4\u90B3\u90B6\u90BA"], ["db40", "\u8DD5\u8DD8\u8DD9\u8DDC\u8DE0\u8DE1\u8DE2\u8DE5\u8DE6\u8DE7\u8DE9\u8DED\u8DEE\u8DF0\u8DF1\u8DF2\u8DF4\u8DF6\u8DFC\u8DFE", 6, "\u8E06\u8E07\u8E08\u8E0B\u8E0D\u8E0E\u8E10\u8E11\u8E12\u8E13\u8E15", 7, "\u8E20\u8E21\u8E24", 4, "\u8E2B\u8E2D\u8E30\u8E32\u8E33\u8E34\u8E36\u8E37\u8E38\u8E3B\u8E3C\u8E3E"], ["db80", "\u8E3F\u8E43\u8E45\u8E46\u8E4C", 4, "\u8E53", 5, "\u8E5A", 11, "\u8E67\u8E68\u8E6A\u8E6B\u8E6E\u8E71\u90B8\u90B0\u90CF\u90C5\u90BE\u90D0\u90C4\u90C7\u90D3\u90E6\u90E2\u90DC\u90D7\u90DB\u90EB\u90EF\u90FE\u9104\u9122\u911E\u9123\u9131\u912F\u9139\u9143\u9146\u520D\u5942\u52A2\u52AC\u52AD\u52BE\u54FF\u52D0\u52D6\u52F0\u53DF\u71EE\u77CD\u5EF4\u51F5\u51FC\u9B2F\u53B6\u5F01\u755A\u5DEF\u574C\u57A9\u57A1\u587E\u58BC\u58C5\u58D1\u5729\u572C\u572A\u5733\u5739\u572E\u572F\u575C\u573B\u5742\u5769\u5785\u576B\u5786\u577C\u577B\u5768\u576D\u5776\u5773\u57AD\u57A4\u578C\u57B2\u57CF\u57A7\u57B4\u5793\u57A0\u57D5\u57D8\u57DA\u57D9\u57D2\u57B8\u57F4\u57EF\u57F8\u57E4\u57DD"], ["dc40", "\u8E73\u8E75\u8E77", 4, "\u8E7D\u8E7E\u8E80\u8E82\u8E83\u8E84\u8E86\u8E88", 6, "\u8E91\u8E92\u8E93\u8E95", 6, "\u8E9D\u8E9F", 11, "\u8EAD\u8EAE\u8EB0\u8EB1\u8EB3", 6, "\u8EBB", 7], ["dc80", "\u8EC3", 10, "\u8ECF", 21, "\u580B\u580D\u57FD\u57ED\u5800\u581E\u5819\u5844\u5820\u5865\u586C\u5881\u5889\u589A\u5880\u99A8\u9F19\u61FF\u8279\u827D\u827F\u828F\u828A\u82A8\u8284\u828E\u8291\u8297\u8299\u82AB\u82B8\u82BE\u82B0\u82C8\u82CA\u82E3\u8298\u82B7\u82AE\u82CB\u82CC\u82C1\u82A9\u82B4\u82A1\u82AA\u829F\u82C4\u82CE\u82A4\u82E1\u8309\u82F7\u82E4\u830F\u8307\u82DC\u82F4\u82D2\u82D8\u830C\u82FB\u82D3\u8311\u831A\u8306\u8314\u8315\u82E0\u82D5\u831C\u8351\u835B\u835C\u8308\u8392\u833C\u8334\u8331\u839B\u835E\u832F\u834F\u8347\u8343\u835F\u8340\u8317\u8360\u832D\u833A\u8333\u8366\u8365"], ["dd40", "\u8EE5", 62], ["dd80", "\u8F24", 32, "\u8368\u831B\u8369\u836C\u836A\u836D\u836E\u83B0\u8378\u83B3\u83B4\u83A0\u83AA\u8393\u839C\u8385\u837C\u83B6\u83A9\u837D\u83B8\u837B\u8398\u839E\u83A8\u83BA\u83BC\u83C1\u8401\u83E5\u83D8\u5807\u8418\u840B\u83DD\u83FD\u83D6\u841C\u8438\u8411\u8406\u83D4\u83DF\u840F\u8403\u83F8\u83F9\u83EA\u83C5\u83C0\u8426\u83F0\u83E1\u845C\u8451\u845A\u8459\u8473\u8487\u8488\u847A\u8489\u8478\u843C\u8446\u8469\u8476\u848C\u848E\u8431\u846D\u84C1\u84CD\u84D0\u84E6\u84BD\u84D3\u84CA\u84BF\u84BA\u84E0\u84A1\u84B9\u84B4\u8497\u84E5\u84E3\u850C\u750D\u8538\u84F0\u8539\u851F\u853A"], ["de40", "\u8F45", 32, "\u8F6A\u8F80\u8F8C\u8F92\u8F9D\u8FA0\u8FA1\u8FA2\u8FA4\u8FA5\u8FA6\u8FA7\u8FAA\u8FAC\u8FAD\u8FAE\u8FAF\u8FB2\u8FB3\u8FB4\u8FB5\u8FB7\u8FB8\u8FBA\u8FBB\u8FBC\u8FBF\u8FC0\u8FC3\u8FC6"], ["de80", "\u8FC9", 4, "\u8FCF\u8FD2\u8FD6\u8FD7\u8FDA\u8FE0\u8FE1\u8FE3\u8FE7\u8FEC\u8FEF\u8FF1\u8FF2\u8FF4\u8FF5\u8FF6\u8FFA\u8FFB\u8FFC\u8FFE\u8FFF\u9007\u9008\u900C\u900E\u9013\u9015\u9018\u8556\u853B\u84FF\u84FC\u8559\u8548\u8568\u8564\u855E\u857A\u77A2\u8543\u8572\u857B\u85A4\u85A8\u8587\u858F\u8579\u85AE\u859C\u8585\u85B9\u85B7\u85B0\u85D3\u85C1\u85DC\u85FF\u8627\u8605\u8629\u8616\u863C\u5EFE\u5F08\u593C\u5941\u8037\u5955\u595A\u5958\u530F\u5C22\u5C25\u5C2C\u5C34\u624C\u626A\u629F\u62BB\u62CA\u62DA\u62D7\u62EE\u6322\u62F6\u6339\u634B\u6343\u63AD\u63F6\u6371\u637A\u638E\u63B4\u636D\u63AC\u638A\u6369\u63AE\u63BC\u63F2\u63F8\u63E0\u63FF\u63C4\u63DE\u63CE\u6452\u63C6\u63BE\u6445\u6441\u640B\u641B\u6420\u640C\u6426\u6421\u645E\u6484\u646D\u6496"], ["df40", "\u9019\u901C\u9023\u9024\u9025\u9027", 5, "\u9030", 4, "\u9037\u9039\u903A\u903D\u903F\u9040\u9043\u9045\u9046\u9048", 4, "\u904E\u9054\u9055\u9056\u9059\u905A\u905C", 5, "\u9064\u9066\u9067\u9069\u906A\u906B\u906C\u906F", 4, "\u9076", 6, "\u907E\u9081"], ["df80", "\u9084\u9085\u9086\u9087\u9089\u908A\u908C", 4, "\u9092\u9094\u9096\u9098\u909A\u909C\u909E\u909F\u90A0\u90A4\u90A5\u90A7\u90A8\u90A9\u90AB\u90AD\u90B2\u90B7\u90BC\u90BD\u90BF\u90C0\u647A\u64B7\u64B8\u6499\u64BA\u64C0\u64D0\u64D7\u64E4\u64E2\u6509\u6525\u652E\u5F0B\u5FD2\u7519\u5F11\u535F\u53F1\u53FD\u53E9\u53E8\u53FB\u5412\u5416\u5406\u544B\u5452\u5453\u5454\u5456\u5443\u5421\u5457\u5459\u5423\u5432\u5482\u5494\u5477\u5471\u5464\u549A\u549B\u5484\u5476\u5466\u549D\u54D0\u54AD\u54C2\u54B4\u54D2\u54A7\u54A6\u54D3\u54D4\u5472\u54A3\u54D5\u54BB\u54BF\u54CC\u54D9\u54DA\u54DC\u54A9\u54AA\u54A4\u54DD\u54CF\u54DE\u551B\u54E7\u5520\u54FD\u5514\u54F3\u5522\u5523\u550F\u5511\u5527\u552A\u5567\u558F\u55B5\u5549\u556D\u5541\u5555\u553F\u5550\u553C"], ["e040", "\u90C2\u90C3\u90C6\u90C8\u90C9\u90CB\u90CC\u90CD\u90D2\u90D4\u90D5\u90D6\u90D8\u90D9\u90DA\u90DE\u90DF\u90E0\u90E3\u90E4\u90E5\u90E9\u90EA\u90EC\u90EE\u90F0\u90F1\u90F2\u90F3\u90F5\u90F6\u90F7\u90F9\u90FA\u90FB\u90FC\u90FF\u9100\u9101\u9103\u9105", 19, "\u911A\u911B\u911C"], ["e080", "\u911D\u911F\u9120\u9121\u9124", 10, "\u9130\u9132", 6, "\u913A", 8, "\u9144\u5537\u5556\u5575\u5576\u5577\u5533\u5530\u555C\u558B\u55D2\u5583\u55B1\u55B9\u5588\u5581\u559F\u557E\u55D6\u5591\u557B\u55DF\u55BD\u55BE\u5594\u5599\u55EA\u55F7\u55C9\u561F\u55D1\u55EB\u55EC\u55D4\u55E6\u55DD\u55C4\u55EF\u55E5\u55F2\u55F3\u55CC\u55CD\u55E8\u55F5\u55E4\u8F94\u561E\u5608\u560C\u5601\u5624\u5623\u55FE\u5600\u5627\u562D\u5658\u5639\u5657\u562C\u564D\u5662\u5659\u565C\u564C\u5654\u5686\u5664\u5671\u566B\u567B\u567C\u5685\u5693\u56AF\u56D4\u56D7\u56DD\u56E1\u56F5\u56EB\u56F9\u56FF\u5704\u570A\u5709\u571C\u5E0F\u5E19\u5E14\u5E11\u5E31\u5E3B\u5E3C"], ["e140", "\u9145\u9147\u9148\u9151\u9153\u9154\u9155\u9156\u9158\u9159\u915B\u915C\u915F\u9160\u9166\u9167\u9168\u916B\u916D\u9173\u917A\u917B\u917C\u9180", 4, "\u9186\u9188\u918A\u918E\u918F\u9193", 6, "\u919C", 5, "\u91A4", 5, "\u91AB\u91AC\u91B0\u91B1\u91B2\u91B3\u91B6\u91B7\u91B8\u91B9\u91BB"], ["e180", "\u91BC", 10, "\u91C8\u91CB\u91D0\u91D2", 9, "\u91DD", 8, "\u5E37\u5E44\u5E54\u5E5B\u5E5E\u5E61\u5C8C\u5C7A\u5C8D\u5C90\u5C96\u5C88\u5C98\u5C99\u5C91\u5C9A\u5C9C\u5CB5\u5CA2\u5CBD\u5CAC\u5CAB\u5CB1\u5CA3\u5CC1\u5CB7\u5CC4\u5CD2\u5CE4\u5CCB\u5CE5\u5D02\u5D03\u5D27\u5D26\u5D2E\u5D24\u5D1E\u5D06\u5D1B\u5D58\u5D3E\u5D34\u5D3D\u5D6C\u5D5B\u5D6F\u5D5D\u5D6B\u5D4B\u5D4A\u5D69\u5D74\u5D82\u5D99\u5D9D\u8C73\u5DB7\u5DC5\u5F73\u5F77\u5F82\u5F87\u5F89\u5F8C\u5F95\u5F99\u5F9C\u5FA8\u5FAD\u5FB5\u5FBC\u8862\u5F61\u72AD\u72B0\u72B4\u72B7\u72B8\u72C3\u72C1\u72CE\u72CD\u72D2\u72E8\u72EF\u72E9\u72F2\u72F4\u72F7\u7301\u72F3\u7303\u72FA"], ["e240", "\u91E6", 62], ["e280", "\u9225", 32, "\u72FB\u7317\u7313\u7321\u730A\u731E\u731D\u7315\u7322\u7339\u7325\u732C\u7338\u7331\u7350\u734D\u7357\u7360\u736C\u736F\u737E\u821B\u5925\u98E7\u5924\u5902\u9963\u9967", 5, "\u9974\u9977\u997D\u9980\u9984\u9987\u998A\u998D\u9990\u9991\u9993\u9994\u9995\u5E80\u5E91\u5E8B\u5E96\u5EA5\u5EA0\u5EB9\u5EB5\u5EBE\u5EB3\u8D53\u5ED2\u5ED1\u5EDB\u5EE8\u5EEA\u81BA\u5FC4\u5FC9\u5FD6\u5FCF\u6003\u5FEE\u6004\u5FE1\u5FE4\u5FFE\u6005\u6006\u5FEA\u5FED\u5FF8\u6019\u6035\u6026\u601B\u600F\u600D\u6029\u602B\u600A\u603F\u6021\u6078\u6079\u607B\u607A\u6042"], ["e340", "\u9246", 45, "\u9275", 16], ["e380", "\u9286", 7, "\u928F", 24, "\u606A\u607D\u6096\u609A\u60AD\u609D\u6083\u6092\u608C\u609B\u60EC\u60BB\u60B1\u60DD\u60D8\u60C6\u60DA\u60B4\u6120\u6126\u6115\u6123\u60F4\u6100\u610E\u612B\u614A\u6175\u61AC\u6194\u61A7\u61B7\u61D4\u61F5\u5FDD\u96B3\u95E9\u95EB\u95F1\u95F3\u95F5\u95F6\u95FC\u95FE\u9603\u9604\u9606\u9608\u960A\u960B\u960C\u960D\u960F\u9612\u9615\u9616\u9617\u9619\u961A\u4E2C\u723F\u6215\u6C35\u6C54\u6C5C\u6C4A\u6CA3\u6C85\u6C90\u6C94\u6C8C\u6C68\u6C69\u6C74\u6C76\u6C86\u6CA9\u6CD0\u6CD4\u6CAD\u6CF7\u6CF8\u6CF1\u6CD7\u6CB2\u6CE0\u6CD6\u6CFA\u6CEB\u6CEE\u6CB1\u6CD3\u6CEF\u6CFE"], ["e440", "\u92A8", 5, "\u92AF", 24, "\u92C9", 31], ["e480", "\u92E9", 32, "\u6D39\u6D27\u6D0C\u6D43\u6D48\u6D07\u6D04\u6D19\u6D0E\u6D2B\u6D4D\u6D2E\u6D35\u6D1A\u6D4F\u6D52\u6D54\u6D33\u6D91\u6D6F\u6D9E\u6DA0\u6D5E\u6D93\u6D94\u6D5C\u6D60\u6D7C\u6D63\u6E1A\u6DC7\u6DC5\u6DDE\u6E0E\u6DBF\u6DE0\u6E11\u6DE6\u6DDD\u6DD9\u6E16\u6DAB\u6E0C\u6DAE\u6E2B\u6E6E\u6E4E\u6E6B\u6EB2\u6E5F\u6E86\u6E53\u6E54\u6E32\u6E25\u6E44\u6EDF\u6EB1\u6E98\u6EE0\u6F2D\u6EE2\u6EA5\u6EA7\u6EBD\u6EBB\u6EB7\u6ED7\u6EB4\u6ECF\u6E8F\u6EC2\u6E9F\u6F62\u6F46\u6F47\u6F24\u6F15\u6EF9\u6F2F\u6F36\u6F4B\u6F74\u6F2A\u6F09\u6F29\u6F89\u6F8D\u6F8C\u6F78\u6F72\u6F7C\u6F7A\u6FD1"], ["e540", "\u930A", 51, "\u933F", 10], ["e580", "\u934A", 31, "\u936B\u6FC9\u6FA7\u6FB9\u6FB6\u6FC2\u6FE1\u6FEE\u6FDE\u6FE0\u6FEF\u701A\u7023\u701B\u7039\u7035\u704F\u705E\u5B80\u5B84\u5B95\u5B93\u5BA5\u5BB8\u752F\u9A9E\u6434\u5BE4\u5BEE\u8930\u5BF0\u8E47\u8B07\u8FB6\u8FD3\u8FD5\u8FE5\u8FEE\u8FE4\u8FE9\u8FE6\u8FF3\u8FE8\u9005\u9004\u900B\u9026\u9011\u900D\u9016\u9021\u9035\u9036\u902D\u902F\u9044\u9051\u9052\u9050\u9068\u9058\u9062\u905B\u66B9\u9074\u907D\u9082\u9088\u9083\u908B\u5F50\u5F57\u5F56\u5F58\u5C3B\u54AB\u5C50\u5C59\u5B71\u5C63\u5C66\u7FBC\u5F2A\u5F29\u5F2D\u8274\u5F3C\u9B3B\u5C6E\u5981\u5983\u598D\u59A9\u59AA\u59A3"], ["e640", "\u936C", 34, "\u9390", 27], ["e680", "\u93AC", 29, "\u93CB\u93CC\u93CD\u5997\u59CA\u59AB\u599E\u59A4\u59D2\u59B2\u59AF\u59D7\u59BE\u5A05\u5A06\u59DD\u5A08\u59E3\u59D8\u59F9\u5A0C\u5A09\u5A32\u5A34\u5A11\u5A23\u5A13\u5A40\u5A67\u5A4A\u5A55\u5A3C\u5A62\u5A75\u80EC\u5AAA\u5A9B\u5A77\u5A7A\u5ABE\u5AEB\u5AB2\u5AD2\u5AD4\u5AB8\u5AE0\u5AE3\u5AF1\u5AD6\u5AE6\u5AD8\u5ADC\u5B09\u5B17\u5B16\u5B32\u5B37\u5B40\u5C15\u5C1C\u5B5A\u5B65\u5B73\u5B51\u5B53\u5B62\u9A75\u9A77\u9A78\u9A7A\u9A7F\u9A7D\u9A80\u9A81\u9A85\u9A88\u9A8A\u9A90\u9A92\u9A93\u9A96\u9A98\u9A9B\u9A9C\u9A9D\u9A9F\u9AA0\u9AA2\u9AA3\u9AA5\u9AA7\u7E9F\u7EA1\u7EA3\u7EA5\u7EA8\u7EA9"], ["e740", "\u93CE", 7, "\u93D7", 54], ["e780", "\u940E", 32, "\u7EAD\u7EB0\u7EBE\u7EC0\u7EC1\u7EC2\u7EC9\u7ECB\u7ECC\u7ED0\u7ED4\u7ED7\u7EDB\u7EE0\u7EE1\u7EE8\u7EEB\u7EEE\u7EEF\u7EF1\u7EF2\u7F0D\u7EF6\u7EFA\u7EFB\u7EFE\u7F01\u7F02\u7F03\u7F07\u7F08\u7F0B\u7F0C\u7F0F\u7F11\u7F12\u7F17\u7F19\u7F1C\u7F1B\u7F1F\u7F21", 6, "\u7F2A\u7F2B\u7F2C\u7F2D\u7F2F", 4, "\u7F35\u5E7A\u757F\u5DDB\u753E\u9095\u738E\u7391\u73AE\u73A2\u739F\u73CF\u73C2\u73D1\u73B7\u73B3\u73C0\u73C9\u73C8\u73E5\u73D9\u987C\u740A\u73E9\u73E7\u73DE\u73BA\u73F2\u740F\u742A\u745B\u7426\u7425\u7428\u7430\u742E\u742C"], ["e840", "\u942F", 14, "\u943F", 43, "\u946C\u946D\u946E\u946F"], ["e880", "\u9470", 20, "\u9491\u9496\u9498\u94C7\u94CF\u94D3\u94D4\u94DA\u94E6\u94FB\u951C\u9520\u741B\u741A\u7441\u745C\u7457\u7455\u7459\u7477\u746D\u747E\u749C\u748E\u7480\u7481\u7487\u748B\u749E\u74A8\u74A9\u7490\u74A7\u74D2\u74BA\u97EA\u97EB\u97EC\u674C\u6753\u675E\u6748\u6769\u67A5\u6787\u676A\u6773\u6798\u67A7\u6775\u67A8\u679E\u67AD\u678B\u6777\u677C\u67F0\u6809\u67D8\u680A\u67E9\u67B0\u680C\u67D9\u67B5\u67DA\u67B3\u67DD\u6800\u67C3\u67B8\u67E2\u680E\u67C1\u67FD\u6832\u6833\u6860\u6861\u684E\u6862\u6844\u6864\u6883\u681D\u6855\u6866\u6841\u6867\u6840\u683E\u684A\u6849\u6829\u68B5\u688F\u6874\u6877\u6893\u686B\u68C2\u696E\u68FC\u691F\u6920\u68F9"], ["e940", "\u9527\u9533\u953D\u9543\u9548\u954B\u9555\u955A\u9560\u956E\u9574\u9575\u9577", 7, "\u9580", 42], ["e980", "\u95AB", 32, "\u6924\u68F0\u690B\u6901\u6957\u68E3\u6910\u6971\u6939\u6960\u6942\u695D\u6984\u696B\u6980\u6998\u6978\u6934\u69CC\u6987\u6988\u69CE\u6989\u6966\u6963\u6979\u699B\u69A7\u69BB\u69AB\u69AD\u69D4\u69B1\u69C1\u69CA\u69DF\u6995\u69E0\u698D\u69FF\u6A2F\u69ED\u6A17\u6A18\u6A65\u69F2\u6A44\u6A3E\u6AA0\u6A50\u6A5B\u6A35\u6A8E\u6A79\u6A3D\u6A28\u6A58\u6A7C\u6A91\u6A90\u6AA9\u6A97\u6AAB\u7337\u7352\u6B81\u6B82\u6B87\u6B84\u6B92\u6B93\u6B8D\u6B9A\u6B9B\u6BA1\u6BAA\u8F6B\u8F6D\u8F71\u8F72\u8F73\u8F75\u8F76\u8F78\u8F77\u8F79\u8F7A\u8F7C\u8F7E\u8F81\u8F82\u8F84\u8F87\u8F8B"], ["ea40", "\u95CC", 27, "\u95EC\u95FF\u9607\u9613\u9618\u961B\u961E\u9620\u9623", 6, "\u962B\u962C\u962D\u962F\u9630\u9637\u9638\u9639\u963A\u963E\u9641\u9643\u964A\u964E\u964F\u9651\u9652\u9653\u9656\u9657"], ["ea80", "\u9658\u9659\u965A\u965C\u965D\u965E\u9660\u9663\u9665\u9666\u966B\u966D", 4, "\u9673\u9678", 12, "\u9687\u9689\u968A\u8F8D\u8F8E\u8F8F\u8F98\u8F9A\u8ECE\u620B\u6217\u621B\u621F\u6222\u6221\u6225\u6224\u622C\u81E7\u74EF\u74F4\u74FF\u750F\u7511\u7513\u6534\u65EE\u65EF\u65F0\u660A\u6619\u6772\u6603\u6615\u6600\u7085\u66F7\u661D\u6634\u6631\u6636\u6635\u8006\u665F\u6654\u6641\u664F\u6656\u6661\u6657\u6677\u6684\u668C\u66A7\u669D\u66BE\u66DB\u66DC\u66E6\u66E9\u8D32\u8D33\u8D36\u8D3B\u8D3D\u8D40\u8D45\u8D46\u8D48\u8D49\u8D47\u8D4D\u8D55\u8D59\u89C7\u89CA\u89CB\u89CC\u89CE\u89CF\u89D0\u89D1\u726E\u729F\u725D\u7266\u726F\u727E\u727F\u7284\u728B\u728D\u728F\u7292\u6308\u6332\u63B0"], ["eb40", "\u968C\u968E\u9691\u9692\u9693\u9695\u9696\u969A\u969B\u969D", 9, "\u96A8", 7, "\u96B1\u96B2\u96B4\u96B5\u96B7\u96B8\u96BA\u96BB\u96BF\u96C2\u96C3\u96C8\u96CA\u96CB\u96D0\u96D1\u96D3\u96D4\u96D6", 9, "\u96E1", 6, "\u96EB"], ["eb80", "\u96EC\u96ED\u96EE\u96F0\u96F1\u96F2\u96F4\u96F5\u96F8\u96FA\u96FB\u96FC\u96FD\u96FF\u9702\u9703\u9705\u970A\u970B\u970C\u9710\u9711\u9712\u9714\u9715\u9717", 4, "\u971D\u971F\u9720\u643F\u64D8\u8004\u6BEA\u6BF3\u6BFD\u6BF5\u6BF9\u6C05\u6C07\u6C06\u6C0D\u6C15\u6C18\u6C19\u6C1A\u6C21\u6C29\u6C24\u6C2A\u6C32\u6535\u6555\u656B\u724D\u7252\u7256\u7230\u8662\u5216\u809F\u809C\u8093\u80BC\u670A\u80BD\u80B1\u80AB\u80AD\u80B4\u80B7\u80E7\u80E8\u80E9\u80EA\u80DB\u80C2\u80C4\u80D9\u80CD\u80D7\u6710\u80DD\u80EB\u80F1\u80F4\u80ED\u810D\u810E\u80F2\u80FC\u6715\u8112\u8C5A\u8136\u811E\u812C\u8118\u8132\u8148\u814C\u8153\u8174\u8159\u815A\u8171\u8160\u8169\u817C\u817D\u816D\u8167\u584D\u5AB5\u8188\u8182\u8191\u6ED5\u81A3\u81AA\u81CC\u6726\u81CA\u81BB"], ["ec40", "\u9721", 8, "\u972B\u972C\u972E\u972F\u9731\u9733", 4, "\u973A\u973B\u973C\u973D\u973F", 18, "\u9754\u9755\u9757\u9758\u975A\u975C\u975D\u975F\u9763\u9764\u9766\u9767\u9768\u976A", 7], ["ec80", "\u9772\u9775\u9777", 4, "\u977D", 7, "\u9786", 4, "\u978C\u978E\u978F\u9790\u9793\u9795\u9796\u9797\u9799", 4, "\u81C1\u81A6\u6B24\u6B37\u6B39\u6B43\u6B46\u6B59\u98D1\u98D2\u98D3\u98D5\u98D9\u98DA\u6BB3\u5F40\u6BC2\u89F3\u6590\u9F51\u6593\u65BC\u65C6\u65C4\u65C3\u65CC\u65CE\u65D2\u65D6\u7080\u709C\u7096\u709D\u70BB\u70C0\u70B7\u70AB\u70B1\u70E8\u70CA\u7110\u7113\u7116\u712F\u7131\u7173\u715C\u7168\u7145\u7172\u714A\u7178\u717A\u7198\u71B3\u71B5\u71A8\u71A0\u71E0\u71D4\u71E7\u71F9\u721D\u7228\u706C\u7118\u7166\u71B9\u623E\u623D\u6243\u6248\u6249\u793B\u7940\u7946\u7949\u795B\u795C\u7953\u795A\u7962\u7957\u7960\u796F\u7967\u797A\u7985\u798A\u799A\u79A7\u79B3\u5FD1\u5FD0"], ["ed40", "\u979E\u979F\u97A1\u97A2\u97A4", 6, "\u97AC\u97AE\u97B0\u97B1\u97B3\u97B5", 46], ["ed80", "\u97E4\u97E5\u97E8\u97EE", 4, "\u97F4\u97F7", 23, "\u603C\u605D\u605A\u6067\u6041\u6059\u6063\u60AB\u6106\u610D\u615D\u61A9\u619D\u61CB\u61D1\u6206\u8080\u807F\u6C93\u6CF6\u6DFC\u77F6\u77F8\u7800\u7809\u7817\u7818\u7811\u65AB\u782D\u781C\u781D\u7839\u783A\u783B\u781F\u783C\u7825\u782C\u7823\u7829\u784E\u786D\u7856\u7857\u7826\u7850\u7847\u784C\u786A\u789B\u7893\u789A\u7887\u789C\u78A1\u78A3\u78B2\u78B9\u78A5\u78D4\u78D9\u78C9\u78EC\u78F2\u7905\u78F4\u7913\u7924\u791E\u7934\u9F9B\u9EF9\u9EFB\u9EFC\u76F1\u7704\u770D\u76F9\u7707\u7708\u771A\u7722\u7719\u772D\u7726\u7735\u7738\u7750\u7751\u7747\u7743\u775A\u7768"], ["ee40", "\u980F", 62], ["ee80", "\u984E", 32, "\u7762\u7765\u777F\u778D\u777D\u7780\u778C\u7791\u779F\u77A0\u77B0\u77B5\u77BD\u753A\u7540\u754E\u754B\u7548\u755B\u7572\u7579\u7583\u7F58\u7F61\u7F5F\u8A48\u7F68\u7F74\u7F71\u7F79\u7F81\u7F7E\u76CD\u76E5\u8832\u9485\u9486\u9487\u948B\u948A\u948C\u948D\u948F\u9490\u9494\u9497\u9495\u949A\u949B\u949C\u94A3\u94A4\u94AB\u94AA\u94AD\u94AC\u94AF\u94B0\u94B2\u94B4\u94B6", 4, "\u94BC\u94BD\u94BF\u94C4\u94C8", 6, "\u94D0\u94D1\u94D2\u94D5\u94D6\u94D7\u94D9\u94D8\u94DB\u94DE\u94DF\u94E0\u94E2\u94E4\u94E5\u94E7\u94E8\u94EA"], ["ef40", "\u986F", 5, "\u988B\u988E\u9892\u9895\u9899\u98A3\u98A8", 37, "\u98CF\u98D0\u98D4\u98D6\u98D7\u98DB\u98DC\u98DD\u98E0", 4], ["ef80", "\u98E5\u98E6\u98E9", 30, "\u94E9\u94EB\u94EE\u94EF\u94F3\u94F4\u94F5\u94F7\u94F9\u94FC\u94FD\u94FF\u9503\u9502\u9506\u9507\u9509\u950A\u950D\u950E\u950F\u9512", 4, "\u9518\u951B\u951D\u951E\u951F\u9522\u952A\u952B\u9529\u952C\u9531\u9532\u9534\u9536\u9537\u9538\u953C\u953E\u953F\u9542\u9535\u9544\u9545\u9546\u9549\u954C\u954E\u954F\u9552\u9553\u9554\u9556\u9557\u9558\u9559\u955B\u955E\u955F\u955D\u9561\u9562\u9564", 8, "\u956F\u9571\u9572\u9573\u953A\u77E7\u77EC\u96C9\u79D5\u79ED\u79E3\u79EB\u7A06\u5D47\u7A03\u7A02\u7A1E\u7A14"], ["f040", "\u9908", 4, "\u990E\u990F\u9911", 28, "\u992F", 26], ["f080", "\u994A", 9, "\u9956", 12, "\u9964\u9966\u9973\u9978\u9979\u997B\u997E\u9982\u9983\u9989\u7A39\u7A37\u7A51\u9ECF\u99A5\u7A70\u7688\u768E\u7693\u7699\u76A4\u74DE\u74E0\u752C\u9E20\u9E22\u9E28", 4, "\u9E32\u9E31\u9E36\u9E38\u9E37\u9E39\u9E3A\u9E3E\u9E41\u9E42\u9E44\u9E46\u9E47\u9E48\u9E49\u9E4B\u9E4C\u9E4E\u9E51\u9E55\u9E57\u9E5A\u9E5B\u9E5C\u9E5E\u9E63\u9E66", 6, "\u9E71\u9E6D\u9E73\u7592\u7594\u7596\u75A0\u759D\u75AC\u75A3\u75B3\u75B4\u75B8\u75C4\u75B1\u75B0\u75C3\u75C2\u75D6\u75CD\u75E3\u75E8\u75E6\u75E4\u75EB\u75E7\u7603\u75F1\u75FC\u75FF\u7610\u7600\u7605\u760C\u7617\u760A\u7625\u7618\u7615\u7619"], ["f140", "\u998C\u998E\u999A", 10, "\u99A6\u99A7\u99A9", 47], ["f180", "\u99D9", 32, "\u761B\u763C\u7622\u7620\u7640\u762D\u7630\u763F\u7635\u7643\u763E\u7633\u764D\u765E\u7654\u765C\u7656\u766B\u766F\u7FCA\u7AE6\u7A78\u7A79\u7A80\u7A86\u7A88\u7A95\u7AA6\u7AA0\u7AAC\u7AA8\u7AAD\u7AB3\u8864\u8869\u8872\u887D\u887F\u8882\u88A2\u88C6\u88B7\u88BC\u88C9\u88E2\u88CE\u88E3\u88E5\u88F1\u891A\u88FC\u88E8\u88FE\u88F0\u8921\u8919\u8913\u891B\u890A\u8934\u892B\u8936\u8941\u8966\u897B\u758B\u80E5\u76B2\u76B4\u77DC\u8012\u8014\u8016\u801C\u8020\u8022\u8025\u8026\u8027\u8029\u8028\u8031\u800B\u8035\u8043\u8046\u804D\u8052\u8069\u8071\u8983\u9878\u9880\u9883"], ["f240", "\u99FA", 62], ["f280", "\u9A39", 32, "\u9889\u988C\u988D\u988F\u9894\u989A\u989B\u989E\u989F\u98A1\u98A2\u98A5\u98A6\u864D\u8654\u866C\u866E\u867F\u867A\u867C\u867B\u86A8\u868D\u868B\u86AC\u869D\u86A7\u86A3\u86AA\u8693\u86A9\u86B6\u86C4\u86B5\u86CE\u86B0\u86BA\u86B1\u86AF\u86C9\u86CF\u86B4\u86E9\u86F1\u86F2\u86ED\u86F3\u86D0\u8713\u86DE\u86F4\u86DF\u86D8\u86D1\u8703\u8707\u86F8\u8708\u870A\u870D\u8709\u8723\u873B\u871E\u8725\u872E\u871A\u873E\u8748\u8734\u8731\u8729\u8737\u873F\u8782\u8722\u877D\u877E\u877B\u8760\u8770\u874C\u876E\u878B\u8753\u8763\u877C\u8764\u8759\u8765\u8793\u87AF\u87A8\u87D2"], ["f340", "\u9A5A", 17, "\u9A72\u9A83\u9A89\u9A8D\u9A8E\u9A94\u9A95\u9A99\u9AA6\u9AA9", 6, "\u9AB2\u9AB3\u9AB4\u9AB5\u9AB9\u9ABB\u9ABD\u9ABE\u9ABF\u9AC3\u9AC4\u9AC6", 4, "\u9ACD\u9ACE\u9ACF\u9AD0\u9AD2\u9AD4\u9AD5\u9AD6\u9AD7\u9AD9\u9ADA\u9ADB\u9ADC"], ["f380", "\u9ADD\u9ADE\u9AE0\u9AE2\u9AE3\u9AE4\u9AE5\u9AE7\u9AE8\u9AE9\u9AEA\u9AEC\u9AEE\u9AF0", 8, "\u9AFA\u9AFC", 6, "\u9B04\u9B05\u9B06\u87C6\u8788\u8785\u87AD\u8797\u8783\u87AB\u87E5\u87AC\u87B5\u87B3\u87CB\u87D3\u87BD\u87D1\u87C0\u87CA\u87DB\u87EA\u87E0\u87EE\u8816\u8813\u87FE\u880A\u881B\u8821\u8839\u883C\u7F36\u7F42\u7F44\u7F45\u8210\u7AFA\u7AFD\u7B08\u7B03\u7B04\u7B15\u7B0A\u7B2B\u7B0F\u7B47\u7B38\u7B2A\u7B19\u7B2E\u7B31\u7B20\u7B25\u7B24\u7B33\u7B3E\u7B1E\u7B58\u7B5A\u7B45\u7B75\u7B4C\u7B5D\u7B60\u7B6E\u7B7B\u7B62\u7B72\u7B71\u7B90\u7BA6\u7BA7\u7BB8\u7BAC\u7B9D\u7BA8\u7B85\u7BAA\u7B9C\u7BA2\u7BAB\u7BB4\u7BD1\u7BC1\u7BCC\u7BDD\u7BDA\u7BE5\u7BE6\u7BEA\u7C0C\u7BFE\u7BFC\u7C0F\u7C16\u7C0B"], ["f440", "\u9B07\u9B09", 5, "\u9B10\u9B11\u9B12\u9B14", 10, "\u9B20\u9B21\u9B22\u9B24", 10, "\u9B30\u9B31\u9B33", 7, "\u9B3D\u9B3E\u9B3F\u9B40\u9B46\u9B4A\u9B4B\u9B4C\u9B4E\u9B50\u9B52\u9B53\u9B55", 5], ["f480", "\u9B5B", 32, "\u7C1F\u7C2A\u7C26\u7C38\u7C41\u7C40\u81FE\u8201\u8202\u8204\u81EC\u8844\u8221\u8222\u8223\u822D\u822F\u8228\u822B\u8238\u823B\u8233\u8234\u823E\u8244\u8249\u824B\u824F\u825A\u825F\u8268\u887E\u8885\u8888\u88D8\u88DF\u895E\u7F9D\u7F9F\u7FA7\u7FAF\u7FB0\u7FB2\u7C7C\u6549\u7C91\u7C9D\u7C9C\u7C9E\u7CA2\u7CB2\u7CBC\u7CBD\u7CC1\u7CC7\u7CCC\u7CCD\u7CC8\u7CC5\u7CD7\u7CE8\u826E\u66A8\u7FBF\u7FCE\u7FD5\u7FE5\u7FE1\u7FE6\u7FE9\u7FEE\u7FF3\u7CF8\u7D77\u7DA6\u7DAE\u7E47\u7E9B\u9EB8\u9EB4\u8D73\u8D84\u8D94\u8D91\u8DB1\u8D67\u8D6D\u8C47\u8C49\u914A\u9150\u914E\u914F\u9164"], ["f540", "\u9B7C", 62], ["f580", "\u9BBB", 32, "\u9162\u9161\u9170\u9169\u916F\u917D\u917E\u9172\u9174\u9179\u918C\u9185\u9190\u918D\u9191\u91A2\u91A3\u91AA\u91AD\u91AE\u91AF\u91B5\u91B4\u91BA\u8C55\u9E7E\u8DB8\u8DEB\u8E05\u8E59\u8E69\u8DB5\u8DBF\u8DBC\u8DBA\u8DC4\u8DD6\u8DD7\u8DDA\u8DDE\u8DCE\u8DCF\u8DDB\u8DC6\u8DEC\u8DF7\u8DF8\u8DE3\u8DF9\u8DFB\u8DE4\u8E09\u8DFD\u8E14\u8E1D\u8E1F\u8E2C\u8E2E\u8E23\u8E2F\u8E3A\u8E40\u8E39\u8E35\u8E3D\u8E31\u8E49\u8E41\u8E42\u8E51\u8E52\u8E4A\u8E70\u8E76\u8E7C\u8E6F\u8E74\u8E85\u8E8F\u8E94\u8E90\u8E9C\u8E9E\u8C78\u8C82\u8C8A\u8C85\u8C98\u8C94\u659B\u89D6\u89DE\u89DA\u89DC"], ["f640", "\u9BDC", 62], ["f680", "\u9C1B", 32, "\u89E5\u89EB\u89EF\u8A3E\u8B26\u9753\u96E9\u96F3\u96EF\u9706\u9701\u9708\u970F\u970E\u972A\u972D\u9730\u973E\u9F80\u9F83\u9F85", 5, "\u9F8C\u9EFE\u9F0B\u9F0D\u96B9\u96BC\u96BD\u96CE\u96D2\u77BF\u96E0\u928E\u92AE\u92C8\u933E\u936A\u93CA\u938F\u943E\u946B\u9C7F\u9C82\u9C85\u9C86\u9C87\u9C88\u7A23\u9C8B\u9C8E\u9C90\u9C91\u9C92\u9C94\u9C95\u9C9A\u9C9B\u9C9E", 5, "\u9CA5", 4, "\u9CAB\u9CAD\u9CAE\u9CB0", 7, "\u9CBA\u9CBB\u9CBC\u9CBD\u9CC4\u9CC5\u9CC6\u9CC7\u9CCA\u9CCB"], ["f740", "\u9C3C", 62], ["f780", "\u9C7B\u9C7D\u9C7E\u9C80\u9C83\u9C84\u9C89\u9C8A\u9C8C\u9C8F\u9C93\u9C96\u9C97\u9C98\u9C99\u9C9D\u9CAA\u9CAC\u9CAF\u9CB9\u9CBE", 4, "\u9CC8\u9CC9\u9CD1\u9CD2\u9CDA\u9CDB\u9CE0\u9CE1\u9CCC", 4, "\u9CD3\u9CD4\u9CD5\u9CD7\u9CD8\u9CD9\u9CDC\u9CDD\u9CDF\u9CE2\u977C\u9785\u9791\u9792\u9794\u97AF\u97AB\u97A3\u97B2\u97B4\u9AB1\u9AB0\u9AB7\u9E58\u9AB6\u9ABA\u9ABC\u9AC1\u9AC0\u9AC5\u9AC2\u9ACB\u9ACC\u9AD1\u9B45\u9B43\u9B47\u9B49\u9B48\u9B4D\u9B51\u98E8\u990D\u992E\u9955\u9954\u9ADF\u9AE1\u9AE6\u9AEF\u9AEB\u9AFB\u9AED\u9AF9\u9B08\u9B0F\u9B13\u9B1F\u9B23\u9EBD\u9EBE\u7E3B\u9E82\u9E87\u9E88\u9E8B\u9E92\u93D6\u9E9D\u9E9F\u9EDB\u9EDC\u9EDD\u9EE0\u9EDF\u9EE2\u9EE9\u9EE7\u9EE5\u9EEA\u9EEF\u9F22\u9F2C\u9F2F\u9F39\u9F37\u9F3D\u9F3E\u9F44"], ["f840", "\u9CE3", 62], ["f880", "\u9D22", 32], ["f940", "\u9D43", 62], ["f980", "\u9D82", 32], ["fa40", "\u9DA3", 62], ["fa80", "\u9DE2", 32], ["fb40", "\u9E03", 27, "\u9E24\u9E27\u9E2E\u9E30\u9E34\u9E3B\u9E3C\u9E40\u9E4D\u9E50\u9E52\u9E53\u9E54\u9E56\u9E59\u9E5D\u9E5F\u9E60\u9E61\u9E62\u9E65\u9E6E\u9E6F\u9E72\u9E74", 9, "\u9E80"], ["fb80", "\u9E81\u9E83\u9E84\u9E85\u9E86\u9E89\u9E8A\u9E8C", 5, "\u9E94", 8, "\u9E9E\u9EA0", 5, "\u9EA7\u9EA8\u9EA9\u9EAA"], ["fc40", "\u9EAB", 8, "\u9EB5\u9EB6\u9EB7\u9EB9\u9EBA\u9EBC\u9EBF", 4, "\u9EC5\u9EC6\u9EC7\u9EC8\u9ECA\u9ECB\u9ECC\u9ED0\u9ED2\u9ED3\u9ED5\u9ED6\u9ED7\u9ED9\u9EDA\u9EDE\u9EE1\u9EE3\u9EE4\u9EE6\u9EE8\u9EEB\u9EEC\u9EED\u9EEE\u9EF0", 8, "\u9EFA\u9EFD\u9EFF", 6], ["fc80", "\u9F06", 4, "\u9F0C\u9F0F\u9F11\u9F12\u9F14\u9F15\u9F16\u9F18\u9F1A", 5, "\u9F21\u9F23", 8, "\u9F2D\u9F2E\u9F30\u9F31"], ["fd40", "\u9F32", 4, "\u9F38\u9F3A\u9F3C\u9F3F", 4, "\u9F45", 10, "\u9F52", 38], ["fd80", "\u9F79", 5, "\u9F81\u9F82\u9F8D", 11, "\u9F9C\u9F9D\u9F9E\u9FA1", 4, "\uF92C\uF979\uF995\uF9E7\uF9F1"], ["fe40", "\uFA0C\uFA0D\uFA0E\uFA0F\uFA11\uFA13\uFA14\uFA18\uFA1F\uFA20\uFA21\uFA23\uFA24\uFA27\uFA28\uFA29"]];
    });
    var jO = b((VGe, X8e) => {
      X8e.exports = [["a140", "\uE4C6", 62], ["a180", "\uE505", 32], ["a240", "\uE526", 62], ["a280", "\uE565", 32], ["a2ab", "\uE766", 5], ["a2e3", "\u20AC\uE76D"], ["a2ef", "\uE76E\uE76F"], ["a2fd", "\uE770\uE771"], ["a340", "\uE586", 62], ["a380", "\uE5C5", 31, "\u3000"], ["a440", "\uE5E6", 62], ["a480", "\uE625", 32], ["a4f4", "\uE772", 10], ["a540", "\uE646", 62], ["a580", "\uE685", 32], ["a5f7", "\uE77D", 7], ["a640", "\uE6A6", 62], ["a680", "\uE6E5", 32], ["a6b9", "\uE785", 7], ["a6d9", "\uE78D", 6], ["a6ec", "\uE794\uE795"], ["a6f3", "\uE796"], ["a6f6", "\uE797", 8], ["a740", "\uE706", 62], ["a780", "\uE745", 32], ["a7c2", "\uE7A0", 14], ["a7f2", "\uE7AF", 12], ["a896", "\uE7BC", 10], ["a8bc", "\u1E3F"], ["a8bf", "\u01F9"], ["a8c1", "\uE7C9\uE7CA\uE7CB\uE7CC"], ["a8ea", "\uE7CD", 20], ["a958", "\uE7E2"], ["a95b", "\uE7E3"], ["a95d", "\uE7E4\uE7E5\uE7E6"], ["a989", "\u303E\u2FF0", 11], ["a997", "\uE7F4", 12], ["a9f0", "\uE801", 14], ["aaa1", "\uE000", 93], ["aba1", "\uE05E", 93], ["aca1", "\uE0BC", 93], ["ada1", "\uE11A", 93], ["aea1", "\uE178", 93], ["afa1", "\uE1D6", 93], ["d7fa", "\uE810", 4], ["f8a1", "\uE234", 93], ["f9a1", "\uE292", 93], ["faa1", "\uE2F0", 93], ["fba1", "\uE34E", 93], ["fca1", "\uE3AC", 93], ["fda1", "\uE40A", 93], ["fe50", "\u2E81\uE816\uE817\uE818\u2E84\u3473\u3447\u2E88\u2E8B\uE81E\u359E\u361A\u360E\u2E8C\u2E97\u396E\u3918\uE826\u39CF\u39DF\u3A73\u39D0\uE82B\uE82C\u3B4E\u3C6E\u3CE0\u2EA7\uE831\uE832\u2EAA\u4056\u415F\u2EAE\u4337\u2EB3\u2EB6\u2EB7\uE83B\u43B1\u43AC\u2EBB\u43DD\u44D6\u4661\u464C\uE843"], ["fe80", "\u4723\u4729\u477C\u478D\u2ECA\u4947\u497A\u497D\u4982\u4983\u4985\u4986\u499F\u499B\u49B7\u49B6\uE854\uE855\u4CA3\u4C9F\u4CA0\u4CA1\u4C77\u4CA2\u4D13", 6, "\u4DAE\uE864\uE468", 93], ["8135f437", "\uE7C7"]];
    });
    var mK = b((KGe, Q8e) => {
      Q8e.exports = { uChars: [128, 165, 169, 178, 184, 216, 226, 235, 238, 244, 248, 251, 253, 258, 276, 284, 300, 325, 329, 334, 364, 463, 465, 467, 469, 471, 473, 475, 477, 506, 594, 610, 712, 716, 730, 930, 938, 962, 970, 1026, 1104, 1106, 8209, 8215, 8218, 8222, 8231, 8241, 8244, 8246, 8252, 8365, 8452, 8454, 8458, 8471, 8482, 8556, 8570, 8596, 8602, 8713, 8720, 8722, 8726, 8731, 8737, 8740, 8742, 8748, 8751, 8760, 8766, 8777, 8781, 8787, 8802, 8808, 8816, 8854, 8858, 8870, 8896, 8979, 9322, 9372, 9548, 9588, 9616, 9622, 9634, 9652, 9662, 9672, 9676, 9680, 9702, 9735, 9738, 9793, 9795, 11906, 11909, 11913, 11917, 11928, 11944, 11947, 11951, 11956, 11960, 11964, 11979, 12284, 12292, 12312, 12319, 12330, 12351, 12436, 12447, 12535, 12543, 12586, 12842, 12850, 12964, 13200, 13215, 13218, 13253, 13263, 13267, 13270, 13384, 13428, 13727, 13839, 13851, 14617, 14703, 14801, 14816, 14964, 15183, 15471, 15585, 16471, 16736, 17208, 17325, 17330, 17374, 17623, 17997, 18018, 18212, 18218, 18301, 18318, 18760, 18811, 18814, 18820, 18823, 18844, 18848, 18872, 19576, 19620, 19738, 19887, 40870, 59244, 59336, 59367, 59413, 59417, 59423, 59431, 59437, 59443, 59452, 59460, 59478, 59493, 63789, 63866, 63894, 63976, 63986, 64016, 64018, 64021, 64025, 64034, 64037, 64042, 65074, 65093, 65107, 65112, 65127, 65132, 65375, 65510, 65536], gbChars: [0, 36, 38, 45, 50, 81, 89, 95, 96, 100, 103, 104, 105, 109, 126, 133, 148, 172, 175, 179, 208, 306, 307, 308, 309, 310, 311, 312, 313, 341, 428, 443, 544, 545, 558, 741, 742, 749, 750, 805, 819, 820, 7922, 7924, 7925, 7927, 7934, 7943, 7944, 7945, 7950, 8062, 8148, 8149, 8152, 8164, 8174, 8236, 8240, 8262, 8264, 8374, 8380, 8381, 8384, 8388, 8390, 8392, 8393, 8394, 8396, 8401, 8406, 8416, 8419, 8424, 8437, 8439, 8445, 8482, 8485, 8496, 8521, 8603, 8936, 8946, 9046, 9050, 9063, 9066, 9076, 9092, 9100, 9108, 9111, 9113, 9131, 9162, 9164, 9218, 9219, 11329, 11331, 11334, 11336, 11346, 11361, 11363, 11366, 11370, 11372, 11375, 11389, 11682, 11686, 11687, 11692, 11694, 11714, 11716, 11723, 11725, 11730, 11736, 11982, 11989, 12102, 12336, 12348, 12350, 12384, 12393, 12395, 12397, 12510, 12553, 12851, 12962, 12973, 13738, 13823, 13919, 13933, 14080, 14298, 14585, 14698, 15583, 15847, 16318, 16434, 16438, 16481, 16729, 17102, 17122, 17315, 17320, 17402, 17418, 17859, 17909, 17911, 17915, 17916, 17936, 17939, 17961, 18664, 18703, 18814, 18962, 19043, 33469, 33470, 33471, 33484, 33485, 33490, 33497, 33501, 33505, 33513, 33520, 33536, 33550, 37845, 37921, 37948, 38029, 38038, 38064, 38065, 38066, 38069, 38075, 38076, 38078, 39108, 39109, 39113, 39114, 39115, 39116, 39265, 39394, 189e3] };
    });
    var gK = b((zGe, Z8e) => {
      Z8e.exports = [["0", "\0", 127], ["8141", "\uAC02\uAC03\uAC05\uAC06\uAC0B", 4, "\uAC18\uAC1E\uAC1F\uAC21\uAC22\uAC23\uAC25", 6, "\uAC2E\uAC32\uAC33\uAC34"], ["8161", "\uAC35\uAC36\uAC37\uAC3A\uAC3B\uAC3D\uAC3E\uAC3F\uAC41", 9, "\uAC4C\uAC4E", 5, "\uAC55"], ["8181", "\uAC56\uAC57\uAC59\uAC5A\uAC5B\uAC5D", 18, "\uAC72\uAC73\uAC75\uAC76\uAC79\uAC7B", 4, "\uAC82\uAC87\uAC88\uAC8D\uAC8E\uAC8F\uAC91\uAC92\uAC93\uAC95", 6, "\uAC9E\uACA2", 5, "\uACAB\uACAD\uACAE\uACB1", 6, "\uACBA\uACBE\uACBF\uACC0\uACC2\uACC3\uACC5\uACC6\uACC7\uACC9\uACCA\uACCB\uACCD", 7, "\uACD6\uACD8", 7, "\uACE2\uACE3\uACE5\uACE6\uACE9\uACEB\uACED\uACEE\uACF2\uACF4\uACF7", 4, "\uACFE\uACFF\uAD01\uAD02\uAD03\uAD05\uAD07", 4, "\uAD0E\uAD10\uAD12\uAD13"], ["8241", "\uAD14\uAD15\uAD16\uAD17\uAD19\uAD1A\uAD1B\uAD1D\uAD1E\uAD1F\uAD21", 7, "\uAD2A\uAD2B\uAD2E", 5], ["8261", "\uAD36\uAD37\uAD39\uAD3A\uAD3B\uAD3D", 6, "\uAD46\uAD48\uAD4A", 5, "\uAD51\uAD52\uAD53\uAD55\uAD56\uAD57"], ["8281", "\uAD59", 7, "\uAD62\uAD64", 7, "\uAD6E\uAD6F\uAD71\uAD72\uAD77\uAD78\uAD79\uAD7A\uAD7E\uAD80\uAD83", 4, "\uAD8A\uAD8B\uAD8D\uAD8E\uAD8F\uAD91", 10, "\uAD9E", 5, "\uADA5", 17, "\uADB8", 7, "\uADC2\uADC3\uADC5\uADC6\uADC7\uADC9", 6, "\uADD2\uADD4", 7, "\uADDD\uADDE\uADDF\uADE1\uADE2\uADE3\uADE5", 18], ["8341", "\uADFA\uADFB\uADFD\uADFE\uAE02", 5, "\uAE0A\uAE0C\uAE0E", 5, "\uAE15", 7], ["8361", "\uAE1D", 18, "\uAE32\uAE33\uAE35\uAE36\uAE39\uAE3B\uAE3C"], ["8381", "\uAE3D\uAE3E\uAE3F\uAE42\uAE44\uAE47\uAE48\uAE49\uAE4B\uAE4F\uAE51\uAE52\uAE53\uAE55\uAE57", 4, "\uAE5E\uAE62\uAE63\uAE64\uAE66\uAE67\uAE6A\uAE6B\uAE6D\uAE6E\uAE6F\uAE71", 6, "\uAE7A\uAE7E", 5, "\uAE86", 5, "\uAE8D", 46, "\uAEBF\uAEC1\uAEC2\uAEC3\uAEC5", 6, "\uAECE\uAED2", 5, "\uAEDA\uAEDB\uAEDD", 8], ["8441", "\uAEE6\uAEE7\uAEE9\uAEEA\uAEEC\uAEEE", 5, "\uAEF5\uAEF6\uAEF7\uAEF9\uAEFA\uAEFB\uAEFD", 8], ["8461", "\uAF06\uAF09\uAF0A\uAF0B\uAF0C\uAF0E\uAF0F\uAF11", 18], ["8481", "\uAF24", 7, "\uAF2E\uAF2F\uAF31\uAF33\uAF35", 6, "\uAF3E\uAF40\uAF44\uAF45\uAF46\uAF47\uAF4A", 5, "\uAF51", 10, "\uAF5E", 5, "\uAF66", 18, "\uAF7A", 5, "\uAF81\uAF82\uAF83\uAF85\uAF86\uAF87\uAF89", 6, "\uAF92\uAF93\uAF94\uAF96", 5, "\uAF9D", 26, "\uAFBA\uAFBB\uAFBD\uAFBE"], ["8541", "\uAFBF\uAFC1", 5, "\uAFCA\uAFCC\uAFCF", 4, "\uAFD5", 6, "\uAFDD", 4], ["8561", "\uAFE2", 5, "\uAFEA", 5, "\uAFF2\uAFF3\uAFF5\uAFF6\uAFF7\uAFF9", 6, "\uB002\uB003"], ["8581", "\uB005", 6, "\uB00D\uB00E\uB00F\uB011\uB012\uB013\uB015", 6, "\uB01E", 9, "\uB029", 26, "\uB046\uB047\uB049\uB04B\uB04D\uB04F\uB050\uB051\uB052\uB056\uB058\uB05A\uB05B\uB05C\uB05E", 29, "\uB07E\uB07F\uB081\uB082\uB083\uB085", 6, "\uB08E\uB090\uB092", 5, "\uB09B\uB09D\uB09E\uB0A3\uB0A4"], ["8641", "\uB0A5\uB0A6\uB0A7\uB0AA\uB0B0\uB0B2\uB0B6\uB0B7\uB0B9\uB0BA\uB0BB\uB0BD", 6, "\uB0C6\uB0CA", 5, "\uB0D2"], ["8661", "\uB0D3\uB0D5\uB0D6\uB0D7\uB0D9", 6, "\uB0E1\uB0E2\uB0E3\uB0E4\uB0E6", 10], ["8681", "\uB0F1", 22, "\uB10A\uB10D\uB10E\uB10F\uB111\uB114\uB115\uB116\uB117\uB11A\uB11E", 4, "\uB126\uB127\uB129\uB12A\uB12B\uB12D", 6, "\uB136\uB13A", 5, "\uB142\uB143\uB145\uB146\uB147\uB149", 6, "\uB152\uB153\uB156\uB157\uB159\uB15A\uB15B\uB15D\uB15E\uB15F\uB161", 22, "\uB17A\uB17B\uB17D\uB17E\uB17F\uB181\uB183", 4, "\uB18A\uB18C\uB18E\uB18F\uB190\uB191\uB195\uB196\uB197\uB199\uB19A\uB19B\uB19D"], ["8741", "\uB19E", 9, "\uB1A9", 15], ["8761", "\uB1B9", 18, "\uB1CD\uB1CE\uB1CF\uB1D1\uB1D2\uB1D3\uB1D5"], ["8781", "\uB1D6", 5, "\uB1DE\uB1E0", 7, "\uB1EA\uB1EB\uB1ED\uB1EE\uB1EF\uB1F1", 7, "\uB1FA\uB1FC\uB1FE", 5, "\uB206\uB207\uB209\uB20A\uB20D", 6, "\uB216\uB218\uB21A", 5, "\uB221", 18, "\uB235", 6, "\uB23D", 26, "\uB259\uB25A\uB25B\uB25D\uB25E\uB25F\uB261", 6, "\uB26A", 4], ["8841", "\uB26F", 4, "\uB276", 5, "\uB27D", 6, "\uB286\uB287\uB288\uB28A", 4], ["8861", "\uB28F\uB292\uB293\uB295\uB296\uB297\uB29B", 4, "\uB2A2\uB2A4\uB2A7\uB2A8\uB2A9\uB2AB\uB2AD\uB2AE\uB2AF\uB2B1\uB2B2\uB2B3\uB2B5\uB2B6\uB2B7"], ["8881", "\uB2B8", 15, "\uB2CA\uB2CB\uB2CD\uB2CE\uB2CF\uB2D1\uB2D3", 4, "\uB2DA\uB2DC\uB2DE\uB2DF\uB2E0\uB2E1\uB2E3\uB2E7\uB2E9\uB2EA\uB2F0\uB2F1\uB2F2\uB2F6\uB2FC\uB2FD\uB2FE\uB302\uB303\uB305\uB306\uB307\uB309", 6, "\uB312\uB316", 5, "\uB31D", 54, "\uB357\uB359\uB35A\uB35D\uB360\uB361\uB362\uB363"], ["8941", "\uB366\uB368\uB36A\uB36C\uB36D\uB36F\uB372\uB373\uB375\uB376\uB377\uB379", 6, "\uB382\uB386", 5, "\uB38D"], ["8961", "\uB38E\uB38F\uB391\uB392\uB393\uB395", 10, "\uB3A2", 5, "\uB3A9\uB3AA\uB3AB\uB3AD"], ["8981", "\uB3AE", 21, "\uB3C6\uB3C7\uB3C9\uB3CA\uB3CD\uB3CF\uB3D1\uB3D2\uB3D3\uB3D6\uB3D8\uB3DA\uB3DC\uB3DE\uB3DF\uB3E1\uB3E2\uB3E3\uB3E5\uB3E6\uB3E7\uB3E9", 18, "\uB3FD", 18, "\uB411", 6, "\uB419\uB41A\uB41B\uB41D\uB41E\uB41F\uB421", 6, "\uB42A\uB42C", 7, "\uB435", 15], ["8a41", "\uB445", 10, "\uB452\uB453\uB455\uB456\uB457\uB459", 6, "\uB462\uB464\uB466"], ["8a61", "\uB467", 4, "\uB46D", 18, "\uB481\uB482"], ["8a81", "\uB483", 4, "\uB489", 19, "\uB49E", 5, "\uB4A5\uB4A6\uB4A7\uB4A9\uB4AA\uB4AB\uB4AD", 7, "\uB4B6\uB4B8\uB4BA", 5, "\uB4C1\uB4C2\uB4C3\uB4C5\uB4C6\uB4C7\uB4C9", 6, "\uB4D1\uB4D2\uB4D3\uB4D4\uB4D6", 5, "\uB4DE\uB4DF\uB4E1\uB4E2\uB4E5\uB4E7", 4, "\uB4EE\uB4F0\uB4F2", 5, "\uB4F9", 26, "\uB516\uB517\uB519\uB51A\uB51D"], ["8b41", "\uB51E", 5, "\uB526\uB52B", 4, "\uB532\uB533\uB535\uB536\uB537\uB539", 6, "\uB542\uB546"], ["8b61", "\uB547\uB548\uB549\uB54A\uB54E\uB54F\uB551\uB552\uB553\uB555", 6, "\uB55E\uB562", 8], ["8b81", "\uB56B", 52, "\uB5A2\uB5A3\uB5A5\uB5A6\uB5A7\uB5A9\uB5AC\uB5AD\uB5AE\uB5AF\uB5B2\uB5B6", 4, "\uB5BE\uB5BF\uB5C1\uB5C2\uB5C3\uB5C5", 6, "\uB5CE\uB5D2", 5, "\uB5D9", 18, "\uB5ED", 18], ["8c41", "\uB600", 15, "\uB612\uB613\uB615\uB616\uB617\uB619", 4], ["8c61", "\uB61E", 6, "\uB626", 5, "\uB62D", 6, "\uB635", 5], ["8c81", "\uB63B", 12, "\uB649", 26, "\uB665\uB666\uB667\uB669", 50, "\uB69E\uB69F\uB6A1\uB6A2\uB6A3\uB6A5", 5, "\uB6AD\uB6AE\uB6AF\uB6B0\uB6B2", 16], ["8d41", "\uB6C3", 16, "\uB6D5", 8], ["8d61", "\uB6DE", 17, "\uB6F1\uB6F2\uB6F3\uB6F5\uB6F6\uB6F7\uB6F9\uB6FA"], ["8d81", "\uB6FB", 4, "\uB702\uB703\uB704\uB706", 33, "\uB72A\uB72B\uB72D\uB72E\uB731", 6, "\uB73A\uB73C", 7, "\uB745\uB746\uB747\uB749\uB74A\uB74B\uB74D", 6, "\uB756", 9, "\uB761\uB762\uB763\uB765\uB766\uB767\uB769", 6, "\uB772\uB774\uB776", 5, "\uB77E\uB77F\uB781\uB782\uB783\uB785", 6, "\uB78E\uB793\uB794\uB795\uB79A\uB79B\uB79D\uB79E"], ["8e41", "\uB79F\uB7A1", 6, "\uB7AA\uB7AE", 5, "\uB7B6\uB7B7\uB7B9", 8], ["8e61", "\uB7C2", 4, "\uB7C8\uB7CA", 19], ["8e81", "\uB7DE", 13, "\uB7EE\uB7EF\uB7F1\uB7F2\uB7F3\uB7F5", 6, "\uB7FE\uB802", 4, "\uB80A\uB80B\uB80D\uB80E\uB80F\uB811", 6, "\uB81A\uB81C\uB81E", 5, "\uB826\uB827\uB829\uB82A\uB82B\uB82D", 6, "\uB836\uB83A", 5, "\uB841\uB842\uB843\uB845", 11, "\uB852\uB854", 7, "\uB85E\uB85F\uB861\uB862\uB863\uB865", 6, "\uB86E\uB870\uB872", 5, "\uB879\uB87A\uB87B\uB87D", 7], ["8f41", "\uB885", 7, "\uB88E", 17], ["8f61", "\uB8A0", 7, "\uB8A9", 6, "\uB8B1\uB8B2\uB8B3\uB8B5\uB8B6\uB8B7\uB8B9", 4], ["8f81", "\uB8BE\uB8BF\uB8C2\uB8C4\uB8C6", 5, "\uB8CD\uB8CE\uB8CF\uB8D1\uB8D2\uB8D3\uB8D5", 7, "\uB8DE\uB8E0\uB8E2", 5, "\uB8EA\uB8EB\uB8ED\uB8EE\uB8EF\uB8F1", 6, "\uB8FA\uB8FC\uB8FE", 5, "\uB905", 18, "\uB919", 6, "\uB921", 26, "\uB93E\uB93F\uB941\uB942\uB943\uB945", 6, "\uB94D\uB94E\uB950\uB952", 5], ["9041", "\uB95A\uB95B\uB95D\uB95E\uB95F\uB961", 6, "\uB96A\uB96C\uB96E", 5, "\uB976\uB977\uB979\uB97A\uB97B\uB97D"], ["9061", "\uB97E", 5, "\uB986\uB988\uB98B\uB98C\uB98F", 15], ["9081", "\uB99F", 12, "\uB9AE\uB9AF\uB9B1\uB9B2\uB9B3\uB9B5", 6, "\uB9BE\uB9C0\uB9C2", 5, "\uB9CA\uB9CB\uB9CD\uB9D3", 4, "\uB9DA\uB9DC\uB9DF\uB9E0\uB9E2\uB9E6\uB9E7\uB9E9\uB9EA\uB9EB\uB9ED", 6, "\uB9F6\uB9FB", 4, "\uBA02", 5, "\uBA09", 11, "\uBA16", 33, "\uBA3A\uBA3B\uBA3D\uBA3E\uBA3F\uBA41\uBA43\uBA44\uBA45\uBA46"], ["9141", "\uBA47\uBA4A\uBA4C\uBA4F\uBA50\uBA51\uBA52\uBA56\uBA57\uBA59\uBA5A\uBA5B\uBA5D", 6, "\uBA66\uBA6A", 5], ["9161", "\uBA72\uBA73\uBA75\uBA76\uBA77\uBA79", 9, "\uBA86\uBA88\uBA89\uBA8A\uBA8B\uBA8D", 5], ["9181", "\uBA93", 20, "\uBAAA\uBAAD\uBAAE\uBAAF\uBAB1\uBAB3", 4, "\uBABA\uBABC\uBABE", 5, "\uBAC5\uBAC6\uBAC7\uBAC9", 14, "\uBADA", 33, "\uBAFD\uBAFE\uBAFF\uBB01\uBB02\uBB03\uBB05", 7, "\uBB0E\uBB10\uBB12", 5, "\uBB19\uBB1A\uBB1B\uBB1D\uBB1E\uBB1F\uBB21", 6], ["9241", "\uBB28\uBB2A\uBB2C", 7, "\uBB37\uBB39\uBB3A\uBB3F", 4, "\uBB46\uBB48\uBB4A\uBB4B\uBB4C\uBB4E\uBB51\uBB52"], ["9261", "\uBB53\uBB55\uBB56\uBB57\uBB59", 7, "\uBB62\uBB64", 7, "\uBB6D", 4], ["9281", "\uBB72", 21, "\uBB89\uBB8A\uBB8B\uBB8D\uBB8E\uBB8F\uBB91", 18, "\uBBA5\uBBA6\uBBA7\uBBA9\uBBAA\uBBAB\uBBAD", 6, "\uBBB5\uBBB6\uBBB8", 7, "\uBBC1\uBBC2\uBBC3\uBBC5\uBBC6\uBBC7\uBBC9", 6, "\uBBD1\uBBD2\uBBD4", 35, "\uBBFA\uBBFB\uBBFD\uBBFE\uBC01"], ["9341", "\uBC03", 4, "\uBC0A\uBC0E\uBC10\uBC12\uBC13\uBC19\uBC1A\uBC20\uBC21\uBC22\uBC23\uBC26\uBC28\uBC2A\uBC2B\uBC2C\uBC2E\uBC2F\uBC32\uBC33\uBC35"], ["9361", "\uBC36\uBC37\uBC39", 6, "\uBC42\uBC46\uBC47\uBC48\uBC4A\uBC4B\uBC4E\uBC4F\uBC51", 8], ["9381", "\uBC5A\uBC5B\uBC5C\uBC5E", 37, "\uBC86\uBC87\uBC89\uBC8A\uBC8D\uBC8F", 4, "\uBC96\uBC98\uBC9B", 4, "\uBCA2\uBCA3\uBCA5\uBCA6\uBCA9", 6, "\uBCB2\uBCB6", 5, "\uBCBE\uBCBF\uBCC1\uBCC2\uBCC3\uBCC5", 7, "\uBCCE\uBCD2\uBCD3\uBCD4\uBCD6\uBCD7\uBCD9\uBCDA\uBCDB\uBCDD", 22, "\uBCF7\uBCF9\uBCFA\uBCFB\uBCFD"], ["9441", "\uBCFE", 5, "\uBD06\uBD08\uBD0A", 5, "\uBD11\uBD12\uBD13\uBD15", 8], ["9461", "\uBD1E", 5, "\uBD25", 6, "\uBD2D", 12], ["9481", "\uBD3A", 5, "\uBD41", 6, "\uBD4A\uBD4B\uBD4D\uBD4E\uBD4F\uBD51", 6, "\uBD5A", 9, "\uBD65\uBD66\uBD67\uBD69", 22, "\uBD82\uBD83\uBD85\uBD86\uBD8B", 4, "\uBD92\uBD94\uBD96\uBD97\uBD98\uBD9B\uBD9D", 6, "\uBDA5", 10, "\uBDB1", 6, "\uBDB9", 24], ["9541", "\uBDD2\uBDD3\uBDD6\uBDD7\uBDD9\uBDDA\uBDDB\uBDDD", 11, "\uBDEA", 5, "\uBDF1"], ["9561", "\uBDF2\uBDF3\uBDF5\uBDF6\uBDF7\uBDF9", 6, "\uBE01\uBE02\uBE04\uBE06", 5, "\uBE0E\uBE0F\uBE11\uBE12\uBE13"], ["9581", "\uBE15", 6, "\uBE1E\uBE20", 35, "\uBE46\uBE47\uBE49\uBE4A\uBE4B\uBE4D\uBE4F", 4, "\uBE56\uBE58\uBE5C\uBE5D\uBE5E\uBE5F\uBE62\uBE63\uBE65\uBE66\uBE67\uBE69\uBE6B", 4, "\uBE72\uBE76", 4, "\uBE7E\uBE7F\uBE81\uBE82\uBE83\uBE85", 6, "\uBE8E\uBE92", 5, "\uBE9A", 13, "\uBEA9", 14], ["9641", "\uBEB8", 23, "\uBED2\uBED3"], ["9661", "\uBED5\uBED6\uBED9", 6, "\uBEE1\uBEE2\uBEE6", 5, "\uBEED", 8], ["9681", "\uBEF6", 10, "\uBF02", 5, "\uBF0A", 13, "\uBF1A\uBF1E", 33, "\uBF42\uBF43\uBF45\uBF46\uBF47\uBF49", 6, "\uBF52\uBF53\uBF54\uBF56", 44], ["9741", "\uBF83", 16, "\uBF95", 8], ["9761", "\uBF9E", 17, "\uBFB1", 7], ["9781", "\uBFB9", 11, "\uBFC6", 5, "\uBFCE\uBFCF\uBFD1\uBFD2\uBFD3\uBFD5", 6, "\uBFDD\uBFDE\uBFE0\uBFE2", 89, "\uC03D\uC03E\uC03F"], ["9841", "\uC040", 16, "\uC052", 5, "\uC059\uC05A\uC05B"], ["9861", "\uC05D\uC05E\uC05F\uC061", 6, "\uC06A", 15], ["9881", "\uC07A", 21, "\uC092\uC093\uC095\uC096\uC097\uC099", 6, "\uC0A2\uC0A4\uC0A6", 5, "\uC0AE\uC0B1\uC0B2\uC0B7", 4, "\uC0BE\uC0C2\uC0C3\uC0C4\uC0C6\uC0C7\uC0CA\uC0CB\uC0CD\uC0CE\uC0CF\uC0D1", 6, "\uC0DA\uC0DE", 5, "\uC0E6\uC0E7\uC0E9\uC0EA\uC0EB\uC0ED", 6, "\uC0F6\uC0F8\uC0FA", 5, "\uC101\uC102\uC103\uC105\uC106\uC107\uC109", 6, "\uC111\uC112\uC113\uC114\uC116", 5, "\uC121\uC122\uC125\uC128\uC129\uC12A\uC12B\uC12E"], ["9941", "\uC132\uC133\uC134\uC135\uC137\uC13A\uC13B\uC13D\uC13E\uC13F\uC141", 6, "\uC14A\uC14E", 5, "\uC156\uC157"], ["9961", "\uC159\uC15A\uC15B\uC15D", 6, "\uC166\uC16A", 5, "\uC171\uC172\uC173\uC175\uC176\uC177\uC179\uC17A\uC17B"], ["9981", "\uC17C", 8, "\uC186", 5, "\uC18F\uC191\uC192\uC193\uC195\uC197", 4, "\uC19E\uC1A0\uC1A2\uC1A3\uC1A4\uC1A6\uC1A7\uC1AA\uC1AB\uC1AD\uC1AE\uC1AF\uC1B1", 11, "\uC1BE", 5, "\uC1C5\uC1C6\uC1C7\uC1C9\uC1CA\uC1CB\uC1CD", 6, "\uC1D5\uC1D6\uC1D9", 6, "\uC1E1\uC1E2\uC1E3\uC1E5\uC1E6\uC1E7\uC1E9", 6, "\uC1F2\uC1F4", 7, "\uC1FE\uC1FF\uC201\uC202\uC203\uC205", 6, "\uC20E\uC210\uC212", 5, "\uC21A\uC21B\uC21D\uC21E\uC221\uC222\uC223"], ["9a41", "\uC224\uC225\uC226\uC227\uC22A\uC22C\uC22E\uC230\uC233\uC235", 16], ["9a61", "\uC246\uC247\uC249", 6, "\uC252\uC253\uC255\uC256\uC257\uC259", 6, "\uC261\uC262\uC263\uC264\uC266"], ["9a81", "\uC267", 4, "\uC26E\uC26F\uC271\uC272\uC273\uC275", 6, "\uC27E\uC280\uC282", 5, "\uC28A", 5, "\uC291", 6, "\uC299\uC29A\uC29C\uC29E", 5, "\uC2A6\uC2A7\uC2A9\uC2AA\uC2AB\uC2AE", 5, "\uC2B6\uC2B8\uC2BA", 33, "\uC2DE\uC2DF\uC2E1\uC2E2\uC2E5", 5, "\uC2EE\uC2F0\uC2F2\uC2F3\uC2F4\uC2F5\uC2F7\uC2FA\uC2FD\uC2FE\uC2FF\uC301", 6, "\uC30A\uC30B\uC30E\uC30F"], ["9b41", "\uC310\uC311\uC312\uC316\uC317\uC319\uC31A\uC31B\uC31D", 6, "\uC326\uC327\uC32A", 8], ["9b61", "\uC333", 17, "\uC346", 7], ["9b81", "\uC34E", 25, "\uC36A\uC36B\uC36D\uC36E\uC36F\uC371\uC373", 4, "\uC37A\uC37B\uC37E", 5, "\uC385\uC386\uC387\uC389\uC38A\uC38B\uC38D", 50, "\uC3C1", 22, "\uC3DA"], ["9c41", "\uC3DB\uC3DD\uC3DE\uC3E1\uC3E3", 4, "\uC3EA\uC3EB\uC3EC\uC3EE", 5, "\uC3F6\uC3F7\uC3F9", 5], ["9c61", "\uC3FF", 8, "\uC409", 6, "\uC411", 9], ["9c81", "\uC41B", 8, "\uC425", 6, "\uC42D\uC42E\uC42F\uC431\uC432\uC433\uC435", 6, "\uC43E", 9, "\uC449", 26, "\uC466\uC467\uC469\uC46A\uC46B\uC46D", 6, "\uC476\uC477\uC478\uC47A", 5, "\uC481", 18, "\uC495", 6, "\uC49D", 12], ["9d41", "\uC4AA", 13, "\uC4B9\uC4BA\uC4BB\uC4BD", 8], ["9d61", "\uC4C6", 25], ["9d81", "\uC4E0", 8, "\uC4EA", 5, "\uC4F2\uC4F3\uC4F5\uC4F6\uC4F7\uC4F9\uC4FB\uC4FC\uC4FD\uC4FE\uC502", 9, "\uC50D\uC50E\uC50F\uC511\uC512\uC513\uC515", 6, "\uC51D", 10, "\uC52A\uC52B\uC52D\uC52E\uC52F\uC531", 6, "\uC53A\uC53C\uC53E", 5, "\uC546\uC547\uC54B\uC54F\uC550\uC551\uC552\uC556\uC55A\uC55B\uC55C\uC55F\uC562\uC563\uC565\uC566\uC567\uC569", 6, "\uC572\uC576", 5, "\uC57E\uC57F\uC581\uC582\uC583\uC585\uC586\uC588\uC589\uC58A\uC58B\uC58E\uC590\uC592\uC593\uC594"], ["9e41", "\uC596\uC599\uC59A\uC59B\uC59D\uC59E\uC59F\uC5A1", 7, "\uC5AA", 9, "\uC5B6"], ["9e61", "\uC5B7\uC5BA\uC5BF", 4, "\uC5CB\uC5CD\uC5CF\uC5D2\uC5D3\uC5D5\uC5D6\uC5D7\uC5D9", 6, "\uC5E2\uC5E4\uC5E6\uC5E7"], ["9e81", "\uC5E8\uC5E9\uC5EA\uC5EB\uC5EF\uC5F1\uC5F2\uC5F3\uC5F5\uC5F8\uC5F9\uC5FA\uC5FB\uC602\uC603\uC604\uC609\uC60A\uC60B\uC60D\uC60E\uC60F\uC611", 6, "\uC61A\uC61D", 6, "\uC626\uC627\uC629\uC62A\uC62B\uC62F\uC631\uC632\uC636\uC638\uC63A\uC63C\uC63D\uC63E\uC63F\uC642\uC643\uC645\uC646\uC647\uC649", 6, "\uC652\uC656", 5, "\uC65E\uC65F\uC661", 10, "\uC66D\uC66E\uC670\uC672", 5, "\uC67A\uC67B\uC67D\uC67E\uC67F\uC681", 6, "\uC68A\uC68C\uC68E", 5, "\uC696\uC697\uC699\uC69A\uC69B\uC69D", 6, "\uC6A6"], ["9f41", "\uC6A8\uC6AA", 5, "\uC6B2\uC6B3\uC6B5\uC6B6\uC6B7\uC6BB", 4, "\uC6C2\uC6C4\uC6C6", 5, "\uC6CE"], ["9f61", "\uC6CF\uC6D1\uC6D2\uC6D3\uC6D5", 6, "\uC6DE\uC6DF\uC6E2", 5, "\uC6EA\uC6EB\uC6ED\uC6EE\uC6EF\uC6F1\uC6F2"], ["9f81", "\uC6F3", 4, "\uC6FA\uC6FB\uC6FC\uC6FE", 5, "\uC706\uC707\uC709\uC70A\uC70B\uC70D", 6, "\uC716\uC718\uC71A", 5, "\uC722\uC723\uC725\uC726\uC727\uC729", 6, "\uC732\uC734\uC736\uC738\uC739\uC73A\uC73B\uC73E\uC73F\uC741\uC742\uC743\uC745", 4, "\uC74B\uC74E\uC750\uC759\uC75A\uC75B\uC75D\uC75E\uC75F\uC761", 6, "\uC769\uC76A\uC76C", 7, "\uC776\uC777\uC779\uC77A\uC77B\uC77F\uC780\uC781\uC782\uC786\uC78B\uC78C\uC78D\uC78F\uC792\uC793\uC795\uC799\uC79B", 4, "\uC7A2\uC7A7", 4, "\uC7AE\uC7AF\uC7B1\uC7B2\uC7B3\uC7B5\uC7B6\uC7B7"], ["a041", "\uC7B8\uC7B9\uC7BA\uC7BB\uC7BE\uC7C2", 5, "\uC7CA\uC7CB\uC7CD\uC7CF\uC7D1", 6, "\uC7D9\uC7DA\uC7DB\uC7DC"], ["a061", "\uC7DE", 5, "\uC7E5\uC7E6\uC7E7\uC7E9\uC7EA\uC7EB\uC7ED", 13], ["a081", "\uC7FB", 4, "\uC802\uC803\uC805\uC806\uC807\uC809\uC80B", 4, "\uC812\uC814\uC817", 4, "\uC81E\uC81F\uC821\uC822\uC823\uC825", 6, "\uC82E\uC830\uC832", 5, "\uC839\uC83A\uC83B\uC83D\uC83E\uC83F\uC841", 6, "\uC84A\uC84B\uC84E", 5, "\uC855", 26, "\uC872\uC873\uC875\uC876\uC877\uC879\uC87B", 4, "\uC882\uC884\uC888\uC889\uC88A\uC88E", 5, "\uC895", 7, "\uC89E\uC8A0\uC8A2\uC8A3\uC8A4"], ["a141", "\uC8A5\uC8A6\uC8A7\uC8A9", 18, "\uC8BE\uC8BF\uC8C0\uC8C1"], ["a161", "\uC8C2\uC8C3\uC8C5\uC8C6\uC8C7\uC8C9\uC8CA\uC8CB\uC8CD", 6, "\uC8D6\uC8D8\uC8DA", 5, "\uC8E2\uC8E3\uC8E5"], ["a181", "\uC8E6", 14, "\uC8F6", 5, "\uC8FE\uC8FF\uC901\uC902\uC903\uC907", 4, "\uC90E\u3000\u3001\u3002\xB7\u2025\u2026\xA8\u3003\xAD\u2015\u2225\uFF3C\u223C\u2018\u2019\u201C\u201D\u3014\u3015\u3008", 9, "\xB1\xD7\xF7\u2260\u2264\u2265\u221E\u2234\xB0\u2032\u2033\u2103\u212B\uFFE0\uFFE1\uFFE5\u2642\u2640\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\xA7\u203B\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u2192\u2190\u2191\u2193\u2194\u3013\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229\u2227\u2228\uFFE2"], ["a241", "\uC910\uC912", 5, "\uC919", 18], ["a261", "\uC92D", 6, "\uC935", 18], ["a281", "\uC948", 7, "\uC952\uC953\uC955\uC956\uC957\uC959", 6, "\uC962\uC964", 7, "\uC96D\uC96E\uC96F\u21D2\u21D4\u2200\u2203\xB4\uFF5E\u02C7\u02D8\u02DD\u02DA\u02D9\xB8\u02DB\xA1\xBF\u02D0\u222E\u2211\u220F\xA4\u2109\u2030\u25C1\u25C0\u25B7\u25B6\u2664\u2660\u2661\u2665\u2667\u2663\u2299\u25C8\u25A3\u25D0\u25D1\u2592\u25A4\u25A5\u25A8\u25A7\u25A6\u25A9\u2668\u260F\u260E\u261C\u261E\xB6\u2020\u2021\u2195\u2197\u2199\u2196\u2198\u266D\u2669\u266A\u266C\u327F\u321C\u2116\u33C7\u2122\u33C2\u33D8\u2121\u20AC\xAE"], ["a341", "\uC971\uC972\uC973\uC975", 6, "\uC97D", 10, "\uC98A\uC98B\uC98D\uC98E\uC98F"], ["a361", "\uC991", 6, "\uC99A\uC99C\uC99E", 16], ["a381", "\uC9AF", 16, "\uC9C2\uC9C3\uC9C5\uC9C6\uC9C9\uC9CB", 4, "\uC9D2\uC9D4\uC9D7\uC9D8\uC9DB\uFF01", 58, "\uFFE6\uFF3D", 32, "\uFFE3"], ["a441", "\uC9DE\uC9DF\uC9E1\uC9E3\uC9E5\uC9E6\uC9E8\uC9E9\uC9EA\uC9EB\uC9EE\uC9F2", 5, "\uC9FA\uC9FB\uC9FD\uC9FE\uC9FF\uCA01\uCA02\uCA03\uCA04"], ["a461", "\uCA05\uCA06\uCA07\uCA0A\uCA0E", 5, "\uCA15\uCA16\uCA17\uCA19", 12], ["a481", "\uCA26\uCA27\uCA28\uCA2A", 28, "\u3131", 93], ["a541", "\uCA47", 4, "\uCA4E\uCA4F\uCA51\uCA52\uCA53\uCA55", 6, "\uCA5E\uCA62", 5, "\uCA69\uCA6A"], ["a561", "\uCA6B", 17, "\uCA7E", 5, "\uCA85\uCA86"], ["a581", "\uCA87", 16, "\uCA99", 14, "\u2170", 9], ["a5b0", "\u2160", 9], ["a5c1", "\u0391", 16, "\u03A3", 6], ["a5e1", "\u03B1", 16, "\u03C3", 6], ["a641", "\uCAA8", 19, "\uCABE\uCABF\uCAC1\uCAC2\uCAC3\uCAC5"], ["a661", "\uCAC6", 5, "\uCACE\uCAD0\uCAD2\uCAD4\uCAD5\uCAD6\uCAD7\uCADA", 5, "\uCAE1", 6], ["a681", "\uCAE8\uCAE9\uCAEA\uCAEB\uCAED", 6, "\uCAF5", 18, "\uCB09\uCB0A\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542\u2512\u2511\u251A\u2519\u2516\u2515\u250E\u250D\u251E\u251F\u2521\u2522\u2526\u2527\u2529\u252A\u252D\u252E\u2531\u2532\u2535\u2536\u2539\u253A\u253D\u253E\u2540\u2541\u2543", 7], ["a741", "\uCB0B", 4, "\uCB11\uCB12\uCB13\uCB15\uCB16\uCB17\uCB19", 6, "\uCB22", 7], ["a761", "\uCB2A", 22, "\uCB42\uCB43\uCB44"], ["a781", "\uCB45\uCB46\uCB47\uCB4A\uCB4B\uCB4D\uCB4E\uCB4F\uCB51", 6, "\uCB5A\uCB5B\uCB5C\uCB5E", 5, "\uCB65", 7, "\u3395\u3396\u3397\u2113\u3398\u33C4\u33A3\u33A4\u33A5\u33A6\u3399", 9, "\u33CA\u338D\u338E\u338F\u33CF\u3388\u3389\u33C8\u33A7\u33A8\u33B0", 9, "\u3380", 4, "\u33BA", 5, "\u3390", 4, "\u2126\u33C0\u33C1\u338A\u338B\u338C\u33D6\u33C5\u33AD\u33AE\u33AF\u33DB\u33A9\u33AA\u33AB\u33AC\u33DD\u33D0\u33D3\u33C3\u33C9\u33DC\u33C6"], ["a841", "\uCB6D", 10, "\uCB7A", 14], ["a861", "\uCB89", 18, "\uCB9D", 6], ["a881", "\uCBA4", 19, "\uCBB9", 11, "\xC6\xD0\xAA\u0126"], ["a8a6", "\u0132"], ["a8a8", "\u013F\u0141\xD8\u0152\xBA\xDE\u0166\u014A"], ["a8b1", "\u3260", 27, "\u24D0", 25, "\u2460", 14, "\xBD\u2153\u2154\xBC\xBE\u215B\u215C\u215D\u215E"], ["a941", "\uCBC5", 14, "\uCBD5", 10], ["a961", "\uCBE0\uCBE1\uCBE2\uCBE3\uCBE5\uCBE6\uCBE8\uCBEA", 18], ["a981", "\uCBFD", 14, "\uCC0E\uCC0F\uCC11\uCC12\uCC13\uCC15", 6, "\uCC1E\uCC1F\uCC20\uCC23\uCC24\xE6\u0111\xF0\u0127\u0131\u0133\u0138\u0140\u0142\xF8\u0153\xDF\xFE\u0167\u014B\u0149\u3200", 27, "\u249C", 25, "\u2474", 14, "\xB9\xB2\xB3\u2074\u207F\u2081\u2082\u2083\u2084"], ["aa41", "\uCC25\uCC26\uCC2A\uCC2B\uCC2D\uCC2F\uCC31", 6, "\uCC3A\uCC3F", 4, "\uCC46\uCC47\uCC49\uCC4A\uCC4B\uCC4D\uCC4E"], ["aa61", "\uCC4F", 4, "\uCC56\uCC5A", 5, "\uCC61\uCC62\uCC63\uCC65\uCC67\uCC69", 6, "\uCC71\uCC72"], ["aa81", "\uCC73\uCC74\uCC76", 29, "\u3041", 82], ["ab41", "\uCC94\uCC95\uCC96\uCC97\uCC9A\uCC9B\uCC9D\uCC9E\uCC9F\uCCA1", 6, "\uCCAA\uCCAE", 5, "\uCCB6\uCCB7\uCCB9"], ["ab61", "\uCCBA\uCCBB\uCCBD", 6, "\uCCC6\uCCC8\uCCCA", 5, "\uCCD1\uCCD2\uCCD3\uCCD5", 5], ["ab81", "\uCCDB", 8, "\uCCE5", 6, "\uCCED\uCCEE\uCCEF\uCCF1", 12, "\u30A1", 85], ["ac41", "\uCCFE\uCCFF\uCD00\uCD02", 5, "\uCD0A\uCD0B\uCD0D\uCD0E\uCD0F\uCD11", 6, "\uCD1A\uCD1C\uCD1E\uCD1F\uCD20"], ["ac61", "\uCD21\uCD22\uCD23\uCD25\uCD26\uCD27\uCD29\uCD2A\uCD2B\uCD2D", 11, "\uCD3A", 4], ["ac81", "\uCD3F", 28, "\uCD5D\uCD5E\uCD5F\u0410", 5, "\u0401\u0416", 25], ["acd1", "\u0430", 5, "\u0451\u0436", 25], ["ad41", "\uCD61\uCD62\uCD63\uCD65", 6, "\uCD6E\uCD70\uCD72", 5, "\uCD79", 7], ["ad61", "\uCD81", 6, "\uCD89", 10, "\uCD96\uCD97\uCD99\uCD9A\uCD9B\uCD9D\uCD9E\uCD9F"], ["ad81", "\uCDA0\uCDA1\uCDA2\uCDA3\uCDA6\uCDA8\uCDAA", 5, "\uCDB1", 18, "\uCDC5"], ["ae41", "\uCDC6", 5, "\uCDCD\uCDCE\uCDCF\uCDD1", 16], ["ae61", "\uCDE2", 5, "\uCDE9\uCDEA\uCDEB\uCDED\uCDEE\uCDEF\uCDF1", 6, "\uCDFA\uCDFC\uCDFE", 4], ["ae81", "\uCE03\uCE05\uCE06\uCE07\uCE09\uCE0A\uCE0B\uCE0D", 6, "\uCE15\uCE16\uCE17\uCE18\uCE1A", 5, "\uCE22\uCE23\uCE25\uCE26\uCE27\uCE29\uCE2A\uCE2B"], ["af41", "\uCE2C\uCE2D\uCE2E\uCE2F\uCE32\uCE34\uCE36", 19], ["af61", "\uCE4A", 13, "\uCE5A\uCE5B\uCE5D\uCE5E\uCE62", 5, "\uCE6A\uCE6C"], ["af81", "\uCE6E", 5, "\uCE76\uCE77\uCE79\uCE7A\uCE7B\uCE7D", 6, "\uCE86\uCE88\uCE8A", 5, "\uCE92\uCE93\uCE95\uCE96\uCE97\uCE99"], ["b041", "\uCE9A", 5, "\uCEA2\uCEA6", 5, "\uCEAE", 12], ["b061", "\uCEBB", 5, "\uCEC2", 19], ["b081", "\uCED6", 13, "\uCEE6\uCEE7\uCEE9\uCEEA\uCEED", 6, "\uCEF6\uCEFA", 5, "\uAC00\uAC01\uAC04\uAC07\uAC08\uAC09\uAC0A\uAC10", 7, "\uAC19", 4, "\uAC20\uAC24\uAC2C\uAC2D\uAC2F\uAC30\uAC31\uAC38\uAC39\uAC3C\uAC40\uAC4B\uAC4D\uAC54\uAC58\uAC5C\uAC70\uAC71\uAC74\uAC77\uAC78\uAC7A\uAC80\uAC81\uAC83\uAC84\uAC85\uAC86\uAC89\uAC8A\uAC8B\uAC8C\uAC90\uAC94\uAC9C\uAC9D\uAC9F\uACA0\uACA1\uACA8\uACA9\uACAA\uACAC\uACAF\uACB0\uACB8\uACB9\uACBB\uACBC\uACBD\uACC1\uACC4\uACC8\uACCC\uACD5\uACD7\uACE0\uACE1\uACE4\uACE7\uACE8\uACEA\uACEC\uACEF\uACF0\uACF1\uACF3\uACF5\uACF6\uACFC\uACFD\uAD00\uAD04\uAD06"], ["b141", "\uCF02\uCF03\uCF05\uCF06\uCF07\uCF09", 6, "\uCF12\uCF14\uCF16", 5, "\uCF1D\uCF1E\uCF1F\uCF21\uCF22\uCF23"], ["b161", "\uCF25", 6, "\uCF2E\uCF32", 5, "\uCF39", 11], ["b181", "\uCF45", 14, "\uCF56\uCF57\uCF59\uCF5A\uCF5B\uCF5D", 6, "\uCF66\uCF68\uCF6A\uCF6B\uCF6C\uAD0C\uAD0D\uAD0F\uAD11\uAD18\uAD1C\uAD20\uAD29\uAD2C\uAD2D\uAD34\uAD35\uAD38\uAD3C\uAD44\uAD45\uAD47\uAD49\uAD50\uAD54\uAD58\uAD61\uAD63\uAD6C\uAD6D\uAD70\uAD73\uAD74\uAD75\uAD76\uAD7B\uAD7C\uAD7D\uAD7F\uAD81\uAD82\uAD88\uAD89\uAD8C\uAD90\uAD9C\uAD9D\uADA4\uADB7\uADC0\uADC1\uADC4\uADC8\uADD0\uADD1\uADD3\uADDC\uADE0\uADE4\uADF8\uADF9\uADFC\uADFF\uAE00\uAE01\uAE08\uAE09\uAE0B\uAE0D\uAE14\uAE30\uAE31\uAE34\uAE37\uAE38\uAE3A\uAE40\uAE41\uAE43\uAE45\uAE46\uAE4A\uAE4C\uAE4D\uAE4E\uAE50\uAE54\uAE56\uAE5C\uAE5D\uAE5F\uAE60\uAE61\uAE65\uAE68\uAE69\uAE6C\uAE70\uAE78"], ["b241", "\uCF6D\uCF6E\uCF6F\uCF72\uCF73\uCF75\uCF76\uCF77\uCF79", 6, "\uCF81\uCF82\uCF83\uCF84\uCF86", 5, "\uCF8D"], ["b261", "\uCF8E", 18, "\uCFA2", 5, "\uCFA9"], ["b281", "\uCFAA", 5, "\uCFB1", 18, "\uCFC5", 6, "\uAE79\uAE7B\uAE7C\uAE7D\uAE84\uAE85\uAE8C\uAEBC\uAEBD\uAEBE\uAEC0\uAEC4\uAECC\uAECD\uAECF\uAED0\uAED1\uAED8\uAED9\uAEDC\uAEE8\uAEEB\uAEED\uAEF4\uAEF8\uAEFC\uAF07\uAF08\uAF0D\uAF10\uAF2C\uAF2D\uAF30\uAF32\uAF34\uAF3C\uAF3D\uAF3F\uAF41\uAF42\uAF43\uAF48\uAF49\uAF50\uAF5C\uAF5D\uAF64\uAF65\uAF79\uAF80\uAF84\uAF88\uAF90\uAF91\uAF95\uAF9C\uAFB8\uAFB9\uAFBC\uAFC0\uAFC7\uAFC8\uAFC9\uAFCB\uAFCD\uAFCE\uAFD4\uAFDC\uAFE8\uAFE9\uAFF0\uAFF1\uAFF4\uAFF8\uB000\uB001\uB004\uB00C\uB010\uB014\uB01C\uB01D\uB028\uB044\uB045\uB048\uB04A\uB04C\uB04E\uB053\uB054\uB055\uB057\uB059"], ["b341", "\uCFCC", 19, "\uCFE2\uCFE3\uCFE5\uCFE6\uCFE7\uCFE9"], ["b361", "\uCFEA", 5, "\uCFF2\uCFF4\uCFF6", 5, "\uCFFD\uCFFE\uCFFF\uD001\uD002\uD003\uD005", 5], ["b381", "\uD00B", 5, "\uD012", 5, "\uD019", 19, "\uB05D\uB07C\uB07D\uB080\uB084\uB08C\uB08D\uB08F\uB091\uB098\uB099\uB09A\uB09C\uB09F\uB0A0\uB0A1\uB0A2\uB0A8\uB0A9\uB0AB", 4, "\uB0B1\uB0B3\uB0B4\uB0B5\uB0B8\uB0BC\uB0C4\uB0C5\uB0C7\uB0C8\uB0C9\uB0D0\uB0D1\uB0D4\uB0D8\uB0E0\uB0E5\uB108\uB109\uB10B\uB10C\uB110\uB112\uB113\uB118\uB119\uB11B\uB11C\uB11D\uB123\uB124\uB125\uB128\uB12C\uB134\uB135\uB137\uB138\uB139\uB140\uB141\uB144\uB148\uB150\uB151\uB154\uB155\uB158\uB15C\uB160\uB178\uB179\uB17C\uB180\uB182\uB188\uB189\uB18B\uB18D\uB192\uB193\uB194\uB198\uB19C\uB1A8\uB1CC\uB1D0\uB1D4\uB1DC\uB1DD"], ["b441", "\uD02E", 5, "\uD036\uD037\uD039\uD03A\uD03B\uD03D", 6, "\uD046\uD048\uD04A", 5], ["b461", "\uD051\uD052\uD053\uD055\uD056\uD057\uD059", 6, "\uD061", 10, "\uD06E\uD06F"], ["b481", "\uD071\uD072\uD073\uD075", 6, "\uD07E\uD07F\uD080\uD082", 18, "\uB1DF\uB1E8\uB1E9\uB1EC\uB1F0\uB1F9\uB1FB\uB1FD\uB204\uB205\uB208\uB20B\uB20C\uB214\uB215\uB217\uB219\uB220\uB234\uB23C\uB258\uB25C\uB260\uB268\uB269\uB274\uB275\uB27C\uB284\uB285\uB289\uB290\uB291\uB294\uB298\uB299\uB29A\uB2A0\uB2A1\uB2A3\uB2A5\uB2A6\uB2AA\uB2AC\uB2B0\uB2B4\uB2C8\uB2C9\uB2CC\uB2D0\uB2D2\uB2D8\uB2D9\uB2DB\uB2DD\uB2E2\uB2E4\uB2E5\uB2E6\uB2E8\uB2EB", 4, "\uB2F3\uB2F4\uB2F5\uB2F7", 4, "\uB2FF\uB300\uB301\uB304\uB308\uB310\uB311\uB313\uB314\uB315\uB31C\uB354\uB355\uB356\uB358\uB35B\uB35C\uB35E\uB35F\uB364\uB365"], ["b541", "\uD095", 14, "\uD0A6\uD0A7\uD0A9\uD0AA\uD0AB\uD0AD", 5], ["b561", "\uD0B3\uD0B6\uD0B8\uD0BA", 5, "\uD0C2\uD0C3\uD0C5\uD0C6\uD0C7\uD0CA", 5, "\uD0D2\uD0D6", 4], ["b581", "\uD0DB\uD0DE\uD0DF\uD0E1\uD0E2\uD0E3\uD0E5", 6, "\uD0EE\uD0F2", 5, "\uD0F9", 11, "\uB367\uB369\uB36B\uB36E\uB370\uB371\uB374\uB378\uB380\uB381\uB383\uB384\uB385\uB38C\uB390\uB394\uB3A0\uB3A1\uB3A8\uB3AC\uB3C4\uB3C5\uB3C8\uB3CB\uB3CC\uB3CE\uB3D0\uB3D4\uB3D5\uB3D7\uB3D9\uB3DB\uB3DD\uB3E0\uB3E4\uB3E8\uB3FC\uB410\uB418\uB41C\uB420\uB428\uB429\uB42B\uB434\uB450\uB451\uB454\uB458\uB460\uB461\uB463\uB465\uB46C\uB480\uB488\uB49D\uB4A4\uB4A8\uB4AC\uB4B5\uB4B7\uB4B9\uB4C0\uB4C4\uB4C8\uB4D0\uB4D5\uB4DC\uB4DD\uB4E0\uB4E3\uB4E4\uB4E6\uB4EC\uB4ED\uB4EF\uB4F1\uB4F8\uB514\uB515\uB518\uB51B\uB51C\uB524\uB525\uB527\uB528\uB529\uB52A\uB530\uB531\uB534\uB538"], ["b641", "\uD105", 7, "\uD10E", 17], ["b661", "\uD120", 15, "\uD132\uD133\uD135\uD136\uD137\uD139\uD13B\uD13C\uD13D\uD13E"], ["b681", "\uD13F\uD142\uD146", 5, "\uD14E\uD14F\uD151\uD152\uD153\uD155", 6, "\uD15E\uD160\uD162", 5, "\uD169\uD16A\uD16B\uD16D\uB540\uB541\uB543\uB544\uB545\uB54B\uB54C\uB54D\uB550\uB554\uB55C\uB55D\uB55F\uB560\uB561\uB5A0\uB5A1\uB5A4\uB5A8\uB5AA\uB5AB\uB5B0\uB5B1\uB5B3\uB5B4\uB5B5\uB5BB\uB5BC\uB5BD\uB5C0\uB5C4\uB5CC\uB5CD\uB5CF\uB5D0\uB5D1\uB5D8\uB5EC\uB610\uB611\uB614\uB618\uB625\uB62C\uB634\uB648\uB664\uB668\uB69C\uB69D\uB6A0\uB6A4\uB6AB\uB6AC\uB6B1\uB6D4\uB6F0\uB6F4\uB6F8\uB700\uB701\uB705\uB728\uB729\uB72C\uB72F\uB730\uB738\uB739\uB73B\uB744\uB748\uB74C\uB754\uB755\uB760\uB764\uB768\uB770\uB771\uB773\uB775\uB77C\uB77D\uB780\uB784\uB78C\uB78D\uB78F\uB790\uB791\uB792\uB796\uB797"], ["b741", "\uD16E", 13, "\uD17D", 6, "\uD185\uD186\uD187\uD189\uD18A"], ["b761", "\uD18B", 20, "\uD1A2\uD1A3\uD1A5\uD1A6\uD1A7"], ["b781", "\uD1A9", 6, "\uD1B2\uD1B4\uD1B6\uD1B7\uD1B8\uD1B9\uD1BB\uD1BD\uD1BE\uD1BF\uD1C1", 14, "\uB798\uB799\uB79C\uB7A0\uB7A8\uB7A9\uB7AB\uB7AC\uB7AD\uB7B4\uB7B5\uB7B8\uB7C7\uB7C9\uB7EC\uB7ED\uB7F0\uB7F4\uB7FC\uB7FD\uB7FF\uB800\uB801\uB807\uB808\uB809\uB80C\uB810\uB818\uB819\uB81B\uB81D\uB824\uB825\uB828\uB82C\uB834\uB835\uB837\uB838\uB839\uB840\uB844\uB851\uB853\uB85C\uB85D\uB860\uB864\uB86C\uB86D\uB86F\uB871\uB878\uB87C\uB88D\uB8A8\uB8B0\uB8B4\uB8B8\uB8C0\uB8C1\uB8C3\uB8C5\uB8CC\uB8D0\uB8D4\uB8DD\uB8DF\uB8E1\uB8E8\uB8E9\uB8EC\uB8F0\uB8F8\uB8F9\uB8FB\uB8FD\uB904\uB918\uB920\uB93C\uB93D\uB940\uB944\uB94C\uB94F\uB951\uB958\uB959\uB95C\uB960\uB968\uB969"], ["b841", "\uD1D0", 7, "\uD1D9", 17], ["b861", "\uD1EB", 8, "\uD1F5\uD1F6\uD1F7\uD1F9", 13], ["b881", "\uD208\uD20A", 5, "\uD211", 24, "\uB96B\uB96D\uB974\uB975\uB978\uB97C\uB984\uB985\uB987\uB989\uB98A\uB98D\uB98E\uB9AC\uB9AD\uB9B0\uB9B4\uB9BC\uB9BD\uB9BF\uB9C1\uB9C8\uB9C9\uB9CC\uB9CE", 4, "\uB9D8\uB9D9\uB9DB\uB9DD\uB9DE\uB9E1\uB9E3\uB9E4\uB9E5\uB9E8\uB9EC\uB9F4\uB9F5\uB9F7\uB9F8\uB9F9\uB9FA\uBA00\uBA01\uBA08\uBA15\uBA38\uBA39\uBA3C\uBA40\uBA42\uBA48\uBA49\uBA4B\uBA4D\uBA4E\uBA53\uBA54\uBA55\uBA58\uBA5C\uBA64\uBA65\uBA67\uBA68\uBA69\uBA70\uBA71\uBA74\uBA78\uBA83\uBA84\uBA85\uBA87\uBA8C\uBAA8\uBAA9\uBAAB\uBAAC\uBAB0\uBAB2\uBAB8\uBAB9\uBABB\uBABD\uBAC4\uBAC8\uBAD8\uBAD9\uBAFC"], ["b941", "\uD22A\uD22B\uD22E\uD22F\uD231\uD232\uD233\uD235", 6, "\uD23E\uD240\uD242", 5, "\uD249\uD24A\uD24B\uD24C"], ["b961", "\uD24D", 14, "\uD25D", 6, "\uD265\uD266\uD267\uD268"], ["b981", "\uD269", 22, "\uD282\uD283\uD285\uD286\uD287\uD289\uD28A\uD28B\uD28C\uBB00\uBB04\uBB0D\uBB0F\uBB11\uBB18\uBB1C\uBB20\uBB29\uBB2B\uBB34\uBB35\uBB36\uBB38\uBB3B\uBB3C\uBB3D\uBB3E\uBB44\uBB45\uBB47\uBB49\uBB4D\uBB4F\uBB50\uBB54\uBB58\uBB61\uBB63\uBB6C\uBB88\uBB8C\uBB90\uBBA4\uBBA8\uBBAC\uBBB4\uBBB7\uBBC0\uBBC4\uBBC8\uBBD0\uBBD3\uBBF8\uBBF9\uBBFC\uBBFF\uBC00\uBC02\uBC08\uBC09\uBC0B\uBC0C\uBC0D\uBC0F\uBC11\uBC14", 4, "\uBC1B", 4, "\uBC24\uBC25\uBC27\uBC29\uBC2D\uBC30\uBC31\uBC34\uBC38\uBC40\uBC41\uBC43\uBC44\uBC45\uBC49\uBC4C\uBC4D\uBC50\uBC5D\uBC84\uBC85\uBC88\uBC8B\uBC8C\uBC8E\uBC94\uBC95\uBC97"], ["ba41", "\uD28D\uD28E\uD28F\uD292\uD293\uD294\uD296", 5, "\uD29D\uD29E\uD29F\uD2A1\uD2A2\uD2A3\uD2A5", 6, "\uD2AD"], ["ba61", "\uD2AE\uD2AF\uD2B0\uD2B2", 5, "\uD2BA\uD2BB\uD2BD\uD2BE\uD2C1\uD2C3", 4, "\uD2CA\uD2CC", 5], ["ba81", "\uD2D2\uD2D3\uD2D5\uD2D6\uD2D7\uD2D9\uD2DA\uD2DB\uD2DD", 6, "\uD2E6", 9, "\uD2F2\uD2F3\uD2F5\uD2F6\uD2F7\uD2F9\uD2FA\uBC99\uBC9A\uBCA0\uBCA1\uBCA4\uBCA7\uBCA8\uBCB0\uBCB1\uBCB3\uBCB4\uBCB5\uBCBC\uBCBD\uBCC0\uBCC4\uBCCD\uBCCF\uBCD0\uBCD1\uBCD5\uBCD8\uBCDC\uBCF4\uBCF5\uBCF6\uBCF8\uBCFC\uBD04\uBD05\uBD07\uBD09\uBD10\uBD14\uBD24\uBD2C\uBD40\uBD48\uBD49\uBD4C\uBD50\uBD58\uBD59\uBD64\uBD68\uBD80\uBD81\uBD84\uBD87\uBD88\uBD89\uBD8A\uBD90\uBD91\uBD93\uBD95\uBD99\uBD9A\uBD9C\uBDA4\uBDB0\uBDB8\uBDD4\uBDD5\uBDD8\uBDDC\uBDE9\uBDF0\uBDF4\uBDF8\uBE00\uBE03\uBE05\uBE0C\uBE0D\uBE10\uBE14\uBE1C\uBE1D\uBE1F\uBE44\uBE45\uBE48\uBE4C\uBE4E\uBE54\uBE55\uBE57\uBE59\uBE5A\uBE5B\uBE60\uBE61\uBE64"], ["bb41", "\uD2FB", 4, "\uD302\uD304\uD306", 5, "\uD30F\uD311\uD312\uD313\uD315\uD317", 4, "\uD31E\uD322\uD323"], ["bb61", "\uD324\uD326\uD327\uD32A\uD32B\uD32D\uD32E\uD32F\uD331", 6, "\uD33A\uD33E", 5, "\uD346\uD347\uD348\uD349"], ["bb81", "\uD34A", 31, "\uBE68\uBE6A\uBE70\uBE71\uBE73\uBE74\uBE75\uBE7B\uBE7C\uBE7D\uBE80\uBE84\uBE8C\uBE8D\uBE8F\uBE90\uBE91\uBE98\uBE99\uBEA8\uBED0\uBED1\uBED4\uBED7\uBED8\uBEE0\uBEE3\uBEE4\uBEE5\uBEEC\uBF01\uBF08\uBF09\uBF18\uBF19\uBF1B\uBF1C\uBF1D\uBF40\uBF41\uBF44\uBF48\uBF50\uBF51\uBF55\uBF94\uBFB0\uBFC5\uBFCC\uBFCD\uBFD0\uBFD4\uBFDC\uBFDF\uBFE1\uC03C\uC051\uC058\uC05C\uC060\uC068\uC069\uC090\uC091\uC094\uC098\uC0A0\uC0A1\uC0A3\uC0A5\uC0AC\uC0AD\uC0AF\uC0B0\uC0B3\uC0B4\uC0B5\uC0B6\uC0BC\uC0BD\uC0BF\uC0C0\uC0C1\uC0C5\uC0C8\uC0C9\uC0CC\uC0D0\uC0D8\uC0D9\uC0DB\uC0DC\uC0DD\uC0E4"], ["bc41", "\uD36A", 17, "\uD37E\uD37F\uD381\uD382\uD383\uD385\uD386\uD387"], ["bc61", "\uD388\uD389\uD38A\uD38B\uD38E\uD392", 5, "\uD39A\uD39B\uD39D\uD39E\uD39F\uD3A1", 6, "\uD3AA\uD3AC\uD3AE"], ["bc81", "\uD3AF", 4, "\uD3B5\uD3B6\uD3B7\uD3B9\uD3BA\uD3BB\uD3BD", 6, "\uD3C6\uD3C7\uD3CA", 5, "\uD3D1", 5, "\uC0E5\uC0E8\uC0EC\uC0F4\uC0F5\uC0F7\uC0F9\uC100\uC104\uC108\uC110\uC115\uC11C", 4, "\uC123\uC124\uC126\uC127\uC12C\uC12D\uC12F\uC130\uC131\uC136\uC138\uC139\uC13C\uC140\uC148\uC149\uC14B\uC14C\uC14D\uC154\uC155\uC158\uC15C\uC164\uC165\uC167\uC168\uC169\uC170\uC174\uC178\uC185\uC18C\uC18D\uC18E\uC190\uC194\uC196\uC19C\uC19D\uC19F\uC1A1\uC1A5\uC1A8\uC1A9\uC1AC\uC1B0\uC1BD\uC1C4\uC1C8\uC1CC\uC1D4\uC1D7\uC1D8\uC1E0\uC1E4\uC1E8\uC1F0\uC1F1\uC1F3\uC1FC\uC1FD\uC200\uC204\uC20C\uC20D\uC20F\uC211\uC218\uC219\uC21C\uC21F\uC220\uC228\uC229\uC22B\uC22D"], ["bd41", "\uD3D7\uD3D9", 7, "\uD3E2\uD3E4", 7, "\uD3EE\uD3EF\uD3F1\uD3F2\uD3F3\uD3F5\uD3F6\uD3F7"], ["bd61", "\uD3F8\uD3F9\uD3FA\uD3FB\uD3FE\uD400\uD402", 5, "\uD409", 13], ["bd81", "\uD417", 5, "\uD41E", 25, "\uC22F\uC231\uC232\uC234\uC248\uC250\uC251\uC254\uC258\uC260\uC265\uC26C\uC26D\uC270\uC274\uC27C\uC27D\uC27F\uC281\uC288\uC289\uC290\uC298\uC29B\uC29D\uC2A4\uC2A5\uC2A8\uC2AC\uC2AD\uC2B4\uC2B5\uC2B7\uC2B9\uC2DC\uC2DD\uC2E0\uC2E3\uC2E4\uC2EB\uC2EC\uC2ED\uC2EF\uC2F1\uC2F6\uC2F8\uC2F9\uC2FB\uC2FC\uC300\uC308\uC309\uC30C\uC30D\uC313\uC314\uC315\uC318\uC31C\uC324\uC325\uC328\uC329\uC345\uC368\uC369\uC36C\uC370\uC372\uC378\uC379\uC37C\uC37D\uC384\uC388\uC38C\uC3C0\uC3D8\uC3D9\uC3DC\uC3DF\uC3E0\uC3E2\uC3E8\uC3E9\uC3ED\uC3F4\uC3F5\uC3F8\uC408\uC410\uC424\uC42C\uC430"], ["be41", "\uD438", 7, "\uD441\uD442\uD443\uD445", 14], ["be61", "\uD454", 7, "\uD45D\uD45E\uD45F\uD461\uD462\uD463\uD465", 7, "\uD46E\uD470\uD471\uD472"], ["be81", "\uD473", 4, "\uD47A\uD47B\uD47D\uD47E\uD481\uD483", 4, "\uD48A\uD48C\uD48E", 5, "\uD495", 8, "\uC434\uC43C\uC43D\uC448\uC464\uC465\uC468\uC46C\uC474\uC475\uC479\uC480\uC494\uC49C\uC4B8\uC4BC\uC4E9\uC4F0\uC4F1\uC4F4\uC4F8\uC4FA\uC4FF\uC500\uC501\uC50C\uC510\uC514\uC51C\uC528\uC529\uC52C\uC530\uC538\uC539\uC53B\uC53D\uC544\uC545\uC548\uC549\uC54A\uC54C\uC54D\uC54E\uC553\uC554\uC555\uC557\uC558\uC559\uC55D\uC55E\uC560\uC561\uC564\uC568\uC570\uC571\uC573\uC574\uC575\uC57C\uC57D\uC580\uC584\uC587\uC58C\uC58D\uC58F\uC591\uC595\uC597\uC598\uC59C\uC5A0\uC5A9\uC5B4\uC5B5\uC5B8\uC5B9\uC5BB\uC5BC\uC5BD\uC5BE\uC5C4", 6, "\uC5CC\uC5CE"], ["bf41", "\uD49E", 10, "\uD4AA", 14], ["bf61", "\uD4B9", 18, "\uD4CD\uD4CE\uD4CF\uD4D1\uD4D2\uD4D3\uD4D5"], ["bf81", "\uD4D6", 5, "\uD4DD\uD4DE\uD4E0", 7, "\uD4E9\uD4EA\uD4EB\uD4ED\uD4EE\uD4EF\uD4F1", 6, "\uD4F9\uD4FA\uD4FC\uC5D0\uC5D1\uC5D4\uC5D8\uC5E0\uC5E1\uC5E3\uC5E5\uC5EC\uC5ED\uC5EE\uC5F0\uC5F4\uC5F6\uC5F7\uC5FC", 5, "\uC605\uC606\uC607\uC608\uC60C\uC610\uC618\uC619\uC61B\uC61C\uC624\uC625\uC628\uC62C\uC62D\uC62E\uC630\uC633\uC634\uC635\uC637\uC639\uC63B\uC640\uC641\uC644\uC648\uC650\uC651\uC653\uC654\uC655\uC65C\uC65D\uC660\uC66C\uC66F\uC671\uC678\uC679\uC67C\uC680\uC688\uC689\uC68B\uC68D\uC694\uC695\uC698\uC69C\uC6A4\uC6A5\uC6A7\uC6A9\uC6B0\uC6B1\uC6B4\uC6B8\uC6B9\uC6BA\uC6C0\uC6C1\uC6C3\uC6C5\uC6CC\uC6CD\uC6D0\uC6D4\uC6DC\uC6DD\uC6E0\uC6E1\uC6E8"], ["c041", "\uD4FE", 5, "\uD505\uD506\uD507\uD509\uD50A\uD50B\uD50D", 6, "\uD516\uD518", 5], ["c061", "\uD51E", 25], ["c081", "\uD538\uD539\uD53A\uD53B\uD53E\uD53F\uD541\uD542\uD543\uD545", 6, "\uD54E\uD550\uD552", 5, "\uD55A\uD55B\uD55D\uD55E\uD55F\uD561\uD562\uD563\uC6E9\uC6EC\uC6F0\uC6F8\uC6F9\uC6FD\uC704\uC705\uC708\uC70C\uC714\uC715\uC717\uC719\uC720\uC721\uC724\uC728\uC730\uC731\uC733\uC735\uC737\uC73C\uC73D\uC740\uC744\uC74A\uC74C\uC74D\uC74F\uC751", 7, "\uC75C\uC760\uC768\uC76B\uC774\uC775\uC778\uC77C\uC77D\uC77E\uC783\uC784\uC785\uC787\uC788\uC789\uC78A\uC78E\uC790\uC791\uC794\uC796\uC797\uC798\uC79A\uC7A0\uC7A1\uC7A3\uC7A4\uC7A5\uC7A6\uC7AC\uC7AD\uC7B0\uC7B4\uC7BC\uC7BD\uC7BF\uC7C0\uC7C1\uC7C8\uC7C9\uC7CC\uC7CE\uC7D0\uC7D8\uC7DD\uC7E4\uC7E8\uC7EC\uC800\uC801\uC804\uC808\uC80A"], ["c141", "\uD564\uD566\uD567\uD56A\uD56C\uD56E", 5, "\uD576\uD577\uD579\uD57A\uD57B\uD57D", 6, "\uD586\uD58A\uD58B"], ["c161", "\uD58C\uD58D\uD58E\uD58F\uD591", 19, "\uD5A6\uD5A7"], ["c181", "\uD5A8", 31, "\uC810\uC811\uC813\uC815\uC816\uC81C\uC81D\uC820\uC824\uC82C\uC82D\uC82F\uC831\uC838\uC83C\uC840\uC848\uC849\uC84C\uC84D\uC854\uC870\uC871\uC874\uC878\uC87A\uC880\uC881\uC883\uC885\uC886\uC887\uC88B\uC88C\uC88D\uC894\uC89D\uC89F\uC8A1\uC8A8\uC8BC\uC8BD\uC8C4\uC8C8\uC8CC\uC8D4\uC8D5\uC8D7\uC8D9\uC8E0\uC8E1\uC8E4\uC8F5\uC8FC\uC8FD\uC900\uC904\uC905\uC906\uC90C\uC90D\uC90F\uC911\uC918\uC92C\uC934\uC950\uC951\uC954\uC958\uC960\uC961\uC963\uC96C\uC970\uC974\uC97C\uC988\uC989\uC98C\uC990\uC998\uC999\uC99B\uC99D\uC9C0\uC9C1\uC9C4\uC9C7\uC9C8\uC9CA\uC9D0\uC9D1\uC9D3"], ["c241", "\uD5CA\uD5CB\uD5CD\uD5CE\uD5CF\uD5D1\uD5D3", 4, "\uD5DA\uD5DC\uD5DE", 5, "\uD5E6\uD5E7\uD5E9\uD5EA\uD5EB\uD5ED\uD5EE"], ["c261", "\uD5EF", 4, "\uD5F6\uD5F8\uD5FA", 5, "\uD602\uD603\uD605\uD606\uD607\uD609", 6, "\uD612"], ["c281", "\uD616", 5, "\uD61D\uD61E\uD61F\uD621\uD622\uD623\uD625", 7, "\uD62E", 9, "\uD63A\uD63B\uC9D5\uC9D6\uC9D9\uC9DA\uC9DC\uC9DD\uC9E0\uC9E2\uC9E4\uC9E7\uC9EC\uC9ED\uC9EF\uC9F0\uC9F1\uC9F8\uC9F9\uC9FC\uCA00\uCA08\uCA09\uCA0B\uCA0C\uCA0D\uCA14\uCA18\uCA29\uCA4C\uCA4D\uCA50\uCA54\uCA5C\uCA5D\uCA5F\uCA60\uCA61\uCA68\uCA7D\uCA84\uCA98\uCABC\uCABD\uCAC0\uCAC4\uCACC\uCACD\uCACF\uCAD1\uCAD3\uCAD8\uCAD9\uCAE0\uCAEC\uCAF4\uCB08\uCB10\uCB14\uCB18\uCB20\uCB21\uCB41\uCB48\uCB49\uCB4C\uCB50\uCB58\uCB59\uCB5D\uCB64\uCB78\uCB79\uCB9C\uCBB8\uCBD4\uCBE4\uCBE7\uCBE9\uCC0C\uCC0D\uCC10\uCC14\uCC1C\uCC1D\uCC21\uCC22\uCC27\uCC28\uCC29\uCC2C\uCC2E\uCC30\uCC38\uCC39\uCC3B"], ["c341", "\uD63D\uD63E\uD63F\uD641\uD642\uD643\uD644\uD646\uD647\uD64A\uD64C\uD64E\uD64F\uD650\uD652\uD653\uD656\uD657\uD659\uD65A\uD65B\uD65D", 4], ["c361", "\uD662", 4, "\uD668\uD66A", 5, "\uD672\uD673\uD675", 11], ["c381", "\uD681\uD682\uD684\uD686", 5, "\uD68E\uD68F\uD691\uD692\uD693\uD695", 7, "\uD69E\uD6A0\uD6A2", 5, "\uD6A9\uD6AA\uCC3C\uCC3D\uCC3E\uCC44\uCC45\uCC48\uCC4C\uCC54\uCC55\uCC57\uCC58\uCC59\uCC60\uCC64\uCC66\uCC68\uCC70\uCC75\uCC98\uCC99\uCC9C\uCCA0\uCCA8\uCCA9\uCCAB\uCCAC\uCCAD\uCCB4\uCCB5\uCCB8\uCCBC\uCCC4\uCCC5\uCCC7\uCCC9\uCCD0\uCCD4\uCCE4\uCCEC\uCCF0\uCD01\uCD08\uCD09\uCD0C\uCD10\uCD18\uCD19\uCD1B\uCD1D\uCD24\uCD28\uCD2C\uCD39\uCD5C\uCD60\uCD64\uCD6C\uCD6D\uCD6F\uCD71\uCD78\uCD88\uCD94\uCD95\uCD98\uCD9C\uCDA4\uCDA5\uCDA7\uCDA9\uCDB0\uCDC4\uCDCC\uCDD0\uCDE8\uCDEC\uCDF0\uCDF8\uCDF9\uCDFB\uCDFD\uCE04\uCE08\uCE0C\uCE14\uCE19\uCE20\uCE21\uCE24\uCE28\uCE30\uCE31\uCE33\uCE35"], ["c441", "\uD6AB\uD6AD\uD6AE\uD6AF\uD6B1", 7, "\uD6BA\uD6BC", 7, "\uD6C6\uD6C7\uD6C9\uD6CA\uD6CB"], ["c461", "\uD6CD\uD6CE\uD6CF\uD6D0\uD6D2\uD6D3\uD6D5\uD6D6\uD6D8\uD6DA", 5, "\uD6E1\uD6E2\uD6E3\uD6E5\uD6E6\uD6E7\uD6E9", 4], ["c481", "\uD6EE\uD6EF\uD6F1\uD6F2\uD6F3\uD6F4\uD6F6", 5, "\uD6FE\uD6FF\uD701\uD702\uD703\uD705", 11, "\uD712\uD713\uD714\uCE58\uCE59\uCE5C\uCE5F\uCE60\uCE61\uCE68\uCE69\uCE6B\uCE6D\uCE74\uCE75\uCE78\uCE7C\uCE84\uCE85\uCE87\uCE89\uCE90\uCE91\uCE94\uCE98\uCEA0\uCEA1\uCEA3\uCEA4\uCEA5\uCEAC\uCEAD\uCEC1\uCEE4\uCEE5\uCEE8\uCEEB\uCEEC\uCEF4\uCEF5\uCEF7\uCEF8\uCEF9\uCF00\uCF01\uCF04\uCF08\uCF10\uCF11\uCF13\uCF15\uCF1C\uCF20\uCF24\uCF2C\uCF2D\uCF2F\uCF30\uCF31\uCF38\uCF54\uCF55\uCF58\uCF5C\uCF64\uCF65\uCF67\uCF69\uCF70\uCF71\uCF74\uCF78\uCF80\uCF85\uCF8C\uCFA1\uCFA8\uCFB0\uCFC4\uCFE0\uCFE1\uCFE4\uCFE8\uCFF0\uCFF1\uCFF3\uCFF5\uCFFC\uD000\uD004\uD011\uD018\uD02D\uD034\uD035\uD038\uD03C"], ["c541", "\uD715\uD716\uD717\uD71A\uD71B\uD71D\uD71E\uD71F\uD721", 6, "\uD72A\uD72C\uD72E", 5, "\uD736\uD737\uD739"], ["c561", "\uD73A\uD73B\uD73D", 6, "\uD745\uD746\uD748\uD74A", 5, "\uD752\uD753\uD755\uD75A", 4], ["c581", "\uD75F\uD762\uD764\uD766\uD767\uD768\uD76A\uD76B\uD76D\uD76E\uD76F\uD771\uD772\uD773\uD775", 6, "\uD77E\uD77F\uD780\uD782", 5, "\uD78A\uD78B\uD044\uD045\uD047\uD049\uD050\uD054\uD058\uD060\uD06C\uD06D\uD070\uD074\uD07C\uD07D\uD081\uD0A4\uD0A5\uD0A8\uD0AC\uD0B4\uD0B5\uD0B7\uD0B9\uD0C0\uD0C1\uD0C4\uD0C8\uD0C9\uD0D0\uD0D1\uD0D3\uD0D4\uD0D5\uD0DC\uD0DD\uD0E0\uD0E4\uD0EC\uD0ED\uD0EF\uD0F0\uD0F1\uD0F8\uD10D\uD130\uD131\uD134\uD138\uD13A\uD140\uD141\uD143\uD144\uD145\uD14C\uD14D\uD150\uD154\uD15C\uD15D\uD15F\uD161\uD168\uD16C\uD17C\uD184\uD188\uD1A0\uD1A1\uD1A4\uD1A8\uD1B0\uD1B1\uD1B3\uD1B5\uD1BA\uD1BC\uD1C0\uD1D8\uD1F4\uD1F8\uD207\uD209\uD210\uD22C\uD22D\uD230\uD234\uD23C\uD23D\uD23F\uD241\uD248\uD25C"], ["c641", "\uD78D\uD78E\uD78F\uD791", 6, "\uD79A\uD79C\uD79E", 5], ["c6a1", "\uD264\uD280\uD281\uD284\uD288\uD290\uD291\uD295\uD29C\uD2A0\uD2A4\uD2AC\uD2B1\uD2B8\uD2B9\uD2BC\uD2BF\uD2C0\uD2C2\uD2C8\uD2C9\uD2CB\uD2D4\uD2D8\uD2DC\uD2E4\uD2E5\uD2F0\uD2F1\uD2F4\uD2F8\uD300\uD301\uD303\uD305\uD30C\uD30D\uD30E\uD310\uD314\uD316\uD31C\uD31D\uD31F\uD320\uD321\uD325\uD328\uD329\uD32C\uD330\uD338\uD339\uD33B\uD33C\uD33D\uD344\uD345\uD37C\uD37D\uD380\uD384\uD38C\uD38D\uD38F\uD390\uD391\uD398\uD399\uD39C\uD3A0\uD3A8\uD3A9\uD3AB\uD3AD\uD3B4\uD3B8\uD3BC\uD3C4\uD3C5\uD3C8\uD3C9\uD3D0\uD3D8\uD3E1\uD3E3\uD3EC\uD3ED\uD3F0\uD3F4\uD3FC\uD3FD\uD3FF\uD401"], ["c7a1", "\uD408\uD41D\uD440\uD444\uD45C\uD460\uD464\uD46D\uD46F\uD478\uD479\uD47C\uD47F\uD480\uD482\uD488\uD489\uD48B\uD48D\uD494\uD4A9\uD4CC\uD4D0\uD4D4\uD4DC\uD4DF\uD4E8\uD4EC\uD4F0\uD4F8\uD4FB\uD4FD\uD504\uD508\uD50C\uD514\uD515\uD517\uD53C\uD53D\uD540\uD544\uD54C\uD54D\uD54F\uD551\uD558\uD559\uD55C\uD560\uD565\uD568\uD569\uD56B\uD56D\uD574\uD575\uD578\uD57C\uD584\uD585\uD587\uD588\uD589\uD590\uD5A5\uD5C8\uD5C9\uD5CC\uD5D0\uD5D2\uD5D8\uD5D9\uD5DB\uD5DD\uD5E4\uD5E5\uD5E8\uD5EC\uD5F4\uD5F5\uD5F7\uD5F9\uD600\uD601\uD604\uD608\uD610\uD611\uD613\uD614\uD615\uD61C\uD620"], ["c8a1", "\uD624\uD62D\uD638\uD639\uD63C\uD640\uD645\uD648\uD649\uD64B\uD64D\uD651\uD654\uD655\uD658\uD65C\uD667\uD669\uD670\uD671\uD674\uD683\uD685\uD68C\uD68D\uD690\uD694\uD69D\uD69F\uD6A1\uD6A8\uD6AC\uD6B0\uD6B9\uD6BB\uD6C4\uD6C5\uD6C8\uD6CC\uD6D1\uD6D4\uD6D7\uD6D9\uD6E0\uD6E4\uD6E8\uD6F0\uD6F5\uD6FC\uD6FD\uD700\uD704\uD711\uD718\uD719\uD71C\uD720\uD728\uD729\uD72B\uD72D\uD734\uD735\uD738\uD73C\uD744\uD747\uD749\uD750\uD751\uD754\uD756\uD757\uD758\uD759\uD760\uD761\uD763\uD765\uD769\uD76C\uD770\uD774\uD77C\uD77D\uD781\uD788\uD789\uD78C\uD790\uD798\uD799\uD79B\uD79D"], ["caa1", "\u4F3D\u4F73\u5047\u50F9\u52A0\u53EF\u5475\u54E5\u5609\u5AC1\u5BB6\u6687\u67B6\u67B7\u67EF\u6B4C\u73C2\u75C2\u7A3C\u82DB\u8304\u8857\u8888\u8A36\u8CC8\u8DCF\u8EFB\u8FE6\u99D5\u523B\u5374\u5404\u606A\u6164\u6BBC\u73CF\u811A\u89BA\u89D2\u95A3\u4F83\u520A\u58BE\u5978\u59E6\u5E72\u5E79\u61C7\u63C0\u6746\u67EC\u687F\u6F97\u764E\u770B\u78F5\u7A08\u7AFF\u7C21\u809D\u826E\u8271\u8AEB\u9593\u4E6B\u559D\u66F7\u6E34\u78A3\u7AED\u845B\u8910\u874E\u97A8\u52D8\u574E\u582A\u5D4C\u611F\u61BE\u6221\u6562\u67D1\u6A44\u6E1B\u7518\u75B3\u76E3\u77B0\u7D3A\u90AF\u9451\u9452\u9F95"], ["cba1", "\u5323\u5CAC\u7532\u80DB\u9240\u9598\u525B\u5808\u59DC\u5CA1\u5D17\u5EB7\u5F3A\u5F4A\u6177\u6C5F\u757A\u7586\u7CE0\u7D73\u7DB1\u7F8C\u8154\u8221\u8591\u8941\u8B1B\u92FC\u964D\u9C47\u4ECB\u4EF7\u500B\u51F1\u584F\u6137\u613E\u6168\u6539\u69EA\u6F11\u75A5\u7686\u76D6\u7B87\u82A5\u84CB\uF900\u93A7\u958B\u5580\u5BA2\u5751\uF901\u7CB3\u7FB9\u91B5\u5028\u53BB\u5C45\u5DE8\u62D2\u636E\u64DA\u64E7\u6E20\u70AC\u795B\u8DDD\u8E1E\uF902\u907D\u9245\u92F8\u4E7E\u4EF6\u5065\u5DFE\u5EFA\u6106\u6957\u8171\u8654\u8E47\u9375\u9A2B\u4E5E\u5091\u6770\u6840\u5109\u528D\u5292\u6AA2"], ["cca1", "\u77BC\u9210\u9ED4\u52AB\u602F\u8FF2\u5048\u61A9\u63ED\u64CA\u683C\u6A84\u6FC0\u8188\u89A1\u9694\u5805\u727D\u72AC\u7504\u7D79\u7E6D\u80A9\u898B\u8B74\u9063\u9D51\u6289\u6C7A\u6F54\u7D50\u7F3A\u8A23\u517C\u614A\u7B9D\u8B19\u9257\u938C\u4EAC\u4FD3\u501E\u50BE\u5106\u52C1\u52CD\u537F\u5770\u5883\u5E9A\u5F91\u6176\u61AC\u64CE\u656C\u666F\u66BB\u66F4\u6897\u6D87\u7085\u70F1\u749F\u74A5\u74CA\u75D9\u786C\u78EC\u7ADF\u7AF6\u7D45\u7D93\u8015\u803F\u811B\u8396\u8B66\u8F15\u9015\u93E1\u9803\u9838\u9A5A\u9BE8\u4FC2\u5553\u583A\u5951\u5B63\u5C46\u60B8\u6212\u6842\u68B0"], ["cda1", "\u68E8\u6EAA\u754C\u7678\u78CE\u7A3D\u7CFB\u7E6B\u7E7C\u8A08\u8AA1\u8C3F\u968E\u9DC4\u53E4\u53E9\u544A\u5471\u56FA\u59D1\u5B64\u5C3B\u5EAB\u62F7\u6537\u6545\u6572\u66A0\u67AF\u69C1\u6CBD\u75FC\u7690\u777E\u7A3F\u7F94\u8003\u80A1\u818F\u82E6\u82FD\u83F0\u85C1\u8831\u88B4\u8AA5\uF903\u8F9C\u932E\u96C7\u9867\u9AD8\u9F13\u54ED\u659B\u66F2\u688F\u7A40\u8C37\u9D60\u56F0\u5764\u5D11\u6606\u68B1\u68CD\u6EFE\u7428\u889E\u9BE4\u6C68\uF904\u9AA8\u4F9B\u516C\u5171\u529F\u5B54\u5DE5\u6050\u606D\u62F1\u63A7\u653B\u73D9\u7A7A\u86A3\u8CA2\u978F\u4E32\u5BE1\u6208\u679C\u74DC"], ["cea1", "\u79D1\u83D3\u8A87\u8AB2\u8DE8\u904E\u934B\u9846\u5ED3\u69E8\u85FF\u90ED\uF905\u51A0\u5B98\u5BEC\u6163\u68FA\u6B3E\u704C\u742F\u74D8\u7BA1\u7F50\u83C5\u89C0\u8CAB\u95DC\u9928\u522E\u605D\u62EC\u9002\u4F8A\u5149\u5321\u58D9\u5EE3\u66E0\u6D38\u709A\u72C2\u73D6\u7B50\u80F1\u945B\u5366\u639B\u7F6B\u4E56\u5080\u584A\u58DE\u602A\u6127\u62D0\u69D0\u9B41\u5B8F\u7D18\u80B1\u8F5F\u4EA4\u50D1\u54AC\u55AC\u5B0C\u5DA0\u5DE7\u652A\u654E\u6821\u6A4B\u72E1\u768E\u77EF\u7D5E\u7FF9\u81A0\u854E\u86DF\u8F03\u8F4E\u90CA\u9903\u9A55\u9BAB\u4E18\u4E45\u4E5D\u4EC7\u4FF1\u5177\u52FE"], ["cfa1", "\u5340\u53E3\u53E5\u548E\u5614\u5775\u57A2\u5BC7\u5D87\u5ED0\u61FC\u62D8\u6551\u67B8\u67E9\u69CB\u6B50\u6BC6\u6BEC\u6C42\u6E9D\u7078\u72D7\u7396\u7403\u77BF\u77E9\u7A76\u7D7F\u8009\u81FC\u8205\u820A\u82DF\u8862\u8B33\u8CFC\u8EC0\u9011\u90B1\u9264\u92B6\u99D2\u9A45\u9CE9\u9DD7\u9F9C\u570B\u5C40\u83CA\u97A0\u97AB\u9EB4\u541B\u7A98\u7FA4\u88D9\u8ECD\u90E1\u5800\u5C48\u6398\u7A9F\u5BAE\u5F13\u7A79\u7AAE\u828E\u8EAC\u5026\u5238\u52F8\u5377\u5708\u62F3\u6372\u6B0A\u6DC3\u7737\u53A5\u7357\u8568\u8E76\u95D5\u673A\u6AC3\u6F70\u8A6D\u8ECC\u994B\uF906\u6677\u6B78\u8CB4"], ["d0a1", "\u9B3C\uF907\u53EB\u572D\u594E\u63C6\u69FB\u73EA\u7845\u7ABA\u7AC5\u7CFE\u8475\u898F\u8D73\u9035\u95A8\u52FB\u5747\u7547\u7B60\u83CC\u921E\uF908\u6A58\u514B\u524B\u5287\u621F\u68D8\u6975\u9699\u50C5\u52A4\u52E4\u61C3\u65A4\u6839\u69FF\u747E\u7B4B\u82B9\u83EB\u89B2\u8B39\u8FD1\u9949\uF909\u4ECA\u5997\u64D2\u6611\u6A8E\u7434\u7981\u79BD\u82A9\u887E\u887F\u895F\uF90A\u9326\u4F0B\u53CA\u6025\u6271\u6C72\u7D1A\u7D66\u4E98\u5162\u77DC\u80AF\u4F01\u4F0E\u5176\u5180\u55DC\u5668\u573B\u57FA\u57FC\u5914\u5947\u5993\u5BC4\u5C90\u5D0E\u5DF1\u5E7E\u5FCC\u6280\u65D7\u65E3"], ["d1a1", "\u671E\u671F\u675E\u68CB\u68C4\u6A5F\u6B3A\u6C23\u6C7D\u6C82\u6DC7\u7398\u7426\u742A\u7482\u74A3\u7578\u757F\u7881\u78EF\u7941\u7947\u7948\u797A\u7B95\u7D00\u7DBA\u7F88\u8006\u802D\u808C\u8A18\u8B4F\u8C48\u8D77\u9321\u9324\u98E2\u9951\u9A0E\u9A0F\u9A65\u9E92\u7DCA\u4F76\u5409\u62EE\u6854\u91D1\u55AB\u513A\uF90B\uF90C\u5A1C\u61E6\uF90D\u62CF\u62FF\uF90E", 5, "\u90A3\uF914", 4, "\u8AFE\uF919\uF91A\uF91B\uF91C\u6696\uF91D\u7156\uF91E\uF91F\u96E3\uF920\u634F\u637A\u5357\uF921\u678F\u6960\u6E73\uF922\u7537\uF923\uF924\uF925"], ["d2a1", "\u7D0D\uF926\uF927\u8872\u56CA\u5A18\uF928", 4, "\u4E43\uF92D\u5167\u5948\u67F0\u8010\uF92E\u5973\u5E74\u649A\u79CA\u5FF5\u606C\u62C8\u637B\u5BE7\u5BD7\u52AA\uF92F\u5974\u5F29\u6012\uF930\uF931\uF932\u7459\uF933", 5, "\u99D1\uF939", 10, "\u6FC3\uF944\uF945\u81BF\u8FB2\u60F1\uF946\uF947\u8166\uF948\uF949\u5C3F\uF94A", 7, "\u5AE9\u8A25\u677B\u7D10\uF952", 5, "\u80FD\uF958\uF959\u5C3C\u6CE5\u533F\u6EBA\u591A\u8336"], ["d3a1", "\u4E39\u4EB6\u4F46\u55AE\u5718\u58C7\u5F56\u65B7\u65E6\u6A80\u6BB5\u6E4D\u77ED\u7AEF\u7C1E\u7DDE\u86CB\u8892\u9132\u935B\u64BB\u6FBE\u737A\u75B8\u9054\u5556\u574D\u61BA\u64D4\u66C7\u6DE1\u6E5B\u6F6D\u6FB9\u75F0\u8043\u81BD\u8541\u8983\u8AC7\u8B5A\u931F\u6C93\u7553\u7B54\u8E0F\u905D\u5510\u5802\u5858\u5E62\u6207\u649E\u68E0\u7576\u7CD6\u87B3\u9EE8\u4EE3\u5788\u576E\u5927\u5C0D\u5CB1\u5E36\u5F85\u6234\u64E1\u73B3\u81FA\u888B\u8CB8\u968A\u9EDB\u5B85\u5FB7\u60B3\u5012\u5200\u5230\u5716\u5835\u5857\u5C0E\u5C60\u5CF6\u5D8B\u5EA6\u5F92\u60BC\u6311\u6389\u6417\u6843"], ["d4a1", "\u68F9\u6AC2\u6DD8\u6E21\u6ED4\u6FE4\u71FE\u76DC\u7779\u79B1\u7A3B\u8404\u89A9\u8CED\u8DF3\u8E48\u9003\u9014\u9053\u90FD\u934D\u9676\u97DC\u6BD2\u7006\u7258\u72A2\u7368\u7763\u79BF\u7BE4\u7E9B\u8B80\u58A9\u60C7\u6566\u65FD\u66BE\u6C8C\u711E\u71C9\u8C5A\u9813\u4E6D\u7A81\u4EDD\u51AC\u51CD\u52D5\u540C\u61A7\u6771\u6850\u68DF\u6D1E\u6F7C\u75BC\u77B3\u7AE5\u80F4\u8463\u9285\u515C\u6597\u675C\u6793\u75D8\u7AC7\u8373\uF95A\u8C46\u9017\u982D\u5C6F\u81C0\u829A\u9041\u906F\u920D\u5F97\u5D9D\u6A59\u71C8\u767B\u7B49\u85E4\u8B04\u9127\u9A30\u5587\u61F6\uF95B\u7669\u7F85"], ["d5a1", "\u863F\u87BA\u88F8\u908F\uF95C\u6D1B\u70D9\u73DE\u7D61\u843D\uF95D\u916A\u99F1\uF95E\u4E82\u5375\u6B04\u6B12\u703E\u721B\u862D\u9E1E\u524C\u8FA3\u5D50\u64E5\u652C\u6B16\u6FEB\u7C43\u7E9C\u85CD\u8964\u89BD\u62C9\u81D8\u881F\u5ECA\u6717\u6D6A\u72FC\u7405\u746F\u8782\u90DE\u4F86\u5D0D\u5FA0\u840A\u51B7\u63A0\u7565\u4EAE\u5006\u5169\u51C9\u6881\u6A11\u7CAE\u7CB1\u7CE7\u826F\u8AD2\u8F1B\u91CF\u4FB6\u5137\u52F5\u5442\u5EEC\u616E\u623E\u65C5\u6ADA\u6FFE\u792A\u85DC\u8823\u95AD\u9A62\u9A6A\u9E97\u9ECE\u529B\u66C6\u6B77\u701D\u792B\u8F62\u9742\u6190\u6200\u6523\u6F23"], ["d6a1", "\u7149\u7489\u7DF4\u806F\u84EE\u8F26\u9023\u934A\u51BD\u5217\u52A3\u6D0C\u70C8\u88C2\u5EC9\u6582\u6BAE\u6FC2\u7C3E\u7375\u4EE4\u4F36\u56F9\uF95F\u5CBA\u5DBA\u601C\u73B2\u7B2D\u7F9A\u7FCE\u8046\u901E\u9234\u96F6\u9748\u9818\u9F61\u4F8B\u6FA7\u79AE\u91B4\u96B7\u52DE\uF960\u6488\u64C4\u6AD3\u6F5E\u7018\u7210\u76E7\u8001\u8606\u865C\u8DEF\u8F05\u9732\u9B6F\u9DFA\u9E75\u788C\u797F\u7DA0\u83C9\u9304\u9E7F\u9E93\u8AD6\u58DF\u5F04\u6727\u7027\u74CF\u7C60\u807E\u5121\u7028\u7262\u78CA\u8CC2\u8CDA\u8CF4\u96F7\u4E86\u50DA\u5BEE\u5ED6\u6599\u71CE\u7642\u77AD\u804A\u84FC"], ["d7a1", "\u907C\u9B27\u9F8D\u58D8\u5A41\u5C62\u6A13\u6DDA\u6F0F\u763B\u7D2F\u7E37\u851E\u8938\u93E4\u964B\u5289\u65D2\u67F3\u69B4\u6D41\u6E9C\u700F\u7409\u7460\u7559\u7624\u786B\u8B2C\u985E\u516D\u622E\u9678\u4F96\u502B\u5D19\u6DEA\u7DB8\u8F2A\u5F8B\u6144\u6817\uF961\u9686\u52D2\u808B\u51DC\u51CC\u695E\u7A1C\u7DBE\u83F1\u9675\u4FDA\u5229\u5398\u540F\u550E\u5C65\u60A7\u674E\u68A8\u6D6C\u7281\u72F8\u7406\u7483\uF962\u75E2\u7C6C\u7F79\u7FB8\u8389\u88CF\u88E1\u91CC\u91D0\u96E2\u9BC9\u541D\u6F7E\u71D0\u7498\u85FA\u8EAA\u96A3\u9C57\u9E9F\u6797\u6DCB\u7433\u81E8\u9716\u782C"], ["d8a1", "\u7ACB\u7B20\u7C92\u6469\u746A\u75F2\u78BC\u78E8\u99AC\u9B54\u9EBB\u5BDE\u5E55\u6F20\u819C\u83AB\u9088\u4E07\u534D\u5A29\u5DD2\u5F4E\u6162\u633D\u6669\u66FC\u6EFF\u6F2B\u7063\u779E\u842C\u8513\u883B\u8F13\u9945\u9C3B\u551C\u62B9\u672B\u6CAB\u8309\u896A\u977A\u4EA1\u5984\u5FD8\u5FD9\u671B\u7DB2\u7F54\u8292\u832B\u83BD\u8F1E\u9099\u57CB\u59B9\u5A92\u5BD0\u6627\u679A\u6885\u6BCF\u7164\u7F75\u8CB7\u8CE3\u9081\u9B45\u8108\u8C8A\u964C\u9A40\u9EA5\u5B5F\u6C13\u731B\u76F2\u76DF\u840C\u51AA\u8993\u514D\u5195\u52C9\u68C9\u6C94\u7704\u7720\u7DBF\u7DEC\u9762\u9EB5\u6EC5"], ["d9a1", "\u8511\u51A5\u540D\u547D\u660E\u669D\u6927\u6E9F\u76BF\u7791\u8317\u84C2\u879F\u9169\u9298\u9CF4\u8882\u4FAE\u5192\u52DF\u59C6\u5E3D\u6155\u6478\u6479\u66AE\u67D0\u6A21\u6BCD\u6BDB\u725F\u7261\u7441\u7738\u77DB\u8017\u82BC\u8305\u8B00\u8B28\u8C8C\u6728\u6C90\u7267\u76EE\u7766\u7A46\u9DA9\u6B7F\u6C92\u5922\u6726\u8499\u536F\u5893\u5999\u5EDF\u63CF\u6634\u6773\u6E3A\u732B\u7AD7\u82D7\u9328\u52D9\u5DEB\u61AE\u61CB\u620A\u62C7\u64AB\u65E0\u6959\u6B66\u6BCB\u7121\u73F7\u755D\u7E46\u821E\u8302\u856A\u8AA3\u8CBF\u9727\u9D61\u58A8\u9ED8\u5011\u520E\u543B\u554F\u6587"], ["daa1", "\u6C76\u7D0A\u7D0B\u805E\u868A\u9580\u96EF\u52FF\u6C95\u7269\u5473\u5A9A\u5C3E\u5D4B\u5F4C\u5FAE\u672A\u68B6\u6963\u6E3C\u6E44\u7709\u7C73\u7F8E\u8587\u8B0E\u8FF7\u9761\u9EF4\u5CB7\u60B6\u610D\u61AB\u654F\u65FB\u65FC\u6C11\u6CEF\u739F\u73C9\u7DE1\u9594\u5BC6\u871C\u8B10\u525D\u535A\u62CD\u640F\u64B2\u6734\u6A38\u6CCA\u73C0\u749E\u7B94\u7C95\u7E1B\u818A\u8236\u8584\u8FEB\u96F9\u99C1\u4F34\u534A\u53CD\u53DB\u62CC\u642C\u6500\u6591\u69C3\u6CEE\u6F58\u73ED\u7554\u7622\u76E4\u76FC\u78D0\u78FB\u792C\u7D46\u822C\u87E0\u8FD4\u9812\u98EF\u52C3\u62D4\u64A5\u6E24\u6F51"], ["dba1", "\u767C\u8DCB\u91B1\u9262\u9AEE\u9B43\u5023\u508D\u574A\u59A8\u5C28\u5E47\u5F77\u623F\u653E\u65B9\u65C1\u6609\u678B\u699C\u6EC2\u78C5\u7D21\u80AA\u8180\u822B\u82B3\u84A1\u868C\u8A2A\u8B17\u90A6\u9632\u9F90\u500D\u4FF3\uF963\u57F9\u5F98\u62DC\u6392\u676F\u6E43\u7119\u76C3\u80CC\u80DA\u88F4\u88F5\u8919\u8CE0\u8F29\u914D\u966A\u4F2F\u4F70\u5E1B\u67CF\u6822\u767D\u767E\u9B44\u5E61\u6A0A\u7169\u71D4\u756A\uF964\u7E41\u8543\u85E9\u98DC\u4F10\u7B4F\u7F70\u95A5\u51E1\u5E06\u68B5\u6C3E\u6C4E\u6CDB\u72AF\u7BC4\u8303\u6CD5\u743A\u50FB\u5288\u58C1\u64D8\u6A97\u74A7\u7656"], ["dca1", "\u78A7\u8617\u95E2\u9739\uF965\u535E\u5F01\u8B8A\u8FA8\u8FAF\u908A\u5225\u77A5\u9C49\u9F08\u4E19\u5002\u5175\u5C5B\u5E77\u661E\u663A\u67C4\u68C5\u70B3\u7501\u75C5\u79C9\u7ADD\u8F27\u9920\u9A08\u4FDD\u5821\u5831\u5BF6\u666E\u6B65\u6D11\u6E7A\u6F7D\u73E4\u752B\u83E9\u88DC\u8913\u8B5C\u8F14\u4F0F\u50D5\u5310\u535C\u5B93\u5FA9\u670D\u798F\u8179\u832F\u8514\u8907\u8986\u8F39\u8F3B\u99A5\u9C12\u672C\u4E76\u4FF8\u5949\u5C01\u5CEF\u5CF0\u6367\u68D2\u70FD\u71A2\u742B\u7E2B\u84EC\u8702\u9022\u92D2\u9CF3\u4E0D\u4ED8\u4FEF\u5085\u5256\u526F\u5426\u5490\u57E0\u592B\u5A66"], ["dda1", "\u5B5A\u5B75\u5BCC\u5E9C\uF966\u6276\u6577\u65A7\u6D6E\u6EA5\u7236\u7B26\u7C3F\u7F36\u8150\u8151\u819A\u8240\u8299\u83A9\u8A03\u8CA0\u8CE6\u8CFB\u8D74\u8DBA\u90E8\u91DC\u961C\u9644\u99D9\u9CE7\u5317\u5206\u5429\u5674\u58B3\u5954\u596E\u5FFF\u61A4\u626E\u6610\u6C7E\u711A\u76C6\u7C89\u7CDE\u7D1B\u82AC\u8CC1\u96F0\uF967\u4F5B\u5F17\u5F7F\u62C2\u5D29\u670B\u68DA\u787C\u7E43\u9D6C\u4E15\u5099\u5315\u532A\u5351\u5983\u5A62\u5E87\u60B2\u618A\u6249\u6279\u6590\u6787\u69A7\u6BD4\u6BD6\u6BD7\u6BD8\u6CB8\uF968\u7435\u75FA\u7812\u7891\u79D5\u79D8\u7C83\u7DCB\u7FE1\u80A5"], ["dea1", "\u813E\u81C2\u83F2\u871A\u88E8\u8AB9\u8B6C\u8CBB\u9119\u975E\u98DB\u9F3B\u56AC\u5B2A\u5F6C\u658C\u6AB3\u6BAF\u6D5C\u6FF1\u7015\u725D\u73AD\u8CA7\u8CD3\u983B\u6191\u6C37\u8058\u9A01\u4E4D\u4E8B\u4E9B\u4ED5\u4F3A\u4F3C\u4F7F\u4FDF\u50FF\u53F2\u53F8\u5506\u55E3\u56DB\u58EB\u5962\u5A11\u5BEB\u5BFA\u5C04\u5DF3\u5E2B\u5F99\u601D\u6368\u659C\u65AF\u67F6\u67FB\u68AD\u6B7B\u6C99\u6CD7\u6E23\u7009\u7345\u7802\u793E\u7940\u7960\u79C1\u7BE9\u7D17\u7D72\u8086\u820D\u838E\u84D1\u86C7\u88DF\u8A50\u8A5E\u8B1D\u8CDC\u8D66\u8FAD\u90AA\u98FC\u99DF\u9E9D\u524A\uF969\u6714\uF96A"], ["dfa1", "\u5098\u522A\u5C71\u6563\u6C55\u73CA\u7523\u759D\u7B97\u849C\u9178\u9730\u4E77\u6492\u6BBA\u715E\u85A9\u4E09\uF96B\u6749\u68EE\u6E17\u829F\u8518\u886B\u63F7\u6F81\u9212\u98AF\u4E0A\u50B7\u50CF\u511F\u5546\u55AA\u5617\u5B40\u5C19\u5CE0\u5E38\u5E8A\u5EA0\u5EC2\u60F3\u6851\u6A61\u6E58\u723D\u7240\u72C0\u76F8\u7965\u7BB1\u7FD4\u88F3\u89F4\u8A73\u8C61\u8CDE\u971C\u585E\u74BD\u8CFD\u55C7\uF96C\u7A61\u7D22\u8272\u7272\u751F\u7525\uF96D\u7B19\u5885\u58FB\u5DBC\u5E8F\u5EB6\u5F90\u6055\u6292\u637F\u654D\u6691\u66D9\u66F8\u6816\u68F2\u7280\u745E\u7B6E\u7D6E\u7DD6\u7F72"], ["e0a1", "\u80E5\u8212\u85AF\u897F\u8A93\u901D\u92E4\u9ECD\u9F20\u5915\u596D\u5E2D\u60DC\u6614\u6673\u6790\u6C50\u6DC5\u6F5F\u77F3\u78A9\u84C6\u91CB\u932B\u4ED9\u50CA\u5148\u5584\u5B0B\u5BA3\u6247\u657E\u65CB\u6E32\u717D\u7401\u7444\u7487\u74BF\u766C\u79AA\u7DDA\u7E55\u7FA8\u817A\u81B3\u8239\u861A\u87EC\u8A75\u8DE3\u9078\u9291\u9425\u994D\u9BAE\u5368\u5C51\u6954\u6CC4\u6D29\u6E2B\u820C\u859B\u893B\u8A2D\u8AAA\u96EA\u9F67\u5261\u66B9\u6BB2\u7E96\u87FE\u8D0D\u9583\u965D\u651D\u6D89\u71EE\uF96E\u57CE\u59D3\u5BAC\u6027\u60FA\u6210\u661F\u665F\u7329\u73F9\u76DB\u7701\u7B6C"], ["e1a1", "\u8056\u8072\u8165\u8AA0\u9192\u4E16\u52E2\u6B72\u6D17\u7A05\u7B39\u7D30\uF96F\u8CB0\u53EC\u562F\u5851\u5BB5\u5C0F\u5C11\u5DE2\u6240\u6383\u6414\u662D\u68B3\u6CBC\u6D88\u6EAF\u701F\u70A4\u71D2\u7526\u758F\u758E\u7619\u7B11\u7BE0\u7C2B\u7D20\u7D39\u852C\u856D\u8607\u8A34\u900D\u9061\u90B5\u92B7\u97F6\u9A37\u4FD7\u5C6C\u675F\u6D91\u7C9F\u7E8C\u8B16\u8D16\u901F\u5B6B\u5DFD\u640D\u84C0\u905C\u98E1\u7387\u5B8B\u609A\u677E\u6DDE\u8A1F\u8AA6\u9001\u980C\u5237\uF970\u7051\u788E\u9396\u8870\u91D7\u4FEE\u53D7\u55FD\u56DA\u5782\u58FD\u5AC2\u5B88\u5CAB\u5CC0\u5E25\u6101"], ["e2a1", "\u620D\u624B\u6388\u641C\u6536\u6578\u6A39\u6B8A\u6C34\u6D19\u6F31\u71E7\u72E9\u7378\u7407\u74B2\u7626\u7761\u79C0\u7A57\u7AEA\u7CB9\u7D8F\u7DAC\u7E61\u7F9E\u8129\u8331\u8490\u84DA\u85EA\u8896\u8AB0\u8B90\u8F38\u9042\u9083\u916C\u9296\u92B9\u968B\u96A7\u96A8\u96D6\u9700\u9808\u9996\u9AD3\u9B1A\u53D4\u587E\u5919\u5B70\u5BBF\u6DD1\u6F5A\u719F\u7421\u74B9\u8085\u83FD\u5DE1\u5F87\u5FAA\u6042\u65EC\u6812\u696F\u6A53\u6B89\u6D35\u6DF3\u73E3\u76FE\u77AC\u7B4D\u7D14\u8123\u821C\u8340\u84F4\u8563\u8A62\u8AC4\u9187\u931E\u9806\u99B4\u620C\u8853\u8FF0\u9265\u5D07\u5D27"], ["e3a1", "\u5D69\u745F\u819D\u8768\u6FD5\u62FE\u7FD2\u8936\u8972\u4E1E\u4E58\u50E7\u52DD\u5347\u627F\u6607\u7E69\u8805\u965E\u4F8D\u5319\u5636\u59CB\u5AA4\u5C38\u5C4E\u5C4D\u5E02\u5F11\u6043\u65BD\u662F\u6642\u67BE\u67F4\u731C\u77E2\u793A\u7FC5\u8494\u84CD\u8996\u8A66\u8A69\u8AE1\u8C55\u8C7A\u57F4\u5BD4\u5F0F\u606F\u62ED\u690D\u6B96\u6E5C\u7184\u7BD2\u8755\u8B58\u8EFE\u98DF\u98FE\u4F38\u4F81\u4FE1\u547B\u5A20\u5BB8\u613C\u65B0\u6668\u71FC\u7533\u795E\u7D33\u814E\u81E3\u8398\u85AA\u85CE\u8703\u8A0A\u8EAB\u8F9B\uF971\u8FC5\u5931\u5BA4\u5BE6\u6089\u5BE9\u5C0B\u5FC3\u6C81"], ["e4a1", "\uF972\u6DF1\u700B\u751A\u82AF\u8AF6\u4EC0\u5341\uF973\u96D9\u6C0F\u4E9E\u4FC4\u5152\u555E\u5A25\u5CE8\u6211\u7259\u82BD\u83AA\u86FE\u8859\u8A1D\u963F\u96C5\u9913\u9D09\u9D5D\u580A\u5CB3\u5DBD\u5E44\u60E1\u6115\u63E1\u6A02\u6E25\u9102\u9354\u984E\u9C10\u9F77\u5B89\u5CB8\u6309\u664F\u6848\u773C\u96C1\u978D\u9854\u9B9F\u65A1\u8B01\u8ECB\u95BC\u5535\u5CA9\u5DD6\u5EB5\u6697\u764C\u83F4\u95C7\u58D3\u62BC\u72CE\u9D28\u4EF0\u592E\u600F\u663B\u6B83\u79E7\u9D26\u5393\u54C0\u57C3\u5D16\u611B\u66D6\u6DAF\u788D\u827E\u9698\u9744\u5384\u627C\u6396\u6DB2\u7E0A\u814B\u984D"], ["e5a1", "\u6AFB\u7F4C\u9DAF\u9E1A\u4E5F\u503B\u51B6\u591C\u60F9\u63F6\u6930\u723A\u8036\uF974\u91CE\u5F31\uF975\uF976\u7D04\u82E5\u846F\u84BB\u85E5\u8E8D\uF977\u4F6F\uF978\uF979\u58E4\u5B43\u6059\u63DA\u6518\u656D\u6698\uF97A\u694A\u6A23\u6D0B\u7001\u716C\u75D2\u760D\u79B3\u7A70\uF97B\u7F8A\uF97C\u8944\uF97D\u8B93\u91C0\u967D\uF97E\u990A\u5704\u5FA1\u65BC\u6F01\u7600\u79A6\u8A9E\u99AD\u9B5A\u9F6C\u5104\u61B6\u6291\u6A8D\u81C6\u5043\u5830\u5F66\u7109\u8A00\u8AFA\u5B7C\u8616\u4FFA\u513C\u56B4\u5944\u63A9\u6DF9\u5DAA\u696D\u5186\u4E88\u4F59\uF97F\uF980\uF981\u5982\uF982"], ["e6a1", "\uF983\u6B5F\u6C5D\uF984\u74B5\u7916\uF985\u8207\u8245\u8339\u8F3F\u8F5D\uF986\u9918\uF987\uF988\uF989\u4EA6\uF98A\u57DF\u5F79\u6613\uF98B\uF98C\u75AB\u7E79\u8B6F\uF98D\u9006\u9A5B\u56A5\u5827\u59F8\u5A1F\u5BB4\uF98E\u5EF6\uF98F\uF990\u6350\u633B\uF991\u693D\u6C87\u6CBF\u6D8E\u6D93\u6DF5\u6F14\uF992\u70DF\u7136\u7159\uF993\u71C3\u71D5\uF994\u784F\u786F\uF995\u7B75\u7DE3\uF996\u7E2F\uF997\u884D\u8EDF\uF998\uF999\uF99A\u925B\uF99B\u9CF6\uF99C\uF99D\uF99E\u6085\u6D85\uF99F\u71B1\uF9A0\uF9A1\u95B1\u53AD\uF9A2\uF9A3\uF9A4\u67D3\uF9A5\u708E\u7130\u7430\u8276\u82D2"], ["e7a1", "\uF9A6\u95BB\u9AE5\u9E7D\u66C4\uF9A7\u71C1\u8449\uF9A8\uF9A9\u584B\uF9AA\uF9AB\u5DB8\u5F71\uF9AC\u6620\u668E\u6979\u69AE\u6C38\u6CF3\u6E36\u6F41\u6FDA\u701B\u702F\u7150\u71DF\u7370\uF9AD\u745B\uF9AE\u74D4\u76C8\u7A4E\u7E93\uF9AF\uF9B0\u82F1\u8A60\u8FCE\uF9B1\u9348\uF9B2\u9719\uF9B3\uF9B4\u4E42\u502A\uF9B5\u5208\u53E1\u66F3\u6C6D\u6FCA\u730A\u777F\u7A62\u82AE\u85DD\u8602\uF9B6\u88D4\u8A63\u8B7D\u8C6B\uF9B7\u92B3\uF9B8\u9713\u9810\u4E94\u4F0D\u4FC9\u50B2\u5348\u543E\u5433\u55DA\u5862\u58BA\u5967\u5A1B\u5BE4\u609F\uF9B9\u61CA\u6556\u65FF\u6664\u68A7\u6C5A\u6FB3"], ["e8a1", "\u70CF\u71AC\u7352\u7B7D\u8708\u8AA4\u9C32\u9F07\u5C4B\u6C83\u7344\u7389\u923A\u6EAB\u7465\u761F\u7A69\u7E15\u860A\u5140\u58C5\u64C1\u74EE\u7515\u7670\u7FC1\u9095\u96CD\u9954\u6E26\u74E6\u7AA9\u7AAA\u81E5\u86D9\u8778\u8A1B\u5A49\u5B8C\u5B9B\u68A1\u6900\u6D63\u73A9\u7413\u742C\u7897\u7DE9\u7FEB\u8118\u8155\u839E\u8C4C\u962E\u9811\u66F0\u5F80\u65FA\u6789\u6C6A\u738B\u502D\u5A03\u6B6A\u77EE\u5916\u5D6C\u5DCD\u7325\u754F\uF9BA\uF9BB\u50E5\u51F9\u582F\u592D\u5996\u59DA\u5BE5\uF9BC\uF9BD\u5DA2\u62D7\u6416\u6493\u64FE\uF9BE\u66DC\uF9BF\u6A48\uF9C0\u71FF\u7464\uF9C1"], ["e9a1", "\u7A88\u7AAF\u7E47\u7E5E\u8000\u8170\uF9C2\u87EF\u8981\u8B20\u9059\uF9C3\u9080\u9952\u617E\u6B32\u6D74\u7E1F\u8925\u8FB1\u4FD1\u50AD\u5197\u52C7\u57C7\u5889\u5BB9\u5EB8\u6142\u6995\u6D8C\u6E67\u6EB6\u7194\u7462\u7528\u752C\u8073\u8338\u84C9\u8E0A\u9394\u93DE\uF9C4\u4E8E\u4F51\u5076\u512A\u53C8\u53CB\u53F3\u5B87\u5BD3\u5C24\u611A\u6182\u65F4\u725B\u7397\u7440\u76C2\u7950\u7991\u79B9\u7D06\u7FBD\u828B\u85D5\u865E\u8FC2\u9047\u90F5\u91EA\u9685\u96E8\u96E9\u52D6\u5F67\u65ED\u6631\u682F\u715C\u7A36\u90C1\u980A\u4E91\uF9C5\u6A52\u6B9E\u6F90\u7189\u8018\u82B8\u8553"], ["eaa1", "\u904B\u9695\u96F2\u97FB\u851A\u9B31\u4E90\u718A\u96C4\u5143\u539F\u54E1\u5713\u5712\u57A3\u5A9B\u5AC4\u5BC3\u6028\u613F\u63F4\u6C85\u6D39\u6E72\u6E90\u7230\u733F\u7457\u82D1\u8881\u8F45\u9060\uF9C6\u9662\u9858\u9D1B\u6708\u8D8A\u925E\u4F4D\u5049\u50DE\u5371\u570D\u59D4\u5A01\u5C09\u6170\u6690\u6E2D\u7232\u744B\u7DEF\u80C3\u840E\u8466\u853F\u875F\u885B\u8918\u8B02\u9055\u97CB\u9B4F\u4E73\u4F91\u5112\u516A\uF9C7\u552F\u55A9\u5B7A\u5BA5\u5E7C\u5E7D\u5EBE\u60A0\u60DF\u6108\u6109\u63C4\u6538\u6709\uF9C8\u67D4\u67DA\uF9C9\u6961\u6962\u6CB9\u6D27\uF9CA\u6E38\uF9CB"], ["eba1", "\u6FE1\u7336\u7337\uF9CC\u745C\u7531\uF9CD\u7652\uF9CE\uF9CF\u7DAD\u81FE\u8438\u88D5\u8A98\u8ADB\u8AED\u8E30\u8E42\u904A\u903E\u907A\u9149\u91C9\u936E\uF9D0\uF9D1\u5809\uF9D2\u6BD3\u8089\u80B2\uF9D3\uF9D4\u5141\u596B\u5C39\uF9D5\uF9D6\u6F64\u73A7\u80E4\u8D07\uF9D7\u9217\u958F\uF9D8\uF9D9\uF9DA\uF9DB\u807F\u620E\u701C\u7D68\u878D\uF9DC\u57A0\u6069\u6147\u6BB7\u8ABE\u9280\u96B1\u4E59\u541F\u6DEB\u852D\u9670\u97F3\u98EE\u63D6\u6CE3\u9091\u51DD\u61C9\u81BA\u9DF9\u4F9D\u501A\u5100\u5B9C\u610F\u61FF\u64EC\u6905\u6BC5\u7591\u77E3\u7FA9\u8264\u858F\u87FB\u8863\u8ABC"], ["eca1", "\u8B70\u91AB\u4E8C\u4EE5\u4F0A\uF9DD\uF9DE\u5937\u59E8\uF9DF\u5DF2\u5F1B\u5F5B\u6021\uF9E0\uF9E1\uF9E2\uF9E3\u723E\u73E5\uF9E4\u7570\u75CD\uF9E5\u79FB\uF9E6\u800C\u8033\u8084\u82E1\u8351\uF9E7\uF9E8\u8CBD\u8CB3\u9087\uF9E9\uF9EA\u98F4\u990C\uF9EB\uF9EC\u7037\u76CA\u7FCA\u7FCC\u7FFC\u8B1A\u4EBA\u4EC1\u5203\u5370\uF9ED\u54BD\u56E0\u59FB\u5BC5\u5F15\u5FCD\u6E6E\uF9EE\uF9EF\u7D6A\u8335\uF9F0\u8693\u8A8D\uF9F1\u976D\u9777\uF9F2\uF9F3\u4E00\u4F5A\u4F7E\u58F9\u65E5\u6EA2\u9038\u93B0\u99B9\u4EFB\u58EC\u598A\u59D9\u6041\uF9F4\uF9F5\u7A14\uF9F6\u834F\u8CC3\u5165\u5344"], ["eda1", "\uF9F7\uF9F8\uF9F9\u4ECD\u5269\u5B55\u82BF\u4ED4\u523A\u54A8\u59C9\u59FF\u5B50\u5B57\u5B5C\u6063\u6148\u6ECB\u7099\u716E\u7386\u74F7\u75B5\u78C1\u7D2B\u8005\u81EA\u8328\u8517\u85C9\u8AEE\u8CC7\u96CC\u4F5C\u52FA\u56BC\u65AB\u6628\u707C\u70B8\u7235\u7DBD\u828D\u914C\u96C0\u9D72\u5B71\u68E7\u6B98\u6F7A\u76DE\u5C91\u66AB\u6F5B\u7BB4\u7C2A\u8836\u96DC\u4E08\u4ED7\u5320\u5834\u58BB\u58EF\u596C\u5C07\u5E33\u5E84\u5F35\u638C\u66B2\u6756\u6A1F\u6AA3\u6B0C\u6F3F\u7246\uF9FA\u7350\u748B\u7AE0\u7CA7\u8178\u81DF\u81E7\u838A\u846C\u8523\u8594\u85CF\u88DD\u8D13\u91AC\u9577"], ["eea1", "\u969C\u518D\u54C9\u5728\u5BB0\u624D\u6750\u683D\u6893\u6E3D\u6ED3\u707D\u7E21\u88C1\u8CA1\u8F09\u9F4B\u9F4E\u722D\u7B8F\u8ACD\u931A\u4F47\u4F4E\u5132\u5480\u59D0\u5E95\u62B5\u6775\u696E\u6A17\u6CAE\u6E1A\u72D9\u732A\u75BD\u7BB8\u7D35\u82E7\u83F9\u8457\u85F7\u8A5B\u8CAF\u8E87\u9019\u90B8\u96CE\u9F5F\u52E3\u540A\u5AE1\u5BC2\u6458\u6575\u6EF4\u72C4\uF9FB\u7684\u7A4D\u7B1B\u7C4D\u7E3E\u7FDF\u837B\u8B2B\u8CCA\u8D64\u8DE1\u8E5F\u8FEA\u8FF9\u9069\u93D1\u4F43\u4F7A\u50B3\u5168\u5178\u524D\u526A\u5861\u587C\u5960\u5C08\u5C55\u5EDB\u609B\u6230\u6813\u6BBF\u6C08\u6FB1"], ["efa1", "\u714E\u7420\u7530\u7538\u7551\u7672\u7B4C\u7B8B\u7BAD\u7BC6\u7E8F\u8A6E\u8F3E\u8F49\u923F\u9293\u9322\u942B\u96FB\u985A\u986B\u991E\u5207\u622A\u6298\u6D59\u7664\u7ACA\u7BC0\u7D76\u5360\u5CBE\u5E97\u6F38\u70B9\u7C98\u9711\u9B8E\u9EDE\u63A5\u647A\u8776\u4E01\u4E95\u4EAD\u505C\u5075\u5448\u59C3\u5B9A\u5E40\u5EAD\u5EF7\u5F81\u60C5\u633A\u653F\u6574\u65CC\u6676\u6678\u67FE\u6968\u6A89\u6B63\u6C40\u6DC0\u6DE8\u6E1F\u6E5E\u701E\u70A1\u738E\u73FD\u753A\u775B\u7887\u798E\u7A0B\u7A7D\u7CBE\u7D8E\u8247\u8A02\u8AEA\u8C9E\u912D\u914A\u91D8\u9266\u92CC\u9320\u9706\u9756"], ["f0a1", "\u975C\u9802\u9F0E\u5236\u5291\u557C\u5824\u5E1D\u5F1F\u608C\u63D0\u68AF\u6FDF\u796D\u7B2C\u81CD\u85BA\u88FD\u8AF8\u8E44\u918D\u9664\u969B\u973D\u984C\u9F4A\u4FCE\u5146\u51CB\u52A9\u5632\u5F14\u5F6B\u63AA\u64CD\u65E9\u6641\u66FA\u66F9\u671D\u689D\u68D7\u69FD\u6F15\u6F6E\u7167\u71E5\u722A\u74AA\u773A\u7956\u795A\u79DF\u7A20\u7A95\u7C97\u7CDF\u7D44\u7E70\u8087\u85FB\u86A4\u8A54\u8ABF\u8D99\u8E81\u9020\u906D\u91E3\u963B\u96D5\u9CE5\u65CF\u7C07\u8DB3\u93C3\u5B58\u5C0A\u5352\u62D9\u731D\u5027\u5B97\u5F9E\u60B0\u616B\u68D5\u6DD9\u742E\u7A2E\u7D42\u7D9C\u7E31\u816B"], ["f1a1", "\u8E2A\u8E35\u937E\u9418\u4F50\u5750\u5DE6\u5EA7\u632B\u7F6A\u4E3B\u4F4F\u4F8F\u505A\u59DD\u80C4\u546A\u5468\u55FE\u594F\u5B99\u5DDE\u5EDA\u665D\u6731\u67F1\u682A\u6CE8\u6D32\u6E4A\u6F8D\u70B7\u73E0\u7587\u7C4C\u7D02\u7D2C\u7DA2\u821F\u86DB\u8A3B\u8A85\u8D70\u8E8A\u8F33\u9031\u914E\u9152\u9444\u99D0\u7AF9\u7CA5\u4FCA\u5101\u51C6\u57C8\u5BEF\u5CFB\u6659\u6A3D\u6D5A\u6E96\u6FEC\u710C\u756F\u7AE3\u8822\u9021\u9075\u96CB\u99FF\u8301\u4E2D\u4EF2\u8846\u91CD\u537D\u6ADB\u696B\u6C41\u847A\u589E\u618E\u66FE\u62EF\u70DD\u7511\u75C7\u7E52\u84B8\u8B49\u8D08\u4E4B\u53EA"], ["f2a1", "\u54AB\u5730\u5740\u5FD7\u6301\u6307\u646F\u652F\u65E8\u667A\u679D\u67B3\u6B62\u6C60\u6C9A\u6F2C\u77E5\u7825\u7949\u7957\u7D19\u80A2\u8102\u81F3\u829D\u82B7\u8718\u8A8C\uF9FC\u8D04\u8DBE\u9072\u76F4\u7A19\u7A37\u7E54\u8077\u5507\u55D4\u5875\u632F\u6422\u6649\u664B\u686D\u699B\u6B84\u6D25\u6EB1\u73CD\u7468\u74A1\u755B\u75B9\u76E1\u771E\u778B\u79E6\u7E09\u7E1D\u81FB\u852F\u8897\u8A3A\u8CD1\u8EEB\u8FB0\u9032\u93AD\u9663\u9673\u9707\u4F84\u53F1\u59EA\u5AC9\u5E19\u684E\u74C6\u75BE\u79E9\u7A92\u81A3\u86ED\u8CEA\u8DCC\u8FED\u659F\u6715\uF9FD\u57F7\u6F57\u7DDD\u8F2F"], ["f3a1", "\u93F6\u96C6\u5FB5\u61F2\u6F84\u4E14\u4F98\u501F\u53C9\u55DF\u5D6F\u5DEE\u6B21\u6B64\u78CB\u7B9A\uF9FE\u8E49\u8ECA\u906E\u6349\u643E\u7740\u7A84\u932F\u947F\u9F6A\u64B0\u6FAF\u71E6\u74A8\u74DA\u7AC4\u7C12\u7E82\u7CB2\u7E98\u8B9A\u8D0A\u947D\u9910\u994C\u5239\u5BDF\u64E6\u672D\u7D2E\u50ED\u53C3\u5879\u6158\u6159\u61FA\u65AC\u7AD9\u8B92\u8B96\u5009\u5021\u5275\u5531\u5A3C\u5EE0\u5F70\u6134\u655E\u660C\u6636\u66A2\u69CD\u6EC4\u6F32\u7316\u7621\u7A93\u8139\u8259\u83D6\u84BC\u50B5\u57F0\u5BC0\u5BE8\u5F69\u63A1\u7826\u7DB5\u83DC\u8521\u91C7\u91F5\u518A\u67F5\u7B56"], ["f4a1", "\u8CAC\u51C4\u59BB\u60BD\u8655\u501C\uF9FF\u5254\u5C3A\u617D\u621A\u62D3\u64F2\u65A5\u6ECC\u7620\u810A\u8E60\u965F\u96BB\u4EDF\u5343\u5598\u5929\u5DDD\u64C5\u6CC9\u6DFA\u7394\u7A7F\u821B\u85A6\u8CE4\u8E10\u9077\u91E7\u95E1\u9621\u97C6\u51F8\u54F2\u5586\u5FB9\u64A4\u6F88\u7DB4\u8F1F\u8F4D\u9435\u50C9\u5C16\u6CBE\u6DFB\u751B\u77BB\u7C3D\u7C64\u8A79\u8AC2\u581E\u59BE\u5E16\u6377\u7252\u758A\u776B\u8ADC\u8CBC\u8F12\u5EF3\u6674\u6DF8\u807D\u83C1\u8ACB\u9751\u9BD6\uFA00\u5243\u66FF\u6D95\u6EEF\u7DE0\u8AE6\u902E\u905E\u9AD4\u521D\u527F\u54E8\u6194\u6284\u62DB\u68A2"], ["f5a1", "\u6912\u695A\u6A35\u7092\u7126\u785D\u7901\u790E\u79D2\u7A0D\u8096\u8278\u82D5\u8349\u8549\u8C82\u8D85\u9162\u918B\u91AE\u4FC3\u56D1\u71ED\u77D7\u8700\u89F8\u5BF8\u5FD6\u6751\u90A8\u53E2\u585A\u5BF5\u60A4\u6181\u6460\u7E3D\u8070\u8525\u9283\u64AE\u50AC\u5D14\u6700\u589C\u62BD\u63A8\u690E\u6978\u6A1E\u6E6B\u76BA\u79CB\u82BB\u8429\u8ACF\u8DA8\u8FFD\u9112\u914B\u919C\u9310\u9318\u939A\u96DB\u9A36\u9C0D\u4E11\u755C\u795D\u7AFA\u7B51\u7BC9\u7E2E\u84C4\u8E59\u8E74\u8EF8\u9010\u6625\u693F\u7443\u51FA\u672E\u9EDC\u5145\u5FE0\u6C96\u87F2\u885D\u8877\u60B4\u81B5\u8403"], ["f6a1", "\u8D05\u53D6\u5439\u5634\u5A36\u5C31\u708A\u7FE0\u805A\u8106\u81ED\u8DA3\u9189\u9A5F\u9DF2\u5074\u4EC4\u53A0\u60FB\u6E2C\u5C64\u4F88\u5024\u55E4\u5CD9\u5E5F\u6065\u6894\u6CBB\u6DC4\u71BE\u75D4\u75F4\u7661\u7A1A\u7A49\u7DC7\u7DFB\u7F6E\u81F4\u86A9\u8F1C\u96C9\u99B3\u9F52\u5247\u52C5\u98ED\u89AA\u4E03\u67D2\u6F06\u4FB5\u5BE2\u6795\u6C88\u6D78\u741B\u7827\u91DD\u937C\u87C4\u79E4\u7A31\u5FEB\u4ED6\u54A4\u553E\u58AE\u59A5\u60F0\u6253\u62D6\u6736\u6955\u8235\u9640\u99B1\u99DD\u502C\u5353\u5544\u577C\uFA01\u6258\uFA02\u64E2\u666B\u67DD\u6FC1\u6FEF\u7422\u7438\u8A17"], ["f7a1", "\u9438\u5451\u5606\u5766\u5F48\u619A\u6B4E\u7058\u70AD\u7DBB\u8A95\u596A\u812B\u63A2\u7708\u803D\u8CAA\u5854\u642D\u69BB\u5B95\u5E11\u6E6F\uFA03\u8569\u514C\u53F0\u592A\u6020\u614B\u6B86\u6C70\u6CF0\u7B1E\u80CE\u82D4\u8DC6\u90B0\u98B1\uFA04\u64C7\u6FA4\u6491\u6504\u514E\u5410\u571F\u8A0E\u615F\u6876\uFA05\u75DB\u7B52\u7D71\u901A\u5806\u69CC\u817F\u892A\u9000\u9839\u5078\u5957\u59AC\u6295\u900F\u9B2A\u615D\u7279\u95D6\u5761\u5A46\u5DF4\u628A\u64AD\u64FA\u6777\u6CE2\u6D3E\u722C\u7436\u7834\u7F77\u82AD\u8DDB\u9817\u5224\u5742\u677F\u7248\u74E3\u8CA9\u8FA6\u9211"], ["f8a1", "\u962A\u516B\u53ED\u634C\u4F69\u5504\u6096\u6557\u6C9B\u6D7F\u724C\u72FD\u7A17\u8987\u8C9D\u5F6D\u6F8E\u70F9\u81A8\u610E\u4FBF\u504F\u6241\u7247\u7BC7\u7DE8\u7FE9\u904D\u97AD\u9A19\u8CB6\u576A\u5E73\u67B0\u840D\u8A55\u5420\u5B16\u5E63\u5EE2\u5F0A\u6583\u80BA\u853D\u9589\u965B\u4F48\u5305\u530D\u530F\u5486\u54FA\u5703\u5E03\u6016\u629B\u62B1\u6355\uFA06\u6CE1\u6D66\u75B1\u7832\u80DE\u812F\u82DE\u8461\u84B2\u888D\u8912\u900B\u92EA\u98FD\u9B91\u5E45\u66B4\u66DD\u7011\u7206\uFA07\u4FF5\u527D\u5F6A\u6153\u6753\u6A19\u6F02\u74E2\u7968\u8868\u8C79\u98C7\u98C4\u9A43"], ["f9a1", "\u54C1\u7A1F\u6953\u8AF7\u8C4A\u98A8\u99AE\u5F7C\u62AB\u75B2\u76AE\u88AB\u907F\u9642\u5339\u5F3C\u5FC5\u6CCC\u73CC\u7562\u758B\u7B46\u82FE\u999D\u4E4F\u903C\u4E0B\u4F55\u53A6\u590F\u5EC8\u6630\u6CB3\u7455\u8377\u8766\u8CC0\u9050\u971E\u9C15\u58D1\u5B78\u8650\u8B14\u9DB4\u5BD2\u6068\u608D\u65F1\u6C57\u6F22\u6FA3\u701A\u7F55\u7FF0\u9591\u9592\u9650\u97D3\u5272\u8F44\u51FD\u542B\u54B8\u5563\u558A\u6ABB\u6DB5\u7DD8\u8266\u929C\u9677\u9E79\u5408\u54C8\u76D2\u86E4\u95A4\u95D4\u965C\u4EA2\u4F09\u59EE\u5AE6\u5DF7\u6052\u6297\u676D\u6841\u6C86\u6E2F\u7F38\u809B\u822A"], ["faa1", "\uFA08\uFA09\u9805\u4EA5\u5055\u54B3\u5793\u595A\u5B69\u5BB3\u61C8\u6977\u6D77\u7023\u87F9\u89E3\u8A72\u8AE7\u9082\u99ED\u9AB8\u52BE\u6838\u5016\u5E78\u674F\u8347\u884C\u4EAB\u5411\u56AE\u73E6\u9115\u97FF\u9909\u9957\u9999\u5653\u589F\u865B\u8A31\u61B2\u6AF6\u737B\u8ED2\u6B47\u96AA\u9A57\u5955\u7200\u8D6B\u9769\u4FD4\u5CF4\u5F26\u61F8\u665B\u6CEB\u70AB\u7384\u73B9\u73FE\u7729\u774D\u7D43\u7D62\u7E23\u8237\u8852\uFA0A\u8CE2\u9249\u986F\u5B51\u7A74\u8840\u9801\u5ACC\u4FE0\u5354\u593E\u5CFD\u633E\u6D79\u72F9\u8105\u8107\u83A2\u92CF\u9830\u4EA8\u5144\u5211\u578B"], ["fba1", "\u5F62\u6CC2\u6ECE\u7005\u7050\u70AF\u7192\u73E9\u7469\u834A\u87A2\u8861\u9008\u90A2\u93A3\u99A8\u516E\u5F57\u60E0\u6167\u66B3\u8559\u8E4A\u91AF\u978B\u4E4E\u4E92\u547C\u58D5\u58FA\u597D\u5CB5\u5F27\u6236\u6248\u660A\u6667\u6BEB\u6D69\u6DCF\u6E56\u6EF8\u6F94\u6FE0\u6FE9\u705D\u72D0\u7425\u745A\u74E0\u7693\u795C\u7CCA\u7E1E\u80E1\u82A6\u846B\u84BF\u864E\u865F\u8774\u8B77\u8C6A\u93AC\u9800\u9865\u60D1\u6216\u9177\u5A5A\u660F\u6DF7\u6E3E\u743F\u9B42\u5FFD\u60DA\u7B0F\u54C4\u5F18\u6C5E\u6CD3\u6D2A\u70D8\u7D05\u8679\u8A0C\u9D3B\u5316\u548C\u5B05\u6A3A\u706B\u7575"], ["fca1", "\u798D\u79BE\u82B1\u83EF\u8A71\u8B41\u8CA8\u9774\uFA0B\u64F4\u652B\u78BA\u78BB\u7A6B\u4E38\u559A\u5950\u5BA6\u5E7B\u60A3\u63DB\u6B61\u6665\u6853\u6E19\u7165\u74B0\u7D08\u9084\u9A69\u9C25\u6D3B\u6ED1\u733E\u8C41\u95CA\u51F0\u5E4C\u5FA8\u604D\u60F6\u6130\u614C\u6643\u6644\u69A5\u6CC1\u6E5F\u6EC9\u6F62\u714C\u749C\u7687\u7BC1\u7C27\u8352\u8757\u9051\u968D\u9EC3\u532F\u56DE\u5EFB\u5F8A\u6062\u6094\u61F7\u6666\u6703\u6A9C\u6DEE\u6FAE\u7070\u736A\u7E6A\u81BE\u8334\u86D4\u8AA8\u8CC4\u5283\u7372\u5B96\u6A6B\u9404\u54EE\u5686\u5B5D\u6548\u6585\u66C9\u689F\u6D8D\u6DC6"], ["fda1", "\u723B\u80B4\u9175\u9A4D\u4FAF\u5019\u539A\u540E\u543C\u5589\u55C5\u5E3F\u5F8C\u673D\u7166\u73DD\u9005\u52DB\u52F3\u5864\u58CE\u7104\u718F\u71FB\u85B0\u8A13\u6688\u85A8\u55A7\u6684\u714A\u8431\u5349\u5599\u6BC1\u5F59\u5FBD\u63EE\u6689\u7147\u8AF1\u8F1D\u9EBE\u4F11\u643A\u70CB\u7566\u8667\u6064\u8B4E\u9DF8\u5147\u51F6\u5308\u6D36\u80F8\u9ED1\u6615\u6B23\u7098\u75D5\u5403\u5C79\u7D07\u8A16\u6B20\u6B3D\u6B46\u5438\u6070\u6D3D\u7FD5\u8208\u50D6\u51DE\u559C\u566B\u56CD\u59EC\u5B09\u5E0C\u6199\u6198\u6231\u665E\u66E6\u7199\u71B9\u71BA\u72A7\u79A7\u7A00\u7FB2\u8A70"]];
    });
    var UO = b((YGe, ePe) => {
      ePe.exports = [["0", "\0", 127], ["a140", "\u3000\uFF0C\u3001\u3002\uFF0E\u2027\uFF1B\uFF1A\uFF1F\uFF01\uFE30\u2026\u2025\uFE50\uFE51\uFE52\xB7\uFE54\uFE55\uFE56\uFE57\uFF5C\u2013\uFE31\u2014\uFE33\u2574\uFE34\uFE4F\uFF08\uFF09\uFE35\uFE36\uFF5B\uFF5D\uFE37\uFE38\u3014\u3015\uFE39\uFE3A\u3010\u3011\uFE3B\uFE3C\u300A\u300B\uFE3D\uFE3E\u3008\u3009\uFE3F\uFE40\u300C\u300D\uFE41\uFE42\u300E\u300F\uFE43\uFE44\uFE59\uFE5A"], ["a1a1", "\uFE5B\uFE5C\uFE5D\uFE5E\u2018\u2019\u201C\u201D\u301D\u301E\u2035\u2032\uFF03\uFF06\uFF0A\u203B\xA7\u3003\u25CB\u25CF\u25B3\u25B2\u25CE\u2606\u2605\u25C7\u25C6\u25A1\u25A0\u25BD\u25BC\u32A3\u2105\xAF\uFFE3\uFF3F\u02CD\uFE49\uFE4A\uFE4D\uFE4E\uFE4B\uFE4C\uFE5F\uFE60\uFE61\uFF0B\uFF0D\xD7\xF7\xB1\u221A\uFF1C\uFF1E\uFF1D\u2266\u2267\u2260\u221E\u2252\u2261\uFE62", 4, "\uFF5E\u2229\u222A\u22A5\u2220\u221F\u22BF\u33D2\u33D1\u222B\u222E\u2235\u2234\u2640\u2642\u2295\u2299\u2191\u2193\u2190\u2192\u2196\u2197\u2199\u2198\u2225\u2223\uFF0F"], ["a240", "\uFF3C\u2215\uFE68\uFF04\uFFE5\u3012\uFFE0\uFFE1\uFF05\uFF20\u2103\u2109\uFE69\uFE6A\uFE6B\u33D5\u339C\u339D\u339E\u33CE\u33A1\u338E\u338F\u33C4\xB0\u5159\u515B\u515E\u515D\u5161\u5163\u55E7\u74E9\u7CCE\u2581", 7, "\u258F\u258E\u258D\u258C\u258B\u258A\u2589\u253C\u2534\u252C\u2524\u251C\u2594\u2500\u2502\u2595\u250C\u2510\u2514\u2518\u256D"], ["a2a1", "\u256E\u2570\u256F\u2550\u255E\u256A\u2561\u25E2\u25E3\u25E5\u25E4\u2571\u2572\u2573\uFF10", 9, "\u2160", 9, "\u3021", 8, "\u5341\u5344\u5345\uFF21", 25, "\uFF41", 21], ["a340", "\uFF57\uFF58\uFF59\uFF5A\u0391", 16, "\u03A3", 6, "\u03B1", 16, "\u03C3", 6, "\u3105", 10], ["a3a1", "\u3110", 25, "\u02D9\u02C9\u02CA\u02C7\u02CB"], ["a3e1", "\u20AC"], ["a440", "\u4E00\u4E59\u4E01\u4E03\u4E43\u4E5D\u4E86\u4E8C\u4EBA\u513F\u5165\u516B\u51E0\u5200\u5201\u529B\u5315\u5341\u535C\u53C8\u4E09\u4E0B\u4E08\u4E0A\u4E2B\u4E38\u51E1\u4E45\u4E48\u4E5F\u4E5E\u4E8E\u4EA1\u5140\u5203\u52FA\u5343\u53C9\u53E3\u571F\u58EB\u5915\u5927\u5973\u5B50\u5B51\u5B53\u5BF8\u5C0F\u5C22\u5C38\u5C71\u5DDD\u5DE5\u5DF1\u5DF2\u5DF3\u5DFE\u5E72\u5EFE\u5F0B\u5F13\u624D"], ["a4a1", "\u4E11\u4E10\u4E0D\u4E2D\u4E30\u4E39\u4E4B\u5C39\u4E88\u4E91\u4E95\u4E92\u4E94\u4EA2\u4EC1\u4EC0\u4EC3\u4EC6\u4EC7\u4ECD\u4ECA\u4ECB\u4EC4\u5143\u5141\u5167\u516D\u516E\u516C\u5197\u51F6\u5206\u5207\u5208\u52FB\u52FE\u52FF\u5316\u5339\u5348\u5347\u5345\u535E\u5384\u53CB\u53CA\u53CD\u58EC\u5929\u592B\u592A\u592D\u5B54\u5C11\u5C24\u5C3A\u5C6F\u5DF4\u5E7B\u5EFF\u5F14\u5F15\u5FC3\u6208\u6236\u624B\u624E\u652F\u6587\u6597\u65A4\u65B9\u65E5\u66F0\u6708\u6728\u6B20\u6B62\u6B79\u6BCB\u6BD4\u6BDB\u6C0F\u6C34\u706B\u722A\u7236\u723B\u7247\u7259\u725B\u72AC\u738B\u4E19"], ["a540", "\u4E16\u4E15\u4E14\u4E18\u4E3B\u4E4D\u4E4F\u4E4E\u4EE5\u4ED8\u4ED4\u4ED5\u4ED6\u4ED7\u4EE3\u4EE4\u4ED9\u4EDE\u5145\u5144\u5189\u518A\u51AC\u51F9\u51FA\u51F8\u520A\u52A0\u529F\u5305\u5306\u5317\u531D\u4EDF\u534A\u5349\u5361\u5360\u536F\u536E\u53BB\u53EF\u53E4\u53F3\u53EC\u53EE\u53E9\u53E8\u53FC\u53F8\u53F5\u53EB\u53E6\u53EA\u53F2\u53F1\u53F0\u53E5\u53ED\u53FB\u56DB\u56DA\u5916"], ["a5a1", "\u592E\u5931\u5974\u5976\u5B55\u5B83\u5C3C\u5DE8\u5DE7\u5DE6\u5E02\u5E03\u5E73\u5E7C\u5F01\u5F18\u5F17\u5FC5\u620A\u6253\u6254\u6252\u6251\u65A5\u65E6\u672E\u672C\u672A\u672B\u672D\u6B63\u6BCD\u6C11\u6C10\u6C38\u6C41\u6C40\u6C3E\u72AF\u7384\u7389\u74DC\u74E6\u7518\u751F\u7528\u7529\u7530\u7531\u7532\u7533\u758B\u767D\u76AE\u76BF\u76EE\u77DB\u77E2\u77F3\u793A\u79BE\u7A74\u7ACB\u4E1E\u4E1F\u4E52\u4E53\u4E69\u4E99\u4EA4\u4EA6\u4EA5\u4EFF\u4F09\u4F19\u4F0A\u4F15\u4F0D\u4F10\u4F11\u4F0F\u4EF2\u4EF6\u4EFB\u4EF0\u4EF3\u4EFD\u4F01\u4F0B\u5149\u5147\u5146\u5148\u5168"], ["a640", "\u5171\u518D\u51B0\u5217\u5211\u5212\u520E\u5216\u52A3\u5308\u5321\u5320\u5370\u5371\u5409\u540F\u540C\u540A\u5410\u5401\u540B\u5404\u5411\u540D\u5408\u5403\u540E\u5406\u5412\u56E0\u56DE\u56DD\u5733\u5730\u5728\u572D\u572C\u572F\u5729\u5919\u591A\u5937\u5938\u5984\u5978\u5983\u597D\u5979\u5982\u5981\u5B57\u5B58\u5B87\u5B88\u5B85\u5B89\u5BFA\u5C16\u5C79\u5DDE\u5E06\u5E76\u5E74"], ["a6a1", "\u5F0F\u5F1B\u5FD9\u5FD6\u620E\u620C\u620D\u6210\u6263\u625B\u6258\u6536\u65E9\u65E8\u65EC\u65ED\u66F2\u66F3\u6709\u673D\u6734\u6731\u6735\u6B21\u6B64\u6B7B\u6C16\u6C5D\u6C57\u6C59\u6C5F\u6C60\u6C50\u6C55\u6C61\u6C5B\u6C4D\u6C4E\u7070\u725F\u725D\u767E\u7AF9\u7C73\u7CF8\u7F36\u7F8A\u7FBD\u8001\u8003\u800C\u8012\u8033\u807F\u8089\u808B\u808C\u81E3\u81EA\u81F3\u81FC\u820C\u821B\u821F\u826E\u8272\u827E\u866B\u8840\u884C\u8863\u897F\u9621\u4E32\u4EA8\u4F4D\u4F4F\u4F47\u4F57\u4F5E\u4F34\u4F5B\u4F55\u4F30\u4F50\u4F51\u4F3D\u4F3A\u4F38\u4F43\u4F54\u4F3C\u4F46\u4F63"], ["a740", "\u4F5C\u4F60\u4F2F\u4F4E\u4F36\u4F59\u4F5D\u4F48\u4F5A\u514C\u514B\u514D\u5175\u51B6\u51B7\u5225\u5224\u5229\u522A\u5228\u52AB\u52A9\u52AA\u52AC\u5323\u5373\u5375\u541D\u542D\u541E\u543E\u5426\u544E\u5427\u5446\u5443\u5433\u5448\u5442\u541B\u5429\u544A\u5439\u543B\u5438\u542E\u5435\u5436\u5420\u543C\u5440\u5431\u542B\u541F\u542C\u56EA\u56F0\u56E4\u56EB\u574A\u5751\u5740\u574D"], ["a7a1", "\u5747\u574E\u573E\u5750\u574F\u573B\u58EF\u593E\u599D\u5992\u59A8\u599E\u59A3\u5999\u5996\u598D\u59A4\u5993\u598A\u59A5\u5B5D\u5B5C\u5B5A\u5B5B\u5B8C\u5B8B\u5B8F\u5C2C\u5C40\u5C41\u5C3F\u5C3E\u5C90\u5C91\u5C94\u5C8C\u5DEB\u5E0C\u5E8F\u5E87\u5E8A\u5EF7\u5F04\u5F1F\u5F64\u5F62\u5F77\u5F79\u5FD8\u5FCC\u5FD7\u5FCD\u5FF1\u5FEB\u5FF8\u5FEA\u6212\u6211\u6284\u6297\u6296\u6280\u6276\u6289\u626D\u628A\u627C\u627E\u6279\u6273\u6292\u626F\u6298\u626E\u6295\u6293\u6291\u6286\u6539\u653B\u6538\u65F1\u66F4\u675F\u674E\u674F\u6750\u6751\u675C\u6756\u675E\u6749\u6746\u6760"], ["a840", "\u6753\u6757\u6B65\u6BCF\u6C42\u6C5E\u6C99\u6C81\u6C88\u6C89\u6C85\u6C9B\u6C6A\u6C7A\u6C90\u6C70\u6C8C\u6C68\u6C96\u6C92\u6C7D\u6C83\u6C72\u6C7E\u6C74\u6C86\u6C76\u6C8D\u6C94\u6C98\u6C82\u7076\u707C\u707D\u7078\u7262\u7261\u7260\u72C4\u72C2\u7396\u752C\u752B\u7537\u7538\u7682\u76EF\u77E3\u79C1\u79C0\u79BF\u7A76\u7CFB\u7F55\u8096\u8093\u809D\u8098\u809B\u809A\u80B2\u826F\u8292"], ["a8a1", "\u828B\u828D\u898B\u89D2\u8A00\u8C37\u8C46\u8C55\u8C9D\u8D64\u8D70\u8DB3\u8EAB\u8ECA\u8F9B\u8FB0\u8FC2\u8FC6\u8FC5\u8FC4\u5DE1\u9091\u90A2\u90AA\u90A6\u90A3\u9149\u91C6\u91CC\u9632\u962E\u9631\u962A\u962C\u4E26\u4E56\u4E73\u4E8B\u4E9B\u4E9E\u4EAB\u4EAC\u4F6F\u4F9D\u4F8D\u4F73\u4F7F\u4F6C\u4F9B\u4F8B\u4F86\u4F83\u4F70\u4F75\u4F88\u4F69\u4F7B\u4F96\u4F7E\u4F8F\u4F91\u4F7A\u5154\u5152\u5155\u5169\u5177\u5176\u5178\u51BD\u51FD\u523B\u5238\u5237\u523A\u5230\u522E\u5236\u5241\u52BE\u52BB\u5352\u5354\u5353\u5351\u5366\u5377\u5378\u5379\u53D6\u53D4\u53D7\u5473\u5475"], ["a940", "\u5496\u5478\u5495\u5480\u547B\u5477\u5484\u5492\u5486\u547C\u5490\u5471\u5476\u548C\u549A\u5462\u5468\u548B\u547D\u548E\u56FA\u5783\u5777\u576A\u5769\u5761\u5766\u5764\u577C\u591C\u5949\u5947\u5948\u5944\u5954\u59BE\u59BB\u59D4\u59B9\u59AE\u59D1\u59C6\u59D0\u59CD\u59CB\u59D3\u59CA\u59AF\u59B3\u59D2\u59C5\u5B5F\u5B64\u5B63\u5B97\u5B9A\u5B98\u5B9C\u5B99\u5B9B\u5C1A\u5C48\u5C45"], ["a9a1", "\u5C46\u5CB7\u5CA1\u5CB8\u5CA9\u5CAB\u5CB1\u5CB3\u5E18\u5E1A\u5E16\u5E15\u5E1B\u5E11\u5E78\u5E9A\u5E97\u5E9C\u5E95\u5E96\u5EF6\u5F26\u5F27\u5F29\u5F80\u5F81\u5F7F\u5F7C\u5FDD\u5FE0\u5FFD\u5FF5\u5FFF\u600F\u6014\u602F\u6035\u6016\u602A\u6015\u6021\u6027\u6029\u602B\u601B\u6216\u6215\u623F\u623E\u6240\u627F\u62C9\u62CC\u62C4\u62BF\u62C2\u62B9\u62D2\u62DB\u62AB\u62D3\u62D4\u62CB\u62C8\u62A8\u62BD\u62BC\u62D0\u62D9\u62C7\u62CD\u62B5\u62DA\u62B1\u62D8\u62D6\u62D7\u62C6\u62AC\u62CE\u653E\u65A7\u65BC\u65FA\u6614\u6613\u660C\u6606\u6602\u660E\u6600\u660F\u6615\u660A"], ["aa40", "\u6607\u670D\u670B\u676D\u678B\u6795\u6771\u679C\u6773\u6777\u6787\u679D\u6797\u676F\u6770\u677F\u6789\u677E\u6790\u6775\u679A\u6793\u677C\u676A\u6772\u6B23\u6B66\u6B67\u6B7F\u6C13\u6C1B\u6CE3\u6CE8\u6CF3\u6CB1\u6CCC\u6CE5\u6CB3\u6CBD\u6CBE\u6CBC\u6CE2\u6CAB\u6CD5\u6CD3\u6CB8\u6CC4\u6CB9\u6CC1\u6CAE\u6CD7\u6CC5\u6CF1\u6CBF\u6CBB\u6CE1\u6CDB\u6CCA\u6CAC\u6CEF\u6CDC\u6CD6\u6CE0"], ["aaa1", "\u7095\u708E\u7092\u708A\u7099\u722C\u722D\u7238\u7248\u7267\u7269\u72C0\u72CE\u72D9\u72D7\u72D0\u73A9\u73A8\u739F\u73AB\u73A5\u753D\u759D\u7599\u759A\u7684\u76C2\u76F2\u76F4\u77E5\u77FD\u793E\u7940\u7941\u79C9\u79C8\u7A7A\u7A79\u7AFA\u7CFE\u7F54\u7F8C\u7F8B\u8005\u80BA\u80A5\u80A2\u80B1\u80A1\u80AB\u80A9\u80B4\u80AA\u80AF\u81E5\u81FE\u820D\u82B3\u829D\u8299\u82AD\u82BD\u829F\u82B9\u82B1\u82AC\u82A5\u82AF\u82B8\u82A3\u82B0\u82BE\u82B7\u864E\u8671\u521D\u8868\u8ECB\u8FCE\u8FD4\u8FD1\u90B5\u90B8\u90B1\u90B6\u91C7\u91D1\u9577\u9580\u961C\u9640\u963F\u963B\u9644"], ["ab40", "\u9642\u96B9\u96E8\u9752\u975E\u4E9F\u4EAD\u4EAE\u4FE1\u4FB5\u4FAF\u4FBF\u4FE0\u4FD1\u4FCF\u4FDD\u4FC3\u4FB6\u4FD8\u4FDF\u4FCA\u4FD7\u4FAE\u4FD0\u4FC4\u4FC2\u4FDA\u4FCE\u4FDE\u4FB7\u5157\u5192\u5191\u51A0\u524E\u5243\u524A\u524D\u524C\u524B\u5247\u52C7\u52C9\u52C3\u52C1\u530D\u5357\u537B\u539A\u53DB\u54AC\u54C0\u54A8\u54CE\u54C9\u54B8\u54A6\u54B3\u54C7\u54C2\u54BD\u54AA\u54C1"], ["aba1", "\u54C4\u54C8\u54AF\u54AB\u54B1\u54BB\u54A9\u54A7\u54BF\u56FF\u5782\u578B\u57A0\u57A3\u57A2\u57CE\u57AE\u5793\u5955\u5951\u594F\u594E\u5950\u59DC\u59D8\u59FF\u59E3\u59E8\u5A03\u59E5\u59EA\u59DA\u59E6\u5A01\u59FB\u5B69\u5BA3\u5BA6\u5BA4\u5BA2\u5BA5\u5C01\u5C4E\u5C4F\u5C4D\u5C4B\u5CD9\u5CD2\u5DF7\u5E1D\u5E25\u5E1F\u5E7D\u5EA0\u5EA6\u5EFA\u5F08\u5F2D\u5F65\u5F88\u5F85\u5F8A\u5F8B\u5F87\u5F8C\u5F89\u6012\u601D\u6020\u6025\u600E\u6028\u604D\u6070\u6068\u6062\u6046\u6043\u606C\u606B\u606A\u6064\u6241\u62DC\u6316\u6309\u62FC\u62ED\u6301\u62EE\u62FD\u6307\u62F1\u62F7"], ["ac40", "\u62EF\u62EC\u62FE\u62F4\u6311\u6302\u653F\u6545\u65AB\u65BD\u65E2\u6625\u662D\u6620\u6627\u662F\u661F\u6628\u6631\u6624\u66F7\u67FF\u67D3\u67F1\u67D4\u67D0\u67EC\u67B6\u67AF\u67F5\u67E9\u67EF\u67C4\u67D1\u67B4\u67DA\u67E5\u67B8\u67CF\u67DE\u67F3\u67B0\u67D9\u67E2\u67DD\u67D2\u6B6A\u6B83\u6B86\u6BB5\u6BD2\u6BD7\u6C1F\u6CC9\u6D0B\u6D32\u6D2A\u6D41\u6D25\u6D0C\u6D31\u6D1E\u6D17"], ["aca1", "\u6D3B\u6D3D\u6D3E\u6D36\u6D1B\u6CF5\u6D39\u6D27\u6D38\u6D29\u6D2E\u6D35\u6D0E\u6D2B\u70AB\u70BA\u70B3\u70AC\u70AF\u70AD\u70B8\u70AE\u70A4\u7230\u7272\u726F\u7274\u72E9\u72E0\u72E1\u73B7\u73CA\u73BB\u73B2\u73CD\u73C0\u73B3\u751A\u752D\u754F\u754C\u754E\u754B\u75AB\u75A4\u75A5\u75A2\u75A3\u7678\u7686\u7687\u7688\u76C8\u76C6\u76C3\u76C5\u7701\u76F9\u76F8\u7709\u770B\u76FE\u76FC\u7707\u77DC\u7802\u7814\u780C\u780D\u7946\u7949\u7948\u7947\u79B9\u79BA\u79D1\u79D2\u79CB\u7A7F\u7A81\u7AFF\u7AFD\u7C7D\u7D02\u7D05\u7D00\u7D09\u7D07\u7D04\u7D06\u7F38\u7F8E\u7FBF\u8004"], ["ad40", "\u8010\u800D\u8011\u8036\u80D6\u80E5\u80DA\u80C3\u80C4\u80CC\u80E1\u80DB\u80CE\u80DE\u80E4\u80DD\u81F4\u8222\u82E7\u8303\u8305\u82E3\u82DB\u82E6\u8304\u82E5\u8302\u8309\u82D2\u82D7\u82F1\u8301\u82DC\u82D4\u82D1\u82DE\u82D3\u82DF\u82EF\u8306\u8650\u8679\u867B\u867A\u884D\u886B\u8981\u89D4\u8A08\u8A02\u8A03\u8C9E\u8CA0\u8D74\u8D73\u8DB4\u8ECD\u8ECC\u8FF0\u8FE6\u8FE2\u8FEA\u8FE5"], ["ada1", "\u8FED\u8FEB\u8FE4\u8FE8\u90CA\u90CE\u90C1\u90C3\u914B\u914A\u91CD\u9582\u9650\u964B\u964C\u964D\u9762\u9769\u97CB\u97ED\u97F3\u9801\u98A8\u98DB\u98DF\u9996\u9999\u4E58\u4EB3\u500C\u500D\u5023\u4FEF\u5026\u5025\u4FF8\u5029\u5016\u5006\u503C\u501F\u501A\u5012\u5011\u4FFA\u5000\u5014\u5028\u4FF1\u5021\u500B\u5019\u5018\u4FF3\u4FEE\u502D\u502A\u4FFE\u502B\u5009\u517C\u51A4\u51A5\u51A2\u51CD\u51CC\u51C6\u51CB\u5256\u525C\u5254\u525B\u525D\u532A\u537F\u539F\u539D\u53DF\u54E8\u5510\u5501\u5537\u54FC\u54E5\u54F2\u5506\u54FA\u5514\u54E9\u54ED\u54E1\u5509\u54EE\u54EA"], ["ae40", "\u54E6\u5527\u5507\u54FD\u550F\u5703\u5704\u57C2\u57D4\u57CB\u57C3\u5809\u590F\u5957\u5958\u595A\u5A11\u5A18\u5A1C\u5A1F\u5A1B\u5A13\u59EC\u5A20\u5A23\u5A29\u5A25\u5A0C\u5A09\u5B6B\u5C58\u5BB0\u5BB3\u5BB6\u5BB4\u5BAE\u5BB5\u5BB9\u5BB8\u5C04\u5C51\u5C55\u5C50\u5CED\u5CFD\u5CFB\u5CEA\u5CE8\u5CF0\u5CF6\u5D01\u5CF4\u5DEE\u5E2D\u5E2B\u5EAB\u5EAD\u5EA7\u5F31\u5F92\u5F91\u5F90\u6059"], ["aea1", "\u6063\u6065\u6050\u6055\u606D\u6069\u606F\u6084\u609F\u609A\u608D\u6094\u608C\u6085\u6096\u6247\u62F3\u6308\u62FF\u634E\u633E\u632F\u6355\u6342\u6346\u634F\u6349\u633A\u6350\u633D\u632A\u632B\u6328\u634D\u634C\u6548\u6549\u6599\u65C1\u65C5\u6642\u6649\u664F\u6643\u6652\u664C\u6645\u6641\u66F8\u6714\u6715\u6717\u6821\u6838\u6848\u6846\u6853\u6839\u6842\u6854\u6829\u68B3\u6817\u684C\u6851\u683D\u67F4\u6850\u6840\u683C\u6843\u682A\u6845\u6813\u6818\u6841\u6B8A\u6B89\u6BB7\u6C23\u6C27\u6C28\u6C26\u6C24\u6CF0\u6D6A\u6D95\u6D88\u6D87\u6D66\u6D78\u6D77\u6D59\u6D93"], ["af40", "\u6D6C\u6D89\u6D6E\u6D5A\u6D74\u6D69\u6D8C\u6D8A\u6D79\u6D85\u6D65\u6D94\u70CA\u70D8\u70E4\u70D9\u70C8\u70CF\u7239\u7279\u72FC\u72F9\u72FD\u72F8\u72F7\u7386\u73ED\u7409\u73EE\u73E0\u73EA\u73DE\u7554\u755D\u755C\u755A\u7559\u75BE\u75C5\u75C7\u75B2\u75B3\u75BD\u75BC\u75B9\u75C2\u75B8\u768B\u76B0\u76CA\u76CD\u76CE\u7729\u771F\u7720\u7728\u77E9\u7830\u7827\u7838\u781D\u7834\u7837"], ["afa1", "\u7825\u782D\u7820\u781F\u7832\u7955\u7950\u7960\u795F\u7956\u795E\u795D\u7957\u795A\u79E4\u79E3\u79E7\u79DF\u79E6\u79E9\u79D8\u7A84\u7A88\u7AD9\u7B06\u7B11\u7C89\u7D21\u7D17\u7D0B\u7D0A\u7D20\u7D22\u7D14\u7D10\u7D15\u7D1A\u7D1C\u7D0D\u7D19\u7D1B\u7F3A\u7F5F\u7F94\u7FC5\u7FC1\u8006\u8018\u8015\u8019\u8017\u803D\u803F\u80F1\u8102\u80F0\u8105\u80ED\u80F4\u8106\u80F8\u80F3\u8108\u80FD\u810A\u80FC\u80EF\u81ED\u81EC\u8200\u8210\u822A\u822B\u8228\u822C\u82BB\u832B\u8352\u8354\u834A\u8338\u8350\u8349\u8335\u8334\u834F\u8332\u8339\u8336\u8317\u8340\u8331\u8328\u8343"], ["b040", "\u8654\u868A\u86AA\u8693\u86A4\u86A9\u868C\u86A3\u869C\u8870\u8877\u8881\u8882\u887D\u8879\u8A18\u8A10\u8A0E\u8A0C\u8A15\u8A0A\u8A17\u8A13\u8A16\u8A0F\u8A11\u8C48\u8C7A\u8C79\u8CA1\u8CA2\u8D77\u8EAC\u8ED2\u8ED4\u8ECF\u8FB1\u9001\u9006\u8FF7\u9000\u8FFA\u8FF4\u9003\u8FFD\u9005\u8FF8\u9095\u90E1\u90DD\u90E2\u9152\u914D\u914C\u91D8\u91DD\u91D7\u91DC\u91D9\u9583\u9662\u9663\u9661"], ["b0a1", "\u965B\u965D\u9664\u9658\u965E\u96BB\u98E2\u99AC\u9AA8\u9AD8\u9B25\u9B32\u9B3C\u4E7E\u507A\u507D\u505C\u5047\u5043\u504C\u505A\u5049\u5065\u5076\u504E\u5055\u5075\u5074\u5077\u504F\u500F\u506F\u506D\u515C\u5195\u51F0\u526A\u526F\u52D2\u52D9\u52D8\u52D5\u5310\u530F\u5319\u533F\u5340\u533E\u53C3\u66FC\u5546\u556A\u5566\u5544\u555E\u5561\u5543\u554A\u5531\u5556\u554F\u5555\u552F\u5564\u5538\u552E\u555C\u552C\u5563\u5533\u5541\u5557\u5708\u570B\u5709\u57DF\u5805\u580A\u5806\u57E0\u57E4\u57FA\u5802\u5835\u57F7\u57F9\u5920\u5962\u5A36\u5A41\u5A49\u5A66\u5A6A\u5A40"], ["b140", "\u5A3C\u5A62\u5A5A\u5A46\u5A4A\u5B70\u5BC7\u5BC5\u5BC4\u5BC2\u5BBF\u5BC6\u5C09\u5C08\u5C07\u5C60\u5C5C\u5C5D\u5D07\u5D06\u5D0E\u5D1B\u5D16\u5D22\u5D11\u5D29\u5D14\u5D19\u5D24\u5D27\u5D17\u5DE2\u5E38\u5E36\u5E33\u5E37\u5EB7\u5EB8\u5EB6\u5EB5\u5EBE\u5F35\u5F37\u5F57\u5F6C\u5F69\u5F6B\u5F97\u5F99\u5F9E\u5F98\u5FA1\u5FA0\u5F9C\u607F\u60A3\u6089\u60A0\u60A8\u60CB\u60B4\u60E6\u60BD"], ["b1a1", "\u60C5\u60BB\u60B5\u60DC\u60BC\u60D8\u60D5\u60C6\u60DF\u60B8\u60DA\u60C7\u621A\u621B\u6248\u63A0\u63A7\u6372\u6396\u63A2\u63A5\u6377\u6367\u6398\u63AA\u6371\u63A9\u6389\u6383\u639B\u636B\u63A8\u6384\u6388\u6399\u63A1\u63AC\u6392\u638F\u6380\u637B\u6369\u6368\u637A\u655D\u6556\u6551\u6559\u6557\u555F\u654F\u6558\u6555\u6554\u659C\u659B\u65AC\u65CF\u65CB\u65CC\u65CE\u665D\u665A\u6664\u6668\u6666\u665E\u66F9\u52D7\u671B\u6881\u68AF\u68A2\u6893\u68B5\u687F\u6876\u68B1\u68A7\u6897\u68B0\u6883\u68C4\u68AD\u6886\u6885\u6894\u689D\u68A8\u689F\u68A1\u6882\u6B32\u6BBA"], ["b240", "\u6BEB\u6BEC\u6C2B\u6D8E\u6DBC\u6DF3\u6DD9\u6DB2\u6DE1\u6DCC\u6DE4\u6DFB\u6DFA\u6E05\u6DC7\u6DCB\u6DAF\u6DD1\u6DAE\u6DDE\u6DF9\u6DB8\u6DF7\u6DF5\u6DC5\u6DD2\u6E1A\u6DB5\u6DDA\u6DEB\u6DD8\u6DEA\u6DF1\u6DEE\u6DE8\u6DC6\u6DC4\u6DAA\u6DEC\u6DBF\u6DE6\u70F9\u7109\u710A\u70FD\u70EF\u723D\u727D\u7281\u731C\u731B\u7316\u7313\u7319\u7387\u7405\u740A\u7403\u7406\u73FE\u740D\u74E0\u74F6"], ["b2a1", "\u74F7\u751C\u7522\u7565\u7566\u7562\u7570\u758F\u75D4\u75D5\u75B5\u75CA\u75CD\u768E\u76D4\u76D2\u76DB\u7737\u773E\u773C\u7736\u7738\u773A\u786B\u7843\u784E\u7965\u7968\u796D\u79FB\u7A92\u7A95\u7B20\u7B28\u7B1B\u7B2C\u7B26\u7B19\u7B1E\u7B2E\u7C92\u7C97\u7C95\u7D46\u7D43\u7D71\u7D2E\u7D39\u7D3C\u7D40\u7D30\u7D33\u7D44\u7D2F\u7D42\u7D32\u7D31\u7F3D\u7F9E\u7F9A\u7FCC\u7FCE\u7FD2\u801C\u804A\u8046\u812F\u8116\u8123\u812B\u8129\u8130\u8124\u8202\u8235\u8237\u8236\u8239\u838E\u839E\u8398\u8378\u83A2\u8396\u83BD\u83AB\u8392\u838A\u8393\u8389\u83A0\u8377\u837B\u837C"], ["b340", "\u8386\u83A7\u8655\u5F6A\u86C7\u86C0\u86B6\u86C4\u86B5\u86C6\u86CB\u86B1\u86AF\u86C9\u8853\u889E\u8888\u88AB\u8892\u8896\u888D\u888B\u8993\u898F\u8A2A\u8A1D\u8A23\u8A25\u8A31\u8A2D\u8A1F\u8A1B\u8A22\u8C49\u8C5A\u8CA9\u8CAC\u8CAB\u8CA8\u8CAA\u8CA7\u8D67\u8D66\u8DBE\u8DBA\u8EDB\u8EDF\u9019\u900D\u901A\u9017\u9023\u901F\u901D\u9010\u9015\u901E\u9020\u900F\u9022\u9016\u901B\u9014"], ["b3a1", "\u90E8\u90ED\u90FD\u9157\u91CE\u91F5\u91E6\u91E3\u91E7\u91ED\u91E9\u9589\u966A\u9675\u9673\u9678\u9670\u9674\u9676\u9677\u966C\u96C0\u96EA\u96E9\u7AE0\u7ADF\u9802\u9803\u9B5A\u9CE5\u9E75\u9E7F\u9EA5\u9EBB\u50A2\u508D\u5085\u5099\u5091\u5080\u5096\u5098\u509A\u6700\u51F1\u5272\u5274\u5275\u5269\u52DE\u52DD\u52DB\u535A\u53A5\u557B\u5580\u55A7\u557C\u558A\u559D\u5598\u5582\u559C\u55AA\u5594\u5587\u558B\u5583\u55B3\u55AE\u559F\u553E\u55B2\u559A\u55BB\u55AC\u55B1\u557E\u5589\u55AB\u5599\u570D\u582F\u582A\u5834\u5824\u5830\u5831\u5821\u581D\u5820\u58F9\u58FA\u5960"], ["b440", "\u5A77\u5A9A\u5A7F\u5A92\u5A9B\u5AA7\u5B73\u5B71\u5BD2\u5BCC\u5BD3\u5BD0\u5C0A\u5C0B\u5C31\u5D4C\u5D50\u5D34\u5D47\u5DFD\u5E45\u5E3D\u5E40\u5E43\u5E7E\u5ECA\u5EC1\u5EC2\u5EC4\u5F3C\u5F6D\u5FA9\u5FAA\u5FA8\u60D1\u60E1\u60B2\u60B6\u60E0\u611C\u6123\u60FA\u6115\u60F0\u60FB\u60F4\u6168\u60F1\u610E\u60F6\u6109\u6100\u6112\u621F\u6249\u63A3\u638C\u63CF\u63C0\u63E9\u63C9\u63C6\u63CD"], ["b4a1", "\u63D2\u63E3\u63D0\u63E1\u63D6\u63ED\u63EE\u6376\u63F4\u63EA\u63DB\u6452\u63DA\u63F9\u655E\u6566\u6562\u6563\u6591\u6590\u65AF\u666E\u6670\u6674\u6676\u666F\u6691\u667A\u667E\u6677\u66FE\u66FF\u671F\u671D\u68FA\u68D5\u68E0\u68D8\u68D7\u6905\u68DF\u68F5\u68EE\u68E7\u68F9\u68D2\u68F2\u68E3\u68CB\u68CD\u690D\u6912\u690E\u68C9\u68DA\u696E\u68FB\u6B3E\u6B3A\u6B3D\u6B98\u6B96\u6BBC\u6BEF\u6C2E\u6C2F\u6C2C\u6E2F\u6E38\u6E54\u6E21\u6E32\u6E67\u6E4A\u6E20\u6E25\u6E23\u6E1B\u6E5B\u6E58\u6E24\u6E56\u6E6E\u6E2D\u6E26\u6E6F\u6E34\u6E4D\u6E3A\u6E2C\u6E43\u6E1D\u6E3E\u6ECB"], ["b540", "\u6E89\u6E19\u6E4E\u6E63\u6E44\u6E72\u6E69\u6E5F\u7119\u711A\u7126\u7130\u7121\u7136\u716E\u711C\u724C\u7284\u7280\u7336\u7325\u7334\u7329\u743A\u742A\u7433\u7422\u7425\u7435\u7436\u7434\u742F\u741B\u7426\u7428\u7525\u7526\u756B\u756A\u75E2\u75DB\u75E3\u75D9\u75D8\u75DE\u75E0\u767B\u767C\u7696\u7693\u76B4\u76DC\u774F\u77ED\u785D\u786C\u786F\u7A0D\u7A08\u7A0B\u7A05\u7A00\u7A98"], ["b5a1", "\u7A97\u7A96\u7AE5\u7AE3\u7B49\u7B56\u7B46\u7B50\u7B52\u7B54\u7B4D\u7B4B\u7B4F\u7B51\u7C9F\u7CA5\u7D5E\u7D50\u7D68\u7D55\u7D2B\u7D6E\u7D72\u7D61\u7D66\u7D62\u7D70\u7D73\u5584\u7FD4\u7FD5\u800B\u8052\u8085\u8155\u8154\u814B\u8151\u814E\u8139\u8146\u813E\u814C\u8153\u8174\u8212\u821C\u83E9\u8403\u83F8\u840D\u83E0\u83C5\u840B\u83C1\u83EF\u83F1\u83F4\u8457\u840A\u83F0\u840C\u83CC\u83FD\u83F2\u83CA\u8438\u840E\u8404\u83DC\u8407\u83D4\u83DF\u865B\u86DF\u86D9\u86ED\u86D4\u86DB\u86E4\u86D0\u86DE\u8857\u88C1\u88C2\u88B1\u8983\u8996\u8A3B\u8A60\u8A55\u8A5E\u8A3C\u8A41"], ["b640", "\u8A54\u8A5B\u8A50\u8A46\u8A34\u8A3A\u8A36\u8A56\u8C61\u8C82\u8CAF\u8CBC\u8CB3\u8CBD\u8CC1\u8CBB\u8CC0\u8CB4\u8CB7\u8CB6\u8CBF\u8CB8\u8D8A\u8D85\u8D81\u8DCE\u8DDD\u8DCB\u8DDA\u8DD1\u8DCC\u8DDB\u8DC6\u8EFB\u8EF8\u8EFC\u8F9C\u902E\u9035\u9031\u9038\u9032\u9036\u9102\u90F5\u9109\u90FE\u9163\u9165\u91CF\u9214\u9215\u9223\u9209\u921E\u920D\u9210\u9207\u9211\u9594\u958F\u958B\u9591"], ["b6a1", "\u9593\u9592\u958E\u968A\u968E\u968B\u967D\u9685\u9686\u968D\u9672\u9684\u96C1\u96C5\u96C4\u96C6\u96C7\u96EF\u96F2\u97CC\u9805\u9806\u9808\u98E7\u98EA\u98EF\u98E9\u98F2\u98ED\u99AE\u99AD\u9EC3\u9ECD\u9ED1\u4E82\u50AD\u50B5\u50B2\u50B3\u50C5\u50BE\u50AC\u50B7\u50BB\u50AF\u50C7\u527F\u5277\u527D\u52DF\u52E6\u52E4\u52E2\u52E3\u532F\u55DF\u55E8\u55D3\u55E6\u55CE\u55DC\u55C7\u55D1\u55E3\u55E4\u55EF\u55DA\u55E1\u55C5\u55C6\u55E5\u55C9\u5712\u5713\u585E\u5851\u5858\u5857\u585A\u5854\u586B\u584C\u586D\u584A\u5862\u5852\u584B\u5967\u5AC1\u5AC9\u5ACC\u5ABE\u5ABD\u5ABC"], ["b740", "\u5AB3\u5AC2\u5AB2\u5D69\u5D6F\u5E4C\u5E79\u5EC9\u5EC8\u5F12\u5F59\u5FAC\u5FAE\u611A\u610F\u6148\u611F\u60F3\u611B\u60F9\u6101\u6108\u614E\u614C\u6144\u614D\u613E\u6134\u6127\u610D\u6106\u6137\u6221\u6222\u6413\u643E\u641E\u642A\u642D\u643D\u642C\u640F\u641C\u6414\u640D\u6436\u6416\u6417\u6406\u656C\u659F\u65B0\u6697\u6689\u6687\u6688\u6696\u6684\u6698\u668D\u6703\u6994\u696D"], ["b7a1", "\u695A\u6977\u6960\u6954\u6975\u6930\u6982\u694A\u6968\u696B\u695E\u6953\u6979\u6986\u695D\u6963\u695B\u6B47\u6B72\u6BC0\u6BBF\u6BD3\u6BFD\u6EA2\u6EAF\u6ED3\u6EB6\u6EC2\u6E90\u6E9D\u6EC7\u6EC5\u6EA5\u6E98\u6EBC\u6EBA\u6EAB\u6ED1\u6E96\u6E9C\u6EC4\u6ED4\u6EAA\u6EA7\u6EB4\u714E\u7159\u7169\u7164\u7149\u7167\u715C\u716C\u7166\u714C\u7165\u715E\u7146\u7168\u7156\u723A\u7252\u7337\u7345\u733F\u733E\u746F\u745A\u7455\u745F\u745E\u7441\u743F\u7459\u745B\u745C\u7576\u7578\u7600\u75F0\u7601\u75F2\u75F1\u75FA\u75FF\u75F4\u75F3\u76DE\u76DF\u775B\u776B\u7766\u775E\u7763"], ["b840", "\u7779\u776A\u776C\u775C\u7765\u7768\u7762\u77EE\u788E\u78B0\u7897\u7898\u788C\u7889\u787C\u7891\u7893\u787F\u797A\u797F\u7981\u842C\u79BD\u7A1C\u7A1A\u7A20\u7A14\u7A1F\u7A1E\u7A9F\u7AA0\u7B77\u7BC0\u7B60\u7B6E\u7B67\u7CB1\u7CB3\u7CB5\u7D93\u7D79\u7D91\u7D81\u7D8F\u7D5B\u7F6E\u7F69\u7F6A\u7F72\u7FA9\u7FA8\u7FA4\u8056\u8058\u8086\u8084\u8171\u8170\u8178\u8165\u816E\u8173\u816B"], ["b8a1", "\u8179\u817A\u8166\u8205\u8247\u8482\u8477\u843D\u8431\u8475\u8466\u846B\u8449\u846C\u845B\u843C\u8435\u8461\u8463\u8469\u846D\u8446\u865E\u865C\u865F\u86F9\u8713\u8708\u8707\u8700\u86FE\u86FB\u8702\u8703\u8706\u870A\u8859\u88DF\u88D4\u88D9\u88DC\u88D8\u88DD\u88E1\u88CA\u88D5\u88D2\u899C\u89E3\u8A6B\u8A72\u8A73\u8A66\u8A69\u8A70\u8A87\u8A7C\u8A63\u8AA0\u8A71\u8A85\u8A6D\u8A62\u8A6E\u8A6C\u8A79\u8A7B\u8A3E\u8A68\u8C62\u8C8A\u8C89\u8CCA\u8CC7\u8CC8\u8CC4\u8CB2\u8CC3\u8CC2\u8CC5\u8DE1\u8DDF\u8DE8\u8DEF\u8DF3\u8DFA\u8DEA\u8DE4\u8DE6\u8EB2\u8F03\u8F09\u8EFE\u8F0A"], ["b940", "\u8F9F\u8FB2\u904B\u904A\u9053\u9042\u9054\u903C\u9055\u9050\u9047\u904F\u904E\u904D\u9051\u903E\u9041\u9112\u9117\u916C\u916A\u9169\u91C9\u9237\u9257\u9238\u923D\u9240\u923E\u925B\u924B\u9264\u9251\u9234\u9249\u924D\u9245\u9239\u923F\u925A\u9598\u9698\u9694\u9695\u96CD\u96CB\u96C9\u96CA\u96F7\u96FB\u96F9\u96F6\u9756\u9774\u9776\u9810\u9811\u9813\u980A\u9812\u980C\u98FC\u98F4"], ["b9a1", "\u98FD\u98FE\u99B3\u99B1\u99B4\u9AE1\u9CE9\u9E82\u9F0E\u9F13\u9F20\u50E7\u50EE\u50E5\u50D6\u50ED\u50DA\u50D5\u50CF\u50D1\u50F1\u50CE\u50E9\u5162\u51F3\u5283\u5282\u5331\u53AD\u55FE\u5600\u561B\u5617\u55FD\u5614\u5606\u5609\u560D\u560E\u55F7\u5616\u561F\u5608\u5610\u55F6\u5718\u5716\u5875\u587E\u5883\u5893\u588A\u5879\u5885\u587D\u58FD\u5925\u5922\u5924\u596A\u5969\u5AE1\u5AE6\u5AE9\u5AD7\u5AD6\u5AD8\u5AE3\u5B75\u5BDE\u5BE7\u5BE1\u5BE5\u5BE6\u5BE8\u5BE2\u5BE4\u5BDF\u5C0D\u5C62\u5D84\u5D87\u5E5B\u5E63\u5E55\u5E57\u5E54\u5ED3\u5ED6\u5F0A\u5F46\u5F70\u5FB9\u6147"], ["ba40", "\u613F\u614B\u6177\u6162\u6163\u615F\u615A\u6158\u6175\u622A\u6487\u6458\u6454\u64A4\u6478\u645F\u647A\u6451\u6467\u6434\u646D\u647B\u6572\u65A1\u65D7\u65D6\u66A2\u66A8\u669D\u699C\u69A8\u6995\u69C1\u69AE\u69D3\u69CB\u699B\u69B7\u69BB\u69AB\u69B4\u69D0\u69CD\u69AD\u69CC\u69A6\u69C3\u69A3\u6B49\u6B4C\u6C33\u6F33\u6F14\u6EFE\u6F13\u6EF4\u6F29\u6F3E\u6F20\u6F2C\u6F0F\u6F02\u6F22"], ["baa1", "\u6EFF\u6EEF\u6F06\u6F31\u6F38\u6F32\u6F23\u6F15\u6F2B\u6F2F\u6F88\u6F2A\u6EEC\u6F01\u6EF2\u6ECC\u6EF7\u7194\u7199\u717D\u718A\u7184\u7192\u723E\u7292\u7296\u7344\u7350\u7464\u7463\u746A\u7470\u746D\u7504\u7591\u7627\u760D\u760B\u7609\u7613\u76E1\u76E3\u7784\u777D\u777F\u7761\u78C1\u789F\u78A7\u78B3\u78A9\u78A3\u798E\u798F\u798D\u7A2E\u7A31\u7AAA\u7AA9\u7AED\u7AEF\u7BA1\u7B95\u7B8B\u7B75\u7B97\u7B9D\u7B94\u7B8F\u7BB8\u7B87\u7B84\u7CB9\u7CBD\u7CBE\u7DBB\u7DB0\u7D9C\u7DBD\u7DBE\u7DA0\u7DCA\u7DB4\u7DB2\u7DB1\u7DBA\u7DA2\u7DBF\u7DB5\u7DB8\u7DAD\u7DD2\u7DC7\u7DAC"], ["bb40", "\u7F70\u7FE0\u7FE1\u7FDF\u805E\u805A\u8087\u8150\u8180\u818F\u8188\u818A\u817F\u8182\u81E7\u81FA\u8207\u8214\u821E\u824B\u84C9\u84BF\u84C6\u84C4\u8499\u849E\u84B2\u849C\u84CB\u84B8\u84C0\u84D3\u8490\u84BC\u84D1\u84CA\u873F\u871C\u873B\u8722\u8725\u8734\u8718\u8755\u8737\u8729\u88F3\u8902\u88F4\u88F9\u88F8\u88FD\u88E8\u891A\u88EF\u8AA6\u8A8C\u8A9E\u8AA3\u8A8D\u8AA1\u8A93\u8AA4"], ["bba1", "\u8AAA\u8AA5\u8AA8\u8A98\u8A91\u8A9A\u8AA7\u8C6A\u8C8D\u8C8C\u8CD3\u8CD1\u8CD2\u8D6B\u8D99\u8D95\u8DFC\u8F14\u8F12\u8F15\u8F13\u8FA3\u9060\u9058\u905C\u9063\u9059\u905E\u9062\u905D\u905B\u9119\u9118\u911E\u9175\u9178\u9177\u9174\u9278\u9280\u9285\u9298\u9296\u927B\u9293\u929C\u92A8\u927C\u9291\u95A1\u95A8\u95A9\u95A3\u95A5\u95A4\u9699\u969C\u969B\u96CC\u96D2\u9700\u977C\u9785\u97F6\u9817\u9818\u98AF\u98B1\u9903\u9905\u990C\u9909\u99C1\u9AAF\u9AB0\u9AE6\u9B41\u9B42\u9CF4\u9CF6\u9CF3\u9EBC\u9F3B\u9F4A\u5104\u5100\u50FB\u50F5\u50F9\u5102\u5108\u5109\u5105\u51DC"], ["bc40", "\u5287\u5288\u5289\u528D\u528A\u52F0\u53B2\u562E\u563B\u5639\u5632\u563F\u5634\u5629\u5653\u564E\u5657\u5674\u5636\u562F\u5630\u5880\u589F\u589E\u58B3\u589C\u58AE\u58A9\u58A6\u596D\u5B09\u5AFB\u5B0B\u5AF5\u5B0C\u5B08\u5BEE\u5BEC\u5BE9\u5BEB\u5C64\u5C65\u5D9D\u5D94\u5E62\u5E5F\u5E61\u5EE2\u5EDA\u5EDF\u5EDD\u5EE3\u5EE0\u5F48\u5F71\u5FB7\u5FB5\u6176\u6167\u616E\u615D\u6155\u6182"], ["bca1", "\u617C\u6170\u616B\u617E\u61A7\u6190\u61AB\u618E\u61AC\u619A\u61A4\u6194\u61AE\u622E\u6469\u646F\u6479\u649E\u64B2\u6488\u6490\u64B0\u64A5\u6493\u6495\u64A9\u6492\u64AE\u64AD\u64AB\u649A\u64AC\u6499\u64A2\u64B3\u6575\u6577\u6578\u66AE\u66AB\u66B4\u66B1\u6A23\u6A1F\u69E8\u6A01\u6A1E\u6A19\u69FD\u6A21\u6A13\u6A0A\u69F3\u6A02\u6A05\u69ED\u6A11\u6B50\u6B4E\u6BA4\u6BC5\u6BC6\u6F3F\u6F7C\u6F84\u6F51\u6F66\u6F54\u6F86\u6F6D\u6F5B\u6F78\u6F6E\u6F8E\u6F7A\u6F70\u6F64\u6F97\u6F58\u6ED5\u6F6F\u6F60\u6F5F\u719F\u71AC\u71B1\u71A8\u7256\u729B\u734E\u7357\u7469\u748B\u7483"], ["bd40", "\u747E\u7480\u757F\u7620\u7629\u761F\u7624\u7626\u7621\u7622\u769A\u76BA\u76E4\u778E\u7787\u778C\u7791\u778B\u78CB\u78C5\u78BA\u78CA\u78BE\u78D5\u78BC\u78D0\u7A3F\u7A3C\u7A40\u7A3D\u7A37\u7A3B\u7AAF\u7AAE\u7BAD\u7BB1\u7BC4\u7BB4\u7BC6\u7BC7\u7BC1\u7BA0\u7BCC\u7CCA\u7DE0\u7DF4\u7DEF\u7DFB\u7DD8\u7DEC\u7DDD\u7DE8\u7DE3\u7DDA\u7DDE\u7DE9\u7D9E\u7DD9\u7DF2\u7DF9\u7F75\u7F77\u7FAF"], ["bda1", "\u7FE9\u8026\u819B\u819C\u819D\u81A0\u819A\u8198\u8517\u853D\u851A\u84EE\u852C\u852D\u8513\u8511\u8523\u8521\u8514\u84EC\u8525\u84FF\u8506\u8782\u8774\u8776\u8760\u8766\u8778\u8768\u8759\u8757\u874C\u8753\u885B\u885D\u8910\u8907\u8912\u8913\u8915\u890A\u8ABC\u8AD2\u8AC7\u8AC4\u8A95\u8ACB\u8AF8\u8AB2\u8AC9\u8AC2\u8ABF\u8AB0\u8AD6\u8ACD\u8AB6\u8AB9\u8ADB\u8C4C\u8C4E\u8C6C\u8CE0\u8CDE\u8CE6\u8CE4\u8CEC\u8CED\u8CE2\u8CE3\u8CDC\u8CEA\u8CE1\u8D6D\u8D9F\u8DA3\u8E2B\u8E10\u8E1D\u8E22\u8E0F\u8E29\u8E1F\u8E21\u8E1E\u8EBA\u8F1D\u8F1B\u8F1F\u8F29\u8F26\u8F2A\u8F1C\u8F1E"], ["be40", "\u8F25\u9069\u906E\u9068\u906D\u9077\u9130\u912D\u9127\u9131\u9187\u9189\u918B\u9183\u92C5\u92BB\u92B7\u92EA\u92AC\u92E4\u92C1\u92B3\u92BC\u92D2\u92C7\u92F0\u92B2\u95AD\u95B1\u9704\u9706\u9707\u9709\u9760\u978D\u978B\u978F\u9821\u982B\u981C\u98B3\u990A\u9913\u9912\u9918\u99DD\u99D0\u99DF\u99DB\u99D1\u99D5\u99D2\u99D9\u9AB7\u9AEE\u9AEF\u9B27\u9B45\u9B44\u9B77\u9B6F\u9D06\u9D09"], ["bea1", "\u9D03\u9EA9\u9EBE\u9ECE\u58A8\u9F52\u5112\u5118\u5114\u5110\u5115\u5180\u51AA\u51DD\u5291\u5293\u52F3\u5659\u566B\u5679\u5669\u5664\u5678\u566A\u5668\u5665\u5671\u566F\u566C\u5662\u5676\u58C1\u58BE\u58C7\u58C5\u596E\u5B1D\u5B34\u5B78\u5BF0\u5C0E\u5F4A\u61B2\u6191\u61A9\u618A\u61CD\u61B6\u61BE\u61CA\u61C8\u6230\u64C5\u64C1\u64CB\u64BB\u64BC\u64DA\u64C4\u64C7\u64C2\u64CD\u64BF\u64D2\u64D4\u64BE\u6574\u66C6\u66C9\u66B9\u66C4\u66C7\u66B8\u6A3D\u6A38\u6A3A\u6A59\u6A6B\u6A58\u6A39\u6A44\u6A62\u6A61\u6A4B\u6A47\u6A35\u6A5F\u6A48\u6B59\u6B77\u6C05\u6FC2\u6FB1\u6FA1"], ["bf40", "\u6FC3\u6FA4\u6FC1\u6FA7\u6FB3\u6FC0\u6FB9\u6FB6\u6FA6\u6FA0\u6FB4\u71BE\u71C9\u71D0\u71D2\u71C8\u71D5\u71B9\u71CE\u71D9\u71DC\u71C3\u71C4\u7368\u749C\u74A3\u7498\u749F\u749E\u74E2\u750C\u750D\u7634\u7638\u763A\u76E7\u76E5\u77A0\u779E\u779F\u77A5\u78E8\u78DA\u78EC\u78E7\u79A6\u7A4D\u7A4E\u7A46\u7A4C\u7A4B\u7ABA\u7BD9\u7C11\u7BC9\u7BE4\u7BDB\u7BE1\u7BE9\u7BE6\u7CD5\u7CD6\u7E0A"], ["bfa1", "\u7E11\u7E08\u7E1B\u7E23\u7E1E\u7E1D\u7E09\u7E10\u7F79\u7FB2\u7FF0\u7FF1\u7FEE\u8028\u81B3\u81A9\u81A8\u81FB\u8208\u8258\u8259\u854A\u8559\u8548\u8568\u8569\u8543\u8549\u856D\u856A\u855E\u8783\u879F\u879E\u87A2\u878D\u8861\u892A\u8932\u8925\u892B\u8921\u89AA\u89A6\u8AE6\u8AFA\u8AEB\u8AF1\u8B00\u8ADC\u8AE7\u8AEE\u8AFE\u8B01\u8B02\u8AF7\u8AED\u8AF3\u8AF6\u8AFC\u8C6B\u8C6D\u8C93\u8CF4\u8E44\u8E31\u8E34\u8E42\u8E39\u8E35\u8F3B\u8F2F\u8F38\u8F33\u8FA8\u8FA6\u9075\u9074\u9078\u9072\u907C\u907A\u9134\u9192\u9320\u9336\u92F8\u9333\u932F\u9322\u92FC\u932B\u9304\u931A"], ["c040", "\u9310\u9326\u9321\u9315\u932E\u9319\u95BB\u96A7\u96A8\u96AA\u96D5\u970E\u9711\u9716\u970D\u9713\u970F\u975B\u975C\u9766\u9798\u9830\u9838\u983B\u9837\u982D\u9839\u9824\u9910\u9928\u991E\u991B\u9921\u991A\u99ED\u99E2\u99F1\u9AB8\u9ABC\u9AFB\u9AED\u9B28\u9B91\u9D15\u9D23\u9D26\u9D28\u9D12\u9D1B\u9ED8\u9ED4\u9F8D\u9F9C\u512A\u511F\u5121\u5132\u52F5\u568E\u5680\u5690\u5685\u5687"], ["c0a1", "\u568F\u58D5\u58D3\u58D1\u58CE\u5B30\u5B2A\u5B24\u5B7A\u5C37\u5C68\u5DBC\u5DBA\u5DBD\u5DB8\u5E6B\u5F4C\u5FBD\u61C9\u61C2\u61C7\u61E6\u61CB\u6232\u6234\u64CE\u64CA\u64D8\u64E0\u64F0\u64E6\u64EC\u64F1\u64E2\u64ED\u6582\u6583\u66D9\u66D6\u6A80\u6A94\u6A84\u6AA2\u6A9C\u6ADB\u6AA3\u6A7E\u6A97\u6A90\u6AA0\u6B5C\u6BAE\u6BDA\u6C08\u6FD8\u6FF1\u6FDF\u6FE0\u6FDB\u6FE4\u6FEB\u6FEF\u6F80\u6FEC\u6FE1\u6FE9\u6FD5\u6FEE\u6FF0\u71E7\u71DF\u71EE\u71E6\u71E5\u71ED\u71EC\u71F4\u71E0\u7235\u7246\u7370\u7372\u74A9\u74B0\u74A6\u74A8\u7646\u7642\u764C\u76EA\u77B3\u77AA\u77B0\u77AC"], ["c140", "\u77A7\u77AD\u77EF\u78F7\u78FA\u78F4\u78EF\u7901\u79A7\u79AA\u7A57\u7ABF\u7C07\u7C0D\u7BFE\u7BF7\u7C0C\u7BE0\u7CE0\u7CDC\u7CDE\u7CE2\u7CDF\u7CD9\u7CDD\u7E2E\u7E3E\u7E46\u7E37\u7E32\u7E43\u7E2B\u7E3D\u7E31\u7E45\u7E41\u7E34\u7E39\u7E48\u7E35\u7E3F\u7E2F\u7F44\u7FF3\u7FFC\u8071\u8072\u8070\u806F\u8073\u81C6\u81C3\u81BA\u81C2\u81C0\u81BF\u81BD\u81C9\u81BE\u81E8\u8209\u8271\u85AA"], ["c1a1", "\u8584\u857E\u859C\u8591\u8594\u85AF\u859B\u8587\u85A8\u858A\u8667\u87C0\u87D1\u87B3\u87D2\u87C6\u87AB\u87BB\u87BA\u87C8\u87CB\u893B\u8936\u8944\u8938\u893D\u89AC\u8B0E\u8B17\u8B19\u8B1B\u8B0A\u8B20\u8B1D\u8B04\u8B10\u8C41\u8C3F\u8C73\u8CFA\u8CFD\u8CFC\u8CF8\u8CFB\u8DA8\u8E49\u8E4B\u8E48\u8E4A\u8F44\u8F3E\u8F42\u8F45\u8F3F\u907F\u907D\u9084\u9081\u9082\u9080\u9139\u91A3\u919E\u919C\u934D\u9382\u9328\u9375\u934A\u9365\u934B\u9318\u937E\u936C\u935B\u9370\u935A\u9354\u95CA\u95CB\u95CC\u95C8\u95C6\u96B1\u96B8\u96D6\u971C\u971E\u97A0\u97D3\u9846\u98B6\u9935\u9A01"], ["c240", "\u99FF\u9BAE\u9BAB\u9BAA\u9BAD\u9D3B\u9D3F\u9E8B\u9ECF\u9EDE\u9EDC\u9EDD\u9EDB\u9F3E\u9F4B\u53E2\u5695\u56AE\u58D9\u58D8\u5B38\u5F5D\u61E3\u6233\u64F4\u64F2\u64FE\u6506\u64FA\u64FB\u64F7\u65B7\u66DC\u6726\u6AB3\u6AAC\u6AC3\u6ABB\u6AB8\u6AC2\u6AAE\u6AAF\u6B5F\u6B78\u6BAF\u7009\u700B\u6FFE\u7006\u6FFA\u7011\u700F\u71FB\u71FC\u71FE\u71F8\u7377\u7375\u74A7\u74BF\u7515\u7656\u7658"], ["c2a1", "\u7652\u77BD\u77BF\u77BB\u77BC\u790E\u79AE\u7A61\u7A62\u7A60\u7AC4\u7AC5\u7C2B\u7C27\u7C2A\u7C1E\u7C23\u7C21\u7CE7\u7E54\u7E55\u7E5E\u7E5A\u7E61\u7E52\u7E59\u7F48\u7FF9\u7FFB\u8077\u8076\u81CD\u81CF\u820A\u85CF\u85A9\u85CD\u85D0\u85C9\u85B0\u85BA\u85B9\u85A6\u87EF\u87EC\u87F2\u87E0\u8986\u89B2\u89F4\u8B28\u8B39\u8B2C\u8B2B\u8C50\u8D05\u8E59\u8E63\u8E66\u8E64\u8E5F\u8E55\u8EC0\u8F49\u8F4D\u9087\u9083\u9088\u91AB\u91AC\u91D0\u9394\u938A\u9396\u93A2\u93B3\u93AE\u93AC\u93B0\u9398\u939A\u9397\u95D4\u95D6\u95D0\u95D5\u96E2\u96DC\u96D9\u96DB\u96DE\u9724\u97A3\u97A6"], ["c340", "\u97AD\u97F9\u984D\u984F\u984C\u984E\u9853\u98BA\u993E\u993F\u993D\u992E\u99A5\u9A0E\u9AC1\u9B03\u9B06\u9B4F\u9B4E\u9B4D\u9BCA\u9BC9\u9BFD\u9BC8\u9BC0\u9D51\u9D5D\u9D60\u9EE0\u9F15\u9F2C\u5133\u56A5\u58DE\u58DF\u58E2\u5BF5\u9F90\u5EEC\u61F2\u61F7\u61F6\u61F5\u6500\u650F\u66E0\u66DD\u6AE5\u6ADD\u6ADA\u6AD3\u701B\u701F\u7028\u701A\u701D\u7015\u7018\u7206\u720D\u7258\u72A2\u7378"], ["c3a1", "\u737A\u74BD\u74CA\u74E3\u7587\u7586\u765F\u7661\u77C7\u7919\u79B1\u7A6B\u7A69\u7C3E\u7C3F\u7C38\u7C3D\u7C37\u7C40\u7E6B\u7E6D\u7E79\u7E69\u7E6A\u7F85\u7E73\u7FB6\u7FB9\u7FB8\u81D8\u85E9\u85DD\u85EA\u85D5\u85E4\u85E5\u85F7\u87FB\u8805\u880D\u87F9\u87FE\u8960\u895F\u8956\u895E\u8B41\u8B5C\u8B58\u8B49\u8B5A\u8B4E\u8B4F\u8B46\u8B59\u8D08\u8D0A\u8E7C\u8E72\u8E87\u8E76\u8E6C\u8E7A\u8E74\u8F54\u8F4E\u8FAD\u908A\u908B\u91B1\u91AE\u93E1\u93D1\u93DF\u93C3\u93C8\u93DC\u93DD\u93D6\u93E2\u93CD\u93D8\u93E4\u93D7\u93E8\u95DC\u96B4\u96E3\u972A\u9727\u9761\u97DC\u97FB\u985E"], ["c440", "\u9858\u985B\u98BC\u9945\u9949\u9A16\u9A19\u9B0D\u9BE8\u9BE7\u9BD6\u9BDB\u9D89\u9D61\u9D72\u9D6A\u9D6C\u9E92\u9E97\u9E93\u9EB4\u52F8\u56A8\u56B7\u56B6\u56B4\u56BC\u58E4\u5B40\u5B43\u5B7D\u5BF6\u5DC9\u61F8\u61FA\u6518\u6514\u6519\u66E6\u6727\u6AEC\u703E\u7030\u7032\u7210\u737B\u74CF\u7662\u7665\u7926\u792A\u792C\u792B\u7AC7\u7AF6\u7C4C\u7C43\u7C4D\u7CEF\u7CF0\u8FAE\u7E7D\u7E7C"], ["c4a1", "\u7E82\u7F4C\u8000\u81DA\u8266\u85FB\u85F9\u8611\u85FA\u8606\u860B\u8607\u860A\u8814\u8815\u8964\u89BA\u89F8\u8B70\u8B6C\u8B66\u8B6F\u8B5F\u8B6B\u8D0F\u8D0D\u8E89\u8E81\u8E85\u8E82\u91B4\u91CB\u9418\u9403\u93FD\u95E1\u9730\u98C4\u9952\u9951\u99A8\u9A2B\u9A30\u9A37\u9A35\u9C13\u9C0D\u9E79\u9EB5\u9EE8\u9F2F\u9F5F\u9F63\u9F61\u5137\u5138\u56C1\u56C0\u56C2\u5914\u5C6C\u5DCD\u61FC\u61FE\u651D\u651C\u6595\u66E9\u6AFB\u6B04\u6AFA\u6BB2\u704C\u721B\u72A7\u74D6\u74D4\u7669\u77D3\u7C50\u7E8F\u7E8C\u7FBC\u8617\u862D\u861A\u8823\u8822\u8821\u881F\u896A\u896C\u89BD\u8B74"], ["c540", "\u8B77\u8B7D\u8D13\u8E8A\u8E8D\u8E8B\u8F5F\u8FAF\u91BA\u942E\u9433\u9435\u943A\u9438\u9432\u942B\u95E2\u9738\u9739\u9732\u97FF\u9867\u9865\u9957\u9A45\u9A43\u9A40\u9A3E\u9ACF\u9B54\u9B51\u9C2D\u9C25\u9DAF\u9DB4\u9DC2\u9DB8\u9E9D\u9EEF\u9F19\u9F5C\u9F66\u9F67\u513C\u513B\u56C8\u56CA\u56C9\u5B7F\u5DD4\u5DD2\u5F4E\u61FF\u6524\u6B0A\u6B61\u7051\u7058\u7380\u74E4\u758A\u766E\u766C"], ["c5a1", "\u79B3\u7C60\u7C5F\u807E\u807D\u81DF\u8972\u896F\u89FC\u8B80\u8D16\u8D17\u8E91\u8E93\u8F61\u9148\u9444\u9451\u9452\u973D\u973E\u97C3\u97C1\u986B\u9955\u9A55\u9A4D\u9AD2\u9B1A\u9C49\u9C31\u9C3E\u9C3B\u9DD3\u9DD7\u9F34\u9F6C\u9F6A\u9F94\u56CC\u5DD6\u6200\u6523\u652B\u652A\u66EC\u6B10\u74DA\u7ACA\u7C64\u7C63\u7C65\u7E93\u7E96\u7E94\u81E2\u8638\u863F\u8831\u8B8A\u9090\u908F\u9463\u9460\u9464\u9768\u986F\u995C\u9A5A\u9A5B\u9A57\u9AD3\u9AD4\u9AD1\u9C54\u9C57\u9C56\u9DE5\u9E9F\u9EF4\u56D1\u58E9\u652C\u705E\u7671\u7672\u77D7\u7F50\u7F88\u8836\u8839\u8862\u8B93\u8B92"], ["c640", "\u8B96\u8277\u8D1B\u91C0\u946A\u9742\u9748\u9744\u97C6\u9870\u9A5F\u9B22\u9B58\u9C5F\u9DF9\u9DFA\u9E7C\u9E7D\u9F07\u9F77\u9F72\u5EF3\u6B16\u7063\u7C6C\u7C6E\u883B\u89C0\u8EA1\u91C1\u9472\u9470\u9871\u995E\u9AD6\u9B23\u9ECC\u7064\u77DA\u8B9A\u9477\u97C9\u9A62\u9A65\u7E9C\u8B9C\u8EAA\u91C5\u947D\u947E\u947C\u9C77\u9C78\u9EF7\u8C54\u947F\u9E1A\u7228\u9A6A\u9B31\u9E1B\u9E1E\u7C72"], ["c940", "\u4E42\u4E5C\u51F5\u531A\u5382\u4E07\u4E0C\u4E47\u4E8D\u56D7\uFA0C\u5C6E\u5F73\u4E0F\u5187\u4E0E\u4E2E\u4E93\u4EC2\u4EC9\u4EC8\u5198\u52FC\u536C\u53B9\u5720\u5903\u592C\u5C10\u5DFF\u65E1\u6BB3\u6BCC\u6C14\u723F\u4E31\u4E3C\u4EE8\u4EDC\u4EE9\u4EE1\u4EDD\u4EDA\u520C\u531C\u534C\u5722\u5723\u5917\u592F\u5B81\u5B84\u5C12\u5C3B\u5C74\u5C73\u5E04\u5E80\u5E82\u5FC9\u6209\u6250\u6C15"], ["c9a1", "\u6C36\u6C43\u6C3F\u6C3B\u72AE\u72B0\u738A\u79B8\u808A\u961E\u4F0E\u4F18\u4F2C\u4EF5\u4F14\u4EF1\u4F00\u4EF7\u4F08\u4F1D\u4F02\u4F05\u4F22\u4F13\u4F04\u4EF4\u4F12\u51B1\u5213\u5209\u5210\u52A6\u5322\u531F\u534D\u538A\u5407\u56E1\u56DF\u572E\u572A\u5734\u593C\u5980\u597C\u5985\u597B\u597E\u5977\u597F\u5B56\u5C15\u5C25\u5C7C\u5C7A\u5C7B\u5C7E\u5DDF\u5E75\u5E84\u5F02\u5F1A\u5F74\u5FD5\u5FD4\u5FCF\u625C\u625E\u6264\u6261\u6266\u6262\u6259\u6260\u625A\u6265\u65EF\u65EE\u673E\u6739\u6738\u673B\u673A\u673F\u673C\u6733\u6C18\u6C46\u6C52\u6C5C\u6C4F\u6C4A\u6C54\u6C4B"], ["ca40", "\u6C4C\u7071\u725E\u72B4\u72B5\u738E\u752A\u767F\u7A75\u7F51\u8278\u827C\u8280\u827D\u827F\u864D\u897E\u9099\u9097\u9098\u909B\u9094\u9622\u9624\u9620\u9623\u4F56\u4F3B\u4F62\u4F49\u4F53\u4F64\u4F3E\u4F67\u4F52\u4F5F\u4F41\u4F58\u4F2D\u4F33\u4F3F\u4F61\u518F\u51B9\u521C\u521E\u5221\u52AD\u52AE\u5309\u5363\u5372\u538E\u538F\u5430\u5437\u542A\u5454\u5445\u5419\u541C\u5425\u5418"], ["caa1", "\u543D\u544F\u5441\u5428\u5424\u5447\u56EE\u56E7\u56E5\u5741\u5745\u574C\u5749\u574B\u5752\u5906\u5940\u59A6\u5998\u59A0\u5997\u598E\u59A2\u5990\u598F\u59A7\u59A1\u5B8E\u5B92\u5C28\u5C2A\u5C8D\u5C8F\u5C88\u5C8B\u5C89\u5C92\u5C8A\u5C86\u5C93\u5C95\u5DE0\u5E0A\u5E0E\u5E8B\u5E89\u5E8C\u5E88\u5E8D\u5F05\u5F1D\u5F78\u5F76\u5FD2\u5FD1\u5FD0\u5FED\u5FE8\u5FEE\u5FF3\u5FE1\u5FE4\u5FE3\u5FFA\u5FEF\u5FF7\u5FFB\u6000\u5FF4\u623A\u6283\u628C\u628E\u628F\u6294\u6287\u6271\u627B\u627A\u6270\u6281\u6288\u6277\u627D\u6272\u6274\u6537\u65F0\u65F4\u65F3\u65F2\u65F5\u6745\u6747"], ["cb40", "\u6759\u6755\u674C\u6748\u675D\u674D\u675A\u674B\u6BD0\u6C19\u6C1A\u6C78\u6C67\u6C6B\u6C84\u6C8B\u6C8F\u6C71\u6C6F\u6C69\u6C9A\u6C6D\u6C87\u6C95\u6C9C\u6C66\u6C73\u6C65\u6C7B\u6C8E\u7074\u707A\u7263\u72BF\u72BD\u72C3\u72C6\u72C1\u72BA\u72C5\u7395\u7397\u7393\u7394\u7392\u753A\u7539\u7594\u7595\u7681\u793D\u8034\u8095\u8099\u8090\u8092\u809C\u8290\u828F\u8285\u828E\u8291\u8293"], ["cba1", "\u828A\u8283\u8284\u8C78\u8FC9\u8FBF\u909F\u90A1\u90A5\u909E\u90A7\u90A0\u9630\u9628\u962F\u962D\u4E33\u4F98\u4F7C\u4F85\u4F7D\u4F80\u4F87\u4F76\u4F74\u4F89\u4F84\u4F77\u4F4C\u4F97\u4F6A\u4F9A\u4F79\u4F81\u4F78\u4F90\u4F9C\u4F94\u4F9E\u4F92\u4F82\u4F95\u4F6B\u4F6E\u519E\u51BC\u51BE\u5235\u5232\u5233\u5246\u5231\u52BC\u530A\u530B\u533C\u5392\u5394\u5487\u547F\u5481\u5491\u5482\u5488\u546B\u547A\u547E\u5465\u546C\u5474\u5466\u548D\u546F\u5461\u5460\u5498\u5463\u5467\u5464\u56F7\u56F9\u576F\u5772\u576D\u576B\u5771\u5770\u5776\u5780\u5775\u577B\u5773\u5774\u5762"], ["cc40", "\u5768\u577D\u590C\u5945\u59B5\u59BA\u59CF\u59CE\u59B2\u59CC\u59C1\u59B6\u59BC\u59C3\u59D6\u59B1\u59BD\u59C0\u59C8\u59B4\u59C7\u5B62\u5B65\u5B93\u5B95\u5C44\u5C47\u5CAE\u5CA4\u5CA0\u5CB5\u5CAF\u5CA8\u5CAC\u5C9F\u5CA3\u5CAD\u5CA2\u5CAA\u5CA7\u5C9D\u5CA5\u5CB6\u5CB0\u5CA6\u5E17\u5E14\u5E19\u5F28\u5F22\u5F23\u5F24\u5F54\u5F82\u5F7E\u5F7D\u5FDE\u5FE5\u602D\u6026\u6019\u6032\u600B"], ["cca1", "\u6034\u600A\u6017\u6033\u601A\u601E\u602C\u6022\u600D\u6010\u602E\u6013\u6011\u600C\u6009\u601C\u6214\u623D\u62AD\u62B4\u62D1\u62BE\u62AA\u62B6\u62CA\u62AE\u62B3\u62AF\u62BB\u62A9\u62B0\u62B8\u653D\u65A8\u65BB\u6609\u65FC\u6604\u6612\u6608\u65FB\u6603\u660B\u660D\u6605\u65FD\u6611\u6610\u66F6\u670A\u6785\u676C\u678E\u6792\u6776\u677B\u6798\u6786\u6784\u6774\u678D\u678C\u677A\u679F\u6791\u6799\u6783\u677D\u6781\u6778\u6779\u6794\u6B25\u6B80\u6B7E\u6BDE\u6C1D\u6C93\u6CEC\u6CEB\u6CEE\u6CD9\u6CB6\u6CD4\u6CAD\u6CE7\u6CB7\u6CD0\u6CC2\u6CBA\u6CC3\u6CC6\u6CED\u6CF2"], ["cd40", "\u6CD2\u6CDD\u6CB4\u6C8A\u6C9D\u6C80\u6CDE\u6CC0\u6D30\u6CCD\u6CC7\u6CB0\u6CF9\u6CCF\u6CE9\u6CD1\u7094\u7098\u7085\u7093\u7086\u7084\u7091\u7096\u7082\u709A\u7083\u726A\u72D6\u72CB\u72D8\u72C9\u72DC\u72D2\u72D4\u72DA\u72CC\u72D1\u73A4\u73A1\u73AD\u73A6\u73A2\u73A0\u73AC\u739D\u74DD\u74E8\u753F\u7540\u753E\u758C\u7598\u76AF\u76F3\u76F1\u76F0\u76F5\u77F8\u77FC\u77F9\u77FB\u77FA"], ["cda1", "\u77F7\u7942\u793F\u79C5\u7A78\u7A7B\u7AFB\u7C75\u7CFD\u8035\u808F\u80AE\u80A3\u80B8\u80B5\u80AD\u8220\u82A0\u82C0\u82AB\u829A\u8298\u829B\u82B5\u82A7\u82AE\u82BC\u829E\u82BA\u82B4\u82A8\u82A1\u82A9\u82C2\u82A4\u82C3\u82B6\u82A2\u8670\u866F\u866D\u866E\u8C56\u8FD2\u8FCB\u8FD3\u8FCD\u8FD6\u8FD5\u8FD7\u90B2\u90B4\u90AF\u90B3\u90B0\u9639\u963D\u963C\u963A\u9643\u4FCD\u4FC5\u4FD3\u4FB2\u4FC9\u4FCB\u4FC1\u4FD4\u4FDC\u4FD9\u4FBB\u4FB3\u4FDB\u4FC7\u4FD6\u4FBA\u4FC0\u4FB9\u4FEC\u5244\u5249\u52C0\u52C2\u533D\u537C\u5397\u5396\u5399\u5398\u54BA\u54A1\u54AD\u54A5\u54CF"], ["ce40", "\u54C3\u830D\u54B7\u54AE\u54D6\u54B6\u54C5\u54C6\u54A0\u5470\u54BC\u54A2\u54BE\u5472\u54DE\u54B0\u57B5\u579E\u579F\u57A4\u578C\u5797\u579D\u579B\u5794\u5798\u578F\u5799\u57A5\u579A\u5795\u58F4\u590D\u5953\u59E1\u59DE\u59EE\u5A00\u59F1\u59DD\u59FA\u59FD\u59FC\u59F6\u59E4\u59F2\u59F7\u59DB\u59E9\u59F3\u59F5\u59E0\u59FE\u59F4\u59ED\u5BA8\u5C4C\u5CD0\u5CD8\u5CCC\u5CD7\u5CCB\u5CDB"], ["cea1", "\u5CDE\u5CDA\u5CC9\u5CC7\u5CCA\u5CD6\u5CD3\u5CD4\u5CCF\u5CC8\u5CC6\u5CCE\u5CDF\u5CF8\u5DF9\u5E21\u5E22\u5E23\u5E20\u5E24\u5EB0\u5EA4\u5EA2\u5E9B\u5EA3\u5EA5\u5F07\u5F2E\u5F56\u5F86\u6037\u6039\u6054\u6072\u605E\u6045\u6053\u6047\u6049\u605B\u604C\u6040\u6042\u605F\u6024\u6044\u6058\u6066\u606E\u6242\u6243\u62CF\u630D\u630B\u62F5\u630E\u6303\u62EB\u62F9\u630F\u630C\u62F8\u62F6\u6300\u6313\u6314\u62FA\u6315\u62FB\u62F0\u6541\u6543\u65AA\u65BF\u6636\u6621\u6632\u6635\u661C\u6626\u6622\u6633\u662B\u663A\u661D\u6634\u6639\u662E\u670F\u6710\u67C1\u67F2\u67C8\u67BA"], ["cf40", "\u67DC\u67BB\u67F8\u67D8\u67C0\u67B7\u67C5\u67EB\u67E4\u67DF\u67B5\u67CD\u67B3\u67F7\u67F6\u67EE\u67E3\u67C2\u67B9\u67CE\u67E7\u67F0\u67B2\u67FC\u67C6\u67ED\u67CC\u67AE\u67E6\u67DB\u67FA\u67C9\u67CA\u67C3\u67EA\u67CB\u6B28\u6B82\u6B84\u6BB6\u6BD6\u6BD8\u6BE0\u6C20\u6C21\u6D28\u6D34\u6D2D\u6D1F\u6D3C\u6D3F\u6D12\u6D0A\u6CDA\u6D33\u6D04\u6D19\u6D3A\u6D1A\u6D11\u6D00\u6D1D\u6D42"], ["cfa1", "\u6D01\u6D18\u6D37\u6D03\u6D0F\u6D40\u6D07\u6D20\u6D2C\u6D08\u6D22\u6D09\u6D10\u70B7\u709F\u70BE\u70B1\u70B0\u70A1\u70B4\u70B5\u70A9\u7241\u7249\u724A\u726C\u7270\u7273\u726E\u72CA\u72E4\u72E8\u72EB\u72DF\u72EA\u72E6\u72E3\u7385\u73CC\u73C2\u73C8\u73C5\u73B9\u73B6\u73B5\u73B4\u73EB\u73BF\u73C7\u73BE\u73C3\u73C6\u73B8\u73CB\u74EC\u74EE\u752E\u7547\u7548\u75A7\u75AA\u7679\u76C4\u7708\u7703\u7704\u7705\u770A\u76F7\u76FB\u76FA\u77E7\u77E8\u7806\u7811\u7812\u7805\u7810\u780F\u780E\u7809\u7803\u7813\u794A\u794C\u794B\u7945\u7944\u79D5\u79CD\u79CF\u79D6\u79CE\u7A80"], ["d040", "\u7A7E\u7AD1\u7B00\u7B01\u7C7A\u7C78\u7C79\u7C7F\u7C80\u7C81\u7D03\u7D08\u7D01\u7F58\u7F91\u7F8D\u7FBE\u8007\u800E\u800F\u8014\u8037\u80D8\u80C7\u80E0\u80D1\u80C8\u80C2\u80D0\u80C5\u80E3\u80D9\u80DC\u80CA\u80D5\u80C9\u80CF\u80D7\u80E6\u80CD\u81FF\u8221\u8294\u82D9\u82FE\u82F9\u8307\u82E8\u8300\u82D5\u833A\u82EB\u82D6\u82F4\u82EC\u82E1\u82F2\u82F5\u830C\u82FB\u82F6\u82F0\u82EA"], ["d0a1", "\u82E4\u82E0\u82FA\u82F3\u82ED\u8677\u8674\u867C\u8673\u8841\u884E\u8867\u886A\u8869\u89D3\u8A04\u8A07\u8D72\u8FE3\u8FE1\u8FEE\u8FE0\u90F1\u90BD\u90BF\u90D5\u90C5\u90BE\u90C7\u90CB\u90C8\u91D4\u91D3\u9654\u964F\u9651\u9653\u964A\u964E\u501E\u5005\u5007\u5013\u5022\u5030\u501B\u4FF5\u4FF4\u5033\u5037\u502C\u4FF6\u4FF7\u5017\u501C\u5020\u5027\u5035\u502F\u5031\u500E\u515A\u5194\u5193\u51CA\u51C4\u51C5\u51C8\u51CE\u5261\u525A\u5252\u525E\u525F\u5255\u5262\u52CD\u530E\u539E\u5526\u54E2\u5517\u5512\u54E7\u54F3\u54E4\u551A\u54FF\u5504\u5508\u54EB\u5511\u5505\u54F1"], ["d140", "\u550A\u54FB\u54F7\u54F8\u54E0\u550E\u5503\u550B\u5701\u5702\u57CC\u5832\u57D5\u57D2\u57BA\u57C6\u57BD\u57BC\u57B8\u57B6\u57BF\u57C7\u57D0\u57B9\u57C1\u590E\u594A\u5A19\u5A16\u5A2D\u5A2E\u5A15\u5A0F\u5A17\u5A0A\u5A1E\u5A33\u5B6C\u5BA7\u5BAD\u5BAC\u5C03\u5C56\u5C54\u5CEC\u5CFF\u5CEE\u5CF1\u5CF7\u5D00\u5CF9\u5E29\u5E28\u5EA8\u5EAE\u5EAA\u5EAC\u5F33\u5F30\u5F67\u605D\u605A\u6067"], ["d1a1", "\u6041\u60A2\u6088\u6080\u6092\u6081\u609D\u6083\u6095\u609B\u6097\u6087\u609C\u608E\u6219\u6246\u62F2\u6310\u6356\u632C\u6344\u6345\u6336\u6343\u63E4\u6339\u634B\u634A\u633C\u6329\u6341\u6334\u6358\u6354\u6359\u632D\u6347\u6333\u635A\u6351\u6338\u6357\u6340\u6348\u654A\u6546\u65C6\u65C3\u65C4\u65C2\u664A\u665F\u6647\u6651\u6712\u6713\u681F\u681A\u6849\u6832\u6833\u683B\u684B\u684F\u6816\u6831\u681C\u6835\u682B\u682D\u682F\u684E\u6844\u6834\u681D\u6812\u6814\u6826\u6828\u682E\u684D\u683A\u6825\u6820\u6B2C\u6B2F\u6B2D\u6B31\u6B34\u6B6D\u8082\u6B88\u6BE6\u6BE4"], ["d240", "\u6BE8\u6BE3\u6BE2\u6BE7\u6C25\u6D7A\u6D63\u6D64\u6D76\u6D0D\u6D61\u6D92\u6D58\u6D62\u6D6D\u6D6F\u6D91\u6D8D\u6DEF\u6D7F\u6D86\u6D5E\u6D67\u6D60\u6D97\u6D70\u6D7C\u6D5F\u6D82\u6D98\u6D2F\u6D68\u6D8B\u6D7E\u6D80\u6D84\u6D16\u6D83\u6D7B\u6D7D\u6D75\u6D90\u70DC\u70D3\u70D1\u70DD\u70CB\u7F39\u70E2\u70D7\u70D2\u70DE\u70E0\u70D4\u70CD\u70C5\u70C6\u70C7\u70DA\u70CE\u70E1\u7242\u7278"], ["d2a1", "\u7277\u7276\u7300\u72FA\u72F4\u72FE\u72F6\u72F3\u72FB\u7301\u73D3\u73D9\u73E5\u73D6\u73BC\u73E7\u73E3\u73E9\u73DC\u73D2\u73DB\u73D4\u73DD\u73DA\u73D7\u73D8\u73E8\u74DE\u74DF\u74F4\u74F5\u7521\u755B\u755F\u75B0\u75C1\u75BB\u75C4\u75C0\u75BF\u75B6\u75BA\u768A\u76C9\u771D\u771B\u7710\u7713\u7712\u7723\u7711\u7715\u7719\u771A\u7722\u7727\u7823\u782C\u7822\u7835\u782F\u7828\u782E\u782B\u7821\u7829\u7833\u782A\u7831\u7954\u795B\u794F\u795C\u7953\u7952\u7951\u79EB\u79EC\u79E0\u79EE\u79ED\u79EA\u79DC\u79DE\u79DD\u7A86\u7A89\u7A85\u7A8B\u7A8C\u7A8A\u7A87\u7AD8\u7B10"], ["d340", "\u7B04\u7B13\u7B05\u7B0F\u7B08\u7B0A\u7B0E\u7B09\u7B12\u7C84\u7C91\u7C8A\u7C8C\u7C88\u7C8D\u7C85\u7D1E\u7D1D\u7D11\u7D0E\u7D18\u7D16\u7D13\u7D1F\u7D12\u7D0F\u7D0C\u7F5C\u7F61\u7F5E\u7F60\u7F5D\u7F5B\u7F96\u7F92\u7FC3\u7FC2\u7FC0\u8016\u803E\u8039\u80FA\u80F2\u80F9\u80F5\u8101\u80FB\u8100\u8201\u822F\u8225\u8333\u832D\u8344\u8319\u8351\u8325\u8356\u833F\u8341\u8326\u831C\u8322"], ["d3a1", "\u8342\u834E\u831B\u832A\u8308\u833C\u834D\u8316\u8324\u8320\u8337\u832F\u8329\u8347\u8345\u834C\u8353\u831E\u832C\u834B\u8327\u8348\u8653\u8652\u86A2\u86A8\u8696\u868D\u8691\u869E\u8687\u8697\u8686\u868B\u869A\u8685\u86A5\u8699\u86A1\u86A7\u8695\u8698\u868E\u869D\u8690\u8694\u8843\u8844\u886D\u8875\u8876\u8872\u8880\u8871\u887F\u886F\u8883\u887E\u8874\u887C\u8A12\u8C47\u8C57\u8C7B\u8CA4\u8CA3\u8D76\u8D78\u8DB5\u8DB7\u8DB6\u8ED1\u8ED3\u8FFE\u8FF5\u9002\u8FFF\u8FFB\u9004\u8FFC\u8FF6\u90D6\u90E0\u90D9\u90DA\u90E3\u90DF\u90E5\u90D8\u90DB\u90D7\u90DC\u90E4\u9150"], ["d440", "\u914E\u914F\u91D5\u91E2\u91DA\u965C\u965F\u96BC\u98E3\u9ADF\u9B2F\u4E7F\u5070\u506A\u5061\u505E\u5060\u5053\u504B\u505D\u5072\u5048\u504D\u5041\u505B\u504A\u5062\u5015\u5045\u505F\u5069\u506B\u5063\u5064\u5046\u5040\u506E\u5073\u5057\u5051\u51D0\u526B\u526D\u526C\u526E\u52D6\u52D3\u532D\u539C\u5575\u5576\u553C\u554D\u5550\u5534\u552A\u5551\u5562\u5536\u5535\u5530\u5552\u5545"], ["d4a1", "\u550C\u5532\u5565\u554E\u5539\u5548\u552D\u553B\u5540\u554B\u570A\u5707\u57FB\u5814\u57E2\u57F6\u57DC\u57F4\u5800\u57ED\u57FD\u5808\u57F8\u580B\u57F3\u57CF\u5807\u57EE\u57E3\u57F2\u57E5\u57EC\u57E1\u580E\u57FC\u5810\u57E7\u5801\u580C\u57F1\u57E9\u57F0\u580D\u5804\u595C\u5A60\u5A58\u5A55\u5A67\u5A5E\u5A38\u5A35\u5A6D\u5A50\u5A5F\u5A65\u5A6C\u5A53\u5A64\u5A57\u5A43\u5A5D\u5A52\u5A44\u5A5B\u5A48\u5A8E\u5A3E\u5A4D\u5A39\u5A4C\u5A70\u5A69\u5A47\u5A51\u5A56\u5A42\u5A5C\u5B72\u5B6E\u5BC1\u5BC0\u5C59\u5D1E\u5D0B\u5D1D\u5D1A\u5D20\u5D0C\u5D28\u5D0D\u5D26\u5D25\u5D0F"], ["d540", "\u5D30\u5D12\u5D23\u5D1F\u5D2E\u5E3E\u5E34\u5EB1\u5EB4\u5EB9\u5EB2\u5EB3\u5F36\u5F38\u5F9B\u5F96\u5F9F\u608A\u6090\u6086\u60BE\u60B0\u60BA\u60D3\u60D4\u60CF\u60E4\u60D9\u60DD\u60C8\u60B1\u60DB\u60B7\u60CA\u60BF\u60C3\u60CD\u60C0\u6332\u6365\u638A\u6382\u637D\u63BD\u639E\u63AD\u639D\u6397\u63AB\u638E\u636F\u6387\u6390\u636E\u63AF\u6375\u639C\u636D\u63AE\u637C\u63A4\u633B\u639F"], ["d5a1", "\u6378\u6385\u6381\u6391\u638D\u6370\u6553\u65CD\u6665\u6661\u665B\u6659\u665C\u6662\u6718\u6879\u6887\u6890\u689C\u686D\u686E\u68AE\u68AB\u6956\u686F\u68A3\u68AC\u68A9\u6875\u6874\u68B2\u688F\u6877\u6892\u687C\u686B\u6872\u68AA\u6880\u6871\u687E\u689B\u6896\u688B\u68A0\u6889\u68A4\u6878\u687B\u6891\u688C\u688A\u687D\u6B36\u6B33\u6B37\u6B38\u6B91\u6B8F\u6B8D\u6B8E\u6B8C\u6C2A\u6DC0\u6DAB\u6DB4\u6DB3\u6E74\u6DAC\u6DE9\u6DE2\u6DB7\u6DF6\u6DD4\u6E00\u6DC8\u6DE0\u6DDF\u6DD6\u6DBE\u6DE5\u6DDC\u6DDD\u6DDB\u6DF4\u6DCA\u6DBD\u6DED\u6DF0\u6DBA\u6DD5\u6DC2\u6DCF\u6DC9"], ["d640", "\u6DD0\u6DF2\u6DD3\u6DFD\u6DD7\u6DCD\u6DE3\u6DBB\u70FA\u710D\u70F7\u7117\u70F4\u710C\u70F0\u7104\u70F3\u7110\u70FC\u70FF\u7106\u7113\u7100\u70F8\u70F6\u710B\u7102\u710E\u727E\u727B\u727C\u727F\u731D\u7317\u7307\u7311\u7318\u730A\u7308\u72FF\u730F\u731E\u7388\u73F6\u73F8\u73F5\u7404\u7401\u73FD\u7407\u7400\u73FA\u73FC\u73FF\u740C\u740B\u73F4\u7408\u7564\u7563\u75CE\u75D2\u75CF"], ["d6a1", "\u75CB\u75CC\u75D1\u75D0\u768F\u7689\u76D3\u7739\u772F\u772D\u7731\u7732\u7734\u7733\u773D\u7725\u773B\u7735\u7848\u7852\u7849\u784D\u784A\u784C\u7826\u7845\u7850\u7964\u7967\u7969\u796A\u7963\u796B\u7961\u79BB\u79FA\u79F8\u79F6\u79F7\u7A8F\u7A94\u7A90\u7B35\u7B47\u7B34\u7B25\u7B30\u7B22\u7B24\u7B33\u7B18\u7B2A\u7B1D\u7B31\u7B2B\u7B2D\u7B2F\u7B32\u7B38\u7B1A\u7B23\u7C94\u7C98\u7C96\u7CA3\u7D35\u7D3D\u7D38\u7D36\u7D3A\u7D45\u7D2C\u7D29\u7D41\u7D47\u7D3E\u7D3F\u7D4A\u7D3B\u7D28\u7F63\u7F95\u7F9C\u7F9D\u7F9B\u7FCA\u7FCB\u7FCD\u7FD0\u7FD1\u7FC7\u7FCF\u7FC9\u801F"], ["d740", "\u801E\u801B\u8047\u8043\u8048\u8118\u8125\u8119\u811B\u812D\u811F\u812C\u811E\u8121\u8115\u8127\u811D\u8122\u8211\u8238\u8233\u823A\u8234\u8232\u8274\u8390\u83A3\u83A8\u838D\u837A\u8373\u83A4\u8374\u838F\u8381\u8395\u8399\u8375\u8394\u83A9\u837D\u8383\u838C\u839D\u839B\u83AA\u838B\u837E\u83A5\u83AF\u8388\u8397\u83B0\u837F\u83A6\u8387\u83AE\u8376\u839A\u8659\u8656\u86BF\u86B7"], ["d7a1", "\u86C2\u86C1\u86C5\u86BA\u86B0\u86C8\u86B9\u86B3\u86B8\u86CC\u86B4\u86BB\u86BC\u86C3\u86BD\u86BE\u8852\u8889\u8895\u88A8\u88A2\u88AA\u889A\u8891\u88A1\u889F\u8898\u88A7\u8899\u889B\u8897\u88A4\u88AC\u888C\u8893\u888E\u8982\u89D6\u89D9\u89D5\u8A30\u8A27\u8A2C\u8A1E\u8C39\u8C3B\u8C5C\u8C5D\u8C7D\u8CA5\u8D7D\u8D7B\u8D79\u8DBC\u8DC2\u8DB9\u8DBF\u8DC1\u8ED8\u8EDE\u8EDD\u8EDC\u8ED7\u8EE0\u8EE1\u9024\u900B\u9011\u901C\u900C\u9021\u90EF\u90EA\u90F0\u90F4\u90F2\u90F3\u90D4\u90EB\u90EC\u90E9\u9156\u9158\u915A\u9153\u9155\u91EC\u91F4\u91F1\u91F3\u91F8\u91E4\u91F9\u91EA"], ["d840", "\u91EB\u91F7\u91E8\u91EE\u957A\u9586\u9588\u967C\u966D\u966B\u9671\u966F\u96BF\u976A\u9804\u98E5\u9997\u509B\u5095\u5094\u509E\u508B\u50A3\u5083\u508C\u508E\u509D\u5068\u509C\u5092\u5082\u5087\u515F\u51D4\u5312\u5311\u53A4\u53A7\u5591\u55A8\u55A5\u55AD\u5577\u5645\u55A2\u5593\u5588\u558F\u55B5\u5581\u55A3\u5592\u55A4\u557D\u558C\u55A6\u557F\u5595\u55A1\u558E\u570C\u5829\u5837"], ["d8a1", "\u5819\u581E\u5827\u5823\u5828\u57F5\u5848\u5825\u581C\u581B\u5833\u583F\u5836\u582E\u5839\u5838\u582D\u582C\u583B\u5961\u5AAF\u5A94\u5A9F\u5A7A\u5AA2\u5A9E\u5A78\u5AA6\u5A7C\u5AA5\u5AAC\u5A95\u5AAE\u5A37\u5A84\u5A8A\u5A97\u5A83\u5A8B\u5AA9\u5A7B\u5A7D\u5A8C\u5A9C\u5A8F\u5A93\u5A9D\u5BEA\u5BCD\u5BCB\u5BD4\u5BD1\u5BCA\u5BCE\u5C0C\u5C30\u5D37\u5D43\u5D6B\u5D41\u5D4B\u5D3F\u5D35\u5D51\u5D4E\u5D55\u5D33\u5D3A\u5D52\u5D3D\u5D31\u5D59\u5D42\u5D39\u5D49\u5D38\u5D3C\u5D32\u5D36\u5D40\u5D45\u5E44\u5E41\u5F58\u5FA6\u5FA5\u5FAB\u60C9\u60B9\u60CC\u60E2\u60CE\u60C4\u6114"], ["d940", "\u60F2\u610A\u6116\u6105\u60F5\u6113\u60F8\u60FC\u60FE\u60C1\u6103\u6118\u611D\u6110\u60FF\u6104\u610B\u624A\u6394\u63B1\u63B0\u63CE\u63E5\u63E8\u63EF\u63C3\u649D\u63F3\u63CA\u63E0\u63F6\u63D5\u63F2\u63F5\u6461\u63DF\u63BE\u63DD\u63DC\u63C4\u63D8\u63D3\u63C2\u63C7\u63CC\u63CB\u63C8\u63F0\u63D7\u63D9\u6532\u6567\u656A\u6564\u655C\u6568\u6565\u658C\u659D\u659E\u65AE\u65D0\u65D2"], ["d9a1", "\u667C\u666C\u667B\u6680\u6671\u6679\u666A\u6672\u6701\u690C\u68D3\u6904\u68DC\u692A\u68EC\u68EA\u68F1\u690F\u68D6\u68F7\u68EB\u68E4\u68F6\u6913\u6910\u68F3\u68E1\u6907\u68CC\u6908\u6970\u68B4\u6911\u68EF\u68C6\u6914\u68F8\u68D0\u68FD\u68FC\u68E8\u690B\u690A\u6917\u68CE\u68C8\u68DD\u68DE\u68E6\u68F4\u68D1\u6906\u68D4\u68E9\u6915\u6925\u68C7\u6B39\u6B3B\u6B3F\u6B3C\u6B94\u6B97\u6B99\u6B95\u6BBD\u6BF0\u6BF2\u6BF3\u6C30\u6DFC\u6E46\u6E47\u6E1F\u6E49\u6E88\u6E3C\u6E3D\u6E45\u6E62\u6E2B\u6E3F\u6E41\u6E5D\u6E73\u6E1C\u6E33\u6E4B\u6E40\u6E51\u6E3B\u6E03\u6E2E\u6E5E"], ["da40", "\u6E68\u6E5C\u6E61\u6E31\u6E28\u6E60\u6E71\u6E6B\u6E39\u6E22\u6E30\u6E53\u6E65\u6E27\u6E78\u6E64\u6E77\u6E55\u6E79\u6E52\u6E66\u6E35\u6E36\u6E5A\u7120\u711E\u712F\u70FB\u712E\u7131\u7123\u7125\u7122\u7132\u711F\u7128\u713A\u711B\u724B\u725A\u7288\u7289\u7286\u7285\u728B\u7312\u730B\u7330\u7322\u7331\u7333\u7327\u7332\u732D\u7326\u7323\u7335\u730C\u742E\u742C\u7430\u742B\u7416"], ["daa1", "\u741A\u7421\u742D\u7431\u7424\u7423\u741D\u7429\u7420\u7432\u74FB\u752F\u756F\u756C\u75E7\u75DA\u75E1\u75E6\u75DD\u75DF\u75E4\u75D7\u7695\u7692\u76DA\u7746\u7747\u7744\u774D\u7745\u774A\u774E\u774B\u774C\u77DE\u77EC\u7860\u7864\u7865\u785C\u786D\u7871\u786A\u786E\u7870\u7869\u7868\u785E\u7862\u7974\u7973\u7972\u7970\u7A02\u7A0A\u7A03\u7A0C\u7A04\u7A99\u7AE6\u7AE4\u7B4A\u7B3B\u7B44\u7B48\u7B4C\u7B4E\u7B40\u7B58\u7B45\u7CA2\u7C9E\u7CA8\u7CA1\u7D58\u7D6F\u7D63\u7D53\u7D56\u7D67\u7D6A\u7D4F\u7D6D\u7D5C\u7D6B\u7D52\u7D54\u7D69\u7D51\u7D5F\u7D4E\u7F3E\u7F3F\u7F65"], ["db40", "\u7F66\u7FA2\u7FA0\u7FA1\u7FD7\u8051\u804F\u8050\u80FE\u80D4\u8143\u814A\u8152\u814F\u8147\u813D\u814D\u813A\u81E6\u81EE\u81F7\u81F8\u81F9\u8204\u823C\u823D\u823F\u8275\u833B\u83CF\u83F9\u8423\u83C0\u83E8\u8412\u83E7\u83E4\u83FC\u83F6\u8410\u83C6\u83C8\u83EB\u83E3\u83BF\u8401\u83DD\u83E5\u83D8\u83FF\u83E1\u83CB\u83CE\u83D6\u83F5\u83C9\u8409\u840F\u83DE\u8411\u8406\u83C2\u83F3"], ["dba1", "\u83D5\u83FA\u83C7\u83D1\u83EA\u8413\u83C3\u83EC\u83EE\u83C4\u83FB\u83D7\u83E2\u841B\u83DB\u83FE\u86D8\u86E2\u86E6\u86D3\u86E3\u86DA\u86EA\u86DD\u86EB\u86DC\u86EC\u86E9\u86D7\u86E8\u86D1\u8848\u8856\u8855\u88BA\u88D7\u88B9\u88B8\u88C0\u88BE\u88B6\u88BC\u88B7\u88BD\u88B2\u8901\u88C9\u8995\u8998\u8997\u89DD\u89DA\u89DB\u8A4E\u8A4D\u8A39\u8A59\u8A40\u8A57\u8A58\u8A44\u8A45\u8A52\u8A48\u8A51\u8A4A\u8A4C\u8A4F\u8C5F\u8C81\u8C80\u8CBA\u8CBE\u8CB0\u8CB9\u8CB5\u8D84\u8D80\u8D89\u8DD8\u8DD3\u8DCD\u8DC7\u8DD6\u8DDC\u8DCF\u8DD5\u8DD9\u8DC8\u8DD7\u8DC5\u8EEF\u8EF7\u8EFA"], ["dc40", "\u8EF9\u8EE6\u8EEE\u8EE5\u8EF5\u8EE7\u8EE8\u8EF6\u8EEB\u8EF1\u8EEC\u8EF4\u8EE9\u902D\u9034\u902F\u9106\u912C\u9104\u90FF\u90FC\u9108\u90F9\u90FB\u9101\u9100\u9107\u9105\u9103\u9161\u9164\u915F\u9162\u9160\u9201\u920A\u9225\u9203\u921A\u9226\u920F\u920C\u9200\u9212\u91FF\u91FD\u9206\u9204\u9227\u9202\u921C\u9224\u9219\u9217\u9205\u9216\u957B\u958D\u958C\u9590\u9687\u967E\u9688"], ["dca1", "\u9689\u9683\u9680\u96C2\u96C8\u96C3\u96F1\u96F0\u976C\u9770\u976E\u9807\u98A9\u98EB\u9CE6\u9EF9\u4E83\u4E84\u4EB6\u50BD\u50BF\u50C6\u50AE\u50C4\u50CA\u50B4\u50C8\u50C2\u50B0\u50C1\u50BA\u50B1\u50CB\u50C9\u50B6\u50B8\u51D7\u527A\u5278\u527B\u527C\u55C3\u55DB\u55CC\u55D0\u55CB\u55CA\u55DD\u55C0\u55D4\u55C4\u55E9\u55BF\u55D2\u558D\u55CF\u55D5\u55E2\u55D6\u55C8\u55F2\u55CD\u55D9\u55C2\u5714\u5853\u5868\u5864\u584F\u584D\u5849\u586F\u5855\u584E\u585D\u5859\u5865\u585B\u583D\u5863\u5871\u58FC\u5AC7\u5AC4\u5ACB\u5ABA\u5AB8\u5AB1\u5AB5\u5AB0\u5ABF\u5AC8\u5ABB\u5AC6"], ["dd40", "\u5AB7\u5AC0\u5ACA\u5AB4\u5AB6\u5ACD\u5AB9\u5A90\u5BD6\u5BD8\u5BD9\u5C1F\u5C33\u5D71\u5D63\u5D4A\u5D65\u5D72\u5D6C\u5D5E\u5D68\u5D67\u5D62\u5DF0\u5E4F\u5E4E\u5E4A\u5E4D\u5E4B\u5EC5\u5ECC\u5EC6\u5ECB\u5EC7\u5F40\u5FAF\u5FAD\u60F7\u6149\u614A\u612B\u6145\u6136\u6132\u612E\u6146\u612F\u614F\u6129\u6140\u6220\u9168\u6223\u6225\u6224\u63C5\u63F1\u63EB\u6410\u6412\u6409\u6420\u6424"], ["dda1", "\u6433\u6443\u641F\u6415\u6418\u6439\u6437\u6422\u6423\u640C\u6426\u6430\u6428\u6441\u6435\u642F\u640A\u641A\u6440\u6425\u6427\u640B\u63E7\u641B\u642E\u6421\u640E\u656F\u6592\u65D3\u6686\u668C\u6695\u6690\u668B\u668A\u6699\u6694\u6678\u6720\u6966\u695F\u6938\u694E\u6962\u6971\u693F\u6945\u696A\u6939\u6942\u6957\u6959\u697A\u6948\u6949\u6935\u696C\u6933\u693D\u6965\u68F0\u6978\u6934\u6969\u6940\u696F\u6944\u6976\u6958\u6941\u6974\u694C\u693B\u694B\u6937\u695C\u694F\u6951\u6932\u6952\u692F\u697B\u693C\u6B46\u6B45\u6B43\u6B42\u6B48\u6B41\u6B9B\uFA0D\u6BFB\u6BFC"], ["de40", "\u6BF9\u6BF7\u6BF8\u6E9B\u6ED6\u6EC8\u6E8F\u6EC0\u6E9F\u6E93\u6E94\u6EA0\u6EB1\u6EB9\u6EC6\u6ED2\u6EBD\u6EC1\u6E9E\u6EC9\u6EB7\u6EB0\u6ECD\u6EA6\u6ECF\u6EB2\u6EBE\u6EC3\u6EDC\u6ED8\u6E99\u6E92\u6E8E\u6E8D\u6EA4\u6EA1\u6EBF\u6EB3\u6ED0\u6ECA\u6E97\u6EAE\u6EA3\u7147\u7154\u7152\u7163\u7160\u7141\u715D\u7162\u7172\u7178\u716A\u7161\u7142\u7158\u7143\u714B\u7170\u715F\u7150\u7153"], ["dea1", "\u7144\u714D\u715A\u724F\u728D\u728C\u7291\u7290\u728E\u733C\u7342\u733B\u733A\u7340\u734A\u7349\u7444\u744A\u744B\u7452\u7451\u7457\u7440\u744F\u7450\u744E\u7442\u7446\u744D\u7454\u74E1\u74FF\u74FE\u74FD\u751D\u7579\u7577\u6983\u75EF\u760F\u7603\u75F7\u75FE\u75FC\u75F9\u75F8\u7610\u75FB\u75F6\u75ED\u75F5\u75FD\u7699\u76B5\u76DD\u7755\u775F\u7760\u7752\u7756\u775A\u7769\u7767\u7754\u7759\u776D\u77E0\u7887\u789A\u7894\u788F\u7884\u7895\u7885\u7886\u78A1\u7883\u7879\u7899\u7880\u7896\u787B\u797C\u7982\u797D\u7979\u7A11\u7A18\u7A19\u7A12\u7A17\u7A15\u7A22\u7A13"], ["df40", "\u7A1B\u7A10\u7AA3\u7AA2\u7A9E\u7AEB\u7B66\u7B64\u7B6D\u7B74\u7B69\u7B72\u7B65\u7B73\u7B71\u7B70\u7B61\u7B78\u7B76\u7B63\u7CB2\u7CB4\u7CAF\u7D88\u7D86\u7D80\u7D8D\u7D7F\u7D85\u7D7A\u7D8E\u7D7B\u7D83\u7D7C\u7D8C\u7D94\u7D84\u7D7D\u7D92\u7F6D\u7F6B\u7F67\u7F68\u7F6C\u7FA6\u7FA5\u7FA7\u7FDB\u7FDC\u8021\u8164\u8160\u8177\u815C\u8169\u815B\u8162\u8172\u6721\u815E\u8176\u8167\u816F"], ["dfa1", "\u8144\u8161\u821D\u8249\u8244\u8240\u8242\u8245\u84F1\u843F\u8456\u8476\u8479\u848F\u848D\u8465\u8451\u8440\u8486\u8467\u8430\u844D\u847D\u845A\u8459\u8474\u8473\u845D\u8507\u845E\u8437\u843A\u8434\u847A\u8443\u8478\u8432\u8445\u8429\u83D9\u844B\u842F\u8442\u842D\u845F\u8470\u8439\u844E\u844C\u8452\u846F\u84C5\u848E\u843B\u8447\u8436\u8433\u8468\u847E\u8444\u842B\u8460\u8454\u846E\u8450\u870B\u8704\u86F7\u870C\u86FA\u86D6\u86F5\u874D\u86F8\u870E\u8709\u8701\u86F6\u870D\u8705\u88D6\u88CB\u88CD\u88CE\u88DE\u88DB\u88DA\u88CC\u88D0\u8985\u899B\u89DF\u89E5\u89E4"], ["e040", "\u89E1\u89E0\u89E2\u89DC\u89E6\u8A76\u8A86\u8A7F\u8A61\u8A3F\u8A77\u8A82\u8A84\u8A75\u8A83\u8A81\u8A74\u8A7A\u8C3C\u8C4B\u8C4A\u8C65\u8C64\u8C66\u8C86\u8C84\u8C85\u8CCC\u8D68\u8D69\u8D91\u8D8C\u8D8E\u8D8F\u8D8D\u8D93\u8D94\u8D90\u8D92\u8DF0\u8DE0\u8DEC\u8DF1\u8DEE\u8DD0\u8DE9\u8DE3\u8DE2\u8DE7\u8DF2\u8DEB\u8DF4\u8F06\u8EFF\u8F01\u8F00\u8F05\u8F07\u8F08\u8F02\u8F0B\u9052\u903F"], ["e0a1", "\u9044\u9049\u903D\u9110\u910D\u910F\u9111\u9116\u9114\u910B\u910E\u916E\u916F\u9248\u9252\u9230\u923A\u9266\u9233\u9265\u925E\u9283\u922E\u924A\u9246\u926D\u926C\u924F\u9260\u9267\u926F\u9236\u9261\u9270\u9231\u9254\u9263\u9250\u9272\u924E\u9253\u924C\u9256\u9232\u959F\u959C\u959E\u959B\u9692\u9693\u9691\u9697\u96CE\u96FA\u96FD\u96F8\u96F5\u9773\u9777\u9778\u9772\u980F\u980D\u980E\u98AC\u98F6\u98F9\u99AF\u99B2\u99B0\u99B5\u9AAD\u9AAB\u9B5B\u9CEA\u9CED\u9CE7\u9E80\u9EFD\u50E6\u50D4\u50D7\u50E8\u50F3\u50DB\u50EA\u50DD\u50E4\u50D3\u50EC\u50F0\u50EF\u50E3\u50E0"], ["e140", "\u51D8\u5280\u5281\u52E9\u52EB\u5330\u53AC\u5627\u5615\u560C\u5612\u55FC\u560F\u561C\u5601\u5613\u5602\u55FA\u561D\u5604\u55FF\u55F9\u5889\u587C\u5890\u5898\u5886\u5881\u587F\u5874\u588B\u587A\u5887\u5891\u588E\u5876\u5882\u5888\u587B\u5894\u588F\u58FE\u596B\u5ADC\u5AEE\u5AE5\u5AD5\u5AEA\u5ADA\u5AED\u5AEB\u5AF3\u5AE2\u5AE0\u5ADB\u5AEC\u5ADE\u5ADD\u5AD9\u5AE8\u5ADF\u5B77\u5BE0"], ["e1a1", "\u5BE3\u5C63\u5D82\u5D80\u5D7D\u5D86\u5D7A\u5D81\u5D77\u5D8A\u5D89\u5D88\u5D7E\u5D7C\u5D8D\u5D79\u5D7F\u5E58\u5E59\u5E53\u5ED8\u5ED1\u5ED7\u5ECE\u5EDC\u5ED5\u5ED9\u5ED2\u5ED4\u5F44\u5F43\u5F6F\u5FB6\u612C\u6128\u6141\u615E\u6171\u6173\u6152\u6153\u6172\u616C\u6180\u6174\u6154\u617A\u615B\u6165\u613B\u616A\u6161\u6156\u6229\u6227\u622B\u642B\u644D\u645B\u645D\u6474\u6476\u6472\u6473\u647D\u6475\u6466\u64A6\u644E\u6482\u645E\u645C\u644B\u6453\u6460\u6450\u647F\u643F\u646C\u646B\u6459\u6465\u6477\u6573\u65A0\u66A1\u66A0\u669F\u6705\u6704\u6722\u69B1\u69B6\u69C9"], ["e240", "\u69A0\u69CE\u6996\u69B0\u69AC\u69BC\u6991\u6999\u698E\u69A7\u698D\u69A9\u69BE\u69AF\u69BF\u69C4\u69BD\u69A4\u69D4\u69B9\u69CA\u699A\u69CF\u69B3\u6993\u69AA\u69A1\u699E\u69D9\u6997\u6990\u69C2\u69B5\u69A5\u69C6\u6B4A\u6B4D\u6B4B\u6B9E\u6B9F\u6BA0\u6BC3\u6BC4\u6BFE\u6ECE\u6EF5\u6EF1\u6F03\u6F25\u6EF8\u6F37\u6EFB\u6F2E\u6F09\u6F4E\u6F19\u6F1A\u6F27\u6F18\u6F3B\u6F12\u6EED\u6F0A"], ["e2a1", "\u6F36\u6F73\u6EF9\u6EEE\u6F2D\u6F40\u6F30\u6F3C\u6F35\u6EEB\u6F07\u6F0E\u6F43\u6F05\u6EFD\u6EF6\u6F39\u6F1C\u6EFC\u6F3A\u6F1F\u6F0D\u6F1E\u6F08\u6F21\u7187\u7190\u7189\u7180\u7185\u7182\u718F\u717B\u7186\u7181\u7197\u7244\u7253\u7297\u7295\u7293\u7343\u734D\u7351\u734C\u7462\u7473\u7471\u7475\u7472\u7467\u746E\u7500\u7502\u7503\u757D\u7590\u7616\u7608\u760C\u7615\u7611\u760A\u7614\u76B8\u7781\u777C\u7785\u7782\u776E\u7780\u776F\u777E\u7783\u78B2\u78AA\u78B4\u78AD\u78A8\u787E\u78AB\u789E\u78A5\u78A0\u78AC\u78A2\u78A4\u7998\u798A\u798B\u7996\u7995\u7994\u7993"], ["e340", "\u7997\u7988\u7992\u7990\u7A2B\u7A4A\u7A30\u7A2F\u7A28\u7A26\u7AA8\u7AAB\u7AAC\u7AEE\u7B88\u7B9C\u7B8A\u7B91\u7B90\u7B96\u7B8D\u7B8C\u7B9B\u7B8E\u7B85\u7B98\u5284\u7B99\u7BA4\u7B82\u7CBB\u7CBF\u7CBC\u7CBA\u7DA7\u7DB7\u7DC2\u7DA3\u7DAA\u7DC1\u7DC0\u7DC5\u7D9D\u7DCE\u7DC4\u7DC6\u7DCB\u7DCC\u7DAF\u7DB9\u7D96\u7DBC\u7D9F\u7DA6\u7DAE\u7DA9\u7DA1\u7DC9\u7F73\u7FE2\u7FE3\u7FE5\u7FDE"], ["e3a1", "\u8024\u805D\u805C\u8189\u8186\u8183\u8187\u818D\u818C\u818B\u8215\u8497\u84A4\u84A1\u849F\u84BA\u84CE\u84C2\u84AC\u84AE\u84AB\u84B9\u84B4\u84C1\u84CD\u84AA\u849A\u84B1\u84D0\u849D\u84A7\u84BB\u84A2\u8494\u84C7\u84CC\u849B\u84A9\u84AF\u84A8\u84D6\u8498\u84B6\u84CF\u84A0\u84D7\u84D4\u84D2\u84DB\u84B0\u8491\u8661\u8733\u8723\u8728\u876B\u8740\u872E\u871E\u8721\u8719\u871B\u8743\u872C\u8741\u873E\u8746\u8720\u8732\u872A\u872D\u873C\u8712\u873A\u8731\u8735\u8742\u8726\u8727\u8738\u8724\u871A\u8730\u8711\u88F7\u88E7\u88F1\u88F2\u88FA\u88FE\u88EE\u88FC\u88F6\u88FB"], ["e440", "\u88F0\u88EC\u88EB\u899D\u89A1\u899F\u899E\u89E9\u89EB\u89E8\u8AAB\u8A99\u8A8B\u8A92\u8A8F\u8A96\u8C3D\u8C68\u8C69\u8CD5\u8CCF\u8CD7\u8D96\u8E09\u8E02\u8DFF\u8E0D\u8DFD\u8E0A\u8E03\u8E07\u8E06\u8E05\u8DFE\u8E00\u8E04\u8F10\u8F11\u8F0E\u8F0D\u9123\u911C\u9120\u9122\u911F\u911D\u911A\u9124\u9121\u911B\u917A\u9172\u9179\u9173\u92A5\u92A4\u9276\u929B\u927A\u92A0\u9294\u92AA\u928D"], ["e4a1", "\u92A6\u929A\u92AB\u9279\u9297\u927F\u92A3\u92EE\u928E\u9282\u9295\u92A2\u927D\u9288\u92A1\u928A\u9286\u928C\u9299\u92A7\u927E\u9287\u92A9\u929D\u928B\u922D\u969E\u96A1\u96FF\u9758\u977D\u977A\u977E\u9783\u9780\u9782\u977B\u9784\u9781\u977F\u97CE\u97CD\u9816\u98AD\u98AE\u9902\u9900\u9907\u999D\u999C\u99C3\u99B9\u99BB\u99BA\u99C2\u99BD\u99C7\u9AB1\u9AE3\u9AE7\u9B3E\u9B3F\u9B60\u9B61\u9B5F\u9CF1\u9CF2\u9CF5\u9EA7\u50FF\u5103\u5130\u50F8\u5106\u5107\u50F6\u50FE\u510B\u510C\u50FD\u510A\u528B\u528C\u52F1\u52EF\u5648\u5642\u564C\u5635\u5641\u564A\u5649\u5646\u5658"], ["e540", "\u565A\u5640\u5633\u563D\u562C\u563E\u5638\u562A\u563A\u571A\u58AB\u589D\u58B1\u58A0\u58A3\u58AF\u58AC\u58A5\u58A1\u58FF\u5AFF\u5AF4\u5AFD\u5AF7\u5AF6\u5B03\u5AF8\u5B02\u5AF9\u5B01\u5B07\u5B05\u5B0F\u5C67\u5D99\u5D97\u5D9F\u5D92\u5DA2\u5D93\u5D95\u5DA0\u5D9C\u5DA1\u5D9A\u5D9E\u5E69\u5E5D\u5E60\u5E5C\u7DF3\u5EDB\u5EDE\u5EE1\u5F49\u5FB2\u618B\u6183\u6179\u61B1\u61B0\u61A2\u6189"], ["e5a1", "\u619B\u6193\u61AF\u61AD\u619F\u6192\u61AA\u61A1\u618D\u6166\u61B3\u622D\u646E\u6470\u6496\u64A0\u6485\u6497\u649C\u648F\u648B\u648A\u648C\u64A3\u649F\u6468\u64B1\u6498\u6576\u657A\u6579\u657B\u65B2\u65B3\u66B5\u66B0\u66A9\u66B2\u66B7\u66AA\u66AF\u6A00\u6A06\u6A17\u69E5\u69F8\u6A15\u69F1\u69E4\u6A20\u69FF\u69EC\u69E2\u6A1B\u6A1D\u69FE\u6A27\u69F2\u69EE\u6A14\u69F7\u69E7\u6A40\u6A08\u69E6\u69FB\u6A0D\u69FC\u69EB\u6A09\u6A04\u6A18\u6A25\u6A0F\u69F6\u6A26\u6A07\u69F4\u6A16\u6B51\u6BA5\u6BA3\u6BA2\u6BA6\u6C01\u6C00\u6BFF\u6C02\u6F41\u6F26\u6F7E\u6F87\u6FC6\u6F92"], ["e640", "\u6F8D\u6F89\u6F8C\u6F62\u6F4F\u6F85\u6F5A\u6F96\u6F76\u6F6C\u6F82\u6F55\u6F72\u6F52\u6F50\u6F57\u6F94\u6F93\u6F5D\u6F00\u6F61\u6F6B\u6F7D\u6F67\u6F90\u6F53\u6F8B\u6F69\u6F7F\u6F95\u6F63\u6F77\u6F6A\u6F7B\u71B2\u71AF\u719B\u71B0\u71A0\u719A\u71A9\u71B5\u719D\u71A5\u719E\u71A4\u71A1\u71AA\u719C\u71A7\u71B3\u7298\u729A\u7358\u7352\u735E\u735F\u7360\u735D\u735B\u7361\u735A\u7359"], ["e6a1", "\u7362\u7487\u7489\u748A\u7486\u7481\u747D\u7485\u7488\u747C\u7479\u7508\u7507\u757E\u7625\u761E\u7619\u761D\u761C\u7623\u761A\u7628\u761B\u769C\u769D\u769E\u769B\u778D\u778F\u7789\u7788\u78CD\u78BB\u78CF\u78CC\u78D1\u78CE\u78D4\u78C8\u78C3\u78C4\u78C9\u799A\u79A1\u79A0\u799C\u79A2\u799B\u6B76\u7A39\u7AB2\u7AB4\u7AB3\u7BB7\u7BCB\u7BBE\u7BAC\u7BCE\u7BAF\u7BB9\u7BCA\u7BB5\u7CC5\u7CC8\u7CCC\u7CCB\u7DF7\u7DDB\u7DEA\u7DE7\u7DD7\u7DE1\u7E03\u7DFA\u7DE6\u7DF6\u7DF1\u7DF0\u7DEE\u7DDF\u7F76\u7FAC\u7FB0\u7FAD\u7FED\u7FEB\u7FEA\u7FEC\u7FE6\u7FE8\u8064\u8067\u81A3\u819F"], ["e740", "\u819E\u8195\u81A2\u8199\u8197\u8216\u824F\u8253\u8252\u8250\u824E\u8251\u8524\u853B\u850F\u8500\u8529\u850E\u8509\u850D\u851F\u850A\u8527\u851C\u84FB\u852B\u84FA\u8508\u850C\u84F4\u852A\u84F2\u8515\u84F7\u84EB\u84F3\u84FC\u8512\u84EA\u84E9\u8516\u84FE\u8528\u851D\u852E\u8502\u84FD\u851E\u84F6\u8531\u8526\u84E7\u84E8\u84F0\u84EF\u84F9\u8518\u8520\u8530\u850B\u8519\u852F\u8662"], ["e7a1", "\u8756\u8763\u8764\u8777\u87E1\u8773\u8758\u8754\u875B\u8752\u8761\u875A\u8751\u875E\u876D\u876A\u8750\u874E\u875F\u875D\u876F\u876C\u877A\u876E\u875C\u8765\u874F\u877B\u8775\u8762\u8767\u8769\u885A\u8905\u890C\u8914\u890B\u8917\u8918\u8919\u8906\u8916\u8911\u890E\u8909\u89A2\u89A4\u89A3\u89ED\u89F0\u89EC\u8ACF\u8AC6\u8AB8\u8AD3\u8AD1\u8AD4\u8AD5\u8ABB\u8AD7\u8ABE\u8AC0\u8AC5\u8AD8\u8AC3\u8ABA\u8ABD\u8AD9\u8C3E\u8C4D\u8C8F\u8CE5\u8CDF\u8CD9\u8CE8\u8CDA\u8CDD\u8CE7\u8DA0\u8D9C\u8DA1\u8D9B\u8E20\u8E23\u8E25\u8E24\u8E2E\u8E15\u8E1B\u8E16\u8E11\u8E19\u8E26\u8E27"], ["e840", "\u8E14\u8E12\u8E18\u8E13\u8E1C\u8E17\u8E1A\u8F2C\u8F24\u8F18\u8F1A\u8F20\u8F23\u8F16\u8F17\u9073\u9070\u906F\u9067\u906B\u912F\u912B\u9129\u912A\u9132\u9126\u912E\u9185\u9186\u918A\u9181\u9182\u9184\u9180\u92D0\u92C3\u92C4\u92C0\u92D9\u92B6\u92CF\u92F1\u92DF\u92D8\u92E9\u92D7\u92DD\u92CC\u92EF\u92C2\u92E8\u92CA\u92C8\u92CE\u92E6\u92CD\u92D5\u92C9\u92E0\u92DE\u92E7\u92D1\u92D3"], ["e8a1", "\u92B5\u92E1\u92C6\u92B4\u957C\u95AC\u95AB\u95AE\u95B0\u96A4\u96A2\u96D3\u9705\u9708\u9702\u975A\u978A\u978E\u9788\u97D0\u97CF\u981E\u981D\u9826\u9829\u9828\u9820\u981B\u9827\u98B2\u9908\u98FA\u9911\u9914\u9916\u9917\u9915\u99DC\u99CD\u99CF\u99D3\u99D4\u99CE\u99C9\u99D6\u99D8\u99CB\u99D7\u99CC\u9AB3\u9AEC\u9AEB\u9AF3\u9AF2\u9AF1\u9B46\u9B43\u9B67\u9B74\u9B71\u9B66\u9B76\u9B75\u9B70\u9B68\u9B64\u9B6C\u9CFC\u9CFA\u9CFD\u9CFF\u9CF7\u9D07\u9D00\u9CF9\u9CFB\u9D08\u9D05\u9D04\u9E83\u9ED3\u9F0F\u9F10\u511C\u5113\u5117\u511A\u5111\u51DE\u5334\u53E1\u5670\u5660\u566E"], ["e940", "\u5673\u5666\u5663\u566D\u5672\u565E\u5677\u571C\u571B\u58C8\u58BD\u58C9\u58BF\u58BA\u58C2\u58BC\u58C6\u5B17\u5B19\u5B1B\u5B21\u5B14\u5B13\u5B10\u5B16\u5B28\u5B1A\u5B20\u5B1E\u5BEF\u5DAC\u5DB1\u5DA9\u5DA7\u5DB5\u5DB0\u5DAE\u5DAA\u5DA8\u5DB2\u5DAD\u5DAF\u5DB4\u5E67\u5E68\u5E66\u5E6F\u5EE9\u5EE7\u5EE6\u5EE8\u5EE5\u5F4B\u5FBC\u619D\u61A8\u6196\u61C5\u61B4\u61C6\u61C1\u61CC\u61BA"], ["e9a1", "\u61BF\u61B8\u618C\u64D7\u64D6\u64D0\u64CF\u64C9\u64BD\u6489\u64C3\u64DB\u64F3\u64D9\u6533\u657F\u657C\u65A2\u66C8\u66BE\u66C0\u66CA\u66CB\u66CF\u66BD\u66BB\u66BA\u66CC\u6723\u6A34\u6A66\u6A49\u6A67\u6A32\u6A68\u6A3E\u6A5D\u6A6D\u6A76\u6A5B\u6A51\u6A28\u6A5A\u6A3B\u6A3F\u6A41\u6A6A\u6A64\u6A50\u6A4F\u6A54\u6A6F\u6A69\u6A60\u6A3C\u6A5E\u6A56\u6A55\u6A4D\u6A4E\u6A46\u6B55\u6B54\u6B56\u6BA7\u6BAA\u6BAB\u6BC8\u6BC7\u6C04\u6C03\u6C06\u6FAD\u6FCB\u6FA3\u6FC7\u6FBC\u6FCE\u6FC8\u6F5E\u6FC4\u6FBD\u6F9E\u6FCA\u6FA8\u7004\u6FA5\u6FAE\u6FBA\u6FAC\u6FAA\u6FCF\u6FBF\u6FB8"], ["ea40", "\u6FA2\u6FC9\u6FAB\u6FCD\u6FAF\u6FB2\u6FB0\u71C5\u71C2\u71BF\u71B8\u71D6\u71C0\u71C1\u71CB\u71D4\u71CA\u71C7\u71CF\u71BD\u71D8\u71BC\u71C6\u71DA\u71DB\u729D\u729E\u7369\u7366\u7367\u736C\u7365\u736B\u736A\u747F\u749A\u74A0\u7494\u7492\u7495\u74A1\u750B\u7580\u762F\u762D\u7631\u763D\u7633\u763C\u7635\u7632\u7630\u76BB\u76E6\u779A\u779D\u77A1\u779C\u779B\u77A2\u77A3\u7795\u7799"], ["eaa1", "\u7797\u78DD\u78E9\u78E5\u78EA\u78DE\u78E3\u78DB\u78E1\u78E2\u78ED\u78DF\u78E0\u79A4\u7A44\u7A48\u7A47\u7AB6\u7AB8\u7AB5\u7AB1\u7AB7\u7BDE\u7BE3\u7BE7\u7BDD\u7BD5\u7BE5\u7BDA\u7BE8\u7BF9\u7BD4\u7BEA\u7BE2\u7BDC\u7BEB\u7BD8\u7BDF\u7CD2\u7CD4\u7CD7\u7CD0\u7CD1\u7E12\u7E21\u7E17\u7E0C\u7E1F\u7E20\u7E13\u7E0E\u7E1C\u7E15\u7E1A\u7E22\u7E0B\u7E0F\u7E16\u7E0D\u7E14\u7E25\u7E24\u7F43\u7F7B\u7F7C\u7F7A\u7FB1\u7FEF\u802A\u8029\u806C\u81B1\u81A6\u81AE\u81B9\u81B5\u81AB\u81B0\u81AC\u81B4\u81B2\u81B7\u81A7\u81F2\u8255\u8256\u8257\u8556\u8545\u856B\u854D\u8553\u8561\u8558"], ["eb40", "\u8540\u8546\u8564\u8541\u8562\u8544\u8551\u8547\u8563\u853E\u855B\u8571\u854E\u856E\u8575\u8555\u8567\u8560\u858C\u8566\u855D\u8554\u8565\u856C\u8663\u8665\u8664\u879B\u878F\u8797\u8793\u8792\u8788\u8781\u8796\u8798\u8779\u8787\u87A3\u8785\u8790\u8791\u879D\u8784\u8794\u879C\u879A\u8789\u891E\u8926\u8930\u892D\u892E\u8927\u8931\u8922\u8929\u8923\u892F\u892C\u891F\u89F1\u8AE0"], ["eba1", "\u8AE2\u8AF2\u8AF4\u8AF5\u8ADD\u8B14\u8AE4\u8ADF\u8AF0\u8AC8\u8ADE\u8AE1\u8AE8\u8AFF\u8AEF\u8AFB\u8C91\u8C92\u8C90\u8CF5\u8CEE\u8CF1\u8CF0\u8CF3\u8D6C\u8D6E\u8DA5\u8DA7\u8E33\u8E3E\u8E38\u8E40\u8E45\u8E36\u8E3C\u8E3D\u8E41\u8E30\u8E3F\u8EBD\u8F36\u8F2E\u8F35\u8F32\u8F39\u8F37\u8F34\u9076\u9079\u907B\u9086\u90FA\u9133\u9135\u9136\u9193\u9190\u9191\u918D\u918F\u9327\u931E\u9308\u931F\u9306\u930F\u937A\u9338\u933C\u931B\u9323\u9312\u9301\u9346\u932D\u930E\u930D\u92CB\u931D\u92FA\u9325\u9313\u92F9\u92F7\u9334\u9302\u9324\u92FF\u9329\u9339\u9335\u932A\u9314\u930C"], ["ec40", "\u930B\u92FE\u9309\u9300\u92FB\u9316\u95BC\u95CD\u95BE\u95B9\u95BA\u95B6\u95BF\u95B5\u95BD\u96A9\u96D4\u970B\u9712\u9710\u9799\u9797\u9794\u97F0\u97F8\u9835\u982F\u9832\u9924\u991F\u9927\u9929\u999E\u99EE\u99EC\u99E5\u99E4\u99F0\u99E3\u99EA\u99E9\u99E7\u9AB9\u9ABF\u9AB4\u9ABB\u9AF6\u9AFA\u9AF9\u9AF7\u9B33\u9B80\u9B85\u9B87\u9B7C\u9B7E\u9B7B\u9B82\u9B93\u9B92\u9B90\u9B7A\u9B95"], ["eca1", "\u9B7D\u9B88\u9D25\u9D17\u9D20\u9D1E\u9D14\u9D29\u9D1D\u9D18\u9D22\u9D10\u9D19\u9D1F\u9E88\u9E86\u9E87\u9EAE\u9EAD\u9ED5\u9ED6\u9EFA\u9F12\u9F3D\u5126\u5125\u5122\u5124\u5120\u5129\u52F4\u5693\u568C\u568D\u5686\u5684\u5683\u567E\u5682\u567F\u5681\u58D6\u58D4\u58CF\u58D2\u5B2D\u5B25\u5B32\u5B23\u5B2C\u5B27\u5B26\u5B2F\u5B2E\u5B7B\u5BF1\u5BF2\u5DB7\u5E6C\u5E6A\u5FBE\u5FBB\u61C3\u61B5\u61BC\u61E7\u61E0\u61E5\u61E4\u61E8\u61DE\u64EF\u64E9\u64E3\u64EB\u64E4\u64E8\u6581\u6580\u65B6\u65DA\u66D2\u6A8D\u6A96\u6A81\u6AA5\u6A89\u6A9F\u6A9B\u6AA1\u6A9E\u6A87\u6A93\u6A8E"], ["ed40", "\u6A95\u6A83\u6AA8\u6AA4\u6A91\u6A7F\u6AA6\u6A9A\u6A85\u6A8C\u6A92\u6B5B\u6BAD\u6C09\u6FCC\u6FA9\u6FF4\u6FD4\u6FE3\u6FDC\u6FED\u6FE7\u6FE6\u6FDE\u6FF2\u6FDD\u6FE2\u6FE8\u71E1\u71F1\u71E8\u71F2\u71E4\u71F0\u71E2\u7373\u736E\u736F\u7497\u74B2\u74AB\u7490\u74AA\u74AD\u74B1\u74A5\u74AF\u7510\u7511\u7512\u750F\u7584\u7643\u7648\u7649\u7647\u76A4\u76E9\u77B5\u77AB\u77B2\u77B7\u77B6"], ["eda1", "\u77B4\u77B1\u77A8\u77F0\u78F3\u78FD\u7902\u78FB\u78FC\u78F2\u7905\u78F9\u78FE\u7904\u79AB\u79A8\u7A5C\u7A5B\u7A56\u7A58\u7A54\u7A5A\u7ABE\u7AC0\u7AC1\u7C05\u7C0F\u7BF2\u7C00\u7BFF\u7BFB\u7C0E\u7BF4\u7C0B\u7BF3\u7C02\u7C09\u7C03\u7C01\u7BF8\u7BFD\u7C06\u7BF0\u7BF1\u7C10\u7C0A\u7CE8\u7E2D\u7E3C\u7E42\u7E33\u9848\u7E38\u7E2A\u7E49\u7E40\u7E47\u7E29\u7E4C\u7E30\u7E3B\u7E36\u7E44\u7E3A\u7F45\u7F7F\u7F7E\u7F7D\u7FF4\u7FF2\u802C\u81BB\u81C4\u81CC\u81CA\u81C5\u81C7\u81BC\u81E9\u825B\u825A\u825C\u8583\u8580\u858F\u85A7\u8595\u85A0\u858B\u85A3\u857B\u85A4\u859A\u859E"], ["ee40", "\u8577\u857C\u8589\u85A1\u857A\u8578\u8557\u858E\u8596\u8586\u858D\u8599\u859D\u8581\u85A2\u8582\u8588\u8585\u8579\u8576\u8598\u8590\u859F\u8668\u87BE\u87AA\u87AD\u87C5\u87B0\u87AC\u87B9\u87B5\u87BC\u87AE\u87C9\u87C3\u87C2\u87CC\u87B7\u87AF\u87C4\u87CA\u87B4\u87B6\u87BF\u87B8\u87BD\u87DE\u87B2\u8935\u8933\u893C\u893E\u8941\u8952\u8937\u8942\u89AD\u89AF\u89AE\u89F2\u89F3\u8B1E"], ["eea1", "\u8B18\u8B16\u8B11\u8B05\u8B0B\u8B22\u8B0F\u8B12\u8B15\u8B07\u8B0D\u8B08\u8B06\u8B1C\u8B13\u8B1A\u8C4F\u8C70\u8C72\u8C71\u8C6F\u8C95\u8C94\u8CF9\u8D6F\u8E4E\u8E4D\u8E53\u8E50\u8E4C\u8E47\u8F43\u8F40\u9085\u907E\u9138\u919A\u91A2\u919B\u9199\u919F\u91A1\u919D\u91A0\u93A1\u9383\u93AF\u9364\u9356\u9347\u937C\u9358\u935C\u9376\u9349\u9350\u9351\u9360\u936D\u938F\u934C\u936A\u9379\u9357\u9355\u9352\u934F\u9371\u9377\u937B\u9361\u935E\u9363\u9367\u9380\u934E\u9359\u95C7\u95C0\u95C9\u95C3\u95C5\u95B7\u96AE\u96B0\u96AC\u9720\u971F\u9718\u971D\u9719\u979A\u97A1\u979C"], ["ef40", "\u979E\u979D\u97D5\u97D4\u97F1\u9841\u9844\u984A\u9849\u9845\u9843\u9925\u992B\u992C\u992A\u9933\u9932\u992F\u992D\u9931\u9930\u9998\u99A3\u99A1\u9A02\u99FA\u99F4\u99F7\u99F9\u99F8\u99F6\u99FB\u99FD\u99FE\u99FC\u9A03\u9ABE\u9AFE\u9AFD\u9B01\u9AFC\u9B48\u9B9A\u9BA8\u9B9E\u9B9B\u9BA6\u9BA1\u9BA5\u9BA4\u9B86\u9BA2\u9BA0\u9BAF\u9D33\u9D41\u9D67\u9D36\u9D2E\u9D2F\u9D31\u9D38\u9D30"], ["efa1", "\u9D45\u9D42\u9D43\u9D3E\u9D37\u9D40\u9D3D\u7FF5\u9D2D\u9E8A\u9E89\u9E8D\u9EB0\u9EC8\u9EDA\u9EFB\u9EFF\u9F24\u9F23\u9F22\u9F54\u9FA0\u5131\u512D\u512E\u5698\u569C\u5697\u569A\u569D\u5699\u5970\u5B3C\u5C69\u5C6A\u5DC0\u5E6D\u5E6E\u61D8\u61DF\u61ED\u61EE\u61F1\u61EA\u61F0\u61EB\u61D6\u61E9\u64FF\u6504\u64FD\u64F8\u6501\u6503\u64FC\u6594\u65DB\u66DA\u66DB\u66D8\u6AC5\u6AB9\u6ABD\u6AE1\u6AC6\u6ABA\u6AB6\u6AB7\u6AC7\u6AB4\u6AAD\u6B5E\u6BC9\u6C0B\u7007\u700C\u700D\u7001\u7005\u7014\u700E\u6FFF\u7000\u6FFB\u7026\u6FFC\u6FF7\u700A\u7201\u71FF\u71F9\u7203\u71FD\u7376"], ["f040", "\u74B8\u74C0\u74B5\u74C1\u74BE\u74B6\u74BB\u74C2\u7514\u7513\u765C\u7664\u7659\u7650\u7653\u7657\u765A\u76A6\u76BD\u76EC\u77C2\u77BA\u78FF\u790C\u7913\u7914\u7909\u7910\u7912\u7911\u79AD\u79AC\u7A5F\u7C1C\u7C29\u7C19\u7C20\u7C1F\u7C2D\u7C1D\u7C26\u7C28\u7C22\u7C25\u7C30\u7E5C\u7E50\u7E56\u7E63\u7E58\u7E62\u7E5F\u7E51\u7E60\u7E57\u7E53\u7FB5\u7FB3\u7FF7\u7FF8\u8075\u81D1\u81D2"], ["f0a1", "\u81D0\u825F\u825E\u85B4\u85C6\u85C0\u85C3\u85C2\u85B3\u85B5\u85BD\u85C7\u85C4\u85BF\u85CB\u85CE\u85C8\u85C5\u85B1\u85B6\u85D2\u8624\u85B8\u85B7\u85BE\u8669\u87E7\u87E6\u87E2\u87DB\u87EB\u87EA\u87E5\u87DF\u87F3\u87E4\u87D4\u87DC\u87D3\u87ED\u87D8\u87E3\u87A4\u87D7\u87D9\u8801\u87F4\u87E8\u87DD\u8953\u894B\u894F\u894C\u8946\u8950\u8951\u8949\u8B2A\u8B27\u8B23\u8B33\u8B30\u8B35\u8B47\u8B2F\u8B3C\u8B3E\u8B31\u8B25\u8B37\u8B26\u8B36\u8B2E\u8B24\u8B3B\u8B3D\u8B3A\u8C42\u8C75\u8C99\u8C98\u8C97\u8CFE\u8D04\u8D02\u8D00\u8E5C\u8E62\u8E60\u8E57\u8E56\u8E5E\u8E65\u8E67"], ["f140", "\u8E5B\u8E5A\u8E61\u8E5D\u8E69\u8E54\u8F46\u8F47\u8F48\u8F4B\u9128\u913A\u913B\u913E\u91A8\u91A5\u91A7\u91AF\u91AA\u93B5\u938C\u9392\u93B7\u939B\u939D\u9389\u93A7\u938E\u93AA\u939E\u93A6\u9395\u9388\u9399\u939F\u938D\u93B1\u9391\u93B2\u93A4\u93A8\u93B4\u93A3\u93A5\u95D2\u95D3\u95D1\u96B3\u96D7\u96DA\u5DC2\u96DF\u96D8\u96DD\u9723\u9722\u9725\u97AC\u97AE\u97A8\u97AB\u97A4\u97AA"], ["f1a1", "\u97A2\u97A5\u97D7\u97D9\u97D6\u97D8\u97FA\u9850\u9851\u9852\u98B8\u9941\u993C\u993A\u9A0F\u9A0B\u9A09\u9A0D\u9A04\u9A11\u9A0A\u9A05\u9A07\u9A06\u9AC0\u9ADC\u9B08\u9B04\u9B05\u9B29\u9B35\u9B4A\u9B4C\u9B4B\u9BC7\u9BC6\u9BC3\u9BBF\u9BC1\u9BB5\u9BB8\u9BD3\u9BB6\u9BC4\u9BB9\u9BBD\u9D5C\u9D53\u9D4F\u9D4A\u9D5B\u9D4B\u9D59\u9D56\u9D4C\u9D57\u9D52\u9D54\u9D5F\u9D58\u9D5A\u9E8E\u9E8C\u9EDF\u9F01\u9F00\u9F16\u9F25\u9F2B\u9F2A\u9F29\u9F28\u9F4C\u9F55\u5134\u5135\u5296\u52F7\u53B4\u56AB\u56AD\u56A6\u56A7\u56AA\u56AC\u58DA\u58DD\u58DB\u5912\u5B3D\u5B3E\u5B3F\u5DC3\u5E70"], ["f240", "\u5FBF\u61FB\u6507\u6510\u650D\u6509\u650C\u650E\u6584\u65DE\u65DD\u66DE\u6AE7\u6AE0\u6ACC\u6AD1\u6AD9\u6ACB\u6ADF\u6ADC\u6AD0\u6AEB\u6ACF\u6ACD\u6ADE\u6B60\u6BB0\u6C0C\u7019\u7027\u7020\u7016\u702B\u7021\u7022\u7023\u7029\u7017\u7024\u701C\u702A\u720C\u720A\u7207\u7202\u7205\u72A5\u72A6\u72A4\u72A3\u72A1\u74CB\u74C5\u74B7\u74C3\u7516\u7660\u77C9\u77CA\u77C4\u77F1\u791D\u791B"], ["f2a1", "\u7921\u791C\u7917\u791E\u79B0\u7A67\u7A68\u7C33\u7C3C\u7C39\u7C2C\u7C3B\u7CEC\u7CEA\u7E76\u7E75\u7E78\u7E70\u7E77\u7E6F\u7E7A\u7E72\u7E74\u7E68\u7F4B\u7F4A\u7F83\u7F86\u7FB7\u7FFD\u7FFE\u8078\u81D7\u81D5\u8264\u8261\u8263\u85EB\u85F1\u85ED\u85D9\u85E1\u85E8\u85DA\u85D7\u85EC\u85F2\u85F8\u85D8\u85DF\u85E3\u85DC\u85D1\u85F0\u85E6\u85EF\u85DE\u85E2\u8800\u87FA\u8803\u87F6\u87F7\u8809\u880C\u880B\u8806\u87FC\u8808\u87FF\u880A\u8802\u8962\u895A\u895B\u8957\u8961\u895C\u8958\u895D\u8959\u8988\u89B7\u89B6\u89F6\u8B50\u8B48\u8B4A\u8B40\u8B53\u8B56\u8B54\u8B4B\u8B55"], ["f340", "\u8B51\u8B42\u8B52\u8B57\u8C43\u8C77\u8C76\u8C9A\u8D06\u8D07\u8D09\u8DAC\u8DAA\u8DAD\u8DAB\u8E6D\u8E78\u8E73\u8E6A\u8E6F\u8E7B\u8EC2\u8F52\u8F51\u8F4F\u8F50\u8F53\u8FB4\u9140\u913F\u91B0\u91AD\u93DE\u93C7\u93CF\u93C2\u93DA\u93D0\u93F9\u93EC\u93CC\u93D9\u93A9\u93E6\u93CA\u93D4\u93EE\u93E3\u93D5\u93C4\u93CE\u93C0\u93D2\u93E7\u957D\u95DA\u95DB\u96E1\u9729\u972B\u972C\u9728\u9726"], ["f3a1", "\u97B3\u97B7\u97B6\u97DD\u97DE\u97DF\u985C\u9859\u985D\u9857\u98BF\u98BD\u98BB\u98BE\u9948\u9947\u9943\u99A6\u99A7\u9A1A\u9A15\u9A25\u9A1D\u9A24\u9A1B\u9A22\u9A20\u9A27\u9A23\u9A1E\u9A1C\u9A14\u9AC2\u9B0B\u9B0A\u9B0E\u9B0C\u9B37\u9BEA\u9BEB\u9BE0\u9BDE\u9BE4\u9BE6\u9BE2\u9BF0\u9BD4\u9BD7\u9BEC\u9BDC\u9BD9\u9BE5\u9BD5\u9BE1\u9BDA\u9D77\u9D81\u9D8A\u9D84\u9D88\u9D71\u9D80\u9D78\u9D86\u9D8B\u9D8C\u9D7D\u9D6B\u9D74\u9D75\u9D70\u9D69\u9D85\u9D73\u9D7B\u9D82\u9D6F\u9D79\u9D7F\u9D87\u9D68\u9E94\u9E91\u9EC0\u9EFC\u9F2D\u9F40\u9F41\u9F4D\u9F56\u9F57\u9F58\u5337\u56B2"], ["f440", "\u56B5\u56B3\u58E3\u5B45\u5DC6\u5DC7\u5EEE\u5EEF\u5FC0\u5FC1\u61F9\u6517\u6516\u6515\u6513\u65DF\u66E8\u66E3\u66E4\u6AF3\u6AF0\u6AEA\u6AE8\u6AF9\u6AF1\u6AEE\u6AEF\u703C\u7035\u702F\u7037\u7034\u7031\u7042\u7038\u703F\u703A\u7039\u7040\u703B\u7033\u7041\u7213\u7214\u72A8\u737D\u737C\u74BA\u76AB\u76AA\u76BE\u76ED\u77CC\u77CE\u77CF\u77CD\u77F2\u7925\u7923\u7927\u7928\u7924\u7929"], ["f4a1", "\u79B2\u7A6E\u7A6C\u7A6D\u7AF7\u7C49\u7C48\u7C4A\u7C47\u7C45\u7CEE\u7E7B\u7E7E\u7E81\u7E80\u7FBA\u7FFF\u8079\u81DB\u81D9\u820B\u8268\u8269\u8622\u85FF\u8601\u85FE\u861B\u8600\u85F6\u8604\u8609\u8605\u860C\u85FD\u8819\u8810\u8811\u8817\u8813\u8816\u8963\u8966\u89B9\u89F7\u8B60\u8B6A\u8B5D\u8B68\u8B63\u8B65\u8B67\u8B6D\u8DAE\u8E86\u8E88\u8E84\u8F59\u8F56\u8F57\u8F55\u8F58\u8F5A\u908D\u9143\u9141\u91B7\u91B5\u91B2\u91B3\u940B\u9413\u93FB\u9420\u940F\u9414\u93FE\u9415\u9410\u9428\u9419\u940D\u93F5\u9400\u93F7\u9407\u940E\u9416\u9412\u93FA\u9409\u93F8\u940A\u93FF"], ["f540", "\u93FC\u940C\u93F6\u9411\u9406\u95DE\u95E0\u95DF\u972E\u972F\u97B9\u97BB\u97FD\u97FE\u9860\u9862\u9863\u985F\u98C1\u98C2\u9950\u994E\u9959\u994C\u994B\u9953\u9A32\u9A34\u9A31\u9A2C\u9A2A\u9A36\u9A29\u9A2E\u9A38\u9A2D\u9AC7\u9ACA\u9AC6\u9B10\u9B12\u9B11\u9C0B\u9C08\u9BF7\u9C05\u9C12\u9BF8\u9C40\u9C07\u9C0E\u9C06\u9C17\u9C14\u9C09\u9D9F\u9D99\u9DA4\u9D9D\u9D92\u9D98\u9D90\u9D9B"], ["f5a1", "\u9DA0\u9D94\u9D9C\u9DAA\u9D97\u9DA1\u9D9A\u9DA2\u9DA8\u9D9E\u9DA3\u9DBF\u9DA9\u9D96\u9DA6\u9DA7\u9E99\u9E9B\u9E9A\u9EE5\u9EE4\u9EE7\u9EE6\u9F30\u9F2E\u9F5B\u9F60\u9F5E\u9F5D\u9F59\u9F91\u513A\u5139\u5298\u5297\u56C3\u56BD\u56BE\u5B48\u5B47\u5DCB\u5DCF\u5EF1\u61FD\u651B\u6B02\u6AFC\u6B03\u6AF8\u6B00\u7043\u7044\u704A\u7048\u7049\u7045\u7046\u721D\u721A\u7219\u737E\u7517\u766A\u77D0\u792D\u7931\u792F\u7C54\u7C53\u7CF2\u7E8A\u7E87\u7E88\u7E8B\u7E86\u7E8D\u7F4D\u7FBB\u8030\u81DD\u8618\u862A\u8626\u861F\u8623\u861C\u8619\u8627\u862E\u8621\u8620\u8629\u861E\u8625"], ["f640", "\u8829\u881D\u881B\u8820\u8824\u881C\u882B\u884A\u896D\u8969\u896E\u896B\u89FA\u8B79\u8B78\u8B45\u8B7A\u8B7B\u8D10\u8D14\u8DAF\u8E8E\u8E8C\u8F5E\u8F5B\u8F5D\u9146\u9144\u9145\u91B9\u943F\u943B\u9436\u9429\u943D\u943C\u9430\u9439\u942A\u9437\u942C\u9440\u9431\u95E5\u95E4\u95E3\u9735\u973A\u97BF\u97E1\u9864\u98C9\u98C6\u98C0\u9958\u9956\u9A39\u9A3D\u9A46\u9A44\u9A42\u9A41\u9A3A"], ["f6a1", "\u9A3F\u9ACD\u9B15\u9B17\u9B18\u9B16\u9B3A\u9B52\u9C2B\u9C1D\u9C1C\u9C2C\u9C23\u9C28\u9C29\u9C24\u9C21\u9DB7\u9DB6\u9DBC\u9DC1\u9DC7\u9DCA\u9DCF\u9DBE\u9DC5\u9DC3\u9DBB\u9DB5\u9DCE\u9DB9\u9DBA\u9DAC\u9DC8\u9DB1\u9DAD\u9DCC\u9DB3\u9DCD\u9DB2\u9E7A\u9E9C\u9EEB\u9EEE\u9EED\u9F1B\u9F18\u9F1A\u9F31\u9F4E\u9F65\u9F64\u9F92\u4EB9\u56C6\u56C5\u56CB\u5971\u5B4B\u5B4C\u5DD5\u5DD1\u5EF2\u6521\u6520\u6526\u6522\u6B0B\u6B08\u6B09\u6C0D\u7055\u7056\u7057\u7052\u721E\u721F\u72A9\u737F\u74D8\u74D5\u74D9\u74D7\u766D\u76AD\u7935\u79B4\u7A70\u7A71\u7C57\u7C5C\u7C59\u7C5B\u7C5A"], ["f740", "\u7CF4\u7CF1\u7E91\u7F4F\u7F87\u81DE\u826B\u8634\u8635\u8633\u862C\u8632\u8636\u882C\u8828\u8826\u882A\u8825\u8971\u89BF\u89BE\u89FB\u8B7E\u8B84\u8B82\u8B86\u8B85\u8B7F\u8D15\u8E95\u8E94\u8E9A\u8E92\u8E90\u8E96\u8E97\u8F60\u8F62\u9147\u944C\u9450\u944A\u944B\u944F\u9447\u9445\u9448\u9449\u9446\u973F\u97E3\u986A\u9869\u98CB\u9954\u995B\u9A4E\u9A53\u9A54\u9A4C\u9A4F\u9A48\u9A4A"], ["f7a1", "\u9A49\u9A52\u9A50\u9AD0\u9B19\u9B2B\u9B3B\u9B56\u9B55\u9C46\u9C48\u9C3F\u9C44\u9C39\u9C33\u9C41\u9C3C\u9C37\u9C34\u9C32\u9C3D\u9C36\u9DDB\u9DD2\u9DDE\u9DDA\u9DCB\u9DD0\u9DDC\u9DD1\u9DDF\u9DE9\u9DD9\u9DD8\u9DD6\u9DF5\u9DD5\u9DDD\u9EB6\u9EF0\u9F35\u9F33\u9F32\u9F42\u9F6B\u9F95\u9FA2\u513D\u5299\u58E8\u58E7\u5972\u5B4D\u5DD8\u882F\u5F4F\u6201\u6203\u6204\u6529\u6525\u6596\u66EB\u6B11\u6B12\u6B0F\u6BCA\u705B\u705A\u7222\u7382\u7381\u7383\u7670\u77D4\u7C67\u7C66\u7E95\u826C\u863A\u8640\u8639\u863C\u8631\u863B\u863E\u8830\u8832\u882E\u8833\u8976\u8974\u8973\u89FE"], ["f840", "\u8B8C\u8B8E\u8B8B\u8B88\u8C45\u8D19\u8E98\u8F64\u8F63\u91BC\u9462\u9455\u945D\u9457\u945E\u97C4\u97C5\u9800\u9A56\u9A59\u9B1E\u9B1F\u9B20\u9C52\u9C58\u9C50\u9C4A\u9C4D\u9C4B\u9C55\u9C59\u9C4C\u9C4E\u9DFB\u9DF7\u9DEF\u9DE3\u9DEB\u9DF8\u9DE4\u9DF6\u9DE1\u9DEE\u9DE6\u9DF2\u9DF0\u9DE2\u9DEC\u9DF4\u9DF3\u9DE8\u9DED\u9EC2\u9ED0\u9EF2\u9EF3\u9F06\u9F1C\u9F38\u9F37\u9F36\u9F43\u9F4F"], ["f8a1", "\u9F71\u9F70\u9F6E\u9F6F\u56D3\u56CD\u5B4E\u5C6D\u652D\u66ED\u66EE\u6B13\u705F\u7061\u705D\u7060\u7223\u74DB\u74E5\u77D5\u7938\u79B7\u79B6\u7C6A\u7E97\u7F89\u826D\u8643\u8838\u8837\u8835\u884B\u8B94\u8B95\u8E9E\u8E9F\u8EA0\u8E9D\u91BE\u91BD\u91C2\u946B\u9468\u9469\u96E5\u9746\u9743\u9747\u97C7\u97E5\u9A5E\u9AD5\u9B59\u9C63\u9C67\u9C66\u9C62\u9C5E\u9C60\u9E02\u9DFE\u9E07\u9E03\u9E06\u9E05\u9E00\u9E01\u9E09\u9DFF\u9DFD\u9E04\u9EA0\u9F1E\u9F46\u9F74\u9F75\u9F76\u56D4\u652E\u65B8\u6B18\u6B19\u6B17\u6B1A\u7062\u7226\u72AA\u77D8\u77D9\u7939\u7C69\u7C6B\u7CF6\u7E9A"], ["f940", "\u7E98\u7E9B\u7E99\u81E0\u81E1\u8646\u8647\u8648\u8979\u897A\u897C\u897B\u89FF\u8B98\u8B99\u8EA5\u8EA4\u8EA3\u946E\u946D\u946F\u9471\u9473\u9749\u9872\u995F\u9C68\u9C6E\u9C6D\u9E0B\u9E0D\u9E10\u9E0F\u9E12\u9E11\u9EA1\u9EF5\u9F09\u9F47\u9F78\u9F7B\u9F7A\u9F79\u571E\u7066\u7C6F\u883C\u8DB2\u8EA6\u91C3\u9474\u9478\u9476\u9475\u9A60\u9C74\u9C73\u9C71\u9C75\u9E14\u9E13\u9EF6\u9F0A"], ["f9a1", "\u9FA4\u7068\u7065\u7CF7\u866A\u883E\u883D\u883F\u8B9E\u8C9C\u8EA9\u8EC9\u974B\u9873\u9874\u98CC\u9961\u99AB\u9A64\u9A66\u9A67\u9B24\u9E15\u9E17\u9F48\u6207\u6B1E\u7227\u864C\u8EA8\u9482\u9480\u9481\u9A69\u9A68\u9B2E\u9E19\u7229\u864B\u8B9F\u9483\u9C79\u9EB7\u7675\u9A6B\u9C7A\u9E1D\u7069\u706A\u9EA4\u9F7E\u9F49\u9F98\u7881\u92B9\u88CF\u58BB\u6052\u7CA7\u5AFA\u2554\u2566\u2557\u2560\u256C\u2563\u255A\u2569\u255D\u2552\u2564\u2555\u255E\u256A\u2561\u2558\u2567\u255B\u2553\u2565\u2556\u255F\u256B\u2562\u2559\u2568\u255C\u2551\u2550\u256D\u256E\u2570\u256F\u2593"]];
    });
    var yK = b((JGe, tPe) => {
      tPe.exports = [["8740", "\u43F0\u4C32\u4603\u45A6\u4578\u{27267}\u4D77\u45B3\u{27CB1}\u4CE2\u{27CC5}\u3B95\u4736\u4744\u4C47\u4C40\u{242BF}\u{23617}\u{27352}\u{26E8B}\u{270D2}\u4C57\u{2A351}\u474F\u45DA\u4C85\u{27C6C}\u4D07\u4AA4\u46A1\u{26B23}\u7225\u{25A54}\u{21A63}\u{23E06}\u{23F61}\u664D\u56FB"], ["8767", "\u7D95\u591D\u{28BB9}\u3DF4\u9734\u{27BEF}\u5BDB\u{21D5E}\u5AA4\u3625\u{29EB0}\u5AD1\u5BB7\u5CFC\u676E\u8593\u{29945}\u7461\u749D\u3875\u{21D53}\u{2369E}\u{26021}\u3EEC"], ["87a1", "\u{258DE}\u3AF5\u7AFC\u9F97\u{24161}\u{2890D}\u{231EA}\u{20A8A}\u{2325E}\u430A\u8484\u9F96\u942F\u4930\u8613\u5896\u974A\u9218\u79D0\u7A32\u6660\u6A29\u889D\u744C\u7BC5\u6782\u7A2C\u524F\u9046\u34E6\u73C4\u{25DB9}\u74C6\u9FC7\u57B3\u492F\u544C\u4131\u{2368E}\u5818\u7A72\u{27B65}\u8B8F\u46AE\u{26E88}\u4181\u{25D99}\u7BAE\u{224BC}\u9FC8\u{224C1}\u{224C9}\u{224CC}\u9FC9\u8504\u{235BB}\u40B4\u9FCA\u44E1\u{2ADFF}\u62C1\u706E\u9FCB"], ["8840", "\u31C0", 4, "\u{2010C}\u31C5\u{200D1}\u{200CD}\u31C6\u31C7\u{200CB}\u{21FE8}\u31C8\u{200CA}\u31C9\u31CA\u31CB\u31CC\u{2010E}\u31CD\u31CE\u0100\xC1\u01CD\xC0\u0112\xC9\u011A\xC8\u014C\xD3\u01D1\xD2\u0FFF\xCA\u0304\u1EBE\u0FFF\xCA\u030C\u1EC0\xCA\u0101\xE1\u01CE\xE0\u0251\u0113\xE9\u011B\xE8\u012B\xED\u01D0\xEC\u014D\xF3\u01D2\xF2\u016B\xFA\u01D4\xF9\u01D6\u01D8\u01DA"], ["88a1", "\u01DC\xFC\u0FFF\xEA\u0304\u1EBF\u0FFF\xEA\u030C\u1EC1\xEA\u0261\u23DA\u23DB"], ["8940", "\u{2A3A9}\u{21145}"], ["8943", "\u650A"], ["8946", "\u4E3D\u6EDD\u9D4E\u91DF"], ["894c", "\u{27735}\u6491\u4F1A\u4F28\u4FA8\u5156\u5174\u519C\u51E4\u52A1\u52A8\u533B\u534E\u53D1\u53D8\u56E2\u58F0\u5904\u5907\u5932\u5934\u5B66\u5B9E\u5B9F\u5C9A\u5E86\u603B\u6589\u67FE\u6804\u6865\u6D4E\u70BC\u7535\u7EA4\u7EAC\u7EBA\u7EC7\u7ECF\u7EDF\u7F06\u7F37\u827A\u82CF\u836F\u89C6\u8BBE\u8BE2\u8F66\u8F67\u8F6E"], ["89a1", "\u7411\u7CFC\u7DCD\u6946\u7AC9\u5227"], ["89ab", "\u918C\u78B8\u915E\u80BC"], ["89b0", "\u8D0B\u80F6\u{209E7}"], ["89b5", "\u809F\u9EC7\u4CCD\u9DC9\u9E0C\u4C3E\u{29DF6}\u{2700E}\u9E0A\u{2A133}\u35C1"], ["89c1", "\u6E9A\u823E\u7519"], ["89c5", "\u4911\u9A6C\u9A8F\u9F99\u7987\u{2846C}\u{21DCA}\u{205D0}\u{22AE6}\u4E24\u4E81\u4E80\u4E87\u4EBF\u4EEB\u4F37\u344C\u4FBD\u3E48\u5003\u5088\u347D\u3493\u34A5\u5186\u5905\u51DB\u51FC\u5205\u4E89\u5279\u5290\u5327\u35C7\u53A9\u3551\u53B0\u3553\u53C2\u5423\u356D\u3572\u3681\u5493\u54A3\u54B4\u54B9\u54D0\u54EF\u5518\u5523\u5528\u3598\u553F\u35A5\u35BF\u55D7\u35C5"], ["8a40", "\u{27D84}\u5525"], ["8a43", "\u{20C42}\u{20D15}\u{2512B}\u5590\u{22CC6}\u39EC\u{20341}\u8E46\u{24DB8}\u{294E5}\u4053\u{280BE}\u777A\u{22C38}\u3A34\u47D5\u{2815D}\u{269F2}\u{24DEA}\u64DD\u{20D7C}\u{20FB4}\u{20CD5}\u{210F4}\u648D\u8E7E\u{20E96}\u{20C0B}\u{20F64}\u{22CA9}\u{28256}\u{244D3}"], ["8a64", "\u{20D46}\u{29A4D}\u{280E9}\u47F4\u{24EA7}\u{22CC2}\u9AB2\u3A67\u{295F4}\u3FED\u3506\u{252C7}\u{297D4}\u{278C8}\u{22D44}\u9D6E\u9815"], ["8a76", "\u43D9\u{260A5}\u64B4\u54E3\u{22D4C}\u{22BCA}\u{21077}\u39FB\u{2106F}"], ["8aa1", "\u{266DA}\u{26716}\u{279A0}\u64EA\u{25052}\u{20C43}\u8E68\u{221A1}\u{28B4C}\u{20731}"], ["8aac", "\u480B\u{201A9}\u3FFA\u5873\u{22D8D}"], ["8ab2", "\u{245C8}\u{204FC}\u{26097}\u{20F4C}\u{20D96}\u5579\u40BB\u43BA"], ["8abb", "\u4AB4\u{22A66}\u{2109D}\u81AA\u98F5\u{20D9C}\u6379\u39FE\u{22775}\u8DC0\u56A1\u647C\u3E43"], ["8ac9", "\u{2A601}\u{20E09}\u{22ACF}\u{22CC9}"], ["8ace", "\u{210C8}\u{239C2}\u3992\u3A06\u{2829B}\u3578\u{25E49}\u{220C7}\u5652\u{20F31}\u{22CB2}\u{29720}\u34BC\u6C3D\u{24E3B}"], ["8adf", "\u{27574}\u{22E8B}\u{22208}\u{2A65B}\u{28CCD}\u{20E7A}\u{20C34}\u{2681C}\u7F93\u{210CF}\u{22803}\u{22939}\u35FB\u{251E3}\u{20E8C}\u{20F8D}\u{20EAA}\u3F93\u{20F30}\u{20D47}\u{2114F}\u{20E4C}"], ["8af6", "\u{20EAB}\u{20BA9}\u{20D48}\u{210C0}\u{2113D}\u3FF9\u{22696}\u6432\u{20FAD}"], ["8b40", "\u{233F4}\u{27639}\u{22BCE}\u{20D7E}\u{20D7F}\u{22C51}\u{22C55}\u3A18\u{20E98}\u{210C7}\u{20F2E}\u{2A632}\u{26B50}\u{28CD2}\u{28D99}\u{28CCA}\u95AA\u54CC\u82C4\u55B9"], ["8b55", "\u{29EC3}\u9C26\u9AB6\u{2775E}\u{22DEE}\u7140\u816D\u80EC\u5C1C\u{26572}\u8134\u3797\u535F\u{280BD}\u91B6\u{20EFA}\u{20E0F}\u{20E77}\u{20EFB}\u35DD\u{24DEB}\u3609\u{20CD6}\u56AF\u{227B5}\u{210C9}\u{20E10}\u{20E78}\u{21078}\u{21148}\u{28207}\u{21455}\u{20E79}\u{24E50}\u{22DA4}\u5A54\u{2101D}\u{2101E}\u{210F5}\u{210F6}\u579C\u{20E11}"], ["8ba1", "\u{27694}\u{282CD}\u{20FB5}\u{20E7B}\u{2517E}\u3703\u{20FB6}\u{21180}\u{252D8}\u{2A2BD}\u{249DA}\u{2183A}\u{24177}\u{2827C}\u5899\u5268\u361A\u{2573D}\u7BB2\u5B68\u4800\u4B2C\u9F27\u49E7\u9C1F\u9B8D\u{25B74}\u{2313D}\u55FB\u35F2\u5689\u4E28\u5902\u{21BC1}\u{2F878}\u9751\u{20086}\u4E5B\u4EBB\u353E\u5C23\u5F51\u5FC4\u38FA\u624C\u6535\u6B7A\u6C35\u6C3A\u706C\u722B\u4E2C\u72AD\u{248E9}\u7F52\u793B\u7CF9\u7F53\u{2626A}\u34C1"], ["8bde", "\u{2634B}\u8002\u8080\u{26612}\u{26951}\u535D\u8864\u89C1\u{278B2}\u8BA0\u8D1D\u9485\u9578\u957F\u95E8\u{28E0F}\u97E6\u9875\u98CE\u98DE\u9963\u{29810}\u9C7C\u9E1F\u9EC4\u6B6F\uF907\u4E37\u{20087}\u961D\u6237\u94A2"], ["8c40", "\u503B\u6DFE\u{29C73}\u9FA6\u3DC9\u888F\u{2414E}\u7077\u5CF5\u4B20\u{251CD}\u3559\u{25D30}\u6122\u{28A32}\u8FA7\u91F6\u7191\u6719\u73BA\u{23281}\u{2A107}\u3C8B\u{21980}\u4B10\u78E4\u7402\u51AE\u{2870F}\u4009\u6A63\u{2A2BA}\u4223\u860F\u{20A6F}\u7A2A\u{29947}\u{28AEA}\u9755\u704D\u5324\u{2207E}\u93F4\u76D9\u{289E3}\u9FA7\u77DD\u4EA3\u4FF0\u50BC\u4E2F\u4F17\u9FA8\u5434\u7D8B\u5892\u58D0\u{21DB6}\u5E92\u5E99\u5FC2\u{22712}\u658B"], ["8ca1", "\u{233F9}\u6919\u6A43\u{23C63}\u6CFF"], ["8ca7", "\u7200\u{24505}\u738C\u3EDB\u{24A13}\u5B15\u74B9\u8B83\u{25CA4}\u{25695}\u7A93\u7BEC\u7CC3\u7E6C\u82F8\u8597\u9FA9\u8890\u9FAA\u8EB9\u9FAB\u8FCF\u855F\u99E0\u9221\u9FAC\u{28DB9}\u{2143F}\u4071\u42A2\u5A1A"], ["8cc9", "\u9868\u676B\u4276\u573D"], ["8cce", "\u85D6\u{2497B}\u82BF\u{2710D}\u4C81\u{26D74}\u5D7B\u{26B15}\u{26FBE}\u9FAD\u9FAE\u5B96\u9FAF\u66E7\u7E5B\u6E57\u79CA\u3D88\u44C3\u{23256}\u{22796}\u439A\u4536"], ["8ce6", "\u5CD5\u{23B1A}\u8AF9\u5C78\u3D12\u{23551}\u5D78\u9FB2\u7157\u4558\u{240EC}\u{21E23}\u4C77\u3978\u344A\u{201A4}\u{26C41}\u8ACC\u4FB4\u{20239}\u59BF\u816C\u9856\u{298FA}\u5F3B"], ["8d40", "\u{20B9F}"], ["8d42", "\u{221C1}\u{2896D}\u4102\u46BB\u{29079}\u3F07\u9FB3\u{2A1B5}\u40F8\u37D6\u46F7\u{26C46}\u417C\u{286B2}\u{273FF}\u456D\u38D4\u{2549A}\u4561\u451B\u4D89\u4C7B\u4D76\u45EA\u3FC8\u{24B0F}\u3661\u44DE\u44BD\u41ED\u5D3E\u5D48\u5D56\u3DFC\u380F\u5DA4\u5DB9\u3820\u3838\u5E42\u5EBD\u5F25\u5F83\u3908\u3914\u393F\u394D\u60D7\u613D\u5CE5\u3989\u61B7\u61B9\u61CF\u39B8\u622C\u6290\u62E5\u6318\u39F8\u56B1"], ["8da1", "\u3A03\u63E2\u63FB\u6407\u645A\u3A4B\u64C0\u5D15\u5621\u9F9F\u3A97\u6586\u3ABD\u65FF\u6653\u3AF2\u6692\u3B22\u6716\u3B42\u67A4\u6800\u3B58\u684A\u6884\u3B72\u3B71\u3B7B\u6909\u6943\u725C\u6964\u699F\u6985\u3BBC\u69D6\u3BDD\u6A65\u6A74\u6A71\u6A82\u3BEC\u6A99\u3BF2\u6AAB\u6AB5\u6AD4\u6AF6\u6B81\u6BC1\u6BEA\u6C75\u6CAA\u3CCB\u6D02\u6D06\u6D26\u6D81\u3CEF\u6DA4\u6DB1\u6E15\u6E18\u6E29\u6E86\u{289C0}\u6EBB\u6EE2\u6EDA\u9F7F\u6EE8\u6EE9\u6F24\u6F34\u3D46\u{23F41}\u6F81\u6FBE\u3D6A\u3D75\u71B7\u5C99\u3D8A\u702C\u3D91\u7050\u7054\u706F\u707F\u7089\u{20325}\u43C1\u35F1\u{20ED8}"], ["8e40", "\u{23ED7}\u57BE\u{26ED3}\u713E\u{257E0}\u364E\u69A2\u{28BE9}\u5B74\u7A49\u{258E1}\u{294D9}\u7A65\u7A7D\u{259AC}\u7ABB\u7AB0\u7AC2\u7AC3\u71D1\u{2648D}\u41CA\u7ADA\u7ADD\u7AEA\u41EF\u54B2\u{25C01}\u7B0B\u7B55\u7B29\u{2530E}\u{25CFE}\u7BA2\u7B6F\u839C\u{25BB4}\u{26C7F}\u7BD0\u8421\u7B92\u7BB8\u{25D20}\u3DAD\u{25C65}\u8492\u7BFA\u7C06\u7C35\u{25CC1}\u7C44\u7C83\u{24882}\u7CA6\u667D\u{24578}\u7CC9\u7CC7\u7CE6\u7C74\u7CF3\u7CF5\u7CCE"], ["8ea1", "\u7E67\u451D\u{26E44}\u7D5D\u{26ED6}\u748D\u7D89\u7DAB\u7135\u7DB3\u7DD2\u{24057}\u{26029}\u7DE4\u3D13\u7DF5\u{217F9}\u7DE5\u{2836D}\u7E1D\u{26121}\u{2615A}\u7E6E\u7E92\u432B\u946C\u7E27\u7F40\u7F41\u7F47\u7936\u{262D0}\u99E1\u7F97\u{26351}\u7FA3\u{21661}\u{20068}\u455C\u{23766}\u4503\u{2833A}\u7FFA\u{26489}\u8005\u8008\u801D\u8028\u802F\u{2A087}\u{26CC3}\u803B\u803C\u8061\u{22714}\u4989\u{26626}\u{23DE3}\u{266E8}\u6725\u80A7\u{28A48}\u8107\u811A\u58B0\u{226F6}\u6C7F\u{26498}\u{24FB8}\u64E7\u{2148A}\u8218\u{2185E}\u6A53\u{24A65}\u{24A95}\u447A\u8229\u{20B0D}\u{26A52}\u{23D7E}\u4FF9\u{214FD}\u84E2\u8362\u{26B0A}\u{249A7}\u{23530}\u{21773}\u{23DF8}\u82AA\u691B\u{2F994}\u41DB"], ["8f40", "\u854B\u82D0\u831A\u{20E16}\u{217B4}\u36C1\u{2317D}\u{2355A}\u827B\u82E2\u8318\u{23E8B}\u{26DA3}\u{26B05}\u{26B97}\u{235CE}\u3DBF\u831D\u55EC\u8385\u450B\u{26DA5}\u83AC\u83C1\u83D3\u347E\u{26ED4}\u6A57\u855A\u3496\u{26E42}\u{22EEF}\u8458\u{25BE4}\u8471\u3DD3\u44E4\u6AA7\u844A\u{23CB5}\u7958\u84A8\u{26B96}\u{26E77}\u{26E43}\u84DE\u840F\u8391\u44A0\u8493\u84E4\u{25C91}\u4240\u{25CC0}\u4543\u8534\u5AF2\u{26E99}\u4527\u8573\u4516\u67BF\u8616"], ["8fa1", "\u{28625}\u{2863B}\u85C1\u{27088}\u8602\u{21582}\u{270CD}\u{2F9B2}\u456A\u8628\u3648\u{218A2}\u53F7\u{2739A}\u867E\u8771\u{2A0F8}\u87EE\u{22C27}\u87B1\u87DA\u880F\u5661\u866C\u6856\u460F\u8845\u8846\u{275E0}\u{23DB9}\u{275E4}\u885E\u889C\u465B\u88B4\u88B5\u63C1\u88C5\u7777\u{2770F}\u8987\u898A\u89A6\u89A9\u89A7\u89BC\u{28A25}\u89E7\u{27924}\u{27ABD}\u8A9C\u7793\u91FE\u8A90\u{27A59}\u7AE9\u{27B3A}\u{23F8F}\u4713\u{27B38}\u717C\u8B0C\u8B1F\u{25430}\u{25565}\u8B3F\u8B4C\u8B4D\u8AA9\u{24A7A}\u8B90\u8B9B\u8AAF\u{216DF}\u4615\u884F\u8C9B\u{27D54}\u{27D8F}\u{2F9D4}\u3725\u{27D53}\u8CD6\u{27D98}\u{27DBD}\u8D12\u8D03\u{21910}\u8CDB\u705C\u8D11\u{24CC9}\u3ED0\u8D77"], ["9040", "\u8DA9\u{28002}\u{21014}\u{2498A}\u3B7C\u{281BC}\u{2710C}\u7AE7\u8EAD\u8EB6\u8EC3\u92D4\u8F19\u8F2D\u{28365}\u{28412}\u8FA5\u9303\u{2A29F}\u{20A50}\u8FB3\u492A\u{289DE}\u{2853D}\u{23DBB}\u5EF8\u{23262}\u8FF9\u{2A014}\u{286BC}\u{28501}\u{22325}\u3980\u{26ED7}\u9037\u{2853C}\u{27ABE}\u9061\u{2856C}\u{2860B}\u90A8\u{28713}\u90C4\u{286E6}\u90AE\u90FD\u9167\u3AF0\u91A9\u91C4\u7CAC\u{28933}\u{21E89}\u920E\u6C9F\u9241\u9262\u{255B9}\u92B9\u{28AC6}\u{23C9B}\u{28B0C}\u{255DB}"], ["90a1", "\u{20D31}\u932C\u936B\u{28AE1}\u{28BEB}\u708F\u5AC3\u{28AE2}\u{28AE5}\u4965\u9244\u{28BEC}\u{28C39}\u{28BFF}\u9373\u945B\u8EBC\u9585\u95A6\u9426\u95A0\u6FF6\u42B9\u{2267A}\u{286D8}\u{2127C}\u{23E2E}\u49DF\u6C1C\u967B\u9696\u416C\u96A3\u{26ED5}\u61DA\u96B6\u78F5\u{28AE0}\u96BD\u53CC\u49A1\u{26CB8}\u{20274}\u{26410}\u{290AF}\u{290E5}\u{24AD1}\u{21915}\u{2330A}\u9731\u8642\u9736\u4A0F\u453D\u4585\u{24AE9}\u7075\u5B41\u971B\u975C\u{291D5}\u9757\u5B4A\u{291EB}\u975F\u9425\u50D0\u{230B7}\u{230BC}\u9789\u979F\u97B1\u97BE\u97C0\u97D2\u97E0\u{2546C}\u97EE\u741C\u{29433}\u97FF\u97F5\u{2941D}\u{2797A}\u4AD1\u9834\u9833\u984B\u9866\u3B0E\u{27175}\u3D51\u{20630}\u{2415C}"], ["9140", "\u{25706}\u98CA\u98B7\u98C8\u98C7\u4AFF\u{26D27}\u{216D3}\u55B0\u98E1\u98E6\u98EC\u9378\u9939\u{24A29}\u4B72\u{29857}\u{29905}\u99F5\u9A0C\u9A3B\u9A10\u9A58\u{25725}\u36C4\u{290B1}\u{29BD5}\u9AE0\u9AE2\u{29B05}\u9AF4\u4C0E\u9B14\u9B2D\u{28600}\u5034\u9B34\u{269A8}\u38C3\u{2307D}\u9B50\u9B40\u{29D3E}\u5A45\u{21863}\u9B8E\u{2424B}\u9C02\u9BFF\u9C0C\u{29E68}\u9DD4\u{29FB7}\u{2A192}\u{2A1AB}\u{2A0E1}\u{2A123}\u{2A1DF}\u9D7E\u9D83\u{2A134}\u9E0E\u6888"], ["91a1", "\u9DC4\u{2215B}\u{2A193}\u{2A220}\u{2193B}\u{2A233}\u9D39\u{2A0B9}\u{2A2B4}\u9E90\u9E95\u9E9E\u9EA2\u4D34\u9EAA\u9EAF\u{24364}\u9EC1\u3B60\u39E5\u3D1D\u4F32\u37BE\u{28C2B}\u9F02\u9F08\u4B96\u9424\u{26DA2}\u9F17\u9F16\u9F39\u569F\u568A\u9F45\u99B8\u{2908B}\u97F2\u847F\u9F62\u9F69\u7ADC\u9F8E\u7216\u4BBE\u{24975}\u{249BB}\u7177\u{249F8}\u{24348}\u{24A51}\u739E\u{28BDA}\u{218FA}\u799F\u{2897E}\u{28E36}\u9369\u93F3\u{28A44}\u92EC\u9381\u93CB\u{2896C}\u{244B9}\u7217\u3EEB\u7772\u7A43\u70D0\u{24473}\u{243F8}\u717E\u{217EF}\u70A3\u{218BE}\u{23599}\u3EC7\u{21885}\u{2542F}\u{217F8}\u3722\u{216FB}\u{21839}\u36E1\u{21774}\u{218D1}\u{25F4B}\u3723\u{216C0}\u575B\u{24A25}\u{213FE}\u{212A8}"], ["9240", "\u{213C6}\u{214B6}\u8503\u{236A6}\u8503\u8455\u{24994}\u{27165}\u{23E31}\u{2555C}\u{23EFB}\u{27052}\u44F4\u{236EE}\u{2999D}\u{26F26}\u67F9\u3733\u3C15\u3DE7\u586C\u{21922}\u6810\u4057\u{2373F}\u{240E1}\u{2408B}\u{2410F}\u{26C21}\u54CB\u569E\u{266B1}\u5692\u{20FDF}\u{20BA8}\u{20E0D}\u93C6\u{28B13}\u939C\u4EF8\u512B\u3819\u{24436}\u4EBC\u{20465}\u{2037F}\u4F4B\u4F8A\u{25651}\u5A68\u{201AB}\u{203CB}\u3999\u{2030A}\u{20414}\u3435\u4F29\u{202C0}\u{28EB3}\u{20275}\u8ADA\u{2020C}\u4E98"], ["92a1", "\u50CD\u510D\u4FA2\u4F03\u{24A0E}\u{23E8A}\u4F42\u502E\u506C\u5081\u4FCC\u4FE5\u5058\u50FC\u5159\u515B\u515D\u515E\u6E76\u{23595}\u{23E39}\u{23EBF}\u6D72\u{21884}\u{23E89}\u51A8\u51C3\u{205E0}\u44DD\u{204A3}\u{20492}\u{20491}\u8D7A\u{28A9C}\u{2070E}\u5259\u52A4\u{20873}\u52E1\u936E\u467A\u718C\u{2438C}\u{20C20}\u{249AC}\u{210E4}\u69D1\u{20E1D}\u7479\u3EDE\u7499\u7414\u7456\u7398\u4B8E\u{24ABC}\u{2408D}\u53D0\u3584\u720F\u{240C9}\u55B4\u{20345}\u54CD\u{20BC6}\u571D\u925D\u96F4\u9366\u57DD\u578D\u577F\u363E\u58CB\u5A99\u{28A46}\u{216FA}\u{2176F}\u{21710}\u5A2C\u59B8\u928F\u5A7E\u5ACF\u5A12\u{25946}\u{219F3}\u{21861}\u{24295}\u36F5\u6D05\u7443\u5A21\u{25E83}"], ["9340", "\u5A81\u{28BD7}\u{20413}\u93E0\u748C\u{21303}\u7105\u4972\u9408\u{289FB}\u93BD\u37A0\u5C1E\u5C9E\u5E5E\u5E48\u{21996}\u{2197C}\u{23AEE}\u5ECD\u5B4F\u{21903}\u{21904}\u3701\u{218A0}\u36DD\u{216FE}\u36D3\u812A\u{28A47}\u{21DBA}\u{23472}\u{289A8}\u5F0C\u5F0E\u{21927}\u{217AB}\u5A6B\u{2173B}\u5B44\u8614\u{275FD}\u8860\u607E\u{22860}\u{2262B}\u5FDB\u3EB8\u{225AF}\u{225BE}\u{29088}\u{26F73}\u61C0\u{2003E}\u{20046}\u{2261B}\u6199\u6198\u6075\u{22C9B}\u{22D07}\u{246D4}\u{2914D}"], ["93a1", "\u6471\u{24665}\u{22B6A}\u3A29\u{22B22}\u{23450}\u{298EA}\u{22E78}\u6337\u{2A45B}\u64B6\u6331\u63D1\u{249E3}\u{22D67}\u62A4\u{22CA1}\u643B\u656B\u6972\u3BF4\u{2308E}\u{232AD}\u{24989}\u{232AB}\u550D\u{232E0}\u{218D9}\u{2943F}\u66CE\u{23289}\u{231B3}\u3AE0\u4190\u{25584}\u{28B22}\u{2558F}\u{216FC}\u{2555B}\u{25425}\u78EE\u{23103}\u{2182A}\u{23234}\u3464\u{2320F}\u{23182}\u{242C9}\u668E\u{26D24}\u666B\u4B93\u6630\u{27870}\u{21DEB}\u6663\u{232D2}\u{232E1}\u661E\u{25872}\u38D1\u{2383A}\u{237BC}\u3B99\u{237A2}\u{233FE}\u74D0\u3B96\u678F\u{2462A}\u68B6\u681E\u3BC4\u6ABE\u3863\u{237D5}\u{24487}\u6A33\u6A52\u6AC9\u6B05\u{21912}\u6511\u6898\u6A4C\u3BD7\u6A7A\u6B57\u{23FC0}\u{23C9A}\u93A0\u92F2\u{28BEA}\u{28ACB}"], ["9440", "\u9289\u{2801E}\u{289DC}\u9467\u6DA5\u6F0B\u{249EC}\u6D67\u{23F7F}\u3D8F\u6E04\u{2403C}\u5A3D\u6E0A\u5847\u6D24\u7842\u713B\u{2431A}\u{24276}\u70F1\u7250\u7287\u7294\u{2478F}\u{24725}\u5179\u{24AA4}\u{205EB}\u747A\u{23EF8}\u{2365F}\u{24A4A}\u{24917}\u{25FE1}\u3F06\u3EB1\u{24ADF}\u{28C23}\u{23F35}\u60A7\u3EF3\u74CC\u743C\u9387\u7437\u449F\u{26DEA}\u4551\u7583\u3F63\u{24CD9}\u{24D06}\u3F58\u7555\u7673\u{2A5C6}\u3B19\u7468\u{28ACC}\u{249AB}\u{2498E}\u3AFB"], ["94a1", "\u3DCD\u{24A4E}\u3EFF\u{249C5}\u{248F3}\u91FA\u5732\u9342\u{28AE3}\u{21864}\u50DF\u{25221}\u{251E7}\u7778\u{23232}\u770E\u770F\u777B\u{24697}\u{23781}\u3A5E\u{248F0}\u7438\u749B\u3EBF\u{24ABA}\u{24AC7}\u40C8\u{24A96}\u{261AE}\u9307\u{25581}\u781E\u788D\u7888\u78D2\u73D0\u7959\u{27741}\u{256E3}\u410E\u799B\u8496\u79A5\u6A2D\u{23EFA}\u7A3A\u79F4\u416E\u{216E6}\u4132\u9235\u79F1\u{20D4C}\u{2498C}\u{20299}\u{23DBA}\u{2176E}\u3597\u556B\u3570\u36AA\u{201D4}\u{20C0D}\u7AE2\u5A59\u{226F5}\u{25AAF}\u{25A9C}\u5A0D\u{2025B}\u78F0\u5A2A\u{25BC6}\u7AFE\u41F9\u7C5D\u7C6D\u4211\u{25BB3}\u{25EBC}\u{25EA6}\u7CCD\u{249F9}\u{217B0}\u7C8E\u7C7C\u7CAE\u6AB2\u7DDC\u7E07\u7DD3\u7F4E\u{26261}"], ["9540", "\u{2615C}\u{27B48}\u7D97\u{25E82}\u426A\u{26B75}\u{20916}\u67D6\u{2004E}\u{235CF}\u57C4\u{26412}\u{263F8}\u{24962}\u7FDD\u7B27\u{2082C}\u{25AE9}\u{25D43}\u7B0C\u{25E0E}\u99E6\u8645\u9A63\u6A1C\u{2343F}\u39E2\u{249F7}\u{265AD}\u9A1F\u{265A0}\u8480\u{27127}\u{26CD1}\u44EA\u8137\u4402\u80C6\u8109\u8142\u{267B4}\u98C3\u{26A42}\u8262\u8265\u{26A51}\u8453\u{26DA7}\u8610\u{2721B}\u5A86\u417F\u{21840}\u5B2B\u{218A1}\u5AE4\u{218D8}\u86A0\u{2F9BC}\u{23D8F}\u882D\u{27422}\u5A02"], ["95a1", "\u886E\u4F45\u8887\u88BF\u88E6\u8965\u894D\u{25683}\u8954\u{27785}\u{27784}\u{28BF5}\u{28BD9}\u{28B9C}\u{289F9}\u3EAD\u84A3\u46F5\u46CF\u37F2\u8A3D\u8A1C\u{29448}\u5F4D\u922B\u{24284}\u65D4\u7129\u70C4\u{21845}\u9D6D\u8C9F\u8CE9\u{27DDC}\u599A\u77C3\u59F0\u436E\u36D4\u8E2A\u8EA7\u{24C09}\u8F30\u8F4A\u42F4\u6C58\u6FBB\u{22321}\u489B\u6F79\u6E8B\u{217DA}\u9BE9\u36B5\u{2492F}\u90BB\u9097\u5571\u4906\u91BB\u9404\u{28A4B}\u4062\u{28AFC}\u9427\u{28C1D}\u{28C3B}\u84E5\u8A2B\u9599\u95A7\u9597\u9596\u{28D34}\u7445\u3EC2\u{248FF}\u{24A42}\u{243EA}\u3EE7\u{23225}\u968F\u{28EE7}\u{28E66}\u{28E65}\u3ECC\u{249ED}\u{24A78}\u{23FEE}\u7412\u746B\u3EFC\u9741\u{290B0}"], ["9640", "\u6847\u4A1D\u{29093}\u{257DF}\u975D\u9368\u{28989}\u{28C26}\u{28B2F}\u{263BE}\u92BA\u5B11\u8B69\u493C\u73F9\u{2421B}\u979B\u9771\u9938\u{20F26}\u5DC1\u{28BC5}\u{24AB2}\u981F\u{294DA}\u92F6\u{295D7}\u91E5\u44C0\u{28B50}\u{24A67}\u{28B64}\u98DC\u{28A45}\u3F00\u922A\u4925\u8414\u993B\u994D\u{27B06}\u3DFD\u999B\u4B6F\u99AA\u9A5C\u{28B65}\u{258C8}\u6A8F\u9A21\u5AFE\u9A2F\u{298F1}\u4B90\u{29948}\u99BC\u4BBD\u4B97\u937D\u5872\u{21302}\u5822\u{249B8}"], ["96a1", "\u{214E8}\u7844\u{2271F}\u{23DB8}\u68C5\u3D7D\u9458\u3927\u6150\u{22781}\u{2296B}\u6107\u9C4F\u9C53\u9C7B\u9C35\u9C10\u9B7F\u9BCF\u{29E2D}\u9B9F\u{2A1F5}\u{2A0FE}\u9D21\u4CAE\u{24104}\u9E18\u4CB0\u9D0C\u{2A1B4}\u{2A0ED}\u{2A0F3}\u{2992F}\u9DA5\u84BD\u{26E12}\u{26FDF}\u{26B82}\u85FC\u4533\u{26DA4}\u{26E84}\u{26DF0}\u8420\u85EE\u{26E00}\u{237D7}\u{26064}\u79E2\u{2359C}\u{23640}\u492D\u{249DE}\u3D62\u93DB\u92BE\u9348\u{202BF}\u78B9\u9277\u944D\u4FE4\u3440\u9064\u{2555D}\u783D\u7854\u78B6\u784B\u{21757}\u{231C9}\u{24941}\u369A\u4F72\u6FDA\u6FD9\u701E\u701E\u5414\u{241B5}\u57BB\u58F3\u578A\u9D16\u57D7\u7134\u34AF\u{241AC}\u71EB\u{26C40}\u{24F97}\u5B28\u{217B5}\u{28A49}"], ["9740", "\u610C\u5ACE\u5A0B\u42BC\u{24488}\u372C\u4B7B\u{289FC}\u93BB\u93B8\u{218D6}\u{20F1D}\u8472\u{26CC0}\u{21413}\u{242FA}\u{22C26}\u{243C1}\u5994\u{23DB7}\u{26741}\u7DA8\u{2615B}\u{260A4}\u{249B9}\u{2498B}\u{289FA}\u92E5\u73E2\u3EE9\u74B4\u{28B63}\u{2189F}\u3EE1\u{24AB3}\u6AD8\u73F3\u73FB\u3ED6\u{24A3E}\u{24A94}\u{217D9}\u{24A66}\u{203A7}\u{21424}\u{249E5}\u7448\u{24916}\u70A5\u{24976}\u9284\u73E6\u935F\u{204FE}\u9331\u{28ACE}\u{28A16}\u9386\u{28BE7}\u{255D5}\u4935\u{28A82}\u716B"], ["97a1", "\u{24943}\u{20CFF}\u56A4\u{2061A}\u{20BEB}\u{20CB8}\u5502\u79C4\u{217FA}\u7DFE\u{216C2}\u{24A50}\u{21852}\u452E\u9401\u370A\u{28AC0}\u{249AD}\u59B0\u{218BF}\u{21883}\u{27484}\u5AA1\u36E2\u{23D5B}\u36B0\u925F\u5A79\u{28A81}\u{21862}\u9374\u3CCD\u{20AB4}\u4A96\u398A\u50F4\u3D69\u3D4C\u{2139C}\u7175\u42FB\u{28218}\u6E0F\u{290E4}\u44EB\u6D57\u{27E4F}\u7067\u6CAF\u3CD6\u{23FED}\u{23E2D}\u6E02\u6F0C\u3D6F\u{203F5}\u7551\u36BC\u34C8\u4680\u3EDA\u4871\u59C4\u926E\u493E\u8F41\u{28C1C}\u{26BC0}\u5812\u57C8\u36D6\u{21452}\u70FE\u{24362}\u{24A71}\u{22FE3}\u{212B0}\u{223BD}\u68B9\u6967\u{21398}\u{234E5}\u{27BF4}\u{236DF}\u{28A83}\u{237D6}\u{233FA}\u{24C9F}\u6A1A\u{236AD}\u{26CB7}\u843E\u44DF\u44CE"], ["9840", "\u{26D26}\u{26D51}\u{26C82}\u{26FDE}\u6F17\u{27109}\u833D\u{2173A}\u83ED\u{26C80}\u{27053}\u{217DB}\u5989\u5A82\u{217B3}\u5A61\u5A71\u{21905}\u{241FC}\u372D\u59EF\u{2173C}\u36C7\u718E\u9390\u669A\u{242A5}\u5A6E\u5A2B\u{24293}\u6A2B\u{23EF9}\u{27736}\u{2445B}\u{242CA}\u711D\u{24259}\u{289E1}\u4FB0\u{26D28}\u5CC2\u{244CE}\u{27E4D}\u{243BD}\u6A0C\u{24256}\u{21304}\u70A6\u7133\u{243E9}\u3DA5\u6CDF\u{2F825}\u{24A4F}\u7E65\u59EB\u5D2F\u3DF3\u5F5C\u{24A5D}\u{217DF}\u7DA4\u8426"], ["98a1", "\u5485\u{23AFA}\u{23300}\u{20214}\u577E\u{208D5}\u{20619}\u3FE5\u{21F9E}\u{2A2B6}\u7003\u{2915B}\u5D70\u738F\u7CD3\u{28A59}\u{29420}\u4FC8\u7FE7\u72CD\u7310\u{27AF4}\u7338\u7339\u{256F6}\u7341\u7348\u3EA9\u{27B18}\u906C\u71F5\u{248F2}\u73E1\u81F6\u3ECA\u770C\u3ED1\u6CA2\u56FD\u7419\u741E\u741F\u3EE2\u3EF0\u3EF4\u3EFA\u74D3\u3F0E\u3F53\u7542\u756D\u7572\u758D\u3F7C\u75C8\u75DC\u3FC0\u764D\u3FD7\u7674\u3FDC\u767A\u{24F5C}\u7188\u5623\u8980\u5869\u401D\u7743\u4039\u6761\u4045\u35DB\u7798\u406A\u406F\u5C5E\u77BE\u77CB\u58F2\u7818\u70B9\u781C\u40A8\u7839\u7847\u7851\u7866\u8448\u{25535}\u7933\u6803\u7932\u4103"], ["9940", "\u4109\u7991\u7999\u8FBB\u7A06\u8FBC\u4167\u7A91\u41B2\u7ABC\u8279\u41C4\u7ACF\u7ADB\u41CF\u4E21\u7B62\u7B6C\u7B7B\u7C12\u7C1B\u4260\u427A\u7C7B\u7C9C\u428C\u7CB8\u4294\u7CED\u8F93\u70C0\u{20CCF}\u7DCF\u7DD4\u7DD0\u7DFD\u7FAE\u7FB4\u729F\u4397\u8020\u8025\u7B39\u802E\u8031\u8054\u3DCC\u57B4\u70A0\u80B7\u80E9\u43ED\u810C\u732A\u810E\u8112\u7560\u8114\u4401\u3B39\u8156\u8159\u815A"], ["99a1", "\u4413\u583A\u817C\u8184\u4425\u8193\u442D\u81A5\u57EF\u81C1\u81E4\u8254\u448F\u82A6\u8276\u82CA\u82D8\u82FF\u44B0\u8357\u9669\u698A\u8405\u70F5\u8464\u60E3\u8488\u4504\u84BE\u84E1\u84F8\u8510\u8538\u8552\u453B\u856F\u8570\u85E0\u4577\u8672\u8692\u86B2\u86EF\u9645\u878B\u4606\u4617\u88AE\u88FF\u8924\u8947\u8991\u{27967}\u8A29\u8A38\u8A94\u8AB4\u8C51\u8CD4\u8CF2\u8D1C\u4798\u585F\u8DC3\u47ED\u4EEE\u8E3A\u55D8\u5754\u8E71\u55F5\u8EB0\u4837\u8ECE\u8EE2\u8EE4\u8EED\u8EF2\u8FB7\u8FC1\u8FCA\u8FCC\u9033\u99C4\u48AD\u98E0\u9213\u491E\u9228\u9258\u926B\u92B1\u92AE\u92BF"], ["9a40", "\u92E3\u92EB\u92F3\u92F4\u92FD\u9343\u9384\u93AD\u4945\u4951\u9EBF\u9417\u5301\u941D\u942D\u943E\u496A\u9454\u9479\u952D\u95A2\u49A7\u95F4\u9633\u49E5\u67A0\u4A24\u9740\u4A35\u97B2\u97C2\u5654\u4AE4\u60E8\u98B9\u4B19\u98F1\u5844\u990E\u9919\u51B4\u991C\u9937\u9942\u995D\u9962\u4B70\u99C5\u4B9D\u9A3C\u9B0F\u7A83\u9B69\u9B81\u9BDD\u9BF1\u9BF4\u4C6D\u9C20\u376F\u{21BC2}\u9D49\u9C3A"], ["9aa1", "\u9EFE\u5650\u9D93\u9DBD\u9DC0\u9DFC\u94F6\u8FB6\u9E7B\u9EAC\u9EB1\u9EBD\u9EC6\u94DC\u9EE2\u9EF1\u9EF8\u7AC8\u9F44\u{20094}\u{202B7}\u{203A0}\u691A\u94C3\u59AC\u{204D7}\u5840\u94C1\u37B9\u{205D5}\u{20615}\u{20676}\u{216BA}\u5757\u7173\u{20AC2}\u{20ACD}\u{20BBF}\u546A\u{2F83B}\u{20BCB}\u549E\u{20BFB}\u{20C3B}\u{20C53}\u{20C65}\u{20C7C}\u60E7\u{20C8D}\u567A\u{20CB5}\u{20CDD}\u{20CED}\u{20D6F}\u{20DB2}\u{20DC8}\u6955\u9C2F\u87A5\u{20E04}\u{20E0E}\u{20ED7}\u{20F90}\u{20F2D}\u{20E73}\u5C20\u{20FBC}\u5E0B\u{2105C}\u{2104F}\u{21076}\u671E\u{2107B}\u{21088}\u{21096}\u3647\u{210BF}\u{210D3}\u{2112F}\u{2113B}\u5364\u84AD\u{212E3}\u{21375}\u{21336}\u8B81\u{21577}\u{21619}\u{217C3}\u{217C7}\u4E78\u70BB\u{2182D}\u{2196A}"], ["9b40", "\u{21A2D}\u{21A45}\u{21C2A}\u{21C70}\u{21CAC}\u{21EC8}\u62C3\u{21ED5}\u{21F15}\u7198\u6855\u{22045}\u69E9\u36C8\u{2227C}\u{223D7}\u{223FA}\u{2272A}\u{22871}\u{2294F}\u82FD\u{22967}\u{22993}\u{22AD5}\u89A5\u{22AE8}\u8FA0\u{22B0E}\u97B8\u{22B3F}\u9847\u9ABD\u{22C4C}"], ["9b62", "\u{22C88}\u{22CB7}\u{25BE8}\u{22D08}\u{22D12}\u{22DB7}\u{22D95}\u{22E42}\u{22F74}\u{22FCC}\u{23033}\u{23066}\u{2331F}\u{233DE}\u5FB1\u6648\u66BF\u{27A79}\u{23567}\u{235F3}\u7201\u{249BA}\u77D7\u{2361A}\u{23716}\u7E87\u{20346}\u58B5\u670E"], ["9ba1", "\u6918\u{23AA7}\u{27657}\u{25FE2}\u{23E11}\u{23EB9}\u{275FE}\u{2209A}\u48D0\u4AB8\u{24119}\u{28A9A}\u{242EE}\u{2430D}\u{2403B}\u{24334}\u{24396}\u{24A45}\u{205CA}\u51D2\u{20611}\u599F\u{21EA8}\u3BBE\u{23CFF}\u{24404}\u{244D6}\u5788\u{24674}\u399B\u{2472F}\u{285E8}\u{299C9}\u3762\u{221C3}\u8B5E\u{28B4E}\u99D6\u{24812}\u{248FB}\u{24A15}\u7209\u{24AC0}\u{20C78}\u5965\u{24EA5}\u{24F86}\u{20779}\u8EDA\u{2502C}\u528F\u573F\u7171\u{25299}\u{25419}\u{23F4A}\u{24AA7}\u55BC\u{25446}\u{2546E}\u{26B52}\u91D4\u3473\u{2553F}\u{27632}\u{2555E}\u4718\u{25562}\u{25566}\u{257C7}\u{2493F}\u{2585D}\u5066\u34FB\u{233CC}\u60DE\u{25903}\u477C\u{28948}\u{25AAE}\u{25B89}\u{25C06}\u{21D90}\u57A1\u7151\u6FB6\u{26102}\u{27C12}\u9056\u{261B2}\u{24F9A}\u8B62\u{26402}\u{2644A}"], ["9c40", "\u5D5B\u{26BF7}\u8F36\u{26484}\u{2191C}\u8AEA\u{249F6}\u{26488}\u{23FEF}\u{26512}\u4BC0\u{265BF}\u{266B5}\u{2271B}\u9465\u{257E1}\u6195\u5A27\u{2F8CD}\u4FBB\u56B9\u{24521}\u{266FC}\u4E6A\u{24934}\u9656\u6D8F\u{26CBD}\u3618\u8977\u{26799}\u{2686E}\u{26411}\u{2685E}\u71DF\u{268C7}\u7B42\u{290C0}\u{20A11}\u{26926}\u9104\u{26939}\u7A45\u9DF0\u{269FA}\u9A26\u{26A2D}\u365F\u{26469}\u{20021}\u7983\u{26A34}\u{26B5B}\u5D2C\u{23519}\u83CF\u{26B9D}\u46D0\u{26CA4}\u753B\u8865\u{26DAE}\u58B6"], ["9ca1", "\u371C\u{2258D}\u{2704B}\u{271CD}\u3C54\u{27280}\u{27285}\u9281\u{2217A}\u{2728B}\u9330\u{272E6}\u{249D0}\u6C39\u949F\u{27450}\u{20EF8}\u8827\u88F5\u{22926}\u{28473}\u{217B1}\u6EB8\u{24A2A}\u{21820}\u39A4\u36B9\u5C10\u79E3\u453F\u66B6\u{29CAD}\u{298A4}\u8943\u{277CC}\u{27858}\u56D6\u40DF\u{2160A}\u39A1\u{2372F}\u{280E8}\u{213C5}\u71AD\u8366\u{279DD}\u{291A8}\u5A67\u4CB7\u{270AF}\u{289AB}\u{279FD}\u{27A0A}\u{27B0B}\u{27D66}\u{2417A}\u7B43\u797E\u{28009}\u6FB5\u{2A2DF}\u6A03\u{28318}\u53A2\u{26E07}\u93BF\u6836\u975D\u{2816F}\u{28023}\u{269B5}\u{213ED}\u{2322F}\u{28048}\u5D85\u{28C30}\u{28083}\u5715\u9823\u{28949}\u5DAB\u{24988}\u65BE\u69D5\u53D2\u{24AA5}\u{23F81}\u3C11\u6736\u{28090}\u{280F4}\u{2812E}\u{21FA1}\u{2814F}"], ["9d40", "\u{28189}\u{281AF}\u{2821A}\u{28306}\u{2832F}\u{2838A}\u35CA\u{28468}\u{286AA}\u48FA\u63E6\u{28956}\u7808\u9255\u{289B8}\u43F2\u{289E7}\u43DF\u{289E8}\u{28B46}\u{28BD4}\u59F8\u{28C09}\u8F0B\u{28FC5}\u{290EC}\u7B51\u{29110}\u{2913C}\u3DF7\u{2915E}\u{24ACA}\u8FD0\u728F\u568B\u{294E7}\u{295E9}\u{295B0}\u{295B8}\u{29732}\u{298D1}\u{29949}\u{2996A}\u{299C3}\u{29A28}\u{29B0E}\u{29D5A}\u{29D9B}\u7E9F\u{29EF8}\u{29F23}\u4CA4\u9547\u{2A293}\u71A2\u{2A2FF}\u4D91\u9012\u{2A5CB}\u4D9C\u{20C9C}\u8FBE\u55C1"], ["9da1", "\u8FBA\u{224B0}\u8FB9\u{24A93}\u4509\u7E7F\u6F56\u6AB1\u4EEA\u34E4\u{28B2C}\u{2789D}\u373A\u8E80\u{217F5}\u{28024}\u{28B6C}\u{28B99}\u{27A3E}\u{266AF}\u3DEB\u{27655}\u{23CB7}\u{25635}\u{25956}\u4E9A\u{25E81}\u{26258}\u56BF\u{20E6D}\u8E0E\u5B6D\u{23E88}\u{24C9E}\u63DE\u62D0\u{217F6}\u{2187B}\u6530\u562D\u{25C4A}\u541A\u{25311}\u3DC6\u{29D98}\u4C7D\u5622\u561E\u7F49\u{25ED8}\u5975\u{23D40}\u8770\u4E1C\u{20FEA}\u{20D49}\u{236BA}\u8117\u9D5E\u8D18\u763B\u9C45\u764E\u77B9\u9345\u5432\u8148\u82F7\u5625\u8132\u8418\u80BD\u55EA\u7962\u5643\u5416\u{20E9D}\u35CE\u5605\u55F1\u66F1\u{282E2}\u362D\u7534\u55F0\u55BA\u5497\u5572\u{20C41}\u{20C96}\u5ED0\u{25148}\u{20E76}\u{22C62}"], ["9e40", "\u{20EA2}\u9EAB\u7D5A\u55DE\u{21075}\u629D\u976D\u5494\u8CCD\u71F6\u9176\u63FC\u63B9\u63FE\u5569\u{22B43}\u9C72\u{22EB3}\u519A\u34DF\u{20DA7}\u51A7\u544D\u551E\u5513\u7666\u8E2D\u{2688A}\u75B1\u80B6\u8804\u8786\u88C7\u81B6\u841C\u{210C1}\u44EC\u7304\u{24706}\u5B90\u830B\u{26893}\u567B\u{226F4}\u{27D2F}\u{241A3}\u{27D73}\u{26ED0}\u{272B6}\u9170\u{211D9}\u9208\u{23CFC}\u{2A6A9}\u{20EAC}\u{20EF9}\u7266\u{21CA2}\u474E\u{24FC2}\u{27FF9}\u{20FEB}\u40FA"], ["9ea1", "\u9C5D\u651F\u{22DA0}\u48F3\u{247E0}\u{29D7C}\u{20FEC}\u{20E0A}\u6062\u{275A3}\u{20FED}"], ["9ead", "\u{26048}\u{21187}\u71A3\u7E8E\u9D50\u4E1A\u4E04\u3577\u5B0D\u6CB2\u5367\u36AC\u39DC\u537D\u36A5\u{24618}\u589A\u{24B6E}\u822D\u544B\u57AA\u{25A95}\u{20979}"], ["9ec5", "\u3A52\u{22465}\u7374\u{29EAC}\u4D09\u9BED\u{23CFE}\u{29F30}\u4C5B\u{24FA9}\u{2959E}\u{29FDE}\u845C\u{23DB6}\u{272B2}\u{267B3}\u{23720}\u632E\u7D25\u{23EF7}\u{23E2C}\u3A2A\u9008\u52CC\u3E74\u367A\u45E9\u{2048E}\u7640\u5AF0\u{20EB6}\u787A\u{27F2E}\u58A7\u40BF\u567C\u9B8B\u5D74\u7654\u{2A434}\u9E85\u4CE1\u75F9\u37FB\u6119\u{230DA}\u{243F2}"], ["9ef5", "\u565D\u{212A9}\u57A7\u{24963}\u{29E06}\u5234\u{270AE}\u35AD\u6C4A\u9D7C"], ["9f40", "\u7C56\u9B39\u57DE\u{2176C}\u5C53\u64D3\u{294D0}\u{26335}\u{27164}\u86AD\u{20D28}\u{26D22}\u{24AE2}\u{20D71}"], ["9f4f", "\u51FE\u{21F0F}\u5D8E\u9703\u{21DD1}\u9E81\u904C\u7B1F\u9B02\u5CD1\u7BA3\u6268\u6335\u9AFF\u7BCF\u9B2A\u7C7E\u9B2E\u7C42\u7C86\u9C15\u7BFC\u9B09\u9F17\u9C1B\u{2493E}\u9F5A\u5573\u5BC3\u4FFD\u9E98\u4FF2\u5260\u3E06\u52D1\u5767\u5056\u59B7\u5E12\u97C8\u9DAB\u8F5C\u5469\u97B4\u9940\u97BA\u532C\u6130"], ["9fa1", "\u692C\u53DA\u9C0A\u9D02\u4C3B\u9641\u6980\u50A6\u7546\u{2176D}\u99DA\u5273"], ["9fae", "\u9159\u9681\u915C"], ["9fb2", "\u9151\u{28E97}\u637F\u{26D23}\u6ACA\u5611\u918E\u757A\u6285\u{203FC}\u734F\u7C70\u{25C21}\u{23CFD}"], ["9fc1", "\u{24919}\u76D6\u9B9D\u4E2A\u{20CD4}\u83BE\u8842"], ["9fc9", "\u5C4A\u69C0\u50ED\u577A\u521F\u5DF5\u4ECE\u6C31\u{201F2}\u4F39\u549C\u54DA\u529A\u8D82\u35FE\u5F0C\u35F3"], ["9fdb", "\u6B52\u917C\u9FA5\u9B97\u982E\u98B4\u9ABA\u9EA8\u9E84\u717A\u7B14"], ["9fe7", "\u6BFA\u8818\u7F78"], ["9feb", "\u5620\u{2A64A}\u8E77\u9F53"], ["9ff0", "\u8DD4\u8E4F\u9E1C\u8E01\u6282\u{2837D}\u8E28\u8E75\u7AD3\u{24A77}\u7A3E\u78D8\u6CEA\u8A67\u7607"], ["a040", "\u{28A5A}\u9F26\u6CCE\u87D6\u75C3\u{2A2B2}\u7853\u{2F840}\u8D0C\u72E2\u7371\u8B2D\u7302\u74F1\u8CEB\u{24ABB}\u862F\u5FBA\u88A0\u44B7"], ["a055", "\u{2183B}\u{26E05}"], ["a058", "\u8A7E\u{2251B}"], ["a05b", "\u60FD\u7667\u9AD7\u9D44\u936E\u9B8F\u87F5"], ["a063", "\u880F\u8CF7\u732C\u9721\u9BB0\u35D6\u72B2\u4C07\u7C51\u994A\u{26159}\u6159\u4C04\u9E96\u617D"], ["a073", "\u575F\u616F\u62A6\u6239\u62CE\u3A5C\u61E2\u53AA\u{233F5}\u6364\u6802\u35D2"], ["a0a1", "\u5D57\u{28BC2}\u8FDA\u{28E39}"], ["a0a6", "\u50D9\u{21D46}\u7906\u5332\u9638\u{20F3B}\u4065"], ["a0ae", "\u77FE"], ["a0b0", "\u7CC2\u{25F1A}\u7CDA\u7A2D\u8066\u8063\u7D4D\u7505\u74F2\u8994\u821A\u670C\u8062\u{27486}\u805B\u74F0\u8103\u7724\u8989\u{267CC}\u7553\u{26ED1}\u87A9\u87CE\u81C8\u878C\u8A49\u8CAD\u8B43\u772B\u74F8\u84DA\u3635\u69B2\u8DA6"], ["a0d4", "\u89A9\u7468\u6DB9\u87C1\u{24011}\u74E7\u3DDB\u7176\u60A4\u619C\u3CD1\u7162\u6077"], ["a0e2", "\u7F71\u{28B2D}\u7250\u60E9\u4B7E\u5220\u3C18\u{23CC7}\u{25ED7}\u{27656}\u{25531}\u{21944}\u{212FE}\u{29903}\u{26DDC}\u{270AD}\u5CC1\u{261AD}\u{28A0F}\u{23677}\u{200EE}\u{26846}\u{24F0E}\u4562\u5B1F\u{2634C}\u9F50\u9EA6\u{2626B}"], ["a3c0", "\u2400", 31, "\u2421"], ["c6a1", "\u2460", 9, "\u2474", 9, "\u2170", 9, "\u4E36\u4E3F\u4E85\u4EA0\u5182\u5196\u51AB\u52F9\u5338\u5369\u53B6\u590A\u5B80\u5DDB\u2F33\u5E7F\u5EF4\u5F50\u5F61\u6534\u65E0\u7592\u7676\u8FB5\u96B6\xA8\u02C6\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\uFF3B\uFF3D\u273D\u3041", 23], ["c740", "\u3059", 58, "\u30A1\u30A2\u30A3\u30A4"], ["c7a1", "\u30A5", 81, "\u0410", 5, "\u0401\u0416", 4], ["c840", "\u041B", 26, "\u0451\u0436", 25, "\u21E7\u21B8\u21B9\u31CF\u{200CC}\u4E5A\u{2008A}\u5202\u4491"], ["c8a1", "\u9FB0\u5188\u9FB1\u{27607}"], ["c8cd", "\uFFE2\uFFE4\uFF07\uFF02\u3231\u2116\u2121\u309B\u309C\u2E80\u2E84\u2E86\u2E87\u2E88\u2E8A\u2E8C\u2E8D\u2E95\u2E9C\u2E9D\u2EA5\u2EA7\u2EAA\u2EAC\u2EAE\u2EB6\u2EBC\u2EBE\u2EC6\u2ECA\u2ECC\u2ECD\u2ECF\u2ED6\u2ED7\u2EDE\u2EE3"], ["c8f5", "\u0283\u0250\u025B\u0254\u0275\u0153\xF8\u014B\u028A\u026A"], ["f9fe", "\uFFED"], ["fa40", "\u{20547}\u92DB\u{205DF}\u{23FC5}\u854C\u42B5\u73EF\u51B5\u3649\u{24942}\u{289E4}\u9344\u{219DB}\u82EE\u{23CC8}\u783C\u6744\u62DF\u{24933}\u{289AA}\u{202A0}\u{26BB3}\u{21305}\u4FAB\u{224ED}\u5008\u{26D29}\u{27A84}\u{23600}\u{24AB1}\u{22513}\u5029\u{2037E}\u5FA4\u{20380}\u{20347}\u6EDB\u{2041F}\u507D\u5101\u347A\u510E\u986C\u3743\u8416\u{249A4}\u{20487}\u5160\u{233B4}\u516A\u{20BFF}\u{220FC}\u{202E5}\u{22530}\u{2058E}\u{23233}\u{21983}\u5B82\u877D\u{205B3}\u{23C99}\u51B2\u51B8"], ["faa1", "\u9D34\u51C9\u51CF\u51D1\u3CDC\u51D3\u{24AA6}\u51B3\u51E2\u5342\u51ED\u83CD\u693E\u{2372D}\u5F7B\u520B\u5226\u523C\u52B5\u5257\u5294\u52B9\u52C5\u7C15\u8542\u52E0\u860D\u{26B13}\u5305\u{28ADE}\u5549\u6ED9\u{23F80}\u{20954}\u{23FEC}\u5333\u5344\u{20BE2}\u6CCB\u{21726}\u681B\u73D5\u604A\u3EAA\u38CC\u{216E8}\u71DD\u44A2\u536D\u5374\u{286AB}\u537E\u537F\u{21596}\u{21613}\u77E6\u5393\u{28A9B}\u53A0\u53AB\u53AE\u73A7\u{25772}\u3F59\u739C\u53C1\u53C5\u6C49\u4E49\u57FE\u53D9\u3AAB\u{20B8F}\u53E0\u{23FEB}\u{22DA3}\u53F6\u{20C77}\u5413\u7079\u552B\u6657\u6D5B\u546D\u{26B53}\u{20D74}\u555D\u548F\u54A4\u47A6\u{2170D}\u{20EDD}\u3DB4\u{20D4D}"], ["fb40", "\u{289BC}\u{22698}\u5547\u4CED\u542F\u7417\u5586\u55A9\u5605\u{218D7}\u{2403A}\u4552\u{24435}\u66B3\u{210B4}\u5637\u66CD\u{2328A}\u66A4\u66AD\u564D\u564F\u78F1\u56F1\u9787\u53FE\u5700\u56EF\u56ED\u{28B66}\u3623\u{2124F}\u5746\u{241A5}\u6C6E\u708B\u5742\u36B1\u{26C7E}\u57E6\u{21416}\u5803\u{21454}\u{24363}\u5826\u{24BF5}\u585C\u58AA\u3561\u58E0\u58DC\u{2123C}\u58FB\u5BFF\u5743\u{2A150}\u{24278}\u93D3\u35A1\u591F\u68A6\u36C3\u6E59"], ["fba1", "\u{2163E}\u5A24\u5553\u{21692}\u8505\u59C9\u{20D4E}\u{26C81}\u{26D2A}\u{217DC}\u59D9\u{217FB}\u{217B2}\u{26DA6}\u6D71\u{21828}\u{216D5}\u59F9\u{26E45}\u5AAB\u5A63\u36E6\u{249A9}\u5A77\u3708\u5A96\u7465\u5AD3\u{26FA1}\u{22554}\u3D85\u{21911}\u3732\u{216B8}\u5E83\u52D0\u5B76\u6588\u5B7C\u{27A0E}\u4004\u485D\u{20204}\u5BD5\u6160\u{21A34}\u{259CC}\u{205A5}\u5BF3\u5B9D\u4D10\u5C05\u{21B44}\u5C13\u73CE\u5C14\u{21CA5}\u{26B28}\u5C49\u48DD\u5C85\u5CE9\u5CEF\u5D8B\u{21DF9}\u{21E37}\u5D10\u5D18\u5D46\u{21EA4}\u5CBA\u5DD7\u82FC\u382D\u{24901}\u{22049}\u{22173}\u8287\u3836\u3BC2\u5E2E\u6A8A\u5E75\u5E7A\u{244BC}\u{20CD3}\u53A6\u4EB7\u5ED0\u53A8\u{21771}\u5E09\u5EF4\u{28482}"], ["fc40", "\u5EF9\u5EFB\u38A0\u5EFC\u683E\u941B\u5F0D\u{201C1}\u{2F894}\u3ADE\u48AE\u{2133A}\u5F3A\u{26888}\u{223D0}\u5F58\u{22471}\u5F63\u97BD\u{26E6E}\u5F72\u9340\u{28A36}\u5FA7\u5DB6\u3D5F\u{25250}\u{21F6A}\u{270F8}\u{22668}\u91D6\u{2029E}\u{28A29}\u6031\u6685\u{21877}\u3963\u3DC7\u3639\u5790\u{227B4}\u7971\u3E40\u609E\u60A4\u60B3\u{24982}\u{2498F}\u{27A53}\u74A4\u50E1\u5AA0\u6164\u8424\u6142\u{2F8A6}\u{26ED2}\u6181\u51F4\u{20656}\u6187\u5BAA\u{23FB7}"], ["fca1", "\u{2285F}\u61D3\u{28B9D}\u{2995D}\u61D0\u3932\u{22980}\u{228C1}\u6023\u615C\u651E\u638B\u{20118}\u62C5\u{21770}\u62D5\u{22E0D}\u636C\u{249DF}\u3A17\u6438\u63F8\u{2138E}\u{217FC}\u6490\u6F8A\u{22E36}\u9814\u{2408C}\u{2571D}\u64E1\u64E5\u947B\u3A66\u643A\u3A57\u654D\u6F16\u{24A28}\u{24A23}\u6585\u656D\u655F\u{2307E}\u65B5\u{24940}\u4B37\u65D1\u40D8\u{21829}\u65E0\u65E3\u5FDF\u{23400}\u6618\u{231F7}\u{231F8}\u6644\u{231A4}\u{231A5}\u664B\u{20E75}\u6667\u{251E6}\u6673\u6674\u{21E3D}\u{23231}\u{285F4}\u{231C8}\u{25313}\u77C5\u{228F7}\u99A4\u6702\u{2439C}\u{24A21}\u3B2B\u69FA\u{237C2}\u675E\u6767\u6762\u{241CD}\u{290ED}\u67D7\u44E9\u6822\u6E50\u923C\u6801\u{233E6}\u{26DA0}\u685D"], ["fd40", "\u{2346F}\u69E1\u6A0B\u{28ADF}\u6973\u68C3\u{235CD}\u6901\u6900\u3D32\u3A01\u{2363C}\u3B80\u67AC\u6961\u{28A4A}\u42FC\u6936\u6998\u3BA1\u{203C9}\u8363\u5090\u69F9\u{23659}\u{2212A}\u6A45\u{23703}\u6A9D\u3BF3\u67B1\u6AC8\u{2919C}\u3C0D\u6B1D\u{20923}\u60DE\u6B35\u6B74\u{227CD}\u6EB5\u{23ADB}\u{203B5}\u{21958}\u3740\u5421\u{23B5A}\u6BE1\u{23EFC}\u6BDC\u6C37\u{2248B}\u{248F1}\u{26B51}\u6C5A\u8226\u6C79\u{23DBC}\u44C5\u{23DBD}\u{241A4}\u{2490C}\u{24900}"], ["fda1", "\u{23CC9}\u36E5\u3CEB\u{20D32}\u9B83\u{231F9}\u{22491}\u7F8F\u6837\u{26D25}\u{26DA1}\u{26DEB}\u6D96\u6D5C\u6E7C\u6F04\u{2497F}\u{24085}\u{26E72}\u8533\u{26F74}\u51C7\u6C9C\u6E1D\u842E\u{28B21}\u6E2F\u{23E2F}\u7453\u{23F82}\u79CC\u6E4F\u5A91\u{2304B}\u6FF8\u370D\u6F9D\u{23E30}\u6EFA\u{21497}\u{2403D}\u4555\u93F0\u6F44\u6F5C\u3D4E\u6F74\u{29170}\u3D3B\u6F9F\u{24144}\u6FD3\u{24091}\u{24155}\u{24039}\u{23FF0}\u{23FB4}\u{2413F}\u51DF\u{24156}\u{24157}\u{24140}\u{261DD}\u704B\u707E\u70A7\u7081\u70CC\u70D5\u70D6\u70DF\u4104\u3DE8\u71B4\u7196\u{24277}\u712B\u7145\u5A88\u714A\u716E\u5C9C\u{24365}\u714F\u9362\u{242C1}\u712C\u{2445A}\u{24A27}\u{24A22}\u71BA\u{28BE8}\u70BD\u720E"], ["fe40", "\u9442\u7215\u5911\u9443\u7224\u9341\u{25605}\u722E\u7240\u{24974}\u68BD\u7255\u7257\u3E55\u{23044}\u680D\u6F3D\u7282\u732A\u732B\u{24823}\u{2882B}\u48ED\u{28804}\u7328\u732E\u73CF\u73AA\u{20C3A}\u{26A2E}\u73C9\u7449\u{241E2}\u{216E7}\u{24A24}\u6623\u36C5\u{249B7}\u{2498D}\u{249FB}\u73F7\u7415\u6903\u{24A26}\u7439\u{205C3}\u3ED7\u745C\u{228AD}\u7460\u{28EB2}\u7447\u73E4\u7476\u83B9\u746C\u3730\u7474\u93F1\u6A2C\u7482\u4953\u{24A8C}"], ["fea1", "\u{2415F}\u{24A79}\u{28B8F}\u5B46\u{28C03}\u{2189E}\u74C8\u{21988}\u750E\u74E9\u751E\u{28ED9}\u{21A4B}\u5BD7\u{28EAC}\u9385\u754D\u754A\u7567\u756E\u{24F82}\u3F04\u{24D13}\u758E\u745D\u759E\u75B4\u7602\u762C\u7651\u764F\u766F\u7676\u{263F5}\u7690\u81EF\u37F8\u{26911}\u{2690E}\u76A1\u76A5\u76B7\u76CC\u{26F9F}\u8462\u{2509D}\u{2517D}\u{21E1C}\u771E\u7726\u7740\u64AF\u{25220}\u7758\u{232AC}\u77AF\u{28964}\u{28968}\u{216C1}\u77F4\u7809\u{21376}\u{24A12}\u68CA\u78AF\u78C7\u78D3\u96A5\u792E\u{255E0}\u78D7\u7934\u78B1\u{2760C}\u8FB8\u8884\u{28B2B}\u{26083}\u{2261C}\u7986\u8900\u6902\u7980\u{25857}\u799D\u{27B39}\u793C\u79A9\u6E2A\u{27126}\u3EA8\u79C6\u{2910D}\u79D4"]];
    });
    var bK = b((XGe, vK) => {
      "use strict";
      vK.exports = { shiftjis: { type: "_dbcs", table: function() {
        return pK();
      }, encodeAdd: { "\xA5": 92, "\u203E": 126 }, encodeSkipVals: [{ from: 60736, to: 63808 }] }, csshiftjis: "shiftjis", mskanji: "shiftjis", sjis: "shiftjis", windows31j: "shiftjis", ms31j: "shiftjis", xsjis: "shiftjis", windows932: "shiftjis", ms932: "shiftjis", 932: "shiftjis", cp932: "shiftjis", eucjp: { type: "_dbcs", table: function() {
        return dK();
      }, encodeAdd: { "\xA5": 92, "\u203E": 126 } }, gb2312: "cp936", gb231280: "cp936", gb23121980: "cp936", csgb2312: "cp936", csiso58gb231280: "cp936", euccn: "cp936", windows936: "cp936", ms936: "cp936", 936: "cp936", cp936: { type: "_dbcs", table: function() {
        return U0();
      } }, gbk: { type: "_dbcs", table: function() {
        return U0().concat(jO());
      } }, xgbk: "gbk", isoir58: "gbk", gb18030: { type: "_dbcs", table: function() {
        return U0().concat(jO());
      }, gb18030: function() {
        return mK();
      }, encodeSkipVals: [128], encodeAdd: { "\u20AC": 41699 } }, chinese: "gb18030", windows949: "cp949", ms949: "cp949", 949: "cp949", cp949: { type: "_dbcs", table: function() {
        return gK();
      } }, cseuckr: "cp949", csksc56011987: "cp949", euckr: "cp949", isoir149: "cp949", korean: "cp949", ksc56011987: "cp949", ksc56011989: "cp949", ksc5601: "cp949", windows950: "cp950", ms950: "cp950", 950: "cp950", cp950: { type: "_dbcs", table: function() {
        return UO();
      } }, big5: "big5hkscs", big5hkscs: { type: "_dbcs", table: function() {
        return UO().concat(yK());
      }, encodeSkipVals: [36457, 36463, 36478, 36523, 36532, 36557, 36560, 36695, 36713, 36718, 36811, 36862, 36973, 36986, 37060, 37084, 37105, 37311, 37551, 37552, 37553, 37554, 37585, 37959, 38090, 38361, 38652, 39285, 39798, 39800, 39803, 39878, 39902, 39916, 39926, 40002, 40019, 40034, 40040, 40043, 40055, 40124, 40125, 40144, 40279, 40282, 40388, 40431, 40443, 40617, 40687, 40701, 40800, 40907, 41079, 41180, 41183, 36812, 37576, 38468, 38637, 41636, 41637, 41639, 41638, 41676, 41678] }, cnbig5: "big5hkscs", csbig5: "big5hkscs", xxbig5: "big5hkscs" };
    });
    var _K = b((wK, Cc) => {
      "use strict";
      var EK = [YV(), QV(), tK(), nK(), sK(), aK(), cK(), hK(), bK()];
      for (G0 = 0; G0 < EK.length; G0++) {
        Cc = EK[G0];
        for (W0 in Cc)
          Object.prototype.hasOwnProperty.call(Cc, W0) && (wK[W0] = Cc[W0]);
      }
      var Cc, W0, G0;
    });
    var DK = b((QGe, xK) => {
      "use strict";
      var SK2 = Vi().Buffer;
      xK.exports = function(e3) {
        var r2 = e3.Transform;
        function n2(o2, a3) {
          this.conv = o2, a3 = a3 || {}, a3.decodeStrings = false, r2.call(this, a3);
        }
        n2.prototype = Object.create(r2.prototype, { constructor: { value: n2 } }), n2.prototype._transform = function(o2, a3, u2) {
          if (typeof o2 != "string")
            return u2(new Error("Iconv encoding stream needs strings as its input."));
          try {
            var c4 = this.conv.write(o2);
            c4 && c4.length && this.push(c4), u2();
          } catch (l2) {
            u2(l2);
          }
        }, n2.prototype._flush = function(o2) {
          try {
            var a3 = this.conv.end();
            a3 && a3.length && this.push(a3), o2();
          } catch (u2) {
            o2(u2);
          }
        }, n2.prototype.collect = function(o2) {
          var a3 = [];
          return this.on("error", o2), this.on("data", function(u2) {
            a3.push(u2);
          }), this.on("end", function() {
            o2(null, SK2.concat(a3));
          }), this;
        };
        function i4(o2, a3) {
          this.conv = o2, a3 = a3 || {}, a3.encoding = this.encoding = "utf8", r2.call(this, a3);
        }
        return i4.prototype = Object.create(r2.prototype, { constructor: { value: i4 } }), i4.prototype._transform = function(o2, a3, u2) {
          if (!SK2.isBuffer(o2) && !(o2 instanceof Uint8Array))
            return u2(new Error("Iconv decoding stream needs buffers as its input."));
          try {
            var c4 = this.conv.write(o2);
            c4 && c4.length && this.push(c4, this.encoding), u2();
          } catch (l2) {
            u2(l2);
          }
        }, i4.prototype._flush = function(o2) {
          try {
            var a3 = this.conv.end();
            a3 && a3.length && this.push(a3, this.encoding), o2();
          } catch (u2) {
            o2(u2);
          }
        }, i4.prototype.collect = function(o2) {
          var a3 = "";
          return this.on("error", o2), this.on("data", function(u2) {
            a3 += u2;
          }), this.on("end", function() {
            o2(null, a3);
          }), this;
        }, { IconvLiteEncoderStream: n2, IconvLiteDecoderStream: i4 };
      };
    });
    var CK = b((ZGe, RK) => {
      "use strict";
      var OK = Vi().Buffer, TK = KV(), de = RK.exports;
      de.encodings = null;
      de.defaultCharUnicode = "\uFFFD";
      de.defaultCharSingleByte = "?";
      de.encode = function(r2, n2, i4) {
        r2 = "" + (r2 || "");
        var o2 = de.getEncoder(n2, i4), a3 = o2.write(r2), u2 = o2.end();
        return u2 && u2.length > 0 ? OK.concat([a3, u2]) : a3;
      };
      de.decode = function(r2, n2, i4) {
        typeof r2 == "string" && (de.skipDecodeWarning || (console.error("Iconv-lite warning: decode()-ing strings is deprecated. Refer to https://github.com/ashtuchkin/iconv-lite/wiki/Use-Buffers-when-decoding"), de.skipDecodeWarning = true), r2 = OK.from("" + (r2 || ""), "binary"));
        var o2 = de.getDecoder(n2, i4), a3 = o2.write(r2), u2 = o2.end();
        return u2 ? a3 + u2 : a3;
      };
      de.encodingExists = function(r2) {
        try {
          return de.getCodec(r2), true;
        } catch {
          return false;
        }
      };
      de.toEncoding = de.encode;
      de.fromEncoding = de.decode;
      de._codecDataCache = {};
      de.getCodec = function(r2) {
        de.encodings || (de.encodings = _K());
        for (var n2 = de._canonicalizeEncoding(r2), i4 = {}; ; ) {
          var o2 = de._codecDataCache[n2];
          if (o2)
            return o2;
          var a3 = de.encodings[n2];
          switch (typeof a3) {
            case "string":
              n2 = a3;
              break;
            case "object":
              for (var u2 in a3)
                i4[u2] = a3[u2];
              i4.encodingName || (i4.encodingName = n2), n2 = a3.type;
              break;
            case "function":
              return i4.encodingName || (i4.encodingName = n2), o2 = new a3(i4, de), de._codecDataCache[i4.encodingName] = o2, o2;
            default:
              throw new Error("Encoding not recognized: '" + r2 + "' (searched as: '" + n2 + "')");
          }
        }
      };
      de._canonicalizeEncoding = function(e3) {
        return ("" + e3).toLowerCase().replace(/:\d{4}$|[^0-9a-z]/g, "");
      };
      de.getEncoder = function(r2, n2) {
        var i4 = de.getCodec(r2), o2 = new i4.encoder(n2, i4);
        return i4.bomAware && n2 && n2.addBOM && (o2 = new TK.PrependBOM(o2, n2)), o2;
      };
      de.getDecoder = function(r2, n2) {
        var i4 = de.getCodec(r2), o2 = new i4.decoder(n2, i4);
        return i4.bomAware && !(n2 && n2.stripBOM === false) && (o2 = new TK.StripBOM(o2, n2)), o2;
      };
      de.enableStreamingAPI = function(r2) {
        if (!de.supportsStreams) {
          var n2 = DK()(r2);
          de.IconvLiteEncoderStream = n2.IconvLiteEncoderStream, de.IconvLiteDecoderStream = n2.IconvLiteDecoderStream, de.encodeStream = function(o2, a3) {
            return new de.IconvLiteEncoderStream(de.getEncoder(o2, a3), a3);
          }, de.decodeStream = function(o2, a3) {
            return new de.IconvLiteDecoderStream(de.getDecoder(o2, a3), a3);
          }, de.supportsStreams = true;
        }
      };
      var H0;
      try {
        H0 = require("stream");
      } catch {
      }
      H0 && H0.Transform ? de.enableStreamingAPI(H0) : de.encodeStream = de.decodeStream = function() {
        throw new Error("iconv-lite Streaming API is not enabled. Use iconv.enableStreamingAPI(require('stream')); to enable it.");
      };
    });
    var PK = b((eWe, IK) => {
      "use strict";
      var V0 = CK();
      IK.exports.convert = rPe;
      function rPe(e3, r2, n2) {
        n2 = AK(n2 || "UTF-8"), r2 = AK(r2 || "UTF-8"), e3 = e3 || "";
        var i4;
        if (n2 !== "UTF-8" && typeof e3 == "string" && (e3 = Buffer.from(e3, "binary")), n2 === r2)
          typeof e3 == "string" ? i4 = Buffer.from(e3) : i4 = e3;
        else
          try {
            i4 = nPe(e3, r2, n2);
          } catch (o2) {
            console.error(o2), i4 = e3;
          }
        return typeof i4 == "string" && (i4 = Buffer.from(i4, "utf-8")), i4;
      }
      function nPe(e3, r2, n2) {
        return r2 === "UTF-8" ? V0.decode(e3, n2) : n2 === "UTF-8" ? V0.encode(e3, r2) : V0.encode(V0.decode(e3, n2), r2);
      }
      function AK(e3) {
        return (e3 || "").toString().trim().replace(/^latin[\-_]?(\d+)$/i, "ISO-8859-$1").replace(/^win(?:dows)?[\-_]?(\d+)$/i, "WINDOWS-$1").replace(/^utf[\-_]?(\d+)$/i, "UTF-$1").replace(/^ks_c_5601\-1987$/i, "CP949").replace(/^us[\-_]?ascii$/i, "ASCII").toUpperCase();
      }
    });
    var ft = b((pWe, tz) => {
      "use strict";
      var { FORCE_COLOR: SPe, NODE_DISABLE_COLORS: xPe, TERM: DPe } = process.env, qe = { enabled: !xPe && DPe !== "dumb" && SPe !== "0", reset: Qe(0, 0), bold: Qe(1, 22), dim: Qe(2, 22), italic: Qe(3, 23), underline: Qe(4, 24), inverse: Qe(7, 27), hidden: Qe(8, 28), strikethrough: Qe(9, 29), black: Qe(30, 39), red: Qe(31, 39), green: Qe(32, 39), yellow: Qe(33, 39), blue: Qe(34, 39), magenta: Qe(35, 39), cyan: Qe(36, 39), white: Qe(37, 39), gray: Qe(90, 39), grey: Qe(90, 39), bgBlack: Qe(40, 49), bgRed: Qe(41, 49), bgGreen: Qe(42, 49), bgYellow: Qe(43, 49), bgBlue: Qe(44, 49), bgMagenta: Qe(45, 49), bgCyan: Qe(46, 49), bgWhite: Qe(47, 49) };
      function ez(e3, r2) {
        let n2 = 0, i4, o2 = "", a3 = "";
        for (; n2 < e3.length; n2++)
          i4 = e3[n2], o2 += i4.open, a3 += i4.close, r2.includes(i4.close) && (r2 = r2.replace(i4.rgx, i4.close + i4.open));
        return o2 + r2 + a3;
      }
      function OPe(e3, r2) {
        let n2 = { has: e3, keys: r2 };
        return n2.reset = qe.reset.bind(n2), n2.bold = qe.bold.bind(n2), n2.dim = qe.dim.bind(n2), n2.italic = qe.italic.bind(n2), n2.underline = qe.underline.bind(n2), n2.inverse = qe.inverse.bind(n2), n2.hidden = qe.hidden.bind(n2), n2.strikethrough = qe.strikethrough.bind(n2), n2.black = qe.black.bind(n2), n2.red = qe.red.bind(n2), n2.green = qe.green.bind(n2), n2.yellow = qe.yellow.bind(n2), n2.blue = qe.blue.bind(n2), n2.magenta = qe.magenta.bind(n2), n2.cyan = qe.cyan.bind(n2), n2.white = qe.white.bind(n2), n2.gray = qe.gray.bind(n2), n2.grey = qe.grey.bind(n2), n2.bgBlack = qe.bgBlack.bind(n2), n2.bgRed = qe.bgRed.bind(n2), n2.bgGreen = qe.bgGreen.bind(n2), n2.bgYellow = qe.bgYellow.bind(n2), n2.bgBlue = qe.bgBlue.bind(n2), n2.bgMagenta = qe.bgMagenta.bind(n2), n2.bgCyan = qe.bgCyan.bind(n2), n2.bgWhite = qe.bgWhite.bind(n2), n2;
      }
      function Qe(e3, r2) {
        let n2 = { open: `\x1B[${e3}m`, close: `\x1B[${r2}m`, rgx: new RegExp(`\\x1b\\[${r2}m`, "g") };
        return function(i4) {
          return this !== void 0 && this.has !== void 0 ? (this.has.includes(e3) || (this.has.push(e3), this.keys.push(n2)), i4 === void 0 ? this : qe.enabled ? ez(this.keys, i4 + "") : i4 + "") : i4 === void 0 ? OPe([e3], [n2]) : qe.enabled ? ez([n2], i4 + "") : i4 + "";
        };
      }
      tz.exports = qe;
    });
    var nz = b((dWe, rz) => {
      "use strict";
      rz.exports = (e3, r2) => {
        if (!(e3.meta && e3.name !== "escape")) {
          if (e3.ctrl) {
            if (e3.name === "a")
              return "first";
            if (e3.name === "c" || e3.name === "d")
              return "abort";
            if (e3.name === "e")
              return "last";
            if (e3.name === "g")
              return "reset";
          }
          if (r2) {
            if (e3.name === "j")
              return "down";
            if (e3.name === "k")
              return "up";
          }
          return e3.name === "return" || e3.name === "enter" ? "submit" : e3.name === "backspace" ? "delete" : e3.name === "delete" ? "deleteForward" : e3.name === "abort" ? "abort" : e3.name === "escape" ? "exit" : e3.name === "tab" ? "next" : e3.name === "pagedown" ? "nextPage" : e3.name === "pageup" ? "prevPage" : e3.name === "home" ? "home" : e3.name === "end" ? "end" : e3.name === "up" ? "up" : e3.name === "down" ? "down" : e3.name === "right" ? "right" : e3.name === "left" ? "left" : false;
        }
      };
    });
    var X0 = b((mWe, iz) => {
      "use strict";
      iz.exports = (e3) => {
        let r2 = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)", "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))"].join("|"), n2 = new RegExp(r2, "g");
        return typeof e3 == "string" ? e3.replace(n2, "") : e3;
      };
    });
    var pt = b((gWe, sz) => {
      "use strict";
      var iT = "\x1B", ht = `${iT}[`, TPe = "\x07", sT = { to(e3, r2) {
        return r2 ? `${ht}${r2 + 1};${e3 + 1}H` : `${ht}${e3 + 1}G`;
      }, move(e3, r2) {
        let n2 = "";
        return e3 < 0 ? n2 += `${ht}${-e3}D` : e3 > 0 && (n2 += `${ht}${e3}C`), r2 < 0 ? n2 += `${ht}${-r2}A` : r2 > 0 && (n2 += `${ht}${r2}B`), n2;
      }, up: (e3 = 1) => `${ht}${e3}A`, down: (e3 = 1) => `${ht}${e3}B`, forward: (e3 = 1) => `${ht}${e3}C`, backward: (e3 = 1) => `${ht}${e3}D`, nextLine: (e3 = 1) => `${ht}E`.repeat(e3), prevLine: (e3 = 1) => `${ht}F`.repeat(e3), left: `${ht}G`, hide: `${ht}?25l`, show: `${ht}?25h`, save: `${iT}7`, restore: `${iT}8` }, RPe = { up: (e3 = 1) => `${ht}S`.repeat(e3), down: (e3 = 1) => `${ht}T`.repeat(e3) }, CPe = { screen: `${ht}2J`, up: (e3 = 1) => `${ht}1J`.repeat(e3), down: (e3 = 1) => `${ht}J`.repeat(e3), line: `${ht}2K`, lineEnd: `${ht}K`, lineStart: `${ht}1K`, lines(e3) {
        let r2 = "";
        for (let n2 = 0; n2 < e3; n2++)
          r2 += this.line + (n2 < e3 - 1 ? sT.up() : "");
        return e3 && (r2 += sT.left), r2;
      } };
      sz.exports = { cursor: sT, scroll: RPe, erase: CPe, beep: TPe };
    });
    var lz = b((yWe, cz) => {
      "use strict";
      function APe(e3, r2) {
        var n2 = typeof Symbol < "u" && e3[Symbol.iterator] || e3["@@iterator"];
        if (!n2) {
          if (Array.isArray(e3) || (n2 = IPe(e3)) || r2 && e3 && typeof e3.length == "number") {
            n2 && (e3 = n2);
            var i4 = 0, o2 = function() {
            };
            return { s: o2, n: function() {
              return i4 >= e3.length ? { done: true } : { done: false, value: e3[i4++] };
            }, e: function(f4) {
              throw f4;
            }, f: o2 };
          }
          throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
        }
        var a3 = true, u2 = false, c4;
        return { s: function() {
          n2 = n2.call(e3);
        }, n: function() {
          var f4 = n2.next();
          return a3 = f4.done, f4;
        }, e: function(f4) {
          u2 = true, c4 = f4;
        }, f: function() {
          try {
            !a3 && n2.return != null && n2.return();
          } finally {
            if (u2)
              throw c4;
          }
        } };
      }
      function IPe(e3, r2) {
        if (e3) {
          if (typeof e3 == "string")
            return oz(e3, r2);
          var n2 = Object.prototype.toString.call(e3).slice(8, -1);
          if (n2 === "Object" && e3.constructor && (n2 = e3.constructor.name), n2 === "Map" || n2 === "Set")
            return Array.from(e3);
          if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
            return oz(e3, r2);
        }
      }
      function oz(e3, r2) {
        (r2 == null || r2 > e3.length) && (r2 = e3.length);
        for (var n2 = 0, i4 = new Array(r2); n2 < r2; n2++)
          i4[n2] = e3[n2];
        return i4;
      }
      var PPe = X0(), uz = pt(), az = uz.erase, FPe = uz.cursor, LPe = (e3) => [...PPe(e3)].length;
      cz.exports = function(e3, r2) {
        if (!r2)
          return az.line + FPe.to(0);
        let n2 = 0, i4 = e3.split(/\r?\n/);
        var o2 = APe(i4), a3;
        try {
          for (o2.s(); !(a3 = o2.n()).done; ) {
            let u2 = a3.value;
            n2 += 1 + Math.floor(Math.max(LPe(u2) - 1, 0) / r2);
          }
        } catch (u2) {
          o2.e(u2);
        } finally {
          o2.f();
        }
        return az.lines(n2);
      };
    });
    var oT = b((vWe, fz) => {
      "use strict";
      var Sh = { arrowUp: "\u2191", arrowDown: "\u2193", arrowLeft: "\u2190", arrowRight: "\u2192", radioOn: "\u25C9", radioOff: "\u25EF", tick: "\u2714", cross: "\u2716", ellipsis: "\u2026", pointerSmall: "\u203A", line: "\u2500", pointer: "\u276F" }, MPe = { arrowUp: Sh.arrowUp, arrowDown: Sh.arrowDown, arrowLeft: Sh.arrowLeft, arrowRight: Sh.arrowRight, radioOn: "(*)", radioOff: "( )", tick: "\u221A", cross: "\xD7", ellipsis: "...", pointerSmall: "\xBB", line: "\u2500", pointer: ">" }, NPe = process.platform === "win32" ? MPe : Sh;
      fz.exports = NPe;
    });
    var pz = b((bWe, hz) => {
      "use strict";
      var Fc = ft(), Pa = oT(), aT = Object.freeze({ password: { scale: 1, render: (e3) => "*".repeat(e3.length) }, emoji: { scale: 2, render: (e3) => "\u{1F603}".repeat(e3.length) }, invisible: { scale: 0, render: (e3) => "" }, default: { scale: 1, render: (e3) => `${e3}` } }), kPe = (e3) => aT[e3] || aT.default, xh = Object.freeze({ aborted: Fc.red(Pa.cross), done: Fc.green(Pa.tick), exited: Fc.yellow(Pa.cross), default: Fc.cyan("?") }), $Pe = (e3, r2, n2) => r2 ? xh.aborted : n2 ? xh.exited : e3 ? xh.done : xh.default, qPe = (e3) => Fc.gray(e3 ? Pa.ellipsis : Pa.pointerSmall), BPe = (e3, r2) => Fc.gray(e3 ? r2 ? Pa.pointerSmall : "+" : Pa.line);
      hz.exports = { styles: aT, render: kPe, symbols: xh, symbol: $Pe, delimiter: qPe, item: BPe };
    });
    var mz = b((EWe, dz) => {
      "use strict";
      var jPe = X0();
      dz.exports = function(e3, r2) {
        let n2 = String(jPe(e3) || "").split(/\r?\n/);
        return r2 ? n2.map((i4) => Math.ceil(i4.length / r2)).reduce((i4, o2) => i4 + o2) : n2.length;
      };
    });
    var yz = b((wWe, gz) => {
      "use strict";
      gz.exports = (e3, r2 = {}) => {
        let n2 = Number.isSafeInteger(parseInt(r2.margin)) ? new Array(parseInt(r2.margin)).fill(" ").join("") : r2.margin || "", i4 = r2.width;
        return (e3 || "").split(/\r?\n/g).map((o2) => o2.split(/\s+/g).reduce((a3, u2) => (u2.length + n2.length >= i4 || a3[a3.length - 1].length + u2.length + 1 < i4 ? a3[a3.length - 1] += ` ${u2}` : a3.push(`${n2}${u2}`), a3), [n2]).join(`
`)).join(`
`);
      };
    });
    var bz = b((_We, vz) => {
      "use strict";
      vz.exports = (e3, r2, n2) => {
        n2 = n2 || r2;
        let i4 = Math.min(r2 - n2, e3 - Math.floor(n2 / 2));
        i4 < 0 && (i4 = 0);
        let o2 = Math.min(i4 + n2, r2);
        return { startIndex: i4, endIndex: o2 };
      };
    });
    var $n = b((SWe, Ez) => {
      "use strict";
      Ez.exports = { action: nz(), clear: lz(), style: pz(), strip: X0(), figures: oT(), lines: mz(), wrap: yz(), entriesToDisplay: bz() };
    });
    var Xi = b((xWe, Sz) => {
      "use strict";
      var wz = require("readline"), UPe = $n(), GPe = UPe.action, WPe = require("events"), _z = pt(), HPe = _z.beep, VPe = _z.cursor, KPe = ft(), uT = class extends WPe {
        constructor(r2 = {}) {
          super(), this.firstRender = true, this.in = r2.stdin || process.stdin, this.out = r2.stdout || process.stdout, this.onRender = (r2.onRender || (() => {
          })).bind(this);
          let n2 = wz.createInterface({ input: this.in, escapeCodeTimeout: 50 });
          wz.emitKeypressEvents(this.in, n2), this.in.isTTY && this.in.setRawMode(true);
          let i4 = ["SelectPrompt", "MultiselectPrompt"].indexOf(this.constructor.name) > -1, o2 = (a3, u2) => {
            let c4 = GPe(u2, i4);
            c4 === false ? this._ && this._(a3, u2) : typeof this[c4] == "function" ? this[c4](u2) : this.bell();
          };
          this.close = () => {
            this.out.write(VPe.show), this.in.removeListener("keypress", o2), this.in.isTTY && this.in.setRawMode(false), n2.close(), this.emit(this.aborted ? "abort" : this.exited ? "exit" : "submit", this.value), this.closed = true;
          }, this.in.on("keypress", o2);
        }
        fire() {
          this.emit("state", { value: this.value, aborted: !!this.aborted, exited: !!this.exited });
        }
        bell() {
          this.out.write(HPe);
        }
        render() {
          this.onRender(KPe), this.firstRender && (this.firstRender = false);
        }
      };
      Sz.exports = uT;
    });
    var Rz = b((DWe, Tz) => {
      "use strict";
      function xz(e3, r2, n2, i4, o2, a3, u2) {
        try {
          var c4 = e3[a3](u2), l2 = c4.value;
        } catch (f4) {
          n2(f4);
          return;
        }
        c4.done ? r2(l2) : Promise.resolve(l2).then(i4, o2);
      }
      function Dz(e3) {
        return function() {
          var r2 = this, n2 = arguments;
          return new Promise(function(i4, o2) {
            var a3 = e3.apply(r2, n2);
            function u2(l2) {
              xz(a3, i4, o2, u2, c4, "next", l2);
            }
            function c4(l2) {
              xz(a3, i4, o2, u2, c4, "throw", l2);
            }
            u2(void 0);
          });
        };
      }
      var Q0 = ft(), zPe = Xi(), Oz = pt(), YPe = Oz.erase, Dh = Oz.cursor, Z0 = $n(), cT = Z0.style, lT = Z0.clear, JPe = Z0.lines, XPe = Z0.figures, fT = class extends zPe {
        constructor(r2 = {}) {
          super(r2), this.transform = cT.render(r2.style), this.scale = this.transform.scale, this.msg = r2.message, this.initial = r2.initial || "", this.validator = r2.validate || (() => true), this.value = "", this.errorMsg = r2.error || "Please Enter A Valid Value", this.cursor = +!!this.initial, this.cursorOffset = 0, this.clear = lT("", this.out.columns), this.render();
        }
        set value(r2) {
          !r2 && this.initial ? (this.placeholder = true, this.rendered = Q0.gray(this.transform.render(this.initial))) : (this.placeholder = false, this.rendered = this.transform.render(r2)), this._value = r2, this.fire();
        }
        get value() {
          return this._value;
        }
        reset() {
          this.value = "", this.cursor = +!!this.initial, this.cursorOffset = 0, this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.value = this.value || this.initial, this.done = this.aborted = true, this.error = false, this.red = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        validate() {
          var r2 = this;
          return Dz(function* () {
            let n2 = yield r2.validator(r2.value);
            typeof n2 == "string" && (r2.errorMsg = n2, n2 = false), r2.error = !n2;
          })();
        }
        submit() {
          var r2 = this;
          return Dz(function* () {
            if (r2.value = r2.value || r2.initial, r2.cursorOffset = 0, r2.cursor = r2.rendered.length, yield r2.validate(), r2.error) {
              r2.red = true, r2.fire(), r2.render();
              return;
            }
            r2.done = true, r2.aborted = false, r2.fire(), r2.render(), r2.out.write(`
`), r2.close();
          })();
        }
        next() {
          if (!this.placeholder)
            return this.bell();
          this.value = this.initial, this.cursor = this.rendered.length, this.fire(), this.render();
        }
        moveCursor(r2) {
          this.placeholder || (this.cursor = this.cursor + r2, this.cursorOffset += r2);
        }
        _(r2, n2) {
          let i4 = this.value.slice(0, this.cursor), o2 = this.value.slice(this.cursor);
          this.value = `${i4}${r2}${o2}`, this.red = false, this.cursor = this.placeholder ? 0 : i4.length + 1, this.render();
        }
        delete() {
          if (this.isCursorAtStart())
            return this.bell();
          let r2 = this.value.slice(0, this.cursor - 1), n2 = this.value.slice(this.cursor);
          this.value = `${r2}${n2}`, this.red = false, this.isCursorAtStart() ? this.cursorOffset = 0 : (this.cursorOffset++, this.moveCursor(-1)), this.render();
        }
        deleteForward() {
          if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
            return this.bell();
          let r2 = this.value.slice(0, this.cursor), n2 = this.value.slice(this.cursor + 1);
          this.value = `${r2}${n2}`, this.red = false, this.isCursorAtEnd() ? this.cursorOffset = 0 : this.cursorOffset++, this.render();
        }
        first() {
          this.cursor = 0, this.render();
        }
        last() {
          this.cursor = this.value.length, this.render();
        }
        left() {
          if (this.cursor <= 0 || this.placeholder)
            return this.bell();
          this.moveCursor(-1), this.render();
        }
        right() {
          if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
            return this.bell();
          this.moveCursor(1), this.render();
        }
        isCursorAtStart() {
          return this.cursor === 0 || this.placeholder && this.cursor === 1;
        }
        isCursorAtEnd() {
          return this.cursor === this.rendered.length || this.placeholder && this.cursor === this.rendered.length + 1;
        }
        render() {
          this.closed || (this.firstRender || (this.outputError && this.out.write(Dh.down(JPe(this.outputError, this.out.columns) - 1) + lT(this.outputError, this.out.columns)), this.out.write(lT(this.outputText, this.out.columns))), super.render(), this.outputError = "", this.outputText = [cT.symbol(this.done, this.aborted), Q0.bold(this.msg), cT.delimiter(this.done), this.red ? Q0.red(this.rendered) : this.rendered].join(" "), this.error && (this.outputError += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : XPe.pointerSmall} ${Q0.red().italic(n2)}`, "")), this.out.write(YPe.line + Dh.to(0) + this.outputText + Dh.save + this.outputError + Dh.restore + Dh.move(this.cursorOffset, 0)));
        }
      };
      Tz.exports = fT;
    });
    var Pz = b((OWe, Iz) => {
      "use strict";
      var Qi = ft(), QPe = Xi(), Oh = $n(), Cz = Oh.style, Az = Oh.clear, ey = Oh.figures, ZPe = Oh.wrap, e5e = Oh.entriesToDisplay, t5e = pt(), r5e = t5e.cursor, hT = class extends QPe {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.hint = r2.hint || "- Use arrow-keys. Return to submit.", this.warn = r2.warn || "- This option is disabled", this.cursor = r2.initial || 0, this.choices = r2.choices.map((n2, i4) => (typeof n2 == "string" && (n2 = { title: n2, value: i4 }), { title: n2 && (n2.title || n2.value || n2), value: n2 && (n2.value === void 0 ? i4 : n2.value), description: n2 && n2.description, selected: n2 && n2.selected, disabled: n2 && n2.disabled })), this.optionsPerPage = r2.optionsPerPage || 10, this.value = (this.choices[this.cursor] || {}).value, this.clear = Az("", this.out.columns), this.render();
        }
        moveCursor(r2) {
          this.cursor = r2, this.value = this.choices[r2].value, this.fire();
        }
        reset() {
          this.moveCursor(0), this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          this.selection.disabled ? this.bell() : (this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
        }
        first() {
          this.moveCursor(0), this.render();
        }
        last() {
          this.moveCursor(this.choices.length - 1), this.render();
        }
        up() {
          this.cursor === 0 ? this.moveCursor(this.choices.length - 1) : this.moveCursor(this.cursor - 1), this.render();
        }
        down() {
          this.cursor === this.choices.length - 1 ? this.moveCursor(0) : this.moveCursor(this.cursor + 1), this.render();
        }
        next() {
          this.moveCursor((this.cursor + 1) % this.choices.length), this.render();
        }
        _(r2, n2) {
          if (r2 === " ")
            return this.submit();
        }
        get selection() {
          return this.choices[this.cursor];
        }
        render() {
          if (this.closed)
            return;
          this.firstRender ? this.out.write(r5e.hide) : this.out.write(Az(this.outputText, this.out.columns)), super.render();
          let r2 = e5e(this.cursor, this.choices.length, this.optionsPerPage), n2 = r2.startIndex, i4 = r2.endIndex;
          if (this.outputText = [Cz.symbol(this.done, this.aborted), Qi.bold(this.msg), Cz.delimiter(false), this.done ? this.selection.title : this.selection.disabled ? Qi.yellow(this.warn) : Qi.gray(this.hint)].join(" "), !this.done) {
            this.outputText += `
`;
            for (let o2 = n2; o2 < i4; o2++) {
              let a3, u2, c4 = "", l2 = this.choices[o2];
              o2 === n2 && n2 > 0 ? u2 = ey.arrowUp : o2 === i4 - 1 && i4 < this.choices.length ? u2 = ey.arrowDown : u2 = " ", l2.disabled ? (a3 = this.cursor === o2 ? Qi.gray().underline(l2.title) : Qi.strikethrough().gray(l2.title), u2 = (this.cursor === o2 ? Qi.bold().gray(ey.pointer) + " " : "  ") + u2) : (a3 = this.cursor === o2 ? Qi.cyan().underline(l2.title) : l2.title, u2 = (this.cursor === o2 ? Qi.cyan(ey.pointer) + " " : "  ") + u2, l2.description && this.cursor === o2 && (c4 = ` - ${l2.description}`, (u2.length + a3.length + c4.length >= this.out.columns || l2.description.split(/\r?\n/).length > 1) && (c4 = `
` + ZPe(l2.description, { margin: 3, width: this.out.columns })))), this.outputText += `${u2} ${a3}${Qi.gray(c4)}
`;
            }
          }
          this.out.write(this.outputText);
        }
      };
      Iz.exports = hT;
    });
    var $z = b((TWe, kz) => {
      "use strict";
      var ty = ft(), n5e = Xi(), Mz = $n(), Fz = Mz.style, i5e = Mz.clear, Nz = pt(), Lz = Nz.cursor, s5e = Nz.erase, pT = class extends n5e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.value = !!r2.initial, this.active = r2.active || "on", this.inactive = r2.inactive || "off", this.initialValue = this.value, this.render();
        }
        reset() {
          this.value = this.initialValue, this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        deactivate() {
          if (this.value === false)
            return this.bell();
          this.value = false, this.render();
        }
        activate() {
          if (this.value === true)
            return this.bell();
          this.value = true, this.render();
        }
        delete() {
          this.deactivate();
        }
        left() {
          this.deactivate();
        }
        right() {
          this.activate();
        }
        down() {
          this.deactivate();
        }
        up() {
          this.activate();
        }
        next() {
          this.value = !this.value, this.fire(), this.render();
        }
        _(r2, n2) {
          if (r2 === " ")
            this.value = !this.value;
          else if (r2 === "1")
            this.value = true;
          else if (r2 === "0")
            this.value = false;
          else
            return this.bell();
          this.render();
        }
        render() {
          this.closed || (this.firstRender ? this.out.write(Lz.hide) : this.out.write(i5e(this.outputText, this.out.columns)), super.render(), this.outputText = [Fz.symbol(this.done, this.aborted), ty.bold(this.msg), Fz.delimiter(this.done), this.value ? this.inactive : ty.cyan().underline(this.inactive), ty.gray("/"), this.value ? ty.cyan().underline(this.active) : this.active].join(" "), this.out.write(s5e.line + Lz.to(0) + this.outputText));
        }
      };
      kz.exports = pT;
    });
    var fi = b((RWe, qz) => {
      "use strict";
      var dT = class e3 {
        constructor({ token: r2, date: n2, parts: i4, locales: o2 }) {
          this.token = r2, this.date = n2 || /* @__PURE__ */ new Date(), this.parts = i4 || [this], this.locales = o2 || {};
        }
        up() {
        }
        down() {
        }
        next() {
          let r2 = this.parts.indexOf(this);
          return this.parts.find((n2, i4) => i4 > r2 && n2 instanceof e3);
        }
        setTo(r2) {
        }
        prev() {
          let r2 = [].concat(this.parts).reverse(), n2 = r2.indexOf(this);
          return r2.find((i4, o2) => o2 > n2 && i4 instanceof e3);
        }
        toString() {
          return String(this.date);
        }
      };
      qz.exports = dT;
    });
    var jz = b((CWe, Bz) => {
      "use strict";
      var o5e = fi(), mT = class extends o5e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setHours((this.date.getHours() + 12) % 24);
        }
        down() {
          this.up();
        }
        toString() {
          let r2 = this.date.getHours() > 12 ? "pm" : "am";
          return /\A/.test(this.token) ? r2.toUpperCase() : r2;
        }
      };
      Bz.exports = mT;
    });
    var Gz = b((AWe, Uz) => {
      "use strict";
      var a5e = fi(), u5e = (e3) => (e3 = e3 % 10, e3 === 1 ? "st" : e3 === 2 ? "nd" : e3 === 3 ? "rd" : "th"), gT = class extends a5e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setDate(this.date.getDate() + 1);
        }
        down() {
          this.date.setDate(this.date.getDate() - 1);
        }
        setTo(r2) {
          this.date.setDate(parseInt(r2.substr(-2)));
        }
        toString() {
          let r2 = this.date.getDate(), n2 = this.date.getDay();
          return this.token === "DD" ? String(r2).padStart(2, "0") : this.token === "Do" ? r2 + u5e(r2) : this.token === "d" ? n2 + 1 : this.token === "ddd" ? this.locales.weekdaysShort[n2] : this.token === "dddd" ? this.locales.weekdays[n2] : r2;
        }
      };
      Uz.exports = gT;
    });
    var Hz = b((IWe, Wz) => {
      "use strict";
      var c5e = fi(), yT = class extends c5e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setHours(this.date.getHours() + 1);
        }
        down() {
          this.date.setHours(this.date.getHours() - 1);
        }
        setTo(r2) {
          this.date.setHours(parseInt(r2.substr(-2)));
        }
        toString() {
          let r2 = this.date.getHours();
          return /h/.test(this.token) && (r2 = r2 % 12 || 12), this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
        }
      };
      Wz.exports = yT;
    });
    var Kz = b((PWe, Vz) => {
      "use strict";
      var l5e = fi(), vT = class extends l5e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setMilliseconds(this.date.getMilliseconds() + 1);
        }
        down() {
          this.date.setMilliseconds(this.date.getMilliseconds() - 1);
        }
        setTo(r2) {
          this.date.setMilliseconds(parseInt(r2.substr(-this.token.length)));
        }
        toString() {
          return String(this.date.getMilliseconds()).padStart(4, "0").substr(0, this.token.length);
        }
      };
      Vz.exports = vT;
    });
    var Yz = b((FWe, zz) => {
      "use strict";
      var f5e = fi(), bT = class extends f5e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setMinutes(this.date.getMinutes() + 1);
        }
        down() {
          this.date.setMinutes(this.date.getMinutes() - 1);
        }
        setTo(r2) {
          this.date.setMinutes(parseInt(r2.substr(-2)));
        }
        toString() {
          let r2 = this.date.getMinutes();
          return this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
        }
      };
      zz.exports = bT;
    });
    var Xz = b((LWe, Jz) => {
      "use strict";
      var h5e = fi(), ET = class extends h5e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setMonth(this.date.getMonth() + 1);
        }
        down() {
          this.date.setMonth(this.date.getMonth() - 1);
        }
        setTo(r2) {
          r2 = parseInt(r2.substr(-2)) - 1, this.date.setMonth(r2 < 0 ? 0 : r2);
        }
        toString() {
          let r2 = this.date.getMonth(), n2 = this.token.length;
          return n2 === 2 ? String(r2 + 1).padStart(2, "0") : n2 === 3 ? this.locales.monthsShort[r2] : n2 === 4 ? this.locales.months[r2] : String(r2 + 1);
        }
      };
      Jz.exports = ET;
    });
    var Zz = b((MWe, Qz) => {
      "use strict";
      var p5e = fi(), wT = class extends p5e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setSeconds(this.date.getSeconds() + 1);
        }
        down() {
          this.date.setSeconds(this.date.getSeconds() - 1);
        }
        setTo(r2) {
          this.date.setSeconds(parseInt(r2.substr(-2)));
        }
        toString() {
          let r2 = this.date.getSeconds();
          return this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
        }
      };
      Qz.exports = wT;
    });
    var tY = b((NWe, eY) => {
      "use strict";
      var d5e = fi(), _T = class extends d5e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setFullYear(this.date.getFullYear() + 1);
        }
        down() {
          this.date.setFullYear(this.date.getFullYear() - 1);
        }
        setTo(r2) {
          this.date.setFullYear(r2.substr(-4));
        }
        toString() {
          let r2 = String(this.date.getFullYear()).padStart(4, "0");
          return this.token.length === 2 ? r2.substr(-2) : r2;
        }
      };
      eY.exports = _T;
    });
    var nY = b((kWe, rY) => {
      "use strict";
      rY.exports = { DatePart: fi(), Meridiem: jz(), Day: Gz(), Hours: Hz(), Milliseconds: Kz(), Minutes: Yz(), Month: Xz(), Seconds: Zz(), Year: tY() };
    });
    var pY = b(($We, hY) => {
      "use strict";
      function iY(e3, r2, n2, i4, o2, a3, u2) {
        try {
          var c4 = e3[a3](u2), l2 = c4.value;
        } catch (f4) {
          n2(f4);
          return;
        }
        c4.done ? r2(l2) : Promise.resolve(l2).then(i4, o2);
      }
      function sY(e3) {
        return function() {
          var r2 = this, n2 = arguments;
          return new Promise(function(i4, o2) {
            var a3 = e3.apply(r2, n2);
            function u2(l2) {
              iY(a3, i4, o2, u2, c4, "next", l2);
            }
            function c4(l2) {
              iY(a3, i4, o2, u2, c4, "throw", l2);
            }
            u2(void 0);
          });
        };
      }
      var ST = ft(), m5e = Xi(), DT = $n(), oY = DT.style, aY = DT.clear, g5e = DT.figures, fY = pt(), y5e = fY.erase, uY = fY.cursor, Zi = nY(), cY = Zi.DatePart, v5e = Zi.Meridiem, b5e = Zi.Day, E5e = Zi.Hours, w5e = Zi.Milliseconds, _5e = Zi.Minutes, S5e = Zi.Month, x5e = Zi.Seconds, D5e = Zi.Year, O5e = /\\(.)|"((?:\\["\\]|[^"])+)"|(D[Do]?|d{3,4}|d)|(M{1,4})|(YY(?:YY)?)|([aA])|([Hh]{1,2})|(m{1,2})|(s{1,2})|(S{1,4})|./g, lY = { 1: ({ token: e3 }) => e3.replace(/\\(.)/g, "$1"), 2: (e3) => new b5e(e3), 3: (e3) => new S5e(e3), 4: (e3) => new D5e(e3), 5: (e3) => new v5e(e3), 6: (e3) => new E5e(e3), 7: (e3) => new _5e(e3), 8: (e3) => new x5e(e3), 9: (e3) => new w5e(e3) }, T5e = { months: "January,February,March,April,May,June,July,August,September,October,November,December".split(","), monthsShort: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".split(","), weekdays: "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".split(","), weekdaysShort: "Sun,Mon,Tue,Wed,Thu,Fri,Sat".split(",") }, xT = class extends m5e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.cursor = 0, this.typed = "", this.locales = Object.assign(T5e, r2.locales), this._date = r2.initial || /* @__PURE__ */ new Date(), this.errorMsg = r2.error || "Please Enter A Valid Value", this.validator = r2.validate || (() => true), this.mask = r2.mask || "YYYY-MM-DD HH:mm:ss", this.clear = aY("", this.out.columns), this.render();
        }
        get value() {
          return this.date;
        }
        get date() {
          return this._date;
        }
        set date(r2) {
          r2 && this._date.setTime(r2.getTime());
        }
        set mask(r2) {
          let n2;
          for (this.parts = []; n2 = O5e.exec(r2); ) {
            let o2 = n2.shift(), a3 = n2.findIndex((u2) => u2 != null);
            this.parts.push(a3 in lY ? lY[a3]({ token: n2[a3] || o2, date: this.date, parts: this.parts, locales: this.locales }) : n2[a3] || o2);
          }
          let i4 = this.parts.reduce((o2, a3) => (typeof a3 == "string" && typeof o2[o2.length - 1] == "string" ? o2[o2.length - 1] += a3 : o2.push(a3), o2), []);
          this.parts.splice(0), this.parts.push(...i4), this.reset();
        }
        moveCursor(r2) {
          this.typed = "", this.cursor = r2, this.fire();
        }
        reset() {
          this.moveCursor(this.parts.findIndex((r2) => r2 instanceof cY)), this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.error = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        validate() {
          var r2 = this;
          return sY(function* () {
            let n2 = yield r2.validator(r2.value);
            typeof n2 == "string" && (r2.errorMsg = n2, n2 = false), r2.error = !n2;
          })();
        }
        submit() {
          var r2 = this;
          return sY(function* () {
            if (yield r2.validate(), r2.error) {
              r2.color = "red", r2.fire(), r2.render();
              return;
            }
            r2.done = true, r2.aborted = false, r2.fire(), r2.render(), r2.out.write(`
`), r2.close();
          })();
        }
        up() {
          this.typed = "", this.parts[this.cursor].up(), this.render();
        }
        down() {
          this.typed = "", this.parts[this.cursor].down(), this.render();
        }
        left() {
          let r2 = this.parts[this.cursor].prev();
          if (r2 == null)
            return this.bell();
          this.moveCursor(this.parts.indexOf(r2)), this.render();
        }
        right() {
          let r2 = this.parts[this.cursor].next();
          if (r2 == null)
            return this.bell();
          this.moveCursor(this.parts.indexOf(r2)), this.render();
        }
        next() {
          let r2 = this.parts[this.cursor].next();
          this.moveCursor(r2 ? this.parts.indexOf(r2) : this.parts.findIndex((n2) => n2 instanceof cY)), this.render();
        }
        _(r2) {
          /\d/.test(r2) && (this.typed += r2, this.parts[this.cursor].setTo(this.typed), this.render());
        }
        render() {
          this.closed || (this.firstRender ? this.out.write(uY.hide) : this.out.write(aY(this.outputText, this.out.columns)), super.render(), this.outputText = [oY.symbol(this.done, this.aborted), ST.bold(this.msg), oY.delimiter(false), this.parts.reduce((r2, n2, i4) => r2.concat(i4 === this.cursor && !this.done ? ST.cyan().underline(n2.toString()) : n2), []).join("")].join(" "), this.error && (this.outputText += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : g5e.pointerSmall} ${ST.red().italic(n2)}`, "")), this.out.write(y5e.line + uY.to(0) + this.outputText));
        }
      };
      hY.exports = xT;
    });
    var EY = b((qWe, bY) => {
      "use strict";
      function dY(e3, r2, n2, i4, o2, a3, u2) {
        try {
          var c4 = e3[a3](u2), l2 = c4.value;
        } catch (f4) {
          n2(f4);
          return;
        }
        c4.done ? r2(l2) : Promise.resolve(l2).then(i4, o2);
      }
      function mY(e3) {
        return function() {
          var r2 = this, n2 = arguments;
          return new Promise(function(i4, o2) {
            var a3 = e3.apply(r2, n2);
            function u2(l2) {
              dY(a3, i4, o2, u2, c4, "next", l2);
            }
            function c4(l2) {
              dY(a3, i4, o2, u2, c4, "throw", l2);
            }
            u2(void 0);
          });
        };
      }
      var ry = ft(), R5e = Xi(), vY = pt(), ny = vY.cursor, C5e = vY.erase, iy = $n(), OT = iy.style, A5e = iy.figures, gY = iy.clear, I5e = iy.lines, P5e = /[0-9]/, TT = (e3) => e3 !== void 0, yY = (e3, r2) => {
        let n2 = Math.pow(10, r2);
        return Math.round(e3 * n2) / n2;
      }, RT = class extends R5e {
        constructor(r2 = {}) {
          super(r2), this.transform = OT.render(r2.style), this.msg = r2.message, this.initial = TT(r2.initial) ? r2.initial : "", this.float = !!r2.float, this.round = r2.round || 2, this.inc = r2.increment || 1, this.min = TT(r2.min) ? r2.min : -1 / 0, this.max = TT(r2.max) ? r2.max : 1 / 0, this.errorMsg = r2.error || "Please Enter A Valid Value", this.validator = r2.validate || (() => true), this.color = "cyan", this.value = "", this.typed = "", this.lastHit = 0, this.render();
        }
        set value(r2) {
          !r2 && r2 !== 0 ? (this.placeholder = true, this.rendered = ry.gray(this.transform.render(`${this.initial}`)), this._value = "") : (this.placeholder = false, this.rendered = this.transform.render(`${yY(r2, this.round)}`), this._value = yY(r2, this.round)), this.fire();
        }
        get value() {
          return this._value;
        }
        parse(r2) {
          return this.float ? parseFloat(r2) : parseInt(r2);
        }
        valid(r2) {
          return r2 === "-" || r2 === "." && this.float || P5e.test(r2);
        }
        reset() {
          this.typed = "", this.value = "", this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          let r2 = this.value;
          this.value = r2 !== "" ? r2 : this.initial, this.done = this.aborted = true, this.error = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        validate() {
          var r2 = this;
          return mY(function* () {
            let n2 = yield r2.validator(r2.value);
            typeof n2 == "string" && (r2.errorMsg = n2, n2 = false), r2.error = !n2;
          })();
        }
        submit() {
          var r2 = this;
          return mY(function* () {
            if (yield r2.validate(), r2.error) {
              r2.color = "red", r2.fire(), r2.render();
              return;
            }
            let n2 = r2.value;
            r2.value = n2 !== "" ? n2 : r2.initial, r2.done = true, r2.aborted = false, r2.error = false, r2.fire(), r2.render(), r2.out.write(`
`), r2.close();
          })();
        }
        up() {
          if (this.typed = "", this.value === "" && (this.value = this.min - this.inc), this.value >= this.max)
            return this.bell();
          this.value += this.inc, this.color = "cyan", this.fire(), this.render();
        }
        down() {
          if (this.typed = "", this.value === "" && (this.value = this.min + this.inc), this.value <= this.min)
            return this.bell();
          this.value -= this.inc, this.color = "cyan", this.fire(), this.render();
        }
        delete() {
          let r2 = this.value.toString();
          if (r2.length === 0)
            return this.bell();
          this.value = this.parse(r2 = r2.slice(0, -1)) || "", this.value !== "" && this.value < this.min && (this.value = this.min), this.color = "cyan", this.fire(), this.render();
        }
        next() {
          this.value = this.initial, this.fire(), this.render();
        }
        _(r2, n2) {
          if (!this.valid(r2))
            return this.bell();
          let i4 = Date.now();
          if (i4 - this.lastHit > 1e3 && (this.typed = ""), this.typed += r2, this.lastHit = i4, this.color = "cyan", r2 === ".")
            return this.fire();
          this.value = Math.min(this.parse(this.typed), this.max), this.value > this.max && (this.value = this.max), this.value < this.min && (this.value = this.min), this.fire(), this.render();
        }
        render() {
          this.closed || (this.firstRender || (this.outputError && this.out.write(ny.down(I5e(this.outputError, this.out.columns) - 1) + gY(this.outputError, this.out.columns)), this.out.write(gY(this.outputText, this.out.columns))), super.render(), this.outputError = "", this.outputText = [OT.symbol(this.done, this.aborted), ry.bold(this.msg), OT.delimiter(this.done), !this.done || !this.done && !this.placeholder ? ry[this.color]().underline(this.rendered) : this.rendered].join(" "), this.error && (this.outputError += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : A5e.pointerSmall} ${ry.red().italic(n2)}`, "")), this.out.write(C5e.line + ny.to(0) + this.outputText + ny.save + this.outputError + ny.restore));
        }
      };
      bY.exports = RT;
    });
    var AT = b((BWe, SY) => {
      "use strict";
      var hi = ft(), F5e = pt(), L5e = F5e.cursor, M5e = Xi(), Th = $n(), wY = Th.clear, yo = Th.figures, _Y = Th.style, N5e = Th.wrap, k5e = Th.entriesToDisplay, CT = class extends M5e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.cursor = r2.cursor || 0, this.scrollIndex = r2.cursor || 0, this.hint = r2.hint || "", this.warn = r2.warn || "- This option is disabled -", this.minSelected = r2.min, this.showMinError = false, this.maxChoices = r2.max, this.instructions = r2.instructions, this.optionsPerPage = r2.optionsPerPage || 10, this.value = r2.choices.map((n2, i4) => (typeof n2 == "string" && (n2 = { title: n2, value: i4 }), { title: n2 && (n2.title || n2.value || n2), description: n2 && n2.description, value: n2 && (n2.value === void 0 ? i4 : n2.value), selected: n2 && n2.selected, disabled: n2 && n2.disabled })), this.clear = wY("", this.out.columns), r2.overrideRender || this.render();
        }
        reset() {
          this.value.map((r2) => !r2.selected), this.cursor = 0, this.fire(), this.render();
        }
        selected() {
          return this.value.filter((r2) => r2.selected);
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          let r2 = this.value.filter((n2) => n2.selected);
          this.minSelected && r2.length < this.minSelected ? (this.showMinError = true, this.render()) : (this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
        }
        first() {
          this.cursor = 0, this.render();
        }
        last() {
          this.cursor = this.value.length - 1, this.render();
        }
        next() {
          this.cursor = (this.cursor + 1) % this.value.length, this.render();
        }
        up() {
          this.cursor === 0 ? this.cursor = this.value.length - 1 : this.cursor--, this.render();
        }
        down() {
          this.cursor === this.value.length - 1 ? this.cursor = 0 : this.cursor++, this.render();
        }
        left() {
          this.value[this.cursor].selected = false, this.render();
        }
        right() {
          if (this.value.filter((r2) => r2.selected).length >= this.maxChoices)
            return this.bell();
          this.value[this.cursor].selected = true, this.render();
        }
        handleSpaceToggle() {
          let r2 = this.value[this.cursor];
          if (r2.selected)
            r2.selected = false, this.render();
          else {
            if (r2.disabled || this.value.filter((n2) => n2.selected).length >= this.maxChoices)
              return this.bell();
            r2.selected = true, this.render();
          }
        }
        toggleAll() {
          if (this.maxChoices !== void 0 || this.value[this.cursor].disabled)
            return this.bell();
          let r2 = !this.value[this.cursor].selected;
          this.value.filter((n2) => !n2.disabled).forEach((n2) => n2.selected = r2), this.render();
        }
        _(r2, n2) {
          if (r2 === " ")
            this.handleSpaceToggle();
          else if (r2 === "a")
            this.toggleAll();
          else
            return this.bell();
        }
        renderInstructions() {
          return this.instructions === void 0 || this.instructions ? typeof this.instructions == "string" ? this.instructions : `
Instructions:
    ${yo.arrowUp}/${yo.arrowDown}: Highlight option
    ${yo.arrowLeft}/${yo.arrowRight}/[space]: Toggle selection
` + (this.maxChoices === void 0 ? `    a: Toggle all
` : "") + "    enter/return: Complete answer" : "";
        }
        renderOption(r2, n2, i4, o2) {
          let a3 = (n2.selected ? hi.green(yo.radioOn) : yo.radioOff) + " " + o2 + " ", u2, c4;
          return n2.disabled ? u2 = r2 === i4 ? hi.gray().underline(n2.title) : hi.strikethrough().gray(n2.title) : (u2 = r2 === i4 ? hi.cyan().underline(n2.title) : n2.title, r2 === i4 && n2.description && (c4 = ` - ${n2.description}`, (a3.length + u2.length + c4.length >= this.out.columns || n2.description.split(/\r?\n/).length > 1) && (c4 = `
` + N5e(n2.description, { margin: a3.length, width: this.out.columns })))), a3 + u2 + hi.gray(c4 || "");
        }
        paginateOptions(r2) {
          if (r2.length === 0)
            return hi.red("No matches for this query.");
          let n2 = k5e(this.cursor, r2.length, this.optionsPerPage), i4 = n2.startIndex, o2 = n2.endIndex, a3, u2 = [];
          for (let c4 = i4; c4 < o2; c4++)
            c4 === i4 && i4 > 0 ? a3 = yo.arrowUp : c4 === o2 - 1 && o2 < r2.length ? a3 = yo.arrowDown : a3 = " ", u2.push(this.renderOption(this.cursor, r2[c4], c4, a3));
          return `
` + u2.join(`
`);
        }
        renderOptions(r2) {
          return this.done ? "" : this.paginateOptions(r2);
        }
        renderDoneOrInstructions() {
          if (this.done)
            return this.value.filter((n2) => n2.selected).map((n2) => n2.title).join(", ");
          let r2 = [hi.gray(this.hint), this.renderInstructions()];
          return this.value[this.cursor].disabled && r2.push(hi.yellow(this.warn)), r2.join(" ");
        }
        render() {
          if (this.closed)
            return;
          this.firstRender && this.out.write(L5e.hide), super.render();
          let r2 = [_Y.symbol(this.done, this.aborted), hi.bold(this.msg), _Y.delimiter(false), this.renderDoneOrInstructions()].join(" ");
          this.showMinError && (r2 += hi.red(`You must select a minimum of ${this.minSelected} choices.`), this.showMinError = false), r2 += this.renderOptions(this.value), this.out.write(this.clear + r2), this.clear = wY(r2, this.out.columns);
        }
      };
      SY.exports = CT;
    });
    var AY = b((jWe, CY) => {
      "use strict";
      function xY(e3, r2, n2, i4, o2, a3, u2) {
        try {
          var c4 = e3[a3](u2), l2 = c4.value;
        } catch (f4) {
          n2(f4);
          return;
        }
        c4.done ? r2(l2) : Promise.resolve(l2).then(i4, o2);
      }
      function $5e(e3) {
        return function() {
          var r2 = this, n2 = arguments;
          return new Promise(function(i4, o2) {
            var a3 = e3.apply(r2, n2);
            function u2(l2) {
              xY(a3, i4, o2, u2, c4, "next", l2);
            }
            function c4(l2) {
              xY(a3, i4, o2, u2, c4, "throw", l2);
            }
            u2(void 0);
          });
        };
      }
      var Rh = ft(), q5e = Xi(), RY = pt(), B5e = RY.erase, DY = RY.cursor, Ch = $n(), IT = Ch.style, OY = Ch.clear, PT = Ch.figures, j5e = Ch.wrap, U5e = Ch.entriesToDisplay, TY = (e3, r2) => e3[r2] && (e3[r2].value || e3[r2].title || e3[r2]), G5e = (e3, r2) => e3[r2] && (e3[r2].title || e3[r2].value || e3[r2]), W5e = (e3, r2) => {
        let n2 = e3.findIndex((i4) => i4.value === r2 || i4.title === r2);
        return n2 > -1 ? n2 : void 0;
      }, FT = class extends q5e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.suggest = r2.suggest, this.choices = r2.choices, this.initial = typeof r2.initial == "number" ? r2.initial : W5e(r2.choices, r2.initial), this.select = this.initial || r2.cursor || 0, this.i18n = { noMatches: r2.noMatches || "no matches found" }, this.fallback = r2.fallback || this.initial, this.clearFirst = r2.clearFirst || false, this.suggestions = [], this.input = "", this.limit = r2.limit || 10, this.cursor = 0, this.transform = IT.render(r2.style), this.scale = this.transform.scale, this.render = this.render.bind(this), this.complete = this.complete.bind(this), this.clear = OY("", this.out.columns), this.complete(this.render), this.render();
        }
        set fallback(r2) {
          this._fb = Number.isSafeInteger(parseInt(r2)) ? parseInt(r2) : r2;
        }
        get fallback() {
          let r2;
          return typeof this._fb == "number" ? r2 = this.choices[this._fb] : typeof this._fb == "string" && (r2 = { title: this._fb }), r2 || this._fb || { title: this.i18n.noMatches };
        }
        moveSelect(r2) {
          this.select = r2, this.suggestions.length > 0 ? this.value = TY(this.suggestions, r2) : this.value = this.fallback.value, this.fire();
        }
        complete(r2) {
          var n2 = this;
          return $5e(function* () {
            let i4 = n2.completing = n2.suggest(n2.input, n2.choices), o2 = yield i4;
            if (n2.completing !== i4)
              return;
            n2.suggestions = o2.map((u2, c4, l2) => ({ title: G5e(l2, c4), value: TY(l2, c4), description: u2.description })), n2.completing = false;
            let a3 = Math.max(o2.length - 1, 0);
            n2.moveSelect(Math.min(a3, n2.select)), r2 && r2();
          })();
        }
        reset() {
          this.input = "", this.complete(() => {
            this.moveSelect(this.initial !== void 0 ? this.initial : 0), this.render();
          }), this.render();
        }
        exit() {
          this.clearFirst && this.input.length > 0 ? this.reset() : (this.done = this.exited = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
        }
        abort() {
          this.done = this.aborted = true, this.exited = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          this.done = true, this.aborted = this.exited = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        _(r2, n2) {
          let i4 = this.input.slice(0, this.cursor), o2 = this.input.slice(this.cursor);
          this.input = `${i4}${r2}${o2}`, this.cursor = i4.length + 1, this.complete(this.render), this.render();
        }
        delete() {
          if (this.cursor === 0)
            return this.bell();
          let r2 = this.input.slice(0, this.cursor - 1), n2 = this.input.slice(this.cursor);
          this.input = `${r2}${n2}`, this.complete(this.render), this.cursor = this.cursor - 1, this.render();
        }
        deleteForward() {
          if (this.cursor * this.scale >= this.rendered.length)
            return this.bell();
          let r2 = this.input.slice(0, this.cursor), n2 = this.input.slice(this.cursor + 1);
          this.input = `${r2}${n2}`, this.complete(this.render), this.render();
        }
        first() {
          this.moveSelect(0), this.render();
        }
        last() {
          this.moveSelect(this.suggestions.length - 1), this.render();
        }
        up() {
          this.select === 0 ? this.moveSelect(this.suggestions.length - 1) : this.moveSelect(this.select - 1), this.render();
        }
        down() {
          this.select === this.suggestions.length - 1 ? this.moveSelect(0) : this.moveSelect(this.select + 1), this.render();
        }
        next() {
          this.select === this.suggestions.length - 1 ? this.moveSelect(0) : this.moveSelect(this.select + 1), this.render();
        }
        nextPage() {
          this.moveSelect(Math.min(this.select + this.limit, this.suggestions.length - 1)), this.render();
        }
        prevPage() {
          this.moveSelect(Math.max(this.select - this.limit, 0)), this.render();
        }
        left() {
          if (this.cursor <= 0)
            return this.bell();
          this.cursor = this.cursor - 1, this.render();
        }
        right() {
          if (this.cursor * this.scale >= this.rendered.length)
            return this.bell();
          this.cursor = this.cursor + 1, this.render();
        }
        renderOption(r2, n2, i4, o2) {
          let a3, u2 = i4 ? PT.arrowUp : o2 ? PT.arrowDown : " ", c4 = n2 ? Rh.cyan().underline(r2.title) : r2.title;
          return u2 = (n2 ? Rh.cyan(PT.pointer) + " " : "  ") + u2, r2.description && (a3 = ` - ${r2.description}`, (u2.length + c4.length + a3.length >= this.out.columns || r2.description.split(/\r?\n/).length > 1) && (a3 = `
` + j5e(r2.description, { margin: 3, width: this.out.columns }))), u2 + " " + c4 + Rh.gray(a3 || "");
        }
        render() {
          if (this.closed)
            return;
          this.firstRender ? this.out.write(DY.hide) : this.out.write(OY(this.outputText, this.out.columns)), super.render();
          let r2 = U5e(this.select, this.choices.length, this.limit), n2 = r2.startIndex, i4 = r2.endIndex;
          if (this.outputText = [IT.symbol(this.done, this.aborted, this.exited), Rh.bold(this.msg), IT.delimiter(this.completing), this.done && this.suggestions[this.select] ? this.suggestions[this.select].title : this.rendered = this.transform.render(this.input)].join(" "), !this.done) {
            let o2 = this.suggestions.slice(n2, i4).map((a3, u2) => this.renderOption(a3, this.select === u2 + n2, u2 === 0 && n2 > 0, u2 + n2 === i4 - 1 && i4 < this.choices.length)).join(`
`);
            this.outputText += `
` + (o2 || Rh.gray(this.fallback.title));
          }
          this.out.write(B5e.line + DY.to(0) + this.outputText);
        }
      };
      CY.exports = FT;
    });
    var LY = b((UWe, FY) => {
      "use strict";
      var es = ft(), H5e = pt(), V5e = H5e.cursor, K5e = AT(), MT = $n(), IY = MT.clear, PY = MT.style, Lc = MT.figures, LT = class extends K5e {
        constructor(r2 = {}) {
          r2.overrideRender = true, super(r2), this.inputValue = "", this.clear = IY("", this.out.columns), this.filteredOptions = this.value, this.render();
        }
        last() {
          this.cursor = this.filteredOptions.length - 1, this.render();
        }
        next() {
          this.cursor = (this.cursor + 1) % this.filteredOptions.length, this.render();
        }
        up() {
          this.cursor === 0 ? this.cursor = this.filteredOptions.length - 1 : this.cursor--, this.render();
        }
        down() {
          this.cursor === this.filteredOptions.length - 1 ? this.cursor = 0 : this.cursor++, this.render();
        }
        left() {
          this.filteredOptions[this.cursor].selected = false, this.render();
        }
        right() {
          if (this.value.filter((r2) => r2.selected).length >= this.maxChoices)
            return this.bell();
          this.filteredOptions[this.cursor].selected = true, this.render();
        }
        delete() {
          this.inputValue.length && (this.inputValue = this.inputValue.substr(0, this.inputValue.length - 1), this.updateFilteredOptions());
        }
        updateFilteredOptions() {
          let r2 = this.filteredOptions[this.cursor];
          this.filteredOptions = this.value.filter((i4) => this.inputValue ? !!(typeof i4.title == "string" && i4.title.toLowerCase().includes(this.inputValue.toLowerCase()) || typeof i4.value == "string" && i4.value.toLowerCase().includes(this.inputValue.toLowerCase())) : true);
          let n2 = this.filteredOptions.findIndex((i4) => i4 === r2);
          this.cursor = n2 < 0 ? 0 : n2, this.render();
        }
        handleSpaceToggle() {
          let r2 = this.filteredOptions[this.cursor];
          if (r2.selected)
            r2.selected = false, this.render();
          else {
            if (r2.disabled || this.value.filter((n2) => n2.selected).length >= this.maxChoices)
              return this.bell();
            r2.selected = true, this.render();
          }
        }
        handleInputChange(r2) {
          this.inputValue = this.inputValue + r2, this.updateFilteredOptions();
        }
        _(r2, n2) {
          r2 === " " ? this.handleSpaceToggle() : this.handleInputChange(r2);
        }
        renderInstructions() {
          return this.instructions === void 0 || this.instructions ? typeof this.instructions == "string" ? this.instructions : `
Instructions:
    ${Lc.arrowUp}/${Lc.arrowDown}: Highlight option
    ${Lc.arrowLeft}/${Lc.arrowRight}/[space]: Toggle selection
    [a,b,c]/delete: Filter choices
    enter/return: Complete answer
` : "";
        }
        renderCurrentInput() {
          return `
Filtered results for: ${this.inputValue ? this.inputValue : es.gray("Enter something to filter")}
`;
        }
        renderOption(r2, n2, i4) {
          let o2;
          return n2.disabled ? o2 = r2 === i4 ? es.gray().underline(n2.title) : es.strikethrough().gray(n2.title) : o2 = r2 === i4 ? es.cyan().underline(n2.title) : n2.title, (n2.selected ? es.green(Lc.radioOn) : Lc.radioOff) + "  " + o2;
        }
        renderDoneOrInstructions() {
          if (this.done)
            return this.value.filter((n2) => n2.selected).map((n2) => n2.title).join(", ");
          let r2 = [es.gray(this.hint), this.renderInstructions(), this.renderCurrentInput()];
          return this.filteredOptions.length && this.filteredOptions[this.cursor].disabled && r2.push(es.yellow(this.warn)), r2.join(" ");
        }
        render() {
          if (this.closed)
            return;
          this.firstRender && this.out.write(V5e.hide), super.render();
          let r2 = [PY.symbol(this.done, this.aborted), es.bold(this.msg), PY.delimiter(false), this.renderDoneOrInstructions()].join(" ");
          this.showMinError && (r2 += es.red(`You must select a minimum of ${this.minSelected} choices.`), this.showMinError = false), r2 += this.renderOptions(this.filteredOptions), this.out.write(this.clear + r2), this.clear = IY(r2, this.out.columns);
        }
      };
      FY.exports = LT;
    });
    var jY = b((GWe, BY) => {
      "use strict";
      var MY = ft(), z5e = Xi(), $Y = $n(), NY = $Y.style, Y5e = $Y.clear, qY = pt(), J5e = qY.erase, kY = qY.cursor, NT = class extends z5e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.value = r2.initial, this.initialValue = !!r2.initial, this.yesMsg = r2.yes || "yes", this.yesOption = r2.yesOption || "(Y/n)", this.noMsg = r2.no || "no", this.noOption = r2.noOption || "(y/N)", this.render();
        }
        reset() {
          this.value = this.initialValue, this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          this.value = this.value || false, this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        _(r2, n2) {
          return r2.toLowerCase() === "y" ? (this.value = true, this.submit()) : r2.toLowerCase() === "n" ? (this.value = false, this.submit()) : this.bell();
        }
        render() {
          this.closed || (this.firstRender ? this.out.write(kY.hide) : this.out.write(Y5e(this.outputText, this.out.columns)), super.render(), this.outputText = [NY.symbol(this.done, this.aborted), MY.bold(this.msg), NY.delimiter(this.done), this.done ? this.value ? this.yesMsg : this.noMsg : MY.gray(this.initialValue ? this.yesOption : this.noOption)].join(" "), this.out.write(J5e.line + kY.to(0) + this.outputText));
        }
      };
      BY.exports = NT;
    });
    var GY = b((WWe, UY) => {
      "use strict";
      UY.exports = { TextPrompt: Rz(), SelectPrompt: Pz(), TogglePrompt: $z(), DatePrompt: pY(), NumberPrompt: EY(), MultiselectPrompt: AT(), AutocompletePrompt: AY(), AutocompleteMultiselectPrompt: LY(), ConfirmPrompt: jY() };
    });
    var HY = b((WY) => {
      "use strict";
      var Mr = WY, X5e = GY(), sy = (e3) => e3;
      function pi(e3, r2, n2 = {}) {
        return new Promise((i4, o2) => {
          let a3 = new X5e[e3](r2), u2 = n2.onAbort || sy, c4 = n2.onSubmit || sy, l2 = n2.onExit || sy;
          a3.on("state", r2.onState || sy), a3.on("submit", (f4) => i4(c4(f4))), a3.on("exit", (f4) => i4(l2(f4))), a3.on("abort", (f4) => o2(u2(f4)));
        });
      }
      Mr.text = (e3) => pi("TextPrompt", e3);
      Mr.password = (e3) => (e3.style = "password", Mr.text(e3));
      Mr.invisible = (e3) => (e3.style = "invisible", Mr.text(e3));
      Mr.number = (e3) => pi("NumberPrompt", e3);
      Mr.date = (e3) => pi("DatePrompt", e3);
      Mr.confirm = (e3) => pi("ConfirmPrompt", e3);
      Mr.list = (e3) => {
        let r2 = e3.separator || ",";
        return pi("TextPrompt", e3, { onSubmit: (n2) => n2.split(r2).map((i4) => i4.trim()) });
      };
      Mr.toggle = (e3) => pi("TogglePrompt", e3);
      Mr.select = (e3) => pi("SelectPrompt", e3);
      Mr.multiselect = (e3) => {
        e3.choices = [].concat(e3.choices || []);
        let r2 = (n2) => n2.filter((i4) => i4.selected).map((i4) => i4.value);
        return pi("MultiselectPrompt", e3, { onAbort: r2, onSubmit: r2 });
      };
      Mr.autocompleteMultiselect = (e3) => {
        e3.choices = [].concat(e3.choices || []);
        let r2 = (n2) => n2.filter((i4) => i4.selected).map((i4) => i4.value);
        return pi("AutocompleteMultiselectPrompt", e3, { onAbort: r2, onSubmit: r2 });
      };
      var Q5e = (e3, r2) => Promise.resolve(r2.filter((n2) => n2.title.slice(0, e3.length).toLowerCase() === e3.toLowerCase()));
      Mr.autocomplete = (e3) => (e3.suggest = e3.suggest || Q5e, e3.choices = [].concat(e3.choices || []), pi("AutocompletePrompt", e3));
    });
    var ZY = b((VWe, QY) => {
      "use strict";
      function VY(e3, r2) {
        var n2 = Object.keys(e3);
        if (Object.getOwnPropertySymbols) {
          var i4 = Object.getOwnPropertySymbols(e3);
          r2 && (i4 = i4.filter(function(o2) {
            return Object.getOwnPropertyDescriptor(e3, o2).enumerable;
          })), n2.push.apply(n2, i4);
        }
        return n2;
      }
      function KY(e3) {
        for (var r2 = 1; r2 < arguments.length; r2++) {
          var n2 = arguments[r2] != null ? arguments[r2] : {};
          r2 % 2 ? VY(Object(n2), true).forEach(function(i4) {
            Z5e(e3, i4, n2[i4]);
          }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e3, Object.getOwnPropertyDescriptors(n2)) : VY(Object(n2)).forEach(function(i4) {
            Object.defineProperty(e3, i4, Object.getOwnPropertyDescriptor(n2, i4));
          });
        }
        return e3;
      }
      function Z5e(e3, r2, n2) {
        return r2 in e3 ? Object.defineProperty(e3, r2, { value: n2, enumerable: true, configurable: true, writable: true }) : e3[r2] = n2, e3;
      }
      function e4e(e3, r2) {
        var n2 = typeof Symbol < "u" && e3[Symbol.iterator] || e3["@@iterator"];
        if (!n2) {
          if (Array.isArray(e3) || (n2 = t4e(e3)) || r2 && e3 && typeof e3.length == "number") {
            n2 && (e3 = n2);
            var i4 = 0, o2 = function() {
            };
            return { s: o2, n: function() {
              return i4 >= e3.length ? { done: true } : { done: false, value: e3[i4++] };
            }, e: function(f4) {
              throw f4;
            }, f: o2 };
          }
          throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
        }
        var a3 = true, u2 = false, c4;
        return { s: function() {
          n2 = n2.call(e3);
        }, n: function() {
          var f4 = n2.next();
          return a3 = f4.done, f4;
        }, e: function(f4) {
          u2 = true, c4 = f4;
        }, f: function() {
          try {
            !a3 && n2.return != null && n2.return();
          } finally {
            if (u2)
              throw c4;
          }
        } };
      }
      function t4e(e3, r2) {
        if (e3) {
          if (typeof e3 == "string")
            return zY(e3, r2);
          var n2 = Object.prototype.toString.call(e3).slice(8, -1);
          if (n2 === "Object" && e3.constructor && (n2 = e3.constructor.name), n2 === "Map" || n2 === "Set")
            return Array.from(e3);
          if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
            return zY(e3, r2);
        }
      }
      function zY(e3, r2) {
        (r2 == null || r2 > e3.length) && (r2 = e3.length);
        for (var n2 = 0, i4 = new Array(r2); n2 < r2; n2++)
          i4[n2] = e3[n2];
        return i4;
      }
      function YY(e3, r2, n2, i4, o2, a3, u2) {
        try {
          var c4 = e3[a3](u2), l2 = c4.value;
        } catch (f4) {
          n2(f4);
          return;
        }
        c4.done ? r2(l2) : Promise.resolve(l2).then(i4, o2);
      }
      function JY(e3) {
        return function() {
          var r2 = this, n2 = arguments;
          return new Promise(function(i4, o2) {
            var a3 = e3.apply(r2, n2);
            function u2(l2) {
              YY(a3, i4, o2, u2, c4, "next", l2);
            }
            function c4(l2) {
              YY(a3, i4, o2, u2, c4, "throw", l2);
            }
            u2(void 0);
          });
        };
      }
      var kT = HY(), r4e = ["suggest", "format", "onState", "validate", "onRender", "type"], XY = () => {
      };
      function vo() {
        return $T.apply(this, arguments);
      }
      function $T() {
        return $T = JY(function* (e3 = [], { onSubmit: r2 = XY, onCancel: n2 = XY } = {}) {
          let i4 = {}, o2 = vo._override || {};
          e3 = [].concat(e3);
          let a3, u2, c4, l2, f4, p2, v2 = function() {
            var R = JY(function* (A2, L, N = false) {
              if (!(!N && A2.validate && A2.validate(L) !== true))
                return A2.format ? yield A2.format(L, i4) : L;
            });
            return function(L, N) {
              return R.apply(this, arguments);
            };
          }();
          var g2 = e4e(e3), S2;
          try {
            for (g2.s(); !(S2 = g2.n()).done; ) {
              u2 = S2.value;
              var D = u2;
              if (l2 = D.name, f4 = D.type, typeof f4 == "function" && (f4 = yield f4(a3, KY({}, i4), u2), u2.type = f4), !!f4) {
                for (let R in u2) {
                  if (r4e.includes(R))
                    continue;
                  let A2 = u2[R];
                  u2[R] = typeof A2 == "function" ? yield A2(a3, KY({}, i4), p2) : A2;
                }
                if (p2 = u2, typeof u2.message != "string")
                  throw new Error("prompt message is required");
                var T6 = u2;
                if (l2 = T6.name, f4 = T6.type, kT[f4] === void 0)
                  throw new Error(`prompt type (${f4}) is not defined`);
                if (o2[u2.name] !== void 0 && (a3 = yield v2(u2, o2[u2.name]), a3 !== void 0)) {
                  i4[l2] = a3;
                  continue;
                }
                try {
                  a3 = vo._injected ? n4e(vo._injected, u2.initial) : yield kT[f4](u2), i4[l2] = a3 = yield v2(u2, a3, true), c4 = yield r2(u2, a3, i4);
                } catch {
                  c4 = !(yield n2(u2, i4));
                }
                if (c4)
                  return i4;
              }
            }
          } catch (R) {
            g2.e(R);
          } finally {
            g2.f();
          }
          return i4;
        }), $T.apply(this, arguments);
      }
      function n4e(e3, r2) {
        let n2 = e3.shift();
        if (n2 instanceof Error)
          throw n2;
        return n2 === void 0 ? r2 : n2;
      }
      function i4e(e3) {
        vo._injected = (vo._injected || []).concat(e3);
      }
      function s4e(e3) {
        vo._override = Object.assign({}, e3);
      }
      QY.exports = Object.assign(vo, { prompt: vo, prompts: kT, inject: i4e, override: s4e });
    });
    var tJ = b((KWe, eJ) => {
      "use strict";
      eJ.exports = (e3, r2) => {
        if (!(e3.meta && e3.name !== "escape")) {
          if (e3.ctrl) {
            if (e3.name === "a")
              return "first";
            if (e3.name === "c" || e3.name === "d")
              return "abort";
            if (e3.name === "e")
              return "last";
            if (e3.name === "g")
              return "reset";
          }
          if (r2) {
            if (e3.name === "j")
              return "down";
            if (e3.name === "k")
              return "up";
          }
          return e3.name === "return" || e3.name === "enter" ? "submit" : e3.name === "backspace" ? "delete" : e3.name === "delete" ? "deleteForward" : e3.name === "abort" ? "abort" : e3.name === "escape" ? "exit" : e3.name === "tab" ? "next" : e3.name === "pagedown" ? "nextPage" : e3.name === "pageup" ? "prevPage" : e3.name === "home" ? "home" : e3.name === "end" ? "end" : e3.name === "up" ? "up" : e3.name === "down" ? "down" : e3.name === "right" ? "right" : e3.name === "left" ? "left" : false;
        }
      };
    });
    var oy = b((zWe, rJ) => {
      "use strict";
      rJ.exports = (e3) => {
        let r2 = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)", "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))"].join("|"), n2 = new RegExp(r2, "g");
        return typeof e3 == "string" ? e3.replace(n2, "") : e3;
      };
    });
    var sJ = b((YWe, iJ) => {
      "use strict";
      var o4e = oy(), { erase: nJ, cursor: a4e } = pt(), u4e = (e3) => [...o4e(e3)].length;
      iJ.exports = function(e3, r2) {
        if (!r2)
          return nJ.line + a4e.to(0);
        let n2 = 0, i4 = e3.split(/\r?\n/);
        for (let o2 of i4)
          n2 += 1 + Math.floor(Math.max(u4e(o2) - 1, 0) / r2);
        return nJ.lines(n2);
      };
    });
    var qT = b((JWe, oJ) => {
      "use strict";
      var Ah = { arrowUp: "\u2191", arrowDown: "\u2193", arrowLeft: "\u2190", arrowRight: "\u2192", radioOn: "\u25C9", radioOff: "\u25EF", tick: "\u2714", cross: "\u2716", ellipsis: "\u2026", pointerSmall: "\u203A", line: "\u2500", pointer: "\u276F" }, c4e = { arrowUp: Ah.arrowUp, arrowDown: Ah.arrowDown, arrowLeft: Ah.arrowLeft, arrowRight: Ah.arrowRight, radioOn: "(*)", radioOff: "( )", tick: "\u221A", cross: "\xD7", ellipsis: "...", pointerSmall: "\xBB", line: "\u2500", pointer: ">" }, l4e = process.platform === "win32" ? c4e : Ah;
      oJ.exports = l4e;
    });
    var uJ = b((XWe, aJ) => {
      "use strict";
      var Mc = ft(), Fa = qT(), BT = Object.freeze({ password: { scale: 1, render: (e3) => "*".repeat(e3.length) }, emoji: { scale: 2, render: (e3) => "\u{1F603}".repeat(e3.length) }, invisible: { scale: 0, render: (e3) => "" }, default: { scale: 1, render: (e3) => `${e3}` } }), f4e = (e3) => BT[e3] || BT.default, Ih = Object.freeze({ aborted: Mc.red(Fa.cross), done: Mc.green(Fa.tick), exited: Mc.yellow(Fa.cross), default: Mc.cyan("?") }), h4e = (e3, r2, n2) => r2 ? Ih.aborted : n2 ? Ih.exited : e3 ? Ih.done : Ih.default, p4e = (e3) => Mc.gray(e3 ? Fa.ellipsis : Fa.pointerSmall), d4e = (e3, r2) => Mc.gray(e3 ? r2 ? Fa.pointerSmall : "+" : Fa.line);
      aJ.exports = { styles: BT, render: f4e, symbols: Ih, symbol: h4e, delimiter: p4e, item: d4e };
    });
    var lJ = b((QWe, cJ) => {
      "use strict";
      var m4e = oy();
      cJ.exports = function(e3, r2) {
        let n2 = String(m4e(e3) || "").split(/\r?\n/);
        return r2 ? n2.map((i4) => Math.ceil(i4.length / r2)).reduce((i4, o2) => i4 + o2) : n2.length;
      };
    });
    var hJ = b((ZWe, fJ) => {
      "use strict";
      fJ.exports = (e3, r2 = {}) => {
        let n2 = Number.isSafeInteger(parseInt(r2.margin)) ? new Array(parseInt(r2.margin)).fill(" ").join("") : r2.margin || "", i4 = r2.width;
        return (e3 || "").split(/\r?\n/g).map((o2) => o2.split(/\s+/g).reduce((a3, u2) => (u2.length + n2.length >= i4 || a3[a3.length - 1].length + u2.length + 1 < i4 ? a3[a3.length - 1] += ` ${u2}` : a3.push(`${n2}${u2}`), a3), [n2]).join(`
`)).join(`
`);
      };
    });
    var dJ = b((eHe, pJ) => {
      "use strict";
      pJ.exports = (e3, r2, n2) => {
        n2 = n2 || r2;
        let i4 = Math.min(r2 - n2, e3 - Math.floor(n2 / 2));
        i4 < 0 && (i4 = 0);
        let o2 = Math.min(i4 + n2, r2);
        return { startIndex: i4, endIndex: o2 };
      };
    });
    var qn = b((tHe, mJ) => {
      "use strict";
      mJ.exports = { action: tJ(), clear: sJ(), style: uJ(), strip: oy(), figures: qT(), lines: lJ(), wrap: hJ(), entriesToDisplay: dJ() };
    });
    var ts = b((rHe, yJ) => {
      "use strict";
      var gJ = require("readline"), { action: g4e } = qn(), y4e = require("events"), { beep: v4e, cursor: b4e } = pt(), E4e = ft(), jT = class extends y4e {
        constructor(r2 = {}) {
          super(), this.firstRender = true, this.in = r2.stdin || process.stdin, this.out = r2.stdout || process.stdout, this.onRender = (r2.onRender || (() => {
          })).bind(this);
          let n2 = gJ.createInterface({ input: this.in, escapeCodeTimeout: 50 });
          gJ.emitKeypressEvents(this.in, n2), this.in.isTTY && this.in.setRawMode(true);
          let i4 = ["SelectPrompt", "MultiselectPrompt"].indexOf(this.constructor.name) > -1, o2 = (a3, u2) => {
            let c4 = g4e(u2, i4);
            c4 === false ? this._ && this._(a3, u2) : typeof this[c4] == "function" ? this[c4](u2) : this.bell();
          };
          this.close = () => {
            this.out.write(b4e.show), this.in.removeListener("keypress", o2), this.in.isTTY && this.in.setRawMode(false), n2.close(), this.emit(this.aborted ? "abort" : this.exited ? "exit" : "submit", this.value), this.closed = true;
          }, this.in.on("keypress", o2);
        }
        fire() {
          this.emit("state", { value: this.value, aborted: !!this.aborted, exited: !!this.exited });
        }
        bell() {
          this.out.write(v4e);
        }
        render() {
          this.onRender(E4e), this.firstRender && (this.firstRender = false);
        }
      };
      yJ.exports = jT;
    });
    var bJ = b((nHe, vJ) => {
      "use strict";
      var ay = ft(), w4e = ts(), { erase: _4e, cursor: Ph } = pt(), { style: UT, clear: GT, lines: S4e, figures: x4e } = qn(), WT = class extends w4e {
        constructor(r2 = {}) {
          super(r2), this.transform = UT.render(r2.style), this.scale = this.transform.scale, this.msg = r2.message, this.initial = r2.initial || "", this.validator = r2.validate || (() => true), this.value = "", this.errorMsg = r2.error || "Please Enter A Valid Value", this.cursor = +!!this.initial, this.cursorOffset = 0, this.clear = GT("", this.out.columns), this.render();
        }
        set value(r2) {
          !r2 && this.initial ? (this.placeholder = true, this.rendered = ay.gray(this.transform.render(this.initial))) : (this.placeholder = false, this.rendered = this.transform.render(r2)), this._value = r2, this.fire();
        }
        get value() {
          return this._value;
        }
        reset() {
          this.value = "", this.cursor = +!!this.initial, this.cursorOffset = 0, this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.value = this.value || this.initial, this.done = this.aborted = true, this.error = false, this.red = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        async validate() {
          let r2 = await this.validator(this.value);
          typeof r2 == "string" && (this.errorMsg = r2, r2 = false), this.error = !r2;
        }
        async submit() {
          if (this.value = this.value || this.initial, this.cursorOffset = 0, this.cursor = this.rendered.length, await this.validate(), this.error) {
            this.red = true, this.fire(), this.render();
            return;
          }
          this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        next() {
          if (!this.placeholder)
            return this.bell();
          this.value = this.initial, this.cursor = this.rendered.length, this.fire(), this.render();
        }
        moveCursor(r2) {
          this.placeholder || (this.cursor = this.cursor + r2, this.cursorOffset += r2);
        }
        _(r2, n2) {
          let i4 = this.value.slice(0, this.cursor), o2 = this.value.slice(this.cursor);
          this.value = `${i4}${r2}${o2}`, this.red = false, this.cursor = this.placeholder ? 0 : i4.length + 1, this.render();
        }
        delete() {
          if (this.isCursorAtStart())
            return this.bell();
          let r2 = this.value.slice(0, this.cursor - 1), n2 = this.value.slice(this.cursor);
          this.value = `${r2}${n2}`, this.red = false, this.isCursorAtStart() ? this.cursorOffset = 0 : (this.cursorOffset++, this.moveCursor(-1)), this.render();
        }
        deleteForward() {
          if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
            return this.bell();
          let r2 = this.value.slice(0, this.cursor), n2 = this.value.slice(this.cursor + 1);
          this.value = `${r2}${n2}`, this.red = false, this.isCursorAtEnd() ? this.cursorOffset = 0 : this.cursorOffset++, this.render();
        }
        first() {
          this.cursor = 0, this.render();
        }
        last() {
          this.cursor = this.value.length, this.render();
        }
        left() {
          if (this.cursor <= 0 || this.placeholder)
            return this.bell();
          this.moveCursor(-1), this.render();
        }
        right() {
          if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
            return this.bell();
          this.moveCursor(1), this.render();
        }
        isCursorAtStart() {
          return this.cursor === 0 || this.placeholder && this.cursor === 1;
        }
        isCursorAtEnd() {
          return this.cursor === this.rendered.length || this.placeholder && this.cursor === this.rendered.length + 1;
        }
        render() {
          this.closed || (this.firstRender || (this.outputError && this.out.write(Ph.down(S4e(this.outputError, this.out.columns) - 1) + GT(this.outputError, this.out.columns)), this.out.write(GT(this.outputText, this.out.columns))), super.render(), this.outputError = "", this.outputText = [UT.symbol(this.done, this.aborted), ay.bold(this.msg), UT.delimiter(this.done), this.red ? ay.red(this.rendered) : this.rendered].join(" "), this.error && (this.outputError += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : x4e.pointerSmall} ${ay.red().italic(n2)}`, "")), this.out.write(_4e.line + Ph.to(0) + this.outputText + Ph.save + this.outputError + Ph.restore + Ph.move(this.cursorOffset, 0)));
        }
      };
      vJ.exports = WT;
    });
    var SJ = b((iHe, _J) => {
      "use strict";
      var rs = ft(), D4e = ts(), { style: EJ, clear: wJ, figures: uy, wrap: O4e, entriesToDisplay: T4e } = qn(), { cursor: R4e } = pt(), HT = class extends D4e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.hint = r2.hint || "- Use arrow-keys. Return to submit.", this.warn = r2.warn || "- This option is disabled", this.cursor = r2.initial || 0, this.choices = r2.choices.map((n2, i4) => (typeof n2 == "string" && (n2 = { title: n2, value: i4 }), { title: n2 && (n2.title || n2.value || n2), value: n2 && (n2.value === void 0 ? i4 : n2.value), description: n2 && n2.description, selected: n2 && n2.selected, disabled: n2 && n2.disabled })), this.optionsPerPage = r2.optionsPerPage || 10, this.value = (this.choices[this.cursor] || {}).value, this.clear = wJ("", this.out.columns), this.render();
        }
        moveCursor(r2) {
          this.cursor = r2, this.value = this.choices[r2].value, this.fire();
        }
        reset() {
          this.moveCursor(0), this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          this.selection.disabled ? this.bell() : (this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
        }
        first() {
          this.moveCursor(0), this.render();
        }
        last() {
          this.moveCursor(this.choices.length - 1), this.render();
        }
        up() {
          this.cursor === 0 ? this.moveCursor(this.choices.length - 1) : this.moveCursor(this.cursor - 1), this.render();
        }
        down() {
          this.cursor === this.choices.length - 1 ? this.moveCursor(0) : this.moveCursor(this.cursor + 1), this.render();
        }
        next() {
          this.moveCursor((this.cursor + 1) % this.choices.length), this.render();
        }
        _(r2, n2) {
          if (r2 === " ")
            return this.submit();
        }
        get selection() {
          return this.choices[this.cursor];
        }
        render() {
          if (this.closed)
            return;
          this.firstRender ? this.out.write(R4e.hide) : this.out.write(wJ(this.outputText, this.out.columns)), super.render();
          let { startIndex: r2, endIndex: n2 } = T4e(this.cursor, this.choices.length, this.optionsPerPage);
          if (this.outputText = [EJ.symbol(this.done, this.aborted), rs.bold(this.msg), EJ.delimiter(false), this.done ? this.selection.title : this.selection.disabled ? rs.yellow(this.warn) : rs.gray(this.hint)].join(" "), !this.done) {
            this.outputText += `
`;
            for (let i4 = r2; i4 < n2; i4++) {
              let o2, a3, u2 = "", c4 = this.choices[i4];
              i4 === r2 && r2 > 0 ? a3 = uy.arrowUp : i4 === n2 - 1 && n2 < this.choices.length ? a3 = uy.arrowDown : a3 = " ", c4.disabled ? (o2 = this.cursor === i4 ? rs.gray().underline(c4.title) : rs.strikethrough().gray(c4.title), a3 = (this.cursor === i4 ? rs.bold().gray(uy.pointer) + " " : "  ") + a3) : (o2 = this.cursor === i4 ? rs.cyan().underline(c4.title) : c4.title, a3 = (this.cursor === i4 ? rs.cyan(uy.pointer) + " " : "  ") + a3, c4.description && this.cursor === i4 && (u2 = ` - ${c4.description}`, (a3.length + o2.length + u2.length >= this.out.columns || c4.description.split(/\r?\n/).length > 1) && (u2 = `
` + O4e(c4.description, { margin: 3, width: this.out.columns })))), this.outputText += `${a3} ${o2}${rs.gray(u2)}
`;
            }
          }
          this.out.write(this.outputText);
        }
      };
      _J.exports = HT;
    });
    var TJ = b((sHe, OJ) => {
      "use strict";
      var cy = ft(), C4e = ts(), { style: xJ, clear: A4e } = qn(), { cursor: DJ, erase: I4e } = pt(), VT = class extends C4e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.value = !!r2.initial, this.active = r2.active || "on", this.inactive = r2.inactive || "off", this.initialValue = this.value, this.render();
        }
        reset() {
          this.value = this.initialValue, this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        deactivate() {
          if (this.value === false)
            return this.bell();
          this.value = false, this.render();
        }
        activate() {
          if (this.value === true)
            return this.bell();
          this.value = true, this.render();
        }
        delete() {
          this.deactivate();
        }
        left() {
          this.deactivate();
        }
        right() {
          this.activate();
        }
        down() {
          this.deactivate();
        }
        up() {
          this.activate();
        }
        next() {
          this.value = !this.value, this.fire(), this.render();
        }
        _(r2, n2) {
          if (r2 === " ")
            this.value = !this.value;
          else if (r2 === "1")
            this.value = true;
          else if (r2 === "0")
            this.value = false;
          else
            return this.bell();
          this.render();
        }
        render() {
          this.closed || (this.firstRender ? this.out.write(DJ.hide) : this.out.write(A4e(this.outputText, this.out.columns)), super.render(), this.outputText = [xJ.symbol(this.done, this.aborted), cy.bold(this.msg), xJ.delimiter(this.done), this.value ? this.inactive : cy.cyan().underline(this.inactive), cy.gray("/"), this.value ? cy.cyan().underline(this.active) : this.active].join(" "), this.out.write(I4e.line + DJ.to(0) + this.outputText));
        }
      };
      OJ.exports = VT;
    });
    var di = b((oHe, RJ) => {
      "use strict";
      var KT = class e3 {
        constructor({ token: r2, date: n2, parts: i4, locales: o2 }) {
          this.token = r2, this.date = n2 || /* @__PURE__ */ new Date(), this.parts = i4 || [this], this.locales = o2 || {};
        }
        up() {
        }
        down() {
        }
        next() {
          let r2 = this.parts.indexOf(this);
          return this.parts.find((n2, i4) => i4 > r2 && n2 instanceof e3);
        }
        setTo(r2) {
        }
        prev() {
          let r2 = [].concat(this.parts).reverse(), n2 = r2.indexOf(this);
          return r2.find((i4, o2) => o2 > n2 && i4 instanceof e3);
        }
        toString() {
          return String(this.date);
        }
      };
      RJ.exports = KT;
    });
    var AJ = b((aHe, CJ) => {
      "use strict";
      var P4e = di(), zT = class extends P4e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setHours((this.date.getHours() + 12) % 24);
        }
        down() {
          this.up();
        }
        toString() {
          let r2 = this.date.getHours() > 12 ? "pm" : "am";
          return /\A/.test(this.token) ? r2.toUpperCase() : r2;
        }
      };
      CJ.exports = zT;
    });
    var PJ = b((uHe, IJ) => {
      "use strict";
      var F4e = di(), L4e = (e3) => (e3 = e3 % 10, e3 === 1 ? "st" : e3 === 2 ? "nd" : e3 === 3 ? "rd" : "th"), YT = class extends F4e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setDate(this.date.getDate() + 1);
        }
        down() {
          this.date.setDate(this.date.getDate() - 1);
        }
        setTo(r2) {
          this.date.setDate(parseInt(r2.substr(-2)));
        }
        toString() {
          let r2 = this.date.getDate(), n2 = this.date.getDay();
          return this.token === "DD" ? String(r2).padStart(2, "0") : this.token === "Do" ? r2 + L4e(r2) : this.token === "d" ? n2 + 1 : this.token === "ddd" ? this.locales.weekdaysShort[n2] : this.token === "dddd" ? this.locales.weekdays[n2] : r2;
        }
      };
      IJ.exports = YT;
    });
    var LJ = b((cHe, FJ) => {
      "use strict";
      var M4e = di(), JT = class extends M4e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setHours(this.date.getHours() + 1);
        }
        down() {
          this.date.setHours(this.date.getHours() - 1);
        }
        setTo(r2) {
          this.date.setHours(parseInt(r2.substr(-2)));
        }
        toString() {
          let r2 = this.date.getHours();
          return /h/.test(this.token) && (r2 = r2 % 12 || 12), this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
        }
      };
      FJ.exports = JT;
    });
    var NJ = b((lHe, MJ) => {
      "use strict";
      var N4e = di(), XT = class extends N4e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setMilliseconds(this.date.getMilliseconds() + 1);
        }
        down() {
          this.date.setMilliseconds(this.date.getMilliseconds() - 1);
        }
        setTo(r2) {
          this.date.setMilliseconds(parseInt(r2.substr(-this.token.length)));
        }
        toString() {
          return String(this.date.getMilliseconds()).padStart(4, "0").substr(0, this.token.length);
        }
      };
      MJ.exports = XT;
    });
    var $J = b((fHe, kJ) => {
      "use strict";
      var k4e = di(), QT = class extends k4e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setMinutes(this.date.getMinutes() + 1);
        }
        down() {
          this.date.setMinutes(this.date.getMinutes() - 1);
        }
        setTo(r2) {
          this.date.setMinutes(parseInt(r2.substr(-2)));
        }
        toString() {
          let r2 = this.date.getMinutes();
          return this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
        }
      };
      kJ.exports = QT;
    });
    var BJ = b((hHe, qJ) => {
      "use strict";
      var $4e = di(), ZT = class extends $4e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setMonth(this.date.getMonth() + 1);
        }
        down() {
          this.date.setMonth(this.date.getMonth() - 1);
        }
        setTo(r2) {
          r2 = parseInt(r2.substr(-2)) - 1, this.date.setMonth(r2 < 0 ? 0 : r2);
        }
        toString() {
          let r2 = this.date.getMonth(), n2 = this.token.length;
          return n2 === 2 ? String(r2 + 1).padStart(2, "0") : n2 === 3 ? this.locales.monthsShort[r2] : n2 === 4 ? this.locales.months[r2] : String(r2 + 1);
        }
      };
      qJ.exports = ZT;
    });
    var UJ = b((pHe, jJ) => {
      "use strict";
      var q4e = di(), eR = class extends q4e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setSeconds(this.date.getSeconds() + 1);
        }
        down() {
          this.date.setSeconds(this.date.getSeconds() - 1);
        }
        setTo(r2) {
          this.date.setSeconds(parseInt(r2.substr(-2)));
        }
        toString() {
          let r2 = this.date.getSeconds();
          return this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
        }
      };
      jJ.exports = eR;
    });
    var WJ = b((dHe, GJ) => {
      "use strict";
      var B4e = di(), tR = class extends B4e {
        constructor(r2 = {}) {
          super(r2);
        }
        up() {
          this.date.setFullYear(this.date.getFullYear() + 1);
        }
        down() {
          this.date.setFullYear(this.date.getFullYear() - 1);
        }
        setTo(r2) {
          this.date.setFullYear(r2.substr(-4));
        }
        toString() {
          let r2 = String(this.date.getFullYear()).padStart(4, "0");
          return this.token.length === 2 ? r2.substr(-2) : r2;
        }
      };
      GJ.exports = tR;
    });
    var VJ = b((mHe, HJ) => {
      "use strict";
      HJ.exports = { DatePart: di(), Meridiem: AJ(), Day: PJ(), Hours: LJ(), Milliseconds: NJ(), Minutes: $J(), Month: BJ(), Seconds: UJ(), Year: WJ() };
    });
    var ZJ = b((gHe, QJ) => {
      "use strict";
      var rR = ft(), j4e = ts(), { style: KJ, clear: zJ, figures: U4e } = qn(), { erase: G4e, cursor: YJ } = pt(), { DatePart: JJ, Meridiem: W4e, Day: H4e, Hours: V4e, Milliseconds: K4e, Minutes: z4e, Month: Y4e, Seconds: J4e, Year: X4e } = VJ(), Q4e = /\\(.)|"((?:\\["\\]|[^"])+)"|(D[Do]?|d{3,4}|d)|(M{1,4})|(YY(?:YY)?)|([aA])|([Hh]{1,2})|(m{1,2})|(s{1,2})|(S{1,4})|./g, XJ = { 1: ({ token: e3 }) => e3.replace(/\\(.)/g, "$1"), 2: (e3) => new H4e(e3), 3: (e3) => new Y4e(e3), 4: (e3) => new X4e(e3), 5: (e3) => new W4e(e3), 6: (e3) => new V4e(e3), 7: (e3) => new z4e(e3), 8: (e3) => new J4e(e3), 9: (e3) => new K4e(e3) }, Z4e = { months: "January,February,March,April,May,June,July,August,September,October,November,December".split(","), monthsShort: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".split(","), weekdays: "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".split(","), weekdaysShort: "Sun,Mon,Tue,Wed,Thu,Fri,Sat".split(",") }, nR = class extends j4e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.cursor = 0, this.typed = "", this.locales = Object.assign(Z4e, r2.locales), this._date = r2.initial || /* @__PURE__ */ new Date(), this.errorMsg = r2.error || "Please Enter A Valid Value", this.validator = r2.validate || (() => true), this.mask = r2.mask || "YYYY-MM-DD HH:mm:ss", this.clear = zJ("", this.out.columns), this.render();
        }
        get value() {
          return this.date;
        }
        get date() {
          return this._date;
        }
        set date(r2) {
          r2 && this._date.setTime(r2.getTime());
        }
        set mask(r2) {
          let n2;
          for (this.parts = []; n2 = Q4e.exec(r2); ) {
            let o2 = n2.shift(), a3 = n2.findIndex((u2) => u2 != null);
            this.parts.push(a3 in XJ ? XJ[a3]({ token: n2[a3] || o2, date: this.date, parts: this.parts, locales: this.locales }) : n2[a3] || o2);
          }
          let i4 = this.parts.reduce((o2, a3) => (typeof a3 == "string" && typeof o2[o2.length - 1] == "string" ? o2[o2.length - 1] += a3 : o2.push(a3), o2), []);
          this.parts.splice(0), this.parts.push(...i4), this.reset();
        }
        moveCursor(r2) {
          this.typed = "", this.cursor = r2, this.fire();
        }
        reset() {
          this.moveCursor(this.parts.findIndex((r2) => r2 instanceof JJ)), this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.error = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        async validate() {
          let r2 = await this.validator(this.value);
          typeof r2 == "string" && (this.errorMsg = r2, r2 = false), this.error = !r2;
        }
        async submit() {
          if (await this.validate(), this.error) {
            this.color = "red", this.fire(), this.render();
            return;
          }
          this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        up() {
          this.typed = "", this.parts[this.cursor].up(), this.render();
        }
        down() {
          this.typed = "", this.parts[this.cursor].down(), this.render();
        }
        left() {
          let r2 = this.parts[this.cursor].prev();
          if (r2 == null)
            return this.bell();
          this.moveCursor(this.parts.indexOf(r2)), this.render();
        }
        right() {
          let r2 = this.parts[this.cursor].next();
          if (r2 == null)
            return this.bell();
          this.moveCursor(this.parts.indexOf(r2)), this.render();
        }
        next() {
          let r2 = this.parts[this.cursor].next();
          this.moveCursor(r2 ? this.parts.indexOf(r2) : this.parts.findIndex((n2) => n2 instanceof JJ)), this.render();
        }
        _(r2) {
          /\d/.test(r2) && (this.typed += r2, this.parts[this.cursor].setTo(this.typed), this.render());
        }
        render() {
          this.closed || (this.firstRender ? this.out.write(YJ.hide) : this.out.write(zJ(this.outputText, this.out.columns)), super.render(), this.outputText = [KJ.symbol(this.done, this.aborted), rR.bold(this.msg), KJ.delimiter(false), this.parts.reduce((r2, n2, i4) => r2.concat(i4 === this.cursor && !this.done ? rR.cyan().underline(n2.toString()) : n2), []).join("")].join(" "), this.error && (this.outputText += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : U4e.pointerSmall} ${rR.red().italic(n2)}`, "")), this.out.write(G4e.line + YJ.to(0) + this.outputText));
        }
      };
      QJ.exports = nR;
    });
    var nX = b((yHe, rX) => {
      "use strict";
      var ly = ft(), e6e = ts(), { cursor: fy, erase: t6e } = pt(), { style: iR, figures: r6e, clear: eX, lines: n6e } = qn(), i6e = /[0-9]/, sR = (e3) => e3 !== void 0, tX = (e3, r2) => {
        let n2 = Math.pow(10, r2);
        return Math.round(e3 * n2) / n2;
      }, oR = class extends e6e {
        constructor(r2 = {}) {
          super(r2), this.transform = iR.render(r2.style), this.msg = r2.message, this.initial = sR(r2.initial) ? r2.initial : "", this.float = !!r2.float, this.round = r2.round || 2, this.inc = r2.increment || 1, this.min = sR(r2.min) ? r2.min : -1 / 0, this.max = sR(r2.max) ? r2.max : 1 / 0, this.errorMsg = r2.error || "Please Enter A Valid Value", this.validator = r2.validate || (() => true), this.color = "cyan", this.value = "", this.typed = "", this.lastHit = 0, this.render();
        }
        set value(r2) {
          !r2 && r2 !== 0 ? (this.placeholder = true, this.rendered = ly.gray(this.transform.render(`${this.initial}`)), this._value = "") : (this.placeholder = false, this.rendered = this.transform.render(`${tX(r2, this.round)}`), this._value = tX(r2, this.round)), this.fire();
        }
        get value() {
          return this._value;
        }
        parse(r2) {
          return this.float ? parseFloat(r2) : parseInt(r2);
        }
        valid(r2) {
          return r2 === "-" || r2 === "." && this.float || i6e.test(r2);
        }
        reset() {
          this.typed = "", this.value = "", this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          let r2 = this.value;
          this.value = r2 !== "" ? r2 : this.initial, this.done = this.aborted = true, this.error = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        async validate() {
          let r2 = await this.validator(this.value);
          typeof r2 == "string" && (this.errorMsg = r2, r2 = false), this.error = !r2;
        }
        async submit() {
          if (await this.validate(), this.error) {
            this.color = "red", this.fire(), this.render();
            return;
          }
          let r2 = this.value;
          this.value = r2 !== "" ? r2 : this.initial, this.done = true, this.aborted = false, this.error = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        up() {
          if (this.typed = "", this.value === "" && (this.value = this.min - this.inc), this.value >= this.max)
            return this.bell();
          this.value += this.inc, this.color = "cyan", this.fire(), this.render();
        }
        down() {
          if (this.typed = "", this.value === "" && (this.value = this.min + this.inc), this.value <= this.min)
            return this.bell();
          this.value -= this.inc, this.color = "cyan", this.fire(), this.render();
        }
        delete() {
          let r2 = this.value.toString();
          if (r2.length === 0)
            return this.bell();
          this.value = this.parse(r2 = r2.slice(0, -1)) || "", this.value !== "" && this.value < this.min && (this.value = this.min), this.color = "cyan", this.fire(), this.render();
        }
        next() {
          this.value = this.initial, this.fire(), this.render();
        }
        _(r2, n2) {
          if (!this.valid(r2))
            return this.bell();
          let i4 = Date.now();
          if (i4 - this.lastHit > 1e3 && (this.typed = ""), this.typed += r2, this.lastHit = i4, this.color = "cyan", r2 === ".")
            return this.fire();
          this.value = Math.min(this.parse(this.typed), this.max), this.value > this.max && (this.value = this.max), this.value < this.min && (this.value = this.min), this.fire(), this.render();
        }
        render() {
          this.closed || (this.firstRender || (this.outputError && this.out.write(fy.down(n6e(this.outputError, this.out.columns) - 1) + eX(this.outputError, this.out.columns)), this.out.write(eX(this.outputText, this.out.columns))), super.render(), this.outputError = "", this.outputText = [iR.symbol(this.done, this.aborted), ly.bold(this.msg), iR.delimiter(this.done), !this.done || !this.done && !this.placeholder ? ly[this.color]().underline(this.rendered) : this.rendered].join(" "), this.error && (this.outputError += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : r6e.pointerSmall} ${ly.red().italic(n2)}`, "")), this.out.write(t6e.line + fy.to(0) + this.outputText + fy.save + this.outputError + fy.restore));
        }
      };
      rX.exports = oR;
    });
    var uR = b((vHe, oX) => {
      "use strict";
      var mi = ft(), { cursor: s6e } = pt(), o6e = ts(), { clear: iX, figures: bo, style: sX, wrap: a6e, entriesToDisplay: u6e } = qn(), aR = class extends o6e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.cursor = r2.cursor || 0, this.scrollIndex = r2.cursor || 0, this.hint = r2.hint || "", this.warn = r2.warn || "- This option is disabled -", this.minSelected = r2.min, this.showMinError = false, this.maxChoices = r2.max, this.instructions = r2.instructions, this.optionsPerPage = r2.optionsPerPage || 10, this.value = r2.choices.map((n2, i4) => (typeof n2 == "string" && (n2 = { title: n2, value: i4 }), { title: n2 && (n2.title || n2.value || n2), description: n2 && n2.description, value: n2 && (n2.value === void 0 ? i4 : n2.value), selected: n2 && n2.selected, disabled: n2 && n2.disabled })), this.clear = iX("", this.out.columns), r2.overrideRender || this.render();
        }
        reset() {
          this.value.map((r2) => !r2.selected), this.cursor = 0, this.fire(), this.render();
        }
        selected() {
          return this.value.filter((r2) => r2.selected);
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          let r2 = this.value.filter((n2) => n2.selected);
          this.minSelected && r2.length < this.minSelected ? (this.showMinError = true, this.render()) : (this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
        }
        first() {
          this.cursor = 0, this.render();
        }
        last() {
          this.cursor = this.value.length - 1, this.render();
        }
        next() {
          this.cursor = (this.cursor + 1) % this.value.length, this.render();
        }
        up() {
          this.cursor === 0 ? this.cursor = this.value.length - 1 : this.cursor--, this.render();
        }
        down() {
          this.cursor === this.value.length - 1 ? this.cursor = 0 : this.cursor++, this.render();
        }
        left() {
          this.value[this.cursor].selected = false, this.render();
        }
        right() {
          if (this.value.filter((r2) => r2.selected).length >= this.maxChoices)
            return this.bell();
          this.value[this.cursor].selected = true, this.render();
        }
        handleSpaceToggle() {
          let r2 = this.value[this.cursor];
          if (r2.selected)
            r2.selected = false, this.render();
          else {
            if (r2.disabled || this.value.filter((n2) => n2.selected).length >= this.maxChoices)
              return this.bell();
            r2.selected = true, this.render();
          }
        }
        toggleAll() {
          if (this.maxChoices !== void 0 || this.value[this.cursor].disabled)
            return this.bell();
          let r2 = !this.value[this.cursor].selected;
          this.value.filter((n2) => !n2.disabled).forEach((n2) => n2.selected = r2), this.render();
        }
        _(r2, n2) {
          if (r2 === " ")
            this.handleSpaceToggle();
          else if (r2 === "a")
            this.toggleAll();
          else
            return this.bell();
        }
        renderInstructions() {
          return this.instructions === void 0 || this.instructions ? typeof this.instructions == "string" ? this.instructions : `
Instructions:
    ${bo.arrowUp}/${bo.arrowDown}: Highlight option
    ${bo.arrowLeft}/${bo.arrowRight}/[space]: Toggle selection
` + (this.maxChoices === void 0 ? `    a: Toggle all
` : "") + "    enter/return: Complete answer" : "";
        }
        renderOption(r2, n2, i4, o2) {
          let a3 = (n2.selected ? mi.green(bo.radioOn) : bo.radioOff) + " " + o2 + " ", u2, c4;
          return n2.disabled ? u2 = r2 === i4 ? mi.gray().underline(n2.title) : mi.strikethrough().gray(n2.title) : (u2 = r2 === i4 ? mi.cyan().underline(n2.title) : n2.title, r2 === i4 && n2.description && (c4 = ` - ${n2.description}`, (a3.length + u2.length + c4.length >= this.out.columns || n2.description.split(/\r?\n/).length > 1) && (c4 = `
` + a6e(n2.description, { margin: a3.length, width: this.out.columns })))), a3 + u2 + mi.gray(c4 || "");
        }
        paginateOptions(r2) {
          if (r2.length === 0)
            return mi.red("No matches for this query.");
          let { startIndex: n2, endIndex: i4 } = u6e(this.cursor, r2.length, this.optionsPerPage), o2, a3 = [];
          for (let u2 = n2; u2 < i4; u2++)
            u2 === n2 && n2 > 0 ? o2 = bo.arrowUp : u2 === i4 - 1 && i4 < r2.length ? o2 = bo.arrowDown : o2 = " ", a3.push(this.renderOption(this.cursor, r2[u2], u2, o2));
          return `
` + a3.join(`
`);
        }
        renderOptions(r2) {
          return this.done ? "" : this.paginateOptions(r2);
        }
        renderDoneOrInstructions() {
          if (this.done)
            return this.value.filter((n2) => n2.selected).map((n2) => n2.title).join(", ");
          let r2 = [mi.gray(this.hint), this.renderInstructions()];
          return this.value[this.cursor].disabled && r2.push(mi.yellow(this.warn)), r2.join(" ");
        }
        render() {
          if (this.closed)
            return;
          this.firstRender && this.out.write(s6e.hide), super.render();
          let r2 = [sX.symbol(this.done, this.aborted), mi.bold(this.msg), sX.delimiter(false), this.renderDoneOrInstructions()].join(" ");
          this.showMinError && (r2 += mi.red(`You must select a minimum of ${this.minSelected} choices.`), this.showMinError = false), r2 += this.renderOptions(this.value), this.out.write(this.clear + r2), this.clear = iX(r2, this.out.columns);
        }
      };
      oX.exports = aR;
    });
    var fX = b((bHe, lX) => {
      "use strict";
      var Fh = ft(), c6e = ts(), { erase: l6e, cursor: aX } = pt(), { style: cR, clear: uX, figures: lR, wrap: f6e, entriesToDisplay: h6e } = qn(), cX = (e3, r2) => e3[r2] && (e3[r2].value || e3[r2].title || e3[r2]), p6e = (e3, r2) => e3[r2] && (e3[r2].title || e3[r2].value || e3[r2]), d6e = (e3, r2) => {
        let n2 = e3.findIndex((i4) => i4.value === r2 || i4.title === r2);
        return n2 > -1 ? n2 : void 0;
      }, fR = class extends c6e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.suggest = r2.suggest, this.choices = r2.choices, this.initial = typeof r2.initial == "number" ? r2.initial : d6e(r2.choices, r2.initial), this.select = this.initial || r2.cursor || 0, this.i18n = { noMatches: r2.noMatches || "no matches found" }, this.fallback = r2.fallback || this.initial, this.clearFirst = r2.clearFirst || false, this.suggestions = [], this.input = "", this.limit = r2.limit || 10, this.cursor = 0, this.transform = cR.render(r2.style), this.scale = this.transform.scale, this.render = this.render.bind(this), this.complete = this.complete.bind(this), this.clear = uX("", this.out.columns), this.complete(this.render), this.render();
        }
        set fallback(r2) {
          this._fb = Number.isSafeInteger(parseInt(r2)) ? parseInt(r2) : r2;
        }
        get fallback() {
          let r2;
          return typeof this._fb == "number" ? r2 = this.choices[this._fb] : typeof this._fb == "string" && (r2 = { title: this._fb }), r2 || this._fb || { title: this.i18n.noMatches };
        }
        moveSelect(r2) {
          this.select = r2, this.suggestions.length > 0 ? this.value = cX(this.suggestions, r2) : this.value = this.fallback.value, this.fire();
        }
        async complete(r2) {
          let n2 = this.completing = this.suggest(this.input, this.choices), i4 = await n2;
          if (this.completing !== n2)
            return;
          this.suggestions = i4.map((a3, u2, c4) => ({ title: p6e(c4, u2), value: cX(c4, u2), description: a3.description })), this.completing = false;
          let o2 = Math.max(i4.length - 1, 0);
          this.moveSelect(Math.min(o2, this.select)), r2 && r2();
        }
        reset() {
          this.input = "", this.complete(() => {
            this.moveSelect(this.initial !== void 0 ? this.initial : 0), this.render();
          }), this.render();
        }
        exit() {
          this.clearFirst && this.input.length > 0 ? this.reset() : (this.done = this.exited = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
        }
        abort() {
          this.done = this.aborted = true, this.exited = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          this.done = true, this.aborted = this.exited = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        _(r2, n2) {
          let i4 = this.input.slice(0, this.cursor), o2 = this.input.slice(this.cursor);
          this.input = `${i4}${r2}${o2}`, this.cursor = i4.length + 1, this.complete(this.render), this.render();
        }
        delete() {
          if (this.cursor === 0)
            return this.bell();
          let r2 = this.input.slice(0, this.cursor - 1), n2 = this.input.slice(this.cursor);
          this.input = `${r2}${n2}`, this.complete(this.render), this.cursor = this.cursor - 1, this.render();
        }
        deleteForward() {
          if (this.cursor * this.scale >= this.rendered.length)
            return this.bell();
          let r2 = this.input.slice(0, this.cursor), n2 = this.input.slice(this.cursor + 1);
          this.input = `${r2}${n2}`, this.complete(this.render), this.render();
        }
        first() {
          this.moveSelect(0), this.render();
        }
        last() {
          this.moveSelect(this.suggestions.length - 1), this.render();
        }
        up() {
          this.select === 0 ? this.moveSelect(this.suggestions.length - 1) : this.moveSelect(this.select - 1), this.render();
        }
        down() {
          this.select === this.suggestions.length - 1 ? this.moveSelect(0) : this.moveSelect(this.select + 1), this.render();
        }
        next() {
          this.select === this.suggestions.length - 1 ? this.moveSelect(0) : this.moveSelect(this.select + 1), this.render();
        }
        nextPage() {
          this.moveSelect(Math.min(this.select + this.limit, this.suggestions.length - 1)), this.render();
        }
        prevPage() {
          this.moveSelect(Math.max(this.select - this.limit, 0)), this.render();
        }
        left() {
          if (this.cursor <= 0)
            return this.bell();
          this.cursor = this.cursor - 1, this.render();
        }
        right() {
          if (this.cursor * this.scale >= this.rendered.length)
            return this.bell();
          this.cursor = this.cursor + 1, this.render();
        }
        renderOption(r2, n2, i4, o2) {
          let a3, u2 = i4 ? lR.arrowUp : o2 ? lR.arrowDown : " ", c4 = n2 ? Fh.cyan().underline(r2.title) : r2.title;
          return u2 = (n2 ? Fh.cyan(lR.pointer) + " " : "  ") + u2, r2.description && (a3 = ` - ${r2.description}`, (u2.length + c4.length + a3.length >= this.out.columns || r2.description.split(/\r?\n/).length > 1) && (a3 = `
` + f6e(r2.description, { margin: 3, width: this.out.columns }))), u2 + " " + c4 + Fh.gray(a3 || "");
        }
        render() {
          if (this.closed)
            return;
          this.firstRender ? this.out.write(aX.hide) : this.out.write(uX(this.outputText, this.out.columns)), super.render();
          let { startIndex: r2, endIndex: n2 } = h6e(this.select, this.choices.length, this.limit);
          if (this.outputText = [cR.symbol(this.done, this.aborted, this.exited), Fh.bold(this.msg), cR.delimiter(this.completing), this.done && this.suggestions[this.select] ? this.suggestions[this.select].title : this.rendered = this.transform.render(this.input)].join(" "), !this.done) {
            let i4 = this.suggestions.slice(r2, n2).map((o2, a3) => this.renderOption(o2, this.select === a3 + r2, a3 === 0 && r2 > 0, a3 + r2 === n2 - 1 && n2 < this.choices.length)).join(`
`);
            this.outputText += `
` + (i4 || Fh.gray(this.fallback.title));
          }
          this.out.write(l6e.line + aX.to(0) + this.outputText);
        }
      };
      lX.exports = fR;
    });
    var mX = b((EHe, dX) => {
      "use strict";
      var ns = ft(), { cursor: m6e } = pt(), g6e = uR(), { clear: hX, style: pX, figures: Nc } = qn(), hR = class extends g6e {
        constructor(r2 = {}) {
          r2.overrideRender = true, super(r2), this.inputValue = "", this.clear = hX("", this.out.columns), this.filteredOptions = this.value, this.render();
        }
        last() {
          this.cursor = this.filteredOptions.length - 1, this.render();
        }
        next() {
          this.cursor = (this.cursor + 1) % this.filteredOptions.length, this.render();
        }
        up() {
          this.cursor === 0 ? this.cursor = this.filteredOptions.length - 1 : this.cursor--, this.render();
        }
        down() {
          this.cursor === this.filteredOptions.length - 1 ? this.cursor = 0 : this.cursor++, this.render();
        }
        left() {
          this.filteredOptions[this.cursor].selected = false, this.render();
        }
        right() {
          if (this.value.filter((r2) => r2.selected).length >= this.maxChoices)
            return this.bell();
          this.filteredOptions[this.cursor].selected = true, this.render();
        }
        delete() {
          this.inputValue.length && (this.inputValue = this.inputValue.substr(0, this.inputValue.length - 1), this.updateFilteredOptions());
        }
        updateFilteredOptions() {
          let r2 = this.filteredOptions[this.cursor];
          this.filteredOptions = this.value.filter((i4) => this.inputValue ? !!(typeof i4.title == "string" && i4.title.toLowerCase().includes(this.inputValue.toLowerCase()) || typeof i4.value == "string" && i4.value.toLowerCase().includes(this.inputValue.toLowerCase())) : true);
          let n2 = this.filteredOptions.findIndex((i4) => i4 === r2);
          this.cursor = n2 < 0 ? 0 : n2, this.render();
        }
        handleSpaceToggle() {
          let r2 = this.filteredOptions[this.cursor];
          if (r2.selected)
            r2.selected = false, this.render();
          else {
            if (r2.disabled || this.value.filter((n2) => n2.selected).length >= this.maxChoices)
              return this.bell();
            r2.selected = true, this.render();
          }
        }
        handleInputChange(r2) {
          this.inputValue = this.inputValue + r2, this.updateFilteredOptions();
        }
        _(r2, n2) {
          r2 === " " ? this.handleSpaceToggle() : this.handleInputChange(r2);
        }
        renderInstructions() {
          return this.instructions === void 0 || this.instructions ? typeof this.instructions == "string" ? this.instructions : `
Instructions:
    ${Nc.arrowUp}/${Nc.arrowDown}: Highlight option
    ${Nc.arrowLeft}/${Nc.arrowRight}/[space]: Toggle selection
    [a,b,c]/delete: Filter choices
    enter/return: Complete answer
` : "";
        }
        renderCurrentInput() {
          return `
Filtered results for: ${this.inputValue ? this.inputValue : ns.gray("Enter something to filter")}
`;
        }
        renderOption(r2, n2, i4) {
          let o2;
          return n2.disabled ? o2 = r2 === i4 ? ns.gray().underline(n2.title) : ns.strikethrough().gray(n2.title) : o2 = r2 === i4 ? ns.cyan().underline(n2.title) : n2.title, (n2.selected ? ns.green(Nc.radioOn) : Nc.radioOff) + "  " + o2;
        }
        renderDoneOrInstructions() {
          if (this.done)
            return this.value.filter((n2) => n2.selected).map((n2) => n2.title).join(", ");
          let r2 = [ns.gray(this.hint), this.renderInstructions(), this.renderCurrentInput()];
          return this.filteredOptions.length && this.filteredOptions[this.cursor].disabled && r2.push(ns.yellow(this.warn)), r2.join(" ");
        }
        render() {
          if (this.closed)
            return;
          this.firstRender && this.out.write(m6e.hide), super.render();
          let r2 = [pX.symbol(this.done, this.aborted), ns.bold(this.msg), pX.delimiter(false), this.renderDoneOrInstructions()].join(" ");
          this.showMinError && (r2 += ns.red(`You must select a minimum of ${this.minSelected} choices.`), this.showMinError = false), r2 += this.renderOptions(this.filteredOptions), this.out.write(this.clear + r2), this.clear = hX(r2, this.out.columns);
        }
      };
      dX.exports = hR;
    });
    var EX = b((wHe, bX) => {
      "use strict";
      var gX = ft(), y6e = ts(), { style: yX, clear: v6e } = qn(), { erase: b6e, cursor: vX } = pt(), pR = class extends y6e {
        constructor(r2 = {}) {
          super(r2), this.msg = r2.message, this.value = r2.initial, this.initialValue = !!r2.initial, this.yesMsg = r2.yes || "yes", this.yesOption = r2.yesOption || "(Y/n)", this.noMsg = r2.no || "no", this.noOption = r2.noOption || "(y/N)", this.render();
        }
        reset() {
          this.value = this.initialValue, this.fire(), this.render();
        }
        exit() {
          this.abort();
        }
        abort() {
          this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        submit() {
          this.value = this.value || false, this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
        }
        _(r2, n2) {
          return r2.toLowerCase() === "y" ? (this.value = true, this.submit()) : r2.toLowerCase() === "n" ? (this.value = false, this.submit()) : this.bell();
        }
        render() {
          this.closed || (this.firstRender ? this.out.write(vX.hide) : this.out.write(v6e(this.outputText, this.out.columns)), super.render(), this.outputText = [yX.symbol(this.done, this.aborted), gX.bold(this.msg), yX.delimiter(this.done), this.done ? this.value ? this.yesMsg : this.noMsg : gX.gray(this.initialValue ? this.yesOption : this.noOption)].join(" "), this.out.write(b6e.line + vX.to(0) + this.outputText));
        }
      };
      bX.exports = pR;
    });
    var _X = b((_He, wX) => {
      "use strict";
      wX.exports = { TextPrompt: bJ(), SelectPrompt: SJ(), TogglePrompt: TJ(), DatePrompt: ZJ(), NumberPrompt: nX(), MultiselectPrompt: uR(), AutocompletePrompt: fX(), AutocompleteMultiselectPrompt: mX(), ConfirmPrompt: EX() };
    });
    var xX = b((SX) => {
      "use strict";
      var Nr = SX, E6e = _X(), hy = (e3) => e3;
      function gi(e3, r2, n2 = {}) {
        return new Promise((i4, o2) => {
          let a3 = new E6e[e3](r2), u2 = n2.onAbort || hy, c4 = n2.onSubmit || hy, l2 = n2.onExit || hy;
          a3.on("state", r2.onState || hy), a3.on("submit", (f4) => i4(c4(f4))), a3.on("exit", (f4) => i4(l2(f4))), a3.on("abort", (f4) => o2(u2(f4)));
        });
      }
      Nr.text = (e3) => gi("TextPrompt", e3);
      Nr.password = (e3) => (e3.style = "password", Nr.text(e3));
      Nr.invisible = (e3) => (e3.style = "invisible", Nr.text(e3));
      Nr.number = (e3) => gi("NumberPrompt", e3);
      Nr.date = (e3) => gi("DatePrompt", e3);
      Nr.confirm = (e3) => gi("ConfirmPrompt", e3);
      Nr.list = (e3) => {
        let r2 = e3.separator || ",";
        return gi("TextPrompt", e3, { onSubmit: (n2) => n2.split(r2).map((i4) => i4.trim()) });
      };
      Nr.toggle = (e3) => gi("TogglePrompt", e3);
      Nr.select = (e3) => gi("SelectPrompt", e3);
      Nr.multiselect = (e3) => {
        e3.choices = [].concat(e3.choices || []);
        let r2 = (n2) => n2.filter((i4) => i4.selected).map((i4) => i4.value);
        return gi("MultiselectPrompt", e3, { onAbort: r2, onSubmit: r2 });
      };
      Nr.autocompleteMultiselect = (e3) => {
        e3.choices = [].concat(e3.choices || []);
        let r2 = (n2) => n2.filter((i4) => i4.selected).map((i4) => i4.value);
        return gi("AutocompleteMultiselectPrompt", e3, { onAbort: r2, onSubmit: r2 });
      };
      var w6e = (e3, r2) => Promise.resolve(r2.filter((n2) => n2.title.slice(0, e3.length).toLowerCase() === e3.toLowerCase()));
      Nr.autocomplete = (e3) => (e3.suggest = e3.suggest || w6e, e3.choices = [].concat(e3.choices || []), gi("AutocompletePrompt", e3));
    });
    var TX = b((xHe, OX) => {
      "use strict";
      var dR = xX(), _6e = ["suggest", "format", "onState", "validate", "onRender", "type"], DX = () => {
      };
      async function Eo(e3 = [], { onSubmit: r2 = DX, onCancel: n2 = DX } = {}) {
        let i4 = {}, o2 = Eo._override || {};
        e3 = [].concat(e3);
        let a3, u2, c4, l2, f4, p2, v2 = async (g2, S2, D = false) => {
          if (!(!D && g2.validate && g2.validate(S2) !== true))
            return g2.format ? await g2.format(S2, i4) : S2;
        };
        for (u2 of e3)
          if ({ name: l2, type: f4 } = u2, typeof f4 == "function" && (f4 = await f4(a3, { ...i4 }, u2), u2.type = f4), !!f4) {
            for (let g2 in u2) {
              if (_6e.includes(g2))
                continue;
              let S2 = u2[g2];
              u2[g2] = typeof S2 == "function" ? await S2(a3, { ...i4 }, p2) : S2;
            }
            if (p2 = u2, typeof u2.message != "string")
              throw new Error("prompt message is required");
            if ({ name: l2, type: f4 } = u2, dR[f4] === void 0)
              throw new Error(`prompt type (${f4}) is not defined`);
            if (o2[u2.name] !== void 0 && (a3 = await v2(u2, o2[u2.name]), a3 !== void 0)) {
              i4[l2] = a3;
              continue;
            }
            try {
              a3 = Eo._injected ? S6e(Eo._injected, u2.initial) : await dR[f4](u2), i4[l2] = a3 = await v2(u2, a3, true), c4 = await r2(u2, a3, i4);
            } catch {
              c4 = !await n2(u2, i4);
            }
            if (c4)
              return i4;
          }
        return i4;
      }
      function S6e(e3, r2) {
        let n2 = e3.shift();
        if (n2 instanceof Error)
          throw n2;
        return n2 === void 0 ? r2 : n2;
      }
      function x6e(e3) {
        Eo._injected = (Eo._injected || []).concat(e3);
      }
      function D6e(e3) {
        Eo._override = Object.assign({}, e3);
      }
      OX.exports = Object.assign(Eo, { prompt: Eo, prompts: dR, inject: x6e, override: D6e });
    });
    var py = b((DHe, RX) => {
      "use strict";
      function O6e(e3) {
        e3 = (Array.isArray(e3) ? e3 : e3.split(".")).map(Number);
        let r2 = 0, n2 = process.versions.node.split(".").map(Number);
        for (; r2 < e3.length; r2++) {
          if (n2[r2] > e3[r2])
            return false;
          if (e3[r2] > n2[r2])
            return true;
        }
        return false;
      }
      RX.exports = O6e("8.6.0") ? ZY() : TX();
    });
    var gR = b((IHe, mR) => {
      "use strict";
      var AX = (e3) => Number.isNaN(e3) ? false : e3 >= 4352 && (e3 <= 4447 || e3 === 9001 || e3 === 9002 || 11904 <= e3 && e3 <= 12871 && e3 !== 12351 || 12880 <= e3 && e3 <= 19903 || 19968 <= e3 && e3 <= 42182 || 43360 <= e3 && e3 <= 43388 || 44032 <= e3 && e3 <= 55203 || 63744 <= e3 && e3 <= 64255 || 65040 <= e3 && e3 <= 65049 || 65072 <= e3 && e3 <= 65131 || 65281 <= e3 && e3 <= 65376 || 65504 <= e3 && e3 <= 65510 || 110592 <= e3 && e3 <= 110593 || 127488 <= e3 && e3 <= 127569 || 131072 <= e3 && e3 <= 262141);
      mR.exports = AX;
      mR.exports.default = AX;
    });
    var FX = b((PHe, PX) => {
      "use strict";
      var IX = "[\uD800-\uDBFF][\uDC00-\uDFFF]", T6e = (e3) => e3 && e3.exact ? new RegExp(`^${IX}$`) : new RegExp(IX, "g");
      PX.exports = T6e;
    });
    var MX = b((FHe, LX) => {
      "use strict";
      LX.exports = { aliceblue: [240, 248, 255], antiquewhite: [250, 235, 215], aqua: [0, 255, 255], aquamarine: [127, 255, 212], azure: [240, 255, 255], beige: [245, 245, 220], bisque: [255, 228, 196], black: [0, 0, 0], blanchedalmond: [255, 235, 205], blue: [0, 0, 255], blueviolet: [138, 43, 226], brown: [165, 42, 42], burlywood: [222, 184, 135], cadetblue: [95, 158, 160], chartreuse: [127, 255, 0], chocolate: [210, 105, 30], coral: [255, 127, 80], cornflowerblue: [100, 149, 237], cornsilk: [255, 248, 220], crimson: [220, 20, 60], cyan: [0, 255, 255], darkblue: [0, 0, 139], darkcyan: [0, 139, 139], darkgoldenrod: [184, 134, 11], darkgray: [169, 169, 169], darkgreen: [0, 100, 0], darkgrey: [169, 169, 169], darkkhaki: [189, 183, 107], darkmagenta: [139, 0, 139], darkolivegreen: [85, 107, 47], darkorange: [255, 140, 0], darkorchid: [153, 50, 204], darkred: [139, 0, 0], darksalmon: [233, 150, 122], darkseagreen: [143, 188, 143], darkslateblue: [72, 61, 139], darkslategray: [47, 79, 79], darkslategrey: [47, 79, 79], darkturquoise: [0, 206, 209], darkviolet: [148, 0, 211], deeppink: [255, 20, 147], deepskyblue: [0, 191, 255], dimgray: [105, 105, 105], dimgrey: [105, 105, 105], dodgerblue: [30, 144, 255], firebrick: [178, 34, 34], floralwhite: [255, 250, 240], forestgreen: [34, 139, 34], fuchsia: [255, 0, 255], gainsboro: [220, 220, 220], ghostwhite: [248, 248, 255], gold: [255, 215, 0], goldenrod: [218, 165, 32], gray: [128, 128, 128], green: [0, 128, 0], greenyellow: [173, 255, 47], grey: [128, 128, 128], honeydew: [240, 255, 240], hotpink: [255, 105, 180], indianred: [205, 92, 92], indigo: [75, 0, 130], ivory: [255, 255, 240], khaki: [240, 230, 140], lavender: [230, 230, 250], lavenderblush: [255, 240, 245], lawngreen: [124, 252, 0], lemonchiffon: [255, 250, 205], lightblue: [173, 216, 230], lightcoral: [240, 128, 128], lightcyan: [224, 255, 255], lightgoldenrodyellow: [250, 250, 210], lightgray: [211, 211, 211], lightgreen: [144, 238, 144], lightgrey: [211, 211, 211], lightpink: [255, 182, 193], lightsalmon: [255, 160, 122], lightseagreen: [32, 178, 170], lightskyblue: [135, 206, 250], lightslategray: [119, 136, 153], lightslategrey: [119, 136, 153], lightsteelblue: [176, 196, 222], lightyellow: [255, 255, 224], lime: [0, 255, 0], limegreen: [50, 205, 50], linen: [250, 240, 230], magenta: [255, 0, 255], maroon: [128, 0, 0], mediumaquamarine: [102, 205, 170], mediumblue: [0, 0, 205], mediumorchid: [186, 85, 211], mediumpurple: [147, 112, 219], mediumseagreen: [60, 179, 113], mediumslateblue: [123, 104, 238], mediumspringgreen: [0, 250, 154], mediumturquoise: [72, 209, 204], mediumvioletred: [199, 21, 133], midnightblue: [25, 25, 112], mintcream: [245, 255, 250], mistyrose: [255, 228, 225], moccasin: [255, 228, 181], navajowhite: [255, 222, 173], navy: [0, 0, 128], oldlace: [253, 245, 230], olive: [128, 128, 0], olivedrab: [107, 142, 35], orange: [255, 165, 0], orangered: [255, 69, 0], orchid: [218, 112, 214], palegoldenrod: [238, 232, 170], palegreen: [152, 251, 152], paleturquoise: [175, 238, 238], palevioletred: [219, 112, 147], papayawhip: [255, 239, 213], peachpuff: [255, 218, 185], peru: [205, 133, 63], pink: [255, 192, 203], plum: [221, 160, 221], powderblue: [176, 224, 230], purple: [128, 0, 128], rebeccapurple: [102, 51, 153], red: [255, 0, 0], rosybrown: [188, 143, 143], royalblue: [65, 105, 225], saddlebrown: [139, 69, 19], salmon: [250, 128, 114], sandybrown: [244, 164, 96], seagreen: [46, 139, 87], seashell: [255, 245, 238], sienna: [160, 82, 45], silver: [192, 192, 192], skyblue: [135, 206, 235], slateblue: [106, 90, 205], slategray: [112, 128, 144], slategrey: [112, 128, 144], snow: [255, 250, 250], springgreen: [0, 255, 127], steelblue: [70, 130, 180], tan: [210, 180, 140], teal: [0, 128, 128], thistle: [216, 191, 216], tomato: [255, 99, 71], turquoise: [64, 224, 208], violet: [238, 130, 238], wheat: [245, 222, 179], white: [255, 255, 255], whitesmoke: [245, 245, 245], yellow: [255, 255, 0], yellowgreen: [154, 205, 50] };
    });
    var yR = b((LHe, kX) => {
      "use strict";
      var Lh = MX(), NX = {};
      for (let e3 of Object.keys(Lh))
        NX[Lh[e3]] = e3;
      var se = { rgb: { channels: 3, labels: "rgb" }, hsl: { channels: 3, labels: "hsl" }, hsv: { channels: 3, labels: "hsv" }, hwb: { channels: 3, labels: "hwb" }, cmyk: { channels: 4, labels: "cmyk" }, xyz: { channels: 3, labels: "xyz" }, lab: { channels: 3, labels: "lab" }, lch: { channels: 3, labels: "lch" }, hex: { channels: 1, labels: ["hex"] }, keyword: { channels: 1, labels: ["keyword"] }, ansi16: { channels: 1, labels: ["ansi16"] }, ansi256: { channels: 1, labels: ["ansi256"] }, hcg: { channels: 3, labels: ["h", "c", "g"] }, apple: { channels: 3, labels: ["r16", "g16", "b16"] }, gray: { channels: 1, labels: ["gray"] } };
      kX.exports = se;
      for (let e3 of Object.keys(se)) {
        if (!("channels" in se[e3]))
          throw new Error("missing channels property: " + e3);
        if (!("labels" in se[e3]))
          throw new Error("missing channel labels property: " + e3);
        if (se[e3].labels.length !== se[e3].channels)
          throw new Error("channel and label counts mismatch: " + e3);
        let { channels: r2, labels: n2 } = se[e3];
        delete se[e3].channels, delete se[e3].labels, Object.defineProperty(se[e3], "channels", { value: r2 }), Object.defineProperty(se[e3], "labels", { value: n2 });
      }
      se.rgb.hsl = function(e3) {
        let r2 = e3[0] / 255, n2 = e3[1] / 255, i4 = e3[2] / 255, o2 = Math.min(r2, n2, i4), a3 = Math.max(r2, n2, i4), u2 = a3 - o2, c4, l2;
        a3 === o2 ? c4 = 0 : r2 === a3 ? c4 = (n2 - i4) / u2 : n2 === a3 ? c4 = 2 + (i4 - r2) / u2 : i4 === a3 && (c4 = 4 + (r2 - n2) / u2), c4 = Math.min(c4 * 60, 360), c4 < 0 && (c4 += 360);
        let f4 = (o2 + a3) / 2;
        return a3 === o2 ? l2 = 0 : f4 <= 0.5 ? l2 = u2 / (a3 + o2) : l2 = u2 / (2 - a3 - o2), [c4, l2 * 100, f4 * 100];
      };
      se.rgb.hsv = function(e3) {
        let r2, n2, i4, o2, a3, u2 = e3[0] / 255, c4 = e3[1] / 255, l2 = e3[2] / 255, f4 = Math.max(u2, c4, l2), p2 = f4 - Math.min(u2, c4, l2), v2 = function(g2) {
          return (f4 - g2) / 6 / p2 + 1 / 2;
        };
        return p2 === 0 ? (o2 = 0, a3 = 0) : (a3 = p2 / f4, r2 = v2(u2), n2 = v2(c4), i4 = v2(l2), u2 === f4 ? o2 = i4 - n2 : c4 === f4 ? o2 = 1 / 3 + r2 - i4 : l2 === f4 && (o2 = 2 / 3 + n2 - r2), o2 < 0 ? o2 += 1 : o2 > 1 && (o2 -= 1)), [o2 * 360, a3 * 100, f4 * 100];
      };
      se.rgb.hwb = function(e3) {
        let r2 = e3[0], n2 = e3[1], i4 = e3[2], o2 = se.rgb.hsl(e3)[0], a3 = 1 / 255 * Math.min(r2, Math.min(n2, i4));
        return i4 = 1 - 1 / 255 * Math.max(r2, Math.max(n2, i4)), [o2, a3 * 100, i4 * 100];
      };
      se.rgb.cmyk = function(e3) {
        let r2 = e3[0] / 255, n2 = e3[1] / 255, i4 = e3[2] / 255, o2 = Math.min(1 - r2, 1 - n2, 1 - i4), a3 = (1 - r2 - o2) / (1 - o2) || 0, u2 = (1 - n2 - o2) / (1 - o2) || 0, c4 = (1 - i4 - o2) / (1 - o2) || 0;
        return [a3 * 100, u2 * 100, c4 * 100, o2 * 100];
      };
      function R6e(e3, r2) {
        return (e3[0] - r2[0]) ** 2 + (e3[1] - r2[1]) ** 2 + (e3[2] - r2[2]) ** 2;
      }
      se.rgb.keyword = function(e3) {
        let r2 = NX[e3];
        if (r2)
          return r2;
        let n2 = 1 / 0, i4;
        for (let o2 of Object.keys(Lh)) {
          let a3 = Lh[o2], u2 = R6e(e3, a3);
          u2 < n2 && (n2 = u2, i4 = o2);
        }
        return i4;
      };
      se.keyword.rgb = function(e3) {
        return Lh[e3];
      };
      se.rgb.xyz = function(e3) {
        let r2 = e3[0] / 255, n2 = e3[1] / 255, i4 = e3[2] / 255;
        r2 = r2 > 0.04045 ? ((r2 + 0.055) / 1.055) ** 2.4 : r2 / 12.92, n2 = n2 > 0.04045 ? ((n2 + 0.055) / 1.055) ** 2.4 : n2 / 12.92, i4 = i4 > 0.04045 ? ((i4 + 0.055) / 1.055) ** 2.4 : i4 / 12.92;
        let o2 = r2 * 0.4124 + n2 * 0.3576 + i4 * 0.1805, a3 = r2 * 0.2126 + n2 * 0.7152 + i4 * 0.0722, u2 = r2 * 0.0193 + n2 * 0.1192 + i4 * 0.9505;
        return [o2 * 100, a3 * 100, u2 * 100];
      };
      se.rgb.lab = function(e3) {
        let r2 = se.rgb.xyz(e3), n2 = r2[0], i4 = r2[1], o2 = r2[2];
        n2 /= 95.047, i4 /= 100, o2 /= 108.883, n2 = n2 > 8856e-6 ? n2 ** (1 / 3) : 7.787 * n2 + 16 / 116, i4 = i4 > 8856e-6 ? i4 ** (1 / 3) : 7.787 * i4 + 16 / 116, o2 = o2 > 8856e-6 ? o2 ** (1 / 3) : 7.787 * o2 + 16 / 116;
        let a3 = 116 * i4 - 16, u2 = 500 * (n2 - i4), c4 = 200 * (i4 - o2);
        return [a3, u2, c4];
      };
      se.hsl.rgb = function(e3) {
        let r2 = e3[0] / 360, n2 = e3[1] / 100, i4 = e3[2] / 100, o2, a3, u2;
        if (n2 === 0)
          return u2 = i4 * 255, [u2, u2, u2];
        i4 < 0.5 ? o2 = i4 * (1 + n2) : o2 = i4 + n2 - i4 * n2;
        let c4 = 2 * i4 - o2, l2 = [0, 0, 0];
        for (let f4 = 0; f4 < 3; f4++)
          a3 = r2 + 1 / 3 * -(f4 - 1), a3 < 0 && a3++, a3 > 1 && a3--, 6 * a3 < 1 ? u2 = c4 + (o2 - c4) * 6 * a3 : 2 * a3 < 1 ? u2 = o2 : 3 * a3 < 2 ? u2 = c4 + (o2 - c4) * (2 / 3 - a3) * 6 : u2 = c4, l2[f4] = u2 * 255;
        return l2;
      };
      se.hsl.hsv = function(e3) {
        let r2 = e3[0], n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = n2, a3 = Math.max(i4, 0.01);
        i4 *= 2, n2 *= i4 <= 1 ? i4 : 2 - i4, o2 *= a3 <= 1 ? a3 : 2 - a3;
        let u2 = (i4 + n2) / 2, c4 = i4 === 0 ? 2 * o2 / (a3 + o2) : 2 * n2 / (i4 + n2);
        return [r2, c4 * 100, u2 * 100];
      };
      se.hsv.rgb = function(e3) {
        let r2 = e3[0] / 60, n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = Math.floor(r2) % 6, a3 = r2 - Math.floor(r2), u2 = 255 * i4 * (1 - n2), c4 = 255 * i4 * (1 - n2 * a3), l2 = 255 * i4 * (1 - n2 * (1 - a3));
        switch (i4 *= 255, o2) {
          case 0:
            return [i4, l2, u2];
          case 1:
            return [c4, i4, u2];
          case 2:
            return [u2, i4, l2];
          case 3:
            return [u2, c4, i4];
          case 4:
            return [l2, u2, i4];
          case 5:
            return [i4, u2, c4];
        }
      };
      se.hsv.hsl = function(e3) {
        let r2 = e3[0], n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = Math.max(i4, 0.01), a3, u2;
        u2 = (2 - n2) * i4;
        let c4 = (2 - n2) * o2;
        return a3 = n2 * o2, a3 /= c4 <= 1 ? c4 : 2 - c4, a3 = a3 || 0, u2 /= 2, [r2, a3 * 100, u2 * 100];
      };
      se.hwb.rgb = function(e3) {
        let r2 = e3[0] / 360, n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = n2 + i4, a3;
        o2 > 1 && (n2 /= o2, i4 /= o2);
        let u2 = Math.floor(6 * r2), c4 = 1 - i4;
        a3 = 6 * r2 - u2, u2 & 1 && (a3 = 1 - a3);
        let l2 = n2 + a3 * (c4 - n2), f4, p2, v2;
        switch (u2) {
          default:
          case 6:
          case 0:
            f4 = c4, p2 = l2, v2 = n2;
            break;
          case 1:
            f4 = l2, p2 = c4, v2 = n2;
            break;
          case 2:
            f4 = n2, p2 = c4, v2 = l2;
            break;
          case 3:
            f4 = n2, p2 = l2, v2 = c4;
            break;
          case 4:
            f4 = l2, p2 = n2, v2 = c4;
            break;
          case 5:
            f4 = c4, p2 = n2, v2 = l2;
            break;
        }
        return [f4 * 255, p2 * 255, v2 * 255];
      };
      se.cmyk.rgb = function(e3) {
        let r2 = e3[0] / 100, n2 = e3[1] / 100, i4 = e3[2] / 100, o2 = e3[3] / 100, a3 = 1 - Math.min(1, r2 * (1 - o2) + o2), u2 = 1 - Math.min(1, n2 * (1 - o2) + o2), c4 = 1 - Math.min(1, i4 * (1 - o2) + o2);
        return [a3 * 255, u2 * 255, c4 * 255];
      };
      se.xyz.rgb = function(e3) {
        let r2 = e3[0] / 100, n2 = e3[1] / 100, i4 = e3[2] / 100, o2, a3, u2;
        return o2 = r2 * 3.2406 + n2 * -1.5372 + i4 * -0.4986, a3 = r2 * -0.9689 + n2 * 1.8758 + i4 * 0.0415, u2 = r2 * 0.0557 + n2 * -0.204 + i4 * 1.057, o2 = o2 > 31308e-7 ? 1.055 * o2 ** (1 / 2.4) - 0.055 : o2 * 12.92, a3 = a3 > 31308e-7 ? 1.055 * a3 ** (1 / 2.4) - 0.055 : a3 * 12.92, u2 = u2 > 31308e-7 ? 1.055 * u2 ** (1 / 2.4) - 0.055 : u2 * 12.92, o2 = Math.min(Math.max(0, o2), 1), a3 = Math.min(Math.max(0, a3), 1), u2 = Math.min(Math.max(0, u2), 1), [o2 * 255, a3 * 255, u2 * 255];
      };
      se.xyz.lab = function(e3) {
        let r2 = e3[0], n2 = e3[1], i4 = e3[2];
        r2 /= 95.047, n2 /= 100, i4 /= 108.883, r2 = r2 > 8856e-6 ? r2 ** (1 / 3) : 7.787 * r2 + 16 / 116, n2 = n2 > 8856e-6 ? n2 ** (1 / 3) : 7.787 * n2 + 16 / 116, i4 = i4 > 8856e-6 ? i4 ** (1 / 3) : 7.787 * i4 + 16 / 116;
        let o2 = 116 * n2 - 16, a3 = 500 * (r2 - n2), u2 = 200 * (n2 - i4);
        return [o2, a3, u2];
      };
      se.lab.xyz = function(e3) {
        let r2 = e3[0], n2 = e3[1], i4 = e3[2], o2, a3, u2;
        a3 = (r2 + 16) / 116, o2 = n2 / 500 + a3, u2 = a3 - i4 / 200;
        let c4 = a3 ** 3, l2 = o2 ** 3, f4 = u2 ** 3;
        return a3 = c4 > 8856e-6 ? c4 : (a3 - 16 / 116) / 7.787, o2 = l2 > 8856e-6 ? l2 : (o2 - 16 / 116) / 7.787, u2 = f4 > 8856e-6 ? f4 : (u2 - 16 / 116) / 7.787, o2 *= 95.047, a3 *= 100, u2 *= 108.883, [o2, a3, u2];
      };
      se.lab.lch = function(e3) {
        let r2 = e3[0], n2 = e3[1], i4 = e3[2], o2;
        o2 = Math.atan2(i4, n2) * 360 / 2 / Math.PI, o2 < 0 && (o2 += 360);
        let u2 = Math.sqrt(n2 * n2 + i4 * i4);
        return [r2, u2, o2];
      };
      se.lch.lab = function(e3) {
        let r2 = e3[0], n2 = e3[1], o2 = e3[2] / 360 * 2 * Math.PI, a3 = n2 * Math.cos(o2), u2 = n2 * Math.sin(o2);
        return [r2, a3, u2];
      };
      se.rgb.ansi16 = function(e3, r2 = null) {
        let [n2, i4, o2] = e3, a3 = r2 === null ? se.rgb.hsv(e3)[2] : r2;
        if (a3 = Math.round(a3 / 50), a3 === 0)
          return 30;
        let u2 = 30 + (Math.round(o2 / 255) << 2 | Math.round(i4 / 255) << 1 | Math.round(n2 / 255));
        return a3 === 2 && (u2 += 60), u2;
      };
      se.hsv.ansi16 = function(e3) {
        return se.rgb.ansi16(se.hsv.rgb(e3), e3[2]);
      };
      se.rgb.ansi256 = function(e3) {
        let r2 = e3[0], n2 = e3[1], i4 = e3[2];
        return r2 === n2 && n2 === i4 ? r2 < 8 ? 16 : r2 > 248 ? 231 : Math.round((r2 - 8) / 247 * 24) + 232 : 16 + 36 * Math.round(r2 / 255 * 5) + 6 * Math.round(n2 / 255 * 5) + Math.round(i4 / 255 * 5);
      };
      se.ansi16.rgb = function(e3) {
        let r2 = e3 % 10;
        if (r2 === 0 || r2 === 7)
          return e3 > 50 && (r2 += 3.5), r2 = r2 / 10.5 * 255, [r2, r2, r2];
        let n2 = (~~(e3 > 50) + 1) * 0.5, i4 = (r2 & 1) * n2 * 255, o2 = (r2 >> 1 & 1) * n2 * 255, a3 = (r2 >> 2 & 1) * n2 * 255;
        return [i4, o2, a3];
      };
      se.ansi256.rgb = function(e3) {
        if (e3 >= 232) {
          let a3 = (e3 - 232) * 10 + 8;
          return [a3, a3, a3];
        }
        e3 -= 16;
        let r2, n2 = Math.floor(e3 / 36) / 5 * 255, i4 = Math.floor((r2 = e3 % 36) / 6) / 5 * 255, o2 = r2 % 6 / 5 * 255;
        return [n2, i4, o2];
      };
      se.rgb.hex = function(e3) {
        let n2 = (((Math.round(e3[0]) & 255) << 16) + ((Math.round(e3[1]) & 255) << 8) + (Math.round(e3[2]) & 255)).toString(16).toUpperCase();
        return "000000".substring(n2.length) + n2;
      };
      se.hex.rgb = function(e3) {
        let r2 = e3.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
        if (!r2)
          return [0, 0, 0];
        let n2 = r2[0];
        r2[0].length === 3 && (n2 = n2.split("").map((c4) => c4 + c4).join(""));
        let i4 = parseInt(n2, 16), o2 = i4 >> 16 & 255, a3 = i4 >> 8 & 255, u2 = i4 & 255;
        return [o2, a3, u2];
      };
      se.rgb.hcg = function(e3) {
        let r2 = e3[0] / 255, n2 = e3[1] / 255, i4 = e3[2] / 255, o2 = Math.max(Math.max(r2, n2), i4), a3 = Math.min(Math.min(r2, n2), i4), u2 = o2 - a3, c4, l2;
        return u2 < 1 ? c4 = a3 / (1 - u2) : c4 = 0, u2 <= 0 ? l2 = 0 : o2 === r2 ? l2 = (n2 - i4) / u2 % 6 : o2 === n2 ? l2 = 2 + (i4 - r2) / u2 : l2 = 4 + (r2 - n2) / u2, l2 /= 6, l2 %= 1, [l2 * 360, u2 * 100, c4 * 100];
      };
      se.hsl.hcg = function(e3) {
        let r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = n2 < 0.5 ? 2 * r2 * n2 : 2 * r2 * (1 - n2), o2 = 0;
        return i4 < 1 && (o2 = (n2 - 0.5 * i4) / (1 - i4)), [e3[0], i4 * 100, o2 * 100];
      };
      se.hsv.hcg = function(e3) {
        let r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = r2 * n2, o2 = 0;
        return i4 < 1 && (o2 = (n2 - i4) / (1 - i4)), [e3[0], i4 * 100, o2 * 100];
      };
      se.hcg.rgb = function(e3) {
        let r2 = e3[0] / 360, n2 = e3[1] / 100, i4 = e3[2] / 100;
        if (n2 === 0)
          return [i4 * 255, i4 * 255, i4 * 255];
        let o2 = [0, 0, 0], a3 = r2 % 1 * 6, u2 = a3 % 1, c4 = 1 - u2, l2 = 0;
        switch (Math.floor(a3)) {
          case 0:
            o2[0] = 1, o2[1] = u2, o2[2] = 0;
            break;
          case 1:
            o2[0] = c4, o2[1] = 1, o2[2] = 0;
            break;
          case 2:
            o2[0] = 0, o2[1] = 1, o2[2] = u2;
            break;
          case 3:
            o2[0] = 0, o2[1] = c4, o2[2] = 1;
            break;
          case 4:
            o2[0] = u2, o2[1] = 0, o2[2] = 1;
            break;
          default:
            o2[0] = 1, o2[1] = 0, o2[2] = c4;
        }
        return l2 = (1 - n2) * i4, [(n2 * o2[0] + l2) * 255, (n2 * o2[1] + l2) * 255, (n2 * o2[2] + l2) * 255];
      };
      se.hcg.hsv = function(e3) {
        let r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = r2 + n2 * (1 - r2), o2 = 0;
        return i4 > 0 && (o2 = r2 / i4), [e3[0], o2 * 100, i4 * 100];
      };
      se.hcg.hsl = function(e3) {
        let r2 = e3[1] / 100, i4 = e3[2] / 100 * (1 - r2) + 0.5 * r2, o2 = 0;
        return i4 > 0 && i4 < 0.5 ? o2 = r2 / (2 * i4) : i4 >= 0.5 && i4 < 1 && (o2 = r2 / (2 * (1 - i4))), [e3[0], o2 * 100, i4 * 100];
      };
      se.hcg.hwb = function(e3) {
        let r2 = e3[1] / 100, n2 = e3[2] / 100, i4 = r2 + n2 * (1 - r2);
        return [e3[0], (i4 - r2) * 100, (1 - i4) * 100];
      };
      se.hwb.hcg = function(e3) {
        let r2 = e3[1] / 100, i4 = 1 - e3[2] / 100, o2 = i4 - r2, a3 = 0;
        return o2 < 1 && (a3 = (i4 - o2) / (1 - o2)), [e3[0], o2 * 100, a3 * 100];
      };
      se.apple.rgb = function(e3) {
        return [e3[0] / 65535 * 255, e3[1] / 65535 * 255, e3[2] / 65535 * 255];
      };
      se.rgb.apple = function(e3) {
        return [e3[0] / 255 * 65535, e3[1] / 255 * 65535, e3[2] / 255 * 65535];
      };
      se.gray.rgb = function(e3) {
        return [e3[0] / 100 * 255, e3[0] / 100 * 255, e3[0] / 100 * 255];
      };
      se.gray.hsl = function(e3) {
        return [0, 0, e3[0]];
      };
      se.gray.hsv = se.gray.hsl;
      se.gray.hwb = function(e3) {
        return [0, 100, e3[0]];
      };
      se.gray.cmyk = function(e3) {
        return [0, 0, 0, e3[0]];
      };
      se.gray.lab = function(e3) {
        return [e3[0], 0, 0];
      };
      se.gray.hex = function(e3) {
        let r2 = Math.round(e3[0] / 100 * 255) & 255, i4 = ((r2 << 16) + (r2 << 8) + r2).toString(16).toUpperCase();
        return "000000".substring(i4.length) + i4;
      };
      se.rgb.gray = function(e3) {
        return [(e3[0] + e3[1] + e3[2]) / 3 / 255 * 100];
      };
    });
    var qX = b((MHe, $X) => {
      "use strict";
      var yy = yR();
      function C6e() {
        let e3 = {}, r2 = Object.keys(yy);
        for (let n2 = r2.length, i4 = 0; i4 < n2; i4++)
          e3[r2[i4]] = { distance: -1, parent: null };
        return e3;
      }
      function A6e(e3) {
        let r2 = C6e(), n2 = [e3];
        for (r2[e3].distance = 0; n2.length; ) {
          let i4 = n2.pop(), o2 = Object.keys(yy[i4]);
          for (let a3 = o2.length, u2 = 0; u2 < a3; u2++) {
            let c4 = o2[u2], l2 = r2[c4];
            l2.distance === -1 && (l2.distance = r2[i4].distance + 1, l2.parent = i4, n2.unshift(c4));
          }
        }
        return r2;
      }
      function I6e(e3, r2) {
        return function(n2) {
          return r2(e3(n2));
        };
      }
      function P6e(e3, r2) {
        let n2 = [r2[e3].parent, e3], i4 = yy[r2[e3].parent][e3], o2 = r2[e3].parent;
        for (; r2[o2].parent; )
          n2.unshift(r2[o2].parent), i4 = I6e(yy[r2[o2].parent][o2], i4), o2 = r2[o2].parent;
        return i4.conversion = n2, i4;
      }
      $X.exports = function(e3) {
        let r2 = A6e(e3), n2 = {}, i4 = Object.keys(r2);
        for (let o2 = i4.length, a3 = 0; a3 < o2; a3++) {
          let u2 = i4[a3];
          r2[u2].parent !== null && (n2[u2] = P6e(u2, r2));
        }
        return n2;
      };
    });
    var jX = b((NHe, BX) => {
      "use strict";
      var vR = yR(), F6e = qX(), kc = {}, L6e = Object.keys(vR);
      function M6e(e3) {
        let r2 = function(...n2) {
          let i4 = n2[0];
          return i4 == null ? i4 : (i4.length > 1 && (n2 = i4), e3(n2));
        };
        return "conversion" in e3 && (r2.conversion = e3.conversion), r2;
      }
      function N6e(e3) {
        let r2 = function(...n2) {
          let i4 = n2[0];
          if (i4 == null)
            return i4;
          i4.length > 1 && (n2 = i4);
          let o2 = e3(n2);
          if (typeof o2 == "object")
            for (let a3 = o2.length, u2 = 0; u2 < a3; u2++)
              o2[u2] = Math.round(o2[u2]);
          return o2;
        };
        return "conversion" in e3 && (r2.conversion = e3.conversion), r2;
      }
      L6e.forEach((e3) => {
        kc[e3] = {}, Object.defineProperty(kc[e3], "channels", { value: vR[e3].channels }), Object.defineProperty(kc[e3], "labels", { value: vR[e3].labels });
        let r2 = F6e(e3);
        Object.keys(r2).forEach((i4) => {
          let o2 = r2[i4];
          kc[e3][i4] = N6e(o2), kc[e3][i4].raw = M6e(o2);
        });
      });
      BX.exports = kc;
    });
    var KX = b((kHe, VX) => {
      "use strict";
      var UX = (e3, r2) => (...n2) => `\x1B[${e3(...n2) + r2}m`, GX = (e3, r2) => (...n2) => {
        let i4 = e3(...n2);
        return `\x1B[${38 + r2};5;${i4}m`;
      }, WX = (e3, r2) => (...n2) => {
        let i4 = e3(...n2);
        return `\x1B[${38 + r2};2;${i4[0]};${i4[1]};${i4[2]}m`;
      }, vy = (e3) => e3, HX = (e3, r2, n2) => [e3, r2, n2], $c = (e3, r2, n2) => {
        Object.defineProperty(e3, r2, { get: () => {
          let i4 = n2();
          return Object.defineProperty(e3, r2, { value: i4, enumerable: true, configurable: true }), i4;
        }, enumerable: true, configurable: true });
      }, bR, qc = (e3, r2, n2, i4) => {
        bR === void 0 && (bR = jX());
        let o2 = i4 ? 10 : 0, a3 = {};
        for (let [u2, c4] of Object.entries(bR)) {
          let l2 = u2 === "ansi16" ? "ansi" : u2;
          u2 === r2 ? a3[l2] = e3(n2, o2) : typeof c4 == "object" && (a3[l2] = e3(c4[r2], o2));
        }
        return a3;
      };
      function k6e() {
        let e3 = /* @__PURE__ */ new Map(), r2 = { modifier: { reset: [0, 0], bold: [1, 22], dim: [2, 22], italic: [3, 23], underline: [4, 24], inverse: [7, 27], hidden: [8, 28], strikethrough: [9, 29] }, color: { black: [30, 39], red: [31, 39], green: [32, 39], yellow: [33, 39], blue: [34, 39], magenta: [35, 39], cyan: [36, 39], white: [37, 39], blackBright: [90, 39], redBright: [91, 39], greenBright: [92, 39], yellowBright: [93, 39], blueBright: [94, 39], magentaBright: [95, 39], cyanBright: [96, 39], whiteBright: [97, 39] }, bgColor: { bgBlack: [40, 49], bgRed: [41, 49], bgGreen: [42, 49], bgYellow: [43, 49], bgBlue: [44, 49], bgMagenta: [45, 49], bgCyan: [46, 49], bgWhite: [47, 49], bgBlackBright: [100, 49], bgRedBright: [101, 49], bgGreenBright: [102, 49], bgYellowBright: [103, 49], bgBlueBright: [104, 49], bgMagentaBright: [105, 49], bgCyanBright: [106, 49], bgWhiteBright: [107, 49] } };
        r2.color.gray = r2.color.blackBright, r2.bgColor.bgGray = r2.bgColor.bgBlackBright, r2.color.grey = r2.color.blackBright, r2.bgColor.bgGrey = r2.bgColor.bgBlackBright;
        for (let [n2, i4] of Object.entries(r2)) {
          for (let [o2, a3] of Object.entries(i4))
            r2[o2] = { open: `\x1B[${a3[0]}m`, close: `\x1B[${a3[1]}m` }, i4[o2] = r2[o2], e3.set(a3[0], a3[1]);
          Object.defineProperty(r2, n2, { value: i4, enumerable: false });
        }
        return Object.defineProperty(r2, "codes", { value: e3, enumerable: false }), r2.color.close = "\x1B[39m", r2.bgColor.close = "\x1B[49m", $c(r2.color, "ansi", () => qc(UX, "ansi16", vy, false)), $c(r2.color, "ansi256", () => qc(GX, "ansi256", vy, false)), $c(r2.color, "ansi16m", () => qc(WX, "rgb", HX, false)), $c(r2.bgColor, "ansi", () => qc(UX, "ansi16", vy, true)), $c(r2.bgColor, "ansi256", () => qc(GX, "ansi256", vy, true)), $c(r2.bgColor, "ansi16m", () => qc(WX, "rgb", HX, true)), r2;
      }
      Object.defineProperty(VX, "exports", { enumerable: true, get: k6e });
    });
    var QX = b(($He, XX) => {
      "use strict";
      var $6e = gR(), q6e = FX(), zX = KX(), JX = ["\x1B", "\x9B"], by = (e3) => `${JX[0]}[${e3}m`, YX = (e3, r2, n2) => {
        let i4 = [];
        e3 = [...e3];
        for (let o2 of e3) {
          let a3 = o2;
          o2.match(";") && (o2 = o2.split(";")[0][0] + "0");
          let u2 = zX.codes.get(parseInt(o2, 10));
          if (u2) {
            let c4 = e3.indexOf(u2.toString());
            c4 >= 0 ? e3.splice(c4, 1) : i4.push(by(r2 ? u2 : a3));
          } else if (r2) {
            i4.push(by(0));
            break;
          } else
            i4.push(by(a3));
        }
        if (r2 && (i4 = i4.filter((o2, a3) => i4.indexOf(o2) === a3), n2 !== void 0)) {
          let o2 = by(zX.codes.get(parseInt(n2, 10)));
          i4 = i4.reduce((a3, u2) => u2 === o2 ? [u2, ...a3] : [...a3, u2], []);
        }
        return i4.join("");
      };
      XX.exports = (e3, r2, n2) => {
        let i4 = [...e3.normalize()], o2 = [];
        n2 = typeof n2 == "number" ? n2 : i4.length;
        let a3 = false, u2, c4 = 0, l2 = "";
        for (let [f4, p2] of i4.entries()) {
          let v2 = false;
          if (JX.includes(p2)) {
            let g2 = /\d[^m]*/.exec(e3.slice(f4, f4 + 18));
            u2 = g2 && g2.length > 0 ? g2[0] : void 0, c4 < n2 && (a3 = true, u2 !== void 0 && o2.push(u2));
          } else
            a3 && p2 === "m" && (a3 = false, v2 = true);
          if (!a3 && !v2 && ++c4, !q6e({ exact: true }).test(p2) && $6e(p2.codePointAt()) && ++c4, c4 > r2 && c4 <= n2)
            l2 += p2;
          else if (c4 === r2 && !a3 && u2 !== void 0)
            l2 = YX(o2);
          else if (c4 >= n2) {
            l2 += YX(o2, true, u2);
            break;
          }
        }
        return l2;
      };
    });
    var eQ = b((qHe, ZX) => {
      "use strict";
      ZX.exports = function() {
        return /\uD83C\uDFF4\uDB40\uDC67\uDB40\uDC62(?:\uDB40\uDC65\uDB40\uDC6E\uDB40\uDC67|\uDB40\uDC73\uDB40\uDC63\uDB40\uDC74|\uDB40\uDC77\uDB40\uDC6C\uDB40\uDC73)\uDB40\uDC7F|\uD83D\uDC68(?:\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68\uD83C\uDFFB|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFE])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83D\uDC68|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D[\uDC66\uDC67])|[\u2695\u2696\u2708]\uFE0F|\uD83D[\uDC66\uDC67]|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|(?:\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708])\uFE0F|\uD83C\uDFFB\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C[\uDFFB-\uDFFF])|(?:\uD83E\uDDD1\uD83C\uDFFB\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)\uD83C\uDFFB|\uD83E\uDDD1(?:\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1)|(?:\uD83E\uDDD1\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB-\uDFFE])|(?:\uD83E\uDDD1\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB\uDFFC])|\uD83D\uDC69(?:\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFD-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFB\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFC-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC\uDFFE\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D(?:\uD83D[\uDC68\uDC69])|\uD83D[\uDC68\uDC69])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD]))|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|(?:\uD83E\uDDD1\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB-\uDFFD])|\uD83D\uDC69\u200D\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D\uDC41\uFE0F\u200D\uD83D\uDDE8|\uD83D\uDC69(?:\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708]|\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\u200D[\u2695\u2696\u2708])|(?:(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)\uFE0F|\uD83D\uDC6F|\uD83E[\uDD3C\uDDDE\uDDDF])\u200D[\u2640\u2642]|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|\u200D[\u2640\u2642])|\uD83C\uDFF4\u200D\u2620)\uFE0F|\uD83D\uDC69\u200D\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|\uD83C\uDFF3\uFE0F\u200D\uD83C\uDF08|\uD83D\uDC15\u200D\uD83E\uDDBA|\uD83D\uDC69\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC67|\uD83C\uDDFD\uD83C\uDDF0|\uD83C\uDDF4\uD83C\uDDF2|\uD83C\uDDF6\uD83C\uDDE6|[#\*0-9]\uFE0F\u20E3|\uD83C\uDDE7(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEF\uDDF1-\uDDF4\uDDF6-\uDDF9\uDDFB\uDDFC\uDDFE\uDDFF])|\uD83C\uDDF9(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDED\uDDEF-\uDDF4\uDDF7\uDDF9\uDDFB\uDDFC\uDDFF])|\uD83C\uDDEA(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDED\uDDF7-\uDDFA])|\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF7(?:\uD83C[\uDDEA\uDDF4\uDDF8\uDDFA\uDDFC])|\uD83D\uDC69(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF2(?:\uD83C[\uDDE6\uDDE8-\uDDED\uDDF0-\uDDFF])|\uD83C\uDDE6(?:\uD83C[\uDDE8-\uDDEC\uDDEE\uDDF1\uDDF2\uDDF4\uDDF6-\uDDFA\uDDFC\uDDFD\uDDFF])|\uD83C\uDDF0(?:\uD83C[\uDDEA\uDDEC-\uDDEE\uDDF2\uDDF3\uDDF5\uDDF7\uDDFC\uDDFE\uDDFF])|\uD83C\uDDED(?:\uD83C[\uDDF0\uDDF2\uDDF3\uDDF7\uDDF9\uDDFA])|\uD83C\uDDE9(?:\uD83C[\uDDEA\uDDEC\uDDEF\uDDF0\uDDF2\uDDF4\uDDFF])|\uD83C\uDDFE(?:\uD83C[\uDDEA\uDDF9])|\uD83C\uDDEC(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEE\uDDF1-\uDDF3\uDDF5-\uDDFA\uDDFC\uDDFE])|\uD83C\uDDF8(?:\uD83C[\uDDE6-\uDDEA\uDDEC-\uDDF4\uDDF7-\uDDF9\uDDFB\uDDFD-\uDDFF])|\uD83C\uDDEB(?:\uD83C[\uDDEE-\uDDF0\uDDF2\uDDF4\uDDF7])|\uD83C\uDDF5(?:\uD83C[\uDDE6\uDDEA-\uDDED\uDDF0-\uDDF3\uDDF7-\uDDF9\uDDFC\uDDFE])|\uD83C\uDDFB(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDEE\uDDF3\uDDFA])|\uD83C\uDDF3(?:\uD83C[\uDDE6\uDDE8\uDDEA-\uDDEC\uDDEE\uDDF1\uDDF4\uDDF5\uDDF7\uDDFA\uDDFF])|\uD83C\uDDE8(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDEE\uDDF0-\uDDF5\uDDF7\uDDFA-\uDDFF])|\uD83C\uDDF1(?:\uD83C[\uDDE6-\uDDE8\uDDEE\uDDF0\uDDF7-\uDDFB\uDDFE])|\uD83C\uDDFF(?:\uD83C[\uDDE6\uDDF2\uDDFC])|\uD83C\uDDFC(?:\uD83C[\uDDEB\uDDF8])|\uD83C\uDDFA(?:\uD83C[\uDDE6\uDDEC\uDDF2\uDDF3\uDDF8\uDDFE\uDDFF])|\uD83C\uDDEE(?:\uD83C[\uDDE8-\uDDEA\uDDF1-\uDDF4\uDDF6-\uDDF9])|\uD83C\uDDEF(?:\uD83C[\uDDEA\uDDF2\uDDF4\uDDF5])|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:\uD83C[\uDFFB-\uDFFF])|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u261D\u270A-\u270D]|\uD83C[\uDF85\uDFC2\uDFC7]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66\uDC67\uDC6B-\uDC6D\uDC70\uDC72\uDC74-\uDC76\uDC78\uDC7C\uDC83\uDC85\uDCAA\uDD74\uDD7A\uDD90\uDD95\uDD96\uDE4C\uDE4F\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1C\uDD1E\uDD1F\uDD30-\uDD36\uDDB5\uDDB6\uDDBB\uDDD2-\uDDD5])(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u231A\u231B\u23E9-\u23EC\u23F0\u23F3\u25FD\u25FE\u2614\u2615\u2648-\u2653\u267F\u2693\u26A1\u26AA\u26AB\u26BD\u26BE\u26C4\u26C5\u26CE\u26D4\u26EA\u26F2\u26F3\u26F5\u26FA\u26FD\u2705\u270A\u270B\u2728\u274C\u274E\u2753-\u2755\u2757\u2795-\u2797\u27B0\u27BF\u2B1B\u2B1C\u2B50\u2B55]|\uD83C[\uDC04\uDCCF\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE1A\uDE2F\uDE32-\uDE36\uDE38-\uDE3A\uDE50\uDE51\uDF00-\uDF20\uDF2D-\uDF35\uDF37-\uDF7C\uDF7E-\uDF93\uDFA0-\uDFCA\uDFCF-\uDFD3\uDFE0-\uDFF0\uDFF4\uDFF8-\uDFFF]|\uD83D[\uDC00-\uDC3E\uDC40\uDC42-\uDCFC\uDCFF-\uDD3D\uDD4B-\uDD4E\uDD50-\uDD67\uDD7A\uDD95\uDD96\uDDA4\uDDFB-\uDE4F\uDE80-\uDEC5\uDECC\uDED0-\uDED2\uDED5\uDEEB\uDEEC\uDEF4-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])|(?:[#\*0-9\xA9\xAE\u203C\u2049\u2122\u2139\u2194-\u2199\u21A9\u21AA\u231A\u231B\u2328\u23CF\u23E9-\u23F3\u23F8-\u23FA\u24C2\u25AA\u25AB\u25B6\u25C0\u25FB-\u25FE\u2600-\u2604\u260E\u2611\u2614\u2615\u2618\u261D\u2620\u2622\u2623\u2626\u262A\u262E\u262F\u2638-\u263A\u2640\u2642\u2648-\u2653\u265F\u2660\u2663\u2665\u2666\u2668\u267B\u267E\u267F\u2692-\u2697\u2699\u269B\u269C\u26A0\u26A1\u26AA\u26AB\u26B0\u26B1\u26BD\u26BE\u26C4\u26C5\u26C8\u26CE\u26CF\u26D1\u26D3\u26D4\u26E9\u26EA\u26F0-\u26F5\u26F7-\u26FA\u26FD\u2702\u2705\u2708-\u270D\u270F\u2712\u2714\u2716\u271D\u2721\u2728\u2733\u2734\u2744\u2747\u274C\u274E\u2753-\u2755\u2757\u2763\u2764\u2795-\u2797\u27A1\u27B0\u27BF\u2934\u2935\u2B05-\u2B07\u2B1B\u2B1C\u2B50\u2B55\u3030\u303D\u3297\u3299]|\uD83C[\uDC04\uDCCF\uDD70\uDD71\uDD7E\uDD7F\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE02\uDE1A\uDE2F\uDE32-\uDE3A\uDE50\uDE51\uDF00-\uDF21\uDF24-\uDF93\uDF96\uDF97\uDF99-\uDF9B\uDF9E-\uDFF0\uDFF3-\uDFF5\uDFF7-\uDFFF]|\uD83D[\uDC00-\uDCFD\uDCFF-\uDD3D\uDD49-\uDD4E\uDD50-\uDD67\uDD6F\uDD70\uDD73-\uDD7A\uDD87\uDD8A-\uDD8D\uDD90\uDD95\uDD96\uDDA4\uDDA5\uDDA8\uDDB1\uDDB2\uDDBC\uDDC2-\uDDC4\uDDD1-\uDDD3\uDDDC-\uDDDE\uDDE1\uDDE3\uDDE8\uDDEF\uDDF3\uDDFA-\uDE4F\uDE80-\uDEC5\uDECB-\uDED2\uDED5\uDEE0-\uDEE5\uDEE9\uDEEB\uDEEC\uDEF0\uDEF3-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])\uFE0F|(?:[\u261D\u26F9\u270A-\u270D]|\uD83C[\uDF85\uDFC2-\uDFC4\uDFC7\uDFCA-\uDFCC]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66-\uDC78\uDC7C\uDC81-\uDC83\uDC85-\uDC87\uDC8F\uDC91\uDCAA\uDD74\uDD75\uDD7A\uDD90\uDD95\uDD96\uDE45-\uDE47\uDE4B-\uDE4F\uDEA3\uDEB4-\uDEB6\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1F\uDD26\uDD30-\uDD39\uDD3C-\uDD3E\uDDB5\uDDB6\uDDB8\uDDB9\uDDBB\uDDCD-\uDDCF\uDDD1-\uDDDD])/g;
      };
    });
    var wR = b((BHe, ER) => {
      "use strict";
      var B6e = I0(), j6e = gR(), U6e = eQ(), tQ = (e3) => {
        if (typeof e3 != "string" || e3.length === 0 || (e3 = B6e(e3), e3.length === 0))
          return 0;
        e3 = e3.replace(U6e(), "  ");
        let r2 = 0;
        for (let n2 = 0; n2 < e3.length; n2++) {
          let i4 = e3.codePointAt(n2);
          i4 <= 31 || i4 >= 127 && i4 <= 159 || i4 >= 768 && i4 <= 879 || (i4 > 65535 && n2++, r2 += j6e(i4) ? 2 : 1);
        }
        return r2;
      };
      ER.exports = tQ;
      ER.exports.default = tQ;
    });
    var nQ = b((jHe, rQ) => {
      "use strict";
      var wo = QX(), G6e = wR();
      function Ey(e3, r2, n2) {
        if (e3.charAt(r2) === " ")
          return r2;
        for (let i4 = 1; i4 <= 3; i4++)
          if (n2) {
            if (e3.charAt(r2 + i4) === " ")
              return r2 + i4;
          } else if (e3.charAt(r2 - i4) === " ")
            return r2 - i4;
        return r2;
      }
      rQ.exports = (e3, r2, n2) => {
        n2 = { position: "end", preferTruncationOnSpace: false, ...n2 };
        let { position: i4, space: o2, preferTruncationOnSpace: a3 } = n2, u2 = "\u2026", c4 = 1;
        if (typeof e3 != "string")
          throw new TypeError(`Expected \`input\` to be a string, got ${typeof e3}`);
        if (typeof r2 != "number")
          throw new TypeError(`Expected \`columns\` to be a number, got ${typeof r2}`);
        if (r2 < 1)
          return "";
        if (r2 === 1)
          return u2;
        let l2 = G6e(e3);
        if (l2 <= r2)
          return e3;
        if (i4 === "start") {
          if (a3) {
            let f4 = Ey(e3, l2 - r2 + 1, true);
            return u2 + wo(e3, f4, l2).trim();
          }
          return o2 === true && (u2 += " ", c4 = 2), u2 + wo(e3, l2 - r2 + c4, l2);
        }
        if (i4 === "middle") {
          o2 === true && (u2 = " " + u2 + " ", c4 = 3);
          let f4 = Math.floor(r2 / 2);
          if (a3) {
            let p2 = Ey(e3, f4), v2 = Ey(e3, l2 - (r2 - f4) + 1, true);
            return wo(e3, 0, p2) + u2 + wo(e3, v2, l2).trim();
          }
          return wo(e3, 0, f4) + u2 + wo(e3, l2 - (r2 - f4) + c4, l2);
        }
        if (i4 === "end") {
          if (a3) {
            let f4 = Ey(e3, r2 - 1);
            return wo(e3, 0, f4) + u2;
          }
          return o2 === true && (u2 = " " + u2, c4 = 2), wo(e3, 0, r2 - c4) + u2;
        }
        throw new Error(`Expected \`options.position\` to be either \`start\`, \`middle\` or \`end\`, got ${i4}`);
      };
    });
    var lQ = b((WHe, cQ) => {
      "use strict";
      var { hasOwnProperty: SR } = Object.prototype, xR = typeof process < "u" && process.platform === "win32" ? `\r
` : `
`, DR = (e3, r2) => {
        let n2 = [], i4 = "";
        typeof r2 == "string" ? r2 = { section: r2, whitespace: false } : (r2 = r2 || /* @__PURE__ */ Object.create(null), r2.whitespace = r2.whitespace === true);
        let o2 = r2.whitespace ? " = " : "=";
        for (let a3 of Object.keys(e3)) {
          let u2 = e3[a3];
          if (u2 && Array.isArray(u2))
            for (let c4 of u2)
              i4 += Bc(a3 + "[]") + o2 + Bc(c4) + `
`;
          else
            u2 && typeof u2 == "object" ? n2.push(a3) : i4 += Bc(a3) + o2 + Bc(u2) + xR;
        }
        r2.section && i4.length && (i4 = "[" + Bc(r2.section) + "]" + xR + i4);
        for (let a3 of n2) {
          let u2 = aQ(a3).join("\\."), c4 = (r2.section ? r2.section + "." : "") + u2, { whitespace: l2 } = r2, f4 = DR(e3[a3], { section: c4, whitespace: l2 });
          i4.length && f4.length && (i4 += xR), i4 += f4;
        }
        return i4;
      }, aQ = (e3) => e3.replace(/\1/g, "LITERAL\\1LITERAL").replace(/\\\./g, "").split(/\./).map((r2) => r2.replace(/\1/g, "\\.").replace(/\2LITERAL\\1LITERAL\2/g, "")), oQ = (e3) => {
        let r2 = /* @__PURE__ */ Object.create(null), n2 = r2, i4 = null, o2 = /^\[([^\]]*)\]$|^([^=]+)(=(.*))?$/i, a3 = e3.split(/[\r\n]+/g);
        for (let c4 of a3) {
          if (!c4 || c4.match(/^\s*[;#]/))
            continue;
          let l2 = c4.match(o2);
          if (!l2)
            continue;
          if (l2[1] !== void 0) {
            if (i4 = wy(l2[1]), i4 === "__proto__") {
              n2 = /* @__PURE__ */ Object.create(null);
              continue;
            }
            n2 = r2[i4] = r2[i4] || /* @__PURE__ */ Object.create(null);
            continue;
          }
          let f4 = wy(l2[2]), p2 = f4.length > 2 && f4.slice(-2) === "[]", v2 = p2 ? f4.slice(0, -2) : f4;
          if (v2 === "__proto__")
            continue;
          let g2 = l2[3] ? wy(l2[4]) : true, S2 = g2 === "true" || g2 === "false" || g2 === "null" ? JSON.parse(g2) : g2;
          p2 && (SR.call(n2, v2) ? Array.isArray(n2[v2]) || (n2[v2] = [n2[v2]]) : n2[v2] = []), Array.isArray(n2[v2]) ? n2[v2].push(S2) : n2[v2] = S2;
        }
        let u2 = [];
        for (let c4 of Object.keys(r2)) {
          if (!SR.call(r2, c4) || typeof r2[c4] != "object" || Array.isArray(r2[c4]))
            continue;
          let l2 = aQ(c4), f4 = r2, p2 = l2.pop(), v2 = p2.replace(/\\\./g, ".");
          for (let g2 of l2)
            g2 !== "__proto__" && ((!SR.call(f4, g2) || typeof f4[g2] != "object") && (f4[g2] = /* @__PURE__ */ Object.create(null)), f4 = f4[g2]);
          f4 === r2 && v2 === p2 || (f4[v2] = r2[c4], u2.push(c4));
        }
        for (let c4 of u2)
          delete r2[c4];
        return r2;
      }, uQ = (e3) => e3.charAt(0) === '"' && e3.slice(-1) === '"' || e3.charAt(0) === "'" && e3.slice(-1) === "'", Bc = (e3) => typeof e3 != "string" || e3.match(/[=\r\n]/) || e3.match(/^\[/) || e3.length > 1 && uQ(e3) || e3 !== e3.trim() ? JSON.stringify(e3) : e3.replace(/;/g, "\\;").replace(/#/g, "\\#"), wy = (e3, r2) => {
        if (e3 = (e3 || "").trim(), uQ(e3)) {
          e3.charAt(0) === "'" && (e3 = e3.substr(1, e3.length - 2));
          try {
            e3 = JSON.parse(e3);
          } catch {
          }
        } else {
          let n2 = false, i4 = "";
          for (let o2 = 0, a3 = e3.length; o2 < a3; o2++) {
            let u2 = e3.charAt(o2);
            if (n2)
              "\\;#".indexOf(u2) !== -1 ? i4 += u2 : i4 += "\\" + u2, n2 = false;
            else {
              if (";#".indexOf(u2) !== -1)
                break;
              u2 === "\\" ? n2 = true : i4 += u2;
            }
          }
          return n2 && (i4 += "\\"), i4.trim();
        }
        return e3;
      };
      cQ.exports = { parse: oQ, decode: oQ, stringify: DR, encode: DR, safe: Bc, unsafe: wy };
    });
    var dQ = b((yi) => {
      "use strict";
      var Ft = require("path"), OR = require("os"), _y = require("fs"), H6e = lQ(), Nh = process.platform === "win32", fQ = (e3) => {
        try {
          return H6e.parse(_y.readFileSync(e3, "utf8")).prefix;
        } catch {
        }
      }, V6e = () => Object.keys(process.env).reduce((e3, r2) => /^npm_config_prefix$/i.test(r2) ? process.env[r2] : e3, void 0), K6e = () => {
        if (Nh && process.env.APPDATA)
          return Ft.join(process.env.APPDATA, "/npm/etc/npmrc");
        if (process.execPath.includes("/Cellar/node")) {
          let e3 = process.execPath.slice(0, process.execPath.indexOf("/Cellar/node"));
          return Ft.join(e3, "/lib/node_modules/npm/npmrc");
        }
        if (process.execPath.endsWith("/bin/node")) {
          let e3 = Ft.dirname(Ft.dirname(process.execPath));
          return Ft.join(e3, "/etc/npmrc");
        }
      }, z6e = () => {
        if (Nh) {
          let { APPDATA: e3 } = process.env;
          return e3 ? Ft.join(e3, "npm") : Ft.dirname(process.execPath);
        }
        return Ft.dirname(Ft.dirname(process.execPath));
      }, Y6e = () => {
        let e3 = V6e();
        if (e3)
          return e3;
        let r2 = fQ(Ft.join(OR.homedir(), ".npmrc"));
        if (r2)
          return r2;
        if (process.env.PREFIX)
          return process.env.PREFIX;
        let n2 = fQ(K6e());
        return n2 || z6e();
      }, Mh = Ft.resolve(Y6e()), hQ = () => {
        if (Nh && process.env.LOCALAPPDATA) {
          let e3 = Ft.join(process.env.LOCALAPPDATA, "Yarn");
          if (_y.existsSync(e3))
            return e3;
        }
        return false;
      }, J6e = () => {
        if (process.env.PREFIX)
          return process.env.PREFIX;
        let e3 = hQ();
        if (e3)
          return e3;
        let r2 = Ft.join(OR.homedir(), ".config/yarn");
        if (_y.existsSync(r2))
          return r2;
        let n2 = Ft.join(OR.homedir(), ".yarn-config");
        return _y.existsSync(n2) ? n2 : Mh;
      };
      yi.npm = {};
      yi.npm.prefix = Mh;
      yi.npm.packages = Ft.join(Mh, Nh ? "node_modules" : "lib/node_modules");
      yi.npm.binaries = Nh ? Mh : Ft.join(Mh, "bin");
      var pQ = Ft.resolve(J6e());
      yi.yarn = {};
      yi.yarn.prefix = pQ;
      yi.yarn.packages = Ft.join(pQ, hQ() ? "Data/global/node_modules" : "global/node_modules");
      yi.yarn.binaries = Ft.join(yi.yarn.packages, ".bin");
    });
    var gQ = b((CR, AR) => {
      "use strict";
      (function(e3) {
        CR && typeof CR == "object" && typeof AR < "u" ? AR.exports = e3() : typeof define == "function" && define.amd ? define([], e3) : typeof window < "u" ? window.isWindows = e3() : typeof global < "u" ? global.isWindows = e3() : typeof self < "u" ? self.isWindows = e3() : this.isWindows = e3();
      })(function() {
        "use strict";
        return function() {
          return process && (process.platform === "win32" || /^(msys|cygwin)$/.test(process.env.OSTYPE));
        };
      });
    });
    var PR = b((YHe, vQ) => {
      "use strict";
      var yQ = require("fs"), IR;
      function X6e() {
        try {
          return yQ.statSync("/.dockerenv"), true;
        } catch {
          return false;
        }
      }
      function Q6e() {
        try {
          return yQ.readFileSync("/proc/self/cgroup", "utf8").includes("docker");
        } catch {
          return false;
        }
      }
      vQ.exports = () => (IR === void 0 && (IR = X6e() || Q6e()), IR);
    });
    var LR = b((JHe, FR) => {
      "use strict";
      var Z6e = require("os"), e3e = require("fs"), bQ = PR(), EQ = () => {
        if (process.platform !== "linux")
          return false;
        if (Z6e.release().toLowerCase().includes("microsoft"))
          return !bQ();
        try {
          return e3e.readFileSync("/proc/version", "utf8").toLowerCase().includes("microsoft") ? !bQ() : false;
        } catch {
          return false;
        }
      };
      process.env.__IS_WSL_TEST__ ? FR.exports = EQ : FR.exports = EQ();
    });
    var wQ = b((XHe, xy) => {
      "use strict";
      xy.exports = (e3 = {}) => {
        let r2;
        if (e3.repoUrl)
          r2 = e3.repoUrl;
        else if (e3.user && e3.repo)
          r2 = `https://github.com/${e3.user}/${e3.repo}`;
        else
          throw new Error("You need to specify either the `repoUrl` option or both the `user` and `repo` options");
        let n2 = new URL(`${r2}/issues/new`), i4 = ["body", "title", "labels", "template", "milestone", "assignee", "projects"];
        for (let o2 of i4) {
          let a3 = e3[o2];
          if (a3 !== void 0) {
            if (o2 === "labels" || o2 === "projects") {
              if (!Array.isArray(a3))
                throw new TypeError(`The \`${o2}\` option should be an array`);
              a3 = a3.join(",");
            }
            n2.searchParams.set(o2, a3);
          }
        }
        return n2.toString();
      };
      xy.exports.default = xy.exports;
    });
    var OQ = b((QHe, DQ) => {
      "use strict";
      var { promisify: SQ } = require("util"), t3e = require("path"), r3e = require("child_process"), Dy = require("fs"), MR = LR(), n3e = PR(), xQ = SQ(Dy.access), i3e = SQ(Dy.readFile), _Q = t3e.join(__dirname, "xdg-open"), s3e = (() => {
        let e3 = "/mnt/", r2;
        return async function() {
          if (r2)
            return r2;
          let n2 = "/etc/wsl.conf", i4 = false;
          try {
            await xQ(n2, Dy.constants.F_OK), i4 = true;
          } catch {
          }
          if (!i4)
            return e3;
          let o2 = await i3e(n2, { encoding: "utf8" }), a3 = /root\s*=\s*(.*)/g.exec(o2);
          return a3 ? (r2 = a3[1].trim(), r2 = r2.endsWith("/") ? r2 : r2 + "/", r2) : e3;
        };
      })();
      DQ.exports = async (e3, r2) => {
        if (typeof e3 != "string")
          throw new TypeError("Expected a `target`");
        r2 = { wait: false, background: false, allowNonzeroExitCode: false, ...r2 };
        let n2, { app: i4 } = r2, o2 = [], a3 = [], u2 = {};
        if (Array.isArray(i4) && (o2 = i4.slice(1), i4 = i4[0]), process.platform === "darwin")
          n2 = "open", r2.wait && a3.push("--wait-apps"), r2.background && a3.push("--background"), i4 && a3.push("-a", i4);
        else if (process.platform === "win32" || MR && !n3e()) {
          let l2 = await s3e();
          n2 = MR ? `${l2}c/Windows/System32/WindowsPowerShell/v1.0/powershell.exe` : `${process.env.SYSTEMROOT}\\System32\\WindowsPowerShell\\v1.0\\powershell`, a3.push("-NoProfile", "-NonInteractive", "\u2013ExecutionPolicy", "Bypass", "-EncodedCommand"), MR || (u2.windowsVerbatimArguments = true);
          let f4 = ["Start"];
          r2.wait && f4.push("-Wait"), i4 ? (f4.push(`"\`"${i4}\`""`, "-ArgumentList"), o2.unshift(e3)) : f4.push(`"${e3}"`), o2.length > 0 && (o2 = o2.map((p2) => `"\`"${p2}\`""`), f4.push(o2.join(","))), e3 = Buffer.from(f4.join(" "), "utf16le").toString("base64");
        } else {
          if (i4)
            n2 = i4;
          else {
            let l2 = !__dirname || __dirname === "/", f4 = false;
            try {
              await xQ(_Q, Dy.constants.X_OK), f4 = true;
            } catch {
            }
            n2 = process.versions.electron || process.platform === "android" || l2 || !f4 ? "xdg-open" : _Q;
          }
          o2.length > 0 && a3.push(...o2), r2.wait || (u2.stdio = "ignore", u2.detached = true);
        }
        a3.push(e3), process.platform === "darwin" && o2.length > 0 && a3.push("--args", ...o2);
        let c4 = r3e.spawn(n2, a3, u2);
        return r2.wait ? new Promise((l2, f4) => {
          c4.once("error", f4), c4.once("close", (p2) => {
            if (r2.allowNonzeroExitCode && p2 > 0) {
              f4(new Error(`Exited with code ${p2}`));
              return;
            }
            l2(c4);
          });
        }) : (c4.unref(), c4);
      };
    });
    var GQ = b((hVe, UQ) => {
      "use strict";
      UQ.exports = (e3) => {
        if (typeof e3 != "string")
          throw new TypeError("Expected a string");
        return e3.replace(/[|\\{}()[\]^$+*?.]/g, "\\$&").replace(/-/g, "\\x2d");
      };
    });
    var c3e = {};
    Ma(c3e, { BinaryType: () => Pi.BinaryType, ClientEngineType: () => Iw, DEFAULT_CLIENT_ENGINE_TYPE: () => Pw, ErrorArea: () => xs, Generator: () => Lu, HelpError: () => Hl, RustPanic: () => Ir, SchemaEngineExitCode: () => Ix, arg: () => am, assertNever: () => XK, byline: () => nT, callOnceOnSuccess: () => ZK, canConnectToDatabase: () => Fx, canPrompt: () => gy, checkUnsupportedDataProxy: () => oM, chmodPlusX: () => bm, createDatabase: () => J7, credentialsToUri: () => _M, drawBox: () => sQ, dropDatabase: () => X7, engineEnvVarMap: () => Pi.engineEnvVarMap, extractPreviewFeatures: () => Rm, fixBinaryTargets: () => tg, format: () => gM, formatSchema: () => Bw, formatTable: () => Kp, formatms: () => sm, fsFunctional: () => Sb, fsUtils: () => Mp, getCLIPathHash: () => bM, getClientEngineType: () => im, getCommandWithExecutor: () => mQ, getConfig: () => Bo, getDMMF: () => Cu, getDirectUrl: () => Vb, getEffectiveUrl: () => vl, getEngineVersion: () => Dm, getEnginesMetaInfo: () => l_, getEnvPaths: () => rm, getGenerator: () => Mq, getGeneratorSuccessMessage: () => aM, getGenerators: () => AS, getLintWarningsAsText: () => Kl, getNodeAPIName: () => Oy.getNodeAPIName, getPackedPackage: () => K7, getPlatform: () => Oy.getPlatform, getPrismaConfigFromPackageJson: () => _w, getProjectHash: () => vM, getRelativeSchemaPath: () => xw, getSchema: () => WL, getSchemaDir: () => GL, getSchemaPath: () => Cs, getSchemaPathFromPackageJson: () => Sw, getSchemaPathFromPackageJsonSync: () => Ai, getSchemaPathSync: () => HL, handleLibraryLoadingErrors: () => _m, handleLintPanic: () => $w, handlePanic: () => NQ, hasOwnProperty: () => kQ, highlightDatamodel: () => ks, highlightSql: () => Yk, highlightTS: () => Jk, isCi: () => dy, isCurrentBinInstalledGlobally: () => Sy, isError: () => yM, isInteractive: () => my, isPromiseLike: () => $Q, isRustPanic: () => JP, keyBy: () => qQ, link: () => Dn, lintSchema: () => Vl, load: () => Sm, loadEnvFile: () => nm, logger: () => Ei, longestCommonPathPrefix: () => Fp, mapObjectValues: () => BQ, maskSchema: () => Ca, maxBy: () => jQ, maxWithComparator: () => NR, missingGeneratorMessage: () => l9, parseBinaryTargetsEnvValue: () => om, parseEnvValue: () => Ur, pathToPosix: () => Ya, pick: () => Im, platformRegex: () => VQ, printConfigWarnings: () => Pm, printGeneratorConfig: () => ng, protocolToConnectorType: () => kw, resolveBinary: () => ea, resolveUrl: () => bl, sendPanic: () => Y0, serializeQueryEngineName: () => KQ, setClassName: () => zQ, trimBlocksFromSchema: () => YQ, trimNewLine: () => kR, tryLoadEnvs: () => tm, unknownCommand: () => EM, uriToCredentials: () => SM, validate: () => p_, vercelPkgPathRegex: () => Zo, version: () => zp, warnOnce: () => XQ, wasm: () => Db });
    module.exports = qR(c3e);
    var Ei = {};
    Ma(Ei, { error: () => uZ, info: () => aZ, log: () => oZ, query: () => cZ, should: () => HR, tags: () => Uc, warn: () => Iy });
    var Ay;
    var jR;
    var UR;
    var GR;
    var WR = true;
    typeof process < "u" && ({ FORCE_COLOR: Ay, NODE_DISABLE_COLORS: jR, NO_COLOR: UR, TERM: GR } = process.env || {}, WR = process.stdout && process.stdout.isTTY);
    var sZ = { enabled: !jR && UR == null && GR !== "dumb" && (Ay != null && Ay !== "0" || WR) };
    function He(e3, r2) {
      let n2 = new RegExp(`\\x1b\\[${r2}m`, "g"), i4 = `\x1B[${e3}m`, o2 = `\x1B[${r2}m`;
      return function(a3) {
        return !sZ.enabled || a3 == null ? a3 : i4 + (~("" + a3).indexOf(o2) ? a3.replace(n2, o2 + i4) : a3) + o2;
      };
    }
    var qh = He(0, 0);
    var z = He(1, 22);
    var pr = He(2, 22);
    var f3e = He(3, 23);
    var kr = He(4, 24);
    var h3e = He(7, 27);
    var p3e = He(8, 28);
    var d3e = He(9, 29);
    var m3e = He(30, 39);
    var dt = He(31, 39);
    var Mt = He(32, 39);
    var Zt = He(33, 39);
    var Bn = He(34, 39);
    var g3e = He(35, 39);
    var ss = He(36, 39);
    var y3e = He(37, 39);
    var Na = He(90, 39);
    var as = He(90, 39);
    var v3e = He(40, 49);
    var b3e = He(41, 49);
    var E3e = He(42, 49);
    var w3e = He(43, 49);
    var _3e = He(44, 49);
    var S3e = He(45, 49);
    var x3e = He(46, 49);
    var D3e = He(47, 49);
    var Uc = { error: dt("prisma:error"), warn: Zt("prisma:warn"), info: ss("prisma:info"), query: Bn("prisma:query") };
    var HR = { warn: () => !process.env.PRISMA_DISABLE_WARNINGS };
    function oZ(...e3) {
      console.log(...e3);
    }
    function Iy(e3, ...r2) {
      HR.warn() && console.warn(`${Uc.warn} ${e3}`, ...r2);
    }
    function aZ(e3, ...r2) {
      console.info(`${Uc.info} ${e3}`, ...r2);
    }
    function uZ(e3, ...r2) {
      console.error(`${Uc.error} ${e3}`, ...r2);
    }
    function cZ(e3, ...r2) {
      console.log(`${Uc.query} ${e3}`, ...r2);
    }
    var Sb = {};
    Ma(Sb, { createDirIfNotExists: () => Bce, getFilesInDir: () => Vce, getNestedFoldersInDir: () => Hce, removeDir: () => Gce, removeEmptyDirs: () => Uce, removeFile: () => Wce, writeFile: () => jce });
    var wb = j(Ve());
    var Ja = j(hA());
    var _b = j(require("fs/promises"));
    var Mp = {};
    Ma(Mp, { createDirIfNotExists: () => yb, getFilesInDir: () => Eb, getNestedFoldersInDir: () => bb, getTopLevelFoldersInDir: () => qce, removeEmptyDirs: () => Lp, writeFile: () => vb });
    var ws = j(require("fs/promises"));
    var gb = j(Pp());
    var fl = j(require("path"));
    var rn = j(require("path"));
    function Ya(e3) {
      return rn.default.sep === rn.default.posix.sep ? e3 : e3.split(rn.default.sep).join(rn.default.posix.sep);
    }
    function Fp(e3, r2) {
      if (!rn.default.isAbsolute(e3) || !rn.default.isAbsolute(r2))
        throw new Error("longestCommonPathPrefix expects absolute paths");
      process.platform === "win32" && (e3.startsWith("\\\\") || r2.startsWith("\\\\")) && (e3 = rn.default.toNamespacedPath(e3), r2 = rn.default.toNamespacedPath(r2));
      let n2 = $ce(e3.split(rn.default.sep), r2.split(rn.default.sep)).join(rn.default.sep);
      if (n2 === "")
        return process.platform === "win32" ? void 0 : "/";
      if (!(process.platform === "win32" && ["\\", "\\\\?", "\\\\."].includes(n2)))
        return process.platform === "win32" && n2.endsWith(":") ? n2 + "\\" : n2;
    }
    function $ce(e3, r2) {
      let n2 = Math.min(e3.length, r2.length), i4 = 0;
      for (; i4 <= n2 && e3[i4] === r2[i4]; )
        i4++;
      return e3.slice(0, i4);
    }
    function yb(e3) {
      return ws.default.mkdir(e3, { recursive: true });
    }
    function vb({ path: e3, content: r2 }) {
      return ws.default.writeFile(e3, r2, { encoding: "utf-8" });
    }
    async function qce(e3) {
      return (await ws.default.readdir(e3, { withFileTypes: true })).filter((n2) => n2.isDirectory()).map((n2) => Ya(fl.default.join(e3, n2.name)));
    }
    function bb(e3) {
      let r2 = Ya(fl.default.join(e3, "**"));
      return (0, gb.default)(r2, { onlyFiles: false, onlyDirectories: true });
    }
    function Eb(e3, r2 = "**") {
      let n2 = Ya(fl.default.join(e3, r2));
      return (0, gb.default)(n2, { onlyFiles: true, onlyDirectories: false });
    }
    async function Lp(e3) {
      try {
        if (!(await ws.default.lstat(e3)).isDirectory())
          return;
      } catch {
        return;
      }
      let r2 = await ws.default.readdir(e3);
      if (r2.length > 0) {
        let i4 = r2.map((o2) => Lp(fl.default.join(e3, o2)));
        await Promise.all(i4);
      }
      (await ws.default.readdir(e3)).length === 0 && await ws.default.rmdir(e3);
    }
    var Bce = (e3) => Ja.tryCatch(() => yb(e3), hl("fs-create-dir", { dir: e3 }));
    var jce = (e3) => Ja.tryCatch(() => vb(e3), hl("fs-write-file", e3));
    var Uce = (e3) => Ja.tryCatch(() => Lp(e3), hl("fs-remove-empty-dirs", { dir: e3 }));
    var Gce = (e3) => (0, wb.pipe)(Ja.tryCatch(() => _b.default.rm(e3, { recursive: true }), hl("fs-remove-dir", { dir: e3 })));
    var Wce = (e3) => (0, wb.pipe)(Ja.tryCatch(() => _b.default.unlink(e3), hl("fs-remove-file", { filePath: e3 })));
    var Hce = (e3) => () => bb(e3);
    var Vce = (e3, r2 = "**") => () => Eb(e3, r2);
    function hl(e3, r2) {
      return (n2) => ({ type: e3, error: n2, meta: r2 });
    }
    var Db = {};
    Ma(Db, { prismaSchemaWasm: () => ir.default, prismaSchemaWasmVersion: () => Yce });
    var ir = j(require_prisma_schema_build());
    var Np = class {
      constructor() {
        this.message = "";
      }
      get() {
        return `${this.message}`;
      }
      set_message(r2) {
        this.message = `RuntimeError: ${r2}`;
      }
    };
    var { dependencies: zce } = xb();
    var Yce = zce["@prisma/prisma-schema-wasm"];
    globalThis.PRISMA_WASM_PANIC_REGISTRY = new Np();
    var sM = j(require("fs"));
    var T5 = j((init_src(), __toCommonJS(src_exports)));
    var Hb = (init_src2(), __toCommonJS(src_exports2));
    var Jce = function(e3, r2, n2) {
      if (n2 || arguments.length === 2)
        for (var i4 = 0, o2 = r2.length, a3; i4 < o2; i4++)
          (a3 || !(i4 in r2)) && (a3 || (a3 = Array.prototype.slice.call(r2, 0, i4)), a3[i4] = r2[i4]);
      return e3.concat(a3 || Array.prototype.slice.call(r2));
    };
    function pl(e3) {
      return e3;
    }
    function nn(e3, r2, n2, i4, o2, a3, u2, c4, l2) {
      switch (arguments.length) {
        case 1:
          return e3;
        case 2:
          return function() {
            return r2(e3.apply(this, arguments));
          };
        case 3:
          return function() {
            return n2(r2(e3.apply(this, arguments)));
          };
        case 4:
          return function() {
            return i4(n2(r2(e3.apply(this, arguments))));
          };
        case 5:
          return function() {
            return o2(i4(n2(r2(e3.apply(this, arguments)))));
          };
        case 6:
          return function() {
            return a3(o2(i4(n2(r2(e3.apply(this, arguments))))));
          };
        case 7:
          return function() {
            return u2(a3(o2(i4(n2(r2(e3.apply(this, arguments)))))));
          };
        case 8:
          return function() {
            return c4(u2(a3(o2(i4(n2(r2(e3.apply(this, arguments))))))));
          };
        case 9:
          return function() {
            return l2(c4(u2(a3(o2(i4(n2(r2(e3.apply(this, arguments)))))))));
          };
      }
    }
    function Rr(e3, r2, n2, i4, o2, a3, u2, c4, l2) {
      switch (arguments.length) {
        case 1:
          return e3;
        case 2:
          return r2(e3);
        case 3:
          return n2(r2(e3));
        case 4:
          return i4(n2(r2(e3)));
        case 5:
          return o2(i4(n2(r2(e3))));
        case 6:
          return a3(o2(i4(n2(r2(e3)))));
        case 7:
          return u2(a3(o2(i4(n2(r2(e3))))));
        case 8:
          return c4(u2(a3(o2(i4(n2(r2(e3)))))));
        case 9:
          return l2(c4(u2(a3(o2(i4(n2(r2(e3))))))));
        default: {
          for (var f4 = arguments[0], p2 = 1; p2 < arguments.length; p2++)
            f4 = arguments[p2](f4);
          return f4;
        }
      }
    }
    var Ue = function(e3, r2) {
      var n2 = typeof e3 == "number" ? function(i4) {
        return i4.length >= e3;
      } : e3;
      return function() {
        var i4 = Array.from(arguments);
        return n2(arguments) ? r2.apply(this, i4) : function(o2) {
          return r2.apply(void 0, Jce([o2], i4, false));
        };
      };
    };
    var IP = function(e3) {
      return e3._tag === "Some";
    };
    var PP = { _tag: "None" };
    var FP = function(e3) {
      return { _tag: "Some", value: e3 };
    };
    var Ob = function(e3) {
      return e3._tag === "Left";
    };
    var LP = function(e3) {
      return e3._tag === "Right";
    };
    var kp = function(e3) {
      return { _tag: "Left", left: e3 };
    };
    var $p = function(e3) {
      return { _tag: "Right", right: e3 };
    };
    var Tb = function(e3, r2) {
      return Ue(2, function(n2, i4) {
        return r2.flatMap(n2, function(o2) {
          return e3.fromIO(i4(o2));
        });
      });
    };
    function MP(e3, r2) {
      return function(n2) {
        return function(i4) {
          return e3.ap(e3.map(i4, function(o2) {
            return function(a3) {
              return r2.ap(o2, a3);
            };
          }), n2);
        };
      };
    }
    function NP(e3, r2) {
      return function(n2) {
        return function(i4) {
          return e3.map(i4, function(o2) {
            return r2.map(o2, n2);
          });
        };
      };
    }
    function Ti(e3) {
      return function(r2, n2) {
        return e3.map(r2, function() {
          return n2;
        });
      };
    }
    function _s(e3) {
      var r2 = Ti(e3);
      return function(n2) {
        return r2(n2, void 0);
      };
    }
    function Cr(e3) {
      return function(r2, n2) {
        return e3.chain(r2, function(i4) {
          return e3.map(n2(i4), function() {
            return i4;
          });
        });
      };
    }
    function Rb(e3) {
      return function(r2) {
        return nn(r2, e3.fromEither);
      };
    }
    function jp(e3, r2) {
      var n2 = Rb(e3), i4 = Cr(r2);
      return function(o2, a3) {
        return i4(o2, n2(a3));
      };
    }
    var dl = kp;
    var No = $p;
    var kP = Ue(2, function(e3, r2) {
      return Ar(e3) ? e3 : r2(e3.right);
    });
    var kb = function(e3, r2) {
      return Rr(e3, ko(r2));
    };
    var $P = function(e3, r2) {
      return Rr(e3, rle(r2));
    };
    var Up = "Either";
    var ko = function(e3) {
      return function(r2) {
        return Ar(r2) ? r2 : No(e3(r2.right));
      };
    };
    var Gp = { URI: Up, map: kb };
    var BLe = Ue(2, Ti(Gp));
    var jLe = _s(Gp);
    var tle = function(e3) {
      return function(r2) {
        return Ar(r2) ? r2 : Ar(e3) ? e3 : No(r2.right(e3.right));
      };
    };
    var rle = tle;
    var qP = { URI: Up, map: kb, ap: $P };
    var nle = { URI: Up, map: kb, ap: $P, chain: kP };
    var BP = function(e3, r2) {
      return function(n2) {
        return Ar(n2) ? dl(e3(n2.left)) : No(r2(n2.right));
      };
    };
    var jP = function(e3) {
      return function(r2) {
        return Ar(r2) ? dl(e3(r2.left)) : r2;
      };
    };
    var ile = { URI: Up, fromEither: pl };
    var Ar = Ob;
    var Ri = LP;
    var UP = function(e3) {
      return function(r2) {
        return Ar(r2) ? e3(r2.left) : r2.right;
      };
    };
    var ULe = Ue(2, Cr(nle));
    var GLe = { fromEither: ile.fromEither };
    var zn = function(e3, r2) {
      try {
        return No(e3());
      } catch (n2) {
        return dl(r2(n2));
      }
    };
    var Wp = kP;
    var R5 = j(Ve());
    var Sn = Symbol("@ts-pattern/matcher");
    var Vp = "@ts-pattern/anonymous-select-key";
    var $b = function(e3) {
      return !!(e3 && typeof e3 == "object");
    };
    var Hp = function(e3) {
      return e3 && !!e3[Sn];
    };
    var $o = function e3(r2, n2, i4) {
      if ($b(r2)) {
        if (Hp(r2)) {
          var o2 = r2[Sn]().match(n2), a3 = o2.matched, u2 = o2.selections;
          return a3 && u2 && Object.keys(u2).forEach(function(l2) {
            return i4(l2, u2[l2]);
          }), a3;
        }
        if (!$b(n2))
          return false;
        if (Array.isArray(r2))
          return !!Array.isArray(n2) && r2.length === n2.length && r2.every(function(l2, f4) {
            return e3(l2, n2[f4], i4);
          });
        if (r2 instanceof Map)
          return n2 instanceof Map && Array.from(r2.keys()).every(function(l2) {
            return e3(r2.get(l2), n2.get(l2), i4);
          });
        if (r2 instanceof Set) {
          if (!(n2 instanceof Set))
            return false;
          if (r2.size === 0)
            return n2.size === 0;
          if (r2.size === 1) {
            var c4 = Array.from(r2.values())[0];
            return Hp(c4) ? Array.from(n2.values()).every(function(l2) {
              return e3(c4, l2, i4);
            }) : n2.has(c4);
          }
          return Array.from(r2.values()).every(function(l2) {
            return n2.has(l2);
          });
        }
        return Object.keys(r2).every(function(l2) {
          var f4, p2 = r2[l2];
          return (l2 in n2 || Hp(f4 = p2) && f4[Sn]().matcherType === "optional") && e3(p2, n2[l2], i4);
        });
      }
      return Object.is(n2, r2);
    };
    var Ss = function e3(r2) {
      var n2, i4, o2;
      return $b(r2) ? Hp(r2) ? (n2 = (i4 = (o2 = r2[Sn]()).getSelectionKeys) == null ? void 0 : i4.call(o2)) != null ? n2 : [] : Array.isArray(r2) ? ml(r2, e3) : ml(Object.values(r2), e3) : [];
    };
    var ml = function(e3, r2) {
      return e3.reduce(function(n2, i4) {
        return n2.concat(r2(i4));
      }, []);
    };
    function GP(e3) {
      var r2;
      return (r2 = {})[Sn] = function() {
        return { match: function(n2) {
          var i4 = {}, o2 = function(a3, u2) {
            i4[a3] = u2;
          };
          return n2 === void 0 ? (Ss(e3).forEach(function(a3) {
            return o2(a3, void 0);
          }), { matched: true, selections: i4 }) : { matched: $o(e3, n2, o2), selections: i4 };
        }, getSelectionKeys: function() {
          return Ss(e3);
        }, matcherType: "optional" };
      }, r2;
    }
    function WP(e3) {
      var r2;
      return (r2 = {})[Sn] = function() {
        return { match: function(n2) {
          if (!Array.isArray(n2))
            return { matched: false };
          var i4 = {};
          if (n2.length === 0)
            return Ss(e3).forEach(function(a3) {
              i4[a3] = [];
            }), { matched: true, selections: i4 };
          var o2 = function(a3, u2) {
            i4[a3] = (i4[a3] || []).concat([u2]);
          };
          return { matched: n2.every(function(a3) {
            return $o(e3, a3, o2);
          }), selections: i4 };
        }, getSelectionKeys: function() {
          return Ss(e3);
        } };
      }, r2;
    }
    function HP() {
      var e3, r2 = [].slice.call(arguments);
      return (e3 = {})[Sn] = function() {
        return { match: function(n2) {
          var i4 = {}, o2 = function(a3, u2) {
            i4[a3] = u2;
          };
          return { matched: r2.every(function(a3) {
            return $o(a3, n2, o2);
          }), selections: i4 };
        }, getSelectionKeys: function() {
          return ml(r2, Ss);
        }, matcherType: "and" };
      }, e3;
    }
    function VP() {
      var e3, r2 = [].slice.call(arguments);
      return (e3 = {})[Sn] = function() {
        return { match: function(n2) {
          var i4 = {}, o2 = function(a3, u2) {
            i4[a3] = u2;
          };
          return ml(r2, Ss).forEach(function(a3) {
            return o2(a3, void 0);
          }), { matched: r2.some(function(a3) {
            return $o(a3, n2, o2);
          }), selections: i4 };
        }, getSelectionKeys: function() {
          return ml(r2, Ss);
        }, matcherType: "or" };
      }, e3;
    }
    function KP(e3) {
      var r2;
      return (r2 = {})[Sn] = function() {
        return { match: function(n2) {
          return { matched: !$o(e3, n2, function() {
          }) };
        }, getSelectionKeys: function() {
          return [];
        }, matcherType: "not" };
      }, r2;
    }
    function Yn(e3) {
      var r2;
      return (r2 = {})[Sn] = function() {
        return { match: function(n2) {
          return { matched: !!e3(n2) };
        } };
      }, r2;
    }
    function zP() {
      var e3, r2 = [].slice.call(arguments), n2 = typeof r2[0] == "string" ? r2[0] : void 0, i4 = r2.length === 2 ? r2[1] : typeof r2[0] == "string" ? void 0 : r2[0];
      return (e3 = {})[Sn] = function() {
        return { match: function(o2) {
          var a3, u2 = ((a3 = {})[n2 ?? Vp] = o2, a3);
          return { matched: i4 === void 0 || $o(i4, o2, function(c4, l2) {
            u2[c4] = l2;
          }), selections: u2 };
        }, getSelectionKeys: function() {
          return [n2 ?? Vp].concat(i4 === void 0 ? [] : Ss(i4));
        } };
      }, e3;
    }
    var YP = Yn(function(e3) {
      return true;
    });
    var sle = YP;
    var ole = Yn(function(e3) {
      return typeof e3 == "string";
    });
    var ale = Yn(function(e3) {
      return typeof e3 == "number";
    });
    var ule = Yn(function(e3) {
      return typeof e3 == "boolean";
    });
    var cle = Yn(function(e3) {
      return typeof e3 == "bigint";
    });
    var lle = Yn(function(e3) {
      return typeof e3 == "symbol";
    });
    var fle = Yn(function(e3) {
      return e3 == null;
    });
    var jr = { __proto__: null, optional: GP, array: WP, intersection: HP, union: VP, not: KP, when: Yn, select: zP, any: YP, _: sle, string: ole, number: ale, boolean: ule, bigint: cle, symbol: lle, nullish: fle, instanceOf: function(e3) {
      return Yn(function(r2) {
        return function(n2) {
          return n2 instanceof r2;
        };
      }(e3));
    }, typed: function() {
      return { array: WP, optional: GP, intersection: HP, union: VP, not: KP, select: zP, when: Yn };
    } };
    function it(e3) {
      return new hle(e3, []);
    }
    var hle = function() {
      function e3(n2, i4) {
        this.value = void 0, this.cases = void 0, this.value = n2, this.cases = i4;
      }
      var r2 = e3.prototype;
      return r2.with = function() {
        var n2 = [].slice.call(arguments), i4 = n2[n2.length - 1], o2 = [n2[0]], a3 = [];
        return n2.length === 3 && typeof n2[1] == "function" ? (o2.push(n2[0]), a3.push(n2[1])) : n2.length > 2 && o2.push.apply(o2, n2.slice(1, n2.length - 1)), new e3(this.value, this.cases.concat([{ match: function(u2) {
          var c4 = {}, l2 = !!(o2.some(function(f4) {
            return $o(f4, u2, function(p2, v2) {
              c4[p2] = v2;
            });
          }) && a3.every(function(f4) {
            return f4(u2);
          }));
          return { matched: l2, value: l2 && Object.keys(c4).length ? Vp in c4 ? c4[Vp] : c4 : u2 };
        }, handler: i4 }]));
      }, r2.when = function(n2, i4) {
        return new e3(this.value, this.cases.concat([{ match: function(o2) {
          return { matched: !!n2(o2), value: o2 };
        }, handler: i4 }]));
      }, r2.otherwise = function(n2) {
        return new e3(this.value, this.cases.concat([{ match: function(i4) {
          return { matched: true, value: i4 };
        }, handler: n2 }])).run();
      }, r2.exhaustive = function() {
        return this.run();
      }, r2.run = function() {
        for (var n2 = this.value, i4 = void 0, o2 = 0; o2 < this.cases.length; o2++) {
          var a3 = this.cases[o2], u2 = a3.match(this.value);
          if (u2.matched) {
            n2 = u2.value, i4 = a3.handler;
            break;
          }
        }
        if (!i4) {
          var c4;
          try {
            c4 = JSON.stringify(this.value);
          } catch {
            c4 = this.value;
          }
          throw new Error("Pattern matching error: no pattern matches value " + c4);
        }
        return i4(n2, this.value);
      }, e3;
    }();
    var Ir = class extends Error {
      constructor(n2, i4, o2, a3, u2, c4, l2) {
        super(n2);
        this.__typename = "RustPanic";
        this.name = "RustPanic", this.rustStack = i4, this.request = o2, this.area = a3, this.schemaPath = u2, this.schema = c4, this.introspectionUrl = l2;
      }
    };
    function JP(e3) {
      return e3.__typename === "RustPanic";
    }
    var xs = ((u2) => (u2.LIFT_CLI = "LIFT_CLI", u2.PHOTON_STUDIO = "PHOTON_STUDIO", u2.INTROSPECTION_CLI = "INTROSPECTION_CLI", u2.FMT_CLI = "FMT_CLI", u2.QUERY_ENGINE_BINARY_CLI = "QUERY_ENGINE_BINARY_CLI", u2.QUERY_ENGINE_LIBRARY_CLI = "QUERY_ENGINE_LIBRARY_CLI", u2))(xs || {});
    function Qa(e3) {
      return e3.name === "RuntimeError";
    }
    function Jn(e3) {
      let r2 = globalThis.PRISMA_WASM_PANIC_REGISTRY.get(), n2 = [r2, ...(e3.stack || "NO_BACKTRACE").split(`
`).slice(1)].join(`
`);
      return { message: r2, stack: n2 };
    }
    function ple(e3) {
      return e3.toString().toLowerCase().replace(/\s+/g, "-");
    }
    function Kp(e3, r2 = { json: false }) {
      if (r2.json) {
        let i4 = e3.reduce((o2, [a3, u2]) => (o2[ple(a3)] = u2, o2), {});
        return JSON.stringify(i4, null, 2);
      }
      let n2 = e3.reduce((i4, o2) => Math.max(i4, o2[0].length), 0);
      return e3.map(([i4, o2]) => `${i4.padEnd(n2)} : ${o2}`).join(`
`);
    }
    var dle = xb();
    var zp = dle.version;
    function Za(e3) {
      return `${e3}

${Kp([["Prisma CLI Version", zp]])}`;
    }
    var rd = j(Ve());
    var eu = PP;
    var Yp = FP;
    var mle = function(e3) {
      return e3._tag === "Left" ? eu : Yp(e3.right);
    };
    var XP = function(e3, r2) {
      return Rr(e3, Bb(r2));
    };
    var gle = function(e3, r2) {
      return Rr(e3, yle(r2));
    };
    var qb = "Option";
    var Bb = function(e3) {
      return function(r2) {
        return tu(r2) ? eu : Yp(e3(r2.value));
      };
    };
    var QP = { URI: qb, map: XP };
    var nMe = Ue(2, Ti(QP));
    var iMe = _s(QP);
    var yle = function(e3) {
      return function(r2) {
        return tu(r2) || tu(e3) ? eu : Yp(r2.value(e3.value));
      };
    };
    var vle = Ue(2, function(e3, r2) {
      return tu(e3) ? eu : r2(e3.value);
    });
    var ZP = { URI: qb, map: XP, ap: gle, chain: vle };
    var sMe = Ue(2, function(e3, r2) {
      return tu(e3) ? r2() : e3;
    });
    var ble = mle;
    var Ele = { URI: qb, fromEither: ble };
    var e5 = IP;
    var tu = function(e3) {
      return e3._tag === "None";
    };
    var wle = function(e3, r2) {
      return function(n2) {
        return tu(n2) ? e3() : r2(n2.value);
      };
    };
    var _le = wle;
    var t5 = _le;
    var oMe = Ue(2, Cr(ZP));
    var aMe = Ue(2, jp(Ele, ZP));
    var r5 = function(e3) {
      return e3 == null ? eu : Yp(e3);
    };
    function n5(e3) {
      return nn(No, e3.of);
    }
    function i5(e3) {
      return function(r2) {
        return e3.map(r2, No);
      };
    }
    function s5(e3) {
      return NP(e3, Gp);
    }
    function o5(e3) {
      return MP(e3, qP);
    }
    function a5(e3) {
      return function(r2, n2) {
        return e3.chain(r2, function(i4) {
          return Ar(i4) ? e3.of(i4) : n2(i4.right);
        });
      };
    }
    function u5(e3) {
      return function(r2, n2, i4) {
        return e3.map(r2, BP(n2, i4));
      };
    }
    function c5(e3) {
      return function(r2, n2) {
        return e3.map(r2, jP(n2));
      };
    }
    function l5(e3) {
      return function(r2) {
        return function(n2) {
          return e3.chain(n2, function(i4) {
            return Ar(i4) ? r2(i4.left) : e3.of(i4);
          });
        };
      };
    }
    function f5(e3) {
      var r2 = l5(e3);
      return function(n2, i4) {
        return Rr(n2, r2(function(o2) {
          return e3.map(i4(o2), function(a3) {
            return Ar(a3) ? a3 : dl(o2);
          });
        }));
      };
    }
    function Jp(e3, r2) {
      var n2 = Cr(r2);
      return function(i4, o2) {
        return n2(i4, nn(o2, e3.fromIO));
      };
    }
    function h5(e3, r2) {
      var n2 = Cr(r2);
      return function(i4, o2) {
        return n2(i4, nn(o2, e3.fromTask));
      };
    }
    var jb = function(e3) {
      return function() {
        return Promise.resolve().then(e3);
      };
    };
    var Xp = function(e3, r2) {
      return Rr(e3, p5(r2));
    };
    var Ub = function(e3, r2) {
      return Rr(e3, Rle(r2));
    };
    var p5 = function(e3) {
      return function(r2) {
        return function() {
          return Promise.resolve().then(r2).then(e3);
        };
      };
    };
    var Rle = function(e3) {
      return function(r2) {
        return function() {
          return Promise.all([Promise.resolve().then(r2), Promise.resolve().then(e3)]).then(function(n2) {
            var i4 = n2[0], o2 = n2[1];
            return i4(o2);
          });
        };
      };
    };
    var Qp = function(e3) {
      return function() {
        return Promise.resolve(e3);
      };
    };
    var Zp = Ue(2, function(e3, r2) {
      return function() {
        return Promise.resolve().then(e3).then(function(n2) {
          return r2(n2)();
        });
      };
    });
    var ru = "Task";
    var qo = { URI: ru, map: Xp };
    var xMe = Ue(2, Ti(qo));
    var DMe = _s(qo);
    var d5 = { URI: ru, of: Qp };
    var m5 = { URI: ru, map: Xp, ap: Ub };
    var g5 = { URI: ru, map: Xp, ap: Ub, chain: Zp };
    var Gb = { URI: ru, map: Xp, of: Qp, ap: Ub, chain: Zp };
    var y5 = { URI: ru, fromIO: jb };
    var Cle = { flatMap: Zp };
    var Ale = { fromIO: y5.fromIO };
    var OMe = Tb(Ale, Cle);
    var TMe = Ue(2, Cr(g5));
    var RMe = Ue(2, Jp(y5, g5));
    var Ple = function(e3, r2, n2, i4) {
      function o2(a3) {
        return a3 instanceof n2 ? a3 : new n2(function(u2) {
          u2(a3);
        });
      }
      return new (n2 || (n2 = Promise))(function(a3, u2) {
        function c4(p2) {
          try {
            f4(i4.next(p2));
          } catch (v2) {
            u2(v2);
          }
        }
        function l2(p2) {
          try {
            f4(i4.throw(p2));
          } catch (v2) {
            u2(v2);
          }
        }
        function f4(p2) {
          p2.done ? a3(p2.value) : o2(p2.value).then(c4, l2);
        }
        f4((i4 = i4.apply(e3, r2 || [])).next());
      });
    };
    var Fle = function(e3, r2) {
      var n2 = { label: 0, sent: function() {
        if (a3[0] & 1)
          throw a3[1];
        return a3[1];
      }, trys: [], ops: [] }, i4, o2, a3, u2;
      return u2 = { next: c4(0), throw: c4(1), return: c4(2) }, typeof Symbol == "function" && (u2[Symbol.iterator] = function() {
        return this;
      }), u2;
      function c4(f4) {
        return function(p2) {
          return l2([f4, p2]);
        };
      }
      function l2(f4) {
        if (i4)
          throw new TypeError("Generator is already executing.");
        for (; u2 && (u2 = 0, f4[0] && (n2 = 0)), n2; )
          try {
            if (i4 = 1, o2 && (a3 = f4[0] & 2 ? o2.return : f4[0] ? o2.throw || ((a3 = o2.return) && a3.call(o2), 0) : o2.next) && !(a3 = a3.call(o2, f4[1])).done)
              return a3;
            switch (o2 = 0, a3 && (f4 = [f4[0] & 2, a3.value]), f4[0]) {
              case 0:
              case 1:
                a3 = f4;
                break;
              case 4:
                return n2.label++, { value: f4[1], done: false };
              case 5:
                n2.label++, o2 = f4[1], f4 = [0];
                continue;
              case 7:
                f4 = n2.ops.pop(), n2.trys.pop();
                continue;
              default:
                if (a3 = n2.trys, !(a3 = a3.length > 0 && a3[a3.length - 1]) && (f4[0] === 6 || f4[0] === 2)) {
                  n2 = 0;
                  continue;
                }
                if (f4[0] === 3 && (!a3 || f4[1] > a3[0] && f4[1] < a3[3])) {
                  n2.label = f4[1];
                  break;
                }
                if (f4[0] === 6 && n2.label < a3[1]) {
                  n2.label = a3[1], a3 = f4;
                  break;
                }
                if (a3 && n2.label < a3[2]) {
                  n2.label = a3[2], n2.ops.push(f4);
                  break;
                }
                a3[2] && n2.ops.pop(), n2.trys.pop();
                continue;
            }
            f4 = r2.call(e3, n2);
          } catch (p2) {
            f4 = [6, p2], o2 = 0;
          } finally {
            i4 = a3 = 0;
          }
        if (f4[0] & 5)
          throw f4[1];
        return { value: f4[0] ? f4[1] : void 0, done: true };
      }
    };
    var v5 = n5(d5);
    var b5 = i5(qo);
    var Lle = nn(jb, b5);
    var E5 = Lle;
    var Mle = b5;
    var gl = Qp;
    var nu = function(e3, r2) {
      return function() {
        return Ple(void 0, void 0, void 0, function() {
          var n2;
          return Fle(this, function(i4) {
            switch (i4.label) {
              case 0:
                return i4.trys.push([0, 2, , 3]), [4, e3().then($p)];
              case 1:
                return [2, i4.sent()];
              case 2:
                return n2 = i4.sent(), [2, kp(r2(n2))];
              case 3:
                return [2];
            }
          });
        });
      };
    };
    var sNe = Ue(2, f5(Gb));
    var w5 = function(e3, r2) {
      return Rr(e3, kle(r2));
    };
    var Nle = function(e3, r2) {
      return Rr(e3, $le(r2));
    };
    var kle = s5(qo);
    var oNe = Ue(3, u5(qo));
    var aNe = Ue(2, c5(qo));
    var $le = o5(m5);
    var Wb = Ue(2, a5(Gb));
    var yl = "TaskEither";
    var _5 = { URI: yl, map: w5 };
    var uNe = Ue(2, Ti(_5));
    var cNe = _s(_5);
    var ed = { URI: yl, map: w5, ap: Nle, chain: Wb };
    var S5 = { URI: yl, fromEither: gl };
    var x5 = { URI: yl, fromIO: E5 };
    var qle = { URI: yl, fromIO: E5, fromTask: Mle };
    var lNe = Ue(2, Cr(ed));
    var fNe = Ue(2, jp(S5, ed));
    var hNe = Ue(2, Jp(x5, ed));
    var pNe = Ue(2, h5(qle, ed));
    var dNe = { fromEither: S5.fromEither };
    var mNe = { fromIO: x5.fromIO };
    var D5 = Wb;
    var O5 = Wb;
    var iu = (e3, r2) => ({ type: n2, reason: i4, error: o2 }) => {
      e3(`error of type "${n2}" in ${r2}:
`, { reason: i4, error: o2 });
    };
    function Ble(e3) {
      return `${dt(z("Prisma schema validation"))} - ${e3}`;
    }
    function su({ errorOutput: e3, reason: r2 }) {
      return (0, rd.pipe)(zn(() => JSON.parse(e3), () => ({ _tag: "unparsed", message: e3, reason: r2 })), ko((i4) => {
        let o2 = dt(z(i4.message)), a3 = it(i4).with({ error_code: "P1012" }, (u2) => ({ reason: Ble(r2), errorCode: u2.error_code })).with({ error_code: jr.string }, (u2) => ({ reason: r2, errorCode: u2.error_code })).otherwise(() => ({ reason: r2 }));
        return { _tag: "parsed", message: o2, ...a3 };
      }), UP(rd.identity));
    }
    var nd = (0, T5.default)("prisma:getConfig");
    var id = class extends Error {
      constructor(r2) {
        let i4 = `${it(r2).with({ _tag: "parsed" }, ({ errorCode: o2, message: a3, reason: u2 }) => {
          let c4 = o2 ? `Error code: ${o2}` : "";
          return `${u2}
${c4}
${a3}`;
        }).with({ _tag: "unparsed" }, ({ message: o2, reason: a3 }) => {
          let u2 = dt(z("Details:"));
          return `${a3}
${u2} ${o2}`;
        }).exhaustive()}
[Context: getConfig]`;
        super(Za(i4)), this.name = "GetConfigError";
      }
    };
    function vl(e3) {
      return e3.directUrl !== void 0 ? e3.directUrl : e3.url;
    }
    function Vb(e3) {
      return e3.directUrl;
    }
    function bl(e3) {
      let r2 = e3?.value, n2 = e3?.fromEnvVar, i4 = n2 ? process.env[n2] : void 0;
      return r2 ?? i4;
    }
    async function Bo(e3) {
      let r2 = iu(nd, "getConfigWasm");
      nd("Using getConfig Wasm");
      let n2 = (0, R5.pipe)(zn(() => {
        process.env.FORCE_PANIC_QUERY_ENGINE_GET_CONFIG && (nd("Triggering a Rust panic..."), ir.default.debug_panic());
        let o2 = JSON.stringify({ prismaSchema: e3.datamodel, datasourceOverrides: {}, ignoreEnvVarErrors: e3.ignoreEnvVarErrors ?? false, env: process.env });
        return ir.default.get_config(o2);
      }, (o2) => ({ type: "wasm-error", reason: "(get-config wasm)", error: o2 })), ko((o2) => ({ result: o2 })), Wp(({ result: o2 }) => zn(() => JSON.parse(o2), (a3) => ({ type: "parse-json", reason: "Unable to parse JSON", error: a3 }))));
      if (Ri(n2)) {
        nd("config data retrieved without errors in getConfig Wasm");
        let { right: o2 } = n2;
        for (let a3 of o2.generators)
          await C5(a3);
        return Promise.resolve(o2);
      }
      throw it(n2.left).with({ type: "wasm-error" }, (o2) => {
        if (r2(o2), Qa(o2.error)) {
          let { message: u2, stack: c4 } = Jn(o2.error);
          return new Ir(u2, c4, "@prisma/prisma-schema-wasm get_config", "FMT_CLI", e3.prismaPath, e3.datamodel);
        }
        let a3 = o2.error.message;
        return new id(su({ errorOutput: a3, reason: o2.reason }));
      }).otherwise((o2) => (r2(o2), new id({ _tag: "unparsed", message: o2.error.message, reason: o2.reason })));
    }
    async function C5(e3) {
      for (let r2 of e3.binaryTargets) {
        if (r2.fromEnvVar && process.env[r2.fromEnvVar]) {
          let n2 = JSON.parse(process.env[r2.fromEnvVar]);
          Array.isArray(n2) ? (e3.binaryTargets = n2.map((i4) => ({ fromEnvVar: null, value: i4 })), await C5(e3)) : r2.value = n2;
        }
        r2.value === "native" && (r2.value = await (0, Hb.getPlatform)(), r2.native = true);
      }
      e3.binaryTargets.length === 0 && (e3.binaryTargets = [{ fromEnvVar: null, value: await (0, Hb.getPlatform)(), native: true }]);
    }
    var nM = j((init_src(), __toCommonJS(src_exports)));
    var Cw = j(H5());
    var Aw = j(require("fs"));
    var Tu = j(require("path"));
    var jl = j(Dl());
    var Yo = j(require("fs"));
    var Re = j(require("path"));
    var Gl = j(ww());
    var UL = require("util");
    var Xd = (0, UL.promisify)(Yo.default.exists);
    async function Cs(e3, r2 = { cwd: process.cwd() }) {
      return fge(e3, { cwd: r2.cwd });
    }
    async function fge(e3, r2 = { cwd: process.cwd() }) {
      if (e3) {
        let i4 = await dge(Re.default.resolve(e3));
        if (!i4)
          throw new Error(`Provided --schema at ${e3} doesn't exist.`);
        return i4;
      }
      let n2 = await Sw(r2.cwd) ?? await xw(r2.cwd) ?? await hge(r2.cwd);
      return n2 || null;
    }
    async function _w(e3) {
      let r2 = await (0, Gl.default)({ cwd: e3 }), n2 = r2?.packageJson?.prisma;
      return r2 ? { data: n2, packagePath: r2.path } : null;
    }
    async function Sw(e3) {
      let r2 = await _w(e3);
      if (!r2 || !r2.data?.schema)
        return null;
      let n2 = r2.data.schema;
      if (typeof n2 != "string")
        throw new Error(`Provided schema path \`${n2}\` from \`${Re.default.relative(e3, r2.packagePath)}\` must be of type string`);
      let i4 = Re.default.isAbsolute(n2) ? n2 : Re.default.resolve(Re.default.dirname(r2.packagePath), n2);
      if (await Xd(i4) === false)
        throw new Error(`Provided schema path \`${Re.default.relative(e3, i4)}\` from \`${Re.default.relative(e3, r2.packagePath)}\` doesn't exist.`);
      return i4;
    }
    async function hge(e3) {
      if (process.env.npm_config_user_agent?.includes("yarn"))
        try {
          let { stdout: r2 } = await jl.default.command("yarn --version", { cwd: e3 });
          if (r2.startsWith("2"))
            return null;
          let { stdout: n2 } = await jl.default.command("yarn workspaces info --json", { cwd: e3 }), i4 = VL(n2), o2 = Object.values(i4), a3 = await yge(e3);
          if (!a3)
            return null;
          for (let c4 of o2) {
            let l2 = Re.default.join(a3, c4.location), f4 = Ai(l2) ?? Ul(l2);
            if (f4)
              return f4;
          }
          let u2 = Ai(a3) ?? Ul(a3);
          if (u2)
            return u2;
        } catch {
          return null;
        }
      return null;
    }
    function pge(e3) {
      if (process.env.npm_config_user_agent?.includes("yarn"))
        try {
          let { stdout: r2 } = jl.default.commandSync("yarn --version", { cwd: e3 });
          if (r2.startsWith("2"))
            return null;
          let { stdout: n2 } = jl.default.commandSync("yarn workspaces info --json", { cwd: e3 }), i4 = VL(n2), o2 = Object.values(i4), a3 = vge(e3);
          if (!a3)
            return null;
          for (let c4 of o2) {
            let l2 = Re.default.join(a3, c4.location), f4 = Ai(l2) ?? Ul(l2);
            if (f4)
              return f4;
          }
          let u2 = Ai(a3) ?? Ul(a3);
          if (u2)
            return u2;
        } catch {
          return null;
        }
      return null;
    }
    async function dge(e3) {
      return await Xd(e3) ? e3 : null;
    }
    async function xw(e3) {
      let r2;
      return r2 = Re.default.join(e3, "schema.prisma"), await Xd(r2) || (r2 = Re.default.join(e3, "prisma/schema.prisma"), await Xd(r2)) ? r2 : null;
    }
    async function GL(e3) {
      if (e3)
        return Re.default.resolve(Re.default.dirname(e3));
      let r2 = await Cs(e3);
      return r2 ? Re.default.dirname(r2) : null;
    }
    async function WL(e3) {
      let r2 = await Cs(e3);
      if (!r2)
        throw new Error(`Could not find a ${z("schema.prisma")} file that is required for this command.
You can either provide it with ${Mt("--schema")}, set it as \`prisma.schema\` in your package.json or put it into the default location ${Mt("./prisma/schema.prisma")} https://pris.ly/d/prisma-schema-location`);
      return Yo.default.promises.readFile(r2, "utf-8");
    }
    function HL(e3) {
      return mge(e3, { cwd: process.cwd() });
    }
    function mge(e3, r2 = { cwd: process.cwd() }) {
      if (e3) {
        let i4 = gge(Re.default.resolve(e3));
        if (!i4)
          throw new Error(`Provided --schema at ${e3} doesn't exist.`);
        return i4;
      }
      let n2 = Ai(r2.cwd) ?? Ul(r2.cwd) ?? pge(r2.cwd);
      return n2 || null;
    }
    function Ai(e3) {
      let r2 = Gl.default.sync({ cwd: e3 }), n2 = r2?.packageJson?.prisma?.schema;
      if (!n2 || !r2)
        return null;
      if (typeof n2 != "string")
        throw new Error(`Provided schema path \`${n2}\` from \`${Re.default.relative(e3, r2.path)}\` must be of type string`);
      let i4 = Re.default.isAbsolute(n2) ? n2 : Re.default.resolve(Re.default.dirname(r2.path), n2);
      if (Yo.default.existsSync(i4) === false)
        throw new Error(`Provided schema path \`${Re.default.relative(e3, i4)}\` from \`${Re.default.relative(e3, r2.path)}\` doesn't exist.`);
      return i4;
    }
    function gge(e3) {
      return Yo.default.existsSync(e3) ? e3 : null;
    }
    function Ul(e3) {
      let r2 = Re.default.join(e3, "schema.prisma");
      return Yo.default.existsSync(r2) || (r2 = Re.default.join(e3, "prisma/schema.prisma"), Yo.default.existsSync(r2)) ? r2 : null;
    }
    function VL(e3) {
      let r2 = e3.indexOf("{"), n2 = e3.lastIndexOf("}"), i4 = e3.slice(r2, n2 + 1);
      return JSON.parse(i4);
    }
    function KL(e3) {
      let r2 = e3.workspaces;
      return r2 ? Array.isArray(r2) || r2.packages !== void 0 : false;
    }
    async function BL(e3) {
      let r2 = await (0, Gl.default)({ cwd: e3 });
      return r2 ? { isRoot: KL(r2.packageJson), path: r2.path } : null;
    }
    function jL(e3) {
      let r2 = Gl.default.sync({ cwd: e3 });
      return r2 ? { isRoot: KL(r2.packageJson), path: r2.path } : null;
    }
    async function yge(e3) {
      let r2 = await BL(e3);
      if (!r2)
        return null;
      if (r2.isRoot === true)
        return Re.default.dirname(r2.path);
      let n2 = Re.default.dirname(Re.default.dirname(r2.path));
      return r2 = await BL(n2), !r2 || r2.isRoot === false ? null : Re.default.dirname(r2.path);
    }
    function vge(e3) {
      let r2 = jL(e3);
      if (!r2)
        return null;
      if (r2.isRoot === true)
        return Re.default.dirname(r2.path);
      let n2 = Re.default.dirname(Re.default.dirname(r2.path));
      return r2 = jL(n2), !r2 || r2.isRoot === false ? null : Re.default.dirname(r2.path);
    }
    var ZL = j((init_src(), __toCommonJS(src_exports)));
    var Tw = j(JL());
    var em = j(require("fs"));
    var Ou = j(require("path"));
    function XL(e3) {
      let r2 = e3.ignoreProcessEnv ? {} : process.env, n2 = (i4) => i4.match(/(.?\${(?:[a-zA-Z0-9_]+)?})/g)?.reduce(function(a3, u2) {
        let c4 = /(.?)\${([a-zA-Z0-9_]+)?}/g.exec(u2);
        if (!c4)
          return a3;
        let l2 = c4[1], f4, p2;
        if (l2 === "\\")
          p2 = c4[0], f4 = p2.replace("\\$", "$");
        else {
          let v2 = c4[2];
          p2 = c4[0].substring(l2.length), f4 = Object.hasOwnProperty.call(r2, v2) ? r2[v2] : e3.parsed[v2] || "", f4 = n2(f4);
        }
        return a3.replace(p2, f4);
      }, i4) ?? i4;
      for (let i4 in e3.parsed) {
        let o2 = Object.hasOwnProperty.call(r2, i4) ? r2[i4] : e3.parsed[i4];
        e3.parsed[i4] = n2(o2);
      }
      for (let i4 in e3.parsed)
        r2[i4] = e3.parsed[i4];
      return e3;
    }
    var Ow = (0, ZL.default)("prisma:tryLoadEnv");
    function tm({ rootEnvPath: e3, schemaEnvPath: r2 }, n2 = { conflictCheck: "none" }) {
      let i4 = QL(e3);
      n2.conflictCheck !== "none" && Rge(i4, r2, n2.conflictCheck);
      let o2 = null;
      return eM(i4?.path, r2) || (o2 = QL(r2)), !i4 && !o2 && Ow("No Environment variables loaded"), o2?.dotenvResult.error ? console.error(dt(z("Schema Env Error: ")) + o2.dotenvResult.error) : { message: [i4?.message, o2?.message].filter(Boolean).join(`
`), parsed: { ...i4?.dotenvResult?.parsed, ...o2?.dotenvResult?.parsed } };
    }
    function Rge(e3, r2, n2) {
      let i4 = e3?.dotenvResult.parsed, o2 = !eM(e3?.path, r2);
      if (i4 && r2 && o2 && em.default.existsSync(r2)) {
        let a3 = Tw.default.parse(em.default.readFileSync(r2)), u2 = [];
        for (let c4 in a3)
          i4[c4] === a3[c4] && u2.push(c4);
        if (u2.length > 0) {
          let c4 = Ou.default.relative(process.cwd(), e3.path), l2 = Ou.default.relative(process.cwd(), r2);
          if (n2 === "error") {
            let f4 = `There is a conflict between env var${u2.length > 1 ? "s" : ""} in ${kr(c4)} and ${kr(l2)}
Conflicting env vars:
${u2.map((p2) => `  ${z(p2)}`).join(`
`)}

We suggest to move the contents of ${kr(l2)} to ${kr(c4)} to consolidate your env vars.
`;
            throw new Error(f4);
          } else if (n2 === "warn") {
            let f4 = `Conflict for env var${u2.length > 1 ? "s" : ""} ${u2.map((p2) => z(p2)).join(", ")} in ${kr(c4)} and ${kr(l2)}
Env vars from ${kr(l2)} overwrite the ones from ${kr(c4)}
      `;
            console.warn(`${Zt("warn(prisma)")} ${f4}`);
          }
        }
      }
    }
    function QL(e3) {
      return Rw(e3) ? (Ow(`Environment variables loaded from ${e3}`), { dotenvResult: XL(Tw.default.config({ path: e3, debug: process.env.DOTENV_CONFIG_DEBUG ? true : void 0 })), message: pr(`Environment variables loaded from ${Ou.default.relative(process.cwd(), e3)}`), path: e3 }) : (Ow(`Environment variables not found at ${e3}`), null);
    }
    function eM(e3, r2) {
      return e3 && r2 && Ou.default.resolve(e3) === Ou.default.resolve(r2);
    }
    function Rw(e3) {
      return !!(e3 && em.default.existsSync(e3));
    }
    var tM = (0, nM.default)("prisma:loadEnv");
    function rm(e3, r2 = { cwd: process.cwd() }) {
      let n2 = Age({ cwd: r2.cwd }) ?? null, i4 = rM(e3), o2 = rM(Cge()), u2 = [i4, o2, "./prisma/.env", "./.env"].find(Rw);
      return { rootEnvPath: n2, schemaEnvPath: u2 };
    }
    function Cge() {
      try {
        return Ai(process.cwd());
      } catch {
        return null;
      }
    }
    function Age(e3) {
      let r2 = Cw.default.sync((i4) => {
        let o2 = Tu.default.join(i4, "package.json");
        if (Cw.default.sync.exists(o2))
          try {
            if (JSON.parse(Aw.default.readFileSync(o2, "utf8")).name !== ".prisma/client")
              return tM(`project root found at ${o2}`), o2;
          } catch {
            tM(`skipping package.json at ${o2}`);
          }
      }, e3);
      if (!r2)
        return null;
      let n2 = Tu.default.join(Tu.default.dirname(r2), ".env");
      return Aw.default.existsSync(n2) ? n2 : null;
    }
    function rM(e3) {
      return e3 ? Tu.default.join(Tu.default.dirname(e3), ".env") : null;
    }
    function nm(e3, r2 = false) {
      let n2 = rm(e3), i4 = tm(n2, { conflictCheck: "error" });
      r2 && i4 && i4.message && console.info(i4.message);
    }
    var iM = (e3) => `
Using an Accelerate URL is not supported for this CLI command ${Mt(`prisma ${e3}`)} yet.
Please use a direct connection to your database via the datasource \`directUrl\` setting.

More information about this limitation: ${Dn("https://pris.ly/d/accelerate-limitations")}
`;
    async function Ige(e3, r2, n2) {
      n2 === true && (r2["--schema"] = await Cs(r2["--schema"]) ?? void 0);
      let i4 = Object.entries(r2);
      for (let [o2, a3] of i4) {
        if (o2.includes("url") && a3.includes("prisma://"))
          return iM(e3);
        if (o2.includes("schema")) {
          nm(a3, false);
          let u2 = await sM.default.promises.readFile(a3, "utf-8"), c4 = await Bo({ datamodel: u2, ignoreEnvVarErrors: true });
          if (bl(vl(c4.datasources[0]))?.startsWith("prisma://"))
            return iM(e3);
        }
      }
    }
    async function oM(e3, r2, n2) {
      let i4 = await Ige(e3, r2, n2).catch(() => {
      });
      if (i4)
        throw new Error(i4);
    }
    var Fw = j(require("path"));
    var Iw = ((n2) => (n2.Library = "library", n2.Binary = "binary", n2))(Iw || {});
    var Pw = "library";
    function im(e3) {
      let r2 = Pge();
      return r2 || (e3?.config.engineType === "library" ? "library" : e3?.config.engineType === "binary" ? "binary" : Pw);
    }
    function Pge() {
      let e3 = process.env.PRISMA_CLIENT_ENGINE_TYPE;
      return e3 === "library" ? "library" : e3 === "binary" ? "binary" : void 0;
    }
    function sm(e3) {
      return e3 < 1e3 ? `${e3}ms` : (e3 / 1e3).toFixed(2) + "s";
    }
    function Ur(e3) {
      if (e3.fromEnvVar && e3.fromEnvVar != "null") {
        let r2 = process.env[e3.fromEnvVar];
        if (!r2)
          throw new Error(`Attempted to load provider value using \`env(${e3.fromEnvVar})\` but it was not present. Please ensure that ${pr(e3.fromEnvVar)} is present in your Environment Variables`);
        return r2;
      }
      return e3.value;
    }
    function om(e3) {
      if (e3.fromEnvVar && e3.fromEnvVar != "null") {
        let r2 = process.env[e3.fromEnvVar];
        if (!r2)
          throw new Error(`Attempted to load binaryTargets value using \`env(${e3.fromEnvVar})\` but it was not present. Please ensure that ${pr(e3.fromEnvVar)} is present in your Environment Variables`);
        return JSON.parse(r2);
      }
      return e3.value;
    }
    function aM(e3, r2) {
      let n2 = e3.getPrettyName(), i4 = Fge(e3), o2 = Lge(e3);
      return `\u2714 Generated ${z(n2)}${i4 ? ` (${i4})` : ""}${o2} in ${sm(r2)}`;
    }
    function Fge(e3) {
      let r2 = e3.manifest?.version;
      if (e3.getProvider() === "prisma-client-js") {
        let n2 = im(e3.config), i4 = "";
        return e3.options?.noEngine ? i4 = ", engine=none" : n2 === "binary" ? i4 = ", engine=binary" : n2 === "library" && (i4 = ""), `v${r2 ?? "?.?.?"}${i4}`;
      }
      return r2;
    }
    function Lge(e3) {
      let r2 = e3.options?.generator.output;
      return r2 ? pr(` to .${Fw.default.sep}${Fw.default.relative(process.cwd(), Ur(r2))}`) : "";
    }
    var Mw = j(require("crypto"));
    var dM = j(cM());
    var mM = j(pM());
    function gM(e3 = "") {
      return (0, mM.default)(e3).trimRight() + `
`;
    }
    function am(e3, r2, n2 = true, i4 = false) {
      try {
        return (0, dM.default)(r2, { argv: e3, stopAtPositional: n2, permissive: i4 });
      } catch (o2) {
        return o2;
      }
    }
    function yM(e3) {
      return e3 instanceof Error;
    }
    async function vM() {
      let e3 = am(process.argv.slice(3), { "--schema": String }), r2 = await Cs(e3["--schema"]);
      return r2 = r2 || process.cwd(), Mw.default.createHash("sha256").update(r2).digest("hex").substring(0, 8);
    }
    function bM() {
      let e3 = process.argv[1];
      return Mw.default.createHash("sha256").update(e3).digest("hex").substring(0, 8);
    }
    function EM(e3, r2) {
      return new Hl(`
${z(dt("!"))} Unknown command "${r2}"
${e3}`);
    }
    var Hl = class e3 extends Error {
      constructor(r2) {
        super(r2), this.name = "HelpError", Object.setPrototypeOf(this, e3.prototype);
      }
    };
    var wM = j(require("path"));
    var Nw = j(require("url"));
    function _M(e3) {
      let r2 = Nge(e3.type);
      if (e3.type === "sqlite")
        return e3.uri;
      let n2 = new Nw.URL(r2 + "//");
      if (e3.host && (n2.hostname = e3.host), e3.type === "postgresql" ? (e3.database && (n2.pathname = "/" + e3.database), e3.schema && n2.searchParams.set("schema", e3.schema), e3.socket && (n2.host = e3.socket)) : e3.type === "mysql" ? (n2.pathname = "/" + (e3.database || e3.schema || ""), e3.socket && n2.searchParams.set("socket", e3.socket)) : e3.type === "mongodb" && (n2.pathname = "/" + e3.database), e3.ssl && n2.searchParams.set("sslmode", "prefer"), e3.user && (n2.username = e3.user), e3.password && (n2.password = e3.password), e3.port && (n2.port = String(e3.port)), n2.host = `${n2.hostname}${n2.port ? `:${n2.port}` : ""}`, e3.extraFields)
        for (let [i4, o2] of Object.entries(e3.extraFields))
          n2.searchParams.set(i4, o2);
      return n2.pathname === "/" && (n2.pathname = ""), n2.toString();
    }
    function SM(e3) {
      let r2;
      try {
        r2 = new Nw.URL(e3);
      } catch {
        throw new Error("Invalid data source URL, see https://www.prisma.io/docs/reference/database-reference/connection-urls");
      }
      let n2 = kw(r2.protocol), i4 = (l2) => l2 && l2.length > 0, o2 = {}, a3 = r2.searchParams.get("schema"), u2 = r2.searchParams.get("socket");
      for (let [l2, f4] of r2.searchParams)
        ["schema", "socket"].includes(l2) || (o2[l2] = f4);
      let c4;
      return n2 === "sqlite" && r2.pathname ? r2.pathname.startsWith("file:") ? c4 = r2.pathname.slice(5) : c4 = wM.default.basename(r2.pathname) : r2.pathname.length > 1 && (c4 = r2.pathname.slice(1), n2 === "postgresql" && !c4 && (c4 = "postgres")), { type: n2, host: i4(r2.hostname) ? r2.hostname : void 0, user: i4(r2.username) ? r2.username : void 0, port: i4(r2.port) ? Number(r2.port) : void 0, password: i4(r2.password) ? r2.password : void 0, database: c4, schema: a3 || void 0, uri: e3, ssl: !!r2.searchParams.get("sslmode"), socket: u2 || void 0, extraFields: o2 };
    }
    function Nge(e3) {
      switch (e3) {
        case "postgresql":
        case "cockroachdb":
          return "postgresql:";
        case "mysql":
          return "mysql:";
        case "mongodb":
          return "mongodb:";
        case "sqlite":
          return "file:";
        case "sqlserver":
          return "sqlserver:";
        case "jdbc:sqlserver":
          return "jdbc:sqlserver:";
      }
      throw new Error(`Unknown databaseType ${e3}`);
    }
    function kw(e3) {
      switch (e3) {
        case "postgresql:":
        case "postgres:":
          return "postgresql";
        case "mongodb+srv:":
        case "mongodb:":
          return "mongodb";
        case "mysql:":
          return "mysql";
        case "file:":
          return "sqlite";
        case "sqlserver:":
        case "jdbc:sqlserver:":
          return "sqlserver";
      }
      throw new Error(`Unknown protocol ${e3}`);
    }
    var qw = j(require("fs"));
    function Vl({ schema: e3 }) {
      let r2 = ir.default.lint(e3);
      return JSON.parse(r2);
    }
    function $w(e3, { schema: r2 }) {
      try {
        return e3();
      } catch (n2) {
        let { message: i4, stack: o2 } = Jn(n2);
        throw new Ir(i4, o2, "@prisma/prisma-schema-wasm lint", "FMT_CLI", void 0, r2);
      }
    }
    function kge(e3) {
      return e3.filter(qge);
    }
    function Kl(e3) {
      let r2 = kge(e3), n2 = [];
      if (r2.length > 0) {
        n2.push(Zt(`
Prisma schema warning${r2.length > 1 ? "s" : ""}:`));
        for (let i4 of r2)
          n2.push($ge(i4));
      }
      return n2.join(`
`);
    }
    function $ge(e3) {
      return Zt(`- ${e3.text}`);
    }
    function qge(e3) {
      return e3.is_warning;
    }
    function Bge(e3) {
      return !!e3.schema;
    }
    function jge(e3) {
      return !!e3.schemaPath;
    }
    async function Bw({ schemaPath: e3, schema: r2 }, n2) {
      if (!r2 && !e3)
        throw new Error("Parameter schema or schemaPath must be passed.");
      process.env.FORCE_PANIC_PRISMA_SCHEMA && xM(() => {
        ir.default.debug_panic();
      }, { schemaPath: e3, schema: r2 });
      let i4 = it({ schema: r2, schemaPath: e3 }).when(Bge, ({ schema: f4 }) => f4).when(jge, ({ schemaPath: f4 }) => {
        if (!qw.default.existsSync(f4))
          throw new Error(`Schema at ${e3} does not exist.`);
        return qw.default.readFileSync(f4, { encoding: "utf8" });
      }).exhaustive(), a3 = { textDocument: { uri: "file:/dev/null" }, options: { ...{ tabSize: 2, insertSpaces: true }, ...n2 } }, { formattedSchema: u2, lintDiagnostics: c4 } = xM(() => {
        let f4 = Uge(i4, a3), p2 = Vl({ schema: f4 });
        return { formattedSchema: f4, lintDiagnostics: p2 };
      }, { schemaPath: e3, schema: r2 }), l2 = Kl(c4);
      return l2 && Ei.should.warn() && console.warn(l2), Promise.resolve(u2);
    }
    function xM(e3, { schemaPath: r2, schema: n2 }) {
      try {
        return e3();
      } catch (i4) {
        let { message: o2, stack: a3 } = Jn(i4);
        throw new Ir(o2, a3, "@prisma/prisma-schema-wasm format", "FMT_CLI", r2, n2);
      }
    }
    function Uge(e3, r2) {
      return ir.default.format(e3, JSON.stringify(r2));
    }
    var DM = j((init_src(), __toCommonJS(src_exports)));
    var jw = j(Ve());
    var OM = j(require("fs"));
    var Ru = (0, DM.default)("prisma:getDMMF");
    var zl = class extends Error {
      constructor(r2) {
        let i4 = `${it(r2).with({ _tag: "parsed" }, ({ errorCode: o2, message: a3, reason: u2 }) => {
          let c4 = o2 ? `Error code: ${o2}` : "";
          return `${u2}
${c4}
${a3}`;
        }).with({ _tag: "unparsed" }, ({ message: o2, reason: a3 }) => {
          let u2 = dt(z("Details:"));
          return `${a3}
${u2} ${o2}`;
        }).exhaustive()}
[Context: getDmmf]`;
        super(Za(i4)), this.name = "GetDmmfError";
      }
    };
    async function Cu(e3) {
      Gge(e3.previewFeatures);
      let r2 = iu(Ru, "getDmmfWasm");
      Ru("Using getDmmf Wasm");
      let i4 = await (0, jw.pipe)(nu(() => e3.datamodel ? (Ru("Using given datamodel"), Promise.resolve(e3.datamodel)) : (Ru(`Reading datamodel from the given datamodel path ${e3.datamodelPath}`), OM.default.promises.readFile(e3.datamodelPath, { encoding: "utf-8" })), (a3) => ({ type: "read-datamodel-path", reason: "Error while trying to read the datamodel path", error: a3, datamodelPath: e3.datamodelPath })), O5((a3) => (0, jw.pipe)(zn(() => {
        process.env.FORCE_PANIC_QUERY_ENGINE_GET_DMMF && (Ru("Triggering a Rust panic..."), ir.default.debug_panic());
        let u2 = JSON.stringify({ prismaSchema: a3, noColor: !!process.env.NO_COLOR });
        return ir.default.get_dmmf(u2);
      }, (u2) => ({ type: "wasm-error", reason: "(get-dmmf wasm)", error: u2 })), ko((u2) => ({ result: u2 })), Wp(({ result: u2 }) => zn(() => JSON.parse(u2), (c4) => ({ type: "parse-json", reason: "Unable to parse JSON", error: c4 }))), gl)))();
      if (Ri(i4)) {
        Ru("dmmf data retrieved without errors in getDmmf Wasm");
        let { right: a3 } = i4;
        return Promise.resolve(a3);
      }
      throw it(i4.left).with({ type: "read-datamodel-path" }, (a3) => (r2(a3), new zl({ _tag: "unparsed", message: `${a3.error.message}
Datamodel path: "${a3.datamodelPath}"`, reason: a3.reason }))).with({ type: "wasm-error" }, (a3) => {
        if (r2(a3), Qa(a3.error)) {
          let { message: c4, stack: l2 } = Jn(a3.error);
          return new Ir(c4, l2, "@prisma/prisma-schema-wasm get_dmmf", "FMT_CLI", e3.prismaPath, e3.datamodel);
        }
        let u2 = a3.error.message;
        return new zl(su({ errorOutput: u2, reason: a3.reason }));
      }).with({ type: "parse-json" }, (a3) => (r2(a3), new zl({ _tag: "unparsed", message: a3.error.message, reason: a3.reason }))).exhaustive();
    }
    function Gge(e3) {
      let r2 = (i4) => `${Bn(z("info"))} The preview flag "${i4}" is not needed anymore, please remove it from your schema.prisma`, n2 = { insensitiveFilters: r2("insensitiveFilters"), atomicNumberOperations: r2("atomicNumberOperations"), connectOrCreate: r2("connectOrCreate"), transaction: r2("transaction"), nApi: r2("nApi"), transactionApi: r2("transactionApi"), uncheckedScalarInputs: r2("uncheckedScalarInputs"), nativeTypes: r2("nativeTypes"), createMany: r2("createMany"), groupBy: r2("groupBy"), referentialActions: r2("referentialActions"), microsoftSqlServer: r2("microsoftSqlServer"), selectRelationCount: r2("selectRelationCount"), orderByRelation: r2("orderByRelation"), orderByAggregateGroup: r2("orderByAggregateGroup") };
      e3?.forEach((i4) => {
        let o2 = n2[i4];
        o2 && !process.env.PRISMA_HIDE_PREVIEW_FLAG_WARNINGS && console.warn(o2);
      });
    }
    var Mk = require("@prisma/engines");
    var Tm = (init_src3(), __toCommonJS(src_exports3));
    var Om = j(Ve());
    var Nk = j(require("path"));
    var Tk = require("@prisma/engines");
    var Pi = (init_src3(), __toCommonJS(src_exports3));
    var wm = (init_src2(), __toCommonJS(src_exports2));
    var Ms = j(require("fs"));
    var Rk = j(s_());
    var Ns = j(require("path"));
    var Ck = j(a_());
    var Ok = j((init_src(), __toCommonJS(src_exports)));
    var u_ = j(require("fs"));
    var Dk = (0, Ok.default)("chmodPlusX");
    function bm(e3) {
      if (process.platform === "win32")
        return;
      let r2 = u_.default.statSync(e3), n2 = r2.mode | 64 | 8 | 1;
      if (r2.mode === n2) {
        Dk(`Execution permissions of ${e3} are fine`);
        return;
      }
      let i4 = n2.toString(8).slice(-3);
      Dk(`Have to call chmodPlusX on ${e3}`), u_.default.chmodSync(e3, i4);
    }
    var Zo = /^((\w:[\\\/])|\/)snapshot[\/\\]/;
    async function Qye(e3) {
      let r2 = await (0, wm.getPlatform)(), n2 = r2 === "windows" ? ".exe" : "";
      return e3 === Pi.BinaryType.QueryEngineLibrary ? (0, wm.getNodeAPIName)(r2, "fs") : `${e3}-${r2}${n2}`;
    }
    async function ea(e3, r2) {
      if (r2 && !r2.match(Zo) && Ms.default.existsSync(r2))
        return r2;
      let n2 = (0, Pi.getBinaryEnvVarPath)(e3);
      if (n2 !== null)
        return n2.path;
      let i4 = await Qye(e3), o2 = Ns.default.join((0, Tk.getEnginesPath)(), i4);
      if (Ms.default.existsSync(o2))
        return Em(o2);
      let a3 = Ns.default.join(__dirname, "..", i4);
      if (Ms.default.existsSync(a3))
        return Em(a3);
      let u2 = Ns.default.join(__dirname, "../..", i4);
      if (Ms.default.existsSync(u2))
        return Em(u2);
      let c4 = Ns.default.join(__dirname, "../runtime", i4);
      if (Ms.default.existsSync(c4))
        return Em(c4);
      throw new Error(`Could not find ${e3} binary. Searched in:
- ${o2}
- ${a3}
- ${u2}
- ${c4}`);
    }
    function Ak(e3, r2) {
      return nu(() => ea(e3, r2), (n2) => n2);
    }
    async function Em(file) {
      let dir = eval("__dirname");
      if (dir.match(Zo)) {
        let e3 = Ns.default.join(Ck.default, "prisma-binaries");
        await (0, Rk.ensureDir)(e3);
        let r2 = Ns.default.join(e3, Ns.default.basename(file)), n2 = await Ms.default.promises.readFile(file);
        return await Ms.default.promises.writeFile(r2, n2), bm(r2), r2;
      }
      return file;
    }
    var Pk = require("@prisma/engines");
    var c_ = (init_src3(), __toCommonJS(src_exports3));
    var xm = (init_src2(), __toCommonJS(src_exports2));
    var Fk = j(Dl());
    var Ik = (init_src2(), __toCommonJS(src_exports2));
    function _m(e3) {
      let r2 = e3.e, n2 = (c4) => `Prisma cannot find the required \`${c4}\` system library in your system`, i4 = r2.message.includes("cannot open shared object file"), o2 = `Please refer to the documentation about Prisma's system requirements: ${(0, Ik.link)("https://pris.ly/d/system-requirements")}`, a3 = `Unable to require(\`${pr(e3.id)}\`).`, u2 = it({ message: r2.message, code: r2.code }).with({ code: "ENOENT" }, () => "File does not exist.").when(({ message: c4 }) => i4 && c4.includes("libz"), () => `${n2("libz")}. Please install it and try again.`).when(({ message: c4 }) => i4 && c4.includes("libgcc_s"), () => `${n2("libgcc_s")}. Please install it and try again.`).when(({ message: c4 }) => i4 && c4.includes("libssl"), () => {
        let c4 = e3.platformInfo.libssl ? `openssl-${e3.platformInfo.libssl}` : "openssl";
        return `${n2("libssl")}. Please install ${c4} and try again.`;
      }).when(({ message: c4 }) => c4.includes("GLIBC"), () => `Prisma has detected an incompatible version of the \`glibc\` C standard library installed in your system. This probably means your system may be too old to run Prisma. ${o2}`).when(({ message: c4 }) => e3.platformInfo.platform === "linux" && c4.includes("symbol not found"), () => `The Prisma engines are not compatible with your system ${e3.platformInfo.originalDistro} on (${e3.platformInfo.archFromUname}) which uses the \`${e3.platformInfo.binaryTarget}\` binaryTarget by default. ${o2}`).otherwise(() => `The Prisma engines do not seem to be compatible with your system. ${o2}`);
      return `${a3}
${u2}

Details: ${r2.message}`;
    }
    function Sm(e3, r2) {
      try {
        return require(e3);
      } catch (n2) {
        let i4 = _m({ e: n2, platformInfo: r2, id: e3 });
        throw new Error(i4);
      }
    }
    async function Dm(e3, r2) {
      r2 || (r2 = (0, Pk.getCliQueryEngineBinaryType)()), e3 = await ea(r2, e3);
      let n2 = await (0, xm.getPlatformInfo)();
      if (r2 === c_.BinaryType.QueryEngineLibrary) {
        (0, xm.assertNodeAPISupported)();
        let i4 = Sm(e3, n2);
        return `${c_.BinaryType.QueryEngineLibrary} ${i4.version().commit}`;
      } else {
        let { stdout: i4 } = await (0, Fk.default)(e3, ["--version"]);
        return i4;
      }
    }
    function Lk(e3, r2) {
      return nu(() => Dm(e3, r2), (n2) => n2);
    }
    async function l_() {
      let r2 = [{ name: "query-engine", type: (0, Mk.getCliQueryEngineBinaryType)() }, { name: "schema-engine", type: Tm.BinaryType.SchemaEngineBinary }], n2 = r2.map(({ name: c4, type: l2 }) => eve(l2).then((f4) => [c4, f4])), i4 = await Promise.all(n2).then(Object.fromEntries), o2 = r2.map(({ name: c4 }) => {
        let [l2, f4] = Zye(i4[c4]);
        return [{ [c4]: l2 }, f4];
      }), a3 = o2.map((c4) => c4[0]), u2 = o2.flatMap((c4) => c4[1]);
      return [a3, u2];
    }
    function Zye(e3) {
      let r2 = [], n2 = it(e3).with({ fromEnvVar: jr.when(e5) }, (u2) => `, resolved by ${u2.fromEnvVar.value}`).otherwise(() => ""), i4 = it(e3).with({ path: jr.when(Ri) }, (u2) => u2.path.right).with({ path: jr.when(Ar) }, (u2) => (r2.push(u2.path.left), "E_CANNOT_RESOLVE_PATH")).exhaustive();
      return [`${it(e3).with({ version: jr.when(Ri) }, (u2) => u2.version.right).with({ version: jr.when(Ar) }, (u2) => (r2.push(u2.version.left), "E_CANNOT_RESOLVE_VERSION")).exhaustive()} (at ${Nk.default.relative(process.cwd(), i4)}${n2})`, r2];
    }
    async function eve(e3) {
      let r2 = r5((0, Tm.getBinaryEnvVarPath)(e3)), n2 = (0, Om.pipe)(r2, Bb((u2) => u2.fromEnvVar)), i4 = await (0, Om.pipe)(r2, t5(() => Ak(e3), (u2) => v5(u2.path)))(), o2 = await (0, Om.pipe)(i4, gl, D5((u2) => Lk(u2, e3)))();
      return { path: i4, version: o2, fromEnvVar: n2 };
    }
    var kk = j((init_src(), __toCommonJS(src_exports)));
    var $k = j(Ve());
    var f_ = (0, kk.default)("prisma:validate");
    var h_ = class extends Error {
      constructor(r2) {
        let i4 = `${it(r2).with({ _tag: "parsed" }, ({ errorCode: o2, message: a3, reason: u2 }) => {
          let c4 = o2 ? `Error code: ${o2}` : "";
          return `${u2}
${c4}
${a3}`;
        }).with({ _tag: "unparsed" }, ({ message: o2, reason: a3 }) => {
          let u2 = dt(z("Details:"));
          return `${a3}
${u2} ${o2}`;
        }).exhaustive()}
[Context: validate]`;
        super(Za(i4)), this.name = "ValidateError";
      }
    };
    function p_(e3) {
      let r2 = iu(f_, "validateWasm");
      f_("Using validate Wasm");
      let n2 = (0, $k.pipe)(zn(() => {
        process.env.FORCE_PANIC_QUERY_ENGINE_GET_DMMF && (f_("Triggering a Rust panic..."), ir.default.debug_panic());
        let o2 = JSON.stringify({ prismaSchema: e3.datamodel, noColor: !!process.env.NO_COLOR });
        ir.default.validate(o2);
      }, (o2) => ({ type: "wasm-error", reason: "(validate wasm)", error: o2 })));
      if (Ri(n2))
        return;
      throw it(n2.left).with({ type: "wasm-error" }, (o2) => {
        if (r2(o2), console.error(""), Qa(o2.error)) {
          let { message: u2, stack: c4 } = Jn(o2.error);
          return new Ir(u2, c4, "@prisma/prisma-schema-wasm validate", "FMT_CLI", void 0, e3.datamodel);
        }
        let a3 = o2.error.message;
        return new h_(su({ errorOutput: a3, reason: o2.reason }));
      }).exhaustive();
    }
    var qk = (init_src4(), __toCommonJS(src_exports4));
    var Lu = class {
      constructor(r2, n2, i4) {
        this.manifest = null;
        this.config = n2, this.generatorProcess = new qk.GeneratorProcess(r2, { isNode: i4 });
      }
      async init() {
        await this.generatorProcess.init(), this.manifest = await this.generatorProcess.getManifest(this.config);
      }
      stop() {
        this.generatorProcess.stop();
      }
      generate() {
        if (!this.options)
          throw new Error("Please first run .setOptions() on the Generator to initialize the options");
        return this.generatorProcess.generate(this.options);
      }
      setOptions(r2) {
        this.options = r2;
      }
      setBinaryPaths(r2) {
        if (!this.options)
          throw new Error("Please first run .setOptions() on the Generator to initialize the options");
        this.options.binaryPaths = r2;
      }
      getPrettyName() {
        return this.manifest?.prettyName ?? this.getProvider();
      }
      getProvider() {
        return Ur(this.config.provider);
      }
    };
    var Fq = j((init_src(), __toCommonJS(src_exports)));
    var ig = require("@prisma/engines");
    var Lq = (init_src3(), __toCommonJS(src_exports3));
    var Ef = (init_src2(), __toCommonJS(src_exports2));
    var RS = j(require("fs"));
    var d_ = class extends Error {
      constructor(r2) {
        super(), this.name = "AbortError", this.message = r2;
      }
    };
    var Bk = (e3) => globalThis.DOMException === void 0 ? new d_(e3) : new DOMException(e3);
    var jk = (e3) => {
      let r2 = e3.reason === void 0 ? Bk("This operation was aborted.") : e3.reason;
      return r2 instanceof Error ? r2 : Bk(r2);
    };
    async function m_(e3, r2, { concurrency: n2 = Number.POSITIVE_INFINITY, stopOnError: i4 = true, signal: o2 } = {}) {
      return new Promise((a3, u2) => {
        if (e3[Symbol.iterator] === void 0 && e3[Symbol.asyncIterator] === void 0)
          throw new TypeError(`Expected \`input\` to be either an \`Iterable\` or \`AsyncIterable\`, got (${typeof e3})`);
        if (typeof r2 != "function")
          throw new TypeError("Mapper function is required");
        if (!((Number.isSafeInteger(n2) || n2 === Number.POSITIVE_INFINITY) && n2 >= 1))
          throw new TypeError(`Expected \`concurrency\` to be an integer from 1 and up or \`Infinity\`, got \`${n2}\` (${typeof n2})`);
        let c4 = [], l2 = [], f4 = /* @__PURE__ */ new Map(), p2 = false, v2 = false, g2 = false, S2 = 0, D = 0, T6 = e3[Symbol.iterator] === void 0 ? e3[Symbol.asyncIterator]() : e3[Symbol.iterator](), R = (L) => {
          p2 = true, v2 = true, u2(L);
        };
        o2 && (o2.aborted && R(jk(o2)), o2.addEventListener("abort", () => {
          R(jk(o2));
        }));
        let A2 = async () => {
          if (v2)
            return;
          let L = await T6.next(), N = D;
          if (D++, L.done) {
            if (g2 = true, S2 === 0 && !v2) {
              if (!i4 && l2.length > 0) {
                R(new AggregateError(l2));
                return;
              }
              if (v2 = true, f4.size === 0) {
                a3(c4);
                return;
              }
              let q = [];
              for (let [B, W] of c4.entries())
                f4.get(B) !== Uk && q.push(W);
              a3(q);
            }
            return;
          }
          S2++, (async () => {
            try {
              let q = await L.value;
              if (v2)
                return;
              let B = await r2(q, N);
              B === Uk && f4.set(N, B), c4[N] = B, S2--, await A2();
            } catch (q) {
              if (i4)
                R(q);
              else {
                l2.push(q), S2--;
                try {
                  await A2();
                } catch (B) {
                  R(B);
                }
              }
            }
          })();
        };
        (async () => {
          for (let L = 0; L < n2; L++) {
            try {
              await A2();
            } catch (N) {
              R(N);
              break;
            }
            if (g2 || p2)
              break;
          }
        })();
      });
    }
    var Uk = Symbol("skip");
    var CS = j(require("path"));
    var Gk = j(require("fs"));
    var an = j(require("path"));
    var Wk = require("util");
    var Mu = (0, Wk.promisify)(Gk.default.exists);
    async function tve(e3) {
      return await Mu(an.default.resolve(process.cwd(), "prisma/schema.prisma")) || an.default.relative(process.cwd(), e3) === "prisma" && await Mu(an.default.resolve(process.cwd(), "package.json")) ? process.cwd() : await Mu(an.default.resolve(e3, "node_modules")) ? e3 : await Mu(an.default.resolve(e3, "../node_modules")) ? an.default.join(e3, "../") : await Mu(an.default.resolve(e3, "package.json")) ? e3 : await Mu(an.default.resolve(e3, "../package.json")) ? an.default.join(e3, "../") : e3;
    }
    async function Hk(e3) {
      let r2 = rve(e3.defaultOutput);
      if (r2.startsWith("node_modules")) {
        let n2 = await tve(e3.baseDir);
        return an.default.resolve(n2, r2);
      }
      return an.default.resolve(e3.baseDir, r2);
    }
    function rve(e3) {
      return e3.startsWith("./") ? e3.slice(2) : e3;
    }
    function Rm(e3) {
      return e3.generators.find((r2) => Ur(r2.provider) === "prisma-client-js")?.previewFeatures || [];
    }
    var Vk = { string: [/\"(.*)\"/g, /\'(.*)\'/g], directive: { pattern: /(@.*)/g }, entity: [/model\s+\w+/g, /enum\s+\w+/g, /datasource\s+\w+/g, /source\s+\w+/g, /generator\s+\w+/g], comment: /#.*/g, value: [/\b\s+(\w+)/g], punctuation: /(\:|}|{|"|=)/g, boolean: /(true|false)/g };
    var Kk = { comment: { pattern: /(^|[^\\])(?:\/\*[\s\S]*?\*\/|(?:--|\/\/|#).*)/, lookbehind: true }, variable: [{ pattern: /@(["'`])(?:\\[\s\S]|(?!\1)[^\\])+\1/, greedy: true }, /@[\w.$]+/], string: { pattern: /(^|[^@\\])("|')(?:\\[\s\S]|(?!\2)[^\\]|\2\2)*\2/, greedy: true, lookbehind: true }, function: /\b(?:AVG|COUNT|FIRST|FORMAT|LAST|LCASE|LEN|MAX|MID|MIN|MOD|NOW|ROUND|SUM|UCASE)(?=\s*\()/i, keyword: /\b(?:ACTION|ADD|AFTER|ALGORITHM|ALL|ALTER|ANALYZE|ANY|APPLY|AS|ASC|AUTHORIZATION|AUTO_INCREMENT|BACKUP|BDB|BEGIN|BERKELEYDB|BIGINT|BINARY|BIT|BLOB|BOOL|BOOLEAN|BREAK|BROWSE|BTREE|BULK|BY|CALL|CASCADED?|CASE|CHAIN|CHAR(?:ACTER|SET)?|CHECK(?:POINT)?|CLOSE|CLUSTERED|COALESCE|COLLATE|COLUMNS?|COMMENT|COMMIT(?:TED)?|COMPUTE|CONNECT|CONSISTENT|CONSTRAINT|CONTAINS(?:TABLE)?|CONTINUE|CONVERT|CREATE|CROSS|CURRENT(?:_DATE|_TIME|_TIMESTAMP|_USER)?|CURSOR|CYCLE|DATA(?:BASES?)?|DATE(?:TIME)?|DAY|DBCC|DEALLOCATE|DEC|DECIMAL|DECLARE|DEFAULT|DEFINER|DELAYED|DELETE|DELIMITERS?|DENY|DESC|DESCRIBE|DETERMINISTIC|DISABLE|DISCARD|DISK|DISTINCT|DISTINCTROW|DISTRIBUTED|DO|DOUBLE|DROP|DUMMY|DUMP(?:FILE)?|DUPLICATE|ELSE(?:IF)?|ENABLE|ENCLOSED|END|ENGINE|ENUM|ERRLVL|ERRORS|ESCAPED?|EXCEPT|EXEC(?:UTE)?|EXISTS|EXIT|EXPLAIN|EXTENDED|FETCH|FIELDS|FILE|FILLFACTOR|FIRST|FIXED|FLOAT|FOLLOWING|FOR(?: EACH ROW)?|FORCE|FOREIGN|FREETEXT(?:TABLE)?|FROM|FULL|FUNCTION|GEOMETRY(?:COLLECTION)?|GLOBAL|GOTO|GRANT|GROUP|HANDLER|HASH|HAVING|HOLDLOCK|HOUR|IDENTITY(?:_INSERT|COL)?|IF|IGNORE|IMPORT|INDEX|INFILE|INNER|INNODB|INOUT|INSERT|INT|INTEGER|INTERSECT|INTERVAL|INTO|INVOKER|ISOLATION|ITERATE|JOIN|KEYS?|KILL|LANGUAGE|LAST|LEAVE|LEFT|LEVEL|LIMIT|LINENO|LINES|LINESTRING|LOAD|LOCAL|LOCK|LONG(?:BLOB|TEXT)|LOOP|MATCH(?:ED)?|MEDIUM(?:BLOB|INT|TEXT)|MERGE|MIDDLEINT|MINUTE|MODE|MODIFIES|MODIFY|MONTH|MULTI(?:LINESTRING|POINT|POLYGON)|NATIONAL|NATURAL|NCHAR|NEXT|NO|NONCLUSTERED|NULLIF|NUMERIC|OFF?|OFFSETS?|ON|OPEN(?:DATASOURCE|QUERY|ROWSET)?|OPTIMIZE|OPTION(?:ALLY)?|ORDER|OUT(?:ER|FILE)?|OVER|PARTIAL|PARTITION|PERCENT|PIVOT|PLAN|POINT|POLYGON|PRECEDING|PRECISION|PREPARE|PREV|PRIMARY|PRINT|PRIVILEGES|PROC(?:EDURE)?|PUBLIC|PURGE|QUICK|RAISERROR|READS?|REAL|RECONFIGURE|REFERENCES|RELEASE|RENAME|REPEAT(?:ABLE)?|REPLACE|REPLICATION|REQUIRE|RESIGNAL|RESTORE|RESTRICT|RETURNS?|REVOKE|RIGHT|ROLLBACK|ROUTINE|ROW(?:COUNT|GUIDCOL|S)?|RTREE|RULE|SAVE(?:POINT)?|SCHEMA|SECOND|SELECT|SERIAL(?:IZABLE)?|SESSION(?:_USER)?|SET(?:USER)?|SHARE|SHOW|SHUTDOWN|SIMPLE|SMALLINT|SNAPSHOT|SOME|SONAME|SQL|START(?:ING)?|STATISTICS|STATUS|STRIPED|SYSTEM_USER|TABLES?|TABLESPACE|TEMP(?:ORARY|TABLE)?|TERMINATED|TEXT(?:SIZE)?|THEN|TIME(?:STAMP)?|TINY(?:BLOB|INT|TEXT)|TOP?|TRAN(?:SACTIONS?)?|TRIGGER|TRUNCATE|TSEQUAL|TYPES?|UNBOUNDED|UNCOMMITTED|UNDEFINED|UNION|UNIQUE|UNLOCK|UNPIVOT|UNSIGNED|UPDATE(?:TEXT)?|USAGE|USE|USER|USING|VALUES?|VAR(?:BINARY|CHAR|CHARACTER|YING)|VIEW|WAITFOR|WARNINGS|WHEN|WHERE|WHILE|WITH(?: ROLLUP|IN)?|WORK|WRITE(?:TEXT)?|YEAR)\b/i, boolean: /\b(?:TRUE|FALSE|NULL)\b/i, number: /\b0x[\da-f]+\b|\b\d+\.?\d*|\B\.\d+\b/i, operator: /[-+*\/=%^~]|&&?|\|\|?|!=?|<(?:=>?|<|>)?|>[>=]?|\b(?:AND|BETWEEN|IN|LIKE|NOT|OR|IS|DIV|REGEXP|RLIKE|SOUNDS LIKE|XOR)\b/i, punctuation: /[;[\]()`,.]/ };
    var zk = { keyword: ss, entity: ss, value: (e3) => z(Bn(e3)), punctuation: Bn, directive: ss, function: ss, variable: (e3) => z(Bn(e3)), string: (e3) => z(Mt(e3)), boolean: Zt, number: ss, comment: Na };
    var nve = (e3) => e3;
    var Cm = {};
    var ive = 0;
    var fe = { manual: Cm.Prism && Cm.Prism.manual, disableWorkerMessageHandler: Cm.Prism && Cm.Prism.disableWorkerMessageHandler, util: { encode: function(e3) {
      if (e3 instanceof Rn) {
        let r2 = e3;
        return new Rn(r2.type, fe.util.encode(r2.content), r2.alias);
      } else
        return Array.isArray(e3) ? e3.map(fe.util.encode) : e3.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/\u00a0/g, " ");
    }, type: function(e3) {
      return Object.prototype.toString.call(e3).slice(8, -1);
    }, objId: function(e3) {
      return e3.__id || Object.defineProperty(e3, "__id", { value: ++ive }), e3.__id;
    }, clone: function e3(r2, n2) {
      n2 = n2 || {};
      let i4, o2;
      switch (fe.util.type(r2)) {
        case "Object":
          if (o2 = fe.util.objId(r2), n2[o2])
            return n2[o2];
          i4 = {}, n2[o2] = i4;
          for (let u2 in r2)
            r2.hasOwnProperty(u2) && (i4[u2] = e3(r2[u2], n2));
          return i4;
        case "Array":
          return o2 = fe.util.objId(r2), n2[o2] ? n2[o2] : (i4 = [], n2[o2] = i4, r2.forEach(function(u2, c4) {
            i4[c4] = e3(u2, n2);
          }), i4);
        default:
          return r2;
      }
    } }, languages: { extend: function(e3, r2) {
      let n2 = fe.util.clone(fe.languages[e3]);
      for (let i4 in r2)
        n2[i4] = r2[i4];
      return n2;
    }, insertBefore: function(e3, r2, n2, i4) {
      i4 = i4 || fe.languages;
      let o2 = i4[e3], a3 = {};
      for (let c4 in o2)
        if (o2.hasOwnProperty(c4)) {
          if (c4 == r2)
            for (let l2 in n2)
              n2.hasOwnProperty(l2) && (a3[l2] = n2[l2]);
          n2.hasOwnProperty(c4) || (a3[c4] = o2[c4]);
        }
      let u2 = i4[e3];
      return i4[e3] = a3, fe.languages.DFS(fe.languages, function(c4, l2) {
        l2 === u2 && c4 != e3 && (this[c4] = a3);
      }), a3;
    }, DFS: function e3(r2, n2, i4, o2) {
      o2 = o2 || {};
      let a3 = fe.util.objId;
      for (let u2 in r2)
        if (r2.hasOwnProperty(u2)) {
          n2.call(r2, u2, r2[u2], i4 || u2);
          let c4 = r2[u2], l2 = fe.util.type(c4);
          l2 === "Object" && !o2[a3(c4)] ? (o2[a3(c4)] = true, e3(c4, n2, null, o2)) : l2 === "Array" && !o2[a3(c4)] && (o2[a3(c4)] = true, e3(c4, n2, u2, o2));
        }
    } }, plugins: {}, highlight: function(e3, r2, n2) {
      let i4 = { code: e3, grammar: r2, language: n2 };
      return fe.hooks.run("before-tokenize", i4), i4.tokens = fe.tokenize(i4.code, i4.grammar), fe.hooks.run("after-tokenize", i4), Rn.stringify(fe.util.encode(i4.tokens), i4.language);
    }, matchGrammar: function(e3, r2, n2, i4, o2, a3, u2) {
      for (let T6 in n2) {
        if (!n2.hasOwnProperty(T6) || !n2[T6])
          continue;
        if (T6 == u2)
          return;
        let R = n2[T6];
        R = fe.util.type(R) === "Array" ? R : [R];
        for (let A2 = 0; A2 < R.length; ++A2) {
          let L = R[A2], N = L.inside, q = !!L.lookbehind, B = !!L.greedy, W = 0, P = L.alias;
          if (B && !L.pattern.global) {
            let $3 = L.pattern.toString().match(/[imuy]*$/)[0];
            L.pattern = RegExp(L.pattern.source, $3 + "g");
          }
          L = L.pattern || L;
          for (let $3 = i4, I = o2; $3 < r2.length; I += r2[$3].length, ++$3) {
            let U = r2[$3];
            if (r2.length > e3.length)
              return;
            if (U instanceof Rn)
              continue;
            if (B && $3 != r2.length - 1) {
              L.lastIndex = I;
              let V = L.exec(e3);
              if (!V)
                break;
              var p2 = V.index + (q ? V[1].length : 0), g2 = V.index + V[0].length, c4 = $3, l2 = I;
              for (let k = r2.length; c4 < k && (l2 < g2 || !r2[c4].type && !r2[c4 - 1].greedy); ++c4)
                l2 += r2[c4].length, p2 >= l2 && (++$3, I = l2);
              if (r2[$3] instanceof Rn)
                continue;
              f4 = c4 - $3, U = e3.slice(I, l2), V.index -= I;
            } else {
              L.lastIndex = 0;
              var v2 = L.exec(U), f4 = 1;
            }
            if (!v2) {
              if (a3)
                break;
              continue;
            }
            q && (W = v2[1] ? v2[1].length : 0);
            var p2 = v2.index + W, v2 = v2[0].slice(W), g2 = p2 + v2.length, S2 = U.slice(0, p2), D = U.slice(g2);
            let C = [$3, f4];
            S2 && (++$3, I += S2.length, C.push(S2));
            let G = new Rn(T6, N ? fe.tokenize(v2, N) : v2, P, v2, B);
            if (C.push(G), D && C.push(D), Array.prototype.splice.apply(r2, C), f4 != 1 && fe.matchGrammar(e3, r2, n2, $3, I, true, T6), a3)
              break;
          }
        }
      }
    }, tokenize: function(e3, r2) {
      let n2 = [e3], i4 = r2.rest;
      if (i4) {
        for (let o2 in i4)
          r2[o2] = i4[o2];
        delete r2.rest;
      }
      return fe.matchGrammar(e3, n2, r2, 0, 0, false), n2;
    }, hooks: { all: {}, add: function(e3, r2) {
      let n2 = fe.hooks.all;
      n2[e3] = n2[e3] || [], n2[e3].push(r2);
    }, run: function(e3, r2) {
      let n2 = fe.hooks.all[e3];
      if (!(!n2 || !n2.length))
        for (var i4 = 0, o2; o2 = n2[i4++]; )
          o2(r2);
    } }, Token: Rn };
    fe.languages.clike = { comment: [{ pattern: /(^|[^\\])\/\*[\s\S]*?(?:\*\/|$)/, lookbehind: true }, { pattern: /(^|[^\\:])\/\/.*/, lookbehind: true, greedy: true }], string: { pattern: /(["'])(?:\\(?:\r\n|[\s\S])|(?!\1)[^\\\r\n])*\1/, greedy: true }, "class-name": { pattern: /((?:\b(?:class|interface|extends|implements|trait|instanceof|new)\s+)|(?:catch\s+\())[\w.\\]+/i, lookbehind: true, inside: { punctuation: /[.\\]/ } }, keyword: /\b(?:if|else|while|do|for|return|in|instanceof|function|new|try|throw|catch|finally|null|break|continue)\b/, boolean: /\b(?:true|false)\b/, function: /\w+(?=\()/, number: /\b0x[\da-f]+\b|(?:\b\d+\.?\d*|\B\.\d+)(?:e[+-]?\d+)?/i, operator: /--?|\+\+?|!=?=?|<=?|>=?|==?=?|&&?|\|\|?|\?|\*|\/|~|\^|%/, punctuation: /[{}[\];(),.:]/ };
    fe.languages.javascript = fe.languages.extend("clike", { "class-name": [fe.languages.clike["class-name"], { pattern: /(^|[^$\w\xA0-\uFFFF])[_$A-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*(?=\.(?:prototype|constructor))/, lookbehind: true }], keyword: [{ pattern: /((?:^|})\s*)(?:catch|finally)\b/, lookbehind: true }, { pattern: /(^|[^.])\b(?:as|async(?=\s*(?:function\b|\(|[$\w\xA0-\uFFFF]|$))|await|break|case|class|const|continue|debugger|default|delete|do|else|enum|export|extends|for|from|function|get|if|implements|import|in|instanceof|interface|let|new|null|of|package|private|protected|public|return|set|static|super|switch|this|throw|try|typeof|undefined|var|void|while|with|yield)\b/, lookbehind: true }], number: /\b(?:(?:0[xX](?:[\dA-Fa-f](?:_[\dA-Fa-f])?)+|0[bB](?:[01](?:_[01])?)+|0[oO](?:[0-7](?:_[0-7])?)+)n?|(?:\d(?:_\d)?)+n|NaN|Infinity)\b|(?:\b(?:\d(?:_\d)?)+\.?(?:\d(?:_\d)?)*|\B\.(?:\d(?:_\d)?)+)(?:[Ee][+-]?(?:\d(?:_\d)?)+)?/, function: /[_$a-zA-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*(?=\s*(?:\.\s*(?:apply|bind|call)\s*)?\()/, operator: /-[-=]?|\+[+=]?|!=?=?|<<?=?|>>?>?=?|=(?:==?|>)?|&[&=]?|\|[|=]?|\*\*?=?|\/=?|~|\^=?|%=?|\?|\.{3}/ });
    fe.languages.javascript["class-name"][0].pattern = /(\b(?:class|interface|extends|implements|instanceof|new)\s+)[\w.\\]+/;
    fe.languages.insertBefore("javascript", "keyword", { regex: { pattern: /((?:^|[^$\w\xA0-\uFFFF."'\])\s])\s*)\/(\[(?:[^\]\\\r\n]|\\.)*]|\\.|[^/\\\[\r\n])+\/[gimyus]{0,6}(?=\s*($|[\r\n,.;})\]]))/, lookbehind: true, greedy: true }, "function-variable": { pattern: /[_$a-zA-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*(?=\s*[=:]\s*(?:async\s*)?(?:\bfunction\b|(?:\((?:[^()]|\([^()]*\))*\)|[_$a-zA-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*)\s*=>))/, alias: "function" }, parameter: [{ pattern: /(function(?:\s+[_$A-Za-z\xA0-\uFFFF][$\w\xA0-\uFFFF]*)?\s*\(\s*)(?!\s)(?:[^()]|\([^()]*\))+?(?=\s*\))/, lookbehind: true, inside: fe.languages.javascript }, { pattern: /[_$a-z\xA0-\uFFFF][$\w\xA0-\uFFFF]*(?=\s*=>)/i, inside: fe.languages.javascript }, { pattern: /(\(\s*)(?!\s)(?:[^()]|\([^()]*\))+?(?=\s*\)\s*=>)/, lookbehind: true, inside: fe.languages.javascript }, { pattern: /((?:\b|\s|^)(?!(?:as|async|await|break|case|catch|class|const|continue|debugger|default|delete|do|else|enum|export|extends|finally|for|from|function|get|if|implements|import|in|instanceof|interface|let|new|null|of|package|private|protected|public|return|set|static|super|switch|this|throw|try|typeof|undefined|var|void|while|with|yield)(?![$\w\xA0-\uFFFF]))(?:[_$A-Za-z\xA0-\uFFFF][$\w\xA0-\uFFFF]*\s*)\(\s*)(?!\s)(?:[^()]|\([^()]*\))+?(?=\s*\)\s*\{)/, lookbehind: true, inside: fe.languages.javascript }], constant: /\b[A-Z](?:[A-Z_]|\dx?)*\b/ });
    fe.languages.insertBefore("javascript", "string", { "template-string": { pattern: /`(?:\\[\s\S]|\${(?:[^{}]|{(?:[^{}]|{[^}]*})*})+}|[^\\`])*`/, greedy: true, inside: { interpolation: { pattern: /\${(?:[^{}]|{(?:[^{}]|{[^}]*})*})+}/, inside: { "interpolation-punctuation": { pattern: /^\${|}$/, alias: "punctuation" }, rest: fe.languages.javascript } }, string: /[\s\S]+/ } } });
    fe.languages.markup && fe.languages.markup.tag.addInlined("script", "javascript");
    fe.languages.js = fe.languages.javascript;
    fe.languages.typescript = fe.languages.extend("javascript", { keyword: /\b(?:abstract|as|async|await|break|case|catch|class|const|constructor|continue|debugger|declare|default|delete|do|else|enum|export|extends|finally|for|from|function|get|if|implements|import|in|instanceof|interface|is|keyof|let|module|namespace|new|null|of|package|private|protected|public|readonly|return|require|set|static|super|switch|this|throw|try|type|typeof|var|void|while|with|yield)\b/, builtin: /\b(?:string|Function|any|number|boolean|Array|symbol|console|Promise|unknown|never)\b/ });
    fe.languages.ts = fe.languages.typescript;
    function Rn(e3, r2, n2, i4, o2) {
      this.type = e3, this.content = r2, this.alias = n2, this.length = (i4 || "").length | 0, this.greedy = !!o2;
    }
    Rn.stringify = function(e3, r2) {
      return typeof e3 == "string" ? e3 : Array.isArray(e3) ? e3.map(function(n2) {
        return Rn.stringify(n2, r2);
      }).join("") : sve(e3.type)(e3.content);
    };
    function sve(e3) {
      return zk[e3] || nve;
    }
    function ks(e3) {
      return g_(e3, Vk);
    }
    function Yk(e3) {
      return g_(e3, Kk);
    }
    function Jk(e3) {
      return g_(e3, fe.languages.javascript);
    }
    function g_(e3, r2) {
      return fe.tokenize(e3, r2).map((i4) => Rn.stringify(i4)).join("");
    }
    var u9 = j(a9());
    function Dn(e3) {
      return (0, u9.default)(e3, e3, { fallback: (r2) => kr(r2) });
    }
    var c9 = `
You don't have any ${z("datasource")} defined in your ${z("schema.prisma")}.
You can define a datasource like this:

${z(ks(`datasource db {
  provider = "postgresql"
  url      = env("DB_URL")
}`))}

More information in our documentation:
${Dn("https://pris.ly/d/prisma-schema")}
`;
    var l9 = `
${Bn("info")} You don't have any generators defined in your ${z("schema.prisma")}, so nothing will be generated.
You can define them like this:

${z(ks(`generator client {
  provider = "prisma-client-js"
}`))}`;
    var f9 = `
You don't have any ${z("models")} defined in your ${z("schema.prisma")}, so nothing will be generated.
You can define a model like this:

${z(ks(`model User {
  id    Int     @id @default(autoincrement())
  email String  @unique
  name  String?
}`))}

More information in our documentation:
${Dn("https://pris.ly/d/prisma-schema")}
`;
    var h9 = `
You don't have any ${z("models")} defined in your ${z("schema.prisma")}, so nothing will be generated.
You can define a model like this:

${z(ks(`model User {
  id    String  @id @default(auto()) @map("_id") @db.ObjectId
  email String  @unique
  name  String?
}`))}

More information in our documentation:
${Dn("https://pris.ly/d/prisma-schema")}
`;
    function Im(e3, r2) {
      return Object.entries(e3).reduce((n2, [i4, o2]) => (r2.includes(i4) && (n2[i4] = o2), n2), {});
    }
    function Pm(e3) {
      if (e3 && e3.length > 0) {
        let r2 = e3.map((n2) => `${Zt("warn")} ${n2}`).join(`
`);
        console.warn(r2);
      }
    }
    var vq = j((init_src(), __toCommonJS(src_exports)));
    var bq = j(require("fs"));
    var Qm = j(require("path"));
    var g9 = j((init_src(), __toCommonJS(src_exports)));
    var y9 = j(require("fs"));
    var S_ = j(require("path"));
    var p9 = j(require("path"));
    var d9 = j(pw());
    async function lve(e3, r2) {
      let n2 = { preserveSymlinks: false, ...r2 };
      return new Promise((i4) => {
        (0, d9.default)(e3, n2, (o2, a3) => {
          o2 && i4(void 0), i4(a3);
        });
      });
    }
    async function Zn(e3, r2) {
      let n2 = await lve(`${e3}/package.json`, r2);
      return n2 && p9.default.dirname(n2);
    }
    var m9 = (0, g9.default)("prisma:generator");
    var fve = y9.default.promises.realpath;
    async function x_(e3) {
      let r2 = { basedir: e3, preserveSymlinks: true }, n2 = await Zn("prisma", r2), i4 = await Zn("@prisma/client", r2), o2 = i4 && await fve(i4);
      if (m9("prismaCLIDir", n2), m9("prismaClientDir", i4), n2 === void 0 || i4 === void 0)
        return o2;
      let a3 = S_.default.relative(n2, i4).split(S_.default.sep);
      if (!(a3[0] !== ".." || a3[1] === ".."))
        return o2;
    }
    var Ot = j(require("path"), 1);
    var jt = j(require("process"), 1);
    var g$ = j(require("readline"), 1);
    var lS = j(require("events"), 1);
    var y$ = require("buffer");
    var ff = j(require("child_process"), 1);
    var v$ = j(require("child_process"), 1);
    var mf = j(require("path"), 1);
    var Ym = j(require("fs"), 1);
    var gf = j(require("url"), 1);
    var Vu = j(require("os"), 1);
    var b$ = j(require("assert"), 1);
    var Cn = j(require("fs"), 1);
    var E$ = j(require("buffer"), 1);
    var Jm = j(require("stream"), 1);
    var w$ = j(require("util"), 1);
    var _$ = require("util");
    var S$ = j(require("os"), 1);
    var x$ = j(require("tty"), 1);
    function v9(e3) {
      return (r2) => r2.length > 1 ? `${e3} run ${r2[0]} -- ${r2.slice(1).join(" ")}` : `${e3} run ${r2[0]}`;
    }
    var b9 = { agent: "yarn {0}", run: "yarn run {0}", install: "yarn install {0}", frozen: "yarn install --frozen-lockfile", global: "yarn global add {0}", add: "yarn add {0}", upgrade: "yarn upgrade {0}", "upgrade-interactive": "yarn upgrade-interactive {0}", execute: "npx {0}", uninstall: "yarn remove {0}", global_uninstall: "yarn global remove {0}" };
    var E9 = { agent: "pnpm {0}", run: "pnpm run {0}", install: "pnpm i {0}", frozen: "pnpm i --frozen-lockfile", global: "pnpm add -g {0}", add: "pnpm add {0}", upgrade: "pnpm update {0}", "upgrade-interactive": "pnpm update -i {0}", execute: "pnpm dlx {0}", uninstall: "pnpm remove {0}", global_uninstall: "pnpm remove --global {0}" };
    var hve = { agent: "bun {0}", run: "bun run {0}", install: "bun install {0}", frozen: "bun install --no-save", global: "bun add -g {0}", add: "bun add {0}", upgrade: null, "upgrade-interactive": null, execute: "bunx {0}", uninstall: "bun remove {0}", global_uninstall: "bun remove -g {0}" };
    var hf = { npm: { agent: "npm {0}", run: v9("npm"), install: "npm i {0}", frozen: "npm ci", global: "npm i -g {0}", add: "npm i {0}", upgrade: "npm update {0}", "upgrade-interactive": null, execute: "npx {0}", uninstall: "npm uninstall {0}", global_uninstall: "npm uninstall -g {0}" }, yarn: b9, "yarn@berry": { ...b9, frozen: "yarn install --immutable", upgrade: "yarn up {0}", "upgrade-interactive": "yarn up -i {0}", execute: "yarn dlx {0}", global: "npm i -g {0}", global_uninstall: "npm uninstall -g {0}" }, pnpm: E9, "pnpm@6": { ...E9, run: v9("pnpm") }, bun: hve };
    var pve = Object.keys(hf);
    var G_ = { "bun.lockb": "bun", "pnpm-lock.yaml": "pnpm", "yarn.lock": "yarn", "package-lock.json": "npm", "npm-shrinkwrap.json": "npm" };
    var D$ = { bun: "https://bun.sh", pnpm: "https://pnpm.io/installation", "pnpm@6": "https://pnpm.io/6.x/installation", yarn: "https://classic.yarnpkg.com/en/docs/install", "yarn@berry": "https://yarnpkg.com/getting-started/install", npm: "https://docs.npmjs.com/cli/v8/configuring-npm/install" };
    var Bs = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
    function oa(e3) {
      return e3 && e3.__esModule && Object.prototype.hasOwnProperty.call(e3, "default") ? e3.default : e3;
    }
    var { hasOwnProperty: OBe } = Object.prototype;
    var W_ = class {
      constructor(r2) {
        Ry(this, "value");
        Ry(this, "next");
        this.value = r2;
      }
    };
    var ti;
    var na;
    var ia;
    var H_ = class {
      constructor() {
        $h(this, ti, void 0);
        $h(this, na, void 0);
        $h(this, ia, void 0);
        this.clear();
      }
      enqueue(r2) {
        let n2 = new W_(r2);
        is(this, ti) ? (is(this, na).next = n2, bi(this, na, n2)) : (bi(this, ti, n2), bi(this, na, n2)), Cy(this, ia)._++;
      }
      dequeue() {
        let r2 = is(this, ti);
        if (r2)
          return bi(this, ti, is(this, ti).next), Cy(this, ia)._--, r2.value;
      }
      clear() {
        bi(this, ti, void 0), bi(this, na, void 0), bi(this, ia, 0);
      }
      get size() {
        return is(this, ia);
      }
      *[Symbol.iterator]() {
        let r2 = is(this, ti);
        for (; r2; )
          yield r2.value, r2 = r2.next;
      }
    };
    ti = /* @__PURE__ */ new WeakMap(), na = /* @__PURE__ */ new WeakMap(), ia = /* @__PURE__ */ new WeakMap();
    function w9(e3) {
      if (!((Number.isInteger(e3) || e3 === Number.POSITIVE_INFINITY) && e3 > 0))
        throw new TypeError("Expected `concurrency` to be a number from 1 and up");
      let r2 = new H_(), n2 = 0, i4 = () => {
        n2--, r2.size > 0 && r2.dequeue()();
      }, o2 = async (c4, l2, f4) => {
        n2++;
        let p2 = (async () => c4(...f4))();
        l2(p2);
        try {
          await p2;
        } catch {
        }
        i4();
      }, a3 = (c4, l2, f4) => {
        r2.enqueue(o2.bind(void 0, c4, l2, f4)), (async () => (await Promise.resolve(), n2 < e3 && r2.size > 0 && r2.dequeue()()))();
      }, u2 = (c4, ...l2) => new Promise((f4) => {
        a3(c4, f4, l2);
      });
      return Object.defineProperties(u2, { activeCount: { get: () => n2 }, pendingCount: { get: () => r2.size }, clearQueue: { value: () => {
        r2.clear();
      } } }), u2;
    }
    var Wm = class extends Error {
      constructor(r2) {
        super(), this.value = r2;
      }
    };
    var dve = async (e3, r2) => r2(await e3);
    var mve = async (e3) => {
      let r2 = await Promise.all(e3);
      if (r2[1] === true)
        throw new Wm(r2[0]);
      return false;
    };
    async function gve(e3, r2, { concurrency: n2 = Number.POSITIVE_INFINITY, preserveOrder: i4 = true } = {}) {
      let o2 = w9(n2), a3 = [...e3].map((c4) => [c4, o2(dve, c4, r2)]), u2 = w9(i4 ? 1 : Number.POSITIVE_INFINITY);
      try {
        await Promise.all(a3.map((c4) => u2(mve, c4)));
      } catch (c4) {
        if (c4 instanceof Wm)
          return c4.value;
        throw c4;
      }
    }
    var O$ = { directory: "isDirectory", file: "isFile" };
    function yve(e3) {
      if (!(e3 in O$))
        throw new Error(`Invalid type specified: ${e3}`);
    }
    var vve = (e3, r2) => e3 === void 0 || r2[O$[e3]]();
    var bve = (e3) => e3 instanceof URL ? (0, gf.fileURLToPath)(e3) : e3;
    async function _9(e3, { cwd: r2 = jt.default.cwd(), type: n2 = "file", allowSymlinks: i4 = true, concurrency: o2, preserveOrder: a3 } = {}) {
      yve(n2), r2 = bve(r2);
      let u2 = i4 ? Cn.promises.stat : Cn.promises.lstat;
      return gve(e3, async (c4) => {
        try {
          let l2 = await u2(Ot.default.resolve(r2, c4));
          return vve(n2, l2);
        } catch {
          return false;
        }
      }, { concurrency: o2, preserveOrder: a3 });
    }
    var Eve = (e3) => e3 instanceof URL ? (0, gf.fileURLToPath)(e3) : e3;
    var wve = Symbol("findUpStop");
    async function _ve(e3, r2 = {}) {
      let n2 = Ot.default.resolve(Eve(r2.cwd) || ""), { root: i4 } = Ot.default.parse(n2), o2 = Ot.default.resolve(n2, r2.stopAt || i4), a3 = r2.limit || Number.POSITIVE_INFINITY, u2 = [e3].flat(), c4 = async (f4) => {
        if (typeof e3 != "function")
          return _9(u2, f4);
        let p2 = await e3(f4.cwd);
        return typeof p2 == "string" ? _9([p2], f4) : p2;
      }, l2 = [];
      for (; ; ) {
        let f4 = await c4({ ...r2, cwd: n2 });
        if (f4 === wve || (f4 && l2.push(Ot.default.resolve(n2, f4)), n2 === o2 || l2.length >= a3))
          break;
        n2 = Ot.default.dirname(n2);
      }
      return l2;
    }
    async function S9(e3, r2 = {}) {
      return (await _ve(e3, { ...r2, limit: 1 }))[0];
    }
    var TBe = jt.default.env.NI_CONFIG_FILE;
    var Sve = jt.default.platform === "win32" ? jt.default.env.USERPROFILE : jt.default.env.HOME;
    var RBe = Ot.default.join(Sve || "~/", ".nirc");
    var Ku = { exports: {} };
    var D_;
    var x9;
    function xve() {
      if (x9)
        return D_;
      x9 = 1, D_ = i4, i4.sync = o2;
      var e3 = Ym.default;
      function r2(a3, u2) {
        var c4 = u2.pathExt !== void 0 ? u2.pathExt : process.env.PATHEXT;
        if (!c4 || (c4 = c4.split(";"), c4.indexOf("") !== -1))
          return true;
        for (var l2 = 0; l2 < c4.length; l2++) {
          var f4 = c4[l2].toLowerCase();
          if (f4 && a3.substr(-f4.length).toLowerCase() === f4)
            return true;
        }
        return false;
      }
      function n2(a3, u2, c4) {
        return !a3.isSymbolicLink() && !a3.isFile() ? false : r2(u2, c4);
      }
      function i4(a3, u2, c4) {
        e3.stat(a3, function(l2, f4) {
          c4(l2, l2 ? false : n2(f4, a3, u2));
        });
      }
      function o2(a3, u2) {
        return n2(e3.statSync(a3), a3, u2);
      }
      return D_;
    }
    var O_;
    var D9;
    function Dve() {
      if (D9)
        return O_;
      D9 = 1, O_ = r2, r2.sync = n2;
      var e3 = Ym.default;
      function r2(a3, u2, c4) {
        e3.stat(a3, function(l2, f4) {
          c4(l2, l2 ? false : i4(f4, u2));
        });
      }
      function n2(a3, u2) {
        return i4(e3.statSync(a3), u2);
      }
      function i4(a3, u2) {
        return a3.isFile() && o2(a3, u2);
      }
      function o2(a3, u2) {
        var c4 = a3.mode, l2 = a3.uid, f4 = a3.gid, p2 = u2.uid !== void 0 ? u2.uid : process.getuid && process.getuid(), v2 = u2.gid !== void 0 ? u2.gid : process.getgid && process.getgid(), g2 = parseInt("100", 8), S2 = parseInt("010", 8), D = parseInt("001", 8), T6 = g2 | S2, R = c4 & D || c4 & S2 && f4 === v2 || c4 & g2 && l2 === p2 || c4 & T6 && p2 === 0;
        return R;
      }
      return O_;
    }
    var Hm;
    process.platform === "win32" || Bs.TESTING_WINDOWS ? Hm = xve() : Hm = Dve();
    var T$ = fS;
    fS.sync = Ove;
    function fS(e3, r2, n2) {
      if (typeof r2 == "function" && (n2 = r2, r2 = {}), !n2) {
        if (typeof Promise != "function")
          throw new TypeError("callback not provided");
        return new Promise(function(i4, o2) {
          fS(e3, r2 || {}, function(a3, u2) {
            a3 ? o2(a3) : i4(u2);
          });
        });
      }
      Hm(e3, r2 || {}, function(i4, o2) {
        i4 && (i4.code === "EACCES" || r2 && r2.ignoreErrors) && (i4 = null, o2 = false), n2(i4, o2);
      });
    }
    function Ove(e3, r2) {
      try {
        return Hm.sync(e3, r2 || {});
      } catch (n2) {
        if (r2 && r2.ignoreErrors || n2.code === "EACCES")
          return false;
        throw n2;
      }
    }
    var Uu = process.platform === "win32" || process.env.OSTYPE === "cygwin" || process.env.OSTYPE === "msys";
    var R$ = mf.default;
    var Tve = Uu ? ";" : ":";
    var C$ = T$;
    var A$ = (e3) => Object.assign(new Error(`not found: ${e3}`), { code: "ENOENT" });
    var I$ = (e3, r2) => {
      let n2 = r2.colon || Tve, i4 = e3.match(/\//) || Uu && e3.match(/\\/) ? [""] : [...Uu ? [process.cwd()] : [], ...(r2.path || process.env.PATH || "").split(n2)], o2 = Uu ? r2.pathExt || process.env.PATHEXT || ".EXE;.CMD;.BAT;.COM" : "", a3 = Uu ? o2.split(n2) : [""];
      return Uu && e3.indexOf(".") !== -1 && a3[0] !== "" && a3.unshift(""), { pathEnv: i4, pathExt: a3, pathExtExe: o2 };
    };
    var P$ = (e3, r2, n2) => {
      typeof r2 == "function" && (n2 = r2, r2 = {}), r2 || (r2 = {});
      let { pathEnv: i4, pathExt: o2, pathExtExe: a3 } = I$(e3, r2), u2 = [], c4 = (f4) => new Promise((p2, v2) => {
        if (f4 === i4.length)
          return r2.all && u2.length ? p2(u2) : v2(A$(e3));
        let g2 = i4[f4], S2 = /^".*"$/.test(g2) ? g2.slice(1, -1) : g2, D = R$.join(S2, e3), T6 = !S2 && /^\.[\\\/]/.test(e3) ? e3.slice(0, 2) + D : D;
        p2(l2(T6, f4, 0));
      }), l2 = (f4, p2, v2) => new Promise((g2, S2) => {
        if (v2 === o2.length)
          return g2(c4(p2 + 1));
        let D = o2[v2];
        C$(f4 + D, { pathExt: a3 }, (T6, R) => {
          if (!T6 && R)
            if (r2.all)
              u2.push(f4 + D);
            else
              return g2(f4 + D);
          return g2(l2(f4, p2, v2 + 1));
        });
      });
      return n2 ? c4(0).then((f4) => n2(null, f4), n2) : c4(0);
    };
    var Rve = (e3, r2) => {
      r2 = r2 || {};
      let { pathEnv: n2, pathExt: i4, pathExtExe: o2 } = I$(e3, r2), a3 = [];
      for (let u2 = 0; u2 < n2.length; u2++) {
        let c4 = n2[u2], l2 = /^".*"$/.test(c4) ? c4.slice(1, -1) : c4, f4 = R$.join(l2, e3), p2 = !l2 && /^\.[\\\/]/.test(e3) ? e3.slice(0, 2) + f4 : f4;
        for (let v2 = 0; v2 < i4.length; v2++) {
          let g2 = p2 + i4[v2];
          try {
            if (C$.sync(g2, { pathExt: o2 }))
              if (r2.all)
                a3.push(g2);
              else
                return g2;
          } catch {
          }
        }
      }
      if (r2.all && a3.length)
        return a3;
      if (r2.nothrow)
        return null;
      throw A$(e3);
    };
    var Cve = P$;
    P$.sync = Rve;
    var hS = { exports: {} };
    var F$ = (e3 = {}) => {
      let r2 = e3.env || process.env;
      return (e3.platform || process.platform) !== "win32" ? "PATH" : Object.keys(r2).reverse().find((i4) => i4.toUpperCase() === "PATH") || "Path";
    };
    hS.exports = F$;
    hS.exports.default = F$;
    var Ave = hS.exports;
    var O9 = mf.default;
    var Ive = Cve;
    var Pve = Ave;
    function T9(e3, r2) {
      let n2 = e3.options.env || process.env, i4 = process.cwd(), o2 = e3.options.cwd != null, a3 = o2 && process.chdir !== void 0 && !process.chdir.disabled;
      if (a3)
        try {
          process.chdir(e3.options.cwd);
        } catch {
        }
      let u2;
      try {
        u2 = Ive.sync(e3.command, { path: n2[Pve({ env: n2 })], pathExt: r2 ? O9.delimiter : void 0 });
      } catch {
      } finally {
        a3 && process.chdir(i4);
      }
      return u2 && (u2 = O9.resolve(o2 ? e3.options.cwd : "", u2)), u2;
    }
    function Fve(e3) {
      return T9(e3) || T9(e3, true);
    }
    var Lve = Fve;
    var pS = {};
    var V_ = /([()\][%!^"`<>&|;, *?])/g;
    function Mve(e3) {
      return e3 = e3.replace(V_, "^$1"), e3;
    }
    function Nve(e3, r2) {
      return e3 = `${e3}`, e3 = e3.replace(/(\\*)"/g, '$1$1\\"'), e3 = e3.replace(/(\\*)$/, "$1$1"), e3 = `"${e3}"`, e3 = e3.replace(V_, "^$1"), r2 && (e3 = e3.replace(V_, "^$1")), e3;
    }
    pS.command = Mve;
    pS.argument = Nve;
    var kve = /^#!(.*)/;
    var $ve = kve;
    var qve = (e3 = "") => {
      let r2 = e3.match($ve);
      if (!r2)
        return null;
      let [n2, i4] = r2[0].replace(/#! ?/, "").split(" "), o2 = n2.split("/").pop();
      return o2 === "env" ? i4 : i4 ? `${o2} ${i4}` : o2;
    };
    var T_ = Ym.default;
    var Bve = qve;
    function jve(e3) {
      let n2 = Buffer.alloc(150), i4;
      try {
        i4 = T_.openSync(e3, "r"), T_.readSync(i4, n2, 0, 150, 0), T_.closeSync(i4);
      } catch {
      }
      return Bve(n2.toString());
    }
    var Uve = jve;
    var Gve = mf.default;
    var R9 = Lve;
    var C9 = pS;
    var Wve = Uve;
    var Hve = process.platform === "win32";
    var Vve = /\.(?:com|exe)$/i;
    var Kve = /node_modules[\\/].bin[\\/][^\\/]+\.cmd$/i;
    function zve(e3) {
      e3.file = R9(e3);
      let r2 = e3.file && Wve(e3.file);
      return r2 ? (e3.args.unshift(e3.file), e3.command = r2, R9(e3)) : e3.file;
    }
    function Yve(e3) {
      if (!Hve)
        return e3;
      let r2 = zve(e3), n2 = !Vve.test(r2);
      if (e3.options.forceShell || n2) {
        let i4 = Kve.test(r2);
        e3.command = Gve.normalize(e3.command), e3.command = C9.command(e3.command), e3.args = e3.args.map((a3) => C9.argument(a3, i4));
        let o2 = [e3.command].concat(e3.args).join(" ");
        e3.args = ["/d", "/s", "/c", `"${o2}"`], e3.command = process.env.comspec || "cmd.exe", e3.options.windowsVerbatimArguments = true;
      }
      return e3;
    }
    function Jve(e3, r2, n2) {
      r2 && !Array.isArray(r2) && (n2 = r2, r2 = null), r2 = r2 ? r2.slice(0) : [], n2 = Object.assign({}, n2);
      let i4 = { command: e3, args: r2, options: n2, file: void 0, original: { command: e3, args: r2 } };
      return n2.shell ? i4 : Yve(i4);
    }
    var Xve = Jve;
    var dS = process.platform === "win32";
    function mS(e3, r2) {
      return Object.assign(new Error(`${r2} ${e3.command} ENOENT`), { code: "ENOENT", errno: "ENOENT", syscall: `${r2} ${e3.command}`, path: e3.command, spawnargs: e3.args });
    }
    function Qve(e3, r2) {
      if (!dS)
        return;
      let n2 = e3.emit;
      e3.emit = function(i4, o2) {
        if (i4 === "exit") {
          let a3 = L$(o2, r2);
          if (a3)
            return n2.call(e3, "error", a3);
        }
        return n2.apply(e3, arguments);
      };
    }
    function L$(e3, r2) {
      return dS && e3 === 1 && !r2.file ? mS(r2.original, "spawn") : null;
    }
    function Zve(e3, r2) {
      return dS && e3 === 1 && !r2.file ? mS(r2.original, "spawnSync") : null;
    }
    var e1e = { hookChildProcess: Qve, verifyENOENT: L$, verifyENOENTSync: Zve, notFoundError: mS };
    var M$ = v$.default;
    var gS = Xve;
    var yS = e1e;
    function N$(e3, r2, n2) {
      let i4 = gS(e3, r2, n2), o2 = M$.spawn(i4.command, i4.args, i4.options);
      return yS.hookChildProcess(o2, i4), o2;
    }
    function t1e(e3, r2, n2) {
      let i4 = gS(e3, r2, n2), o2 = M$.spawnSync(i4.command, i4.args, i4.options);
      return o2.error = o2.error || yS.verifyENOENTSync(o2.status, i4), o2;
    }
    Ku.exports = N$;
    Ku.exports.spawn = N$;
    Ku.exports.sync = t1e;
    Ku.exports._parse = gS;
    Ku.exports._enoent = yS;
    var r1e = Ku.exports;
    var n1e = oa(r1e);
    function i1e(e3) {
      let r2 = typeof e3 == "string" ? `
` : `
`.charCodeAt(), n2 = typeof e3 == "string" ? "\r" : "\r".charCodeAt();
      return e3[e3.length - 1] === r2 && (e3 = e3.slice(0, -1)), e3[e3.length - 1] === n2 && (e3 = e3.slice(0, -1)), e3;
    }
    function k$(e3 = {}) {
      let { env: r2 = process.env, platform: n2 = process.platform } = e3;
      return n2 !== "win32" ? "PATH" : Object.keys(r2).reverse().find((i4) => i4.toUpperCase() === "PATH") || "Path";
    }
    function s1e(e3 = {}) {
      let { cwd: r2 = jt.default.cwd(), path: n2 = jt.default.env[k$()], execPath: i4 = jt.default.execPath } = e3, o2, a3 = r2 instanceof URL ? gf.default.fileURLToPath(r2) : r2, u2 = Ot.default.resolve(a3), c4 = [];
      for (; o2 !== u2; )
        c4.push(Ot.default.join(u2, "node_modules/.bin")), o2 = u2, u2 = Ot.default.resolve(u2, "..");
      return c4.push(Ot.default.resolve(a3, i4, "..")), [...c4, n2].join(Ot.default.delimiter);
    }
    function o1e({ env: e3 = jt.default.env, ...r2 } = {}) {
      e3 = { ...e3 };
      let n2 = k$({ env: e3 });
      return r2.path = e3[n2], e3[n2] = s1e(r2), e3;
    }
    var a1e = (e3, r2, n2, i4) => {
      if (n2 === "length" || n2 === "prototype" || n2 === "arguments" || n2 === "caller")
        return;
      let o2 = Object.getOwnPropertyDescriptor(e3, n2), a3 = Object.getOwnPropertyDescriptor(r2, n2);
      !u1e(o2, a3) && i4 || Object.defineProperty(e3, n2, a3);
    };
    var u1e = function(e3, r2) {
      return e3 === void 0 || e3.configurable || e3.writable === r2.writable && e3.enumerable === r2.enumerable && e3.configurable === r2.configurable && (e3.writable || e3.value === r2.value);
    };
    var c1e = (e3, r2) => {
      let n2 = Object.getPrototypeOf(r2);
      n2 !== Object.getPrototypeOf(e3) && Object.setPrototypeOf(e3, n2);
    };
    var l1e = (e3, r2) => `/* Wrapped ${e3}*/
${r2}`;
    var f1e = Object.getOwnPropertyDescriptor(Function.prototype, "toString");
    var h1e = Object.getOwnPropertyDescriptor(Function.prototype.toString, "name");
    var p1e = (e3, r2, n2) => {
      let i4 = n2 === "" ? "" : `with ${n2.trim()}() `, o2 = l1e.bind(null, i4, r2.toString());
      Object.defineProperty(o2, "name", h1e), Object.defineProperty(e3, "toString", { ...f1e, value: o2 });
    };
    function d1e(e3, r2, { ignoreNonConfigurable: n2 = false } = {}) {
      let { name: i4 } = e3;
      for (let o2 of Reflect.ownKeys(r2))
        a1e(e3, r2, o2, n2);
      return c1e(e3, r2), p1e(e3, r2, i4), e3;
    }
    var Vm = /* @__PURE__ */ new WeakMap();
    var $$ = (e3, r2 = {}) => {
      if (typeof e3 != "function")
        throw new TypeError("Expected a function");
      let n2, i4 = 0, o2 = e3.displayName || e3.name || "<anonymous>", a3 = function(...u2) {
        if (Vm.set(a3, ++i4), i4 === 1)
          n2 = e3.apply(this, u2), e3 = null;
        else if (r2.throw === true)
          throw new Error(`Function \`${o2}\` can only be called once`);
        return n2;
      };
      return d1e(a3, e3), Vm.set(a3, i4), a3;
    };
    $$.callCount = (e3) => {
      if (!Vm.has(e3))
        throw new Error(`The given function \`${e3.name}\` is not wrapped by the \`onetime\` package`);
      return Vm.get(e3);
    };
    var m1e = () => {
      let e3 = B$ - q$ + 1;
      return Array.from({ length: e3 }, g1e);
    };
    var g1e = (e3, r2) => ({ name: `SIGRT${r2 + 1}`, number: q$ + r2, action: "terminate", description: "Application-specific signal (realtime)", standard: "posix" });
    var q$ = 34;
    var B$ = 64;
    var y1e = [{ name: "SIGHUP", number: 1, action: "terminate", description: "Terminal closed", standard: "posix" }, { name: "SIGINT", number: 2, action: "terminate", description: "User interruption with CTRL-C", standard: "ansi" }, { name: "SIGQUIT", number: 3, action: "core", description: "User interruption with CTRL-\\", standard: "posix" }, { name: "SIGILL", number: 4, action: "core", description: "Invalid machine instruction", standard: "ansi" }, { name: "SIGTRAP", number: 5, action: "core", description: "Debugger breakpoint", standard: "posix" }, { name: "SIGABRT", number: 6, action: "core", description: "Aborted", standard: "ansi" }, { name: "SIGIOT", number: 6, action: "core", description: "Aborted", standard: "bsd" }, { name: "SIGBUS", number: 7, action: "core", description: "Bus error due to misaligned, non-existing address or paging error", standard: "bsd" }, { name: "SIGEMT", number: 7, action: "terminate", description: "Command should be emulated but is not implemented", standard: "other" }, { name: "SIGFPE", number: 8, action: "core", description: "Floating point arithmetic error", standard: "ansi" }, { name: "SIGKILL", number: 9, action: "terminate", description: "Forced termination", standard: "posix", forced: true }, { name: "SIGUSR1", number: 10, action: "terminate", description: "Application-specific signal", standard: "posix" }, { name: "SIGSEGV", number: 11, action: "core", description: "Segmentation fault", standard: "ansi" }, { name: "SIGUSR2", number: 12, action: "terminate", description: "Application-specific signal", standard: "posix" }, { name: "SIGPIPE", number: 13, action: "terminate", description: "Broken pipe or socket", standard: "posix" }, { name: "SIGALRM", number: 14, action: "terminate", description: "Timeout or timer", standard: "posix" }, { name: "SIGTERM", number: 15, action: "terminate", description: "Termination", standard: "ansi" }, { name: "SIGSTKFLT", number: 16, action: "terminate", description: "Stack is empty or overflowed", standard: "other" }, { name: "SIGCHLD", number: 17, action: "ignore", description: "Child process terminated, paused or unpaused", standard: "posix" }, { name: "SIGCLD", number: 17, action: "ignore", description: "Child process terminated, paused or unpaused", standard: "other" }, { name: "SIGCONT", number: 18, action: "unpause", description: "Unpaused", standard: "posix", forced: true }, { name: "SIGSTOP", number: 19, action: "pause", description: "Paused", standard: "posix", forced: true }, { name: "SIGTSTP", number: 20, action: "pause", description: 'Paused using CTRL-Z or "suspend"', standard: "posix" }, { name: "SIGTTIN", number: 21, action: "pause", description: "Background process cannot read terminal input", standard: "posix" }, { name: "SIGBREAK", number: 21, action: "terminate", description: "User interruption with CTRL-BREAK", standard: "other" }, { name: "SIGTTOU", number: 22, action: "pause", description: "Background process cannot write to terminal output", standard: "posix" }, { name: "SIGURG", number: 23, action: "ignore", description: "Socket received out-of-band data", standard: "bsd" }, { name: "SIGXCPU", number: 24, action: "core", description: "Process timed out", standard: "bsd" }, { name: "SIGXFSZ", number: 25, action: "core", description: "File too big", standard: "bsd" }, { name: "SIGVTALRM", number: 26, action: "terminate", description: "Timeout or timer", standard: "bsd" }, { name: "SIGPROF", number: 27, action: "terminate", description: "Timeout or timer", standard: "bsd" }, { name: "SIGWINCH", number: 28, action: "ignore", description: "Terminal window size changed", standard: "bsd" }, { name: "SIGIO", number: 29, action: "terminate", description: "I/O is available", standard: "other" }, { name: "SIGPOLL", number: 29, action: "terminate", description: "Watched event", standard: "other" }, { name: "SIGINFO", number: 29, action: "ignore", description: "Request for process information", standard: "other" }, { name: "SIGPWR", number: 30, action: "terminate", description: "Device running out of power", standard: "systemv" }, { name: "SIGSYS", number: 31, action: "core", description: "Invalid system call", standard: "other" }, { name: "SIGUNUSED", number: 31, action: "terminate", description: "Invalid system call", standard: "other" }];
    var j$ = () => {
      let e3 = m1e();
      return [...y1e, ...e3].map(v1e);
    };
    var v1e = ({ name: e3, number: r2, description: n2, action: i4, forced: o2 = false, standard: a3 }) => {
      let { signals: { [e3]: u2 } } = Vu.constants, c4 = u2 !== void 0;
      return { name: e3, number: c4 ? u2 : r2, description: n2, supported: c4, action: i4, forced: o2, standard: a3 };
    };
    var b1e = () => {
      let e3 = j$();
      return Object.fromEntries(e3.map(E1e));
    };
    var E1e = ({ name: e3, number: r2, description: n2, supported: i4, action: o2, forced: a3, standard: u2 }) => [e3, { name: e3, number: r2, description: n2, supported: i4, action: o2, forced: a3, standard: u2 }];
    var w1e = b1e();
    var _1e = () => {
      let e3 = j$(), r2 = B$ + 1, n2 = Array.from({ length: r2 }, (i4, o2) => S1e(o2, e3));
      return Object.assign({}, ...n2);
    };
    var S1e = (e3, r2) => {
      let n2 = x1e(e3, r2);
      if (n2 === void 0)
        return {};
      let { name: i4, description: o2, supported: a3, action: u2, forced: c4, standard: l2 } = n2;
      return { [e3]: { name: i4, number: e3, description: o2, supported: a3, action: u2, forced: c4, standard: l2 } };
    };
    var x1e = (e3, r2) => {
      let n2 = r2.find(({ name: i4 }) => Vu.constants.signals[i4] === e3);
      return n2 !== void 0 ? n2 : r2.find((i4) => i4.number === e3);
    };
    _1e();
    var D1e = ({ timedOut: e3, timeout: r2, errorCode: n2, signal: i4, signalDescription: o2, exitCode: a3, isCanceled: u2 }) => e3 ? `timed out after ${r2} milliseconds` : u2 ? "was canceled" : n2 !== void 0 ? `failed with ${n2}` : i4 !== void 0 ? `was killed with ${i4} (${o2})` : a3 !== void 0 ? `failed with exit code ${a3}` : "failed";
    var A9 = ({ stdout: e3, stderr: r2, all: n2, error: i4, signal: o2, exitCode: a3, command: u2, escapedCommand: c4, timedOut: l2, isCanceled: f4, killed: p2, parsed: { options: { timeout: v2 } } }) => {
      a3 = a3 === null ? void 0 : a3, o2 = o2 === null ? void 0 : o2;
      let g2 = o2 === void 0 ? void 0 : w1e[o2].description, S2 = i4 && i4.code, T6 = `Command ${D1e({ timedOut: l2, timeout: v2, errorCode: S2, signal: o2, signalDescription: g2, exitCode: a3, isCanceled: f4 })}: ${u2}`, R = Object.prototype.toString.call(i4) === "[object Error]", A2 = R ? `${T6}
${i4.message}` : T6, L = [A2, r2, e3].filter(Boolean).join(`
`);
      return R ? (i4.originalMessage = i4.message, i4.message = L) : i4 = new Error(L), i4.shortMessage = A2, i4.command = u2, i4.escapedCommand = c4, i4.exitCode = a3, i4.signal = o2, i4.signalDescription = g2, i4.stdout = e3, i4.stderr = r2, n2 !== void 0 && (i4.all = n2), "bufferedData" in i4 && delete i4.bufferedData, i4.failed = true, i4.timedOut = !!l2, i4.isCanceled = f4, i4.killed = p2 && !l2, i4;
    };
    var Gm = ["stdin", "stdout", "stderr"];
    var O1e = (e3) => Gm.some((r2) => e3[r2] !== void 0);
    var T1e = (e3) => {
      if (!e3)
        return;
      let { stdio: r2 } = e3;
      if (r2 === void 0)
        return Gm.map((i4) => e3[i4]);
      if (O1e(e3))
        throw new Error(`It's not possible to provide \`stdio\` in combination with one of ${Gm.map((i4) => `\`${i4}\``).join(", ")}`);
      if (typeof r2 == "string")
        return r2;
      if (!Array.isArray(r2))
        throw new TypeError(`Expected \`stdio\` to be of type \`string\` or \`Array\`, got \`${typeof r2}\``);
      let n2 = Math.max(r2.length, Gm.length);
      return Array.from({ length: n2 }, (i4, o2) => r2[o2]);
    };
    var Gu = { exports: {} };
    var R_ = { exports: {} };
    var I9;
    function R1e() {
      return I9 || (I9 = 1, function(e3) {
        e3.exports = ["SIGABRT", "SIGALRM", "SIGHUP", "SIGINT", "SIGTERM"], process.platform !== "win32" && e3.exports.push("SIGVTALRM", "SIGXCPU", "SIGXFSZ", "SIGUSR2", "SIGTRAP", "SIGSYS", "SIGQUIT", "SIGIOT"), process.platform === "linux" && e3.exports.push("SIGIO", "SIGPOLL", "SIGPWR", "SIGSTKFLT", "SIGUNUSED");
      }(R_)), R_.exports;
    }
    var ot = Bs.process;
    var ta = function(e3) {
      return e3 && typeof e3 == "object" && typeof e3.removeListener == "function" && typeof e3.emit == "function" && typeof e3.reallyExit == "function" && typeof e3.listeners == "function" && typeof e3.kill == "function" && typeof e3.pid == "number" && typeof e3.on == "function";
    };
    ta(ot) ? (P9 = b$.default, $u = R1e(), F9 = /^win/i.test(ot.platform), of = lS.default, typeof of != "function" && (of = of.EventEmitter), ot.__signal_exit_emitter__ ? qt = ot.__signal_exit_emitter__ : (qt = ot.__signal_exit_emitter__ = new of(), qt.count = 0, qt.emitted = {}), qt.infinite || (qt.setMaxListeners(1 / 0), qt.infinite = true), Gu.exports = function(e3, r2) {
      if (!ta(Bs.process))
        return function() {
        };
      P9.equal(typeof e3, "function", "a callback must be provided for exit handler"), qu === false && C_();
      var n2 = "exit";
      r2 && r2.alwaysLast && (n2 = "afterexit");
      var i4 = function() {
        qt.removeListener(n2, e3), qt.listeners("exit").length === 0 && qt.listeners("afterexit").length === 0 && Fm();
      };
      return qt.on(n2, e3), i4;
    }, Fm = function() {
      !qu || !ta(Bs.process) || (qu = false, $u.forEach(function(r2) {
        try {
          ot.removeListener(r2, Lm[r2]);
        } catch {
        }
      }), ot.emit = Mm, ot.reallyExit = A_, qt.count -= 1);
    }, Gu.exports.unload = Fm, ra = function(r2, n2, i4) {
      qt.emitted[r2] || (qt.emitted[r2] = true, qt.emit(r2, n2, i4));
    }, Lm = {}, $u.forEach(function(e3) {
      Lm[e3] = function() {
        if (ta(Bs.process)) {
          var n2 = ot.listeners(e3);
          n2.length === qt.count && (Fm(), ra("exit", null, e3), ra("afterexit", null, e3), F9 && e3 === "SIGHUP" && (e3 = "SIGINT"), ot.kill(ot.pid, e3));
        }
      };
    }), Gu.exports.signals = function() {
      return $u;
    }, qu = false, C_ = function() {
      qu || !ta(Bs.process) || (qu = true, qt.count += 1, $u = $u.filter(function(r2) {
        try {
          return ot.on(r2, Lm[r2]), true;
        } catch {
          return false;
        }
      }), ot.emit = M9, ot.reallyExit = L9);
    }, Gu.exports.load = C_, A_ = ot.reallyExit, L9 = function(r2) {
      ta(Bs.process) && (ot.exitCode = r2 || 0, ra("exit", ot.exitCode, null), ra("afterexit", ot.exitCode, null), A_.call(ot, ot.exitCode));
    }, Mm = ot.emit, M9 = function(r2, n2) {
      if (r2 === "exit" && ta(Bs.process)) {
        n2 !== void 0 && (ot.exitCode = n2);
        var i4 = Mm.apply(this, arguments);
        return ra("exit", ot.exitCode, null), ra("afterexit", ot.exitCode, null), i4;
      } else
        return Mm.apply(this, arguments);
    }) : Gu.exports = function() {
      return function() {
      };
    };
    var P9;
    var $u;
    var F9;
    var of;
    var qt;
    var Fm;
    var ra;
    var Lm;
    var qu;
    var C_;
    var A_;
    var L9;
    var Mm;
    var M9;
    var C1e = Gu.exports;
    var A1e = oa(C1e);
    var I1e = 1e3 * 5;
    var P1e = (e3, r2 = "SIGTERM", n2 = {}) => {
      let i4 = e3(r2);
      return F1e(e3, r2, n2, i4), i4;
    };
    var F1e = (e3, r2, n2, i4) => {
      if (!L1e(r2, n2, i4))
        return;
      let o2 = N1e(n2), a3 = setTimeout(() => {
        e3("SIGKILL");
      }, o2);
      a3.unref && a3.unref();
    };
    var L1e = (e3, { forceKillAfterTimeout: r2 }, n2) => M1e(e3) && r2 !== false && n2;
    var M1e = (e3) => e3 === Vu.default.constants.signals.SIGTERM || typeof e3 == "string" && e3.toUpperCase() === "SIGTERM";
    var N1e = ({ forceKillAfterTimeout: e3 = true }) => {
      if (e3 === true)
        return I1e;
      if (!Number.isFinite(e3) || e3 < 0)
        throw new TypeError(`Expected the \`forceKillAfterTimeout\` option to be a non-negative integer, got \`${e3}\` (${typeof e3})`);
      return e3;
    };
    var k1e = (e3, r2) => {
      e3.kill() && (r2.isCanceled = true);
    };
    var $1e = (e3, r2, n2) => {
      e3.kill(r2), n2(Object.assign(new Error("Timed out"), { timedOut: true, signal: r2 }));
    };
    var q1e = (e3, { timeout: r2, killSignal: n2 = "SIGTERM" }, i4) => {
      if (r2 === 0 || r2 === void 0)
        return i4;
      let o2, a3 = new Promise((c4, l2) => {
        o2 = setTimeout(() => {
          $1e(e3, n2, l2);
        }, r2);
      }), u2 = i4.finally(() => {
        clearTimeout(o2);
      });
      return Promise.race([a3, u2]);
    };
    var B1e = ({ timeout: e3 }) => {
      if (e3 !== void 0 && (!Number.isFinite(e3) || e3 < 0))
        throw new TypeError(`Expected the \`timeout\` option to be a non-negative integer, got \`${e3}\` (${typeof e3})`);
    };
    var j1e = async (e3, { cleanup: r2, detached: n2 }, i4) => {
      if (!r2 || n2)
        return i4;
      let o2 = A1e(() => {
        e3.kill();
      });
      return i4.finally(() => {
        o2();
      });
    };
    function U$(e3) {
      return e3 !== null && typeof e3 == "object" && typeof e3.pipe == "function";
    }
    function N9(e3) {
      return U$(e3) && e3.writable !== false && typeof e3._write == "function" && typeof e3._writableState == "object";
    }
    var U1e = (e3) => e3 instanceof ff.ChildProcess && typeof e3.then == "function";
    var I_ = (e3, r2, n2) => {
      if (typeof n2 == "string")
        return e3[r2].pipe((0, Cn.createWriteStream)(n2)), e3;
      if (N9(n2))
        return e3[r2].pipe(n2), e3;
      if (!U1e(n2))
        throw new TypeError("The second argument must be a string, a stream or an Execa child process.");
      if (!N9(n2.stdin))
        throw new TypeError("The target child process's stdin must be available.");
      return e3[r2].pipe(n2.stdin), n2;
    };
    var G1e = (e3) => {
      e3.stdout !== null && (e3.pipeStdout = I_.bind(void 0, e3, "stdout")), e3.stderr !== null && (e3.pipeStderr = I_.bind(void 0, e3, "stderr")), e3.all !== void 0 && (e3.pipeAll = I_.bind(void 0, e3, "all"));
    };
    var yf = { exports: {} };
    var { PassThrough: W1e } = Jm.default;
    var H1e = (e3) => {
      e3 = { ...e3 };
      let { array: r2 } = e3, { encoding: n2 } = e3, i4 = n2 === "buffer", o2 = false;
      r2 ? o2 = !(n2 || i4) : n2 = n2 || "utf8", i4 && (n2 = null);
      let a3 = new W1e({ objectMode: o2 });
      n2 && a3.setEncoding(n2);
      let u2 = 0, c4 = [];
      return a3.on("data", (l2) => {
        c4.push(l2), o2 ? u2 = c4.length : u2 += l2.length;
      }), a3.getBufferedValue = () => r2 ? c4 : i4 ? Buffer.concat(c4, u2) : c4.join(""), a3.getBufferedLength = () => u2, a3;
    };
    var { constants: V1e } = E$.default;
    var K1e = Jm.default;
    var { promisify: z1e } = w$.default;
    var Y1e = H1e;
    var J1e = z1e(K1e.pipeline);
    var Km = class extends Error {
      constructor() {
        super("maxBuffer exceeded"), this.name = "MaxBufferError";
      }
    };
    async function vS(e3, r2) {
      if (!e3)
        throw new Error("Expected a stream");
      r2 = { maxBuffer: 1 / 0, ...r2 };
      let { maxBuffer: n2 } = r2, i4 = Y1e(r2);
      return await new Promise((o2, a3) => {
        let u2 = (c4) => {
          c4 && i4.getBufferedLength() <= V1e.MAX_LENGTH && (c4.bufferedData = i4.getBufferedValue()), a3(c4);
        };
        (async () => {
          try {
            await J1e(e3, i4), o2();
          } catch (c4) {
            u2(c4);
          }
        })(), i4.on("data", () => {
          i4.getBufferedLength() > n2 && u2(new Km());
        });
      }), i4.getBufferedValue();
    }
    yf.exports = vS;
    yf.exports.buffer = (e3, r2) => vS(e3, { ...r2, encoding: "buffer" });
    yf.exports.array = (e3, r2) => vS(e3, { ...r2, array: true });
    yf.exports.MaxBufferError = Km;
    var X1e = yf.exports;
    var k9 = oa(X1e);
    var { PassThrough: Q1e } = Jm.default;
    var Z1e = function() {
      var e3 = [], r2 = new Q1e({ objectMode: true });
      return r2.setMaxListeners(0), r2.add = n2, r2.isEmpty = i4, r2.on("unpipe", o2), Array.prototype.slice.call(arguments).forEach(n2), r2;
      function n2(a3) {
        return Array.isArray(a3) ? (a3.forEach(n2), this) : (e3.push(a3), a3.once("end", o2.bind(null, a3)), a3.once("error", r2.emit.bind(r2, "error")), a3.pipe(r2, { end: false }), this);
      }
      function i4() {
        return e3.length == 0;
      }
      function o2(a3) {
        e3 = e3.filter(function(u2) {
          return u2 !== a3;
        }), !e3.length && r2.readable && r2.end();
      }
    };
    var ebe = oa(Z1e);
    var tbe = (e3) => {
      if (e3 !== void 0)
        throw new TypeError("The `input` and `inputFile` options cannot be both set.");
    };
    var rbe = ({ input: e3, inputFile: r2 }) => typeof r2 != "string" ? e3 : (tbe(e3), (0, Cn.createReadStream)(r2));
    var nbe = (e3, r2) => {
      let n2 = rbe(r2);
      n2 !== void 0 && (U$(n2) ? n2.pipe(e3.stdin) : e3.stdin.end(n2));
    };
    var ibe = (e3, { all: r2 }) => {
      if (!r2 || !e3.stdout && !e3.stderr)
        return;
      let n2 = ebe();
      return e3.stdout && n2.add(e3.stdout), e3.stderr && n2.add(e3.stderr), n2;
    };
    var P_ = async (e3, r2) => {
      if (!(!e3 || r2 === void 0)) {
        e3.destroy();
        try {
          return await r2;
        } catch (n2) {
          return n2.bufferedData;
        }
      }
    };
    var F_ = (e3, { encoding: r2, buffer: n2, maxBuffer: i4 }) => {
      if (!(!e3 || !n2))
        return r2 ? k9(e3, { encoding: r2, maxBuffer: i4 }) : k9.buffer(e3, { maxBuffer: i4 });
    };
    var sbe = async ({ stdout: e3, stderr: r2, all: n2 }, { encoding: i4, buffer: o2, maxBuffer: a3 }, u2) => {
      let c4 = F_(e3, { encoding: i4, buffer: o2, maxBuffer: a3 }), l2 = F_(r2, { encoding: i4, buffer: o2, maxBuffer: a3 }), f4 = F_(n2, { encoding: i4, buffer: o2, maxBuffer: a3 * 2 });
      try {
        return await Promise.all([u2, c4, l2, f4]);
      } catch (p2) {
        return Promise.all([{ error: p2, signal: p2.signal, timedOut: p2.timedOut }, P_(e3, c4), P_(r2, l2), P_(n2, f4)]);
      }
    };
    var obe = (/* @__PURE__ */ (async () => {
    })()).constructor.prototype;
    var abe = ["then", "catch", "finally"].map((e3) => [e3, Reflect.getOwnPropertyDescriptor(obe, e3)]);
    var $9 = (e3, r2) => {
      for (let [n2, i4] of abe) {
        let o2 = typeof r2 == "function" ? (...a3) => Reflect.apply(i4.value, r2(), a3) : i4.value.bind(r2);
        Reflect.defineProperty(e3, n2, { ...i4, value: o2 });
      }
    };
    var ube = (e3) => new Promise((r2, n2) => {
      e3.on("exit", (i4, o2) => {
        r2({ exitCode: i4, signal: o2 });
      }), e3.on("error", (i4) => {
        n2(i4);
      }), e3.stdin && e3.stdin.on("error", (i4) => {
        n2(i4);
      });
    });
    var G$ = (e3, r2 = []) => Array.isArray(r2) ? [e3, ...r2] : [e3];
    var cbe = /^[\w.-]+$/;
    var lbe = /"/g;
    var fbe = (e3) => typeof e3 != "string" || cbe.test(e3) ? e3 : `"${e3.replace(lbe, '\\"')}"`;
    var hbe = (e3, r2) => G$(e3, r2).join(" ");
    var pbe = (e3, r2) => G$(e3, r2).map((n2) => fbe(n2)).join(" ");
    var dbe = / +/g;
    var mbe = (e3) => {
      let r2 = [];
      for (let n2 of e3.trim().split(dbe)) {
        let i4 = r2[r2.length - 1];
        i4 && i4.endsWith("\\") ? r2[r2.length - 1] = `${i4.slice(0, -1)} ${n2}` : r2.push(n2);
      }
      return r2;
    };
    var gbe = (0, _$.debuglog)("execa").enabled;
    var Nm = (e3, r2) => String(e3).padStart(r2, "0");
    var ybe = () => {
      let e3 = /* @__PURE__ */ new Date();
      return `${Nm(e3.getHours(), 2)}:${Nm(e3.getMinutes(), 2)}:${Nm(e3.getSeconds(), 2)}.${Nm(e3.getMilliseconds(), 3)}`;
    };
    var vbe = (e3, { verbose: r2 }) => {
      r2 && jt.default.stderr.write(`[${ybe()}] ${e3}
`);
    };
    var bbe = 1e3 * 1e3 * 100;
    var Ebe = ({ env: e3, extendEnv: r2, preferLocal: n2, localDir: i4, execPath: o2 }) => {
      let a3 = r2 ? { ...jt.default.env, ...e3 } : e3;
      return n2 ? o1e({ env: a3, cwd: i4, execPath: o2 }) : a3;
    };
    var wbe = (e3, r2, n2 = {}) => {
      let i4 = n1e._parse(e3, r2, n2);
      return e3 = i4.command, r2 = i4.args, n2 = i4.options, n2 = { maxBuffer: bbe, buffer: true, stripFinalNewline: true, extendEnv: true, preferLocal: false, localDir: n2.cwd || jt.default.cwd(), execPath: jt.default.execPath, encoding: "utf8", reject: true, cleanup: true, all: false, windowsHide: true, verbose: gbe, ...n2 }, n2.env = Ebe(n2), n2.stdio = T1e(n2), jt.default.platform === "win32" && Ot.default.basename(e3, ".exe") === "cmd" && r2.unshift("/q"), { file: e3, args: r2, options: n2, parsed: i4 };
    };
    var L_ = (e3, r2, n2) => typeof r2 != "string" && !y$.Buffer.isBuffer(r2) ? n2 === void 0 ? void 0 : "" : e3.stripFinalNewline ? i1e(r2) : r2;
    function _be(e3, r2, n2) {
      let i4 = wbe(e3, r2, n2), o2 = hbe(e3, r2), a3 = pbe(e3, r2);
      vbe(a3, i4.options), B1e(i4.options);
      let u2;
      try {
        u2 = ff.default.spawn(i4.file, i4.args, i4.options);
      } catch (S2) {
        let D = new ff.default.ChildProcess(), T6 = Promise.reject(A9({ error: S2, stdout: "", stderr: "", all: "", command: o2, escapedCommand: a3, parsed: i4, timedOut: false, isCanceled: false, killed: false }));
        return $9(D, T6), D;
      }
      let c4 = ube(u2), l2 = q1e(u2, i4.options, c4), f4 = j1e(u2, i4.options, l2), p2 = { isCanceled: false };
      u2.kill = P1e.bind(null, u2.kill.bind(u2)), u2.cancel = k1e.bind(null, u2, p2);
      let g2 = $$(async () => {
        let [{ error: S2, exitCode: D, signal: T6, timedOut: R }, A2, L, N] = await sbe(u2, i4.options, f4), q = L_(i4.options, A2), B = L_(i4.options, L), W = L_(i4.options, N);
        if (S2 || D !== 0 || T6 !== null) {
          let P = A9({ error: S2, exitCode: D, signal: T6, stdout: q, stderr: B, all: W, command: o2, escapedCommand: a3, parsed: i4, timedOut: R, isCanceled: i4.options.signal ? i4.options.signal.aborted : false, killed: u2.killed });
          if (!i4.options.reject)
            return P;
          throw P;
        }
        return { command: o2, escapedCommand: a3, exitCode: 0, stdout: q, stderr: B, all: W, failed: false, timedOut: false, isCanceled: false, killed: false };
      });
      return nbe(u2, i4.options), u2.all = ibe(u2, i4.options), G1e(u2), $9(u2, g2), u2;
    }
    function Sbe(e3, r2) {
      let [n2, ...i4] = mbe(e3);
      return _be(n2, i4, r2);
    }
    var $e = "\x1B[";
    var pf = "\x1B]";
    var Hu = "\x07";
    var km = ";";
    var W$ = process.env.TERM_PROGRAM === "Apple_Terminal";
    var Oe = {};
    Oe.cursorTo = (e3, r2) => {
      if (typeof e3 != "number")
        throw new TypeError("The `x` argument is required");
      return typeof r2 != "number" ? $e + (e3 + 1) + "G" : $e + (r2 + 1) + ";" + (e3 + 1) + "H";
    };
    Oe.cursorMove = (e3, r2) => {
      if (typeof e3 != "number")
        throw new TypeError("The `x` argument is required");
      let n2 = "";
      return e3 < 0 ? n2 += $e + -e3 + "D" : e3 > 0 && (n2 += $e + e3 + "C"), r2 < 0 ? n2 += $e + -r2 + "A" : r2 > 0 && (n2 += $e + r2 + "B"), n2;
    };
    Oe.cursorUp = (e3 = 1) => $e + e3 + "A";
    Oe.cursorDown = (e3 = 1) => $e + e3 + "B";
    Oe.cursorForward = (e3 = 1) => $e + e3 + "C";
    Oe.cursorBackward = (e3 = 1) => $e + e3 + "D";
    Oe.cursorLeft = $e + "G";
    Oe.cursorSavePosition = W$ ? "\x1B7" : $e + "s";
    Oe.cursorRestorePosition = W$ ? "\x1B8" : $e + "u";
    Oe.cursorGetPosition = $e + "6n";
    Oe.cursorNextLine = $e + "E";
    Oe.cursorPrevLine = $e + "F";
    Oe.cursorHide = $e + "?25l";
    Oe.cursorShow = $e + "?25h";
    Oe.eraseLines = (e3) => {
      let r2 = "";
      for (let n2 = 0; n2 < e3; n2++)
        r2 += Oe.eraseLine + (n2 < e3 - 1 ? Oe.cursorUp() : "");
      return e3 && (r2 += Oe.cursorLeft), r2;
    };
    Oe.eraseEndLine = $e + "K";
    Oe.eraseStartLine = $e + "1K";
    Oe.eraseLine = $e + "2K";
    Oe.eraseDown = $e + "J";
    Oe.eraseUp = $e + "1J";
    Oe.eraseScreen = $e + "2J";
    Oe.scrollUp = $e + "S";
    Oe.scrollDown = $e + "T";
    Oe.clearScreen = "\x1Bc";
    Oe.clearTerminal = process.platform === "win32" ? `${Oe.eraseScreen}${$e}0f` : `${Oe.eraseScreen}${$e}3J${$e}H`;
    Oe.beep = Hu;
    Oe.link = (e3, r2) => [pf, "8", km, km, r2, Hu, e3, pf, "8", km, km, Hu].join("");
    Oe.image = (e3, r2 = {}) => {
      let n2 = `${pf}1337;File=inline=1`;
      return r2.width && (n2 += `;width=${r2.width}`), r2.height && (n2 += `;height=${r2.height}`), r2.preserveAspectRatio === false && (n2 += ";preserveAspectRatio=0"), n2 + ":" + e3.toString("base64") + Hu;
    };
    Oe.iTerm = { setCwd: (e3 = process.cwd()) => `${pf}50;CurrentDir=${e3}${Hu}`, annotation: (e3, r2 = {}) => {
      let n2 = `${pf}1337;`, i4 = typeof r2.x < "u", o2 = typeof r2.y < "u";
      if ((i4 || o2) && !(i4 && o2 && typeof r2.length < "u"))
        throw new Error("`x`, `y` and `length` must be defined when `x` or `y` is defined");
      return e3 = e3.replace(/\|/g, ""), n2 += r2.isHidden ? "AddHiddenAnnotation=" : "AddAnnotation=", r2.length > 0 ? n2 += (i4 ? [e3, r2.length, r2.x, r2.y] : [r2.length, e3]).join("|") : n2 += e3, n2 + Hu;
    } };
    var H$ = (e3, r2 = process.argv) => {
      let n2 = e3.startsWith("-") ? "" : e3.length === 1 ? "-" : "--", i4 = r2.indexOf(n2 + e3), o2 = r2.indexOf("--");
      return i4 !== -1 && (o2 === -1 || i4 < o2);
    };
    var xbe = S$.default;
    var q9 = x$.default;
    var cn = H$;
    var { env: Bt } = process;
    var js;
    cn("no-color") || cn("no-colors") || cn("color=false") || cn("color=never") ? js = 0 : (cn("color") || cn("colors") || cn("color=true") || cn("color=always")) && (js = 1);
    "FORCE_COLOR" in Bt && (Bt.FORCE_COLOR === "true" ? js = 1 : Bt.FORCE_COLOR === "false" ? js = 0 : js = Bt.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(Bt.FORCE_COLOR, 10), 3));
    function K_(e3) {
      return e3 === 0 ? false : { level: e3, hasBasic: true, has256: e3 >= 2, has16m: e3 >= 3 };
    }
    function z_(e3, r2) {
      if (js === 0)
        return 0;
      if (cn("color=16m") || cn("color=full") || cn("color=truecolor"))
        return 3;
      if (cn("color=256"))
        return 2;
      if (e3 && !r2 && js === void 0)
        return 0;
      let n2 = js || 0;
      if (Bt.TERM === "dumb")
        return n2;
      if (process.platform === "win32") {
        let i4 = xbe.release().split(".");
        return Number(i4[0]) >= 10 && Number(i4[2]) >= 10586 ? Number(i4[2]) >= 14931 ? 3 : 2 : 1;
      }
      if ("CI" in Bt)
        return ["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((i4) => i4 in Bt) || Bt.CI_NAME === "codeship" ? 1 : n2;
      if ("TEAMCITY_VERSION" in Bt)
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(Bt.TEAMCITY_VERSION) ? 1 : 0;
      if (Bt.COLORTERM === "truecolor")
        return 3;
      if ("TERM_PROGRAM" in Bt) {
        let i4 = parseInt((Bt.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (Bt.TERM_PROGRAM) {
          case "iTerm.app":
            return i4 >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      return /-256(color)?$/i.test(Bt.TERM) ? 2 : /^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(Bt.TERM) || "COLORTERM" in Bt ? 1 : n2;
    }
    function Dbe(e3) {
      let r2 = z_(e3, e3 && e3.isTTY);
      return K_(r2);
    }
    var Obe = { supportsColor: Dbe, stdout: K_(z_(true, q9.isatty(1))), stderr: K_(z_(true, q9.isatty(2))) };
    var Tbe = Obe;
    var Bu = H$;
    function B9(e3) {
      if (/^\d{3,4}$/.test(e3)) {
        let n2 = /(\d{1,2})(\d{2})/.exec(e3);
        return { major: 0, minor: parseInt(n2[1], 10), patch: parseInt(n2[2], 10) };
      }
      let r2 = (e3 || "").split(".").map((n2) => parseInt(n2, 10));
      return { major: r2[0], minor: r2[1], patch: r2[2] };
    }
    function M_(e3) {
      let { env: r2 } = process;
      if ("FORCE_HYPERLINK" in r2)
        return !(r2.FORCE_HYPERLINK.length > 0 && parseInt(r2.FORCE_HYPERLINK, 10) === 0);
      if (Bu("no-hyperlink") || Bu("no-hyperlinks") || Bu("hyperlink=false") || Bu("hyperlink=never"))
        return false;
      if (Bu("hyperlink=true") || Bu("hyperlink=always"))
        return true;
      if (!Tbe.supportsColor(e3) || e3 && !e3.isTTY || process.platform === "win32")
        return false;
      if ("NETLIFY" in r2)
        return true;
      if ("CI" in r2 || "TEAMCITY_VERSION" in r2)
        return false;
      if ("TERM_PROGRAM" in r2) {
        let n2 = B9(r2.TERM_PROGRAM_VERSION);
        switch (r2.TERM_PROGRAM) {
          case "iTerm.app":
            return n2.major === 3 ? n2.minor >= 1 : n2.major > 3;
        }
      }
      if ("VTE_VERSION" in r2) {
        if (r2.VTE_VERSION === "0.50.0")
          return false;
        let n2 = B9(r2.VTE_VERSION);
        return n2.major > 0 || n2.minor >= 50;
      }
      return false;
    }
    var Rbe = { supportsHyperlink: M_, stdout: M_(process.stdout), stderr: M_(process.stderr) };
    var bS = oa(Rbe);
    function df(e3, r2, { target: n2 = "stdout", ...i4 } = {}) {
      return bS[n2] ? Oe.link(e3, r2) : i4.fallback === false ? e3 : typeof i4.fallback == "function" ? i4.fallback(e3, r2) : `${e3} (\u200B${r2}\u200B)`;
    }
    df.isSupported = bS.stdout;
    df.stderr = (e3, r2, n2 = {}) => df(e3, r2, { target: "stderr", ...n2 });
    df.stderr.isSupported = bS.stderr;
    var V$ = {};
    var Y_;
    var K$;
    var z$;
    var Y$;
    var J$ = true;
    typeof process < "u" && ({ FORCE_COLOR: Y_, NODE_DISABLE_COLORS: K$, NO_COLOR: z$, TERM: Y$ } = process.env || {}, J$ = process.stdout && process.stdout.isTTY);
    var ke = { enabled: !K$ && z$ == null && Y$ !== "dumb" && (Y_ != null && Y_ !== "0" || J$), reset: Ye(0, 0), bold: Ye(1, 22), dim: Ye(2, 22), italic: Ye(3, 23), underline: Ye(4, 24), inverse: Ye(7, 27), hidden: Ye(8, 28), strikethrough: Ye(9, 29), black: Ye(30, 39), red: Ye(31, 39), green: Ye(32, 39), yellow: Ye(33, 39), blue: Ye(34, 39), magenta: Ye(35, 39), cyan: Ye(36, 39), white: Ye(37, 39), gray: Ye(90, 39), grey: Ye(90, 39), bgBlack: Ye(40, 49), bgRed: Ye(41, 49), bgGreen: Ye(42, 49), bgYellow: Ye(43, 49), bgBlue: Ye(44, 49), bgMagenta: Ye(45, 49), bgCyan: Ye(46, 49), bgWhite: Ye(47, 49) };
    function j9(e3, r2) {
      let n2 = 0, i4, o2 = "", a3 = "";
      for (; n2 < e3.length; n2++)
        i4 = e3[n2], o2 += i4.open, a3 += i4.close, ~r2.indexOf(i4.close) && (r2 = r2.replace(i4.rgx, i4.close + i4.open));
      return o2 + r2 + a3;
    }
    function Cbe(e3, r2) {
      let n2 = { has: e3, keys: r2 };
      return n2.reset = ke.reset.bind(n2), n2.bold = ke.bold.bind(n2), n2.dim = ke.dim.bind(n2), n2.italic = ke.italic.bind(n2), n2.underline = ke.underline.bind(n2), n2.inverse = ke.inverse.bind(n2), n2.hidden = ke.hidden.bind(n2), n2.strikethrough = ke.strikethrough.bind(n2), n2.black = ke.black.bind(n2), n2.red = ke.red.bind(n2), n2.green = ke.green.bind(n2), n2.yellow = ke.yellow.bind(n2), n2.blue = ke.blue.bind(n2), n2.magenta = ke.magenta.bind(n2), n2.cyan = ke.cyan.bind(n2), n2.white = ke.white.bind(n2), n2.gray = ke.gray.bind(n2), n2.grey = ke.grey.bind(n2), n2.bgBlack = ke.bgBlack.bind(n2), n2.bgRed = ke.bgRed.bind(n2), n2.bgGreen = ke.bgGreen.bind(n2), n2.bgYellow = ke.bgYellow.bind(n2), n2.bgBlue = ke.bgBlue.bind(n2), n2.bgMagenta = ke.bgMagenta.bind(n2), n2.bgCyan = ke.bgCyan.bind(n2), n2.bgWhite = ke.bgWhite.bind(n2), n2;
    }
    function Ye(e3, r2) {
      let n2 = { open: `\x1B[${e3}m`, close: `\x1B[${r2}m`, rgx: new RegExp(`\\x1b\\[${r2}m`, "g") };
      return function(i4) {
        return this !== void 0 && this.has !== void 0 ? (~this.has.indexOf(e3) || (this.has.push(e3), this.keys.push(n2)), i4 === void 0 ? this : ke.enabled ? j9(this.keys, i4 + "") : i4 + "") : i4 === void 0 ? Cbe([e3], [n2]) : ke.enabled ? j9([n2], i4 + "") : i4 + "";
      };
    }
    var An = ke;
    var Abe = (e3, r2) => {
      if (!(e3.meta && e3.name !== "escape")) {
        if (e3.ctrl)
          return e3.name === "a" ? "first" : e3.name === "c" || e3.name === "d" ? "abort" : e3.name === "e" ? "last" : e3.name === "g" ? "reset" : e3.name === "n" ? "down" : e3.name === "p" ? "up" : void 0;
        if (r2) {
          if (e3.name === "j")
            return "down";
          if (e3.name === "k")
            return "up";
        }
        return e3.name === "return" || e3.name === "enter" ? "submit" : e3.name === "backspace" ? "delete" : e3.name === "delete" ? "deleteForward" : e3.name === "abort" ? "abort" : e3.name === "escape" ? "exit" : e3.name === "tab" ? "next" : e3.name === "pagedown" ? "nextPage" : e3.name === "pageup" ? "prevPage" : e3.name === "home" ? "home" : e3.name === "end" ? "end" : e3.name === "up" ? "up" : e3.name === "down" ? "down" : e3.name === "right" ? "right" : e3.name === "left" ? "left" : false;
      }
    };
    var ES = (e3) => {
      let r2 = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)", "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))"].join("|"), n2 = new RegExp(r2, "g");
      return typeof e3 == "string" ? e3.replace(n2, "") : e3;
    };
    var J_ = "\x1B";
    var lt = `${J_}[`;
    var Ibe = "\x07";
    var X_ = { to(e3, r2) {
      return r2 ? `${lt}${r2 + 1};${e3 + 1}H` : `${lt}${e3 + 1}G`;
    }, move(e3, r2) {
      let n2 = "";
      return e3 < 0 ? n2 += `${lt}${-e3}D` : e3 > 0 && (n2 += `${lt}${e3}C`), r2 < 0 ? n2 += `${lt}${-r2}A` : r2 > 0 && (n2 += `${lt}${r2}B`), n2;
    }, up: (e3 = 1) => `${lt}${e3}A`, down: (e3 = 1) => `${lt}${e3}B`, forward: (e3 = 1) => `${lt}${e3}C`, backward: (e3 = 1) => `${lt}${e3}D`, nextLine: (e3 = 1) => `${lt}E`.repeat(e3), prevLine: (e3 = 1) => `${lt}F`.repeat(e3), left: `${lt}G`, hide: `${lt}?25l`, show: `${lt}?25h`, save: `${J_}7`, restore: `${J_}8` };
    var Pbe = { up: (e3 = 1) => `${lt}S`.repeat(e3), down: (e3 = 1) => `${lt}T`.repeat(e3) };
    var Fbe = { screen: `${lt}2J`, up: (e3 = 1) => `${lt}1J`.repeat(e3), down: (e3 = 1) => `${lt}J`.repeat(e3), line: `${lt}2K`, lineEnd: `${lt}K`, lineStart: `${lt}1K`, lines(e3) {
      let r2 = "";
      for (let n2 = 0; n2 < e3; n2++)
        r2 += this.line + (n2 < e3 - 1 ? X_.up() : "");
      return e3 && (r2 += X_.left), r2;
    } };
    var In = { cursor: X_, scroll: Pbe, erase: Fbe, beep: Ibe };
    var Lbe = ES;
    var { erase: U9, cursor: Mbe } = In;
    var Nbe = (e3) => [...Lbe(e3)].length;
    var kbe = function(e3, r2) {
      if (!r2)
        return U9.line + Mbe.to(0);
      let n2 = 0, i4 = e3.split(/\r?\n/);
      for (let o2 of i4)
        n2 += 1 + Math.floor(Math.max(Nbe(o2) - 1, 0) / r2);
      return U9.lines(n2);
    };
    var cf = { arrowUp: "\u2191", arrowDown: "\u2193", arrowLeft: "\u2190", arrowRight: "\u2192", radioOn: "\u25C9", radioOff: "\u25EF", tick: "\u2714", cross: "\u2716", ellipsis: "\u2026", pointerSmall: "\u203A", line: "\u2500", pointer: "\u276F" };
    var $be = { arrowUp: cf.arrowUp, arrowDown: cf.arrowDown, arrowLeft: cf.arrowLeft, arrowRight: cf.arrowRight, radioOn: "(*)", radioOff: "( )", tick: "\u221A", cross: "\xD7", ellipsis: "...", pointerSmall: "\xBB", line: "\u2500", pointer: ">" };
    var qbe = process.platform === "win32" ? $be : cf;
    var X$ = qbe;
    var Wu = An;
    var sa = X$;
    var Q_ = Object.freeze({ password: { scale: 1, render: (e3) => "*".repeat(e3.length) }, emoji: { scale: 2, render: (e3) => "\u{1F603}".repeat(e3.length) }, invisible: { scale: 0, render: (e3) => "" }, default: { scale: 1, render: (e3) => `${e3}` } });
    var Bbe = (e3) => Q_[e3] || Q_.default;
    var lf = Object.freeze({ aborted: Wu.red(sa.cross), done: Wu.green(sa.tick), exited: Wu.yellow(sa.cross), default: Wu.cyan("?") });
    var jbe = (e3, r2, n2) => r2 ? lf.aborted : n2 ? lf.exited : e3 ? lf.done : lf.default;
    var Ube = (e3) => Wu.gray(e3 ? sa.ellipsis : sa.pointerSmall);
    var Gbe = (e3, r2) => Wu.gray(e3 ? r2 ? sa.pointerSmall : "+" : sa.line);
    var Wbe = { styles: Q_, render: Bbe, symbols: lf, symbol: jbe, delimiter: Ube, item: Gbe };
    var Hbe = ES;
    var Vbe = function(e3, r2) {
      let n2 = String(Hbe(e3) || "").split(/\r?\n/);
      return r2 ? n2.map((i4) => Math.ceil(i4.length / r2)).reduce((i4, o2) => i4 + o2) : n2.length;
    };
    var Kbe = (e3, r2 = {}) => {
      let n2 = Number.isSafeInteger(parseInt(r2.margin)) ? new Array(parseInt(r2.margin)).fill(" ").join("") : r2.margin || "", i4 = r2.width;
      return (e3 || "").split(/\r?\n/g).map((o2) => o2.split(/\s+/g).reduce((a3, u2) => (u2.length + n2.length >= i4 || a3[a3.length - 1].length + u2.length + 1 < i4 ? a3[a3.length - 1] += ` ${u2}` : a3.push(`${n2}${u2}`), a3), [n2]).join(`
`)).join(`
`);
    };
    var zbe = (e3, r2, n2) => {
      n2 = n2 || r2;
      let i4 = Math.min(r2 - n2, e3 - Math.floor(n2 / 2));
      i4 < 0 && (i4 = 0);
      let o2 = Math.min(i4 + n2, r2);
      return { startIndex: i4, endIndex: o2 };
    };
    var ri = { action: Abe, clear: kbe, style: Wbe, strip: ES, figures: X$, lines: Vbe, wrap: Kbe, entriesToDisplay: zbe };
    var G9 = g$.default;
    var { action: Ybe } = ri;
    var Jbe = lS.default;
    var { beep: Xbe, cursor: Qbe } = In;
    var Zbe = An;
    var eEe = class extends Jbe {
      constructor(r2 = {}) {
        super(), this.firstRender = true, this.in = r2.stdin || process.stdin, this.out = r2.stdout || process.stdout, this.onRender = (r2.onRender || (() => {
        })).bind(this);
        let n2 = G9.createInterface({ input: this.in, escapeCodeTimeout: 50 });
        G9.emitKeypressEvents(this.in, n2), this.in.isTTY && this.in.setRawMode(true);
        let i4 = ["SelectPrompt", "MultiselectPrompt"].indexOf(this.constructor.name) > -1, o2 = (a3, u2) => {
          let c4 = Ybe(u2, i4);
          c4 === false ? this._ && this._(a3, u2) : typeof this[c4] == "function" ? this[c4](u2) : this.bell();
        };
        this.close = () => {
          this.out.write(Qbe.show), this.in.removeListener("keypress", o2), this.in.isTTY && this.in.setRawMode(false), n2.close(), this.emit(this.aborted ? "abort" : this.exited ? "exit" : "submit", this.value), this.closed = true;
        }, this.in.on("keypress", o2);
      }
      fire() {
        this.emit("state", { value: this.value, aborted: !!this.aborted, exited: !!this.exited });
      }
      bell() {
        this.out.write(Xbe);
      }
      render() {
        this.onRender(Zbe), this.firstRender && (this.firstRender = false);
      }
    };
    var Gs = eEe;
    var $m = An;
    var tEe = Gs;
    var { erase: rEe, cursor: af } = In;
    var { style: N_, clear: k_, lines: nEe, figures: iEe } = ri;
    var Z_ = class extends tEe {
      constructor(r2 = {}) {
        super(r2), this.transform = N_.render(r2.style), this.scale = this.transform.scale, this.msg = r2.message, this.initial = r2.initial || "", this.validator = r2.validate || (() => true), this.value = "", this.errorMsg = r2.error || "Please Enter A Valid Value", this.cursor = +!!this.initial, this.cursorOffset = 0, this.clear = k_("", this.out.columns), this.render();
      }
      set value(r2) {
        !r2 && this.initial ? (this.placeholder = true, this.rendered = $m.gray(this.transform.render(this.initial))) : (this.placeholder = false, this.rendered = this.transform.render(r2)), this._value = r2, this.fire();
      }
      get value() {
        return this._value;
      }
      reset() {
        this.value = "", this.cursor = +!!this.initial, this.cursorOffset = 0, this.fire(), this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.value = this.value || this.initial, this.done = this.aborted = true, this.error = false, this.red = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      async validate() {
        let r2 = await this.validator(this.value);
        typeof r2 == "string" && (this.errorMsg = r2, r2 = false), this.error = !r2;
      }
      async submit() {
        if (this.value = this.value || this.initial, this.cursorOffset = 0, this.cursor = this.rendered.length, await this.validate(), this.error) {
          this.red = true, this.fire(), this.render();
          return;
        }
        this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      next() {
        if (!this.placeholder)
          return this.bell();
        this.value = this.initial, this.cursor = this.rendered.length, this.fire(), this.render();
      }
      moveCursor(r2) {
        this.placeholder || (this.cursor = this.cursor + r2, this.cursorOffset += r2);
      }
      _(r2, n2) {
        let i4 = this.value.slice(0, this.cursor), o2 = this.value.slice(this.cursor);
        this.value = `${i4}${r2}${o2}`, this.red = false, this.cursor = this.placeholder ? 0 : i4.length + 1, this.render();
      }
      delete() {
        if (this.isCursorAtStart())
          return this.bell();
        let r2 = this.value.slice(0, this.cursor - 1), n2 = this.value.slice(this.cursor);
        this.value = `${r2}${n2}`, this.red = false, this.isCursorAtStart() ? this.cursorOffset = 0 : (this.cursorOffset++, this.moveCursor(-1)), this.render();
      }
      deleteForward() {
        if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
          return this.bell();
        let r2 = this.value.slice(0, this.cursor), n2 = this.value.slice(this.cursor + 1);
        this.value = `${r2}${n2}`, this.red = false, this.isCursorAtEnd() ? this.cursorOffset = 0 : this.cursorOffset++, this.render();
      }
      first() {
        this.cursor = 0, this.render();
      }
      last() {
        this.cursor = this.value.length, this.render();
      }
      left() {
        if (this.cursor <= 0 || this.placeholder)
          return this.bell();
        this.moveCursor(-1), this.render();
      }
      right() {
        if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
          return this.bell();
        this.moveCursor(1), this.render();
      }
      isCursorAtStart() {
        return this.cursor === 0 || this.placeholder && this.cursor === 1;
      }
      isCursorAtEnd() {
        return this.cursor === this.rendered.length || this.placeholder && this.cursor === this.rendered.length + 1;
      }
      render() {
        this.closed || (this.firstRender || (this.outputError && this.out.write(af.down(nEe(this.outputError, this.out.columns) - 1) + k_(this.outputError, this.out.columns)), this.out.write(k_(this.outputText, this.out.columns))), super.render(), this.outputError = "", this.outputText = [N_.symbol(this.done, this.aborted), $m.bold(this.msg), N_.delimiter(this.done), this.red ? $m.red(this.rendered) : this.rendered].join(" "), this.error && (this.outputError += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : iEe.pointerSmall} ${$m.red().italic(n2)}`, "")), this.out.write(rEe.line + af.to(0) + this.outputText + af.save + this.outputError + af.restore + af.move(this.cursorOffset, 0)));
      }
    };
    var sEe = Z_;
    var Fi = An;
    var oEe = Gs;
    var { style: W9, clear: H9, figures: qm, wrap: aEe, entriesToDisplay: uEe } = ri;
    var { cursor: cEe } = In;
    var eS = class extends oEe {
      constructor(r2 = {}) {
        super(r2), this.msg = r2.message, this.hint = r2.hint || "- Use arrow-keys. Return to submit.", this.warn = r2.warn || "- This option is disabled", this.cursor = r2.initial || 0, this.choices = r2.choices.map((n2, i4) => (typeof n2 == "string" && (n2 = { title: n2, value: i4 }), { title: n2 && (n2.title || n2.value || n2), value: n2 && (n2.value === void 0 ? i4 : n2.value), description: n2 && n2.description, selected: n2 && n2.selected, disabled: n2 && n2.disabled })), this.optionsPerPage = r2.optionsPerPage || 10, this.value = (this.choices[this.cursor] || {}).value, this.clear = H9("", this.out.columns), this.render();
      }
      moveCursor(r2) {
        this.cursor = r2, this.value = this.choices[r2].value, this.fire();
      }
      reset() {
        this.moveCursor(0), this.fire(), this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      submit() {
        this.selection.disabled ? this.bell() : (this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
      }
      first() {
        this.moveCursor(0), this.render();
      }
      last() {
        this.moveCursor(this.choices.length - 1), this.render();
      }
      up() {
        this.cursor === 0 ? this.moveCursor(this.choices.length - 1) : this.moveCursor(this.cursor - 1), this.render();
      }
      down() {
        this.cursor === this.choices.length - 1 ? this.moveCursor(0) : this.moveCursor(this.cursor + 1), this.render();
      }
      next() {
        this.moveCursor((this.cursor + 1) % this.choices.length), this.render();
      }
      _(r2, n2) {
        if (r2 === " ")
          return this.submit();
      }
      get selection() {
        return this.choices[this.cursor];
      }
      render() {
        if (this.closed)
          return;
        this.firstRender ? this.out.write(cEe.hide) : this.out.write(H9(this.outputText, this.out.columns)), super.render();
        let { startIndex: r2, endIndex: n2 } = uEe(this.cursor, this.choices.length, this.optionsPerPage);
        if (this.outputText = [W9.symbol(this.done, this.aborted), Fi.bold(this.msg), W9.delimiter(false), this.done ? this.selection.title : this.selection.disabled ? Fi.yellow(this.warn) : Fi.gray(this.hint)].join(" "), !this.done) {
          this.outputText += `
`;
          for (let i4 = r2; i4 < n2; i4++) {
            let o2, a3, u2 = "", c4 = this.choices[i4];
            i4 === r2 && r2 > 0 ? a3 = qm.arrowUp : i4 === n2 - 1 && n2 < this.choices.length ? a3 = qm.arrowDown : a3 = " ", c4.disabled ? (o2 = this.cursor === i4 ? Fi.gray().underline(c4.title) : Fi.strikethrough().gray(c4.title), a3 = (this.cursor === i4 ? Fi.bold().gray(qm.pointer) + " " : "  ") + a3) : (o2 = this.cursor === i4 ? Fi.cyan().underline(c4.title) : c4.title, a3 = (this.cursor === i4 ? Fi.cyan(qm.pointer) + " " : "  ") + a3, c4.description && this.cursor === i4 && (u2 = ` - ${c4.description}`, (a3.length + o2.length + u2.length >= this.out.columns || c4.description.split(/\r?\n/).length > 1) && (u2 = `
` + aEe(c4.description, { margin: 3, width: this.out.columns })))), this.outputText += `${a3} ${o2}${Fi.gray(u2)}
`;
          }
        }
        this.out.write(this.outputText);
      }
    };
    var lEe = eS;
    var Bm = An;
    var fEe = Gs;
    var { style: V9, clear: hEe } = ri;
    var { cursor: K9, erase: pEe } = In;
    var tS = class extends fEe {
      constructor(r2 = {}) {
        super(r2), this.msg = r2.message, this.value = !!r2.initial, this.active = r2.active || "on", this.inactive = r2.inactive || "off", this.initialValue = this.value, this.render();
      }
      reset() {
        this.value = this.initialValue, this.fire(), this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      submit() {
        this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      deactivate() {
        if (this.value === false)
          return this.bell();
        this.value = false, this.render();
      }
      activate() {
        if (this.value === true)
          return this.bell();
        this.value = true, this.render();
      }
      delete() {
        this.deactivate();
      }
      left() {
        this.deactivate();
      }
      right() {
        this.activate();
      }
      down() {
        this.deactivate();
      }
      up() {
        this.activate();
      }
      next() {
        this.value = !this.value, this.fire(), this.render();
      }
      _(r2, n2) {
        if (r2 === " ")
          this.value = !this.value;
        else if (r2 === "1")
          this.value = true;
        else if (r2 === "0")
          this.value = false;
        else
          return this.bell();
        this.render();
      }
      render() {
        this.closed || (this.firstRender ? this.out.write(K9.hide) : this.out.write(hEe(this.outputText, this.out.columns)), super.render(), this.outputText = [V9.symbol(this.done, this.aborted), Bm.bold(this.msg), V9.delimiter(this.done), this.value ? this.inactive : Bm.cyan().underline(this.inactive), Bm.gray("/"), this.value ? Bm.cyan().underline(this.active) : this.active].join(" "), this.out.write(pEe.line + K9.to(0) + this.outputText));
      }
    };
    var dEe = tS;
    var mEe = class rS {
      constructor({ token: r2, date: n2, parts: i4, locales: o2 }) {
        this.token = r2, this.date = n2 || /* @__PURE__ */ new Date(), this.parts = i4 || [this], this.locales = o2 || {};
      }
      up() {
      }
      down() {
      }
      next() {
        let r2 = this.parts.indexOf(this);
        return this.parts.find((n2, i4) => i4 > r2 && n2 instanceof rS);
      }
      setTo(r2) {
      }
      prev() {
        let r2 = [].concat(this.parts).reverse(), n2 = r2.indexOf(this);
        return r2.find((i4, o2) => o2 > n2 && i4 instanceof rS);
      }
      toString() {
        return String(this.date);
      }
    };
    var Mi = mEe;
    var gEe = Mi;
    var yEe = class extends gEe {
      constructor(r2 = {}) {
        super(r2);
      }
      up() {
        this.date.setHours((this.date.getHours() + 12) % 24);
      }
      down() {
        this.up();
      }
      toString() {
        let r2 = this.date.getHours() > 12 ? "pm" : "am";
        return /\A/.test(this.token) ? r2.toUpperCase() : r2;
      }
    };
    var vEe = yEe;
    var bEe = Mi;
    var EEe = (e3) => (e3 = e3 % 10, e3 === 1 ? "st" : e3 === 2 ? "nd" : e3 === 3 ? "rd" : "th");
    var wEe = class extends bEe {
      constructor(r2 = {}) {
        super(r2);
      }
      up() {
        this.date.setDate(this.date.getDate() + 1);
      }
      down() {
        this.date.setDate(this.date.getDate() - 1);
      }
      setTo(r2) {
        this.date.setDate(parseInt(r2.substr(-2)));
      }
      toString() {
        let r2 = this.date.getDate(), n2 = this.date.getDay();
        return this.token === "DD" ? String(r2).padStart(2, "0") : this.token === "Do" ? r2 + EEe(r2) : this.token === "d" ? n2 + 1 : this.token === "ddd" ? this.locales.weekdaysShort[n2] : this.token === "dddd" ? this.locales.weekdays[n2] : r2;
      }
    };
    var _Ee = wEe;
    var SEe = Mi;
    var xEe = class extends SEe {
      constructor(r2 = {}) {
        super(r2);
      }
      up() {
        this.date.setHours(this.date.getHours() + 1);
      }
      down() {
        this.date.setHours(this.date.getHours() - 1);
      }
      setTo(r2) {
        this.date.setHours(parseInt(r2.substr(-2)));
      }
      toString() {
        let r2 = this.date.getHours();
        return /h/.test(this.token) && (r2 = r2 % 12 || 12), this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
      }
    };
    var DEe = xEe;
    var OEe = Mi;
    var TEe = class extends OEe {
      constructor(r2 = {}) {
        super(r2);
      }
      up() {
        this.date.setMilliseconds(this.date.getMilliseconds() + 1);
      }
      down() {
        this.date.setMilliseconds(this.date.getMilliseconds() - 1);
      }
      setTo(r2) {
        this.date.setMilliseconds(parseInt(r2.substr(-this.token.length)));
      }
      toString() {
        return String(this.date.getMilliseconds()).padStart(4, "0").substr(0, this.token.length);
      }
    };
    var REe = TEe;
    var CEe = Mi;
    var AEe = class extends CEe {
      constructor(r2 = {}) {
        super(r2);
      }
      up() {
        this.date.setMinutes(this.date.getMinutes() + 1);
      }
      down() {
        this.date.setMinutes(this.date.getMinutes() - 1);
      }
      setTo(r2) {
        this.date.setMinutes(parseInt(r2.substr(-2)));
      }
      toString() {
        let r2 = this.date.getMinutes();
        return this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
      }
    };
    var IEe = AEe;
    var PEe = Mi;
    var FEe = class extends PEe {
      constructor(r2 = {}) {
        super(r2);
      }
      up() {
        this.date.setMonth(this.date.getMonth() + 1);
      }
      down() {
        this.date.setMonth(this.date.getMonth() - 1);
      }
      setTo(r2) {
        r2 = parseInt(r2.substr(-2)) - 1, this.date.setMonth(r2 < 0 ? 0 : r2);
      }
      toString() {
        let r2 = this.date.getMonth(), n2 = this.token.length;
        return n2 === 2 ? String(r2 + 1).padStart(2, "0") : n2 === 3 ? this.locales.monthsShort[r2] : n2 === 4 ? this.locales.months[r2] : String(r2 + 1);
      }
    };
    var LEe = FEe;
    var MEe = Mi;
    var NEe = class extends MEe {
      constructor(r2 = {}) {
        super(r2);
      }
      up() {
        this.date.setSeconds(this.date.getSeconds() + 1);
      }
      down() {
        this.date.setSeconds(this.date.getSeconds() - 1);
      }
      setTo(r2) {
        this.date.setSeconds(parseInt(r2.substr(-2)));
      }
      toString() {
        let r2 = this.date.getSeconds();
        return this.token.length > 1 ? String(r2).padStart(2, "0") : r2;
      }
    };
    var kEe = NEe;
    var $Ee = Mi;
    var qEe = class extends $Ee {
      constructor(r2 = {}) {
        super(r2);
      }
      up() {
        this.date.setFullYear(this.date.getFullYear() + 1);
      }
      down() {
        this.date.setFullYear(this.date.getFullYear() - 1);
      }
      setTo(r2) {
        this.date.setFullYear(r2.substr(-4));
      }
      toString() {
        let r2 = String(this.date.getFullYear()).padStart(4, "0");
        return this.token.length === 2 ? r2.substr(-2) : r2;
      }
    };
    var BEe = qEe;
    var jEe = { DatePart: Mi, Meridiem: vEe, Day: _Ee, Hours: DEe, Milliseconds: REe, Minutes: IEe, Month: LEe, Seconds: kEe, Year: BEe };
    var $_ = An;
    var UEe = Gs;
    var { style: z9, clear: Y9, figures: GEe } = ri;
    var { erase: WEe, cursor: J9 } = In;
    var { DatePart: X9, Meridiem: HEe, Day: VEe, Hours: KEe, Milliseconds: zEe, Minutes: YEe, Month: JEe, Seconds: XEe, Year: QEe } = jEe;
    var ZEe = /\\(.)|"((?:\\["\\]|[^"])+)"|(D[Do]?|d{3,4}|d)|(M{1,4})|(YY(?:YY)?)|([aA])|([Hh]{1,2})|(m{1,2})|(s{1,2})|(S{1,4})|./g;
    var Q9 = { 1: ({ token: e3 }) => e3.replace(/\\(.)/g, "$1"), 2: (e3) => new VEe(e3), 3: (e3) => new JEe(e3), 4: (e3) => new QEe(e3), 5: (e3) => new HEe(e3), 6: (e3) => new KEe(e3), 7: (e3) => new YEe(e3), 8: (e3) => new XEe(e3), 9: (e3) => new zEe(e3) };
    var ewe = { months: "January,February,March,April,May,June,July,August,September,October,November,December".split(","), monthsShort: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".split(","), weekdays: "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".split(","), weekdaysShort: "Sun,Mon,Tue,Wed,Thu,Fri,Sat".split(",") };
    var nS = class extends UEe {
      constructor(r2 = {}) {
        super(r2), this.msg = r2.message, this.cursor = 0, this.typed = "", this.locales = Object.assign(ewe, r2.locales), this._date = r2.initial || /* @__PURE__ */ new Date(), this.errorMsg = r2.error || "Please Enter A Valid Value", this.validator = r2.validate || (() => true), this.mask = r2.mask || "YYYY-MM-DD HH:mm:ss", this.clear = Y9("", this.out.columns), this.render();
      }
      get value() {
        return this.date;
      }
      get date() {
        return this._date;
      }
      set date(r2) {
        r2 && this._date.setTime(r2.getTime());
      }
      set mask(r2) {
        let n2;
        for (this.parts = []; n2 = ZEe.exec(r2); ) {
          let o2 = n2.shift(), a3 = n2.findIndex((u2) => u2 != null);
          this.parts.push(a3 in Q9 ? Q9[a3]({ token: n2[a3] || o2, date: this.date, parts: this.parts, locales: this.locales }) : n2[a3] || o2);
        }
        let i4 = this.parts.reduce((o2, a3) => (typeof a3 == "string" && typeof o2[o2.length - 1] == "string" ? o2[o2.length - 1] += a3 : o2.push(a3), o2), []);
        this.parts.splice(0), this.parts.push(...i4), this.reset();
      }
      moveCursor(r2) {
        this.typed = "", this.cursor = r2, this.fire();
      }
      reset() {
        this.moveCursor(this.parts.findIndex((r2) => r2 instanceof X9)), this.fire(), this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true, this.error = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      async validate() {
        let r2 = await this.validator(this.value);
        typeof r2 == "string" && (this.errorMsg = r2, r2 = false), this.error = !r2;
      }
      async submit() {
        if (await this.validate(), this.error) {
          this.color = "red", this.fire(), this.render();
          return;
        }
        this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      up() {
        this.typed = "", this.parts[this.cursor].up(), this.render();
      }
      down() {
        this.typed = "", this.parts[this.cursor].down(), this.render();
      }
      left() {
        let r2 = this.parts[this.cursor].prev();
        if (r2 == null)
          return this.bell();
        this.moveCursor(this.parts.indexOf(r2)), this.render();
      }
      right() {
        let r2 = this.parts[this.cursor].next();
        if (r2 == null)
          return this.bell();
        this.moveCursor(this.parts.indexOf(r2)), this.render();
      }
      next() {
        let r2 = this.parts[this.cursor].next();
        this.moveCursor(r2 ? this.parts.indexOf(r2) : this.parts.findIndex((n2) => n2 instanceof X9)), this.render();
      }
      _(r2) {
        /\d/.test(r2) && (this.typed += r2, this.parts[this.cursor].setTo(this.typed), this.render());
      }
      render() {
        this.closed || (this.firstRender ? this.out.write(J9.hide) : this.out.write(Y9(this.outputText, this.out.columns)), super.render(), this.outputText = [z9.symbol(this.done, this.aborted), $_.bold(this.msg), z9.delimiter(false), this.parts.reduce((r2, n2, i4) => r2.concat(i4 === this.cursor && !this.done ? $_.cyan().underline(n2.toString()) : n2), []).join("")].join(" "), this.error && (this.outputText += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : GEe.pointerSmall} ${$_.red().italic(n2)}`, "")), this.out.write(WEe.line + J9.to(0) + this.outputText));
      }
    };
    var twe = nS;
    var jm = An;
    var rwe = Gs;
    var { cursor: Um, erase: nwe } = In;
    var { style: q_, figures: iwe, clear: Z9, lines: swe } = ri;
    var owe = /[0-9]/;
    var B_ = (e3) => e3 !== void 0;
    var e$ = (e3, r2) => {
      let n2 = Math.pow(10, r2);
      return Math.round(e3 * n2) / n2;
    };
    var iS = class extends rwe {
      constructor(r2 = {}) {
        super(r2), this.transform = q_.render(r2.style), this.msg = r2.message, this.initial = B_(r2.initial) ? r2.initial : "", this.float = !!r2.float, this.round = r2.round || 2, this.inc = r2.increment || 1, this.min = B_(r2.min) ? r2.min : -1 / 0, this.max = B_(r2.max) ? r2.max : 1 / 0, this.errorMsg = r2.error || "Please Enter A Valid Value", this.validator = r2.validate || (() => true), this.color = "cyan", this.value = "", this.typed = "", this.lastHit = 0, this.render();
      }
      set value(r2) {
        !r2 && r2 !== 0 ? (this.placeholder = true, this.rendered = jm.gray(this.transform.render(`${this.initial}`)), this._value = "") : (this.placeholder = false, this.rendered = this.transform.render(`${e$(r2, this.round)}`), this._value = e$(r2, this.round)), this.fire();
      }
      get value() {
        return this._value;
      }
      parse(r2) {
        return this.float ? parseFloat(r2) : parseInt(r2);
      }
      valid(r2) {
        return r2 === "-" || r2 === "." && this.float || owe.test(r2);
      }
      reset() {
        this.typed = "", this.value = "", this.fire(), this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        let r2 = this.value;
        this.value = r2 !== "" ? r2 : this.initial, this.done = this.aborted = true, this.error = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      async validate() {
        let r2 = await this.validator(this.value);
        typeof r2 == "string" && (this.errorMsg = r2, r2 = false), this.error = !r2;
      }
      async submit() {
        if (await this.validate(), this.error) {
          this.color = "red", this.fire(), this.render();
          return;
        }
        let r2 = this.value;
        this.value = r2 !== "" ? r2 : this.initial, this.done = true, this.aborted = false, this.error = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      up() {
        if (this.typed = "", this.value === "" && (this.value = this.min - this.inc), this.value >= this.max)
          return this.bell();
        this.value += this.inc, this.color = "cyan", this.fire(), this.render();
      }
      down() {
        if (this.typed = "", this.value === "" && (this.value = this.min + this.inc), this.value <= this.min)
          return this.bell();
        this.value -= this.inc, this.color = "cyan", this.fire(), this.render();
      }
      delete() {
        let r2 = this.value.toString();
        if (r2.length === 0)
          return this.bell();
        this.value = this.parse(r2 = r2.slice(0, -1)) || "", this.value !== "" && this.value < this.min && (this.value = this.min), this.color = "cyan", this.fire(), this.render();
      }
      next() {
        this.value = this.initial, this.fire(), this.render();
      }
      _(r2, n2) {
        if (!this.valid(r2))
          return this.bell();
        let i4 = Date.now();
        if (i4 - this.lastHit > 1e3 && (this.typed = ""), this.typed += r2, this.lastHit = i4, this.color = "cyan", r2 === ".")
          return this.fire();
        this.value = Math.min(this.parse(this.typed), this.max), this.value > this.max && (this.value = this.max), this.value < this.min && (this.value = this.min), this.fire(), this.render();
      }
      render() {
        this.closed || (this.firstRender || (this.outputError && this.out.write(Um.down(swe(this.outputError, this.out.columns) - 1) + Z9(this.outputError, this.out.columns)), this.out.write(Z9(this.outputText, this.out.columns))), super.render(), this.outputError = "", this.outputText = [q_.symbol(this.done, this.aborted), jm.bold(this.msg), q_.delimiter(this.done), !this.done || !this.done && !this.placeholder ? jm[this.color]().underline(this.rendered) : this.rendered].join(" "), this.error && (this.outputError += this.errorMsg.split(`
`).reduce((r2, n2, i4) => r2 + `
${i4 ? " " : iwe.pointerSmall} ${jm.red().italic(n2)}`, "")), this.out.write(nwe.line + Um.to(0) + this.outputText + Um.save + this.outputError + Um.restore));
      }
    };
    var awe = iS;
    var ei = An;
    var { cursor: uwe } = In;
    var cwe = Gs;
    var { clear: t$, figures: qs, style: r$, wrap: lwe, entriesToDisplay: fwe } = ri;
    var hwe = class extends cwe {
      constructor(r2 = {}) {
        super(r2), this.msg = r2.message, this.cursor = r2.cursor || 0, this.scrollIndex = r2.cursor || 0, this.hint = r2.hint || "", this.warn = r2.warn || "- This option is disabled -", this.minSelected = r2.min, this.showMinError = false, this.maxChoices = r2.max, this.instructions = r2.instructions, this.optionsPerPage = r2.optionsPerPage || 10, this.value = r2.choices.map((n2, i4) => (typeof n2 == "string" && (n2 = { title: n2, value: i4 }), { title: n2 && (n2.title || n2.value || n2), description: n2 && n2.description, value: n2 && (n2.value === void 0 ? i4 : n2.value), selected: n2 && n2.selected, disabled: n2 && n2.disabled })), this.clear = t$("", this.out.columns), r2.overrideRender || this.render();
      }
      reset() {
        this.value.map((r2) => !r2.selected), this.cursor = 0, this.fire(), this.render();
      }
      selected() {
        return this.value.filter((r2) => r2.selected);
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      submit() {
        let r2 = this.value.filter((n2) => n2.selected);
        this.minSelected && r2.length < this.minSelected ? (this.showMinError = true, this.render()) : (this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
      }
      first() {
        this.cursor = 0, this.render();
      }
      last() {
        this.cursor = this.value.length - 1, this.render();
      }
      next() {
        this.cursor = (this.cursor + 1) % this.value.length, this.render();
      }
      up() {
        this.cursor === 0 ? this.cursor = this.value.length - 1 : this.cursor--, this.render();
      }
      down() {
        this.cursor === this.value.length - 1 ? this.cursor = 0 : this.cursor++, this.render();
      }
      left() {
        this.value[this.cursor].selected = false, this.render();
      }
      right() {
        if (this.value.filter((r2) => r2.selected).length >= this.maxChoices)
          return this.bell();
        this.value[this.cursor].selected = true, this.render();
      }
      handleSpaceToggle() {
        let r2 = this.value[this.cursor];
        if (r2.selected)
          r2.selected = false, this.render();
        else {
          if (r2.disabled || this.value.filter((n2) => n2.selected).length >= this.maxChoices)
            return this.bell();
          r2.selected = true, this.render();
        }
      }
      toggleAll() {
        if (this.maxChoices !== void 0 || this.value[this.cursor].disabled)
          return this.bell();
        let r2 = !this.value[this.cursor].selected;
        this.value.filter((n2) => !n2.disabled).forEach((n2) => n2.selected = r2), this.render();
      }
      _(r2, n2) {
        if (r2 === " ")
          this.handleSpaceToggle();
        else if (r2 === "a")
          this.toggleAll();
        else
          return this.bell();
      }
      renderInstructions() {
        return this.instructions === void 0 || this.instructions ? typeof this.instructions == "string" ? this.instructions : `
Instructions:
    ${qs.arrowUp}/${qs.arrowDown}: Highlight option
    ${qs.arrowLeft}/${qs.arrowRight}/[space]: Toggle selection
` + (this.maxChoices === void 0 ? `    a: Toggle all
` : "") + "    enter/return: Complete answer" : "";
      }
      renderOption(r2, n2, i4, o2) {
        let a3 = (n2.selected ? ei.green(qs.radioOn) : qs.radioOff) + " " + o2 + " ", u2, c4;
        return n2.disabled ? u2 = r2 === i4 ? ei.gray().underline(n2.title) : ei.strikethrough().gray(n2.title) : (u2 = r2 === i4 ? ei.cyan().underline(n2.title) : n2.title, r2 === i4 && n2.description && (c4 = ` - ${n2.description}`, (a3.length + u2.length + c4.length >= this.out.columns || n2.description.split(/\r?\n/).length > 1) && (c4 = `
` + lwe(n2.description, { margin: a3.length, width: this.out.columns })))), a3 + u2 + ei.gray(c4 || "");
      }
      paginateOptions(r2) {
        if (r2.length === 0)
          return ei.red("No matches for this query.");
        let { startIndex: n2, endIndex: i4 } = fwe(this.cursor, r2.length, this.optionsPerPage), o2, a3 = [];
        for (let u2 = n2; u2 < i4; u2++)
          u2 === n2 && n2 > 0 ? o2 = qs.arrowUp : u2 === i4 - 1 && i4 < r2.length ? o2 = qs.arrowDown : o2 = " ", a3.push(this.renderOption(this.cursor, r2[u2], u2, o2));
        return `
` + a3.join(`
`);
      }
      renderOptions(r2) {
        return this.done ? "" : this.paginateOptions(r2);
      }
      renderDoneOrInstructions() {
        if (this.done)
          return this.value.filter((n2) => n2.selected).map((n2) => n2.title).join(", ");
        let r2 = [ei.gray(this.hint), this.renderInstructions()];
        return this.value[this.cursor].disabled && r2.push(ei.yellow(this.warn)), r2.join(" ");
      }
      render() {
        if (this.closed)
          return;
        this.firstRender && this.out.write(uwe.hide), super.render();
        let r2 = [r$.symbol(this.done, this.aborted), ei.bold(this.msg), r$.delimiter(false), this.renderDoneOrInstructions()].join(" ");
        this.showMinError && (r2 += ei.red(`You must select a minimum of ${this.minSelected} choices.`), this.showMinError = false), r2 += this.renderOptions(this.value), this.out.write(this.clear + r2), this.clear = t$(r2, this.out.columns);
      }
    };
    var Q$ = hwe;
    var uf = An;
    var pwe = Gs;
    var { erase: dwe, cursor: n$ } = In;
    var { style: j_, clear: i$, figures: U_, wrap: mwe, entriesToDisplay: gwe } = ri;
    var s$ = (e3, r2) => e3[r2] && (e3[r2].value || e3[r2].title || e3[r2]);
    var ywe = (e3, r2) => e3[r2] && (e3[r2].title || e3[r2].value || e3[r2]);
    var vwe = (e3, r2) => {
      let n2 = e3.findIndex((i4) => i4.value === r2 || i4.title === r2);
      return n2 > -1 ? n2 : void 0;
    };
    var sS = class extends pwe {
      constructor(r2 = {}) {
        super(r2), this.msg = r2.message, this.suggest = r2.suggest, this.choices = r2.choices, this.initial = typeof r2.initial == "number" ? r2.initial : vwe(r2.choices, r2.initial), this.select = this.initial || r2.cursor || 0, this.i18n = { noMatches: r2.noMatches || "no matches found" }, this.fallback = r2.fallback || this.initial, this.clearFirst = r2.clearFirst || false, this.suggestions = [], this.input = "", this.limit = r2.limit || 10, this.cursor = 0, this.transform = j_.render(r2.style), this.scale = this.transform.scale, this.render = this.render.bind(this), this.complete = this.complete.bind(this), this.clear = i$("", this.out.columns), this.complete(this.render), this.render();
      }
      set fallback(r2) {
        this._fb = Number.isSafeInteger(parseInt(r2)) ? parseInt(r2) : r2;
      }
      get fallback() {
        let r2;
        return typeof this._fb == "number" ? r2 = this.choices[this._fb] : typeof this._fb == "string" && (r2 = { title: this._fb }), r2 || this._fb || { title: this.i18n.noMatches };
      }
      moveSelect(r2) {
        this.select = r2, this.suggestions.length > 0 ? this.value = s$(this.suggestions, r2) : this.value = this.fallback.value, this.fire();
      }
      async complete(r2) {
        let n2 = this.completing = this.suggest(this.input, this.choices), i4 = await n2;
        if (this.completing !== n2)
          return;
        this.suggestions = i4.map((a3, u2, c4) => ({ title: ywe(c4, u2), value: s$(c4, u2), description: a3.description })), this.completing = false;
        let o2 = Math.max(i4.length - 1, 0);
        this.moveSelect(Math.min(o2, this.select)), r2 && r2();
      }
      reset() {
        this.input = "", this.complete(() => {
          this.moveSelect(this.initial !== void 0 ? this.initial : 0), this.render();
        }), this.render();
      }
      exit() {
        this.clearFirst && this.input.length > 0 ? this.reset() : (this.done = this.exited = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close());
      }
      abort() {
        this.done = this.aborted = true, this.exited = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      submit() {
        this.done = true, this.aborted = this.exited = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      _(r2, n2) {
        let i4 = this.input.slice(0, this.cursor), o2 = this.input.slice(this.cursor);
        this.input = `${i4}${r2}${o2}`, this.cursor = i4.length + 1, this.complete(this.render), this.render();
      }
      delete() {
        if (this.cursor === 0)
          return this.bell();
        let r2 = this.input.slice(0, this.cursor - 1), n2 = this.input.slice(this.cursor);
        this.input = `${r2}${n2}`, this.complete(this.render), this.cursor = this.cursor - 1, this.render();
      }
      deleteForward() {
        if (this.cursor * this.scale >= this.rendered.length)
          return this.bell();
        let r2 = this.input.slice(0, this.cursor), n2 = this.input.slice(this.cursor + 1);
        this.input = `${r2}${n2}`, this.complete(this.render), this.render();
      }
      first() {
        this.moveSelect(0), this.render();
      }
      last() {
        this.moveSelect(this.suggestions.length - 1), this.render();
      }
      up() {
        this.select === 0 ? this.moveSelect(this.suggestions.length - 1) : this.moveSelect(this.select - 1), this.render();
      }
      down() {
        this.select === this.suggestions.length - 1 ? this.moveSelect(0) : this.moveSelect(this.select + 1), this.render();
      }
      next() {
        this.select === this.suggestions.length - 1 ? this.moveSelect(0) : this.moveSelect(this.select + 1), this.render();
      }
      nextPage() {
        this.moveSelect(Math.min(this.select + this.limit, this.suggestions.length - 1)), this.render();
      }
      prevPage() {
        this.moveSelect(Math.max(this.select - this.limit, 0)), this.render();
      }
      left() {
        if (this.cursor <= 0)
          return this.bell();
        this.cursor = this.cursor - 1, this.render();
      }
      right() {
        if (this.cursor * this.scale >= this.rendered.length)
          return this.bell();
        this.cursor = this.cursor + 1, this.render();
      }
      renderOption(r2, n2, i4, o2) {
        let a3, u2 = i4 ? U_.arrowUp : o2 ? U_.arrowDown : " ", c4 = n2 ? uf.cyan().underline(r2.title) : r2.title;
        return u2 = (n2 ? uf.cyan(U_.pointer) + " " : "  ") + u2, r2.description && (a3 = ` - ${r2.description}`, (u2.length + c4.length + a3.length >= this.out.columns || r2.description.split(/\r?\n/).length > 1) && (a3 = `
` + mwe(r2.description, { margin: 3, width: this.out.columns }))), u2 + " " + c4 + uf.gray(a3 || "");
      }
      render() {
        if (this.closed)
          return;
        this.firstRender ? this.out.write(n$.hide) : this.out.write(i$(this.outputText, this.out.columns)), super.render();
        let { startIndex: r2, endIndex: n2 } = gwe(this.select, this.choices.length, this.limit);
        if (this.outputText = [j_.symbol(this.done, this.aborted, this.exited), uf.bold(this.msg), j_.delimiter(this.completing), this.done && this.suggestions[this.select] ? this.suggestions[this.select].title : this.rendered = this.transform.render(this.input)].join(" "), !this.done) {
          let i4 = this.suggestions.slice(r2, n2).map((o2, a3) => this.renderOption(o2, this.select === a3 + r2, a3 === 0 && r2 > 0, a3 + r2 === n2 - 1 && n2 < this.choices.length)).join(`
`);
          this.outputText += `
` + (i4 || uf.gray(this.fallback.title));
        }
        this.out.write(dwe.line + n$.to(0) + this.outputText);
      }
    };
    var bwe = sS;
    var Li = An;
    var { cursor: Ewe } = In;
    var wwe = Q$;
    var { clear: o$, style: a$, figures: ju } = ri;
    var oS = class extends wwe {
      constructor(r2 = {}) {
        r2.overrideRender = true, super(r2), this.inputValue = "", this.clear = o$("", this.out.columns), this.filteredOptions = this.value, this.render();
      }
      last() {
        this.cursor = this.filteredOptions.length - 1, this.render();
      }
      next() {
        this.cursor = (this.cursor + 1) % this.filteredOptions.length, this.render();
      }
      up() {
        this.cursor === 0 ? this.cursor = this.filteredOptions.length - 1 : this.cursor--, this.render();
      }
      down() {
        this.cursor === this.filteredOptions.length - 1 ? this.cursor = 0 : this.cursor++, this.render();
      }
      left() {
        this.filteredOptions[this.cursor].selected = false, this.render();
      }
      right() {
        if (this.value.filter((r2) => r2.selected).length >= this.maxChoices)
          return this.bell();
        this.filteredOptions[this.cursor].selected = true, this.render();
      }
      delete() {
        this.inputValue.length && (this.inputValue = this.inputValue.substr(0, this.inputValue.length - 1), this.updateFilteredOptions());
      }
      updateFilteredOptions() {
        let r2 = this.filteredOptions[this.cursor];
        this.filteredOptions = this.value.filter((i4) => this.inputValue ? !!(typeof i4.title == "string" && i4.title.toLowerCase().includes(this.inputValue.toLowerCase()) || typeof i4.value == "string" && i4.value.toLowerCase().includes(this.inputValue.toLowerCase())) : true);
        let n2 = this.filteredOptions.findIndex((i4) => i4 === r2);
        this.cursor = n2 < 0 ? 0 : n2, this.render();
      }
      handleSpaceToggle() {
        let r2 = this.filteredOptions[this.cursor];
        if (r2.selected)
          r2.selected = false, this.render();
        else {
          if (r2.disabled || this.value.filter((n2) => n2.selected).length >= this.maxChoices)
            return this.bell();
          r2.selected = true, this.render();
        }
      }
      handleInputChange(r2) {
        this.inputValue = this.inputValue + r2, this.updateFilteredOptions();
      }
      _(r2, n2) {
        r2 === " " ? this.handleSpaceToggle() : this.handleInputChange(r2);
      }
      renderInstructions() {
        return this.instructions === void 0 || this.instructions ? typeof this.instructions == "string" ? this.instructions : `
Instructions:
    ${ju.arrowUp}/${ju.arrowDown}: Highlight option
    ${ju.arrowLeft}/${ju.arrowRight}/[space]: Toggle selection
    [a,b,c]/delete: Filter choices
    enter/return: Complete answer
` : "";
      }
      renderCurrentInput() {
        return `
Filtered results for: ${this.inputValue ? this.inputValue : Li.gray("Enter something to filter")}
`;
      }
      renderOption(r2, n2, i4, o2) {
        let a3 = (n2.selected ? Li.green(ju.radioOn) : ju.radioOff) + " " + o2 + " ", u2;
        return n2.disabled ? u2 = r2 === i4 ? Li.gray().underline(n2.title) : Li.strikethrough().gray(n2.title) : u2 = r2 === i4 ? Li.cyan().underline(n2.title) : n2.title, a3 + u2;
      }
      renderDoneOrInstructions() {
        if (this.done)
          return this.value.filter((n2) => n2.selected).map((n2) => n2.title).join(", ");
        let r2 = [Li.gray(this.hint), this.renderInstructions(), this.renderCurrentInput()];
        return this.filteredOptions.length && this.filteredOptions[this.cursor].disabled && r2.push(Li.yellow(this.warn)), r2.join(" ");
      }
      render() {
        if (this.closed)
          return;
        this.firstRender && this.out.write(Ewe.hide), super.render();
        let r2 = [a$.symbol(this.done, this.aborted), Li.bold(this.msg), a$.delimiter(false), this.renderDoneOrInstructions()].join(" ");
        this.showMinError && (r2 += Li.red(`You must select a minimum of ${this.minSelected} choices.`), this.showMinError = false), r2 += this.renderOptions(this.filteredOptions), this.out.write(this.clear + r2), this.clear = o$(r2, this.out.columns);
      }
    };
    var _we = oS;
    var u$ = An;
    var Swe = Gs;
    var { style: c$, clear: xwe } = ri;
    var { erase: Dwe, cursor: l$ } = In;
    var aS = class extends Swe {
      constructor(r2 = {}) {
        super(r2), this.msg = r2.message, this.value = r2.initial, this.initialValue = !!r2.initial, this.yesMsg = r2.yes || "yes", this.yesOption = r2.yesOption || "(Y/n)", this.noMsg = r2.no || "no", this.noOption = r2.noOption || "(y/N)", this.render();
      }
      reset() {
        this.value = this.initialValue, this.fire(), this.render();
      }
      exit() {
        this.abort();
      }
      abort() {
        this.done = this.aborted = true, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      submit() {
        this.value = this.value || false, this.done = true, this.aborted = false, this.fire(), this.render(), this.out.write(`
`), this.close();
      }
      _(r2, n2) {
        return r2.toLowerCase() === "y" ? (this.value = true, this.submit()) : r2.toLowerCase() === "n" ? (this.value = false, this.submit()) : this.bell();
      }
      render() {
        this.closed || (this.firstRender ? this.out.write(l$.hide) : this.out.write(xwe(this.outputText, this.out.columns)), super.render(), this.outputText = [c$.symbol(this.done, this.aborted), u$.bold(this.msg), c$.delimiter(this.done), this.done ? this.value ? this.yesMsg : this.noMsg : u$.gray(this.initialValue ? this.yesOption : this.noOption)].join(" "), this.out.write(Dwe.line + l$.to(0) + this.outputText));
      }
    };
    var Owe = aS;
    var Twe = { TextPrompt: sEe, SelectPrompt: lEe, TogglePrompt: dEe, DatePrompt: twe, NumberPrompt: awe, MultiselectPrompt: Q$, AutocompletePrompt: bwe, AutocompleteMultiselectPrompt: _we, ConfirmPrompt: Owe };
    (function(e3) {
      let r2 = e3, n2 = Twe, i4 = (u2) => u2;
      function o2(u2, c4, l2 = {}) {
        return new Promise((f4, p2) => {
          let v2 = new n2[u2](c4), g2 = l2.onAbort || i4, S2 = l2.onSubmit || i4, D = l2.onExit || i4;
          v2.on("state", c4.onState || i4), v2.on("submit", (T6) => f4(S2(T6))), v2.on("exit", (T6) => f4(D(T6))), v2.on("abort", (T6) => p2(g2(T6)));
        });
      }
      r2.text = (u2) => o2("TextPrompt", u2), r2.password = (u2) => (u2.style = "password", r2.text(u2)), r2.invisible = (u2) => (u2.style = "invisible", r2.text(u2)), r2.number = (u2) => o2("NumberPrompt", u2), r2.date = (u2) => o2("DatePrompt", u2), r2.confirm = (u2) => o2("ConfirmPrompt", u2), r2.list = (u2) => {
        let c4 = u2.separator || ",";
        return o2("TextPrompt", u2, { onSubmit: (l2) => l2.split(c4).map((f4) => f4.trim()) });
      }, r2.toggle = (u2) => o2("TogglePrompt", u2), r2.select = (u2) => o2("SelectPrompt", u2), r2.multiselect = (u2) => {
        u2.choices = [].concat(u2.choices || []);
        let c4 = (l2) => l2.filter((f4) => f4.selected).map((f4) => f4.value);
        return o2("MultiselectPrompt", u2, { onAbort: c4, onSubmit: c4 });
      }, r2.autocompleteMultiselect = (u2) => {
        u2.choices = [].concat(u2.choices || []);
        let c4 = (l2) => l2.filter((f4) => f4.selected).map((f4) => f4.value);
        return o2("AutocompleteMultiselectPrompt", u2, { onAbort: c4, onSubmit: c4 });
      };
      let a3 = (u2, c4) => Promise.resolve(c4.filter((l2) => l2.title.slice(0, u2.length).toLowerCase() === u2.toLowerCase()));
      r2.autocomplete = (u2) => (u2.suggest = u2.suggest || a3, u2.choices = [].concat(u2.choices || []), o2("AutocompletePrompt", u2));
    })(V$);
    var uS = V$;
    var Rwe = ["suggest", "format", "onState", "validate", "onRender", "type"];
    var f$ = () => {
    };
    async function Us(e3 = [], { onSubmit: r2 = f$, onCancel: n2 = f$ } = {}) {
      let i4 = {}, o2 = Us._override || {};
      e3 = [].concat(e3);
      let a3, u2, c4, l2, f4, p2, v2 = async (g2, S2, D = false) => {
        if (!(!D && g2.validate && g2.validate(S2) !== true))
          return g2.format ? await g2.format(S2, i4) : S2;
      };
      for (u2 of e3)
        if ({ name: l2, type: f4 } = u2, typeof f4 == "function" && (f4 = await f4(a3, { ...i4 }, u2), u2.type = f4), !!f4) {
          for (let g2 in u2) {
            if (Rwe.includes(g2))
              continue;
            let S2 = u2[g2];
            u2[g2] = typeof S2 == "function" ? await S2(a3, { ...i4 }, p2) : S2;
          }
          if (p2 = u2, typeof u2.message != "string")
            throw new Error("prompt message is required");
          if ({ name: l2, type: f4 } = u2, uS[f4] === void 0)
            throw new Error(`prompt type (${f4}) is not defined`);
          if (o2[u2.name] !== void 0 && (a3 = await v2(u2, o2[u2.name]), a3 !== void 0)) {
            i4[l2] = a3;
            continue;
          }
          try {
            a3 = Us._injected ? Cwe(Us._injected, u2.initial) : await uS[f4](u2), i4[l2] = a3 = await v2(u2, a3, true), c4 = await r2(u2, a3, i4);
          } catch {
            c4 = !await n2(u2, i4);
          }
          if (c4)
            return i4;
        }
      return i4;
    }
    function Cwe(e3, r2) {
      let n2 = e3.shift();
      if (n2 instanceof Error)
        throw n2;
      return n2 === void 0 ? r2 : n2;
    }
    function Awe(e3) {
      Us._injected = (Us._injected || []).concat(e3);
    }
    function Iwe(e3) {
      Us._override = Object.assign({}, e3);
    }
    var Pwe = Object.assign(Us, { prompt: Us, prompts: uS, inject: Awe, override: Iwe });
    var Fwe = Pwe;
    var Lwe = oa(Fwe);
    var Z$ = T$;
    var { join: Mwe, delimiter: Nwe, sep: h$, posix: p$ } = mf.default;
    var d$ = process.platform === "win32";
    var eq = new RegExp(`[${p$.sep}${h$ === p$.sep ? "" : h$}]`.replace(/(\\)/g, "\\$1"));
    var kwe = new RegExp(`^\\.${eq.source}`);
    var tq = (e3) => Object.assign(new Error(`not found: ${e3}`), { code: "ENOENT" });
    var rq = (e3, { path: r2 = process.env.PATH, pathExt: n2 = process.env.PATHEXT, delimiter: i4 = Nwe }) => {
      let o2 = e3.match(eq) ? [""] : [...d$ ? [process.cwd()] : [], ...(r2 || "").split(i4)];
      if (d$) {
        let a3 = n2 || [".EXE", ".CMD", ".BAT", ".COM"].join(i4), u2 = a3.split(i4).reduce((c4, l2) => (c4.push(l2), c4.push(l2.toLowerCase()), c4), []);
        return e3.includes(".") && u2[0] !== "" && u2.unshift(""), { pathEnv: o2, pathExt: u2, pathExtExe: a3 };
      }
      return { pathEnv: o2, pathExt: [""] };
    };
    var nq = (e3, r2) => {
      let n2 = /^".*"$/.test(e3) ? e3.slice(1, -1) : e3;
      return (!n2 && kwe.test(r2) ? r2.slice(0, 2) : "") + Mwe(n2, r2);
    };
    var iq = async (e3, r2 = {}) => {
      let { pathEnv: n2, pathExt: i4, pathExtExe: o2 } = rq(e3, r2), a3 = [];
      for (let u2 of n2) {
        let c4 = nq(u2, e3);
        for (let l2 of i4) {
          let f4 = c4 + l2;
          if (await Z$(f4, { pathExt: o2, ignoreErrors: true })) {
            if (!r2.all)
              return f4;
            a3.push(f4);
          }
        }
      }
      if (r2.all && a3.length)
        return a3;
      if (r2.nothrow)
        return null;
      throw tq(e3);
    };
    var $we = (e3, r2 = {}) => {
      let { pathEnv: n2, pathExt: i4, pathExtExe: o2 } = rq(e3, r2), a3 = [];
      for (let u2 of n2) {
        let c4 = nq(u2, e3);
        for (let l2 of i4) {
          let f4 = c4 + l2;
          if (Z$.sync(f4, { pathExt: o2, ignoreErrors: true })) {
            if (!r2.all)
              return f4;
            a3.push(f4);
          }
        }
      }
      if (r2.all && a3.length)
        return a3;
      if (r2.nothrow)
        return null;
      throw tq(e3);
    };
    var qwe = iq;
    iq.sync = $we;
    var Bwe = oa(qwe);
    var jwe = (0, Ot.join)(Vu.default.tmpdir(), "antfu-ni");
    function sq(e3) {
      return Bwe.sync(e3, { nothrow: true }) !== null;
    }
    async function vf({ autoInstall: e3, programmatic: r2, cwd: n2 } = {}) {
      let i4 = null, o2 = null, a3 = await S9(Object.keys(G_), { cwd: n2 }), u2;
      if (a3 ? u2 = Ot.default.resolve(a3, "../package.json") : u2 = await S9("package.json", { cwd: n2 }), u2 && Cn.default.existsSync(u2))
        try {
          let c4 = JSON.parse(Cn.default.readFileSync(u2, "utf8"));
          if (typeof c4.packageManager == "string") {
            let [l2, f4] = c4.packageManager.split("@");
            o2 = f4, l2 === "yarn" && Number.parseInt(f4) > 1 ? i4 = "yarn@berry" : l2 === "pnpm" && Number.parseInt(f4) < 7 ? i4 = "pnpm@6" : l2 in hf ? i4 = l2 : r2 || console.warn("[ni] Unknown packageManager:", c4.packageManager);
          }
        } catch {
        }
      if (!i4 && a3 && (i4 = G_[Ot.default.basename(a3)]), i4 && !sq(i4.split("@")[0]) && !r2) {
        if (!e3) {
          console.warn(`[ni] Detected ${i4} but it doesn't seem to be installed.
`), jt.default.env.CI && jt.default.exit(1);
          let c4 = df(i4, D$[i4]), { tryInstall: l2 } = await Lwe({ name: "tryInstall", type: "confirm", message: `Would you like to globally install ${c4}?` });
          l2 || jt.default.exit(1);
        }
        await Sbe(`npm i -g ${i4}${o2 ? `@${o2}` : ""}`, { stdio: "inherit", cwd: n2 });
      }
      return i4;
    }
    var zm = class extends Error {
      constructor({ agent: r2, command: n2 }) {
        super(`Command "${n2}" is not support by agent "${r2}"`);
      }
    };
    function wS(e3, r2, n2 = []) {
      if (!(e3 in hf))
        throw new Error(`Unsupported agent "${e3}"`);
      let i4 = hf[e3][r2];
      if (typeof i4 == "function")
        return i4(n2);
      if (!i4)
        throw new zm({ agent: e3, command: r2 });
      let o2 = (a3) => !a3.startsWith("--") && a3.includes(" ") ? JSON.stringify(a3) : a3;
      return i4.replace("{0}", n2.map(o2).join(" ")).trim();
    }
    var cS;
    var oq;
    var aq;
    var uq;
    var cq = true;
    typeof process < "u" && ({ FORCE_COLOR: cS, NODE_DISABLE_COLORS: oq, NO_COLOR: aq, TERM: uq } = process.env || {}, cq = process.stdout && process.stdout.isTTY);
    var je = { enabled: !oq && aq == null && uq !== "dumb" && (cS != null && cS !== "0" || cq), reset: Je(0, 0), bold: Je(1, 22), dim: Je(2, 22), italic: Je(3, 23), underline: Je(4, 24), inverse: Je(7, 27), hidden: Je(8, 28), strikethrough: Je(9, 29), black: Je(30, 39), red: Je(31, 39), green: Je(32, 39), yellow: Je(33, 39), blue: Je(34, 39), magenta: Je(35, 39), cyan: Je(36, 39), white: Je(37, 39), gray: Je(90, 39), grey: Je(90, 39), bgBlack: Je(40, 49), bgRed: Je(41, 49), bgGreen: Je(42, 49), bgYellow: Je(43, 49), bgBlue: Je(44, 49), bgMagenta: Je(45, 49), bgCyan: Je(46, 49), bgWhite: Je(47, 49) };
    function m$(e3, r2) {
      let n2 = 0, i4, o2 = "", a3 = "";
      for (; n2 < e3.length; n2++)
        i4 = e3[n2], o2 += i4.open, a3 += i4.close, ~r2.indexOf(i4.close) && (r2 = r2.replace(i4.rgx, i4.close + i4.open));
      return o2 + r2 + a3;
    }
    function Uwe(e3, r2) {
      let n2 = { has: e3, keys: r2 };
      return n2.reset = je.reset.bind(n2), n2.bold = je.bold.bind(n2), n2.dim = je.dim.bind(n2), n2.italic = je.italic.bind(n2), n2.underline = je.underline.bind(n2), n2.inverse = je.inverse.bind(n2), n2.hidden = je.hidden.bind(n2), n2.strikethrough = je.strikethrough.bind(n2), n2.black = je.black.bind(n2), n2.red = je.red.bind(n2), n2.green = je.green.bind(n2), n2.yellow = je.yellow.bind(n2), n2.blue = je.blue.bind(n2), n2.magenta = je.magenta.bind(n2), n2.cyan = je.cyan.bind(n2), n2.white = je.white.bind(n2), n2.gray = je.gray.bind(n2), n2.grey = je.grey.bind(n2), n2.bgBlack = je.bgBlack.bind(n2), n2.bgRed = je.bgRed.bind(n2), n2.bgGreen = je.bgGreen.bind(n2), n2.bgYellow = je.bgYellow.bind(n2), n2.bgBlue = je.bgBlue.bind(n2), n2.bgMagenta = je.bgMagenta.bind(n2), n2.bgCyan = je.bgCyan.bind(n2), n2.bgWhite = je.bgWhite.bind(n2), n2;
    }
    function Je(e3, r2) {
      let n2 = { open: `\x1B[${e3}m`, close: `\x1B[${r2}m`, rgx: new RegExp(`\\x1b\\[${r2}m`, "g") };
      return function(i4) {
        return this !== void 0 && this.has !== void 0 ? (~this.has.indexOf(e3) || (this.has.push(e3), this.keys.push(n2)), i4 === void 0 ? this : je.enabled ? m$(this.keys, i4 + "") : i4 + "") : i4 === void 0 ? Uwe([e3], [n2]) : je.enabled ? m$([n2], i4 + "") : i4 + "";
      };
    }
    async function Ni(e3, r2, ...n2) {
      let i4 = await vf({ autoInstall: false, cwd: e3, programmatic: true });
      return wS(i4 ?? "npm", r2, n2);
    }
    var lq = j(Dl());
    async function _S(e3, r2, ...n2) {
      await lq.default.command(await Ni(e3, r2, ...n2), { env: { PRISMA_SKIP_POSTINSTALL_GENERATE: "true" }, stdio: "inherit", cwd: e3 });
    }
    var fq = j((init_src(), __toCommonJS(src_exports)));
    var hq = j(require("fs"));
    var pq = j(require("path"));
    function Xm(e3, r2) {
      let [n2, i4, o2] = e3.split("."), [a3, u2, c4] = r2.split(".");
      return n2 < a3 ? true : n2 > a3 ? false : i4 < u2 ? true : i4 > u2 ? false : o2 < c4 ? true : (o2 > c4, false);
    }
    var Gwe = (0, fq.default)("prisma:generator");
    async function dq() {
      let e3 = "4.1.0";
      try {
        let r2 = await Zn("typescript", { basedir: process.cwd() });
        Gwe("typescriptPath", r2);
        let n2 = r2 && pq.default.join(r2, "package.json");
        if (n2 && hq.default.existsSync(n2)) {
          let o2 = require(n2).version;
          Xm(o2, e3) && Ei.warn(`Prisma detected that your ${z("TypeScript")} version ${o2} is outdated. If you want to use Prisma Client with TypeScript please update it to version ${z(e3)} or ${z("newer")}. ${pr(`TypeScript found in: ${z(r2)}`)}`);
        }
      } catch {
      }
    }
    function mq() {
      if (process.env.npm_config_user_agent) {
        let e3 = Wwe(process.env.npm_config_user_agent);
        if (e3) {
          let { agent: r2, major: n2, minor: i4, patch: o2 } = e3;
          if (r2 === "yarn" && n2 === 1) {
            let a3 = `${n2}.${i4}.${o2}`, u2 = "1.19.2";
            Xm(a3, u2) && Ei.warn(`Your ${z("yarn")} has version ${a3}, which is outdated. Please update it to ${z(u2)} or ${z("newer")} in order to use Prisma.`);
          }
        }
      }
    }
    function Wwe(e3) {
      let n2 = /(\w+)\/(\d+)\.(\d+)\.(\d+)/.exec(e3);
      if (n2) {
        let i4 = n2[1], o2 = parseInt(n2[2]), a3 = parseInt(n2[3]), u2 = parseInt(n2[4]);
        return { agent: i4, major: o2, minor: a3, patch: u2 };
      }
      return null;
    }
    async function gq(e3) {
      let r2 = await vf({ cwd: e3, autoInstall: false, programmatic: true });
      return r2 === "yarn" || r2 === "yarn@berry";
    }
    var yq = (0, vq.default)("prisma:generator");
    async function Eq(e3, r2) {
      let n2 = await x_(e3);
      if (yq("baseDir", e3), mq(), await dq(), !n2 && !process.env.PRISMA_GENERATE_SKIP_AUTOINSTALL) {
        let i4 = Fp(e3, process.cwd());
        yq("projectRoot", i4);
        let o2 = `${z("Warning:")} ${pr("[Prisma auto-install on generate]")}`;
        i4 === void 0 && (console.warn(Zt(`${o2} The Prisma schema directory ${z(e3)} and the current working directory ${z(process.cwd())} have no common ancestor. The Prisma schema directory will be used as the project root.`)), i4 = e3), bq.default.existsSync(Qm.default.join(i4, "package.json")) || console.warn(Zt(`${o2} Prisma could not find a ${z("package.json")} file in the inferred project root ${z(i4)}. During the next step, when an auto-install of Prisma package(s) will be attempted, it will then be created by your package manager on the appropriate level if necessary.`));
        let a3 = await Zn("prisma", { basedir: e3 });
        if (process.platform === "win32" && await gq(e3)) {
          let u2 = (l2) => a3 !== void 0 ? l2 : "", c4 = (l2) => a3 === void 0 ? l2 : "";
          throw new Error(`Could not resolve ${c4(`${z("prisma")} and `)}${z("@prisma/client")} in the current project. Please install ${u2("it")}${c4("them")} with ${c4(`${z(Mt(`${await Ni(e3, "add", "prisma", "-D")}`))} and `)}${z(Mt(`${await Ni(e3, "add", "@prisma/client")}`))}, and rerun ${z(await Ni(e3, "execute", "prisma generate"))} \u{1F64F}.`);
        }
        if (a3 || await _S(i4, "add", `prisma@${r2 ?? "latest"}`, "-D"), await _S(i4, "add", `@prisma/client@${r2 ?? "latest"}`), n2 = await x_(Qm.default.join(".", e3)), !n2)
          throw new Error(`Could not resolve @prisma/client despite the installation that we just tried.
Please try to install it by hand with ${z(Mt(`${await Ni(e3, "add", "@prisma/client")}`))} and rerun ${z(await Ni(e3, "execute", "prisma generate"))} \u{1F64F}.`);
        console.info(`
\u2714 Installed the ${z(Mt("@prisma/client"))} and ${z(Mt("prisma"))} packages in your project`);
      }
      if (!n2)
        throw new Error(`Could not resolve @prisma/client.
Please try to install it with ${z(Mt("npm install @prisma/client"))} and rerun ${z(await Ni(e3, "execute", "prisma generate"))} \u{1F64F}.`);
      return { outputPath: n2, generatorPath: Qm.default.resolve(n2, "generator-build/index.js"), isNode: true };
    }
    var SS = { "prisma-client-js": Eq };
    var Zm = (init_src3(), __toCommonJS(src_exports3));
    function eg(e3) {
      if (e3 === Zm.BinaryType.SchemaEngineBinary)
        return "schemaEngine";
      if (e3 === Zm.BinaryType.QueryEngineLibrary)
        return "libqueryEngine";
      if (e3 === Zm.BinaryType.QueryEngineBinary)
        return "queryEngine";
      throw new Error(`Could not convert binary type ${e3}`);
    }
    function wq(e3) {
      return { fromEnvVar: null, value: e3 };
    }
    function tg(e3, r2) {
      return e3 = e3 || [], e3.find((n2) => n2.native === true) ? [...e3, wq(r2)] : [wq("native"), ...e3];
    }
    var xq = require("@prisma/engines");
    var Dq = (init_src3(), __toCommonJS(src_exports3));
    var Oq = j(s_());
    var Tq = j(require("path"));
    function _q(e3, r2) {
      return Object.entries(e3).reduce((n2, [i4, o2]) => (n2[r2(i4)] = o2, n2), {});
    }
    var rg = (init_src3(), __toCommonJS(src_exports3));
    function Sq(e3) {
      if (e3 === "schemaEngine")
        return rg.BinaryType.SchemaEngineBinary;
      if (e3 === "queryEngine")
        return rg.BinaryType.QueryEngineBinary;
      if (e3 === "libqueryEngine")
        return rg.BinaryType.QueryEngineLibrary;
      throw new Error(`Could not convert engine type ${e3}`);
    }
    async function Rq({ neededVersions, platform, version, printDownloadProgress, skipDownload, binaryPathsOverride }) {
      let binaryPathsByVersion = /* @__PURE__ */ Object.create(null);
      for (let currentVersion in neededVersions) {
        binaryPathsByVersion[currentVersion] = {};
        let neededVersion = neededVersions[currentVersion];
        neededVersion.binaryTargets.length === 0 && (neededVersion.binaryTargets = [{ fromEnvVar: null, value: platform }]), process.env.NETLIFY && !neededVersion.binaryTargets.find((e3) => e3.value === "rhel-openssl-1.0.x") && neededVersion.binaryTargets.push({ fromEnvVar: null, value: "rhel-openssl-1.0.x" });
        let binaryTargetBaseDir = eval("require('path').join(__dirname, '..')");
        version !== currentVersion && (binaryTargetBaseDir = Tq.default.join(binaryTargetBaseDir, `./engines/${currentVersion}/`), await (0, Oq.ensureDir)(binaryTargetBaseDir).catch((e3) => console.error(e3)));
        let binariesConfig = neededVersion.engines.reduce((e3, r2) => (binaryPathsOverride?.[r2] || (e3[Sq(r2)] = binaryTargetBaseDir), e3), /* @__PURE__ */ Object.create(null));
        if (Object.values(binariesConfig).length > 0) {
          let e3 = neededVersion.binaryTargets.map((o2) => o2.value), n2 = await (0, Dq.download)({ binaries: binariesConfig, binaryTargets: e3, showProgress: typeof printDownloadProgress == "boolean" ? printDownloadProgress : true, version: currentVersion && currentVersion !== "latest" ? currentVersion : xq.enginesVersion, skipDownload }), i4 = _q(n2, eg);
          binaryPathsByVersion[currentVersion] = i4;
        }
        if (binaryPathsOverride) {
          let e3 = Object.keys(binaryPathsOverride), r2 = neededVersion.engines.filter((n2) => e3.includes(n2));
          if (r2.length > 0)
            for (let n2 of r2) {
              let i4 = binaryPathsOverride[n2];
              binaryPathsByVersion[currentVersion][n2] = { [platform]: i4 };
            }
        }
      }
      return binaryPathsByVersion;
    }
    function xS(e3, r2) {
      let n2 = e3?.requiresEngineVersion;
      return n2 = n2 ?? r2, n2 ?? "latest";
    }
    var Aq = j(DS());
    function ng(e3) {
      return String(new OS(e3));
    }
    var OS = class {
      constructor(r2) {
        this.config = r2;
      }
      toString() {
        let { config: r2 } = this, n2 = r2.provider.fromEnvVar ? `env("${r2.provider.fromEnvVar}")` : r2.provider.value, i4 = JSON.parse(JSON.stringify({ provider: n2, binaryTargets: TS(r2.binaryTargets) }));
        return `generator ${r2.name} {
${(0, Aq.default)(Hwe(i4), 2)}
}`;
      }
    };
    function TS(e3) {
      let r2;
      if (e3.length > 0) {
        let n2 = e3.find((i4) => i4.fromEnvVar !== null);
        n2 ? r2 = `env("${n2.fromEnvVar}")` : r2 = e3.map((i4) => i4.native ? "native" : i4.value);
      } else
        r2 = void 0;
      return r2;
    }
    function Hwe(e3) {
      let r2 = Object.keys(e3).reduce((n2, i4) => Math.max(n2, i4.length), 0);
      return Object.entries(e3).map(([n2, i4]) => `${n2.padEnd(r2)} = ${Vwe(i4)}`).join(`
`);
    }
    function Vwe(e3) {
      return JSON.parse(JSON.stringify(e3, (r2, n2) => Array.isArray(n2) ? `[${n2.map((i4) => JSON.stringify(i4)).join(", ")}]` : JSON.stringify(n2)));
    }
    var bf = (0, Fq.default)("prisma:getGenerators");
    async function AS(options) {
      let { schemaPath, providerAliases: aliases, version, cliVersion, printDownloadProgress, baseDir = CS.default.dirname(schemaPath), overrideGenerators, skipDownload, binaryPathsOverride, generatorNames = [], postinstall, noEngine } = options;
      if (!schemaPath)
        throw new Error(`schemaPath for getGenerators got invalid value ${schemaPath}`);
      if (!RS.default.existsSync(schemaPath))
        throw new Error(`${schemaPath} does not exist`);
      let platform = await (0, Ef.getPlatform)(), queryEngineBinaryType = (0, ig.getCliQueryEngineBinaryType)(), queryEngineType = eg(queryEngineBinaryType), prismaPath = binaryPathsOverride?.[queryEngineType];
      if (version && !prismaPath) {
        let potentialPath = eval("require('path').join(__dirname, '..')");
        if (!potentialPath.match(Zo)) {
          let e3 = { binaries: { [queryEngineBinaryType]: potentialPath }, binaryTargets: [platform], showProgress: false, version, skipDownload };
          prismaPath = (await (0, Lq.download)(e3))[queryEngineBinaryType][platform];
        }
      }
      let datamodel = RS.default.readFileSync(schemaPath, "utf-8"), config = await Bo({ datamodel, datamodelPath: schemaPath, prismaPath, ignoreEnvVarErrors: true });
      if (config.datasources.length === 0)
        throw new Error(c9);
      Pm(config.warnings);
      let previewFeatures = Rm(config), dmmf = await Cu({ datamodel, datamodelPath: schemaPath, prismaPath, previewFeatures });
      if (dmmf.datamodel.models.length === 0)
        throw config.datasources.some((e3) => e3.provider === "mongodb") ? new Error(h9) : new Error(f9);
      let generatorConfigs = Ywe(overrideGenerators || config.generators, generatorNames);
      await zwe(generatorConfigs);
      let runningGenerators = [];
      try {
        let e3 = await m_(generatorConfigs, async (o2, a3) => {
          let u2 = Ur(o2.provider), c4, l2 = Ur(o2.provider);
          aliases && aliases[l2] ? (u2 = aliases[l2].generatorPath, c4 = aliases[l2]) : SS[l2] && (c4 = await SS[l2](baseDir, cliVersion), u2 = c4.generatorPath);
          let f4 = new Lu(u2, o2, c4?.isNode);
          if (await f4.init(), o2.output)
            o2.output = { value: CS.default.resolve(baseDir, Ur(o2.output)), fromEnvVar: null }, o2.isCustomOutput = true;
          else if (c4)
            o2.output = { value: c4.outputPath, fromEnvVar: null };
          else {
            if (!f4.manifest || !f4.manifest.defaultOutput)
              throw new Error(`Can't resolve output dir for generator ${z(o2.name)} with provider ${z(o2.provider.value)}.
The generator needs to either define the \`defaultOutput\` path in the manifest or you need to define \`output\` in the datamodel.prisma file.`);
            o2.output = { value: await Hk({ defaultOutput: f4.manifest.defaultOutput, baseDir }), fromEnvVar: "null" };
          }
          let p2 = { datamodel, datasources: config.datasources, generator: o2, dmmf, otherGenerators: Kwe(generatorConfigs, a3), schemaPath, version: version || ig.enginesVersion, postinstall, noEngine };
          return f4.setOptions(p2), runningGenerators.push(f4), f4;
        }, { stopOnError: false }), r2 = generatorConfigs.map((o2) => Ur(o2.provider));
        for (let o2 of e3)
          if (o2.manifest && o2.manifest.requiresGenerators && o2.manifest.requiresGenerators.length > 0) {
            for (let a3 of o2.manifest.requiresGenerators)
              if (!r2.includes(a3))
                throw new Error(`Generator "${o2.manifest.prettyName}" requires generator "${a3}", but it is missing in your schema.prisma.
Please add it to your schema.prisma:

generator gen {
  provider = "${a3}"
}
`);
          }
        let n2 = /* @__PURE__ */ Object.create(null);
        for (let o2 of e3)
          if (o2.manifest && o2.manifest.requiresEngines && Array.isArray(o2.manifest.requiresEngines) && o2.manifest.requiresEngines.length > 0) {
            let a3 = xS(o2.manifest, version);
            n2[a3] || (n2[a3] = { engines: [], binaryTargets: [] });
            for (let c4 of o2.manifest.requiresEngines)
              n2[a3].engines.includes(c4) || n2[a3].engines.push(c4);
            let u2 = o2.options?.generator?.binaryTargets;
            if (u2 && u2.length > 0)
              for (let c4 of u2)
                n2[a3].binaryTargets.find((l2) => l2.value === c4.value) || n2[a3].binaryTargets.push(c4);
          }
        bf("neededVersions", JSON.stringify(n2, null, 2));
        let i4 = await Rq({ neededVersions: n2, platform, version, printDownloadProgress, skipDownload, binaryPathsOverride });
        for (let o2 of e3)
          if (o2.manifest && o2.manifest.requiresEngines) {
            let a3 = xS(o2.manifest, version), u2 = i4[a3], c4 = Im(u2, o2.manifest.requiresEngines);
            if (bf({ generatorBinaryPaths: c4 }), o2.setBinaryPaths(c4), a3 !== version && o2.options && o2.manifest.requiresEngines.includes(queryEngineType) && c4[queryEngineType] && c4[queryEngineType]?.[platform]) {
              let l2 = await Cu({ datamodel, datamodelPath: schemaPath, prismaPath: c4[queryEngineType]?.[platform], previewFeatures }), f4 = { ...o2.options, dmmf: l2 };
              bf("generator.manifest.prettyName", o2.manifest.prettyName), bf("options", f4), bf("options.generator.binaryTargets", f4.generator.binaryTargets), o2.setOptions(f4);
            }
          }
        return e3;
      } catch (e3) {
        throw runningGenerators.forEach((r2) => r2.stop()), e3;
      }
    }
    async function Mq(e3) {
      return (await AS(e3))[0];
    }
    function Kwe(e3, r2) {
      return [...e3.slice(0, r2), ...e3.slice(r2 + 1)];
    }
    var Iq = [...Ef.platforms, "native"];
    var Pq = { "linux-glibc-libssl1.0.1": "debian-openssl-1.0.x", "linux-glibc-libssl1.0.2": "debian-openssl-1.0.x", "linux-glibc-libssl1.1.0": "debian-openssl1.1.x" };
    async function zwe(e3) {
      let r2 = await (0, Ef.getPlatform)();
      for (let n2 of e3) {
        if (n2.config.platforms)
          throw new Error("The `platforms` field on the generator definition is deprecated. Please rename it to `binaryTargets`.");
        if (n2.config.pinnedBinaryTargets)
          throw new Error("The `pinnedBinaryTargets` field on the generator definition is deprecated.\nPlease use the PRISMA_QUERY_ENGINE_BINARY env var instead to pin the binary target.");
        if (n2.binaryTargets) {
          let o2 = (n2.binaryTargets && n2.binaryTargets.length > 0 ? n2.binaryTargets : [{ fromEnvVar: null, value: "native" }]).flatMap((a3) => om(a3)).map((a3) => a3 === "native" ? r2 : a3);
          for (let a3 of o2) {
            if (Pq[a3])
              throw new Error(`Binary target ${dt(z(a3))} is deprecated. Please use ${Mt(z(Pq[a3]))} instead.`);
            if (!Iq.includes(a3))
              throw new Error(`Unknown binary target ${dt(a3)} in generator ${z(n2.name)}.
Possible binaryTargets: ${Mt(Iq.join(", "))}`);
          }
          if (!o2.includes(r2)) {
            let a3 = TS(n2.binaryTargets);
            console.log(`${Zt("Warning:")} Your current platform \`${z(r2)}\` is not included in your generator's \`binaryTargets\` configuration ${JSON.stringify(a3)}.
To fix it, use this generator config in your ${z("schema.prisma")}:
${Mt(ng({ ...n2, binaryTargets: tg(n2.binaryTargets, r2) }))}
${Na(`Note, that by providing \`native\`, Prisma Client automatically resolves \`${r2}\`.
Read more about deploying Prisma Client: ${kr("https://www.prisma.io/docs/reference/tools-and-interfaces/prisma-schema/generators")}`)}
`);
          }
        }
      }
    }
    function Ywe(e3, r2) {
      if (r2.length < 1)
        return e3;
      let n2 = e3.filter((i4) => r2.includes(i4.name));
      if (n2.length !== r2.length) {
        let i4 = r2.filter((a3) => n2.find((u2) => u2.name === a3) == null), o2 = i4.length <= 1;
        throw new Error(`The ${o2 ? "generator" : "generators"} ${z(i4.join(", "))} specified via ${z("--generator")} ${o2 ? "does" : "do"} not exist in your Prisma schema`);
      }
      return n2;
    }
    var Sg = j(require("fs"));
    var W7 = j(NB());
    var ma = j(require("path"));
    var H7 = j(ww());
    var V7 = j(G7());
    async function K7(e3, r2, n2) {
      if (n2 = n2 || await Zn(e3, { basedir: process.cwd() }) || await Zn(e3, { basedir: r2 }), !n2) {
        let a3 = H7.default.sync({ cwd: r2 });
        a3 && a3.packageJson.name === e3 && (n2 = ma.default.dirname(a3.path));
      }
      if (!n2 && Sg.default.existsSync(ma.default.join(process.cwd(), "package.json")) && (n2 = process.cwd()), !n2)
        throw new Error(`Error in getPackage: Could not resolve package ${e3} from ${process.cwd()} target ${r2}`);
      let i4 = r2 ?? V7.default.directory(), o2 = await (0, W7.default)({ path: n2 });
      for (let a3 of o2) {
        let u2 = ma.default.join(n2, a3), c4 = ma.default.join(i4, a3);
        await Sg.default.promises.mkdir(ma.default.dirname(c4), { recursive: true }), await Sg.default.promises.copyFile(u2, c4);
      }
      return ma.default.join(i4);
    }
    var z7 = (init_src3(), __toCommonJS(src_exports3));
    var Y7 = j(Dl());
    var Ix = ((i4) => (i4[i4.Success = 0] = "Success", i4[i4.Error = 1] = "Error", i4[i4.Panic = 101] = "Panic", i4))(Ix || {});
    function Px(e3) {
      let r2 = e3.split(/\r?\n/).slice(1), n2 = [];
      for (let i4 of r2) {
        let o2 = String(i4);
        try {
          let a3 = JSON.parse(o2);
          n2.push(a3);
        } catch (a3) {
          throw new Error(`Could not parse schema engine response: ${a3}`);
        }
      }
      return n2;
    }
    async function Fx(e3, r2 = process.cwd(), n2) {
      if (!e3)
        throw new Error("Connection url is empty. See https://www.prisma.io/docs/reference/database-reference/connection-urls");
      try {
        await Lx({ connectionString: e3, cwd: r2, schemaEnginePath: n2, engineCommandName: "can-connect-to-database" });
      } catch (i4) {
        let o2 = i4;
        if (o2.stderr) {
          let a3 = Px(o2.stderr), u2 = a3.find((c4) => c4.level === "ERROR" && c4.target === "schema_engine::logger");
          if (u2 && u2.fields.error_code && u2.fields.message)
            return { code: u2.fields.error_code, message: u2.fields.message };
          throw new Error(`Schema engine error:
${a3.map((c4) => c4.fields.message).join(`
`)}`);
        } else
          throw new Error(`Schema engine exited. ${i4}`);
      }
      return true;
    }
    async function J7(e3, r2 = process.cwd(), n2) {
      if (await Fx(e3, r2, n2) === true)
        return false;
      try {
        return await Lx({ connectionString: e3, cwd: r2, schemaEnginePath: n2, engineCommandName: "create-database" }), true;
      } catch (o2) {
        let a3 = o2;
        if (a3.stderr) {
          let u2 = Px(a3.stderr), c4 = u2.find((l2) => l2.level === "ERROR" && l2.target === "schema_engine::logger");
          throw c4 && c4.fields.error_code && c4.fields.message ? new Error(`${c4.fields.error_code}: ${c4.fields.message}`) : new Error(`Schema engine error:
${u2.map((l2) => l2.fields.message).join(`
`)}`);
        } else
          throw new Error(`Schema engine exited. ${o2}`);
      }
    }
    async function X7(e3, r2 = process.cwd(), n2) {
      try {
        let i4 = await Lx({ connectionString: e3, cwd: r2, schemaEnginePath: n2, engineCommandName: "drop-database" });
        if (i4 && i4.exitCode === 0 && i4.stderr.includes("The database was successfully dropped"))
          return true;
        throw Error(`An error occurred during the drop: ${JSON.stringify(i4, void 0, 2)}`);
      } catch (i4) {
        if (i4.stderr) {
          let o2 = Px(i4.stderr);
          throw new Error(`Schema engine error:
${o2.map((a3) => a3.fields.message).join(`
`)}`);
        } else
          throw new Error(`Schema engine exited. ${i4}`);
      }
    }
    async function Lx({ connectionString: e3, cwd: r2, schemaEnginePath: n2, engineCommandName: i4 }) {
      n2 = n2 || await ea(z7.BinaryType.SchemaEngineBinary);
      try {
        return await (0, Y7.default)(n2, ["cli", "--datasource", e3, i4], { cwd: r2, env: { RUST_BACKTRACE: process.env.RUST_BACKTRACE ?? "1", RUST_LOG: process.env.RUST_LOG ?? "info" } });
      } catch (o2) {
        let a3 = o2;
        throw a3.message && (a3.message = a3.message.replace(e3, "<REDACTED>")), a3.stdout && (a3.stdout = a3.stdout.replace(e3, "<REDACTED>")), a3.stderr && (a3.stderr = a3.stderr.replace(e3, "<REDACTED>")), a3;
      }
    }
    var VK = (init_src2(), __toCommonJS(src_exports2));
    var KK = j(vV());
    var zK = j(SV());
    var Aa = j(require("fs"));
    var YK = j(Pp());
    var z0 = j(require("os"));
    var Pc = j(require("path"));
    var JK = j(I0());
    var rT = j(WV());
    var eT = (init_src3(), __toCommonJS(src_exports3));
    var vn = j(require("stream"), 1);
    var XO = j(require("http"), 1);
    var wh = j(require("url"), 1);
    var NK = j(require("https"), 1);
    var mo = j(require("zlib"), 1);
    var iPe = vn.default.Readable;
    var zi = Symbol("buffer");
    var GO = Symbol("type");
    var vh = class e3 {
      constructor() {
        this[GO] = "";
        let r2 = arguments[0], n2 = arguments[1], i4 = [], o2 = 0;
        if (r2) {
          let u2 = r2, c4 = Number(u2.length);
          for (let l2 = 0; l2 < c4; l2++) {
            let f4 = u2[l2], p2;
            f4 instanceof Buffer ? p2 = f4 : ArrayBuffer.isView(f4) ? p2 = Buffer.from(f4.buffer, f4.byteOffset, f4.byteLength) : f4 instanceof ArrayBuffer ? p2 = Buffer.from(f4) : f4 instanceof e3 ? p2 = f4[zi] : p2 = Buffer.from(typeof f4 == "string" ? f4 : String(f4)), o2 += p2.length, i4.push(p2);
          }
        }
        this[zi] = Buffer.concat(i4);
        let a3 = n2 && n2.type !== void 0 && String(n2.type).toLowerCase();
        a3 && !/[^\u0020-\u007E]/.test(a3) && (this[GO] = a3);
      }
      get size() {
        return this[zi].length;
      }
      get type() {
        return this[GO];
      }
      text() {
        return Promise.resolve(this[zi].toString());
      }
      arrayBuffer() {
        let r2 = this[zi], n2 = r2.buffer.slice(r2.byteOffset, r2.byteOffset + r2.byteLength);
        return Promise.resolve(n2);
      }
      stream() {
        let r2 = new iPe();
        return r2._read = function() {
        }, r2.push(this[zi]), r2.push(null), r2;
      }
      toString() {
        return "[object Blob]";
      }
      slice() {
        let r2 = this.size, n2 = arguments[0], i4 = arguments[1], o2, a3;
        n2 === void 0 ? o2 = 0 : n2 < 0 ? o2 = Math.max(r2 + n2, 0) : o2 = Math.min(n2, r2), i4 === void 0 ? a3 = r2 : i4 < 0 ? a3 = Math.max(r2 + i4, 0) : a3 = Math.min(i4, r2);
        let u2 = Math.max(a3 - o2, 0), l2 = this[zi].slice(o2, o2 + u2), f4 = new e3([], { type: arguments[2] });
        return f4[zi] = l2, f4;
      }
    };
    Object.defineProperties(vh.prototype, { size: { enumerable: true }, type: { enumerable: true }, slice: { enumerable: true } });
    Object.defineProperty(vh.prototype, Symbol.toStringTag, { value: "Blob", writable: false, enumerable: false, configurable: true });
    function fr(e3, r2, n2) {
      Error.call(this, e3), this.message = e3, this.type = r2, n2 && (this.code = this.errno = n2.code), Error.captureStackTrace(this, this.constructor);
    }
    fr.prototype = Object.create(Error.prototype);
    fr.prototype.constructor = fr;
    fr.prototype.name = "FetchError";
    var KO;
    try {
      KO = PK().convert;
    } catch {
    }
    var Ji = Symbol("Body internals");
    var FK = vn.default.PassThrough;
    function Wt(e3) {
      var r2 = this, n2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, i4 = n2.size;
      let o2 = i4 === void 0 ? 0 : i4;
      var a3 = n2.timeout;
      let u2 = a3 === void 0 ? 0 : a3;
      e3 == null ? e3 = null : kK(e3) ? e3 = Buffer.from(e3.toString()) : _h(e3) || Buffer.isBuffer(e3) || (Object.prototype.toString.call(e3) === "[object ArrayBuffer]" ? e3 = Buffer.from(e3) : ArrayBuffer.isView(e3) ? e3 = Buffer.from(e3.buffer, e3.byteOffset, e3.byteLength) : e3 instanceof vn.default || (e3 = Buffer.from(String(e3)))), this[Ji] = { body: e3, disturbed: false, error: null }, this.size = o2, this.timeout = u2, e3 instanceof vn.default && e3.on("error", function(c4) {
        let l2 = c4.name === "AbortError" ? c4 : new fr(`Invalid response body while trying to fetch ${r2.url}: ${c4.message}`, "system", c4);
        r2[Ji].error = l2;
      });
    }
    Wt.prototype = { get body() {
      return this[Ji].body;
    }, get bodyUsed() {
      return this[Ji].disturbed;
    }, arrayBuffer() {
      return Ac.call(this).then(function(e3) {
        return e3.buffer.slice(e3.byteOffset, e3.byteOffset + e3.byteLength);
      });
    }, blob() {
      let e3 = this.headers && this.headers.get("content-type") || "";
      return Ac.call(this).then(function(r2) {
        return Object.assign(new vh([], { type: e3.toLowerCase() }), { [zi]: r2 });
      });
    }, json() {
      var e3 = this;
      return Ac.call(this).then(function(r2) {
        try {
          return JSON.parse(r2.toString());
        } catch (n2) {
          return Wt.Promise.reject(new fr(`invalid json response body at ${e3.url} reason: ${n2.message}`, "invalid-json"));
        }
      });
    }, text() {
      return Ac.call(this).then(function(e3) {
        return e3.toString();
      });
    }, buffer() {
      return Ac.call(this);
    }, textConverted() {
      var e3 = this;
      return Ac.call(this).then(function(r2) {
        return sPe(r2, e3.headers);
      });
    } };
    Object.defineProperties(Wt.prototype, { body: { enumerable: true }, bodyUsed: { enumerable: true }, arrayBuffer: { enumerable: true }, blob: { enumerable: true }, json: { enumerable: true }, text: { enumerable: true } });
    Wt.mixIn = function(e3) {
      for (let r2 of Object.getOwnPropertyNames(Wt.prototype))
        if (!(r2 in e3)) {
          let n2 = Object.getOwnPropertyDescriptor(Wt.prototype, r2);
          Object.defineProperty(e3, r2, n2);
        }
    };
    function Ac() {
      var e3 = this;
      if (this[Ji].disturbed)
        return Wt.Promise.reject(new TypeError(`body used already for: ${this.url}`));
      if (this[Ji].disturbed = true, this[Ji].error)
        return Wt.Promise.reject(this[Ji].error);
      let r2 = this.body;
      if (r2 === null)
        return Wt.Promise.resolve(Buffer.alloc(0));
      if (_h(r2) && (r2 = r2.stream()), Buffer.isBuffer(r2))
        return Wt.Promise.resolve(r2);
      if (!(r2 instanceof vn.default))
        return Wt.Promise.resolve(Buffer.alloc(0));
      let n2 = [], i4 = 0, o2 = false;
      return new Wt.Promise(function(a3, u2) {
        let c4;
        e3.timeout && (c4 = setTimeout(function() {
          o2 = true, u2(new fr(`Response timeout while trying to fetch ${e3.url} (over ${e3.timeout}ms)`, "body-timeout"));
        }, e3.timeout)), r2.on("error", function(l2) {
          l2.name === "AbortError" ? (o2 = true, u2(l2)) : u2(new fr(`Invalid response body while trying to fetch ${e3.url}: ${l2.message}`, "system", l2));
        }), r2.on("data", function(l2) {
          if (!(o2 || l2 === null)) {
            if (e3.size && i4 + l2.length > e3.size) {
              o2 = true, u2(new fr(`content size at ${e3.url} over limit: ${e3.size}`, "max-size"));
              return;
            }
            i4 += l2.length, n2.push(l2);
          }
        }), r2.on("end", function() {
          if (!o2) {
            clearTimeout(c4);
            try {
              a3(Buffer.concat(n2, i4));
            } catch (l2) {
              u2(new fr(`Could not create Buffer from response body for ${e3.url}: ${l2.message}`, "system", l2));
            }
          }
        });
      });
    }
    function sPe(e3, r2) {
      if (typeof KO != "function")
        throw new Error("The package `encoding` must be installed to use the textConverted() function");
      let n2 = r2.get("content-type"), i4 = "utf-8", o2, a3;
      return n2 && (o2 = /charset=([^;]*)/i.exec(n2)), a3 = e3.slice(0, 1024).toString(), !o2 && a3 && (o2 = /<meta.+?charset=(['"])(.+?)\1/i.exec(a3)), !o2 && a3 && (o2 = /<meta[\s]+?http-equiv=(['"])content-type\1[\s]+?content=(['"])(.+?)\2/i.exec(a3), o2 || (o2 = /<meta[\s]+?content=(['"])(.+?)\1[\s]+?http-equiv=(['"])content-type\3/i.exec(a3), o2 && o2.pop()), o2 && (o2 = /charset=(.*)/i.exec(o2.pop()))), !o2 && a3 && (o2 = /<\?xml.+?encoding=(['"])(.+?)\1/i.exec(a3)), o2 && (i4 = o2.pop(), (i4 === "gb2312" || i4 === "gbk") && (i4 = "gb18030")), KO(e3, "UTF-8", i4).toString();
    }
    function kK(e3) {
      return typeof e3 != "object" || typeof e3.append != "function" || typeof e3.delete != "function" || typeof e3.get != "function" || typeof e3.getAll != "function" || typeof e3.has != "function" || typeof e3.set != "function" ? false : e3.constructor.name === "URLSearchParams" || Object.prototype.toString.call(e3) === "[object URLSearchParams]" || typeof e3.sort == "function";
    }
    function _h(e3) {
      return typeof e3 == "object" && typeof e3.arrayBuffer == "function" && typeof e3.type == "string" && typeof e3.stream == "function" && typeof e3.constructor == "function" && typeof e3.constructor.name == "string" && /^(Blob|File)$/.test(e3.constructor.name) && /^(Blob|File)$/.test(e3[Symbol.toStringTag]);
    }
    function $K(e3) {
      let r2, n2, i4 = e3.body;
      if (e3.bodyUsed)
        throw new Error("cannot clone body after it is used");
      return i4 instanceof vn.default && typeof i4.getBoundary != "function" && (r2 = new FK(), n2 = new FK(), i4.pipe(r2), i4.pipe(n2), e3[Ji].body = r2, i4 = n2), i4;
    }
    function qK(e3) {
      return e3 === null ? null : typeof e3 == "string" ? "text/plain;charset=UTF-8" : kK(e3) ? "application/x-www-form-urlencoded;charset=UTF-8" : _h(e3) ? e3.type || null : Buffer.isBuffer(e3) || Object.prototype.toString.call(e3) === "[object ArrayBuffer]" || ArrayBuffer.isView(e3) ? null : typeof e3.getBoundary == "function" ? `multipart/form-data;boundary=${e3.getBoundary()}` : e3 instanceof vn.default ? null : "text/plain;charset=UTF-8";
    }
    function BK(e3) {
      let r2 = e3.body;
      return r2 === null ? 0 : _h(r2) ? r2.size : Buffer.isBuffer(r2) ? r2.length : r2 && typeof r2.getLengthSync == "function" && (r2._lengthRetrievers && r2._lengthRetrievers.length == 0 || r2.hasKnownLength && r2.hasKnownLength()) ? r2.getLengthSync() : null;
    }
    function oPe(e3, r2) {
      let n2 = r2.body;
      n2 === null ? e3.end() : _h(n2) ? n2.stream().pipe(e3) : Buffer.isBuffer(n2) ? (e3.write(n2), e3.end()) : n2.pipe(e3);
    }
    Wt.Promise = global.Promise;
    var jK = /[^\^_`a-zA-Z\-0-9!#$%&'*+.|~]/;
    var zO = /[^\t\x20-\x7e\x80-\xff]/;
    function yh(e3) {
      if (e3 = `${e3}`, jK.test(e3) || e3 === "")
        throw new TypeError(`${e3} is not a legal HTTP header name`);
    }
    function LK(e3) {
      if (e3 = `${e3}`, zO.test(e3))
        throw new TypeError(`${e3} is not a legal HTTP header value`);
    }
    function Ic(e3, r2) {
      r2 = r2.toLowerCase();
      for (let n2 in e3)
        if (n2.toLowerCase() === r2)
          return n2;
    }
    var Et = Symbol("map");
    var kn = class e3 {
      constructor() {
        let r2 = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : void 0;
        if (this[Et] = /* @__PURE__ */ Object.create(null), r2 instanceof e3) {
          let n2 = r2.raw(), i4 = Object.keys(n2);
          for (let o2 of i4)
            for (let a3 of n2[o2])
              this.append(o2, a3);
          return;
        }
        if (r2 != null)
          if (typeof r2 == "object") {
            let n2 = r2[Symbol.iterator];
            if (n2 != null) {
              if (typeof n2 != "function")
                throw new TypeError("Header pairs must be iterable");
              let i4 = [];
              for (let o2 of r2) {
                if (typeof o2 != "object" || typeof o2[Symbol.iterator] != "function")
                  throw new TypeError("Each header pair must be iterable");
                i4.push(Array.from(o2));
              }
              for (let o2 of i4) {
                if (o2.length !== 2)
                  throw new TypeError("Each header pair must be a name/value tuple");
                this.append(o2[0], o2[1]);
              }
            } else
              for (let i4 of Object.keys(r2)) {
                let o2 = r2[i4];
                this.append(i4, o2);
              }
          } else
            throw new TypeError("Provided initializer must be an object");
      }
      get(r2) {
        r2 = `${r2}`, yh(r2);
        let n2 = Ic(this[Et], r2);
        return n2 === void 0 ? null : this[Et][n2].join(", ");
      }
      forEach(r2) {
        let n2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : void 0, i4 = YO(this), o2 = 0;
        for (; o2 < i4.length; ) {
          var a3 = i4[o2];
          let u2 = a3[0], c4 = a3[1];
          r2.call(n2, c4, u2, this), i4 = YO(this), o2++;
        }
      }
      set(r2, n2) {
        r2 = `${r2}`, n2 = `${n2}`, yh(r2), LK(n2);
        let i4 = Ic(this[Et], r2);
        this[Et][i4 !== void 0 ? i4 : r2] = [n2];
      }
      append(r2, n2) {
        r2 = `${r2}`, n2 = `${n2}`, yh(r2), LK(n2);
        let i4 = Ic(this[Et], r2);
        i4 !== void 0 ? this[Et][i4].push(n2) : this[Et][r2] = [n2];
      }
      has(r2) {
        return r2 = `${r2}`, yh(r2), Ic(this[Et], r2) !== void 0;
      }
      delete(r2) {
        r2 = `${r2}`, yh(r2);
        let n2 = Ic(this[Et], r2);
        n2 !== void 0 && delete this[Et][n2];
      }
      raw() {
        return this[Et];
      }
      keys() {
        return WO(this, "key");
      }
      values() {
        return WO(this, "value");
      }
      [Symbol.iterator]() {
        return WO(this, "key+value");
      }
    };
    kn.prototype.entries = kn.prototype[Symbol.iterator];
    Object.defineProperty(kn.prototype, Symbol.toStringTag, { value: "Headers", writable: false, enumerable: false, configurable: true });
    Object.defineProperties(kn.prototype, { get: { enumerable: true }, forEach: { enumerable: true }, set: { enumerable: true }, append: { enumerable: true }, has: { enumerable: true }, delete: { enumerable: true }, keys: { enumerable: true }, values: { enumerable: true }, entries: { enumerable: true } });
    function YO(e3) {
      let r2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "key+value";
      return Object.keys(e3[Et]).sort().map(r2 === "key" ? function(i4) {
        return i4.toLowerCase();
      } : r2 === "value" ? function(i4) {
        return e3[Et][i4].join(", ");
      } : function(i4) {
        return [i4.toLowerCase(), e3[Et][i4].join(", ")];
      });
    }
    var JO = Symbol("internal");
    function WO(e3, r2) {
      let n2 = Object.create(QO);
      return n2[JO] = { target: e3, kind: r2, index: 0 }, n2;
    }
    var QO = Object.setPrototypeOf({ next() {
      if (!this || Object.getPrototypeOf(this) !== QO)
        throw new TypeError("Value of `this` is not a HeadersIterator");
      var e3 = this[JO];
      let r2 = e3.target, n2 = e3.kind, i4 = e3.index, o2 = YO(r2, n2), a3 = o2.length;
      return i4 >= a3 ? { value: void 0, done: true } : (this[JO].index = i4 + 1, { value: o2[i4], done: false });
    } }, Object.getPrototypeOf(Object.getPrototypeOf([][Symbol.iterator]())));
    Object.defineProperty(QO, Symbol.toStringTag, { value: "HeadersIterator", writable: false, enumerable: false, configurable: true });
    function aPe(e3) {
      let r2 = Object.assign({ __proto__: null }, e3[Et]), n2 = Ic(e3[Et], "Host");
      return n2 !== void 0 && (r2[n2] = r2[n2][0]), r2;
    }
    function uPe(e3) {
      let r2 = new kn();
      for (let n2 of Object.keys(e3))
        if (!jK.test(n2))
          if (Array.isArray(e3[n2]))
            for (let i4 of e3[n2])
              zO.test(i4) || (r2[Et][n2] === void 0 ? r2[Et][n2] = [i4] : r2[Et][n2].push(i4));
          else
            zO.test(e3[n2]) || (r2[Et][n2] = [e3[n2]]);
      return r2;
    }
    var po = Symbol("Response internals");
    var cPe = XO.default.STATUS_CODES;
    var Nn = class e3 {
      constructor() {
        let r2 = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : null, n2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
        Wt.call(this, r2, n2);
        let i4 = n2.status || 200, o2 = new kn(n2.headers);
        if (r2 != null && !o2.has("Content-Type")) {
          let a3 = qK(r2);
          a3 && o2.append("Content-Type", a3);
        }
        this[po] = { url: n2.url, status: i4, statusText: n2.statusText || cPe[i4], headers: o2, counter: n2.counter };
      }
      get url() {
        return this[po].url || "";
      }
      get status() {
        return this[po].status;
      }
      get ok() {
        return this[po].status >= 200 && this[po].status < 300;
      }
      get redirected() {
        return this[po].counter > 0;
      }
      get statusText() {
        return this[po].statusText;
      }
      get headers() {
        return this[po].headers;
      }
      clone() {
        return new e3($K(this), { url: this.url, status: this.status, statusText: this.statusText, headers: this.headers, ok: this.ok, redirected: this.redirected });
      }
    };
    Wt.mixIn(Nn.prototype);
    Object.defineProperties(Nn.prototype, { url: { enumerable: true }, status: { enumerable: true }, ok: { enumerable: true }, redirected: { enumerable: true }, statusText: { enumerable: true }, headers: { enumerable: true }, clone: { enumerable: true } });
    Object.defineProperty(Nn.prototype, Symbol.toStringTag, { value: "Response", writable: false, enumerable: false, configurable: true });
    var Yi = Symbol("Request internals");
    var lPe = wh.default.URL;
    var fPe = wh.default.parse;
    var hPe = wh.default.format;
    function HO(e3) {
      return /^[a-zA-Z][a-zA-Z\d+\-.]*:/.exec(e3) && (e3 = new lPe(e3).toString()), fPe(e3);
    }
    var pPe = "destroy" in vn.default.Readable.prototype;
    function K0(e3) {
      return typeof e3 == "object" && typeof e3[Yi] == "object";
    }
    function dPe(e3) {
      let r2 = e3 && typeof e3 == "object" && Object.getPrototypeOf(e3);
      return !!(r2 && r2.constructor.name === "AbortSignal");
    }
    var Ra = class e3 {
      constructor(r2) {
        let n2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, i4;
        K0(r2) ? i4 = HO(r2.url) : (r2 && r2.href ? i4 = HO(r2.href) : i4 = HO(`${r2}`), r2 = {});
        let o2 = n2.method || r2.method || "GET";
        if (o2 = o2.toUpperCase(), (n2.body != null || K0(r2) && r2.body !== null) && (o2 === "GET" || o2 === "HEAD"))
          throw new TypeError("Request with GET/HEAD method cannot have body");
        let a3 = n2.body != null ? n2.body : K0(r2) && r2.body !== null ? $K(r2) : null;
        Wt.call(this, a3, { timeout: n2.timeout || r2.timeout || 0, size: n2.size || r2.size || 0 });
        let u2 = new kn(n2.headers || r2.headers || {});
        if (a3 != null && !u2.has("Content-Type")) {
          let l2 = qK(a3);
          l2 && u2.append("Content-Type", l2);
        }
        let c4 = K0(r2) ? r2.signal : null;
        if ("signal" in n2 && (c4 = n2.signal), c4 != null && !dPe(c4))
          throw new TypeError("Expected signal to be an instanceof AbortSignal");
        this[Yi] = { method: o2, redirect: n2.redirect || r2.redirect || "follow", headers: u2, parsedURL: i4, signal: c4 }, this.follow = n2.follow !== void 0 ? n2.follow : r2.follow !== void 0 ? r2.follow : 20, this.compress = n2.compress !== void 0 ? n2.compress : r2.compress !== void 0 ? r2.compress : true, this.counter = n2.counter || r2.counter || 0, this.agent = n2.agent || r2.agent;
      }
      get method() {
        return this[Yi].method;
      }
      get url() {
        return hPe(this[Yi].parsedURL);
      }
      get headers() {
        return this[Yi].headers;
      }
      get redirect() {
        return this[Yi].redirect;
      }
      get signal() {
        return this[Yi].signal;
      }
      clone() {
        return new e3(this);
      }
    };
    Wt.mixIn(Ra.prototype);
    Object.defineProperty(Ra.prototype, Symbol.toStringTag, { value: "Request", writable: false, enumerable: false, configurable: true });
    Object.defineProperties(Ra.prototype, { method: { enumerable: true }, url: { enumerable: true }, headers: { enumerable: true }, redirect: { enumerable: true }, clone: { enumerable: true }, signal: { enumerable: true } });
    function mPe(e3) {
      let r2 = e3[Yi].parsedURL, n2 = new kn(e3[Yi].headers);
      if (n2.has("Accept") || n2.set("Accept", "*/*"), !r2.protocol || !r2.hostname)
        throw new TypeError("Only absolute URLs are supported");
      if (!/^https?:$/.test(r2.protocol))
        throw new TypeError("Only HTTP(S) protocols are supported");
      if (e3.signal && e3.body instanceof vn.default.Readable && !pPe)
        throw new Error("Cancellation of streamed requests with AbortSignal is not supported in node < 8");
      let i4 = null;
      if (e3.body == null && /^(POST|PUT)$/i.test(e3.method) && (i4 = "0"), e3.body != null) {
        let a3 = BK(e3);
        typeof a3 == "number" && (i4 = String(a3));
      }
      i4 && n2.set("Content-Length", i4), n2.has("User-Agent") || n2.set("User-Agent", "node-fetch/1.0 (+https://github.com/bitinn/node-fetch)"), e3.compress && !n2.has("Accept-Encoding") && n2.set("Accept-Encoding", "gzip,deflate");
      let o2 = e3.agent;
      return typeof o2 == "function" && (o2 = o2(r2)), !n2.has("Connection") && !o2 && n2.set("Connection", "close"), Object.assign({}, r2, { method: e3.method, headers: aPe(n2), agent: o2 });
    }
    function bh(e3) {
      Error.call(this, e3), this.type = "aborted", this.message = e3, Error.captureStackTrace(this, this.constructor);
    }
    bh.prototype = Object.create(Error.prototype);
    bh.prototype.constructor = bh;
    bh.prototype.name = "AbortError";
    var Eh = wh.default.URL;
    var MK = vn.default.PassThrough;
    var gPe = function(r2, n2) {
      let i4 = new Eh(n2).hostname, o2 = new Eh(r2).hostname;
      return i4 === o2 || i4[i4.length - o2.length - 1] === "." && i4.endsWith(o2);
    };
    var yPe = function(r2, n2) {
      let i4 = new Eh(n2).protocol, o2 = new Eh(r2).protocol;
      return i4 === o2;
    };
    function go(e3, r2) {
      if (!go.Promise)
        throw new Error("native promise missing, set fetch.Promise to your favorite alternative");
      return Wt.Promise = go.Promise, new go.Promise(function(n2, i4) {
        let o2 = new Ra(e3, r2), a3 = mPe(o2), u2 = (a3.protocol === "https:" ? NK.default : XO.default).request, c4 = o2.signal, l2 = null, f4 = function() {
          let T6 = new bh("The user aborted a request.");
          i4(T6), o2.body && o2.body instanceof vn.default.Readable && VO(o2.body, T6), !(!l2 || !l2.body) && l2.body.emit("error", T6);
        };
        if (c4 && c4.aborted) {
          f4();
          return;
        }
        let p2 = function() {
          f4(), S2();
        }, v2 = u2(a3), g2;
        c4 && c4.addEventListener("abort", p2);
        function S2() {
          v2.abort(), c4 && c4.removeEventListener("abort", p2), clearTimeout(g2);
        }
        o2.timeout && v2.once("socket", function(D) {
          g2 = setTimeout(function() {
            i4(new fr(`network timeout at: ${o2.url}`, "request-timeout")), S2();
          }, o2.timeout);
        }), v2.on("error", function(D) {
          i4(new fr(`request to ${o2.url} failed, reason: ${D.message}`, "system", D)), l2 && l2.body && VO(l2.body, D), S2();
        }), vPe(v2, function(D) {
          c4 && c4.aborted || l2 && l2.body && VO(l2.body, D);
        }), parseInt(process.version.substring(1)) < 14 && v2.on("socket", function(D) {
          D.addListener("close", function(T6) {
            let R = D.listenerCount("data") > 0;
            if (l2 && R && !T6 && !(c4 && c4.aborted)) {
              let A2 = new Error("Premature close");
              A2.code = "ERR_STREAM_PREMATURE_CLOSE", l2.body.emit("error", A2);
            }
          });
        }), v2.on("response", function(D) {
          clearTimeout(g2);
          let T6 = uPe(D.headers);
          if (go.isRedirect(D.statusCode)) {
            let q = T6.get("Location"), B = null;
            try {
              B = q === null ? null : new Eh(q, o2.url).toString();
            } catch {
              if (o2.redirect !== "manual") {
                i4(new fr(`uri requested responds with an invalid redirect URL: ${q}`, "invalid-redirect")), S2();
                return;
              }
            }
            switch (o2.redirect) {
              case "error":
                i4(new fr(`uri requested responds with a redirect, redirect mode is set to error: ${o2.url}`, "no-redirect")), S2();
                return;
              case "manual":
                if (B !== null)
                  try {
                    T6.set("Location", B);
                  } catch (P) {
                    i4(P);
                  }
                break;
              case "follow":
                if (B === null)
                  break;
                if (o2.counter >= o2.follow) {
                  i4(new fr(`maximum redirect reached at: ${o2.url}`, "max-redirect")), S2();
                  return;
                }
                let W = { headers: new kn(o2.headers), follow: o2.follow, counter: o2.counter + 1, agent: o2.agent, compress: o2.compress, method: o2.method, body: o2.body, signal: o2.signal, timeout: o2.timeout, size: o2.size };
                if (!gPe(o2.url, B) || !yPe(o2.url, B))
                  for (let P of ["authorization", "www-authenticate", "cookie", "cookie2"])
                    W.headers.delete(P);
                if (D.statusCode !== 303 && o2.body && BK(o2) === null) {
                  i4(new fr("Cannot follow redirect with body being a readable stream", "unsupported-redirect")), S2();
                  return;
                }
                (D.statusCode === 303 || (D.statusCode === 301 || D.statusCode === 302) && o2.method === "POST") && (W.method = "GET", W.body = void 0, W.headers.delete("content-length")), n2(go(new Ra(B, W))), S2();
                return;
            }
          }
          D.once("end", function() {
            c4 && c4.removeEventListener("abort", p2);
          });
          let R = D.pipe(new MK()), A2 = { url: o2.url, status: D.statusCode, statusText: D.statusMessage, headers: T6, size: o2.size, timeout: o2.timeout, counter: o2.counter }, L = T6.get("Content-Encoding");
          if (!o2.compress || o2.method === "HEAD" || L === null || D.statusCode === 204 || D.statusCode === 304) {
            l2 = new Nn(R, A2), n2(l2);
            return;
          }
          let N = { flush: mo.default.Z_SYNC_FLUSH, finishFlush: mo.default.Z_SYNC_FLUSH };
          if (L == "gzip" || L == "x-gzip") {
            R = R.pipe(mo.default.createGunzip(N)), l2 = new Nn(R, A2), n2(l2);
            return;
          }
          if (L == "deflate" || L == "x-deflate") {
            let q = D.pipe(new MK());
            q.once("data", function(B) {
              (B[0] & 15) === 8 ? R = R.pipe(mo.default.createInflate()) : R = R.pipe(mo.default.createInflateRaw()), l2 = new Nn(R, A2), n2(l2);
            }), q.on("end", function() {
              l2 || (l2 = new Nn(R, A2), n2(l2));
            });
            return;
          }
          if (L == "br" && typeof mo.default.createBrotliDecompress == "function") {
            R = R.pipe(mo.default.createBrotliDecompress()), l2 = new Nn(R, A2), n2(l2);
            return;
          }
          l2 = new Nn(R, A2), n2(l2);
        }), oPe(v2, o2);
      });
    }
    function vPe(e3, r2) {
      let n2;
      e3.on("socket", function(i4) {
        n2 = i4;
      }), e3.on("response", function(i4) {
        let o2 = i4.headers;
        o2["transfer-encoding"] === "chunked" && !o2["content-length"] && i4.once("close", function(a3) {
          if (n2 && n2.listenerCount("data") > 0 && !a3) {
            let c4 = new Error("Premature close");
            c4.code = "ERR_STREAM_PREMATURE_CLOSE", r2(c4);
          }
        });
      });
    }
    function VO(e3, r2) {
      e3.destroy ? e3.destroy(r2) : (e3.emit("error", r2), e3.end());
    }
    go.isRedirect = function(e3) {
      return e3 === 301 || e3 === 302 || e3 === 303 || e3 === 307 || e3 === 308;
    };
    go.Promise = global.Promise;
    var ZO = go;
    async function UK(e3, r2) {
      return await ZO(r2, { method: "PUT", agent: (0, eT.getProxyAgent)(r2), headers: { "Content-Length": String(e3.byteLength) }, body: e3 });
    }
    async function GK(e3) {
      return (await HK(`mutation ($data: CreateErrorReportInput!) {
    createErrorReport(data: $data)
  }`, { data: e3 })).createErrorReport;
    }
    async function WK(e3) {
      return (await HK(`mutation ($signedUrl: String!) {
  markErrorReportCompleted(signedUrl: $signedUrl)
}`, { signedUrl: e3 })).markErrorReportCompleted;
    }
    async function HK(e3, r2) {
      let n2 = "https://error-reports.prisma.sh/", i4 = JSON.stringify({ query: e3, variables: r2 });
      return await ZO(n2, { method: "POST", agent: (0, eT.getProxyAgent)(n2), body: i4, headers: { Accept: "application/json", "Content-Type": "application/json" } }).then((o2) => {
        if (!o2.ok)
          throw new Error(`Error during request: ${o2.status} ${o2.statusText} - Query: ${e3}`);
        return o2.json();
      }).then((o2) => {
        if (o2.errors)
          throw new Error(JSON.stringify(o2.errors));
        return o2.data;
      });
    }
    function Ca(e3) {
      let r2 = /url\s*=\s*.+/;
      return e3.split(`
`).map((n2) => {
        let i4 = r2.exec(n2);
        return i4 ? `${n2.slice(0, i4.index)}url = "***"` : n2;
      }).join(`
`);
    }
    function tT(e3, r2) {
      let n2 = {};
      for (let i4 in e3)
        typeof e3[i4] == "object" ? n2[i4] = tT(e3[i4], r2) : n2[i4] = r2(e3[i4]);
      return n2;
    }
    rT.default.setGracefulCleanup();
    async function Y0({ error: e3, cliVersion: r2, enginesVersion: n2, getDatabaseVersionSafe: i4 }) {
      let o2 = it(e3).with({ schemaPath: jr.when((v2) => !!v2) }, (v2) => Aa.default.readFileSync(v2.schemaPath, "utf-8")).with({ schema: jr.when((v2) => !!v2) }, (v2) => v2.schema).otherwise(() => {
      }), a3 = o2 ? Ca(o2) : void 0, u2;
      if (e3.area === "LIFT_CLI") {
        let v2 = it({ schema: o2, introspectionUrl: e3.introspectionUrl }).with({ schema: jr.not(void 0) }, ({ schema: g2 }) => ({ datasource: { tag: "SchemaString", schema: g2 } })).with({ introspectionUrl: jr.not(void 0) }, ({ introspectionUrl: g2 }) => ({ datasource: { tag: "ConnectionString", url: g2 } })).otherwise(() => {
        });
        u2 = await i4(v2);
      }
      let c4 = e3.request ? JSON.stringify(tT(e3.request, (v2) => typeof v2 == "string" ? Ca(v2) : v2)) : void 0, l2 = { area: e3.area, kind: "RUST_PANIC", cliVersion: r2, binaryVersion: n2, command: bPe(), jsStackTrace: (0, JK.default)(e3.stack || e3.message), rustStackTrace: e3.rustStack, operatingSystem: `${z0.default.arch()} ${z0.default.platform()} ${z0.default.release()}`, platform: await (0, VK.getPlatform)(), liftRequest: c4, schemaFile: a3, fingerprint: await zK.getSignature(), sqlDump: void 0, dbVersion: u2 }, f4 = await GK(l2);
      try {
        if (e3.schemaPath) {
          let v2 = await EPe(e3);
          await UK(v2, f4);
        }
      } catch (v2) {
        console.error(`Error uploading zip file: ${v2.message}`);
      }
      return await WK(f4);
    }
    function bPe() {
      return process.argv[2] === "introspect" ? "introspect" : process.argv[2] === "db" && process.argv[3] === "pull" ? "db pull" : process.argv.slice(2).join(" ");
    }
    async function EPe(e3) {
      if (!e3.schemaPath)
        throw new Error("Can't make zip without schema path");
      let r2 = Pc.default.dirname(e3.schemaPath), n2 = rT.default.fileSync(), i4 = Aa.default.createWriteStream(n2.name), o2 = (0, KK.default)("zip", { zlib: { level: 9 } });
      o2.pipe(i4);
      let a3 = Ca(Aa.default.readFileSync(e3.schemaPath, "utf-8"));
      if (o2.append(a3, { name: Pc.default.basename(e3.schemaPath) }), Aa.default.existsSync(r2)) {
        let u2 = await (0, YK.default)("migrations/**/*", { cwd: r2 });
        for (let c4 of u2) {
          let l2 = Aa.default.readFileSync(Pc.default.resolve(r2, c4), "utf-8");
          (c4.endsWith("schema.prisma") || c4.endsWith(Pc.default.basename(e3.schemaPath))) && (l2 = Ca(l2)), o2.append(l2, { name: Pc.default.basename(c4) });
        }
      }
      return o2.finalize(), new Promise((u2, c4) => {
        i4.on("close", () => {
          let l2 = Aa.default.readFileSync(n2.name);
          u2(l2);
        }), o2.on("error", (l2) => {
          c4(l2);
        });
      });
    }
    function XK(e3, r2) {
      throw new Error(r2);
    }
    var J0 = j(require("stream"));
    var QK = j(require("util"));
    function nT(e3, r2) {
      return wPe(e3, r2);
    }
    function wPe(e3, r2) {
      return e3 ? _Pe(e3, r2) : new Ia(r2);
    }
    function _Pe(e3, r2) {
      if (!e3)
        throw new Error("expected readStream");
      if (!e3.readable)
        throw new Error("readStream must be readable");
      let n2 = new Ia(r2);
      return e3.pipe(n2), n2;
    }
    function Ia(e3) {
      J0.default.Transform.call(this, e3), e3 = e3 || {}, this._readableState.objectMode = true, this._lineBuffer = [], this._keepEmptyLines = e3.keepEmptyLines || false, this._lastChunkEndedWithCR = false, this.on("pipe", function(r2) {
        this.encoding || r2 instanceof J0.default.Readable && (this.encoding = r2._readableState.encoding);
      });
    }
    QK.default.inherits(Ia, J0.default.Transform);
    Ia.prototype._transform = function(e3, r2, n2) {
      r2 = r2 || "utf8", Buffer.isBuffer(e3) && (r2 == "buffer" ? (e3 = e3.toString(), r2 = "utf8") : e3 = e3.toString(r2)), this._chunkEncoding = r2;
      let i4 = e3.split(/\r\n|\r|\n/g);
      this._lastChunkEndedWithCR && e3[0] == `
` && i4.shift(), this._lineBuffer.length > 0 && (this._lineBuffer[this._lineBuffer.length - 1] += i4[0], i4.shift()), this._lastChunkEndedWithCR = e3[e3.length - 1] == "\r", this._lineBuffer = this._lineBuffer.concat(i4), this._pushBuffer(r2, 1, n2);
    };
    Ia.prototype._pushBuffer = function(e3, r2, n2) {
      for (; this._lineBuffer.length > r2; ) {
        let i4 = this._lineBuffer.shift();
        if ((this._keepEmptyLines || i4.length > 0) && !this.push(this._reencode(i4, e3))) {
          let o2 = this;
          setImmediate(function() {
            o2._pushBuffer(e3, r2, n2);
          });
          return;
        }
      }
      n2();
    };
    Ia.prototype._flush = function(e3) {
      this._pushBuffer(this._chunkEncoding, 0, e3);
    };
    Ia.prototype._reencode = function(e3, r2) {
      return this.encoding && this.encoding != r2 ? Buffer.from(e3, r2).toString(this.encoding) : this.encoding ? e3 : Buffer.from(e3, r2);
    };
    function ZK(e3) {
      let r2;
      return (...n2) => r2 || (r2 = e3(...n2).catch((i4) => {
        throw r2 = void 0, i4;
      }), r2);
    }
    var CX = j(py());
    var dy = () => {
      let e3 = process.env;
      return !!(e3.CI || e3.CONTINUOUS_INTEGRATION || e3.BUILD_NUMBER || e3.RUN_ID || e3.APPVEYOR || e3.SYSTEM_TEAMFOUNDATIONCOLLECTIONURI || e3.AC_APPCIRCLE || e3.bamboo_planKey || e3.BITBUCKET_COMMIT || e3.BITRISE_IO || e3.BUILDKITE || e3.CIRCLECI || e3.CIRRUS_CI || e3.CODEBUILD_BUILD_ARN || e3.CF_BUILD_ID || e3.CI_NAME || e3.DRONE || e3.DSARI || e3.EAS_BUILD || e3.GITHUB_ACTIONS || e3.GITLAB_CI || e3.GOCD || e3.LAYERCI || e3.HUDSON || e3.JENKINS || e3.MAGNUM || e3.NETLIFY || e3.NEVERCODE || e3.RENDER || e3.SAILCI || e3.SEMAPHORE || e3.SCREWDRIVER || e3.SHIPPABLE || e3.TDDIUM || e3.STRIDER || e3.TEAMCITY_VERSION || e3.TRAVIS || e3.NOW_BUILDER || e3.APPCENTER_BUILD_ID);
    };
    var my = ({ stream: e3 = process.stdin } = {}) => !!(e3 && e3.isTTY && process.env.TERM !== "dumb");
    var gy = () => !!CX.default._injected?.length || my() && !dy();
    var iQ = j(nQ());
    var _R = j(wR());
    var Yr = { topLeft: "\u250C", topRight: "\u2510", bottomRight: "\u2518", bottomLeft: "\u2514", vertical: "\u2502", horizontal: "\u2500" };
    function W6e(e3) {
      return e3.split(`
`).reduce((r2, n2) => Math.max(r2, (0, _R.default)(n2)), 0) + 2;
    }
    function sQ({ title: e3, width: r2, height: n2, str: i4, horizontalPadding: o2 }) {
      o2 = o2 || 0, r2 = r2 || 0, n2 = n2 || 0, r2 = Math.max(r2, W6e(i4) + o2 * 2);
      let a3 = e3 ? as(Yr.topLeft + Yr.horizontal) + " " + qh(z(e3)) + " " + as(Yr.horizontal.repeat(r2 - e3.length - 2 - 3) + Yr.topRight) + qh() : as(Yr.topLeft + Yr.horizontal) + as(Yr.horizontal.repeat(r2 - 3) + Yr.topRight), u2 = Yr.bottomLeft + Yr.horizontal.repeat(r2 - 2) + Yr.bottomRight, c4 = i4.split(`
`);
      c4.length < n2 && c4.push(...new Array(n2 - c4.length).fill(""));
      let l2 = c4.slice(-n2).map((f4) => {
        let p2 = Math.min((0, _R.default)(f4), r2), v2 = Math.max(r2 - p2 - 2, 0);
        return `${as(Yr.vertical)}${" ".repeat(o2)}${qh((0, iQ.default)(f4, r2 - 2))}${" ".repeat(v2 - o2)}${as(Yr.vertical)}`;
      }).join(`
`);
      return as(a3 + `
` + l2 + `
` + u2);
    }
    var TR = j(require("fs"));
    var RR = j(dQ());
    function Sy() {
      try {
        let e3 = TR.default.realpathSync(process.argv[1]), r2 = e3.indexOf(RR.default.yarn.packages) === 0;
        if (e3.indexOf(TR.default.realpathSync(RR.default.npm.packages)) === 0)
          return "npm";
        if (r2)
          return "yarn";
      } catch {
      }
      return false;
    }
    function mQ(e3) {
      if (Sy())
        return e3;
      {
        let r2 = process.env.npm_config_user_agent?.includes("yarn");
        return __dirname.includes("_npx") ? `npx ${e3}` : r2 ? `yarn ${e3}` : e3;
      }
    }
    var MQ = j(py());
    var TQ = (init_src2(), __toCommonJS(src_exports2));
    var RQ = j(gQ());
    var CQ = j(LR());
    var AQ = j(wQ());
    var IQ = j(OQ());
    var PQ = j(py());
    var FQ = j(I0());
    function o3e({ title: e3, user: r2 = "prisma", repo: n2 = "prisma", template: i4 = "bug_report.md", body: o2 }) {
      return (0, AQ.default)({ user: r2, repo: n2, template: i4, title: e3, body: o2 });
    }
    async function LQ(e3) {
      if (await it(e3.prompt).with(true, async () => !!(await (0, PQ.default)({ type: "select", name: "value", message: "Would you like to create a GitHub issue?", initial: 0, choices: [{ title: "Yes", value: true, description: "Create a new GitHub issue" }, { title: "No", value: false, description: "Don't create a new GitHub issue" }] })).value).otherwise(() => Promise.resolve(true))) {
        let n2 = await (0, TQ.getPlatform)(), i4 = o3e({ title: e3.title ?? "", body: a3e(n2, e3) }), o2 = (0, RQ.default)() || CQ.default;
        await (0, IQ.default)(i4, { wait: o2 });
      } else
        process.exit(130);
    }
    var a3e = (e3, r2) => (0, FQ.default)(`
Hi Prisma Team! The following command just crashed.
${r2.reportId ? `The report Id is: ${r2.reportId}` : ""}

## Command

\`${r2.command}\`

## Versions
      
| Name        | Version            |
|-------------|--------------------|
| Platform    | ${e3.padEnd(19)}| 
| Node        | ${process.version.padEnd(19)}| 
| Prisma CLI  | ${r2.cliVersion.padEnd(19)}| 
| Engine      | ${r2.enginesVersion.padEnd(19)}| 

## Error
\`\`\`
${r2.error}
\`\`\`
`);
    async function NQ(e3) {
      if (!gy())
        throw e3.error;
      await u3e(e3);
    }
    async function u3e({ error: e3, cliVersion: r2, enginesVersion: n2, command: i4, getDatabaseVersionSafe: o2 }) {
      let a3 = e3.message.split(`
`).slice(0, Math.max(20, process.stdout.rows)).join(`
`);
      console.log(`${dt("Oops, an unexpected error occurred!")}
${dt(a3)}

${z("Please help us improve Prisma by submitting an error report.")}
${z("Error reports never contain personal or other sensitive information.")}
${pr(`Learn more: ${Dn("https://pris.ly/d/telemetry")}`)}
`);
      let { value: u2 } = await (0, MQ.default)({ type: "select", name: "value", message: "Submit error report", initial: 0, choices: [{ title: "Yes", value: true, description: "Send error report once" }, { title: "No", value: false, description: "Don't send error report" }] });
      if (u2)
        try {
          console.log("Submitting...");
          let c4 = await Y0({ error: e3, cliVersion: r2, enginesVersion: n2, getDatabaseVersionSafe: o2 });
          console.log(`
${z(`We successfully received the error report id: ${c4}`)}`), console.log(`
${z("Thanks a lot for your help! \u{1F64F}")}`);
        } catch (c4) {
          let l2 = `${z(dt("Oops. We could not send the error report."))}`;
          console.log(l2), console.error(`${Na("Error report submission failed due to: ")}`, c4);
        }
      await LQ({ prompt: !u2, error: e3, cliVersion: r2, enginesVersion: n2, command: i4 }), process.exit(1);
    }
    function kQ(e3, r2) {
      return Object.prototype.hasOwnProperty.call(e3, r2);
    }
    function $Q(e3) {
      return e3 != null && typeof e3.then == "function";
    }
    var qQ = (e3, r2) => e3.reduce((n2, i4) => (n2[r2(i4)] = i4, n2), {});
    function BQ(e3, r2) {
      let n2 = {};
      for (let i4 of Object.keys(e3))
        n2[i4] = r2(e3[i4], i4);
      return n2;
    }
    function NR(e3, r2) {
      if (e3.length === 0)
        return;
      let n2 = e3[0];
      for (let i4 = 1; i4 < e3.length; i4++)
        r2(n2, e3[i4]) < 0 && (n2 = e3[i4]);
      return n2;
    }
    function jQ(e3, r2) {
      return NR(e3, (n2, i4) => r2(n2) - r2(i4));
    }
    var WQ = (init_src2(), __toCommonJS(src_exports2));
    var HQ = j(GQ());
    var VQ = new RegExp("(" + [...WQ.platforms].sort((e3, r2) => r2.length - e3.length).map((e3) => (0, HQ.default)(e3)).join("|") + ")", "g");
    function KQ(e3) {
      let r2 = "query-engine-NORMALIZED";
      return process.env.PRISMA_CLI_QUERY_ENGINE_TYPE === "binary" ? e3.replace(/query-engine binary/g, r2) : e3.replace(/query-engine-node-api library/g, r2);
    }
    function zQ(e3, r2) {
      Object.defineProperty(e3, "name", { value: r2, configurable: true });
    }
    function kR(e3) {
      if (e3 === "")
        return e3;
      let r2 = e3;
      return /\r?\n|\r/.exec(r2[0]) && (r2 = r2.slice(1)), r2.length > 0 && /\r?\n|\r/.exec(r2[r2.length - 1]) && (r2 = r2.slice(0, r2.length - 1)), r2;
    }
    function YQ(e3, r2 = ["model", "enum", "datasource", "generator"]) {
      let n2 = e3.split(/\r\n|\r|\n/g);
      if (n2.length <= 2)
        return e3;
      let i4 = [], o2 = false, a3 = -1;
      return n2.forEach((u2, c4) => {
        let l2 = u2.trim();
        r2.some((f4) => l2.startsWith(f4)) && l2.endsWith("{") && (o2 = true, a3 = c4), l2.endsWith("}") && a3 > -1 && o2 && (i4.push({ start: a3, end: c4 }), o2 = false, a3 = -1);
      }), i4.length === 0 ? e3 : kR(i4.reduceRight((u2, c4) => (u2.splice(c4.start, c4.end - c4.start + 1), u2), n2).join(`
`));
    }
    var JQ = /* @__PURE__ */ new Set();
    var XQ = (e3, r2, ...n2) => {
      JQ.has(e3) || (JQ.add(e3), Iy(r2, ...n2));
    };
    var Oy = (init_src2(), __toCommonJS(src_exports2));
  }
});

// ../../node_modules/.pnpm/debug@4.3.3/node_modules/debug/src/common.js
var require_common5 = __commonJS({
  "../../node_modules/.pnpm/debug@4.3.3/node_modules/debug/src/common.js"(exports2, module2) {
    "use strict";
    function setup(env3) {
      createDebug.debug = createDebug;
      createDebug.default = createDebug;
      createDebug.coerce = coerce;
      createDebug.disable = disable;
      createDebug.enable = enable;
      createDebug.enabled = enabled;
      createDebug.humanize = require_ms();
      createDebug.destroy = destroy;
      Object.keys(env3).forEach((key) => {
        createDebug[key] = env3[key];
      });
      createDebug.names = [];
      createDebug.skips = [];
      createDebug.formatters = {};
      function selectColor(namespace) {
        let hash = 0;
        for (let i4 = 0; i4 < namespace.length; i4++) {
          hash = (hash << 5) - hash + namespace.charCodeAt(i4);
          hash |= 0;
        }
        return createDebug.colors[Math.abs(hash) % createDebug.colors.length];
      }
      createDebug.selectColor = selectColor;
      function createDebug(namespace) {
        let prevTime;
        let enableOverride = null;
        let namespacesCache;
        let enabledCache;
        function debug30(...args3) {
          if (!debug30.enabled) {
            return;
          }
          const self2 = debug30;
          const curr = Number(/* @__PURE__ */ new Date());
          const ms2 = curr - (prevTime || curr);
          self2.diff = ms2;
          self2.prev = prevTime;
          self2.curr = curr;
          prevTime = curr;
          args3[0] = createDebug.coerce(args3[0]);
          if (typeof args3[0] !== "string") {
            args3.unshift("%O");
          }
          let index2 = 0;
          args3[0] = args3[0].replace(/%([a-zA-Z%])/g, (match4, format3) => {
            if (match4 === "%%") {
              return "%";
            }
            index2++;
            const formatter = createDebug.formatters[format3];
            if (typeof formatter === "function") {
              const val = args3[index2];
              match4 = formatter.call(self2, val);
              args3.splice(index2, 1);
              index2--;
            }
            return match4;
          });
          createDebug.formatArgs.call(self2, args3);
          const logFn = self2.log || createDebug.log;
          logFn.apply(self2, args3);
        }
        debug30.namespace = namespace;
        debug30.useColors = createDebug.useColors();
        debug30.color = createDebug.selectColor(namespace);
        debug30.extend = extend;
        debug30.destroy = createDebug.destroy;
        Object.defineProperty(debug30, "enabled", {
          enumerable: true,
          configurable: false,
          get: () => {
            if (enableOverride !== null) {
              return enableOverride;
            }
            if (namespacesCache !== createDebug.namespaces) {
              namespacesCache = createDebug.namespaces;
              enabledCache = createDebug.enabled(namespace);
            }
            return enabledCache;
          },
          set: (v2) => {
            enableOverride = v2;
          }
        });
        if (typeof createDebug.init === "function") {
          createDebug.init(debug30);
        }
        return debug30;
      }
      function extend(namespace, delimiter2) {
        const newDebug = createDebug(this.namespace + (typeof delimiter2 === "undefined" ? ":" : delimiter2) + namespace);
        newDebug.log = this.log;
        return newDebug;
      }
      function enable(namespaces) {
        createDebug.save(namespaces);
        createDebug.namespaces = namespaces;
        createDebug.names = [];
        createDebug.skips = [];
        let i4;
        const split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
        const len = split.length;
        for (i4 = 0; i4 < len; i4++) {
          if (!split[i4]) {
            continue;
          }
          namespaces = split[i4].replace(/\*/g, ".*?");
          if (namespaces[0] === "-") {
            createDebug.skips.push(new RegExp("^" + namespaces.substr(1) + "$"));
          } else {
            createDebug.names.push(new RegExp("^" + namespaces + "$"));
          }
        }
      }
      function disable() {
        const namespaces = [
          ...createDebug.names.map(toNamespace),
          ...createDebug.skips.map(toNamespace).map((namespace) => "-" + namespace)
        ].join(",");
        createDebug.enable("");
        return namespaces;
      }
      function enabled(name) {
        if (name[name.length - 1] === "*") {
          return true;
        }
        let i4;
        let len;
        for (i4 = 0, len = createDebug.skips.length; i4 < len; i4++) {
          if (createDebug.skips[i4].test(name)) {
            return false;
          }
        }
        for (i4 = 0, len = createDebug.names.length; i4 < len; i4++) {
          if (createDebug.names[i4].test(name)) {
            return true;
          }
        }
        return false;
      }
      function toNamespace(regexp) {
        return regexp.toString().substring(2, regexp.toString().length - 2).replace(/\.\*\?$/, "*");
      }
      function coerce(val) {
        if (val instanceof Error) {
          return val.stack || val.message;
        }
        return val;
      }
      function destroy() {
        console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
      }
      createDebug.enable(createDebug.load());
      return createDebug;
    }
    module2.exports = setup;
  }
});

// ../../node_modules/.pnpm/debug@4.3.3/node_modules/debug/src/browser.js
var require_browser3 = __commonJS({
  "../../node_modules/.pnpm/debug@4.3.3/node_modules/debug/src/browser.js"(exports2, module2) {
    "use strict";
    exports2.formatArgs = formatArgs;
    exports2.save = save;
    exports2.load = load2;
    exports2.useColors = useColors;
    exports2.storage = localstorage();
    exports2.destroy = (() => {
      let warned = false;
      return () => {
        if (!warned) {
          warned = true;
          console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
        }
      };
    })();
    exports2.colors = [
      "#0000CC",
      "#0000FF",
      "#0033CC",
      "#0033FF",
      "#0066CC",
      "#0066FF",
      "#0099CC",
      "#0099FF",
      "#00CC00",
      "#00CC33",
      "#00CC66",
      "#00CC99",
      "#00CCCC",
      "#00CCFF",
      "#3300CC",
      "#3300FF",
      "#3333CC",
      "#3333FF",
      "#3366CC",
      "#3366FF",
      "#3399CC",
      "#3399FF",
      "#33CC00",
      "#33CC33",
      "#33CC66",
      "#33CC99",
      "#33CCCC",
      "#33CCFF",
      "#6600CC",
      "#6600FF",
      "#6633CC",
      "#6633FF",
      "#66CC00",
      "#66CC33",
      "#9900CC",
      "#9900FF",
      "#9933CC",
      "#9933FF",
      "#99CC00",
      "#99CC33",
      "#CC0000",
      "#CC0033",
      "#CC0066",
      "#CC0099",
      "#CC00CC",
      "#CC00FF",
      "#CC3300",
      "#CC3333",
      "#CC3366",
      "#CC3399",
      "#CC33CC",
      "#CC33FF",
      "#CC6600",
      "#CC6633",
      "#CC9900",
      "#CC9933",
      "#CCCC00",
      "#CCCC33",
      "#FF0000",
      "#FF0033",
      "#FF0066",
      "#FF0099",
      "#FF00CC",
      "#FF00FF",
      "#FF3300",
      "#FF3333",
      "#FF3366",
      "#FF3399",
      "#FF33CC",
      "#FF33FF",
      "#FF6600",
      "#FF6633",
      "#FF9900",
      "#FF9933",
      "#FFCC00",
      "#FFCC33"
    ];
    function useColors() {
      if (typeof window !== "undefined" && window.process && (window.process.type === "renderer" || window.process.__nwjs)) {
        return true;
      }
      if (typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)) {
        return false;
      }
      return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || // Is firebug? http://stackoverflow.com/a/398120/376773
      typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || // Is firefox >= v31?
      // https://developer.mozilla.org/en-US/docs/Tools/Web_Console#Styling_messages
      typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || // Double check webkit in userAgent just in case we are in a worker
      typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
    }
    function formatArgs(args3) {
      args3[0] = (this.useColors ? "%c" : "") + this.namespace + (this.useColors ? " %c" : " ") + args3[0] + (this.useColors ? "%c " : " ") + "+" + module2.exports.humanize(this.diff);
      if (!this.useColors) {
        return;
      }
      const c4 = "color: " + this.color;
      args3.splice(1, 0, c4, "color: inherit");
      let index2 = 0;
      let lastC = 0;
      args3[0].replace(/%[a-zA-Z%]/g, (match4) => {
        if (match4 === "%%") {
          return;
        }
        index2++;
        if (match4 === "%c") {
          lastC = index2;
        }
      });
      args3.splice(lastC, 0, c4);
    }
    exports2.log = console.debug || console.log || (() => {
    });
    function save(namespaces) {
      try {
        if (namespaces) {
          exports2.storage.setItem("debug", namespaces);
        } else {
          exports2.storage.removeItem("debug");
        }
      } catch (error2) {
      }
    }
    function load2() {
      let r2;
      try {
        r2 = exports2.storage.getItem("debug");
      } catch (error2) {
      }
      if (!r2 && typeof process !== "undefined" && "env" in process) {
        r2 = process.env.DEBUG;
      }
      return r2;
    }
    function localstorage() {
      try {
        return localStorage;
      } catch (error2) {
      }
    }
    module2.exports = require_common5()(exports2);
    var { formatters } = module2.exports;
    formatters.j = function(v2) {
      try {
        return JSON.stringify(v2);
      } catch (error2) {
        return "[UnexpectedJSONParseError]: " + error2.message;
      }
    };
  }
});

// ../../node_modules/.pnpm/debug@4.3.3/node_modules/debug/src/node.js
var require_node4 = __commonJS({
  "../../node_modules/.pnpm/debug@4.3.3/node_modules/debug/src/node.js"(exports2, module2) {
    "use strict";
    var tty2 = require("tty");
    var util4 = require("util");
    exports2.init = init3;
    exports2.log = log4;
    exports2.formatArgs = formatArgs;
    exports2.save = save;
    exports2.load = load2;
    exports2.useColors = useColors;
    exports2.destroy = util4.deprecate(
      () => {
      },
      "Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`."
    );
    exports2.colors = [6, 2, 3, 4, 5, 1];
    try {
      const supportsColor2 = require_supports_color();
      if (supportsColor2 && (supportsColor2.stderr || supportsColor2).level >= 2) {
        exports2.colors = [
          20,
          21,
          26,
          27,
          32,
          33,
          38,
          39,
          40,
          41,
          42,
          43,
          44,
          45,
          56,
          57,
          62,
          63,
          68,
          69,
          74,
          75,
          76,
          77,
          78,
          79,
          80,
          81,
          92,
          93,
          98,
          99,
          112,
          113,
          128,
          129,
          134,
          135,
          148,
          149,
          160,
          161,
          162,
          163,
          164,
          165,
          166,
          167,
          168,
          169,
          170,
          171,
          172,
          173,
          178,
          179,
          184,
          185,
          196,
          197,
          198,
          199,
          200,
          201,
          202,
          203,
          204,
          205,
          206,
          207,
          208,
          209,
          214,
          215,
          220,
          221
        ];
      }
    } catch (error2) {
    }
    exports2.inspectOpts = Object.keys(process.env).filter((key) => {
      return /^debug_/i.test(key);
    }).reduce((obj, key) => {
      const prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, (_3, k) => {
        return k.toUpperCase();
      });
      let val = process.env[key];
      if (/^(yes|on|true|enabled)$/i.test(val)) {
        val = true;
      } else if (/^(no|off|false|disabled)$/i.test(val)) {
        val = false;
      } else if (val === "null") {
        val = null;
      } else {
        val = Number(val);
      }
      obj[prop] = val;
      return obj;
    }, {});
    function useColors() {
      return "colors" in exports2.inspectOpts ? Boolean(exports2.inspectOpts.colors) : tty2.isatty(process.stderr.fd);
    }
    function formatArgs(args3) {
      const { namespace: name, useColors: useColors2 } = this;
      if (useColors2) {
        const c4 = this.color;
        const colorCode = "\x1B[3" + (c4 < 8 ? c4 : "8;5;" + c4);
        const prefix = `  ${colorCode};1m${name} \x1B[0m`;
        args3[0] = prefix + args3[0].split("\n").join("\n" + prefix);
        args3.push(colorCode + "m+" + module2.exports.humanize(this.diff) + "\x1B[0m");
      } else {
        args3[0] = getDate() + name + " " + args3[0];
      }
    }
    function getDate() {
      if (exports2.inspectOpts.hideDate) {
        return "";
      }
      return (/* @__PURE__ */ new Date()).toISOString() + " ";
    }
    function log4(...args3) {
      return process.stderr.write(util4.format(...args3) + "\n");
    }
    function save(namespaces) {
      if (namespaces) {
        process.env.DEBUG = namespaces;
      } else {
        delete process.env.DEBUG;
      }
    }
    function load2() {
      return process.env.DEBUG;
    }
    function init3(debug30) {
      debug30.inspectOpts = {};
      const keys = Object.keys(exports2.inspectOpts);
      for (let i4 = 0; i4 < keys.length; i4++) {
        debug30.inspectOpts[keys[i4]] = exports2.inspectOpts[keys[i4]];
      }
    }
    module2.exports = require_common5()(exports2);
    var { formatters } = module2.exports;
    formatters.o = function(v2) {
      this.inspectOpts.colors = this.useColors;
      return util4.inspect(v2, this.inspectOpts).split("\n").map((str) => str.trim()).join(" ");
    };
    formatters.O = function(v2) {
      this.inspectOpts.colors = this.useColors;
      return util4.inspect(v2, this.inspectOpts);
    };
  }
});

// ../../node_modules/.pnpm/debug@4.3.3/node_modules/debug/src/index.js
var require_src5 = __commonJS({
  "../../node_modules/.pnpm/debug@4.3.3/node_modules/debug/src/index.js"(exports2, module2) {
    "use strict";
    if (typeof process === "undefined" || process.type === "renderer" || process.browser === true || process.__nwjs) {
      module2.exports = require_browser3();
    } else {
      module2.exports = require_node4();
    }
  }
});

// ../../node_modules/.pnpm/checkpoint-client@1.1.25/node_modules/checkpoint-client/dist/index.js
var require_dist7 = __commonJS({
  "../../node_modules/.pnpm/checkpoint-client@1.1.25/node_modules/checkpoint-client/dist/index.js"(exports, module) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var path$2 = require("path");
    var os$1 = require("os");
    var require$$0 = require("fs");
    var require$$2 = require("util");
    var fs$1 = require("fs/promises");
    var crypto = require("crypto");
    var child_process = require("child_process");
    function _interopDefaultLegacy(e3) {
      return e3 && typeof e3 === "object" && "default" in e3 ? e3 : { "default": e3 };
    }
    var path__default = /* @__PURE__ */ _interopDefaultLegacy(path$2);
    var os__default = /* @__PURE__ */ _interopDefaultLegacy(os$1);
    var require$$0__default = /* @__PURE__ */ _interopDefaultLegacy(require$$0);
    var require$$2__default = /* @__PURE__ */ _interopDefaultLegacy(require$$2);
    var fs__default = /* @__PURE__ */ _interopDefaultLegacy(fs$1);
    var crypto__default = /* @__PURE__ */ _interopDefaultLegacy(crypto);
    var rnds8Pool = new Uint8Array(256);
    var poolPtr = rnds8Pool.length;
    function rng() {
      if (poolPtr > rnds8Pool.length - 16) {
        crypto__default["default"].randomFillSync(rnds8Pool);
        poolPtr = 0;
      }
      return rnds8Pool.slice(poolPtr, poolPtr += 16);
    }
    var byteToHex = [];
    for (let i4 = 0; i4 < 256; ++i4) {
      byteToHex.push((i4 + 256).toString(16).slice(1));
    }
    function unsafeStringify(arr, offset = 0) {
      return (byteToHex[arr[offset + 0]] + byteToHex[arr[offset + 1]] + byteToHex[arr[offset + 2]] + byteToHex[arr[offset + 3]] + "-" + byteToHex[arr[offset + 4]] + byteToHex[arr[offset + 5]] + "-" + byteToHex[arr[offset + 6]] + byteToHex[arr[offset + 7]] + "-" + byteToHex[arr[offset + 8]] + byteToHex[arr[offset + 9]] + "-" + byteToHex[arr[offset + 10]] + byteToHex[arr[offset + 11]] + byteToHex[arr[offset + 12]] + byteToHex[arr[offset + 13]] + byteToHex[arr[offset + 14]] + byteToHex[arr[offset + 15]]).toLowerCase();
    }
    var native = {
      randomUUID: crypto__default["default"].randomUUID
    };
    function v4(options2, buf, offset) {
      if (native.randomUUID && !buf && !options2) {
        return native.randomUUID();
      }
      options2 = options2 || {};
      const rnds = options2.random || (options2.rng || rng)();
      rnds[6] = rnds[6] & 15 | 64;
      rnds[8] = rnds[8] & 63 | 128;
      if (buf) {
        offset = offset || 0;
        for (let i4 = 0; i4 < 16; ++i4) {
          buf[offset + i4] = rnds[i4];
        }
        return buf;
      }
      return unsafeStringify(rnds);
    }
    var envPaths$1 = { exports: {} };
    var path$1 = path__default["default"];
    var os = os__default["default"];
    var homedir = os.homedir();
    var tmpdir = os.tmpdir();
    var { env } = process;
    var macos = (name) => {
      const library = path$1.join(homedir, "Library");
      return {
        data: path$1.join(library, "Application Support", name),
        config: path$1.join(library, "Preferences", name),
        cache: path$1.join(library, "Caches", name),
        log: path$1.join(library, "Logs", name),
        temp: path$1.join(tmpdir, name)
      };
    };
    var windows = (name) => {
      const appData = env.APPDATA || path$1.join(homedir, "AppData", "Roaming");
      const localAppData = env.LOCALAPPDATA || path$1.join(homedir, "AppData", "Local");
      return {
        // Data/config/cache/log are invented by me as Windows isn't opinionated about this
        data: path$1.join(localAppData, name, "Data"),
        config: path$1.join(appData, name, "Config"),
        cache: path$1.join(localAppData, name, "Cache"),
        log: path$1.join(localAppData, name, "Log"),
        temp: path$1.join(tmpdir, name)
      };
    };
    var linux = (name) => {
      const username = path$1.basename(homedir);
      return {
        data: path$1.join(env.XDG_DATA_HOME || path$1.join(homedir, ".local", "share"), name),
        config: path$1.join(env.XDG_CONFIG_HOME || path$1.join(homedir, ".config"), name),
        cache: path$1.join(env.XDG_CACHE_HOME || path$1.join(homedir, ".cache"), name),
        // https://wiki.debian.org/XDGBaseDirectorySpecification#state
        log: path$1.join(env.XDG_STATE_HOME || path$1.join(homedir, ".local", "state"), name),
        temp: path$1.join(tmpdir, username, name)
      };
    };
    var envPaths = (name, options2) => {
      if (typeof name !== "string") {
        throw new TypeError(`Expected string, got ${typeof name}`);
      }
      options2 = Object.assign({ suffix: "nodejs" }, options2);
      if (options2.suffix) {
        name += `-${options2.suffix}`;
      }
      if (process.platform === "darwin") {
        return macos(name);
      }
      if (process.platform === "win32") {
        return windows(name);
      }
      return linux(name);
    };
    envPaths$1.exports = envPaths;
    envPaths$1.exports.default = envPaths;
    var paths = envPaths$1.exports;
    var makeDir$2 = { exports: {} };
    var debug$1 = typeof process === "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? (...args3) => console.error("SEMVER", ...args3) : () => {
    };
    var debug_1 = debug$1;
    var SEMVER_SPEC_VERSION = "2.0.0";
    var MAX_LENGTH$1 = 256;
    var MAX_SAFE_INTEGER$1 = Number.MAX_SAFE_INTEGER || /* istanbul ignore next */
    9007199254740991;
    var MAX_SAFE_COMPONENT_LENGTH = 16;
    var MAX_SAFE_BUILD_LENGTH = MAX_LENGTH$1 - 6;
    var RELEASE_TYPES = [
      "major",
      "premajor",
      "minor",
      "preminor",
      "patch",
      "prepatch",
      "prerelease"
    ];
    var constants = {
      MAX_LENGTH: MAX_LENGTH$1,
      MAX_SAFE_COMPONENT_LENGTH,
      MAX_SAFE_BUILD_LENGTH,
      MAX_SAFE_INTEGER: MAX_SAFE_INTEGER$1,
      RELEASE_TYPES,
      SEMVER_SPEC_VERSION,
      FLAG_INCLUDE_PRERELEASE: 1,
      FLAG_LOOSE: 2
    };
    var re$1 = { exports: {} };
    (function(module2, exports2) {
      const { MAX_SAFE_COMPONENT_LENGTH: MAX_SAFE_COMPONENT_LENGTH2, MAX_SAFE_BUILD_LENGTH: MAX_SAFE_BUILD_LENGTH2 } = constants;
      const debug30 = debug_1;
      exports2 = module2.exports = {};
      const re2 = exports2.re = [];
      const safeRe = exports2.safeRe = [];
      const src2 = exports2.src = [];
      const t9 = exports2.t = {};
      let R = 0;
      const LETTERDASHNUMBER = "[a-zA-Z0-9-]";
      const safeRegexReplacements = [
        ["\\s", 1],
        ["\\d", MAX_SAFE_COMPONENT_LENGTH2],
        [LETTERDASHNUMBER, MAX_SAFE_BUILD_LENGTH2]
      ];
      const makeSafeRegex = (value) => {
        for (const [token, max] of safeRegexReplacements) {
          value = value.split(`${token}*`).join(`${token}{0,${max}}`).split(`${token}+`).join(`${token}{1,${max}}`);
        }
        return value;
      };
      const createToken = (name, value, isGlobal) => {
        const safe = makeSafeRegex(value);
        const index2 = R++;
        debug30(name, index2, value);
        t9[name] = index2;
        src2[index2] = value;
        re2[index2] = new RegExp(value, isGlobal ? "g" : void 0);
        safeRe[index2] = new RegExp(safe, isGlobal ? "g" : void 0);
      };
      createToken("NUMERICIDENTIFIER", "0|[1-9]\\d*");
      createToken("NUMERICIDENTIFIERLOOSE", "\\d+");
      createToken("NONNUMERICIDENTIFIER", `\\d*[a-zA-Z-]${LETTERDASHNUMBER}*`);
      createToken("MAINVERSION", `(${src2[t9.NUMERICIDENTIFIER]})\\.(${src2[t9.NUMERICIDENTIFIER]})\\.(${src2[t9.NUMERICIDENTIFIER]})`);
      createToken("MAINVERSIONLOOSE", `(${src2[t9.NUMERICIDENTIFIERLOOSE]})\\.(${src2[t9.NUMERICIDENTIFIERLOOSE]})\\.(${src2[t9.NUMERICIDENTIFIERLOOSE]})`);
      createToken("PRERELEASEIDENTIFIER", `(?:${src2[t9.NUMERICIDENTIFIER]}|${src2[t9.NONNUMERICIDENTIFIER]})`);
      createToken("PRERELEASEIDENTIFIERLOOSE", `(?:${src2[t9.NUMERICIDENTIFIERLOOSE]}|${src2[t9.NONNUMERICIDENTIFIER]})`);
      createToken("PRERELEASE", `(?:-(${src2[t9.PRERELEASEIDENTIFIER]}(?:\\.${src2[t9.PRERELEASEIDENTIFIER]})*))`);
      createToken("PRERELEASELOOSE", `(?:-?(${src2[t9.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${src2[t9.PRERELEASEIDENTIFIERLOOSE]})*))`);
      createToken("BUILDIDENTIFIER", `${LETTERDASHNUMBER}+`);
      createToken("BUILD", `(?:\\+(${src2[t9.BUILDIDENTIFIER]}(?:\\.${src2[t9.BUILDIDENTIFIER]})*))`);
      createToken("FULLPLAIN", `v?${src2[t9.MAINVERSION]}${src2[t9.PRERELEASE]}?${src2[t9.BUILD]}?`);
      createToken("FULL", `^${src2[t9.FULLPLAIN]}$`);
      createToken("LOOSEPLAIN", `[v=\\s]*${src2[t9.MAINVERSIONLOOSE]}${src2[t9.PRERELEASELOOSE]}?${src2[t9.BUILD]}?`);
      createToken("LOOSE", `^${src2[t9.LOOSEPLAIN]}$`);
      createToken("GTLT", "((?:<|>)?=?)");
      createToken("XRANGEIDENTIFIERLOOSE", `${src2[t9.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`);
      createToken("XRANGEIDENTIFIER", `${src2[t9.NUMERICIDENTIFIER]}|x|X|\\*`);
      createToken("XRANGEPLAIN", `[v=\\s]*(${src2[t9.XRANGEIDENTIFIER]})(?:\\.(${src2[t9.XRANGEIDENTIFIER]})(?:\\.(${src2[t9.XRANGEIDENTIFIER]})(?:${src2[t9.PRERELEASE]})?${src2[t9.BUILD]}?)?)?`);
      createToken("XRANGEPLAINLOOSE", `[v=\\s]*(${src2[t9.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src2[t9.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src2[t9.XRANGEIDENTIFIERLOOSE]})(?:${src2[t9.PRERELEASELOOSE]})?${src2[t9.BUILD]}?)?)?`);
      createToken("XRANGE", `^${src2[t9.GTLT]}\\s*${src2[t9.XRANGEPLAIN]}$`);
      createToken("XRANGELOOSE", `^${src2[t9.GTLT]}\\s*${src2[t9.XRANGEPLAINLOOSE]}$`);
      createToken("COERCE", `${"(^|[^\\d])(\\d{1,"}${MAX_SAFE_COMPONENT_LENGTH2}})(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH2}}))?(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH2}}))?(?:$|[^\\d])`);
      createToken("COERCERTL", src2[t9.COERCE], true);
      createToken("LONETILDE", "(?:~>?)");
      createToken("TILDETRIM", `(\\s*)${src2[t9.LONETILDE]}\\s+`, true);
      exports2.tildeTrimReplace = "$1~";
      createToken("TILDE", `^${src2[t9.LONETILDE]}${src2[t9.XRANGEPLAIN]}$`);
      createToken("TILDELOOSE", `^${src2[t9.LONETILDE]}${src2[t9.XRANGEPLAINLOOSE]}$`);
      createToken("LONECARET", "(?:\\^)");
      createToken("CARETTRIM", `(\\s*)${src2[t9.LONECARET]}\\s+`, true);
      exports2.caretTrimReplace = "$1^";
      createToken("CARET", `^${src2[t9.LONECARET]}${src2[t9.XRANGEPLAIN]}$`);
      createToken("CARETLOOSE", `^${src2[t9.LONECARET]}${src2[t9.XRANGEPLAINLOOSE]}$`);
      createToken("COMPARATORLOOSE", `^${src2[t9.GTLT]}\\s*(${src2[t9.LOOSEPLAIN]})$|^$`);
      createToken("COMPARATOR", `^${src2[t9.GTLT]}\\s*(${src2[t9.FULLPLAIN]})$|^$`);
      createToken("COMPARATORTRIM", `(\\s*)${src2[t9.GTLT]}\\s*(${src2[t9.LOOSEPLAIN]}|${src2[t9.XRANGEPLAIN]})`, true);
      exports2.comparatorTrimReplace = "$1$2$3";
      createToken("HYPHENRANGE", `^\\s*(${src2[t9.XRANGEPLAIN]})\\s+-\\s+(${src2[t9.XRANGEPLAIN]})\\s*$`);
      createToken("HYPHENRANGELOOSE", `^\\s*(${src2[t9.XRANGEPLAINLOOSE]})\\s+-\\s+(${src2[t9.XRANGEPLAINLOOSE]})\\s*$`);
      createToken("STAR", "(<|>)?=?\\s*\\*");
      createToken("GTE0", "^\\s*>=\\s*0\\.0\\.0\\s*$");
      createToken("GTE0PRE", "^\\s*>=\\s*0\\.0\\.0-0\\s*$");
    })(re$1, re$1.exports);
    var looseOption = Object.freeze({ loose: true });
    var emptyOpts = Object.freeze({});
    var parseOptions$1 = (options2) => {
      if (!options2) {
        return emptyOpts;
      }
      if (typeof options2 !== "object") {
        return looseOption;
      }
      return options2;
    };
    var parseOptions_1 = parseOptions$1;
    var numeric = /^[0-9]+$/;
    var compareIdentifiers$1 = (a3, b6) => {
      const anum = numeric.test(a3);
      const bnum = numeric.test(b6);
      if (anum && bnum) {
        a3 = +a3;
        b6 = +b6;
      }
      return a3 === b6 ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a3 < b6 ? -1 : 1;
    };
    var rcompareIdentifiers = (a3, b6) => compareIdentifiers$1(b6, a3);
    var identifiers = {
      compareIdentifiers: compareIdentifiers$1,
      rcompareIdentifiers
    };
    var debug = debug_1;
    var { MAX_LENGTH, MAX_SAFE_INTEGER } = constants;
    var { safeRe: re, t } = re$1.exports;
    var parseOptions = parseOptions_1;
    var { compareIdentifiers } = identifiers;
    var SemVer$1 = class _SemVer$1 {
      constructor(version3, options2) {
        options2 = parseOptions(options2);
        if (version3 instanceof _SemVer$1) {
          if (version3.loose === !!options2.loose && version3.includePrerelease === !!options2.includePrerelease) {
            return version3;
          } else {
            version3 = version3.version;
          }
        } else if (typeof version3 !== "string") {
          throw new TypeError(`Invalid version. Must be a string. Got type "${typeof version3}".`);
        }
        if (version3.length > MAX_LENGTH) {
          throw new TypeError(
            `version is longer than ${MAX_LENGTH} characters`
          );
        }
        debug("SemVer", version3, options2);
        this.options = options2;
        this.loose = !!options2.loose;
        this.includePrerelease = !!options2.includePrerelease;
        const m3 = version3.trim().match(options2.loose ? re[t.LOOSE] : re[t.FULL]);
        if (!m3) {
          throw new TypeError(`Invalid Version: ${version3}`);
        }
        this.raw = version3;
        this.major = +m3[1];
        this.minor = +m3[2];
        this.patch = +m3[3];
        if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
          throw new TypeError("Invalid major version");
        }
        if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
          throw new TypeError("Invalid minor version");
        }
        if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
          throw new TypeError("Invalid patch version");
        }
        if (!m3[4]) {
          this.prerelease = [];
        } else {
          this.prerelease = m3[4].split(".").map((id2) => {
            if (/^[0-9]+$/.test(id2)) {
              const num = +id2;
              if (num >= 0 && num < MAX_SAFE_INTEGER) {
                return num;
              }
            }
            return id2;
          });
        }
        this.build = m3[5] ? m3[5].split(".") : [];
        this.format();
      }
      format() {
        this.version = `${this.major}.${this.minor}.${this.patch}`;
        if (this.prerelease.length) {
          this.version += `-${this.prerelease.join(".")}`;
        }
        return this.version;
      }
      toString() {
        return this.version;
      }
      compare(other) {
        debug("SemVer.compare", this.version, this.options, other);
        if (!(other instanceof _SemVer$1)) {
          if (typeof other === "string" && other === this.version) {
            return 0;
          }
          other = new _SemVer$1(other, this.options);
        }
        if (other.version === this.version) {
          return 0;
        }
        return this.compareMain(other) || this.comparePre(other);
      }
      compareMain(other) {
        if (!(other instanceof _SemVer$1)) {
          other = new _SemVer$1(other, this.options);
        }
        return compareIdentifiers(this.major, other.major) || compareIdentifiers(this.minor, other.minor) || compareIdentifiers(this.patch, other.patch);
      }
      comparePre(other) {
        if (!(other instanceof _SemVer$1)) {
          other = new _SemVer$1(other, this.options);
        }
        if (this.prerelease.length && !other.prerelease.length) {
          return -1;
        } else if (!this.prerelease.length && other.prerelease.length) {
          return 1;
        } else if (!this.prerelease.length && !other.prerelease.length) {
          return 0;
        }
        let i4 = 0;
        do {
          const a3 = this.prerelease[i4];
          const b6 = other.prerelease[i4];
          debug("prerelease compare", i4, a3, b6);
          if (a3 === void 0 && b6 === void 0) {
            return 0;
          } else if (b6 === void 0) {
            return 1;
          } else if (a3 === void 0) {
            return -1;
          } else if (a3 === b6) {
            continue;
          } else {
            return compareIdentifiers(a3, b6);
          }
        } while (++i4);
      }
      compareBuild(other) {
        if (!(other instanceof _SemVer$1)) {
          other = new _SemVer$1(other, this.options);
        }
        let i4 = 0;
        do {
          const a3 = this.build[i4];
          const b6 = other.build[i4];
          debug("prerelease compare", i4, a3, b6);
          if (a3 === void 0 && b6 === void 0) {
            return 0;
          } else if (b6 === void 0) {
            return 1;
          } else if (a3 === void 0) {
            return -1;
          } else if (a3 === b6) {
            continue;
          } else {
            return compareIdentifiers(a3, b6);
          }
        } while (++i4);
      }
      // preminor will bump the version up to the next minor release, and immediately
      // down to pre-release. premajor and prepatch work the same way.
      inc(release, identifier, identifierBase) {
        switch (release) {
          case "premajor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor = 0;
            this.major++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "preminor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "prepatch":
            this.prerelease.length = 0;
            this.inc("patch", identifier, identifierBase);
            this.inc("pre", identifier, identifierBase);
            break;
          case "prerelease":
            if (this.prerelease.length === 0) {
              this.inc("patch", identifier, identifierBase);
            }
            this.inc("pre", identifier, identifierBase);
            break;
          case "major":
            if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
              this.major++;
            }
            this.minor = 0;
            this.patch = 0;
            this.prerelease = [];
            break;
          case "minor":
            if (this.patch !== 0 || this.prerelease.length === 0) {
              this.minor++;
            }
            this.patch = 0;
            this.prerelease = [];
            break;
          case "patch":
            if (this.prerelease.length === 0) {
              this.patch++;
            }
            this.prerelease = [];
            break;
          case "pre": {
            const base = Number(identifierBase) ? 1 : 0;
            if (!identifier && identifierBase === false) {
              throw new Error("invalid increment argument: identifier is empty");
            }
            if (this.prerelease.length === 0) {
              this.prerelease = [base];
            } else {
              let i4 = this.prerelease.length;
              while (--i4 >= 0) {
                if (typeof this.prerelease[i4] === "number") {
                  this.prerelease[i4]++;
                  i4 = -2;
                }
              }
              if (i4 === -1) {
                if (identifier === this.prerelease.join(".") && identifierBase === false) {
                  throw new Error("invalid increment argument: identifier already exists");
                }
                this.prerelease.push(base);
              }
            }
            if (identifier) {
              let prerelease = [identifier, base];
              if (identifierBase === false) {
                prerelease = [identifier];
              }
              if (compareIdentifiers(this.prerelease[0], identifier) === 0) {
                if (isNaN(this.prerelease[1])) {
                  this.prerelease = prerelease;
                }
              } else {
                this.prerelease = prerelease;
              }
            }
            break;
          }
          default:
            throw new Error(`invalid increment argument: ${release}`);
        }
        this.raw = this.format();
        if (this.build.length) {
          this.raw += `+${this.build.join(".")}`;
        }
        return this;
      }
    };
    var semver = SemVer$1;
    var SemVer = semver;
    var compare$1 = (a3, b6, loose) => new SemVer(a3, loose).compare(new SemVer(b6, loose));
    var compare_1 = compare$1;
    var compare = compare_1;
    var gte = (a3, b6, loose) => compare(a3, b6, loose) >= 0;
    var gte_1 = gte;
    var fs = require$$0__default["default"];
    var path = path__default["default"];
    var { promisify } = require$$2__default["default"];
    var semverGte = gte_1;
    var useNativeRecursiveOption = semverGte(process.version, "10.12.0");
    var checkPath = (pth) => {
      if (process.platform === "win32") {
        const pathHasInvalidWinCharacters = /[<>:"|?*]/.test(pth.replace(path.parse(pth).root, ""));
        if (pathHasInvalidWinCharacters) {
          const error2 = new Error(`Path contains invalid characters: ${pth}`);
          error2.code = "EINVAL";
          throw error2;
        }
      }
    };
    var processOptions = (options2) => {
      const defaults = {
        mode: 511,
        fs
      };
      return {
        ...defaults,
        ...options2
      };
    };
    var permissionError = (pth) => {
      const error2 = new Error(`operation not permitted, mkdir '${pth}'`);
      error2.code = "EPERM";
      error2.errno = -4048;
      error2.path = pth;
      error2.syscall = "mkdir";
      return error2;
    };
    var makeDir = async (input, options2) => {
      checkPath(input);
      options2 = processOptions(options2);
      const mkdir = promisify(options2.fs.mkdir);
      const stat = promisify(options2.fs.stat);
      if (useNativeRecursiveOption && options2.fs.mkdir === fs.mkdir) {
        const pth = path.resolve(input);
        await mkdir(pth, {
          mode: options2.mode,
          recursive: true
        });
        return pth;
      }
      const make = async (pth) => {
        try {
          await mkdir(pth, options2.mode);
          return pth;
        } catch (error2) {
          if (error2.code === "EPERM") {
            throw error2;
          }
          if (error2.code === "ENOENT") {
            if (path.dirname(pth) === pth) {
              throw permissionError(pth);
            }
            if (error2.message.includes("null bytes")) {
              throw error2;
            }
            await make(path.dirname(pth));
            return make(pth);
          }
          try {
            const stats = await stat(pth);
            if (!stats.isDirectory()) {
              throw new Error("The path is not a directory");
            }
          } catch {
            throw error2;
          }
          return pth;
        }
      };
      return make(path.resolve(input));
    };
    makeDir$2.exports = makeDir;
    makeDir$2.exports.sync = (input, options2) => {
      checkPath(input);
      options2 = processOptions(options2);
      if (useNativeRecursiveOption && options2.fs.mkdirSync === fs.mkdirSync) {
        const pth = path.resolve(input);
        fs.mkdirSync(pth, {
          mode: options2.mode,
          recursive: true
        });
        return pth;
      }
      const make = (pth) => {
        try {
          options2.fs.mkdirSync(pth, options2.mode);
        } catch (error2) {
          if (error2.code === "EPERM") {
            throw error2;
          }
          if (error2.code === "ENOENT") {
            if (path.dirname(pth) === pth) {
              throw permissionError(pth);
            }
            if (error2.message.includes("null bytes")) {
              throw error2;
            }
            make(path.dirname(pth));
            return make(pth);
          }
          try {
            if (!options2.fs.statSync(pth).isDirectory()) {
              throw new Error("The path is not a directory");
            }
          } catch {
            throw error2;
          }
        }
        return pth;
      };
      return make(path.resolve(input));
    };
    var makeDir$1 = makeDir$2.exports;
    var PRISMA_SIGNATURE = "signature";
    async function getSignature(signatureFile) {
      const dirs = paths("checkpoint");
      signatureFile = signatureFile || path__default["default"].join(dirs.cache, PRISMA_SIGNATURE);
      const signature = await readSignature(signatureFile);
      if (signature) {
        return signature;
      }
      return await createSignatureFile(signatureFile);
    }
    function isSignatureValid(signature) {
      return typeof signature === "string" && signature.length === 36;
    }
    async function readSignature(file2) {
      try {
        const data = await fs__default["default"].readFile(file2, "utf8");
        const { signature } = JSON.parse(data);
        if (isSignatureValid(signature)) {
          return signature;
        }
        return "";
      } catch (err) {
        return "";
      }
    }
    async function createSignatureFile(signatureFile, signature) {
      const signatureState = {
        signature: signature || v4()
      };
      await makeDir$1(path__default["default"].dirname(signatureFile));
      await fs__default["default"].writeFile(signatureFile, JSON.stringify(signatureState, null, "  "));
      return signatureState.signature;
    }
    async function getInfo() {
      const cachePath = paths("checkpoint").cache;
      if (!require$$0.existsSync(cachePath)) {
        await fs__default["default"].mkdir(cachePath, { recursive: true });
      }
      const dir3 = await fs__default["default"].readdir(cachePath);
      const cacheItems = [];
      for (const item2 of dir3) {
        if (!item2.includes("-")) {
          continue;
        }
        try {
          const jsonData = JSON.parse(await fs__default["default"].readFile(path__default["default"].join(cachePath, item2), { encoding: "utf-8" }));
          if (jsonData.output && !jsonData.output.cli_path_hash) {
            jsonData.output.cli_path_hash = item2.split("-")[1];
          }
          cacheItems.push(jsonData);
        } catch (e3) {
          console.error(e3);
        }
      }
      return {
        signature: await getSignature(),
        cachePath,
        cacheItems
      };
    }
    var defaultSchema = {
      last_reminder: 0,
      cached_at: 0,
      version: "",
      cli_path: "",
      // User output
      output: {
        client_event_id: "",
        previous_client_event_id: "",
        product: "",
        cli_path_hash: "",
        local_timestamp: "",
        previous_version: "",
        current_version: "",
        current_release_date: 0,
        current_download_url: "",
        current_changelog_url: "",
        package: "",
        release_tag: "",
        install_command: "",
        project_website: "",
        outdated: false,
        alerts: []
      }
    };
    var Config = class _Config {
      static async new(state, schema = defaultSchema) {
        await makeDir$1(path__default["default"].dirname(state.cache_file));
        return new _Config(state, schema);
      }
      constructor(state, defaultSchema3) {
        this.state = state;
        this.defaultSchema = defaultSchema3;
      }
      // check and return the cache if (matches version or hasn't expired)
      async checkCache(newState) {
        const now = newState.now();
        const cache = await this.all();
        if (!cache) {
          return { cache: void 0, stale: true };
        }
        if (newState.version !== cache.version) {
          return { cache, stale: true };
        }
        if (now - cache.cached_at > newState.cache_duration) {
          return { cache, stale: true };
        }
        return { cache, stale: false };
      }
      // set the configuration
      async set(update) {
        const existing = await this.all() || {};
        const schema = Object.assign(existing, update);
        for (let k in this.defaultSchema) {
          if (typeof schema[k] === "undefined") {
            schema[k] = this.defaultSchema[k];
          }
        }
        await fs__default["default"].writeFile(this.state.cache_file, JSON.stringify(schema, null, "  "));
      }
      // get the entire schema
      async all() {
        try {
          const data = await fs__default["default"].readFile(this.state.cache_file, "utf8");
          return JSON.parse(data);
        } catch (err) {
          return;
        }
      }
      // get a value from the schema
      async get(key) {
        const schema = await this.all();
        if (typeof schema === "undefined") {
          return;
        }
        return schema[key];
      }
      // reset the configuration
      async reset() {
        await fs__default["default"].writeFile(this.state.cache_file, JSON.stringify(this.defaultSchema, null, "  "));
        return;
      }
      // delete the configuration, ignoring any errors
      async delete() {
        try {
          await fs__default["default"].unlink(this.state.cache_file);
          return;
        } catch (err) {
          return;
        }
      }
    };
    var s = 1e3;
    var m = s * 60;
    var h = m * 60;
    var d = h * 24;
    var w = d * 7;
    var y = d * 365.25;
    var ms = function(val, options2) {
      options2 = options2 || {};
      var type = typeof val;
      if (type === "string" && val.length > 0) {
        return parse(val);
      } else if (type === "number" && isFinite(val)) {
        return options2.long ? fmtLong(val) : fmtShort(val);
      }
      throw new Error(
        "val is not a non-empty string or a valid number. val=" + JSON.stringify(val)
      );
    };
    function parse(str) {
      str = String(str);
      if (str.length > 100) {
        return;
      }
      var match4 = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(
        str
      );
      if (!match4) {
        return;
      }
      var n2 = parseFloat(match4[1]);
      var type = (match4[2] || "ms").toLowerCase();
      switch (type) {
        case "years":
        case "year":
        case "yrs":
        case "yr":
        case "y":
          return n2 * y;
        case "weeks":
        case "week":
        case "w":
          return n2 * w;
        case "days":
        case "day":
        case "d":
          return n2 * d;
        case "hours":
        case "hour":
        case "hrs":
        case "hr":
        case "h":
          return n2 * h;
        case "minutes":
        case "minute":
        case "mins":
        case "min":
        case "m":
          return n2 * m;
        case "seconds":
        case "second":
        case "secs":
        case "sec":
        case "s":
          return n2 * s;
        case "milliseconds":
        case "millisecond":
        case "msecs":
        case "msec":
        case "ms":
          return n2;
        default:
          return void 0;
      }
    }
    function fmtShort(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d) {
        return Math.round(ms2 / d) + "d";
      }
      if (msAbs >= h) {
        return Math.round(ms2 / h) + "h";
      }
      if (msAbs >= m) {
        return Math.round(ms2 / m) + "m";
      }
      if (msAbs >= s) {
        return Math.round(ms2 / s) + "s";
      }
      return ms2 + "ms";
    }
    function fmtLong(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d) {
        return plural(ms2, msAbs, d, "day");
      }
      if (msAbs >= h) {
        return plural(ms2, msAbs, h, "hour");
      }
      if (msAbs >= m) {
        return plural(ms2, msAbs, m, "minute");
      }
      if (msAbs >= s) {
        return plural(ms2, msAbs, s, "second");
      }
      return ms2 + " ms";
    }
    function plural(ms2, msAbs, n2, name) {
      var isPlural = msAbs >= n2 * 1.5;
      return Math.round(ms2 / n2) + " " + name + (isPlural ? "s" : "");
    }
    var childPath = path__default["default"].join(eval("__dirname"), "child");
    async function check(input) {
      const defaultCache = getCacheFile(input.product, input.cli_path_hash || "default");
      const ci = require_ci_info();
      const state = {
        product: input.product,
        version: input.version,
        cli_install_type: input.cli_install_type || "",
        information: input.information || "",
        local_timestamp: input.local_timestamp || rfc3339(/* @__PURE__ */ new Date()),
        project_hash: input.project_hash,
        cli_path: input.cli_path || "",
        cli_path_hash: input.cli_path_hash || "",
        endpoint: input.endpoint || "https://checkpoint.prisma.io",
        disable: typeof input.disable === "undefined" ? false : input.disable,
        arch: input.arch || os__default["default"].arch(),
        os: input.os || os__default["default"].platform(),
        node_version: input.node_version || process.version,
        ci: typeof input.ci !== "undefined" ? input.ci : ci.isCI,
        ci_name: typeof input.ci_name !== "undefined" ? input.ci_name || "" : ci.name || "",
        command: input.command || "",
        schema_providers: input.schema_providers || [],
        schema_preview_features: input.schema_preview_features || [],
        schema_generators_providers: input.schema_generators_providers || [],
        cache_file: input.cache_file || defaultCache,
        cache_duration: typeof input.cache_duration === "undefined" ? ms("12h") : input.cache_duration,
        remind_duration: typeof input.remind_duration === "undefined" ? ms("48h") : input.remind_duration,
        force: typeof input.force === "undefined" ? false : input.force,
        timeout: getTimeout(input.timeout),
        unref: typeof input.unref === "undefined" ? true : input.unref,
        child_path: input.child_path || childPath,
        now: () => Date.now(),
        client_event_id: input.client_event_id || "",
        previous_client_event_id: input.previous_client_event_id || "",
        check_if_update_available: false
      };
      if ((process.env["CHECKPOINT_DISABLE"] || state.disable) && !state.force) {
        return {
          status: "disabled"
        };
      }
      const config2 = await Config.new(state);
      const cacheResponse = await config2.checkCache(state);
      state.check_if_update_available = cacheResponse.stale === true || !cacheResponse.cache;
      const child = spawn(state);
      if (state.unref) {
        child.unref();
        child.disconnect();
      }
      if (cacheResponse.stale === true || !cacheResponse.cache) {
        return {
          status: "waiting",
          data: child
        };
      }
      for (const key of Object.keys(state)) {
        if (state[key]) {
          await config2.set({
            [key]: state[key]
          });
        }
      }
      const userReminded = state.now() - cacheResponse.cache.last_reminder < state.remind_duration;
      if (userReminded) {
        return {
          status: "reminded",
          data: cacheResponse.cache.output
        };
      }
      await config2.set({
        last_reminder: state.now()
      });
      return {
        status: "ok",
        data: cacheResponse.cache.output
      };
    }
    function getCacheFile(product, cacheIdentifier) {
      const dirs = paths(`checkpoint`);
      return path__default["default"].join(dirs.cache, `${product}-${cacheIdentifier}`);
    }
    function getTimeout(inputTimeout) {
      if (typeof inputTimeout !== "undefined") {
        return inputTimeout;
      }
      const timeoutString = process.env["CHECKPOINT_TIMEOUT"];
      if (typeof timeoutString === "undefined") {
        return 5e3;
      }
      const timeout2 = parseInt(timeoutString, 10);
      if (isNaN(timeout2)) {
        return 5e3;
      }
      return timeout2;
    }
    function getForkOpts(state) {
      if (state.unref === true) {
        return {
          detached: true,
          // When CHECKPOINT_DEBUG_STDOUT !== undefined, use 'inherit' to let the child print the debug output
          stdio: process.env.CHECKPOINT_DEBUG_STDOUT ? "inherit" : "ignore",
          env: process.env
        };
      }
      return { detached: false, stdio: "pipe", env: process.env };
    }
    function spawn(state) {
      return child_process.fork(childPath, [JSON.stringify(state)], getForkOpts(state));
    }
    function rfc3339(d3) {
      function pad(n2) {
        return n2 < 10 ? "0" + n2 : n2;
      }
      function timezoneOffset(offset) {
        let sign;
        if (offset === 0) {
          return "Z";
        }
        sign = offset > 0 ? "-" : "+";
        offset = Math.abs(offset);
        return sign + pad(Math.floor(offset / 60)) + ":" + pad(offset % 60);
      }
      return d3.getFullYear() + "-" + pad(d3.getMonth() + 1) + "-" + pad(d3.getDate()) + "T" + pad(d3.getHours()) + ":" + pad(d3.getMinutes()) + ":" + pad(d3.getSeconds()) + timezoneOffset(d3.getTimezoneOffset());
    }
    exports.check = check;
    exports.getInfo = getInfo;
    exports.getSignature = getSignature;
  }
});

// ../../node_modules/.pnpm/get-port@5.1.1/node_modules/get-port/index.js
var require_get_port = __commonJS({
  "../../node_modules/.pnpm/get-port@5.1.1/node_modules/get-port/index.js"(exports2, module2) {
    "use strict";
    var net = require("net");
    var Locked = class extends Error {
      constructor(port) {
        super(`${port} is locked`);
      }
    };
    var lockedPorts = {
      old: /* @__PURE__ */ new Set(),
      young: /* @__PURE__ */ new Set()
    };
    var releaseOldLockedPortsIntervalMs = 1e3 * 15;
    var interval;
    var getAvailablePort = (options2) => new Promise((resolve3, reject2) => {
      const server = net.createServer();
      server.unref();
      server.on("error", reject2);
      server.listen(options2, () => {
        const { port } = server.address();
        server.close(() => {
          resolve3(port);
        });
      });
    });
    var portCheckSequence = function* (ports) {
      if (ports) {
        yield* ports;
      }
      yield 0;
    };
    module2.exports = async (options2) => {
      let ports;
      if (options2) {
        ports = typeof options2.port === "number" ? [options2.port] : options2.port;
      }
      if (interval === void 0) {
        interval = setInterval(() => {
          lockedPorts.old = lockedPorts.young;
          lockedPorts.young = /* @__PURE__ */ new Set();
        }, releaseOldLockedPortsIntervalMs);
        if (interval.unref) {
          interval.unref();
        }
      }
      for (const port of portCheckSequence(ports)) {
        try {
          let availablePort = await getAvailablePort({ ...options2, port });
          while (lockedPorts.old.has(availablePort) || lockedPorts.young.has(availablePort)) {
            if (port !== 0) {
              throw new Locked(port);
            }
            availablePort = await getAvailablePort({ ...options2, port });
          }
          lockedPorts.young.add(availablePort);
          return availablePort;
        } catch (error2) {
          if (!["EADDRINUSE", "EACCES"].includes(error2.code) && !(error2 instanceof Locked)) {
            throw error2;
          }
        }
      }
      throw new Error("No available ports found");
    };
    module2.exports.makeRange = (from, to2) => {
      if (!Number.isInteger(from) || !Number.isInteger(to2)) {
        throw new TypeError("`from` and `to` must be integer numbers");
      }
      if (from < 1024 || from > 65535) {
        throw new RangeError("`from` must be between 1024 and 65535");
      }
      if (to2 < 1024 || to2 > 65536) {
        throw new RangeError("`to` must be between 1024 and 65536");
      }
      if (to2 < from) {
        throw new RangeError("`to` must be greater than or equal to `from`");
      }
      const generator = function* (from2, to3) {
        for (let port = from2; port <= to3; port++) {
          yield port;
        }
      };
      return generator(from, to2);
    };
  }
});

// src/bin.ts
init_src();
var import_engines10 = require("@prisma/engines");

// ../internals/src/logger.ts
var logger_exports = {};
__export(logger_exports, {
  error: () => error,
  info: () => info,
  log: () => log2,
  query: () => query,
  should: () => should,
  tags: () => tags,
  warn: () => warn
});
init_colors();
var tags = {
  error: red("prisma:error"),
  warn: yellow("prisma:warn"),
  info: cyan("prisma:info"),
  query: blue("prisma:query")
};
var should = {
  warn: () => !process.env.PRISMA_DISABLE_WARNINGS
};
function log2(...data) {
  console.log(...data);
}
function warn(message2, ...optionalParams) {
  if (should.warn()) {
    console.warn(`${tags.warn} ${message2}`, ...optionalParams);
  }
}
function info(message2, ...optionalParams) {
  console.info(`${tags.info} ${message2}`, ...optionalParams);
}
function error(message2, ...optionalParams) {
  console.error(`${tags.error} ${message2}`, ...optionalParams);
}
function query(message2, ...optionalParams) {
  console.log(`${tags.query} ${message2}`, ...optionalParams);
}

// ../internals/src/utils/fs-functional.ts
var fs_functional_exports = {};
__export(fs_functional_exports, {
  createDirIfNotExists: () => createDirIfNotExists2,
  getFilesInDir: () => getFilesInDir2,
  getNestedFoldersInDir: () => getNestedFoldersInDir2,
  removeDir: () => removeDir,
  removeEmptyDirs: () => removeEmptyDirs2,
  removeFile: () => removeFile,
  writeFile: () => writeFile2
});
var import_function = __toESM(require_function());
var TE = __toESM(require_TaskEither());
var import_promises2 = __toESM(require("fs/promises"));

// ../internals/src/utils/fs-utils.ts
var import_promises = __toESM(require("fs/promises"));
var import_globby = __toESM(require_globby());
var import_path2 = __toESM(require("path"));

// ../internals/src/utils/path.ts
var import_path = __toESM(require("path"));
function pathToPosix2(filePath) {
  if (import_path.default.sep === import_path.default.posix.sep) {
    return filePath;
  }
  return filePath.split(import_path.default.sep).join(import_path.default.posix.sep);
}
function longestCommonPathPrefix2(pathA, pathB) {
  if (!import_path.default.isAbsolute(pathA) || !import_path.default.isAbsolute(pathB)) {
    throw new Error("longestCommonPathPrefix expects absolute paths");
  }
  if (process.platform === "win32" && (pathA.startsWith("\\\\") || pathB.startsWith("\\\\"))) {
    pathA = import_path.default.toNamespacedPath(pathA);
    pathB = import_path.default.toNamespacedPath(pathB);
  }
  const commonPrefix = longestCommonPrefix(pathA.split(import_path.default.sep), pathB.split(import_path.default.sep)).join(import_path.default.sep);
  if (commonPrefix === "") {
    return process.platform === "win32" ? void 0 : "/";
  }
  if (process.platform === "win32" && ["\\", "\\\\?", "\\\\."].includes(commonPrefix)) {
    return void 0;
  }
  if (process.platform === "win32" && commonPrefix.endsWith(":")) {
    return commonPrefix + "\\";
  }
  return commonPrefix;
}
function longestCommonPrefix(sequenceA, sequenceB) {
  const maxLen = Math.min(sequenceA.length, sequenceB.length);
  let sliceLen = 0;
  while (sliceLen <= maxLen && sequenceA[sliceLen] === sequenceB[sliceLen]) {
    sliceLen++;
  }
  return sequenceA.slice(0, sliceLen);
}

// ../internals/src/utils/fs-utils.ts
function createDirIfNotExists(dir3) {
  return import_promises.default.mkdir(dir3, { recursive: true });
}
function writeFile({ path: path39, content }) {
  return import_promises.default.writeFile(path39, content, { encoding: "utf-8" });
}
function getNestedFoldersInDir(dir3) {
  const normalizedDir = pathToPosix2(import_path2.default.join(dir3, "**"));
  return (0, import_globby.default)(normalizedDir, { onlyFiles: false, onlyDirectories: true });
}
function getFilesInDir(dir3, pattern = "**") {
  const normalizedDir = pathToPosix2(import_path2.default.join(dir3, pattern));
  return (0, import_globby.default)(normalizedDir, { onlyFiles: true, onlyDirectories: false });
}
async function removeEmptyDirs(dir3) {
  try {
    const fileStats = await import_promises.default.lstat(dir3);
    if (!fileStats.isDirectory()) {
      return;
    }
  } catch (e3) {
    return;
  }
  const filenames = await import_promises.default.readdir(dir3);
  if (filenames.length > 0) {
    const recursionPromises = filenames.map((filename) => removeEmptyDirs(import_path2.default.join(dir3, filename)));
    await Promise.all(recursionPromises);
  }
  const filenamesAfterRec = await import_promises.default.readdir(dir3);
  if (filenamesAfterRec.length === 0) {
    await import_promises.default.rmdir(dir3);
  }
}

// ../internals/src/utils/fs-functional.ts
var createDirIfNotExists2 = (dir3) => TE.tryCatch(() => createDirIfNotExists(dir3), createTaggedSystemError("fs-create-dir", { dir: dir3 }));
var writeFile2 = (params) => TE.tryCatch(() => writeFile(params), createTaggedSystemError("fs-write-file", params));
var removeEmptyDirs2 = (dir3) => TE.tryCatch(() => removeEmptyDirs(dir3), createTaggedSystemError("fs-remove-empty-dirs", { dir: dir3 }));
var removeDir = (dir3) => (0, import_function.pipe)(TE.tryCatch(() => import_promises2.default.rm(dir3, { recursive: true }), createTaggedSystemError("fs-remove-dir", { dir: dir3 })));
var removeFile = (filePath) => (0, import_function.pipe)(TE.tryCatch(() => import_promises2.default.unlink(filePath), createTaggedSystemError("fs-remove-file", { filePath })));
var getNestedFoldersInDir2 = (dir3) => () => getNestedFoldersInDir(dir3);
var getFilesInDir2 = (dir3, pattern = "**") => () => getFilesInDir(dir3, pattern);
function createTaggedSystemError(type, meta) {
  return (e3) => ({
    type,
    error: e3,
    meta
  });
}

// ../internals/src/wasm.ts
var wasm_exports = {};
__export(wasm_exports, {
  prismaSchemaWasm: () => import_prisma_schema_wasm.default,
  prismaSchemaWasmVersion: () => prismaSchemaWasmVersion
});
var import_prisma_schema_wasm = __toESM(require_prisma_schema_build());

// ../internals/src/WasmPanicRegistry.ts
var WasmPanicRegistry = class {
  constructor() {
    this.message = "";
  }
  get() {
    return `${this.message}`;
  }
  // Don't use this method directly, it's only used by the Wasm panic hook in @prisma/prisma-schema-wasm.
  set_message(value) {
    this.message = `RuntimeError: ${value}`;
  }
};

// ../internals/src/wasm.ts
var { dependencies } = require_package();
var prismaSchemaWasmVersion = dependencies["@prisma/prisma-schema-wasm"];
globalThis.PRISMA_WASM_PANIC_REGISTRY = new WasmPanicRegistry();

// ../internals/src/cli/checkUnsupportedDataProxy.ts
var import_fs5 = __toESM(require("fs"));
init_colors();

// ../internals/src/engine-commands/getConfig.ts
init_src();
init_src2();

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/function.js
var __spreadArray = function(to2, from, pack) {
  if (pack || arguments.length === 2)
    for (var i4 = 0, l2 = from.length, ar; i4 < l2; i4++) {
      if (ar || !(i4 in from)) {
        if (!ar)
          ar = Array.prototype.slice.call(from, 0, i4);
        ar[i4] = from[i4];
      }
    }
  return to2.concat(ar || Array.prototype.slice.call(from));
};
function identity(a3) {
  return a3;
}
function flow(ab, bc, cd, de, ef2, fg, gh, hi, ij2) {
  switch (arguments.length) {
    case 1:
      return ab;
    case 2:
      return function() {
        return bc(ab.apply(this, arguments));
      };
    case 3:
      return function() {
        return cd(bc(ab.apply(this, arguments)));
      };
    case 4:
      return function() {
        return de(cd(bc(ab.apply(this, arguments))));
      };
    case 5:
      return function() {
        return ef2(de(cd(bc(ab.apply(this, arguments)))));
      };
    case 6:
      return function() {
        return fg(ef2(de(cd(bc(ab.apply(this, arguments))))));
      };
    case 7:
      return function() {
        return gh(fg(ef2(de(cd(bc(ab.apply(this, arguments)))))));
      };
    case 8:
      return function() {
        return hi(gh(fg(ef2(de(cd(bc(ab.apply(this, arguments))))))));
      };
    case 9:
      return function() {
        return ij2(hi(gh(fg(ef2(de(cd(bc(ab.apply(this, arguments)))))))));
      };
  }
  return;
}
function pipe2(a3, ab, bc, cd, de, ef2, fg, gh, hi) {
  switch (arguments.length) {
    case 1:
      return a3;
    case 2:
      return ab(a3);
    case 3:
      return bc(ab(a3));
    case 4:
      return cd(bc(ab(a3)));
    case 5:
      return de(cd(bc(ab(a3))));
    case 6:
      return ef2(de(cd(bc(ab(a3)))));
    case 7:
      return fg(ef2(de(cd(bc(ab(a3))))));
    case 8:
      return gh(fg(ef2(de(cd(bc(ab(a3)))))));
    case 9:
      return hi(gh(fg(ef2(de(cd(bc(ab(a3))))))));
    default: {
      var ret = arguments[0];
      for (var i4 = 1; i4 < arguments.length; i4++) {
        ret = arguments[i4](ret);
      }
      return ret;
    }
  }
}
var dual = function(arity, body) {
  var isDataFirst = typeof arity === "number" ? function(args3) {
    return args3.length >= arity;
  } : arity;
  return function() {
    var args3 = Array.from(arguments);
    if (isDataFirst(arguments)) {
      return body.apply(this, args3);
    }
    return function(self2) {
      return body.apply(void 0, __spreadArray([self2], args3, false));
    };
  };
};

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/internal.js
var isSome = function(fa) {
  return fa._tag === "Some";
};
var none = { _tag: "None" };
var some = function(a3) {
  return { _tag: "Some", value: a3 };
};
var isLeft = function(ma2) {
  return ma2._tag === "Left";
};
var isRight = function(ma2) {
  return ma2._tag === "Right";
};
var left = function(e3) {
  return { _tag: "Left", left: e3 };
};
var right = function(a3) {
  return { _tag: "Right", right: a3 };
};
var flatMapIO = function(F, M) {
  return dual(2, function(self2, f4) {
    return M.flatMap(self2, function(a3) {
      return F.fromIO(f4(a3));
    });
  });
};

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/Apply.js
function ap(F, G) {
  return function(fa) {
    return function(fab) {
      return F.ap(F.map(fab, function(gab) {
        return function(ga) {
          return G.ap(gab, ga);
        };
      }), fa);
    };
  };
}

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/Functor.js
function map(F, G) {
  return function(f4) {
    return function(fa) {
      return F.map(fa, function(ga) {
        return G.map(ga, f4);
      });
    };
  };
}
function as2(F) {
  return function(self2, b6) {
    return F.map(self2, function() {
      return b6;
    });
  };
}
function asUnit(F) {
  var asM = as2(F);
  return function(self2) {
    return asM(self2, void 0);
  };
}

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/Chain.js
function tap(M) {
  return function(first, f4) {
    return M.chain(first, function(a3) {
      return M.map(f4(a3), function() {
        return a3;
      });
    });
  };
}

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/FromEither.js
function fromEitherK(F) {
  return function(f4) {
    return flow(f4, F.fromEither);
  };
}
function tapEither(F, M) {
  var fromEither3 = fromEitherK(F);
  var tapM = tap(M);
  return function(self2, f4) {
    return tapM(self2, fromEither3(f4));
  };
}

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/Either.js
var left2 = left;
var right2 = right;
var flatMap = /* @__PURE__ */ dual(2, function(ma2, f4) {
  return isLeft2(ma2) ? ma2 : f4(ma2.right);
});
var _map = function(fa, f4) {
  return pipe2(fa, map2(f4));
};
var _ap = function(fab, fa) {
  return pipe2(fab, ap2(fa));
};
var URI = "Either";
var map2 = function(f4) {
  return function(fa) {
    return isLeft2(fa) ? fa : right2(f4(fa.right));
  };
};
var Functor = {
  URI,
  map: _map
};
var as3 = dual(2, as2(Functor));
var asUnit2 = asUnit(Functor);
var apW = function(fa) {
  return function(fab) {
    return isLeft2(fab) ? fab : isLeft2(fa) ? fa : right2(fab.right(fa.right));
  };
};
var ap2 = apW;
var Apply = {
  URI,
  map: _map,
  ap: _ap
};
var Chain = {
  URI,
  map: _map,
  ap: _ap,
  chain: flatMap
};
var bimap = function(f4, g2) {
  return function(fa) {
    return isLeft2(fa) ? left2(f4(fa.left)) : right2(g2(fa.right));
  };
};
var mapLeft = function(f4) {
  return function(fa) {
    return isLeft2(fa) ? left2(f4(fa.left)) : fa;
  };
};
var FromEither = {
  URI,
  fromEither: identity
};
var isLeft2 = isLeft;
var isRight2 = isRight;
var getOrElseW = function(onLeft) {
  return function(ma2) {
    return isLeft2(ma2) ? onLeft(ma2.left) : ma2.right;
  };
};
var tap2 = /* @__PURE__ */ dual(2, tap(Chain));
var _FromEither = {
  fromEither: FromEither.fromEither
};
var tryCatch2 = function(f4, onThrow) {
  try {
    return right2(f4());
  } catch (e3) {
    return left2(onThrow(e3));
  }
};
var chainW = flatMap;

// ../internals/src/engine-commands/getConfig.ts
var import_function12 = __toESM(require_function());
init_colors();
init_dist();

// ../internals/src/panic.ts
var RustPanic2 = class extends Error {
  constructor(message2, rustStack, request2, area, schemaPath2, schema, introspectionUrl) {
    super(message2);
    this.__typename = "RustPanic";
    this.name = "RustPanic";
    this.rustStack = rustStack;
    this.request = request2;
    this.area = area;
    this.schemaPath = schemaPath2;
    this.schema = schema;
    this.introspectionUrl = introspectionUrl;
  }
};
function isRustPanic2(e3) {
  return e3.__typename === "RustPanic";
}
function isWasmPanic(error2) {
  return error2.name === "RuntimeError";
}
function getWasmError(error2) {
  const message2 = globalThis.PRISMA_WASM_PANIC_REGISTRY.get();
  const stack2 = [message2, ...(error2.stack || "NO_BACKTRACE").split("\n").slice(1)].join("\n");
  return { message: message2, stack: stack2 };
}

// ../internals/src/utils/formatTable.ts
function slugify(str) {
  return str.toString().toLowerCase().replace(/\s+/g, "-");
}
function formatTable2(rows, options2 = { json: false }) {
  if (options2.json) {
    const result = rows.reduce((acc, [name, value]) => {
      acc[slugify(name)] = value;
      return acc;
    }, {});
    return JSON.stringify(result, null, 2);
  }
  const maxPad = rows.reduce((acc, curr) => Math.max(acc, curr[0].length), 0);
  return rows.map(([left4, right5]) => `${left4.padEnd(maxPad)} : ${right5}`).join("\n");
}

// ../internals/src/utils/getVersionFromPackageJson.ts
var packageJson = require_package();
var version2 = packageJson.version;

// ../internals/src/engine-commands/errorHelpers.ts
function addVersionDetailsToErrorMessage(message2) {
  const rows = [["Prisma CLI Version", version2]];
  return `${message2}

${formatTable2(rows)}`;
}

// ../internals/src/engine-commands/queryEngineCommons.ts
var import_function11 = __toESM(require_function());

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/Option.js
var none2 = none;
var some2 = some;
var getRight = function(ma2) {
  return ma2._tag === "Left" ? none2 : some2(ma2.right);
};
var _map2 = function(fa, f4) {
  return pipe2(fa, map3(f4));
};
var _ap2 = function(fab, fa) {
  return pipe2(fab, ap3(fa));
};
var URI2 = "Option";
var map3 = function(f4) {
  return function(fa) {
    return isNone(fa) ? none2 : some2(f4(fa.value));
  };
};
var Functor2 = {
  URI: URI2,
  map: _map2
};
var as4 = dual(2, as2(Functor2));
var asUnit3 = asUnit(Functor2);
var ap3 = function(fa) {
  return function(fab) {
    return isNone(fab) ? none2 : isNone(fa) ? none2 : some2(fab.value(fa.value));
  };
};
var flatMap2 = /* @__PURE__ */ dual(2, function(ma2, f4) {
  return isNone(ma2) ? none2 : f4(ma2.value);
});
var Chain2 = {
  URI: URI2,
  map: _map2,
  ap: _ap2,
  chain: flatMap2
};
var orElse = dual(2, function(self2, that) {
  return isNone(self2) ? that() : self2;
});
var fromEither = getRight;
var FromEither2 = {
  URI: URI2,
  fromEither
};
var isSome2 = isSome;
var isNone = function(fa) {
  return fa._tag === "None";
};
var matchW = function(onNone, onSome) {
  return function(ma2) {
    return isNone(ma2) ? onNone() : onSome(ma2.value);
  };
};
var match = matchW;
var fold = match;
var tap3 = /* @__PURE__ */ dual(2, tap(Chain2));
var tapEither2 = /* @__PURE__ */ dual(2, tapEither(FromEither2, Chain2));
var fromNullable = function(a3) {
  return a3 == null ? none2 : some2(a3);
};

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/EitherT.js
function right3(F) {
  return flow(right2, F.of);
}
function rightF(F) {
  return function(fa) {
    return F.map(fa, right2);
  };
}
function map4(F) {
  return map(F, Functor);
}
function ap4(F) {
  return ap(F, Apply);
}
function flatMap3(M) {
  return function(ma2, f4) {
    return M.chain(ma2, function(e3) {
      return isLeft2(e3) ? M.of(e3) : f4(e3.right);
    });
  };
}
function mapBoth(F) {
  return function(self2, f4, g2) {
    return F.map(self2, bimap(f4, g2));
  };
}
function mapError(F) {
  return function(self2, f4) {
    return F.map(self2, mapLeft(f4));
  };
}
function orElse2(M) {
  return function(onLeft) {
    return function(ma2) {
      return M.chain(ma2, function(e3) {
        return isLeft2(e3) ? onLeft(e3.left) : M.of(e3);
      });
    };
  };
}
function tapError(M) {
  var orElseM = orElse2(M);
  return function(ma2, onLeft) {
    return pipe2(ma2, orElseM(function(e3) {
      return M.map(onLeft(e3), function(eb2) {
        return isLeft2(eb2) ? eb2 : left2(e3);
      });
    }));
  };
}

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/FromIO.js
function tapIO(F, M) {
  var chainFirstM = tap(M);
  return function(self2, f4) {
    return chainFirstM(self2, flow(f4, F.fromIO));
  };
}

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/FromTask.js
function tapTask(F, M) {
  var tapM = tap(M);
  return function(self2, f4) {
    return tapM(self2, flow(f4, F.fromTask));
  };
}

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/Task.js
var fromIO = function(ma2) {
  return function() {
    return Promise.resolve().then(ma2);
  };
};
var _map3 = function(fa, f4) {
  return pipe2(fa, map5(f4));
};
var _apPar = function(fab, fa) {
  return pipe2(fab, ap5(fa));
};
var map5 = function(f4) {
  return function(fa) {
    return function() {
      return Promise.resolve().then(fa).then(f4);
    };
  };
};
var ap5 = function(fa) {
  return function(fab) {
    return function() {
      return Promise.all([Promise.resolve().then(fab), Promise.resolve().then(fa)]).then(function(_a) {
        var f4 = _a[0], a3 = _a[1];
        return f4(a3);
      });
    };
  };
};
var of2 = function(a3) {
  return function() {
    return Promise.resolve(a3);
  };
};
var flatMap4 = /* @__PURE__ */ dual(2, function(ma2, f4) {
  return function() {
    return Promise.resolve().then(ma2).then(function(a3) {
      return f4(a3)();
    });
  };
});
var URI3 = "Task";
var Functor3 = {
  URI: URI3,
  map: _map3
};
var as5 = dual(2, as2(Functor3));
var asUnit4 = asUnit(Functor3);
var Pointed = {
  URI: URI3,
  of: of2
};
var ApplyPar = {
  URI: URI3,
  map: _map3,
  ap: _apPar
};
var Chain3 = {
  URI: URI3,
  map: _map3,
  ap: _apPar,
  chain: flatMap4
};
var Monad = {
  URI: URI3,
  map: _map3,
  of: of2,
  ap: _apPar,
  chain: flatMap4
};
var FromIO = {
  URI: URI3,
  fromIO
};
var _FlatMap = {
  flatMap: flatMap4
};
var _FromIO = {
  fromIO: FromIO.fromIO
};
var flatMapIO2 = flatMapIO(_FromIO, _FlatMap);
var tap4 = /* @__PURE__ */ dual(2, tap(Chain3));
var tapIO2 = /* @__PURE__ */ dual(2, tapIO(FromIO, Chain3));

// ../../node_modules/.pnpm/fp-ts@2.16.1/node_modules/fp-ts/es6/TaskEither.js
var __awaiter = function(thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function(resolve3) {
      resolve3(value);
    });
  }
  return new (P || (P = Promise))(function(resolve3, reject2) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e3) {
        reject2(e3);
      }
    }
    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e3) {
        reject2(e3);
      }
    }
    function step(result) {
      result.done ? resolve3(result.value) : adopt(result.value).then(fulfilled, rejected);
    }
    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};
var __generator = function(thisArg, body) {
  var _3 = { label: 0, sent: function() {
    if (t9[0] & 1)
      throw t9[1];
    return t9[1];
  }, trys: [], ops: [] }, f4, y3, t9, g2;
  return g2 = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g2[Symbol.iterator] = function() {
    return this;
  }), g2;
  function verb(n2) {
    return function(v2) {
      return step([n2, v2]);
    };
  }
  function step(op) {
    if (f4)
      throw new TypeError("Generator is already executing.");
    while (g2 && (g2 = 0, op[0] && (_3 = 0)), _3)
      try {
        if (f4 = 1, y3 && (t9 = op[0] & 2 ? y3["return"] : op[0] ? y3["throw"] || ((t9 = y3["return"]) && t9.call(y3), 0) : y3.next) && !(t9 = t9.call(y3, op[1])).done)
          return t9;
        if (y3 = 0, t9)
          op = [op[0] & 2, t9.value];
        switch (op[0]) {
          case 0:
          case 1:
            t9 = op;
            break;
          case 4:
            _3.label++;
            return { value: op[1], done: false };
          case 5:
            _3.label++;
            y3 = op[1];
            op = [0];
            continue;
          case 7:
            op = _3.ops.pop();
            _3.trys.pop();
            continue;
          default:
            if (!(t9 = _3.trys, t9 = t9.length > 0 && t9[t9.length - 1]) && (op[0] === 6 || op[0] === 2)) {
              _3 = 0;
              continue;
            }
            if (op[0] === 3 && (!t9 || op[1] > t9[0] && op[1] < t9[3])) {
              _3.label = op[1];
              break;
            }
            if (op[0] === 6 && _3.label < t9[1]) {
              _3.label = t9[1];
              t9 = op;
              break;
            }
            if (t9 && _3.label < t9[2]) {
              _3.label = t9[2];
              _3.ops.push(op);
              break;
            }
            if (t9[2])
              _3.ops.pop();
            _3.trys.pop();
            continue;
        }
        op = body.call(thisArg, _3);
      } catch (e3) {
        op = [6, e3];
        y3 = 0;
      } finally {
        f4 = t9 = 0;
      }
    if (op[0] & 5)
      throw op[1];
    return { value: op[0] ? op[1] : void 0, done: true };
  }
};
var right4 = /* @__PURE__ */ right3(Pointed);
var rightTask = /* @__PURE__ */ rightF(Functor3);
var rightIO = /* @__PURE__ */ flow(fromIO, rightTask);
var fromIO2 = rightIO;
var fromTask = rightTask;
var fromEither2 = of2;
var tryCatch3 = function(f4, onRejected) {
  return function() {
    return __awaiter(void 0, void 0, void 0, function() {
      var reason_1;
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            _a.trys.push([0, 2, , 3]);
            return [4, f4().then(right)];
          case 1:
            return [2, _a.sent()];
          case 2:
            reason_1 = _a.sent();
            return [2, left(onRejected(reason_1))];
          case 3:
            return [
              2
              /*return*/
            ];
        }
      });
    });
  };
};
var tapError2 = /* @__PURE__ */ dual(2, tapError(Monad));
var _map4 = function(fa, f4) {
  return pipe2(fa, map6(f4));
};
var _apPar2 = function(fab, fa) {
  return pipe2(fab, ap6(fa));
};
var map6 = /* @__PURE__ */ map4(Functor3);
var mapBoth2 = /* @__PURE__ */ dual(3, mapBoth(Functor3));
var mapError2 = /* @__PURE__ */ dual(2, mapError(Functor3));
var ap6 = /* @__PURE__ */ ap4(ApplyPar);
var flatMap5 = /* @__PURE__ */ dual(2, flatMap3(Monad));
var URI4 = "TaskEither";
var Functor4 = {
  URI: URI4,
  map: _map4
};
var as6 = dual(2, as2(Functor4));
var asUnit5 = asUnit(Functor4);
var Chain4 = {
  URI: URI4,
  map: _map4,
  ap: _apPar2,
  chain: flatMap5
};
var FromEither3 = {
  URI: URI4,
  fromEither: fromEither2
};
var FromIO2 = {
  URI: URI4,
  fromIO: fromIO2
};
var FromTask = {
  URI: URI4,
  fromIO: fromIO2,
  fromTask
};
var tap5 = /* @__PURE__ */ dual(2, tap(Chain4));
var tapEither3 = /* @__PURE__ */ dual(2, tapEither(FromEither3, Chain4));
var tapIO3 = /* @__PURE__ */ dual(2, tapIO(FromIO2, Chain4));
var tapTask2 = /* @__PURE__ */ dual(2, tapTask(FromTask, Chain4));
var _FromEither2 = {
  fromEither: FromEither3.fromEither
};
var _FromIO2 = {
  fromIO: FromIO2.fromIO
};
var chain = flatMap5;
var chainW2 = flatMap5;

// ../internals/src/engine-commands/queryEngineCommons.ts
init_colors();
init_dist();
var createDebugErrorType = (debug30, fnName) => ({ type, reason, error: error2 }) => {
  debug30(`error of type "${type}" in ${fnName}:
`, { reason, error: error2 });
};
function createSchemaValidationError(reason) {
  return `${red(bold("Prisma schema validation"))} - ${reason}`;
}
function parseQueryEngineError({ errorOutput, reason }) {
  const actualError = (0, import_function11.pipe)(
    tryCatch2(
      () => JSON.parse(errorOutput),
      () => ({ _tag: "unparsed", message: errorOutput, reason })
    ),
    map2((errorOutputAsJSON) => {
      const defaultMessage2 = red(bold(errorOutputAsJSON.message));
      const getConfigErrorInit = K(errorOutputAsJSON).with({ error_code: "P1012" }, (eJSON) => {
        return {
          reason: createSchemaValidationError(reason),
          errorCode: eJSON.error_code
        };
      }).with({ error_code: S.string }, (eJSON) => {
        return {
          reason,
          errorCode: eJSON.error_code
        };
      }).otherwise(() => {
        return {
          reason
        };
      });
      return { _tag: "parsed", message: defaultMessage2, ...getConfigErrorInit };
    }),
    getOrElseW(import_function11.identity)
  );
  return actualError;
}

// ../internals/src/engine-commands/getConfig.ts
var debug4 = src_default("prisma:getConfig");
var GetConfigError = class extends Error {
  constructor(params) {
    const constructedErrorMessage = K(params).with({ _tag: "parsed" }, ({ errorCode, message: message2, reason }) => {
      const errorCodeMessage = errorCode ? `Error code: ${errorCode}` : "";
      return `${reason}
${errorCodeMessage}
${message2}`;
    }).with({ _tag: "unparsed" }, ({ message: message2, reason }) => {
      const detailsHeader = red(bold("Details:"));
      return `${reason}
${detailsHeader} ${message2}`;
    }).exhaustive();
    const errorMessageWithContext = `${constructedErrorMessage}
[Context: getConfig]`;
    super(addVersionDetailsToErrorMessage(errorMessageWithContext));
    this.name = "GetConfigError";
  }
};
function getEffectiveUrl2(ds) {
  if (ds.directUrl !== void 0)
    return ds.directUrl;
  return ds.url;
}
function getDirectUrl2(ds) {
  return ds.directUrl;
}
function resolveUrl2(envValue) {
  const urlFromValue = envValue?.value;
  const urlEnvVarName = envValue?.fromEnvVar;
  const urlEnvVarValue = urlEnvVarName ? process.env[urlEnvVarName] : void 0;
  return urlFromValue ?? urlEnvVarValue;
}
async function getConfig2(options2) {
  const debugErrorType = createDebugErrorType(debug4, "getConfigWasm");
  debug4(`Using getConfig Wasm`);
  const configEither = (0, import_function12.pipe)(
    tryCatch2(
      () => {
        if (process.env.FORCE_PANIC_QUERY_ENGINE_GET_CONFIG) {
          debug4("Triggering a Rust panic...");
          import_prisma_schema_wasm.default.debug_panic();
        }
        const params = JSON.stringify({
          prismaSchema: options2.datamodel,
          datasourceOverrides: {},
          ignoreEnvVarErrors: options2.ignoreEnvVarErrors ?? false,
          env: process.env
        });
        const data = import_prisma_schema_wasm.default.get_config(params);
        return data;
      },
      (e3) => ({
        type: "wasm-error",
        reason: "(get-config wasm)",
        error: e3
      })
    ),
    map2((result) => ({ result })),
    chainW(
      ({ result }) => (
        // NOTE: this should never fail, as we expect returned values to be valid JSON-serializable strings
        tryCatch2(
          () => JSON.parse(result),
          (e3) => ({
            type: "parse-json",
            reason: "Unable to parse JSON",
            error: e3
          })
        )
      )
    )
  );
  if (isRight2(configEither)) {
    debug4("config data retrieved without errors in getConfig Wasm");
    const { right: data } = configEither;
    for (const generator of data.generators) {
      await resolveBinaryTargets(generator);
    }
    return Promise.resolve(data);
  }
  const error2 = K(configEither.left).with({ type: "wasm-error" }, (e3) => {
    debugErrorType(e3);
    if (isWasmPanic(e3.error)) {
      const { message: message2, stack: stack2 } = getWasmError(e3.error);
      const panic = new RustPanic2(
        /* message */
        message2,
        /* rustStack */
        stack2,
        /* request */
        "@prisma/prisma-schema-wasm get_config",
        "FMT_CLI" /* FMT_CLI */,
        /* schemaPath */
        options2.prismaPath,
        /* schema */
        options2.datamodel
      );
      return panic;
    }
    const errorOutput = e3.error.message;
    return new GetConfigError(parseQueryEngineError({ errorOutput, reason: e3.reason }));
  }).otherwise((e3) => {
    debugErrorType(e3);
    return new GetConfigError({ _tag: "unparsed", message: e3.error.message, reason: e3.reason });
  });
  throw error2;
}
async function resolveBinaryTargets(generator) {
  for (const binaryTarget of generator.binaryTargets) {
    if (binaryTarget.fromEnvVar && process.env[binaryTarget.fromEnvVar]) {
      const value = JSON.parse(process.env[binaryTarget.fromEnvVar]);
      if (Array.isArray(value)) {
        generator.binaryTargets = value.map((v2) => ({ fromEnvVar: null, value: v2 }));
        await resolveBinaryTargets(generator);
      } else {
        binaryTarget.value = value;
      }
    }
    if (binaryTarget.value === "native") {
      binaryTarget.value = await getPlatform2();
      binaryTarget.native = true;
    }
  }
  if (generator.binaryTargets.length === 0) {
    generator.binaryTargets = [{ fromEnvVar: null, value: await getPlatform2(), native: true }];
  }
}

// ../internals/src/utils/getEnvPaths.ts
init_src();
var import_find_up = __toESM(require_find_up());
var import_fs4 = __toESM(require("fs"));
var import_path7 = __toESM(require("path"));

// ../internals/src/cli/getSchema.ts
var import_execa2 = __toESM(require_execa());
var import_fs2 = __toESM(require("fs"));
init_colors();
var import_path5 = __toESM(require("path"));
var import_read_pkg_up = __toESM(require_read_pkg_up());
var import_util2 = require("util");
var exists = (0, import_util2.promisify)(import_fs2.default.exists);
async function getSchemaPath2(schemaPathFromArgs, opts2 = {
  cwd: process.cwd()
}) {
  return getSchemaPathInternal(schemaPathFromArgs, {
    cwd: opts2.cwd
  });
}
async function getSchemaPathInternal(schemaPathFromArgs, opts2 = {
  cwd: process.cwd()
}) {
  if (schemaPathFromArgs) {
    const customSchemaPath = await getAbsoluteSchemaPath(import_path5.default.resolve(schemaPathFromArgs));
    if (!customSchemaPath) {
      throw new Error(`Provided --schema at ${schemaPathFromArgs} doesn't exist.`);
    }
    return customSchemaPath;
  }
  const schemaPath2 = await getSchemaPathFromPackageJson2(opts2.cwd) ?? await getRelativeSchemaPath2(opts2.cwd) ?? await resolveYarnSchema(opts2.cwd);
  if (schemaPath2) {
    return schemaPath2;
  }
  return null;
}
async function getPrismaConfigFromPackageJson2(cwd) {
  const pkgJson = await (0, import_read_pkg_up.default)({ cwd });
  const prismaPropertyFromPkgJson = pkgJson?.packageJson?.prisma;
  if (!pkgJson) {
    return null;
  }
  return {
    data: prismaPropertyFromPkgJson,
    packagePath: pkgJson.path
  };
}
async function getSchemaPathFromPackageJson2(cwd) {
  const prismaConfig = await getPrismaConfigFromPackageJson2(cwd);
  if (!prismaConfig || !prismaConfig.data?.schema) {
    return null;
  }
  const schemaPathFromPkgJson = prismaConfig.data.schema;
  if (typeof schemaPathFromPkgJson !== "string") {
    throw new Error(
      `Provided schema path \`${schemaPathFromPkgJson}\` from \`${import_path5.default.relative(
        cwd,
        prismaConfig.packagePath
      )}\` must be of type string`
    );
  }
  const absoluteSchemaPath = import_path5.default.isAbsolute(schemaPathFromPkgJson) ? schemaPathFromPkgJson : import_path5.default.resolve(import_path5.default.dirname(prismaConfig.packagePath), schemaPathFromPkgJson);
  if (await exists(absoluteSchemaPath) === false) {
    throw new Error(
      `Provided schema path \`${import_path5.default.relative(cwd, absoluteSchemaPath)}\` from \`${import_path5.default.relative(
        cwd,
        prismaConfig.packagePath
      )}\` doesn't exist.`
    );
  }
  return absoluteSchemaPath;
}
async function resolveYarnSchema(cwd) {
  if (process.env.npm_config_user_agent?.includes("yarn")) {
    try {
      const { stdout: version3 } = await import_execa2.default.command("yarn --version", {
        cwd
      });
      if (version3.startsWith("2")) {
        return null;
      }
      const { stdout } = await import_execa2.default.command("yarn workspaces info --json", {
        cwd
      });
      const json = getJson(stdout);
      const workspaces = Object.values(json);
      const workspaceRootDir = await findWorkspaceRoot(cwd);
      if (!workspaceRootDir) {
        return null;
      }
      for (const workspace of workspaces) {
        const workspacePath = import_path5.default.join(workspaceRootDir, workspace.location);
        const workspaceSchemaPath = getSchemaPathFromPackageJsonSync2(workspacePath) ?? getRelativeSchemaPathSync(workspacePath);
        if (workspaceSchemaPath) {
          return workspaceSchemaPath;
        }
      }
      const workspaceSchemaPathFromRoot = getSchemaPathFromPackageJsonSync2(workspaceRootDir) ?? getRelativeSchemaPathSync(workspaceRootDir);
      if (workspaceSchemaPathFromRoot) {
        return workspaceSchemaPathFromRoot;
      }
    } catch (e3) {
      return null;
    }
  }
  return null;
}
function resolveYarnSchemaSync(cwd) {
  if (process.env.npm_config_user_agent?.includes("yarn")) {
    try {
      const { stdout: version3 } = import_execa2.default.commandSync("yarn --version", {
        cwd
      });
      if (version3.startsWith("2")) {
        return null;
      }
      const { stdout } = import_execa2.default.commandSync("yarn workspaces info --json", {
        cwd
      });
      const json = getJson(stdout);
      const workspaces = Object.values(json);
      const workspaceRootDir = findWorkspaceRootSync(cwd);
      if (!workspaceRootDir) {
        return null;
      }
      for (const workspace of workspaces) {
        const workspacePath = import_path5.default.join(workspaceRootDir, workspace.location);
        const workspaceSchemaPath = getSchemaPathFromPackageJsonSync2(workspacePath) ?? getRelativeSchemaPathSync(workspacePath);
        if (workspaceSchemaPath) {
          return workspaceSchemaPath;
        }
      }
      const workspaceSchemaPathFromRoot = getSchemaPathFromPackageJsonSync2(workspaceRootDir) ?? getRelativeSchemaPathSync(workspaceRootDir);
      if (workspaceSchemaPathFromRoot) {
        return workspaceSchemaPathFromRoot;
      }
    } catch (e3) {
      return null;
    }
  }
  return null;
}
async function getAbsoluteSchemaPath(schemaPath2) {
  if (await exists(schemaPath2)) {
    return schemaPath2;
  }
  return null;
}
async function getRelativeSchemaPath2(cwd) {
  let schemaPath2;
  schemaPath2 = import_path5.default.join(cwd, "schema.prisma");
  if (await exists(schemaPath2)) {
    return schemaPath2;
  }
  schemaPath2 = import_path5.default.join(cwd, `prisma/schema.prisma`);
  if (await exists(schemaPath2)) {
    return schemaPath2;
  }
  return null;
}
async function getSchemaDir2(schemaPathFromArgs) {
  if (schemaPathFromArgs) {
    return import_path5.default.resolve(import_path5.default.dirname(schemaPathFromArgs));
  }
  const schemaPath2 = await getSchemaPath2(schemaPathFromArgs);
  if (!schemaPath2) {
    return null;
  }
  return import_path5.default.dirname(schemaPath2);
}
async function getSchema2(schemaPathFromArgs) {
  const schemaPath2 = await getSchemaPath2(schemaPathFromArgs);
  if (!schemaPath2) {
    throw new Error(
      `Could not find a ${bold(
        "schema.prisma"
      )} file that is required for this command.
You can either provide it with ${green(
        "--schema"
      )}, set it as \`prisma.schema\` in your package.json or put it into the default location ${green(
        "./prisma/schema.prisma"
      )} https://pris.ly/d/prisma-schema-location`
    );
  }
  return import_fs2.default.promises.readFile(schemaPath2, "utf-8");
}
function getSchemaPathSync2(schemaPathFromArgs) {
  return getSchemaPathSyncInternal(schemaPathFromArgs, {
    cwd: process.cwd()
  });
}
function getSchemaPathSyncInternal(schemaPathFromArgs, opts2 = {
  cwd: process.cwd()
}) {
  if (schemaPathFromArgs) {
    const customSchemaPath = getAbsoluteSchemaPathSync(import_path5.default.resolve(schemaPathFromArgs));
    if (!customSchemaPath) {
      throw new Error(`Provided --schema at ${schemaPathFromArgs} doesn't exist.`);
    }
    return customSchemaPath;
  }
  const schemaPath2 = getSchemaPathFromPackageJsonSync2(opts2.cwd) ?? getRelativeSchemaPathSync(opts2.cwd) ?? resolveYarnSchemaSync(opts2.cwd);
  if (schemaPath2) {
    return schemaPath2;
  }
  return null;
}
function getSchemaPathFromPackageJsonSync2(cwd) {
  const pkgJson = import_read_pkg_up.default.sync({ cwd });
  const schemaPathFromPkgJson = pkgJson?.packageJson?.prisma?.schema;
  if (!schemaPathFromPkgJson || !pkgJson) {
    return null;
  }
  if (typeof schemaPathFromPkgJson !== "string") {
    throw new Error(
      `Provided schema path \`${schemaPathFromPkgJson}\` from \`${import_path5.default.relative(
        cwd,
        pkgJson.path
      )}\` must be of type string`
    );
  }
  const absoluteSchemaPath = import_path5.default.isAbsolute(schemaPathFromPkgJson) ? schemaPathFromPkgJson : import_path5.default.resolve(import_path5.default.dirname(pkgJson.path), schemaPathFromPkgJson);
  if (import_fs2.default.existsSync(absoluteSchemaPath) === false) {
    throw new Error(
      `Provided schema path \`${import_path5.default.relative(cwd, absoluteSchemaPath)}\` from \`${import_path5.default.relative(
        cwd,
        pkgJson.path
      )}\` doesn't exist.`
    );
  }
  return absoluteSchemaPath;
}
function getAbsoluteSchemaPathSync(schemaPath2) {
  if (import_fs2.default.existsSync(schemaPath2)) {
    return schemaPath2;
  }
  return null;
}
function getRelativeSchemaPathSync(cwd) {
  let schemaPath2 = import_path5.default.join(cwd, "schema.prisma");
  if (import_fs2.default.existsSync(schemaPath2)) {
    return schemaPath2;
  }
  schemaPath2 = import_path5.default.join(cwd, `prisma/schema.prisma`);
  if (import_fs2.default.existsSync(schemaPath2)) {
    return schemaPath2;
  }
  return null;
}
function getJson(stdout) {
  const firstCurly = stdout.indexOf("{");
  const lastCurly = stdout.lastIndexOf("}");
  const sliced = stdout.slice(firstCurly, lastCurly + 1);
  return JSON.parse(sliced);
}
function isPkgJsonWorkspaceRoot(pkgJson) {
  const workspaces = pkgJson.workspaces;
  if (!workspaces) {
    return false;
  }
  return Array.isArray(workspaces) || workspaces.packages !== void 0;
}
async function isNearestPkgJsonWorkspaceRoot(cwd) {
  const pkgJson = await (0, import_read_pkg_up.default)({ cwd });
  if (!pkgJson) {
    return null;
  }
  return {
    isRoot: isPkgJsonWorkspaceRoot(pkgJson.packageJson),
    path: pkgJson.path
  };
}
function isNearestPkgJsonWorkspaceRootSync(cwd) {
  const pkgJson = import_read_pkg_up.default.sync({ cwd });
  if (!pkgJson) {
    return null;
  }
  return {
    isRoot: isPkgJsonWorkspaceRoot(pkgJson.packageJson),
    path: pkgJson.path
  };
}
async function findWorkspaceRoot(cwd) {
  let pkgJson = await isNearestPkgJsonWorkspaceRoot(cwd);
  if (!pkgJson) {
    return null;
  }
  if (pkgJson.isRoot === true) {
    return import_path5.default.dirname(pkgJson.path);
  }
  const pkgJsonParentDir = import_path5.default.dirname(import_path5.default.dirname(pkgJson.path));
  pkgJson = await isNearestPkgJsonWorkspaceRoot(pkgJsonParentDir);
  if (!pkgJson || pkgJson.isRoot === false) {
    return null;
  }
  return import_path5.default.dirname(pkgJson.path);
}
function findWorkspaceRootSync(cwd) {
  let pkgJson = isNearestPkgJsonWorkspaceRootSync(cwd);
  if (!pkgJson) {
    return null;
  }
  if (pkgJson.isRoot === true) {
    return import_path5.default.dirname(pkgJson.path);
  }
  const pkgJsonParentDir = import_path5.default.dirname(import_path5.default.dirname(pkgJson.path));
  pkgJson = isNearestPkgJsonWorkspaceRootSync(pkgJsonParentDir);
  if (!pkgJson || pkgJson.isRoot === false) {
    return null;
  }
  return import_path5.default.dirname(pkgJson.path);
}

// ../internals/src/utils/tryLoadEnvs.ts
init_src();
var import_dotenv = __toESM(require_main3());
var import_fs3 = __toESM(require("fs"));
init_colors();
var import_path6 = __toESM(require("path"));

// ../internals/src/dotenvExpand.ts
function dotenvExpand(config2) {
  const environment = config2.ignoreProcessEnv ? {} : process.env;
  const interpolate = (envValue) => {
    const matches = envValue.match(/(.?\${(?:[a-zA-Z0-9_]+)?})/g);
    return matches?.reduce(function(newEnv, match4) {
      const parts = /(.?)\${([a-zA-Z0-9_]+)?}/g.exec(match4);
      if (!parts) {
        return newEnv;
      }
      const prefix = parts[1];
      let value, replacePart;
      if (prefix === "\\") {
        replacePart = parts[0];
        value = replacePart.replace("\\$", "$");
      } else {
        const key = parts[2];
        replacePart = parts[0].substring(prefix.length);
        value = Object.hasOwnProperty.call(environment, key) ? environment[key] : config2.parsed[key] || "";
        value = interpolate(value);
      }
      return newEnv.replace(replacePart, value);
    }, envValue) ?? envValue;
  };
  for (const configKey in config2.parsed) {
    const value = Object.hasOwnProperty.call(environment, configKey) ? environment[configKey] : config2.parsed[configKey];
    config2.parsed[configKey] = interpolate(value);
  }
  for (const processKey in config2.parsed) {
    environment[processKey] = config2.parsed[processKey];
  }
  return config2;
}

// ../internals/src/utils/tryLoadEnvs.ts
var debug5 = src_default("prisma:tryLoadEnv");
function tryLoadEnvs2({
  rootEnvPath,
  schemaEnvPath
}, opts2 = {
  conflictCheck: "none"
}) {
  const rootEnvInfo = loadEnv(rootEnvPath);
  if (opts2.conflictCheck !== "none") {
    checkForConflicts(rootEnvInfo, schemaEnvPath, opts2.conflictCheck);
  }
  let schemaEnvInfo = null;
  if (!pathsEqual(rootEnvInfo?.path, schemaEnvPath)) {
    schemaEnvInfo = loadEnv(schemaEnvPath);
  }
  if (!rootEnvInfo && !schemaEnvInfo) {
    debug5("No Environment variables loaded");
  }
  if (schemaEnvInfo?.dotenvResult.error) {
    return console.error(red(bold("Schema Env Error: ")) + schemaEnvInfo.dotenvResult.error);
  }
  const messages = [rootEnvInfo?.message, schemaEnvInfo?.message].filter(Boolean);
  return {
    message: messages.join("\n"),
    parsed: {
      ...rootEnvInfo?.dotenvResult?.parsed,
      ...schemaEnvInfo?.dotenvResult?.parsed
    }
  };
}
function checkForConflicts(rootEnvInfo, envPath, type) {
  const parsedRootEnv = rootEnvInfo?.dotenvResult.parsed;
  const areNotTheSame = !pathsEqual(rootEnvInfo?.path, envPath);
  if (parsedRootEnv && envPath && areNotTheSame && import_fs3.default.existsSync(envPath)) {
    const envConfig = import_dotenv.default.parse(import_fs3.default.readFileSync(envPath));
    const conflicts = [];
    for (const k in envConfig) {
      if (parsedRootEnv[k] === envConfig[k]) {
        conflicts.push(k);
      }
    }
    if (conflicts.length > 0) {
      const relativeRootEnvPath = import_path6.default.relative(process.cwd(), rootEnvInfo.path);
      const relativeEnvPath = import_path6.default.relative(process.cwd(), envPath);
      if (type === "error") {
        const message2 = `There is a conflict between env var${conflicts.length > 1 ? "s" : ""} in ${underline(
          relativeRootEnvPath
        )} and ${underline(relativeEnvPath)}
Conflicting env vars:
${conflicts.map((conflict) => `  ${bold(conflict)}`).join("\n")}

We suggest to move the contents of ${underline(relativeEnvPath)} to ${underline(
          relativeRootEnvPath
        )} to consolidate your env vars.
`;
        throw new Error(message2);
      } else if (type === "warn") {
        const message2 = `Conflict for env var${conflicts.length > 1 ? "s" : ""} ${conflicts.map((c4) => bold(c4)).join(", ")} in ${underline(relativeRootEnvPath)} and ${underline(relativeEnvPath)}
Env vars from ${underline(relativeEnvPath)} overwrite the ones from ${underline(relativeRootEnvPath)}
      `;
        console.warn(`${yellow("warn(prisma)")} ${message2}`);
      }
    }
  }
}
function loadEnv(envPath) {
  if (exists2(envPath)) {
    debug5(`Environment variables loaded from ${envPath}`);
    return {
      dotenvResult: dotenvExpand(
        import_dotenv.default.config({
          path: envPath,
          // Useful to debug dotenv parsing, prints errors & warnings
          // Set to any value to enable
          // Example for empty .env file
          // [dotenv][DEBUG] did not match key and value when parsing line 1:
          //
          // Value needs to be null or undefined, false is truthy
          // https://github.com/motdotla/dotenv/blob/7301ac9be0b2c766f865bbe24280bf82586d25aa/lib/main.js#L89-L91
          debug: process.env.DOTENV_CONFIG_DEBUG ? true : void 0
        })
      ),
      message: dim(`Environment variables loaded from ${import_path6.default.relative(process.cwd(), envPath)}`),
      path: envPath
    };
  } else {
    debug5(`Environment variables not found at ${envPath}`);
  }
  return null;
}
function pathsEqual(path1, path210) {
  return path1 && path210 && import_path6.default.resolve(path1) === import_path6.default.resolve(path210);
}
function exists2(p2) {
  return Boolean(p2 && import_fs3.default.existsSync(p2));
}

// ../internals/src/utils/getEnvPaths.ts
var debug6 = src_default("prisma:loadEnv");
function getEnvPaths2(schemaPath2, opts2 = { cwd: process.cwd() }) {
  const rootEnvPath = getProjectRootEnvPath({ cwd: opts2.cwd }) ?? null;
  const schemaEnvPathFromArgs = schemaPathToEnvPath(schemaPath2);
  const schemaEnvPathFromPkgJson = schemaPathToEnvPath(readSchemaPathFromPkgJson());
  const schemaEnvPaths = [
    schemaEnvPathFromArgs,
    // 1 - Check --schema directory for .env
    schemaEnvPathFromPkgJson,
    // 2 - Check package.json schema directory for .env
    "./prisma/.env",
    // 3 - Check ./prisma directory for .env
    "./.env"
    // 4 - Check cwd for .env
  ];
  const schemaEnvPath = schemaEnvPaths.find(exists2);
  return { rootEnvPath, schemaEnvPath };
}
function readSchemaPathFromPkgJson() {
  try {
    return getSchemaPathFromPackageJsonSync2(process.cwd());
  } catch {
    return null;
  }
}
function getProjectRootEnvPath(opts2) {
  const pkgJsonPath = import_find_up.default.sync((dir3) => {
    const pkgPath = import_path7.default.join(dir3, "package.json");
    if (import_find_up.default.sync.exists(pkgPath)) {
      try {
        const pkg2 = JSON.parse(import_fs4.default.readFileSync(pkgPath, "utf8"));
        if (pkg2["name"] !== ".prisma/client") {
          debug6(`project root found at ${pkgPath}`);
          return pkgPath;
        }
      } catch (e3) {
        debug6(`skipping package.json at ${pkgPath}`);
      }
    }
    return void 0;
  }, opts2);
  if (!pkgJsonPath) {
    return null;
  }
  const candidate = import_path7.default.join(import_path7.default.dirname(pkgJsonPath), ".env");
  if (!import_fs4.default.existsSync(candidate)) {
    return null;
  }
  return candidate;
}
function schemaPathToEnvPath(schemaPath2) {
  if (!schemaPath2)
    return null;
  return import_path7.default.join(import_path7.default.dirname(schemaPath2), ".env");
}

// ../internals/src/utils/loadEnvFile.ts
function loadEnvFile2(schemaPath2, print = false) {
  const envPaths2 = getEnvPaths2(schemaPath2);
  const envData = tryLoadEnvs2(envPaths2, { conflictCheck: "error" });
  if (print && envData && envData.message) {
    console.info(envData.message);
  }
}

// ../internals/src/cli/checkUnsupportedDataProxy.ts
var forbiddenCmdWithDataProxyFlagMessage = (command) => `
Using an Accelerate URL is not supported for this CLI command ${green(`prisma ${command}`)} yet.
Please use a direct connection to your database via the datasource \`directUrl\` setting.

More information about this limitation: ${link3("https://pris.ly/d/accelerate-limitations")}
`;
async function checkUnsupportedDataProxyMessage(command, args3, implicitSchema) {
  if (implicitSchema === true) {
    args3["--schema"] = await getSchemaPath2(args3["--schema"]) ?? void 0;
  }
  const argList = Object.entries(args3);
  for (const [argName, argValue] of argList) {
    if (argName.includes("url") && argValue.includes("prisma://")) {
      return forbiddenCmdWithDataProxyFlagMessage(command);
    }
    if (argName.includes("schema")) {
      loadEnvFile2(argValue, false);
      const datamodel2 = await import_fs5.default.promises.readFile(argValue, "utf-8");
      const config2 = await getConfig2({ datamodel: datamodel2, ignoreEnvVarErrors: true });
      const url2 = resolveUrl2(getEffectiveUrl2(config2.datasources[0]));
      if (url2?.startsWith("prisma://")) {
        return forbiddenCmdWithDataProxyFlagMessage(command);
      }
    }
  }
  return void 0;
}
async function checkUnsupportedDataProxy2(command, args3, implicitSchema) {
  const message2 = await checkUnsupportedDataProxyMessage(command, args3, implicitSchema).catch(() => void 0);
  if (message2)
    throw new Error(message2);
}

// ../internals/src/cli/getGeneratorSuccessMessage.ts
init_colors();
var import_path8 = __toESM(require("path"));

// ../internals/src/client/getClientEngineType.ts
var DEFAULT_CLIENT_ENGINE_TYPE2 = "library" /* Library */;
function getClientEngineType2(generatorConfig) {
  const engineTypeFromEnvVar = getEngineTypeFromEnvVar();
  if (engineTypeFromEnvVar)
    return engineTypeFromEnvVar;
  if (generatorConfig?.config.engineType === "library" /* Library */) {
    return "library" /* Library */;
  } else if (generatorConfig?.config.engineType === "binary" /* Binary */) {
    return "binary" /* Binary */;
  } else {
    return DEFAULT_CLIENT_ENGINE_TYPE2;
  }
}
function getEngineTypeFromEnvVar() {
  const engineType = process.env.PRISMA_CLIENT_ENGINE_TYPE;
  if (engineType === "library" /* Library */) {
    return "library" /* Library */;
  } else if (engineType === "binary" /* Binary */) {
    return "binary" /* Binary */;
  } else {
    return void 0;
  }
}

// ../internals/src/utils/formatms.ts
function formatms2(ms2) {
  if (ms2 < 1e3) {
    return `${ms2}ms`;
  }
  return (ms2 / 1e3).toFixed(2) + "s";
}

// ../internals/src/utils/parseEnvValue.ts
init_colors();
function parseEnvValue2(object) {
  if (object.fromEnvVar && object.fromEnvVar != "null") {
    const value = process.env[object.fromEnvVar];
    if (!value) {
      throw new Error(
        `Attempted to load provider value using \`env(${object.fromEnvVar})\` but it was not present. Please ensure that ${dim(
          object.fromEnvVar
        )} is present in your Environment Variables`
      );
    }
    return value;
  }
  return object.value;
}
function parseBinaryTargetsEnvValue2(object) {
  if (object.fromEnvVar && object.fromEnvVar != "null") {
    const value = process.env[object.fromEnvVar];
    if (!value) {
      throw new Error(
        `Attempted to load binaryTargets value using \`env(${object.fromEnvVar})\` but it was not present. Please ensure that ${dim(
          object.fromEnvVar
        )} is present in your Environment Variables`
      );
    }
    return JSON.parse(value);
  }
  return object.value;
}

// ../internals/src/cli/getGeneratorSuccessMessage.ts
function getGeneratorSuccessMessage2(generator, time) {
  const name = generator.getPrettyName();
  const version3 = formatVersion(generator);
  const to2 = formatOutput(generator);
  return `\u2714 Generated ${bold(name)}${version3 ? ` (${version3})` : ""}${to2} in ${formatms2(time)}`;
}
function formatVersion(generator) {
  const version3 = generator.manifest?.version;
  if (generator.getProvider() === "prisma-client-js") {
    const engineType = getClientEngineType2(generator.config);
    let engineHint = "";
    if (generator.options?.noEngine) {
      engineHint = ", engine=none";
    } else if (engineType === "binary") {
      engineHint = ", engine=binary";
    } else if (engineType === "library") {
      engineHint = "";
    }
    return `v${version3 ?? "?.?.?"}${engineHint}`;
  }
  return version3;
}
function formatOutput(generator) {
  const output = generator.options?.generator.output;
  return output ? dim(` to .${import_path8.default.sep}${import_path8.default.relative(process.cwd(), parseEnvValue2(output))}`) : "";
}

// ../internals/src/cli/hashes.ts
var import_crypto = __toESM(require("crypto"));

// ../internals/src/cli/utils.ts
var import_arg = __toESM(require_arg());
var import_strip_indent = __toESM(require_strip_indent());
function format2(input = "") {
  return (0, import_strip_indent.default)(input).trimRight() + "\n";
}
function arg2(argv, spec, stopAtPositional = true, permissive = false) {
  try {
    return (0, import_arg.default)(spec, { argv, stopAtPositional, permissive });
  } catch (e3) {
    return e3;
  }
}
function isError2(result) {
  return result instanceof Error;
}

// ../internals/src/cli/hashes.ts
async function getProjectHash2() {
  const args3 = arg2(process.argv.slice(3), { "--schema": String });
  let projectPath = await getSchemaPath2(args3["--schema"]);
  projectPath = projectPath || process.cwd();
  return import_crypto.default.createHash("sha256").update(projectPath).digest("hex").substring(0, 8);
}
function getCLIPathHash2() {
  const cliPath = process.argv[1];
  return import_crypto.default.createHash("sha256").update(cliPath).digest("hex").substring(0, 8);
}

// ../internals/src/cli/Help.ts
init_colors();
function unknownCommand2(helpTemplate, cmd) {
  return new HelpError2(`
${bold(red(`!`))} Unknown command "${cmd}"
${helpTemplate}`);
}
var HelpError2 = class _HelpError extends Error {
  constructor(msg) {
    super(msg);
    this.name = "HelpError";
    Object.setPrototypeOf(this, _HelpError.prototype);
  }
};

// ../internals/src/convertCredentials.ts
var import_path9 = __toESM(require("path"));
var NodeURL = __toESM(require("url"));
function uriToCredentials2(connectionString) {
  let uri;
  try {
    uri = new NodeURL.URL(connectionString);
  } catch (e3) {
    throw new Error(
      "Invalid data source URL, see https://www.prisma.io/docs/reference/database-reference/connection-urls"
    );
  }
  const type = protocolToConnectorType2(uri.protocol);
  const exists5 = (str) => str && str.length > 0;
  const extraFields = {};
  const schema = uri.searchParams.get("schema");
  const socket = uri.searchParams.get("socket");
  for (const [name, value] of uri.searchParams) {
    if (!["schema", "socket"].includes(name)) {
      extraFields[name] = value;
    }
  }
  let database = void 0;
  if (type === "sqlite" && uri.pathname) {
    if (uri.pathname.startsWith("file:")) {
      database = uri.pathname.slice(5);
    } else {
      database = import_path9.default.basename(uri.pathname);
    }
  } else if (uri.pathname.length > 1) {
    database = uri.pathname.slice(1);
    if (type === "postgresql" && !database) {
      database = "postgres";
    }
  }
  return {
    type,
    host: exists5(uri.hostname) ? uri.hostname : void 0,
    user: exists5(uri.username) ? uri.username : void 0,
    port: exists5(uri.port) ? Number(uri.port) : void 0,
    password: exists5(uri.password) ? uri.password : void 0,
    database,
    schema: schema || void 0,
    uri: connectionString,
    ssl: Boolean(uri.searchParams.get("sslmode")),
    socket: socket || void 0,
    extraFields
  };
}
function protocolToConnectorType2(protocol) {
  switch (protocol) {
    case "postgresql:":
    case "postgres:":
      return "postgresql";
    case "mongodb+srv:":
    case "mongodb:":
      return "mongodb";
    case "mysql:":
      return "mysql";
    case "file:":
      return "sqlite";
    case "sqlserver:":
    case "jdbc:sqlserver:":
      return "sqlserver";
  }
  throw new Error(`Unknown protocol ${protocol}`);
}

// ../internals/src/engine-commands/formatSchema.ts
var import_fs6 = __toESM(require("fs"));
init_dist();

// ../internals/src/engine-commands/lintSchema.ts
init_colors();
function lintSchema2({ schema }) {
  const lintResult = import_prisma_schema_wasm.default.lint(schema);
  const lintDiagnostics = JSON.parse(lintResult);
  return lintDiagnostics;
}
function handleLintPanic2(tryCb, { schema }) {
  try {
    return tryCb();
  } catch (e3) {
    const { message: message2, stack: stack2 } = getWasmError(e3);
    const panic = new RustPanic2(
      /* message */
      message2,
      /* rustStack */
      stack2,
      /* request */
      "@prisma/prisma-schema-wasm lint",
      "FMT_CLI" /* FMT_CLI */,
      void 0,
      schema
    );
    throw panic;
  }
}
function getLintWarnings(lintDiagnostics) {
  return lintDiagnostics.filter(isWarning);
}
function getLintWarningsAsText2(lintDiagnostics) {
  const lintWarnings = getLintWarnings(lintDiagnostics);
  const textLines = [];
  if (lintWarnings.length > 0) {
    textLines.push(yellow(`
Prisma schema warning${lintWarnings.length > 1 ? "s" : ""}:`));
    for (const warning of lintWarnings) {
      textLines.push(warningToString(warning));
    }
  }
  return textLines.join("\n");
}
function warningToString(warning) {
  return yellow(`- ${warning.text}`);
}
function isWarning(diagnostic) {
  return diagnostic.is_warning;
}

// ../internals/src/engine-commands/formatSchema.ts
function isSchemaOnly(schemaParams) {
  return Boolean(schemaParams.schema);
}
function isSchemaPathOnly(schemaParams) {
  return Boolean(schemaParams.schemaPath);
}
async function formatSchema2({ schemaPath: schemaPath2, schema }, inputFormattingOptions) {
  if (!schema && !schemaPath2) {
    throw new Error(`Parameter schema or schemaPath must be passed.`);
  }
  if (process.env.FORCE_PANIC_PRISMA_SCHEMA) {
    handleFormatPanic(
      () => {
        import_prisma_schema_wasm.default.debug_panic();
      },
      { schemaPath: schemaPath2, schema }
    );
  }
  const schemaContent = K({ schema, schemaPath: schemaPath2 }).when(isSchemaOnly, ({ schema: _schema }) => _schema).when(isSchemaPathOnly, ({ schemaPath: _schemaPath }) => {
    if (!import_fs6.default.existsSync(_schemaPath)) {
      throw new Error(`Schema at ${schemaPath2} does not exist.`);
    }
    const _schema = import_fs6.default.readFileSync(_schemaPath, { encoding: "utf8" });
    return _schema;
  }).exhaustive();
  const defaultFormattingOptions = {
    tabSize: 2,
    insertSpaces: true
  };
  const documentFormattingParams = {
    textDocument: { uri: "file:/dev/null" },
    options: {
      ...defaultFormattingOptions,
      ...inputFormattingOptions
    }
  };
  const { formattedSchema, lintDiagnostics } = handleFormatPanic(
    () => {
      const formattedSchema2 = formatWasm(schemaContent, documentFormattingParams);
      const lintDiagnostics2 = lintSchema2({ schema: formattedSchema2 });
      return { formattedSchema: formattedSchema2, lintDiagnostics: lintDiagnostics2 };
    },
    { schemaPath: schemaPath2, schema }
  );
  const lintWarnings = getLintWarningsAsText2(lintDiagnostics);
  if (lintWarnings && logger_exports.should.warn()) {
    console.warn(lintWarnings);
  }
  return Promise.resolve(formattedSchema);
}
function handleFormatPanic(tryCb, { schemaPath: schemaPath2, schema }) {
  try {
    return tryCb();
  } catch (e3) {
    const { message: message2, stack: stack2 } = getWasmError(e3);
    const panic = new RustPanic2(
      /* message */
      message2,
      /* rustStack */
      stack2,
      /* request */
      "@prisma/prisma-schema-wasm format",
      "FMT_CLI" /* FMT_CLI */,
      schemaPath2,
      schema
    );
    throw panic;
  }
}
function formatWasm(schema, documentFormattingParams) {
  const formattedSchema = import_prisma_schema_wasm.default.format(schema, JSON.stringify(documentFormattingParams));
  return formattedSchema;
}

// ../internals/src/engine-commands/getDmmf.ts
init_src();
var import_function13 = __toESM(require_function());
var import_fs7 = __toESM(require("fs"));
init_colors();
init_dist();
var debug7 = src_default("prisma:getDMMF");
var GetDmmfError = class extends Error {
  constructor(params) {
    const constructedErrorMessage = K(params).with({ _tag: "parsed" }, ({ errorCode, message: message2, reason }) => {
      const errorCodeMessage = errorCode ? `Error code: ${errorCode}` : "";
      return `${reason}
${errorCodeMessage}
${message2}`;
    }).with({ _tag: "unparsed" }, ({ message: message2, reason }) => {
      const detailsHeader = red(bold("Details:"));
      return `${reason}
${detailsHeader} ${message2}`;
    }).exhaustive();
    const errorMessageWithContext = `${constructedErrorMessage}
[Context: getDmmf]`;
    super(addVersionDetailsToErrorMessage(errorMessageWithContext));
    this.name = "GetDmmfError";
  }
};
async function getDMMF2(options2) {
  warnOnDeprecatedFeatureFlag(options2.previewFeatures);
  const debugErrorType = createDebugErrorType(debug7, "getDmmfWasm");
  debug7(`Using getDmmf Wasm`);
  const dmmfPipeline = (0, import_function13.pipe)(
    tryCatch3(
      () => {
        if (options2.datamodel) {
          debug7("Using given datamodel");
          return Promise.resolve(options2.datamodel);
        }
        debug7(`Reading datamodel from the given datamodel path ${options2.datamodelPath}`);
        return import_fs7.default.promises.readFile(options2.datamodelPath, { encoding: "utf-8" });
      },
      (e3) => ({
        type: "read-datamodel-path",
        reason: "Error while trying to read the datamodel path",
        error: e3,
        datamodelPath: options2.datamodelPath
      })
    ),
    chainW2((datamodel2) => {
      return (0, import_function13.pipe)(
        tryCatch2(
          () => {
            if (process.env.FORCE_PANIC_QUERY_ENGINE_GET_DMMF) {
              debug7("Triggering a Rust panic...");
              import_prisma_schema_wasm.default.debug_panic();
            }
            const params = JSON.stringify({
              prismaSchema: datamodel2,
              noColor: Boolean(process.env.NO_COLOR)
            });
            const data = import_prisma_schema_wasm.default.get_dmmf(params);
            return data;
          },
          (e3) => ({
            type: "wasm-error",
            reason: "(get-dmmf wasm)",
            error: e3
          })
        ),
        map2((result) => ({ result })),
        chainW(
          ({ result }) => (
            // NOTE: this should never fail, as we expect returned values to be valid JSON-serializable strings
            tryCatch2(
              () => JSON.parse(result),
              (e3) => ({
                type: "parse-json",
                reason: "Unable to parse JSON",
                error: e3
              })
            )
          )
        ),
        fromEither2
      );
    })
  );
  const dmmfEither = await dmmfPipeline();
  if (isRight2(dmmfEither)) {
    debug7("dmmf data retrieved without errors in getDmmf Wasm");
    const { right: data } = dmmfEither;
    return Promise.resolve(data);
  }
  const error2 = K(dmmfEither.left).with({ type: "read-datamodel-path" }, (e3) => {
    debugErrorType(e3);
    return new GetDmmfError({
      _tag: "unparsed",
      message: `${e3.error.message}
Datamodel path: "${e3.datamodelPath}"`,
      reason: e3.reason
    });
  }).with({ type: "wasm-error" }, (e3) => {
    debugErrorType(e3);
    if (isWasmPanic(e3.error)) {
      const { message: message2, stack: stack2 } = getWasmError(e3.error);
      const panic = new RustPanic2(
        /* message */
        message2,
        /* rustStack */
        stack2,
        /* request */
        "@prisma/prisma-schema-wasm get_dmmf",
        "FMT_CLI" /* FMT_CLI */,
        /* schemaPath */
        options2.prismaPath,
        /* schema */
        options2.datamodel
      );
      return panic;
    }
    const errorOutput = e3.error.message;
    return new GetDmmfError(parseQueryEngineError({ errorOutput, reason: e3.reason }));
  }).with({ type: "parse-json" }, (e3) => {
    debugErrorType(e3);
    return new GetDmmfError({ _tag: "unparsed", message: e3.error.message, reason: e3.reason });
  }).exhaustive();
  throw error2;
}
function warnOnDeprecatedFeatureFlag(previewFeatures2) {
  const getMessage = (flag) => `${blue(bold("info"))} The preview flag "${flag}" is not needed anymore, please remove it from your schema.prisma`;
  const removedFeatureFlagMap = {
    insensitiveFilters: getMessage("insensitiveFilters"),
    atomicNumberOperations: getMessage("atomicNumberOperations"),
    connectOrCreate: getMessage("connectOrCreate"),
    transaction: getMessage("transaction"),
    nApi: getMessage("nApi"),
    transactionApi: getMessage("transactionApi"),
    uncheckedScalarInputs: getMessage("uncheckedScalarInputs"),
    nativeTypes: getMessage("nativeTypes"),
    createMany: getMessage("createMany"),
    groupBy: getMessage("groupBy"),
    referentialActions: getMessage("referentialActions"),
    microsoftSqlServer: getMessage("microsoftSqlServer"),
    selectRelationCount: getMessage("selectRelationCount"),
    orderByRelation: getMessage("orderByRelation"),
    orderByAggregateGroup: getMessage("orderByAggregateGroup")
  };
  previewFeatures2?.forEach((f4) => {
    const removedMessage = removedFeatureFlagMap[f4];
    if (removedMessage && !process.env.PRISMA_HIDE_PREVIEW_FLAG_WARNINGS) {
      console.warn(removedMessage);
    }
  });
}

// ../internals/src/engine-commands/getEnginesMetaInfo.ts
var import_engines3 = require("@prisma/engines");
init_src3();
var import_function14 = __toESM(require_function());
var import_path16 = __toESM(require("path"));
init_dist();

// ../internals/src/resolveBinary.ts
var import_engines = require("@prisma/engines");
init_src3();
init_src2();
var import_fs16 = __toESM(require("fs"));
var import_fs_extra3 = __toESM(require_lib4());
var import_path15 = __toESM(require("path"));
var import_temp_dir2 = __toESM(require_temp_dir());

// ../internals/src/utils/chmodPlusX.ts
init_src();
var import_fs15 = __toESM(require("fs"));
var debug14 = src_default("chmodPlusX");
function chmodPlusX3(file2) {
  if (process.platform === "win32")
    return;
  const s3 = import_fs15.default.statSync(file2);
  const newMode = s3.mode | 64 | 8 | 1;
  if (s3.mode === newMode) {
    debug14(`Execution permissions of ${file2} are fine`);
    return;
  }
  const base8 = newMode.toString(8).slice(-3);
  debug14(`Have to call chmodPlusX on ${file2}`);
  import_fs15.default.chmodSync(file2, base8);
}

// ../internals/src/utils/vercelPkgPathRegex.ts
var vercelPkgPathRegex3 = /^((\w:[\\\/])|\/)snapshot[\/\\]/;

// ../internals/src/resolveBinary.ts
async function getBinaryName2(name) {
  const platform2 = await getPlatform2();
  const extension = platform2 === "windows" ? ".exe" : "";
  if (name === "libquery-engine" /* QueryEngineLibrary */) {
    return getNodeAPIName2(platform2, "fs");
  }
  return `${name}-${platform2}${extension}`;
}
async function resolveBinary2(name, proposedPath) {
  if (proposedPath && !proposedPath.match(vercelPkgPathRegex3) && import_fs16.default.existsSync(proposedPath)) {
    return proposedPath;
  }
  const pathFromEnvVar = getBinaryEnvVarPath(name);
  if (pathFromEnvVar !== null) {
    return pathFromEnvVar.path;
  }
  const binaryName = await getBinaryName2(name);
  const prismaPath2 = import_path15.default.join((0, import_engines.getEnginesPath)(), binaryName);
  if (import_fs16.default.existsSync(prismaPath2)) {
    return maybeCopyToTmp2(prismaPath2);
  }
  const prismaPath22 = import_path15.default.join(__dirname, "..", binaryName);
  if (import_fs16.default.existsSync(prismaPath22)) {
    return maybeCopyToTmp2(prismaPath22);
  }
  const prismaPath3 = import_path15.default.join(__dirname, "../..", binaryName);
  if (import_fs16.default.existsSync(prismaPath3)) {
    return maybeCopyToTmp2(prismaPath3);
  }
  const prismaPath4 = import_path15.default.join(__dirname, "../runtime", binaryName);
  if (import_fs16.default.existsSync(prismaPath4)) {
    return maybeCopyToTmp2(prismaPath4);
  }
  throw new Error(
    `Could not find ${name} binary. Searched in:
- ${prismaPath2}
- ${prismaPath22}
- ${prismaPath3}
- ${prismaPath4}`
  );
}
function safeResolveBinary(name, proposedPath) {
  return tryCatch3(
    () => resolveBinary2(name, proposedPath),
    (error2) => error2
  );
}
async function maybeCopyToTmp2(file) {
  const dir = eval("__dirname");
  if (dir.match(vercelPkgPathRegex3)) {
    const targetDir = import_path15.default.join(import_temp_dir2.default, "prisma-binaries");
    await (0, import_fs_extra3.ensureDir)(targetDir);
    const target = import_path15.default.join(targetDir, import_path15.default.basename(file));
    const data = await import_fs16.default.promises.readFile(file);
    await import_fs16.default.promises.writeFile(target, data);
    chmodPlusX3(target);
    return target;
  }
  return file;
}

// ../internals/src/engine-commands/getEngineVersion.ts
var import_engines2 = require("@prisma/engines");
init_src2();
var import_execa4 = __toESM(require_execa());

// ../internals/src/utils/handleEngineLoadingErrors.ts
init_src2();
init_colors();
init_dist();
function handleLibraryLoadingErrors2(args3) {
  const error2 = args3.e;
  const systemLibraryNotFound = (library) => `Prisma cannot find the required \`${library}\` system library in your system`;
  const hasLinkingProblem = error2.message.includes("cannot open shared object file");
  const referToSystemRequirementsDocs = `Please refer to the documentation about Prisma's system requirements: ${link2(
    "https://pris.ly/d/system-requirements"
  )}`;
  const errorTitle = `Unable to require(\`${dim(args3.id)}\`).`;
  const potentialReasonMessage = K({ message: error2.message, code: error2.code }).with({ code: "ENOENT" }, () => `File does not exist.`).when(
    ({ message: message2 }) => hasLinkingProblem && message2.includes("libz"),
    () => {
      return `${systemLibraryNotFound("libz")}. Please install it and try again.`;
    }
  ).when(
    ({ message: message2 }) => hasLinkingProblem && message2.includes("libgcc_s"),
    () => {
      return `${systemLibraryNotFound("libgcc_s")}. Please install it and try again.`;
    }
  ).when(
    ({ message: message2 }) => hasLinkingProblem && message2.includes("libssl"),
    () => {
      const libsslVersion = args3.platformInfo.libssl ? `openssl-${args3.platformInfo.libssl}` : "openssl";
      return `${systemLibraryNotFound("libssl")}. Please install ${libsslVersion} and try again.`;
    }
  ).when(
    ({ message: message2 }) => message2.includes("GLIBC"),
    () => {
      return `Prisma has detected an incompatible version of the \`glibc\` C standard library installed in your system. This probably means your system may be too old to run Prisma. ${referToSystemRequirementsDocs}`;
    }
  ).when(
    ({ message: message2 }) => args3.platformInfo.platform === "linux" && message2.includes("symbol not found"),
    () => {
      return `The Prisma engines are not compatible with your system ${args3.platformInfo.originalDistro} on (${args3.platformInfo.archFromUname}) which uses the \`${args3.platformInfo.binaryTarget}\` binaryTarget by default. ${referToSystemRequirementsDocs}`;
    }
  ).otherwise(() => {
    return `The Prisma engines do not seem to be compatible with your system. ${referToSystemRequirementsDocs}`;
  });
  return `${errorTitle}
${potentialReasonMessage}

Details: ${error2.message}`;
}

// ../internals/src/utils/load.ts
function loadLibrary(id2, platformInfo) {
  try {
    return require(id2);
  } catch (e3) {
    const errorMessage = handleLibraryLoadingErrors2({
      e: e3,
      platformInfo,
      id: id2
    });
    throw new Error(errorMessage);
  }
}

// ../internals/src/engine-commands/getEngineVersion.ts
async function getEngineVersion2(enginePath, binaryName) {
  if (!binaryName) {
    binaryName = (0, import_engines2.getCliQueryEngineBinaryType)();
  }
  enginePath = await resolveBinary2(binaryName, enginePath);
  const platformInfo = await getPlatformInfo();
  if (binaryName === "libquery-engine" /* QueryEngineLibrary */) {
    assertNodeAPISupported();
    const QE = loadLibrary(enginePath, platformInfo);
    return `${"libquery-engine" /* QueryEngineLibrary */} ${QE.version().commit}`;
  } else {
    const { stdout } = await (0, import_execa4.default)(enginePath, ["--version"]);
    return stdout;
  }
}
function safeGetEngineVersion(enginePath, binaryName) {
  return tryCatch3(
    () => getEngineVersion2(enginePath, binaryName),
    (error2) => error2
  );
}

// ../internals/src/engine-commands/getEnginesMetaInfo.ts
async function getEnginesMetaInfo2() {
  const cliQueryEngineBinaryType = (0, import_engines3.getCliQueryEngineBinaryType)();
  const engines = [
    {
      name: "query-engine",
      type: cliQueryEngineBinaryType
    },
    {
      name: "schema-engine",
      type: "schema-engine" /* SchemaEngineBinary */
    }
  ];
  const enginePromises = engines.map(({ name, type }) => {
    return resolveEngine(type).then((result) => [name, result]);
  });
  const engineMatrix = await Promise.all(enginePromises).then(Object.fromEntries);
  const engineDataAcc = engines.map(({ name }) => {
    const [engineInfo, errors] = getEnginesInfo(engineMatrix[name]);
    return [{ [name]: engineInfo }, errors];
  });
  const engineMetaInfo = engineDataAcc.map((arr) => arr[0]);
  const enginesMetaInfoErrors = engineDataAcc.flatMap((arr) => arr[1]);
  return [engineMetaInfo, enginesMetaInfoErrors];
}
function getEnginesInfo(enginesInfo) {
  const errors = [];
  const resolved = K(enginesInfo).with({ fromEnvVar: S.when(isSome2) }, (_engineInfo) => {
    return `, resolved by ${_engineInfo.fromEnvVar.value}`;
  }).otherwise(() => "");
  const absolutePath = K(enginesInfo).with({ path: S.when(isRight2) }, (_engineInfo) => {
    return _engineInfo.path.right;
  }).with({ path: S.when(isLeft2) }, (_engineInfo) => {
    errors.push(_engineInfo.path.left);
    return "E_CANNOT_RESOLVE_PATH";
  }).exhaustive();
  const version3 = K(enginesInfo).with({ version: S.when(isRight2) }, (_engineInfo) => {
    return _engineInfo.version.right;
  }).with({ version: S.when(isLeft2) }, (_engineInfo) => {
    errors.push(_engineInfo.version.left);
    return "E_CANNOT_RESOLVE_VERSION";
  }).exhaustive();
  const versionMessage = `${version3} (at ${import_path16.default.relative(process.cwd(), absolutePath)}${resolved})`;
  return [versionMessage, errors];
}
async function resolveEngine(binaryName) {
  const pathFromEnvOption = fromNullable(getBinaryEnvVarPath(binaryName));
  const fromEnvVarOption = (0, import_function14.pipe)(
    pathFromEnvOption,
    map3((p2) => p2.fromEnvVar)
  );
  const enginePathEither = await (0, import_function14.pipe)(
    pathFromEnvOption,
    fold(
      () => safeResolveBinary(binaryName),
      (pathFromEnv) => right4(pathFromEnv.path)
    )
  )();
  const versionEither = await (0, import_function14.pipe)(
    enginePathEither,
    fromEither2,
    chain((enginePath) => {
      return safeGetEngineVersion(enginePath, binaryName);
    })
  )();
  const engineInfo = {
    path: enginePathEither,
    version: versionEither,
    fromEnvVar: fromEnvVarOption
  };
  return engineInfo;
}

// ../internals/src/engine-commands/validate.ts
init_src();
var import_function15 = __toESM(require_function());
init_colors();
init_dist();
var debug15 = src_default("prisma:validate");
var ValidateError = class extends Error {
  constructor(params) {
    const constructedErrorMessage = K(params).with({ _tag: "parsed" }, ({ errorCode, message: message2, reason }) => {
      const errorCodeMessage = errorCode ? `Error code: ${errorCode}` : "";
      return `${reason}
${errorCodeMessage}
${message2}`;
    }).with({ _tag: "unparsed" }, ({ message: message2, reason }) => {
      const detailsHeader = red(bold("Details:"));
      return `${reason}
${detailsHeader} ${message2}`;
    }).exhaustive();
    const errorMessageWithContext = `${constructedErrorMessage}
[Context: validate]`;
    super(addVersionDetailsToErrorMessage(errorMessageWithContext));
    this.name = "ValidateError";
  }
};
function validate2(options2) {
  const debugErrorType = createDebugErrorType(debug15, "validateWasm");
  debug15(`Using validate Wasm`);
  const validateEither = (0, import_function15.pipe)(
    tryCatch2(
      () => {
        if (process.env.FORCE_PANIC_QUERY_ENGINE_GET_DMMF) {
          debug15("Triggering a Rust panic...");
          import_prisma_schema_wasm.default.debug_panic();
        }
        const params = JSON.stringify({
          prismaSchema: options2.datamodel,
          noColor: Boolean(process.env.NO_COLOR)
        });
        import_prisma_schema_wasm.default.validate(params);
      },
      (e3) => ({
        type: "wasm-error",
        reason: "(validate wasm)",
        error: e3
      })
    )
  );
  if (isRight2(validateEither)) {
    return;
  }
  const error2 = K(validateEither.left).with({ type: "wasm-error" }, (e3) => {
    debugErrorType(e3);
    console.error("");
    if (isWasmPanic(e3.error)) {
      const { message: message2, stack: stack2 } = getWasmError(e3.error);
      const panic = new RustPanic2(
        /* message */
        message2,
        /* rustStack */
        stack2,
        /* request */
        "@prisma/prisma-schema-wasm validate",
        "FMT_CLI" /* FMT_CLI */,
        /* schemaPath */
        void 0,
        /* schema */
        options2.datamodel
      );
      return panic;
    }
    const errorOutput = e3.error.message;
    return new ValidateError(parseQueryEngineError({ errorOutput, reason: e3.reason }));
  }).exhaustive();
  throw error2;
}

// ../internals/src/Generator.ts
init_src4();
var Generator2 = class {
  constructor(executablePath, config2, isNode) {
    this.manifest = null;
    this.config = config2;
    this.generatorProcess = new GeneratorProcess(executablePath, { isNode });
  }
  async init() {
    await this.generatorProcess.init();
    this.manifest = await this.generatorProcess.getManifest(this.config);
  }
  stop() {
    this.generatorProcess.stop();
  }
  generate() {
    if (!this.options) {
      throw new Error(`Please first run .setOptions() on the Generator to initialize the options`);
    }
    return this.generatorProcess.generate(this.options);
  }
  setOptions(options2) {
    this.options = options2;
  }
  setBinaryPaths(binaryPaths2) {
    if (!this.options) {
      throw new Error(`Please first run .setOptions() on the Generator to initialize the options`);
    }
    this.options.binaryPaths = binaryPaths2;
  }
  /**
   * Returns the pretty name of the generator specified in the manifest (e.g.,
   * "Prisma Client"), or, if the former is not defined, the generator's
   * provider name (e.g., "prisma-client-js") as a fallback.
   */
  getPrettyName() {
    return this.manifest?.prettyName ?? this.getProvider();
  }
  /**
   * Returns the provider name, parsed and resolved from environment variable
   * if necessary.
   */
  getProvider() {
    return parseEnvValue2(this.config.provider);
  }
};

// ../internals/src/get-generators/getGenerators.ts
init_src();
var import_engines5 = require("@prisma/engines");
init_src3();
init_src2();
var import_fs22 = __toESM(require("fs"));
init_colors();
init_p_map();
var import_path25 = __toESM(require("path"));

// ../internals/src/resolveOutput.ts
var import_fs17 = __toESM(require("fs"));
var import_path17 = __toESM(require("path"));
var import_util7 = require("util");
var exists4 = (0, import_util7.promisify)(import_fs17.default.exists);
async function resolveNodeModulesBase(cwd) {
  if (await exists4(import_path17.default.resolve(process.cwd(), "prisma/schema.prisma"))) {
    return process.cwd();
  }
  if (import_path17.default.relative(process.cwd(), cwd) === "prisma" && await exists4(import_path17.default.resolve(process.cwd(), "package.json"))) {
    return process.cwd();
  }
  if (await exists4(import_path17.default.resolve(cwd, "node_modules"))) {
    return cwd;
  }
  if (await exists4(import_path17.default.resolve(cwd, "../node_modules"))) {
    return import_path17.default.join(cwd, "../");
  }
  if (await exists4(import_path17.default.resolve(cwd, "package.json"))) {
    return cwd;
  }
  if (await exists4(import_path17.default.resolve(cwd, "../package.json"))) {
    return import_path17.default.join(cwd, "../");
  }
  return cwd;
}
async function resolveOutput(options2) {
  const defaultOutput = stripRelativePath(options2.defaultOutput);
  if (defaultOutput.startsWith("node_modules")) {
    const nodeModulesBase = await resolveNodeModulesBase(options2.baseDir);
    return import_path17.default.resolve(nodeModulesBase, defaultOutput);
  }
  return import_path17.default.resolve(options2.baseDir, defaultOutput);
}
function stripRelativePath(pathString) {
  if (pathString.startsWith("./")) {
    return pathString.slice(2);
  }
  return pathString;
}

// ../internals/src/utils/extractPreviewFeatures.ts
function extractPreviewFeatures2(config2) {
  return config2.generators.find((g2) => parseEnvValue2(g2.provider) === "prisma-client-js")?.previewFeatures || [];
}

// ../internals/src/utils/missingDatasource.ts
init_colors();

// ../internals/src/highlight/languages/dml.ts
var dml = {
  string: [/\"(.*)\"/g, /\'(.*)\'/g],
  directive: { pattern: /(@.*)/g },
  entity: [/model\s+\w+/g, /enum\s+\w+/g, /datasource\s+\w+/g, /source\s+\w+/g, /generator\s+\w+/g],
  comment: /#.*/g,
  value: [/\b\s+(\w+)/g],
  punctuation: /(\:|}|{|"|=)/g,
  boolean: /(true|false)/g
};

// ../internals/src/highlight/theme.ts
init_colors();
var theme = {
  keyword: cyan,
  entity: cyan,
  value: (s3) => bold(blue(s3)),
  punctuation: blue,
  directive: cyan,
  function: cyan,
  variable: (s3) => bold(blue(s3)),
  string: (s3) => bold(green(s3)),
  boolean: yellow,
  number: cyan,
  comment: gray
};

// ../internals/src/highlight/prism.ts
var identity3 = (str) => str;
var _self = {};
var uniqueId = 0;
var Prism = {
  manual: _self.Prism && _self.Prism.manual,
  disableWorkerMessageHandler: _self.Prism && _self.Prism.disableWorkerMessageHandler,
  util: {
    encode: function(tokens) {
      if (tokens instanceof Token) {
        const anyTokens = tokens;
        return new Token(anyTokens.type, Prism.util.encode(anyTokens.content), anyTokens.alias);
      } else if (Array.isArray(tokens)) {
        return tokens.map(Prism.util.encode);
      } else {
        return tokens.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/\u00a0/g, " ");
      }
    },
    type: function(o2) {
      return Object.prototype.toString.call(o2).slice(8, -1);
    },
    objId: function(obj) {
      if (!obj["__id"]) {
        Object.defineProperty(obj, "__id", { value: ++uniqueId });
      }
      return obj["__id"];
    },
    // Deep clone a language definition (e.g. to extend it)
    clone: function deepClone(o2, visited) {
      visited = visited || {};
      let clone2, id2;
      const type = Prism.util.type(o2);
      switch (type) {
        case "Object":
          id2 = Prism.util.objId(o2);
          if (visited[id2]) {
            return visited[id2];
          }
          clone2 = {};
          visited[id2] = clone2;
          for (const key in o2) {
            if (o2.hasOwnProperty(key)) {
              clone2[key] = deepClone(o2[key], visited);
            }
          }
          return clone2;
        case "Array":
          id2 = Prism.util.objId(o2);
          if (visited[id2]) {
            return visited[id2];
          }
          clone2 = [];
          visited[id2] = clone2;
          o2.forEach(function(v2, i4) {
            clone2[i4] = deepClone(v2, visited);
          });
          return clone2;
        default:
          return o2;
      }
    }
  },
  languages: {
    extend: function(id2, redef) {
      const lang = Prism.util.clone(Prism.languages[id2]);
      for (const key in redef) {
        lang[key] = redef[key];
      }
      return lang;
    },
    /**
     * Insert a token before another token in a language literal
     * As this needs to recreate the object (we cannot actually insert before keys in object literals),
     * we cannot just provide an object, we need an object and a key.
     * @param inside The key (or language id) of the parent
     * @param before The key to insert before.
     * @param insert Object with the key/value pairs to insert
     * @param root The object that contains `inside`. If equal to Prism.languages, it can be omitted.
     */
    insertBefore: function(inside, before, insert, root) {
      root = root || Prism.languages;
      const grammar = root[inside];
      const ret = {};
      for (const token in grammar) {
        if (grammar.hasOwnProperty(token)) {
          if (token == before) {
            for (const newToken in insert) {
              if (insert.hasOwnProperty(newToken)) {
                ret[newToken] = insert[newToken];
              }
            }
          }
          if (!insert.hasOwnProperty(token)) {
            ret[token] = grammar[token];
          }
        }
      }
      const old = root[inside];
      root[inside] = ret;
      Prism.languages.DFS(Prism.languages, function(key, value) {
        if (value === old && key != inside) {
          this[key] = ret;
        }
      });
      return ret;
    },
    // Traverse a language definition with Depth First Search
    DFS: function DFS(o2, callback, type, visited) {
      visited = visited || {};
      const objId = Prism.util.objId;
      for (const i4 in o2) {
        if (o2.hasOwnProperty(i4)) {
          callback.call(o2, i4, o2[i4], type || i4);
          const property = o2[i4], propertyType = Prism.util.type(property);
          if (propertyType === "Object" && !visited[objId(property)]) {
            visited[objId(property)] = true;
            DFS(property, callback, null, visited);
          } else if (propertyType === "Array" && !visited[objId(property)]) {
            visited[objId(property)] = true;
            DFS(property, callback, i4, visited);
          }
        }
      }
    }
  },
  plugins: {},
  highlight: function(text2, grammar, language) {
    const env3 = {
      code: text2,
      grammar,
      language
    };
    Prism.hooks.run("before-tokenize", env3);
    env3.tokens = Prism.tokenize(env3.code, env3.grammar);
    Prism.hooks.run("after-tokenize", env3);
    return Token.stringify(Prism.util.encode(env3.tokens), env3.language);
  },
  matchGrammar: function(text2, strarr, grammar, index2, startPos, oneshot, target) {
    for (const token in grammar) {
      if (!grammar.hasOwnProperty(token) || !grammar[token]) {
        continue;
      }
      if (token == target) {
        return;
      }
      let patterns = grammar[token];
      patterns = Prism.util.type(patterns) === "Array" ? patterns : [patterns];
      for (let j2 = 0; j2 < patterns.length; ++j2) {
        let pattern = patterns[j2], inside = pattern.inside, lookbehind = !!pattern.lookbehind, greedy = !!pattern.greedy, lookbehindLength = 0, alias = pattern.alias;
        if (greedy && !pattern.pattern.global) {
          const flags = pattern.pattern.toString().match(/[imuy]*$/)[0];
          pattern.pattern = RegExp(pattern.pattern.source, flags + "g");
        }
        pattern = pattern.pattern || pattern;
        for (let i4 = index2, pos2 = startPos; i4 < strarr.length; pos2 += strarr[i4].length, ++i4) {
          let str = strarr[i4];
          if (strarr.length > text2.length) {
            return;
          }
          if (str instanceof Token) {
            continue;
          }
          if (greedy && i4 != strarr.length - 1) {
            pattern.lastIndex = pos2;
            const match5 = pattern.exec(text2);
            if (!match5) {
              break;
            }
            var from = match5.index + (lookbehind ? match5[1].length : 0), to2 = match5.index + match5[0].length, k = i4, p2 = pos2;
            for (let len = strarr.length; k < len && (p2 < to2 || !strarr[k].type && !strarr[k - 1].greedy); ++k) {
              p2 += strarr[k].length;
              if (from >= p2) {
                ++i4;
                pos2 = p2;
              }
            }
            if (strarr[i4] instanceof Token) {
              continue;
            }
            delNum = k - i4;
            str = text2.slice(pos2, p2);
            match5.index -= pos2;
          } else {
            pattern.lastIndex = 0;
            var match4 = pattern.exec(str), delNum = 1;
          }
          if (!match4) {
            if (oneshot) {
              break;
            }
            continue;
          }
          if (lookbehind) {
            lookbehindLength = match4[1] ? match4[1].length : 0;
          }
          var from = match4.index + lookbehindLength, match4 = match4[0].slice(lookbehindLength), to2 = from + match4.length, before = str.slice(0, from), after = str.slice(to2);
          const args3 = [i4, delNum];
          if (before) {
            ++i4;
            pos2 += before.length;
            args3.push(before);
          }
          const wrapped = new Token(token, inside ? Prism.tokenize(match4, inside) : match4, alias, match4, greedy);
          args3.push(wrapped);
          if (after) {
            args3.push(after);
          }
          Array.prototype.splice.apply(strarr, args3);
          if (delNum != 1)
            Prism.matchGrammar(text2, strarr, grammar, i4, pos2, true, token);
          if (oneshot)
            break;
        }
      }
    }
  },
  tokenize: function(text2, grammar) {
    const strarr = [text2];
    const rest = grammar.rest;
    if (rest) {
      for (const token in rest) {
        grammar[token] = rest[token];
      }
      delete grammar.rest;
    }
    Prism.matchGrammar(text2, strarr, grammar, 0, 0, false);
    return strarr;
  },
  hooks: {
    all: {},
    add: function(name, callback) {
      const hooks = Prism.hooks.all;
      hooks[name] = hooks[name] || [];
      hooks[name].push(callback);
    },
    run: function(name, env3) {
      const callbacks = Prism.hooks.all[name];
      if (!callbacks || !callbacks.length) {
        return;
      }
      for (var i4 = 0, callback; callback = callbacks[i4++]; ) {
        callback(env3);
      }
    }
  },
  Token
};
Prism.languages.clike = {
  comment: [
    {
      pattern: /(^|[^\\])\/\*[\s\S]*?(?:\*\/|$)/,
      lookbehind: true
    },
    {
      pattern: /(^|[^\\:])\/\/.*/,
      lookbehind: true,
      greedy: true
    }
  ],
  string: {
    pattern: /(["'])(?:\\(?:\r\n|[\s\S])|(?!\1)[^\\\r\n])*\1/,
    greedy: true
  },
  "class-name": {
    pattern: /((?:\b(?:class|interface|extends|implements|trait|instanceof|new)\s+)|(?:catch\s+\())[\w.\\]+/i,
    lookbehind: true,
    inside: {
      punctuation: /[.\\]/
    }
  },
  keyword: /\b(?:if|else|while|do|for|return|in|instanceof|function|new|try|throw|catch|finally|null|break|continue)\b/,
  boolean: /\b(?:true|false)\b/,
  function: /\w+(?=\()/,
  number: /\b0x[\da-f]+\b|(?:\b\d+\.?\d*|\B\.\d+)(?:e[+-]?\d+)?/i,
  operator: /--?|\+\+?|!=?=?|<=?|>=?|==?=?|&&?|\|\|?|\?|\*|\/|~|\^|%/,
  punctuation: /[{}[\];(),.:]/
};
Prism.languages.javascript = Prism.languages.extend("clike", {
  "class-name": [
    Prism.languages.clike["class-name"],
    {
      pattern: /(^|[^$\w\xA0-\uFFFF])[_$A-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*(?=\.(?:prototype|constructor))/,
      lookbehind: true
    }
  ],
  keyword: [
    {
      pattern: /((?:^|})\s*)(?:catch|finally)\b/,
      lookbehind: true
    },
    {
      pattern: /(^|[^.])\b(?:as|async(?=\s*(?:function\b|\(|[$\w\xA0-\uFFFF]|$))|await|break|case|class|const|continue|debugger|default|delete|do|else|enum|export|extends|for|from|function|get|if|implements|import|in|instanceof|interface|let|new|null|of|package|private|protected|public|return|set|static|super|switch|this|throw|try|typeof|undefined|var|void|while|with|yield)\b/,
      lookbehind: true
    }
  ],
  number: /\b(?:(?:0[xX](?:[\dA-Fa-f](?:_[\dA-Fa-f])?)+|0[bB](?:[01](?:_[01])?)+|0[oO](?:[0-7](?:_[0-7])?)+)n?|(?:\d(?:_\d)?)+n|NaN|Infinity)\b|(?:\b(?:\d(?:_\d)?)+\.?(?:\d(?:_\d)?)*|\B\.(?:\d(?:_\d)?)+)(?:[Ee][+-]?(?:\d(?:_\d)?)+)?/,
  // Allow for all non-ASCII characters (See http://stackoverflow.com/a/2008444)
  function: /[_$a-zA-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*(?=\s*(?:\.\s*(?:apply|bind|call)\s*)?\()/,
  operator: /-[-=]?|\+[+=]?|!=?=?|<<?=?|>>?>?=?|=(?:==?|>)?|&[&=]?|\|[|=]?|\*\*?=?|\/=?|~|\^=?|%=?|\?|\.{3}/
});
Prism.languages.javascript["class-name"][0].pattern = /(\b(?:class|interface|extends|implements|instanceof|new)\s+)[\w.\\]+/;
Prism.languages.insertBefore("javascript", "keyword", {
  regex: {
    pattern: /((?:^|[^$\w\xA0-\uFFFF."'\])\s])\s*)\/(\[(?:[^\]\\\r\n]|\\.)*]|\\.|[^/\\\[\r\n])+\/[gimyus]{0,6}(?=\s*($|[\r\n,.;})\]]))/,
    lookbehind: true,
    greedy: true
  },
  // This must be declared before keyword because we use "function" inside the look-forward
  "function-variable": {
    pattern: /[_$a-zA-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*(?=\s*[=:]\s*(?:async\s*)?(?:\bfunction\b|(?:\((?:[^()]|\([^()]*\))*\)|[_$a-zA-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*)\s*=>))/,
    alias: "function"
  },
  parameter: [
    {
      pattern: /(function(?:\s+[_$A-Za-z\xA0-\uFFFF][$\w\xA0-\uFFFF]*)?\s*\(\s*)(?!\s)(?:[^()]|\([^()]*\))+?(?=\s*\))/,
      lookbehind: true,
      inside: Prism.languages.javascript
    },
    {
      pattern: /[_$a-z\xA0-\uFFFF][$\w\xA0-\uFFFF]*(?=\s*=>)/i,
      inside: Prism.languages.javascript
    },
    {
      pattern: /(\(\s*)(?!\s)(?:[^()]|\([^()]*\))+?(?=\s*\)\s*=>)/,
      lookbehind: true,
      inside: Prism.languages.javascript
    },
    {
      pattern: /((?:\b|\s|^)(?!(?:as|async|await|break|case|catch|class|const|continue|debugger|default|delete|do|else|enum|export|extends|finally|for|from|function|get|if|implements|import|in|instanceof|interface|let|new|null|of|package|private|protected|public|return|set|static|super|switch|this|throw|try|typeof|undefined|var|void|while|with|yield)(?![$\w\xA0-\uFFFF]))(?:[_$A-Za-z\xA0-\uFFFF][$\w\xA0-\uFFFF]*\s*)\(\s*)(?!\s)(?:[^()]|\([^()]*\))+?(?=\s*\)\s*\{)/,
      lookbehind: true,
      inside: Prism.languages.javascript
    }
  ],
  constant: /\b[A-Z](?:[A-Z_]|\dx?)*\b/
});
Prism.languages.insertBefore("javascript", "string", {
  "template-string": {
    pattern: /`(?:\\[\s\S]|\${(?:[^{}]|{(?:[^{}]|{[^}]*})*})+}|[^\\`])*`/,
    greedy: true,
    inside: {
      interpolation: {
        pattern: /\${(?:[^{}]|{(?:[^{}]|{[^}]*})*})+}/,
        inside: {
          "interpolation-punctuation": {
            pattern: /^\${|}$/,
            alias: "punctuation"
          },
          rest: Prism.languages.javascript
        }
      },
      string: /[\s\S]+/
    }
  }
});
if (Prism.languages.markup) {
  Prism.languages.markup.tag.addInlined("script", "javascript");
}
Prism.languages.js = Prism.languages.javascript;
Prism.languages.typescript = Prism.languages.extend("javascript", {
  // From JavaScript Prism keyword list and TypeScript language spec: https://github.com/Microsoft/TypeScript/blob/master/doc/spec.md#221-reserved-words
  keyword: /\b(?:abstract|as|async|await|break|case|catch|class|const|constructor|continue|debugger|declare|default|delete|do|else|enum|export|extends|finally|for|from|function|get|if|implements|import|in|instanceof|interface|is|keyof|let|module|namespace|new|null|of|package|private|protected|public|readonly|return|require|set|static|super|switch|this|throw|try|type|typeof|var|void|while|with|yield)\b/,
  builtin: /\b(?:string|Function|any|number|boolean|Array|symbol|console|Promise|unknown|never)\b/
});
Prism.languages.ts = Prism.languages.typescript;
function Token(type, content, alias, matchedStr, greedy) {
  this.type = type;
  this.content = content;
  this.alias = alias;
  this.length = (matchedStr || "").length | 0;
  this.greedy = !!greedy;
}
Token.stringify = function(o2, language) {
  if (typeof o2 == "string") {
    return o2;
  }
  if (Array.isArray(o2)) {
    return o2.map(function(element) {
      return Token.stringify(element, language);
    }).join("");
  }
  return getColorForSyntaxKind(o2.type)(o2.content);
};
function getColorForSyntaxKind(syntaxKind) {
  return theme[syntaxKind] || identity3;
}

// ../internals/src/highlight/highlight.ts
function highlightDatamodel2(str) {
  return highlight(str, dml);
}
function highlightTS2(str) {
  return highlight(str, Prism.languages.javascript);
}
function highlight(str, grammar) {
  const tokens = Prism.tokenize(str, grammar);
  return tokens.map((t9) => Token.stringify(t9)).join("");
}

// ../internals/src/utils/link.ts
init_colors();
var import_terminal_link2 = __toESM(require_terminal_link());
function link3(url2) {
  return (0, import_terminal_link2.default)(url2, url2, {
    fallback: (url3) => underline(url3)
  });
}

// ../internals/src/utils/missingDatasource.ts
var missingDatasource = `
You don't have any ${bold("datasource")} defined in your ${bold("schema.prisma")}.
You can define a datasource like this:

${bold(
  highlightDatamodel2(`datasource db {
  provider = "postgresql"
  url      = env("DB_URL")
}`)
)}

More information in our documentation:
${link3("https://pris.ly/d/prisma-schema")}
`;

// ../internals/src/utils/missingGeneratorMessage.ts
init_colors();
var missingGeneratorMessage2 = `
${blue("info")} You don't have any generators defined in your ${bold(
  "schema.prisma"
)}, so nothing will be generated.
You can define them like this:

${bold(
  highlightDatamodel2(`generator client {
  provider = "prisma-client-js"
}`)
)}`;
var missingModelMessage = `
You don't have any ${bold("models")} defined in your ${bold(
  "schema.prisma"
)}, so nothing will be generated.
You can define a model like this:

${bold(
  highlightDatamodel2(`model User {
  id    Int     @id @default(autoincrement())
  email String  @unique
  name  String?
}`)
)}

More information in our documentation:
${link3("https://pris.ly/d/prisma-schema")}
`;
var missingModelMessageMongoDB = `
You don't have any ${bold("models")} defined in your ${bold(
  "schema.prisma"
)}, so nothing will be generated.
You can define a model like this:

${bold(
  highlightDatamodel2(`model User {
  id    String  @id @default(auto()) @map("_id") @db.ObjectId
  email String  @unique
  name  String?
}`)
)}

More information in our documentation:
${link3("https://pris.ly/d/prisma-schema")}
`;

// ../internals/src/utils/pick.ts
function pick2(obj, keys) {
  return Object.entries(obj).reduce((acc, [key, value]) => {
    if (keys.includes(key)) {
      acc[key] = value;
    }
    return acc;
  }, {});
}

// ../internals/src/utils/printConfigWarnings.ts
init_colors();
function printConfigWarnings2(warnings) {
  if (warnings && warnings.length > 0) {
    const message2 = warnings.map((warning) => `${yellow("warn")} ${warning}`).join("\n");
    console.warn(message2);
  }
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/prismaClientResolver.ts
init_src();
var import_fs21 = __toESM(require("fs"));
init_colors();
var import_path22 = __toESM(require("path"));

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/auto-installation/findPrismaClientDir.ts
init_src();
var import_fs18 = __toESM(require("fs"));
var import_path19 = __toESM(require("path"));

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/check-dependencies/resolve.ts
var import_path18 = __toESM(require("path"));
var import_resolve = __toESM(require_resolve());
async function resolve(id2, options2) {
  const _options = { preserveSymlinks: false, ...options2 };
  return new Promise((res) => {
    (0, import_resolve.default)(id2, _options, (e3, v2) => {
      if (e3)
        res(void 0);
      res(v2);
    });
  });
}
async function resolvePkg(id2, options2) {
  const resolvedPath = await resolve(`${id2}/package.json`, options2);
  return resolvedPath && import_path18.default.dirname(resolvedPath);
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/auto-installation/findPrismaClientDir.ts
var debug17 = src_default("prisma:generator");
var realPath = import_fs18.default.promises.realpath;
async function findPrismaClientDir(baseDir2) {
  const resolveOpts = { basedir: baseDir2, preserveSymlinks: true };
  const CLIDir = await resolvePkg("prisma", resolveOpts);
  const clientDir = await resolvePkg("@prisma/client", resolveOpts);
  const resolvedClientDir = clientDir && await realPath(clientDir);
  debug17("prismaCLIDir", CLIDir);
  debug17("prismaClientDir", clientDir);
  if (CLIDir === void 0)
    return resolvedClientDir;
  if (clientDir === void 0)
    return resolvedClientDir;
  const relDir = import_path19.default.relative(CLIDir, clientDir).split(import_path19.default.sep);
  if (relDir[0] !== ".." || relDir[1] === "..")
    return void 0;
  return resolvedClientDir;
}

// ../../node_modules/.pnpm/@antfu+ni@0.21.5/node_modules/@antfu/ni/dist/shared/ni.3ebb7310.mjs
var import_node_path = __toESM(require("path"), 1);
var import_node_process = __toESM(require("process"), 1);
var import_readline = __toESM(require("readline"), 1);
var import_events = __toESM(require("events"), 1);
var import_node_buffer = require("buffer");
var import_node_child_process = __toESM(require("child_process"), 1);
var import_child_process3 = __toESM(require("child_process"), 1);
var import_path20 = __toESM(require("path"), 1);
var import_fs19 = __toESM(require("fs"), 1);
var import_node_url = __toESM(require("url"), 1);
var import_node_os = __toESM(require("os"), 1);
var import_assert = __toESM(require("assert"), 1);
var import_node_fs = __toESM(require("fs"), 1);
var import_buffer = __toESM(require("buffer"), 1);
var import_stream3 = __toESM(require("stream"), 1);
var import_util8 = __toESM(require("util"), 1);
var import_node_util = require("util");
var import_os3 = __toESM(require("os"), 1);
var import_tty = __toESM(require("tty"), 1);
function npmRun(agent) {
  return (args3) => {
    if (args3.length > 1)
      return `${agent} run ${args3[0]} -- ${args3.slice(1).join(" ")}`;
    else
      return `${agent} run ${args3[0]}`;
  };
}
var yarn = {
  "agent": "yarn {0}",
  "run": "yarn run {0}",
  "install": "yarn install {0}",
  "frozen": "yarn install --frozen-lockfile",
  "global": "yarn global add {0}",
  "add": "yarn add {0}",
  "upgrade": "yarn upgrade {0}",
  "upgrade-interactive": "yarn upgrade-interactive {0}",
  "execute": "npx {0}",
  "uninstall": "yarn remove {0}",
  "global_uninstall": "yarn global remove {0}"
};
var pnpm = {
  "agent": "pnpm {0}",
  "run": "pnpm run {0}",
  "install": "pnpm i {0}",
  "frozen": "pnpm i --frozen-lockfile",
  "global": "pnpm add -g {0}",
  "add": "pnpm add {0}",
  "upgrade": "pnpm update {0}",
  "upgrade-interactive": "pnpm update -i {0}",
  "execute": "pnpm dlx {0}",
  "uninstall": "pnpm remove {0}",
  "global_uninstall": "pnpm remove --global {0}"
};
var bun = {
  "agent": "bun {0}",
  "run": "bun run {0}",
  "install": "bun install {0}",
  "frozen": "bun install --no-save",
  "global": "bun add -g {0}",
  "add": "bun add {0}",
  "upgrade": null,
  "upgrade-interactive": null,
  "execute": "bunx {0}",
  "uninstall": "bun remove {0}",
  "global_uninstall": "bun remove -g {0}"
};
var AGENTS = {
  "npm": {
    "agent": "npm {0}",
    "run": npmRun("npm"),
    "install": "npm i {0}",
    "frozen": "npm ci",
    "global": "npm i -g {0}",
    "add": "npm i {0}",
    "upgrade": "npm update {0}",
    "upgrade-interactive": null,
    "execute": "npx {0}",
    "uninstall": "npm uninstall {0}",
    "global_uninstall": "npm uninstall -g {0}"
  },
  "yarn": yarn,
  "yarn@berry": {
    ...yarn,
    "frozen": "yarn install --immutable",
    "upgrade": "yarn up {0}",
    "upgrade-interactive": "yarn up -i {0}",
    "execute": "yarn dlx {0}",
    // Yarn 2+ removed 'global', see https://github.com/yarnpkg/berry/issues/821
    "global": "npm i -g {0}",
    "global_uninstall": "npm uninstall -g {0}"
  },
  "pnpm": pnpm,
  // pnpm v6.x or below
  "pnpm@6": {
    ...pnpm,
    run: npmRun("pnpm")
  },
  "bun": bun
};
var agents = Object.keys(AGENTS);
var LOCKS = {
  "bun.lockb": "bun",
  "pnpm-lock.yaml": "pnpm",
  "yarn.lock": "yarn",
  "package-lock.json": "npm",
  "npm-shrinkwrap.json": "npm"
};
var INSTALL_PAGE = {
  "bun": "https://bun.sh",
  "pnpm": "https://pnpm.io/installation",
  "pnpm@6": "https://pnpm.io/6.x/installation",
  "yarn": "https://classic.yarnpkg.com/en/docs/install",
  "yarn@berry": "https://yarnpkg.com/getting-started/install",
  "npm": "https://docs.npmjs.com/cli/v8/configuring-npm/install"
};
var commonjsGlobal = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
function getDefaultExportFromCjs(x) {
  return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, "default") ? x["default"] : x;
}
var { hasOwnProperty: hasOwnProperty2 } = Object.prototype;
var Node = class {
  constructor(value) {
    __publicField(this, "value");
    __publicField(this, "next");
    this.value = value;
  }
};
var _head, _tail, _size;
var Queue = class {
  constructor() {
    __privateAdd(this, _head, void 0);
    __privateAdd(this, _tail, void 0);
    __privateAdd(this, _size, void 0);
    this.clear();
  }
  enqueue(value) {
    const node = new Node(value);
    if (__privateGet(this, _head)) {
      __privateGet(this, _tail).next = node;
      __privateSet(this, _tail, node);
    } else {
      __privateSet(this, _head, node);
      __privateSet(this, _tail, node);
    }
    __privateWrapper(this, _size)._++;
  }
  dequeue() {
    const current = __privateGet(this, _head);
    if (!current) {
      return;
    }
    __privateSet(this, _head, __privateGet(this, _head).next);
    __privateWrapper(this, _size)._--;
    return current.value;
  }
  clear() {
    __privateSet(this, _head, void 0);
    __privateSet(this, _tail, void 0);
    __privateSet(this, _size, 0);
  }
  get size() {
    return __privateGet(this, _size);
  }
  *[Symbol.iterator]() {
    let current = __privateGet(this, _head);
    while (current) {
      yield current.value;
      current = current.next;
    }
  }
};
_head = new WeakMap();
_tail = new WeakMap();
_size = new WeakMap();
function pLimit(concurrency) {
  if (!((Number.isInteger(concurrency) || concurrency === Number.POSITIVE_INFINITY) && concurrency > 0)) {
    throw new TypeError("Expected `concurrency` to be a number from 1 and up");
  }
  const queue2 = new Queue();
  let activeCount = 0;
  const next = () => {
    activeCount--;
    if (queue2.size > 0) {
      queue2.dequeue()();
    }
  };
  const run2 = async (fn2, resolve3, args3) => {
    activeCount++;
    const result = (async () => fn2(...args3))();
    resolve3(result);
    try {
      await result;
    } catch {
    }
    next();
  };
  const enqueue = (fn2, resolve3, args3) => {
    queue2.enqueue(run2.bind(void 0, fn2, resolve3, args3));
    (async () => {
      await Promise.resolve();
      if (activeCount < concurrency && queue2.size > 0) {
        queue2.dequeue()();
      }
    })();
  };
  const generator = (fn2, ...args3) => new Promise((resolve3) => {
    enqueue(fn2, resolve3, args3);
  });
  Object.defineProperties(generator, {
    activeCount: {
      get: () => activeCount
    },
    pendingCount: {
      get: () => queue2.size
    },
    clearQueue: {
      value: () => {
        queue2.clear();
      }
    }
  });
  return generator;
}
var EndError = class extends Error {
  constructor(value) {
    super();
    this.value = value;
  }
};
var testElement = async (element, tester) => tester(await element);
var finder = async (element) => {
  const values = await Promise.all(element);
  if (values[1] === true) {
    throw new EndError(values[0]);
  }
  return false;
};
async function pLocate(iterable, tester, {
  concurrency = Number.POSITIVE_INFINITY,
  preserveOrder = true
} = {}) {
  const limit = pLimit(concurrency);
  const items = [...iterable].map((element) => [element, limit(testElement, element, tester)]);
  const checkLimit = pLimit(preserveOrder ? 1 : Number.POSITIVE_INFINITY);
  try {
    await Promise.all(items.map((element) => checkLimit(finder, element)));
  } catch (error2) {
    if (error2 instanceof EndError) {
      return error2.value;
    }
    throw error2;
  }
}
var typeMappings = {
  directory: "isDirectory",
  file: "isFile"
};
function checkType(type) {
  if (type in typeMappings) {
    return;
  }
  throw new Error(`Invalid type specified: ${type}`);
}
var matchType = (type, stat) => type === void 0 || stat[typeMappings[type]]();
var toPath$1 = (urlOrPath) => urlOrPath instanceof URL ? (0, import_node_url.fileURLToPath)(urlOrPath) : urlOrPath;
async function locatePath(paths2, {
  cwd = import_node_process.default.cwd(),
  type = "file",
  allowSymlinks = true,
  concurrency,
  preserveOrder
} = {}) {
  checkType(type);
  cwd = toPath$1(cwd);
  const statFunction = allowSymlinks ? import_node_fs.promises.stat : import_node_fs.promises.lstat;
  return pLocate(paths2, async (path_) => {
    try {
      const stat = await statFunction(import_node_path.default.resolve(cwd, path_));
      return matchType(type, stat);
    } catch {
      return false;
    }
  }, { concurrency, preserveOrder });
}
var toPath = (urlOrPath) => urlOrPath instanceof URL ? (0, import_node_url.fileURLToPath)(urlOrPath) : urlOrPath;
var findUpStop = Symbol("findUpStop");
async function findUpMultiple(name, options2 = {}) {
  let directory = import_node_path.default.resolve(toPath(options2.cwd) || "");
  const { root } = import_node_path.default.parse(directory);
  const stopAt = import_node_path.default.resolve(directory, options2.stopAt || root);
  const limit = options2.limit || Number.POSITIVE_INFINITY;
  const paths2 = [name].flat();
  const runMatcher = async (locateOptions) => {
    if (typeof name !== "function") {
      return locatePath(paths2, locateOptions);
    }
    const foundPath = await name(locateOptions.cwd);
    if (typeof foundPath === "string") {
      return locatePath([foundPath], locateOptions);
    }
    return foundPath;
  };
  const matches = [];
  while (true) {
    const foundPath = await runMatcher({ ...options2, cwd: directory });
    if (foundPath === findUpStop) {
      break;
    }
    if (foundPath) {
      matches.push(import_node_path.default.resolve(directory, foundPath));
    }
    if (directory === stopAt || matches.length >= limit) {
      break;
    }
    directory = import_node_path.default.dirname(directory);
  }
  return matches;
}
async function findUp2(name, options2 = {}) {
  const matches = await findUpMultiple(name, { ...options2, limit: 1 });
  return matches[0];
}
var customRcPath = import_node_process.default.env.NI_CONFIG_FILE;
var home = import_node_process.default.platform === "win32" ? import_node_process.default.env.USERPROFILE : import_node_process.default.env.HOME;
var defaultRcPath = import_node_path.default.join(home || "~/", ".nirc");
var crossSpawn$1 = { exports: {} };
var windows2;
var hasRequiredWindows;
function requireWindows() {
  if (hasRequiredWindows)
    return windows2;
  hasRequiredWindows = 1;
  windows2 = isexe2;
  isexe2.sync = sync2;
  var fs42 = import_fs19.default;
  function checkPathExt(path39, options2) {
    var pathext = options2.pathExt !== void 0 ? options2.pathExt : process.env.PATHEXT;
    if (!pathext) {
      return true;
    }
    pathext = pathext.split(";");
    if (pathext.indexOf("") !== -1) {
      return true;
    }
    for (var i4 = 0; i4 < pathext.length; i4++) {
      var p2 = pathext[i4].toLowerCase();
      if (p2 && path39.substr(-p2.length).toLowerCase() === p2) {
        return true;
      }
    }
    return false;
  }
  function checkStat(stat, path39, options2) {
    if (!stat.isSymbolicLink() && !stat.isFile()) {
      return false;
    }
    return checkPathExt(path39, options2);
  }
  function isexe2(path39, options2, cb2) {
    fs42.stat(path39, function(er, stat) {
      cb2(er, er ? false : checkStat(stat, path39, options2));
    });
  }
  function sync2(path39, options2) {
    return checkStat(fs42.statSync(path39), path39, options2);
  }
  return windows2;
}
var mode;
var hasRequiredMode;
function requireMode() {
  if (hasRequiredMode)
    return mode;
  hasRequiredMode = 1;
  mode = isexe2;
  isexe2.sync = sync2;
  var fs42 = import_fs19.default;
  function isexe2(path39, options2, cb2) {
    fs42.stat(path39, function(er, stat) {
      cb2(er, er ? false : checkStat(stat, options2));
    });
  }
  function sync2(path39, options2) {
    return checkStat(fs42.statSync(path39), options2);
  }
  function checkStat(stat, options2) {
    return stat.isFile() && checkMode(stat, options2);
  }
  function checkMode(stat, options2) {
    var mod = stat.mode;
    var uid = stat.uid;
    var gid = stat.gid;
    var myUid = options2.uid !== void 0 ? options2.uid : process.getuid && process.getuid();
    var myGid = options2.gid !== void 0 ? options2.gid : process.getgid && process.getgid();
    var u2 = parseInt("100", 8);
    var g2 = parseInt("010", 8);
    var o2 = parseInt("001", 8);
    var ug = u2 | g2;
    var ret = mod & o2 || mod & g2 && gid === myGid || mod & u2 && uid === myUid || mod & ug && myUid === 0;
    return ret;
  }
  return mode;
}
var core;
if (process.platform === "win32" || commonjsGlobal.TESTING_WINDOWS) {
  core = requireWindows();
} else {
  core = requireMode();
}
var isexe_1 = isexe$2;
isexe$2.sync = sync;
function isexe$2(path39, options2, cb2) {
  if (typeof options2 === "function") {
    cb2 = options2;
    options2 = {};
  }
  if (!cb2) {
    if (typeof Promise !== "function") {
      throw new TypeError("callback not provided");
    }
    return new Promise(function(resolve3, reject2) {
      isexe$2(path39, options2 || {}, function(er, is2) {
        if (er) {
          reject2(er);
        } else {
          resolve3(is2);
        }
      });
    });
  }
  core(path39, options2 || {}, function(er, is2) {
    if (er) {
      if (er.code === "EACCES" || options2 && options2.ignoreErrors) {
        er = null;
        is2 = false;
      }
    }
    cb2(er, is2);
  });
}
function sync(path39, options2) {
  try {
    return core.sync(path39, options2 || {});
  } catch (er) {
    if (options2 && options2.ignoreErrors || er.code === "EACCES") {
      return false;
    } else {
      throw er;
    }
  }
}
var isWindows$1 = process.platform === "win32" || process.env.OSTYPE === "cygwin" || process.env.OSTYPE === "msys";
var path$22 = import_path20.default;
var COLON = isWindows$1 ? ";" : ":";
var isexe$1 = isexe_1;
var getNotFoundError$1 = (cmd) => Object.assign(new Error(`not found: ${cmd}`), { code: "ENOENT" });
var getPathInfo$1 = (cmd, opt) => {
  const colon = opt.colon || COLON;
  const pathEnv = cmd.match(/\//) || isWindows$1 && cmd.match(/\\/) ? [""] : [
    // windows always checks the cwd first
    ...isWindows$1 ? [process.cwd()] : [],
    ...(opt.path || process.env.PATH || /* istanbul ignore next: very unusual */
    "").split(colon)
  ];
  const pathExtExe = isWindows$1 ? opt.pathExt || process.env.PATHEXT || ".EXE;.CMD;.BAT;.COM" : "";
  const pathExt = isWindows$1 ? pathExtExe.split(colon) : [""];
  if (isWindows$1) {
    if (cmd.indexOf(".") !== -1 && pathExt[0] !== "")
      pathExt.unshift("");
  }
  return {
    pathEnv,
    pathExt,
    pathExtExe
  };
};
var which$3 = (cmd, opt, cb2) => {
  if (typeof opt === "function") {
    cb2 = opt;
    opt = {};
  }
  if (!opt)
    opt = {};
  const { pathEnv, pathExt, pathExtExe } = getPathInfo$1(cmd, opt);
  const found = [];
  const step = (i4) => new Promise((resolve3, reject2) => {
    if (i4 === pathEnv.length)
      return opt.all && found.length ? resolve3(found) : reject2(getNotFoundError$1(cmd));
    const ppRaw = pathEnv[i4];
    const pathPart = /^".*"$/.test(ppRaw) ? ppRaw.slice(1, -1) : ppRaw;
    const pCmd = path$22.join(pathPart, cmd);
    const p2 = !pathPart && /^\.[\\\/]/.test(cmd) ? cmd.slice(0, 2) + pCmd : pCmd;
    resolve3(subStep(p2, i4, 0));
  });
  const subStep = (p2, i4, ii) => new Promise((resolve3, reject2) => {
    if (ii === pathExt.length)
      return resolve3(step(i4 + 1));
    const ext = pathExt[ii];
    isexe$1(p2 + ext, { pathExt: pathExtExe }, (er, is2) => {
      if (!er && is2) {
        if (opt.all)
          found.push(p2 + ext);
        else
          return resolve3(p2 + ext);
      }
      return resolve3(subStep(p2, i4, ii + 1));
    });
  });
  return cb2 ? step(0).then((res) => cb2(null, res), cb2) : step(0);
};
var whichSync$1 = (cmd, opt) => {
  opt = opt || {};
  const { pathEnv, pathExt, pathExtExe } = getPathInfo$1(cmd, opt);
  const found = [];
  for (let i4 = 0; i4 < pathEnv.length; i4++) {
    const ppRaw = pathEnv[i4];
    const pathPart = /^".*"$/.test(ppRaw) ? ppRaw.slice(1, -1) : ppRaw;
    const pCmd = path$22.join(pathPart, cmd);
    const p2 = !pathPart && /^\.[\\\/]/.test(cmd) ? cmd.slice(0, 2) + pCmd : pCmd;
    for (let j2 = 0; j2 < pathExt.length; j2++) {
      const cur = p2 + pathExt[j2];
      try {
        const is2 = isexe$1.sync(cur, { pathExt: pathExtExe });
        if (is2) {
          if (opt.all)
            found.push(cur);
          else
            return cur;
        }
      } catch (ex2) {
      }
    }
  }
  if (opt.all && found.length)
    return found;
  if (opt.nothrow)
    return null;
  throw getNotFoundError$1(cmd);
};
var which_1 = which$3;
which$3.sync = whichSync$1;
var pathKey$2 = { exports: {} };
var pathKey$1 = (options2 = {}) => {
  const environment = options2.env || process.env;
  const platform2 = options2.platform || process.platform;
  if (platform2 !== "win32") {
    return "PATH";
  }
  return Object.keys(environment).reverse().find((key) => key.toUpperCase() === "PATH") || "Path";
};
pathKey$2.exports = pathKey$1;
pathKey$2.exports.default = pathKey$1;
var pathKeyExports = pathKey$2.exports;
var path$12 = import_path20.default;
var which$2 = which_1;
var getPathKey = pathKeyExports;
function resolveCommandAttempt(parsed, withoutPathExt) {
  const env3 = parsed.options.env || process.env;
  const cwd = process.cwd();
  const hasCustomCwd = parsed.options.cwd != null;
  const shouldSwitchCwd = hasCustomCwd && process.chdir !== void 0 && !process.chdir.disabled;
  if (shouldSwitchCwd) {
    try {
      process.chdir(parsed.options.cwd);
    } catch (err) {
    }
  }
  let resolved;
  try {
    resolved = which$2.sync(parsed.command, {
      path: env3[getPathKey({ env: env3 })],
      pathExt: withoutPathExt ? path$12.delimiter : void 0
    });
  } catch (e3) {
  } finally {
    if (shouldSwitchCwd) {
      process.chdir(cwd);
    }
  }
  if (resolved) {
    resolved = path$12.resolve(hasCustomCwd ? parsed.options.cwd : "", resolved);
  }
  return resolved;
}
function resolveCommand$1(parsed) {
  return resolveCommandAttempt(parsed) || resolveCommandAttempt(parsed, true);
}
var resolveCommand_1 = resolveCommand$1;
var _escape = {};
var metaCharsRegExp = /([()\][%!^"`<>&|;, *?])/g;
function escapeCommand(arg3) {
  arg3 = arg3.replace(metaCharsRegExp, "^$1");
  return arg3;
}
function escapeArgument(arg3, doubleEscapeMetaChars) {
  arg3 = `${arg3}`;
  arg3 = arg3.replace(/(\\*)"/g, '$1$1\\"');
  arg3 = arg3.replace(/(\\*)$/, "$1$1");
  arg3 = `"${arg3}"`;
  arg3 = arg3.replace(metaCharsRegExp, "^$1");
  if (doubleEscapeMetaChars) {
    arg3 = arg3.replace(metaCharsRegExp, "^$1");
  }
  return arg3;
}
_escape.command = escapeCommand;
_escape.argument = escapeArgument;
var shebangRegex$1 = /^#!(.*)/;
var shebangRegex = shebangRegex$1;
var shebangCommand$1 = (string = "") => {
  const match4 = string.match(shebangRegex);
  if (!match4) {
    return null;
  }
  const [path39, argument] = match4[0].replace(/#! ?/, "").split(" ");
  const binary = path39.split("/").pop();
  if (binary === "env") {
    return argument;
  }
  return argument ? `${binary} ${argument}` : binary;
};
var fs24 = import_fs19.default;
var shebangCommand = shebangCommand$1;
function readShebang$1(command) {
  const size = 150;
  const buffer = Buffer.alloc(size);
  let fd;
  try {
    fd = fs24.openSync(command, "r");
    fs24.readSync(fd, buffer, 0, size, 0);
    fs24.closeSync(fd);
  } catch (e3) {
  }
  return shebangCommand(buffer.toString());
}
var readShebang_1 = readShebang$1;
var path20 = import_path20.default;
var resolveCommand = resolveCommand_1;
var escape2 = _escape;
var readShebang = readShebang_1;
var isWin$2 = process.platform === "win32";
var isExecutableRegExp = /\.(?:com|exe)$/i;
var isCmdShimRegExp = /node_modules[\\/].bin[\\/][^\\/]+\.cmd$/i;
function detectShebang(parsed) {
  parsed.file = resolveCommand(parsed);
  const shebang = parsed.file && readShebang(parsed.file);
  if (shebang) {
    parsed.args.unshift(parsed.file);
    parsed.command = shebang;
    return resolveCommand(parsed);
  }
  return parsed.file;
}
function parseNonShell(parsed) {
  if (!isWin$2) {
    return parsed;
  }
  const commandFile = detectShebang(parsed);
  const needsShell = !isExecutableRegExp.test(commandFile);
  if (parsed.options.forceShell || needsShell) {
    const needsDoubleEscapeMetaChars = isCmdShimRegExp.test(commandFile);
    parsed.command = path20.normalize(parsed.command);
    parsed.command = escape2.command(parsed.command);
    parsed.args = parsed.args.map((arg3) => escape2.argument(arg3, needsDoubleEscapeMetaChars));
    const shellCommand = [parsed.command].concat(parsed.args).join(" ");
    parsed.args = ["/d", "/s", "/c", `"${shellCommand}"`];
    parsed.command = process.env.comspec || "cmd.exe";
    parsed.options.windowsVerbatimArguments = true;
  }
  return parsed;
}
function parse$1(command, args3, options2) {
  if (args3 && !Array.isArray(args3)) {
    options2 = args3;
    args3 = null;
  }
  args3 = args3 ? args3.slice(0) : [];
  options2 = Object.assign({}, options2);
  const parsed = {
    command,
    args: args3,
    options: options2,
    file: void 0,
    original: {
      command,
      args: args3
    }
  };
  return options2.shell ? parsed : parseNonShell(parsed);
}
var parse_1 = parse$1;
var isWin$1 = process.platform === "win32";
function notFoundError(original, syscall) {
  return Object.assign(new Error(`${syscall} ${original.command} ENOENT`), {
    code: "ENOENT",
    errno: "ENOENT",
    syscall: `${syscall} ${original.command}`,
    path: original.command,
    spawnargs: original.args
  });
}
function hookChildProcess(cp3, parsed) {
  if (!isWin$1) {
    return;
  }
  const originalEmit = cp3.emit;
  cp3.emit = function(name, arg1) {
    if (name === "exit") {
      const err = verifyENOENT(arg1, parsed);
      if (err) {
        return originalEmit.call(cp3, "error", err);
      }
    }
    return originalEmit.apply(cp3, arguments);
  };
}
function verifyENOENT(status, parsed) {
  if (isWin$1 && status === 1 && !parsed.file) {
    return notFoundError(parsed.original, "spawn");
  }
  return null;
}
function verifyENOENTSync(status, parsed) {
  if (isWin$1 && status === 1 && !parsed.file) {
    return notFoundError(parsed.original, "spawnSync");
  }
  return null;
}
var enoent$1 = {
  hookChildProcess,
  verifyENOENT,
  verifyENOENTSync,
  notFoundError
};
var cp2 = import_child_process3.default;
var parse2 = parse_1;
var enoent = enoent$1;
function spawn3(command, args3, options2) {
  const parsed = parse2(command, args3, options2);
  const spawned = cp2.spawn(parsed.command, parsed.args, parsed.options);
  enoent.hookChildProcess(spawned, parsed);
  return spawned;
}
function spawnSync(command, args3, options2) {
  const parsed = parse2(command, args3, options2);
  const result = cp2.spawnSync(parsed.command, parsed.args, parsed.options);
  result.error = result.error || enoent.verifyENOENTSync(result.status, parsed);
  return result;
}
crossSpawn$1.exports = spawn3;
crossSpawn$1.exports.spawn = spawn3;
crossSpawn$1.exports.sync = spawnSync;
crossSpawn$1.exports._parse = parse2;
crossSpawn$1.exports._enoent = enoent;
var crossSpawnExports = crossSpawn$1.exports;
var crossSpawn = /* @__PURE__ */ getDefaultExportFromCjs(crossSpawnExports);
function stripFinalNewline(input) {
  const LF = typeof input === "string" ? "\n" : "\n".charCodeAt();
  const CR = typeof input === "string" ? "\r" : "\r".charCodeAt();
  if (input[input.length - 1] === LF) {
    input = input.slice(0, -1);
  }
  if (input[input.length - 1] === CR) {
    input = input.slice(0, -1);
  }
  return input;
}
function pathKey(options2 = {}) {
  const {
    env: env3 = process.env,
    platform: platform2 = process.platform
  } = options2;
  if (platform2 !== "win32") {
    return "PATH";
  }
  return Object.keys(env3).reverse().find((key) => key.toUpperCase() === "PATH") || "Path";
}
function npmRunPath(options2 = {}) {
  const {
    cwd = import_node_process.default.cwd(),
    path: path_ = import_node_process.default.env[pathKey()],
    execPath = import_node_process.default.execPath
  } = options2;
  let previous;
  const cwdString = cwd instanceof URL ? import_node_url.default.fileURLToPath(cwd) : cwd;
  let cwdPath = import_node_path.default.resolve(cwdString);
  const result = [];
  while (previous !== cwdPath) {
    result.push(import_node_path.default.join(cwdPath, "node_modules/.bin"));
    previous = cwdPath;
    cwdPath = import_node_path.default.resolve(cwdPath, "..");
  }
  result.push(import_node_path.default.resolve(cwdString, execPath, ".."));
  return [...result, path_].join(import_node_path.default.delimiter);
}
function npmRunPathEnv({ env: env3 = import_node_process.default.env, ...options2 } = {}) {
  env3 = { ...env3 };
  const path39 = pathKey({ env: env3 });
  options2.path = env3[path39];
  env3[path39] = npmRunPath(options2);
  return env3;
}
var copyProperty = (to2, from, property, ignoreNonConfigurable) => {
  if (property === "length" || property === "prototype") {
    return;
  }
  if (property === "arguments" || property === "caller") {
    return;
  }
  const toDescriptor = Object.getOwnPropertyDescriptor(to2, property);
  const fromDescriptor = Object.getOwnPropertyDescriptor(from, property);
  if (!canCopyProperty(toDescriptor, fromDescriptor) && ignoreNonConfigurable) {
    return;
  }
  Object.defineProperty(to2, property, fromDescriptor);
};
var canCopyProperty = function(toDescriptor, fromDescriptor) {
  return toDescriptor === void 0 || toDescriptor.configurable || toDescriptor.writable === fromDescriptor.writable && toDescriptor.enumerable === fromDescriptor.enumerable && toDescriptor.configurable === fromDescriptor.configurable && (toDescriptor.writable || toDescriptor.value === fromDescriptor.value);
};
var changePrototype = (to2, from) => {
  const fromPrototype = Object.getPrototypeOf(from);
  if (fromPrototype === Object.getPrototypeOf(to2)) {
    return;
  }
  Object.setPrototypeOf(to2, fromPrototype);
};
var wrappedToString = (withName, fromBody) => `/* Wrapped ${withName}*/
${fromBody}`;
var toStringDescriptor = Object.getOwnPropertyDescriptor(Function.prototype, "toString");
var toStringName = Object.getOwnPropertyDescriptor(Function.prototype.toString, "name");
var changeToString = (to2, from, name) => {
  const withName = name === "" ? "" : `with ${name.trim()}() `;
  const newToString = wrappedToString.bind(null, withName, from.toString());
  Object.defineProperty(newToString, "name", toStringName);
  Object.defineProperty(to2, "toString", { ...toStringDescriptor, value: newToString });
};
function mimicFunction(to2, from, { ignoreNonConfigurable = false } = {}) {
  const { name } = to2;
  for (const property of Reflect.ownKeys(from)) {
    copyProperty(to2, from, property, ignoreNonConfigurable);
  }
  changePrototype(to2, from);
  changeToString(to2, from, name);
  return to2;
}
var calledFunctions = /* @__PURE__ */ new WeakMap();
var onetime = (function_, options2 = {}) => {
  if (typeof function_ !== "function") {
    throw new TypeError("Expected a function");
  }
  let returnValue;
  let callCount = 0;
  const functionName = function_.displayName || function_.name || "<anonymous>";
  const onetime2 = function(...arguments_) {
    calledFunctions.set(onetime2, ++callCount);
    if (callCount === 1) {
      returnValue = function_.apply(this, arguments_);
      function_ = null;
    } else if (options2.throw === true) {
      throw new Error(`Function \`${functionName}\` can only be called once`);
    }
    return returnValue;
  };
  mimicFunction(onetime2, function_);
  calledFunctions.set(onetime2, callCount);
  return onetime2;
};
onetime.callCount = (function_) => {
  if (!calledFunctions.has(function_)) {
    throw new Error(`The given function \`${function_.name}\` is not wrapped by the \`onetime\` package`);
  }
  return calledFunctions.get(function_);
};
var getRealtimeSignals = () => {
  const length = SIGRTMAX - SIGRTMIN + 1;
  return Array.from({ length }, getRealtimeSignal);
};
var getRealtimeSignal = (value, index2) => ({
  name: `SIGRT${index2 + 1}`,
  number: SIGRTMIN + index2,
  action: "terminate",
  description: "Application-specific signal (realtime)",
  standard: "posix"
});
var SIGRTMIN = 34;
var SIGRTMAX = 64;
var SIGNALS = [
  {
    name: "SIGHUP",
    number: 1,
    action: "terminate",
    description: "Terminal closed",
    standard: "posix"
  },
  {
    name: "SIGINT",
    number: 2,
    action: "terminate",
    description: "User interruption with CTRL-C",
    standard: "ansi"
  },
  {
    name: "SIGQUIT",
    number: 3,
    action: "core",
    description: "User interruption with CTRL-\\",
    standard: "posix"
  },
  {
    name: "SIGILL",
    number: 4,
    action: "core",
    description: "Invalid machine instruction",
    standard: "ansi"
  },
  {
    name: "SIGTRAP",
    number: 5,
    action: "core",
    description: "Debugger breakpoint",
    standard: "posix"
  },
  {
    name: "SIGABRT",
    number: 6,
    action: "core",
    description: "Aborted",
    standard: "ansi"
  },
  {
    name: "SIGIOT",
    number: 6,
    action: "core",
    description: "Aborted",
    standard: "bsd"
  },
  {
    name: "SIGBUS",
    number: 7,
    action: "core",
    description: "Bus error due to misaligned, non-existing address or paging error",
    standard: "bsd"
  },
  {
    name: "SIGEMT",
    number: 7,
    action: "terminate",
    description: "Command should be emulated but is not implemented",
    standard: "other"
  },
  {
    name: "SIGFPE",
    number: 8,
    action: "core",
    description: "Floating point arithmetic error",
    standard: "ansi"
  },
  {
    name: "SIGKILL",
    number: 9,
    action: "terminate",
    description: "Forced termination",
    standard: "posix",
    forced: true
  },
  {
    name: "SIGUSR1",
    number: 10,
    action: "terminate",
    description: "Application-specific signal",
    standard: "posix"
  },
  {
    name: "SIGSEGV",
    number: 11,
    action: "core",
    description: "Segmentation fault",
    standard: "ansi"
  },
  {
    name: "SIGUSR2",
    number: 12,
    action: "terminate",
    description: "Application-specific signal",
    standard: "posix"
  },
  {
    name: "SIGPIPE",
    number: 13,
    action: "terminate",
    description: "Broken pipe or socket",
    standard: "posix"
  },
  {
    name: "SIGALRM",
    number: 14,
    action: "terminate",
    description: "Timeout or timer",
    standard: "posix"
  },
  {
    name: "SIGTERM",
    number: 15,
    action: "terminate",
    description: "Termination",
    standard: "ansi"
  },
  {
    name: "SIGSTKFLT",
    number: 16,
    action: "terminate",
    description: "Stack is empty or overflowed",
    standard: "other"
  },
  {
    name: "SIGCHLD",
    number: 17,
    action: "ignore",
    description: "Child process terminated, paused or unpaused",
    standard: "posix"
  },
  {
    name: "SIGCLD",
    number: 17,
    action: "ignore",
    description: "Child process terminated, paused or unpaused",
    standard: "other"
  },
  {
    name: "SIGCONT",
    number: 18,
    action: "unpause",
    description: "Unpaused",
    standard: "posix",
    forced: true
  },
  {
    name: "SIGSTOP",
    number: 19,
    action: "pause",
    description: "Paused",
    standard: "posix",
    forced: true
  },
  {
    name: "SIGTSTP",
    number: 20,
    action: "pause",
    description: 'Paused using CTRL-Z or "suspend"',
    standard: "posix"
  },
  {
    name: "SIGTTIN",
    number: 21,
    action: "pause",
    description: "Background process cannot read terminal input",
    standard: "posix"
  },
  {
    name: "SIGBREAK",
    number: 21,
    action: "terminate",
    description: "User interruption with CTRL-BREAK",
    standard: "other"
  },
  {
    name: "SIGTTOU",
    number: 22,
    action: "pause",
    description: "Background process cannot write to terminal output",
    standard: "posix"
  },
  {
    name: "SIGURG",
    number: 23,
    action: "ignore",
    description: "Socket received out-of-band data",
    standard: "bsd"
  },
  {
    name: "SIGXCPU",
    number: 24,
    action: "core",
    description: "Process timed out",
    standard: "bsd"
  },
  {
    name: "SIGXFSZ",
    number: 25,
    action: "core",
    description: "File too big",
    standard: "bsd"
  },
  {
    name: "SIGVTALRM",
    number: 26,
    action: "terminate",
    description: "Timeout or timer",
    standard: "bsd"
  },
  {
    name: "SIGPROF",
    number: 27,
    action: "terminate",
    description: "Timeout or timer",
    standard: "bsd"
  },
  {
    name: "SIGWINCH",
    number: 28,
    action: "ignore",
    description: "Terminal window size changed",
    standard: "bsd"
  },
  {
    name: "SIGIO",
    number: 29,
    action: "terminate",
    description: "I/O is available",
    standard: "other"
  },
  {
    name: "SIGPOLL",
    number: 29,
    action: "terminate",
    description: "Watched event",
    standard: "other"
  },
  {
    name: "SIGINFO",
    number: 29,
    action: "ignore",
    description: "Request for process information",
    standard: "other"
  },
  {
    name: "SIGPWR",
    number: 30,
    action: "terminate",
    description: "Device running out of power",
    standard: "systemv"
  },
  {
    name: "SIGSYS",
    number: 31,
    action: "core",
    description: "Invalid system call",
    standard: "other"
  },
  {
    name: "SIGUNUSED",
    number: 31,
    action: "terminate",
    description: "Invalid system call",
    standard: "other"
  }
];
var getSignals = () => {
  const realtimeSignals = getRealtimeSignals();
  const signals = [...SIGNALS, ...realtimeSignals].map(normalizeSignal);
  return signals;
};
var normalizeSignal = ({
  name,
  number: defaultNumber,
  description,
  action: action2,
  forced = false,
  standard
}) => {
  const {
    signals: { [name]: constantSignal }
  } = import_node_os.constants;
  const supported = constantSignal !== void 0;
  const number2 = supported ? constantSignal : defaultNumber;
  return { name, number: number2, description, supported, action: action2, forced, standard };
};
var getSignalsByName = () => {
  const signals = getSignals();
  return Object.fromEntries(signals.map(getSignalByName));
};
var getSignalByName = ({
  name,
  number: number2,
  description,
  supported,
  action: action2,
  forced,
  standard
}) => [name, { name, number: number2, description, supported, action: action2, forced, standard }];
var signalsByName = getSignalsByName();
var getSignalsByNumber = () => {
  const signals = getSignals();
  const length = SIGRTMAX + 1;
  const signalsA = Array.from({ length }, (value, number2) => getSignalByNumber(number2, signals));
  return Object.assign({}, ...signalsA);
};
var getSignalByNumber = (number2, signals) => {
  const signal = findSignalByNumber(number2, signals);
  if (signal === void 0) {
    return {};
  }
  const { name, description, supported, action: action2, forced, standard } = signal;
  return {
    [number2]: {
      name,
      number: number2,
      description,
      supported,
      action: action2,
      forced,
      standard
    }
  };
};
var findSignalByNumber = (number2, signals) => {
  const signal = signals.find(({ name }) => import_node_os.constants.signals[name] === number2);
  if (signal !== void 0) {
    return signal;
  }
  return signals.find((signalA) => signalA.number === number2);
};
getSignalsByNumber();
var getErrorPrefix = ({ timedOut, timeout: timeout2, errorCode, signal, signalDescription, exitCode, isCanceled }) => {
  if (timedOut) {
    return `timed out after ${timeout2} milliseconds`;
  }
  if (isCanceled) {
    return "was canceled";
  }
  if (errorCode !== void 0) {
    return `failed with ${errorCode}`;
  }
  if (signal !== void 0) {
    return `was killed with ${signal} (${signalDescription})`;
  }
  if (exitCode !== void 0) {
    return `failed with exit code ${exitCode}`;
  }
  return "failed";
};
var makeError = ({
  stdout,
  stderr,
  all,
  error: error2,
  signal,
  exitCode,
  command,
  escapedCommand,
  timedOut,
  isCanceled,
  killed,
  parsed: { options: { timeout: timeout2 } }
}) => {
  exitCode = exitCode === null ? void 0 : exitCode;
  signal = signal === null ? void 0 : signal;
  const signalDescription = signal === void 0 ? void 0 : signalsByName[signal].description;
  const errorCode = error2 && error2.code;
  const prefix = getErrorPrefix({ timedOut, timeout: timeout2, errorCode, signal, signalDescription, exitCode, isCanceled });
  const execaMessage = `Command ${prefix}: ${command}`;
  const isError4 = Object.prototype.toString.call(error2) === "[object Error]";
  const shortMessage = isError4 ? `${execaMessage}
${error2.message}` : execaMessage;
  const message2 = [shortMessage, stderr, stdout].filter(Boolean).join("\n");
  if (isError4) {
    error2.originalMessage = error2.message;
    error2.message = message2;
  } else {
    error2 = new Error(message2);
  }
  error2.shortMessage = shortMessage;
  error2.command = command;
  error2.escapedCommand = escapedCommand;
  error2.exitCode = exitCode;
  error2.signal = signal;
  error2.signalDescription = signalDescription;
  error2.stdout = stdout;
  error2.stderr = stderr;
  if (all !== void 0) {
    error2.all = all;
  }
  if ("bufferedData" in error2) {
    delete error2.bufferedData;
  }
  error2.failed = true;
  error2.timedOut = Boolean(timedOut);
  error2.isCanceled = isCanceled;
  error2.killed = killed && !timedOut;
  return error2;
};
var aliases2 = ["stdin", "stdout", "stderr"];
var hasAlias = (options2) => aliases2.some((alias) => options2[alias] !== void 0);
var normalizeStdio = (options2) => {
  if (!options2) {
    return;
  }
  const { stdio } = options2;
  if (stdio === void 0) {
    return aliases2.map((alias) => options2[alias]);
  }
  if (hasAlias(options2)) {
    throw new Error(`It's not possible to provide \`stdio\` in combination with one of ${aliases2.map((alias) => `\`${alias}\``).join(", ")}`);
  }
  if (typeof stdio === "string") {
    return stdio;
  }
  if (!Array.isArray(stdio)) {
    throw new TypeError(`Expected \`stdio\` to be of type \`string\` or \`Array\`, got \`${typeof stdio}\``);
  }
  const length = Math.max(stdio.length, aliases2.length);
  return Array.from({ length }, (value, index2) => stdio[index2]);
};
var signalExit = { exports: {} };
var signals$1 = { exports: {} };
var hasRequiredSignals;
function requireSignals() {
  if (hasRequiredSignals)
    return signals$1.exports;
  hasRequiredSignals = 1;
  (function(module2) {
    module2.exports = [
      "SIGABRT",
      "SIGALRM",
      "SIGHUP",
      "SIGINT",
      "SIGTERM"
    ];
    if (process.platform !== "win32") {
      module2.exports.push(
        "SIGVTALRM",
        "SIGXCPU",
        "SIGXFSZ",
        "SIGUSR2",
        "SIGTRAP",
        "SIGSYS",
        "SIGQUIT",
        "SIGIOT"
        // should detect profiler and enable/disable accordingly.
        // see #21
        // 'SIGPROF'
      );
    }
    if (process.platform === "linux") {
      module2.exports.push(
        "SIGIO",
        "SIGPOLL",
        "SIGPWR",
        "SIGSTKFLT",
        "SIGUNUSED"
      );
    }
  })(signals$1);
  return signals$1.exports;
}
var process$1 = commonjsGlobal.process;
var processOk = function(process2) {
  return process2 && typeof process2 === "object" && typeof process2.removeListener === "function" && typeof process2.emit === "function" && typeof process2.reallyExit === "function" && typeof process2.listeners === "function" && typeof process2.kill === "function" && typeof process2.pid === "number" && typeof process2.on === "function";
};
if (!processOk(process$1)) {
  signalExit.exports = function() {
    return function() {
    };
  };
} else {
  assert = import_assert.default;
  signals = requireSignals();
  isWin = /^win/i.test(process$1.platform);
  EE = import_events.default;
  if (typeof EE !== "function") {
    EE = EE.EventEmitter;
  }
  if (process$1.__signal_exit_emitter__) {
    emitter = process$1.__signal_exit_emitter__;
  } else {
    emitter = process$1.__signal_exit_emitter__ = new EE();
    emitter.count = 0;
    emitter.emitted = {};
  }
  if (!emitter.infinite) {
    emitter.setMaxListeners(Infinity);
    emitter.infinite = true;
  }
  signalExit.exports = function(cb2, opts2) {
    if (!processOk(commonjsGlobal.process)) {
      return function() {
      };
    }
    assert.equal(typeof cb2, "function", "a callback must be provided for exit handler");
    if (loaded === false) {
      load2();
    }
    var ev = "exit";
    if (opts2 && opts2.alwaysLast) {
      ev = "afterexit";
    }
    var remove2 = function() {
      emitter.removeListener(ev, cb2);
      if (emitter.listeners("exit").length === 0 && emitter.listeners("afterexit").length === 0) {
        unload();
      }
    };
    emitter.on(ev, cb2);
    return remove2;
  };
  unload = function unload2() {
    if (!loaded || !processOk(commonjsGlobal.process)) {
      return;
    }
    loaded = false;
    signals.forEach(function(sig) {
      try {
        process$1.removeListener(sig, sigListeners[sig]);
      } catch (er) {
      }
    });
    process$1.emit = originalProcessEmit;
    process$1.reallyExit = originalProcessReallyExit;
    emitter.count -= 1;
  };
  signalExit.exports.unload = unload;
  emit = function emit2(event, code, signal) {
    if (emitter.emitted[event]) {
      return;
    }
    emitter.emitted[event] = true;
    emitter.emit(event, code, signal);
  };
  sigListeners = {};
  signals.forEach(function(sig) {
    sigListeners[sig] = function listener() {
      if (!processOk(commonjsGlobal.process)) {
        return;
      }
      var listeners = process$1.listeners(sig);
      if (listeners.length === emitter.count) {
        unload();
        emit("exit", null, sig);
        emit("afterexit", null, sig);
        if (isWin && sig === "SIGHUP") {
          sig = "SIGINT";
        }
        process$1.kill(process$1.pid, sig);
      }
    };
  });
  signalExit.exports.signals = function() {
    return signals;
  };
  loaded = false;
  load2 = function load3() {
    if (loaded || !processOk(commonjsGlobal.process)) {
      return;
    }
    loaded = true;
    emitter.count += 1;
    signals = signals.filter(function(sig) {
      try {
        process$1.on(sig, sigListeners[sig]);
        return true;
      } catch (er) {
        return false;
      }
    });
    process$1.emit = processEmit;
    process$1.reallyExit = processReallyExit;
  };
  signalExit.exports.load = load2;
  originalProcessReallyExit = process$1.reallyExit;
  processReallyExit = function processReallyExit2(code) {
    if (!processOk(commonjsGlobal.process)) {
      return;
    }
    process$1.exitCode = code || /* istanbul ignore next */
    0;
    emit("exit", process$1.exitCode, null);
    emit("afterexit", process$1.exitCode, null);
    originalProcessReallyExit.call(process$1, process$1.exitCode);
  };
  originalProcessEmit = process$1.emit;
  processEmit = function processEmit2(ev, arg3) {
    if (ev === "exit" && processOk(commonjsGlobal.process)) {
      if (arg3 !== void 0) {
        process$1.exitCode = arg3;
      }
      var ret = originalProcessEmit.apply(this, arguments);
      emit("exit", process$1.exitCode, null);
      emit("afterexit", process$1.exitCode, null);
      return ret;
    } else {
      return originalProcessEmit.apply(this, arguments);
    }
  };
}
var assert;
var signals;
var isWin;
var EE;
var emitter;
var unload;
var emit;
var sigListeners;
var loaded;
var load2;
var originalProcessReallyExit;
var processReallyExit;
var originalProcessEmit;
var processEmit;
var signalExitExports = signalExit.exports;
var onExit = /* @__PURE__ */ getDefaultExportFromCjs(signalExitExports);
var DEFAULT_FORCE_KILL_TIMEOUT = 1e3 * 5;
var spawnedKill = (kill, signal = "SIGTERM", options2 = {}) => {
  const killResult = kill(signal);
  setKillTimeout(kill, signal, options2, killResult);
  return killResult;
};
var setKillTimeout = (kill, signal, options2, killResult) => {
  if (!shouldForceKill(signal, options2, killResult)) {
    return;
  }
  const timeout2 = getForceKillAfterTimeout(options2);
  const t9 = setTimeout(() => {
    kill("SIGKILL");
  }, timeout2);
  if (t9.unref) {
    t9.unref();
  }
};
var shouldForceKill = (signal, { forceKillAfterTimeout }, killResult) => isSigterm(signal) && forceKillAfterTimeout !== false && killResult;
var isSigterm = (signal) => signal === import_node_os.default.constants.signals.SIGTERM || typeof signal === "string" && signal.toUpperCase() === "SIGTERM";
var getForceKillAfterTimeout = ({ forceKillAfterTimeout = true }) => {
  if (forceKillAfterTimeout === true) {
    return DEFAULT_FORCE_KILL_TIMEOUT;
  }
  if (!Number.isFinite(forceKillAfterTimeout) || forceKillAfterTimeout < 0) {
    throw new TypeError(`Expected the \`forceKillAfterTimeout\` option to be a non-negative integer, got \`${forceKillAfterTimeout}\` (${typeof forceKillAfterTimeout})`);
  }
  return forceKillAfterTimeout;
};
var spawnedCancel = (spawned, context) => {
  const killResult = spawned.kill();
  if (killResult) {
    context.isCanceled = true;
  }
};
var timeoutKill = (spawned, signal, reject2) => {
  spawned.kill(signal);
  reject2(Object.assign(new Error("Timed out"), { timedOut: true, signal }));
};
var setupTimeout = (spawned, { timeout: timeout2, killSignal = "SIGTERM" }, spawnedPromise) => {
  if (timeout2 === 0 || timeout2 === void 0) {
    return spawnedPromise;
  }
  let timeoutId;
  const timeoutPromise = new Promise((resolve3, reject2) => {
    timeoutId = setTimeout(() => {
      timeoutKill(spawned, killSignal, reject2);
    }, timeout2);
  });
  const safeSpawnedPromise = spawnedPromise.finally(() => {
    clearTimeout(timeoutId);
  });
  return Promise.race([timeoutPromise, safeSpawnedPromise]);
};
var validateTimeout = ({ timeout: timeout2 }) => {
  if (timeout2 !== void 0 && (!Number.isFinite(timeout2) || timeout2 < 0)) {
    throw new TypeError(`Expected the \`timeout\` option to be a non-negative integer, got \`${timeout2}\` (${typeof timeout2})`);
  }
};
var setExitHandler = async (spawned, { cleanup, detached }, timedPromise) => {
  if (!cleanup || detached) {
    return timedPromise;
  }
  const removeExitHandler = onExit(() => {
    spawned.kill();
  });
  return timedPromise.finally(() => {
    removeExitHandler();
  });
};
function isStream(stream4) {
  return stream4 !== null && typeof stream4 === "object" && typeof stream4.pipe === "function";
}
function isWritableStream(stream4) {
  return isStream(stream4) && stream4.writable !== false && typeof stream4._write === "function" && typeof stream4._writableState === "object";
}
var isExecaChildProcess = (target) => target instanceof import_node_child_process.ChildProcess && typeof target.then === "function";
var pipeToTarget = (spawned, streamName, target) => {
  if (typeof target === "string") {
    spawned[streamName].pipe((0, import_node_fs.createWriteStream)(target));
    return spawned;
  }
  if (isWritableStream(target)) {
    spawned[streamName].pipe(target);
    return spawned;
  }
  if (!isExecaChildProcess(target)) {
    throw new TypeError("The second argument must be a string, a stream or an Execa child process.");
  }
  if (!isWritableStream(target.stdin)) {
    throw new TypeError("The target child process's stdin must be available.");
  }
  spawned[streamName].pipe(target.stdin);
  return target;
};
var addPipeMethods = (spawned) => {
  if (spawned.stdout !== null) {
    spawned.pipeStdout = pipeToTarget.bind(void 0, spawned, "stdout");
  }
  if (spawned.stderr !== null) {
    spawned.pipeStderr = pipeToTarget.bind(void 0, spawned, "stderr");
  }
  if (spawned.all !== void 0) {
    spawned.pipeAll = pipeToTarget.bind(void 0, spawned, "all");
  }
};
var getStream$2 = { exports: {} };
var { PassThrough: PassThroughStream } = import_stream3.default;
var bufferStream$1 = (options2) => {
  options2 = { ...options2 };
  const { array } = options2;
  let { encoding } = options2;
  const isBuffer = encoding === "buffer";
  let objectMode = false;
  if (array) {
    objectMode = !(encoding || isBuffer);
  } else {
    encoding = encoding || "utf8";
  }
  if (isBuffer) {
    encoding = null;
  }
  const stream4 = new PassThroughStream({ objectMode });
  if (encoding) {
    stream4.setEncoding(encoding);
  }
  let length = 0;
  const chunks = [];
  stream4.on("data", (chunk) => {
    chunks.push(chunk);
    if (objectMode) {
      length = chunks.length;
    } else {
      length += chunk.length;
    }
  });
  stream4.getBufferedValue = () => {
    if (array) {
      return chunks;
    }
    return isBuffer ? Buffer.concat(chunks, length) : chunks.join("");
  };
  stream4.getBufferedLength = () => length;
  return stream4;
};
var { constants: BufferConstants } = import_buffer.default;
var stream2 = import_stream3.default;
var { promisify: promisify8 } = import_util8.default;
var bufferStream = bufferStream$1;
var streamPipelinePromisified = promisify8(stream2.pipeline);
var MaxBufferError = class extends Error {
  constructor() {
    super("maxBuffer exceeded");
    this.name = "MaxBufferError";
  }
};
async function getStream(inputStream, options2) {
  if (!inputStream) {
    throw new Error("Expected a stream");
  }
  options2 = {
    maxBuffer: Infinity,
    ...options2
  };
  const { maxBuffer } = options2;
  const stream4 = bufferStream(options2);
  await new Promise((resolve3, reject2) => {
    const rejectPromise = (error2) => {
      if (error2 && stream4.getBufferedLength() <= BufferConstants.MAX_LENGTH) {
        error2.bufferedData = stream4.getBufferedValue();
      }
      reject2(error2);
    };
    (async () => {
      try {
        await streamPipelinePromisified(inputStream, stream4);
        resolve3();
      } catch (error2) {
        rejectPromise(error2);
      }
    })();
    stream4.on("data", () => {
      if (stream4.getBufferedLength() > maxBuffer) {
        rejectPromise(new MaxBufferError());
      }
    });
  });
  return stream4.getBufferedValue();
}
getStream$2.exports = getStream;
getStream$2.exports.buffer = (stream4, options2) => getStream(stream4, { ...options2, encoding: "buffer" });
getStream$2.exports.array = (stream4, options2) => getStream(stream4, { ...options2, array: true });
getStream$2.exports.MaxBufferError = MaxBufferError;
var getStreamExports = getStream$2.exports;
var getStream$1 = /* @__PURE__ */ getDefaultExportFromCjs(getStreamExports);
var { PassThrough: PassThrough2 } = import_stream3.default;
var mergeStream = function() {
  var sources = [];
  var output = new PassThrough2({ objectMode: true });
  output.setMaxListeners(0);
  output.add = add;
  output.isEmpty = isEmpty;
  output.on("unpipe", remove2);
  Array.prototype.slice.call(arguments).forEach(add);
  return output;
  function add(source) {
    if (Array.isArray(source)) {
      source.forEach(add);
      return this;
    }
    sources.push(source);
    source.once("end", remove2.bind(null, source));
    source.once("error", output.emit.bind(output, "error"));
    source.pipe(output, { end: false });
    return this;
  }
  function isEmpty() {
    return sources.length == 0;
  }
  function remove2(source) {
    sources = sources.filter(function(it2) {
      return it2 !== source;
    });
    if (!sources.length && output.readable) {
      output.end();
    }
  }
};
var mergeStream$1 = /* @__PURE__ */ getDefaultExportFromCjs(mergeStream);
var validateInputOptions = (input) => {
  if (input !== void 0) {
    throw new TypeError("The `input` and `inputFile` options cannot be both set.");
  }
};
var getInput = ({ input, inputFile }) => {
  if (typeof inputFile !== "string") {
    return input;
  }
  validateInputOptions(input);
  return (0, import_node_fs.createReadStream)(inputFile);
};
var handleInput = (spawned, options2) => {
  const input = getInput(options2);
  if (input === void 0) {
    return;
  }
  if (isStream(input)) {
    input.pipe(spawned.stdin);
  } else {
    spawned.stdin.end(input);
  }
};
var makeAllStream = (spawned, { all }) => {
  if (!all || !spawned.stdout && !spawned.stderr) {
    return;
  }
  const mixed = mergeStream$1();
  if (spawned.stdout) {
    mixed.add(spawned.stdout);
  }
  if (spawned.stderr) {
    mixed.add(spawned.stderr);
  }
  return mixed;
};
var getBufferedData = async (stream4, streamPromise) => {
  if (!stream4 || streamPromise === void 0) {
    return;
  }
  stream4.destroy();
  try {
    return await streamPromise;
  } catch (error2) {
    return error2.bufferedData;
  }
};
var getStreamPromise = (stream4, { encoding, buffer, maxBuffer }) => {
  if (!stream4 || !buffer) {
    return;
  }
  if (encoding) {
    return getStream$1(stream4, { encoding, maxBuffer });
  }
  return getStream$1.buffer(stream4, { maxBuffer });
};
var getSpawnedResult = async ({ stdout, stderr, all }, { encoding, buffer, maxBuffer }, processDone) => {
  const stdoutPromise = getStreamPromise(stdout, { encoding, buffer, maxBuffer });
  const stderrPromise = getStreamPromise(stderr, { encoding, buffer, maxBuffer });
  const allPromise = getStreamPromise(all, { encoding, buffer, maxBuffer: maxBuffer * 2 });
  try {
    return await Promise.all([processDone, stdoutPromise, stderrPromise, allPromise]);
  } catch (error2) {
    return Promise.all([
      { error: error2, signal: error2.signal, timedOut: error2.timedOut },
      getBufferedData(stdout, stdoutPromise),
      getBufferedData(stderr, stderrPromise),
      getBufferedData(all, allPromise)
    ]);
  }
};
var nativePromisePrototype = (/* @__PURE__ */ (async () => {
})()).constructor.prototype;
var descriptors = ["then", "catch", "finally"].map((property) => [
  property,
  Reflect.getOwnPropertyDescriptor(nativePromisePrototype, property)
]);
var mergePromise = (spawned, promise) => {
  for (const [property, descriptor] of descriptors) {
    const value = typeof promise === "function" ? (...args3) => Reflect.apply(descriptor.value, promise(), args3) : descriptor.value.bind(promise);
    Reflect.defineProperty(spawned, property, { ...descriptor, value });
  }
};
var getSpawnedPromise = (spawned) => new Promise((resolve3, reject2) => {
  spawned.on("exit", (exitCode, signal) => {
    resolve3({ exitCode, signal });
  });
  spawned.on("error", (error2) => {
    reject2(error2);
  });
  if (spawned.stdin) {
    spawned.stdin.on("error", (error2) => {
      reject2(error2);
    });
  }
});
var normalizeArgs = (file2, args3 = []) => {
  if (!Array.isArray(args3)) {
    return [file2];
  }
  return [file2, ...args3];
};
var NO_ESCAPE_REGEXP = /^[\w.-]+$/;
var DOUBLE_QUOTES_REGEXP = /"/g;
var escapeArg = (arg3) => {
  if (typeof arg3 !== "string" || NO_ESCAPE_REGEXP.test(arg3)) {
    return arg3;
  }
  return `"${arg3.replace(DOUBLE_QUOTES_REGEXP, '\\"')}"`;
};
var joinCommand = (file2, args3) => normalizeArgs(file2, args3).join(" ");
var getEscapedCommand = (file2, args3) => normalizeArgs(file2, args3).map((arg3) => escapeArg(arg3)).join(" ");
var SPACES_REGEXP = / +/g;
var parseCommand = (command) => {
  const tokens = [];
  for (const token of command.trim().split(SPACES_REGEXP)) {
    const previousToken = tokens[tokens.length - 1];
    if (previousToken && previousToken.endsWith("\\")) {
      tokens[tokens.length - 1] = `${previousToken.slice(0, -1)} ${token}`;
    } else {
      tokens.push(token);
    }
  }
  return tokens;
};
var verboseDefault = (0, import_node_util.debuglog)("execa").enabled;
var padField = (field, padding) => String(field).padStart(padding, "0");
var getTimestamp = () => {
  const date2 = /* @__PURE__ */ new Date();
  return `${padField(date2.getHours(), 2)}:${padField(date2.getMinutes(), 2)}:${padField(date2.getSeconds(), 2)}.${padField(date2.getMilliseconds(), 3)}`;
};
var logCommand = (escapedCommand, { verbose }) => {
  if (!verbose) {
    return;
  }
  import_node_process.default.stderr.write(`[${getTimestamp()}] ${escapedCommand}
`);
};
var DEFAULT_MAX_BUFFER = 1e3 * 1e3 * 100;
var getEnv = ({ env: envOption, extendEnv, preferLocal, localDir, execPath }) => {
  const env3 = extendEnv ? { ...import_node_process.default.env, ...envOption } : envOption;
  if (preferLocal) {
    return npmRunPathEnv({ env: env3, cwd: localDir, execPath });
  }
  return env3;
};
var handleArguments = (file2, args3, options2 = {}) => {
  const parsed = crossSpawn._parse(file2, args3, options2);
  file2 = parsed.command;
  args3 = parsed.args;
  options2 = parsed.options;
  options2 = {
    maxBuffer: DEFAULT_MAX_BUFFER,
    buffer: true,
    stripFinalNewline: true,
    extendEnv: true,
    preferLocal: false,
    localDir: options2.cwd || import_node_process.default.cwd(),
    execPath: import_node_process.default.execPath,
    encoding: "utf8",
    reject: true,
    cleanup: true,
    all: false,
    windowsHide: true,
    verbose: verboseDefault,
    ...options2
  };
  options2.env = getEnv(options2);
  options2.stdio = normalizeStdio(options2);
  if (import_node_process.default.platform === "win32" && import_node_path.default.basename(file2, ".exe") === "cmd") {
    args3.unshift("/q");
  }
  return { file: file2, args: args3, options: options2, parsed };
};
var handleOutput = (options2, value, error2) => {
  if (typeof value !== "string" && !import_node_buffer.Buffer.isBuffer(value)) {
    return error2 === void 0 ? void 0 : "";
  }
  if (options2.stripFinalNewline) {
    return stripFinalNewline(value);
  }
  return value;
};
function execa5(file2, args3, options2) {
  const parsed = handleArguments(file2, args3, options2);
  const command = joinCommand(file2, args3);
  const escapedCommand = getEscapedCommand(file2, args3);
  logCommand(escapedCommand, parsed.options);
  validateTimeout(parsed.options);
  let spawned;
  try {
    spawned = import_node_child_process.default.spawn(parsed.file, parsed.args, parsed.options);
  } catch (error2) {
    const dummySpawned = new import_node_child_process.default.ChildProcess();
    const errorPromise = Promise.reject(makeError({
      error: error2,
      stdout: "",
      stderr: "",
      all: "",
      command,
      escapedCommand,
      parsed,
      timedOut: false,
      isCanceled: false,
      killed: false
    }));
    mergePromise(dummySpawned, errorPromise);
    return dummySpawned;
  }
  const spawnedPromise = getSpawnedPromise(spawned);
  const timedPromise = setupTimeout(spawned, parsed.options, spawnedPromise);
  const processDone = setExitHandler(spawned, parsed.options, timedPromise);
  const context = { isCanceled: false };
  spawned.kill = spawnedKill.bind(null, spawned.kill.bind(spawned));
  spawned.cancel = spawnedCancel.bind(null, spawned, context);
  const handlePromise2 = async () => {
    const [{ error: error2, exitCode, signal, timedOut }, stdoutResult, stderrResult, allResult] = await getSpawnedResult(spawned, parsed.options, processDone);
    const stdout = handleOutput(parsed.options, stdoutResult);
    const stderr = handleOutput(parsed.options, stderrResult);
    const all = handleOutput(parsed.options, allResult);
    if (error2 || exitCode !== 0 || signal !== null) {
      const returnedError = makeError({
        error: error2,
        exitCode,
        signal,
        stdout,
        stderr,
        all,
        command,
        escapedCommand,
        parsed,
        timedOut,
        isCanceled: parsed.options.signal ? parsed.options.signal.aborted : false,
        killed: spawned.killed
      });
      if (!parsed.options.reject) {
        return returnedError;
      }
      throw returnedError;
    }
    return {
      command,
      escapedCommand,
      exitCode: 0,
      stdout,
      stderr,
      all,
      failed: false,
      timedOut: false,
      isCanceled: false,
      killed: false
    };
  };
  const handlePromiseOnce = onetime(handlePromise2);
  handleInput(spawned, parsed.options);
  spawned.all = makeAllStream(spawned, parsed.options);
  addPipeMethods(spawned);
  mergePromise(spawned, handlePromiseOnce);
  return spawned;
}
function execaCommand(command, options2) {
  const [file2, ...args3] = parseCommand(command);
  return execa5(file2, args3, options2);
}
var ESC$1 = "\x1B[";
var OSC = "\x1B]";
var BEL = "\x07";
var SEP = ";";
var isTerminalApp = process.env.TERM_PROGRAM === "Apple_Terminal";
var ansiEscapes = {};
ansiEscapes.cursorTo = (x, y3) => {
  if (typeof x !== "number") {
    throw new TypeError("The `x` argument is required");
  }
  if (typeof y3 !== "number") {
    return ESC$1 + (x + 1) + "G";
  }
  return ESC$1 + (y3 + 1) + ";" + (x + 1) + "H";
};
ansiEscapes.cursorMove = (x, y3) => {
  if (typeof x !== "number") {
    throw new TypeError("The `x` argument is required");
  }
  let returnValue = "";
  if (x < 0) {
    returnValue += ESC$1 + -x + "D";
  } else if (x > 0) {
    returnValue += ESC$1 + x + "C";
  }
  if (y3 < 0) {
    returnValue += ESC$1 + -y3 + "A";
  } else if (y3 > 0) {
    returnValue += ESC$1 + y3 + "B";
  }
  return returnValue;
};
ansiEscapes.cursorUp = (count = 1) => ESC$1 + count + "A";
ansiEscapes.cursorDown = (count = 1) => ESC$1 + count + "B";
ansiEscapes.cursorForward = (count = 1) => ESC$1 + count + "C";
ansiEscapes.cursorBackward = (count = 1) => ESC$1 + count + "D";
ansiEscapes.cursorLeft = ESC$1 + "G";
ansiEscapes.cursorSavePosition = isTerminalApp ? "\x1B7" : ESC$1 + "s";
ansiEscapes.cursorRestorePosition = isTerminalApp ? "\x1B8" : ESC$1 + "u";
ansiEscapes.cursorGetPosition = ESC$1 + "6n";
ansiEscapes.cursorNextLine = ESC$1 + "E";
ansiEscapes.cursorPrevLine = ESC$1 + "F";
ansiEscapes.cursorHide = ESC$1 + "?25l";
ansiEscapes.cursorShow = ESC$1 + "?25h";
ansiEscapes.eraseLines = (count) => {
  let clear2 = "";
  for (let i4 = 0; i4 < count; i4++) {
    clear2 += ansiEscapes.eraseLine + (i4 < count - 1 ? ansiEscapes.cursorUp() : "");
  }
  if (count) {
    clear2 += ansiEscapes.cursorLeft;
  }
  return clear2;
};
ansiEscapes.eraseEndLine = ESC$1 + "K";
ansiEscapes.eraseStartLine = ESC$1 + "1K";
ansiEscapes.eraseLine = ESC$1 + "2K";
ansiEscapes.eraseDown = ESC$1 + "J";
ansiEscapes.eraseUp = ESC$1 + "1J";
ansiEscapes.eraseScreen = ESC$1 + "2J";
ansiEscapes.scrollUp = ESC$1 + "S";
ansiEscapes.scrollDown = ESC$1 + "T";
ansiEscapes.clearScreen = "\x1Bc";
ansiEscapes.clearTerminal = process.platform === "win32" ? `${ansiEscapes.eraseScreen}${ESC$1}0f` : (
  // 1. Erases the screen (Only done in case `2` is not supported)
  // 2. Erases the whole screen including scrollback buffer
  // 3. Moves cursor to the top-left position
  // More info: https://www.real-world-systems.com/docs/ANSIcode.html
  `${ansiEscapes.eraseScreen}${ESC$1}3J${ESC$1}H`
);
ansiEscapes.beep = BEL;
ansiEscapes.link = (text2, url2) => {
  return [
    OSC,
    "8",
    SEP,
    SEP,
    url2,
    BEL,
    text2,
    OSC,
    "8",
    SEP,
    SEP,
    BEL
  ].join("");
};
ansiEscapes.image = (buffer, options2 = {}) => {
  let returnValue = `${OSC}1337;File=inline=1`;
  if (options2.width) {
    returnValue += `;width=${options2.width}`;
  }
  if (options2.height) {
    returnValue += `;height=${options2.height}`;
  }
  if (options2.preserveAspectRatio === false) {
    returnValue += ";preserveAspectRatio=0";
  }
  return returnValue + ":" + buffer.toString("base64") + BEL;
};
ansiEscapes.iTerm = {
  setCwd: (cwd = process.cwd()) => `${OSC}50;CurrentDir=${cwd}${BEL}`,
  annotation: (message2, options2 = {}) => {
    let returnValue = `${OSC}1337;`;
    const hasX = typeof options2.x !== "undefined";
    const hasY = typeof options2.y !== "undefined";
    if ((hasX || hasY) && !(hasX && hasY && typeof options2.length !== "undefined")) {
      throw new Error("`x`, `y` and `length` must be defined when `x` or `y` is defined");
    }
    message2 = message2.replace(/\|/g, "");
    returnValue += options2.isHidden ? "AddHiddenAnnotation=" : "AddAnnotation=";
    if (options2.length > 0) {
      returnValue += (hasX ? [message2, options2.length, options2.x, options2.y] : [options2.length, message2]).join("|");
    } else {
      returnValue += message2;
    }
    return returnValue + BEL;
  }
};
var hasFlag$2 = (flag, argv = process.argv) => {
  const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
  const position = argv.indexOf(prefix + flag);
  const terminatorPosition = argv.indexOf("--");
  return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
};
var os4 = import_os3.default;
var tty = import_tty.default;
var hasFlag$1 = hasFlag$2;
var { env: env2 } = process;
var forceColor;
if (hasFlag$1("no-color") || hasFlag$1("no-colors") || hasFlag$1("color=false") || hasFlag$1("color=never")) {
  forceColor = 0;
} else if (hasFlag$1("color") || hasFlag$1("colors") || hasFlag$1("color=true") || hasFlag$1("color=always")) {
  forceColor = 1;
}
if ("FORCE_COLOR" in env2) {
  if (env2.FORCE_COLOR === "true") {
    forceColor = 1;
  } else if (env2.FORCE_COLOR === "false") {
    forceColor = 0;
  } else {
    forceColor = env2.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env2.FORCE_COLOR, 10), 3);
  }
}
function translateLevel(level) {
  if (level === 0) {
    return false;
  }
  return {
    level,
    hasBasic: true,
    has256: level >= 2,
    has16m: level >= 3
  };
}
function supportsColor$1(haveStream, streamIsTTY) {
  if (forceColor === 0) {
    return 0;
  }
  if (hasFlag$1("color=16m") || hasFlag$1("color=full") || hasFlag$1("color=truecolor")) {
    return 3;
  }
  if (hasFlag$1("color=256")) {
    return 2;
  }
  if (haveStream && !streamIsTTY && forceColor === void 0) {
    return 0;
  }
  const min = forceColor || 0;
  if (env2.TERM === "dumb") {
    return min;
  }
  if (process.platform === "win32") {
    const osRelease = os4.release().split(".");
    if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
      return Number(osRelease[2]) >= 14931 ? 3 : 2;
    }
    return 1;
  }
  if ("CI" in env2) {
    if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((sign) => sign in env2) || env2.CI_NAME === "codeship") {
      return 1;
    }
    return min;
  }
  if ("TEAMCITY_VERSION" in env2) {
    return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env2.TEAMCITY_VERSION) ? 1 : 0;
  }
  if (env2.COLORTERM === "truecolor") {
    return 3;
  }
  if ("TERM_PROGRAM" in env2) {
    const version3 = parseInt((env2.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
    switch (env2.TERM_PROGRAM) {
      case "iTerm.app":
        return version3 >= 3 ? 3 : 2;
      case "Apple_Terminal":
        return 2;
    }
  }
  if (/-256(color)?$/i.test(env2.TERM)) {
    return 2;
  }
  if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env2.TERM)) {
    return 1;
  }
  if ("COLORTERM" in env2) {
    return 1;
  }
  return min;
}
function getSupportLevel(stream4) {
  const level = supportsColor$1(stream4, stream4 && stream4.isTTY);
  return translateLevel(level);
}
var supportsColor_1 = {
  supportsColor: getSupportLevel,
  stdout: translateLevel(supportsColor$1(true, tty.isatty(1))),
  stderr: translateLevel(supportsColor$1(true, tty.isatty(2)))
};
var supportsColor = supportsColor_1;
var hasFlag = hasFlag$2;
function parseVersion(versionString) {
  if (/^\d{3,4}$/.test(versionString)) {
    const m3 = /(\d{1,2})(\d{2})/.exec(versionString);
    return {
      major: 0,
      minor: parseInt(m3[1], 10),
      patch: parseInt(m3[2], 10)
    };
  }
  const versions = (versionString || "").split(".").map((n2) => parseInt(n2, 10));
  return {
    major: versions[0],
    minor: versions[1],
    patch: versions[2]
  };
}
function supportsHyperlink(stream4) {
  const { env: env3 } = process;
  if ("FORCE_HYPERLINK" in env3) {
    return !(env3.FORCE_HYPERLINK.length > 0 && parseInt(env3.FORCE_HYPERLINK, 10) === 0);
  }
  if (hasFlag("no-hyperlink") || hasFlag("no-hyperlinks") || hasFlag("hyperlink=false") || hasFlag("hyperlink=never")) {
    return false;
  }
  if (hasFlag("hyperlink=true") || hasFlag("hyperlink=always")) {
    return true;
  }
  if (!supportsColor.supportsColor(stream4)) {
    return false;
  }
  if (stream4 && !stream4.isTTY) {
    return false;
  }
  if (process.platform === "win32") {
    return false;
  }
  if ("NETLIFY" in env3) {
    return true;
  }
  if ("CI" in env3) {
    return false;
  }
  if ("TEAMCITY_VERSION" in env3) {
    return false;
  }
  if ("TERM_PROGRAM" in env3) {
    const version3 = parseVersion(env3.TERM_PROGRAM_VERSION);
    switch (env3.TERM_PROGRAM) {
      case "iTerm.app":
        if (version3.major === 3) {
          return version3.minor >= 1;
        }
        return version3.major > 3;
    }
  }
  if ("VTE_VERSION" in env3) {
    if (env3.VTE_VERSION === "0.50.0") {
      return false;
    }
    const version3 = parseVersion(env3.VTE_VERSION);
    return version3.major > 0 || version3.minor >= 50;
  }
  return false;
}
var supportsHyperlinks = {
  supportsHyperlink,
  stdout: supportsHyperlink(process.stdout),
  stderr: supportsHyperlink(process.stderr)
};
var supportsHyperlinks$1 = /* @__PURE__ */ getDefaultExportFromCjs(supportsHyperlinks);
function terminalLink3(text2, url2, { target = "stdout", ...options2 } = {}) {
  if (!supportsHyperlinks$1[target]) {
    if (options2.fallback === false) {
      return text2;
    }
    return typeof options2.fallback === "function" ? options2.fallback(text2, url2) : `${text2} (\u200B${url2}\u200B)`;
  }
  return ansiEscapes.link(text2, url2);
}
terminalLink3.isSupported = supportsHyperlinks$1.stdout;
terminalLink3.stderr = (text2, url2, options2 = {}) => terminalLink3(text2, url2, { target: "stderr", ...options2 });
terminalLink3.stderr.isSupported = supportsHyperlinks$1.stderr;
var prompts$3 = {};
var FORCE_COLOR$1;
var NODE_DISABLE_COLORS$1;
var NO_COLOR$1;
var TERM$1;
var isTTY$1 = true;
if (typeof process !== "undefined") {
  ({ FORCE_COLOR: FORCE_COLOR$1, NODE_DISABLE_COLORS: NODE_DISABLE_COLORS$1, NO_COLOR: NO_COLOR$1, TERM: TERM$1 } = process.env || {});
  isTTY$1 = process.stdout && process.stdout.isTTY;
}
var $$1 = {
  enabled: !NODE_DISABLE_COLORS$1 && NO_COLOR$1 == null && TERM$1 !== "dumb" && (FORCE_COLOR$1 != null && FORCE_COLOR$1 !== "0" || isTTY$1),
  // modifiers
  reset: init$1(0, 0),
  bold: init$1(1, 22),
  dim: init$1(2, 22),
  italic: init$1(3, 23),
  underline: init$1(4, 24),
  inverse: init$1(7, 27),
  hidden: init$1(8, 28),
  strikethrough: init$1(9, 29),
  // colors
  black: init$1(30, 39),
  red: init$1(31, 39),
  green: init$1(32, 39),
  yellow: init$1(33, 39),
  blue: init$1(34, 39),
  magenta: init$1(35, 39),
  cyan: init$1(36, 39),
  white: init$1(37, 39),
  gray: init$1(90, 39),
  grey: init$1(90, 39),
  // background colors
  bgBlack: init$1(40, 49),
  bgRed: init$1(41, 49),
  bgGreen: init$1(42, 49),
  bgYellow: init$1(43, 49),
  bgBlue: init$1(44, 49),
  bgMagenta: init$1(45, 49),
  bgCyan: init$1(46, 49),
  bgWhite: init$1(47, 49)
};
function run$2(arr, str) {
  let i4 = 0, tmp2, beg = "", end = "";
  for (; i4 < arr.length; i4++) {
    tmp2 = arr[i4];
    beg += tmp2.open;
    end += tmp2.close;
    if (!!~str.indexOf(tmp2.close)) {
      str = str.replace(tmp2.rgx, tmp2.close + tmp2.open);
    }
  }
  return beg + str + end;
}
function chain$1(has, keys) {
  let ctx = { has, keys };
  ctx.reset = $$1.reset.bind(ctx);
  ctx.bold = $$1.bold.bind(ctx);
  ctx.dim = $$1.dim.bind(ctx);
  ctx.italic = $$1.italic.bind(ctx);
  ctx.underline = $$1.underline.bind(ctx);
  ctx.inverse = $$1.inverse.bind(ctx);
  ctx.hidden = $$1.hidden.bind(ctx);
  ctx.strikethrough = $$1.strikethrough.bind(ctx);
  ctx.black = $$1.black.bind(ctx);
  ctx.red = $$1.red.bind(ctx);
  ctx.green = $$1.green.bind(ctx);
  ctx.yellow = $$1.yellow.bind(ctx);
  ctx.blue = $$1.blue.bind(ctx);
  ctx.magenta = $$1.magenta.bind(ctx);
  ctx.cyan = $$1.cyan.bind(ctx);
  ctx.white = $$1.white.bind(ctx);
  ctx.gray = $$1.gray.bind(ctx);
  ctx.grey = $$1.grey.bind(ctx);
  ctx.bgBlack = $$1.bgBlack.bind(ctx);
  ctx.bgRed = $$1.bgRed.bind(ctx);
  ctx.bgGreen = $$1.bgGreen.bind(ctx);
  ctx.bgYellow = $$1.bgYellow.bind(ctx);
  ctx.bgBlue = $$1.bgBlue.bind(ctx);
  ctx.bgMagenta = $$1.bgMagenta.bind(ctx);
  ctx.bgCyan = $$1.bgCyan.bind(ctx);
  ctx.bgWhite = $$1.bgWhite.bind(ctx);
  return ctx;
}
function init$1(open3, close) {
  let blk = {
    open: `\x1B[${open3}m`,
    close: `\x1B[${close}m`,
    rgx: new RegExp(`\\x1b\\[${close}m`, "g")
  };
  return function(txt) {
    if (this !== void 0 && this.has !== void 0) {
      !!~this.has.indexOf(open3) || (this.has.push(open3), this.keys.push(blk));
      return txt === void 0 ? this : $$1.enabled ? run$2(this.keys, txt + "") : txt + "";
    }
    return txt === void 0 ? chain$1([open3], [blk]) : $$1.enabled ? run$2([blk], txt + "") : txt + "";
  };
}
var kleur = $$1;
var action$1 = (key, isSelect) => {
  if (key.meta && key.name !== "escape")
    return;
  if (key.ctrl) {
    if (key.name === "a")
      return "first";
    if (key.name === "c")
      return "abort";
    if (key.name === "d")
      return "abort";
    if (key.name === "e")
      return "last";
    if (key.name === "g")
      return "reset";
    if (key.name === "n")
      return "down";
    if (key.name === "p")
      return "up";
    return;
  }
  if (isSelect) {
    if (key.name === "j")
      return "down";
    if (key.name === "k")
      return "up";
  }
  if (key.name === "return")
    return "submit";
  if (key.name === "enter")
    return "submit";
  if (key.name === "backspace")
    return "delete";
  if (key.name === "delete")
    return "deleteForward";
  if (key.name === "abort")
    return "abort";
  if (key.name === "escape")
    return "exit";
  if (key.name === "tab")
    return "next";
  if (key.name === "pagedown")
    return "nextPage";
  if (key.name === "pageup")
    return "prevPage";
  if (key.name === "home")
    return "home";
  if (key.name === "end")
    return "end";
  if (key.name === "up")
    return "up";
  if (key.name === "down")
    return "down";
  if (key.name === "right")
    return "right";
  if (key.name === "left")
    return "left";
  return false;
};
var strip$2 = (str) => {
  const pattern = [
    "[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)",
    "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))"
  ].join("|");
  const RGX = new RegExp(pattern, "g");
  return typeof str === "string" ? str.replace(RGX, "") : str;
};
var ESC = "\x1B";
var CSI = `${ESC}[`;
var beep$1 = "\x07";
var cursor$b = {
  to(x, y3) {
    if (!y3)
      return `${CSI}${x + 1}G`;
    return `${CSI}${y3 + 1};${x + 1}H`;
  },
  move(x, y3) {
    let ret = "";
    if (x < 0)
      ret += `${CSI}${-x}D`;
    else if (x > 0)
      ret += `${CSI}${x}C`;
    if (y3 < 0)
      ret += `${CSI}${-y3}A`;
    else if (y3 > 0)
      ret += `${CSI}${y3}B`;
    return ret;
  },
  up: (count = 1) => `${CSI}${count}A`,
  down: (count = 1) => `${CSI}${count}B`,
  forward: (count = 1) => `${CSI}${count}C`,
  backward: (count = 1) => `${CSI}${count}D`,
  nextLine: (count = 1) => `${CSI}E`.repeat(count),
  prevLine: (count = 1) => `${CSI}F`.repeat(count),
  left: `${CSI}G`,
  hide: `${CSI}?25l`,
  show: `${CSI}?25h`,
  save: `${ESC}7`,
  restore: `${ESC}8`
};
var scroll = {
  up: (count = 1) => `${CSI}S`.repeat(count),
  down: (count = 1) => `${CSI}T`.repeat(count)
};
var erase$7 = {
  screen: `${CSI}2J`,
  up: (count = 1) => `${CSI}1J`.repeat(count),
  down: (count = 1) => `${CSI}J`.repeat(count),
  line: `${CSI}2K`,
  lineEnd: `${CSI}K`,
  lineStart: `${CSI}1K`,
  lines(count) {
    let clear2 = "";
    for (let i4 = 0; i4 < count; i4++)
      clear2 += this.line + (i4 < count - 1 ? cursor$b.up() : "");
    if (count)
      clear2 += cursor$b.left;
    return clear2;
  }
};
var src = { cursor: cursor$b, scroll, erase: erase$7, beep: beep$1 };
var strip$1 = strip$2;
var { erase: erase$6, cursor: cursor$a } = src;
var width = (str) => [...strip$1(str)].length;
var clear$9 = function(prompt9, perLine) {
  if (!perLine)
    return erase$6.line + cursor$a.to(0);
  let rows = 0;
  const lines2 = prompt9.split(/\r?\n/);
  for (let line of lines2) {
    rows += 1 + Math.floor(Math.max(width(line) - 1, 0) / perLine);
  }
  return erase$6.lines(rows);
};
var main = {
  arrowUp: "\u2191",
  arrowDown: "\u2193",
  arrowLeft: "\u2190",
  arrowRight: "\u2192",
  radioOn: "\u25C9",
  radioOff: "\u25EF",
  tick: "\u2714",
  cross: "\u2716",
  ellipsis: "\u2026",
  pointerSmall: "\u203A",
  line: "\u2500",
  pointer: "\u276F"
};
var win = {
  arrowUp: main.arrowUp,
  arrowDown: main.arrowDown,
  arrowLeft: main.arrowLeft,
  arrowRight: main.arrowRight,
  radioOn: "(*)",
  radioOff: "( )",
  tick: "\u221A",
  cross: "\xD7",
  ellipsis: "...",
  pointerSmall: "\xBB",
  line: "\u2500",
  pointer: ">"
};
var figures$8 = process.platform === "win32" ? win : main;
var figures_1 = figures$8;
var c2 = kleur;
var figures$7 = figures_1;
var styles = Object.freeze({
  password: { scale: 1, render: (input) => "*".repeat(input.length) },
  emoji: { scale: 2, render: (input) => "\u{1F603}".repeat(input.length) },
  invisible: { scale: 0, render: (input) => "" },
  default: { scale: 1, render: (input) => `${input}` }
});
var render = (type) => styles[type] || styles.default;
var symbols = Object.freeze({
  aborted: c2.red(figures$7.cross),
  done: c2.green(figures$7.tick),
  exited: c2.yellow(figures$7.cross),
  default: c2.cyan("?")
});
var symbol = (done, aborted, exited) => aborted ? symbols.aborted : exited ? symbols.exited : done ? symbols.done : symbols.default;
var delimiter$1 = (completing) => c2.gray(completing ? figures$7.ellipsis : figures$7.pointerSmall);
var item = (expandable, expanded) => c2.gray(expandable ? expanded ? figures$7.pointerSmall : "+" : figures$7.line);
var style$9 = {
  styles,
  render,
  symbols,
  symbol,
  delimiter: delimiter$1,
  item
};
var strip = strip$2;
var lines$2 = function(msg, perLine) {
  let lines2 = String(strip(msg) || "").split(/\r?\n/);
  if (!perLine)
    return lines2.length;
  return lines2.map((l2) => Math.ceil(l2.length / perLine)).reduce((a3, b6) => a3 + b6);
};
var wrap$3 = (msg, opts2 = {}) => {
  const tab2 = Number.isSafeInteger(parseInt(opts2.margin)) ? new Array(parseInt(opts2.margin)).fill(" ").join("") : opts2.margin || "";
  const width2 = opts2.width;
  return (msg || "").split(/\r?\n/g).map((line) => line.split(/\s+/g).reduce((arr, w7) => {
    if (w7.length + tab2.length >= width2 || arr[arr.length - 1].length + w7.length + 1 < width2)
      arr[arr.length - 1] += ` ${w7}`;
    else
      arr.push(`${tab2}${w7}`);
    return arr;
  }, [tab2]).join("\n")).join("\n");
};
var entriesToDisplay$3 = (cursor2, total, maxVisible) => {
  maxVisible = maxVisible || total;
  let startIndex = Math.min(total - maxVisible, cursor2 - Math.floor(maxVisible / 2));
  if (startIndex < 0)
    startIndex = 0;
  let endIndex = Math.min(startIndex + maxVisible, total);
  return { startIndex, endIndex };
};
var util2 = {
  action: action$1,
  clear: clear$9,
  style: style$9,
  strip: strip$2,
  figures: figures_1,
  lines: lines$2,
  wrap: wrap$3,
  entriesToDisplay: entriesToDisplay$3
};
var readline = import_readline.default;
var { action } = util2;
var EventEmitter = import_events.default;
var { beep, cursor: cursor$9 } = src;
var color$9 = kleur;
var Prompt$8 = class Prompt extends EventEmitter {
  constructor(opts2 = {}) {
    super();
    this.firstRender = true;
    this.in = opts2.stdin || process.stdin;
    this.out = opts2.stdout || process.stdout;
    this.onRender = (opts2.onRender || (() => void 0)).bind(this);
    const rl = readline.createInterface({ input: this.in, escapeCodeTimeout: 50 });
    readline.emitKeypressEvents(this.in, rl);
    if (this.in.isTTY)
      this.in.setRawMode(true);
    const isSelect = ["SelectPrompt", "MultiselectPrompt"].indexOf(this.constructor.name) > -1;
    const keypress = (str, key) => {
      let a3 = action(key, isSelect);
      if (a3 === false) {
        this._ && this._(str, key);
      } else if (typeof this[a3] === "function") {
        this[a3](key);
      } else {
        this.bell();
      }
    };
    this.close = () => {
      this.out.write(cursor$9.show);
      this.in.removeListener("keypress", keypress);
      if (this.in.isTTY)
        this.in.setRawMode(false);
      rl.close();
      this.emit(this.aborted ? "abort" : this.exited ? "exit" : "submit", this.value);
      this.closed = true;
    };
    this.in.on("keypress", keypress);
  }
  fire() {
    this.emit("state", {
      value: this.value,
      aborted: !!this.aborted,
      exited: !!this.exited
    });
  }
  bell() {
    this.out.write(beep);
  }
  render() {
    this.onRender(color$9);
    if (this.firstRender)
      this.firstRender = false;
  }
};
var prompt$1 = Prompt$8;
var color$8 = kleur;
var Prompt$7 = prompt$1;
var { erase: erase$5, cursor: cursor$8 } = src;
var { style: style$8, clear: clear$8, lines: lines$1, figures: figures$6 } = util2;
var TextPrompt = class extends Prompt$7 {
  constructor(opts2 = {}) {
    super(opts2);
    this.transform = style$8.render(opts2.style);
    this.scale = this.transform.scale;
    this.msg = opts2.message;
    this.initial = opts2.initial || ``;
    this.validator = opts2.validate || (() => true);
    this.value = ``;
    this.errorMsg = opts2.error || `Please Enter A Valid Value`;
    this.cursor = Number(!!this.initial);
    this.cursorOffset = 0;
    this.clear = clear$8(``, this.out.columns);
    this.render();
  }
  set value(v2) {
    if (!v2 && this.initial) {
      this.placeholder = true;
      this.rendered = color$8.gray(this.transform.render(this.initial));
    } else {
      this.placeholder = false;
      this.rendered = this.transform.render(v2);
    }
    this._value = v2;
    this.fire();
  }
  get value() {
    return this._value;
  }
  reset() {
    this.value = ``;
    this.cursor = Number(!!this.initial);
    this.cursorOffset = 0;
    this.fire();
    this.render();
  }
  exit() {
    this.abort();
  }
  abort() {
    this.value = this.value || this.initial;
    this.done = this.aborted = true;
    this.error = false;
    this.red = false;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  async validate() {
    let valid = await this.validator(this.value);
    if (typeof valid === `string`) {
      this.errorMsg = valid;
      valid = false;
    }
    this.error = !valid;
  }
  async submit() {
    this.value = this.value || this.initial;
    this.cursorOffset = 0;
    this.cursor = this.rendered.length;
    await this.validate();
    if (this.error) {
      this.red = true;
      this.fire();
      this.render();
      return;
    }
    this.done = true;
    this.aborted = false;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  next() {
    if (!this.placeholder)
      return this.bell();
    this.value = this.initial;
    this.cursor = this.rendered.length;
    this.fire();
    this.render();
  }
  moveCursor(n2) {
    if (this.placeholder)
      return;
    this.cursor = this.cursor + n2;
    this.cursorOffset += n2;
  }
  _(c4, key) {
    let s1 = this.value.slice(0, this.cursor);
    let s22 = this.value.slice(this.cursor);
    this.value = `${s1}${c4}${s22}`;
    this.red = false;
    this.cursor = this.placeholder ? 0 : s1.length + 1;
    this.render();
  }
  delete() {
    if (this.isCursorAtStart())
      return this.bell();
    let s1 = this.value.slice(0, this.cursor - 1);
    let s22 = this.value.slice(this.cursor);
    this.value = `${s1}${s22}`;
    this.red = false;
    if (this.isCursorAtStart()) {
      this.cursorOffset = 0;
    } else {
      this.cursorOffset++;
      this.moveCursor(-1);
    }
    this.render();
  }
  deleteForward() {
    if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
      return this.bell();
    let s1 = this.value.slice(0, this.cursor);
    let s22 = this.value.slice(this.cursor + 1);
    this.value = `${s1}${s22}`;
    this.red = false;
    if (this.isCursorAtEnd()) {
      this.cursorOffset = 0;
    } else {
      this.cursorOffset++;
    }
    this.render();
  }
  first() {
    this.cursor = 0;
    this.render();
  }
  last() {
    this.cursor = this.value.length;
    this.render();
  }
  left() {
    if (this.cursor <= 0 || this.placeholder)
      return this.bell();
    this.moveCursor(-1);
    this.render();
  }
  right() {
    if (this.cursor * this.scale >= this.rendered.length || this.placeholder)
      return this.bell();
    this.moveCursor(1);
    this.render();
  }
  isCursorAtStart() {
    return this.cursor === 0 || this.placeholder && this.cursor === 1;
  }
  isCursorAtEnd() {
    return this.cursor === this.rendered.length || this.placeholder && this.cursor === this.rendered.length + 1;
  }
  render() {
    if (this.closed)
      return;
    if (!this.firstRender) {
      if (this.outputError)
        this.out.write(cursor$8.down(lines$1(this.outputError, this.out.columns) - 1) + clear$8(this.outputError, this.out.columns));
      this.out.write(clear$8(this.outputText, this.out.columns));
    }
    super.render();
    this.outputError = "";
    this.outputText = [
      style$8.symbol(this.done, this.aborted),
      color$8.bold(this.msg),
      style$8.delimiter(this.done),
      this.red ? color$8.red(this.rendered) : this.rendered
    ].join(` `);
    if (this.error) {
      this.outputError += this.errorMsg.split(`
`).reduce((a3, l2, i4) => a3 + `
${i4 ? " " : figures$6.pointerSmall} ${color$8.red().italic(l2)}`, ``);
    }
    this.out.write(erase$5.line + cursor$8.to(0) + this.outputText + cursor$8.save + this.outputError + cursor$8.restore + cursor$8.move(this.cursorOffset, 0));
  }
};
var text = TextPrompt;
var color$7 = kleur;
var Prompt$6 = prompt$1;
var { style: style$7, clear: clear$7, figures: figures$5, wrap: wrap$2, entriesToDisplay: entriesToDisplay$2 } = util2;
var { cursor: cursor$7 } = src;
var SelectPrompt = class extends Prompt$6 {
  constructor(opts2 = {}) {
    super(opts2);
    this.msg = opts2.message;
    this.hint = opts2.hint || "- Use arrow-keys. Return to submit.";
    this.warn = opts2.warn || "- This option is disabled";
    this.cursor = opts2.initial || 0;
    this.choices = opts2.choices.map((ch, idx) => {
      if (typeof ch === "string")
        ch = { title: ch, value: idx };
      return {
        title: ch && (ch.title || ch.value || ch),
        value: ch && (ch.value === void 0 ? idx : ch.value),
        description: ch && ch.description,
        selected: ch && ch.selected,
        disabled: ch && ch.disabled
      };
    });
    this.optionsPerPage = opts2.optionsPerPage || 10;
    this.value = (this.choices[this.cursor] || {}).value;
    this.clear = clear$7("", this.out.columns);
    this.render();
  }
  moveCursor(n2) {
    this.cursor = n2;
    this.value = this.choices[n2].value;
    this.fire();
  }
  reset() {
    this.moveCursor(0);
    this.fire();
    this.render();
  }
  exit() {
    this.abort();
  }
  abort() {
    this.done = this.aborted = true;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  submit() {
    if (!this.selection.disabled) {
      this.done = true;
      this.aborted = false;
      this.fire();
      this.render();
      this.out.write("\n");
      this.close();
    } else
      this.bell();
  }
  first() {
    this.moveCursor(0);
    this.render();
  }
  last() {
    this.moveCursor(this.choices.length - 1);
    this.render();
  }
  up() {
    if (this.cursor === 0) {
      this.moveCursor(this.choices.length - 1);
    } else {
      this.moveCursor(this.cursor - 1);
    }
    this.render();
  }
  down() {
    if (this.cursor === this.choices.length - 1) {
      this.moveCursor(0);
    } else {
      this.moveCursor(this.cursor + 1);
    }
    this.render();
  }
  next() {
    this.moveCursor((this.cursor + 1) % this.choices.length);
    this.render();
  }
  _(c4, key) {
    if (c4 === " ")
      return this.submit();
  }
  get selection() {
    return this.choices[this.cursor];
  }
  render() {
    if (this.closed)
      return;
    if (this.firstRender)
      this.out.write(cursor$7.hide);
    else
      this.out.write(clear$7(this.outputText, this.out.columns));
    super.render();
    let { startIndex, endIndex } = entriesToDisplay$2(this.cursor, this.choices.length, this.optionsPerPage);
    this.outputText = [
      style$7.symbol(this.done, this.aborted),
      color$7.bold(this.msg),
      style$7.delimiter(false),
      this.done ? this.selection.title : this.selection.disabled ? color$7.yellow(this.warn) : color$7.gray(this.hint)
    ].join(" ");
    if (!this.done) {
      this.outputText += "\n";
      for (let i4 = startIndex; i4 < endIndex; i4++) {
        let title, prefix, desc = "", v2 = this.choices[i4];
        if (i4 === startIndex && startIndex > 0) {
          prefix = figures$5.arrowUp;
        } else if (i4 === endIndex - 1 && endIndex < this.choices.length) {
          prefix = figures$5.arrowDown;
        } else {
          prefix = " ";
        }
        if (v2.disabled) {
          title = this.cursor === i4 ? color$7.gray().underline(v2.title) : color$7.strikethrough().gray(v2.title);
          prefix = (this.cursor === i4 ? color$7.bold().gray(figures$5.pointer) + " " : "  ") + prefix;
        } else {
          title = this.cursor === i4 ? color$7.cyan().underline(v2.title) : v2.title;
          prefix = (this.cursor === i4 ? color$7.cyan(figures$5.pointer) + " " : "  ") + prefix;
          if (v2.description && this.cursor === i4) {
            desc = ` - ${v2.description}`;
            if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
              desc = "\n" + wrap$2(v2.description, { margin: 3, width: this.out.columns });
            }
          }
        }
        this.outputText += `${prefix} ${title}${color$7.gray(desc)}
`;
      }
    }
    this.out.write(this.outputText);
  }
};
var select = SelectPrompt;
var color$6 = kleur;
var Prompt$5 = prompt$1;
var { style: style$6, clear: clear$6 } = util2;
var { cursor: cursor$6, erase: erase$4 } = src;
var TogglePrompt = class extends Prompt$5 {
  constructor(opts2 = {}) {
    super(opts2);
    this.msg = opts2.message;
    this.value = !!opts2.initial;
    this.active = opts2.active || "on";
    this.inactive = opts2.inactive || "off";
    this.initialValue = this.value;
    this.render();
  }
  reset() {
    this.value = this.initialValue;
    this.fire();
    this.render();
  }
  exit() {
    this.abort();
  }
  abort() {
    this.done = this.aborted = true;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  submit() {
    this.done = true;
    this.aborted = false;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  deactivate() {
    if (this.value === false)
      return this.bell();
    this.value = false;
    this.render();
  }
  activate() {
    if (this.value === true)
      return this.bell();
    this.value = true;
    this.render();
  }
  delete() {
    this.deactivate();
  }
  left() {
    this.deactivate();
  }
  right() {
    this.activate();
  }
  down() {
    this.deactivate();
  }
  up() {
    this.activate();
  }
  next() {
    this.value = !this.value;
    this.fire();
    this.render();
  }
  _(c4, key) {
    if (c4 === " ") {
      this.value = !this.value;
    } else if (c4 === "1") {
      this.value = true;
    } else if (c4 === "0") {
      this.value = false;
    } else
      return this.bell();
    this.render();
  }
  render() {
    if (this.closed)
      return;
    if (this.firstRender)
      this.out.write(cursor$6.hide);
    else
      this.out.write(clear$6(this.outputText, this.out.columns));
    super.render();
    this.outputText = [
      style$6.symbol(this.done, this.aborted),
      color$6.bold(this.msg),
      style$6.delimiter(this.done),
      this.value ? this.inactive : color$6.cyan().underline(this.inactive),
      color$6.gray("/"),
      this.value ? color$6.cyan().underline(this.active) : this.active
    ].join(" ");
    this.out.write(erase$4.line + cursor$6.to(0) + this.outputText);
  }
};
var toggle = TogglePrompt;
var DatePart$9 = class DatePart {
  constructor({ token, date: date2, parts, locales }) {
    this.token = token;
    this.date = date2 || /* @__PURE__ */ new Date();
    this.parts = parts || [this];
    this.locales = locales || {};
  }
  up() {
  }
  down() {
  }
  next() {
    const currentIdx = this.parts.indexOf(this);
    return this.parts.find((part, idx) => idx > currentIdx && part instanceof DatePart);
  }
  setTo(val) {
  }
  prev() {
    let parts = [].concat(this.parts).reverse();
    const currentIdx = parts.indexOf(this);
    return parts.find((part, idx) => idx > currentIdx && part instanceof DatePart);
  }
  toString() {
    return String(this.date);
  }
};
var datepart = DatePart$9;
var DatePart$8 = datepart;
var Meridiem$1 = class Meridiem extends DatePart$8 {
  constructor(opts2 = {}) {
    super(opts2);
  }
  up() {
    this.date.setHours((this.date.getHours() + 12) % 24);
  }
  down() {
    this.up();
  }
  toString() {
    let meridiem2 = this.date.getHours() > 12 ? "pm" : "am";
    return /\A/.test(this.token) ? meridiem2.toUpperCase() : meridiem2;
  }
};
var meridiem = Meridiem$1;
var DatePart$7 = datepart;
var pos = (n2) => {
  n2 = n2 % 10;
  return n2 === 1 ? "st" : n2 === 2 ? "nd" : n2 === 3 ? "rd" : "th";
};
var Day$1 = class Day extends DatePart$7 {
  constructor(opts2 = {}) {
    super(opts2);
  }
  up() {
    this.date.setDate(this.date.getDate() + 1);
  }
  down() {
    this.date.setDate(this.date.getDate() - 1);
  }
  setTo(val) {
    this.date.setDate(parseInt(val.substr(-2)));
  }
  toString() {
    let date2 = this.date.getDate();
    let day2 = this.date.getDay();
    return this.token === "DD" ? String(date2).padStart(2, "0") : this.token === "Do" ? date2 + pos(date2) : this.token === "d" ? day2 + 1 : this.token === "ddd" ? this.locales.weekdaysShort[day2] : this.token === "dddd" ? this.locales.weekdays[day2] : date2;
  }
};
var day = Day$1;
var DatePart$6 = datepart;
var Hours$1 = class Hours extends DatePart$6 {
  constructor(opts2 = {}) {
    super(opts2);
  }
  up() {
    this.date.setHours(this.date.getHours() + 1);
  }
  down() {
    this.date.setHours(this.date.getHours() - 1);
  }
  setTo(val) {
    this.date.setHours(parseInt(val.substr(-2)));
  }
  toString() {
    let hours2 = this.date.getHours();
    if (/h/.test(this.token))
      hours2 = hours2 % 12 || 12;
    return this.token.length > 1 ? String(hours2).padStart(2, "0") : hours2;
  }
};
var hours = Hours$1;
var DatePart$5 = datepart;
var Milliseconds$1 = class Milliseconds extends DatePart$5 {
  constructor(opts2 = {}) {
    super(opts2);
  }
  up() {
    this.date.setMilliseconds(this.date.getMilliseconds() + 1);
  }
  down() {
    this.date.setMilliseconds(this.date.getMilliseconds() - 1);
  }
  setTo(val) {
    this.date.setMilliseconds(parseInt(val.substr(-this.token.length)));
  }
  toString() {
    return String(this.date.getMilliseconds()).padStart(4, "0").substr(0, this.token.length);
  }
};
var milliseconds = Milliseconds$1;
var DatePart$4 = datepart;
var Minutes$1 = class Minutes extends DatePart$4 {
  constructor(opts2 = {}) {
    super(opts2);
  }
  up() {
    this.date.setMinutes(this.date.getMinutes() + 1);
  }
  down() {
    this.date.setMinutes(this.date.getMinutes() - 1);
  }
  setTo(val) {
    this.date.setMinutes(parseInt(val.substr(-2)));
  }
  toString() {
    let m3 = this.date.getMinutes();
    return this.token.length > 1 ? String(m3).padStart(2, "0") : m3;
  }
};
var minutes = Minutes$1;
var DatePart$3 = datepart;
var Month$1 = class Month extends DatePart$3 {
  constructor(opts2 = {}) {
    super(opts2);
  }
  up() {
    this.date.setMonth(this.date.getMonth() + 1);
  }
  down() {
    this.date.setMonth(this.date.getMonth() - 1);
  }
  setTo(val) {
    val = parseInt(val.substr(-2)) - 1;
    this.date.setMonth(val < 0 ? 0 : val);
  }
  toString() {
    let month2 = this.date.getMonth();
    let tl = this.token.length;
    return tl === 2 ? String(month2 + 1).padStart(2, "0") : tl === 3 ? this.locales.monthsShort[month2] : tl === 4 ? this.locales.months[month2] : String(month2 + 1);
  }
};
var month = Month$1;
var DatePart$2 = datepart;
var Seconds$1 = class Seconds extends DatePart$2 {
  constructor(opts2 = {}) {
    super(opts2);
  }
  up() {
    this.date.setSeconds(this.date.getSeconds() + 1);
  }
  down() {
    this.date.setSeconds(this.date.getSeconds() - 1);
  }
  setTo(val) {
    this.date.setSeconds(parseInt(val.substr(-2)));
  }
  toString() {
    let s3 = this.date.getSeconds();
    return this.token.length > 1 ? String(s3).padStart(2, "0") : s3;
  }
};
var seconds = Seconds$1;
var DatePart$1 = datepart;
var Year$1 = class Year extends DatePart$1 {
  constructor(opts2 = {}) {
    super(opts2);
  }
  up() {
    this.date.setFullYear(this.date.getFullYear() + 1);
  }
  down() {
    this.date.setFullYear(this.date.getFullYear() - 1);
  }
  setTo(val) {
    this.date.setFullYear(val.substr(-4));
  }
  toString() {
    let year2 = String(this.date.getFullYear()).padStart(4, "0");
    return this.token.length === 2 ? year2.substr(-2) : year2;
  }
};
var year = Year$1;
var dateparts = {
  DatePart: datepart,
  Meridiem: meridiem,
  Day: day,
  Hours: hours,
  Milliseconds: milliseconds,
  Minutes: minutes,
  Month: month,
  Seconds: seconds,
  Year: year
};
var color$5 = kleur;
var Prompt$4 = prompt$1;
var { style: style$5, clear: clear$5, figures: figures$4 } = util2;
var { erase: erase$3, cursor: cursor$5 } = src;
var { DatePart: DatePart2, Meridiem: Meridiem2, Day: Day2, Hours: Hours2, Milliseconds: Milliseconds2, Minutes: Minutes2, Month: Month2, Seconds: Seconds2, Year: Year2 } = dateparts;
var regex = /\\(.)|"((?:\\["\\]|[^"])+)"|(D[Do]?|d{3,4}|d)|(M{1,4})|(YY(?:YY)?)|([aA])|([Hh]{1,2})|(m{1,2})|(s{1,2})|(S{1,4})|./g;
var regexGroups = {
  1: ({ token }) => token.replace(/\\(.)/g, "$1"),
  2: (opts2) => new Day2(opts2),
  // Day // TODO
  3: (opts2) => new Month2(opts2),
  // Month
  4: (opts2) => new Year2(opts2),
  // Year
  5: (opts2) => new Meridiem2(opts2),
  // AM/PM // TODO (special)
  6: (opts2) => new Hours2(opts2),
  // Hours
  7: (opts2) => new Minutes2(opts2),
  // Minutes
  8: (opts2) => new Seconds2(opts2),
  // Seconds
  9: (opts2) => new Milliseconds2(opts2)
  // Fractional seconds
};
var dfltLocales = {
  months: "January,February,March,April,May,June,July,August,September,October,November,December".split(","),
  monthsShort: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".split(","),
  weekdays: "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".split(","),
  weekdaysShort: "Sun,Mon,Tue,Wed,Thu,Fri,Sat".split(",")
};
var DatePrompt = class extends Prompt$4 {
  constructor(opts2 = {}) {
    super(opts2);
    this.msg = opts2.message;
    this.cursor = 0;
    this.typed = "";
    this.locales = Object.assign(dfltLocales, opts2.locales);
    this._date = opts2.initial || /* @__PURE__ */ new Date();
    this.errorMsg = opts2.error || "Please Enter A Valid Value";
    this.validator = opts2.validate || (() => true);
    this.mask = opts2.mask || "YYYY-MM-DD HH:mm:ss";
    this.clear = clear$5("", this.out.columns);
    this.render();
  }
  get value() {
    return this.date;
  }
  get date() {
    return this._date;
  }
  set date(date2) {
    if (date2)
      this._date.setTime(date2.getTime());
  }
  set mask(mask) {
    let result;
    this.parts = [];
    while (result = regex.exec(mask)) {
      let match4 = result.shift();
      let idx = result.findIndex((gr) => gr != null);
      this.parts.push(idx in regexGroups ? regexGroups[idx]({ token: result[idx] || match4, date: this.date, parts: this.parts, locales: this.locales }) : result[idx] || match4);
    }
    let parts = this.parts.reduce((arr, i4) => {
      if (typeof i4 === "string" && typeof arr[arr.length - 1] === "string")
        arr[arr.length - 1] += i4;
      else
        arr.push(i4);
      return arr;
    }, []);
    this.parts.splice(0);
    this.parts.push(...parts);
    this.reset();
  }
  moveCursor(n2) {
    this.typed = "";
    this.cursor = n2;
    this.fire();
  }
  reset() {
    this.moveCursor(this.parts.findIndex((p2) => p2 instanceof DatePart2));
    this.fire();
    this.render();
  }
  exit() {
    this.abort();
  }
  abort() {
    this.done = this.aborted = true;
    this.error = false;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  async validate() {
    let valid = await this.validator(this.value);
    if (typeof valid === "string") {
      this.errorMsg = valid;
      valid = false;
    }
    this.error = !valid;
  }
  async submit() {
    await this.validate();
    if (this.error) {
      this.color = "red";
      this.fire();
      this.render();
      return;
    }
    this.done = true;
    this.aborted = false;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  up() {
    this.typed = "";
    this.parts[this.cursor].up();
    this.render();
  }
  down() {
    this.typed = "";
    this.parts[this.cursor].down();
    this.render();
  }
  left() {
    let prev = this.parts[this.cursor].prev();
    if (prev == null)
      return this.bell();
    this.moveCursor(this.parts.indexOf(prev));
    this.render();
  }
  right() {
    let next = this.parts[this.cursor].next();
    if (next == null)
      return this.bell();
    this.moveCursor(this.parts.indexOf(next));
    this.render();
  }
  next() {
    let next = this.parts[this.cursor].next();
    this.moveCursor(next ? this.parts.indexOf(next) : this.parts.findIndex((part) => part instanceof DatePart2));
    this.render();
  }
  _(c4) {
    if (/\d/.test(c4)) {
      this.typed += c4;
      this.parts[this.cursor].setTo(this.typed);
      this.render();
    }
  }
  render() {
    if (this.closed)
      return;
    if (this.firstRender)
      this.out.write(cursor$5.hide);
    else
      this.out.write(clear$5(this.outputText, this.out.columns));
    super.render();
    this.outputText = [
      style$5.symbol(this.done, this.aborted),
      color$5.bold(this.msg),
      style$5.delimiter(false),
      this.parts.reduce((arr, p2, idx) => arr.concat(idx === this.cursor && !this.done ? color$5.cyan().underline(p2.toString()) : p2), []).join("")
    ].join(" ");
    if (this.error) {
      this.outputText += this.errorMsg.split("\n").reduce(
        (a3, l2, i4) => a3 + `
${i4 ? ` ` : figures$4.pointerSmall} ${color$5.red().italic(l2)}`,
        ``
      );
    }
    this.out.write(erase$3.line + cursor$5.to(0) + this.outputText);
  }
};
var date = DatePrompt;
var color$4 = kleur;
var Prompt$3 = prompt$1;
var { cursor: cursor$4, erase: erase$2 } = src;
var { style: style$4, figures: figures$3, clear: clear$4, lines } = util2;
var isNumber = /[0-9]/;
var isDef = (any) => any !== void 0;
var round = (number2, precision) => {
  let factor = Math.pow(10, precision);
  return Math.round(number2 * factor) / factor;
};
var NumberPrompt = class extends Prompt$3 {
  constructor(opts2 = {}) {
    super(opts2);
    this.transform = style$4.render(opts2.style);
    this.msg = opts2.message;
    this.initial = isDef(opts2.initial) ? opts2.initial : "";
    this.float = !!opts2.float;
    this.round = opts2.round || 2;
    this.inc = opts2.increment || 1;
    this.min = isDef(opts2.min) ? opts2.min : -Infinity;
    this.max = isDef(opts2.max) ? opts2.max : Infinity;
    this.errorMsg = opts2.error || `Please Enter A Valid Value`;
    this.validator = opts2.validate || (() => true);
    this.color = `cyan`;
    this.value = ``;
    this.typed = ``;
    this.lastHit = 0;
    this.render();
  }
  set value(v2) {
    if (!v2 && v2 !== 0) {
      this.placeholder = true;
      this.rendered = color$4.gray(this.transform.render(`${this.initial}`));
      this._value = ``;
    } else {
      this.placeholder = false;
      this.rendered = this.transform.render(`${round(v2, this.round)}`);
      this._value = round(v2, this.round);
    }
    this.fire();
  }
  get value() {
    return this._value;
  }
  parse(x) {
    return this.float ? parseFloat(x) : parseInt(x);
  }
  valid(c4) {
    return c4 === `-` || c4 === `.` && this.float || isNumber.test(c4);
  }
  reset() {
    this.typed = ``;
    this.value = ``;
    this.fire();
    this.render();
  }
  exit() {
    this.abort();
  }
  abort() {
    let x = this.value;
    this.value = x !== `` ? x : this.initial;
    this.done = this.aborted = true;
    this.error = false;
    this.fire();
    this.render();
    this.out.write(`
`);
    this.close();
  }
  async validate() {
    let valid = await this.validator(this.value);
    if (typeof valid === `string`) {
      this.errorMsg = valid;
      valid = false;
    }
    this.error = !valid;
  }
  async submit() {
    await this.validate();
    if (this.error) {
      this.color = `red`;
      this.fire();
      this.render();
      return;
    }
    let x = this.value;
    this.value = x !== `` ? x : this.initial;
    this.done = true;
    this.aborted = false;
    this.error = false;
    this.fire();
    this.render();
    this.out.write(`
`);
    this.close();
  }
  up() {
    this.typed = ``;
    if (this.value === "") {
      this.value = this.min - this.inc;
    }
    if (this.value >= this.max)
      return this.bell();
    this.value += this.inc;
    this.color = `cyan`;
    this.fire();
    this.render();
  }
  down() {
    this.typed = ``;
    if (this.value === "") {
      this.value = this.min + this.inc;
    }
    if (this.value <= this.min)
      return this.bell();
    this.value -= this.inc;
    this.color = `cyan`;
    this.fire();
    this.render();
  }
  delete() {
    let val = this.value.toString();
    if (val.length === 0)
      return this.bell();
    this.value = this.parse(val = val.slice(0, -1)) || ``;
    if (this.value !== "" && this.value < this.min) {
      this.value = this.min;
    }
    this.color = `cyan`;
    this.fire();
    this.render();
  }
  next() {
    this.value = this.initial;
    this.fire();
    this.render();
  }
  _(c4, key) {
    if (!this.valid(c4))
      return this.bell();
    const now = Date.now();
    if (now - this.lastHit > 1e3)
      this.typed = ``;
    this.typed += c4;
    this.lastHit = now;
    this.color = `cyan`;
    if (c4 === `.`)
      return this.fire();
    this.value = Math.min(this.parse(this.typed), this.max);
    if (this.value > this.max)
      this.value = this.max;
    if (this.value < this.min)
      this.value = this.min;
    this.fire();
    this.render();
  }
  render() {
    if (this.closed)
      return;
    if (!this.firstRender) {
      if (this.outputError)
        this.out.write(cursor$4.down(lines(this.outputError, this.out.columns) - 1) + clear$4(this.outputError, this.out.columns));
      this.out.write(clear$4(this.outputText, this.out.columns));
    }
    super.render();
    this.outputError = "";
    this.outputText = [
      style$4.symbol(this.done, this.aborted),
      color$4.bold(this.msg),
      style$4.delimiter(this.done),
      !this.done || !this.done && !this.placeholder ? color$4[this.color]().underline(this.rendered) : this.rendered
    ].join(` `);
    if (this.error) {
      this.outputError += this.errorMsg.split(`
`).reduce((a3, l2, i4) => a3 + `
${i4 ? ` ` : figures$3.pointerSmall} ${color$4.red().italic(l2)}`, ``);
    }
    this.out.write(erase$2.line + cursor$4.to(0) + this.outputText + cursor$4.save + this.outputError + cursor$4.restore);
  }
};
var number = NumberPrompt;
var color$3 = kleur;
var { cursor: cursor$3 } = src;
var Prompt$2 = prompt$1;
var { clear: clear$3, figures: figures$2, style: style$3, wrap: wrap$1, entriesToDisplay: entriesToDisplay$1 } = util2;
var MultiselectPrompt$1 = class MultiselectPrompt extends Prompt$2 {
  constructor(opts2 = {}) {
    super(opts2);
    this.msg = opts2.message;
    this.cursor = opts2.cursor || 0;
    this.scrollIndex = opts2.cursor || 0;
    this.hint = opts2.hint || "";
    this.warn = opts2.warn || "- This option is disabled -";
    this.minSelected = opts2.min;
    this.showMinError = false;
    this.maxChoices = opts2.max;
    this.instructions = opts2.instructions;
    this.optionsPerPage = opts2.optionsPerPage || 10;
    this.value = opts2.choices.map((ch, idx) => {
      if (typeof ch === "string")
        ch = { title: ch, value: idx };
      return {
        title: ch && (ch.title || ch.value || ch),
        description: ch && ch.description,
        value: ch && (ch.value === void 0 ? idx : ch.value),
        selected: ch && ch.selected,
        disabled: ch && ch.disabled
      };
    });
    this.clear = clear$3("", this.out.columns);
    if (!opts2.overrideRender) {
      this.render();
    }
  }
  reset() {
    this.value.map((v2) => !v2.selected);
    this.cursor = 0;
    this.fire();
    this.render();
  }
  selected() {
    return this.value.filter((v2) => v2.selected);
  }
  exit() {
    this.abort();
  }
  abort() {
    this.done = this.aborted = true;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  submit() {
    const selected = this.value.filter((e3) => e3.selected);
    if (this.minSelected && selected.length < this.minSelected) {
      this.showMinError = true;
      this.render();
    } else {
      this.done = true;
      this.aborted = false;
      this.fire();
      this.render();
      this.out.write("\n");
      this.close();
    }
  }
  first() {
    this.cursor = 0;
    this.render();
  }
  last() {
    this.cursor = this.value.length - 1;
    this.render();
  }
  next() {
    this.cursor = (this.cursor + 1) % this.value.length;
    this.render();
  }
  up() {
    if (this.cursor === 0) {
      this.cursor = this.value.length - 1;
    } else {
      this.cursor--;
    }
    this.render();
  }
  down() {
    if (this.cursor === this.value.length - 1) {
      this.cursor = 0;
    } else {
      this.cursor++;
    }
    this.render();
  }
  left() {
    this.value[this.cursor].selected = false;
    this.render();
  }
  right() {
    if (this.value.filter((e3) => e3.selected).length >= this.maxChoices)
      return this.bell();
    this.value[this.cursor].selected = true;
    this.render();
  }
  handleSpaceToggle() {
    const v2 = this.value[this.cursor];
    if (v2.selected) {
      v2.selected = false;
      this.render();
    } else if (v2.disabled || this.value.filter((e3) => e3.selected).length >= this.maxChoices) {
      return this.bell();
    } else {
      v2.selected = true;
      this.render();
    }
  }
  toggleAll() {
    if (this.maxChoices !== void 0 || this.value[this.cursor].disabled) {
      return this.bell();
    }
    const newSelected = !this.value[this.cursor].selected;
    this.value.filter((v2) => !v2.disabled).forEach((v2) => v2.selected = newSelected);
    this.render();
  }
  _(c4, key) {
    if (c4 === " ") {
      this.handleSpaceToggle();
    } else if (c4 === "a") {
      this.toggleAll();
    } else {
      return this.bell();
    }
  }
  renderInstructions() {
    if (this.instructions === void 0 || this.instructions) {
      if (typeof this.instructions === "string") {
        return this.instructions;
      }
      return `
Instructions:
    ${figures$2.arrowUp}/${figures$2.arrowDown}: Highlight option
    ${figures$2.arrowLeft}/${figures$2.arrowRight}/[space]: Toggle selection
` + (this.maxChoices === void 0 ? `    a: Toggle all
` : "") + `    enter/return: Complete answer`;
    }
    return "";
  }
  renderOption(cursor2, v2, i4, arrowIndicator) {
    const prefix = (v2.selected ? color$3.green(figures$2.radioOn) : figures$2.radioOff) + " " + arrowIndicator + " ";
    let title, desc;
    if (v2.disabled) {
      title = cursor2 === i4 ? color$3.gray().underline(v2.title) : color$3.strikethrough().gray(v2.title);
    } else {
      title = cursor2 === i4 ? color$3.cyan().underline(v2.title) : v2.title;
      if (cursor2 === i4 && v2.description) {
        desc = ` - ${v2.description}`;
        if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
          desc = "\n" + wrap$1(v2.description, { margin: prefix.length, width: this.out.columns });
        }
      }
    }
    return prefix + title + color$3.gray(desc || "");
  }
  // shared with autocompleteMultiselect
  paginateOptions(options2) {
    if (options2.length === 0) {
      return color$3.red("No matches for this query.");
    }
    let { startIndex, endIndex } = entriesToDisplay$1(this.cursor, options2.length, this.optionsPerPage);
    let prefix, styledOptions = [];
    for (let i4 = startIndex; i4 < endIndex; i4++) {
      if (i4 === startIndex && startIndex > 0) {
        prefix = figures$2.arrowUp;
      } else if (i4 === endIndex - 1 && endIndex < options2.length) {
        prefix = figures$2.arrowDown;
      } else {
        prefix = " ";
      }
      styledOptions.push(this.renderOption(this.cursor, options2[i4], i4, prefix));
    }
    return "\n" + styledOptions.join("\n");
  }
  // shared with autocomleteMultiselect
  renderOptions(options2) {
    if (!this.done) {
      return this.paginateOptions(options2);
    }
    return "";
  }
  renderDoneOrInstructions() {
    if (this.done) {
      return this.value.filter((e3) => e3.selected).map((v2) => v2.title).join(", ");
    }
    const output = [color$3.gray(this.hint), this.renderInstructions()];
    if (this.value[this.cursor].disabled) {
      output.push(color$3.yellow(this.warn));
    }
    return output.join(" ");
  }
  render() {
    if (this.closed)
      return;
    if (this.firstRender)
      this.out.write(cursor$3.hide);
    super.render();
    let prompt9 = [
      style$3.symbol(this.done, this.aborted),
      color$3.bold(this.msg),
      style$3.delimiter(false),
      this.renderDoneOrInstructions()
    ].join(" ");
    if (this.showMinError) {
      prompt9 += color$3.red(`You must select a minimum of ${this.minSelected} choices.`);
      this.showMinError = false;
    }
    prompt9 += this.renderOptions(this.value);
    this.out.write(this.clear + prompt9);
    this.clear = clear$3(prompt9, this.out.columns);
  }
};
var multiselect = MultiselectPrompt$1;
var color$2 = kleur;
var Prompt$1 = prompt$1;
var { erase: erase$1, cursor: cursor$2 } = src;
var { style: style$2, clear: clear$2, figures: figures$1, wrap, entriesToDisplay } = util2;
var getVal = (arr, i4) => arr[i4] && (arr[i4].value || arr[i4].title || arr[i4]);
var getTitle = (arr, i4) => arr[i4] && (arr[i4].title || arr[i4].value || arr[i4]);
var getIndex = (arr, valOrTitle) => {
  const index2 = arr.findIndex((el) => el.value === valOrTitle || el.title === valOrTitle);
  return index2 > -1 ? index2 : void 0;
};
var AutocompletePrompt = class extends Prompt$1 {
  constructor(opts2 = {}) {
    super(opts2);
    this.msg = opts2.message;
    this.suggest = opts2.suggest;
    this.choices = opts2.choices;
    this.initial = typeof opts2.initial === "number" ? opts2.initial : getIndex(opts2.choices, opts2.initial);
    this.select = this.initial || opts2.cursor || 0;
    this.i18n = { noMatches: opts2.noMatches || "no matches found" };
    this.fallback = opts2.fallback || this.initial;
    this.clearFirst = opts2.clearFirst || false;
    this.suggestions = [];
    this.input = "";
    this.limit = opts2.limit || 10;
    this.cursor = 0;
    this.transform = style$2.render(opts2.style);
    this.scale = this.transform.scale;
    this.render = this.render.bind(this);
    this.complete = this.complete.bind(this);
    this.clear = clear$2("", this.out.columns);
    this.complete(this.render);
    this.render();
  }
  set fallback(fb) {
    this._fb = Number.isSafeInteger(parseInt(fb)) ? parseInt(fb) : fb;
  }
  get fallback() {
    let choice;
    if (typeof this._fb === "number")
      choice = this.choices[this._fb];
    else if (typeof this._fb === "string")
      choice = { title: this._fb };
    return choice || this._fb || { title: this.i18n.noMatches };
  }
  moveSelect(i4) {
    this.select = i4;
    if (this.suggestions.length > 0)
      this.value = getVal(this.suggestions, i4);
    else
      this.value = this.fallback.value;
    this.fire();
  }
  async complete(cb2) {
    const p2 = this.completing = this.suggest(this.input, this.choices);
    const suggestions = await p2;
    if (this.completing !== p2)
      return;
    this.suggestions = suggestions.map((s3, i4, arr) => ({ title: getTitle(arr, i4), value: getVal(arr, i4), description: s3.description }));
    this.completing = false;
    const l2 = Math.max(suggestions.length - 1, 0);
    this.moveSelect(Math.min(l2, this.select));
    cb2 && cb2();
  }
  reset() {
    this.input = "";
    this.complete(() => {
      this.moveSelect(this.initial !== void 0 ? this.initial : 0);
      this.render();
    });
    this.render();
  }
  exit() {
    if (this.clearFirst && this.input.length > 0) {
      this.reset();
    } else {
      this.done = this.exited = true;
      this.aborted = false;
      this.fire();
      this.render();
      this.out.write("\n");
      this.close();
    }
  }
  abort() {
    this.done = this.aborted = true;
    this.exited = false;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  submit() {
    this.done = true;
    this.aborted = this.exited = false;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  _(c4, key) {
    let s1 = this.input.slice(0, this.cursor);
    let s22 = this.input.slice(this.cursor);
    this.input = `${s1}${c4}${s22}`;
    this.cursor = s1.length + 1;
    this.complete(this.render);
    this.render();
  }
  delete() {
    if (this.cursor === 0)
      return this.bell();
    let s1 = this.input.slice(0, this.cursor - 1);
    let s22 = this.input.slice(this.cursor);
    this.input = `${s1}${s22}`;
    this.complete(this.render);
    this.cursor = this.cursor - 1;
    this.render();
  }
  deleteForward() {
    if (this.cursor * this.scale >= this.rendered.length)
      return this.bell();
    let s1 = this.input.slice(0, this.cursor);
    let s22 = this.input.slice(this.cursor + 1);
    this.input = `${s1}${s22}`;
    this.complete(this.render);
    this.render();
  }
  first() {
    this.moveSelect(0);
    this.render();
  }
  last() {
    this.moveSelect(this.suggestions.length - 1);
    this.render();
  }
  up() {
    if (this.select === 0) {
      this.moveSelect(this.suggestions.length - 1);
    } else {
      this.moveSelect(this.select - 1);
    }
    this.render();
  }
  down() {
    if (this.select === this.suggestions.length - 1) {
      this.moveSelect(0);
    } else {
      this.moveSelect(this.select + 1);
    }
    this.render();
  }
  next() {
    if (this.select === this.suggestions.length - 1) {
      this.moveSelect(0);
    } else
      this.moveSelect(this.select + 1);
    this.render();
  }
  nextPage() {
    this.moveSelect(Math.min(this.select + this.limit, this.suggestions.length - 1));
    this.render();
  }
  prevPage() {
    this.moveSelect(Math.max(this.select - this.limit, 0));
    this.render();
  }
  left() {
    if (this.cursor <= 0)
      return this.bell();
    this.cursor = this.cursor - 1;
    this.render();
  }
  right() {
    if (this.cursor * this.scale >= this.rendered.length)
      return this.bell();
    this.cursor = this.cursor + 1;
    this.render();
  }
  renderOption(v2, hovered, isStart, isEnd) {
    let desc;
    let prefix = isStart ? figures$1.arrowUp : isEnd ? figures$1.arrowDown : " ";
    let title = hovered ? color$2.cyan().underline(v2.title) : v2.title;
    prefix = (hovered ? color$2.cyan(figures$1.pointer) + " " : "  ") + prefix;
    if (v2.description) {
      desc = ` - ${v2.description}`;
      if (prefix.length + title.length + desc.length >= this.out.columns || v2.description.split(/\r?\n/).length > 1) {
        desc = "\n" + wrap(v2.description, { margin: 3, width: this.out.columns });
      }
    }
    return prefix + " " + title + color$2.gray(desc || "");
  }
  render() {
    if (this.closed)
      return;
    if (this.firstRender)
      this.out.write(cursor$2.hide);
    else
      this.out.write(clear$2(this.outputText, this.out.columns));
    super.render();
    let { startIndex, endIndex } = entriesToDisplay(this.select, this.choices.length, this.limit);
    this.outputText = [
      style$2.symbol(this.done, this.aborted, this.exited),
      color$2.bold(this.msg),
      style$2.delimiter(this.completing),
      this.done && this.suggestions[this.select] ? this.suggestions[this.select].title : this.rendered = this.transform.render(this.input)
    ].join(" ");
    if (!this.done) {
      const suggestions = this.suggestions.slice(startIndex, endIndex).map((item2, i4) => this.renderOption(
        item2,
        this.select === i4 + startIndex,
        i4 === 0 && startIndex > 0,
        i4 + startIndex === endIndex - 1 && endIndex < this.choices.length
      )).join("\n");
      this.outputText += `
` + (suggestions || color$2.gray(this.fallback.title));
    }
    this.out.write(erase$1.line + cursor$2.to(0) + this.outputText);
  }
};
var autocomplete = AutocompletePrompt;
var color$1 = kleur;
var { cursor: cursor$1 } = src;
var MultiselectPrompt2 = multiselect;
var { clear: clear$1, style: style$1, figures } = util2;
var AutocompleteMultiselectPrompt = class extends MultiselectPrompt2 {
  constructor(opts2 = {}) {
    opts2.overrideRender = true;
    super(opts2);
    this.inputValue = "";
    this.clear = clear$1("", this.out.columns);
    this.filteredOptions = this.value;
    this.render();
  }
  last() {
    this.cursor = this.filteredOptions.length - 1;
    this.render();
  }
  next() {
    this.cursor = (this.cursor + 1) % this.filteredOptions.length;
    this.render();
  }
  up() {
    if (this.cursor === 0) {
      this.cursor = this.filteredOptions.length - 1;
    } else {
      this.cursor--;
    }
    this.render();
  }
  down() {
    if (this.cursor === this.filteredOptions.length - 1) {
      this.cursor = 0;
    } else {
      this.cursor++;
    }
    this.render();
  }
  left() {
    this.filteredOptions[this.cursor].selected = false;
    this.render();
  }
  right() {
    if (this.value.filter((e3) => e3.selected).length >= this.maxChoices)
      return this.bell();
    this.filteredOptions[this.cursor].selected = true;
    this.render();
  }
  delete() {
    if (this.inputValue.length) {
      this.inputValue = this.inputValue.substr(0, this.inputValue.length - 1);
      this.updateFilteredOptions();
    }
  }
  updateFilteredOptions() {
    const currentHighlight = this.filteredOptions[this.cursor];
    this.filteredOptions = this.value.filter((v2) => {
      if (this.inputValue) {
        if (typeof v2.title === "string") {
          if (v2.title.toLowerCase().includes(this.inputValue.toLowerCase())) {
            return true;
          }
        }
        if (typeof v2.value === "string") {
          if (v2.value.toLowerCase().includes(this.inputValue.toLowerCase())) {
            return true;
          }
        }
        return false;
      }
      return true;
    });
    const newHighlightIndex = this.filteredOptions.findIndex((v2) => v2 === currentHighlight);
    this.cursor = newHighlightIndex < 0 ? 0 : newHighlightIndex;
    this.render();
  }
  handleSpaceToggle() {
    const v2 = this.filteredOptions[this.cursor];
    if (v2.selected) {
      v2.selected = false;
      this.render();
    } else if (v2.disabled || this.value.filter((e3) => e3.selected).length >= this.maxChoices) {
      return this.bell();
    } else {
      v2.selected = true;
      this.render();
    }
  }
  handleInputChange(c4) {
    this.inputValue = this.inputValue + c4;
    this.updateFilteredOptions();
  }
  _(c4, key) {
    if (c4 === " ") {
      this.handleSpaceToggle();
    } else {
      this.handleInputChange(c4);
    }
  }
  renderInstructions() {
    if (this.instructions === void 0 || this.instructions) {
      if (typeof this.instructions === "string") {
        return this.instructions;
      }
      return `
Instructions:
    ${figures.arrowUp}/${figures.arrowDown}: Highlight option
    ${figures.arrowLeft}/${figures.arrowRight}/[space]: Toggle selection
    [a,b,c]/delete: Filter choices
    enter/return: Complete answer
`;
    }
    return "";
  }
  renderCurrentInput() {
    return `
Filtered results for: ${this.inputValue ? this.inputValue : color$1.gray("Enter something to filter")}
`;
  }
  renderOption(cursor2, v2, i4, arrowIndicator) {
    const prefix = (v2.selected ? color$1.green(figures.radioOn) : figures.radioOff) + " " + arrowIndicator + " ";
    let title;
    if (v2.disabled)
      title = cursor2 === i4 ? color$1.gray().underline(v2.title) : color$1.strikethrough().gray(v2.title);
    else
      title = cursor2 === i4 ? color$1.cyan().underline(v2.title) : v2.title;
    return prefix + title;
  }
  renderDoneOrInstructions() {
    if (this.done) {
      return this.value.filter((e3) => e3.selected).map((v2) => v2.title).join(", ");
    }
    const output = [color$1.gray(this.hint), this.renderInstructions(), this.renderCurrentInput()];
    if (this.filteredOptions.length && this.filteredOptions[this.cursor].disabled) {
      output.push(color$1.yellow(this.warn));
    }
    return output.join(" ");
  }
  render() {
    if (this.closed)
      return;
    if (this.firstRender)
      this.out.write(cursor$1.hide);
    super.render();
    let prompt9 = [
      style$1.symbol(this.done, this.aborted),
      color$1.bold(this.msg),
      style$1.delimiter(false),
      this.renderDoneOrInstructions()
    ].join(" ");
    if (this.showMinError) {
      prompt9 += color$1.red(`You must select a minimum of ${this.minSelected} choices.`);
      this.showMinError = false;
    }
    prompt9 += this.renderOptions(this.filteredOptions);
    this.out.write(this.clear + prompt9);
    this.clear = clear$1(prompt9, this.out.columns);
  }
};
var autocompleteMultiselect = AutocompleteMultiselectPrompt;
var color = kleur;
var Prompt2 = prompt$1;
var { style, clear } = util2;
var { erase, cursor } = src;
var ConfirmPrompt = class extends Prompt2 {
  constructor(opts2 = {}) {
    super(opts2);
    this.msg = opts2.message;
    this.value = opts2.initial;
    this.initialValue = !!opts2.initial;
    this.yesMsg = opts2.yes || "yes";
    this.yesOption = opts2.yesOption || "(Y/n)";
    this.noMsg = opts2.no || "no";
    this.noOption = opts2.noOption || "(y/N)";
    this.render();
  }
  reset() {
    this.value = this.initialValue;
    this.fire();
    this.render();
  }
  exit() {
    this.abort();
  }
  abort() {
    this.done = this.aborted = true;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  submit() {
    this.value = this.value || false;
    this.done = true;
    this.aborted = false;
    this.fire();
    this.render();
    this.out.write("\n");
    this.close();
  }
  _(c4, key) {
    if (c4.toLowerCase() === "y") {
      this.value = true;
      return this.submit();
    }
    if (c4.toLowerCase() === "n") {
      this.value = false;
      return this.submit();
    }
    return this.bell();
  }
  render() {
    if (this.closed)
      return;
    if (this.firstRender)
      this.out.write(cursor.hide);
    else
      this.out.write(clear(this.outputText, this.out.columns));
    super.render();
    this.outputText = [
      style.symbol(this.done, this.aborted),
      color.bold(this.msg),
      style.delimiter(this.done),
      this.done ? this.value ? this.yesMsg : this.noMsg : color.gray(this.initialValue ? this.yesOption : this.noOption)
    ].join(" ");
    this.out.write(erase.line + cursor.to(0) + this.outputText);
  }
};
var confirm = ConfirmPrompt;
var elements = {
  TextPrompt: text,
  SelectPrompt: select,
  TogglePrompt: toggle,
  DatePrompt: date,
  NumberPrompt: number,
  MultiselectPrompt: multiselect,
  AutocompletePrompt: autocomplete,
  AutocompleteMultiselectPrompt: autocompleteMultiselect,
  ConfirmPrompt: confirm
};
(function(exports2) {
  const $3 = exports2;
  const el = elements;
  const noop2 = (v2) => v2;
  function toPrompt(type, args3, opts2 = {}) {
    return new Promise((res, rej) => {
      const p2 = new el[type](args3);
      const onAbort = opts2.onAbort || noop2;
      const onSubmit = opts2.onSubmit || noop2;
      const onExit2 = opts2.onExit || noop2;
      p2.on("state", args3.onState || noop2);
      p2.on("submit", (x) => res(onSubmit(x)));
      p2.on("exit", (x) => res(onExit2(x)));
      p2.on("abort", (x) => rej(onAbort(x)));
    });
  }
  $3.text = (args3) => toPrompt("TextPrompt", args3);
  $3.password = (args3) => {
    args3.style = "password";
    return $3.text(args3);
  };
  $3.invisible = (args3) => {
    args3.style = "invisible";
    return $3.text(args3);
  };
  $3.number = (args3) => toPrompt("NumberPrompt", args3);
  $3.date = (args3) => toPrompt("DatePrompt", args3);
  $3.confirm = (args3) => toPrompt("ConfirmPrompt", args3);
  $3.list = (args3) => {
    const sep2 = args3.separator || ",";
    return toPrompt("TextPrompt", args3, {
      onSubmit: (str) => str.split(sep2).map((s3) => s3.trim())
    });
  };
  $3.toggle = (args3) => toPrompt("TogglePrompt", args3);
  $3.select = (args3) => toPrompt("SelectPrompt", args3);
  $3.multiselect = (args3) => {
    args3.choices = [].concat(args3.choices || []);
    const toSelected = (items) => items.filter((item2) => item2.selected).map((item2) => item2.value);
    return toPrompt("MultiselectPrompt", args3, {
      onAbort: toSelected,
      onSubmit: toSelected
    });
  };
  $3.autocompleteMultiselect = (args3) => {
    args3.choices = [].concat(args3.choices || []);
    const toSelected = (items) => items.filter((item2) => item2.selected).map((item2) => item2.value);
    return toPrompt("AutocompleteMultiselectPrompt", args3, {
      onAbort: toSelected,
      onSubmit: toSelected
    });
  };
  const byTitle = (input, choices) => Promise.resolve(
    choices.filter((item2) => item2.title.slice(0, input.length).toLowerCase() === input.toLowerCase())
  );
  $3.autocomplete = (args3) => {
    args3.suggest = args3.suggest || byTitle;
    args3.choices = [].concat(args3.choices || []);
    return toPrompt("AutocompletePrompt", args3);
  };
})(prompts$3);
var prompts$2 = prompts$3;
var passOn = ["suggest", "format", "onState", "validate", "onRender", "type"];
var noop = () => {
};
async function prompt(questions = [], { onSubmit = noop, onCancel = noop } = {}) {
  const answers = {};
  const override2 = prompt._override || {};
  questions = [].concat(questions);
  let answer, question, quit, name, type, lastPrompt;
  const getFormattedAnswer = async (question2, answer2, skipValidation = false) => {
    if (!skipValidation && question2.validate && question2.validate(answer2) !== true) {
      return;
    }
    return question2.format ? await question2.format(answer2, answers) : answer2;
  };
  for (question of questions) {
    ({ name, type } = question);
    if (typeof type === "function") {
      type = await type(answer, { ...answers }, question);
      question["type"] = type;
    }
    if (!type)
      continue;
    for (let key in question) {
      if (passOn.includes(key))
        continue;
      let value = question[key];
      question[key] = typeof value === "function" ? await value(answer, { ...answers }, lastPrompt) : value;
    }
    lastPrompt = question;
    if (typeof question.message !== "string") {
      throw new Error("prompt message is required");
    }
    ({ name, type } = question);
    if (prompts$2[type] === void 0) {
      throw new Error(`prompt type (${type}) is not defined`);
    }
    if (override2[question.name] !== void 0) {
      answer = await getFormattedAnswer(question, override2[question.name]);
      if (answer !== void 0) {
        answers[name] = answer;
        continue;
      }
    }
    try {
      answer = prompt._injected ? getInjectedAnswer(prompt._injected, question.initial) : await prompts$2[type](question);
      answers[name] = answer = await getFormattedAnswer(question, answer, true);
      quit = await onSubmit(question, answer, answers);
    } catch (err) {
      quit = !await onCancel(question, answers);
    }
    if (quit)
      return answers;
  }
  return answers;
}
function getInjectedAnswer(injected, deafultValue) {
  const answer = injected.shift();
  if (answer instanceof Error) {
    throw answer;
  }
  return answer === void 0 ? deafultValue : answer;
}
function inject(answers) {
  prompt._injected = (prompt._injected || []).concat(answers);
}
function override(answers) {
  prompt._override = Object.assign({}, answers);
}
var lib$1 = Object.assign(prompt, { prompt, prompts: prompts$2, inject, override });
var prompts = lib$1;
var prompts$1 = /* @__PURE__ */ getDefaultExportFromCjs(prompts);
var isexe = isexe_1;
var { join, delimiter, sep, posix } = import_path20.default;
var isWindows = process.platform === "win32";
var rSlash = new RegExp(`[${posix.sep}${sep === posix.sep ? "" : sep}]`.replace(/(\\)/g, "\\$1"));
var rRel = new RegExp(`^\\.${rSlash.source}`);
var getNotFoundError = (cmd) => Object.assign(new Error(`not found: ${cmd}`), { code: "ENOENT" });
var getPathInfo = (cmd, {
  path: optPath = process.env.PATH,
  pathExt: optPathExt = process.env.PATHEXT,
  delimiter: optDelimiter = delimiter
}) => {
  const pathEnv = cmd.match(rSlash) ? [""] : [
    // windows always checks the cwd first
    ...isWindows ? [process.cwd()] : [],
    ...(optPath || /* istanbul ignore next: very unusual */
    "").split(optDelimiter)
  ];
  if (isWindows) {
    const pathExtExe = optPathExt || [".EXE", ".CMD", ".BAT", ".COM"].join(optDelimiter);
    const pathExt = pathExtExe.split(optDelimiter).reduce((acc, item2) => {
      acc.push(item2);
      acc.push(item2.toLowerCase());
      return acc;
    }, []);
    if (cmd.includes(".") && pathExt[0] !== "") {
      pathExt.unshift("");
    }
    return { pathEnv, pathExt, pathExtExe };
  }
  return { pathEnv, pathExt: [""] };
};
var getPathPart = (raw, cmd) => {
  const pathPart = /^".*"$/.test(raw) ? raw.slice(1, -1) : raw;
  const prefix = !pathPart && rRel.test(cmd) ? cmd.slice(0, 2) : "";
  return prefix + join(pathPart, cmd);
};
var which = async (cmd, opt = {}) => {
  const { pathEnv, pathExt, pathExtExe } = getPathInfo(cmd, opt);
  const found = [];
  for (const envPart of pathEnv) {
    const p2 = getPathPart(envPart, cmd);
    for (const ext of pathExt) {
      const withExt = p2 + ext;
      const is2 = await isexe(withExt, { pathExt: pathExtExe, ignoreErrors: true });
      if (is2) {
        if (!opt.all) {
          return withExt;
        }
        found.push(withExt);
      }
    }
  }
  if (opt.all && found.length) {
    return found;
  }
  if (opt.nothrow) {
    return null;
  }
  throw getNotFoundError(cmd);
};
var whichSync = (cmd, opt = {}) => {
  const { pathEnv, pathExt, pathExtExe } = getPathInfo(cmd, opt);
  const found = [];
  for (const pathEnvPart of pathEnv) {
    const p2 = getPathPart(pathEnvPart, cmd);
    for (const ext of pathExt) {
      const withExt = p2 + ext;
      const is2 = isexe.sync(withExt, { pathExt: pathExtExe, ignoreErrors: true });
      if (is2) {
        if (!opt.all) {
          return withExt;
        }
        found.push(withExt);
      }
    }
  }
  if (opt.all && found.length) {
    return found;
  }
  if (opt.nothrow) {
    return null;
  }
  throw getNotFoundError(cmd);
};
var lib = which;
which.sync = whichSync;
var which$1 = /* @__PURE__ */ getDefaultExportFromCjs(lib);
var CLI_TEMP_DIR = (0, import_node_path.join)(import_node_os.default.tmpdir(), "antfu-ni");
function cmdExists(cmd) {
  return which$1.sync(cmd, { nothrow: true }) !== null;
}
async function detect({ autoInstall, programmatic, cwd } = {}) {
  let agent = null;
  let version3 = null;
  const lockPath = await findUp2(Object.keys(LOCKS), { cwd });
  let packageJsonPath;
  if (lockPath)
    packageJsonPath = import_node_path.default.resolve(lockPath, "../package.json");
  else
    packageJsonPath = await findUp2("package.json", { cwd });
  if (packageJsonPath && import_node_fs.default.existsSync(packageJsonPath)) {
    try {
      const pkg2 = JSON.parse(import_node_fs.default.readFileSync(packageJsonPath, "utf8"));
      if (typeof pkg2.packageManager === "string") {
        const [name, ver] = pkg2.packageManager.split("@");
        version3 = ver;
        if (name === "yarn" && Number.parseInt(ver) > 1)
          agent = "yarn@berry";
        else if (name === "pnpm" && Number.parseInt(ver) < 7)
          agent = "pnpm@6";
        else if (name in AGENTS)
          agent = name;
        else if (!programmatic)
          console.warn("[ni] Unknown packageManager:", pkg2.packageManager);
      }
    } catch {
    }
  }
  if (!agent && lockPath)
    agent = LOCKS[import_node_path.default.basename(lockPath)];
  if (agent && !cmdExists(agent.split("@")[0]) && !programmatic) {
    if (!autoInstall) {
      console.warn(`[ni] Detected ${agent} but it doesn't seem to be installed.
`);
      if (import_node_process.default.env.CI)
        import_node_process.default.exit(1);
      const link4 = terminalLink3(agent, INSTALL_PAGE[agent]);
      const { tryInstall } = await prompts$1({
        name: "tryInstall",
        type: "confirm",
        message: `Would you like to globally install ${link4}?`
      });
      if (!tryInstall)
        import_node_process.default.exit(1);
    }
    await execaCommand(`npm i -g ${agent}${version3 ? `@${version3}` : ""}`, { stdio: "inherit", cwd });
  }
  return agent;
}
var UnsupportedCommand = class extends Error {
  constructor({ agent, command }) {
    super(`Command "${command}" is not support by agent "${agent}"`);
  }
};
function getCommand(agent, command, args3 = []) {
  if (!(agent in AGENTS))
    throw new Error(`Unsupported agent "${agent}"`);
  const c4 = AGENTS[agent][command];
  if (typeof c4 === "function")
    return c4(args3);
  if (!c4)
    throw new UnsupportedCommand({ agent, command });
  const quote = (arg3) => !arg3.startsWith("--") && arg3.includes(" ") ? JSON.stringify(arg3) : arg3;
  return c4.replace("{0}", args3.map(quote).join(" ")).trim();
}
var FORCE_COLOR2;
var NODE_DISABLE_COLORS2;
var NO_COLOR2;
var TERM2;
var isTTY2 = true;
if (typeof process !== "undefined") {
  ({ FORCE_COLOR: FORCE_COLOR2, NODE_DISABLE_COLORS: NODE_DISABLE_COLORS2, NO_COLOR: NO_COLOR2, TERM: TERM2 } = process.env || {});
  isTTY2 = process.stdout && process.stdout.isTTY;
}
var $2 = {
  enabled: !NODE_DISABLE_COLORS2 && NO_COLOR2 == null && TERM2 !== "dumb" && (FORCE_COLOR2 != null && FORCE_COLOR2 !== "0" || isTTY2),
  // modifiers
  reset: init2(0, 0),
  bold: init2(1, 22),
  dim: init2(2, 22),
  italic: init2(3, 23),
  underline: init2(4, 24),
  inverse: init2(7, 27),
  hidden: init2(8, 28),
  strikethrough: init2(9, 29),
  // colors
  black: init2(30, 39),
  red: init2(31, 39),
  green: init2(32, 39),
  yellow: init2(33, 39),
  blue: init2(34, 39),
  magenta: init2(35, 39),
  cyan: init2(36, 39),
  white: init2(37, 39),
  gray: init2(90, 39),
  grey: init2(90, 39),
  // background colors
  bgBlack: init2(40, 49),
  bgRed: init2(41, 49),
  bgGreen: init2(42, 49),
  bgYellow: init2(43, 49),
  bgBlue: init2(44, 49),
  bgMagenta: init2(45, 49),
  bgCyan: init2(46, 49),
  bgWhite: init2(47, 49)
};
function run$1(arr, str) {
  let i4 = 0, tmp2, beg = "", end = "";
  for (; i4 < arr.length; i4++) {
    tmp2 = arr[i4];
    beg += tmp2.open;
    end += tmp2.close;
    if (!!~str.indexOf(tmp2.close)) {
      str = str.replace(tmp2.rgx, tmp2.close + tmp2.open);
    }
  }
  return beg + str + end;
}
function chain2(has, keys) {
  let ctx = { has, keys };
  ctx.reset = $2.reset.bind(ctx);
  ctx.bold = $2.bold.bind(ctx);
  ctx.dim = $2.dim.bind(ctx);
  ctx.italic = $2.italic.bind(ctx);
  ctx.underline = $2.underline.bind(ctx);
  ctx.inverse = $2.inverse.bind(ctx);
  ctx.hidden = $2.hidden.bind(ctx);
  ctx.strikethrough = $2.strikethrough.bind(ctx);
  ctx.black = $2.black.bind(ctx);
  ctx.red = $2.red.bind(ctx);
  ctx.green = $2.green.bind(ctx);
  ctx.yellow = $2.yellow.bind(ctx);
  ctx.blue = $2.blue.bind(ctx);
  ctx.magenta = $2.magenta.bind(ctx);
  ctx.cyan = $2.cyan.bind(ctx);
  ctx.white = $2.white.bind(ctx);
  ctx.gray = $2.gray.bind(ctx);
  ctx.grey = $2.grey.bind(ctx);
  ctx.bgBlack = $2.bgBlack.bind(ctx);
  ctx.bgRed = $2.bgRed.bind(ctx);
  ctx.bgGreen = $2.bgGreen.bind(ctx);
  ctx.bgYellow = $2.bgYellow.bind(ctx);
  ctx.bgBlue = $2.bgBlue.bind(ctx);
  ctx.bgMagenta = $2.bgMagenta.bind(ctx);
  ctx.bgCyan = $2.bgCyan.bind(ctx);
  ctx.bgWhite = $2.bgWhite.bind(ctx);
  return ctx;
}
function init2(open3, close) {
  let blk = {
    open: `\x1B[${open3}m`,
    close: `\x1B[${close}m`,
    rgx: new RegExp(`\\x1b\\[${close}m`, "g")
  };
  return function(txt) {
    if (this !== void 0 && this.has !== void 0) {
      !!~this.has.indexOf(open3) || (this.has.push(open3), this.keys.push(blk));
      return txt === void 0 ? this : $2.enabled ? run$1(this.keys, txt + "") : txt + "";
    }
    return txt === void 0 ? chain2([open3], [blk]) : $2.enabled ? run$1([blk], txt + "") : txt + "";
  };
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/auto-installation/getPackageCmd.ts
async function getPackageCmd(cwd, cmd, ...args3) {
  const agent = await detect({ autoInstall: false, cwd, programmatic: true });
  return getCommand(agent ?? "npm", cmd, args3);
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/auto-installation/runPackageCmd.ts
var import_execa5 = __toESM(require_execa());
async function runPackageCmd(cwd, cmd, ...args3) {
  await import_execa5.default.command(await getPackageCmd(cwd, cmd, ...args3), {
    // we skip this because we are already in the generator
    env: { PRISMA_SKIP_POSTINSTALL_GENERATE: "true" },
    stdio: "inherit",
    cwd
  });
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/check-dependencies/checkTypeScriptVersion.ts
init_src();
var import_fs20 = __toESM(require("fs"));
init_colors();
var import_path21 = __toESM(require("path"));

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/check-dependencies/semverLt.ts
function semverLt(a3, b6) {
  const [major1, minor1, patch1] = a3.split(".");
  const [major2, minor2, patch2] = b6.split(".");
  if (major1 < major2) {
    return true;
  }
  if (major1 > major2) {
    return false;
  }
  if (minor1 < minor2) {
    return true;
  }
  if (minor1 > minor2) {
    return false;
  }
  if (patch1 < patch2) {
    return true;
  }
  if (patch1 > patch2) {
    return false;
  }
  return false;
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/check-dependencies/checkTypeScriptVersion.ts
var debug18 = src_default("prisma:generator");
async function checkTypeScriptVersion() {
  const minVersion = "4.1.0";
  try {
    const typescriptPath = await resolvePkg("typescript", {
      basedir: process.cwd()
    });
    debug18("typescriptPath", typescriptPath);
    const typescriptPkg = typescriptPath && import_path21.default.join(typescriptPath, "package.json");
    if (typescriptPkg && import_fs20.default.existsSync(typescriptPkg)) {
      const pjson = require(typescriptPkg);
      const currentVersion2 = pjson.version;
      if (semverLt(currentVersion2, minVersion)) {
        logger_exports.warn(
          `Prisma detected that your ${bold(
            "TypeScript"
          )} version ${currentVersion2} is outdated. If you want to use Prisma Client with TypeScript please update it to version ${bold(
            minVersion
          )} or ${bold("newer")}. ${dim(`TypeScript found in: ${bold(typescriptPath)}`)}`
        );
      }
    }
  } catch (e3) {
  }
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/check-dependencies/checkYarnVersion.ts
init_colors();
function checkYarnVersion() {
  if (process.env.npm_config_user_agent) {
    const match4 = parseUserAgentString(process.env.npm_config_user_agent);
    if (match4) {
      const { agent, major, minor, patch } = match4;
      if (agent === "yarn" && major === 1) {
        const currentYarnVersion = `${major}.${minor}.${patch}`;
        const minYarnVersion = "1.19.2";
        if (semverLt(currentYarnVersion, minYarnVersion)) {
          logger_exports.warn(
            `Your ${bold("yarn")} has version ${currentYarnVersion}, which is outdated. Please update it to ${bold(
              minYarnVersion
            )} or ${bold("newer")} in order to use Prisma.`
          );
        }
      }
    }
  }
}
function parseUserAgentString(str) {
  const userAgentRegex = /(\w+)\/(\d+)\.(\d+)\.(\d+)/;
  const match4 = userAgentRegex.exec(str);
  if (match4) {
    const agent = match4[1];
    const major = parseInt(match4[2]);
    const minor = parseInt(match4[3]);
    const patch = parseInt(match4[4]);
    return { agent, major, minor, patch };
  }
  return null;
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/check-dependencies/isYarnUsed.ts
async function isYarnUsed(baseDir2) {
  const packageManager = await detect({ cwd: baseDir2, autoInstall: false, programmatic: true });
  return packageManager === "yarn" || packageManager === "yarn@berry";
}

// ../internals/src/get-generators/generatorResolvers/prisma-client-js/prismaClientResolver.ts
var debug19 = src_default("prisma:generator");
async function prismaClientResolver(baseDir2, version3) {
  let prismaClientDir = await findPrismaClientDir(baseDir2);
  debug19("baseDir", baseDir2);
  checkYarnVersion();
  await checkTypeScriptVersion();
  if (!prismaClientDir && !process.env.PRISMA_GENERATE_SKIP_AUTOINSTALL) {
    let projectRoot = longestCommonPathPrefix2(baseDir2, process.cwd());
    debug19("projectRoot", projectRoot);
    const warningTag = `${bold("Warning:")} ${dim("[Prisma auto-install on generate]")}`;
    if (projectRoot === void 0) {
      console.warn(
        yellow(
          `${warningTag} The Prisma schema directory ${bold(baseDir2)} and the current working directory ${bold(
            process.cwd()
          )} have no common ancestor. The Prisma schema directory will be used as the project root.`
        )
      );
      projectRoot = baseDir2;
    }
    if (!import_fs21.default.existsSync(import_path22.default.join(projectRoot, "package.json"))) {
      console.warn(
        yellow(
          `${warningTag} Prisma could not find a ${bold("package.json")} file in the inferred project root ${bold(
            projectRoot
          )}. During the next step, when an auto-install of Prisma package(s) will be attempted, it will then be created by your package manager on the appropriate level if necessary.`
        )
      );
    }
    const prismaCliDir = await resolvePkg("prisma", { basedir: baseDir2 });
    if (process.platform === "win32" && await isYarnUsed(baseDir2)) {
      const hasCli = (s3) => prismaCliDir !== void 0 ? s3 : "";
      const missingCli = (s3) => prismaCliDir === void 0 ? s3 : "";
      throw new Error(
        `Could not resolve ${missingCli(`${bold("prisma")} and `)}${bold(
          "@prisma/client"
        )} in the current project. Please install ${hasCli("it")}${missingCli("them")} with ${missingCli(
          `${bold(green(`${await getPackageCmd(baseDir2, "add", "prisma", "-D")}`))} and `
        )}${bold(green(`${await getPackageCmd(baseDir2, "add", "@prisma/client")}`))}, and rerun ${bold(
          await getPackageCmd(baseDir2, "execute", "prisma generate")
        )} \u{1F64F}.`
      );
    }
    if (!prismaCliDir) {
      await runPackageCmd(projectRoot, "add", `prisma@${version3 ?? "latest"}`, "-D");
    }
    await runPackageCmd(projectRoot, "add", `@prisma/client@${version3 ?? "latest"}`);
    prismaClientDir = await findPrismaClientDir(import_path22.default.join(".", baseDir2));
    if (!prismaClientDir) {
      throw new Error(
        `Could not resolve @prisma/client despite the installation that we just tried.
Please try to install it by hand with ${bold(
          green(`${await getPackageCmd(baseDir2, "add", "@prisma/client")}`)
        )} and rerun ${bold(await getPackageCmd(baseDir2, "execute", "prisma generate"))} \u{1F64F}.`
      );
    }
    console.info(
      `
\u2714 Installed the ${bold(green("@prisma/client"))} and ${bold(green("prisma"))} packages in your project`
    );
  }
  if (!prismaClientDir) {
    throw new Error(
      `Could not resolve @prisma/client.
Please try to install it with ${bold(green("npm install @prisma/client"))} and rerun ${bold(
        await getPackageCmd(baseDir2, "execute", "prisma generate")
      )} \u{1F64F}.`
    );
  }
  return {
    outputPath: prismaClientDir,
    generatorPath: import_path22.default.resolve(prismaClientDir, "generator-build/index.js"),
    isNode: true
  };
}

// ../internals/src/get-generators/generatorResolvers/generatorResolvers.ts
var generatorResolvers = {
  "prisma-client-js": prismaClientResolver
};

// ../internals/src/get-generators/utils/binaryTypeToEngineType.ts
function binaryTypeToEngineType(binaryType) {
  if (binaryType === "schema-engine" /* SchemaEngineBinary */) {
    return "schemaEngine";
  }
  if (binaryType === "libquery-engine" /* QueryEngineLibrary */) {
    return "libqueryEngine";
  }
  if (binaryType === "query-engine" /* QueryEngineBinary */) {
    return "queryEngine";
  }
  throw new Error(`Could not convert binary type ${binaryType}`);
}

// ../internals/src/get-generators/utils/check-feature-flags/checkFeatureFlags.ts
function checkFeatureFlags(_config, _options) {
}

// ../internals/src/get-generators/utils/fixBinaryTargets.ts
function transformPlatformToEnvValue(platform2) {
  return { fromEnvVar: null, value: platform2 };
}
function fixBinaryTargets2(binaryTargets, platform2) {
  binaryTargets = binaryTargets || [];
  if (!binaryTargets.find((object) => object.native === true)) {
    return [transformPlatformToEnvValue("native"), ...binaryTargets];
  }
  return [...binaryTargets, transformPlatformToEnvValue(platform2)];
}

// ../internals/src/get-generators/utils/getBinaryPathsByVersion.ts
var import_engines4 = require("@prisma/engines");
init_src3();
var import_fs_extra4 = __toESM(require_lib4());
var import_path24 = __toESM(require("path"));

// ../internals/src/utils/mapKeys.ts
function mapKeys(obj, mapper) {
  return Object.entries(obj).reduce((acc, [key, value]) => {
    acc[mapper(key)] = value;
    return acc;
  }, {});
}

// ../internals/src/get-generators/utils/engineTypeToBinaryType.ts
function engineTypeToBinaryType(engineType) {
  if (engineType === "schemaEngine") {
    return "schema-engine" /* SchemaEngineBinary */;
  }
  if (engineType === "queryEngine") {
    return "query-engine" /* QueryEngineBinary */;
  }
  if (engineType === "libqueryEngine") {
    return "libquery-engine" /* QueryEngineLibrary */;
  }
  throw new Error(`Could not convert engine type ${engineType}`);
}

// ../internals/src/get-generators/utils/getBinaryPathsByVersion.ts
async function getBinaryPathsByVersion({
  neededVersions,
  platform,
  version,
  printDownloadProgress,
  skipDownload,
  binaryPathsOverride
}) {
  const binaryPathsByVersion = /* @__PURE__ */ Object.create(null);
  for (const currentVersion in neededVersions) {
    binaryPathsByVersion[currentVersion] = {};
    const neededVersion = neededVersions[currentVersion];
    if (neededVersion.binaryTargets.length === 0) {
      neededVersion.binaryTargets = [{ fromEnvVar: null, value: platform }];
    }
    if (process.env.NETLIFY && !neededVersion.binaryTargets.find((object) => object.value === "rhel-openssl-1.0.x")) {
      neededVersion.binaryTargets.push({
        fromEnvVar: null,
        value: "rhel-openssl-1.0.x"
      });
    }
    let binaryTargetBaseDir = eval(`require('path').join(__dirname, '..')`);
    if (version !== currentVersion) {
      binaryTargetBaseDir = import_path24.default.join(binaryTargetBaseDir, `./engines/${currentVersion}/`);
      await (0, import_fs_extra4.ensureDir)(binaryTargetBaseDir).catch((e3) => console.error(e3));
    }
    const binariesConfig = neededVersion.engines.reduce((acc, curr) => {
      if (!binaryPathsOverride?.[curr]) {
        acc[engineTypeToBinaryType(curr)] = binaryTargetBaseDir;
      }
      return acc;
    }, /* @__PURE__ */ Object.create(null));
    if (Object.values(binariesConfig).length > 0) {
      const platforms2 = neededVersion.binaryTargets.map(
        (binaryTarget) => binaryTarget.value
      );
      const downloadParams = {
        binaries: binariesConfig,
        binaryTargets: platforms2,
        showProgress: typeof printDownloadProgress === "boolean" ? printDownloadProgress : true,
        version: currentVersion && currentVersion !== "latest" ? currentVersion : import_engines4.enginesVersion,
        skipDownload
      };
      const binaryPathsWithEngineType = await download(downloadParams);
      const binaryPaths2 = mapKeys(binaryPathsWithEngineType, binaryTypeToEngineType);
      binaryPathsByVersion[currentVersion] = binaryPaths2;
    }
    if (binaryPathsOverride) {
      const overrideEngines = Object.keys(binaryPathsOverride);
      const enginesCoveredByOverride = neededVersion.engines.filter((engine) => overrideEngines.includes(engine));
      if (enginesCoveredByOverride.length > 0) {
        for (const engine of enginesCoveredByOverride) {
          const enginePath = binaryPathsOverride[engine];
          binaryPathsByVersion[currentVersion][engine] = {
            [platform]: enginePath
          };
        }
      }
    }
  }
  return binaryPathsByVersion;
}

// ../internals/src/get-generators/utils/getEngineVersionForGenerator.ts
function getEngineVersionForGenerator(manifest, defaultVersion) {
  let neededVersion2 = manifest?.requiresEngineVersion;
  neededVersion2 = neededVersion2 ?? defaultVersion;
  return neededVersion2 ?? "latest";
}

// ../internals/src/get-generators/utils/printGeneratorConfig.ts
var import_indent_string = __toESM(require_indent_string());
function printGeneratorConfig2(config2) {
  return String(new GeneratorConfigClass(config2));
}
var GeneratorConfigClass = class {
  constructor(config2) {
    this.config = config2;
  }
  toString() {
    const { config: config2 } = this;
    const provider = config2.provider.fromEnvVar ? `env("${config2.provider.fromEnvVar}")` : config2.provider.value;
    const obj = JSON.parse(
      JSON.stringify({
        provider,
        binaryTargets: getOriginalBinaryTargetsValue(config2.binaryTargets)
      })
    );
    return `generator ${config2.name} {
${(0, import_indent_string.default)(printDatamodelObject(obj), 2)}
}`;
  }
};
function getOriginalBinaryTargetsValue(binaryTargets) {
  let value;
  if (binaryTargets.length > 0) {
    const binaryTargetsFromEnvVar = binaryTargets.find((object) => object.fromEnvVar !== null);
    if (binaryTargetsFromEnvVar) {
      value = `env("${binaryTargetsFromEnvVar.fromEnvVar}")`;
    } else {
      value = binaryTargets.map((object) => object.native ? "native" : object.value);
    }
  } else {
    value = void 0;
  }
  return value;
}
function printDatamodelObject(obj) {
  const maxLength = Object.keys(obj).reduce((max, curr) => Math.max(max, curr.length), 0);
  return Object.entries(obj).map(([key, value]) => `${key.padEnd(maxLength)} = ${niceStringify(value)}`).join("\n");
}
function niceStringify(value) {
  return JSON.parse(
    JSON.stringify(value, (_3, value2) => {
      if (Array.isArray(value2)) {
        return `[${value2.map((element) => JSON.stringify(element)).join(", ")}]`;
      }
      return JSON.stringify(value2);
    })
  );
}

// ../internals/src/get-generators/getGenerators.ts
var debug20 = src_default("prisma:getGenerators");
async function getGenerators2(options) {
  const {
    schemaPath,
    providerAliases: aliases,
    // do you get the pun?
    version,
    cliVersion,
    printDownloadProgress,
    baseDir = import_path25.default.dirname(schemaPath),
    overrideGenerators,
    skipDownload,
    binaryPathsOverride,
    generatorNames = [],
    postinstall,
    noEngine
  } = options;
  if (!schemaPath) {
    throw new Error(`schemaPath for getGenerators got invalid value ${schemaPath}`);
  }
  if (!import_fs22.default.existsSync(schemaPath)) {
    throw new Error(`${schemaPath} does not exist`);
  }
  const platform = await getPlatform2();
  const queryEngineBinaryType = (0, import_engines5.getCliQueryEngineBinaryType)();
  const queryEngineType = binaryTypeToEngineType(queryEngineBinaryType);
  let prismaPath = binaryPathsOverride?.[queryEngineType];
  if (version && !prismaPath) {
    const potentialPath = eval(`require('path').join(__dirname, '..')`);
    if (!potentialPath.match(vercelPkgPathRegex3)) {
      const downloadParams = {
        binaries: {
          [queryEngineBinaryType]: potentialPath
        },
        binaryTargets: [platform],
        showProgress: false,
        version,
        skipDownload
      };
      const binaryPathsWithEngineType = await download(downloadParams);
      prismaPath = binaryPathsWithEngineType[queryEngineBinaryType][platform];
    }
  }
  const datamodel = import_fs22.default.readFileSync(schemaPath, "utf-8");
  const config = await getConfig2({
    datamodel,
    datamodelPath: schemaPath,
    prismaPath,
    ignoreEnvVarErrors: true
  });
  if (config.datasources.length === 0) {
    throw new Error(missingDatasource);
  }
  printConfigWarnings2(config.warnings);
  const previewFeatures = extractPreviewFeatures2(config);
  const dmmf = await getDMMF2({
    datamodel,
    datamodelPath: schemaPath,
    prismaPath,
    previewFeatures
  });
  if (dmmf.datamodel.models.length === 0) {
    if (config.datasources.some((d3) => d3.provider === "mongodb")) {
      throw new Error(missingModelMessageMongoDB);
    }
    throw new Error(missingModelMessage);
  }
  checkFeatureFlags(config, options);
  const generatorConfigs = filterGenerators(overrideGenerators || config.generators, generatorNames);
  await validateGenerators(generatorConfigs);
  const runningGenerators = [];
  try {
    const generators = await pMap(
      generatorConfigs,
      async (generator, index2) => {
        let generatorPath = parseEnvValue2(generator.provider);
        let paths2;
        const providerValue = parseEnvValue2(generator.provider);
        if (aliases && aliases[providerValue]) {
          generatorPath = aliases[providerValue].generatorPath;
          paths2 = aliases[providerValue];
        } else if (generatorResolvers[providerValue]) {
          paths2 = await generatorResolvers[providerValue](baseDir, cliVersion);
          generatorPath = paths2.generatorPath;
        }
        const generatorInstance = new Generator2(generatorPath, generator, paths2?.isNode);
        await generatorInstance.init();
        if (generator.output) {
          generator.output = {
            value: import_path25.default.resolve(baseDir, parseEnvValue2(generator.output)),
            fromEnvVar: null
          };
          generator.isCustomOutput = true;
        } else if (paths2) {
          generator.output = {
            value: paths2.outputPath,
            fromEnvVar: null
          };
        } else {
          if (!generatorInstance.manifest || !generatorInstance.manifest.defaultOutput) {
            throw new Error(
              `Can't resolve output dir for generator ${bold(generator.name)} with provider ${bold(
                generator.provider.value
              )}.
The generator needs to either define the \`defaultOutput\` path in the manifest or you need to define \`output\` in the datamodel.prisma file.`
            );
          }
          generator.output = {
            value: await resolveOutput({
              defaultOutput: generatorInstance.manifest.defaultOutput,
              baseDir
            }),
            fromEnvVar: "null"
          };
        }
        const options2 = {
          datamodel,
          datasources: config.datasources,
          generator,
          dmmf,
          otherGenerators: skipIndex(generatorConfigs, index2),
          schemaPath,
          version: version || import_engines5.enginesVersion,
          // this version makes no sense anymore and should be ignored
          postinstall,
          noEngine
        };
        generatorInstance.setOptions(options2);
        runningGenerators.push(generatorInstance);
        return generatorInstance;
      },
      {
        stopOnError: false
        // needed so we can first make sure all generators are created properly, then cleaned up properly
      }
    );
    const generatorProviders = generatorConfigs.map((g2) => parseEnvValue2(g2.provider));
    for (const g2 of generators) {
      if (g2.manifest && g2.manifest.requiresGenerators && g2.manifest.requiresGenerators.length > 0) {
        for (const neededGenerator of g2.manifest.requiresGenerators) {
          if (!generatorProviders.includes(neededGenerator)) {
            throw new Error(
              `Generator "${g2.manifest.prettyName}" requires generator "${neededGenerator}", but it is missing in your schema.prisma.
Please add it to your schema.prisma:

generator gen {
  provider = "${neededGenerator}"
}
`
            );
          }
        }
      }
    }
    const neededVersions2 = /* @__PURE__ */ Object.create(null);
    for (const g2 of generators) {
      if (g2.manifest && g2.manifest.requiresEngines && Array.isArray(g2.manifest.requiresEngines) && g2.manifest.requiresEngines.length > 0) {
        const neededVersion2 = getEngineVersionForGenerator(g2.manifest, version);
        if (!neededVersions2[neededVersion2]) {
          neededVersions2[neededVersion2] = { engines: [], binaryTargets: [] };
        }
        for (const engine of g2.manifest.requiresEngines) {
          if (!neededVersions2[neededVersion2].engines.includes(engine)) {
            neededVersions2[neededVersion2].engines.push(engine);
          }
        }
        const generatorBinaryTargets = g2.options?.generator?.binaryTargets;
        if (generatorBinaryTargets && generatorBinaryTargets.length > 0) {
          for (const binaryTarget of generatorBinaryTargets) {
            if (!neededVersions2[neededVersion2].binaryTargets.find((object) => object.value === binaryTarget.value)) {
              neededVersions2[neededVersion2].binaryTargets.push(binaryTarget);
            }
          }
        }
      }
    }
    debug20("neededVersions", JSON.stringify(neededVersions2, null, 2));
    const binaryPathsByVersion2 = await getBinaryPathsByVersion({
      neededVersions: neededVersions2,
      platform,
      version,
      printDownloadProgress,
      skipDownload,
      binaryPathsOverride
    });
    for (const generator of generators) {
      if (generator.manifest && generator.manifest.requiresEngines) {
        const engineVersion = getEngineVersionForGenerator(generator.manifest, version);
        const binaryPaths2 = binaryPathsByVersion2[engineVersion];
        const generatorBinaryPaths = pick2(binaryPaths2, generator.manifest.requiresEngines);
        debug20({ generatorBinaryPaths });
        generator.setBinaryPaths(generatorBinaryPaths);
        if (engineVersion !== version && generator.options && generator.manifest.requiresEngines.includes(queryEngineType) && generatorBinaryPaths[queryEngineType] && generatorBinaryPaths[queryEngineType]?.[platform]) {
          const customDmmf = await getDMMF2({
            datamodel,
            datamodelPath: schemaPath,
            prismaPath: generatorBinaryPaths[queryEngineType]?.[platform],
            previewFeatures
          });
          const options2 = { ...generator.options, dmmf: customDmmf };
          debug20("generator.manifest.prettyName", generator.manifest.prettyName);
          debug20("options", options2);
          debug20("options.generator.binaryTargets", options2.generator.binaryTargets);
          generator.setOptions(options2);
        }
      }
    }
    return generators;
  } catch (e3) {
    runningGenerators.forEach((g2) => g2.stop());
    throw e3;
  }
}
async function getGenerator2(options2) {
  const generators = await getGenerators2(options2);
  return generators[0];
}
function skipIndex(arr, index2) {
  return [...arr.slice(0, index2), ...arr.slice(index2 + 1)];
}
var knownBinaryTargets = [...platforms, "native"];
var oldToNewBinaryTargetsMapping = {
  "linux-glibc-libssl1.0.1": "debian-openssl-1.0.x",
  "linux-glibc-libssl1.0.2": "debian-openssl-1.0.x",
  "linux-glibc-libssl1.1.0": "debian-openssl1.1.x"
};
async function validateGenerators(generators) {
  const platform2 = await getPlatform2();
  for (const generator of generators) {
    if (generator.config.platforms) {
      throw new Error(
        `The \`platforms\` field on the generator definition is deprecated. Please rename it to \`binaryTargets\`.`
      );
    }
    if (generator.config.pinnedBinaryTargets) {
      throw new Error(
        `The \`pinnedBinaryTargets\` field on the generator definition is deprecated.
Please use the PRISMA_QUERY_ENGINE_BINARY env var instead to pin the binary target.`
      );
    }
    if (generator.binaryTargets) {
      const binaryTargets = generator.binaryTargets && generator.binaryTargets.length > 0 ? generator.binaryTargets : [{ fromEnvVar: null, value: "native" }];
      const resolvedBinaryTargets = binaryTargets.flatMap((object) => parseBinaryTargetsEnvValue2(object)).map((p2) => p2 === "native" ? platform2 : p2);
      for (const resolvedBinaryTarget of resolvedBinaryTargets) {
        if (oldToNewBinaryTargetsMapping[resolvedBinaryTarget]) {
          throw new Error(
            `Binary target ${red(bold(resolvedBinaryTarget))} is deprecated. Please use ${green(
              bold(oldToNewBinaryTargetsMapping[resolvedBinaryTarget])
            )} instead.`
          );
        }
        if (!knownBinaryTargets.includes(resolvedBinaryTarget)) {
          throw new Error(
            `Unknown binary target ${red(resolvedBinaryTarget)} in generator ${bold(generator.name)}.
Possible binaryTargets: ${green(knownBinaryTargets.join(", "))}`
          );
        }
      }
      if (!resolvedBinaryTargets.includes(platform2)) {
        const originalBinaryTargetsConfig = getOriginalBinaryTargetsValue(generator.binaryTargets);
        console.log(`${yellow("Warning:")} Your current platform \`${bold(
          platform2
        )}\` is not included in your generator's \`binaryTargets\` configuration ${JSON.stringify(
          originalBinaryTargetsConfig
        )}.
To fix it, use this generator config in your ${bold("schema.prisma")}:
${green(
          printGeneratorConfig2({
            ...generator,
            binaryTargets: fixBinaryTargets2(generator.binaryTargets, platform2)
          })
        )}
${gray(
          `Note, that by providing \`native\`, Prisma Client automatically resolves \`${platform2}\`.
Read more about deploying Prisma Client: ${underline(
            "https://www.prisma.io/docs/reference/tools-and-interfaces/prisma-schema/generators"
          )}`
        )}
`);
      }
    }
  }
}
function filterGenerators(generators, generatorNames2) {
  if (generatorNames2.length < 1) {
    return generators;
  }
  const filtered = generators.filter((generator) => generatorNames2.includes(generator.name));
  if (filtered.length !== generatorNames2.length) {
    const missings = generatorNames2.filter((name) => filtered.find((generator) => generator.name === name) == null);
    const isSingular = missings.length <= 1;
    throw new Error(
      `The ${isSingular ? "generator" : "generators"} ${bold(missings.join(", "))} specified via ${bold(
        "--generator"
      )} ${isSingular ? "does" : "do"} not exist in your Prisma schema`
    );
  }
  return filtered;
}

// ../internals/src/schemaEngineCommands.ts
var import_execa6 = __toESM(require_execa());
function parseJsonFromStderr(stderr) {
  const lines2 = stderr.split(/\r?\n/).slice(1);
  const logs = [];
  for (const line of lines2) {
    const data = String(line);
    try {
      const json = JSON.parse(data);
      logs.push(json);
    } catch (e3) {
      throw new Error(`Could not parse schema engine response: ${e3}`);
    }
  }
  return logs;
}
async function canConnectToDatabase2(connectionString, cwd = process.cwd(), schemaEnginePath) {
  if (!connectionString) {
    throw new Error(
      "Connection url is empty. See https://www.prisma.io/docs/reference/database-reference/connection-urls"
    );
  }
  try {
    await execaCommand2({
      connectionString,
      cwd,
      schemaEnginePath,
      engineCommandName: "can-connect-to-database"
    });
  } catch (_e) {
    const e3 = _e;
    if (e3.stderr) {
      const logs = parseJsonFromStderr(e3.stderr);
      const error2 = logs.find((it2) => it2.level === "ERROR" && it2.target === "schema_engine::logger");
      if (error2 && error2.fields.error_code && error2.fields.message) {
        return {
          code: error2.fields.error_code,
          message: error2.fields.message
        };
      } else {
        throw new Error(`Schema engine error:
${logs.map((log4) => log4.fields.message).join("\n")}`);
      }
    } else {
      throw new Error(`Schema engine exited. ${_e}`);
    }
  }
  return true;
}
async function createDatabase2(connectionString, cwd = process.cwd(), schemaEnginePath) {
  const dbExists = await canConnectToDatabase2(connectionString, cwd, schemaEnginePath);
  if (dbExists === true) {
    return false;
  }
  try {
    await execaCommand2({
      connectionString,
      cwd,
      schemaEnginePath,
      engineCommandName: "create-database"
    });
    return true;
  } catch (_e) {
    const e3 = _e;
    if (e3.stderr) {
      const logs = parseJsonFromStderr(e3.stderr);
      const error2 = logs.find((it2) => it2.level === "ERROR" && it2.target === "schema_engine::logger");
      if (error2 && error2.fields.error_code && error2.fields.message) {
        throw new Error(`${error2.fields.error_code}: ${error2.fields.message}`);
      } else {
        throw new Error(`Schema engine error:
${logs.map((log4) => log4.fields.message).join("\n")}`);
      }
    } else {
      throw new Error(`Schema engine exited. ${_e}`);
    }
  }
}
async function execaCommand2({
  connectionString,
  cwd,
  schemaEnginePath,
  engineCommandName
}) {
  schemaEnginePath = schemaEnginePath || await resolveBinary2("schema-engine" /* SchemaEngineBinary */);
  try {
    return await (0, import_execa6.default)(schemaEnginePath, ["cli", "--datasource", connectionString, engineCommandName], {
      cwd,
      env: {
        RUST_BACKTRACE: process.env.RUST_BACKTRACE ?? "1",
        RUST_LOG: process.env.RUST_LOG ?? "info"
      }
    });
  } catch (_e) {
    const e3 = _e;
    if (e3.message) {
      e3.message = e3.message.replace(connectionString, "<REDACTED>");
    }
    if (e3.stdout) {
      e3.stdout = e3.stdout.replace(connectionString, "<REDACTED>");
    }
    if (e3.stderr) {
      e3.stderr = e3.stderr.replace(connectionString, "<REDACTED>");
    }
    throw e3;
  }
}

// ../internals/src/sendPanic.ts
init_src2();
var import_archiver = __toESM(require_archiver());
var checkpoint = __toESM(require_dist4());
var import_fs23 = __toESM(require("fs"));
var import_globby2 = __toESM(require_globby());
var import_os4 = __toESM(require("os"));
var import_path26 = __toESM(require("path"));
var import_strip_ansi = __toESM(require_strip_ansi());
var import_tmp = __toESM(require_tmp());
init_dist();

// ../internals/src/errorReporting.ts
init_src3();
init_lib();
async function uploadZip(zip, url2) {
  return await lib_default(url2, {
    method: "PUT",
    agent: getProxyAgent(url2),
    headers: {
      "Content-Length": String(zip.byteLength)
    },
    body: zip
  });
}
async function createErrorReport(data) {
  const result = await request(
    `mutation ($data: CreateErrorReportInput!) {
    createErrorReport(data: $data)
  }`,
    { data }
  );
  return result.createErrorReport;
}
async function makeErrorReportCompleted(signedUrl) {
  const result = await request(
    `mutation ($signedUrl: String!) {
  markErrorReportCompleted(signedUrl: $signedUrl)
}`,
    { signedUrl }
  );
  return result.markErrorReportCompleted;
}
async function request(query2, variables) {
  const url2 = "https://error-reports.prisma.sh/";
  const body = JSON.stringify({
    query: query2,
    variables
  });
  return await lib_default(url2, {
    method: "POST",
    agent: getProxyAgent(url2),
    body,
    headers: {
      Accept: "application/json",
      "Content-Type": "application/json"
    }
  }).then((response) => {
    if (!response.ok) {
      throw new Error(`Error during request: ${response.status} ${response.statusText} - Query: ${query2}`);
    }
    return response.json();
  }).then((responseAsJson) => {
    if (responseAsJson.errors) {
      throw new Error(JSON.stringify(responseAsJson.errors));
    }
    return responseAsJson.data;
  });
}

// ../internals/src/utils/maskSchema.ts
function maskSchema2(schema) {
  const regex2 = /url\s*=\s*.+/;
  return schema.split("\n").map((line) => {
    const match4 = regex2.exec(line);
    if (match4) {
      return `${line.slice(0, match4.index)}url = "***"`;
    }
    return line;
  }).join("\n");
}
function mapScalarValues(obj, mapper) {
  const result = {};
  for (const key in obj) {
    if (typeof obj[key] === "object") {
      result[key] = mapScalarValues(obj[key], mapper);
    } else {
      result[key] = mapper(obj[key]);
    }
  }
  return result;
}

// ../internals/src/sendPanic.ts
import_tmp.default.setGracefulCleanup();
async function sendPanic2({
  error: error2,
  cliVersion: cliVersion2,
  enginesVersion: enginesVersion8,
  getDatabaseVersionSafe: getDatabaseVersionSafe2
}) {
  const schema = K(error2).with({ schemaPath: S.when((schemaPath2) => Boolean(schemaPath2)) }, (err) => {
    return import_fs23.default.readFileSync(err.schemaPath, "utf-8");
  }).with({ schema: S.when((schema2) => Boolean(schema2)) }, (err) => err.schema).otherwise(() => void 0);
  const maskedSchema = schema ? maskSchema2(schema) : void 0;
  let dbVersion;
  if (error2.area === "LIFT_CLI" /* LIFT_CLI */) {
    const getDatabaseVersionParams = K({
      schema,
      introspectionUrl: error2.introspectionUrl
    }).with({ schema: S.not(void 0) }, ({ schema: schema2 }) => {
      return {
        datasource: {
          tag: "SchemaString",
          schema: schema2
        }
      };
    }).with({ introspectionUrl: S.not(void 0) }, ({ introspectionUrl }) => {
      return {
        datasource: {
          tag: "ConnectionString",
          url: introspectionUrl
        }
      };
    }).otherwise(() => void 0);
    dbVersion = await getDatabaseVersionSafe2(getDatabaseVersionParams);
  }
  const migrateRequest = error2.request ? JSON.stringify(
    mapScalarValues(error2.request, (value) => {
      if (typeof value === "string") {
        return maskSchema2(value);
      }
      return value;
    })
  ) : void 0;
  const params = {
    area: error2.area,
    kind: "RUST_PANIC" /* RUST_PANIC */,
    cliVersion: cliVersion2,
    binaryVersion: enginesVersion8,
    command: getCommand2(),
    jsStackTrace: (0, import_strip_ansi.default)(error2.stack || error2.message),
    rustStackTrace: error2.rustStack,
    operatingSystem: `${import_os4.default.arch()} ${import_os4.default.platform()} ${import_os4.default.release()}`,
    platform: await getPlatform2(),
    liftRequest: migrateRequest,
    schemaFile: maskedSchema,
    fingerprint: await checkpoint.getSignature(),
    sqlDump: void 0,
    dbVersion
  };
  const signedUrl = await createErrorReport(params);
  try {
    if (error2.schemaPath) {
      const zip = await makeErrorZip(error2);
      await uploadZip(zip, signedUrl);
    }
  } catch (zipUploadError) {
    console.error(`Error uploading zip file: ${zipUploadError.message}`);
  }
  const id2 = await makeErrorReportCompleted(signedUrl);
  return id2;
}
function getCommand2() {
  if (process.argv[2] === "introspect") {
    return "introspect";
  } else if (process.argv[2] === "db" && process.argv[3] === "pull") {
    return "db pull";
  }
  return process.argv.slice(2).join(" ");
}
async function makeErrorZip(error2) {
  if (!error2.schemaPath) {
    throw new Error(`Can't make zip without schema path`);
  }
  const schemaDir = import_path26.default.dirname(error2.schemaPath);
  const tmpFileObj = import_tmp.default.fileSync();
  const outputFile = import_fs23.default.createWriteStream(tmpFileObj.name);
  const zip = (0, import_archiver.default)("zip", { zlib: { level: 9 } });
  zip.pipe(outputFile);
  const schemaFile = maskSchema2(import_fs23.default.readFileSync(error2.schemaPath, "utf-8"));
  zip.append(schemaFile, { name: import_path26.default.basename(error2.schemaPath) });
  if (import_fs23.default.existsSync(schemaDir)) {
    const filePaths = await (0, import_globby2.default)("migrations/**/*", {
      // globby doesn't have it in its types but it's part of mrmlnc/fast-glob
      // @ts-ignore
      cwd: schemaDir
    });
    for (const filePath of filePaths) {
      let file2 = import_fs23.default.readFileSync(import_path26.default.resolve(schemaDir, filePath), "utf-8");
      if (filePath.endsWith("schema.prisma") || filePath.endsWith(import_path26.default.basename(error2.schemaPath))) {
        file2 = maskSchema2(file2);
      }
      zip.append(file2, { name: import_path26.default.basename(filePath) });
    }
  }
  zip.finalize();
  return new Promise((resolve3, reject2) => {
    outputFile.on("close", () => {
      const buffer = import_fs23.default.readFileSync(tmpFileObj.name);
      resolve3(buffer);
    });
    zip.on("error", (err) => {
      reject2(err);
    });
  });
}

// ../internals/src/utils/canPrompt.ts
var import_prompts = __toESM(require_prompts3());

// ../internals/src/utils/isCi.ts
var isCi2 = () => {
  const env3 = process.env;
  return !!(env3.CI || // Travis CI, CircleCI, Cirrus CI, GitLab CI, Appveyor, CodeShip, dsari
  env3.CONTINUOUS_INTEGRATION || // Travis CI, Cirrus CI
  env3.BUILD_NUMBER || // Jenkins, TeamCity
  env3.RUN_ID || // TaskCluster, dsari
  // From `env` from https://github.com/watson/ci-info/blob/44e98cebcdf4403f162195fbcf90b1f69fc6e047/vendors.json
  env3.APPVEYOR || env3.SYSTEM_TEAMFOUNDATIONCOLLECTIONURI || env3.AC_APPCIRCLE || env3.bamboo_planKey || env3.BITBUCKET_COMMIT || env3.BITRISE_IO || env3.BUILDKITE || env3.CIRCLECI || env3.CIRRUS_CI || env3.CODEBUILD_BUILD_ARN || env3.CF_BUILD_ID || env3.CI_NAME || env3.DRONE || env3.DSARI || env3.EAS_BUILD || env3.GITHUB_ACTIONS || env3.GITLAB_CI || env3.GOCD || env3.LAYERCI || env3.HUDSON || env3.JENKINS || env3.MAGNUM || env3.NETLIFY || env3.NEVERCODE || env3.RENDER || env3.SAILCI || env3.SEMAPHORE || env3.SCREWDRIVER || env3.SHIPPABLE || env3.TDDIUM || env3.STRIDER || env3.TEAMCITY_VERSION || env3.TRAVIS || env3.NOW_BUILDER || env3.APPCENTER_BUILD_ID || false);
};

// ../internals/src/utils/isInteractive.ts
var isInteractive2 = ({ stream: stream4 = process.stdin } = {}) => {
  return Boolean(stream4 && stream4.isTTY && process.env.TERM !== "dumb");
};

// ../internals/src/utils/canPrompt.ts
var canPrompt2 = () => {
  return Boolean(import_prompts.default._injected?.length) === true || isInteractive2() && !isCi2();
};

// ../internals/src/utils/drawBox.ts
var import_cli_truncate = __toESM(require_cli_truncate());
init_colors();
var import_string_width = __toESM(require_string_width());
var chars = {
  topLeft: "\u250C",
  topRight: "\u2510",
  bottomRight: "\u2518",
  bottomLeft: "\u2514",
  vertical: "\u2502",
  horizontal: "\u2500"
};
function maxLineLength(str) {
  return str.split("\n").reduce((max, curr) => Math.max(max, (0, import_string_width.default)(curr)), 0) + 2;
}
function drawBox2({ title, width: width2, height, str, horizontalPadding }) {
  horizontalPadding = horizontalPadding || 0;
  width2 = width2 || 0;
  height = height || 0;
  width2 = Math.max(width2, maxLineLength(str) + horizontalPadding * 2);
  const topLine = title ? grey(chars.topLeft + chars.horizontal) + " " + reset(bold(title)) + " " + grey(chars.horizontal.repeat(width2 - title.length - 2 - 3) + chars.topRight) + reset() : grey(chars.topLeft + chars.horizontal) + grey(chars.horizontal.repeat(width2 - 3) + chars.topRight);
  const bottomLine = chars.bottomLeft + chars.horizontal.repeat(width2 - 2) + chars.bottomRight;
  const lines2 = str.split("\n");
  if (lines2.length < height) {
    lines2.push(...new Array(height - lines2.length).fill(""));
  }
  const mappedLines = lines2.slice(-height).map((l2) => {
    const lineWidth = Math.min((0, import_string_width.default)(l2), width2);
    const paddingRight = Math.max(width2 - lineWidth - 2, 0);
    return `${grey(chars.vertical)}${" ".repeat(horizontalPadding)}${reset((0, import_cli_truncate.default)(l2, width2 - 2))}${" ".repeat(
      paddingRight - horizontalPadding
    )}${grey(chars.vertical)}`;
  }).join("\n");
  return grey(topLine + "\n" + mappedLines + "\n" + bottomLine);
}

// ../internals/src/utils/isCurrentBinInstalledGlobally.ts
var import_fs24 = __toESM(require("fs"));
var import_global_dirs = __toESM(require_global_dirs());
function isCurrentBinInstalledGlobally2() {
  try {
    const realPrismaPath = import_fs24.default.realpathSync(process.argv[1]);
    const usingGlobalYarn = realPrismaPath.indexOf(import_global_dirs.default.yarn.packages) === 0;
    const usingGlobalNpm = realPrismaPath.indexOf(import_fs24.default.realpathSync(import_global_dirs.default.npm.packages)) === 0;
    if (usingGlobalNpm) {
      return "npm";
    }
    if (usingGlobalYarn) {
      return "yarn";
    } else {
      false;
    }
  } catch (e3) {
  }
  return false;
}

// ../internals/src/utils/getCommandWithExecutor.ts
function getCommandWithExecutor2(command) {
  if (isCurrentBinInstalledGlobally2()) {
    return command;
  } else {
    const yarnUsed = process.env.npm_config_user_agent?.includes("yarn");
    const npxUsed = __dirname.includes("_npx");
    if (npxUsed) {
      return `npx ${command}`;
    } else if (yarnUsed) {
      return `yarn ${command}`;
    } else {
      return command;
    }
  }
}

// ../internals/src/utils/handlePanic.ts
init_colors();
var import_prompts3 = __toESM(require_prompts3());

// ../internals/src/utils/getGitHubIssueUrl.ts
init_src2();
var import_is_windows = __toESM(require_is_windows());
var import_is_wsl = __toESM(require_is_wsl());
var import_new_github_issue_url = __toESM(require_new_github_issue_url());
var import_open = __toESM(require_open());
var import_prompts2 = __toESM(require_prompts3());
var import_strip_ansi2 = __toESM(require_strip_ansi());
init_dist();
function getGitHubIssueUrl({
  title,
  user = "prisma",
  repo = "prisma",
  template = "bug_report.md",
  body
}) {
  return (0, import_new_github_issue_url.default)({
    user,
    repo,
    template,
    title,
    body
  });
}
async function wouldYouLikeToCreateANewIssue(options2) {
  const shouldCreateNewIssue = await K(options2.prompt).with(true, async () => {
    const createNewIssueResponse = await (0, import_prompts2.default)({
      type: "select",
      name: "value",
      message: "Would you like to create a GitHub issue?",
      initial: 0,
      choices: [
        {
          title: "Yes",
          value: true,
          description: `Create a new GitHub issue`
        },
        {
          title: "No",
          value: false,
          description: `Don't create a new GitHub issue`
        }
      ]
    });
    return Boolean(createNewIssueResponse.value);
  }).otherwise(() => Promise.resolve(true));
  if (shouldCreateNewIssue) {
    const platform2 = await getPlatform2();
    const url2 = getGitHubIssueUrl({
      title: options2.title ?? "",
      body: issueTemplate(platform2, options2)
    });
    const shouldOpenWait = (0, import_is_windows.default)() || import_is_wsl.default;
    await (0, import_open.default)(url2, { wait: shouldOpenWait });
  } else {
    process.exit(130);
  }
}
var issueTemplate = (platform2, options2) => {
  return (0, import_strip_ansi2.default)(`
Hi Prisma Team! The following command just crashed.
${options2.reportId ? `The report Id is: ${options2.reportId}` : ""}

## Command

\`${options2.command}\`

## Versions
      
| Name        | Version            |
|-------------|--------------------|
| Platform    | ${platform2.padEnd(19)}| 
| Node        | ${process.version.padEnd(19)}| 
| Prisma CLI  | ${options2.cliVersion.padEnd(19)}| 
| Engine      | ${options2.enginesVersion.padEnd(19)}| 

## Error
\`\`\`
${options2.error}
\`\`\`
`);
};

// ../internals/src/utils/handlePanic.ts
async function handlePanic2(args3) {
  if (!canPrompt2()) {
    throw args3.error;
  }
  await panicDialog(args3);
}
async function panicDialog({
  error: error2,
  cliVersion: cliVersion2,
  enginesVersion: enginesVersion8,
  command,
  getDatabaseVersionSafe: getDatabaseVersionSafe2
}) {
  const errorMessage = error2.message.split("\n").slice(0, Math.max(20, process.stdout.rows)).join("\n");
  console.log(`${red("Oops, an unexpected error occurred!")}
${red(errorMessage)}

${bold("Please help us improve Prisma by submitting an error report.")}
${bold("Error reports never contain personal or other sensitive information.")}
${dim(`Learn more: ${link3("https://pris.ly/d/telemetry")}`)}
`);
  const { value: shouldSubmitReport } = await (0, import_prompts3.default)({
    type: "select",
    name: "value",
    message: "Submit error report",
    initial: 0,
    choices: [
      {
        title: "Yes",
        value: true,
        description: `Send error report once`
      },
      {
        title: "No",
        value: false,
        description: `Don't send error report`
      }
    ]
  });
  if (shouldSubmitReport) {
    try {
      console.log("Submitting...");
      const reportId = await sendPanic2({ error: error2, cliVersion: cliVersion2, enginesVersion: enginesVersion8, getDatabaseVersionSafe: getDatabaseVersionSafe2 });
      console.log(`
${bold(`We successfully received the error report id: ${reportId}`)}`);
      console.log(`
${bold("Thanks a lot for your help! \u{1F64F}")}`);
    } catch (error3) {
      const reportFailedMessage = `${bold(red("Oops. We could not send the error report."))}`;
      console.log(reportFailedMessage);
      console.error(`${gray("Error report submission failed due to: ")}`, error3);
    }
  }
  await wouldYouLikeToCreateANewIssue({
    prompt: !shouldSubmitReport,
    error: error2,
    cliVersion: cliVersion2,
    enginesVersion: enginesVersion8,
    command
  });
  process.exit(1);
}

// ../internals/src/utils/setClassName.ts
function setClassName2(classObject, name) {
  Object.defineProperty(classObject, "name", {
    value: name,
    configurable: true
  });
}

// ../internals/src/utils/trimBlocksFromSchema.ts
function trimNewLine2(str) {
  if (str === "") {
    return str;
  }
  let newStr = str;
  if (/\r?\n|\r/.exec(newStr[0])) {
    newStr = newStr.slice(1);
  }
  if (newStr.length > 0 && /\r?\n|\r/.exec(newStr[newStr.length - 1])) {
    newStr = newStr.slice(0, newStr.length - 1);
  }
  return newStr;
}
function trimBlocksFromSchema2(str, blocks = ["model", "enum", "datasource", "generator"]) {
  const lines2 = str.split(/\r\n|\r|\n/g);
  if (lines2.length <= 2) {
    return str;
  }
  const modelPositions = [];
  let blockOpen = false;
  let currentStart = -1;
  lines2.forEach((line, index2) => {
    const lineTrimmed = line.trim();
    if (blocks.some((b6) => lineTrimmed.startsWith(b6)) && lineTrimmed.endsWith("{")) {
      blockOpen = true;
      currentStart = index2;
    }
    if (lineTrimmed.endsWith("}") && currentStart > -1 && blockOpen) {
      modelPositions.push({
        start: currentStart,
        end: index2
      });
      blockOpen = false;
      currentStart = -1;
    }
  });
  if (modelPositions.length === 0) {
    return str;
  }
  return trimNewLine2(
    modelPositions.reduceRight((acc, position) => {
      acc.splice(position.start, position.end - position.start + 1);
      return acc;
    }, lines2).join("\n")
  );
}

// ../migrate/src/commands/DbCommand.ts
init_colors();
var _DbCommand = class _DbCommand {
  constructor(cmds) {
    this.cmds = cmds;
  }
  static new(cmds) {
    return new _DbCommand(cmds);
  }
  /* eslint-disable-next-line @typescript-eslint/require-await */
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--preview-feature": Boolean,
      "--telemetry-information": String
    });
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    if (args3._.length === 0 || args3["--help"]) {
      return this.help();
    }
    const cmd = this.cmds[args3._[0]];
    if (cmd) {
      const argsForCmd = args3["--preview-feature"] ? [...args3._.slice(1), `--preview-feature`] : args3._.slice(1);
      return cmd.parse(argsForCmd);
    }
    return unknownCommand2(_DbCommand.help, args3._[0]);
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_DbCommand.help}`);
    }
    return _DbCommand.help;
  }
};
_DbCommand.help = format2(`
${process.platform === "win32" ? "" : "\u{1F3CB}\uFE0F  "}Manage your database schema and lifecycle during development.

${bold("Usage")}

  ${dim("$")} prisma db [command] [options]

${bold("Options")}

  -h, --help   Display this help message
    --schema   Custom path to your Prisma schema

${bold("Commands")}
     pull   Pull the state from the database to the Prisma schema using introspection
     push   Push the state from Prisma schema to the database during prototyping
     seed   Seed your database
  execute   Execute native commands to your database

${bold("Examples")}

  Run \`prisma db pull\`
  ${dim("$")} prisma db pull

  Run \`prisma db push\`
  ${dim("$")} prisma db push

  Run \`prisma db seed\`
  ${dim("$")} prisma db seed

  Run \`prisma db execute\`
  ${dim("$")} prisma db execute
`);
var DbCommand = _DbCommand;

// ../migrate/src/utils/ensureDatabaseExists.ts
init_colors();
async function getDatasourceInfo({
  schemaPath: schemaPath2,
  throwIfEnvError
} = {}) {
  const schema = await getSchema2(schemaPath2);
  let config2;
  try {
    config2 = await getConfig2({ datamodel: schema, ignoreEnvVarErrors: false });
  } catch (error2) {
    if (throwIfEnvError) {
      throw error2;
    }
    config2 = await getConfig2({ datamodel: schema, ignoreEnvVarErrors: true });
  }
  const firstDatasource = config2.datasources[0] ? config2.datasources[0] : void 0;
  if (!firstDatasource) {
    return {
      name: void 0,
      prettyProvider: void 0,
      dbName: void 0,
      dbLocation: void 0,
      url: void 0,
      schema: void 0,
      schemas: void 0
    };
  }
  const prettyProvider = prettifyProvider(firstDatasource.provider);
  const url2 = getEffectiveUrl2(firstDatasource).value;
  if (!url2 || firstDatasource.provider === "sqlserver") {
    return {
      name: firstDatasource.name,
      prettyProvider,
      dbName: void 0,
      dbLocation: void 0,
      url: url2 || void 0,
      schema: void 0,
      schemas: firstDatasource.schemas
    };
  }
  try {
    const credentials = uriToCredentials2(url2);
    const dbLocation = getDbLocation(credentials);
    let schema2 = void 0;
    if (["postgresql", "cockroachdb"].includes(firstDatasource.provider)) {
      if (credentials.schema) {
        schema2 = credentials.schema;
      } else {
        schema2 = "public";
      }
    }
    const datasourceInfo = {
      name: firstDatasource.name,
      prettyProvider,
      dbName: credentials.database,
      dbLocation,
      url: url2,
      schema: schema2,
      schemas: firstDatasource.schemas
    };
    if (firstDatasource.provider === "postgresql" && datasourceInfo.dbName === void 0) {
      datasourceInfo.dbName = "postgres";
    }
    return datasourceInfo;
  } catch (e3) {
    return {
      name: firstDatasource.name,
      prettyProvider,
      dbName: void 0,
      dbLocation: void 0,
      url: url2,
      schema: void 0,
      schemas: firstDatasource.schemas
    };
  }
}
async function ensureCanConnectToDatabase(schemaPath2) {
  const schema = await getSchema2(schemaPath2);
  const config2 = await getConfig2({ datamodel: schema, ignoreEnvVarErrors: false });
  const firstDatasource = config2.datasources[0] ? config2.datasources[0] : void 0;
  if (!firstDatasource) {
    throw new Error(`A datasource block is missing in the Prisma schema file.`);
  }
  const schemaDir = await getSchemaDir2(schemaPath2);
  const url2 = getEffectiveUrl2(firstDatasource).value;
  const canConnect = await canConnectToDatabase2(url2, schemaDir);
  if (canConnect === true) {
    return true;
  } else {
    const { code, message: message2 } = canConnect;
    throw new Error(`${code}: ${message2}`);
  }
}
async function ensureDatabaseExists(action2, schemaPath2) {
  const schema = await getSchema2(schemaPath2);
  const config2 = await getConfig2({ datamodel: schema, ignoreEnvVarErrors: false });
  const firstDatasource = config2.datasources[0] ? config2.datasources[0] : void 0;
  if (!firstDatasource) {
    throw new Error(`A datasource block is missing in the Prisma schema file.`);
  }
  const schemaDir = await getSchemaDir2(schemaPath2);
  const url2 = getEffectiveUrl2(firstDatasource).value;
  const canConnect = await canConnectToDatabase2(url2, schemaDir);
  if (canConnect === true) {
    return;
  }
  const { code, message: message2 } = canConnect;
  if (code !== "P1003") {
    throw new Error(`${code}: ${message2}`);
  }
  if (!schemaDir) {
    throw new Error(`Could not locate ${schemaPath2 || "schema.prisma"}`);
  }
  if (await createDatabase2(url2, schemaDir)) {
    if (firstDatasource.provider === "sqlserver") {
      return `SQL Server database created.
`;
    }
    const credentials = uriToCredentials2(url2);
    const prettyProvider = prettifyProvider(firstDatasource.provider);
    let message3 = `${prettyProvider} database${credentials.database ? ` ${credentials.database} ` : " "}created`;
    const dbLocation = getDbLocation(credentials);
    if (dbLocation) {
      message3 += ` at ${bold(dbLocation)}`;
    }
    return message3;
  }
  return void 0;
}
function getDbLocation(credentials) {
  if (credentials.type === "sqlite") {
    return credentials.uri;
  }
  if (credentials.host && credentials.port) {
    return `${credentials.host}:${credentials.port}`;
  } else if (credentials.host) {
    return `${credentials.host}`;
  }
  return void 0;
}
function prettifyProvider(provider) {
  switch (provider) {
    case "mysql":
      return `MySQL`;
    case "postgres":
    case "postgresql":
      return `PostgreSQL`;
    case "sqlite":
      return `SQLite`;
    case "cockroachdb":
      return `CockroachDB`;
    case "sqlserver":
      return `SQL Server`;
    case "mongodb":
      return `MongoDB`;
    default:
      return provider;
  }
}

// ../migrate/src/utils/errors.ts
init_colors();
var NoSchemaFoundError = class extends Error {
  constructor() {
    super(
      `Could not find a ${bold(
        "schema.prisma"
      )} file that is required for this command.
You can either provide it with ${green(
        "--schema"
      )}, set it as \`prisma.schema\` in your package.json or put it into the default location ${green(
        "./prisma/schema.prisma"
      )} ${link3("https://pris.ly/d/prisma-schema-location")}`
    );
  }
};
setClassName2(NoSchemaFoundError, "NoSchemaFoundError");
var DbPushIgnoreWarningsWithFlagError = class extends Error {
  constructor() {
    super(
      `Use the --accept-data-loss flag to ignore the data loss warnings like ${bold(
        green(getCommandWithExecutor2("prisma db push --accept-data-loss"))
      )}`
    );
  }
};
setClassName2(DbPushIgnoreWarningsWithFlagError, "DbPushIgnoreWarningsWithFlagError");
var MigrateNeedsForceError = class extends Error {
  constructor(subcommand) {
    super(
      `Use the --force flag to use the ${subcommand} command in an unattended environment like ${bold(
        green(getCommandWithExecutor2(`prisma migrate ${subcommand} --force`))
      )}`
    );
  }
};
setClassName2(MigrateNeedsForceError, "MigrateNeedsForceError");
var MigrateResetEnvNonInteractiveError = class extends Error {
  constructor() {
    super(
      `Prisma Migrate has detected that the environment is non-interactive. It is recommended to run this command in an interactive environment.

Use ${bold(green(`--force`))} to run this command without user interaction.
See ${link3("https://www.prisma.io/docs/reference/api-reference/command-reference#migrate-reset")}`
    );
  }
};
setClassName2(MigrateResetEnvNonInteractiveError, "MigrateResetEnvNonInteractiveError");
var MigrateDevEnvNonInteractiveError = class extends Error {
  constructor() {
    super(
      `Prisma Migrate has detected that the environment is non-interactive, which is not supported.

\`prisma migrate dev\` is an interactive command designed to create new migrations and evolve the database in development.
To apply existing migrations in deployments, use ${bold(green(`prisma migrate deploy`))}.
See ${link3("https://www.prisma.io/docs/reference/api-reference/command-reference#migrate-deploy")}`
    );
  }
};
setClassName2(MigrateDevEnvNonInteractiveError, "MigrateDevEnvNonInteractiveError");
var DbDropNeedsForceError = class extends Error {
  constructor(subcommand) {
    super(
      `Use the --force flag to use the ${subcommand} command in an unattended environment like ${bold(
        green(getCommandWithExecutor2(`prisma db ${subcommand} --force --preview-feature`))
      )}`
    );
  }
};
setClassName2(DbDropNeedsForceError, "DbDropNeedsForceError");

// ../migrate/src/utils/getSchemaPathAndPrint.ts
init_colors();
var import_path28 = __toESM(require("path"));
async function getSchemaPathAndPrint(schemaPathProvided, postinstallCwd) {
  const cwdOptions = postinstallCwd ? { cwd: postinstallCwd } : void 0;
  const schemaPath2 = await getSchemaPath2(schemaPathProvided, cwdOptions);
  if (!schemaPath2) {
    if (postinstallCwd) {
      logger_exports.warn(`We could not find your Prisma schema at \`prisma/schema.prisma\`.
If you have a Prisma schema file in a custom path, you will need to run
\`prisma generate --schema=./path/to/your/schema.prisma\` to generate Prisma Client.
If you do not have a Prisma schema file yet, you can ignore this message.`);
      return "";
    }
    throw new NoSchemaFoundError();
  }
  console.info(dim(`Prisma schema loaded from ${import_path28.default.relative(process.cwd(), schemaPath2)}`));
  return schemaPath2;
}

// ../migrate/src/utils/printDatasource.ts
init_colors();
function printDatasource({ datasourceInfo }) {
  if (!datasourceInfo.name || !datasourceInfo.prettyProvider)
    return;
  let message2 = `Datasource "${datasourceInfo.name}": ${datasourceInfo.prettyProvider} database`;
  if (datasourceInfo.dbName) {
    message2 += ` "${datasourceInfo.dbName}"`;
  }
  if (datasourceInfo.schemas?.length) {
    message2 += `, schemas "${datasourceInfo.schemas.join(", ")}"`;
  } else if (datasourceInfo.schema) {
    message2 += `, schema "${datasourceInfo.schema}"`;
  }
  if (datasourceInfo.dbLocation) {
    message2 += ` at "${datasourceInfo.dbLocation}"`;
  }
  console.info(dim(message2));
}

// ../migrate/src/commands/DbExecute.ts
var import_fs26 = __toESM(require("fs"));
var import_get_stdin = __toESM(require_get_stdin());
init_colors();
var import_path32 = __toESM(require("path"));

// ../migrate/src/Migrate.ts
var import_engines_version = __toESM(require_engines_version());
var import_fs25 = __toESM(require("fs"));
init_colors();
var import_log_update = __toESM(require_log_update());
var import_path31 = __toESM(require("path"));

// ../migrate/src/SchemaEngine.ts
init_src();
var import_child_process4 = require("child_process");
init_colors();
var import_path30 = __toESM(require("path"));

// ../migrate/src/utils/byline.ts
var import_stream4 = __toESM(require("stream"));
var import_util9 = __toESM(require("util"));
function byline3(readStream, options2) {
  return createStream2(readStream, options2);
}
function createStream2(readStream, options2) {
  if (readStream) {
    return createLineStream2(readStream, options2);
  } else {
    return new LineStream2(options2);
  }
}
function createLineStream2(readStream, options2) {
  if (!readStream) {
    throw new Error("expected readStream");
  }
  if (!readStream.readable) {
    throw new Error("readStream must be readable");
  }
  const ls = new LineStream2(options2);
  readStream.pipe(ls);
  return ls;
}
function LineStream2(options2) {
  import_stream4.default.Transform.call(this, options2);
  options2 = options2 || {};
  this._readableState.objectMode = true;
  this._lineBuffer = [];
  this._keepEmptyLines = options2.keepEmptyLines || false;
  this._lastChunkEndedWithCR = false;
  this.on("pipe", function(src2) {
    if (!this.encoding) {
      if (src2 instanceof import_stream4.default.Readable) {
        this.encoding = src2._readableState.encoding;
      }
    }
  });
}
import_util9.default.inherits(LineStream2, import_stream4.default.Transform);
LineStream2.prototype._transform = function(chunk, encoding, done) {
  encoding = encoding || "utf8";
  if (Buffer.isBuffer(chunk)) {
    if (encoding == "buffer") {
      chunk = chunk.toString();
      encoding = "utf8";
    } else {
      chunk = chunk.toString(encoding);
    }
  }
  this._chunkEncoding = encoding;
  const lines2 = chunk.split(/\r\n|\r|\n/g);
  if (this._lastChunkEndedWithCR && chunk[0] == "\n") {
    lines2.shift();
  }
  if (this._lineBuffer.length > 0) {
    this._lineBuffer[this._lineBuffer.length - 1] += lines2[0];
    lines2.shift();
  }
  this._lastChunkEndedWithCR = chunk[chunk.length - 1] == "\r";
  this._lineBuffer = this._lineBuffer.concat(lines2);
  this._pushBuffer(encoding, 1, done);
};
LineStream2.prototype._pushBuffer = function(encoding, keep, done) {
  while (this._lineBuffer.length > keep) {
    const line = this._lineBuffer.shift();
    if (this._keepEmptyLines || line.length > 0) {
      if (!this.push(this._reencode(line, encoding))) {
        const self2 = this;
        setImmediate(function() {
          self2._pushBuffer(encoding, keep, done);
        });
        return;
      }
    }
  }
  done();
};
LineStream2.prototype._flush = function(done) {
  this._pushBuffer(this._chunkEncoding, 0, done);
};
LineStream2.prototype._reencode = function(line, chunkEncoding) {
  if (this.encoding && this.encoding != chunkEncoding) {
    return Buffer.from(line, chunkEncoding).toString(this.encoding);
  } else if (this.encoding) {
    return line;
  } else {
    return Buffer.from(line, chunkEncoding);
  }
};

// ../migrate/src/views/handleViewsIO.ts
var E = __toESM(require_Either());
var import_function16 = __toESM(require_function());
var T = __toESM(require_Task());
var TE2 = __toESM(require_TaskEither());
var import_path29 = __toESM(require("path"));
init_dist();
async function handleViewsIO({ views, schemaPath: schemaPath2 }) {
  const prismaDir = import_path29.default.dirname(pathToPosix2(schemaPath2));
  const viewsDir = import_path29.default.posix.join(prismaDir, "views");
  if (views.length === 0) {
    await cleanLeftoversIO(viewsDir);
    return;
  }
  const { viewFilesToKeep } = await createViewsIO(viewsDir, views);
  await cleanLeftoversIO(viewsDir, viewFilesToKeep);
}
async function createViewsIO(viewsDir, views) {
  const viewEntries = views.map(({ schema, ...rest }) => {
    const viewDir = import_path29.default.posix.join(viewsDir, schema);
    return [viewDir, rest];
  });
  const viewPathsToWrite = viewEntries.map(([viewDir]) => viewDir);
  const viewsFilesToWrite = viewEntries.map(([viewDir, { name, definition }]) => {
    const viewFile = import_path29.default.posix.join(viewDir, `${name}.sql`);
    return { path: viewFile, content: definition };
  });
  const viewFilesToKeep = viewsFilesToWrite.map(({ path: path39 }) => path39);
  const pipeline = (0, import_function16.pipe)(
    // create the views directory, idempotently
    fs_functional_exports.createDirIfNotExists(viewsDir),
    // create the view directories, idempotently and concurrently, collapsing the possible errors
    TE2.chainW(() => TE2.traverseArray(fs_functional_exports.createDirIfNotExists)(viewPathsToWrite)),
    // write the view definitions in the directories just created, idempotently and concurrently, collapsing the possible errors
    TE2.chainW(() => TE2.traverseArray(fs_functional_exports.writeFile)(viewsFilesToWrite))
  );
  const either = await pipeline();
  if (E.isRight(either)) {
    return { viewFilesToKeep };
  }
  const error2 = K(either.left).with({ type: "fs-create-dir" }, (e3) => {
    throw new Error(`Error creating the directory: ${e3.meta.dir}.
${e3.error}.`);
  }).with({ type: "fs-write-file" }, (e3) => {
    throw new Error(`Error writing the view definition
${e3.meta.content}
to file ${e3.meta.path}.
${e3.error}.`);
  }).exhaustive();
  throw error2;
}
async function cleanLeftoversIO(viewsDir, viewFilesToKeep = []) {
  const pipeline = (0, import_function16.pipe)(
    // remove any SQL files in the views directory beyond the ones just created, concurrently, collapsing the possible errors
    fs_functional_exports.getFilesInDir(viewsDir, "**/*/*.sql"),
    T.chain((filesInViewsDir) => {
      const viewFilesToRemove = filesInViewsDir.filter((file2) => !viewFilesToKeep.includes(file2));
      return TE2.traverseArray(fs_functional_exports.removeFile)(viewFilesToRemove);
    }),
    // remove any empty directories in the views directory, recursively
    TE2.chainW(() => fs_functional_exports.removeEmptyDirs(viewsDir))
  );
  const either = await pipeline();
  if (E.isRight(either)) {
    return;
  }
  const error2 = K(either.left).with({ type: "fs-remove-empty-dirs" }, (e3) => {
    throw new Error(`Error removing empty directories in: ${e3.meta.dir}.
${e3.error}.`);
  }).with({ type: "fs-remove-file" }, (e3) => {
    throw new Error(`Error removing the file: ${e3.meta.filePath}.
${e3.error}.`);
  }).exhaustive();
  await pipeline();
  throw error2;
}

// ../migrate/src/SchemaEngine.ts
var debugRpc = src_default("prisma:schemaEngine:rpc");
var debugStderr = src_default("prisma:schemaEngine:stderr");
var debugStdin = src_default("prisma:schemaEngine:stdin");
var EngineError = class extends Error {
  constructor(message2, code) {
    super(message2);
    this.code = code;
  }
};
setClassName2(EngineError, "EngineError");
var messageId = 1;
var SchemaEngine = class {
  constructor({ projectDir, debug: debug30 = false, schemaPath: schemaPath2, enabledPreviewFeatures }) {
    this.listeners = {};
    /**  _All_ the logs from the engine process. */
    this.messages = [];
    /** The fields of the last engine log event with an `ERROR` level. */
    this.lastError = null;
    // `isRunning` is set to true when the engine is initialized, and set to false when the engine is stopped
    this.isRunning = false;
    this.projectDir = projectDir;
    this.schemaPath = schemaPath2;
    if (debug30) {
      src_default.enable("SchemaEngine*");
    }
    this.debug = debug30;
    this.enabledPreviewFeatures = enabledPreviewFeatures;
  }
  /* eslint-disable @typescript-eslint/no-unsafe-return */
  //
  // See JSON-RPC API definition:
  // https://prisma.github.io/prisma-engines/doc/migration_core/json_rpc/index.html
  //
  /**
   * Apply the migrations from the migrations directory to the database.
   * This is the command behind prisma migrate deploy.
   */
  applyMigrations(args3) {
    return this.runCommand(this.getRPCPayload("applyMigrations", args3));
  }
  /**
   * Create the logical database from the Prisma schema.
   */
  createDatabase(args3) {
    return this.runCommand(this.getRPCPayload("createDatabase", args3));
  }
  /**
   * Create the next migration in the migrations history.
   * If draft is false and there are no unexecutable steps, it will also apply the newly created migration.
   * Note: This will use the shadow database on the connectors where we need one.
   */
  createMigration(args3) {
    return this.runCommand(this.getRPCPayload("createMigration", args3));
  }
  /**
   * Execute a database script directly on the specified live database.
   * Note that this may not be defined on all connectors.
   */
  dbExecute(args3) {
    return this.runCommand(this.getRPCPayload("dbExecute", args3));
  }
  /**
   * Make the Schema engine panic. Only useful to test client error handling.
   */
  debugPanic() {
    return this.runCommand(this.getRPCPayload("debugPanic", void 0));
  }
  /**
   * The method called at the beginning of migrate dev to decide the course of action,
   * based on the current state of the workspace.
   * It acts as a wrapper around diagnoseMigrationHistory.
   * Its role is to interpret the diagnostic output,
   * and translate it to a concrete action to be performed by the CLI.
   */
  devDiagnostic(args3) {
    return this.runCommand(this.getRPCPayload("devDiagnostic", args3));
  }
  /**
   * Read the contents of the migrations directory and the migrations table, and returns their relative statuses.
   * At this stage, the Schema engine only reads,
   * it does not write to the database nor the migrations directory, nor does it use a shadow database.
   */
  diagnoseMigrationHistory(args3) {
    return this.runCommand(this.getRPCPayload("diagnoseMigrationHistory", args3));
  }
  /**
   * Make sure the Schema engine can connect to the database from the Prisma schema.
   */
  ensureConnectionValidity(args3) {
    return this.runCommand(this.getRPCPayload("ensureConnectionValidity", args3));
  }
  /**
   * Development command for migrations.
   * Evaluate the data loss induced by the next migration the engine would generate on the main database.
   */
  evaluateDataLoss(args3) {
    return this.runCommand(this.getRPCPayload("evaluateDataLoss", args3));
  }
  getDatabaseDescription(schema) {
    return this.runCommand(this.getRPCPayload("getDatabaseDescription", { schema }));
  }
  /**
   * Get the database version for error reporting.
   * If no argument is given, the version of the database associated to the Prisma schema provided
   * in the constructor will be returned.
   */
  getDatabaseVersion(args3) {
    return this.runCommand(this.getRPCPayload("getDatabaseVersion", args3));
  }
  /**
   * Given a Prisma schema, introspect the database definitions and update the schema with the results.
   * `compositeTypeDepth` is optional, and only required for MongoDB.
   */
  async introspect({
    schema,
    force = false,
    compositeTypeDepth = -1,
    // cannot be undefined
    schemas
  }) {
    this.latestSchema = schema;
    try {
      const introspectResult = await this.runCommand(
        this.getRPCPayload("introspect", { schema, force, compositeTypeDepth, schemas })
      );
      const { views } = introspectResult;
      if (views) {
        const schemaPath2 = this.schemaPath ?? import_path30.default.join(process.cwd(), "prisma");
        await handleViewsIO({ views, schemaPath: schemaPath2 });
      }
      return introspectResult;
    } finally {
      this.stop();
    }
  }
  /**
   * Compares two databases schemas from two arbitrary sources,
   * and display the difference as either a human-readable summary,
   * or an executable script that can be passed to dbExecute.
   * Connection to a shadow database is only necessary when either the from or the to params is a migrations directory.
   * Diffs have a direction. Which source is from and which is to matters.
   * The resulting diff should be thought of as a migration from the schema in `args.from` to the schema in `args.to`.
   * By default, we output a human-readable diff. If you want an executable script, pass the "script": true param.
   */
  migrateDiff(args3) {
    return this.runCommand(this.getRPCPayload("diff", args3));
  }
  /**
   * List the names of the migrations in the migrations directory.
   */
  listMigrationDirectories(args3) {
    return this.runCommand(this.getRPCPayload("listMigrationDirectories", args3));
  }
  /**
   * Mark a migration as applied in the migrations table.
   * There are two possible outcomes:
   * - The migration is already in the table, but in a failed state. In this case, we will mark it as rolled back, then create a new entry.
   * - The migration is not in the table. We will create a new entry in the migrations table. The started_at and finished_at will be the same.
   * If it is already applied, we return a user-facing error.
   */
  markMigrationApplied(args3) {
    return this.runCommand(this.getRPCPayload("markMigrationApplied", args3));
  }
  /**
   * Mark an existing failed migration as rolled back in the migrations table. It will still be there, but ignored for all purposes except as audit trail.
   */
  markMigrationRolledBack(args3) {
    return this.runCommand(this.getRPCPayload("markMigrationRolledBack", args3));
  }
  /**
   * Try to make the database empty: no data and no schema.
   * On most connectors, this is implemented by dropping and recreating the database.
   * If that fails (most likely because of insufficient permissions),
   * the engine attempts a “best effort reset” by inspecting the contents of the database and dropping them individually.
   * Drop and recreate the database. The migrations will not be applied, as it would overlap with applyMigrations.
   */
  reset() {
    return this.runCommand(this.getRPCPayload("reset", void 0));
  }
  /**
   * The command behind db push.
   */
  schemaPush(args3) {
    return this.runCommand(this.getRPCPayload("schemaPush", args3));
  }
  /* eslint-enable @typescript-eslint/no-unsafe-return */
  stop() {
    if (this.child) {
      this.child.kill();
      this.isRunning = false;
    }
  }
  rejectAll(err) {
    Object.entries(this.listeners).map(([id2, listener]) => {
      listener(null, err);
      delete this.listeners[id2];
    });
  }
  registerCallback(id2, callback) {
    this.listeners[id2] = callback;
  }
  handleResponse(response) {
    let result;
    try {
      result = JSON.parse(response);
    } catch (e3) {
      console.error(`Could not parse Schema engine response: ${response.slice(0, 200)}`);
    }
    if (result) {
      if (result.id && (result.result !== void 0 || result.error !== void 0)) {
        if (!this.listeners[result.id]) {
          console.error(`Got result for unknown id ${result.id}`);
        }
        if (this.listeners[result.id]) {
          this.listeners[result.id](result);
          delete this.listeners[result.id];
        }
      } else if (result.method) {
        if (result.id !== void 0) {
          if (result.method === "print" && result.params?.content !== void 0) {
            console.info(result.params.content);
            const response2 = {
              id: result.id,
              jsonrpc: "2.0",
              result: {}
            };
            this.child.stdin.write(JSON.stringify(response2) + "\n");
          }
        }
      }
    }
  }
  init() {
    if (!this.initPromise) {
      this.initPromise = this.internalInit();
    }
    return this.initPromise;
  }
  internalInit() {
    return new Promise(async (resolve3, reject2) => {
      try {
        const { PWD, ...processEnv } = process.env;
        const binaryPath = await resolveBinary2("schema-engine" /* SchemaEngineBinary */);
        debugRpc("starting Schema engine with binary: " + binaryPath);
        const args3 = [];
        if (this.schemaPath) {
          args3.push(...["-d", this.schemaPath]);
        }
        if (this.enabledPreviewFeatures && Array.isArray(this.enabledPreviewFeatures) && this.enabledPreviewFeatures.length > 0) {
          args3.push(...["--enabled-preview-features", this.enabledPreviewFeatures.join(",")]);
        }
        this.child = (0, import_child_process4.spawn)(binaryPath, args3, {
          cwd: this.projectDir,
          stdio: ["pipe", "pipe", this.debug ? process.stderr : "pipe"],
          env: {
            // The following environment variables can be overridden by the user.
            RUST_LOG: "info",
            RUST_BACKTRACE: "1",
            // Take env values from process.env (will override values set before)
            ...processEnv
          }
        });
        this.isRunning = true;
        this.child.on("error", (err) => {
          console.error("[schema-engine] error: %s", err);
          this.rejectAll(err);
          reject2(err);
        });
        this.child.on("exit", (code) => {
          const exitWithErr = (err) => {
            this.rejectAll(err);
            reject2(err);
          };
          const processMessages = this.messages.join("\n");
          const engineMessage = this.lastError?.message || processMessages;
          const handlePanic3 = () => {
            const stackTrace = `[EXIT_PANIC]
${processMessages}
${this.lastError?.backtrace ?? ""}`;
            exitWithErr(
              new RustPanic2(
                serializePanic(engineMessage),
                stackTrace,
                this.lastRequest,
                "LIFT_CLI" /* LIFT_CLI */,
                /* schemaPath */
                this.schemaPath,
                /* schema */
                this.latestSchema
              )
            );
          };
          switch (code) {
            case 0 /* Success */:
              break;
            case 1 /* Error */:
              exitWithErr(new Error(`Error in Schema engine: ${engineMessage}`));
              break;
            case 101 /* Panic */:
              handlePanic3();
              break;
            default:
              handlePanic3();
          }
        });
        this.child.stdin.on("error", (err) => {
          debugStdin(err);
        });
        byline3(this.child.stderr).on("data", (msg) => {
          const data = String(msg);
          debugStderr(data);
          try {
            const json = JSON.parse(data);
            this.messages.push(json.fields.message);
            if (json.level === "ERROR") {
              this.lastError = json.fields;
            }
          } catch (e3) {
          }
        });
        byline3(this.child.stdout).on("data", (line) => {
          this.handleResponse(String(line));
        });
        setImmediate(() => {
          resolve3();
        });
      } catch (e3) {
        reject2(e3);
      }
    });
  }
  async runCommand(request2) {
    if (process.env.FORCE_PANIC_SCHEMA_ENGINE && request2.method !== "getDatabaseVersion") {
      request2 = this.getRPCPayload("debugPanic", void 0);
    }
    await this.init();
    if (this.child?.killed) {
      throw new Error(`Can't execute ${JSON.stringify(request2)} because Schema engine  already exited.`);
    }
    return new Promise((resolve3, reject2) => {
      this.registerCallback(request2.id, (response, err) => {
        if (err) {
          return reject2(err);
        }
        if (response.result !== void 0) {
          resolve3(response.result);
        } else {
          if (response.error) {
            debugRpc(response);
            if (response.error.data?.is_panic) {
              const message2 = response.error.data?.error?.message ?? response.error.message;
              const stackTrace = `[RESPONSE_ERROR_PANIC]
${response.error.data?.message ?? ""}`;
              reject2(
                // Handle error and displays the interactive dialog to send panic error
                new RustPanic2(
                  message2,
                  stackTrace,
                  this.lastRequest,
                  "LIFT_CLI" /* LIFT_CLI */,
                  /* schemaPath */
                  this.schemaPath,
                  /* schema */
                  this.latestSchema
                )
              );
            } else if (response.error.data?.message) {
              let message2 = `${red(response.error.data.message)}
`;
              if (response.error.data?.error_code) {
                message2 = red(`${response.error.data.error_code}

`) + message2;
                reject2(new EngineError(message2, response.error.data.error_code));
              } else {
                reject2(new Error(message2));
              }
            } else {
              reject2(
                new Error(
                  `${red("Error in RPC")}
 Request: ${JSON.stringify(request2, null, 2)}
Response: ${JSON.stringify(
                    response,
                    null,
                    2
                  )}
${response.error.message}
`
                )
              );
            }
          } else {
            reject2(new Error(`Got invalid RPC response without .result property: ${JSON.stringify(response)}`));
          }
        }
      });
      if (this.child.stdin.destroyed) {
        throw new Error(`Can't execute ${JSON.stringify(request2)} because Schema engine is destroyed.`);
      }
      debugRpc("SENDING RPC CALL", JSON.stringify(request2));
      this.child.stdin.write(JSON.stringify(request2) + "\n");
      this.lastRequest = request2;
    });
  }
  getRPCPayload(method, params) {
    return {
      id: messageId++,
      jsonrpc: "2.0",
      method,
      params: params ? {
        ...params
      } : void 0
    };
  }
};
function serializePanic(log4) {
  return `${red(bold("Error in Schema engine.\nReason: "))}${log4}
`;
}

// ../migrate/src/Migrate.ts
var packageJson2 = eval(`require('../package.json')`);
var Migrate = class {
  constructor(schemaPath2, enabledPreviewFeatures) {
    if (schemaPath2) {
      this.schemaPath = this.getSchemaPath(schemaPath2);
      this.migrationsDirectoryPath = import_path31.default.join(import_path31.default.dirname(this.schemaPath), "migrations");
      this.engine = new SchemaEngine({
        projectDir: import_path31.default.dirname(this.schemaPath),
        schemaPath: this.schemaPath,
        enabledPreviewFeatures
      });
    } else {
      this.engine = new SchemaEngine({
        projectDir: process.cwd(),
        enabledPreviewFeatures
      });
    }
  }
  stop() {
    this.engine.stop();
  }
  getSchemaPath(schemaPathFromOptions) {
    const schemaPath2 = getSchemaPathSync2(schemaPathFromOptions);
    if (!schemaPath2) {
      throw new NoSchemaFoundError();
    }
    return schemaPath2;
  }
  getPrismaSchema() {
    if (!this.schemaPath)
      throw new Error("this.schemaPath is undefined");
    return import_fs25.default.readFileSync(this.schemaPath, "utf-8");
  }
  reset() {
    return this.engine.reset();
  }
  createMigration(params) {
    return this.engine.createMigration(params);
  }
  diagnoseMigrationHistory({
    optInToShadowDatabase
  }) {
    if (!this.migrationsDirectoryPath)
      throw new Error("this.migrationsDirectoryPath is undefined");
    return this.engine.diagnoseMigrationHistory({
      migrationsDirectoryPath: this.migrationsDirectoryPath,
      optInToShadowDatabase
    });
  }
  listMigrationDirectories() {
    if (!this.migrationsDirectoryPath)
      throw new Error("this.migrationsDirectoryPath is undefined");
    return this.engine.listMigrationDirectories({
      migrationsDirectoryPath: this.migrationsDirectoryPath
    });
  }
  devDiagnostic() {
    if (!this.migrationsDirectoryPath)
      throw new Error("this.migrationsDirectoryPath is undefined");
    return this.engine.devDiagnostic({
      migrationsDirectoryPath: this.migrationsDirectoryPath
    });
  }
  async markMigrationApplied({ migrationId }) {
    if (!this.migrationsDirectoryPath)
      throw new Error("this.migrationsDirectoryPath is undefined");
    return await this.engine.markMigrationApplied({
      migrationsDirectoryPath: this.migrationsDirectoryPath,
      migrationName: migrationId
    });
  }
  markMigrationRolledBack({ migrationId }) {
    return this.engine.markMigrationRolledBack({
      migrationName: migrationId
    });
  }
  applyMigrations() {
    if (!this.migrationsDirectoryPath)
      throw new Error("this.migrationsDirectoryPath is undefined");
    return this.engine.applyMigrations({
      migrationsDirectoryPath: this.migrationsDirectoryPath
    });
  }
  evaluateDataLoss() {
    if (!this.migrationsDirectoryPath)
      throw new Error("this.migrationsDirectoryPath is undefined");
    const schema = this.getPrismaSchema();
    return this.engine.evaluateDataLoss({
      migrationsDirectoryPath: this.migrationsDirectoryPath,
      prismaSchema: schema
    });
  }
  async push({ force = false }) {
    const schema = this.getPrismaSchema();
    const { warnings, unexecutable, executedSteps } = await this.engine.schemaPush({
      force,
      schema
    });
    return {
      executedSteps,
      warnings,
      unexecutable
    };
  }
  async tryToRunGenerate() {
    if (!this.schemaPath)
      throw new Error("this.schemaPath is undefined");
    const message2 = [];
    console.info();
    (0, import_log_update.default)(`Running generate... ${dim("(Use --skip-generate to skip the generators)")}`);
    const generators = await getGenerators2({
      schemaPath: this.schemaPath,
      printDownloadProgress: true,
      version: import_engines_version.enginesVersion,
      cliVersion: packageJson2.version
    });
    for (const generator of generators) {
      (0, import_log_update.default)(`Running generate... - ${generator.getPrettyName()}`);
      const before = Math.round(performance.now());
      try {
        await generator.generate();
        const after = Math.round(performance.now());
        message2.push(getGeneratorSuccessMessage2(generator, after - before));
        generator.stop();
      } catch (e3) {
        message2.push(`${e3.message}`);
        generator.stop();
      }
    }
    (0, import_log_update.default)(message2.join("\n"));
  }
};

// ../migrate/src/commands/DbExecute.ts
var helpOptions = format2(
  `${bold("Usage")}

${dim("$")} prisma db execute [options]

${bold("Options")}

-h, --help            Display this help message

${italic("Datasource input, only 1 must be provided:")}
--url                 URL of the datasource to run the command on
--schema              Path to your Prisma schema file to take the datasource URL from

${italic("Script input, only 1 must be provided:")}
--file                Path to a file. The content will be sent as the script to be executed

${bold("Flags")}

--stdin              Use the terminal standard input as the script to be executed`
);
var _DbExecute = class _DbExecute {
  static new() {
    return new _DbExecute();
  }
  async parse(argv) {
    const args3 = arg2(
      argv,
      {
        "--help": Boolean,
        "-h": "--help",
        "--stdin": Boolean,
        "--file": String,
        "--schema": String,
        "--url": String,
        "--telemetry-information": String
      },
      false
    );
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("db execute", args3, !args3["--url"]);
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], false);
    if (args3["--stdin"] && args3["--file"]) {
      throw new Error(
        `--stdin and --file cannot be used at the same time. Only 1 must be provided. 
See \`${green(getCommandWithExecutor2("prisma db execute -h"))}\``
      );
    } else if (!args3["--stdin"] && !args3["--file"]) {
      throw new Error(
        `Either --stdin or --file must be provided.
See \`${green(getCommandWithExecutor2("prisma db execute -h"))}\``
      );
    }
    if (args3["--url"] && args3["--schema"]) {
      throw new Error(
        `--url and --schema cannot be used at the same time. Only 1 must be provided.
See \`${green(getCommandWithExecutor2("prisma db execute -h"))}\``
      );
    } else if (!args3["--url"] && !args3["--schema"]) {
      throw new Error(
        `Either --url or --schema must be provided.
See \`${green(getCommandWithExecutor2("prisma db execute -h"))}\``
      );
    }
    let script = "";
    if (args3["--file"]) {
      try {
        script = import_fs26.default.readFileSync(import_path32.default.resolve(args3["--file"]), "utf-8");
      } catch (e3) {
        if (e3.code === "ENOENT") {
          throw new Error(`Provided --file at ${args3["--file"]} doesn't exist.`);
        } else {
          console.error(`An error occurred while reading the provided --file at ${args3["--file"]}`);
          throw e3;
        }
      }
    }
    if (args3["--stdin"]) {
      script = await (0, import_get_stdin.default)();
    }
    let datasourceType;
    if (args3["--url"]) {
      datasourceType = {
        tag: "url",
        url: args3["--url"]
      };
    } else {
      const schemaPath2 = await getSchemaPath2(args3["--schema"]);
      datasourceType = {
        tag: "schema",
        // if schemaPath is undefined, getSchemaPath will error
        schema: schemaPath2
      };
    }
    const migrate = new Migrate();
    try {
      await migrate.engine.dbExecute({
        script,
        datasourceType
      });
    } finally {
      migrate.stop();
    }
    return `Script executed successfully.`;
  }
  help(error2) {
    if (error2) {
      throw new HelpError2(`
${error2}

${helpOptions}`);
    }
    return _DbExecute.help;
  }
};
_DbExecute.help = format2(`
${process.platform === "win32" ? "" : "\u{1F4DD} "}Execute native commands to your database

This command takes as input a datasource, using ${green(`--url`)} or ${green(`--schema`)} and a script, using ${green(
  `--stdin`
)} or ${green(`--file`)}.
The input parameters are mutually exclusive, only 1 of each (datasource & script) must be provided.
 
The output of the command is connector-specific, and is not meant for returning data, but only to report success or failure.

On SQL databases, this command takes as input a SQL script.
The whole script will be sent as a single command to the database.

${italic(`This command is currently not supported on MongoDB.`)}

${helpOptions}
${bold("Examples")}
 
  Execute the content of a SQL script file to the datasource URL taken from the schema
  ${dim("$")} prisma db execute
    --file ./script.sql \\
    --schema schema.prisma

  Execute the SQL script from stdin to the datasource URL specified via the \`DATABASE_URL\` environment variable
  ${dim("$")} echo 'TRUNCATE TABLE dev;' | \\
    prisma db execute \\
    --stdin \\
    --url="$DATABASE_URL"

  Like previous example, but exposing the datasource url credentials to your terminal history
  ${dim("$")} echo 'TRUNCATE TABLE dev;' | \\
    prisma db execute \\
    --stdin \\
    --url="mysql://root:root@localhost/mydb"
`);
var DbExecute = _DbExecute;

// ../migrate/src/commands/DbPull.ts
init_src();
var import_fs27 = __toESM(require("fs"));
init_colors();
var import_path33 = __toESM(require("path"));
init_dist();

// ../migrate/src/utils/printDatasources.ts
var import_indent_string2 = __toESM(require_indent_string());
function printDatasources(internalDatasources) {
  return internalDatasources.map((d3) => String(new InternalDataSourceClass(d3))).join("\n\n");
}
var tab = 2;
var InternalDataSourceClass = class {
  constructor(dataSource) {
    this.dataSource = dataSource;
  }
  toString() {
    const { dataSource } = this;
    const obj = {
      provider: dataSource.provider,
      url: dataSource.url
    };
    if (dataSource.config && typeof dataSource.config === "object") {
      Object.assign(obj, dataSource.config);
    }
    return `datasource ${dataSource.name} {
${(0, import_indent_string2.default)(printDatamodelObject2(obj), tab)}
}`;
  }
};
function printDatamodelObject2(obj) {
  const maxLength = Object.keys(obj).reduce((max, curr) => Math.max(max, curr.length), 0);
  return Object.entries(obj).map(
    ([key, value]) => `${key.padEnd(maxLength)} = ${typeof value === "object" && value && value.value ? JSON.stringify(value.value) : JSON.stringify(value)}`
  ).join("\n");
}

// ../migrate/src/utils/removeDatasource.ts
function removeDatasource(schema) {
  return trimBlocksFromSchema2(schema, ["datasource"]).trim();
}

// ../migrate/src/utils/spinner.ts
var import_ora = __toESM(require_ora());
var defaultOraOptions = {
  spinner: "dots",
  color: "cyan",
  indent: 0,
  stream: process.stdout
};
function createSpinner(enableOutput = true, oraOptions = {}) {
  const actualOptions = { ...defaultOraOptions, ...oraOptions };
  return (text2) => {
    if (!enableOutput) {
      return {
        success: () => {
        },
        failure: () => {
        }
      };
    }
    actualOptions.stream?.write("\n");
    const spinner = (0, import_ora.default)(actualOptions);
    spinner.start(text2);
    return {
      /**
       * Stop the spinner, change it to a green ✔ and persist the current text, or text if provided.
       * @param textSuccess Will persist text if provided.
       */
      success: (textSuccess) => {
        spinner.succeed(textSuccess);
      },
      /**
       * Stop the spinner, change it to a red ✖ and persist the current text, or text if provided.
       * @param textFailure Will persist text if provided.
       */
      failure: (textFailure) => {
        spinner.fail(textFailure);
      }
    };
  };
}

// ../migrate/src/commands/DbPull.ts
var debug21 = src_default("prisma:db:pull");
var _DbPull = class _DbPull {
  static new() {
    return new _DbPull();
  }
  urlToDatasource(url2, defaultProvider) {
    const provider = defaultProvider || protocolToConnectorType2(`${url2.split(":")[0]}:`);
    return printDatasources([
      {
        config: {},
        provider,
        name: "db",
        url: url2
      }
    ]);
  }
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--url": String,
      "--print": Boolean,
      "--schema": String,
      "--schemas": String,
      "--force": Boolean,
      "--composite-type-depth": Number
      // optional, only on mongodb
    });
    const spinnerFactory = createSpinner(!args3["--print"]);
    if (args3 instanceof Error) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("db pull", args3, !args3["--url"]);
    if (args3["--help"]) {
      return this.help();
    }
    const url2 = args3["--url"];
    let schemaPath2 = await getSchemaPath2(args3["--schema"]);
    if (schemaPath2 && !args3["--print"]) {
      console.info(dim(`Prisma schema loaded from ${import_path33.default.relative(process.cwd(), schemaPath2)}`));
      loadEnvFile2(args3["--schema"], true);
      printDatasource({ datasourceInfo: await getDatasourceInfo({ schemaPath: schemaPath2 }) });
    } else {
      loadEnvFile2(args3["--schema"], false);
    }
    if (!url2 && !schemaPath2) {
      throw new NoSchemaFoundError();
    }
    const { firstDatasource, schema } = await K({ url: url2, schemaPath: schemaPath2 }).when(
      (input) => input.schemaPath !== null,
      async (input) => {
        const rawSchema = import_fs27.default.readFileSync(input.schemaPath, "utf-8");
        const config2 = await getConfig2({
          datamodel: rawSchema,
          ignoreEnvVarErrors: true
        });
        const firstDatasource2 = config2.datasources[0] ? config2.datasources[0] : void 0;
        if (input.url) {
          let providerFromSchema = firstDatasource2?.provider;
          if (providerFromSchema === "postgres") {
            providerFromSchema = "postgresql";
          }
          const providerFromUrl = protocolToConnectorType2(`${input.url.split(":")[0]}:`);
          const schema2 = `${this.urlToDatasource(input.url, providerFromSchema)}

${removeDatasource(rawSchema)}`;
          if (providerFromSchema && providerFromUrl && providerFromSchema !== providerFromUrl && Boolean(providerFromSchema === "cockroachdb" && providerFromUrl === "postgresql") === false) {
            throw new Error(
              `The database provider found in --url (${providerFromUrl}) is different from the provider found in the Prisma schema (${providerFromSchema}).`
            );
          }
          return { firstDatasource: firstDatasource2, schema: schema2 };
        } else {
          await getConfig2({
            datamodel: rawSchema,
            ignoreEnvVarErrors: false
          });
        }
        return { firstDatasource: firstDatasource2, schema: rawSchema };
      }
    ).when(
      (input) => input.url !== void 0,
      async (input) => {
        protocolToConnectorType2(`${input.url.split(":")[0]}:`);
        const schema2 = this.urlToDatasource(input.url);
        const config2 = await getConfig2({
          datamodel: schema2,
          ignoreEnvVarErrors: true
        });
        return { firstDatasource: config2.datasources[0], schema: schema2 };
      }
    ).run();
    if (schemaPath2) {
      const schema2 = await getSchema2(args3["--schema"]);
      const modelRegex = /\s*model\s*(\w+)\s*{/;
      const modelMatch = modelRegex.exec(schema2);
      const isReintrospection = modelMatch;
      if (isReintrospection && !args3["--force"] && firstDatasource?.provider === "mongodb") {
        throw new Error(`Iterating on one schema using re-introspection with db pull is currently not supported with MongoDB provider.
You can explicitly ignore and override your current local schema file with ${green(
          getCommandWithExecutor2("prisma db pull --force")
        )}
Some information will be lost (relations, comments, mapped fields, @ignore...), follow ${link3(
          "https://github.com/prisma/prisma/issues/9585"
        )} for more info.`);
      }
    }
    const engine = new SchemaEngine({
      projectDir: schemaPath2 ? import_path33.default.dirname(schemaPath2) : process.cwd(),
      schemaPath: schemaPath2 ?? void 0
    });
    const basedOn = !args3["--url"] && schemaPath2 ? ` based on datasource defined in ${underline(import_path33.default.relative(process.cwd(), schemaPath2))}` : "";
    const introspectionSpinner = spinnerFactory(`Introspecting${basedOn}`);
    const before = Math.round(performance.now());
    let introspectionSchema = "";
    let introspectionWarnings;
    try {
      const introspectionResult = await engine.introspect({
        schema,
        force: args3["--force"],
        compositeTypeDepth: args3["--composite-type-depth"],
        schemas: args3["--schemas"]?.split(",")
      });
      introspectionSchema = introspectionResult.datamodel;
      introspectionWarnings = introspectionResult.warnings;
      debug21(`Introspection warnings`, introspectionWarnings);
    } catch (e3) {
      introspectionSpinner.failure();
      if (e3.code === "P4001" && introspectionSchema.trim() === "") {
        throw new Error(`
${red(bold(`${e3.code} `))}${red("The introspected database was empty:")} ${url2 ? underline(url2) : ""}

${bold("prisma db pull")} could not create any models in your ${bold(
          "schema.prisma"
        )} file and you will not be able to generate Prisma Client with the ${bold(
          getCommandWithExecutor2("prisma generate")
        )} command.

${bold("To fix this, you have two options:")}

- manually create a table in your database.
- make sure the database connection URL inside the ${bold("datasource")} block in ${bold(
          "schema.prisma"
        )} points to a database that is not empty (it must contain at least one table).

Then you can run ${green(getCommandWithExecutor2("prisma db pull"))} again. 
`);
      } else if (e3.code === "P1003") {
        throw new Error(`
${red(bold(`${e3.code} `))}${red("The introspected database does not exist:")} ${url2 ? underline(url2) : ""}

${bold("prisma db pull")} could not create any models in your ${bold(
          "schema.prisma"
        )} file and you will not be able to generate Prisma Client with the ${bold(
          getCommandWithExecutor2("prisma generate")
        )} command.

${bold("To fix this, you have two options:")}

- manually create a database.
- make sure the database connection URL inside the ${bold("datasource")} block in ${bold(
          "schema.prisma"
        )} points to an existing database.

Then you can run ${green(getCommandWithExecutor2("prisma db pull"))} again. 
`);
      } else if (e3.code === "P1012") {
        console.info();
        throw new Error(`${red(`${e3.message}`)}
Introspection failed as your current Prisma schema file is invalid

Please fix your current schema manually (using either ${green(
          getCommandWithExecutor2("prisma validate")
        )} or the Prisma VS Code extension to understand what's broken and confirm you fixed it), and then run this command again.
Or run this command with the ${green(
          "--force"
        )} flag to ignore your current schema and overwrite it. All local modifications will be lost.
`);
      }
      console.info();
      throw e3;
    }
    const introspectionWarningsMessage = this.getWarningMessage(introspectionWarnings);
    if (args3["--print"]) {
      console.log(introspectionSchema);
      if (introspectionWarningsMessage.trim().length > 0) {
        console.error(introspectionWarningsMessage.replace(/(\n)/gm, "\n// "));
      }
    } else {
      schemaPath2 = schemaPath2 || "schema.prisma";
      import_fs27.default.writeFileSync(schemaPath2, introspectionSchema);
      const modelsCount = (introspectionSchema.match(/^model\s+/gm) || []).length;
      const modelsCountMessage = `${modelsCount} ${modelsCount > 1 ? "models" : "model"}`;
      const typesCount = (introspectionSchema.match(/^type\s+/gm) || []).length;
      const typesCountMessage = `${typesCount} ${typesCount > 1 ? "embedded documents" : "embedded document"}`;
      let modelsAndTypesMessage;
      if (typesCount > 0) {
        modelsAndTypesMessage = `${modelsCountMessage} and ${typesCountMessage}`;
      } else {
        modelsAndTypesMessage = `${modelsCountMessage}`;
      }
      const modelsAndTypesCountMessage = modelsCount + typesCount > 1 ? `${modelsAndTypesMessage} and wrote them` : `${modelsAndTypesMessage} and wrote it`;
      introspectionSpinner.success(`Introspected ${modelsAndTypesCountMessage} into ${underline(
        import_path33.default.relative(process.cwd(), schemaPath2)
      )} in ${bold(formatms2(Math.round(performance.now()) - before))}
      ${yellow(introspectionWarningsMessage)}
${`Run ${green(getCommandWithExecutor2("prisma generate"))} to generate Prisma Client.`}`);
    }
    return "";
  }
  getWarningMessage(warnings) {
    if (warnings) {
      return `
${warnings}`;
    }
    return "";
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_DbPull.help}`);
    }
    return _DbPull.help;
  }
};
_DbPull.help = format2(`
Pull the state from the database to the Prisma schema using introspection

${bold("Usage")}

  ${dim("$")} prisma db pull [flags/options]

${bold("Flags")}

              -h, --help   Display this help message
                 --force   Ignore current Prisma schema file
                 --print   Print the introspected Prisma schema to stdout

${bold("Options")}

                --schema   Custom path to your Prisma schema
  --composite-type-depth   Specify the depth for introspecting composite types (e.g. Embedded Documents in MongoDB)
                           Number, default is -1 for infinite depth, 0 = off
               --schemas   Specify the database schemas to introspect. This overrides the schemas defined in the datasource block of your Prisma schema.

${bold("Examples")}

With an existing Prisma schema
  ${dim("$")} prisma db pull

Or specify a Prisma schema path
  ${dim("$")} prisma db pull --schema=./schema.prisma

Instead of saving the result to the filesystem, you can also print it to stdout
  ${dim("$")} prisma db pull --print

Overwrite the current schema with the introspected schema instead of enriching it
  ${dim("$")} prisma db pull --force

Set composite types introspection depth to 2 levels
  ${dim("$")} prisma db pull --composite-type-depth=2

`);
var DbPull = _DbPull;

// ../migrate/src/commands/DbPush.ts
init_colors();
var import_prompts4 = __toESM(require_prompts3());
var _DbPush = class _DbPush {
  static new() {
    return new _DbPush();
  }
  async parse(argv) {
    const args3 = arg2(
      argv,
      {
        "--help": Boolean,
        "-h": "--help",
        "--accept-data-loss": Boolean,
        "--force-reset": Boolean,
        "--skip-generate": Boolean,
        "--schema": String,
        "--telemetry-information": String
      },
      false
    );
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("db push", args3, true);
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    const datasourceInfo = await getDatasourceInfo({ schemaPath: schemaPath2 });
    printDatasource({ datasourceInfo });
    const migrate = new Migrate(schemaPath2);
    try {
      const wasDbCreated = await ensureDatabaseExists("push", schemaPath2);
      if (wasDbCreated) {
        console.info();
        console.info(wasDbCreated);
      }
    } catch (e3) {
      console.info();
      throw e3;
    }
    let wasDatabaseReset = false;
    if (args3["--force-reset"]) {
      console.info();
      try {
        await migrate.reset();
      } catch (e3) {
        migrate.stop();
        throw e3;
      }
      let successfulResetMsg = `The ${datasourceInfo.prettyProvider} database`;
      if (datasourceInfo.dbName) {
        successfulResetMsg += ` "${datasourceInfo.dbName}"`;
      }
      const schemasLength = datasourceInfo.schemas?.length || 0;
      if (datasourceInfo.schemas && schemasLength > 0) {
        successfulResetMsg += ` schema${schemasLength > 1 ? "s" : ""} "${datasourceInfo.schemas.join(", ")}"`;
      } else if (datasourceInfo.schema) {
        successfulResetMsg += ` schema "${datasourceInfo.schema}"`;
      }
      if (datasourceInfo.dbLocation) {
        successfulResetMsg += ` at "${datasourceInfo.dbLocation}"`;
      }
      successfulResetMsg += ` ${schemasLength > 1 ? "were" : "was"} successfully reset.`;
      console.info(successfulResetMsg);
      wasDatabaseReset = true;
    }
    const before = Math.round(performance.now());
    let migration;
    try {
      migration = await migrate.push({
        force: args3["--accept-data-loss"]
      });
    } catch (e3) {
      migrate.stop();
      throw e3;
    }
    if (migration.unexecutable && migration.unexecutable.length > 0) {
      const messages = [];
      messages.push(`${bold(red("\n\u26A0\uFE0F We found changes that cannot be executed:\n"))}`);
      for (const item2 of migration.unexecutable) {
        messages.push(`  \u2022 ${item2}`);
      }
      console.info();
      if (!canPrompt2()) {
        migrate.stop();
        throw new Error(`${messages.join("\n")}

Use the --force-reset flag to drop the database before push like ${bold(
          green(getCommandWithExecutor2("prisma db push --force-reset"))
        )}
${bold(red("All data will be lost."))}
        `);
      } else {
        console.info(`${messages.join("\n")}
`);
      }
      console.info();
      const confirmation = await (0, import_prompts4.default)({
        type: "confirm",
        name: "value",
        message: `To apply this change we need to reset the database, do you want to continue? ${red(
          "All data will be lost"
        )}.`
      });
      if (!confirmation.value) {
        console.info("Reset cancelled.");
        migrate.stop();
        process.exit(130);
      }
      try {
        await migrate.reset();
        if (datasourceInfo.dbName && datasourceInfo.dbLocation) {
          console.info(
            `The ${datasourceInfo.prettyProvider} database "${datasourceInfo.dbName}" from "${datasourceInfo.dbLocation}" was successfully reset.`
          );
        } else {
          console.info(`The ${datasourceInfo.prettyProvider} database was successfully reset.`);
        }
        wasDatabaseReset = true;
        await migrate.push({});
      } catch (e3) {
        migrate.stop();
        throw e3;
      }
    }
    if (migration.warnings && migration.warnings.length > 0) {
      console.info(bold(yellow(`
\u26A0\uFE0F  There might be data loss when applying the changes:
`)));
      for (const warning of migration.warnings) {
        console.info(`  \u2022 ${warning}`);
      }
      console.info();
      if (!args3["--accept-data-loss"]) {
        if (!canPrompt2()) {
          migrate.stop();
          throw new DbPushIgnoreWarningsWithFlagError();
        }
        console.info();
        const confirmation = await (0, import_prompts4.default)({
          type: "confirm",
          name: "value",
          message: `Do you want to ignore the warning(s)?`
        });
        if (!confirmation.value) {
          console.info("Push cancelled.");
          migrate.stop();
          process.exit(130);
        }
        try {
          await migrate.push({
            force: true
          });
        } catch (e3) {
          migrate.stop();
          throw e3;
        }
      }
    }
    migrate.stop();
    if (!wasDatabaseReset && migration.warnings.length === 0 && migration.executedSteps === 0) {
      console.info(`
The database is already in sync with the Prisma schema.`);
    } else {
      const migrationTimeMessage = `Done in ${formatms2(Math.round(performance.now()) - before)}`;
      const rocketEmoji = process.platform === "win32" ? "" : "\u{1F680}  ";
      const migrationSuccessStdMessage = "Your database is now in sync with your Prisma schema.";
      const migrationSuccessMongoMessage = "Your database indexes are now in sync with your Prisma schema.";
      const provider = protocolToConnectorType2(`${datasourceInfo.url?.split(":")[0]}:`);
      console.info(
        `
${rocketEmoji}${provider === "mongodb" ? migrationSuccessMongoMessage : migrationSuccessStdMessage} ${migrationTimeMessage}`
      );
    }
    if (!process.env.PRISMA_MIGRATE_SKIP_GENERATE && !args3["--skip-generate"]) {
      await migrate.tryToRunGenerate();
    }
    return ``;
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_DbPush.help}`);
    }
    return _DbPush.help;
  }
};
_DbPush.help = format2(`
${process.platform === "win32" ? "" : "\u{1F64C}  "}Push the state from your Prisma schema to your database

${bold("Usage")}

  ${dim("$")} prisma db push [options]

${bold("Options")}

           -h, --help   Display this help message
             --schema   Custom path to your Prisma schema
   --accept-data-loss   Ignore data loss warnings
        --force-reset   Force a reset of the database before push 
      --skip-generate   Skip triggering generators (e.g. Prisma Client)

${bold("Examples")}

  Push the Prisma schema state to the database
  ${dim("$")} prisma db push

  Specify a schema
  ${dim("$")} prisma db push --schema=./schema.prisma

  Ignore data loss warnings
  ${dim("$")} prisma db push --accept-data-loss
`);
var DbPush = _DbPush;

// ../migrate/src/commands/DbSeed.ts
var import_arg2 = __toESM(require_arg());
init_colors();

// ../migrate/src/utils/seed.ts
init_src();
var import_execa7 = __toESM(require_execa());
var import_fs28 = __toESM(require("fs"));
var import_has_yarn = __toESM(require_has_yarn());
init_colors();
var import_path34 = __toESM(require("path"));
var import_pkg_up = __toESM(require_pkg_up());
var debug22 = src_default("prisma:migrate:seed");
async function verifySeedConfigAndReturnMessage(schemaPath2) {
  const cwd = process.cwd();
  const detected = detectSeedFiles(cwd, schemaPath2);
  const prismaConfig = await getPrismaConfigFromPackageJson2(cwd);
  if (prismaConfig && prismaConfig.data?.seed) {
    return void 0;
  }
  const packageManager = (0, import_has_yarn.default)() ? "yarn add -D" : "npm i -D";
  let message2 = `${red(
    'To configure seeding in your project you need to add a "prisma.seed" property in your package.json with the command to execute it:'
  )}

1. Open the package.json of your project
`;
  if (detected.numberOfSeedFiles) {
    await legacyTsNodeScriptWarning();
    message2 += `2. Add the following example to it:`;
    if (detected.js) {
      message2 += `
\`\`\`
"prisma": {
  "seed": "node ${detected.js}"
}
\`\`\`
`;
    } else if (detected.ts) {
      message2 += `
\`\`\`
"prisma": {
  "seed": "ts-node ${detected.ts}"
}
\`\`\`
If you are using ESM (ECMAScript modules):
\`\`\`
"prisma": {
  "seed": "node --loader ts-node/esm ${detected.ts}"
}
\`\`\`

3. Install the required dependencies by running:
${green(`${packageManager} ts-node typescript @types/node`)}
`;
    } else if (detected.sh) {
      message2 += `
\`\`\`
"prisma": {
  "seed": "${detected.sh}"
}
\`\`\`
And run \`chmod +x ${detected.sh}\` to make it executable.`;
    }
  } else {
    message2 += `2. Add one of the following examples to your package.json:

${bold("TypeScript:")}
\`\`\`
"prisma": {
  "seed": "ts-node ./prisma/seed.ts"
}
\`\`\`
If you are using ESM (ECMAScript modules):
\`\`\`
"prisma": {
  "seed": "node --loader ts-node/esm ./prisma/seed.ts"
}
\`\`\`

And install the required dependencies by running:
${packageManager} ts-node typescript @types/node

${bold("JavaScript:")}
\`\`\`
"prisma": {
  "seed": "node ./prisma/seed.js"
}
\`\`\`

${bold("Bash:")}
\`\`\`
"prisma": {
  "seed": "./prisma/seed.sh"
}
\`\`\`
And run \`chmod +x prisma/seed.sh\` to make it executable.`;
  }
  message2 += `
More information in our documentation:
${link3("https://pris.ly/d/seeding")}`;
  return message2;
}
async function getSeedCommandFromPackageJson(cwd) {
  const prismaConfig = await getPrismaConfigFromPackageJson2(cwd);
  debug22({ prismaConfig });
  if (!prismaConfig || !prismaConfig.data?.seed) {
    return null;
  }
  const seedCommandFromPkgJson = prismaConfig.data.seed;
  if (typeof seedCommandFromPkgJson !== "string") {
    throw new Error(
      `Provided seed command \`${seedCommandFromPkgJson}\` from \`${import_path34.default.relative(
        cwd,
        prismaConfig.packagePath
      )}\` must be of type string`
    );
  }
  if (!seedCommandFromPkgJson) {
    throw new Error(
      `Provided seed command \`${seedCommandFromPkgJson}\` from \`${import_path34.default.relative(
        cwd,
        prismaConfig.packagePath
      )}\` cannot be empty`
    );
  }
  return seedCommandFromPkgJson;
}
async function executeSeedCommand({
  commandFromConfig,
  extraArgs
}) {
  const command = extraArgs ? `${commandFromConfig} ${extraArgs}` : commandFromConfig;
  console.info(`Running seed command \`${italic(command)}\` ...`);
  try {
    await import_execa7.default.command(command, {
      stdout: "inherit",
      stderr: "inherit"
    });
  } catch (_e) {
    const e3 = _e;
    debug22({ e: e3 });
    console.error(bold(red(`
An error occurred while running the seed command:`)));
    console.error(red(e3.stderr || String(e3)));
    return false;
  }
  return true;
}
function detectSeedFiles(cwd, schemaPath2) {
  let parentDirectory = import_path34.default.relative(cwd, import_path34.default.join(cwd, "prisma"));
  if (schemaPath2) {
    parentDirectory = import_path34.default.relative(cwd, import_path34.default.dirname(schemaPath2));
  }
  const seedPath = import_path34.default.join(parentDirectory, "seed.");
  const detected = {
    seedPath,
    numberOfSeedFiles: 0,
    js: "",
    ts: "",
    sh: ""
  };
  const extensions = ["js", "ts", "sh"];
  for (const extension of extensions) {
    const fullPath = seedPath + extension;
    if (!import_fs28.default.existsSync(fullPath)) {
      continue;
    }
    detected[extension] = fullPath;
    detected.numberOfSeedFiles++;
  }
  debug22({ detected });
  return detected;
}
async function legacyTsNodeScriptWarning() {
  const scripts = await getScriptsFromPackageJson();
  if (scripts?.["ts-node"]) {
    logger_exports.warn(
      yellow(`The "ts-node" script in the package.json is not used anymore since version 3.0 and can now be removed.`)
    );
  }
  return void 0;
}
async function getScriptsFromPackageJson(cwd = process.cwd()) {
  try {
    const pkgJsonPath = await (0, import_pkg_up.default)({ cwd });
    if (!pkgJsonPath) {
      return null;
    }
    const pkgJsonString = await import_fs28.default.promises.readFile(pkgJsonPath, "utf-8");
    const pkgJson = JSON.parse(pkgJsonString);
    const { "ts-node": tsnode } = pkgJson.scripts;
    return { "ts-node": tsnode };
  } catch {
    return null;
  }
}

// ../migrate/src/commands/DbSeed.ts
var _DbSeed = class _DbSeed {
  static new() {
    return new _DbSeed();
  }
  async parse(argv) {
    const args3 = arg2(
      argv,
      {
        "--help": Boolean,
        "-h": "--help",
        "--schema": String,
        "--telemetry-information": String
      },
      false
    );
    if (isError2(args3)) {
      if (args3 instanceof import_arg2.ArgError && args3.code === "ARG_UNKNOWN_OPTION") {
        throw new Error(`${args3.message}
Did you mean to pass these as arguments to your seed script? If so, add a -- separator before them:
${dim("$")} prisma db seed -- --arg1 value1 --arg2 value2`);
      }
      return this.help(args3.message);
    }
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const seedCommandFromPkgJson = await getSeedCommandFromPackageJson(process.cwd());
    if (!seedCommandFromPkgJson) {
      const schemaPath2 = await getSchemaPath2(args3["--schema"]);
      const message2 = await verifySeedConfigAndReturnMessage(schemaPath2);
      if (message2) {
        throw new Error(message2);
      }
      return ``;
    }
    const extraArgs = args3._.join(" ");
    const successfulSeeding = await executeSeedCommand({ commandFromConfig: seedCommandFromPkgJson, extraArgs });
    if (successfulSeeding) {
      return `
${process.platform === "win32" ? "" : "\u{1F331}  "}The seed command has been executed.`;
    } else {
      process.exit(1);
    }
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_DbSeed.help}`);
    }
    return _DbSeed.help;
  }
};
_DbSeed.help = format2(`
${process.platform === "win32" ? "" : "\u{1F64C}  "}Seed your database

${bold("Usage")}

  ${dim("$")} prisma db seed [options]

${bold("Options")}

  -h, --help   Display this help message

${bold("Examples")}

  Passing extra arguments to the seed command
    ${dim("$")} prisma db seed -- --arg1 value1 --arg2 value2
`);
var DbSeed = _DbSeed;

// ../migrate/src/commands/MigrateCommand.ts
init_colors();
var _MigrateCommand = class _MigrateCommand {
  constructor(cmds) {
    this.cmds = cmds;
  }
  static new(cmds) {
    return new _MigrateCommand(cmds);
  }
  /* eslint-disable-next-line @typescript-eslint/require-await */
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--preview-feature": Boolean,
      "--telemetry-information": String
    });
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    if (args3._.length === 0 || args3["--help"]) {
      return this.help();
    }
    const commandName = args3._[0];
    const cmd = this.cmds[commandName];
    if (cmd) {
      let argsForCmd;
      if (commandName === "diff") {
        argsForCmd = args3["--preview-feature"] ? [...args3._.slice(1), `--preview-feature`] : args3._.slice(1);
      } else {
        const filteredArgs = args3._.filter((item2) => item2 !== "--preview-feature");
        argsForCmd = filteredArgs.slice(1);
      }
      return cmd.parse(argsForCmd);
    }
    return unknownCommand2(_MigrateCommand.help, commandName);
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_MigrateCommand.help}`);
    }
    return _MigrateCommand.help;
  }
};
_MigrateCommand.help = format2(`
Update the database schema with migrations
  
${bold("Usage")}

  ${dim("$")} prisma migrate [command] [options]

${bold("Commands for development")}

         dev   Create a migration from changes in Prisma schema, apply it to the database
               trigger generators (e.g. Prisma Client)
       reset   Reset your database and apply all migrations, all data will be lost

${bold("Commands for production/staging")}

      deploy   Apply pending migrations to the database 
      status   Check the status of your database migrations
     resolve   Resolve issues with database migrations, i.e. baseline, failed migration, hotfix

${bold("Command for any stage")}

        diff   Compare the database schema from two arbitrary sources

${bold("Options")}

  -h, --help   Display this help message
    --schema   Custom path to your Prisma schema

${bold("Examples")}

  Create a migration from changes in Prisma schema, apply it to the database, trigger generators (e.g. Prisma Client)
  ${dim("$")} prisma migrate dev

  Reset your database and apply all migrations
  ${dim("$")} prisma migrate reset

  Apply pending migrations to the database in production/staging
  ${dim("$")} prisma migrate deploy

  Check the status of migrations in the production/staging database
  ${dim("$")} prisma migrate status

  Specify a schema
  ${dim("$")} prisma migrate status --schema=./schema.prisma

  Compare the database schema from two databases and render the diff as a SQL script
  ${dim("$")} prisma migrate diff \\
    --from-url "$DATABASE_URL" \\
    --to-url "postgresql://login:password@localhost:5432/db" \\
    --script
`);
var MigrateCommand = _MigrateCommand;

// ../migrate/src/commands/MigrateDeploy.ts
init_src();
init_colors();

// ../migrate/src/utils/printFiles.ts
var import_indent_string3 = __toESM(require_indent_string());

// ../migrate/src/utils/printMigrationId.ts
init_colors();
function printMigrationId(migrationId) {
  const words = migrationId.split("_");
  if (words.length === 1) {
    return cyan(bold(migrationId));
  }
  return `${words[0]}_${cyan(bold(words.slice(1).join("_")))}`;
}

// ../migrate/src/utils/printFiles.ts
function printFilesFromMigrationIds(directory, migrationIds, files) {
  const fileNames = Object.keys(files);
  let message2 = `${directory}/`;
  migrationIds.forEach((migrationId) => {
    message2 += `
  \u2514\u2500 ${printMigrationId(migrationId)}/
${(0, import_indent_string3.default)(fileNames.map((f4) => `\u2514\u2500 ${f4}`).join("\n"), 4)}`;
  });
  return message2;
}

// ../migrate/src/commands/MigrateDeploy.ts
var debug23 = src_default("prisma:migrate:deploy");
var _MigrateDeploy = class _MigrateDeploy {
  static new() {
    return new _MigrateDeploy();
  }
  async parse(argv) {
    const args3 = arg2(
      argv,
      {
        "--help": Boolean,
        "-h": "--help",
        "--schema": String,
        "--telemetry-information": String
      },
      false
    );
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("migrate deploy", args3, true);
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    printDatasource({ datasourceInfo: await getDatasourceInfo({ schemaPath: schemaPath2 }) });
    const migrate = new Migrate(schemaPath2);
    try {
      const wasDbCreated = await ensureDatabaseExists("apply", schemaPath2);
      if (wasDbCreated) {
        console.info();
        console.info(wasDbCreated);
      }
    } catch (e3) {
      console.info();
      throw e3;
    }
    const listMigrationDirectoriesResult = await migrate.listMigrationDirectories();
    debug23({ listMigrationDirectoriesResult });
    console.info();
    if (listMigrationDirectoriesResult.migrations.length > 0) {
      const migrations = listMigrationDirectoriesResult.migrations;
      console.info(`${migrations.length} migration${migrations.length > 1 ? "s" : ""} found in prisma/migrations`);
    } else {
      console.info(`No migration found in prisma/migrations`);
    }
    let migrationIds;
    try {
      console.info();
      const { appliedMigrationNames } = await migrate.applyMigrations();
      migrationIds = appliedMigrationNames;
    } finally {
      migrate.stop();
    }
    console.info();
    if (migrationIds.length === 0) {
      return green(`No pending migrations to apply.`);
    } else {
      return `The following migration${migrationIds.length > 1 ? "s" : ""} have been applied:

${printFilesFromMigrationIds("migrations", migrationIds, {
        "migration.sql": ""
      })}
      
${green("All migrations have been successfully applied.")}`;
    }
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_MigrateDeploy.help}`);
    }
    return _MigrateDeploy.help;
  }
};
_MigrateDeploy.help = format2(`
Apply pending migrations to update the database schema in production/staging

${bold("Usage")}

  ${dim("$")} prisma migrate deploy [options]

${bold("Options")}

  -h, --help   Display this help message
    --schema   Custom path to your Prisma schema

${bold("Examples")}

  Deploy your pending migrations to your production/staging database
  ${dim("$")} prisma migrate deploy

  Specify a schema
  ${dim("$")} prisma migrate deploy --schema=./schema.prisma

`);
var MigrateDeploy = _MigrateDeploy;

// ../migrate/src/commands/MigrateDev.ts
init_src();
var import_fs29 = __toESM(require("fs"));
init_colors();
var import_prompts6 = __toESM(require_prompts3());

// ../migrate/src/utils/handleEvaluateDataloss.ts
init_colors();
function handleUnexecutableSteps(unexecutableSteps, createOnly = false) {
  if (unexecutableSteps && unexecutableSteps.length > 0) {
    const messages = [];
    messages.push(`${bold(red("\n\u26A0\uFE0F We found changes that cannot be executed:\n"))}`);
    for (const item2 of unexecutableSteps) {
      messages.push(`${`  \u2022 Step ${item2.stepIndex} ${item2.message}`}`);
    }
    console.info();
    if (createOnly) {
      console.error(`${messages.join("\n")}
`);
      return void 0;
    } else {
      return `${messages.join("\n")}

You can use ${getCommandWithExecutor2(
        "prisma migrate dev --create-only"
      )} to create the migration file, and manually modify it to address the underlying issue(s).
Then run ${getCommandWithExecutor2("prisma migrate dev")} to apply it and verify it works.
`;
    }
  }
  return void 0;
}

// ../migrate/src/utils/promptForMigrationName.ts
var import_slugify = __toESM(require_slugify());
var import_prompts5 = __toESM(require_prompts3());
async function getMigrationName(name) {
  const maxMigrationNameLength = 200;
  if (name) {
    return {
      name: (0, import_slugify.default)(name, { separator: "_" }).substring(0, maxMigrationNameLength)
    };
  } else if ((!isInteractive2 || isCi2()) && Boolean(import_prompts5.prompt._injected?.length) === false) {
    return {
      name: ""
    };
  }
  const messageForPrompt = `Enter a name for the new migration:`;
  if (Boolean(import_prompts5.prompt._injected?.length) === true) {
    console.info(messageForPrompt);
  }
  const response = await (0, import_prompts5.prompt)({
    type: "text",
    name: "name",
    message: messageForPrompt
  });
  if (!("name" in response)) {
    return {
      userCancelled: "Canceled by user."
    };
  }
  return {
    name: (0, import_slugify.default)(response.name, { separator: "_" }).substring(0, maxMigrationNameLength) || ""
  };
}

// ../migrate/src/commands/MigrateDev.ts
var debug24 = src_default("prisma:migrate:dev");
var _MigrateDev = class _MigrateDev {
  static new() {
    return new _MigrateDev();
  }
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--name": String,
      "-n": "--name",
      // '--force': Boolean,
      // '-f': '--force',
      "--create-only": Boolean,
      "--schema": String,
      "--skip-generate": Boolean,
      "--skip-seed": Boolean,
      "--telemetry-information": String
    });
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("migrate dev", args3, true);
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    const datasourceInfo = await getDatasourceInfo({ schemaPath: schemaPath2 });
    printDatasource({ datasourceInfo });
    console.info();
    const schema = import_fs29.default.readFileSync(schemaPath2, "utf-8");
    validate2({
      datamodel: schema
    });
    await getConfig2({
      datamodel: schema,
      ignoreEnvVarErrors: false
    });
    const wasDbCreated = await ensureDatabaseExists("create", schemaPath2);
    if (wasDbCreated) {
      console.info(wasDbCreated);
      console.info();
    }
    const migrate = new Migrate(schemaPath2);
    let devDiagnostic;
    try {
      devDiagnostic = await migrate.devDiagnostic();
      debug24({ devDiagnostic: JSON.stringify(devDiagnostic, null, 2) });
    } catch (e3) {
      migrate.stop();
      throw e3;
    }
    const migrationIdsApplied = [];
    if (devDiagnostic.action.tag === "reset") {
      if (!args3["--force"]) {
        if (!canPrompt2()) {
          migrate.stop();
          throw new MigrateDevEnvNonInteractiveError();
        }
        const confirmedReset = await this.confirmReset({
          datasourceInfo,
          reason: devDiagnostic.action.reason
        });
        console.info();
        if (!confirmedReset) {
          console.info("Reset cancelled.");
          migrate.stop();
          process.exit(130);
        }
      }
      try {
        await migrate.reset();
      } catch (e3) {
        migrate.stop();
        throw e3;
      }
    }
    try {
      const { appliedMigrationNames } = await migrate.applyMigrations();
      migrationIdsApplied.push(...appliedMigrationNames);
      if (appliedMigrationNames.length > 0) {
        console.info();
        console.info(
          `The following migration(s) have been applied:

${printFilesFromMigrationIds(
            "migrations",
            appliedMigrationNames,
            {
              "migration.sql": ""
            }
          )}`
        );
      }
    } catch (e3) {
      migrate.stop();
      throw e3;
    }
    let evaluateDataLossResult;
    try {
      evaluateDataLossResult = await migrate.evaluateDataLoss();
      debug24({ evaluateDataLossResult });
    } catch (e3) {
      migrate.stop();
      throw e3;
    }
    const unexecutableStepsError = handleUnexecutableSteps(
      evaluateDataLossResult.unexecutableSteps,
      args3["--create-only"]
    );
    if (unexecutableStepsError) {
      migrate.stop();
      throw new Error(unexecutableStepsError);
    }
    if (evaluateDataLossResult.warnings && evaluateDataLossResult.warnings.length > 0) {
      console.log(bold(`
\u26A0\uFE0F  Warnings for the current datasource:
`));
      for (const warning of evaluateDataLossResult.warnings) {
        console.log(`  \u2022 ${warning.message}`);
      }
      console.info();
      if (!args3["--force"]) {
        if (!canPrompt2()) {
          migrate.stop();
          throw new MigrateDevEnvNonInteractiveError();
        }
        const message2 = args3["--create-only"] ? "Are you sure you want create this migration?" : "Are you sure you want create and apply this migration?";
        const confirmation = await (0, import_prompts6.default)({
          type: "confirm",
          name: "value",
          message: message2
        });
        if (!confirmation.value) {
          console.info("Migration cancelled.");
          migrate.stop();
          process.exit(130);
        }
      }
    }
    let migrationName = void 0;
    if (evaluateDataLossResult.migrationSteps > 0 || args3["--create-only"]) {
      const getMigrationNameResult = await getMigrationName(args3["--name"]);
      if (getMigrationNameResult.userCancelled) {
        console.log(getMigrationNameResult.userCancelled);
        migrate.stop();
        process.exit(130);
      } else {
        migrationName = getMigrationNameResult.name;
      }
    }
    let migrationIds;
    try {
      const createMigrationResult = await migrate.createMigration({
        migrationsDirectoryPath: migrate.migrationsDirectoryPath,
        migrationName: migrationName || "",
        draft: args3["--create-only"] ? true : false,
        prismaSchema: migrate.getPrismaSchema()
      });
      debug24({ createMigrationResult });
      if (args3["--create-only"]) {
        migrate.stop();
        return `Prisma Migrate created the following migration without applying it ${printMigrationId(
          createMigrationResult.generatedMigrationName
        )}

You can now edit it and apply it by running ${green(getCommandWithExecutor2("prisma migrate dev"))}.`;
      }
      const { appliedMigrationNames } = await migrate.applyMigrations();
      migrationIds = appliedMigrationNames;
    } finally {
      migrate.stop();
    }
    migrationIdsApplied.length > 0 && console.info();
    if (migrationIds.length === 0) {
      if (migrationIdsApplied.length > 0) {
        console.info(`${green("Your database is now in sync with your schema.")}`);
      } else {
        console.info(`Already in sync, no schema change or pending migration was found.`);
      }
    } else {
      console.info();
      console.info(
        `The following migration(s) have been created and applied from new schema changes:

${printFilesFromMigrationIds(
          "migrations",
          migrationIds,
          {
            "migration.sql": ""
          }
        )}

${green("Your database is now in sync with your schema.")}`
      );
    }
    if (!process.env.PRISMA_MIGRATE_SKIP_GENERATE && !args3["--skip-generate"]) {
      await migrate.tryToRunGenerate();
      console.info();
    }
    if ((wasDbCreated || devDiagnostic.action.tag === "reset") && !process.env.PRISMA_MIGRATE_SKIP_SEED && !args3["--skip-seed"]) {
      try {
        const seedCommandFromPkgJson = await getSeedCommandFromPackageJson(process.cwd());
        if (seedCommandFromPkgJson) {
          console.info();
          const successfulSeeding = await executeSeedCommand({ commandFromConfig: seedCommandFromPkgJson });
          if (successfulSeeding) {
            console.info(`
${process.platform === "win32" ? "" : "\u{1F331}  "}The seed command has been executed.
`);
          } else {
            process.exit(1);
          }
        } else {
          const schemaPath3 = await getSchemaPath2(args3["--schema"]);
          await verifySeedConfigAndReturnMessage(schemaPath3);
        }
      } catch (e3) {
        console.error(e3);
      }
    }
    return "";
  }
  async confirmReset({
    datasourceInfo,
    reason
  }) {
    console.info(reason);
    let messageFirstLine = "";
    if (["PostgreSQL", "SQL Server"].includes(datasourceInfo.prettyProvider)) {
      if (datasourceInfo.schemas?.length) {
        messageFirstLine = `We need to reset the following schemas: "${datasourceInfo.schemas.join(", ")}"`;
      } else if (datasourceInfo.schema) {
        messageFirstLine = `We need to reset the "${datasourceInfo.schema}" schema`;
      } else {
        messageFirstLine = `We need to reset the database schema`;
      }
    } else {
      messageFirstLine = `We need to reset the ${datasourceInfo.prettyProvider} database "${datasourceInfo.dbName}"`;
    }
    if (datasourceInfo.dbLocation) {
      messageFirstLine += ` at "${datasourceInfo.dbLocation}"`;
    }
    const messageForPrompt = `${messageFirstLine}
Do you want to continue? ${red("All data will be lost")}.`;
    if (Boolean(import_prompts6.default._injected?.length) === true) {
      console.info(messageForPrompt);
    }
    const confirmation = await (0, import_prompts6.default)({
      type: "confirm",
      name: "value",
      message: messageForPrompt
    });
    return confirmation.value;
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_MigrateDev.help}`);
    }
    return _MigrateDev.help;
  }
};
_MigrateDev.help = format2(`
${process.platform === "win32" ? "" : "\u{1F3CB}\uFE0F  "}Create a migration from changes in Prisma schema, apply it to the database, trigger generators (e.g. Prisma Client)
 
${bold("Usage")}

  ${dim("$")} prisma migrate dev [options]

${bold("Options")}

       -h, --help   Display this help message
         --schema   Custom path to your Prisma schema
       -n, --name   Name the migration
    --create-only   Create a new migration but do not apply it
                    The migration will be empty if there are no changes in Prisma schema
  --skip-generate   Skip triggering generators (e.g. Prisma Client)
      --skip-seed   Skip triggering seed

${bold("Examples")}

  Create a migration from changes in Prisma schema, apply it to the database, trigger generators (e.g. Prisma Client)
  ${dim("$")} prisma migrate dev

  Specify a schema
  ${dim("$")} prisma migrate dev --schema=./schema.prisma

  Create a migration without applying it
  ${dim("$")} prisma migrate dev --create-only
  `);
var MigrateDev = _MigrateDev;

// ../migrate/src/commands/MigrateDiff.ts
init_src();
init_colors();
var import_path35 = __toESM(require("path"));
var debug25 = src_default("prisma:migrate:diff");
var helpOptions2 = format2(
  `${bold("Usage")}

  ${dim("$")} prisma migrate diff [options]

${bold("Options")}

  -h, --help               Display this help message

${italic("From and To inputs (1 `--from-...` and 1 `--to-...` must be provided):")}
  --from-url               A datasource URL
  --to-url

  --from-empty             Flag to assume from or to is an empty datamodel
  --to-empty

  --from-schema-datamodel  Path to a Prisma schema file, uses the ${italic("datamodel")} for the diff
  --to-schema-datamodel

  --from-schema-datasource Path to a Prisma schema file, uses the ${italic("datasource url")} for the diff
  --to-schema-datasource

  --from-migrations        Path to the Prisma Migrate migrations directory
  --to-migrations

${italic("Shadow database (only required if using --from-migrations or --to-migrations):")}
  --shadow-database-url    URL for the shadow database

${bold("Flags")}

  --script                 Render a SQL script to stdout instead of the default human readable summary (not supported on MongoDB)
  --exit-code              Change the exit code behavior to signal if the diff is empty or not (Empty: 0, Error: 1, Not empty: 2). Default behavior is Success: 0, Error: 1.`
);
var _MigrateDiff = class _MigrateDiff {
  static new() {
    return new _MigrateDiff();
  }
  async parse(argv) {
    const args3 = arg2(
      argv,
      {
        "--help": Boolean,
        "-h": "--help",
        // From
        "--from-empty": Boolean,
        "--from-schema-datasource": String,
        "--from-schema-datamodel": String,
        "--from-url": String,
        "--from-migrations": String,
        // To
        "--to-empty": Boolean,
        "--to-schema-datasource": String,
        "--to-schema-datamodel": String,
        "--to-url": String,
        "--to-migrations": String,
        // Others
        "--shadow-database-url": String,
        "--script": Boolean,
        "--exit-code": Boolean,
        "--telemetry-information": String
      },
      false
    );
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("migrate diff", args3, false);
    if (args3["--help"]) {
      return this.help();
    }
    const numberOfFromParameterProvided = Number(Boolean(args3["--from-empty"])) + Number(Boolean(args3["--from-schema-datasource"])) + Number(Boolean(args3["--from-schema-datamodel"])) + Number(Boolean(args3["--from-url"])) + Number(Boolean(args3["--from-migrations"]));
    const numberOfToParameterProvided = Number(Boolean(args3["--to-empty"])) + Number(Boolean(args3["--to-schema-datasource"])) + Number(Boolean(args3["--to-schema-datamodel"])) + Number(Boolean(args3["--to-url"])) + Number(Boolean(args3["--to-migrations"]));
    if (numberOfFromParameterProvided !== 1 || numberOfToParameterProvided !== 1) {
      const errorMessages = [];
      if (numberOfFromParameterProvided !== 1) {
        errorMessages.push(`${numberOfFromParameterProvided} \`--from-...\` parameter(s) provided. 1 must be provided.`);
      }
      if (numberOfToParameterProvided !== 1) {
        errorMessages.push(`${numberOfToParameterProvided} \`--to-...\` parameter(s) provided. 1 must be provided.`);
      }
      return this.help(`${errorMessages.join("\n")}`);
    }
    let from;
    if (args3["--from-empty"]) {
      from = {
        tag: "empty"
      };
    } else if (args3["--from-schema-datasource"]) {
      loadEnvFile2(args3["--from-schema-datasource"], false);
      from = {
        tag: "schemaDatasource",
        schema: import_path35.default.resolve(args3["--from-schema-datasource"])
      };
    } else if (args3["--from-schema-datamodel"]) {
      from = {
        tag: "schemaDatamodel",
        schema: import_path35.default.resolve(args3["--from-schema-datamodel"])
      };
    } else if (args3["--from-url"]) {
      from = {
        tag: "url",
        url: args3["--from-url"]
      };
    } else if (args3["--from-migrations"]) {
      from = {
        tag: "migrations",
        path: import_path35.default.resolve(args3["--from-migrations"])
      };
    }
    let to2;
    if (args3["--to-empty"]) {
      to2 = {
        tag: "empty"
      };
    } else if (args3["--to-schema-datasource"]) {
      loadEnvFile2(args3["--to-schema-datasource"], false);
      to2 = {
        tag: "schemaDatasource",
        schema: import_path35.default.resolve(args3["--to-schema-datasource"])
      };
    } else if (args3["--to-schema-datamodel"]) {
      to2 = {
        tag: "schemaDatamodel",
        schema: import_path35.default.resolve(args3["--to-schema-datamodel"])
      };
    } else if (args3["--to-url"]) {
      to2 = {
        tag: "url",
        url: args3["--to-url"]
      };
    } else if (args3["--to-migrations"]) {
      to2 = {
        tag: "migrations",
        path: import_path35.default.resolve(args3["--to-migrations"])
      };
    }
    const migrate = new Migrate();
    let result;
    try {
      result = await migrate.engine.migrateDiff({
        from,
        to: to2,
        script: args3["--script"] || false,
        // default is false
        shadowDatabaseUrl: args3["--shadow-database-url"],
        exitCode: args3["--exit-code"]
      });
    } finally {
      migrate.stop();
    }
    debug25(result);
    if (args3["--exit-code"] && result.exitCode) {
      process.exit(result.exitCode);
    }
    return ``;
  }
  help(error2) {
    if (error2) {
      throw new HelpError2(`
${error2}

${helpOptions2}`);
    }
    return _MigrateDiff.help;
  }
};
_MigrateDiff.help = format2(`
${process.platform === "win32" ? "" : "\u{1F50D} "}Compares the database schema from two arbitrary sources, and outputs the differences either as a human-readable summary (by default) or an executable script.

${green(`prisma migrate diff`)} is a read-only command that does not write to your datasource(s).
${green(`prisma db execute`)} can be used to execute its ${green(`--script`)} output.

The command takes a source ${green(`--from-...`)} and a destination ${green(`--to-...`)}.
The source and destination must use the same provider,
e.g. a diff using 2 different providers like PostgreSQL and SQLite is not supported.

It compares the source with the destination to generate a diff. 
The diff can be interpreted as generating a migration that brings the source schema (from) to the shape of the destination schema (to).
The default output is a human readable diff, it can be rendered as SQL using \`--script\` on SQL databases.

See the documentation for more information ${link3("https://pris.ly/d/migrate-diff")}

${helpOptions2}
${bold("Examples")}
 
  From database to database as summary
    e.g. compare two live databases
  ${dim("$")} prisma migrate diff \\
    --from-url "$DATABASE_URL" \\
    --to-url "postgresql://login:password@localhost:5432/db2"
  
  From a live database to a Prisma datamodel
    e.g. roll forward after a migration failed in the middle
  ${dim("$")} prisma migrate diff \\
    --shadow-database-url "$SHADOW_DB" \\
    --from-url "$PROD_DB" \\
    --to-schema-datamodel=next_datamodel.prisma \\
    --script
  
  From a live database to a datamodel 
    e.g. roll backward after a migration failed in the middle
  ${dim("$")} prisma migrate diff \\
    --shadow-database-url "$SHADOW_DB" \\
    --from-url "$PROD_DB" \\
    --to-schema-datamodel=previous_datamodel.prisma \\
    --script
  
  From a Prisma Migrate \`migrations\` directory to another database
    e.g. generate a migration for a hotfix already applied on production
  ${dim("$")} prisma migrate diff \\
    --shadow-database-url "$SHADOW_DB" \\
    --from-migrations ./migrations \\
    --to-url "$PROD_DB" \\
    --script

  Execute the --script output with \`prisma db execute\` using bash pipe \`|\`
  ${dim("$")} prisma migrate diff \\
    --from-[...] \\
    --to-[...] \\
    --script | prisma db execute --stdin --url="$DATABASE_URL"

  Detect if both sources are in sync, it will exit with exit code 2 if changes are detected
  ${dim("$")} prisma migrate diff \\
    --exit-code \\
    --from-[...] \\
    --to-[...]
`);
var MigrateDiff = _MigrateDiff;

// ../migrate/src/commands/MigrateReset.ts
init_colors();
var import_prompts7 = __toESM(require_prompts3());
var _MigrateReset = class _MigrateReset {
  static new() {
    return new _MigrateReset();
  }
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--force": Boolean,
      "-f": "--force",
      "--skip-generate": Boolean,
      "--skip-seed": Boolean,
      "--schema": String,
      "--telemetry-information": String
    });
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("migrate reset", args3, true);
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    printDatasource({ datasourceInfo: await getDatasourceInfo({ schemaPath: schemaPath2 }) });
    const wasDbCreated = await ensureDatabaseExists("create", schemaPath2);
    if (wasDbCreated) {
      console.info();
      console.info(wasDbCreated);
    }
    console.info();
    if (!args3["--force"]) {
      if (!canPrompt2()) {
        throw new MigrateResetEnvNonInteractiveError();
      }
      const confirmation = await (0, import_prompts7.default)({
        type: "confirm",
        name: "value",
        message: `Are you sure you want to reset your database? ${red("All data will be lost")}.`
      });
      console.info();
      if (!confirmation.value) {
        console.info("Reset cancelled.");
        process.exit(130);
      }
    }
    const migrate = new Migrate(schemaPath2);
    let migrationIds;
    try {
      await migrate.reset();
      const { appliedMigrationNames } = await migrate.applyMigrations();
      migrationIds = appliedMigrationNames;
    } finally {
      migrate.stop();
    }
    if (migrationIds.length === 0) {
      console.info(`${green("Database reset successful\n")}`);
    } else {
      console.info();
      console.info(
        `${green("Database reset successful")}

The following migration(s) have been applied:

${printFilesFromMigrationIds("migrations", migrationIds, {
          "migration.sql": ""
        })}`
      );
    }
    if (!process.env.PRISMA_MIGRATE_SKIP_GENERATE && !args3["--skip-generate"]) {
      await migrate.tryToRunGenerate();
    }
    if (!process.env.PRISMA_MIGRATE_SKIP_SEED && !args3["--skip-seed"]) {
      const seedCommandFromPkgJson = await getSeedCommandFromPackageJson(process.cwd());
      if (seedCommandFromPkgJson) {
        console.info();
        const successfulSeeding = await executeSeedCommand({ commandFromConfig: seedCommandFromPkgJson });
        if (successfulSeeding) {
          console.info(`
${process.platform === "win32" ? "" : "\u{1F331}  "}The seed command has been executed.`);
        } else {
          process.exit(1);
        }
      } else {
        const schemaPath3 = await getSchemaPath2(args3["--schema"]);
        await verifySeedConfigAndReturnMessage(schemaPath3);
      }
    }
    return ``;
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_MigrateReset.help}`);
    }
    return _MigrateReset.help;
  }
};
_MigrateReset.help = format2(`
Reset your database and apply all migrations, all data will be lost

${bold("Usage")}

  ${dim("$")} prisma migrate reset [options]

${bold("Options")}

       -h, --help   Display this help message
         --schema   Custom path to your Prisma schema
  --skip-generate   Skip triggering generators (e.g. Prisma Client)
      --skip-seed   Skip triggering seed
      -f, --force   Skip the confirmation prompt

${bold("Examples")}

  Reset your database and apply all migrations, all data will be lost
  ${dim("$")} prisma migrate reset

  Specify a schema
  ${dim("$")} prisma migrate reset --schema=./schema.prisma 

  Use --force to skip the confirmation prompt
  ${dim("$")} prisma migrate reset --force
  `);
var MigrateReset = _MigrateReset;

// ../migrate/src/commands/MigrateResolve.ts
init_colors();
var _MigrateResolve = class _MigrateResolve {
  static new() {
    return new _MigrateResolve();
  }
  async parse(argv) {
    const args3 = arg2(
      argv,
      {
        "--help": Boolean,
        "-h": "--help",
        "--applied": String,
        "--rolled-back": String,
        "--schema": String,
        "--telemetry-information": String
      },
      false
    );
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("migrate resolve", args3, true);
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    printDatasource({ datasourceInfo: await getDatasourceInfo({ schemaPath: schemaPath2 }) });
    if (!args3["--applied"] && !args3["--rolled-back"]) {
      throw new Error(
        `--applied or --rolled-back must be part of the command like:
${bold(green(getCommandWithExecutor2("prisma migrate resolve --applied 20201231000000_example")))}
${bold(green(getCommandWithExecutor2("prisma migrate resolve --rolled-back 20201231000000_example")))}`
      );
    } else if (args3["--applied"] && args3["--rolled-back"]) {
      throw new Error("Pass either --applied or --rolled-back, not both.");
    }
    if (args3["--applied"]) {
      if (typeof args3["--applied"] !== "string" || args3["--applied"].length === 0) {
        throw new Error(
          `--applied value must be a string like ${bold(
            green(getCommandWithExecutor2("prisma migrate resolve --applied 20201231000000_example"))
          )}`
        );
      }
      await ensureCanConnectToDatabase(schemaPath2);
      const migrate = new Migrate(schemaPath2);
      try {
        await migrate.markMigrationApplied({
          migrationId: args3["--applied"]
        });
      } finally {
        migrate.stop();
      }
      return `Migration ${args3["--applied"]} marked as applied.`;
    } else {
      if (typeof args3["--rolled-back"] !== "string" || args3["--rolled-back"].length === 0) {
        throw new Error(
          `--rolled-back value must be a string like ${bold(
            green(getCommandWithExecutor2("prisma migrate resolve --rolled-back 20201231000000_example"))
          )}`
        );
      }
      await ensureCanConnectToDatabase(schemaPath2);
      const migrate = new Migrate(schemaPath2);
      try {
        await migrate.markMigrationRolledBack({
          migrationId: args3["--rolled-back"]
        });
      } finally {
        migrate.stop();
      }
      return `Migration ${args3["--rolled-back"]} marked as rolled back.`;
    }
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_MigrateResolve.help}`);
    }
    return _MigrateResolve.help;
  }
};
_MigrateResolve.help = format2(`
Resolve issues with database migrations in deployment databases: 
- recover from failed migrations
- baseline databases when starting to use Prisma Migrate on existing databases
- reconcile hotfixes done manually on databases with your migration history

Run "prisma migrate status" to identify if you need to use resolve.

Read more about resolving migration history issues: ${link3("https://pris.ly/d/migrate-resolve")}
 
${bold("Usage")}

  ${dim("$")} prisma migrate resolve [options]
  
${bold("Options")}

    -h, --help   Display this help message
      --schema   Custom path to your Prisma schema
     --applied   Record a specific migration as applied
 --rolled-back   Record a specific migration as rolled back

${bold("Examples")}

  Update migrations table, recording a specific migration as applied 
  ${dim("$")} prisma migrate resolve --applied 20201231000000_add_users_table

  Update migrations table, recording a specific migration as rolled back
  ${dim("$")} prisma migrate resolve --rolled-back 20201231000000_add_users_table

  Specify a schema
  ${dim("$")} prisma migrate resolve --rolled-back 20201231000000_add_users_table --schema=./schema.prisma
`);
var MigrateResolve = _MigrateResolve;

// ../migrate/src/commands/MigrateStatus.ts
init_src();
init_colors();
var debug26 = src_default("prisma:migrate:status");
var _MigrateStatus = class _MigrateStatus {
  static new() {
    return new _MigrateStatus();
  }
  async parse(argv) {
    const args3 = arg2(
      argv,
      {
        "--help": Boolean,
        "-h": "--help",
        "--schema": String,
        "--telemetry-information": String
      },
      false
    );
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    await checkUnsupportedDataProxy2("migrate status", args3, true);
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    printDatasource({ datasourceInfo: await getDatasourceInfo({ schemaPath: schemaPath2 }) });
    const migrate = new Migrate(schemaPath2);
    await ensureCanConnectToDatabase(schemaPath2);
    let diagnoseResult;
    let listMigrationDirectoriesResult;
    try {
      diagnoseResult = await migrate.diagnoseMigrationHistory({
        optInToShadowDatabase: false
      });
      debug26({ diagnoseResult: JSON.stringify(diagnoseResult, null, 2) });
      listMigrationDirectoriesResult = await migrate.listMigrationDirectories();
      debug26({ listMigrationDirectoriesResult });
    } finally {
      migrate.stop();
    }
    console.log();
    if (listMigrationDirectoriesResult.migrations.length > 0) {
      const migrations = listMigrationDirectoriesResult.migrations;
      console.info(`${migrations.length} migration${migrations.length > 1 ? "s" : ""} found in prisma/migrations
`);
    } else {
      console.info(`No migration found in prisma/migrations
`);
    }
    let unappliedMigrations = [];
    if (diagnoseResult.history?.diagnostic === "databaseIsBehind") {
      unappliedMigrations = diagnoseResult.history.unappliedMigrationNames;
      console.info(
        `Following migration${unappliedMigrations.length > 1 ? "s" : ""} have not yet been applied:
${unappliedMigrations.join("\n")}

To apply migrations in development run ${bold(green(getCommandWithExecutor2(`prisma migrate dev`)))}.
To apply migrations in production run ${bold(green(getCommandWithExecutor2(`prisma migrate deploy`)))}.`
      );
      process.exit(1);
    } else if (diagnoseResult.history?.diagnostic === "historiesDiverge") {
      console.error(`Your local migration history and the migrations table from your database are different:

The last common migration is: ${diagnoseResult.history.lastCommonMigrationName}

The migration${diagnoseResult.history.unappliedMigrationNames.length > 1 ? "s" : ""} have not yet been applied:
${diagnoseResult.history.unappliedMigrationNames.join("\n")}

The migration${diagnoseResult.history.unpersistedMigrationNames.length > 1 ? "s" : ""} from the database are not found locally in prisma/migrations:
${diagnoseResult.history.unpersistedMigrationNames.join("\n")}`);
      process.exit(1);
    }
    if (!diagnoseResult.hasMigrationsTable) {
      if (listMigrationDirectoriesResult.migrations.length === 0) {
        console.error(`The current database is not managed by Prisma Migrate.
        
Read more about how to baseline an existing production database:
${link3("https://pris.ly/d/migrate-baseline")}`);
        process.exit(1);
      } else {
        const migrationId = listMigrationDirectoriesResult.migrations.shift();
        console.error(`The current database is not managed by Prisma Migrate.

If you want to keep the current database structure and data and create new migrations, baseline this database with the migration "${migrationId}":
${bold(green(getCommandWithExecutor2(`prisma migrate resolve --applied "${migrationId}"`)))}

Read more about how to baseline an existing production database:
https://pris.ly/d/migrate-baseline`);
        process.exit(1);
      }
    } else if (diagnoseResult.failedMigrationNames.length > 0) {
      const failedMigrations = diagnoseResult.failedMigrationNames;
      console.error(
        `Following migration${failedMigrations.length > 1 ? "s" : ""} have failed:
${failedMigrations.join("\n")}

During development if the failed migration(s) have not been deployed to a production database you can then fix the migration(s) and run ${bold(
          green(getCommandWithExecutor2(`prisma migrate dev`))
        )}.
`
      );
      console.error(`The failed migration(s) can be marked as rolled back or applied:
      
- If you rolled back the migration(s) manually:
${bold(green(getCommandWithExecutor2(`prisma migrate resolve --rolled-back "${failedMigrations[0]}"`)))}

- If you fixed the database manually (hotfix):
${bold(green(getCommandWithExecutor2(`prisma migrate resolve --applied "${failedMigrations[0]}"`)))}

Read more about how to resolve migration issues in a production database:
${link3("https://pris.ly/d/migrate-resolve")}`);
      process.exit(1);
    } else {
      console.info();
      if (unappliedMigrations.length === 0) {
        return `Database schema is up to date!`;
      }
    }
    return "";
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_MigrateStatus.help}`);
    }
    return _MigrateStatus.help;
  }
};
_MigrateStatus.help = format2(`
Check the status of your database migrations

  ${bold("Usage")}

    ${dim("$")} prisma migrate status [options]
    
  ${bold("Options")}

  -h, --help   Display this help message
    --schema   Custom path to your Prisma schema

  ${bold("Examples")}

  Check the status of your database migrations
  ${dim("$")} prisma migrate status

  Specify a schema
  ${dim("$")} prisma migrate status --schema=./schema.prisma
`);
var MigrateStatus = _MigrateStatus;

// ../migrate/src/utils/getDatabaseVersionSafe.ts
init_src();
var debug27 = src_default("prisma:cli");
async function getDatabaseVersionSafe(args3) {
  let engine;
  let dbVersion;
  try {
    engine = new SchemaEngine({
      projectDir: process.cwd()
    });
    dbVersion = await engine.getDatabaseVersion(args3);
  } catch (e3) {
    debug27(e3);
  } finally {
    if (engine && engine.isRunning) {
      engine.stop();
    }
  }
  return dbVersion;
}

// src/bin.ts
init_colors();
var import_path41 = __toESM(require("path"));

// src/CLI.ts
var import_engines7 = require("@prisma/engines");
init_colors();

// src/Version.ts
var import_engines6 = require("@prisma/engines");
init_src2();
init_colors();
init_dist();

// src/utils/getClientVersion.ts
var import_fs30 = __toESM(require("fs"));
var import_module = __toESM(require("module"));
var import_pkg_up2 = __toESM(require_pkg_up());
async function getInstalledPrismaClientVersion(cwd = process.cwd()) {
  return await getPrismaClientVersionFromNodeModules(cwd) ?? await getPrismaClientVersionFromLocalPackageJson(cwd);
}
async function getPrismaClientVersionFromNodeModules(cwd = process.cwd()) {
  try {
    const pkgJsonPath = requireResolveFrom("@prisma/client/package.json", cwd);
    if (!pkgJsonPath) {
      return null;
    }
    const pkgJsonString = await import_fs30.default.promises.readFile(pkgJsonPath, "utf-8");
    const pkgJson = JSON.parse(pkgJsonString);
    if (!pkgJson.version) {
      return null;
    }
    return pkgJson.version;
  } catch {
    return null;
  }
}
async function getPrismaClientVersionFromLocalPackageJson(cwd = process.cwd()) {
  try {
    const pkgJsonPath = await (0, import_pkg_up2.default)({ cwd });
    if (!pkgJsonPath) {
      return null;
    }
    const pkgJsonString = await import_fs30.default.promises.readFile(pkgJsonPath, "utf-8");
    const pkgJson = JSON.parse(pkgJsonString);
    const clientVersion = pkgJson.dependencies?.["@prisma/client"] ?? pkgJson.devDependencies?.["@prisma/client"];
    if (!clientVersion) {
      return null;
    }
    return clientVersion;
  } catch {
    return null;
  }
}
function requireResolveFrom(moduleId, fromDir) {
  try {
    const resolvedPath = require.resolve(moduleId, {
      paths: import_module.default._nodeModulePaths(fromDir)
    });
    return resolvedPath;
  } catch {
    return null;
  }
}

// src/Version.ts
var packageJson3 = require_package5();
var _Version = class _Version {
  static new() {
    return new _Version();
  }
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--version": Boolean,
      "-v": "--version",
      "--json": Boolean,
      "--telemetry-information": String
    });
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(void 0, true);
    const platform2 = await getPlatform2();
    const cliQueryEngineBinaryType = (0, import_engines6.getCliQueryEngineBinaryType)();
    const [enginesMetaInfo, enginesMetaInfoErrors] = await getEnginesMetaInfo2();
    const enginesRows = enginesMetaInfo.map((engineMetaInfo) => {
      return K(engineMetaInfo).with({ "query-engine": S.select() }, (currEngineInfo) => {
        return [
          `Query Engine${cliQueryEngineBinaryType === "libquery-engine" /* QueryEngineLibrary */ ? " (Node-API)" : " (Binary)"}`,
          currEngineInfo
        ];
      }).with({ "schema-engine": S.select() }, (currEngineInfo) => {
        return ["Schema Engine", currEngineInfo];
      }).exhaustive();
    });
    const prismaClientVersion = await getInstalledPrismaClientVersion();
    const rows = [
      [packageJson3.name, packageJson3.version],
      ["@prisma/client", prismaClientVersion ?? "Not found"],
      ["Current platform", platform2],
      ...enginesRows,
      ["Schema Wasm", `@prisma/prisma-schema-wasm ${wasm_exports.prismaSchemaWasmVersion}`],
      ["Default Engines Hash", import_engines6.enginesVersion],
      ["Studio", packageJson3.devDependencies["@prisma/studio-server"]]
    ];
    if (enginesMetaInfoErrors.length > 0) {
      process.exitCode = 1;
      enginesMetaInfoErrors.forEach((e3) => console.error(e3));
    }
    const schemaPath2 = await getSchemaPath2();
    const featureFlags = await this.getFeatureFlags(schemaPath2);
    if (featureFlags && featureFlags.length > 0) {
      rows.push(["Preview Features", featureFlags.join(", ")]);
    }
    return formatTable2(rows, { json: args3["--json"] });
  }
  async getFeatureFlags(schemaPath2) {
    if (!schemaPath2) {
      return [];
    }
    try {
      const datamodel2 = await getSchema2();
      const config2 = await getConfig2({
        datamodel: datamodel2,
        ignoreEnvVarErrors: true
      });
      const generator = config2.generators.find((g2) => g2.previewFeatures.length > 0);
      if (generator) {
        return generator.previewFeatures;
      }
    } catch (e3) {
    }
    return [];
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_Version.help}`);
    }
    return _Version.help;
  }
};
_Version.help = format2(`
  Print current version of Prisma components

  ${bold("Usage")}

    ${dim("$")} prisma -v [options]
    ${dim("$")} prisma version [options]

  ${bold("Options")}

    -h, --help     Display this help message
        --json     Output JSON
`);
var Version = _Version;

// src/CLI.ts
var _CLI = class _CLI {
  constructor(cmds, ensureBinaries) {
    this.cmds = cmds;
    this.ensureBinaries = ensureBinaries;
  }
  static new(cmds, ensureBinaries) {
    return new _CLI(cmds, ensureBinaries);
  }
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--version": Boolean,
      "-v": "--version",
      "--json": Boolean,
      // for -v
      "--experimental": Boolean,
      "--preview-feature": Boolean,
      "--early-access-feature": Boolean,
      "--telemetry-information": String
    });
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    if (args3["--version"]) {
      await (0, import_engines7.ensureBinariesExist)();
      return Version.new().parse(argv);
    }
    if (args3._.length === 0 || args3["--help"]) {
      return this.help();
    }
    const cmdName = args3._[0];
    if (cmdName === "lift") {
      throw new Error(`${red("prisma lift")} has been renamed to ${green("prisma migrate")}`);
    } else if (cmdName === "introspect") {
      logger_exports.warn("");
      logger_exports.warn(
        `${bold(
          `The ${underline("prisma introspect")} command is deprecated. Please use ${green("prisma db pull")} instead.`
        )}`
      );
      logger_exports.warn("");
    }
    const cmd = this.cmds[cmdName];
    if (cmd) {
      if (this.ensureBinaries.includes(cmdName)) {
        await (0, import_engines7.ensureBinariesExist)();
      }
      let argsForCmd;
      if (args3["--experimental"]) {
        argsForCmd = [...args3._.slice(1), `--experimental=${args3["--experimental"]}`];
      } else if (args3["--preview-feature"]) {
        argsForCmd = [...args3._.slice(1), `--preview-feature=${args3["--preview-feature"]}`];
      } else if (args3["--early-access-feature"]) {
        argsForCmd = [...args3._.slice(1), `--early-access-feature=${args3["--early-access-feature"]}`];
      } else {
        argsForCmd = args3._.slice(1);
      }
      return cmd.parse(argsForCmd);
    }
    return unknownCommand2(this.help(), args3._[0]);
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_CLI.help}`);
    }
    return _CLI.help;
  }
};
_CLI.help = format2(`
    ${process.platform === "win32" ? "" : bold(green("\u25ED  "))}Prisma is a modern DB toolkit to query, migrate and model your database (${link3("https://prisma.io")})

    ${bold("Usage")}

      ${dim("$")} prisma [command]

    ${bold("Commands")}

                init   Set up Prisma for your app
            generate   Generate artifacts (e.g. Prisma Client)
                  db   Manage your database schema and lifecycle
             migrate   Migrate your database
              studio   Browse your data with Prisma Studio
            validate   Validate your Prisma schema
              format   Format your Prisma schema

    ${bold("Flags")}

         --preview-feature   Run Preview Prisma commands

    ${bold("Examples")}

      Set up a new Prisma project
      ${dim("$")} prisma init

      Generate artifacts (e.g. Prisma Client)
      ${dim("$")} prisma generate

      Browse your data
      ${dim("$")} prisma studio

      Create migrations from your Prisma schema, apply them to the database, generate artifacts (e.g. Prisma Client)
      ${dim("$")} prisma migrate dev
  
      Pull the schema from an existing database, updating the Prisma schema
      ${dim("$")} prisma db pull

      Push the Prisma schema state to the database
      ${dim("$")} prisma db push

      Validate your Prisma schema
      ${dim("$")} prisma validate

      Format your Prisma schema
      ${dim("$")} prisma format
  `);
var CLI = _CLI;

// src/Format.ts
var import_fs31 = __toESM(require("fs"));
init_colors();
var _Format = class _Format {
  static new() {
    return new _Format();
  }
  async parse(argv) {
    const before = Math.round(performance.now());
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--schema": String,
      "--telemetry-information": String
    });
    if (args3 instanceof Error) {
      return this.help(args3.message);
    }
    if (args3["--help"]) {
      return this.help();
    }
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    const output = await formatSchema2({ schemaPath: schemaPath2 });
    validate2({
      datamodel: output
    });
    import_fs31.default.writeFileSync(schemaPath2, output);
    const after = Math.round(performance.now());
    return `Formatted ${underline(schemaPath2)} in ${formatms2(after - before)} \u{1F680}`;
  }
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_Format.help}`);
    }
    return _Format.help;
  }
};
_Format.help = format2(`
Format a Prisma schema.

${bold("Usage")}

  ${dim("$")} prisma format [options]

${bold("Options")}

  -h, --help   Display this help message
    --schema   Custom path to your Prisma schema

${bold("Examples")}

With an existing Prisma schema
  ${dim("$")} prisma format

Or specify a Prisma schema path
  ${dim("$")} prisma format --schema=./schema.prisma

  `);
var Format = _Format;

// src/Generate.ts
var import_engines8 = require("@prisma/engines");
var import_fs32 = __toESM(require("fs"));
init_colors();
var import_log_update2 = __toESM(require_log_update());
var import_os5 = __toESM(require("os"));
var import_path36 = __toESM(require("path"));
var import_resolve_pkg = __toESM(require_resolve_pkg());

// src/generate/getHardcodedUrlWarning.ts
function getHardcodedUrlWarning(config2) {
  const datasource = config2.datasources?.[0];
  if (datasource !== void 0 && datasource.provider !== "sqlite" && (datasource.url.fromEnvVar === null || datasource.directUrl?.fromEnvVar === null)) {
    return `
\u{1F6D1} Hardcoding URLs in your schema poses a security risk: ${link3("https://pris.ly/d/datasource-env")}
`;
  }
  return "";
}

// src/utils/breakingChanges.ts
init_colors();
var breakingChangesMessage = `${yellow(bold("warn"))} Prisma 2.12.0 has breaking changes.
You can update your code with
${bold("`npx @prisma/codemods update-2.12 ./`")}
Read more at ${link3("https://pris.ly/2.12")}`;

// src/utils/simpleDebounce.ts
function simpleDebounce(fn2) {
  let executing = false;
  let pendingExecution = null;
  return async (...args3) => {
    if (executing) {
      pendingExecution = args3;
      return null;
    }
    executing = true;
    await fn2(...args3).catch((e3) => console.error(e3));
    if (pendingExecution) {
      await fn2(...pendingExecution).catch((e3) => console.error(e3));
      pendingExecution = null;
    }
    executing = false;
  };
}

// src/Generate.ts
var pkg = eval(`require('../package.json')`);
var _Generate = class _Generate {
  constructor() {
    this.logText = "";
    this.hasGeneratorErrored = false;
    this.runGenerate = simpleDebounce(async ({ generators }) => {
      const message2 = [];
      for (const generator of generators) {
        const before = Math.round(performance.now());
        try {
          await generator.generate();
          const after = Math.round(performance.now());
          message2.push(getGeneratorSuccessMessage2(generator, after - before) + "\n");
          generator.stop();
        } catch (err) {
          this.hasGeneratorErrored = true;
          generator.stop();
          message2.push(`${err.message}

`);
        }
      }
      this.logText += message2.join("\n");
    });
  }
  static new() {
    return new _Generate();
  }
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--watch": Boolean,
      "--schema": String,
      "--data-proxy": Boolean,
      "--accelerate": Boolean,
      "--no-engine": Boolean,
      "--generator": [String],
      // Only used for checkpoint information
      "--postinstall": String,
      "--telemetry-information": String
    });
    const isPostinstall = process.env.PRISMA_GENERATE_IN_POSTINSTALL;
    let cwd = process.cwd();
    if (isPostinstall && isPostinstall !== "true") {
      cwd = isPostinstall;
    }
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    if (args3["--help"]) {
      return this.help();
    }
    const watchMode = args3["--watch"] || false;
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"], cwd);
    if (!schemaPath2)
      return "";
    const datamodel2 = await import_fs32.default.promises.readFile(schemaPath2, "utf-8");
    const config2 = await getConfig2({ datamodel: datamodel2, ignoreEnvVarErrors: true });
    let hasJsClient;
    let generators;
    let clientGeneratorVersion = null;
    try {
      generators = await getGenerators2({
        schemaPath: schemaPath2,
        printDownloadProgress: !watchMode,
        version: import_engines8.enginesVersion,
        cliVersion: pkg.version,
        generatorNames: args3["--generator"],
        postinstall: Boolean(args3["--postinstall"]),
        noEngine: Boolean(args3["--no-engine"]) || Boolean(args3["--data-proxy"]) || // legacy, keep for backwards compatibility
        Boolean(args3["--accelerate"]) || // legacy, keep for backwards compatibility
        Boolean(process.env.PRISMA_GENERATE_DATAPROXY) || // legacy, keep for backwards compatibility
        Boolean(process.env.PRISMA_GENERATE_ACCELERATE) || // legacy, keep for backwards compatibility
        Boolean(process.env.PRISMA_GENERATE_NO_ENGINE)
      });
      if (!generators || generators.length === 0) {
        this.logText += `${missingGeneratorMessage2}
`;
      } else {
        const jsClient = generators.find(
          (g2) => g2.options && parseEnvValue2(g2.options.generator.provider) === "prisma-client-js"
        );
        clientGeneratorVersion = jsClient?.manifest?.version ?? null;
        hasJsClient = Boolean(jsClient);
        try {
          await this.runGenerate({ generators });
        } catch (errRunGenerate) {
          this.logText += `${errRunGenerate.message}

`;
        }
      }
    } catch (errGetGenerators) {
      if (isPostinstall) {
        console.error(`${blue("info")} The postinstall script automatically ran \`prisma generate\`, which failed.
The postinstall script still succeeds but won't generate the Prisma Client.
Please run \`${getCommandWithExecutor2("prisma generate")}\` to see the errors.`);
        return "";
      }
      if (watchMode) {
        this.logText += `${errGetGenerators.message}

`;
      } else {
        throw errGetGenerators;
      }
    }
    let printBreakingChangesMessage = false;
    if (hasJsClient) {
      try {
        const clientVersionBeforeGenerate = getCurrentClientVersion();
        if (clientVersionBeforeGenerate && typeof clientVersionBeforeGenerate === "string") {
          const [major, minor] = clientVersionBeforeGenerate.split(".");
          if (parseInt(major) == 2 && parseInt(minor) < 12) {
            printBreakingChangesMessage = true;
          }
        }
      } catch (e3) {
      }
    }
    if (isPostinstall && printBreakingChangesMessage && logger_exports.should.warn()) {
      return `There have been breaking changes in Prisma Client since you updated last time.
Please run \`prisma generate\` manually.`;
    }
    const watchingText = `
${green("Watching...")} ${dim(schemaPath2)}
`;
    if (!watchMode) {
      const prismaClientJSGenerator = generators?.find(
        (g2) => g2.options?.generator.provider && parseEnvValue2(g2.options?.generator.provider) === "prisma-client-js"
      );
      let hint = "";
      if (prismaClientJSGenerator) {
        const generator = prismaClientJSGenerator.options?.generator;
        const isDeno = generator?.previewFeatures.includes("deno") && !!globalThis.Deno;
        if (isDeno && !generator?.isCustomOutput) {
          throw new Error(`Can't find output dir for generator ${bold(generator.name)} with provider ${bold(
            generator.provider.value
          )}.
When using Deno, you need to define \`output\` in the client generator section of your schema.prisma file.`);
        }
        const importPath = prismaClientJSGenerator.options?.generator?.isCustomOutput ? prefixRelativePathIfNecessary(
          replacePathSeparatorsIfNecessary(
            import_path36.default.relative(process.cwd(), parseEnvValue2(prismaClientJSGenerator.options.generator.output))
          )
        ) : "@prisma/client";
        const breakingChangesStr = printBreakingChangesMessage ? `

${breakingChangesMessage}` : "";
        const versionsOutOfSync = clientGeneratorVersion && pkg.version !== clientGeneratorVersion;
        const versionsWarning = versionsOutOfSync && logger_exports.should.warn() ? `

${yellow(bold("warn"))} Versions of ${bold(`prisma@${pkg.version}`)} and ${bold(
          `@prisma/client@${clientGeneratorVersion}`
        )} don't match.
This might lead to unexpected behavior.
Please make sure they have the same version.` : "";
        hint = `Start using Prisma Client in Node.js (See: ${link3("https://pris.ly/d/client")})
${dim("```")}
${highlightTS2(`import { PrismaClient } from '${importPath}'
const prisma = new PrismaClient()`)}
${dim("```")}
or start using Prisma Client at the edge (See: ${link3("https://pris.ly/d/accelerate")})
${dim("```")}
${highlightTS2(`import { PrismaClient } from '${importPath}/${isDeno ? "deno/" : ""}edge${isDeno ? ".ts" : ""}'
const prisma = new PrismaClient()`)}
${dim("```")}

See other ways of importing Prisma Client: ${link3("http://pris.ly/d/importing-client")}
${getHardcodedUrlWarning(config2)}${breakingChangesStr}${versionsWarning}`;
      }
      const message2 = "\n" + this.logText + (hasJsClient && !this.hasGeneratorErrored ? hint : "");
      if (this.hasGeneratorErrored) {
        if (isPostinstall) {
          logger_exports.info(`The postinstall script automatically ran \`prisma generate\`, which failed.
The postinstall script still succeeds but won't generate the Prisma Client.
Please run \`${getCommandWithExecutor2("prisma generate")}\` to see the errors.`);
          return "";
        }
        throw new Error(message2);
      } else {
        return message2;
      }
    } else {
      (0, import_log_update2.default)(watchingText + "\n" + this.logText);
      import_fs32.default.watch(schemaPath2, async (eventType) => {
        if (eventType === "change") {
          let generatorsWatch;
          try {
            generatorsWatch = await getGenerators2({
              schemaPath: schemaPath2,
              printDownloadProgress: !watchMode,
              version: import_engines8.enginesVersion,
              cliVersion: pkg.version,
              generatorNames: args3["--generator"]
            });
            if (!generatorsWatch || generatorsWatch.length === 0) {
              this.logText += `${missingGeneratorMessage2}
`;
            } else {
              (0, import_log_update2.default)(`
${green("Building...")}

${this.logText}`);
              try {
                await this.runGenerate({
                  generators: generatorsWatch
                });
                (0, import_log_update2.default)(watchingText + "\n" + this.logText);
              } catch (errRunGenerate) {
                this.logText += `${errRunGenerate.message}

`;
                (0, import_log_update2.default)(watchingText + "\n" + this.logText);
              }
            }
          } catch (errGetGenerators) {
            this.logText += `${errGetGenerators.message}

`;
            (0, import_log_update2.default)(watchingText + "\n" + this.logText);
          }
        }
      });
      await new Promise((_3) => null);
    }
    return "";
  }
  // help message
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_Generate.help}`);
    }
    return _Generate.help;
  }
};
_Generate.help = format2(`
Generate artifacts (e.g. Prisma Client)

${bold("Usage")}

  ${dim("$")} prisma generate [options]

${bold("Options")}

    -h, --help   Display this help message
      --schema   Custom path to your Prisma schema
       --watch   Watch the Prisma schema and rerun after a change
   --generator   Generator to use (may be provided multiple times)
   --no-engine   Generate a client for use with Accelerate only

${bold("Examples")}

  With an existing Prisma schema
    ${dim("$")} prisma generate

  Or specify a schema
    ${dim("$")} prisma generate --schema=./schema.prisma

  Run the command with multiple specific generators
    ${dim("$")} prisma generate --generator client1 --generator client2

  Watch Prisma schema file and rerun after each change
    ${dim("$")} prisma generate --watch

`);
var Generate = _Generate;
function prefixRelativePathIfNecessary(relativePath) {
  if (relativePath.startsWith("..")) {
    return relativePath;
  }
  return `./${relativePath}`;
}
function getCurrentClientVersion() {
  try {
    let pkgPath = (0, import_resolve_pkg.default)(".prisma/client", { cwd: process.cwd() });
    if (!pkgPath) {
      const potentialPkgPath = import_path36.default.join(process.cwd(), "node_modules/.prisma/client");
      if (import_fs32.default.existsSync(potentialPkgPath)) {
        pkgPath = potentialPkgPath;
      }
    }
    if (pkgPath) {
      const indexPath = import_path36.default.join(pkgPath, "index.js");
      if (import_fs32.default.existsSync(indexPath)) {
        const program = require(indexPath);
        return program?.prismaVersion?.client ?? program?.Prisma?.prismaVersion?.client;
      }
    }
  } catch (e3) {
    return null;
  }
  return null;
}
function replacePathSeparatorsIfNecessary(path39) {
  const isWindows3 = import_os5.default.platform() === "win32";
  if (isWindows3) {
    return path39.replace(/\\/g, "/");
  }
  return path39;
}

// src/Init.ts
var import_dotenv2 = __toESM(require_main3());
var import_fs33 = __toESM(require("fs"));
init_colors();
var import_path37 = __toESM(require("path"));
init_dist();
var import_util10 = require("util");

// src/utils/prompt/utils/print.ts
init_colors();
function printError(text2) {
  return bold(bgRed(" ERROR ")) + " " + red(text2);
}

// src/Init.ts
var defaultSchema2 = (provider = "postgresql") => {
  return `// This is your Prisma schema file,
// learn more about it in the docs: https://pris.ly/d/prisma-schema

generator client {
  provider = "prisma-client-js"
}

datasource db {
  provider = "${provider}"
  url      = env("DATABASE_URL")
}
`;
};
var defaultEnv = (url2 = "postgresql://johndoe:randompassword@localhost:5432/mydb?schema=public", comments = true) => {
  let env3 = comments ? `# Environment variables declared in this file are automatically made available to Prisma.
# See the documentation for more detail: https://pris.ly/d/prisma-schema#accessing-environment-variables-from-the-schema

# Prisma supports the native connection string format for PostgreSQL, MySQL, SQLite, SQL Server, MongoDB and CockroachDB.
# See the documentation for all the connection string options: https://pris.ly/d/connection-strings

` : "";
  env3 += `DATABASE_URL="${url2}"`;
  return env3;
};
var defaultPort = (provider) => {
  switch (provider) {
    case "mysql":
      return 3306;
    case "sqlserver":
      return 1433;
    case "mongodb":
      return 27017;
    case "postgresql":
      return 5432;
    case "cockroachdb":
      return 26257;
  }
  return void 0;
};
var defaultURL = (provider, port = defaultPort(provider), schema = "public") => {
  switch (provider) {
    case "postgresql":
      return `postgresql://johndoe:randompassword@localhost:${port}/mydb?schema=${schema}`;
    case "cockroachdb":
      return `postgresql://johndoe:randompassword@localhost:${port}/mydb?schema=${schema}`;
    case "mysql":
      return `mysql://johndoe:randompassword@localhost:${port}/mydb`;
    case "sqlserver":
      return `sqlserver://localhost:${port};database=mydb;user=SA;password=randompassword;`;
    case "jdbc:sqlserver":
      return `jdbc:sqlserver://localhost:${port};database=mydb;user=SA;password=randompassword;`;
    case "mongodb":
      return `mongodb+srv://root:randompassword@cluster0.ab1cd.mongodb.net/mydb?retryWrites=true&w=majority`;
    case "sqlite":
      return "file:./dev.db";
  }
};
var defaultGitIgnore = () => {
  return `node_modules
# Keep environment variables out of version control
.env
`;
};
var _Init = class _Init {
  static new() {
    return new _Init();
  }
  // eslint-disable-next-line @typescript-eslint/require-await
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--url": String,
      "--datasource-provider": String
    });
    if ((0, import_util10.isError)(args3) || args3["--help"]) {
      return this.help();
    }
    await checkUnsupportedDataProxy2("init", args3, false);
    const outputDirName = args3._[0];
    if (outputDirName) {
      throw Error("The init command does not take any argument.");
    }
    const outputDir = process.cwd();
    const prismaFolder = import_path37.default.join(outputDir, "prisma");
    if (import_fs33.default.existsSync(import_path37.default.join(outputDir, "schema.prisma"))) {
      console.log(
        printError(`File ${bold("schema.prisma")} already exists in your project.
        Please try again in a project that is not yet using Prisma.
      `)
      );
      process.exit(1);
    }
    if (import_fs33.default.existsSync(prismaFolder)) {
      console.log(
        printError(`A folder called ${bold("prisma")} already exists in your project.
        Please try again in a project that is not yet using Prisma.
      `)
      );
      process.exit(1);
    }
    if (import_fs33.default.existsSync(import_path37.default.join(prismaFolder, "schema.prisma"))) {
      console.log(
        printError(`File ${bold("prisma/schema.prisma")} already exists in your project.
        Please try again in a project that is not yet using Prisma.
      `)
      );
      process.exit(1);
    }
    const { provider, url: url2 } = await K(args3).with(
      {
        "--datasource-provider": S.when((provider2) => Boolean(provider2))
      },
      (input) => {
        const providerLowercase = input["--datasource-provider"].toLowerCase();
        if (!["postgresql", "mysql", "sqlserver", "sqlite", "mongodb", "cockroachdb"].includes(providerLowercase)) {
          throw new Error(
            `Provider "${args3["--datasource-provider"]}" is invalid or not supported. Try again with "postgresql", "mysql", "sqlite", "sqlserver", "mongodb" or "cockroachdb".`
          );
        }
        const provider2 = providerLowercase;
        const url3 = defaultURL(provider2);
        return Promise.resolve({ provider: provider2, url: url3 });
      }
    ).with(
      {
        "--url": S.when((url3) => Boolean(url3))
      },
      async (input) => {
        const url3 = input["--url"];
        const canConnect = await canConnectToDatabase2(url3);
        if (canConnect !== true) {
          const { code, message: message2 } = canConnect;
          if (code !== "P1003") {
            if (code) {
              throw new Error(`${code}: ${message2}`);
            } else {
              throw new Error(message2);
            }
          }
        }
        const provider2 = protocolToConnectorType2(`${url3.split(":")[0]}:`);
        return { provider: provider2, url: url3 };
      }
    ).otherwise(() => {
      return Promise.resolve({ provider: "postgresql", url: void 0 });
    });
    if (!import_fs33.default.existsSync(outputDir)) {
      import_fs33.default.mkdirSync(outputDir);
    }
    if (!import_fs33.default.existsSync(prismaFolder)) {
      import_fs33.default.mkdirSync(prismaFolder);
    }
    import_fs33.default.writeFileSync(import_path37.default.join(prismaFolder, "schema.prisma"), defaultSchema2(provider));
    const warnings = [];
    const envPath = import_path37.default.join(outputDir, ".env");
    if (!import_fs33.default.existsSync(envPath)) {
      import_fs33.default.writeFileSync(envPath, defaultEnv(url2));
    } else {
      const envFile = import_fs33.default.readFileSync(envPath, { encoding: "utf8" });
      const config2 = import_dotenv2.default.parse(envFile);
      if (Object.keys(config2).includes("DATABASE_URL")) {
        warnings.push(
          `${yellow("warn")} Prisma would have added DATABASE_URL but it already exists in ${bold(
            import_path37.default.relative(outputDir, envPath)
          )}`
        );
      } else {
        import_fs33.default.appendFileSync(envPath, `

# This was inserted by \`prisma init\`:
` + defaultEnv(url2));
      }
    }
    const gitignorePath = import_path37.default.join(outputDir, ".gitignore");
    try {
      import_fs33.default.writeFileSync(gitignorePath, defaultGitIgnore(), { flag: "wx" });
    } catch (e3) {
      if (e3.code === "EEXIST") {
        warnings.push(
          `${yellow(
            "warn"
          )} You already have a .gitignore file. Don't forget to add \`.env\` in it to not commit any private information.`
        );
      } else {
        console.error("Failed to write .gitignore file, reason: ", e3);
      }
    }
    const steps = [];
    if (provider === "mongodb") {
      steps.push(`Define models in the schema.prisma file.`);
    } else {
      steps.push(
        `Run ${green(getCommandWithExecutor2("prisma db pull"))} to turn your database schema into a Prisma schema.`
      );
    }
    steps.push(
      `Run ${green(
        getCommandWithExecutor2("prisma generate")
      )} to generate the Prisma Client. You can then start querying your database.`
    );
    if (!url2 || args3["--datasource-provider"]) {
      if (!args3["--datasource-provider"]) {
        steps.unshift(
          `Set the ${green("provider")} of the ${green("datasource")} block in ${green(
            "schema.prisma"
          )} to match your database: ${green("postgresql")}, ${green("mysql")}, ${green("sqlite")}, ${green(
            "sqlserver"
          )}, ${green("mongodb")} or ${green("cockroachdb")}.`
        );
      }
      steps.unshift(
        `Set the ${green("DATABASE_URL")} in the ${green(
          ".env"
        )} file to point to your existing database. If your database has no tables yet, read https://pris.ly/d/getting-started`
      );
    }
    return `
\u2714 Your Prisma schema was created at ${green("prisma/schema.prisma")}
  You can now open it in your favorite editor.
${warnings.length > 0 && logger_exports.should.warn() ? `
${warnings.join("\n")}
` : ""}
Next steps:
${steps.map((s3, i4) => `${i4 + 1}. ${s3}`).join("\n")}

More information in our documentation:
${link3("https://pris.ly/d/getting-started")}
    `;
  }
  // help message
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_Init.help}`);
    }
    return _Init.help;
  }
};
_Init.help = format2(`
  Set up a new Prisma project
    
  ${bold("Usage")}

    ${dim("$")} prisma init [options]
  ${bold("Options")}
    
             -h, --help   Display this help message
  --datasource-provider   Define the datasource provider to use: postgresql, mysql, sqlite, sqlserver, mongodb or cockroachdb
                  --url   Define a custom datasource url

  ${bold("Examples")}

  Set up a new Prisma project with PostgreSQL (default)
    ${dim("$")} prisma init

  Set up a new Prisma project and specify MySQL as the datasource provider to use
    ${dim("$")} prisma init --datasource-provider mysql
  
  Set up a new Prisma project and specify the url that will be used
    ${dim("$")} prisma init --url mysql://user:password@localhost:3306/mydb
  `);
var Init = _Init;

// src/Studio.ts
init_src();
var import_engines9 = require("@prisma/engines");

// ../../node_modules/.pnpm/@prisma+studio-common@0.494.0/node_modules/@prisma/studio-common/dist/index.es.js
var import_buffer2 = require("buffer");
function $parcel$export(e3, n2, v2, s3) {
  Object.defineProperty(e3, n2, { get: v2, set: s3, enumerable: true, configurable: true });
}
var $40437329dfa47999$exports = {};
$parcel$export($40437329dfa47999$exports, "serializeRPCMessage", () => $40437329dfa47999$export$697607adbb68ff53);
$parcel$export($40437329dfa47999$exports, "deserializeRPCMessage", () => $40437329dfa47999$export$b52be4793aa7388c);
var $40437329dfa47999$var$BIGINT_PREFIX = "PrismaBigInt::";
var $40437329dfa47999$var$BYTES_PREFIX = "PrismaBytes::";
function $40437329dfa47999$export$697607adbb68ff53(msg) {
  return JSON.stringify(msg, (_3, value) => {
    if (typeof value === "bigint")
      return $40437329dfa47999$var$BIGINT_PREFIX + value;
    if (value?.type === "Buffer" && Array.isArray(value?.data))
      return $40437329dfa47999$var$BYTES_PREFIX + import_buffer2.Buffer.from(value.data).toString("base64");
    return value;
  });
}
function $40437329dfa47999$export$b52be4793aa7388c(msg) {
  return JSON.parse(msg, (_3, value) => {
    if (typeof value === "string" && value.startsWith($40437329dfa47999$var$BIGINT_PREFIX))
      return BigInt(value.substr($40437329dfa47999$var$BIGINT_PREFIX.length));
    if (typeof value === "string" && value.startsWith($40437329dfa47999$var$BYTES_PREFIX))
      return value.substr($40437329dfa47999$var$BYTES_PREFIX.length);
    return value;
  });
}

// ../../node_modules/.pnpm/@prisma+studio-server@0.494.0_@prisma+client@packages+client_@prisma+internals@packages+internals/node_modules/@prisma/studio-server/dist/index.es.js
var import_cors = __toESM(require_lib8());
var import_express = __toESM(require_express2());
var import_http2 = __toESM(require("http"));
var import_untildify = __toESM(require_untildify());
var import_zlib3 = require("zlib");

// ../../node_modules/.pnpm/@prisma+studio-pcw@0.494.0_@prisma+client@packages+client_@prisma+internals@packages+internals/node_modules/@prisma/studio-pcw/dist/index.es.js
var import_path38 = require("path");
var import_internals30 = __toESM(require_dist6());
var import_crypto3 = require("crypto");
var import_debug28 = __toESM(require_src5());
function $parcel$export2(e3, n2, v2, s3) {
  Object.defineProperty(e3, n2, { get: v2, set: s3, enumerable: true, configurable: true });
}
var $parcel$global = typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : {};
var $parcel$modules = {};
var $parcel$inits = {};
var parcelRequire = $parcel$global["parcelRequire1308"];
if (parcelRequire == null) {
  parcelRequire = function(id2) {
    if (id2 in $parcel$modules) {
      return $parcel$modules[id2].exports;
    }
    if (id2 in $parcel$inits) {
      var init3 = $parcel$inits[id2];
      delete $parcel$inits[id2];
      var module2 = { id: id2, exports: {} };
      $parcel$modules[id2] = module2;
      init3.call(module2.exports, module2, module2.exports);
      return module2.exports;
    }
    var err = new Error("Cannot find module '" + id2 + "'");
    err.code = "MODULE_NOT_FOUND";
    throw err;
  };
  parcelRequire.register = function register(id2, init3) {
    $parcel$inits[id2] = init3;
  };
  $parcel$global["parcelRequire1308"] = parcelRequire;
}
parcelRequire.register("9lTzd", function(module, exports) {
  $parcel$export2(module.exports, "guessEnginePaths", () => guessEnginePaths);
  $parcel$export2(module.exports, "guessPrismaClientPath", () => guessPrismaClientPath);
  var $5COlq = parcelRequire("5COlq");
  async function guessEnginePaths({ forceBinary, forceLibrary, resolveOverrides }) {
    let queryEngineName;
    let queryEngineType;
    if (forceLibrary) {
      queryEngineName = await $5COlq.prismaEngineName("query-engine", "library");
      queryEngineType = "library";
    } else if (forceBinary) {
      queryEngineName = await $5COlq.prismaEngineName("query-engine", "binary");
      queryEngineType = "binary";
    } else {
      queryEngineName = void 0;
      queryEngineType = void 0;
    }
    if (!queryEngineName || !queryEngineType)
      return {
        queryEngine: void 0
      };
    let queryEnginePath;
    if (resolveOverrides[".prisma/client"])
      queryEnginePath = (0, import_path38.resolve)(
        resolveOverrides[".prisma/client"],
        `../${queryEngineName}`
        // This is relative to the `main` field in `.prisma/client`'s package.json
      );
    else if (resolveOverrides["@prisma/engines"])
      queryEnginePath = (0, import_path38.resolve)(
        resolveOverrides["@prisma/engines"],
        `../../${queryEngineName}`
        // This is relative to the `main` field in `@prisma/engine`'s package.json
      );
    else {
      let atPrismaEnginesPath;
      try {
        atPrismaEnginesPath = eval("require.resolve('@prisma/engines')");
      } catch (e3) {
        throw new Error("Unable to resolve Prisma engine paths. This is a bug.");
      }
      queryEnginePath = (0, import_path38.resolve)(
        atPrismaEnginesPath`../../${queryEngineName}`
        // This is relative to the `main` field in `@prisma/engine`'s package.json
      );
    }
    return {
      queryEngine: {
        type: queryEngineType,
        path: queryEnginePath
      }
    };
  }
  function guessPrismaClientPath({ resolveOverrides }) {
    const prismaClientPath = resolveOverrides["@prisma/client"] || eval("require.resolve('@prisma/client')");
    return (0, import_path38.resolve)(prismaClientPath, "../");
  }
});
parcelRequire.register("5COlq", function(module2, exports2) {
  $parcel$export2(module2.exports, "prismaEngineName", () => $e5aff916cd9b2238$export$de3ea48fa3035ca7);
  var $1dWWL2 = parcelRequire("1dWWL");
  async function $e5aff916cd9b2238$export$de3ea48fa3035ca7(engine, type) {
    const platform2 = await $1dWWL2.getPlatform();
    const extension = platform2 === "windows" ? ".exe" : "";
    if (type === "library")
      return (0, import_internals30.getNodeAPIName)(platform2, "fs");
    else if (type === "binary")
      return `${engine}-${platform2}${extension}`;
    else
      throw new Error(`Unknown engine type: ${type}`);
  }
});
parcelRequire.register("1dWWL", function(module2, exports2) {
  $parcel$export2(module2.exports, "getPlatform", () => $f2b68c31b4a71e47$export$867a782338812cb4);
  let $f2b68c31b4a71e47$var$platform;
  async function $f2b68c31b4a71e47$export$867a782338812cb4() {
    if ($f2b68c31b4a71e47$var$platform)
      return $f2b68c31b4a71e47$var$platform;
    $f2b68c31b4a71e47$var$platform = await (0, import_internals30.getPlatform)();
    return $f2b68c31b4a71e47$var$platform;
  }
});
function $29c114c1af14f210$export$2b159e9f72ec30b6(dmmfDataModel) {
  return {
    models: $29c114c1af14f210$var$buildMapForRuntime(dmmfDataModel.models),
    enums: $29c114c1af14f210$var$buildMapForRuntime(dmmfDataModel.enums),
    types: $29c114c1af14f210$var$buildMapForRuntime(dmmfDataModel.types)
  };
}
function $29c114c1af14f210$var$buildMapForRuntime(list) {
  const result = {};
  for (const { name, ...rest } of list)
    result[name] = rest;
  return result;
}
var $890e21dcf20f2c17$export$1c9f709888824e05 = (0, import_debug28.debug)("prisma:studio-pcw");
var $c24cd639ef7e8015$var$datasourceNamePattern = /^\s*datasource\s+([^\s]+)\s*{/m;
var $c24cd639ef7e8015$var$datasourceEnvUrlPattern = /url *= *env\("(.*)"\)/;
var $c24cd639ef7e8015$var$datasourceRawUrlPattern = /url *= *"(.*)"/;
async function $c24cd639ef7e8015$export$2a49a50836093d12({ schema, schemaPath: schemaPath2, dmmf: dmmf2, datasourceProvider, previewFeatures: previewFeatures2, datasources, engineType, paths: paths2, directUrl }) {
  const datasourceName = schema.match($c24cd639ef7e8015$var$datasourceNamePattern)?.[1] ?? "";
  const datasourceEnvUrl = schema.match($c24cd639ef7e8015$var$datasourceEnvUrlPattern)?.[1] ?? null;
  const datasourceRawUrl = schema.match($c24cd639ef7e8015$var$datasourceRawUrlPattern)?.[1] ?? null;
  const { getPrismaClient: InternalsGetPrismaClient, PrismaClientKnownRequestError, PrismaClientRustPanicError, PrismaClientInitializationError, PrismaClientValidationError } = require(`${paths2.prismaClient}/runtime/${engineType}`);
  const inlineSchema = Buffer.from(schema, "utf-8").toString("base64");
  const inlineSchemaHash = (0, import_crypto3.createHash)("sha256").update(inlineSchema).digest("hex");
  const PrismaClient = InternalsGetPrismaClient({
    runtimeDataModel: $29c114c1af14f210$export$2b159e9f72ec30b6(dmmf2.datamodel),
    generator: {
      name: "studio-client",
      provider: {
        value: "prisma-client-js",
        fromEnvVar: null
      },
      output: null,
      binaryTargets: [],
      previewFeatures: previewFeatures2,
      config: {}
    },
    clientVersion: "in-memory",
    engineVersion: "in-memory",
    dirname: (0, import_path38.dirname)(schemaPath2),
    filename: (0, import_path38.basename)(schemaPath2),
    activeProvider: datasourceProvider,
    datasourceNames: [
      datasourceName
    ],
    // SQLite-specific options follow
    relativePath: "",
    relativeEnvPaths: {
      rootEnvPath: "",
      schemaEnvPath: ""
    },
    inlineDatasources: {
      [datasourceName]: {
        url: {
          fromEnvVar: datasourceEnvUrl,
          value: datasourceRawUrl
        }
      }
    },
    inlineSchema,
    inlineSchemaHash
  });
  if (directUrl)
    datasources = {
      [datasourceName]: {
        url: directUrl
      }
    };
  $890e21dcf20f2c17$export$1c9f709888824e05("[getPrismaClient]", {
    prismaClientPath: paths2.prismaClient,
    queryEngine: paths2.queryEngine,
    previewFeatures: previewFeatures2,
    datasources
  });
  const prisma = new PrismaClient({
    errorFormat: "colorless",
    datasources,
    __internal: {
      engine: {
        binaryPath: paths2.queryEngine?.path
      }
    }
  });
  return {
    prisma,
    PrismaClient,
    PrismaClientKnownRequestError,
    PrismaClientRustPanicError,
    PrismaClientInitializationError,
    PrismaClientValidationError
  };
}
function $c8c91fd3cef865dd$export$abc1f3ee64aa2d2e({ generator, forceBinary: forceBinary2, forceLibrary: forceLibrary2, paths: paths2 }) {
  const { externalToInternalDmmf } = require(`${paths2.prismaClient}/generator-build/index.js`);
  const dmmf2 = externalToInternalDmmf(generator.options.dmmf);
  const datasourceProvider = generator.options.datasources?.[0]?.activeProvider;
  if (!datasourceProvider)
    throw new Error("Could not find a `datasource` declaration in your Prisma Schema. Please declare one, then try again. Read more about the Prisma Schema: https://pris.ly/prisma-schema");
  let previewFeatures2 = generator.config.previewFeatures || [];
  if (forceLibrary2)
    !previewFeatures2.includes("nApi") && previewFeatures2.push("nApi");
  else if (forceBinary2)
    previewFeatures2 = previewFeatures2.filter(
      (p2) => p2 !== "nApi"
    );
  return {
    dmmf: dmmf2,
    datasourceProvider,
    previewFeatures: previewFeatures2
  };
}
async function $8c557cda2dde87ef$export$569332143708bf93({ schemaPath: schemaPath2, forceBinary: forceBinary2, forceLibrary: forceLibrary2, paths: paths2, dataProxy }) {
  $890e21dcf20f2c17$export$1c9f709888824e05("[getDMMF] Calling getGenerator with:", {
    paths: paths2
  });
  const prismaGenerators = await (0, import_internals30.getGenerators)({
    schemaPath: schemaPath2,
    // printDownloadProgress: true,
    skipDownload: forceLibrary2 || forceBinary2 || false,
    overrideGenerators: [
      {
        name: "studio-client",
        provider: {
          fromEnvVar: "",
          value: "prisma-client-js"
        },
        previewFeatures: [],
        output: {
          fromEnvVar: "",
          value: ""
        },
        binaryTargets: [],
        config: {}
      }
    ],
    binaryPathsOverride: paths2.queryEngine ? {
      [paths2.queryEngine.type === "binary" ? "queryEngine" : "libqueryEngine"]: paths2.queryEngine.path
    } : void 0,
    providerAliases: {
      "prisma-client-js": {
        generatorPath: `${paths2.prismaClient}/generator-build/index.js`,
        outputPath: "",
        isNode: true
      }
    },
    dataProxy
  });
  const prismaClientGenerator = prismaGenerators.find(
    (g2) => g2.config.provider.value === "prisma-client-js"
  );
  if (!prismaClientGenerator)
    throw new Error("Unable to get Prisma Client generator. This is a bug.");
  prismaGenerators.filter(
    (g2) => g2.config.provider.value !== "prisma-client-js"
  ).forEach(
    (g2) => g2.stop()
  );
  return prismaClientGenerator;
}
var $9lTzd = parcelRequire("9lTzd");
var $1dWWL = parcelRequire("1dWWL");
function $210f326637676c64$export$4182f52e4119e70a(schema) {
  return (0, import_crypto3.createHash)("md5").update(schema).digest("hex");
}
var $6ea02b76097635bb$var$PCW = class {
  /**
  * Initializes PCW
  *
  * @param schema The Prisma schema string
  * @param schemaPath Location of the Prisma Schema on disk (required temporarily for in-memory Client)
  * @param env KV-pair of environment variables used in the Prisma Schema
  * @param options
  * @param options.resolve Path to a custom prisma client / engines module to use
  * @param options.readOnly Controls if this PCW instance should block mutating requests
  */
  constructor(schema, schemaPath2, env3 = {}, options2 = {}) {
    this.getDMMF = async () => {
      if (this.dmmf && this.datasourceProvider && this.previewFeatures)
        return Promise.resolve({
          dmmf: this.dmmf,
          datasourceProvider: this.datasourceProvider,
          previewFeatures: this.previewFeatures
        });
      try {
        const prismaClientPath2 = this.resolvePrismaClient();
        const { queryEngine } = await this.resolvePrismaEngines();
        $890e21dcf20f2c17$export$1c9f709888824e05("[getDMMF] Calling getGenerator with:", {
          queryEngine,
          prismaClientPath: prismaClientPath2
        });
        const prismaClientGenerator = await $8c557cda2dde87ef$export$569332143708bf93({
          schemaPath: this.schemaPath,
          forceBinary: this.forcePrismaBinary,
          forceLibrary: this.forcePrismaLibrary,
          paths: {
            queryEngine,
            prismaClient: prismaClientPath2
          },
          dataProxy: false
        });
        if (!this.forcePrismaBinary && !this.forcePrismaLibrary) {
          const platform2 = await $1dWWL.getPlatform();
          let resolvedQueryEngineType;
          let resolvedQueryEnginePath;
          if (prismaClientGenerator.options.binaryPaths.queryEngine) {
            resolvedQueryEngineType = "binary";
            resolvedQueryEnginePath = prismaClientGenerator.options.binaryPaths.queryEngine[platform2];
          } else if (prismaClientGenerator.options.binaryPaths.libqueryEngine) {
            resolvedQueryEngineType = "library";
            resolvedQueryEnginePath = prismaClientGenerator.options.binaryPaths.libqueryEngine[platform2];
          } else
            throw new Error("Unable to resolve Prisma Query Engine. This is a bug.");
          this.resolvedPrismaEngines = {
            queryEngine: {
              type: resolvedQueryEngineType,
              path: resolvedQueryEnginePath
            }
          };
        }
        const { dmmf: dmmf2, datasourceProvider, previewFeatures: previewFeatures2 } = $c8c91fd3cef865dd$export$abc1f3ee64aa2d2e({
          generator: prismaClientGenerator,
          forceBinary: this.forcePrismaBinary,
          forceLibrary: this.forcePrismaLibrary,
          paths: {
            prismaClient: prismaClientPath2
          }
        });
        this.dmmf = dmmf2;
        this.datasourceProvider = datasourceProvider;
        this.previewFeatures = previewFeatures2;
        prismaClientGenerator.stop();
        $890e21dcf20f2c17$export$1c9f709888824e05("[getDMMF] finished", {
          prismaClientPath: prismaClientPath2,
          prismaEngines: this.resolvedPrismaEngines,
          previewFeatures: previewFeatures2
        });
      } catch (e3) {
        console.error("Unable to get DMMF from Prisma Client: ", e3);
        throw e3;
      }
      return {
        dmmf: this.dmmf,
        datasourceProvider: this.datasourceProvider,
        previewFeatures: this.previewFeatures
      };
    };
    this.request = async (query2, { prisma } = {}) => {
      if (!prisma)
        prisma = (await this.getPrismaClient()).prisma;
      try {
        let prismaClientResponse;
        if (query2.operation === "$transaction")
          prismaClientResponse = await prisma.$transaction(query2.queries.map(
            (q) => this._request(prisma, q)
          ));
        else
          prismaClientResponse = await this._request(prisma, query2);
        return prismaClientResponse;
      } catch (e3) {
        throw e3;
      } finally {
        await prisma.$disconnect();
      }
    };
    $890e21dcf20f2c17$export$1c9f709888824e05("[constructor]", options2);
    this.schema = schema;
    this.schemaPath = schemaPath2;
    this.env = {
      ...env3
    };
    this.resolveOverrides = options2.resolve || {};
    this.forcePrismaBinary = !!options2.forcePrismaBinary;
    this.forcePrismaLibrary = !!options2.forcePrismaLibrary;
    this.readOnly = !!options2.readOnly;
    this.datasources = options2.datasources;
    this.directUrl = options2.directUrl;
    if (this.forcePrismaLibrary && this.forcePrismaBinary)
      throw new Error("Invalid params: `forcePrismaBinary` and `forcePrismaLibrary` cannot both be truthy");
    if (this.forcePrismaLibrary)
      this.env.PRISMA_CLIENT_ENGINE_TYPE = "library";
    else if (this.forcePrismaBinary)
      this.env.PRISMA_CLIENT_ENGINE_TYPE = "binary";
    Object.assign(process.env, this.env);
  }
  get schemaHash() {
    return $210f326637676c64$export$4182f52e4119e70a(this.schema);
  }
  /**
  * Returns path to Prisma binaries, taking `resolve`s into account, and defaulting to a hard-coded path
  */
  async resolvePrismaEngines() {
    if (this.resolvedPrismaEngines)
      return this.resolvedPrismaEngines;
    const { queryEngine } = await $9lTzd.guessEnginePaths({
      forceBinary: this.forcePrismaBinary,
      forceLibrary: this.forcePrismaLibrary,
      resolveOverrides: this.resolveOverrides
    });
    this.resolvedPrismaEngines = {
      queryEngine
    };
    return this.resolvedPrismaEngines;
  }
  /**
  * Returns a path to a Prisma Client package, taking `resolve`s into account, and defaulting to a hard-coded path
  */
  resolvePrismaClient() {
    return $9lTzd.guessPrismaClientPath({
      resolveOverrides: this.resolveOverrides
    });
  }
  /**
  * Get an in-memory instance of Prisma Client
  */
  async getPrismaClient() {
    const { dmmf: dmmf2, datasourceProvider, previewFeatures: previewFeatures2 } = await this.getDMMF();
    const { queryEngine } = await this.resolvePrismaEngines();
    const prismaClientPath2 = this.resolvePrismaClient();
    if (this.prismaClient)
      return this.prismaClient;
    const { prisma, PrismaClient, PrismaClientKnownRequestError, PrismaClientRustPanicError, PrismaClientInitializationError, PrismaClientValidationError } = await $c24cd639ef7e8015$export$2a49a50836093d12({
      schema: this.schema,
      schemaPath: this.schemaPath,
      dmmf: dmmf2,
      engineType: queryEngine?.type ?? "library",
      datasourceProvider,
      datasources: this.datasources,
      previewFeatures: previewFeatures2,
      paths: {
        queryEngine,
        prismaClient: prismaClientPath2
      },
      directUrl: this.directUrl
    });
    this.prismaClient = {
      prisma,
      PrismaClient,
      PrismaClientKnownRequestError,
      PrismaClientRustPanicError,
      PrismaClientInitializationError,
      PrismaClientValidationError
    };
    return this.prismaClient;
  }
  _request(prisma, query2) {
    const READONLY_PRISMA_OPERATIONS = [
      "findUnique",
      "findMany",
      "findFirst",
      "count",
      "aggregate",
      "groupBy"
    ];
    if (!query2.modelName)
      throw new Error("Invalid Prisma Clinet query");
    const prismaClientModel = query2.modelName.charAt(0).toLowerCase() + query2.modelName.slice(1);
    if (!(prismaClientModel in prisma))
      throw new Error(`No model in schema with name \`${query2.modelName}\``);
    if (this.readOnly && !READONLY_PRISMA_OPERATIONS.includes(query2.operation))
      throw new Error("You are not permitted to perform this action");
    return prisma[prismaClientModel][query2.operation].call(null, query2.args);
  }
};
var $6ea02b76097635bb$export$2e2bcd8739ae039 = $6ea02b76097635bb$var$PCW;
function $897ef194fdc41881$export$b71a30edd1065a96(schemaPath2) {
  (0, import_internals30.tryLoadEnvs)((0, import_internals30.getEnvPaths)(schemaPath2, {
    cwd: (0, import_path38.resolve)(schemaPath2, "../")
  }), {
    conflictCheck: "error"
  });
}
function $120bd9ee0fec6db4$export$16a7f31fdf8c13b3(schema) {
  const matches = schema.match(/^(?!(\s+\/\/\s+))\s+url\s+\=\s+(?<usesEnv>env\()?\"(?<url>.*)\"/im);
  const { usesEnv, url: url2 } = matches?.groups;
  if (usesEnv)
    return {
      env: url2
    };
  return {
    url: url2
  };
}

// ../../node_modules/.pnpm/@prisma+studio-server@0.494.0_@prisma+client@packages+client_@prisma+internals@packages+internals/node_modules/@prisma/studio-server/dist/index.es.js
var import_fs34 = require("fs");
var import_checkpoint_client = __toESM(require_dist7());
var import_crypto4 = require("crypto");
var import_debug29 = __toESM(require_src5());
var $c4e9526771d7565d$export$cf1ce5b2c3d7dc8c = class {
  constructor(options2) {
    this.respond = async (req) => {
      const res = {
        requestId: req.requestId,
        channel: `-${req.channel}`,
        action: req.action,
        payload: {
          error: null,
          data: null
        }
      };
      try {
        switch (req.action) {
          case "getDMMF":
            const { dmmf: dmmf2 } = await this.pcw.getDMMF();
            res.payload.data = {
              dmmf: dmmf2,
              schemaHash: this.pcw.schemaHash
            };
            break;
          case "clientRequest":
            if (req.payload.data.schemaHash && req.payload.data.schemaHash !== this.pcw.schemaHash)
              res.payload.error = {
                type: "PrismaClientSchemaDriftedError",
                code: "P500",
                message: "The underlying schema has changed. Please reload Studio.",
                stack: ""
              };
            else
              res.payload.data = await this.pcw.request(req.payload.data);
            break;
        }
      } catch (e3) {
        res.payload.error = {
          type: e3.type,
          code: e3.code,
          message: e3.message,
          stack: e3.message
        };
      }
      return res;
    };
    this.options = options2;
    this.schema = (0, import_fs34.readFileSync)(options2.schemaPath, "utf-8");
    $897ef194fdc41881$export$b71a30edd1065a96(this.options.schemaPath);
    this.pcw = new $6ea02b76097635bb$export$2e2bcd8739ae039(this.schema, options2.schemaPath, {}, {
      ...options2.prismaClient
    });
  }
};
var $3ceb413d851fd483$export$c73b739fe4d7ca16 = class {
  constructor(options2) {
    this.name = "Prisma Studio";
    this.schemaPath = options2.schemaPath;
  }
  respond(req) {
    const res = {
      requestId: req.requestId,
      channel: `-${req.channel}`,
      action: req.action,
      payload: {
        error: null,
        data: null
      }
    };
    switch (req.action) {
      case "get":
        res.payload.data = {
          name: this.name,
          schemaPath: this.schemaPath,
          lastOpenedAt: (/* @__PURE__ */ new Date()).toISOString()
        };
        break;
      case "getAll":
        res.payload.data = [
          {
            name: this.name,
            schemaPath: this.schemaPath,
            lastOpenedAt: (/* @__PURE__ */ new Date()).toISOString()
          }
        ];
        break;
    }
    return Promise.resolve(res);
  }
};
var $7f32607f2b61c0e3$var$getProjectHash = (schemaPath2) => {
  return (0, import_crypto4.createHash)("sha256").update(schemaPath2).digest("hex").substring(0, 8);
};
var $7f32607f2b61c0e3$export$2e2bcd8739ae039 = $7f32607f2b61c0e3$var$getProjectHash;
var $80db50215fceb0c1$export$8f8edaa18bc1ecce = class {
  constructor(options2) {
    this.respond = async (req) => {
      const res = {
        requestId: req.requestId,
        channel: `-${req.channel}`,
        action: req.action,
        payload: {
          error: null,
          data: null
        }
      };
      try {
        switch (req.action) {
          case "send":
            await this.send(req.payload.data);
            break;
        }
      } catch (e3) {
        res.payload.error = e3.message;
      }
      return res;
    };
    this.send = async ({ command, commandDetails, commandContext }) => {
      if (!this.options.telemetry)
        return;
      if (!this.options.versions)
        return;
      (0, import_checkpoint_client.check)({
        product: "prisma-studio",
        command,
        version: this.options.versions.prisma,
        project_hash: $7f32607f2b61c0e3$export$2e2bcd8739ae039(this.options.schemaPath)
      });
    };
    this.options = {
      schemaPath: options2.schemaPath,
      telemetry: options2.telemetry ?? true,
      versions: options2.versions
    };
    (0, import_checkpoint_client.getSignature)().then(() => {
      this.send({
        command: "studio_launch",
        commandDetails: {},
        commandContext: "{}"
      });
    });
  }
};
var $6b3bbefa28e84844$var$debug = (0, import_debug29.default)("prisma:studio-server");
var $6b3bbefa28e84844$export$2e2bcd8739ae039 = $6b3bbefa28e84844$var$debug;
var $06b313c7ed80cada$export$de7692c2cd890bf1 = class {
  constructor(options2) {
    this.start = async () => {
      try {
        $6b3bbefa28e84844$export$2e2bcd8739ae039("Starting Studio server");
        const app = (0, import_express.default)();
        app.use(import_express.default.text());
        if (this.options.development)
          app.use((0, import_cors.default)({
            origin: "*"
          }));
        else {
          app.use(function(req, _res, next) {
            if (req.url === "/" || req.url === "/databrowser.html")
              req.url = `/pages/http/databrowser.html`;
            next();
          });
          const staticAssetDir = this.options.staticAssetDir;
          staticAssetDir && app.use(import_express.default.static(staticAssetDir, {
            etag: false,
            setHeaders: (res) => {
              res.set("Cache-Control", "no-cache");
              res.set("Last-Modified", (/* @__PURE__ */ new Date()).toUTCString());
            }
          }));
        }
        app.post("/api", async (req, res) => {
          $6b3bbefa28e84844$export$2e2bcd8739ae039("Incoming request: ", req.body);
          const requestBody = $40437329dfa47999$export$b52be4793aa7388c(req.body);
          const { requestId, channel: channel2, action: action2, payload } = requestBody;
          let response;
          switch (channel2) {
            case "project":
              response = await this.channels.project.respond(requestBody);
              break;
            case "prisma":
              response = await this.channels.prisma.respond(requestBody);
              break;
            case "telemetry":
              response = await this.channels.telemetry.respond(requestBody);
              break;
            default:
              $6b3bbefa28e84844$export$2e2bcd8739ae039("Unimplemented `channel`, ignoring request:", requestBody);
              response = {
                requestId,
                channel: `-${channel2}`,
                action: action2,
                payload: {
                  error: null,
                  data: null
                }
              };
              break;
          }
          res.setHeader("Content-Type", "application/json");
          res.setHeader("Content-Encoding", "gzip");
          res.send((0, import_zlib3.gzipSync)(Buffer.from($40437329dfa47999$export$697607adbb68ff53(response), "utf8")));
          $6b3bbefa28e84844$export$2e2bcd8739ae039("Outgoing response: ", response);
        });
        this.server = import_http2.default.createServer(app);
        this.server.listen(this.options.port, this.options.hostname, () => {
          $6b3bbefa28e84844$export$2e2bcd8739ae039(`Studio server is up at http://${this.options.hostname || "0.0.0.0"}:${this.options.port}/`);
        });
      } catch (e3) {
        console.log("An error occured while starting Studio:\n\n", e3);
        process.exit(1);
      }
    };
    this.stop = (reason) => {
      $6b3bbefa28e84844$export$2e2bcd8739ae039("Stopping Studio server. Reason:", reason);
      if (!this.server)
        return;
      this.server.close((err) => {
        if (err)
          $6b3bbefa28e84844$export$2e2bcd8739ae039("Unable to close server: ", err);
        else
          $6b3bbefa28e84844$export$2e2bcd8739ae039("Closed out remaining connections");
      });
    };
    this.options = options2;
    this.options.schemaPath = (0, import_untildify.default)(this.options.schemaPath);
    this.channels = {
      project: new $3ceb413d851fd483$export$c73b739fe4d7ca16(options2),
      prisma: new $c4e9526771d7565d$export$cf1ce5b2c3d7dc8c(options2),
      telemetry: new $80db50215fceb0c1$export$8f8edaa18bc1ecce(options2)
    };
  }
};

// src/Studio.ts
var import_fs35 = __toESM(require("fs"));
var import_get_port = __toESM(require_get_port());
init_colors();
var import_open2 = __toESM(require_open());
var import_path39 = __toESM(require("path"));
var debug28 = src_default("prisma:studio");
var packageJson4 = require_package5();
var _Studio = class _Studio {
  static new() {
    return new _Studio();
  }
  /**
   * Parses arguments passed to this command, and starts Studio
   *
   * @param argv Array of all arguments
   */
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--port": Number,
      "-p": "--port",
      "--browser": String,
      "-b": "--browser",
      "--hostname": String,
      "-n": "--hostname",
      "--schema": String,
      "--telemetry-information": String
    });
    if (isError2(args3)) {
      return this.help(args3.message);
    }
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    const hostname = args3["--hostname"];
    const port = args3["--port"] || await (0, import_get_port.default)({ port: import_get_port.default.makeRange(5555, 5600) });
    const browser = args3["--browser"] || process.env.BROWSER;
    const staticAssetDir = import_path39.default.resolve(__dirname, "../build/public");
    const schema = await import_fs35.default.promises.readFile(schemaPath2, "utf-8");
    const config2 = await getConfig2({ datamodel: schema, ignoreEnvVarErrors: true });
    process.env.PRISMA_DISABLE_WARNINGS = "true";
    const studio = new $06b313c7ed80cada$export$de7692c2cd890bf1({
      schemaPath: schemaPath2,
      hostname,
      port,
      staticAssetDir,
      prismaClient: {
        resolve: {
          "@prisma/client": import_path39.default.resolve(__dirname, "../prisma-client/index.js")
        },
        directUrl: resolveUrl2(getDirectUrl2(config2.datasources[0]))
      },
      versions: {
        prisma: packageJson4.version,
        queryEngine: import_engines9.enginesVersion
      }
    });
    await studio.start();
    const serverUrl = `http://localhost:${port}`;
    if (!browser || browser.toLowerCase() !== "none") {
      try {
        const subprocess = await (0, import_open2.default)(serverUrl, {
          app: browser,
          url: true
        });
        subprocess.on("spawn", () => {
          debug28(`requested to open the url ${serverUrl}`);
        });
        subprocess.on("error", (e3) => {
          debug28(e3);
          debug28(`failed to open the url ${serverUrl} in browser`);
        });
      } catch (e3) {
        debug28(e3);
      }
    }
    this.instance = studio;
    return `Prisma Studio is up on ${serverUrl}`;
  }
  // help message
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_Studio.help}`);
    }
    return _Studio.help;
  }
};
_Studio.help = format2(`
Browse your data with Prisma Studio

${bold("Usage")}

  ${dim("$")} prisma studio [options]

${bold("Options")}

  -h, --help        Display this help message
  -p, --port        Port to start Studio on
  -b, --browser     Browser to open Studio in
  -n, --hostname    Hostname to bind the Express server to
  --schema          Custom path to your Prisma schema

${bold("Examples")}

  Start Studio on the default port
    ${dim("$")} prisma studio

  Start Studio on a custom port
    ${dim("$")} prisma studio --port 5555

  Start Studio in a specific browser
    ${dim("$")} prisma studio --port 5555 --browser firefox
    ${dim("$")} BROWSER=firefox prisma studio --port 5555

  Start Studio without opening in a browser
    ${dim("$")} prisma studio --port 5555 --browser none
    ${dim("$")} BROWSER=none prisma studio --port 5555

  Specify a schema
    ${dim("$")} prisma studio --schema=./schema.prisma
`);
var Studio = _Studio;

// src/Telemetry.ts
var checkpoint2 = __toESM(require_dist4());
var Telemetry = class _Telemetry {
  static new() {
    return new _Telemetry();
  }
  // parse arguments
  async parse() {
    const info2 = await checkpoint2.getInfo();
    const projectPathHash = await getProjectHash2();
    const cliPathHash = getCLIPathHash2();
    const cacheItems = info2.cacheItems.map((it2) => {
      return {
        product: it2.output.product,
        version: it2.version,
        package: it2.output.package,
        release_tag: it2.output.release_tag,
        cli_path: it2.cli_path,
        cli_path_hash: it2.output.cli_path_hash,
        last_reminder: it2.last_reminder,
        cached_at: it2.cached_at
      };
    });
    return JSON.stringify(
      {
        signature: info2.signature,
        cachePath: info2.cachePath,
        current: {
          projectPathHash,
          cliPathHash
        },
        cacheItems
      },
      void 0,
      2
    );
  }
};

// src/utils/checkpoint.ts
init_src();
var checkpoint3 = __toESM(require_dist4());
var debug29 = src_default("prisma:cli:checkpoint");
async function runCheckpointClientCheck({
  schemaPath: schemaPath2,
  isPrismaInstalledGlobally: isPrismaInstalledGlobally3,
  version: version3,
  command,
  telemetryInformation
}) {
  try {
    const projectPathHash = await getProjectHash2();
    const cliPathHash = getCLIPathHash2();
    const { schemaProvider, schemaPreviewFeatures, schemaGeneratorsProviders } = await tryToReadDataFromSchema(
      schemaPath2
    );
    const data = {
      // Name of the product
      product: "prisma",
      // Currently installed version of the CLI
      version: version3,
      // A unique hash of the path in which the CLI is installed
      cli_path_hash: cliPathHash,
      // A unique hash of the project's path, i.e.. the `schema.prisma`'s path
      project_hash: projectPathHash,
      // The first datasource provider (e.g. postgresql)
      schema_providers: schemaProvider ? [schemaProvider] : void 0,
      // previewFeatures from the prisma-client-js generator
      schema_preview_features: schemaPreviewFeatures,
      // Generator providers (e.g. prisma-client-js)
      schema_generators_providers: schemaGeneratorsProviders,
      // Type of CLI install: global or local
      cli_install_type: isPrismaInstalledGlobally3 ? "global" : "local",
      // Command with redacted options
      command,
      // Internal: Additional information from `--telemetry-information` option or `PRISMA_TELEMETRY_INFORMATION` env var
      // Default: undefined
      information: telemetryInformation || process.env.PRISMA_TELEMETRY_INFORMATION,
      // Absolute CLI path
      // Note: This won't be sent to the checkpoint server.
      // TODO: Check if we can remove, probably not needed since cli_path_hash is defined
      cli_path: process.argv[1]
    };
    return await checkpoint3.check(data);
  } catch (e3) {
    debug29("Error from runCheckpointClientCheck()");
    debug29(e3);
    return 0;
  }
}
async function tryToReadDataFromSchema(schemaPath2) {
  let schemaProvider;
  let schemaPreviewFeatures;
  let schemaGeneratorsProviders;
  try {
    const schema = await getSchema2(schemaPath2);
    try {
      const config2 = await getConfig2({
        datamodel: schema,
        ignoreEnvVarErrors: true
      });
      if (config2.datasources.length > 0) {
        schemaProvider = config2.datasources[0].provider;
      }
      schemaGeneratorsProviders = config2.generators.filter((generator) => generator && generator.provider).map((generator) => parseEnvValue2(generator.provider));
      const prismaClientJSGenerator = config2.generators.find(
        (generator) => parseEnvValue2(generator.provider) === "prisma-client-js"
      );
      if (prismaClientJSGenerator && prismaClientJSGenerator.previewFeatures.length > 0) {
        schemaPreviewFeatures = prismaClientJSGenerator.previewFeatures;
      }
    } catch (e3) {
      debug29(
        "Error from tryToReadDataFromSchema() while processing the schema. This is not a fatal error. It will continue without the processed data."
      );
      debug29(e3);
    }
  } catch (e3) {
  }
  return {
    schemaProvider,
    schemaPreviewFeatures,
    schemaGeneratorsProviders
  };
}
var SENSITIVE_CLI_OPTIONS = [
  // 1. Connection strings
  "--url",
  "--shadow-database-url",
  "--from-url",
  "--to-url",
  // 2. Paths
  "--schema",
  "--file",
  "--from-schema-datamodel",
  "--to-schema-datamodel",
  "--from-schema-datasource",
  "--to-schema-datasource",
  "--from-migrations",
  "--to-migrations",
  "--hostname",
  // 3. Migration names
  "--name",
  "--applied",
  "--rolled-back"
];
var redactCommandArray = (commandArray2) => {
  const REDACTED_TAG = "[redacted]";
  for (let i4 = 0; i4 < commandArray2.length; i4++) {
    const arg3 = commandArray2[i4];
    SENSITIVE_CLI_OPTIONS.forEach((option) => {
      const argIndexCompleteMatch = arg3 === option;
      const argIndexPartialMatch = arg3.indexOf(option);
      if (argIndexCompleteMatch) {
        commandArray2[i4 + 1] = REDACTED_TAG;
      } else if (argIndexPartialMatch !== -1) {
        commandArray2[i4] = `${option}=${REDACTED_TAG}`;
      }
    });
  }
  return commandArray2;
};

// src/utils/detectPrisma1.ts
var import_fs36 = __toESM(require("fs"));
var import_path40 = __toESM(require("path"));
function detectPrisma1() {
  if (import_fs36.default.existsSync(import_path40.default.join(process.cwd(), "prisma.yml"))) {
    throw new Error(
      `We detected a Prisma 1 project. For Prisma 1, please use the \`prisma1\` CLI instead.
You can install it with \`npm install -g prisma1\`.
If you want to upgrade to Prisma 2+, please have a look at our upgrade guide:
http://pris.ly/d/upgrading-to-prisma2`
    );
  }
}

// src/utils/printUpdateMessage.ts
init_colors();
var isPrismaInstalledGlobally = isCurrentBinInstalledGlobally2();
function printUpdateMessage(checkResult) {
  let boxHeight = 4;
  let majorText = "";
  const currentVersionInstalled = checkResult.data.previous_version;
  const latestVersionAvailable = checkResult.data.current_version;
  const prismaCLICommand = makeInstallCommand(checkResult.data.package, checkResult.data.release_tag);
  const prismaClientCommand = makeInstallCommand("@prisma/client", checkResult.data.release_tag, {
    canBeGlobal: false,
    canBeDev: false
  });
  try {
    const [majorInstalled] = currentVersionInstalled.split(".");
    const [majorLatest] = latestVersionAvailable.split(".");
    if (majorInstalled < majorLatest) {
      majorText = `
This is a major update - please follow the guide at
https://pris.ly/d/major-version-upgrade

`;
      boxHeight = boxHeight + 4;
    }
  } catch (e3) {
  }
  const boxText = `
${blue(
    "Update available"
  )} ${currentVersionInstalled} -> ${latestVersionAvailable}
${majorText}Run the following to update
  ${bold(prismaCLICommand)}
  ${bold(prismaClientCommand)}`;
  const boxedMessage = drawBox2({
    height: boxHeight,
    width: 59,
    str: boxText,
    horizontalPadding: 2
  });
  console.error(boxedMessage);
}
function makeInstallCommand(packageName, tag, options2 = {
  canBeGlobal: true,
  canBeDev: true
}) {
  const yarnUsed = process.env.npm_config_user_agent?.includes("yarn");
  let command = "";
  if (isPrismaInstalledGlobally === "yarn" && options2.canBeGlobal) {
    command = `yarn global add ${packageName}`;
  } else if (isPrismaInstalledGlobally === "npm" && options2.canBeGlobal) {
    command = `npm i -g ${packageName}`;
  } else if (yarnUsed && options2.canBeDev) {
    command = `yarn add --dev ${packageName}`;
  } else if (options2.canBeDev) {
    command = `npm i --save-dev ${packageName}`;
  } else if (yarnUsed) {
    command = `yarn add ${packageName}`;
  } else {
    command = `npm i ${packageName}`;
  }
  command += `@${tag}`;
  return command;
}

// src/Validate.ts
var import_fs37 = __toESM(require("fs"));
init_colors();
var _Validate = class _Validate {
  static new() {
    return new _Validate();
  }
  async parse(argv) {
    const args3 = arg2(argv, {
      "--help": Boolean,
      "-h": "--help",
      "--schema": String,
      "--telemetry-information": String
    });
    if (args3 instanceof Error) {
      return this.help(args3.message);
    }
    if (args3["--help"]) {
      return this.help();
    }
    loadEnvFile2(args3["--schema"], true);
    const schemaPath2 = await getSchemaPathAndPrint(args3["--schema"]);
    const schema = import_fs37.default.readFileSync(schemaPath2, "utf-8");
    const { lintDiagnostics } = handleLintPanic2(
      () => {
        const lintDiagnostics2 = lintSchema2({ schema });
        return { lintDiagnostics: lintDiagnostics2 };
      },
      { schema }
    );
    const lintWarnings = getLintWarningsAsText2(lintDiagnostics);
    if (lintWarnings && logger_exports.should.warn()) {
      console.warn(lintWarnings);
    }
    validate2({
      datamodel: schema
    });
    await getConfig2({
      datamodel: schema,
      ignoreEnvVarErrors: false
    });
    return `The schema at ${underline(schemaPath2)} is valid \u{1F680}`;
  }
  // help message
  help(error2) {
    if (error2) {
      return new HelpError2(`
${bold(red(`!`))} ${error2}
${_Validate.help}`);
    }
    return _Validate.help;
  }
};
_Validate.help = format2(`
Validate a Prisma schema.

${bold("Usage")}

  ${dim("$")} prisma validate [options]

${bold("Options")}

  -h, --help   Display this help message
    --schema   Custom path to your Prisma schema

${bold("Examples")}

  With an existing Prisma schema
    ${dim("$")} prisma validate

  Or specify a Prisma schema path
    ${dim("$")} prisma validate --schema=./schema.prisma

`);
var Validate = _Validate;

// src/bin.ts
var packageJson5 = require_package5();
var commandArray = process.argv.slice(2);
process.removeAllListeners("warning");
process.once("SIGINT", () => {
  process.exit(130);
});
var args2 = arg2(
  commandArray,
  {
    "--schema": String,
    "--telemetry-information": String
  },
  false,
  true
);
var redactedCommandAsString = redactCommandArray([...commandArray]).join(" ");
var isPrismaInstalledGlobally2 = isCurrentBinInstalledGlobally2();
async function main2() {
  detectPrisma1();
  const cli = CLI.new(
    {
      init: Init.new(),
      migrate: MigrateCommand.new({
        dev: MigrateDev.new(),
        status: MigrateStatus.new(),
        resolve: MigrateResolve.new(),
        reset: MigrateReset.new(),
        deploy: MigrateDeploy.new(),
        diff: MigrateDiff.new()
      }),
      db: DbCommand.new({
        execute: DbExecute.new(),
        pull: DbPull.new(),
        push: DbPush.new(),
        // drop: DbDrop.new(),
        seed: DbSeed.new()
      }),
      /**
       * @deprecated since version 2.30.0, use `db pull` instead (renamed)
       */
      introspect: DbPull.new(),
      studio: Studio.new(),
      generate: Generate.new(),
      version: Version.new(),
      validate: Validate.new(),
      format: Format.new(),
      telemetry: Telemetry.new()
    },
    [
      "version",
      "init",
      "migrate",
      "db",
      "introspect",
      "studio",
      "generate",
      "validate",
      "format",
      "doctor",
      "telemetry"
    ]
  );
  const result = await cli.parse(commandArray);
  if (result instanceof HelpError2) {
    console.error(result.message);
    return 1;
  } else if (isError2(result)) {
    console.error(result);
    return 1;
  }
  console.log(result);
  const checkResult = await runCheckpointClientCheck({
    command: redactedCommandAsString,
    isPrismaInstalledGlobally: isPrismaInstalledGlobally2,
    schemaPath: args2["--schema"],
    telemetryInformation: args2["--telemetry-information"],
    version: packageJson5.version
  });
  const shouldHide = process.env.PRISMA_HIDE_UPDATE_MESSAGE;
  if (checkResult && checkResult.status === "ok" && checkResult.data.outdated && !shouldHide) {
    printUpdateMessage(checkResult);
  }
  return 0;
}
if (eval("require.main === module")) {
  main2().then((code) => {
    if (code !== 0) {
      process.exit(code);
    }
  }).catch((err) => {
    if (typeof err[Symbol.iterator] === "function") {
      for (const individualError of err) {
        handleIndividualError(individualError);
      }
    } else {
      handleIndividualError(err);
    }
  });
}
function handleIndividualError(error2) {
  if (isRustPanic2(error2)) {
    handlePanic2({
      error: error2,
      cliVersion: packageJson5.version,
      enginesVersion: import_engines10.enginesVersion,
      command: redactedCommandAsString,
      getDatabaseVersionSafe
    }).catch((e3) => {
      if (src_default.enabled("prisma")) {
        console.error(bold(red("Error: ")) + e3.stack);
      } else {
        console.error(bold(red("Error: ")) + e3.message);
      }
    }).finally(() => {
      process.exit(1);
    });
  } else {
    if (src_default.enabled("prisma")) {
      console.error(bold(red("Error: ")) + error2.stack);
    } else {
      console.error(bold(red("Error: ")) + error2.message);
    }
    process.exit(1);
  }
}
import_path41.default.join(__dirname, "../../engines/query-engine-darwin");
import_path41.default.join(__dirname, "../../engines/schema-engine-darwin");
import_path41.default.join(__dirname, "../../engines/query-engine-windows.exe");
import_path41.default.join(__dirname, "../../engines/schema-engine-windows.exe");
import_path41.default.join(__dirname, "../../engines/query-engine-debian-openssl-1.0.x");
import_path41.default.join(__dirname, "../../engines/schema-engine-debian-openssl-1.0.x");
import_path41.default.join(__dirname, "../../engines/query-engine-debian-openssl-1.1.x");
import_path41.default.join(__dirname, "../../engines/schema-engine-debian-openssl-1.1.x");
import_path41.default.join(__dirname, "../../engines/query-engine-debian-openssl-3.0.x");
import_path41.default.join(__dirname, "../../engines/schema-engine-debian-openssl-3.0.x");
import_path41.default.join(__dirname, "../../engines/query-engine-rhel-openssl-1.0.x");
import_path41.default.join(__dirname, "../../engines/schema-engine-rhel-openssl-1.0.x");
import_path41.default.join(__dirname, "../../engines/query-engine-rhel-openssl-1.1.x");
import_path41.default.join(__dirname, "../../engines/schema-engine-rhel-openssl-1.1.x");
import_path41.default.join(__dirname, "../../engines/query-engine-rhel-openssl-3.0.x");
import_path41.default.join(__dirname, "../../engines/schema-engine-rhel-openssl-3.0.x");
/*! Bundled license information:

is-extglob/index.js:
  (*!
   * is-extglob <https://github.com/jonschlinkert/is-extglob>
   *
   * Copyright (c) 2014-2016, Jon Schlinkert.
   * Licensed under the MIT License.
   *)

is-glob/index.js:
  (*!
   * is-glob <https://github.com/jonschlinkert/is-glob>
   *
   * Copyright (c) 2014-2017, Jon Schlinkert.
   * Released under the MIT License.
   *)

is-number/index.js:
  (*!
   * is-number <https://github.com/jonschlinkert/is-number>
   *
   * Copyright (c) 2014-present, Jon Schlinkert.
   * Released under the MIT License.
   *)

to-regex-range/index.js:
  (*!
   * to-regex-range <https://github.com/micromatch/to-regex-range>
   *
   * Copyright (c) 2015-present, Jon Schlinkert.
   * Released under the MIT License.
   *)

fill-range/index.js:
  (*!
   * fill-range <https://github.com/jonschlinkert/fill-range>
   *
   * Copyright (c) 2014-present, Jon Schlinkert.
   * Licensed under the MIT License.
   *)

queue-microtask/index.js:
  (*! queue-microtask. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> *)

run-parallel/index.js:
  (*! run-parallel. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> *)

normalize-path/index.js:
  (*!
   * normalize-path <https://github.com/jonschlinkert/normalize-path>
   *
   * Copyright (c) 2014-2018, Jon Schlinkert.
   * Released under the MIT License.
   *)

archiver/lib/error.js:
  (**
   * Archiver Core
   *
   * @ignore
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

safe-buffer/index.js:
  (*! safe-buffer. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> *)

archiver/lib/core.js:
  (**
   * Archiver Core
   *
   * @ignore
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

crc-32/crc32.js:
  (*! crc32.js (C) 2014-present SheetJS -- http://sheetjs.com *)

zip-stream/index.js:
  (**
   * ZipStream
   *
   * @ignore
   * @license [MIT]{@link https://github.com/archiverjs/node-zip-stream/blob/master/LICENSE}
   * @copyright (c) 2014 Chris Talkington, contributors.
   *)

archiver/lib/plugins/zip.js:
  (**
   * ZIP Format Plugin
   *
   * @module plugins/zip
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

archiver/lib/plugins/tar.js:
  (**
   * TAR Format Plugin
   *
   * @module plugins/tar
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

archiver/lib/plugins/json.js:
  (**
   * JSON Format Plugin
   *
   * @module plugins/json
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

archiver/index.js:
  (**
   * Archiver Vending
   *
   * @ignore
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

tmp/lib/tmp.js:
  (*!
   * Tmp
   *
   * Copyright (c) 2011-2017 KARASZI Istvan <github@spam.raszi.hu>
   *
   * MIT Licensed
   *)

is-windows/index.js:
  (*!
   * is-windows <https://github.com/jonschlinkert/is-windows>
   *
   * Copyright © 2015-2018, Jon Schlinkert.
   * Released under the MIT License.
   *)
*/
/*! Bundled license information:

is-extglob/index.js:
  (*!
   * is-extglob <https://github.com/jonschlinkert/is-extglob>
   *
   * Copyright (c) 2014-2016, Jon Schlinkert.
   * Licensed under the MIT License.
   *)

is-glob/index.js:
  (*!
   * is-glob <https://github.com/jonschlinkert/is-glob>
   *
   * Copyright (c) 2014-2017, Jon Schlinkert.
   * Released under the MIT License.
   *)

is-number/index.js:
  (*!
   * is-number <https://github.com/jonschlinkert/is-number>
   *
   * Copyright (c) 2014-present, Jon Schlinkert.
   * Released under the MIT License.
   *)

to-regex-range/index.js:
  (*!
   * to-regex-range <https://github.com/micromatch/to-regex-range>
   *
   * Copyright (c) 2015-present, Jon Schlinkert.
   * Released under the MIT License.
   *)

fill-range/index.js:
  (*!
   * fill-range <https://github.com/jonschlinkert/fill-range>
   *
   * Copyright (c) 2014-present, Jon Schlinkert.
   * Licensed under the MIT License.
   *)

queue-microtask/index.js:
  (*! queue-microtask. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> *)

run-parallel/index.js:
  (*! run-parallel. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> *)

progress/lib/node-progress.js:
  (*!
   * node-progress
   * Copyright(c) 2011 TJ Holowaychuk <tj@vision-media.ca>
   * MIT Licensed
   *)

normalize-path/index.js:
  (*!
   * normalize-path <https://github.com/jonschlinkert/normalize-path>
   *
   * Copyright (c) 2014-2018, Jon Schlinkert.
   * Released under the MIT License.
   *)

archiver/lib/error.js:
  (**
   * Archiver Core
   *
   * @ignore
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

safe-buffer/index.js:
  (*! safe-buffer. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> *)

archiver/lib/core.js:
  (**
   * Archiver Core
   *
   * @ignore
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

crc-32/crc32.js:
  (*! crc32.js (C) 2014-present SheetJS -- http://sheetjs.com *)

zip-stream/index.js:
  (**
   * ZipStream
   *
   * @ignore
   * @license [MIT]{@link https://github.com/archiverjs/node-zip-stream/blob/master/LICENSE}
   * @copyright (c) 2014 Chris Talkington, contributors.
   *)

archiver/lib/plugins/zip.js:
  (**
   * ZIP Format Plugin
   *
   * @module plugins/zip
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

archiver/lib/plugins/tar.js:
  (**
   * TAR Format Plugin
   *
   * @module plugins/tar
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

archiver/lib/plugins/json.js:
  (**
   * JSON Format Plugin
   *
   * @module plugins/json
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

archiver/index.js:
  (**
   * Archiver Vending
   *
   * @ignore
   * @license [MIT]{@link https://github.com/archiverjs/node-archiver/blob/master/LICENSE}
   * @copyright (c) 2012-2014 Chris Talkington, contributors.
   *)

tmp/lib/tmp.js:
  (*!
   * Tmp
   *
   * Copyright (c) 2011-2017 KARASZI Istvan <github@spam.raszi.hu>
   *
   * MIT Licensed
   *)

is-windows/index.js:
  (*!
   * is-windows <https://github.com/jonschlinkert/is-windows>
   *
   * Copyright © 2015-2018, Jon Schlinkert.
   * Released under the MIT License.
   *)

object-assign/index.js:
  (*
  object-assign
  (c) Sindre Sorhus
  @license MIT
  *)

vary/index.js:
  (*!
   * vary
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   *)

depd/lib/compat/callsite-tostring.js:
  (*!
   * depd
   * Copyright(c) 2014 Douglas Christopher Wilson
   * MIT Licensed
   *)

depd/lib/compat/event-listener-count.js:
  (*!
   * depd
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

depd/lib/compat/index.js:
  (*!
   * depd
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

depd/index.js:
  (*!
   * depd
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   *)

bytes/index.js:
  (*!
   * bytes
   * Copyright(c) 2012-2014 TJ Holowaychuk
   * Copyright(c) 2015 Jed Watson
   * MIT Licensed
   *)

content-type/index.js:
  (*!
   * content-type
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

statuses/index.js:
  (*!
   * statuses
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

toidentifier/index.js:
  (*!
   * toidentifier
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

http-errors/index.js:
  (*!
   * http-errors
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

unpipe/index.js:
  (*!
   * unpipe
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

raw-body/index.js:
  (*!
   * raw-body
   * Copyright(c) 2013-2014 Jonathan Ong
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

ee-first/index.js:
  (*!
   * ee-first
   * Copyright(c) 2014 Jonathan Ong
   * MIT Licensed
   *)

on-finished/index.js:
  (*!
   * on-finished
   * Copyright(c) 2013 Jonathan Ong
   * Copyright(c) 2014 Douglas Christopher Wilson
   * MIT Licensed
   *)

body-parser/lib/read.js:
  (*!
   * body-parser
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

media-typer/index.js:
  (*!
   * media-typer
   * Copyright(c) 2014 Douglas Christopher Wilson
   * MIT Licensed
   *)

mime-db/index.js:
  (*!
   * mime-db
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015-2022 Douglas Christopher Wilson
   * MIT Licensed
   *)

mime-types/index.js:
  (*!
   * mime-types
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

type-is/index.js:
  (*!
   * type-is
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

body-parser/lib/types/json.js:
  (*!
   * body-parser
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

body-parser/lib/types/raw.js:
  (*!
   * body-parser
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

body-parser/lib/types/text.js:
  (*!
   * body-parser
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

body-parser/lib/types/urlencoded.js:
  (*!
   * body-parser
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

body-parser/index.js:
  (*!
   * body-parser
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

merge-descriptors/index.js:
  (*!
   * merge-descriptors
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

encodeurl/index.js:
  (*!
   * encodeurl
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

escape-html/index.js:
  (*!
   * escape-html
   * Copyright(c) 2012-2013 TJ Holowaychuk
   * Copyright(c) 2015 Andreas Lubbe
   * Copyright(c) 2015 Tiancheng "Timothy" Gu
   * MIT Licensed
   *)

parseurl/index.js:
  (*!
   * parseurl
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   *)

finalhandler/index.js:
  (*!
   * finalhandler
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/router/layer.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

methods/index.js:
  (*!
   * methods
   * Copyright(c) 2013-2014 TJ Holowaychuk
   * Copyright(c) 2015-2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/router/route.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/router/index.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/middleware/init.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/middleware/query.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/view.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

content-disposition/index.js:
  (*!
   * content-disposition
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   *)

destroy/index.js:
  (*!
   * destroy
   * Copyright(c) 2014 Jonathan Ong
   * MIT Licensed
   *)

etag/index.js:
  (*!
   * etag
   * Copyright(c) 2014-2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

fresh/index.js:
  (*!
   * fresh
   * Copyright(c) 2012 TJ Holowaychuk
   * Copyright(c) 2016-2017 Douglas Christopher Wilson
   * MIT Licensed
   *)

range-parser/index.js:
  (*!
   * range-parser
   * Copyright(c) 2012-2014 TJ Holowaychuk
   * Copyright(c) 2015-2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

send/index.js:
  (*!
   * send
   * Copyright(c) 2012 TJ Holowaychuk
   * Copyright(c) 2014-2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

forwarded/index.js:
  (*!
   * forwarded
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   *)

proxy-addr/index.js:
  (*!
   * proxy-addr
   * Copyright(c) 2014-2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/utils.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/application.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

negotiator/index.js:
  (*!
   * negotiator
   * Copyright(c) 2012 Federico Romero
   * Copyright(c) 2012-2014 Isaac Z. Schlueter
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

accepts/index.js:
  (*!
   * accepts
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/request.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

cookie/index.js:
  (*!
   * cookie
   * Copyright(c) 2012-2014 Roman Shtylman
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/response.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

serve-static/index.js:
  (*!
   * serve-static
   * Copyright(c) 2010 Sencha Inc.
   * Copyright(c) 2011 TJ Holowaychuk
   * Copyright(c) 2014-2016 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/lib/express.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)

express/index.js:
  (*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   *)
*/
